/*===========================================================================*/
/*   (Cfa/tvector.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/tvector.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_vrefzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_tvectorzf3zf3;
	}                      *BgL_vrefzf2cinfozf2_bglt;

	typedef struct BgL_vsetz12zf2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_tvectorzf3zf3;
	}                         *BgL_vsetz12zf2cinfoze0_bglt;

	typedef struct BgL_vlengthzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_tvectorzf3zf3;
	}                         *BgL_vlengthzf2cinfozf2_bglt;

	typedef struct BgL_valloczf2cinfozb2optimz40_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		bool_t BgL_stackablezf3zf3;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                                *BgL_valloczf2cinfozb2optimz40_bglt;


	extern obj_t BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2letzd2var1664z70zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62patchz12zd2closure1640za2zzcfa_tvectorz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_patchzd2vectorzf3z12z33zzcfa_tvectorz00(BgL_appz00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_tvectorz00();
	static obj_t BGl_z62patchz121629z70zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62patchz12zd2atom1632za2zzcfa_tvectorz00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_inlinezd2setupz12zc0zzinline_walkz00(obj_t);
	static obj_t BGl_z62patchz12zd2makezd2vectorzd2a1680za2zzcfa_tvectorz00(obj_t,
		obj_t);
	static obj_t BGl_z62patchz12zd2appzd2ly1646z70zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62unpatchzd2vectorzd2setz12z70zzcfa_tvectorz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_tvectorz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2conditional1656za2zzcfa_tvectorz00(obj_t,
		obj_t);
	static obj_t BGl_z62patchz12zd2kwotezf2node1636z50zzcfa_tvectorz00(obj_t,
		obj_t);
	static obj_t BGl_z62patchz12zd2extern1650za2zzcfa_tvectorz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2ze3tvectorz12z23zzcfa_tvectorz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62patchz12zd2var1638za2zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(obj_t);
	extern obj_t BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00();
	BGL_EXPORTED_DECL obj_t BGl_unpatchzd2vectorzd2setz12z12zzcfa_tvectorz00();
	static obj_t BGl_patchzd2funz12zc0zzcfa_tvectorz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_vsetz12zf2Cinfoze0zzcfa_info3z00;
	extern obj_t BGl_kwotezf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62patchz12zd2vlength1678za2zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62getzd2vectorzd2itemzd2type1623zb0zzcfa_tvectorz00(obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62getzd2vectorzd2itemzd2type1626zb0zzcfa_tvectorz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62getzd2vectorzd2itemzd2type1628zb0zzcfa_tvectorz00(obj_t, obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_patchz12z12zzcfa_tvectorz00(BgL_nodez00_bglt);
	static obj_t BGl_patchza2z12zb0zzcfa_tvectorz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_tvectorz00();
	BGL_EXPORTED_DECL obj_t BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00();
	extern obj_t BGl_kwotezf2nodezf2zzcfa_infoz00;
	extern obj_t BGl_lvtypezd2astz12zc0zzast_lvtypez00(obj_t);
	static obj_t BGl_z62addzd2makezd2vectorz12z70zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2sync1644za2zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2fail1658za2zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62tvectorzd2optimiza7ationzf3ze4zzcfa_tvectorz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2sequence1642za2zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static bool_t BGl_showzd2tvectorzd2zzcfa_tvectorz00(obj_t);
	static obj_t BGl_z62patchz12zd2funcall1648za2zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_tvectorz00 = BUNSPEC;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_vlengthz00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2kwote1634za2zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static bool_t BGl_patchzd2treez12zc0zzcfa_tvectorz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_tvectorz00();
	static obj_t BGl_z62patchz12zd2boxzd2ref1674z70zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62patchzd2vectorzd2setz12z70zzcfa_tvectorz00(obj_t);
	static BgL_typez00_bglt
		BGl_z62getzd2vectorzd2itemzd2typezb0zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzcfa_tvectorz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	static BgL_nodez00_bglt
		BGl_patchzd2vectorzd2ze3listz12zf1zzcfa_tvectorz00(BgL_appz00_bglt);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_getzd2tvectorszd2zzcfa_tvectorz00();
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(BgL_nodez00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	extern obj_t BGl_vrefzf2Cinfozf2zzcfa_info3z00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2vrefzf2Cinfo1684z50zzcfa_tvectorz00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_setzd2defaultzd2typez12z12zztype_cachez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static obj_t BGl_z62patchz12zd2switch1660za2zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_za2makezd2vectorzd2listza2z00zzcfa_tvectorz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(BgL_nodez00_bglt);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62patchz12zd2jumpzd2exzd2it1668za2zzcfa_tvectorz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_walkza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2boxzd2setz121672z62zzcfa_tvectorz00(obj_t,
		obj_t);
	static obj_t BGl_z62patchz12zd2makezd2box1670z70zzcfa_tvectorz00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_z62vectorzd2ze3tvectorz12z41zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_tvectorzd2finaliza7erz75zzmodule_typez00();
	static obj_t BGl_cnstzd2initzd2zzcfa_tvectorz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_tvectorz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_tvectorz00();
	static obj_t BGl_z62patchz12zd2letzd2fun1662z70zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	static obj_t BGl_z62patchz12zd2cast1652za2zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2valloczf2Cinfozb21682ze2zzcfa_tvectorz00(obj_t,
		obj_t);
	static obj_t BGl_z62patchz12zd2setq1654za2zzcfa_tvectorz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2app1676za2zzcfa_tvectorz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00();
	static obj_t BGl_declarezd2tvectorszd2zzcfa_tvectorz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62patchz12zd2vsetz12zf2Cinfo1686z42zzcfa_tvectorz00(obj_t,
		obj_t);
	extern obj_t BGl_modulezd2tvectorzd2clausez00zzmodule_typez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2setzd2exzd2it1666za2zzcfa_tvectorz00(obj_t,
		obj_t);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
	static obj_t BGl_z62patchz12z70zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t __cnst[23];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzd2vectorzd2setz12zd2envzc0zzcfa_tvectorz00,
		BgL_bgl_za762patchza7d2vecto2396z00,
		BGl_z62patchzd2vectorzd2setz12z70zzcfa_tvectorz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2ze3tvectorz12zd2envzf1zzcfa_tvectorz00,
		BgL_bgl_za762vectorza7d2za7e3t2397za7,
		BGl_z62vectorzd2ze3tvectorz12z41zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2351z00zzcfa_tvectorz00,
		BgL_bgl_string2351za700za7za7c2398za7, "   . Vector -> Tvector", 22);
	      DEFINE_STRING(BGl_string2352z00zzcfa_tvectorz00,
		BgL_bgl_string2352za700za7za7c2399za7, " -> vector of ", 14);
	      DEFINE_STRING(BGl_string2353z00zzcfa_tvectorz00,
		BgL_bgl_string2353za700za7za7c2400za7, "        vector of ", 18);
	      DEFINE_STRING(BGl_string2355z00zzcfa_tvectorz00,
		BgL_bgl_string2355za700za7za7c2401za7, "get-vector-item-type1623", 24);
	      DEFINE_STRING(BGl_string2357z00zzcfa_tvectorz00,
		BgL_bgl_string2357za700za7za7c2402za7, "patch!1629", 10);
	      DEFINE_STRING(BGl_string2358z00zzcfa_tvectorz00,
		BgL_bgl_string2358za700za7za7c2403za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2360z00zzcfa_tvectorz00,
		BgL_bgl_string2360za700za7za7c2404za7, "get-vector-item-type", 20);
	      DEFINE_STRING(BGl_string2363z00zzcfa_tvectorz00,
		BgL_bgl_string2363za700za7za7c2405za7, "patch!", 6);
	      DEFINE_STRING(BGl_string2391z00zzcfa_tvectorz00,
		BgL_bgl_string2391za700za7za7c2406za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2392z00zzcfa_tvectorz00,
		BgL_bgl_string2392za700za7za7c2407za7, "cfa_tvector", 11);
	      DEFINE_STRING(BGl_string2393z00zzcfa_tvectorz00,
		BgL_bgl_string2393za700za7za7c2408za7,
		"a-tvector __r4_vectors_6_8 vector->list -length make- allocate- -ref -set! get-vector-item-type1623 patch!1629 value ->list done no-remove unit cfa tv-of- all (vector-set! c-vector-set! vector-set-ur!) vector? $vector? c-vector? (vector-set! vector-set-ur! c-vector-set! $vector-set! $vector-set-ur!) ",
		301);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_tvectorzd2optimiza7ationzf3zd2envz54zzcfa_tvectorz00,
		BgL_bgl_za762tvectorza7d2opt2409z00,
		BGl_z62tvectorzd2optimiza7ationzf3ze4zzcfa_tvectorz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2makezd2vectorz12zd2envzc0zzcfa_tvectorz00,
		BgL_bgl_za762addza7d2makeza7d22410za7,
		BGl_z62addzd2makezd2vectorz12z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unpatchzd2vectorzd2setz12zd2envzc0zzcfa_tvectorz00,
		BgL_bgl_za762unpatchza7d2vec2411z00,
		BGl_z62unpatchzd2vectorzd2setz12z70zzcfa_tvectorz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2354z00zzcfa_tvectorz00,
		BgL_bgl_za762getza7d2vectorza72412za7,
		BGl_z62getzd2vectorzd2itemzd2type1623zb0zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2356z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza7121629za72413za7,
		BGl_z62patchz121629z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2359z00zzcfa_tvectorz00,
		BgL_bgl_za762getza7d2vectorza72414za7,
		BGl_z62getzd2vectorzd2itemzd2type1626zb0zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2361z00zzcfa_tvectorz00,
		BgL_bgl_za762getza7d2vectorza72415za7,
		BGl_z62getzd2vectorzd2itemzd2type1628zb0zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2362z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2at2416za7,
		BGl_z62patchz12zd2atom1632za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2364z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2kw2417za7,
		BGl_z62patchz12zd2kwote1634za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2365z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2kw2418za7,
		BGl_z62patchz12zd2kwotezf2node1636z50zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2366z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2va2419za7,
		BGl_z62patchz12zd2var1638za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2367z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2cl2420za7,
		BGl_z62patchz12zd2closure1640za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2368z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2se2421za7,
		BGl_z62patchz12zd2sequence1642za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2369z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2sy2422za7,
		BGl_z62patchz12zd2sync1644za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2370z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ap2423za7,
		BGl_z62patchz12zd2appzd2ly1646z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2371z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2fu2424za7,
		BGl_z62patchz12zd2funcall1648za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2372z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ex2425za7,
		BGl_z62patchz12zd2extern1650za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2373z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ca2426za7,
		BGl_z62patchz12zd2cast1652za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2374z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2se2427za7,
		BGl_z62patchz12zd2setq1654za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2375z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2co2428za7,
		BGl_z62patchz12zd2conditional1656za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2376z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2fa2429za7,
		BGl_z62patchz12zd2fail1658za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2377z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2sw2430za7,
		BGl_z62patchz12zd2switch1660za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2378z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2le2431za7,
		BGl_z62patchz12zd2letzd2fun1662z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2379z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2le2432za7,
		BGl_z62patchz12zd2letzd2var1664z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2380z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2se2433za7,
		BGl_z62patchz12zd2setzd2exzd2it1666za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2381z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ju2434za7,
		BGl_z62patchz12zd2jumpzd2exzd2it1668za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2382z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ma2435za7,
		BGl_z62patchz12zd2makezd2box1670z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2383z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2bo2436za7,
		BGl_z62patchz12zd2boxzd2setz121672z62zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2384z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2bo2437za7,
		BGl_z62patchz12zd2boxzd2ref1674z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2385z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ap2438za7,
		BGl_z62patchz12zd2app1676za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2386z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2vl2439za7,
		BGl_z62patchz12zd2vlength1678za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2387z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ma2440za7,
		BGl_z62patchz12zd2makezd2vectorzd2a1680za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2388z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2va2441za7,
		BGl_z62patchz12zd2valloczf2Cinfozb21682ze2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2389z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2vr2442za7,
		BGl_z62patchz12zd2vrefzf2Cinfo1684z50zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2390z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2vs2443za7,
		BGl_z62patchz12zd2vsetz12zf2Cinfo1686z42zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_getzd2vectorzd2itemzd2typezd2envz00zzcfa_tvectorz00,
		BgL_bgl_za762getza7d2vectorza72444za7,
		BGl_z62getzd2vectorzd2itemzd2typezb0zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za770za7za72445za7,
		BGl_z62patchz12z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_tvectorz00));
		   
			 ADD_ROOT((void *) (&BGl_za2makezd2vectorzd2listza2z00zzcfa_tvectorz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long
		BgL_checksumz00_6344, char *BgL_fromz00_6345)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_tvectorz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_tvectorz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_tvectorz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_tvectorz00();
					BGl_cnstzd2initzd2zzcfa_tvectorz00();
					BGl_importedzd2moduleszd2initz00zzcfa_tvectorz00();
					BGl_genericzd2initzd2zzcfa_tvectorz00();
					BGl_methodzd2initzd2zzcfa_tvectorz00();
					return BGl_toplevelzd2initzd2zzcfa_tvectorz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "cfa_tvector");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 15 */
			{	/* Cfa/tvector.scm 15 */
				obj_t BgL_cportz00_6018;

				{	/* Cfa/tvector.scm 15 */
					obj_t BgL_stringz00_6026;

					BgL_stringz00_6026 = BGl_string2393z00zzcfa_tvectorz00;
					{	/* Cfa/tvector.scm 15 */
						obj_t BgL_startz00_6027;

						BgL_startz00_6027 = BINT(((long) 0));
						{	/* Cfa/tvector.scm 15 */
							obj_t BgL_endz00_6028;

							BgL_endz00_6028 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_6026)));
							{	/* Cfa/tvector.scm 15 */

								BgL_cportz00_6018 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_6026, BgL_startz00_6027, BgL_endz00_6028);
				}}}}
				{
					long BgL_iz00_6019;

					BgL_iz00_6019 = ((long) 22);
				BgL_loopz00_6020:
					if ((BgL_iz00_6019 == ((long) -1)))
						{	/* Cfa/tvector.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/tvector.scm 15 */
							{	/* Cfa/tvector.scm 15 */
								obj_t BgL_arg2395z00_6022;

								{	/* Cfa/tvector.scm 15 */

									{	/* Cfa/tvector.scm 15 */
										obj_t BgL_locationz00_6024;

										BgL_locationz00_6024 = BBOOL(((bool_t) 0));
										{	/* Cfa/tvector.scm 15 */

											BgL_arg2395z00_6022 =
												BGl_readz00zz__readerz00(BgL_cportz00_6018,
												BgL_locationz00_6024);
										}
									}
								}
								{	/* Cfa/tvector.scm 15 */
									int BgL_tmpz00_6379;

									BgL_tmpz00_6379 = (int) (BgL_iz00_6019);
									CNST_TABLE_SET(BgL_tmpz00_6379, BgL_arg2395z00_6022);
							}}
							{	/* Cfa/tvector.scm 15 */
								int BgL_auxz00_6025;

								BgL_auxz00_6025 = (int) ((BgL_iz00_6019 - ((long) 1)));
								{
									long BgL_iz00_6384;

									BgL_iz00_6384 = (long) (BgL_auxz00_6025);
									BgL_iz00_6019 = BgL_iz00_6384;
									goto BgL_loopz00_6020;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 15 */
			BGl_za2makezd2vectorzd2listza2z00zzcfa_tvectorz00 = BNIL;
			return BUNSPEC;
		}

	}



/* tvector-optimization? */
	BGL_EXPORTED_DEF obj_t BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 62 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 3)))
				{	/* Cfa/tvector.scm 63 */
					if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
						{	/* Cfa/tvector.scm 63 */
							return BFALSE;
						}
					else
						{	/* Cfa/tvector.scm 63 */
							return BTRUE;
						}
				}
			else
				{	/* Cfa/tvector.scm 63 */
					return BFALSE;
				}
		}

	}



/* &tvector-optimization? */
	obj_t BGl_z62tvectorzd2optimiza7ationzf3ze4zzcfa_tvectorz00(obj_t
		BgL_envz00_5907)
	{
		{	/* Cfa/tvector.scm 62 */
			return BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00();
		}

	}



/* patch-vector-set! */
	BGL_EXPORTED_DEF obj_t BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 71 */
			if (CBOOL(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00()))
				{	/* Cfa/tvector.scm 72 */
					{	/* Cfa/tvector.scm 73 */
						obj_t BgL_g1599z00_3600;

						BgL_g1599z00_3600 = CNST_TABLE_REF(((long) 0));
						{
							obj_t BgL_l1597z00_3602;

							BgL_l1597z00_3602 = BgL_g1599z00_3600;
						BgL_zc3z04anonymousza31761ze3z87_3603:
							if (PAIRP(BgL_l1597z00_3602))
								{	/* Cfa/tvector.scm 84 */
									{	/* Cfa/tvector.scm 74 */
										obj_t BgL_setz00_3605;

										BgL_setz00_3605 = CAR(BgL_l1597z00_3602);
										{	/* Cfa/tvector.scm 74 */
											obj_t BgL_gz00_3606;

											BgL_gz00_3606 =
												BGl_findzd2globalzd2zzast_envz00(BgL_setz00_3605, BNIL);
											{	/* Cfa/tvector.scm 75 */
												bool_t BgL_test2452z00_6401;

												{	/* Cfa/tvector.scm 75 */
													obj_t BgL_classz00_4747;

													BgL_classz00_4747 = BGl_globalz00zzast_varz00;
													if (BGL_OBJECTP(BgL_gz00_3606))
														{	/* Cfa/tvector.scm 75 */
															BgL_objectz00_bglt BgL_arg1825z00_4749;

															BgL_arg1825z00_4749 =
																(BgL_objectz00_bglt) (BgL_gz00_3606);
															{	/* Cfa/tvector.scm 75 */
																bool_t BgL_arg1822z00_4752;
																bool_t BgL_arg1823z00_4753;

																{	/* Cfa/tvector.scm 75 */
																	long BgL_idxz00_4756;

																	BgL_idxz00_4756 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_4749);
																	BgL_arg1822z00_4752 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4756 + ((long) 2))) ==
																		BgL_classz00_4747);
																}
																{	/* Cfa/tvector.scm 75 */
																	bool_t BgL_res2312z00_4778;

																	{	/* Cfa/tvector.scm 75 */
																		obj_t BgL_oclassz00_4764;

																		{	/* Cfa/tvector.scm 75 */
																			long BgL_arg1833z00_4770;

																			{	/* Cfa/tvector.scm 75 */
																				long BgL_arg1834z00_4771;

																				BgL_arg1834z00_4771 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_4749);
																				BgL_arg1833z00_4770 =
																					(BgL_arg1834z00_4771 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4764 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_4770);
																		}
																		{	/* Cfa/tvector.scm 75 */
																			bool_t BgL__ortest_1110z00_4765;

																			BgL__ortest_1110z00_4765 =
																				(BgL_classz00_4747 ==
																				BgL_oclassz00_4764);
																			if (BgL__ortest_1110z00_4765)
																				{	/* Cfa/tvector.scm 75 */
																					BgL_res2312z00_4778 =
																						BgL__ortest_1110z00_4765;
																				}
																			else
																				{	/* Cfa/tvector.scm 75 */
																					long BgL_odepthz00_4766;

																					BgL_odepthz00_4766 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4764);
																					if ((((long) 2) < BgL_odepthz00_4766))
																						{	/* Cfa/tvector.scm 75 */
																							obj_t BgL_arg1821z00_4768;

																							BgL_arg1821z00_4768 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4764,
																								((long) 2));
																							BgL_res2312z00_4778 =
																								(BgL_arg1821z00_4768 ==
																								BgL_classz00_4747);
																						}
																					else
																						{	/* Cfa/tvector.scm 75 */
																							BgL_res2312z00_4778 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_4753 = BgL_res2312z00_4778;
																}
																BgL_test2452z00_6401 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_4752,
																	BgL_arg1823z00_4753);
															}
														}
													else
														{	/* Cfa/tvector.scm 75 */
															BgL_test2452z00_6401 = ((bool_t) 0);
														}
												}
												if (BgL_test2452z00_6401)
													{	/* Cfa/tvector.scm 76 */
														BgL_valuez00_bglt BgL_funz00_3608;

														BgL_funz00_3608 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_gz00_3606))))->
															BgL_valuez00);
														{	/* Cfa/tvector.scm 78 */
															bool_t BgL_test2456z00_6423;

															{	/* Cfa/tvector.scm 78 */
																obj_t BgL_classz00_4780;

																BgL_classz00_4780 = BGl_cfunz00zzast_varz00;
																{	/* Cfa/tvector.scm 78 */
																	BgL_objectz00_bglt BgL_arg1825z00_4782;

																	{	/* Cfa/tvector.scm 78 */
																		obj_t BgL_tmpz00_6424;

																		BgL_tmpz00_6424 =
																			((obj_t)
																			((BgL_objectz00_bglt) BgL_funz00_3608));
																		BgL_arg1825z00_4782 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_6424);
																	}
																	{	/* Cfa/tvector.scm 78 */
																		bool_t BgL_arg1822z00_4785;
																		bool_t BgL_arg1823z00_4786;

																		{	/* Cfa/tvector.scm 78 */
																			long BgL_idxz00_4789;

																			BgL_idxz00_4789 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_4782);
																			BgL_arg1822z00_4785 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_4789 + ((long) 3))) ==
																				BgL_classz00_4780);
																		}
																		{	/* Cfa/tvector.scm 78 */
																			bool_t BgL_res2313z00_4811;

																			{	/* Cfa/tvector.scm 78 */
																				obj_t BgL_oclassz00_4797;

																				{	/* Cfa/tvector.scm 78 */
																					long BgL_arg1833z00_4803;

																					{	/* Cfa/tvector.scm 78 */
																						long BgL_arg1834z00_4804;

																						BgL_arg1834z00_4804 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_4782);
																						BgL_arg1833z00_4803 =
																							(BgL_arg1834z00_4804 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_4797 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_4803);
																				}
																				{	/* Cfa/tvector.scm 78 */
																					bool_t BgL__ortest_1110z00_4798;

																					BgL__ortest_1110z00_4798 =
																						(BgL_classz00_4780 ==
																						BgL_oclassz00_4797);
																					if (BgL__ortest_1110z00_4798)
																						{	/* Cfa/tvector.scm 78 */
																							BgL_res2313z00_4811 =
																								BgL__ortest_1110z00_4798;
																						}
																					else
																						{	/* Cfa/tvector.scm 78 */
																							long BgL_odepthz00_4799;

																							BgL_odepthz00_4799 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_4797);
																							if ((((long) 3) <
																									BgL_odepthz00_4799))
																								{	/* Cfa/tvector.scm 78 */
																									obj_t BgL_arg1821z00_4801;

																									BgL_arg1821z00_4801 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_4797,
																										((long) 3));
																									BgL_res2313z00_4811 =
																										(BgL_arg1821z00_4801 ==
																										BgL_classz00_4780);
																								}
																							else
																								{	/* Cfa/tvector.scm 78 */
																									BgL_res2313z00_4811 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_4786 = BgL_res2313z00_4811;
																		}
																		BgL_test2456z00_6423 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_4785,
																			BgL_arg1823z00_4786);
																	}
																}
															}
															if (BgL_test2456z00_6423)
																{	/* Cfa/tvector.scm 79 */
																	obj_t BgL_arg1766z00_3610;
																	BgL_typez00_bglt BgL_arg1770z00_3611;

																	{	/* Cfa/tvector.scm 79 */
																		obj_t BgL_pairz00_4813;

																		BgL_pairz00_4813 =
																			(((BgL_cfunz00_bglt) COBJECT(
																					((BgL_cfunz00_bglt)
																						BgL_funz00_3608)))->
																			BgL_argszd2typezd2);
																		BgL_arg1766z00_3610 =
																			CDR(CDR(BgL_pairz00_4813));
																	}
																	BgL_arg1770z00_3611 =
																		BGl_getzd2defaultzd2typez00zztype_cachez00
																		();
																	{	/* Cfa/tvector.scm 79 */
																		obj_t BgL_auxz00_6450;
																		obj_t BgL_tmpz00_6448;

																		BgL_auxz00_6450 =
																			((obj_t) BgL_arg1770z00_3611);
																		BgL_tmpz00_6448 =
																			((obj_t) BgL_arg1766z00_3610);
																		SET_CAR(BgL_tmpz00_6448, BgL_auxz00_6450);
																	}
																}
															else
																{	/* Cfa/tvector.scm 81 */
																	bool_t BgL_test2459z00_6453;

																	{	/* Cfa/tvector.scm 81 */
																		obj_t BgL_classz00_4818;

																		BgL_classz00_4818 = BGl_sfunz00zzast_varz00;
																		{	/* Cfa/tvector.scm 81 */
																			BgL_objectz00_bglt BgL_arg1825z00_4820;

																			{	/* Cfa/tvector.scm 81 */
																				obj_t BgL_tmpz00_6454;

																				BgL_tmpz00_6454 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_funz00_3608));
																				BgL_arg1825z00_4820 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_6454);
																			}
																			{	/* Cfa/tvector.scm 81 */
																				bool_t BgL_arg1822z00_4823;
																				bool_t BgL_arg1823z00_4824;

																				{	/* Cfa/tvector.scm 81 */
																					long BgL_idxz00_4827;

																					BgL_idxz00_4827 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_4820);
																					BgL_arg1822z00_4823 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_4827 + ((long) 3))) ==
																						BgL_classz00_4818);
																				}
																				{	/* Cfa/tvector.scm 81 */
																					bool_t BgL_res2314z00_4849;

																					{	/* Cfa/tvector.scm 81 */
																						obj_t BgL_oclassz00_4835;

																						{	/* Cfa/tvector.scm 81 */
																							long BgL_arg1833z00_4841;

																							{	/* Cfa/tvector.scm 81 */
																								long BgL_arg1834z00_4842;

																								BgL_arg1834z00_4842 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_4820);
																								BgL_arg1833z00_4841 =
																									(BgL_arg1834z00_4842 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_4835 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_4841);
																						}
																						{	/* Cfa/tvector.scm 81 */
																							bool_t BgL__ortest_1110z00_4836;

																							BgL__ortest_1110z00_4836 =
																								(BgL_classz00_4818 ==
																								BgL_oclassz00_4835);
																							if (BgL__ortest_1110z00_4836)
																								{	/* Cfa/tvector.scm 81 */
																									BgL_res2314z00_4849 =
																										BgL__ortest_1110z00_4836;
																								}
																							else
																								{	/* Cfa/tvector.scm 81 */
																									long BgL_odepthz00_4837;

																									BgL_odepthz00_4837 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_4835);
																									if ((((long) 3) <
																											BgL_odepthz00_4837))
																										{	/* Cfa/tvector.scm 81 */
																											obj_t BgL_arg1821z00_4839;

																											BgL_arg1821z00_4839 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_4835,
																												((long) 3));
																											BgL_res2314z00_4849 =
																												(BgL_arg1821z00_4839 ==
																												BgL_classz00_4818);
																										}
																									else
																										{	/* Cfa/tvector.scm 81 */
																											BgL_res2314z00_4849 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_4824 =
																						BgL_res2314z00_4849;
																				}
																				BgL_test2459z00_6453 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_4823,
																					BgL_arg1823z00_4824);
																			}
																		}
																	}
																	if (BgL_test2459z00_6453)
																		{	/* Cfa/tvector.scm 82 */
																			obj_t BgL_arg1777z00_3614;
																			BgL_typez00_bglt BgL_arg1781z00_3615;

																			{	/* Cfa/tvector.scm 82 */
																				obj_t BgL_pairz00_4851;

																				BgL_pairz00_4851 =
																					(((BgL_sfunz00_bglt) COBJECT(
																							((BgL_sfunz00_bglt)
																								BgL_funz00_3608)))->
																					BgL_argsz00);
																				BgL_arg1777z00_3614 =
																					CAR(CDR(CDR(BgL_pairz00_4851)));
																			}
																			BgL_arg1781z00_3615 =
																				BGl_getzd2defaultzd2typez00zztype_cachez00
																				();
																			((((BgL_variablez00_bglt)
																						COBJECT(((BgL_variablez00_bglt) (
																									(BgL_localz00_bglt)
																									BgL_arg1777z00_3614))))->
																					BgL_typez00) =
																				((BgL_typez00_bglt)
																					BgL_arg1781z00_3615), BUNSPEC);
																		}
																	else
																		{	/* Cfa/tvector.scm 81 */
																			BFALSE;
																		}
																}
														}
													}
												else
													{	/* Cfa/tvector.scm 75 */
														BFALSE;
													}
											}
										}
									}
									{
										obj_t BgL_l1597z00_6482;

										BgL_l1597z00_6482 = CDR(BgL_l1597z00_3602);
										BgL_l1597z00_3602 = BgL_l1597z00_6482;
										goto BgL_zc3z04anonymousza31761ze3z87_3603;
									}
								}
							else
								{	/* Cfa/tvector.scm 84 */
									((bool_t) 1);
								}
						}
					}
					{	/* Cfa/tvector.scm 86 */
						obj_t BgL_gz00_3620;

						BgL_gz00_3620 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 1)),
							BNIL);
						{	/* Cfa/tvector.scm 87 */
							bool_t BgL_test2462z00_6486;

							{	/* Cfa/tvector.scm 87 */
								obj_t BgL_classz00_4860;

								BgL_classz00_4860 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_3620))
									{	/* Cfa/tvector.scm 87 */
										BgL_objectz00_bglt BgL_arg1825z00_4862;

										BgL_arg1825z00_4862 = (BgL_objectz00_bglt) (BgL_gz00_3620);
										{	/* Cfa/tvector.scm 87 */
											bool_t BgL_arg1822z00_4865;
											bool_t BgL_arg1823z00_4866;

											{	/* Cfa/tvector.scm 87 */
												long BgL_idxz00_4869;

												BgL_idxz00_4869 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4862);
												BgL_arg1822z00_4865 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4869 + ((long) 2))) ==
													BgL_classz00_4860);
											}
											{	/* Cfa/tvector.scm 87 */
												bool_t BgL_res2315z00_4891;

												{	/* Cfa/tvector.scm 87 */
													obj_t BgL_oclassz00_4877;

													{	/* Cfa/tvector.scm 87 */
														long BgL_arg1833z00_4883;

														{	/* Cfa/tvector.scm 87 */
															long BgL_arg1834z00_4884;

															BgL_arg1834z00_4884 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4862);
															BgL_arg1833z00_4883 =
																(BgL_arg1834z00_4884 - OBJECT_TYPE);
														}
														BgL_oclassz00_4877 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_4883);
													}
													{	/* Cfa/tvector.scm 87 */
														bool_t BgL__ortest_1110z00_4878;

														BgL__ortest_1110z00_4878 =
															(BgL_classz00_4860 == BgL_oclassz00_4877);
														if (BgL__ortest_1110z00_4878)
															{	/* Cfa/tvector.scm 87 */
																BgL_res2315z00_4891 = BgL__ortest_1110z00_4878;
															}
														else
															{	/* Cfa/tvector.scm 87 */
																long BgL_odepthz00_4879;

																BgL_odepthz00_4879 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4877);
																if ((((long) 2) < BgL_odepthz00_4879))
																	{	/* Cfa/tvector.scm 87 */
																		obj_t BgL_arg1821z00_4881;

																		BgL_arg1821z00_4881 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4877, ((long) 2));
																		BgL_res2315z00_4891 =
																			(BgL_arg1821z00_4881 ==
																			BgL_classz00_4860);
																	}
																else
																	{	/* Cfa/tvector.scm 87 */
																		BgL_res2315z00_4891 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_4866 = BgL_res2315z00_4891;
											}
											BgL_test2462z00_6486 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_4865,
												BgL_arg1823z00_4866);
										}
									}
								else
									{	/* Cfa/tvector.scm 87 */
										BgL_test2462z00_6486 = ((bool_t) 0);
									}
							}
							if (BgL_test2462z00_6486)
								{	/* Cfa/tvector.scm 88 */
									BgL_valuez00_bglt BgL_fz00_3622;

									BgL_fz00_3622 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_3620))))->
										BgL_valuez00);
									{	/* Cfa/tvector.scm 89 */
										obj_t BgL_arg1799z00_3623;
										BgL_typez00_bglt BgL_arg1801z00_3624;

										BgL_arg1799z00_3623 =
											(((BgL_cfunz00_bglt) COBJECT(
													((BgL_cfunz00_bglt) BgL_fz00_3622)))->
											BgL_argszd2typezd2);
										BgL_arg1801z00_3624 =
											BGl_getzd2defaultzd2typez00zztype_cachez00();
										{	/* Cfa/tvector.scm 89 */
											obj_t BgL_auxz00_6513;
											obj_t BgL_tmpz00_6511;

											BgL_auxz00_6513 = ((obj_t) BgL_arg1801z00_3624);
											BgL_tmpz00_6511 = ((obj_t) BgL_arg1799z00_3623);
											SET_CAR(BgL_tmpz00_6511, BgL_auxz00_6513);
										}
									}
								}
							else
								{	/* Cfa/tvector.scm 87 */
									BFALSE;
								}
						}
					}
					{	/* Cfa/tvector.scm 90 */
						obj_t BgL_gz00_3626;

						BgL_gz00_3626 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 2)),
							BNIL);
						{	/* Cfa/tvector.scm 91 */
							bool_t BgL_test2466z00_6518;

							{	/* Cfa/tvector.scm 91 */
								obj_t BgL_classz00_4895;

								BgL_classz00_4895 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_3626))
									{	/* Cfa/tvector.scm 91 */
										BgL_objectz00_bglt BgL_arg1825z00_4897;

										BgL_arg1825z00_4897 = (BgL_objectz00_bglt) (BgL_gz00_3626);
										{	/* Cfa/tvector.scm 91 */
											bool_t BgL_arg1822z00_4900;
											bool_t BgL_arg1823z00_4901;

											{	/* Cfa/tvector.scm 91 */
												long BgL_idxz00_4904;

												BgL_idxz00_4904 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4897);
												BgL_arg1822z00_4900 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4904 + ((long) 2))) ==
													BgL_classz00_4895);
											}
											{	/* Cfa/tvector.scm 91 */
												bool_t BgL_res2316z00_4926;

												{	/* Cfa/tvector.scm 91 */
													obj_t BgL_oclassz00_4912;

													{	/* Cfa/tvector.scm 91 */
														long BgL_arg1833z00_4918;

														{	/* Cfa/tvector.scm 91 */
															long BgL_arg1834z00_4919;

															BgL_arg1834z00_4919 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4897);
															BgL_arg1833z00_4918 =
																(BgL_arg1834z00_4919 - OBJECT_TYPE);
														}
														BgL_oclassz00_4912 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_4918);
													}
													{	/* Cfa/tvector.scm 91 */
														bool_t BgL__ortest_1110z00_4913;

														BgL__ortest_1110z00_4913 =
															(BgL_classz00_4895 == BgL_oclassz00_4912);
														if (BgL__ortest_1110z00_4913)
															{	/* Cfa/tvector.scm 91 */
																BgL_res2316z00_4926 = BgL__ortest_1110z00_4913;
															}
														else
															{	/* Cfa/tvector.scm 91 */
																long BgL_odepthz00_4914;

																BgL_odepthz00_4914 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4912);
																if ((((long) 2) < BgL_odepthz00_4914))
																	{	/* Cfa/tvector.scm 91 */
																		obj_t BgL_arg1821z00_4916;

																		BgL_arg1821z00_4916 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4912, ((long) 2));
																		BgL_res2316z00_4926 =
																			(BgL_arg1821z00_4916 ==
																			BgL_classz00_4895);
																	}
																else
																	{	/* Cfa/tvector.scm 91 */
																		BgL_res2316z00_4926 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_4901 = BgL_res2316z00_4926;
											}
											BgL_test2466z00_6518 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_4900,
												BgL_arg1823z00_4901);
										}
									}
								else
									{	/* Cfa/tvector.scm 91 */
										BgL_test2466z00_6518 = ((bool_t) 0);
									}
							}
							if (BgL_test2466z00_6518)
								{	/* Cfa/tvector.scm 92 */
									BgL_valuez00_bglt BgL_fz00_3628;

									BgL_fz00_3628 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_3626))))->
										BgL_valuez00);
									{	/* Cfa/tvector.scm 93 */
										obj_t BgL_arg1805z00_3629;
										BgL_typez00_bglt BgL_arg1807z00_3630;

										BgL_arg1805z00_3629 =
											(((BgL_cfunz00_bglt) COBJECT(
													((BgL_cfunz00_bglt) BgL_fz00_3628)))->
											BgL_argszd2typezd2);
										BgL_arg1807z00_3630 =
											BGl_getzd2defaultzd2typez00zztype_cachez00();
										{	/* Cfa/tvector.scm 93 */
											obj_t BgL_auxz00_6545;
											obj_t BgL_tmpz00_6543;

											BgL_auxz00_6545 = ((obj_t) BgL_arg1807z00_3630);
											BgL_tmpz00_6543 = ((obj_t) BgL_arg1805z00_3629);
											SET_CAR(BgL_tmpz00_6543, BgL_auxz00_6545);
										}
									}
								}
							else
								{	/* Cfa/tvector.scm 91 */
									BFALSE;
								}
						}
					}
					{	/* Cfa/tvector.scm 94 */
						obj_t BgL_gz00_3632;

						BgL_gz00_3632 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 3)),
							BNIL);
						{	/* Cfa/tvector.scm 95 */
							bool_t BgL_test2470z00_6550;

							{	/* Cfa/tvector.scm 95 */
								obj_t BgL_classz00_4930;

								BgL_classz00_4930 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_3632))
									{	/* Cfa/tvector.scm 95 */
										BgL_objectz00_bglt BgL_arg1825z00_4932;

										BgL_arg1825z00_4932 = (BgL_objectz00_bglt) (BgL_gz00_3632);
										{	/* Cfa/tvector.scm 95 */
											bool_t BgL_arg1822z00_4935;
											bool_t BgL_arg1823z00_4936;

											{	/* Cfa/tvector.scm 95 */
												long BgL_idxz00_4939;

												BgL_idxz00_4939 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4932);
												BgL_arg1822z00_4935 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4939 + ((long) 2))) ==
													BgL_classz00_4930);
											}
											{	/* Cfa/tvector.scm 95 */
												bool_t BgL_res2317z00_4961;

												{	/* Cfa/tvector.scm 95 */
													obj_t BgL_oclassz00_4947;

													{	/* Cfa/tvector.scm 95 */
														long BgL_arg1833z00_4953;

														{	/* Cfa/tvector.scm 95 */
															long BgL_arg1834z00_4954;

															BgL_arg1834z00_4954 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4932);
															BgL_arg1833z00_4953 =
																(BgL_arg1834z00_4954 - OBJECT_TYPE);
														}
														BgL_oclassz00_4947 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_4953);
													}
													{	/* Cfa/tvector.scm 95 */
														bool_t BgL__ortest_1110z00_4948;

														BgL__ortest_1110z00_4948 =
															(BgL_classz00_4930 == BgL_oclassz00_4947);
														if (BgL__ortest_1110z00_4948)
															{	/* Cfa/tvector.scm 95 */
																BgL_res2317z00_4961 = BgL__ortest_1110z00_4948;
															}
														else
															{	/* Cfa/tvector.scm 95 */
																long BgL_odepthz00_4949;

																BgL_odepthz00_4949 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4947);
																if ((((long) 2) < BgL_odepthz00_4949))
																	{	/* Cfa/tvector.scm 95 */
																		obj_t BgL_arg1821z00_4951;

																		BgL_arg1821z00_4951 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4947, ((long) 2));
																		BgL_res2317z00_4961 =
																			(BgL_arg1821z00_4951 ==
																			BgL_classz00_4930);
																	}
																else
																	{	/* Cfa/tvector.scm 95 */
																		BgL_res2317z00_4961 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_4936 = BgL_res2317z00_4961;
											}
											BgL_test2470z00_6550 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_4935,
												BgL_arg1823z00_4936);
										}
									}
								else
									{	/* Cfa/tvector.scm 95 */
										BgL_test2470z00_6550 = ((bool_t) 0);
									}
							}
							if (BgL_test2470z00_6550)
								{	/* Cfa/tvector.scm 96 */
									BgL_valuez00_bglt BgL_fz00_3634;

									BgL_fz00_3634 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_3632))))->
										BgL_valuez00);
									{	/* Cfa/tvector.scm 97 */
										obj_t BgL_arg1810z00_3635;
										BgL_typez00_bglt BgL_arg1811z00_3636;

										{	/* Cfa/tvector.scm 97 */
											obj_t BgL_pairz00_4964;

											BgL_pairz00_4964 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_fz00_3634)))->BgL_argsz00);
											BgL_arg1810z00_3635 = CAR(BgL_pairz00_4964);
										}
										BgL_arg1811z00_3636 =
											BGl_getzd2defaultzd2typez00zztype_cachez00();
										return
											((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_arg1810z00_3635))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_arg1811z00_3636), BUNSPEC);
									}
								}
							else
								{	/* Cfa/tvector.scm 95 */
									return BFALSE;
								}
						}
					}
				}
			else
				{	/* Cfa/tvector.scm 72 */
					return BFALSE;
				}
		}

	}



/* &patch-vector-set! */
	obj_t BGl_z62patchzd2vectorzd2setz12z70zzcfa_tvectorz00(obj_t BgL_envz00_5908)
	{
		{	/* Cfa/tvector.scm 71 */
			return BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00();
		}

	}



/* unpatch-vector-set! */
	BGL_EXPORTED_DEF obj_t BGl_unpatchzd2vectorzd2setz12z12zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 102 */
			if (CBOOL(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00()))
				{	/* Cfa/tvector.scm 103 */
					{	/* Cfa/tvector.scm 105 */
						obj_t BgL_g1602z00_3640;

						BgL_g1602z00_3640 = CNST_TABLE_REF(((long) 4));
						{
							obj_t BgL_l1600z00_3642;

							BgL_l1600z00_3642 = BgL_g1602z00_3640;
						BgL_zc3z04anonymousza31820ze3z87_3643:
							if (PAIRP(BgL_l1600z00_3642))
								{	/* Cfa/tvector.scm 116 */
									{	/* Cfa/tvector.scm 106 */
										obj_t BgL_setz00_3645;

										BgL_setz00_3645 = CAR(BgL_l1600z00_3642);
										{	/* Cfa/tvector.scm 106 */
											obj_t BgL_gz00_3646;

											BgL_gz00_3646 =
												BGl_findzd2globalzd2zzast_envz00(BgL_setz00_3645, BNIL);
											{	/* Cfa/tvector.scm 107 */
												bool_t BgL_test2476z00_6588;

												{	/* Cfa/tvector.scm 107 */
													obj_t BgL_classz00_4968;

													BgL_classz00_4968 = BGl_globalz00zzast_varz00;
													if (BGL_OBJECTP(BgL_gz00_3646))
														{	/* Cfa/tvector.scm 107 */
															BgL_objectz00_bglt BgL_arg1825z00_4970;

															BgL_arg1825z00_4970 =
																(BgL_objectz00_bglt) (BgL_gz00_3646);
															{	/* Cfa/tvector.scm 107 */
																bool_t BgL_arg1822z00_4973;
																bool_t BgL_arg1823z00_4974;

																{	/* Cfa/tvector.scm 107 */
																	long BgL_idxz00_4977;

																	BgL_idxz00_4977 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_4970);
																	BgL_arg1822z00_4973 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4977 + ((long) 2))) ==
																		BgL_classz00_4968);
																}
																{	/* Cfa/tvector.scm 107 */
																	bool_t BgL_res2318z00_4999;

																	{	/* Cfa/tvector.scm 107 */
																		obj_t BgL_oclassz00_4985;

																		{	/* Cfa/tvector.scm 107 */
																			long BgL_arg1833z00_4991;

																			{	/* Cfa/tvector.scm 107 */
																				long BgL_arg1834z00_4992;

																				BgL_arg1834z00_4992 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_4970);
																				BgL_arg1833z00_4991 =
																					(BgL_arg1834z00_4992 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4985 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_4991);
																		}
																		{	/* Cfa/tvector.scm 107 */
																			bool_t BgL__ortest_1110z00_4986;

																			BgL__ortest_1110z00_4986 =
																				(BgL_classz00_4968 ==
																				BgL_oclassz00_4985);
																			if (BgL__ortest_1110z00_4986)
																				{	/* Cfa/tvector.scm 107 */
																					BgL_res2318z00_4999 =
																						BgL__ortest_1110z00_4986;
																				}
																			else
																				{	/* Cfa/tvector.scm 107 */
																					long BgL_odepthz00_4987;

																					BgL_odepthz00_4987 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4985);
																					if ((((long) 2) < BgL_odepthz00_4987))
																						{	/* Cfa/tvector.scm 107 */
																							obj_t BgL_arg1821z00_4989;

																							BgL_arg1821z00_4989 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4985,
																								((long) 2));
																							BgL_res2318z00_4999 =
																								(BgL_arg1821z00_4989 ==
																								BgL_classz00_4968);
																						}
																					else
																						{	/* Cfa/tvector.scm 107 */
																							BgL_res2318z00_4999 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_4974 = BgL_res2318z00_4999;
																}
																BgL_test2476z00_6588 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_4973,
																	BgL_arg1823z00_4974);
															}
														}
													else
														{	/* Cfa/tvector.scm 107 */
															BgL_test2476z00_6588 = ((bool_t) 0);
														}
												}
												if (BgL_test2476z00_6588)
													{	/* Cfa/tvector.scm 108 */
														BgL_valuez00_bglt BgL_funz00_3648;

														BgL_funz00_3648 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_gz00_3646))))->
															BgL_valuez00);
														{	/* Cfa/tvector.scm 110 */
															bool_t BgL_test2480z00_6610;

															{	/* Cfa/tvector.scm 110 */
																obj_t BgL_classz00_5001;

																BgL_classz00_5001 = BGl_cfunz00zzast_varz00;
																{	/* Cfa/tvector.scm 110 */
																	BgL_objectz00_bglt BgL_arg1825z00_5003;

																	{	/* Cfa/tvector.scm 110 */
																		obj_t BgL_tmpz00_6611;

																		BgL_tmpz00_6611 =
																			((obj_t)
																			((BgL_objectz00_bglt) BgL_funz00_3648));
																		BgL_arg1825z00_5003 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_6611);
																	}
																	{	/* Cfa/tvector.scm 110 */
																		bool_t BgL_arg1822z00_5006;
																		bool_t BgL_arg1823z00_5007;

																		{	/* Cfa/tvector.scm 110 */
																			long BgL_idxz00_5010;

																			BgL_idxz00_5010 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_5003);
																			BgL_arg1822z00_5006 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_5010 + ((long) 3))) ==
																				BgL_classz00_5001);
																		}
																		{	/* Cfa/tvector.scm 110 */
																			bool_t BgL_res2319z00_5032;

																			{	/* Cfa/tvector.scm 110 */
																				obj_t BgL_oclassz00_5018;

																				{	/* Cfa/tvector.scm 110 */
																					long BgL_arg1833z00_5024;

																					{	/* Cfa/tvector.scm 110 */
																						long BgL_arg1834z00_5025;

																						BgL_arg1834z00_5025 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_5003);
																						BgL_arg1833z00_5024 =
																							(BgL_arg1834z00_5025 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_5018 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_5024);
																				}
																				{	/* Cfa/tvector.scm 110 */
																					bool_t BgL__ortest_1110z00_5019;

																					BgL__ortest_1110z00_5019 =
																						(BgL_classz00_5001 ==
																						BgL_oclassz00_5018);
																					if (BgL__ortest_1110z00_5019)
																						{	/* Cfa/tvector.scm 110 */
																							BgL_res2319z00_5032 =
																								BgL__ortest_1110z00_5019;
																						}
																					else
																						{	/* Cfa/tvector.scm 110 */
																							long BgL_odepthz00_5020;

																							BgL_odepthz00_5020 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_5018);
																							if ((((long) 3) <
																									BgL_odepthz00_5020))
																								{	/* Cfa/tvector.scm 110 */
																									obj_t BgL_arg1821z00_5022;

																									BgL_arg1821z00_5022 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_5018,
																										((long) 3));
																									BgL_res2319z00_5032 =
																										(BgL_arg1821z00_5022 ==
																										BgL_classz00_5001);
																								}
																							else
																								{	/* Cfa/tvector.scm 110 */
																									BgL_res2319z00_5032 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_5007 = BgL_res2319z00_5032;
																		}
																		BgL_test2480z00_6610 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_5006,
																			BgL_arg1823z00_5007);
																	}
																}
															}
															if (BgL_test2480z00_6610)
																{	/* Cfa/tvector.scm 111 */
																	obj_t BgL_arg1824z00_3650;

																	{	/* Cfa/tvector.scm 111 */
																		obj_t BgL_pairz00_5034;

																		BgL_pairz00_5034 =
																			(((BgL_cfunz00_bglt) COBJECT(
																					((BgL_cfunz00_bglt)
																						BgL_funz00_3648)))->
																			BgL_argszd2typezd2);
																		BgL_arg1824z00_3650 =
																			CDR(CDR(BgL_pairz00_5034));
																	}
																	{	/* Cfa/tvector.scm 111 */
																		obj_t BgL_objz00_5039;

																		BgL_objz00_5039 =
																			BGl_za2objza2z00zztype_cachez00;
																		{	/* Cfa/tvector.scm 111 */
																			obj_t BgL_tmpz00_6634;

																			BgL_tmpz00_6634 =
																				((obj_t) BgL_arg1824z00_3650);
																			SET_CAR(BgL_tmpz00_6634, BgL_objz00_5039);
																		}
																	}
																}
															else
																{	/* Cfa/tvector.scm 113 */
																	bool_t BgL_test2483z00_6637;

																	{	/* Cfa/tvector.scm 113 */
																		obj_t BgL_classz00_5040;

																		BgL_classz00_5040 = BGl_sfunz00zzast_varz00;
																		{	/* Cfa/tvector.scm 113 */
																			BgL_objectz00_bglt BgL_arg1825z00_5042;

																			{	/* Cfa/tvector.scm 113 */
																				obj_t BgL_tmpz00_6638;

																				BgL_tmpz00_6638 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_funz00_3648));
																				BgL_arg1825z00_5042 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_6638);
																			}
																			{	/* Cfa/tvector.scm 113 */
																				bool_t BgL_arg1822z00_5045;
																				bool_t BgL_arg1823z00_5046;

																				{	/* Cfa/tvector.scm 113 */
																					long BgL_idxz00_5049;

																					BgL_idxz00_5049 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_5042);
																					BgL_arg1822z00_5045 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_5049 + ((long) 3))) ==
																						BgL_classz00_5040);
																				}
																				{	/* Cfa/tvector.scm 113 */
																					bool_t BgL_res2320z00_5071;

																					{	/* Cfa/tvector.scm 113 */
																						obj_t BgL_oclassz00_5057;

																						{	/* Cfa/tvector.scm 113 */
																							long BgL_arg1833z00_5063;

																							{	/* Cfa/tvector.scm 113 */
																								long BgL_arg1834z00_5064;

																								BgL_arg1834z00_5064 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_5042);
																								BgL_arg1833z00_5063 =
																									(BgL_arg1834z00_5064 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_5057 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_5063);
																						}
																						{	/* Cfa/tvector.scm 113 */
																							bool_t BgL__ortest_1110z00_5058;

																							BgL__ortest_1110z00_5058 =
																								(BgL_classz00_5040 ==
																								BgL_oclassz00_5057);
																							if (BgL__ortest_1110z00_5058)
																								{	/* Cfa/tvector.scm 113 */
																									BgL_res2320z00_5071 =
																										BgL__ortest_1110z00_5058;
																								}
																							else
																								{	/* Cfa/tvector.scm 113 */
																									long BgL_odepthz00_5059;

																									BgL_odepthz00_5059 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_5057);
																									if ((((long) 3) <
																											BgL_odepthz00_5059))
																										{	/* Cfa/tvector.scm 113 */
																											obj_t BgL_arg1821z00_5061;

																											BgL_arg1821z00_5061 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_5057,
																												((long) 3));
																											BgL_res2320z00_5071 =
																												(BgL_arg1821z00_5061 ==
																												BgL_classz00_5040);
																										}
																									else
																										{	/* Cfa/tvector.scm 113 */
																											BgL_res2320z00_5071 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_5046 =
																						BgL_res2320z00_5071;
																				}
																				BgL_test2483z00_6637 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_5045,
																					BgL_arg1823z00_5046);
																			}
																		}
																	}
																	if (BgL_test2483z00_6637)
																		{	/* Cfa/tvector.scm 114 */
																			obj_t BgL_arg1842z00_3653;

																			{	/* Cfa/tvector.scm 114 */
																				obj_t BgL_pairz00_5073;

																				BgL_pairz00_5073 =
																					(((BgL_sfunz00_bglt) COBJECT(
																							((BgL_sfunz00_bglt)
																								BgL_funz00_3648)))->
																					BgL_argsz00);
																				BgL_arg1842z00_3653 =
																					CAR(CDR(CDR(BgL_pairz00_5073)));
																			}
																			{	/* Cfa/tvector.scm 114 */
																				BgL_typez00_bglt BgL_vz00_5080;

																				BgL_vz00_5080 =
																					((BgL_typez00_bglt)
																					BGl_za2objza2z00zztype_cachez00);
																				((((BgL_variablez00_bglt)
																							COBJECT(((BgL_variablez00_bglt) (
																										(BgL_localz00_bglt)
																										BgL_arg1842z00_3653))))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_vz00_5080),
																					BUNSPEC);
																			}
																		}
																	else
																		{	/* Cfa/tvector.scm 113 */
																			BFALSE;
																		}
																}
														}
													}
												else
													{	/* Cfa/tvector.scm 107 */
														BFALSE;
													}
											}
										}
									}
									{
										obj_t BgL_l1600z00_6666;

										BgL_l1600z00_6666 = CDR(BgL_l1600z00_3642);
										BgL_l1600z00_3642 = BgL_l1600z00_6666;
										goto BgL_zc3z04anonymousza31820ze3z87_3643;
									}
								}
							else
								{	/* Cfa/tvector.scm 116 */
									((bool_t) 1);
								}
						}
					}
					{	/* Cfa/tvector.scm 117 */
						obj_t BgL_gz00_3658;

						BgL_gz00_3658 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 1)),
							BNIL);
						{	/* Cfa/tvector.scm 118 */
							bool_t BgL_test2486z00_6670;

							{	/* Cfa/tvector.scm 118 */
								obj_t BgL_classz00_5082;

								BgL_classz00_5082 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_3658))
									{	/* Cfa/tvector.scm 118 */
										BgL_objectz00_bglt BgL_arg1825z00_5084;

										BgL_arg1825z00_5084 = (BgL_objectz00_bglt) (BgL_gz00_3658);
										{	/* Cfa/tvector.scm 118 */
											bool_t BgL_arg1822z00_5087;
											bool_t BgL_arg1823z00_5088;

											{	/* Cfa/tvector.scm 118 */
												long BgL_idxz00_5091;

												BgL_idxz00_5091 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5084);
												BgL_arg1822z00_5087 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5091 + ((long) 2))) ==
													BgL_classz00_5082);
											}
											{	/* Cfa/tvector.scm 118 */
												bool_t BgL_res2321z00_5113;

												{	/* Cfa/tvector.scm 118 */
													obj_t BgL_oclassz00_5099;

													{	/* Cfa/tvector.scm 118 */
														long BgL_arg1833z00_5105;

														{	/* Cfa/tvector.scm 118 */
															long BgL_arg1834z00_5106;

															BgL_arg1834z00_5106 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5084);
															BgL_arg1833z00_5105 =
																(BgL_arg1834z00_5106 - OBJECT_TYPE);
														}
														BgL_oclassz00_5099 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_5105);
													}
													{	/* Cfa/tvector.scm 118 */
														bool_t BgL__ortest_1110z00_5100;

														BgL__ortest_1110z00_5100 =
															(BgL_classz00_5082 == BgL_oclassz00_5099);
														if (BgL__ortest_1110z00_5100)
															{	/* Cfa/tvector.scm 118 */
																BgL_res2321z00_5113 = BgL__ortest_1110z00_5100;
															}
														else
															{	/* Cfa/tvector.scm 118 */
																long BgL_odepthz00_5101;

																BgL_odepthz00_5101 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_5099);
																if ((((long) 2) < BgL_odepthz00_5101))
																	{	/* Cfa/tvector.scm 118 */
																		obj_t BgL_arg1821z00_5103;

																		BgL_arg1821z00_5103 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_5099, ((long) 2));
																		BgL_res2321z00_5113 =
																			(BgL_arg1821z00_5103 ==
																			BgL_classz00_5082);
																	}
																else
																	{	/* Cfa/tvector.scm 118 */
																		BgL_res2321z00_5113 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_5088 = BgL_res2321z00_5113;
											}
											BgL_test2486z00_6670 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_5087,
												BgL_arg1823z00_5088);
										}
									}
								else
									{	/* Cfa/tvector.scm 118 */
										BgL_test2486z00_6670 = ((bool_t) 0);
									}
							}
							if (BgL_test2486z00_6670)
								{	/* Cfa/tvector.scm 119 */
									BgL_valuez00_bglt BgL_fz00_3660;

									BgL_fz00_3660 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_3658))))->
										BgL_valuez00);
									{	/* Cfa/tvector.scm 120 */
										obj_t BgL_arg1852z00_3661;

										BgL_arg1852z00_3661 =
											(((BgL_cfunz00_bglt) COBJECT(
													((BgL_cfunz00_bglt) BgL_fz00_3660)))->
											BgL_argszd2typezd2);
										{	/* Cfa/tvector.scm 120 */
											obj_t BgL_objz00_5117;

											BgL_objz00_5117 = BGl_za2objza2z00zztype_cachez00;
											{	/* Cfa/tvector.scm 120 */
												obj_t BgL_tmpz00_6694;

												BgL_tmpz00_6694 = ((obj_t) BgL_arg1852z00_3661);
												SET_CAR(BgL_tmpz00_6694, BgL_objz00_5117);
											}
										}
									}
								}
							else
								{	/* Cfa/tvector.scm 118 */
									BFALSE;
								}
						}
					}
					{	/* Cfa/tvector.scm 121 */
						obj_t BgL_gz00_3663;

						BgL_gz00_3663 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 2)),
							BNIL);
						{	/* Cfa/tvector.scm 122 */
							bool_t BgL_test2490z00_6699;

							{	/* Cfa/tvector.scm 122 */
								obj_t BgL_classz00_5118;

								BgL_classz00_5118 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_3663))
									{	/* Cfa/tvector.scm 122 */
										BgL_objectz00_bglt BgL_arg1825z00_5120;

										BgL_arg1825z00_5120 = (BgL_objectz00_bglt) (BgL_gz00_3663);
										{	/* Cfa/tvector.scm 122 */
											bool_t BgL_arg1822z00_5123;
											bool_t BgL_arg1823z00_5124;

											{	/* Cfa/tvector.scm 122 */
												long BgL_idxz00_5127;

												BgL_idxz00_5127 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5120);
												BgL_arg1822z00_5123 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5127 + ((long) 2))) ==
													BgL_classz00_5118);
											}
											{	/* Cfa/tvector.scm 122 */
												bool_t BgL_res2322z00_5149;

												{	/* Cfa/tvector.scm 122 */
													obj_t BgL_oclassz00_5135;

													{	/* Cfa/tvector.scm 122 */
														long BgL_arg1833z00_5141;

														{	/* Cfa/tvector.scm 122 */
															long BgL_arg1834z00_5142;

															BgL_arg1834z00_5142 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5120);
															BgL_arg1833z00_5141 =
																(BgL_arg1834z00_5142 - OBJECT_TYPE);
														}
														BgL_oclassz00_5135 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_5141);
													}
													{	/* Cfa/tvector.scm 122 */
														bool_t BgL__ortest_1110z00_5136;

														BgL__ortest_1110z00_5136 =
															(BgL_classz00_5118 == BgL_oclassz00_5135);
														if (BgL__ortest_1110z00_5136)
															{	/* Cfa/tvector.scm 122 */
																BgL_res2322z00_5149 = BgL__ortest_1110z00_5136;
															}
														else
															{	/* Cfa/tvector.scm 122 */
																long BgL_odepthz00_5137;

																BgL_odepthz00_5137 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_5135);
																if ((((long) 2) < BgL_odepthz00_5137))
																	{	/* Cfa/tvector.scm 122 */
																		obj_t BgL_arg1821z00_5139;

																		BgL_arg1821z00_5139 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_5135, ((long) 2));
																		BgL_res2322z00_5149 =
																			(BgL_arg1821z00_5139 ==
																			BgL_classz00_5118);
																	}
																else
																	{	/* Cfa/tvector.scm 122 */
																		BgL_res2322z00_5149 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_5124 = BgL_res2322z00_5149;
											}
											BgL_test2490z00_6699 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_5123,
												BgL_arg1823z00_5124);
										}
									}
								else
									{	/* Cfa/tvector.scm 122 */
										BgL_test2490z00_6699 = ((bool_t) 0);
									}
							}
							if (BgL_test2490z00_6699)
								{	/* Cfa/tvector.scm 123 */
									BgL_valuez00_bglt BgL_fz00_3665;

									BgL_fz00_3665 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_3663))))->
										BgL_valuez00);
									{	/* Cfa/tvector.scm 124 */
										obj_t BgL_arg1855z00_3666;

										BgL_arg1855z00_3666 =
											(((BgL_cfunz00_bglt) COBJECT(
													((BgL_cfunz00_bglt) BgL_fz00_3665)))->
											BgL_argszd2typezd2);
										{	/* Cfa/tvector.scm 124 */
											obj_t BgL_objz00_5153;

											BgL_objz00_5153 = BGl_za2objza2z00zztype_cachez00;
											{	/* Cfa/tvector.scm 124 */
												obj_t BgL_tmpz00_6723;

												BgL_tmpz00_6723 = ((obj_t) BgL_arg1855z00_3666);
												SET_CAR(BgL_tmpz00_6723, BgL_objz00_5153);
											}
										}
									}
								}
							else
								{	/* Cfa/tvector.scm 122 */
									BFALSE;
								}
						}
					}
					{	/* Cfa/tvector.scm 125 */
						obj_t BgL_gz00_3668;

						BgL_gz00_3668 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 3)),
							BNIL);
						{	/* Cfa/tvector.scm 126 */
							bool_t BgL_test2494z00_6728;

							{	/* Cfa/tvector.scm 126 */
								obj_t BgL_classz00_5154;

								BgL_classz00_5154 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_3668))
									{	/* Cfa/tvector.scm 126 */
										BgL_objectz00_bglt BgL_arg1825z00_5156;

										BgL_arg1825z00_5156 = (BgL_objectz00_bglt) (BgL_gz00_3668);
										{	/* Cfa/tvector.scm 126 */
											bool_t BgL_arg1822z00_5159;
											bool_t BgL_arg1823z00_5160;

											{	/* Cfa/tvector.scm 126 */
												long BgL_idxz00_5163;

												BgL_idxz00_5163 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5156);
												BgL_arg1822z00_5159 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5163 + ((long) 2))) ==
													BgL_classz00_5154);
											}
											{	/* Cfa/tvector.scm 126 */
												bool_t BgL_res2323z00_5185;

												{	/* Cfa/tvector.scm 126 */
													obj_t BgL_oclassz00_5171;

													{	/* Cfa/tvector.scm 126 */
														long BgL_arg1833z00_5177;

														{	/* Cfa/tvector.scm 126 */
															long BgL_arg1834z00_5178;

															BgL_arg1834z00_5178 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5156);
															BgL_arg1833z00_5177 =
																(BgL_arg1834z00_5178 - OBJECT_TYPE);
														}
														BgL_oclassz00_5171 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_5177);
													}
													{	/* Cfa/tvector.scm 126 */
														bool_t BgL__ortest_1110z00_5172;

														BgL__ortest_1110z00_5172 =
															(BgL_classz00_5154 == BgL_oclassz00_5171);
														if (BgL__ortest_1110z00_5172)
															{	/* Cfa/tvector.scm 126 */
																BgL_res2323z00_5185 = BgL__ortest_1110z00_5172;
															}
														else
															{	/* Cfa/tvector.scm 126 */
																long BgL_odepthz00_5173;

																BgL_odepthz00_5173 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_5171);
																if ((((long) 2) < BgL_odepthz00_5173))
																	{	/* Cfa/tvector.scm 126 */
																		obj_t BgL_arg1821z00_5175;

																		BgL_arg1821z00_5175 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_5171, ((long) 2));
																		BgL_res2323z00_5185 =
																			(BgL_arg1821z00_5175 ==
																			BgL_classz00_5154);
																	}
																else
																	{	/* Cfa/tvector.scm 126 */
																		BgL_res2323z00_5185 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_5160 = BgL_res2323z00_5185;
											}
											BgL_test2494z00_6728 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_5159,
												BgL_arg1823z00_5160);
										}
									}
								else
									{	/* Cfa/tvector.scm 126 */
										BgL_test2494z00_6728 = ((bool_t) 0);
									}
							}
							if (BgL_test2494z00_6728)
								{	/* Cfa/tvector.scm 127 */
									BgL_valuez00_bglt BgL_fz00_3670;

									BgL_fz00_3670 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_3668))))->
										BgL_valuez00);
									{	/* Cfa/tvector.scm 128 */
										obj_t BgL_arg1858z00_3671;

										{	/* Cfa/tvector.scm 128 */
											obj_t BgL_pairz00_5188;

											BgL_pairz00_5188 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_fz00_3670)))->BgL_argsz00);
											BgL_arg1858z00_3671 = CAR(BgL_pairz00_5188);
										}
										{	/* Cfa/tvector.scm 128 */
											BgL_typez00_bglt BgL_vz00_5190;

											BgL_vz00_5190 =
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
											return
												((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_arg1858z00_3671))))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_5190), BUNSPEC);
										}
									}
								}
							else
								{	/* Cfa/tvector.scm 126 */
									return BFALSE;
								}
						}
					}
				}
			else
				{	/* Cfa/tvector.scm 103 */
					return BUNSPEC;
				}
		}

	}



/* &unpatch-vector-set! */
	obj_t BGl_z62unpatchzd2vectorzd2setz12z70zzcfa_tvectorz00(obj_t
		BgL_envz00_5909)
	{
		{	/* Cfa/tvector.scm 102 */
			return BGl_unpatchzd2vectorzd2setz12z12zzcfa_tvectorz00();
		}

	}



/* vector->tvector! */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2ze3tvectorz12z23zzcfa_tvectorz00(obj_t
		BgL_globalsz00_55)
	{
		{	/* Cfa/tvector.scm 134 */
			if (CBOOL(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00()))
				{	/* Cfa/tvector.scm 135 */
					BGl_inlinezd2setupz12zc0zzinline_walkz00(CNST_TABLE_REF(((long) 5)));
					{	/* Cfa/tvector.scm 144 */
						obj_t BgL_vectorsz00_3675;

						BgL_vectorsz00_3675 = BGl_getzd2tvectorszd2zzcfa_tvectorz00();
						{	/* Cfa/tvector.scm 145 */
							obj_t BgL_tvectorsz00_3676;

							{	/* Cfa/tvector.scm 149 */
								obj_t BgL_tmpz00_5191;

								{	/* Cfa/tvector.scm 149 */
									int BgL_tmpz00_6764;

									BgL_tmpz00_6764 = (int) (((long) 1));
									BgL_tmpz00_5191 = BGL_MVALUES_VAL(BgL_tmpz00_6764);
								}
								{	/* Cfa/tvector.scm 149 */
									int BgL_tmpz00_6767;

									BgL_tmpz00_6767 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_6767, BUNSPEC);
								}
								BgL_tvectorsz00_3676 = BgL_tmpz00_5191;
							}
							{
								obj_t BgL_l1603z00_3678;

								BgL_l1603z00_3678 = BgL_vectorsz00_3675;
							BgL_zc3z04anonymousza31865ze3z87_3679:
								if (PAIRP(BgL_l1603z00_3678))
									{	/* Cfa/tvector.scm 146 */
										{	/* Cfa/tvector.scm 147 */
											obj_t BgL_vz00_3681;

											BgL_vz00_3681 = CAR(BgL_l1603z00_3678);
											{	/* Cfa/tvector.scm 147 */
												bool_t BgL_test2500z00_6773;

												{	/* Cfa/tvector.scm 147 */
													BgL_typez00_bglt BgL_arg1869z00_3684;

													BgL_arg1869z00_3684 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_vz00_3681)))->
														BgL_typez00);
													BgL_test2500z00_6773 =
														(((obj_t) BgL_arg1869z00_3684) ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_test2500z00_6773)
													{	/* Cfa/tvector.scm 148 */
														BgL_typez00_bglt BgL_vz00_5195;

														BgL_vz00_5195 =
															((BgL_typez00_bglt)
															BGl_za2vectorza2z00zztype_cachez00);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_vz00_3681)))->BgL_typez00) =
															((BgL_typez00_bglt) BgL_vz00_5195), BUNSPEC);
													}
												else
													{	/* Cfa/tvector.scm 147 */
														BFALSE;
													}
											}
										}
										{
											obj_t BgL_l1603z00_6781;

											BgL_l1603z00_6781 = CDR(BgL_l1603z00_3678);
											BgL_l1603z00_3678 = BgL_l1603z00_6781;
											goto BgL_zc3z04anonymousza31865ze3z87_3679;
										}
									}
								else
									{	/* Cfa/tvector.scm 146 */
										((bool_t) 1);
									}
							}
							BGl_showzd2tvectorzd2zzcfa_tvectorz00(BgL_tvectorsz00_3676);
							if (PAIRP(BgL_tvectorsz00_3676))
								{	/* Cfa/tvector.scm 153 */
									obj_t BgL_addzd2treezd2_3688;

									BgL_addzd2treezd2_3688 =
										BGl_declarezd2tvectorszd2zzcfa_tvectorz00
										(BgL_tvectorsz00_3676);
									BGl_patchzd2treez12zc0zzcfa_tvectorz00(BgL_globalsz00_55);
									BGl_lvtypezd2astz12zc0zzast_lvtypez00(BgL_addzd2treezd2_3688);
									return BgL_addzd2treezd2_3688;
								}
							else
								{	/* Cfa/tvector.scm 152 */
									BGl_patchzd2treez12zc0zzcfa_tvectorz00(BgL_globalsz00_55);
									return BNIL;
								}
						}
					}
				}
			else
				{	/* Cfa/tvector.scm 135 */
					return BNIL;
				}
		}

	}



/* &vector->tvector! */
	obj_t BGl_z62vectorzd2ze3tvectorz12z41zzcfa_tvectorz00(obj_t BgL_envz00_5910,
		obj_t BgL_globalsz00_5911)
	{
		{	/* Cfa/tvector.scm 134 */
			return BGl_vectorzd2ze3tvectorz12z23zzcfa_tvectorz00(BgL_globalsz00_5911);
		}

	}



/* add-make-vector! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(BgL_nodez00_bglt
		BgL_nodez00_56)
	{
		{	/* Cfa/tvector.scm 172 */
			if (CBOOL(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00()))
				{	/* Cfa/tvector.scm 173 */
					return (BGl_za2makezd2vectorzd2listza2z00zzcfa_tvectorz00 =
						MAKE_YOUNG_PAIR(
							((obj_t) BgL_nodez00_56),
							BGl_za2makezd2vectorzd2listza2z00zzcfa_tvectorz00), BUNSPEC);
				}
			else
				{	/* Cfa/tvector.scm 173 */
					return BFALSE;
				}
		}

	}



/* &add-make-vector! */
	obj_t BGl_z62addzd2makezd2vectorz12z70zzcfa_tvectorz00(obj_t BgL_envz00_5912,
		obj_t BgL_nodez00_5913)
	{
		{	/* Cfa/tvector.scm 172 */
			return
				BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(
				((BgL_nodez00_bglt) BgL_nodez00_5913));
		}

	}



/* get-tvectors */
	obj_t BGl_getzd2tvectorszd2zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 182 */
			{
				obj_t BgL_appsz00_3693;
				obj_t BgL_vectorsz00_3694;
				obj_t BgL_tvectorsz00_3695;

				BgL_appsz00_3693 = BGl_za2makezd2vectorzd2listza2z00zzcfa_tvectorz00;
				BgL_vectorsz00_3694 = BNIL;
				BgL_tvectorsz00_3695 = BNIL;
			BgL_zc3z04anonymousza31873ze3z87_3696:
				if (NULLP(BgL_appsz00_3693))
					{	/* Cfa/tvector.scm 186 */
						{	/* Cfa/tvector.scm 187 */
							int BgL_tmpz00_6800;

							BgL_tmpz00_6800 = (int) (((long) 2));
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6800);
						}
						{	/* Cfa/tvector.scm 187 */
							int BgL_tmpz00_6803;

							BgL_tmpz00_6803 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6803, BgL_tvectorsz00_3695);
						}
						return BgL_vectorsz00_3694;
					}
				else
					{	/* Cfa/tvector.scm 188 */
						obj_t BgL_appz00_3700;

						BgL_appz00_3700 = CAR(((obj_t) BgL_appsz00_3693));
						{	/* Cfa/tvector.scm 188 */
							BgL_typez00_bglt BgL_typez00_3701;

							BgL_typez00_3701 =
								BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
								((BgL_nodez00_bglt) BgL_appz00_3700));
							{	/* Cfa/tvector.scm 189 */

								{	/* Cfa/tvector.scm 193 */
									bool_t BgL_test2504z00_6810;

									if (
										(((obj_t) BgL_typez00_3701) ==
											BGl_za2_za2z00zztype_cachez00))
										{	/* Cfa/tvector.scm 193 */
											BgL_test2504z00_6810 = ((bool_t) 0);
										}
									else
										{	/* Cfa/tvector.scm 193 */
											if (BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_3701,
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00)))
												{	/* Cfa/tvector.scm 193 */
													BgL_test2504z00_6810 = ((bool_t) 0);
												}
											else
												{	/* Cfa/tvector.scm 193 */
													BgL_test2504z00_6810 = ((bool_t) 1);
												}
										}
									if (BgL_test2504z00_6810)
										{	/* Cfa/tvector.scm 194 */
											obj_t BgL_arg1878z00_3705;
											obj_t BgL_arg1880z00_3706;

											BgL_arg1878z00_3705 = CDR(((obj_t) BgL_appsz00_3693));
											BgL_arg1880z00_3706 =
												MAKE_YOUNG_PAIR(BgL_appz00_3700, BgL_tvectorsz00_3695);
											{
												obj_t BgL_tvectorsz00_6821;
												obj_t BgL_appsz00_6820;

												BgL_appsz00_6820 = BgL_arg1878z00_3705;
												BgL_tvectorsz00_6821 = BgL_arg1880z00_3706;
												BgL_tvectorsz00_3695 = BgL_tvectorsz00_6821;
												BgL_appsz00_3693 = BgL_appsz00_6820;
												goto BgL_zc3z04anonymousza31873ze3z87_3696;
											}
										}
									else
										{	/* Cfa/tvector.scm 195 */
											obj_t BgL_arg1882z00_3707;
											obj_t BgL_arg1883z00_3708;

											BgL_arg1882z00_3707 = CDR(((obj_t) BgL_appsz00_3693));
											BgL_arg1883z00_3708 =
												MAKE_YOUNG_PAIR(BgL_appz00_3700, BgL_vectorsz00_3694);
											{
												obj_t BgL_vectorsz00_6826;
												obj_t BgL_appsz00_6825;

												BgL_appsz00_6825 = BgL_arg1882z00_3707;
												BgL_vectorsz00_6826 = BgL_arg1883z00_3708;
												BgL_vectorsz00_3694 = BgL_vectorsz00_6826;
												BgL_appsz00_3693 = BgL_appsz00_6825;
												goto BgL_zc3z04anonymousza31873ze3z87_3696;
											}
										}
								}
							}
						}
					}
			}
		}

	}



/* show-tvector */
	bool_t BGl_showzd2tvectorzd2zzcfa_tvectorz00(obj_t BgL_tvectorz00_60)
	{
		{	/* Cfa/tvector.scm 223 */
			{	/* Cfa/tvector.scm 224 */
				obj_t BgL_list1884z00_3712;

				{	/* Cfa/tvector.scm 224 */
					obj_t BgL_arg1885z00_3713;

					BgL_arg1885z00_3713 =
						MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
					BgL_list1884z00_3712 =
						MAKE_YOUNG_PAIR(BGl_string2351z00zzcfa_tvectorz00,
						BgL_arg1885z00_3713);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1884z00_3712);
			}
			{
				obj_t BgL_l1607z00_3715;

				BgL_l1607z00_3715 = BgL_tvectorz00_60;
			BgL_zc3z04anonymousza31886ze3z87_3716:
				if (PAIRP(BgL_l1607z00_3715))
					{	/* Cfa/tvector.scm 225 */
						{	/* Cfa/tvector.scm 226 */
							obj_t BgL_appz00_3718;

							BgL_appz00_3718 = CAR(BgL_l1607z00_3715);
							{	/* Cfa/tvector.scm 227 */
								obj_t BgL_arg1888z00_3719;
								obj_t BgL_arg1890z00_3720;

								BgL_arg1888z00_3719 =
									BGl_shapez00zztools_shapez00(BGl_za2objza2z00zztype_cachez00);
								{	/* Cfa/tvector.scm 229 */
									BgL_typez00_bglt BgL_arg1897z00_3726;

									BgL_arg1897z00_3726 =
										BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
										((BgL_nodez00_bglt) BgL_appz00_3718));
									BgL_arg1890z00_3720 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_arg1897z00_3726));
								}
								{	/* Cfa/tvector.scm 226 */
									obj_t BgL_list1891z00_3721;

									{	/* Cfa/tvector.scm 226 */
										obj_t BgL_arg1892z00_3722;

										{	/* Cfa/tvector.scm 226 */
											obj_t BgL_arg1894z00_3723;

											{	/* Cfa/tvector.scm 226 */
												obj_t BgL_arg1895z00_3724;

												{	/* Cfa/tvector.scm 226 */
													obj_t BgL_arg1896z00_3725;

													BgL_arg1896z00_3725 =
														MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
													BgL_arg1895z00_3724 =
														MAKE_YOUNG_PAIR(BgL_arg1890z00_3720,
														BgL_arg1896z00_3725);
												}
												BgL_arg1894z00_3723 =
													MAKE_YOUNG_PAIR(BGl_string2352z00zzcfa_tvectorz00,
													BgL_arg1895z00_3724);
											}
											BgL_arg1892z00_3722 =
												MAKE_YOUNG_PAIR(BgL_arg1888z00_3719,
												BgL_arg1894z00_3723);
										}
										BgL_list1891z00_3721 =
											MAKE_YOUNG_PAIR(BGl_string2353z00zzcfa_tvectorz00,
											BgL_arg1892z00_3722);
									}
									BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
										BgL_list1891z00_3721);
						}}}
						{
							obj_t BgL_l1607z00_6848;

							BgL_l1607z00_6848 = CDR(BgL_l1607z00_3715);
							BgL_l1607z00_3715 = BgL_l1607z00_6848;
							goto BgL_zc3z04anonymousza31886ze3z87_3716;
						}
					}
				else
					{	/* Cfa/tvector.scm 225 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* declare-tvectors */
	obj_t BGl_declarezd2tvectorszd2zzcfa_tvectorz00(obj_t BgL_tvectorz00_61)
	{
		{	/* Cfa/tvector.scm 236 */
			{
				obj_t BgL_l1609z00_3730;

				BgL_l1609z00_3730 = BgL_tvectorz00_61;
			BgL_zc3z04anonymousza31899ze3z87_3731:
				if (PAIRP(BgL_l1609z00_3730))
					{	/* Cfa/tvector.scm 238 */
						{	/* Cfa/tvector.scm 239 */
							obj_t BgL_appz00_3733;

							BgL_appz00_3733 = CAR(BgL_l1609z00_3730);
							{	/* Cfa/tvector.scm 239 */
								BgL_typez00_bglt BgL_typez00_3734;

								BgL_typez00_3734 =
									BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
									((BgL_nodez00_bglt) BgL_appz00_3733));
								{	/* Cfa/tvector.scm 241 */
									bool_t BgL_test2509z00_6855;

									{	/* Cfa/tvector.scm 241 */
										obj_t BgL_arg1909z00_3744;

										BgL_arg1909z00_3744 =
											(((BgL_typez00_bglt) COBJECT(BgL_typez00_3734))->
											BgL_tvectorz00);
										{	/* Cfa/tvector.scm 241 */
											obj_t BgL_classz00_5203;

											BgL_classz00_5203 = BGl_typez00zztype_typez00;
											if (BGL_OBJECTP(BgL_arg1909z00_3744))
												{	/* Cfa/tvector.scm 241 */
													BgL_objectz00_bglt BgL_arg1825z00_5205;

													BgL_arg1825z00_5205 =
														(BgL_objectz00_bglt) (BgL_arg1909z00_3744);
													{	/* Cfa/tvector.scm 241 */
														bool_t BgL_arg1822z00_5208;
														bool_t BgL_arg1823z00_5209;

														{	/* Cfa/tvector.scm 241 */
															long BgL_idxz00_5212;

															BgL_idxz00_5212 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5205);
															BgL_arg1822z00_5208 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_5212 + ((long) 1))) ==
																BgL_classz00_5203);
														}
														{	/* Cfa/tvector.scm 241 */
															bool_t BgL_res2324z00_5234;

															{	/* Cfa/tvector.scm 241 */
																obj_t BgL_oclassz00_5220;

																{	/* Cfa/tvector.scm 241 */
																	long BgL_arg1833z00_5226;

																	{	/* Cfa/tvector.scm 241 */
																		long BgL_arg1834z00_5227;

																		BgL_arg1834z00_5227 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5205);
																		BgL_arg1833z00_5226 =
																			(BgL_arg1834z00_5227 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_5220 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_5226);
																}
																{	/* Cfa/tvector.scm 241 */
																	bool_t BgL__ortest_1110z00_5221;

																	BgL__ortest_1110z00_5221 =
																		(BgL_classz00_5203 == BgL_oclassz00_5220);
																	if (BgL__ortest_1110z00_5221)
																		{	/* Cfa/tvector.scm 241 */
																			BgL_res2324z00_5234 =
																				BgL__ortest_1110z00_5221;
																		}
																	else
																		{	/* Cfa/tvector.scm 241 */
																			long BgL_odepthz00_5222;

																			BgL_odepthz00_5222 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_5220);
																			if ((((long) 1) < BgL_odepthz00_5222))
																				{	/* Cfa/tvector.scm 241 */
																					obj_t BgL_arg1821z00_5224;

																					BgL_arg1821z00_5224 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_5220, ((long) 1));
																					BgL_res2324z00_5234 =
																						(BgL_arg1821z00_5224 ==
																						BgL_classz00_5203);
																				}
																			else
																				{	/* Cfa/tvector.scm 241 */
																					BgL_res2324z00_5234 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_5209 = BgL_res2324z00_5234;
														}
														BgL_test2509z00_6855 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_5208,
															BgL_arg1823z00_5209);
													}
												}
											else
												{	/* Cfa/tvector.scm 241 */
													BgL_test2509z00_6855 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test2509z00_6855)
										{	/* Cfa/tvector.scm 241 */
											BFALSE;
										}
									else
										{	/* Cfa/tvector.scm 242 */
											obj_t BgL_tvzd2idzd2_3738;

											{	/* Cfa/tvector.scm 242 */
												obj_t BgL_arg1905z00_3740;

												{	/* Cfa/tvector.scm 242 */
													obj_t BgL_arg1906z00_3741;
													obj_t BgL_arg1907z00_3742;

													{	/* Cfa/tvector.scm 242 */
														obj_t BgL_symbolz00_5235;

														BgL_symbolz00_5235 = CNST_TABLE_REF(((long) 6));
														{	/* Cfa/tvector.scm 242 */
															obj_t BgL_arg1463z00_5236;

															BgL_arg1463z00_5236 =
																SYMBOL_TO_STRING(BgL_symbolz00_5235);
															BgL_arg1906z00_3741 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1463z00_5236);
													}}
													{	/* Cfa/tvector.scm 242 */
														obj_t BgL_arg1908z00_3743;

														BgL_arg1908z00_3743 =
															(((BgL_typez00_bglt) COBJECT(BgL_typez00_3734))->
															BgL_idz00);
														{	/* Cfa/tvector.scm 242 */
															obj_t BgL_arg1463z00_5238;

															BgL_arg1463z00_5238 =
																SYMBOL_TO_STRING(BgL_arg1908z00_3743);
															BgL_arg1907z00_3742 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1463z00_5238);
													}}
													BgL_arg1905z00_3740 =
														string_append(BgL_arg1906z00_3741,
														BgL_arg1907z00_3742);
												}
												BgL_tvzd2idzd2_3738 =
													bstring_to_symbol(BgL_arg1905z00_3740);
											}
											{
												obj_t BgL_auxz00_6883;

												{	/* Cfa/tvector.scm 244 */
													obj_t BgL_arg1904z00_3739;

													BgL_arg1904z00_3739 =
														(((BgL_typez00_bglt) COBJECT(BgL_typez00_3734))->
														BgL_idz00);
													BgL_auxz00_6883 =
														BGl_modulezd2tvectorzd2clausez00zzmodule_typez00
														(BgL_tvzd2idzd2_3738, BgL_arg1904z00_3739,
														CNST_TABLE_REF(((long) 7)), BFALSE);
												}
												((((BgL_typez00_bglt) COBJECT(BgL_typez00_3734))->
														BgL_tvectorz00) =
													((obj_t) BgL_auxz00_6883), BUNSPEC);
						}}}}}
						{
							obj_t BgL_l1609z00_6888;

							BgL_l1609z00_6888 = CDR(BgL_l1609z00_3730);
							BgL_l1609z00_3730 = BgL_l1609z00_6888;
							goto BgL_zc3z04anonymousza31899ze3z87_3731;
						}
					}
				else
					{	/* Cfa/tvector.scm 238 */
						((bool_t) 1);
					}
			}
			{	/* Cfa/tvector.scm 247 */
				BgL_typez00_bglt BgL_oldzd2defaultzd2typez00_3747;

				BgL_oldzd2defaultzd2typez00_3747 =
					BGl_getzd2defaultzd2typez00zztype_cachez00();
				BGl_setzd2defaultzd2typez12z12zztype_cachez00(
					((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
				{	/* Cfa/tvector.scm 249 */
					obj_t BgL_tvectorzd2unitzd2_3748;

					BgL_tvectorzd2unitzd2_3748 =
						BGl_tvectorzd2finaliza7erz75zzmodule_typez00();
					BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00();
					{	/* Cfa/tvector.scm 251 */
						obj_t BgL_resz00_3749;

						{	/* Cfa/tvector.scm 251 */
							bool_t BgL_test2513z00_6895;

							if (STRUCTP(BgL_tvectorzd2unitzd2_3748))
								{	/* Cfa/tvector.scm 251 */
									BgL_test2513z00_6895 =
										(STRUCT_KEY(BgL_tvectorzd2unitzd2_3748) ==
										CNST_TABLE_REF(((long) 8)));
								}
							else
								{	/* Cfa/tvector.scm 251 */
									BgL_test2513z00_6895 = ((bool_t) 0);
								}
							if (BgL_test2513z00_6895)
								{	/* Cfa/tvector.scm 252 */
									obj_t BgL_astz00_3751;

									{	/* Cfa/tvector.scm 252 */
										obj_t BgL_arg1912z00_3752;

										{	/* Cfa/tvector.scm 252 */
											obj_t BgL_list1913z00_3753;

											BgL_list1913z00_3753 =
												MAKE_YOUNG_PAIR(BgL_tvectorzd2unitzd2_3748, BNIL);
											BgL_arg1912z00_3752 = BgL_list1913z00_3753;
										}
										BgL_astz00_3751 =
											BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00
											(BgL_arg1912z00_3752);
									}
									BgL_resz00_3749 =
										BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7
										(BgL_astz00_3751, CNST_TABLE_REF(((long) 9)));
								}
							else
								{	/* Cfa/tvector.scm 251 */
									BgL_resz00_3749 = BNIL;
								}
						}
						BGl_lvtypezd2astz12zc0zzast_lvtypez00(BgL_resz00_3749);
						BGl_setzd2defaultzd2typez12z12zztype_cachez00
							(BgL_oldzd2defaultzd2typez00_3747);
						return BgL_resz00_3749;
					}
				}
			}
		}

	}



/* patch-tree! */
	bool_t BGl_patchzd2treez12zc0zzcfa_tvectorz00(obj_t BgL_globalsz00_62)
	{
		{	/* Cfa/tvector.scm 266 */
			{
				obj_t BgL_l1612z00_3755;

				BgL_l1612z00_3755 = BgL_globalsz00_62;
			BgL_zc3z04anonymousza31914ze3z87_3756:
				if (PAIRP(BgL_l1612z00_3755))
					{	/* Cfa/tvector.scm 267 */
						BGl_patchzd2funz12zc0zzcfa_tvectorz00(CAR(BgL_l1612z00_3755));
						{
							obj_t BgL_l1612z00_6911;

							BgL_l1612z00_6911 = CDR(BgL_l1612z00_3755);
							BgL_l1612z00_3755 = BgL_l1612z00_6911;
							goto BgL_zc3z04anonymousza31914ze3z87_3756;
						}
					}
				else
					{	/* Cfa/tvector.scm 267 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* patch-fun! */
	obj_t BGl_patchzd2funz12zc0zzcfa_tvectorz00(obj_t BgL_variablez00_63)
	{
		{	/* Cfa/tvector.scm 272 */
			{	/* Cfa/tvector.scm 273 */
				BgL_valuez00_bglt BgL_funz00_3761;

				BgL_funz00_3761 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_variablez00_63)))->BgL_valuez00);
				{	/* Cfa/tvector.scm 276 */
					obj_t BgL_arg1918z00_3762;

					{	/* Cfa/tvector.scm 276 */
						obj_t BgL_arg1919z00_3763;

						BgL_arg1919z00_3763 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_3761)))->BgL_bodyz00);
						BgL_arg1918z00_3762 =
							BGl_patchz12z12zzcfa_tvectorz00(
							((BgL_nodez00_bglt) BgL_arg1919z00_3763));
					}
					return
						((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_3761)))->BgL_bodyz00) =
						((obj_t) BgL_arg1918z00_3762), BUNSPEC);
				}
			}
		}

	}



/* patch*! */
	obj_t BGl_patchza2z12zb0zzcfa_tvectorz00(obj_t BgL_nodeza2za2_87)
	{
		{	/* Cfa/tvector.scm 484 */
			{
				obj_t BgL_nodeza2za2_3765;

				BgL_nodeza2za2_3765 = BgL_nodeza2za2_87;
			BgL_zc3z04anonymousza31920ze3z87_3766:
				if (NULLP(BgL_nodeza2za2_3765))
					{	/* Cfa/tvector.scm 486 */
						return CNST_TABLE_REF(((long) 10));
					}
				else
					{	/* Cfa/tvector.scm 486 */
						{	/* Cfa/tvector.scm 489 */
							obj_t BgL_arg1922z00_3768;

							{	/* Cfa/tvector.scm 489 */
								obj_t BgL_arg1923z00_3769;

								BgL_arg1923z00_3769 = CAR(((obj_t) BgL_nodeza2za2_3765));
								BgL_arg1922z00_3768 =
									BGl_patchz12z12zzcfa_tvectorz00(
									((BgL_nodez00_bglt) BgL_arg1923z00_3769));
							}
							{	/* Cfa/tvector.scm 489 */
								obj_t BgL_tmpz00_6928;

								BgL_tmpz00_6928 = ((obj_t) BgL_nodeza2za2_3765);
								SET_CAR(BgL_tmpz00_6928, BgL_arg1922z00_3768);
							}
						}
						{	/* Cfa/tvector.scm 490 */
							obj_t BgL_arg1924z00_3770;

							BgL_arg1924z00_3770 = CDR(((obj_t) BgL_nodeza2za2_3765));
							{
								obj_t BgL_nodeza2za2_6933;

								BgL_nodeza2za2_6933 = BgL_arg1924z00_3770;
								BgL_nodeza2za2_3765 = BgL_nodeza2za2_6933;
								goto BgL_zc3z04anonymousza31920ze3z87_3766;
							}
						}
					}
			}
		}

	}



/* patch-vector?! */
	BgL_nodez00_bglt BGl_patchzd2vectorzf3z12z33zzcfa_tvectorz00(BgL_appz00_bglt
		BgL_nodez00_90)
	{
		{	/* Cfa/tvector.scm 533 */
			BGl_patchza2z12zb0zzcfa_tvectorz00(
				(((BgL_appz00_bglt) COBJECT(BgL_nodez00_90))->BgL_argsz00));
			{	/* Cfa/tvector.scm 536 */
				BgL_approxz00_bglt BgL_approxz00_3774;

				{	/* Cfa/tvector.scm 536 */
					obj_t BgL_arg1930z00_3781;

					BgL_arg1930z00_3781 =
						CAR((((BgL_appz00_bglt) COBJECT(BgL_nodez00_90))->BgL_argsz00));
					BgL_approxz00_3774 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1930z00_3781));
				}
				{	/* Cfa/tvector.scm 536 */
					BgL_typez00_bglt BgL_typez00_3775;

					BgL_typez00_3775 =
						(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3774))->BgL_typez00);
					{	/* Cfa/tvector.scm 537 */

						if (
							(((obj_t) BgL_typez00_3775) ==
								BGl_za2vectorza2z00zztype_cachez00))
							{	/* Cfa/tvector.scm 539 */
								BgL_literalz00_bglt BgL_new1217z00_3777;

								{	/* Cfa/tvector.scm 540 */
									BgL_literalz00_bglt BgL_new1216z00_3779;

									BgL_new1216z00_3779 =
										((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_literalz00_bgl))));
									{	/* Cfa/tvector.scm 540 */
										long BgL_arg1929z00_3780;

										BgL_arg1929z00_3780 =
											BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1216z00_3779),
											BgL_arg1929z00_3780);
									}
									{	/* Cfa/tvector.scm 540 */
										BgL_objectz00_bglt BgL_tmpz00_6948;

										BgL_tmpz00_6948 =
											((BgL_objectz00_bglt) BgL_new1216z00_3779);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6948, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1216z00_3779);
									BgL_new1217z00_3777 = BgL_new1216z00_3779;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1217z00_3777)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_nodez00_90)))->BgL_locz00)), BUNSPEC);
								{
									BgL_typez00_bglt BgL_auxz00_6956;

									{	/* Cfa/tvector.scm 541 */
										BgL_typez00_bglt BgL_arg1927z00_3778;

										BgL_arg1927z00_3778 =
											BGl_getzd2typezd2atomz00zztype_typeofz00(BTRUE);
										BgL_auxz00_6956 =
											BGl_strictzd2nodezd2typez00zzast_nodez00
											(BgL_arg1927z00_3778,
											((BgL_typez00_bglt) BGl_za2boolza2z00zztype_cachez00));
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1217z00_3777)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_6956), BUNSPEC);
								}
								((((BgL_atomz00_bglt) COBJECT(
												((BgL_atomz00_bglt) BgL_new1217z00_3777)))->
										BgL_valuez00) = ((obj_t) BTRUE), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1217z00_3777);
							}
						else
							{	/* Cfa/tvector.scm 538 */
								return ((BgL_nodez00_bglt) BgL_nodez00_90);
							}
					}
				}
			}
		}

	}



/* patch-vector->list! */
	BgL_nodez00_bglt
		BGl_patchzd2vectorzd2ze3listz12zf1zzcfa_tvectorz00(BgL_appz00_bglt
		BgL_nodez00_91)
	{
		{	/* Cfa/tvector.scm 548 */
			BGl_patchza2z12zb0zzcfa_tvectorz00(
				(((BgL_appz00_bglt) COBJECT(BgL_nodez00_91))->BgL_argsz00));
			{	/* Cfa/tvector.scm 551 */
				BgL_approxz00_bglt BgL_approxz00_3785;

				{	/* Cfa/tvector.scm 551 */
					obj_t BgL_arg1944z00_3799;

					BgL_arg1944z00_3799 =
						CAR((((BgL_appz00_bglt) COBJECT(BgL_nodez00_91))->BgL_argsz00));
					BgL_approxz00_3785 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1944z00_3799));
				}
				{	/* Cfa/tvector.scm 551 */
					obj_t BgL_tvz00_3786;

					BgL_tvz00_3786 =
						BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_3785,
						((obj_t) BgL_nodez00_91));
					{	/* Cfa/tvector.scm 552 */

						{	/* Cfa/tvector.scm 553 */
							bool_t BgL_test2518z00_6974;

							{	/* Cfa/tvector.scm 553 */
								obj_t BgL_classz00_5261;

								BgL_classz00_5261 = BGl_tvecz00zztvector_tvectorz00;
								if (BGL_OBJECTP(BgL_tvz00_3786))
									{	/* Cfa/tvector.scm 553 */
										BgL_objectz00_bglt BgL_arg1825z00_5263;

										BgL_arg1825z00_5263 = (BgL_objectz00_bglt) (BgL_tvz00_3786);
										{	/* Cfa/tvector.scm 553 */
											bool_t BgL_arg1822z00_5266;
											bool_t BgL_arg1823z00_5267;

											{	/* Cfa/tvector.scm 553 */
												long BgL_idxz00_5270;

												BgL_idxz00_5270 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5263);
												BgL_arg1822z00_5266 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5270 + ((long) 2))) ==
													BgL_classz00_5261);
											}
											{	/* Cfa/tvector.scm 553 */
												bool_t BgL_res2327z00_5292;

												{	/* Cfa/tvector.scm 553 */
													obj_t BgL_oclassz00_5278;

													{	/* Cfa/tvector.scm 553 */
														long BgL_arg1833z00_5284;

														{	/* Cfa/tvector.scm 553 */
															long BgL_arg1834z00_5285;

															BgL_arg1834z00_5285 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5263);
															BgL_arg1833z00_5284 =
																(BgL_arg1834z00_5285 - OBJECT_TYPE);
														}
														BgL_oclassz00_5278 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_5284);
													}
													{	/* Cfa/tvector.scm 553 */
														bool_t BgL__ortest_1110z00_5279;

														BgL__ortest_1110z00_5279 =
															(BgL_classz00_5261 == BgL_oclassz00_5278);
														if (BgL__ortest_1110z00_5279)
															{	/* Cfa/tvector.scm 553 */
																BgL_res2327z00_5292 = BgL__ortest_1110z00_5279;
															}
														else
															{	/* Cfa/tvector.scm 553 */
																long BgL_odepthz00_5280;

																BgL_odepthz00_5280 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_5278);
																if ((((long) 2) < BgL_odepthz00_5280))
																	{	/* Cfa/tvector.scm 553 */
																		obj_t BgL_arg1821z00_5282;

																		BgL_arg1821z00_5282 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_5278, ((long) 2));
																		BgL_res2327z00_5292 =
																			(BgL_arg1821z00_5282 ==
																			BgL_classz00_5261);
																	}
																else
																	{	/* Cfa/tvector.scm 553 */
																		BgL_res2327z00_5292 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_5267 = BgL_res2327z00_5292;
											}
											BgL_test2518z00_6974 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_5266,
												BgL_arg1823z00_5267);
										}
									}
								else
									{	/* Cfa/tvector.scm 553 */
										BgL_test2518z00_6974 = ((bool_t) 0);
									}
							}
							if (BgL_test2518z00_6974)
								{	/* Cfa/tvector.scm 554 */
									obj_t BgL_tvzd2ze3listz31_3788;

									{	/* Cfa/tvector.scm 554 */
										obj_t BgL_arg1940z00_3795;

										{	/* Cfa/tvector.scm 554 */
											obj_t BgL_arg1941z00_3796;
											obj_t BgL_arg1942z00_3797;

											{	/* Cfa/tvector.scm 554 */
												obj_t BgL_arg1943z00_3798;

												BgL_arg1943z00_3798 =
													(((BgL_typez00_bglt) COBJECT(
															((BgL_typez00_bglt) BgL_tvz00_3786)))->BgL_idz00);
												{	/* Cfa/tvector.scm 554 */
													obj_t BgL_arg1463z00_5295;

													BgL_arg1463z00_5295 =
														SYMBOL_TO_STRING(BgL_arg1943z00_3798);
													BgL_arg1941z00_3796 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1463z00_5295);
												}
											}
											{	/* Cfa/tvector.scm 554 */
												obj_t BgL_symbolz00_5296;

												BgL_symbolz00_5296 = CNST_TABLE_REF(((long) 11));
												{	/* Cfa/tvector.scm 554 */
													obj_t BgL_arg1463z00_5297;

													BgL_arg1463z00_5297 =
														SYMBOL_TO_STRING(BgL_symbolz00_5296);
													BgL_arg1942z00_3797 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1463z00_5297);
											}}
											BgL_arg1940z00_3795 =
												string_append(BgL_arg1941z00_3796, BgL_arg1942z00_3797);
										}
										BgL_tvzd2ze3listz31_3788 =
											bstring_to_symbol(BgL_arg1940z00_3795);
									}
									{	/* Cfa/tvector.scm 554 */
										BgL_nodez00_bglt BgL_newzd2nodezd2_3789;

										{	/* Cfa/tvector.scm 555 */
											obj_t BgL_arg1936z00_3791;
											obj_t BgL_arg1937z00_3792;

											BgL_arg1936z00_3791 =
												MAKE_YOUNG_PAIR(BgL_tvzd2ze3listz31_3788,
												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
													(((BgL_appz00_bglt) COBJECT(BgL_nodez00_91))->
														BgL_argsz00), BNIL));
											BgL_arg1937z00_3792 =
												(((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_nodez00_91)))->BgL_locz00);
											BgL_newzd2nodezd2_3789 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1936z00_3791,
												BNIL, BgL_arg1937z00_3792, CNST_TABLE_REF(((long) 12)));
										}
										{	/* Cfa/tvector.scm 555 */

											{	/* Cfa/tvector.scm 559 */
												BgL_typez00_bglt BgL_arg1935z00_3790;

												BgL_arg1935z00_3790 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_nodez00_91)))->
													BgL_typez00);
												((((BgL_nodez00_bglt) COBJECT(BgL_newzd2nodezd2_3789))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_arg1935z00_3790), BUNSPEC);
											}
											return BgL_newzd2nodezd2_3789;
										}
									}
								}
							else
								{	/* Cfa/tvector.scm 553 */
									return ((BgL_nodez00_bglt) BgL_nodez00_91);
								}
						}
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2vectorzd2itemzd2typezd2envz00zzcfa_tvectorz00,
				BGl_proc2354z00zzcfa_tvectorz00, BGl_nodez00zzast_nodez00,
				BGl_string2355z00zzcfa_tvectorz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_proc2356z00zzcfa_tvectorz00,
				BGl_nodez00zzast_nodez00, BGl_string2357z00zzcfa_tvectorz00);
		}

	}



/* &patch!1629 */
	obj_t BGl_z62patchz121629z70zzcfa_tvectorz00(obj_t BgL_envz00_5916,
		obj_t BgL_nodez00_5917)
	{
		{	/* Cfa/tvector.scm 281 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 13)),
				BGl_string2358z00zzcfa_tvectorz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_5917)));
		}

	}



/* &get-vector-item-type1623 */
	obj_t BGl_z62getzd2vectorzd2itemzd2type1623zb0zzcfa_tvectorz00(obj_t
		BgL_envz00_5918, obj_t BgL_nodez00_5919)
	{
		{	/* Cfa/tvector.scm 200 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 14)),
				BGl_string2358z00zzcfa_tvectorz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_5919)));
		}

	}



/* get-vector-item-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(BgL_nodez00_bglt
		BgL_nodez00_57)
	{
		{	/* Cfa/tvector.scm 200 */
			{	/* Cfa/tvector.scm 200 */
				obj_t BgL_method1624z00_3809;

				{	/* Cfa/tvector.scm 200 */
					obj_t BgL_res2332z00_5332;

					{	/* Cfa/tvector.scm 200 */
						long BgL_objzd2classzd2numz00_5303;

						BgL_objzd2classzd2numz00_5303 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_57));
						{	/* Cfa/tvector.scm 200 */
							obj_t BgL_arg1829z00_5304;

							BgL_arg1829z00_5304 =
								PROCEDURE_REF
								(BGl_getzd2vectorzd2itemzd2typezd2envz00zzcfa_tvectorz00,
								(int) (((long) 1)));
							{	/* Cfa/tvector.scm 200 */
								int BgL_offsetz00_5307;

								BgL_offsetz00_5307 = (int) (BgL_objzd2classzd2numz00_5303);
								{	/* Cfa/tvector.scm 200 */
									long BgL_offsetz00_5308;

									BgL_offsetz00_5308 =
										((long) (BgL_offsetz00_5307) - OBJECT_TYPE);
									{	/* Cfa/tvector.scm 200 */
										long BgL_modz00_5309;

										BgL_modz00_5309 =
											(BgL_offsetz00_5308 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/tvector.scm 200 */
											long BgL_restz00_5311;

											BgL_restz00_5311 =
												(BgL_offsetz00_5308 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/tvector.scm 200 */

												{	/* Cfa/tvector.scm 200 */
													obj_t BgL_bucketz00_5313;

													BgL_bucketz00_5313 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_5304), BgL_modz00_5309);
													BgL_res2332z00_5332 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5313), BgL_restz00_5311);
					}}}}}}}}
					BgL_method1624z00_3809 = BgL_res2332z00_5332;
				}
				return
					((BgL_typez00_bglt)
					PROCEDURE_ENTRY(BgL_method1624z00_3809) (BgL_method1624z00_3809,
						((obj_t) BgL_nodez00_57), BEOA));
			}
		}

	}



/* &get-vector-item-type */
	BgL_typez00_bglt BGl_z62getzd2vectorzd2itemzd2typezb0zzcfa_tvectorz00(obj_t
		BgL_envz00_5920, obj_t BgL_nodez00_5921)
	{
		{	/* Cfa/tvector.scm 200 */
			return
				BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
				((BgL_nodez00_bglt) BgL_nodez00_5921));
		}

	}



/* patch! */
	obj_t BGl_patchz12z12zzcfa_tvectorz00(BgL_nodez00_bglt BgL_nodez00_64)
	{
		{	/* Cfa/tvector.scm 281 */
			{	/* Cfa/tvector.scm 281 */
				obj_t BgL_method1630z00_3810;

				{	/* Cfa/tvector.scm 281 */
					obj_t BgL_res2337z00_5363;

					{	/* Cfa/tvector.scm 281 */
						long BgL_objzd2classzd2numz00_5334;

						BgL_objzd2classzd2numz00_5334 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_64));
						{	/* Cfa/tvector.scm 281 */
							obj_t BgL_arg1829z00_5335;

							BgL_arg1829z00_5335 =
								PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
								(int) (((long) 1)));
							{	/* Cfa/tvector.scm 281 */
								int BgL_offsetz00_5338;

								BgL_offsetz00_5338 = (int) (BgL_objzd2classzd2numz00_5334);
								{	/* Cfa/tvector.scm 281 */
									long BgL_offsetz00_5339;

									BgL_offsetz00_5339 =
										((long) (BgL_offsetz00_5338) - OBJECT_TYPE);
									{	/* Cfa/tvector.scm 281 */
										long BgL_modz00_5340;

										BgL_modz00_5340 =
											(BgL_offsetz00_5339 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/tvector.scm 281 */
											long BgL_restz00_5342;

											BgL_restz00_5342 =
												(BgL_offsetz00_5339 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/tvector.scm 281 */

												{	/* Cfa/tvector.scm 281 */
													obj_t BgL_bucketz00_5344;

													BgL_bucketz00_5344 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_5335), BgL_modz00_5340);
													BgL_res2337z00_5363 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5344), BgL_restz00_5342);
					}}}}}}}}
					BgL_method1630z00_3810 = BgL_res2337z00_5363;
				}
				return
					PROCEDURE_ENTRY(BgL_method1630z00_3810) (BgL_method1630z00_3810,
					((obj_t) BgL_nodez00_64), BEOA);
			}
		}

	}



/* &patch! */
	obj_t BGl_z62patchz12z70zzcfa_tvectorz00(obj_t BgL_envz00_5922,
		obj_t BgL_nodez00_5923)
	{
		{	/* Cfa/tvector.scm 281 */
			return
				BGl_patchz12z12zzcfa_tvectorz00(((BgL_nodez00_bglt) BgL_nodez00_5923));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2vectorzd2itemzd2typezd2envz00zzcfa_tvectorz00,
				BGl_makezd2vectorzd2appz00zzcfa_info2z00,
				BGl_proc2359z00zzcfa_tvectorz00, BGl_string2360z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2vectorzd2itemzd2typezd2envz00zzcfa_tvectorz00,
				BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00,
				BGl_proc2361z00zzcfa_tvectorz00, BGl_string2360z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_atomz00zzast_nodez00,
				BGl_proc2362z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_kwotez00zzast_nodez00,
				BGl_proc2364z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_kwotezf2nodezf2zzcfa_infoz00, BGl_proc2365z00zzcfa_tvectorz00,
				BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_varz00zzast_nodez00,
				BGl_proc2366z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_closurez00zzast_nodez00,
				BGl_proc2367z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2368z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_syncz00zzast_nodez00,
				BGl_proc2369z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2370z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2371z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_externz00zzast_nodez00,
				BGl_proc2372z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_castz00zzast_nodez00,
				BGl_proc2373z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_setqz00zzast_nodez00,
				BGl_proc2374z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc2375z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_failz00zzast_nodez00,
				BGl_proc2376z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_switchz00zzast_nodez00,
				BGl_proc2377z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2378z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2379z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2380z00zzcfa_tvectorz00,
				BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2381z00zzcfa_tvectorz00,
				BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc2382z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2383z00zzcfa_tvectorz00,
				BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc2384z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_appz00zzast_nodez00,
				BGl_proc2385z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_vlengthz00zzast_nodez00,
				BGl_proc2386z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_makezd2vectorzd2appz00zzcfa_info2z00,
				BGl_proc2387z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00,
				BGl_proc2388z00zzcfa_tvectorz00, BGl_string2363z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_vrefzf2Cinfozf2zzcfa_info3z00, BGl_proc2389z00zzcfa_tvectorz00,
				BGl_string2363z00zzcfa_tvectorz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_vsetz12zf2Cinfoze0zzcfa_info3z00, BGl_proc2390z00zzcfa_tvectorz00,
				BGl_string2363z00zzcfa_tvectorz00);
		}

	}



/* &patch!-vset!/Cinfo1686 */
	obj_t BGl_z62patchz12zd2vsetz12zf2Cinfo1686z42zzcfa_tvectorz00(obj_t
		BgL_envz00_5954, obj_t BgL_nodez00_5955)
	{
		{	/* Cfa/tvector.scm 628 */
			{
				BgL_nodez00_bglt BgL_auxz00_7118;

				{	/* Cfa/tvector.scm 630 */
					obj_t BgL_arg2094z00_6033;

					BgL_arg2094z00_6033 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nodez00_5955))))->BgL_exprza2za2);
					BGl_patchza2z12zb0zzcfa_tvectorz00(BgL_arg2094z00_6033);
				}
				{	/* Cfa/tvector.scm 631 */
					bool_t BgL_test2522z00_7123;

					{
						BgL_vsetz12zf2cinfoze0_bglt BgL_auxz00_7124;

						{
							obj_t BgL_auxz00_7125;

							{	/* Cfa/tvector.scm 631 */
								BgL_objectz00_bglt BgL_tmpz00_7126;

								BgL_tmpz00_7126 =
									((BgL_objectz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nodez00_5955));
								BgL_auxz00_7125 = BGL_OBJECT_WIDENING(BgL_tmpz00_7126);
							}
							BgL_auxz00_7124 = ((BgL_vsetz12zf2cinfoze0_bglt) BgL_auxz00_7125);
						}
						BgL_test2522z00_7123 =
							(((BgL_vsetz12zf2cinfoze0_bglt) COBJECT(BgL_auxz00_7124))->
							BgL_tvectorzf3zf3);
					}
					if (BgL_test2522z00_7123)
						{	/* Cfa/tvector.scm 631 */
							BgL_auxz00_7118 =
								((BgL_nodez00_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_5955));
						}
					else
						{	/* Cfa/tvector.scm 633 */
							BgL_approxz00_bglt BgL_veczd2approxzd2_6034;

							{	/* Cfa/tvector.scm 633 */
								obj_t BgL_arg2107z00_6035;

								{	/* Cfa/tvector.scm 633 */
									obj_t BgL_pairz00_6036;

									BgL_pairz00_6036 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_vsetz12z12_bglt) BgL_nodez00_5955))))->
										BgL_exprza2za2);
									BgL_arg2107z00_6035 = CAR(BgL_pairz00_6036);
								}
								BgL_veczd2approxzd2_6034 =
									BGl_cfaz12z12zzcfa_cfaz00(
									((BgL_nodez00_bglt) BgL_arg2107z00_6035));
							}
							{	/* Cfa/tvector.scm 633 */
								obj_t BgL_tvz00_6037;

								BgL_tvz00_6037 =
									BGl_getzd2approxzd2typez00zzcfa_typez00
									(BgL_veczd2approxzd2_6034,
									((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_5955)));
								{	/* Cfa/tvector.scm 634 */

									{	/* Cfa/tvector.scm 635 */
										bool_t BgL_test2523z00_7143;

										{	/* Cfa/tvector.scm 635 */
											obj_t BgL_classz00_6038;

											BgL_classz00_6038 = BGl_tvecz00zztvector_tvectorz00;
											if (BGL_OBJECTP(BgL_tvz00_6037))
												{	/* Cfa/tvector.scm 635 */
													BgL_objectz00_bglt BgL_arg1825z00_6039;

													BgL_arg1825z00_6039 =
														(BgL_objectz00_bglt) (BgL_tvz00_6037);
													{	/* Cfa/tvector.scm 635 */
														bool_t BgL_arg1822z00_6040;
														bool_t BgL_arg1823z00_6041;

														{	/* Cfa/tvector.scm 635 */
															long BgL_idxz00_6042;

															BgL_idxz00_6042 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6039);
															BgL_arg1822z00_6040 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_6042 + ((long) 2))) ==
																BgL_classz00_6038);
														}
														{	/* Cfa/tvector.scm 635 */
															bool_t BgL_res2345z00_6045;

															{	/* Cfa/tvector.scm 635 */
																obj_t BgL_oclassz00_6046;

																{	/* Cfa/tvector.scm 635 */
																	long BgL_arg1833z00_6047;

																	{	/* Cfa/tvector.scm 635 */
																		long BgL_arg1834z00_6048;

																		BgL_arg1834z00_6048 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6039);
																		BgL_arg1833z00_6047 =
																			(BgL_arg1834z00_6048 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_6046 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_6047);
																}
																{	/* Cfa/tvector.scm 635 */
																	bool_t BgL__ortest_1110z00_6049;

																	BgL__ortest_1110z00_6049 =
																		(BgL_classz00_6038 == BgL_oclassz00_6046);
																	if (BgL__ortest_1110z00_6049)
																		{	/* Cfa/tvector.scm 635 */
																			BgL_res2345z00_6045 =
																				BgL__ortest_1110z00_6049;
																		}
																	else
																		{	/* Cfa/tvector.scm 635 */
																			long BgL_odepthz00_6050;

																			BgL_odepthz00_6050 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_6046);
																			if ((((long) 2) < BgL_odepthz00_6050))
																				{	/* Cfa/tvector.scm 635 */
																					obj_t BgL_arg1821z00_6051;

																					BgL_arg1821z00_6051 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_6046, ((long) 2));
																					BgL_res2345z00_6045 =
																						(BgL_arg1821z00_6051 ==
																						BgL_classz00_6038);
																				}
																			else
																				{	/* Cfa/tvector.scm 635 */
																					BgL_res2345z00_6045 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_6041 = BgL_res2345z00_6045;
														}
														BgL_test2523z00_7143 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_6040,
															BgL_arg1823z00_6041);
													}
												}
											else
												{	/* Cfa/tvector.scm 635 */
													BgL_test2523z00_7143 = ((bool_t) 0);
												}
										}
										if (BgL_test2523z00_7143)
											{	/* Cfa/tvector.scm 637 */
												obj_t BgL_tvzd2setz12zc0_6052;

												{	/* Cfa/tvector.scm 637 */
													obj_t BgL_arg2103z00_6053;

													{	/* Cfa/tvector.scm 637 */
														obj_t BgL_arg2104z00_6054;
														obj_t BgL_arg2105z00_6055;

														{	/* Cfa/tvector.scm 637 */
															obj_t BgL_arg2106z00_6056;

															BgL_arg2106z00_6056 =
																(((BgL_typez00_bglt) COBJECT(
																		((BgL_typez00_bglt) BgL_tvz00_6037)))->
																BgL_idz00);
															{	/* Cfa/tvector.scm 637 */
																obj_t BgL_arg1463z00_6057;

																BgL_arg1463z00_6057 =
																	SYMBOL_TO_STRING(BgL_arg2106z00_6056);
																BgL_arg2104z00_6054 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1463z00_6057);
															}
														}
														{	/* Cfa/tvector.scm 637 */
															obj_t BgL_symbolz00_6058;

															BgL_symbolz00_6058 = CNST_TABLE_REF(((long) 15));
															{	/* Cfa/tvector.scm 637 */
																obj_t BgL_arg1463z00_6059;

																BgL_arg1463z00_6059 =
																	SYMBOL_TO_STRING(BgL_symbolz00_6058);
																BgL_arg2105z00_6055 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1463z00_6059);
														}}
														BgL_arg2103z00_6053 =
															string_append(BgL_arg2104z00_6054,
															BgL_arg2105z00_6055);
													}
													BgL_tvzd2setz12zc0_6052 =
														bstring_to_symbol(BgL_arg2103z00_6053);
												}
												{	/* Cfa/tvector.scm 637 */
													BgL_nodez00_bglt BgL_newzd2nodezd2_6060;

													{	/* Cfa/tvector.scm 638 */
														obj_t BgL_arg2097z00_6061;
														obj_t BgL_arg2100z00_6062;

														{	/* Cfa/tvector.scm 638 */
															obj_t BgL_arg2101z00_6063;

															BgL_arg2101z00_6063 =
																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
																(((BgL_externz00_bglt) COBJECT(
																			((BgL_externz00_bglt)
																				((BgL_vsetz12z12_bglt)
																					BgL_nodez00_5955))))->BgL_exprza2za2),
																BNIL);
															BgL_arg2097z00_6061 =
																MAKE_YOUNG_PAIR(BgL_tvzd2setz12zc0_6052,
																BgL_arg2101z00_6063);
														}
														BgL_arg2100z00_6062 =
															(((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt)
																		((BgL_vsetz12z12_bglt)
																			BgL_nodez00_5955))))->BgL_locz00);
														BgL_newzd2nodezd2_6060 =
															BGl_sexpzd2ze3nodez31zzast_sexpz00
															(BgL_arg2097z00_6061, BNIL, BgL_arg2100z00_6062,
															CNST_TABLE_REF(((long) 12)));
													}
													{	/* Cfa/tvector.scm 638 */

														BgL_auxz00_7118 =
															BGl_inlinezd2nodezd2zzinline_inlinez00
															(BgL_newzd2nodezd2_6060, ((long) 1), BNIL);
											}}}
										else
											{	/* Cfa/tvector.scm 635 */
												BgL_auxz00_7118 =
													((BgL_nodez00_bglt)
													((BgL_vsetz12z12_bglt) BgL_nodez00_5955));
											}
									}
								}
							}
						}
				}
				return ((obj_t) BgL_auxz00_7118);
			}
		}

	}



/* &patch!-vref/Cinfo1684 */
	obj_t BGl_z62patchz12zd2vrefzf2Cinfo1684z50zzcfa_tvectorz00(obj_t
		BgL_envz00_5956, obj_t BgL_nodez00_5957)
	{
		{	/* Cfa/tvector.scm 605 */
			{
				BgL_nodez00_bglt BgL_auxz00_7185;

				{	/* Cfa/tvector.scm 607 */
					obj_t BgL_arg2076z00_6065;

					BgL_arg2076z00_6065 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vrefz00_bglt) BgL_nodez00_5957))))->BgL_exprza2za2);
					BGl_patchza2z12zb0zzcfa_tvectorz00(BgL_arg2076z00_6065);
				}
				{	/* Cfa/tvector.scm 608 */
					bool_t BgL_test2527z00_7190;

					{
						BgL_vrefzf2cinfozf2_bglt BgL_auxz00_7191;

						{
							obj_t BgL_auxz00_7192;

							{	/* Cfa/tvector.scm 608 */
								BgL_objectz00_bglt BgL_tmpz00_7193;

								BgL_tmpz00_7193 =
									((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_5957));
								BgL_auxz00_7192 = BGL_OBJECT_WIDENING(BgL_tmpz00_7193);
							}
							BgL_auxz00_7191 = ((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_7192);
						}
						BgL_test2527z00_7190 =
							(((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7191))->
							BgL_tvectorzf3zf3);
					}
					if (BgL_test2527z00_7190)
						{	/* Cfa/tvector.scm 609 */
							BgL_typez00_bglt BgL_tyz00_6066;

							BgL_tyz00_6066 =
								(((BgL_vrefz00_bglt) COBJECT(
										((BgL_vrefz00_bglt)
											((BgL_vrefz00_bglt) BgL_nodez00_5957))))->BgL_ftypez00);
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_vrefz00_bglt) BgL_nodez00_5957))))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_tyz00_6066), BUNSPEC);
							BgL_auxz00_7185 =
								((BgL_nodez00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_5957));
						}
					else
						{	/* Cfa/tvector.scm 612 */
							BgL_approxz00_bglt BgL_veczd2approxzd2_6067;

							{	/* Cfa/tvector.scm 612 */
								obj_t BgL_arg2092z00_6068;

								{	/* Cfa/tvector.scm 612 */
									obj_t BgL_pairz00_6069;

									BgL_pairz00_6069 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_vrefz00_bglt) BgL_nodez00_5957))))->
										BgL_exprza2za2);
									BgL_arg2092z00_6068 = CAR(BgL_pairz00_6069);
								}
								BgL_veczd2approxzd2_6067 =
									BGl_cfaz12z12zzcfa_cfaz00(
									((BgL_nodez00_bglt) BgL_arg2092z00_6068));
							}
							{	/* Cfa/tvector.scm 612 */
								obj_t BgL_tvz00_6070;

								BgL_tvz00_6070 =
									BGl_getzd2approxzd2typez00zzcfa_typez00
									(BgL_veczd2approxzd2_6067,
									((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_5957)));
								{	/* Cfa/tvector.scm 613 */

									{	/* Cfa/tvector.scm 614 */
										bool_t BgL_test2528z00_7216;

										{	/* Cfa/tvector.scm 614 */
											obj_t BgL_classz00_6071;

											BgL_classz00_6071 = BGl_tvecz00zztvector_tvectorz00;
											if (BGL_OBJECTP(BgL_tvz00_6070))
												{	/* Cfa/tvector.scm 614 */
													BgL_objectz00_bglt BgL_arg1825z00_6072;

													BgL_arg1825z00_6072 =
														(BgL_objectz00_bglt) (BgL_tvz00_6070);
													{	/* Cfa/tvector.scm 614 */
														bool_t BgL_arg1822z00_6073;
														bool_t BgL_arg1823z00_6074;

														{	/* Cfa/tvector.scm 614 */
															long BgL_idxz00_6075;

															BgL_idxz00_6075 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6072);
															BgL_arg1822z00_6073 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_6075 + ((long) 2))) ==
																BgL_classz00_6071);
														}
														{	/* Cfa/tvector.scm 614 */
															bool_t BgL_res2344z00_6078;

															{	/* Cfa/tvector.scm 614 */
																obj_t BgL_oclassz00_6079;

																{	/* Cfa/tvector.scm 614 */
																	long BgL_arg1833z00_6080;

																	{	/* Cfa/tvector.scm 614 */
																		long BgL_arg1834z00_6081;

																		BgL_arg1834z00_6081 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6072);
																		BgL_arg1833z00_6080 =
																			(BgL_arg1834z00_6081 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_6079 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_6080);
																}
																{	/* Cfa/tvector.scm 614 */
																	bool_t BgL__ortest_1110z00_6082;

																	BgL__ortest_1110z00_6082 =
																		(BgL_classz00_6071 == BgL_oclassz00_6079);
																	if (BgL__ortest_1110z00_6082)
																		{	/* Cfa/tvector.scm 614 */
																			BgL_res2344z00_6078 =
																				BgL__ortest_1110z00_6082;
																		}
																	else
																		{	/* Cfa/tvector.scm 614 */
																			long BgL_odepthz00_6083;

																			BgL_odepthz00_6083 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_6079);
																			if ((((long) 2) < BgL_odepthz00_6083))
																				{	/* Cfa/tvector.scm 614 */
																					obj_t BgL_arg1821z00_6084;

																					BgL_arg1821z00_6084 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_6079, ((long) 2));
																					BgL_res2344z00_6078 =
																						(BgL_arg1821z00_6084 ==
																						BgL_classz00_6071);
																				}
																			else
																				{	/* Cfa/tvector.scm 614 */
																					BgL_res2344z00_6078 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_6074 = BgL_res2344z00_6078;
														}
														BgL_test2528z00_7216 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_6073,
															BgL_arg1823z00_6074);
													}
												}
											else
												{	/* Cfa/tvector.scm 614 */
													BgL_test2528z00_7216 = ((bool_t) 0);
												}
										}
										if (BgL_test2528z00_7216)
											{	/* Cfa/tvector.scm 619 */
												obj_t BgL_tyz00_6085;

												{	/* Cfa/tvector.scm 619 */
													BgL_approxz00_bglt BgL_arg2090z00_6086;

													{
														BgL_vrefzf2cinfozf2_bglt BgL_auxz00_7235;

														{
															obj_t BgL_auxz00_7236;

															{	/* Cfa/tvector.scm 619 */
																BgL_objectz00_bglt BgL_tmpz00_7237;

																BgL_tmpz00_7237 =
																	((BgL_objectz00_bglt)
																	((BgL_vrefz00_bglt) BgL_nodez00_5957));
																BgL_auxz00_7236 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7237);
															}
															BgL_auxz00_7235 =
																((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_7236);
														}
														BgL_arg2090z00_6086 =
															(((BgL_vrefzf2cinfozf2_bglt)
																COBJECT(BgL_auxz00_7235))->BgL_approxz00);
													}
													BgL_tyz00_6085 =
														BGl_getzd2approxzd2typez00zzcfa_typez00
														(BgL_arg2090z00_6086,
														((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_5957)));
												}
												{	/* Cfa/tvector.scm 619 */
													obj_t BgL_tvzd2refzd2_6087;

													{	/* Cfa/tvector.scm 620 */
														obj_t BgL_arg2086z00_6088;

														{	/* Cfa/tvector.scm 620 */
															obj_t BgL_arg2087z00_6089;
															obj_t BgL_arg2088z00_6090;

															{	/* Cfa/tvector.scm 620 */
																obj_t BgL_arg2089z00_6091;

																BgL_arg2089z00_6091 =
																	(((BgL_typez00_bglt) COBJECT(
																			((BgL_typez00_bglt) BgL_tvz00_6070)))->
																	BgL_idz00);
																{	/* Cfa/tvector.scm 620 */
																	obj_t BgL_arg1463z00_6092;

																	BgL_arg1463z00_6092 =
																		SYMBOL_TO_STRING(BgL_arg2089z00_6091);
																	BgL_arg2087z00_6089 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1463z00_6092);
																}
															}
															{	/* Cfa/tvector.scm 620 */
																obj_t BgL_symbolz00_6093;

																BgL_symbolz00_6093 =
																	CNST_TABLE_REF(((long) 16));
																{	/* Cfa/tvector.scm 620 */
																	obj_t BgL_arg1463z00_6094;

																	BgL_arg1463z00_6094 =
																		SYMBOL_TO_STRING(BgL_symbolz00_6093);
																	BgL_arg2088z00_6090 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1463z00_6094);
															}}
															BgL_arg2086z00_6088 =
																string_append(BgL_arg2087z00_6089,
																BgL_arg2088z00_6090);
														}
														BgL_tvzd2refzd2_6087 =
															bstring_to_symbol(BgL_arg2086z00_6088);
													}
													{	/* Cfa/tvector.scm 620 */
														BgL_nodez00_bglt BgL_newzd2nodezd2_6095;

														{	/* Cfa/tvector.scm 621 */
															obj_t BgL_arg2082z00_6096;
															obj_t BgL_arg2083z00_6097;

															{	/* Cfa/tvector.scm 621 */
																obj_t BgL_arg2084z00_6098;

																BgL_arg2084z00_6098 =
																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																	((((BgL_externz00_bglt)
																			COBJECT(((BgL_externz00_bglt) (
																						(BgL_vrefz00_bglt)
																						BgL_nodez00_5957))))->
																		BgL_exprza2za2), BNIL);
																BgL_arg2082z00_6096 =
																	MAKE_YOUNG_PAIR(BgL_tvzd2refzd2_6087,
																	BgL_arg2084z00_6098);
															}
															BgL_arg2083z00_6097 =
																(((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt)
																			((BgL_vrefz00_bglt) BgL_nodez00_5957))))->
																BgL_locz00);
															BgL_newzd2nodezd2_6095 =
																BGl_sexpzd2ze3nodez31zzast_sexpz00
																(BgL_arg2082z00_6096, BNIL, BgL_arg2083z00_6097,
																CNST_TABLE_REF(((long) 12)));
														}
														{	/* Cfa/tvector.scm 621 */

															{	/* Cfa/tvector.scm 622 */
																BgL_typez00_bglt BgL_arg2081z00_6099;

																BgL_arg2081z00_6099 =
																	BGl_strictzd2nodezd2typez00zzast_nodez00(
																	((BgL_typez00_bglt) BgL_tvz00_6070),
																	((BgL_typez00_bglt) BgL_tyz00_6085));
																((((BgL_nodez00_bglt)
																			COBJECT(BgL_newzd2nodezd2_6095))->
																		BgL_typez00) =
																	((BgL_typez00_bglt) BgL_arg2081z00_6099),
																	BUNSPEC);
															}
															BgL_auxz00_7185 =
																BGl_inlinezd2nodezd2zzinline_inlinez00
																(BgL_newzd2nodezd2_6095, ((long) 1), BNIL);
											}}}}
										else
											{	/* Cfa/tvector.scm 615 */
												obj_t BgL_tyz00_6100;

												{	/* Cfa/tvector.scm 615 */
													BgL_approxz00_bglt BgL_arg2091z00_6101;

													{
														BgL_vrefzf2cinfozf2_bglt BgL_auxz00_7270;

														{
															obj_t BgL_auxz00_7271;

															{	/* Cfa/tvector.scm 615 */
																BgL_objectz00_bglt BgL_tmpz00_7272;

																BgL_tmpz00_7272 =
																	((BgL_objectz00_bglt)
																	((BgL_vrefz00_bglt) BgL_nodez00_5957));
																BgL_auxz00_7271 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7272);
															}
															BgL_auxz00_7270 =
																((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_7271);
														}
														BgL_arg2091z00_6101 =
															(((BgL_vrefzf2cinfozf2_bglt)
																COBJECT(BgL_auxz00_7270))->BgL_approxz00);
													}
													BgL_tyz00_6100 =
														BGl_getzd2approxzd2typez00zzcfa_typez00
														(BgL_arg2091z00_6101,
														((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_5957)));
												}
												((((BgL_vrefz00_bglt) COBJECT(
																((BgL_vrefz00_bglt)
																	((BgL_vrefz00_bglt) BgL_nodez00_5957))))->
														BgL_ftypez00) =
													((BgL_typez00_bglt) ((BgL_typez00_bglt)
															BgL_tyz00_6100)), BUNSPEC);
												((((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) ((BgL_vrefz00_bglt)
																		BgL_nodez00_5957))))->BgL_typez00) =
													((BgL_typez00_bglt) ((BgL_typez00_bglt)
															BgL_tyz00_6100)), BUNSPEC);
												BgL_auxz00_7185 =
													((BgL_nodez00_bglt) ((BgL_vrefz00_bglt)
														BgL_nodez00_5957));
											}
									}
								}
							}
						}
				}
				return ((obj_t) BgL_auxz00_7185);
			}
		}

	}



/* &patch!-valloc/Cinfo+1682 */
	obj_t BGl_z62patchz12zd2valloczf2Cinfozb21682ze2zzcfa_tvectorz00(obj_t
		BgL_envz00_5958, obj_t BgL_nodez00_5959)
	{
		{	/* Cfa/tvector.scm 584 */
			{
				BgL_nodez00_bglt BgL_auxz00_7292;

				{	/* Cfa/tvector.scm 586 */
					obj_t BgL_arg2059z00_6103;

					BgL_arg2059z00_6103 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vallocz00_bglt) BgL_nodez00_5959))))->BgL_exprza2za2);
					BGl_patchza2z12zb0zzcfa_tvectorz00(BgL_arg2059z00_6103);
				}
				{	/* Cfa/tvector.scm 587 */
					BgL_typez00_bglt BgL_typez00_6104;

					{	/* Cfa/tvector.scm 587 */
						BgL_approxz00_bglt BgL_arg2075z00_6105;

						{
							BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_7297;

							{
								obj_t BgL_auxz00_7298;

								{	/* Cfa/tvector.scm 587 */
									BgL_objectz00_bglt BgL_tmpz00_7299;

									BgL_tmpz00_7299 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_5959));
									BgL_auxz00_7298 = BGL_OBJECT_WIDENING(BgL_tmpz00_7299);
								}
								BgL_auxz00_7297 =
									((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_7298);
							}
							BgL_arg2075z00_6105 =
								(((BgL_valloczf2cinfozb2optimz40_bglt)
									COBJECT(BgL_auxz00_7297))->BgL_valuezd2approxzd2);
						}
						BgL_typez00_6104 =
							(((BgL_approxz00_bglt) COBJECT(BgL_arg2075z00_6105))->
							BgL_typez00);
					}
					{	/* Cfa/tvector.scm 587 */
						obj_t BgL_tvz00_6106;

						BgL_tvz00_6106 =
							(((BgL_typez00_bglt) COBJECT(BgL_typez00_6104))->BgL_tvectorz00);
						{	/* Cfa/tvector.scm 588 */

							{	/* Cfa/tvector.scm 589 */
								bool_t BgL_test2532z00_7307;

								{	/* Cfa/tvector.scm 589 */
									bool_t BgL_test2533z00_7308;

									{	/* Cfa/tvector.scm 589 */
										obj_t BgL_classz00_6107;

										BgL_classz00_6107 = BGl_typez00zztype_typez00;
										if (BGL_OBJECTP(BgL_tvz00_6106))
											{	/* Cfa/tvector.scm 589 */
												BgL_objectz00_bglt BgL_arg1825z00_6108;

												BgL_arg1825z00_6108 =
													(BgL_objectz00_bglt) (BgL_tvz00_6106);
												{	/* Cfa/tvector.scm 589 */
													bool_t BgL_arg1822z00_6109;
													bool_t BgL_arg1823z00_6110;

													{	/* Cfa/tvector.scm 589 */
														long BgL_idxz00_6111;

														BgL_idxz00_6111 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6108);
														BgL_arg1822z00_6109 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_6111 + ((long) 1))) ==
															BgL_classz00_6107);
													}
													{	/* Cfa/tvector.scm 589 */
														bool_t BgL_res2343z00_6114;

														{	/* Cfa/tvector.scm 589 */
															obj_t BgL_oclassz00_6115;

															{	/* Cfa/tvector.scm 589 */
																long BgL_arg1833z00_6116;

																{	/* Cfa/tvector.scm 589 */
																	long BgL_arg1834z00_6117;

																	BgL_arg1834z00_6117 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6108);
																	BgL_arg1833z00_6116 =
																		(BgL_arg1834z00_6117 - OBJECT_TYPE);
																}
																BgL_oclassz00_6115 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_6116);
															}
															{	/* Cfa/tvector.scm 589 */
																bool_t BgL__ortest_1110z00_6118;

																BgL__ortest_1110z00_6118 =
																	(BgL_classz00_6107 == BgL_oclassz00_6115);
																if (BgL__ortest_1110z00_6118)
																	{	/* Cfa/tvector.scm 589 */
																		BgL_res2343z00_6114 =
																			BgL__ortest_1110z00_6118;
																	}
																else
																	{	/* Cfa/tvector.scm 589 */
																		long BgL_odepthz00_6119;

																		BgL_odepthz00_6119 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_6115);
																		if ((((long) 1) < BgL_odepthz00_6119))
																			{	/* Cfa/tvector.scm 589 */
																				obj_t BgL_arg1821z00_6120;

																				BgL_arg1821z00_6120 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_6115, ((long) 1));
																				BgL_res2343z00_6114 =
																					(BgL_arg1821z00_6120 ==
																					BgL_classz00_6107);
																			}
																		else
																			{	/* Cfa/tvector.scm 589 */
																				BgL_res2343z00_6114 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_6110 = BgL_res2343z00_6114;
													}
													BgL_test2533z00_7308 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_6109,
														BgL_arg1823z00_6110);
												}
											}
										else
											{	/* Cfa/tvector.scm 589 */
												BgL_test2533z00_7308 = ((bool_t) 0);
											}
									}
									if (BgL_test2533z00_7308)
										{	/* Cfa/tvector.scm 589 */
											BgL_typez00_bglt BgL_arg2074z00_6121;

											BgL_arg2074z00_6121 =
												(((BgL_vallocz00_bglt) COBJECT(
														((BgL_vallocz00_bglt)
															((BgL_vallocz00_bglt) BgL_nodez00_5959))))->
												BgL_ftypez00);
											BgL_test2532z00_7307 =
												(((obj_t) BgL_arg2074z00_6121) ==
												BGl_za2_za2z00zztype_cachez00);
										}
									else
										{	/* Cfa/tvector.scm 589 */
											BgL_test2532z00_7307 = ((bool_t) 0);
										}
								}
								if (BgL_test2532z00_7307)
									{	/* Cfa/tvector.scm 590 */
										obj_t BgL_createzd2tvzd2_6122;

										{	/* Cfa/tvector.scm 590 */
											obj_t BgL_arg2068z00_6123;

											{	/* Cfa/tvector.scm 590 */
												obj_t BgL_arg2069z00_6124;
												obj_t BgL_arg2071z00_6125;

												{	/* Cfa/tvector.scm 590 */
													obj_t BgL_symbolz00_6126;

													BgL_symbolz00_6126 = CNST_TABLE_REF(((long) 17));
													{	/* Cfa/tvector.scm 590 */
														obj_t BgL_arg1463z00_6127;

														BgL_arg1463z00_6127 =
															SYMBOL_TO_STRING(BgL_symbolz00_6126);
														BgL_arg2069z00_6124 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1463z00_6127);
												}}
												{	/* Cfa/tvector.scm 590 */
													obj_t BgL_arg2072z00_6128;

													BgL_arg2072z00_6128 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_tvz00_6106)))->
														BgL_idz00);
													{	/* Cfa/tvector.scm 590 */
														obj_t BgL_arg1463z00_6129;

														BgL_arg1463z00_6129 =
															SYMBOL_TO_STRING(BgL_arg2072z00_6128);
														BgL_arg2071z00_6125 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1463z00_6129);
												}}
												BgL_arg2068z00_6123 =
													string_append(BgL_arg2069z00_6124,
													BgL_arg2071z00_6125);
											}
											BgL_createzd2tvzd2_6122 =
												bstring_to_symbol(BgL_arg2068z00_6123);
										}
										{	/* Cfa/tvector.scm 590 */
											BgL_nodez00_bglt BgL_newzd2nodezd2_6130;

											{	/* Cfa/tvector.scm 591 */
												obj_t BgL_arg2063z00_6131;
												obj_t BgL_arg2064z00_6132;

												{	/* Cfa/tvector.scm 591 */
													obj_t BgL_arg2065z00_6133;

													BgL_arg2065z00_6133 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
														(((BgL_externz00_bglt) COBJECT(
																	((BgL_externz00_bglt)
																		((BgL_vallocz00_bglt) BgL_nodez00_5959))))->
															BgL_exprza2za2), BNIL);
													BgL_arg2063z00_6131 =
														MAKE_YOUNG_PAIR(BgL_createzd2tvzd2_6122,
														BgL_arg2065z00_6133);
												}
												BgL_arg2064z00_6132 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_vallocz00_bglt) BgL_nodez00_5959))))->
													BgL_locz00);
												BgL_newzd2nodezd2_6130 =
													BGl_sexpzd2ze3nodez31zzast_sexpz00
													(BgL_arg2063z00_6131, BNIL, BgL_arg2064z00_6132,
													CNST_TABLE_REF(((long) 12)));
											}
											{	/* Cfa/tvector.scm 591 */

												{	/* Cfa/tvector.scm 595 */
													BgL_nodez00_bglt BgL_nz00_6134;

													BgL_nz00_6134 =
														BGl_inlinezd2nodezd2zzinline_inlinez00
														(BgL_newzd2nodezd2_6130, ((long) 1), BNIL);
													BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nz00_6134);
													BgL_auxz00_7292 = BgL_nz00_6134;
									}}}}
								else
									{	/* Cfa/tvector.scm 589 */
										{
											BgL_typez00_bglt BgL_auxz00_7353;

											{	/* Cfa/tvector.scm 599 */
												BgL_approxz00_bglt BgL_arg2073z00_6135;

												{
													BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_7356;

													{
														obj_t BgL_auxz00_7357;

														{	/* Cfa/tvector.scm 599 */
															BgL_objectz00_bglt BgL_tmpz00_7358;

															BgL_tmpz00_7358 =
																((BgL_objectz00_bglt)
																((BgL_vallocz00_bglt) BgL_nodez00_5959));
															BgL_auxz00_7357 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_7358);
														}
														BgL_auxz00_7356 =
															((BgL_valloczf2cinfozb2optimz40_bglt)
															BgL_auxz00_7357);
													}
													BgL_arg2073z00_6135 =
														(((BgL_valloczf2cinfozb2optimz40_bglt)
															COBJECT(BgL_auxz00_7356))->BgL_valuezd2approxzd2);
												}
												BgL_auxz00_7353 =
													((BgL_typez00_bglt)
													BGl_getzd2approxzd2typez00zzcfa_typez00
													(BgL_arg2073z00_6135,
														((obj_t) ((BgL_vallocz00_bglt) BgL_nodez00_5959))));
											}
											((((BgL_vallocz00_bglt) COBJECT(
															((BgL_vallocz00_bglt)
																((BgL_vallocz00_bglt) BgL_nodez00_5959))))->
													BgL_ftypez00) =
												((BgL_typez00_bglt) BgL_auxz00_7353), BUNSPEC);
										}
										BgL_auxz00_7292 =
											((BgL_nodez00_bglt)
											((BgL_vallocz00_bglt) BgL_nodez00_5959));
									}
							}
						}
					}
				}
				return ((obj_t) BgL_auxz00_7292);
			}
		}

	}



/* &patch!-make-vector-a1680 */
	obj_t BGl_z62patchz12zd2makezd2vectorzd2a1680za2zzcfa_tvectorz00(obj_t
		BgL_envz00_5960, obj_t BgL_nodez00_5961)
	{
		{	/* Cfa/tvector.scm 566 */
			{
				BgL_nodez00_bglt BgL_auxz00_7372;

				{	/* Cfa/tvector.scm 568 */
					obj_t BgL_arg2046z00_6137;

					BgL_arg2046z00_6137 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_5961))))->BgL_argsz00);
					BGl_patchza2z12zb0zzcfa_tvectorz00(BgL_arg2046z00_6137);
				}
				{	/* Cfa/tvector.scm 569 */
					BgL_typez00_bglt BgL_typez00_6138;

					{	/* Cfa/tvector.scm 569 */
						BgL_approxz00_bglt BgL_arg2058z00_6139;

						{
							BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_7377;

							{
								obj_t BgL_auxz00_7378;

								{	/* Cfa/tvector.scm 569 */
									BgL_objectz00_bglt BgL_tmpz00_7379;

									BgL_tmpz00_7379 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5961));
									BgL_auxz00_7378 = BGL_OBJECT_WIDENING(BgL_tmpz00_7379);
								}
								BgL_auxz00_7377 =
									((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_7378);
							}
							BgL_arg2058z00_6139 =
								(((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_7377))->
								BgL_valuezd2approxzd2);
						}
						BgL_typez00_6138 =
							(((BgL_approxz00_bglt) COBJECT(BgL_arg2058z00_6139))->
							BgL_typez00);
					}
					{	/* Cfa/tvector.scm 569 */
						obj_t BgL_tvz00_6140;

						BgL_tvz00_6140 =
							(((BgL_typez00_bglt) COBJECT(BgL_typez00_6138))->BgL_tvectorz00);
						{	/* Cfa/tvector.scm 570 */

							{	/* Cfa/tvector.scm 571 */
								bool_t BgL_test2537z00_7387;

								{	/* Cfa/tvector.scm 571 */
									obj_t BgL_classz00_6141;

									BgL_classz00_6141 = BGl_typez00zztype_typez00;
									if (BGL_OBJECTP(BgL_tvz00_6140))
										{	/* Cfa/tvector.scm 571 */
											BgL_objectz00_bglt BgL_arg1825z00_6142;

											BgL_arg1825z00_6142 =
												(BgL_objectz00_bglt) (BgL_tvz00_6140);
											{	/* Cfa/tvector.scm 571 */
												bool_t BgL_arg1822z00_6143;
												bool_t BgL_arg1823z00_6144;

												{	/* Cfa/tvector.scm 571 */
													long BgL_idxz00_6145;

													BgL_idxz00_6145 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6142);
													BgL_arg1822z00_6143 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_6145 + ((long) 1))) ==
														BgL_classz00_6141);
												}
												{	/* Cfa/tvector.scm 571 */
													bool_t BgL_res2342z00_6148;

													{	/* Cfa/tvector.scm 571 */
														obj_t BgL_oclassz00_6149;

														{	/* Cfa/tvector.scm 571 */
															long BgL_arg1833z00_6150;

															{	/* Cfa/tvector.scm 571 */
																long BgL_arg1834z00_6151;

																BgL_arg1834z00_6151 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6142);
																BgL_arg1833z00_6150 =
																	(BgL_arg1834z00_6151 - OBJECT_TYPE);
															}
															BgL_oclassz00_6149 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_6150);
														}
														{	/* Cfa/tvector.scm 571 */
															bool_t BgL__ortest_1110z00_6152;

															BgL__ortest_1110z00_6152 =
																(BgL_classz00_6141 == BgL_oclassz00_6149);
															if (BgL__ortest_1110z00_6152)
																{	/* Cfa/tvector.scm 571 */
																	BgL_res2342z00_6148 =
																		BgL__ortest_1110z00_6152;
																}
															else
																{	/* Cfa/tvector.scm 571 */
																	long BgL_odepthz00_6153;

																	BgL_odepthz00_6153 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_6149);
																	if ((((long) 1) < BgL_odepthz00_6153))
																		{	/* Cfa/tvector.scm 571 */
																			obj_t BgL_arg1821z00_6154;

																			BgL_arg1821z00_6154 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_6149, ((long) 1));
																			BgL_res2342z00_6148 =
																				(BgL_arg1821z00_6154 ==
																				BgL_classz00_6141);
																		}
																	else
																		{	/* Cfa/tvector.scm 571 */
																			BgL_res2342z00_6148 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_6144 = BgL_res2342z00_6148;
												}
												BgL_test2537z00_7387 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_6143,
													BgL_arg1823z00_6144);
											}
										}
									else
										{	/* Cfa/tvector.scm 571 */
											BgL_test2537z00_7387 = ((bool_t) 0);
										}
								}
								if (BgL_test2537z00_7387)
									{	/* Cfa/tvector.scm 572 */
										obj_t BgL_makezd2tvzd2_6155;

										{	/* Cfa/tvector.scm 572 */
											obj_t BgL_arg2053z00_6156;

											{	/* Cfa/tvector.scm 572 */
												obj_t BgL_arg2054z00_6157;
												obj_t BgL_arg2055z00_6158;

												{	/* Cfa/tvector.scm 572 */
													obj_t BgL_symbolz00_6159;

													BgL_symbolz00_6159 = CNST_TABLE_REF(((long) 18));
													{	/* Cfa/tvector.scm 572 */
														obj_t BgL_arg1463z00_6160;

														BgL_arg1463z00_6160 =
															SYMBOL_TO_STRING(BgL_symbolz00_6159);
														BgL_arg2054z00_6157 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1463z00_6160);
												}}
												{	/* Cfa/tvector.scm 572 */
													obj_t BgL_arg2056z00_6161;

													BgL_arg2056z00_6161 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_tvz00_6140)))->
														BgL_idz00);
													{	/* Cfa/tvector.scm 572 */
														obj_t BgL_arg1463z00_6162;

														BgL_arg1463z00_6162 =
															SYMBOL_TO_STRING(BgL_arg2056z00_6161);
														BgL_arg2055z00_6158 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1463z00_6162);
												}}
												BgL_arg2053z00_6156 =
													string_append(BgL_arg2054z00_6157,
													BgL_arg2055z00_6158);
											}
											BgL_makezd2tvzd2_6155 =
												bstring_to_symbol(BgL_arg2053z00_6156);
										}
										{	/* Cfa/tvector.scm 572 */
											BgL_nodez00_bglt BgL_newzd2nodezd2_6163;

											{	/* Cfa/tvector.scm 573 */
												obj_t BgL_arg2049z00_6164;
												obj_t BgL_arg2050z00_6165;

												{	/* Cfa/tvector.scm 573 */
													obj_t BgL_arg2051z00_6166;

													BgL_arg2051z00_6166 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5961))))->
															BgL_argsz00), BNIL);
													BgL_arg2049z00_6164 =
														MAKE_YOUNG_PAIR(BgL_makezd2tvzd2_6155,
														BgL_arg2051z00_6166);
												}
												BgL_arg2050z00_6165 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_5961))))->
													BgL_locz00);
												BgL_newzd2nodezd2_6163 =
													BGl_sexpzd2ze3nodez31zzast_sexpz00
													(BgL_arg2049z00_6164, BNIL, BgL_arg2050z00_6165,
													CNST_TABLE_REF(((long) 12)));
											}
											{	/* Cfa/tvector.scm 573 */

												((((BgL_nodez00_bglt) COBJECT(BgL_newzd2nodezd2_6163))->
														BgL_typez00) =
													((BgL_typez00_bglt) ((BgL_typez00_bglt)
															BgL_tvz00_6140)), BUNSPEC);
												BgL_auxz00_7372 =
													BGl_inlinezd2nodezd2zzinline_inlinez00
													(BgL_newzd2nodezd2_6163, ((long) 1), BNIL);
									}}}
								else
									{	/* Cfa/tvector.scm 571 */
										BgL_auxz00_7372 =
											((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5961));
									}
							}
						}
					}
				}
				return ((obj_t) BgL_auxz00_7372);
			}
		}

	}



/* &patch!-vlength1678 */
	obj_t BGl_z62patchz12zd2vlength1678za2zzcfa_tvectorz00(obj_t BgL_envz00_5962,
		obj_t BgL_nodez00_5963)
	{
		{	/* Cfa/tvector.scm 515 */
			{
				BgL_nodez00_bglt BgL_auxz00_7431;

				{	/* Cfa/tvector.scm 517 */
					obj_t BgL_arg2030z00_6168;

					BgL_arg2030z00_6168 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vlengthz00_bglt)
										((BgL_vlengthz00_bglt) BgL_nodez00_5963)))))->
						BgL_exprza2za2);
					BGl_patchza2z12zb0zzcfa_tvectorz00(BgL_arg2030z00_6168);
				}
				{	/* Cfa/tvector.scm 518 */
					BgL_approxz00_bglt BgL_approxz00_6169;

					{	/* Cfa/tvector.scm 518 */
						obj_t BgL_arg2044z00_6170;

						{	/* Cfa/tvector.scm 518 */
							obj_t BgL_pairz00_6171;

							BgL_pairz00_6171 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt)
											((BgL_vlengthz00_bglt)
												((BgL_vlengthz00_bglt) BgL_nodez00_5963)))))->
								BgL_exprza2za2);
							BgL_arg2044z00_6170 = CAR(BgL_pairz00_6171);
						}
						BgL_approxz00_6169 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg2044z00_6170));
					}
					{	/* Cfa/tvector.scm 518 */
						obj_t BgL_tvz00_6172;

						BgL_tvz00_6172 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_6169,
							((obj_t) ((BgL_vlengthz00_bglt) BgL_nodez00_5963)));
						{	/* Cfa/tvector.scm 519 */

							{	/* Cfa/tvector.scm 520 */
								bool_t BgL_test2541z00_7447;

								{	/* Cfa/tvector.scm 520 */
									bool_t BgL_test2542z00_7448;

									{	/* Cfa/tvector.scm 520 */
										obj_t BgL_classz00_6173;

										BgL_classz00_6173 = BGl_tvecz00zztvector_tvectorz00;
										if (BGL_OBJECTP(BgL_tvz00_6172))
											{	/* Cfa/tvector.scm 520 */
												BgL_objectz00_bglt BgL_arg1825z00_6174;

												BgL_arg1825z00_6174 =
													(BgL_objectz00_bglt) (BgL_tvz00_6172);
												{	/* Cfa/tvector.scm 520 */
													bool_t BgL_arg1822z00_6175;
													bool_t BgL_arg1823z00_6176;

													{	/* Cfa/tvector.scm 520 */
														long BgL_idxz00_6177;

														BgL_idxz00_6177 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6174);
														BgL_arg1822z00_6175 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_6177 + ((long) 2))) ==
															BgL_classz00_6173);
													}
													{	/* Cfa/tvector.scm 520 */
														bool_t BgL_res2341z00_6180;

														{	/* Cfa/tvector.scm 520 */
															obj_t BgL_oclassz00_6181;

															{	/* Cfa/tvector.scm 520 */
																long BgL_arg1833z00_6182;

																{	/* Cfa/tvector.scm 520 */
																	long BgL_arg1834z00_6183;

																	BgL_arg1834z00_6183 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6174);
																	BgL_arg1833z00_6182 =
																		(BgL_arg1834z00_6183 - OBJECT_TYPE);
																}
																BgL_oclassz00_6181 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_6182);
															}
															{	/* Cfa/tvector.scm 520 */
																bool_t BgL__ortest_1110z00_6184;

																BgL__ortest_1110z00_6184 =
																	(BgL_classz00_6173 == BgL_oclassz00_6181);
																if (BgL__ortest_1110z00_6184)
																	{	/* Cfa/tvector.scm 520 */
																		BgL_res2341z00_6180 =
																			BgL__ortest_1110z00_6184;
																	}
																else
																	{	/* Cfa/tvector.scm 520 */
																		long BgL_odepthz00_6185;

																		BgL_odepthz00_6185 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_6181);
																		if ((((long) 2) < BgL_odepthz00_6185))
																			{	/* Cfa/tvector.scm 520 */
																				obj_t BgL_arg1821z00_6186;

																				BgL_arg1821z00_6186 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_6181, ((long) 2));
																				BgL_res2341z00_6180 =
																					(BgL_arg1821z00_6186 ==
																					BgL_classz00_6173);
																			}
																		else
																			{	/* Cfa/tvector.scm 520 */
																				BgL_res2341z00_6180 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_6176 = BgL_res2341z00_6180;
													}
													BgL_test2542z00_7448 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_6175,
														BgL_arg1823z00_6176);
												}
											}
										else
											{	/* Cfa/tvector.scm 520 */
												BgL_test2542z00_7448 = ((bool_t) 0);
											}
									}
									if (BgL_test2542z00_7448)
										{	/* Cfa/tvector.scm 520 */
											bool_t BgL_test2546z00_7467;

											{
												BgL_vlengthzf2cinfozf2_bglt BgL_auxz00_7468;

												{
													obj_t BgL_auxz00_7469;

													{	/* Cfa/tvector.scm 520 */
														BgL_objectz00_bglt BgL_tmpz00_7470;

														BgL_tmpz00_7470 =
															((BgL_objectz00_bglt)
															((BgL_vlengthz00_bglt)
																((BgL_vlengthz00_bglt) BgL_nodez00_5963)));
														BgL_auxz00_7469 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_7470);
													}
													BgL_auxz00_7468 =
														((BgL_vlengthzf2cinfozf2_bglt) BgL_auxz00_7469);
												}
												BgL_test2546z00_7467 =
													(((BgL_vlengthzf2cinfozf2_bglt)
														COBJECT(BgL_auxz00_7468))->BgL_tvectorzf3zf3);
											}
											if (BgL_test2546z00_7467)
												{	/* Cfa/tvector.scm 520 */
													BgL_test2541z00_7447 = ((bool_t) 0);
												}
											else
												{	/* Cfa/tvector.scm 520 */
													BgL_test2541z00_7447 = ((bool_t) 1);
												}
										}
									else
										{	/* Cfa/tvector.scm 520 */
											BgL_test2541z00_7447 = ((bool_t) 0);
										}
								}
								if (BgL_test2541z00_7447)
									{	/* Cfa/tvector.scm 521 */
										obj_t BgL_lengthzd2tvzd2_6187;

										{	/* Cfa/tvector.scm 521 */
											obj_t BgL_arg2040z00_6188;

											{	/* Cfa/tvector.scm 521 */
												obj_t BgL_arg2041z00_6189;
												obj_t BgL_arg2042z00_6190;

												{	/* Cfa/tvector.scm 521 */
													obj_t BgL_arg2043z00_6191;

													BgL_arg2043z00_6191 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_tvz00_6172)))->
														BgL_idz00);
													{	/* Cfa/tvector.scm 521 */
														obj_t BgL_arg1463z00_6192;

														BgL_arg1463z00_6192 =
															SYMBOL_TO_STRING(BgL_arg2043z00_6191);
														BgL_arg2041z00_6189 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1463z00_6192);
													}
												}
												{	/* Cfa/tvector.scm 521 */
													obj_t BgL_symbolz00_6193;

													BgL_symbolz00_6193 = CNST_TABLE_REF(((long) 19));
													{	/* Cfa/tvector.scm 521 */
														obj_t BgL_arg1463z00_6194;

														BgL_arg1463z00_6194 =
															SYMBOL_TO_STRING(BgL_symbolz00_6193);
														BgL_arg2042z00_6190 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1463z00_6194);
												}}
												BgL_arg2040z00_6188 =
													string_append(BgL_arg2041z00_6189,
													BgL_arg2042z00_6190);
											}
											BgL_lengthzd2tvzd2_6187 =
												bstring_to_symbol(BgL_arg2040z00_6188);
										}
										{	/* Cfa/tvector.scm 521 */
											BgL_nodez00_bglt BgL_newzd2nodezd2_6195;

											{	/* Cfa/tvector.scm 522 */
												obj_t BgL_arg2034z00_6196;
												obj_t BgL_arg2035z00_6197;

												{	/* Cfa/tvector.scm 522 */
													obj_t BgL_arg2036z00_6198;

													{	/* Cfa/tvector.scm 522 */
														obj_t BgL_arg2037z00_6199;

														{	/* Cfa/tvector.scm 522 */
															obj_t BgL_pairz00_6200;

															BgL_pairz00_6200 =
																(((BgL_externz00_bglt) COBJECT(
																		((BgL_externz00_bglt)
																			((BgL_vlengthz00_bglt)
																				((BgL_vlengthz00_bglt)
																					BgL_nodez00_5963)))))->
																BgL_exprza2za2);
															BgL_arg2037z00_6199 = CAR(BgL_pairz00_6200);
														}
														BgL_arg2036z00_6198 =
															MAKE_YOUNG_PAIR(BgL_arg2037z00_6199, BNIL);
													}
													BgL_arg2034z00_6196 =
														MAKE_YOUNG_PAIR(BgL_lengthzd2tvzd2_6187,
														BgL_arg2036z00_6198);
												}
												BgL_arg2035z00_6197 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_vlengthz00_bglt)
																	((BgL_vlengthz00_bglt) BgL_nodez00_5963)))))->
													BgL_locz00);
												BgL_newzd2nodezd2_6195 =
													BGl_sexpzd2ze3nodez31zzast_sexpz00
													(BgL_arg2034z00_6196, BNIL, BgL_arg2035z00_6197,
													CNST_TABLE_REF(((long) 12)));
											}
											{	/* Cfa/tvector.scm 522 */

												{	/* Cfa/tvector.scm 526 */
													BgL_typez00_bglt BgL_vz00_6201;

													BgL_vz00_6201 =
														((BgL_typez00_bglt)
														BGl_za2intza2z00zztype_cachez00);
													((((BgL_nodez00_bglt)
																COBJECT(BgL_newzd2nodezd2_6195))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_6201), BUNSPEC);
												}
												BgL_auxz00_7431 =
													BGl_inlinezd2nodezd2zzinline_inlinez00
													(BgL_newzd2nodezd2_6195, ((long) 1), BNIL);
									}}}
								else
									{	/* Cfa/tvector.scm 520 */
										BgL_auxz00_7431 =
											((BgL_nodez00_bglt)
											((BgL_vlengthz00_bglt) BgL_nodez00_5963));
									}
							}
						}
					}
				}
				return ((obj_t) BgL_auxz00_7431);
			}
		}

	}



/* &patch!-app1676 */
	obj_t BGl_z62patchz12zd2app1676za2zzcfa_tvectorz00(obj_t BgL_envz00_5964,
		obj_t BgL_nodez00_5965)
	{
		{	/* Cfa/tvector.scm 495 */
			{
				BgL_nodez00_bglt BgL_auxz00_7505;

				BGl_patchza2z12zb0zzcfa_tvectorz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_5965)))->BgL_argsz00));
				{
					BgL_varz00_bglt BgL_auxz00_7509;

					{	/* Cfa/tvector.scm 498 */
						BgL_varz00_bglt BgL_arg2012z00_6203;

						BgL_arg2012z00_6203 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_5965)))->BgL_funz00);
						BgL_auxz00_7509 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(
								((BgL_nodez00_bglt) BgL_arg2012z00_6203)));
					}
					((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_5965)))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_7509), BUNSPEC);
				}
				{	/* Cfa/tvector.scm 499 */
					BgL_variablez00_bglt BgL_vz00_6204;

					BgL_vz00_6204 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_5965)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/tvector.scm 500 */
						bool_t BgL_test2547z00_7520;

						{	/* Cfa/tvector.scm 500 */
							obj_t BgL_classz00_6205;

							BgL_classz00_6205 = BGl_globalz00zzast_varz00;
							{	/* Cfa/tvector.scm 500 */
								BgL_objectz00_bglt BgL_arg1825z00_6206;

								{	/* Cfa/tvector.scm 500 */
									obj_t BgL_tmpz00_7521;

									BgL_tmpz00_7521 =
										((obj_t) ((BgL_objectz00_bglt) BgL_vz00_6204));
									BgL_arg1825z00_6206 = (BgL_objectz00_bglt) (BgL_tmpz00_7521);
								}
								{	/* Cfa/tvector.scm 500 */
									bool_t BgL_arg1822z00_6207;
									bool_t BgL_arg1823z00_6208;

									{	/* Cfa/tvector.scm 500 */
										long BgL_idxz00_6209;

										BgL_idxz00_6209 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6206);
										BgL_arg1822z00_6207 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6209 + ((long) 2))) == BgL_classz00_6205);
									}
									{	/* Cfa/tvector.scm 500 */
										bool_t BgL_res2339z00_6212;

										{	/* Cfa/tvector.scm 500 */
											obj_t BgL_oclassz00_6213;

											{	/* Cfa/tvector.scm 500 */
												long BgL_arg1833z00_6214;

												{	/* Cfa/tvector.scm 500 */
													long BgL_arg1834z00_6215;

													BgL_arg1834z00_6215 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6206);
													BgL_arg1833z00_6214 =
														(BgL_arg1834z00_6215 - OBJECT_TYPE);
												}
												BgL_oclassz00_6213 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_6214);
											}
											{	/* Cfa/tvector.scm 500 */
												bool_t BgL__ortest_1110z00_6216;

												BgL__ortest_1110z00_6216 =
													(BgL_classz00_6205 == BgL_oclassz00_6213);
												if (BgL__ortest_1110z00_6216)
													{	/* Cfa/tvector.scm 500 */
														BgL_res2339z00_6212 = BgL__ortest_1110z00_6216;
													}
												else
													{	/* Cfa/tvector.scm 500 */
														long BgL_odepthz00_6217;

														BgL_odepthz00_6217 =
															BGL_CLASS_DEPTH(BgL_oclassz00_6213);
														if ((((long) 2) < BgL_odepthz00_6217))
															{	/* Cfa/tvector.scm 500 */
																obj_t BgL_arg1821z00_6218;

																BgL_arg1821z00_6218 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6213,
																	((long) 2));
																BgL_res2339z00_6212 =
																	(BgL_arg1821z00_6218 == BgL_classz00_6205);
															}
														else
															{	/* Cfa/tvector.scm 500 */
																BgL_res2339z00_6212 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_6208 = BgL_res2339z00_6212;
									}
									BgL_test2547z00_7520 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_6207, BgL_arg1823z00_6208);
								}
							}
						}
						if (BgL_test2547z00_7520)
							{	/* Cfa/tvector.scm 501 */
								bool_t BgL_test2550z00_7540;

								{	/* Cfa/tvector.scm 501 */
									BgL_valuez00_bglt BgL_arg2026z00_6219;

									BgL_arg2026z00_6219 =
										(((BgL_variablez00_bglt) COBJECT(BgL_vz00_6204))->
										BgL_valuez00);
									{	/* Cfa/tvector.scm 501 */
										obj_t BgL_classz00_6220;

										BgL_classz00_6220 = BGl_cfunz00zzast_varz00;
										{	/* Cfa/tvector.scm 501 */
											BgL_objectz00_bglt BgL_arg1825z00_6221;

											{	/* Cfa/tvector.scm 501 */
												obj_t BgL_tmpz00_7542;

												BgL_tmpz00_7542 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg2026z00_6219));
												BgL_arg1825z00_6221 =
													(BgL_objectz00_bglt) (BgL_tmpz00_7542);
											}
											{	/* Cfa/tvector.scm 501 */
												bool_t BgL_arg1822z00_6222;
												bool_t BgL_arg1823z00_6223;

												{	/* Cfa/tvector.scm 501 */
													long BgL_idxz00_6224;

													BgL_idxz00_6224 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6221);
													BgL_arg1822z00_6222 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_6224 + ((long) 3))) ==
														BgL_classz00_6220);
												}
												{	/* Cfa/tvector.scm 501 */
													bool_t BgL_res2340z00_6227;

													{	/* Cfa/tvector.scm 501 */
														obj_t BgL_oclassz00_6228;

														{	/* Cfa/tvector.scm 501 */
															long BgL_arg1833z00_6229;

															{	/* Cfa/tvector.scm 501 */
																long BgL_arg1834z00_6230;

																BgL_arg1834z00_6230 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6221);
																BgL_arg1833z00_6229 =
																	(BgL_arg1834z00_6230 - OBJECT_TYPE);
															}
															BgL_oclassz00_6228 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_6229);
														}
														{	/* Cfa/tvector.scm 501 */
															bool_t BgL__ortest_1110z00_6231;

															BgL__ortest_1110z00_6231 =
																(BgL_classz00_6220 == BgL_oclassz00_6228);
															if (BgL__ortest_1110z00_6231)
																{	/* Cfa/tvector.scm 501 */
																	BgL_res2340z00_6227 =
																		BgL__ortest_1110z00_6231;
																}
															else
																{	/* Cfa/tvector.scm 501 */
																	long BgL_odepthz00_6232;

																	BgL_odepthz00_6232 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_6228);
																	if ((((long) 3) < BgL_odepthz00_6232))
																		{	/* Cfa/tvector.scm 501 */
																			obj_t BgL_arg1821z00_6233;

																			BgL_arg1821z00_6233 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_6228, ((long) 3));
																			BgL_res2340z00_6227 =
																				(BgL_arg1821z00_6233 ==
																				BgL_classz00_6220);
																		}
																	else
																		{	/* Cfa/tvector.scm 501 */
																			BgL_res2340z00_6227 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_6223 = BgL_res2340z00_6227;
												}
												BgL_test2550z00_7540 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_6222,
													BgL_arg1823z00_6223);
											}
										}
									}
								}
								if (BgL_test2550z00_7540)
									{	/* Cfa/tvector.scm 502 */
										obj_t BgL_casezd2valuezd2_6234;

										BgL_casezd2valuezd2_6234 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_6204))))->BgL_idz00);
										if (
											(BgL_casezd2valuezd2_6234 == CNST_TABLE_REF(((long) 1))))
											{	/* Cfa/tvector.scm 502 */
												BgL_auxz00_7505 =
													BGl_patchzd2vectorzf3z12z33zzcfa_tvectorz00(
													((BgL_appz00_bglt) BgL_nodez00_5965));
											}
										else
											{	/* Cfa/tvector.scm 502 */
												if (
													(BgL_casezd2valuezd2_6234 ==
														CNST_TABLE_REF(((long) 2))))
													{	/* Cfa/tvector.scm 502 */
														BgL_auxz00_7505 =
															BGl_patchzd2vectorzf3z12z33zzcfa_tvectorz00(
															((BgL_appz00_bglt) BgL_nodez00_5965));
													}
												else
													{	/* Cfa/tvector.scm 502 */
														BgL_auxz00_7505 =
															((BgL_nodez00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_5965));
													}
											}
									}
								else
									{	/* Cfa/tvector.scm 506 */
										bool_t BgL_test2555z00_7576;

										if (
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_vz00_6204))))->
													BgL_idz00) == CNST_TABLE_REF(((long) 20))))
											{	/* Cfa/tvector.scm 506 */
												BgL_test2555z00_7576 =
													(
													(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_vz00_6204)))->
														BgL_modulez00) == CNST_TABLE_REF(((long) 21)));
											}
										else
											{	/* Cfa/tvector.scm 506 */
												BgL_test2555z00_7576 = ((bool_t) 0);
											}
										if (BgL_test2555z00_7576)
											{	/* Cfa/tvector.scm 506 */
												BgL_auxz00_7505 =
													BGl_patchzd2vectorzd2ze3listz12zf1zzcfa_tvectorz00(
													((BgL_appz00_bglt) BgL_nodez00_5965));
											}
										else
											{	/* Cfa/tvector.scm 506 */
												BgL_auxz00_7505 =
													((BgL_nodez00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_5965));
											}
									}
							}
						else
							{	/* Cfa/tvector.scm 500 */
								BgL_auxz00_7505 =
									((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5965));
							}
					}
				}
				return ((obj_t) BgL_auxz00_7505);
			}
		}

	}



/* &patch!-box-ref1674 */
	obj_t BGl_z62patchz12zd2boxzd2ref1674z70zzcfa_tvectorz00(obj_t
		BgL_envz00_5966, obj_t BgL_nodez00_5967)
	{
		{	/* Cfa/tvector.scm 476 */
			{
				BgL_boxzd2refzd2_bglt BgL_auxz00_7594;

				{
					BgL_varz00_bglt BgL_auxz00_7595;

					{	/* Cfa/tvector.scm 478 */
						BgL_varz00_bglt BgL_arg2010z00_6236;

						BgL_arg2010z00_6236 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_5967)))->BgL_varz00);
						BgL_auxz00_7595 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(
								((BgL_nodez00_bglt) BgL_arg2010z00_6236)));
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_5967)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_7595), BUNSPEC);
				}
				BgL_auxz00_7594 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_5967);
				return ((obj_t) BgL_auxz00_7594);
			}
		}

	}



/* &patch!-box-set!1672 */
	obj_t BGl_z62patchz12zd2boxzd2setz121672z62zzcfa_tvectorz00(obj_t
		BgL_envz00_5968, obj_t BgL_nodez00_5969)
	{
		{	/* Cfa/tvector.scm 467 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_auxz00_7605;

				{
					BgL_varz00_bglt BgL_auxz00_7606;

					{	/* Cfa/tvector.scm 469 */
						BgL_varz00_bglt BgL_arg2008z00_6238;

						BgL_arg2008z00_6238 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5969)))->BgL_varz00);
						BgL_auxz00_7606 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(
								((BgL_nodez00_bglt) BgL_arg2008z00_6238)));
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5969)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_7606), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7614;

					{	/* Cfa/tvector.scm 470 */
						BgL_nodez00_bglt BgL_arg2009z00_6239;

						BgL_arg2009z00_6239 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5969)))->
							BgL_valuez00);
						BgL_auxz00_7614 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2009z00_6239));
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5969)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_7614), BUNSPEC);
				}
				BgL_auxz00_7605 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5969);
				return ((obj_t) BgL_auxz00_7605);
			}
		}

	}



/* &patch!-make-box1670 */
	obj_t BGl_z62patchz12zd2makezd2box1670z70zzcfa_tvectorz00(obj_t
		BgL_envz00_5970, obj_t BgL_nodez00_5971)
	{
		{	/* Cfa/tvector.scm 459 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_7623;

				{
					BgL_nodez00_bglt BgL_auxz00_7624;

					{	/* Cfa/tvector.scm 461 */
						BgL_nodez00_bglt BgL_arg2007z00_6241;

						BgL_arg2007z00_6241 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_5971)))->BgL_valuez00);
						BgL_auxz00_7624 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2007z00_6241));
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_5971)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_7624), BUNSPEC);
				}
				BgL_auxz00_7623 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_5971);
				return ((obj_t) BgL_auxz00_7623);
			}
		}

	}



/* &patch!-jump-ex-it1668 */
	obj_t BGl_z62patchz12zd2jumpzd2exzd2it1668za2zzcfa_tvectorz00(obj_t
		BgL_envz00_5972, obj_t BgL_nodez00_5973)
	{
		{	/* Cfa/tvector.scm 450 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_7633;

				{
					BgL_nodez00_bglt BgL_auxz00_7634;

					{	/* Cfa/tvector.scm 452 */
						BgL_nodez00_bglt BgL_arg2005z00_6243;

						BgL_arg2005z00_6243 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5973)))->
							BgL_exitz00);
						BgL_auxz00_7634 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2005z00_6243));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5973)))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_7634), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7641;

					{	/* Cfa/tvector.scm 453 */
						BgL_nodez00_bglt BgL_arg2006z00_6244;

						BgL_arg2006z00_6244 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5973)))->
							BgL_valuez00);
						BgL_auxz00_7641 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2006z00_6244));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5973)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_7641), BUNSPEC);
				}
				BgL_auxz00_7633 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5973);
				return ((obj_t) BgL_auxz00_7633);
			}
		}

	}



/* &patch!-set-ex-it1666 */
	obj_t BGl_z62patchz12zd2setzd2exzd2it1666za2zzcfa_tvectorz00(obj_t
		BgL_envz00_5974, obj_t BgL_nodez00_5975)
	{
		{	/* Cfa/tvector.scm 440 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_auxz00_7650;

				{
					BgL_nodez00_bglt BgL_auxz00_7651;

					{	/* Cfa/tvector.scm 442 */
						BgL_nodez00_bglt BgL_arg2002z00_6246;

						BgL_arg2002z00_6246 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5975)))->
							BgL_bodyz00);
						BgL_auxz00_7651 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2002z00_6246));
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5975)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_7651), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7658;

					{	/* Cfa/tvector.scm 443 */
						BgL_nodez00_bglt BgL_arg2003z00_6247;

						BgL_arg2003z00_6247 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5975)))->
							BgL_onexitz00);
						BgL_auxz00_7658 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2003z00_6247));
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5975)))->
							BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_7658), BUNSPEC);
				}
				{	/* Cfa/tvector.scm 444 */
					BgL_varz00_bglt BgL_arg2004z00_6248;

					BgL_arg2004z00_6248 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5975)))->BgL_varz00);
					BGl_patchz12z12zzcfa_tvectorz00(
						((BgL_nodez00_bglt) BgL_arg2004z00_6248));
				}
				BgL_auxz00_7650 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5975);
				return ((obj_t) BgL_auxz00_7650);
			}
		}

	}



/* &patch!-let-var1664 */
	obj_t BGl_z62patchz12zd2letzd2var1664z70zzcfa_tvectorz00(obj_t
		BgL_envz00_5976, obj_t BgL_nodez00_5977)
	{
		{	/* Cfa/tvector.scm 428 */
			{
				BgL_letzd2varzd2_bglt BgL_auxz00_7671;

				{	/* Cfa/tvector.scm 430 */
					obj_t BgL_g1622z00_6250;

					BgL_g1622z00_6250 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_5977)))->BgL_bindingsz00);
					{
						obj_t BgL_l1620z00_6252;

						BgL_l1620z00_6252 = BgL_g1622z00_6250;
					BgL_zc3z04anonymousza31997ze3z87_6251:
						if (PAIRP(BgL_l1620z00_6252))
							{	/* Cfa/tvector.scm 430 */
								{	/* Cfa/tvector.scm 431 */
									obj_t BgL_bindingz00_6253;

									BgL_bindingz00_6253 = CAR(BgL_l1620z00_6252);
									{	/* Cfa/tvector.scm 431 */
										obj_t BgL_valz00_6254;

										BgL_valz00_6254 = CDR(((obj_t) BgL_bindingz00_6253));
										{	/* Cfa/tvector.scm 432 */
											obj_t BgL_arg1999z00_6255;

											BgL_arg1999z00_6255 =
												BGl_patchz12z12zzcfa_tvectorz00(
												((BgL_nodez00_bglt) BgL_valz00_6254));
											{	/* Cfa/tvector.scm 432 */
												obj_t BgL_tmpz00_7681;

												BgL_tmpz00_7681 = ((obj_t) BgL_bindingz00_6253);
												SET_CDR(BgL_tmpz00_7681, BgL_arg1999z00_6255);
											}
										}
									}
								}
								{
									obj_t BgL_l1620z00_7684;

									BgL_l1620z00_7684 = CDR(BgL_l1620z00_6252);
									BgL_l1620z00_6252 = BgL_l1620z00_7684;
									goto BgL_zc3z04anonymousza31997ze3z87_6251;
								}
							}
						else
							{	/* Cfa/tvector.scm 430 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7686;

					{	/* Cfa/tvector.scm 434 */
						BgL_nodez00_bglt BgL_arg2001z00_6256;

						BgL_arg2001z00_6256 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_5977)))->BgL_bodyz00);
						BgL_auxz00_7686 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2001z00_6256));
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_5977)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7686), BUNSPEC);
				}
				BgL_auxz00_7671 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_5977);
				return ((obj_t) BgL_auxz00_7671);
			}
		}

	}



/* &patch!-let-fun1662 */
	obj_t BGl_z62patchz12zd2letzd2fun1662z70zzcfa_tvectorz00(obj_t
		BgL_envz00_5978, obj_t BgL_nodez00_5979)
	{
		{	/* Cfa/tvector.scm 419 */
			{
				BgL_letzd2funzd2_bglt BgL_auxz00_7695;

				{	/* Cfa/tvector.scm 421 */
					obj_t BgL_g1619z00_6258;

					BgL_g1619z00_6258 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_5979)))->BgL_localsz00);
					{
						obj_t BgL_l1617z00_6260;

						BgL_l1617z00_6260 = BgL_g1619z00_6258;
					BgL_zc3z04anonymousza31992ze3z87_6259:
						if (PAIRP(BgL_l1617z00_6260))
							{	/* Cfa/tvector.scm 421 */
								BGl_patchzd2funz12zc0zzcfa_tvectorz00(CAR(BgL_l1617z00_6260));
								{
									obj_t BgL_l1617z00_7702;

									BgL_l1617z00_7702 = CDR(BgL_l1617z00_6260);
									BgL_l1617z00_6260 = BgL_l1617z00_7702;
									goto BgL_zc3z04anonymousza31992ze3z87_6259;
								}
							}
						else
							{	/* Cfa/tvector.scm 421 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7704;

					{	/* Cfa/tvector.scm 422 */
						BgL_nodez00_bglt BgL_arg1996z00_6261;

						BgL_arg1996z00_6261 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_5979)))->BgL_bodyz00);
						BgL_auxz00_7704 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1996z00_6261));
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_5979)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7704), BUNSPEC);
				}
				BgL_auxz00_7695 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_5979);
				return ((obj_t) BgL_auxz00_7695);
			}
		}

	}



/* &patch!-switch1660 */
	obj_t BGl_z62patchz12zd2switch1660za2zzcfa_tvectorz00(obj_t BgL_envz00_5980,
		obj_t BgL_nodez00_5981)
	{
		{	/* Cfa/tvector.scm 408 */
			{
				BgL_switchz00_bglt BgL_auxz00_7713;

				{
					BgL_nodez00_bglt BgL_auxz00_7714;

					{	/* Cfa/tvector.scm 410 */
						BgL_nodez00_bglt BgL_arg1986z00_6263;

						BgL_arg1986z00_6263 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_5981)))->BgL_testz00);
						BgL_auxz00_7714 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1986z00_6263));
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_5981)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7714), BUNSPEC);
				}
				{	/* Cfa/tvector.scm 411 */
					obj_t BgL_g1616z00_6264;

					BgL_g1616z00_6264 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_5981)))->BgL_clausesz00);
					{
						obj_t BgL_l1614z00_6266;

						BgL_l1614z00_6266 = BgL_g1616z00_6264;
					BgL_zc3z04anonymousza31987ze3z87_6265:
						if (PAIRP(BgL_l1614z00_6266))
							{	/* Cfa/tvector.scm 411 */
								{	/* Cfa/tvector.scm 412 */
									obj_t BgL_clausez00_6267;

									BgL_clausez00_6267 = CAR(BgL_l1614z00_6266);
									{	/* Cfa/tvector.scm 412 */
										obj_t BgL_arg1989z00_6268;

										{	/* Cfa/tvector.scm 412 */
											obj_t BgL_arg1990z00_6269;

											BgL_arg1990z00_6269 = CDR(((obj_t) BgL_clausez00_6267));
											BgL_arg1989z00_6268 =
												BGl_patchz12z12zzcfa_tvectorz00(
												((BgL_nodez00_bglt) BgL_arg1990z00_6269));
										}
										{	/* Cfa/tvector.scm 412 */
											obj_t BgL_tmpz00_7730;

											BgL_tmpz00_7730 = ((obj_t) BgL_clausez00_6267);
											SET_CDR(BgL_tmpz00_7730, BgL_arg1989z00_6268);
										}
									}
								}
								{
									obj_t BgL_l1614z00_7733;

									BgL_l1614z00_7733 = CDR(BgL_l1614z00_6266);
									BgL_l1614z00_6266 = BgL_l1614z00_7733;
									goto BgL_zc3z04anonymousza31987ze3z87_6265;
								}
							}
						else
							{	/* Cfa/tvector.scm 411 */
								((bool_t) 1);
							}
					}
				}
				BgL_auxz00_7713 = ((BgL_switchz00_bglt) BgL_nodez00_5981);
				return ((obj_t) BgL_auxz00_7713);
			}
		}

	}



/* &patch!-fail1658 */
	obj_t BGl_z62patchz12zd2fail1658za2zzcfa_tvectorz00(obj_t BgL_envz00_5982,
		obj_t BgL_nodez00_5983)
	{
		{	/* Cfa/tvector.scm 398 */
			{
				BgL_failz00_bglt BgL_auxz00_7737;

				{
					BgL_nodez00_bglt BgL_auxz00_7738;

					{	/* Cfa/tvector.scm 400 */
						BgL_nodez00_bglt BgL_arg1983z00_6271;

						BgL_arg1983z00_6271 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_5983)))->BgL_procz00);
						BgL_auxz00_7738 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1983z00_6271));
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_5983)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7738), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7745;

					{	/* Cfa/tvector.scm 401 */
						BgL_nodez00_bglt BgL_arg1984z00_6272;

						BgL_arg1984z00_6272 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_5983)))->BgL_msgz00);
						BgL_auxz00_7745 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1984z00_6272));
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_5983)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7745), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7752;

					{	/* Cfa/tvector.scm 402 */
						BgL_nodez00_bglt BgL_arg1985z00_6273;

						BgL_arg1985z00_6273 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_5983)))->BgL_objz00);
						BgL_auxz00_7752 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1985z00_6273));
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_5983)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7752), BUNSPEC);
				}
				BgL_auxz00_7737 = ((BgL_failz00_bglt) BgL_nodez00_5983);
				return ((obj_t) BgL_auxz00_7737);
			}
		}

	}



/* &patch!-conditional1656 */
	obj_t BGl_z62patchz12zd2conditional1656za2zzcfa_tvectorz00(obj_t
		BgL_envz00_5984, obj_t BgL_nodez00_5985)
	{
		{	/* Cfa/tvector.scm 388 */
			{
				BgL_conditionalz00_bglt BgL_auxz00_7761;

				{
					BgL_nodez00_bglt BgL_auxz00_7762;

					{	/* Cfa/tvector.scm 390 */
						BgL_nodez00_bglt BgL_arg1980z00_6275;

						BgL_arg1980z00_6275 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_5985)))->BgL_testz00);
						BgL_auxz00_7762 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1980z00_6275));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_5985)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7762), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7769;

					{	/* Cfa/tvector.scm 391 */
						BgL_nodez00_bglt BgL_arg1981z00_6276;

						BgL_arg1981z00_6276 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_5985)))->BgL_truez00);
						BgL_auxz00_7769 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1981z00_6276));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_5985)))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_7769), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7776;

					{	/* Cfa/tvector.scm 392 */
						BgL_nodez00_bglt BgL_arg1982z00_6277;

						BgL_arg1982z00_6277 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_5985)))->BgL_falsez00);
						BgL_auxz00_7776 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1982z00_6277));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_5985)))->
							BgL_falsez00) = ((BgL_nodez00_bglt) BgL_auxz00_7776), BUNSPEC);
				}
				BgL_auxz00_7761 = ((BgL_conditionalz00_bglt) BgL_nodez00_5985);
				return ((obj_t) BgL_auxz00_7761);
			}
		}

	}



/* &patch!-setq1654 */
	obj_t BGl_z62patchz12zd2setq1654za2zzcfa_tvectorz00(obj_t BgL_envz00_5986,
		obj_t BgL_nodez00_5987)
	{
		{	/* Cfa/tvector.scm 379 */
			{
				BgL_setqz00_bglt BgL_auxz00_7785;

				{
					BgL_nodez00_bglt BgL_auxz00_7786;

					{	/* Cfa/tvector.scm 381 */
						BgL_nodez00_bglt BgL_arg1978z00_6279;

						BgL_arg1978z00_6279 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_5987)))->BgL_valuez00);
						BgL_auxz00_7786 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1978z00_6279));
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_5987)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_7786), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_7793;

					{	/* Cfa/tvector.scm 382 */
						BgL_varz00_bglt BgL_arg1979z00_6280;

						BgL_arg1979z00_6280 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_5987)))->BgL_varz00);
						BgL_auxz00_7793 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(
								((BgL_nodez00_bglt) BgL_arg1979z00_6280)));
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_5987)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_7793), BUNSPEC);
				}
				BgL_auxz00_7785 = ((BgL_setqz00_bglt) BgL_nodez00_5987);
				return ((obj_t) BgL_auxz00_7785);
			}
		}

	}



/* &patch!-cast1652 */
	obj_t BGl_z62patchz12zd2cast1652za2zzcfa_tvectorz00(obj_t BgL_envz00_5988,
		obj_t BgL_nodez00_5989)
	{
		{	/* Cfa/tvector.scm 371 */
			{
				BgL_castz00_bglt BgL_auxz00_7803;

				BGl_patchz12z12zzcfa_tvectorz00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_5989)))->BgL_argz00));
				BgL_auxz00_7803 = ((BgL_castz00_bglt) BgL_nodez00_5989);
				return ((obj_t) BgL_auxz00_7803);
			}
		}

	}



/* &patch!-extern1650 */
	obj_t BGl_z62patchz12zd2extern1650za2zzcfa_tvectorz00(obj_t BgL_envz00_5990,
		obj_t BgL_nodez00_5991)
	{
		{	/* Cfa/tvector.scm 363 */
			{
				BgL_externz00_bglt BgL_auxz00_7809;

				BGl_patchza2z12zb0zzcfa_tvectorz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_5991)))->BgL_exprza2za2));
				BgL_auxz00_7809 = ((BgL_externz00_bglt) BgL_nodez00_5991);
				return ((obj_t) BgL_auxz00_7809);
			}
		}

	}



/* &patch!-funcall1648 */
	obj_t BGl_z62patchz12zd2funcall1648za2zzcfa_tvectorz00(obj_t BgL_envz00_5992,
		obj_t BgL_nodez00_5993)
	{
		{	/* Cfa/tvector.scm 354 */
			{
				BgL_funcallz00_bglt BgL_auxz00_7815;

				{
					BgL_nodez00_bglt BgL_auxz00_7816;

					{	/* Cfa/tvector.scm 356 */
						BgL_nodez00_bglt BgL_arg1974z00_6284;

						BgL_arg1974z00_6284 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_5993)))->BgL_funz00);
						BgL_auxz00_7816 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1974z00_6284));
					}
					((((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_5993)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7816), BUNSPEC);
				}
				BGl_patchza2z12zb0zzcfa_tvectorz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_5993)))->BgL_argsz00));
				BgL_auxz00_7815 = ((BgL_funcallz00_bglt) BgL_nodez00_5993);
				return ((obj_t) BgL_auxz00_7815);
			}
		}

	}



/* &patch!-app-ly1646 */
	obj_t BGl_z62patchz12zd2appzd2ly1646z70zzcfa_tvectorz00(obj_t BgL_envz00_5994,
		obj_t BgL_nodez00_5995)
	{
		{	/* Cfa/tvector.scm 345 */
			{
				BgL_appzd2lyzd2_bglt BgL_auxz00_7828;

				{
					BgL_nodez00_bglt BgL_auxz00_7829;

					{	/* Cfa/tvector.scm 347 */
						BgL_nodez00_bglt BgL_arg1972z00_6286;

						BgL_arg1972z00_6286 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5995)))->BgL_funz00);
						BgL_auxz00_7829 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1972z00_6286));
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5995)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7829), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7836;

					{	/* Cfa/tvector.scm 348 */
						BgL_nodez00_bglt BgL_arg1973z00_6287;

						BgL_arg1973z00_6287 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5995)))->BgL_argz00);
						BgL_auxz00_7836 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1973z00_6287));
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5995)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7836), BUNSPEC);
				}
				BgL_auxz00_7828 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_5995);
				return ((obj_t) BgL_auxz00_7828);
			}
		}

	}



/* &patch!-sync1644 */
	obj_t BGl_z62patchz12zd2sync1644za2zzcfa_tvectorz00(obj_t BgL_envz00_5996,
		obj_t BgL_nodez00_5997)
	{
		{	/* Cfa/tvector.scm 335 */
			{
				BgL_syncz00_bglt BgL_auxz00_7845;

				{
					BgL_nodez00_bglt BgL_auxz00_7846;

					{	/* Cfa/tvector.scm 337 */
						BgL_nodez00_bglt BgL_arg1969z00_6289;

						BgL_arg1969z00_6289 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_5997)))->BgL_mutexz00);
						BgL_auxz00_7846 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1969z00_6289));
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_5997)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7846), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7853;

					{	/* Cfa/tvector.scm 338 */
						BgL_nodez00_bglt BgL_arg1970z00_6290;

						BgL_arg1970z00_6290 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_5997)))->BgL_prelockz00);
						BgL_auxz00_7853 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1970z00_6290));
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_5997)))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7853), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7860;

					{	/* Cfa/tvector.scm 339 */
						BgL_nodez00_bglt BgL_arg1971z00_6291;

						BgL_arg1971z00_6291 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_5997)))->BgL_bodyz00);
						BgL_auxz00_7860 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1971z00_6291));
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_5997)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7860), BUNSPEC);
				}
				BgL_auxz00_7845 = ((BgL_syncz00_bglt) BgL_nodez00_5997);
				return ((obj_t) BgL_auxz00_7845);
			}
		}

	}



/* &patch!-sequence1642 */
	obj_t BGl_z62patchz12zd2sequence1642za2zzcfa_tvectorz00(obj_t BgL_envz00_5998,
		obj_t BgL_nodez00_5999)
	{
		{	/* Cfa/tvector.scm 327 */
			{
				BgL_sequencez00_bglt BgL_auxz00_7869;

				BGl_patchza2z12zb0zzcfa_tvectorz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_5999)))->BgL_nodesz00));
				BgL_auxz00_7869 = ((BgL_sequencez00_bglt) BgL_nodez00_5999);
				return ((obj_t) BgL_auxz00_7869);
			}
		}

	}



/* &patch!-closure1640 */
	obj_t BGl_z62patchz12zd2closure1640za2zzcfa_tvectorz00(obj_t BgL_envz00_6000,
		obj_t BgL_nodez00_6001)
	{
		{	/* Cfa/tvector.scm 321 */
			{	/* Cfa/tvector.scm 322 */
				obj_t BgL_arg1967z00_6294;

				BgL_arg1967z00_6294 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_6001)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2363z00zzcfa_tvectorz00, BGl_string2391z00zzcfa_tvectorz00,
					BgL_arg1967z00_6294);
			}
		}

	}



/* &patch!-var1638 */
	obj_t BGl_z62patchz12zd2var1638za2zzcfa_tvectorz00(obj_t BgL_envz00_6002,
		obj_t BgL_nodez00_6003)
	{
		{	/* Cfa/tvector.scm 315 */
			return ((obj_t) ((BgL_varz00_bglt) BgL_nodez00_6003));
		}

	}



/* &patch!-kwote/node1636 */
	obj_t BGl_z62patchz12zd2kwotezf2node1636z50zzcfa_tvectorz00(obj_t
		BgL_envz00_6004, obj_t BgL_knodez00_6005)
	{
		{	/* Cfa/tvector.scm 298 */
			{
				BgL_kwotez00_bglt BgL_auxz00_7881;

				{	/* Cfa/tvector.scm 300 */
					BgL_approxz00_bglt BgL_approxz00_6297;

					{	/* Cfa/tvector.scm 300 */
						BgL_nodez00_bglt BgL_arg1966z00_6298;

						{
							BgL_kwotezf2nodezf2_bglt BgL_auxz00_7882;

							{
								obj_t BgL_auxz00_7883;

								{	/* Cfa/tvector.scm 300 */
									BgL_objectz00_bglt BgL_tmpz00_7884;

									BgL_tmpz00_7884 =
										((BgL_objectz00_bglt)
										((BgL_kwotez00_bglt) BgL_knodez00_6005));
									BgL_auxz00_7883 = BGL_OBJECT_WIDENING(BgL_tmpz00_7884);
								}
								BgL_auxz00_7882 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_7883);
							}
							BgL_arg1966z00_6298 =
								(((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_7882))->
								BgL_nodez00);
						}
						BgL_approxz00_6297 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1966z00_6298);
					}
					{	/* Cfa/tvector.scm 300 */
						obj_t BgL_tvz00_6299;

						{	/* Cfa/tvector.scm 301 */
							BgL_nodez00_bglt BgL_arg1965z00_6300;

							{
								BgL_kwotezf2nodezf2_bglt BgL_auxz00_7891;

								{
									obj_t BgL_auxz00_7892;

									{	/* Cfa/tvector.scm 301 */
										BgL_objectz00_bglt BgL_tmpz00_7893;

										BgL_tmpz00_7893 =
											((BgL_objectz00_bglt)
											((BgL_kwotez00_bglt) BgL_knodez00_6005));
										BgL_auxz00_7892 = BGL_OBJECT_WIDENING(BgL_tmpz00_7893);
									}
									BgL_auxz00_7891 =
										((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_7892);
								}
								BgL_arg1965z00_6300 =
									(((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_7891))->
									BgL_nodez00);
							}
							BgL_tvz00_6299 =
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_6297,
								((obj_t) BgL_arg1965z00_6300));
						}
						{	/* Cfa/tvector.scm 301 */

							{	/* Cfa/tvector.scm 302 */
								bool_t BgL_test2560z00_7901;

								{	/* Cfa/tvector.scm 302 */
									obj_t BgL_classz00_6301;

									BgL_classz00_6301 = BGl_tvecz00zztvector_tvectorz00;
									if (BGL_OBJECTP(BgL_tvz00_6299))
										{	/* Cfa/tvector.scm 302 */
											BgL_objectz00_bglt BgL_arg1825z00_6302;

											BgL_arg1825z00_6302 =
												(BgL_objectz00_bglt) (BgL_tvz00_6299);
											{	/* Cfa/tvector.scm 302 */
												bool_t BgL_arg1822z00_6303;
												bool_t BgL_arg1823z00_6304;

												{	/* Cfa/tvector.scm 302 */
													long BgL_idxz00_6305;

													BgL_idxz00_6305 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6302);
													BgL_arg1822z00_6303 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_6305 + ((long) 2))) ==
														BgL_classz00_6301);
												}
												{	/* Cfa/tvector.scm 302 */
													bool_t BgL_res2338z00_6308;

													{	/* Cfa/tvector.scm 302 */
														obj_t BgL_oclassz00_6309;

														{	/* Cfa/tvector.scm 302 */
															long BgL_arg1833z00_6310;

															{	/* Cfa/tvector.scm 302 */
																long BgL_arg1834z00_6311;

																BgL_arg1834z00_6311 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6302);
																BgL_arg1833z00_6310 =
																	(BgL_arg1834z00_6311 - OBJECT_TYPE);
															}
															BgL_oclassz00_6309 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_6310);
														}
														{	/* Cfa/tvector.scm 302 */
															bool_t BgL__ortest_1110z00_6312;

															BgL__ortest_1110z00_6312 =
																(BgL_classz00_6301 == BgL_oclassz00_6309);
															if (BgL__ortest_1110z00_6312)
																{	/* Cfa/tvector.scm 302 */
																	BgL_res2338z00_6308 =
																		BgL__ortest_1110z00_6312;
																}
															else
																{	/* Cfa/tvector.scm 302 */
																	long BgL_odepthz00_6313;

																	BgL_odepthz00_6313 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_6309);
																	if ((((long) 2) < BgL_odepthz00_6313))
																		{	/* Cfa/tvector.scm 302 */
																			obj_t BgL_arg1821z00_6314;

																			BgL_arg1821z00_6314 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_6309, ((long) 2));
																			BgL_res2338z00_6308 =
																				(BgL_arg1821z00_6314 ==
																				BgL_classz00_6301);
																		}
																	else
																		{	/* Cfa/tvector.scm 302 */
																			BgL_res2338z00_6308 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_6304 = BgL_res2338z00_6308;
												}
												BgL_test2560z00_7901 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_6303,
													BgL_arg1823z00_6304);
											}
										}
									else
										{	/* Cfa/tvector.scm 302 */
											BgL_test2560z00_7901 = ((bool_t) 0);
										}
								}
								if (BgL_test2560z00_7901)
									{	/* Cfa/tvector.scm 303 */
										BgL_kwotez00_bglt BgL_knodez00_6315;

										{	/* Cfa/tvector.scm 303 */
											long BgL_arg1957z00_6316;

											{	/* Cfa/tvector.scm 303 */
												obj_t BgL_arg1958z00_6317;

												{	/* Cfa/tvector.scm 303 */
													obj_t BgL_arg1959z00_6318;

													{	/* Cfa/tvector.scm 303 */
														long BgL_arg1833z00_6319;

														{	/* Cfa/tvector.scm 303 */
															long BgL_arg1834z00_6320;

															BgL_arg1834z00_6320 =
																BGL_OBJECT_CLASS_NUM(
																((BgL_objectz00_bglt)
																	((BgL_kwotez00_bglt) BgL_knodez00_6005)));
															BgL_arg1833z00_6319 =
																(BgL_arg1834z00_6320 - OBJECT_TYPE);
														}
														BgL_arg1959z00_6318 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_6319);
													}
													BgL_arg1958z00_6317 =
														BGl_classzd2superzd2zz__objectz00
														(BgL_arg1959z00_6318);
												}
												{	/* Cfa/tvector.scm 303 */
													obj_t BgL_tmpz00_7926;

													BgL_tmpz00_7926 = ((obj_t) BgL_arg1958z00_6317);
													BgL_arg1957z00_6316 = BGL_CLASS_NUM(BgL_tmpz00_7926);
											}}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_kwotez00_bglt) BgL_knodez00_6005)),
												BgL_arg1957z00_6316);
										}
										{	/* Cfa/tvector.scm 303 */
											BgL_objectz00_bglt BgL_tmpz00_7932;

											BgL_tmpz00_7932 =
												((BgL_objectz00_bglt)
												((BgL_kwotez00_bglt) BgL_knodez00_6005));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7932, BFALSE);
										}
										((BgL_objectz00_bglt)
											((BgL_kwotez00_bglt) BgL_knodez00_6005));
										BgL_knodez00_6315 = ((BgL_kwotez00_bglt) BgL_knodez00_6005);
										{	/* Cfa/tvector.scm 303 */
											BgL_kwotez00_bglt BgL_nz00_6321;

											{	/* Cfa/tvector.scm 304 */
												BgL_kwotez00_bglt BgL_new1183z00_6322;

												{	/* Cfa/tvector.scm 304 */
													BgL_kwotez00_bglt BgL_new1186z00_6323;

													BgL_new1186z00_6323 =
														((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_kwotez00_bgl))));
													{	/* Cfa/tvector.scm 304 */
														long BgL_arg1956z00_6324;

														BgL_arg1956z00_6324 =
															BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1186z00_6323),
															BgL_arg1956z00_6324);
													}
													{	/* Cfa/tvector.scm 304 */
														BgL_objectz00_bglt BgL_tmpz00_7943;

														BgL_tmpz00_7943 =
															((BgL_objectz00_bglt) BgL_new1186z00_6323);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7943, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1186z00_6323);
													BgL_new1183z00_6322 = BgL_new1186z00_6323;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1183z00_6322)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt)
																		BgL_knodez00_6315)))->BgL_locz00)),
													BUNSPEC);
												{
													BgL_typez00_bglt BgL_auxz00_7951;

													{	/* Cfa/tvector.scm 305 */
														BgL_typez00_bglt BgL_arg1954z00_6325;

														BgL_arg1954z00_6325 =
															(((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_knodez00_6315)))->
															BgL_typez00);
														BgL_auxz00_7951 =
															BGl_strictzd2nodezd2typez00zzast_nodez00((
																(BgL_typez00_bglt) BgL_tvz00_6299),
															BgL_arg1954z00_6325);
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1183z00_6322)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_auxz00_7951), BUNSPEC);
												}
												{
													obj_t BgL_auxz00_7958;

													{	/* Cfa/tvector.scm 306 */
														obj_t BgL_arg1955z00_6326;

														BgL_arg1955z00_6326 =
															(((BgL_kwotez00_bglt) COBJECT(
																	((BgL_kwotez00_bglt)
																		((BgL_kwotez00_bglt) BgL_knodez00_6005))))->
															BgL_valuez00);
														{	/* Cfa/tvector.scm 306 */
															obj_t BgL_newz00_6327;

															BgL_newz00_6327 =
																create_struct(CNST_TABLE_REF(((long) 22)),
																(int) (((long) 2)));
															{	/* Cfa/tvector.scm 306 */
																int BgL_tmpz00_7965;

																BgL_tmpz00_7965 = (int) (((long) 1));
																STRUCT_SET(BgL_newz00_6327, BgL_tmpz00_7965,
																	BgL_arg1955z00_6326);
															}
															{	/* Cfa/tvector.scm 306 */
																int BgL_tmpz00_7968;

																BgL_tmpz00_7968 = (int) (((long) 0));
																STRUCT_SET(BgL_newz00_6327, BgL_tmpz00_7968,
																	BgL_tvz00_6299);
															}
															BgL_auxz00_7958 = BgL_newz00_6327;
													}}
													((((BgL_kwotez00_bglt) COBJECT(BgL_new1183z00_6322))->
															BgL_valuez00) =
														((obj_t) BgL_auxz00_7958), BUNSPEC);
												}
												BgL_nz00_6321 = BgL_new1183z00_6322;
											}
											{	/* Cfa/tvector.scm 304 */

												{	/* Cfa/tvector.scm 307 */
													BgL_kwotezf2cinfozf2_bglt BgL_wide1189z00_6328;

													BgL_wide1189z00_6328 =
														((BgL_kwotezf2cinfozf2_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_kwotezf2cinfozf2_bgl))));
													{	/* Cfa/tvector.scm 307 */
														obj_t BgL_auxz00_7976;
														BgL_objectz00_bglt BgL_tmpz00_7973;

														BgL_auxz00_7976 = ((obj_t) BgL_wide1189z00_6328);
														BgL_tmpz00_7973 =
															((BgL_objectz00_bglt)
															((BgL_kwotez00_bglt) BgL_nz00_6321));
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7973,
															BgL_auxz00_7976);
													}
													((BgL_objectz00_bglt)
														((BgL_kwotez00_bglt) BgL_nz00_6321));
													{	/* Cfa/tvector.scm 307 */
														long BgL_arg1953z00_6329;

														BgL_arg1953z00_6329 =
															BGL_CLASS_NUM(BGl_kwotezf2Cinfozf2zzcfa_infoz00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt)
																((BgL_kwotez00_bglt) BgL_nz00_6321)),
															BgL_arg1953z00_6329);
													}
													((BgL_kwotez00_bglt)
														((BgL_kwotez00_bglt) BgL_nz00_6321));
												}
												{
													BgL_kwotezf2cinfozf2_bglt BgL_auxz00_7987;

													{
														obj_t BgL_auxz00_7988;

														{	/* Cfa/tvector.scm 308 */
															BgL_objectz00_bglt BgL_tmpz00_7989;

															BgL_tmpz00_7989 =
																((BgL_objectz00_bglt)
																((BgL_kwotez00_bglt) BgL_nz00_6321));
															BgL_auxz00_7988 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_7989);
														}
														BgL_auxz00_7987 =
															((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_7988);
													}
													((((BgL_kwotezf2cinfozf2_bglt)
																COBJECT(BgL_auxz00_7987))->BgL_approxz00) =
														((BgL_approxz00_bglt) BgL_approxz00_6297), BUNSPEC);
												}
												BgL_auxz00_7881 = ((BgL_kwotez00_bglt) BgL_nz00_6321);
									}}}
								else
									{	/* Cfa/tvector.scm 309 */
										BgL_kwotez00_bglt BgL_tmp1191z00_6330;

										{	/* Cfa/tvector.scm 309 */
											long BgL_arg1961z00_6331;

											{	/* Cfa/tvector.scm 309 */
												obj_t BgL_arg1962z00_6332;

												{	/* Cfa/tvector.scm 309 */
													obj_t BgL_arg1964z00_6333;

													{	/* Cfa/tvector.scm 309 */
														long BgL_arg1833z00_6334;

														{	/* Cfa/tvector.scm 309 */
															long BgL_arg1834z00_6335;

															BgL_arg1834z00_6335 =
																BGL_OBJECT_CLASS_NUM(
																((BgL_objectz00_bglt)
																	((BgL_kwotez00_bglt) BgL_knodez00_6005)));
															BgL_arg1833z00_6334 =
																(BgL_arg1834z00_6335 - OBJECT_TYPE);
														}
														BgL_arg1964z00_6333 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_6334);
													}
													BgL_arg1962z00_6332 =
														BGl_classzd2superzd2zz__objectz00
														(BgL_arg1964z00_6333);
												}
												{	/* Cfa/tvector.scm 309 */
													obj_t BgL_tmpz00_8002;

													BgL_tmpz00_8002 = ((obj_t) BgL_arg1962z00_6332);
													BgL_arg1961z00_6331 = BGL_CLASS_NUM(BgL_tmpz00_8002);
											}}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_kwotez00_bglt) BgL_knodez00_6005)),
												BgL_arg1961z00_6331);
										}
										{	/* Cfa/tvector.scm 309 */
											BgL_objectz00_bglt BgL_tmpz00_8008;

											BgL_tmpz00_8008 =
												((BgL_objectz00_bglt)
												((BgL_kwotez00_bglt) BgL_knodez00_6005));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8008, BFALSE);
										}
										((BgL_objectz00_bglt)
											((BgL_kwotez00_bglt) BgL_knodez00_6005));
										BgL_tmp1191z00_6330 =
											((BgL_kwotez00_bglt)
											((BgL_kwotez00_bglt) BgL_knodez00_6005));
										{	/* Cfa/tvector.scm 309 */
											BgL_kwotezf2cinfozf2_bglt BgL_wide1193z00_6336;

											BgL_wide1193z00_6336 =
												((BgL_kwotezf2cinfozf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_kwotezf2cinfozf2_bgl))));
											{	/* Cfa/tvector.scm 309 */
												obj_t BgL_auxz00_8020;
												BgL_objectz00_bglt BgL_tmpz00_8017;

												BgL_auxz00_8020 = ((obj_t) BgL_wide1193z00_6336);
												BgL_tmpz00_8017 =
													((BgL_objectz00_bglt)
													((BgL_kwotez00_bglt) BgL_tmp1191z00_6330));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8017,
													BgL_auxz00_8020);
											}
											((BgL_objectz00_bglt)
												((BgL_kwotez00_bglt) BgL_tmp1191z00_6330));
											{	/* Cfa/tvector.scm 309 */
												long BgL_arg1960z00_6337;

												BgL_arg1960z00_6337 =
													BGL_CLASS_NUM(BGl_kwotezf2Cinfozf2zzcfa_infoz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt)
														((BgL_kwotez00_bglt) BgL_tmp1191z00_6330)),
													BgL_arg1960z00_6337);
											}
											((BgL_kwotez00_bglt)
												((BgL_kwotez00_bglt) BgL_tmp1191z00_6330));
										}
										{
											BgL_kwotezf2cinfozf2_bglt BgL_auxz00_8031;

											{
												obj_t BgL_auxz00_8032;

												{	/* Cfa/tvector.scm 310 */
													BgL_objectz00_bglt BgL_tmpz00_8033;

													BgL_tmpz00_8033 =
														((BgL_objectz00_bglt)
														((BgL_kwotez00_bglt) BgL_tmp1191z00_6330));
													BgL_auxz00_8032 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8033);
												}
												BgL_auxz00_8031 =
													((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_8032);
											}
											((((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_8031))->
													BgL_approxz00) =
												((BgL_approxz00_bglt) BgL_approxz00_6297), BUNSPEC);
										}
										BgL_auxz00_7881 = ((BgL_kwotez00_bglt) BgL_tmp1191z00_6330);
				}}}}}
				return ((obj_t) BgL_auxz00_7881);
			}
		}

	}



/* &patch!-kwote1634 */
	obj_t BGl_z62patchz12zd2kwote1634za2zzcfa_tvectorz00(obj_t BgL_envz00_6006,
		obj_t BgL_nodez00_6007)
	{
		{	/* Cfa/tvector.scm 292 */
			return ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_6007));
		}

	}



/* &patch!-atom1632 */
	obj_t BGl_z62patchz12zd2atom1632za2zzcfa_tvectorz00(obj_t BgL_envz00_6008,
		obj_t BgL_nodez00_6009)
	{
		{	/* Cfa/tvector.scm 286 */
			return ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_6009));
		}

	}



/* &get-vector-item-type1628 */
	BgL_typez00_bglt
		BGl_z62getzd2vectorzd2itemzd2type1628zb0zzcfa_tvectorz00(obj_t
		BgL_envz00_6010, obj_t BgL_nodez00_6011)
	{
		{	/* Cfa/tvector.scm 214 */
			{	/* Cfa/tvector.scm 216 */
				bool_t BgL_test2564z00_8045;

				{
					BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_8046;

					{
						obj_t BgL_auxz00_8047;

						{	/* Cfa/tvector.scm 216 */
							BgL_objectz00_bglt BgL_tmpz00_8048;

							BgL_tmpz00_8048 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_6011));
							BgL_auxz00_8047 = BGL_OBJECT_WIDENING(BgL_tmpz00_8048);
						}
						BgL_auxz00_8046 =
							((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_8047);
					}
					BgL_test2564z00_8045 =
						(((BgL_valloczf2cinfozb2optimz40_bglt) COBJECT(BgL_auxz00_8046))->
						BgL_seenzf3zf3);
				}
				if (BgL_test2564z00_8045)
					{	/* Cfa/tvector.scm 218 */
						BgL_approxz00_bglt BgL_arg1951z00_6341;

						{
							BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_8054;

							{
								obj_t BgL_auxz00_8055;

								{	/* Cfa/tvector.scm 218 */
									BgL_objectz00_bglt BgL_tmpz00_8056;

									BgL_tmpz00_8056 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_6011));
									BgL_auxz00_8055 = BGL_OBJECT_WIDENING(BgL_tmpz00_8056);
								}
								BgL_auxz00_8054 =
									((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_8055);
							}
							BgL_arg1951z00_6341 =
								(((BgL_valloczf2cinfozb2optimz40_bglt)
									COBJECT(BgL_auxz00_8054))->BgL_valuezd2approxzd2);
						}
						return
							(((BgL_approxz00_bglt) COBJECT(BgL_arg1951z00_6341))->
							BgL_typez00);
					}
				else
					{	/* Cfa/tvector.scm 216 */
						return ((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00);
					}
			}
		}

	}



/* &get-vector-item-type1626 */
	BgL_typez00_bglt
		BGl_z62getzd2vectorzd2itemzd2type1626zb0zzcfa_tvectorz00(obj_t
		BgL_envz00_6012, obj_t BgL_appz00_6013)
	{
		{	/* Cfa/tvector.scm 205 */
			{	/* Cfa/tvector.scm 207 */
				bool_t BgL_test2565z00_8064;

				{
					BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_8065;

					{
						obj_t BgL_auxz00_8066;

						{	/* Cfa/tvector.scm 207 */
							BgL_objectz00_bglt BgL_tmpz00_8067;

							BgL_tmpz00_8067 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_appz00_6013));
							BgL_auxz00_8066 = BGL_OBJECT_WIDENING(BgL_tmpz00_8067);
						}
						BgL_auxz00_8065 =
							((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_8066);
					}
					BgL_test2565z00_8064 =
						(((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_8065))->
						BgL_seenzf3zf3);
				}
				if (BgL_test2565z00_8064)
					{	/* Cfa/tvector.scm 209 */
						BgL_approxz00_bglt BgL_arg1949z00_6343;

						{
							BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_8073;

							{
								obj_t BgL_auxz00_8074;

								{	/* Cfa/tvector.scm 209 */
									BgL_objectz00_bglt BgL_tmpz00_8075;

									BgL_tmpz00_8075 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_appz00_6013));
									BgL_auxz00_8074 = BGL_OBJECT_WIDENING(BgL_tmpz00_8075);
								}
								BgL_auxz00_8073 =
									((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_8074);
							}
							BgL_arg1949z00_6343 =
								(((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_8073))->
								BgL_valuezd2approxzd2);
						}
						return
							(((BgL_approxz00_bglt) COBJECT(BgL_arg1949z00_6343))->
							BgL_typez00);
					}
				else
					{	/* Cfa/tvector.scm 207 */
						return ((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00);
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzmodule_typez00(((long) 410405073),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(((long) 433305536),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 5932721),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_typez00(((long) 93933605),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_walkza7(((long) 69163963),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string2392z00zzcfa_tvectorz00));
		}

	}

#ifdef __cplusplus
}
#endif
