/*===========================================================================*/
/*   (Cfa/type.scm)                                                          */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/type.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_vapproxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_conszd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_getz00;
	}                          *BgL_conszd2refzd2appz00_bglt;

	typedef struct BgL_valloczf2cinfozb2optimz40_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		bool_t BgL_stackablezf3zf3;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                                *BgL_valloczf2cinfozb2optimz40_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62typezd2variablez12zd2sexit1636z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_za2optimzd2cfazf3za2z21zzengine_paramz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62typezd2variablez12zd2cvarzf21634z82zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_typez00();
	static obj_t BGl_z62typezd2variablez12zd2svarzf21630z82zzcfa_typez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt);
	extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_typez00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	static obj_t BGl_z62typezd2variablez121627za2zzcfa_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00();
	extern obj_t BGl_procedurezd2refzd2appz00zzcfa_info2z00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2atom1642z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure1658z70zzcfa_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure1660z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_cfunz00zzast_varz00;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62typezd2nodez121639za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app1654z70zzcfa_typez00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2funcall1668z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_cleanupzd2typeze70z35zzcfa_typez00(obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_gczd2rootszd2initz00zzcfa_typez00();
	static obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00();
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2funcallzf2C1670z82zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_setzd2everyzd2zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it1696z70zzcfa_typez00(obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62typezd2variablez12zd2inter1638z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vsetz121678z62zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2sync1652z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2fail1688z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2switch1690z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_typez00 = BUNSPEC;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_typez00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_typez00();
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	extern obj_t BGl_conszd2refzd2appz00zzcfa_info2z00;
	extern obj_t BGl_setzd2headzd2zzcfa_setz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz121703zb0zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2makezd2box1700za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2arithmeti1656z70zzcfa_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vref1676z70zzcfa_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2scnst1632z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	extern bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2fun1692za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2kwote1644z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var1646z70zzcfa_typez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition1684z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition1686z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci1666z50zzcfa_typez00(obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2ref1705za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2sequence1650z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_typez00();
	static obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00();
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2valloc1674z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2closure1648z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_procedurezd2setz12zd2appz12zzcfa_info2z00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2var1694za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i1698z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2ly1664za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd21662z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_switchz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2cast1680z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2extern1672z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setq1682z70zzcfa_typez00(obj_t, obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_STRING(BGl_string2315z00zzcfa_typez00,
		BgL_bgl_string2315za700za7za7c2367za7, "type-fun!", 9);
	      DEFINE_STRING(BGl_string2316z00zzcfa_typez00,
		BgL_bgl_string2316za700za7za7c2368za7, "Unknown value", 13);
	      DEFINE_STRING(BGl_string2318z00zzcfa_typez00,
		BgL_bgl_string2318za700za7za7c2369za7, "type-variable!1627", 18);
	      DEFINE_STRING(BGl_string2320z00zzcfa_typez00,
		BgL_bgl_string2320za700za7za7c2370za7, "type-node!1639", 14);
	      DEFINE_STRING(BGl_string2321z00zzcfa_typez00,
		BgL_bgl_string2321za700za7za7c2371za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2323z00zzcfa_typez00,
		BgL_bgl_string2323za700za7za7c2372za7, "type-variable!", 14);
	      DEFINE_STRING(BGl_string2329z00zzcfa_typez00,
		BgL_bgl_string2329za700za7za7c2373za7, "type-node!", 10);
	extern obj_t BGl_makezd2vectorzd2appzf3zd2envz21zzcfa_info2z00;
	   
		 
		DEFINE_STRING(BGl_string2361z00zzcfa_typez00,
		BgL_bgl_string2361za700za7za7c2374za7, "unexpected node", 15);
	      DEFINE_STRING(BGl_string2362z00zzcfa_typez00,
		BgL_bgl_string2362za700za7za7c2375za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2363z00zzcfa_typez00,
		BgL_bgl_string2363za700za7za7c2376za7, "cfa_type", 8);
	      DEFINE_STRING(BGl_string2364z00zzcfa_typez00,
		BgL_bgl_string2364za700za7za7c2377za7,
		"nothing static (light elight) type-node!1639 bigloo ", 52);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2378z00,
		BGl_z62typezd2variablez12za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2317z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2379z00,
		BGl_z62typezd2variablez121627za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2319z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712380za7,
		BGl_z62typezd2nodez121639za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2322z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2381z00,
		BGl_z62typezd2variablez12zd2svarzf21630z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2324z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2382z00,
		BGl_z62typezd2variablez12zd2scnst1632z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2325z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2383z00,
		BGl_z62typezd2variablez12zd2cvarzf21634z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2326z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2384z00,
		BGl_z62typezd2variablez12zd2sexit1636z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2327z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2385z00,
		BGl_z62typezd2variablez12zd2inter1638z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2328z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712386za7,
		BGl_z62typezd2nodez12zd2atom1642z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2330z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712387za7,
		BGl_z62typezd2nodez12zd2kwote1644z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2331z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712388za7,
		BGl_z62typezd2nodez12zd2var1646z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2332z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712389za7,
		BGl_z62typezd2nodez12zd2closure1648z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2333z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712390za7,
		BGl_z62typezd2nodez12zd2sequence1650z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2334z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712391za7,
		BGl_z62typezd2nodez12zd2sync1652z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2335z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712392za7,
		BGl_z62typezd2nodez12zd2app1654z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2336z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712393za7,
		BGl_z62typezd2nodez12zd2arithmeti1656z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2337z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712394za7,
		BGl_z62typezd2nodez12zd2procedure1658z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2338z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712395za7,
		BGl_z62typezd2nodez12zd2procedure1660z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2339z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712396za7,
		BGl_z62typezd2nodez12zd2conszd2refzd21662z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2340z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712397za7,
		BGl_z62typezd2nodez12zd2appzd2ly1664za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2341z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712398za7,
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci1666z50zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2342z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712399za7,
		BGl_z62typezd2nodez12zd2funcall1668z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2343z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712400za7,
		BGl_z62typezd2nodez12zd2funcallzf2C1670z82zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2344z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712401za7,
		BGl_z62typezd2nodez12zd2extern1672z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2345z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712402za7,
		BGl_z62typezd2nodez12zd2valloc1674z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2346z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712403za7,
		BGl_z62typezd2nodez12zd2vref1676z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2347z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712404za7,
		BGl_z62typezd2nodez12zd2vsetz121678z62zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2348z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712405za7,
		BGl_z62typezd2nodez12zd2cast1680z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2349z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712406za7,
		BGl_z62typezd2nodez12zd2setq1682z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2350z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712407za7,
		BGl_z62typezd2nodez12zd2condition1684z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2351z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712408za7,
		BGl_z62typezd2nodez12zd2condition1686z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2352z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712409za7,
		BGl_z62typezd2nodez12zd2fail1688z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2353z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712410za7,
		BGl_z62typezd2nodez12zd2switch1690z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2354z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712411za7,
		BGl_z62typezd2nodez12zd2letzd2fun1692za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2355z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712412za7,
		BGl_z62typezd2nodez12zd2letzd2var1694za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2356z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712413za7,
		BGl_z62typezd2nodez12zd2setzd2exzd2it1696z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2357z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712414za7,
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i1698z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2358z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712415za7,
		BGl_z62typezd2nodez12zd2makezd2box1700za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2359z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712416za7,
		BGl_z62typezd2nodez12zd2boxzd2setz121703zb0zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2360z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712417za7,
		BGl_z62typezd2nodez12zd2boxzd2ref1705za2zzcfa_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2settingsz12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2settin2418z00,
		BGl_z62typezd2settingsz12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712419za7,
		BGl_z62typezd2nodez12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2approxzd2typezd2envzd2zzcfa_typez00,
		BgL_bgl_za762getza7d2approxza72420za7,
		BGl_z62getzd2approxzd2typez62zzcfa_typez00, 0L, BUNSPEC, 2);
	extern obj_t BGl_valloczf2Cinfozb2optimzf3zd2envz61zzcfa_info3z00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_typez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long
		BgL_checksumz00_6314, char *BgL_fromz00_6315)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_typez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_typez00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_typez00();
					BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
					BGl_cnstzd2initzd2zzcfa_typez00();
					BGl_importedzd2moduleszd2initz00zzcfa_typez00();
					BGl_genericzd2initzd2zzcfa_typez00();
					BGl_methodzd2initzd2zzcfa_typez00();
					return BGl_toplevelzd2initzd2zzcfa_typez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00()
	{
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "cfa_type");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_typez00()
	{
		{	/* Cfa/type.scm 15 */
			{	/* Cfa/type.scm 15 */
				obj_t BgL_cportz00_6032;

				{	/* Cfa/type.scm 15 */
					obj_t BgL_stringz00_6040;

					BgL_stringz00_6040 = BGl_string2364z00zzcfa_typez00;
					{	/* Cfa/type.scm 15 */
						obj_t BgL_startz00_6041;

						BgL_startz00_6041 = BINT(((long) 0));
						{	/* Cfa/type.scm 15 */
							obj_t BgL_endz00_6042;

							BgL_endz00_6042 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_6040)));
							{	/* Cfa/type.scm 15 */

								BgL_cportz00_6032 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_6040, BgL_startz00_6041, BgL_endz00_6042);
				}}}}
				{
					long BgL_iz00_6033;

					BgL_iz00_6033 = ((long) 4);
				BgL_loopz00_6034:
					if ((BgL_iz00_6033 == ((long) -1)))
						{	/* Cfa/type.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/type.scm 15 */
							{	/* Cfa/type.scm 15 */
								obj_t BgL_arg2366z00_6036;

								{	/* Cfa/type.scm 15 */

									{	/* Cfa/type.scm 15 */
										obj_t BgL_locationz00_6038;

										BgL_locationz00_6038 = BBOOL(((bool_t) 0));
										{	/* Cfa/type.scm 15 */

											BgL_arg2366z00_6036 =
												BGl_readz00zz__readerz00(BgL_cportz00_6032,
												BgL_locationz00_6038);
										}
									}
								}
								{	/* Cfa/type.scm 15 */
									int BgL_tmpz00_6346;

									BgL_tmpz00_6346 = (int) (BgL_iz00_6033);
									CNST_TABLE_SET(BgL_tmpz00_6346, BgL_arg2366z00_6036);
							}}
							{	/* Cfa/type.scm 15 */
								int BgL_auxz00_6039;

								BgL_auxz00_6039 = (int) ((BgL_iz00_6033 - ((long) 1)));
								{
									long BgL_iz00_6351;

									BgL_iz00_6351 = (long) (BgL_auxz00_6039);
									BgL_iz00_6033 = BgL_iz00_6351;
									goto BgL_loopz00_6034;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_typez00()
	{
		{	/* Cfa/type.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_typez00()
	{
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}

	}



/* type-settings! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t
		BgL_globalsz00_23)
	{
		{	/* Cfa/type.scm 42 */
			BGl_typezd2closuresz12zc0zzcfa_closurez00();
			{
				obj_t BgL_l1604z00_3702;

				{	/* Cfa/type.scm 47 */
					bool_t BgL_tmpz00_6355;

					BgL_l1604z00_3702 = BgL_globalsz00_23;
				BgL_zc3z04anonymousza31743ze3z87_3703:
					if (PAIRP(BgL_l1604z00_3702))
						{	/* Cfa/type.scm 47 */
							{	/* Cfa/type.scm 47 */
								obj_t BgL_arg1745z00_3705;

								BgL_arg1745z00_3705 = CAR(BgL_l1604z00_3702);
								BGl_typezd2funz12zc0zzcfa_typez00(
									((BgL_variablez00_bglt) BgL_arg1745z00_3705));
							}
							{
								obj_t BgL_l1604z00_6361;

								BgL_l1604z00_6361 = CDR(BgL_l1604z00_3702);
								BgL_l1604z00_3702 = BgL_l1604z00_6361;
								goto BgL_zc3z04anonymousza31743ze3z87_3703;
							}
						}
					else
						{	/* Cfa/type.scm 47 */
							BgL_tmpz00_6355 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_6355);
				}
			}
		}

	}



/* &type-settings! */
	obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t BgL_envz00_5893,
		obj_t BgL_globalsz00_5894)
	{
		{	/* Cfa/type.scm 42 */
			return BGl_typezd2settingsz12zc0zzcfa_typez00(BgL_globalsz00_5894);
		}

	}



/* type-fun! */
	obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt BgL_varz00_24)
	{
		{	/* Cfa/type.scm 52 */
			{	/* Cfa/type.scm 53 */
				BgL_valuez00_bglt BgL_funz00_3708;

				BgL_funz00_3708 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_24))->BgL_valuez00);
				{	/* Cfa/type.scm 57 */
					bool_t BgL_test2424z00_6366;

					{	/* Cfa/type.scm 57 */
						obj_t BgL_classz00_4830;

						BgL_classz00_4830 = BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
						{	/* Cfa/type.scm 57 */
							BgL_objectz00_bglt BgL_arg1825z00_4832;

							{	/* Cfa/type.scm 57 */
								obj_t BgL_tmpz00_6367;

								BgL_tmpz00_6367 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3708));
								BgL_arg1825z00_4832 = (BgL_objectz00_bglt) (BgL_tmpz00_6367);
							}
							{	/* Cfa/type.scm 57 */
								bool_t BgL_arg1822z00_4835;
								bool_t BgL_arg1823z00_4836;

								{	/* Cfa/type.scm 57 */
									long BgL_idxz00_4839;

									BgL_idxz00_4839 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4832);
									BgL_arg1822z00_4835 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4839 + ((long) 4))) == BgL_classz00_4830);
								}
								{	/* Cfa/type.scm 57 */
									bool_t BgL_res2278z00_4861;

									{	/* Cfa/type.scm 57 */
										obj_t BgL_oclassz00_4847;

										{	/* Cfa/type.scm 57 */
											long BgL_arg1833z00_4853;

											{	/* Cfa/type.scm 57 */
												long BgL_arg1834z00_4854;

												BgL_arg1834z00_4854 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4832);
												BgL_arg1833z00_4853 =
													(BgL_arg1834z00_4854 - OBJECT_TYPE);
											}
											BgL_oclassz00_4847 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4853);
										}
										{	/* Cfa/type.scm 57 */
											bool_t BgL__ortest_1110z00_4848;

											BgL__ortest_1110z00_4848 =
												(BgL_classz00_4830 == BgL_oclassz00_4847);
											if (BgL__ortest_1110z00_4848)
												{	/* Cfa/type.scm 57 */
													BgL_res2278z00_4861 = BgL__ortest_1110z00_4848;
												}
											else
												{	/* Cfa/type.scm 57 */
													long BgL_odepthz00_4849;

													BgL_odepthz00_4849 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4847);
													if ((((long) 4) < BgL_odepthz00_4849))
														{	/* Cfa/type.scm 57 */
															obj_t BgL_arg1821z00_4851;

															BgL_arg1821z00_4851 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4847,
																((long) 4));
															BgL_res2278z00_4861 =
																(BgL_arg1821z00_4851 == BgL_classz00_4830);
														}
													else
														{	/* Cfa/type.scm 57 */
															BgL_res2278z00_4861 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4836 = BgL_res2278z00_4861;
								}
								BgL_test2424z00_6366 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4835, BgL_arg1823z00_4836);
							}
						}
					}
					if (BgL_test2424z00_6366)
						{	/* Cfa/type.scm 57 */
							{	/* Cfa/type.scm 62 */
								obj_t BgL_g1608z00_3711;

								BgL_g1608z00_3711 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_3708))))->BgL_argsz00);
								{
									obj_t BgL_l1606z00_3713;

									BgL_l1606z00_3713 = BgL_g1608z00_3711;
								BgL_zc3z04anonymousza31748ze3z87_3714:
									if (PAIRP(BgL_l1606z00_3713))
										{	/* Cfa/type.scm 62 */
											{	/* Cfa/type.scm 64 */
												obj_t BgL_varz00_3716;

												BgL_varz00_3716 = CAR(BgL_l1606z00_3713);
												{	/* Cfa/type.scm 65 */
													BgL_valuez00_bglt BgL_arg1750z00_3717;

													BgL_arg1750z00_3717 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_3716))))->
														BgL_valuez00);
													BGl_typezd2variablez12zc0zzcfa_typez00
														(BgL_arg1750z00_3717,
														((BgL_variablez00_bglt) BgL_varz00_3716));
												}
											}
											{
												obj_t BgL_l1606z00_6397;

												BgL_l1606z00_6397 = CDR(BgL_l1606z00_3713);
												BgL_l1606z00_3713 = BgL_l1606z00_6397;
												goto BgL_zc3z04anonymousza31748ze3z87_3714;
											}
										}
									else
										{	/* Cfa/type.scm 62 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/type.scm 68 */
								obj_t BgL_arg1752z00_3720;

								{	/* Cfa/type.scm 68 */
									BgL_approxz00_bglt BgL_arg1753z00_3721;

									{
										BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_6399;

										{
											obj_t BgL_auxz00_6400;

											{	/* Cfa/type.scm 68 */
												BgL_objectz00_bglt BgL_tmpz00_6401;

												BgL_tmpz00_6401 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3708));
												BgL_auxz00_6400 = BGL_OBJECT_WIDENING(BgL_tmpz00_6401);
											}
											BgL_auxz00_6399 =
												((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_6400);
										}
										BgL_arg1753z00_3721 =
											(((BgL_internzd2sfunzf2cinfoz20_bglt)
												COBJECT(BgL_auxz00_6399))->BgL_approxz00);
									}
									BgL_arg1752z00_3720 =
										BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1753z00_3721,
										((obj_t) BgL_varz00_24));
								}
								BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_varz00_24,
									((BgL_typez00_bglt) BgL_arg1752z00_3720));
							}
							{	/* Cfa/type.scm 69 */
								long BgL_arg1759z00_3723;

								{	/* Cfa/type.scm 69 */
									obj_t BgL_arg1761z00_3724;

									{	/* Cfa/type.scm 69 */
										obj_t BgL_arg1762z00_3725;

										{	/* Cfa/type.scm 69 */
											long BgL_arg1833z00_4867;

											{	/* Cfa/type.scm 69 */
												long BgL_arg1834z00_4868;

												BgL_arg1834z00_4868 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt) BgL_funz00_3708));
												BgL_arg1833z00_4867 =
													(BgL_arg1834z00_4868 - OBJECT_TYPE);
											}
											BgL_arg1762z00_3725 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4867);
										}
										BgL_arg1761z00_3724 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1762z00_3725);
									}
									{	/* Cfa/type.scm 69 */
										obj_t BgL_tmpz00_6416;

										BgL_tmpz00_6416 = ((obj_t) BgL_arg1761z00_3724);
										BgL_arg1759z00_3723 = BGL_CLASS_NUM(BgL_tmpz00_6416);
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_funz00_3708), BgL_arg1759z00_3723);
							}
							{	/* Cfa/type.scm 69 */
								BgL_objectz00_bglt BgL_tmpz00_6421;

								BgL_tmpz00_6421 = ((BgL_objectz00_bglt) BgL_funz00_3708);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6421, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_funz00_3708);
							BgL_funz00_3708;
							{
								obj_t BgL_auxz00_6425;

								{	/* Cfa/type.scm 71 */
									obj_t BgL_arg1763z00_3726;

									BgL_arg1763z00_3726 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3708))))->BgL_bodyz00);
									BgL_auxz00_6425 =
										((obj_t)
										BGl_typezd2nodez12zc0zzcfa_typez00(
											((BgL_nodez00_bglt) BgL_arg1763z00_3726)));
								}
								return
									((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3708))))->
										BgL_bodyz00) = ((obj_t) BgL_auxz00_6425), BUNSPEC);
							}
						}
					else
						{	/* Cfa/type.scm 72 */
							bool_t BgL_test2428z00_6435;

							{	/* Cfa/type.scm 72 */
								obj_t BgL_classz00_4878;

								BgL_classz00_4878 = BGl_sfunz00zzast_varz00;
								{	/* Cfa/type.scm 72 */
									BgL_objectz00_bglt BgL_arg1825z00_4880;

									{	/* Cfa/type.scm 72 */
										obj_t BgL_tmpz00_6436;

										BgL_tmpz00_6436 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3708));
										BgL_arg1825z00_4880 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6436);
									}
									{	/* Cfa/type.scm 72 */
										bool_t BgL_arg1822z00_4883;
										bool_t BgL_arg1823z00_4884;

										{	/* Cfa/type.scm 72 */
											long BgL_idxz00_4887;

											BgL_idxz00_4887 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4880);
											BgL_arg1822z00_4883 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4887 + ((long) 3))) == BgL_classz00_4878);
										}
										{	/* Cfa/type.scm 72 */
											bool_t BgL_res2279z00_4909;

											{	/* Cfa/type.scm 72 */
												obj_t BgL_oclassz00_4895;

												{	/* Cfa/type.scm 72 */
													long BgL_arg1833z00_4901;

													{	/* Cfa/type.scm 72 */
														long BgL_arg1834z00_4902;

														BgL_arg1834z00_4902 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4880);
														BgL_arg1833z00_4901 =
															(BgL_arg1834z00_4902 - OBJECT_TYPE);
													}
													BgL_oclassz00_4895 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_4901);
												}
												{	/* Cfa/type.scm 72 */
													bool_t BgL__ortest_1110z00_4896;

													BgL__ortest_1110z00_4896 =
														(BgL_classz00_4878 == BgL_oclassz00_4895);
													if (BgL__ortest_1110z00_4896)
														{	/* Cfa/type.scm 72 */
															BgL_res2279z00_4909 = BgL__ortest_1110z00_4896;
														}
													else
														{	/* Cfa/type.scm 72 */
															long BgL_odepthz00_4897;

															BgL_odepthz00_4897 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4895);
															if ((((long) 3) < BgL_odepthz00_4897))
																{	/* Cfa/type.scm 72 */
																	obj_t BgL_arg1821z00_4899;

																	BgL_arg1821z00_4899 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4895,
																		((long) 3));
																	BgL_res2279z00_4909 =
																		(BgL_arg1821z00_4899 == BgL_classz00_4878);
																}
															else
																{	/* Cfa/type.scm 72 */
																	BgL_res2279z00_4909 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_4884 = BgL_res2279z00_4909;
										}
										BgL_test2428z00_6435 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_4883,
											BgL_arg1823z00_4884);
									}
								}
							}
							if (BgL_test2428z00_6435)
								{
									obj_t BgL_auxz00_6455;

									{	/* Cfa/type.scm 74 */
										obj_t BgL_arg1766z00_3729;

										BgL_arg1766z00_3729 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_3708)))->BgL_bodyz00);
										BgL_auxz00_6455 =
											((obj_t)
											BGl_typezd2nodez12zc0zzcfa_typez00(
												((BgL_nodez00_bglt) BgL_arg1766z00_3729)));
									}
									return
										((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_3708)))->BgL_bodyz00) =
										((obj_t) BgL_auxz00_6455), BUNSPEC);
								}
							else
								{	/* Cfa/type.scm 76 */
									obj_t BgL_arg1770z00_3730;

									BgL_arg1770z00_3730 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_24));
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2315z00zzcfa_typez00,
										BGl_string2316z00zzcfa_typez00, BgL_arg1770z00_3730);
								}
						}
				}
			}
		}

	}



/* type-fun-node! */
	obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt BgL_vz00_25)
	{
		{	/* Cfa/type.scm 81 */
			{	/* Cfa/type.scm 82 */
				BgL_variablez00_bglt BgL_varz00_3731;

				BgL_varz00_3731 =
					(((BgL_varz00_bglt) COBJECT(BgL_vz00_25))->BgL_variablez00);
				{	/* Cfa/type.scm 82 */
					BgL_valuez00_bglt BgL_funz00_3732;

					BgL_funz00_3732 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_3731))->BgL_valuez00);
					{	/* Cfa/type.scm 83 */

						{	/* Cfa/type.scm 84 */
							bool_t BgL_test2431z00_6468;

							{	/* Cfa/type.scm 84 */
								obj_t BgL_classz00_4912;

								BgL_classz00_4912 = BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
								{	/* Cfa/type.scm 84 */
									BgL_objectz00_bglt BgL_arg1825z00_4914;

									{	/* Cfa/type.scm 84 */
										obj_t BgL_tmpz00_6469;

										BgL_tmpz00_6469 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3732));
										BgL_arg1825z00_4914 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6469);
									}
									{	/* Cfa/type.scm 84 */
										bool_t BgL_arg1822z00_4917;
										bool_t BgL_arg1823z00_4918;

										{	/* Cfa/type.scm 84 */
											long BgL_idxz00_4921;

											BgL_idxz00_4921 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4914);
											BgL_arg1822z00_4917 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4921 + ((long) 4))) == BgL_classz00_4912);
										}
										{	/* Cfa/type.scm 84 */
											bool_t BgL_res2280z00_4943;

											{	/* Cfa/type.scm 84 */
												obj_t BgL_oclassz00_4929;

												{	/* Cfa/type.scm 84 */
													long BgL_arg1833z00_4935;

													{	/* Cfa/type.scm 84 */
														long BgL_arg1834z00_4936;

														BgL_arg1834z00_4936 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4914);
														BgL_arg1833z00_4935 =
															(BgL_arg1834z00_4936 - OBJECT_TYPE);
													}
													BgL_oclassz00_4929 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_4935);
												}
												{	/* Cfa/type.scm 84 */
													bool_t BgL__ortest_1110z00_4930;

													BgL__ortest_1110z00_4930 =
														(BgL_classz00_4912 == BgL_oclassz00_4929);
													if (BgL__ortest_1110z00_4930)
														{	/* Cfa/type.scm 84 */
															BgL_res2280z00_4943 = BgL__ortest_1110z00_4930;
														}
													else
														{	/* Cfa/type.scm 84 */
															long BgL_odepthz00_4931;

															BgL_odepthz00_4931 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4929);
															if ((((long) 4) < BgL_odepthz00_4931))
																{	/* Cfa/type.scm 84 */
																	obj_t BgL_arg1821z00_4933;

																	BgL_arg1821z00_4933 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4929,
																		((long) 4));
																	BgL_res2280z00_4943 =
																		(BgL_arg1821z00_4933 == BgL_classz00_4912);
																}
															else
																{	/* Cfa/type.scm 84 */
																	BgL_res2280z00_4943 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_4918 = BgL_res2280z00_4943;
										}
										BgL_test2431z00_6468 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_4917,
											BgL_arg1823z00_4918);
									}
								}
							}
							if (BgL_test2431z00_6468)
								{	/* Cfa/type.scm 86 */
									obj_t BgL_arg1772z00_3735;

									{	/* Cfa/type.scm 86 */
										BgL_approxz00_bglt BgL_arg1777z00_3736;

										{
											BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_6488;

											{
												obj_t BgL_auxz00_6489;

												{	/* Cfa/type.scm 86 */
													BgL_objectz00_bglt BgL_tmpz00_6490;

													BgL_tmpz00_6490 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_3732));
													BgL_auxz00_6489 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6490);
												}
												BgL_auxz00_6488 =
													((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_6489);
											}
											BgL_arg1777z00_3736 =
												(((BgL_internzd2sfunzf2cinfoz20_bglt)
													COBJECT(BgL_auxz00_6488))->BgL_approxz00);
										}
										BgL_arg1772z00_3735 =
											BGl_getzd2approxzd2typez00zzcfa_typez00
											(BgL_arg1777z00_3736, ((obj_t) BgL_vz00_25));
									}
									return
										BGl_setzd2variablezd2typez12z12zzcfa_typez00
										(BgL_varz00_3731, ((BgL_typez00_bglt) BgL_arg1772z00_3735));
								}
							else
								{	/* Cfa/type.scm 84 */
									return BFALSE;
								}
						}
					}
				}
			}
		}

	}



/* get-approx-type */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt BgL_approxz00_26,
		obj_t BgL_nodez00_27)
	{
		{	/* Cfa/type.scm 91 */
			{	/* Cfa/type.scm 92 */
				BgL_typez00_bglt BgL_typez00_3737;
				obj_t BgL_allocsz00_3738;

				BgL_typez00_3737 =
					(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_26))->BgL_typez00);
				BgL_allocsz00_3738 =
					(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_26))->BgL_allocsz00);
				{	/* Cfa/type.scm 95 */
					bool_t BgL_test2434z00_6502;

					{	/* Cfa/type.scm 95 */
						obj_t BgL_arg1799z00_3764;

						BgL_arg1799z00_3764 =
							BGl_setzd2lengthzd2zzcfa_setz00(BgL_allocsz00_3738);
						BgL_test2434z00_6502 =
							((long) CINT(BgL_arg1799z00_3764) == ((long) 0));
					}
					if (BgL_test2434z00_6502)
						{	/* Cfa/type.scm 95 */
							return ((obj_t) BgL_typez00_3737);
						}
					else
						{	/* Cfa/type.scm 95 */
							if (
								(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_26))->
									BgL_topzf3zf3))
								{	/* Cfa/type.scm 97 */
									return BGl_za2objza2z00zztype_cachez00;
								}
							else
								{	/* Cfa/type.scm 97 */
									if (CBOOL(BGl_setzd2everyzd2zzcfa_setz00
											(BGl_makezd2vectorzd2appzf3zd2envz21zzcfa_info2z00,
												BgL_allocsz00_3738)))
										{	/* Cfa/type.scm 100 */
											obj_t BgL_appz00_3743;

											{	/* Cfa/type.scm 100 */

												BgL_appz00_3743 =
													BGl_setzd2headzd2zzcfa_setz00(BgL_allocsz00_3738,
													BFALSE);
											}
											{	/* Cfa/type.scm 100 */
												BgL_typez00_bglt BgL_tvzd2typezd2_3744;

												BgL_tvzd2typezd2_3744 =
													BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
													((BgL_nodez00_bglt) BgL_appz00_3743));
												{	/* Cfa/type.scm 101 */
													BgL_approxz00_bglt BgL_valuezd2approxzd2_3745;

													{
														BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_6515;

														{
															obj_t BgL_auxz00_6516;

															{	/* Cfa/type.scm 102 */
																BgL_objectz00_bglt BgL_tmpz00_6517;

																BgL_tmpz00_6517 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_3743));
																BgL_auxz00_6516 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6517);
															}
															BgL_auxz00_6515 =
																((BgL_makezd2vectorzd2appz00_bglt)
																BgL_auxz00_6516);
														}
														BgL_valuezd2approxzd2_3745 =
															(((BgL_makezd2vectorzd2appz00_bglt)
																COBJECT(BgL_auxz00_6515))->
															BgL_valuezd2approxzd2);
													}
													{	/* Cfa/type.scm 102 */
														BgL_typez00_bglt BgL_itemzd2typezd2_3746;

														BgL_itemzd2typezd2_3746 =
															(((BgL_approxz00_bglt)
																COBJECT(BgL_valuezd2approxzd2_3745))->
															BgL_typez00);
														{	/* Cfa/type.scm 103 */
															obj_t BgL_tvz00_3747;

															BgL_tvz00_3747 =
																(((BgL_typez00_bglt)
																	COBJECT(BgL_itemzd2typezd2_3746))->
																BgL_tvectorz00);
															{	/* Cfa/type.scm 104 */

																{	/* Cfa/type.scm 106 */
																	bool_t BgL_test2437z00_6525;

																	{	/* Cfa/type.scm 106 */
																		obj_t BgL_classz00_4953;

																		BgL_classz00_4953 =
																			BGl_typez00zztype_typez00;
																		if (BGL_OBJECTP(BgL_tvz00_3747))
																			{	/* Cfa/type.scm 106 */
																				BgL_objectz00_bglt BgL_arg1825z00_4955;

																				BgL_arg1825z00_4955 =
																					(BgL_objectz00_bglt) (BgL_tvz00_3747);
																				{	/* Cfa/type.scm 106 */
																					bool_t BgL_arg1822z00_4958;
																					bool_t BgL_arg1823z00_4959;

																					{	/* Cfa/type.scm 106 */
																						long BgL_idxz00_4962;

																						BgL_idxz00_4962 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1825z00_4955);
																						BgL_arg1822z00_4958 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_4962 +
																									((long) 1))) ==
																							BgL_classz00_4953);
																					}
																					{	/* Cfa/type.scm 106 */
																						bool_t BgL_res2281z00_4984;

																						{	/* Cfa/type.scm 106 */
																							obj_t BgL_oclassz00_4970;

																							{	/* Cfa/type.scm 106 */
																								long BgL_arg1833z00_4976;

																								{	/* Cfa/type.scm 106 */
																									long BgL_arg1834z00_4977;

																									BgL_arg1834z00_4977 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1825z00_4955);
																									BgL_arg1833z00_4976 =
																										(BgL_arg1834z00_4977 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_4970 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1833z00_4976);
																							}
																							{	/* Cfa/type.scm 106 */
																								bool_t BgL__ortest_1110z00_4971;

																								BgL__ortest_1110z00_4971 =
																									(BgL_classz00_4953 ==
																									BgL_oclassz00_4970);
																								if (BgL__ortest_1110z00_4971)
																									{	/* Cfa/type.scm 106 */
																										BgL_res2281z00_4984 =
																											BgL__ortest_1110z00_4971;
																									}
																								else
																									{	/* Cfa/type.scm 106 */
																										long BgL_odepthz00_4972;

																										BgL_odepthz00_4972 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_4970);
																										if ((((long) 1) <
																												BgL_odepthz00_4972))
																											{	/* Cfa/type.scm 106 */
																												obj_t
																													BgL_arg1821z00_4974;
																												BgL_arg1821z00_4974 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_4970,
																													((long) 1));
																												BgL_res2281z00_4984 =
																													(BgL_arg1821z00_4974
																													== BgL_classz00_4953);
																											}
																										else
																											{	/* Cfa/type.scm 106 */
																												BgL_res2281z00_4984 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_arg1823z00_4959 =
																							BgL_res2281z00_4984;
																					}
																					BgL_test2437z00_6525 =
																						BGL_ISA_C_BACKEND
																						(BgL_arg1822z00_4958,
																						BgL_arg1823z00_4959);
																				}
																			}
																		else
																			{	/* Cfa/type.scm 106 */
																				BgL_test2437z00_6525 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2437z00_6525)
																		{	/* Cfa/type.scm 106 */
																			return BgL_tvz00_3747;
																		}
																	else
																		{	/* Cfa/type.scm 106 */
																			if (
																				(((obj_t) BgL_typez00_3737) ==
																					BGl_za2_za2z00zztype_cachez00))
																				{	/* Cfa/type.scm 107 */
																					return
																						BGl_za2vectorza2z00zztype_cachez00;
																				}
																			else
																				{	/* Cfa/type.scm 107 */
																					return ((obj_t) BgL_typez00_3737);
																				}
																		}
																}
															}
														}
													}
												}
											}
										}
									else
										{	/* Cfa/type.scm 99 */
											if (CBOOL(BGl_setzd2everyzd2zzcfa_setz00
													(BGl_valloczf2Cinfozb2optimzf3zd2envz61zzcfa_info3z00,
														BgL_allocsz00_3738)))
												{	/* Cfa/type.scm 109 */
													if (CBOOL
														(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00
															()))
														{	/* Cfa/type.scm 114 */
															obj_t BgL_appz00_3754;

															{	/* Cfa/type.scm 114 */

																BgL_appz00_3754 =
																	BGl_setzd2headzd2zzcfa_setz00
																	(BgL_allocsz00_3738, BFALSE);
															}
															{	/* Cfa/type.scm 114 */
																BgL_typez00_bglt BgL_tvzd2typezd2_3755;

																BgL_tvzd2typezd2_3755 =
																	BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00
																	(((BgL_nodez00_bglt) BgL_appz00_3754));
																{	/* Cfa/type.scm 115 */
																	BgL_approxz00_bglt BgL_valuezd2approxzd2_3756;

																	{
																		BgL_valloczf2cinfozb2optimz40_bglt
																			BgL_auxz00_6557;
																		{
																			obj_t BgL_auxz00_6558;

																			{	/* Cfa/type.scm 116 */
																				BgL_objectz00_bglt BgL_tmpz00_6559;

																				BgL_tmpz00_6559 =
																					((BgL_objectz00_bglt)
																					((BgL_vallocz00_bglt)
																						BgL_appz00_3754));
																				BgL_auxz00_6558 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_6559);
																			}
																			BgL_auxz00_6557 =
																				((BgL_valloczf2cinfozb2optimz40_bglt)
																				BgL_auxz00_6558);
																		}
																		BgL_valuezd2approxzd2_3756 =
																			(((BgL_valloczf2cinfozb2optimz40_bglt)
																				COBJECT(BgL_auxz00_6557))->
																			BgL_valuezd2approxzd2);
																	}
																	{	/* Cfa/type.scm 116 */
																		BgL_typez00_bglt BgL_itemzd2typezd2_3757;

																		BgL_itemzd2typezd2_3757 =
																			(((BgL_approxz00_bglt)
																				COBJECT(BgL_valuezd2approxzd2_3756))->
																			BgL_typez00);
																		{	/* Cfa/type.scm 117 */
																			obj_t BgL_tvz00_3758;

																			BgL_tvz00_3758 =
																				(((BgL_typez00_bglt)
																					COBJECT(BgL_itemzd2typezd2_3757))->
																				BgL_tvectorz00);
																			{	/* Cfa/type.scm 118 */

																				{	/* Cfa/type.scm 120 */
																					bool_t BgL_test2444z00_6567;

																					{	/* Cfa/type.scm 120 */
																						obj_t BgL_classz00_4989;

																						BgL_classz00_4989 =
																							BGl_typez00zztype_typez00;
																						if (BGL_OBJECTP(BgL_tvz00_3758))
																							{	/* Cfa/type.scm 120 */
																								BgL_objectz00_bglt
																									BgL_arg1825z00_4991;
																								BgL_arg1825z00_4991 =
																									(BgL_objectz00_bglt)
																									(BgL_tvz00_3758);
																								{	/* Cfa/type.scm 120 */
																									bool_t BgL_arg1822z00_4994;
																									bool_t BgL_arg1823z00_4995;

																									{	/* Cfa/type.scm 120 */
																										long BgL_idxz00_4998;

																										BgL_idxz00_4998 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1825z00_4991);
																										BgL_arg1822z00_4994 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_4998 +
																													((long) 1))) ==
																											BgL_classz00_4989);
																									}
																									{	/* Cfa/type.scm 120 */
																										bool_t BgL_res2282z00_5020;

																										{	/* Cfa/type.scm 120 */
																											obj_t BgL_oclassz00_5006;

																											{	/* Cfa/type.scm 120 */
																												long
																													BgL_arg1833z00_5012;
																												{	/* Cfa/type.scm 120 */
																													long
																														BgL_arg1834z00_5013;
																													BgL_arg1834z00_5013 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1825z00_4991);
																													BgL_arg1833z00_5012 =
																														(BgL_arg1834z00_5013
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_5006 =
																													VECTOR_REF
																													(BGl_za2classesza2z00zz__objectz00,
																													BgL_arg1833z00_5012);
																											}
																											{	/* Cfa/type.scm 120 */
																												bool_t
																													BgL__ortest_1110z00_5007;
																												BgL__ortest_1110z00_5007
																													=
																													(BgL_classz00_4989 ==
																													BgL_oclassz00_5006);
																												if (BgL__ortest_1110z00_5007)
																													{	/* Cfa/type.scm 120 */
																														BgL_res2282z00_5020
																															=
																															BgL__ortest_1110z00_5007;
																													}
																												else
																													{	/* Cfa/type.scm 120 */
																														long
																															BgL_odepthz00_5008;
																														BgL_odepthz00_5008 =
																															BGL_CLASS_DEPTH
																															(BgL_oclassz00_5006);
																														if ((((long) 1) <
																																BgL_odepthz00_5008))
																															{	/* Cfa/type.scm 120 */
																																obj_t
																																	BgL_arg1821z00_5010;
																																BgL_arg1821z00_5010
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_oclassz00_5006,
																																	((long) 1));
																																BgL_res2282z00_5020
																																	=
																																	(BgL_arg1821z00_5010
																																	==
																																	BgL_classz00_4989);
																															}
																														else
																															{	/* Cfa/type.scm 120 */
																																BgL_res2282z00_5020
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_arg1823z00_4995 =
																											BgL_res2282z00_5020;
																									}
																									BgL_test2444z00_6567 =
																										BGL_ISA_C_BACKEND
																										(BgL_arg1822z00_4994,
																										BgL_arg1823z00_4995);
																								}
																							}
																						else
																							{	/* Cfa/type.scm 120 */
																								BgL_test2444z00_6567 =
																									((bool_t) 0);
																							}
																					}
																					if (BgL_test2444z00_6567)
																						{	/* Cfa/type.scm 120 */
																							return BgL_tvz00_3758;
																						}
																					else
																						{	/* Cfa/type.scm 120 */
																							if (
																								(((obj_t) BgL_typez00_3737) ==
																									BGl_za2_za2z00zztype_cachez00))
																								{	/* Cfa/type.scm 121 */
																									return
																										BGl_za2vectorza2z00zztype_cachez00;
																								}
																							else
																								{	/* Cfa/type.scm 121 */
																									return
																										((obj_t) BgL_typez00_3737);
																								}
																						}
																				}
																			}
																		}
																	}
																}
															}
														}
													else
														{	/* Cfa/type.scm 110 */
															if (
																(((obj_t) BgL_typez00_3737) ==
																	BGl_za2_za2z00zztype_cachez00))
																{	/* Cfa/type.scm 111 */
																	return BGl_za2vectorza2z00zztype_cachez00;
																}
															else
																{	/* Cfa/type.scm 111 */
																	return ((obj_t) BgL_typez00_3737);
																}
														}
												}
											else
												{	/* Cfa/type.scm 109 */
													return ((obj_t) BgL_typez00_3737);
												}
										}
								}
						}
				}
			}
		}

	}



/* &get-approx-type */
	obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t BgL_envz00_5895,
		obj_t BgL_approxz00_5896, obj_t BgL_nodez00_5897)
	{
		{	/* Cfa/type.scm 91 */
			return
				BGl_getzd2approxzd2typez00zzcfa_typez00(
				((BgL_approxz00_bglt) BgL_approxz00_5896), BgL_nodez00_5897);
		}

	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt
		BgL_variablez00_40, BgL_typez00_bglt BgL_typez00_41)
	{
		{	/* Cfa/type.scm 184 */
			{	/* Cfa/type.scm 185 */
				obj_t BgL_ntypez00_3765;
				BgL_typez00_bglt BgL_otypez00_3766;

				if ((((obj_t) BgL_typez00_41) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 185 */
						BgL_ntypez00_3765 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/type.scm 185 */
						BgL_ntypez00_3765 = ((obj_t) BgL_typez00_41);
					}
				BgL_otypez00_3766 =
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_40))->BgL_typez00);
				if ((((obj_t) BgL_otypez00_3766) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 189 */
						bool_t BgL_test2452z00_6605;

						{	/* Cfa/type.scm 189 */
							bool_t BgL_test2453z00_6606;

							{	/* Cfa/type.scm 189 */
								obj_t BgL_classz00_5022;

								BgL_classz00_5022 = BGl_globalz00zzast_varz00;
								{	/* Cfa/type.scm 189 */
									BgL_objectz00_bglt BgL_arg1825z00_5024;

									{	/* Cfa/type.scm 189 */
										obj_t BgL_tmpz00_6607;

										BgL_tmpz00_6607 = ((obj_t) BgL_variablez00_40);
										BgL_arg1825z00_5024 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6607);
									}
									{	/* Cfa/type.scm 189 */
										bool_t BgL_arg1822z00_5027;
										bool_t BgL_arg1823z00_5028;

										{	/* Cfa/type.scm 189 */
											long BgL_idxz00_5031;

											BgL_idxz00_5031 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5024);
											BgL_arg1822z00_5027 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5031 + ((long) 2))) == BgL_classz00_5022);
										}
										{	/* Cfa/type.scm 189 */
											bool_t BgL_res2283z00_5053;

											{	/* Cfa/type.scm 189 */
												obj_t BgL_oclassz00_5039;

												{	/* Cfa/type.scm 189 */
													long BgL_arg1833z00_5045;

													{	/* Cfa/type.scm 189 */
														long BgL_arg1834z00_5046;

														BgL_arg1834z00_5046 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5024);
														BgL_arg1833z00_5045 =
															(BgL_arg1834z00_5046 - OBJECT_TYPE);
													}
													BgL_oclassz00_5039 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_5045);
												}
												{	/* Cfa/type.scm 189 */
													bool_t BgL__ortest_1110z00_5040;

													BgL__ortest_1110z00_5040 =
														(BgL_classz00_5022 == BgL_oclassz00_5039);
													if (BgL__ortest_1110z00_5040)
														{	/* Cfa/type.scm 189 */
															BgL_res2283z00_5053 = BgL__ortest_1110z00_5040;
														}
													else
														{	/* Cfa/type.scm 189 */
															long BgL_odepthz00_5041;

															BgL_odepthz00_5041 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5039);
															if ((((long) 2) < BgL_odepthz00_5041))
																{	/* Cfa/type.scm 189 */
																	obj_t BgL_arg1821z00_5043;

																	BgL_arg1821z00_5043 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5039,
																		((long) 2));
																	BgL_res2283z00_5053 =
																		(BgL_arg1821z00_5043 == BgL_classz00_5022);
																}
															else
																{	/* Cfa/type.scm 189 */
																	BgL_res2283z00_5053 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_5028 = BgL_res2283z00_5053;
										}
										BgL_test2453z00_6606 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_5027,
											BgL_arg1823z00_5028);
									}
								}
							}
							if (BgL_test2453z00_6606)
								{	/* Cfa/type.scm 190 */
									bool_t BgL_test2456z00_6625;

									{	/* Cfa/type.scm 190 */
										BgL_valuez00_bglt BgL_arg1839z00_3785;

										BgL_arg1839z00_3785 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_variablez00_40))))->
											BgL_valuez00);
										{	/* Cfa/type.scm 190 */
											obj_t BgL_classz00_5055;

											BgL_classz00_5055 = BGl_funz00zzast_varz00;
											{	/* Cfa/type.scm 190 */
												BgL_objectz00_bglt BgL_arg1825z00_5057;

												{	/* Cfa/type.scm 190 */
													obj_t BgL_tmpz00_6629;

													BgL_tmpz00_6629 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1839z00_3785));
													BgL_arg1825z00_5057 =
														(BgL_objectz00_bglt) (BgL_tmpz00_6629);
												}
												{	/* Cfa/type.scm 190 */
													bool_t BgL_arg1822z00_5060;
													bool_t BgL_arg1823z00_5061;

													{	/* Cfa/type.scm 190 */
														long BgL_idxz00_5064;

														BgL_idxz00_5064 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5057);
														BgL_arg1822z00_5060 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_5064 + ((long) 2))) ==
															BgL_classz00_5055);
													}
													{	/* Cfa/type.scm 190 */
														bool_t BgL_res2284z00_5086;

														{	/* Cfa/type.scm 190 */
															obj_t BgL_oclassz00_5072;

															{	/* Cfa/type.scm 190 */
																long BgL_arg1833z00_5078;

																{	/* Cfa/type.scm 190 */
																	long BgL_arg1834z00_5079;

																	BgL_arg1834z00_5079 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5057);
																	BgL_arg1833z00_5078 =
																		(BgL_arg1834z00_5079 - OBJECT_TYPE);
																}
																BgL_oclassz00_5072 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_5078);
															}
															{	/* Cfa/type.scm 190 */
																bool_t BgL__ortest_1110z00_5073;

																BgL__ortest_1110z00_5073 =
																	(BgL_classz00_5055 == BgL_oclassz00_5072);
																if (BgL__ortest_1110z00_5073)
																	{	/* Cfa/type.scm 190 */
																		BgL_res2284z00_5086 =
																			BgL__ortest_1110z00_5073;
																	}
																else
																	{	/* Cfa/type.scm 190 */
																		long BgL_odepthz00_5074;

																		BgL_odepthz00_5074 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_5072);
																		if ((((long) 2) < BgL_odepthz00_5074))
																			{	/* Cfa/type.scm 190 */
																				obj_t BgL_arg1821z00_5076;

																				BgL_arg1821z00_5076 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_5072, ((long) 2));
																				BgL_res2284z00_5086 =
																					(BgL_arg1821z00_5076 ==
																					BgL_classz00_5055);
																			}
																		else
																			{	/* Cfa/type.scm 190 */
																				BgL_res2284z00_5086 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_5061 = BgL_res2284z00_5086;
													}
													BgL_test2456z00_6625 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_5060,
														BgL_arg1823z00_5061);
												}
											}
										}
									}
									if (BgL_test2456z00_6625)
										{	/* Cfa/type.scm 190 */
											BgL_test2452z00_6605 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 191 */
											bool_t BgL_test2459z00_6648;

											if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
												{	/* Cfa/type.scm 191 */
													BgL_test2459z00_6648 = ((bool_t) 1);
												}
											else
												{	/* Cfa/type.scm 191 */
													BgL_test2459z00_6648 =
														(
														(((BgL_globalz00_bglt) COBJECT(
																	((BgL_globalz00_bglt) BgL_variablez00_40)))->
															BgL_initz00) == BTRUE);
												}
											if (BgL_test2459z00_6648)
												{	/* Cfa/type.scm 191 */
													BgL_test2452z00_6605 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 191 */
													if (
														((((BgL_typez00_bglt) COBJECT(
																		((BgL_typez00_bglt) BgL_ntypez00_3765)))->
																BgL_classz00) == CNST_TABLE_REF(((long) 0))))
														{	/* Cfa/type.scm 192 */
															BgL_test2452z00_6605 = ((bool_t) 0);
														}
													else
														{	/* Cfa/type.scm 192 */
															BgL_test2452z00_6605 = ((bool_t) 1);
														}
												}
										}
								}
							else
								{	/* Cfa/type.scm 189 */
									BgL_test2452z00_6605 = ((bool_t) 0);
								}
						}
						if (BgL_test2452z00_6605)
							{	/* Cfa/type.scm 197 */
								BgL_typez00_bglt BgL_vz00_5090;

								BgL_vz00_5090 =
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
								return
									((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_40))->
										BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_5090), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 189 */
								return
									((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_40))->
										BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ntypez00_3765)),
									BUNSPEC);
							}
					}
				else
					{	/* Cfa/type.scm 199 */
						bool_t BgL_test2462z00_6663;

						if (
							(((obj_t) BgL_otypez00_3766) ==
								BGl_za2vectorza2z00zztype_cachez00))
							{	/* Cfa/type.scm 199 */
								obj_t BgL_classz00_5093;

								BgL_classz00_5093 = BGl_tvecz00zztvector_tvectorz00;
								if (BGL_OBJECTP(BgL_ntypez00_3765))
									{	/* Cfa/type.scm 199 */
										BgL_objectz00_bglt BgL_arg1825z00_5095;

										BgL_arg1825z00_5095 =
											(BgL_objectz00_bglt) (BgL_ntypez00_3765);
										{	/* Cfa/type.scm 199 */
											bool_t BgL_arg1822z00_5098;
											bool_t BgL_arg1823z00_5099;

											{	/* Cfa/type.scm 199 */
												long BgL_idxz00_5102;

												BgL_idxz00_5102 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5095);
												BgL_arg1822z00_5098 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5102 + ((long) 2))) ==
													BgL_classz00_5093);
											}
											{	/* Cfa/type.scm 199 */
												bool_t BgL_res2285z00_5124;

												{	/* Cfa/type.scm 199 */
													obj_t BgL_oclassz00_5110;

													{	/* Cfa/type.scm 199 */
														long BgL_arg1833z00_5116;

														{	/* Cfa/type.scm 199 */
															long BgL_arg1834z00_5117;

															BgL_arg1834z00_5117 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5095);
															BgL_arg1833z00_5116 =
																(BgL_arg1834z00_5117 - OBJECT_TYPE);
														}
														BgL_oclassz00_5110 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_5116);
													}
													{	/* Cfa/type.scm 199 */
														bool_t BgL__ortest_1110z00_5111;

														BgL__ortest_1110z00_5111 =
															(BgL_classz00_5093 == BgL_oclassz00_5110);
														if (BgL__ortest_1110z00_5111)
															{	/* Cfa/type.scm 199 */
																BgL_res2285z00_5124 = BgL__ortest_1110z00_5111;
															}
														else
															{	/* Cfa/type.scm 199 */
																long BgL_odepthz00_5112;

																BgL_odepthz00_5112 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_5110);
																if ((((long) 2) < BgL_odepthz00_5112))
																	{	/* Cfa/type.scm 199 */
																		obj_t BgL_arg1821z00_5114;

																		BgL_arg1821z00_5114 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_5110, ((long) 2));
																		BgL_res2285z00_5124 =
																			(BgL_arg1821z00_5114 ==
																			BgL_classz00_5093);
																	}
																else
																	{	/* Cfa/type.scm 199 */
																		BgL_res2285z00_5124 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_5099 = BgL_res2285z00_5124;
											}
											BgL_test2462z00_6663 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_5098,
												BgL_arg1823z00_5099);
										}
									}
								else
									{	/* Cfa/type.scm 199 */
										BgL_test2462z00_6663 = ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/type.scm 199 */
								BgL_test2462z00_6663 = ((bool_t) 0);
							}
						if (BgL_test2462z00_6663)
							{	/* Cfa/type.scm 199 */
								return
									((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_40))->
										BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ntypez00_3765)),
									BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 199 */
								return BFALSE;
							}
					}
			}
		}

	}



/* type-node*! */
	obj_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t BgL_nodeza2za2_77)
	{
		{	/* Cfa/type.scm 619 */
			{
				obj_t BgL_l1625z00_3793;

				BgL_l1625z00_3793 = BgL_nodeza2za2_77;
			BgL_zc3z04anonymousza31845ze3z87_3794:
				if (NULLP(BgL_l1625z00_3793))
					{	/* Cfa/type.scm 620 */
						return BgL_nodeza2za2_77;
					}
				else
					{	/* Cfa/type.scm 620 */
						{	/* Cfa/type.scm 620 */
							BgL_nodez00_bglt BgL_arg1848z00_3796;

							{	/* Cfa/type.scm 620 */
								obj_t BgL_arg1849z00_3797;

								BgL_arg1849z00_3797 = CAR(((obj_t) BgL_l1625z00_3793));
								BgL_arg1848z00_3796 =
									BGl_typezd2nodez12zc0zzcfa_typez00(
									((BgL_nodez00_bglt) BgL_arg1849z00_3797));
							}
							{	/* Cfa/type.scm 620 */
								obj_t BgL_auxz00_6695;
								obj_t BgL_tmpz00_6693;

								BgL_auxz00_6695 = ((obj_t) BgL_arg1848z00_3796);
								BgL_tmpz00_6693 = ((obj_t) BgL_l1625z00_3793);
								SET_CAR(BgL_tmpz00_6693, BgL_auxz00_6695);
							}
						}
						{	/* Cfa/type.scm 620 */
							obj_t BgL_arg1850z00_3798;

							BgL_arg1850z00_3798 = CDR(((obj_t) BgL_l1625z00_3793));
							{
								obj_t BgL_l1625z00_6700;

								BgL_l1625z00_6700 = BgL_arg1850z00_3798;
								BgL_l1625z00_3793 = BgL_l1625z00_6700;
								goto BgL_zc3z04anonymousza31845ze3z87_3794;
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_typez00()
	{
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_typez00()
	{
		{	/* Cfa/type.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_proc2317z00zzcfa_typez00, BGl_valuez00zzast_varz00,
				BGl_string2318z00zzcfa_typez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_proc2319z00zzcfa_typez00,
				BGl_nodez00zzast_nodez00, BGl_string2320z00zzcfa_typez00);
		}

	}



/* &type-node!1639 */
	obj_t BGl_z62typezd2nodez121639za2zzcfa_typez00(obj_t BgL_envz00_5904,
		obj_t BgL_nodez00_5905)
	{
		{	/* Cfa/type.scm 205 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
				BGl_string2321z00zzcfa_typez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_5905)));
		}

	}



/* &type-variable!1627 */
	obj_t BGl_z62typezd2variablez121627za2zzcfa_typez00(obj_t BgL_envz00_5906,
		obj_t BgL_valuez00_5907, obj_t BgL_variablez00_5908)
	{
		{	/* Cfa/type.scm 129 */
			{	/* Cfa/type.scm 130 */
				BgL_typez00_bglt BgL_typez00_6047;

				BgL_typez00_6047 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_variablez00_5908)))->BgL_typez00);
				{	/* Cfa/type.scm 132 */
					bool_t BgL_test2468z00_6709;

					{	/* Cfa/type.scm 132 */
						obj_t BgL_classz00_6048;

						BgL_classz00_6048 = BGl_typez00zztype_typez00;
						{	/* Cfa/type.scm 132 */
							BgL_objectz00_bglt BgL_arg1825z00_6049;

							{	/* Cfa/type.scm 132 */
								obj_t BgL_tmpz00_6710;

								BgL_tmpz00_6710 =
									((obj_t) ((BgL_objectz00_bglt) BgL_typez00_6047));
								BgL_arg1825z00_6049 = (BgL_objectz00_bglt) (BgL_tmpz00_6710);
							}
							{	/* Cfa/type.scm 132 */
								bool_t BgL_arg1822z00_6050;
								bool_t BgL_arg1823z00_6051;

								{	/* Cfa/type.scm 132 */
									long BgL_idxz00_6052;

									BgL_idxz00_6052 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6049);
									BgL_arg1822z00_6050 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6052 + ((long) 1))) == BgL_classz00_6048);
								}
								{	/* Cfa/type.scm 132 */
									bool_t BgL_res2286z00_6055;

									{	/* Cfa/type.scm 132 */
										obj_t BgL_oclassz00_6056;

										{	/* Cfa/type.scm 132 */
											long BgL_arg1833z00_6057;

											{	/* Cfa/type.scm 132 */
												long BgL_arg1834z00_6058;

												BgL_arg1834z00_6058 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6049);
												BgL_arg1833z00_6057 =
													(BgL_arg1834z00_6058 - OBJECT_TYPE);
											}
											BgL_oclassz00_6056 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_6057);
										}
										{	/* Cfa/type.scm 132 */
											bool_t BgL__ortest_1110z00_6059;

											BgL__ortest_1110z00_6059 =
												(BgL_classz00_6048 == BgL_oclassz00_6056);
											if (BgL__ortest_1110z00_6059)
												{	/* Cfa/type.scm 132 */
													BgL_res2286z00_6055 = BgL__ortest_1110z00_6059;
												}
											else
												{	/* Cfa/type.scm 132 */
													long BgL_odepthz00_6060;

													BgL_odepthz00_6060 =
														BGL_CLASS_DEPTH(BgL_oclassz00_6056);
													if ((((long) 1) < BgL_odepthz00_6060))
														{	/* Cfa/type.scm 132 */
															obj_t BgL_arg1821z00_6061;

															BgL_arg1821z00_6061 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6056,
																((long) 1));
															BgL_res2286z00_6055 =
																(BgL_arg1821z00_6061 == BgL_classz00_6048);
														}
													else
														{	/* Cfa/type.scm 132 */
															BgL_res2286z00_6055 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_6051 = BgL_res2286z00_6055;
								}
								BgL_test2468z00_6709 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_6050, BgL_arg1823z00_6051);
							}
						}
					}
					if (BgL_test2468z00_6709)
						{	/* Cfa/type.scm 134 */
							bool_t BgL_test2471z00_6729;

							if ((((obj_t) BgL_typez00_6047) == BGl_za2_za2z00zztype_cachez00))
								{	/* Cfa/type.scm 134 */
									if (CBOOL(BGl_za2optimzd2cfazf3za2z21zzengine_paramz00))
										{	/* Cfa/type.scm 134 */
											BgL_test2471z00_6729 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 134 */
											BgL_test2471z00_6729 = ((bool_t) 1);
										}
								}
							else
								{	/* Cfa/type.scm 134 */
									BgL_test2471z00_6729 = ((bool_t) 0);
								}
							if (BgL_test2471z00_6729)
								{	/* Cfa/type.scm 134 */
									return
										BGl_setzd2variablezd2typez12z12zzcfa_typez00(
										((BgL_variablez00_bglt) BgL_variablez00_5908),
										BGl_getzd2defaultzd2typez00zztype_cachez00());
								}
							else
								{	/* Cfa/type.scm 134 */
									return BFALSE;
								}
						}
					else
						{	/* Cfa/type.scm 132 */
							return
								BGl_setzd2variablezd2typez12z12zzcfa_typez00(
								((BgL_variablez00_bglt) BgL_variablez00_5908),
								BGl_getzd2defaultzd2typez00zztype_cachez00());
						}
				}
			}
		}

	}



/* type-variable! */
	obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt
		BgL_valuez00_28, BgL_variablez00_bglt BgL_variablez00_29)
	{
		{	/* Cfa/type.scm 129 */
			{	/* Cfa/type.scm 129 */
				obj_t BgL_method1628z00_3816;

				{	/* Cfa/type.scm 129 */
					obj_t BgL_res2291z00_5194;

					{	/* Cfa/type.scm 129 */
						long BgL_objzd2classzd2numz00_5165;

						BgL_objzd2classzd2numz00_5165 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_28));
						{	/* Cfa/type.scm 129 */
							obj_t BgL_arg1829z00_5166;

							BgL_arg1829z00_5166 =
								PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
								(int) (((long) 1)));
							{	/* Cfa/type.scm 129 */
								int BgL_offsetz00_5169;

								BgL_offsetz00_5169 = (int) (BgL_objzd2classzd2numz00_5165);
								{	/* Cfa/type.scm 129 */
									long BgL_offsetz00_5170;

									BgL_offsetz00_5170 =
										((long) (BgL_offsetz00_5169) - OBJECT_TYPE);
									{	/* Cfa/type.scm 129 */
										long BgL_modz00_5171;

										BgL_modz00_5171 =
											(BgL_offsetz00_5170 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/type.scm 129 */
											long BgL_restz00_5173;

											BgL_restz00_5173 =
												(BgL_offsetz00_5170 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/type.scm 129 */

												{	/* Cfa/type.scm 129 */
													obj_t BgL_bucketz00_5175;

													BgL_bucketz00_5175 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_5166), BgL_modz00_5171);
													BgL_res2291z00_5194 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5175), BgL_restz00_5173);
					}}}}}}}}
					BgL_method1628z00_3816 = BgL_res2291z00_5194;
				}
				return
					PROCEDURE_ENTRY(BgL_method1628z00_3816) (BgL_method1628z00_3816,
					((obj_t) BgL_valuez00_28), ((obj_t) BgL_variablez00_29), BEOA);
			}
		}

	}



/* &type-variable! */
	obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t BgL_envz00_5909,
		obj_t BgL_valuez00_5910, obj_t BgL_variablez00_5911)
	{
		{	/* Cfa/type.scm 129 */
			return
				BGl_typezd2variablez12zc0zzcfa_typez00(
				((BgL_valuez00_bglt) BgL_valuez00_5910),
				((BgL_variablez00_bglt) BgL_variablez00_5911));
		}

	}



/* type-node! */
	BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt
		BgL_nodez00_42)
	{
		{	/* Cfa/type.scm 205 */
			{	/* Cfa/type.scm 205 */
				obj_t BgL_method1640z00_3817;

				{	/* Cfa/type.scm 205 */
					obj_t BgL_res2296z00_5225;

					{	/* Cfa/type.scm 205 */
						long BgL_objzd2classzd2numz00_5196;

						BgL_objzd2classzd2numz00_5196 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_42));
						{	/* Cfa/type.scm 205 */
							obj_t BgL_arg1829z00_5197;

							BgL_arg1829z00_5197 =
								PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
								(int) (((long) 1)));
							{	/* Cfa/type.scm 205 */
								int BgL_offsetz00_5200;

								BgL_offsetz00_5200 = (int) (BgL_objzd2classzd2numz00_5196);
								{	/* Cfa/type.scm 205 */
									long BgL_offsetz00_5201;

									BgL_offsetz00_5201 =
										((long) (BgL_offsetz00_5200) - OBJECT_TYPE);
									{	/* Cfa/type.scm 205 */
										long BgL_modz00_5202;

										BgL_modz00_5202 =
											(BgL_offsetz00_5201 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/type.scm 205 */
											long BgL_restz00_5204;

											BgL_restz00_5204 =
												(BgL_offsetz00_5201 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/type.scm 205 */

												{	/* Cfa/type.scm 205 */
													obj_t BgL_bucketz00_5206;

													BgL_bucketz00_5206 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_5197), BgL_modz00_5202);
													BgL_res2296z00_5225 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5206), BgL_restz00_5204);
					}}}}}}}}
					BgL_method1640z00_3817 = BgL_res2296z00_5225;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1640z00_3817) (BgL_method1640z00_3817,
						((obj_t) BgL_nodez00_42), BEOA));
			}
		}

	}



/* &type-node! */
	BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t BgL_envz00_5912,
		obj_t BgL_nodez00_5913)
	{
		{	/* Cfa/type.scm 205 */
			return
				BGl_typezd2nodez12zc0zzcfa_typez00(
				((BgL_nodez00_bglt) BgL_nodez00_5913));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_typez00()
	{
		{	/* Cfa/type.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc2322z00zzcfa_typez00,
				BGl_string2323z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc2324z00zzcfa_typez00,
				BGl_string2323z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc2325z00zzcfa_typez00,
				BGl_string2323z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc2326z00zzcfa_typez00,
				BGl_string2323z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc2327z00zzcfa_typez00,
				BGl_string2323z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_atomz00zzast_nodez00,
				BGl_proc2328z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2330z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_varz00zzast_nodez00,
				BGl_proc2331z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_closurez00zzast_nodez00,
				BGl_proc2332z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_sequencez00zzast_nodez00,
				BGl_proc2333z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_syncz00zzast_nodez00,
				BGl_proc2334z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_appz00zzast_nodez00,
				BGl_proc2335z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_arithmeticzd2appzd2zzcfa_info2z00, BGl_proc2336z00zzcfa_typez00,
				BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2refzd2appz00zzcfa_info2z00,
				BGl_proc2337z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2setz12zd2appz12zzcfa_info2z00,
				BGl_proc2338z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conszd2refzd2appz00zzcfa_info2z00, BGl_proc2339z00zzcfa_typez00,
				BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2340z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00, BGl_proc2341z00zzcfa_typez00,
				BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_funcallz00zzast_nodez00,
				BGl_proc2342z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_funcallzf2Cinfozf2zzcfa_infoz00, BGl_proc2343z00zzcfa_typez00,
				BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_externz00zzast_nodez00,
				BGl_proc2344z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vallocz00zzast_nodez00,
				BGl_proc2345z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vrefz00zzast_nodez00,
				BGl_proc2346z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc2347z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_castz00zzast_nodez00,
				BGl_proc2348z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_setqz00zzast_nodez00,
				BGl_proc2349z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2350z00zzcfa_typez00,
				BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalzf2Cinfozf2zzcfa_infoz00, BGl_proc2351z00zzcfa_typez00,
				BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_failz00zzast_nodez00,
				BGl_proc2352z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_switchz00zzast_nodez00,
				BGl_proc2353z00zzcfa_typez00, BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2354z00zzcfa_typez00,
				BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2355z00zzcfa_typez00,
				BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2356z00zzcfa_typez00,
				BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2357z00zzcfa_typez00,
				BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2358z00zzcfa_typez00,
				BGl_string2329z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2359z00zzcfa_typez00,
				BGl_string2329z00zzcfa_typez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2360z00zzcfa_typez00,
				BGl_string2329z00zzcfa_typez00);
		}

	}



/* &type-node!-box-ref1705 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2boxzd2ref1705za2zzcfa_typez00(obj_t
		BgL_envz00_5951, obj_t BgL_nodez00_5952)
	{
		{	/* Cfa/type.scm 609 */
			{
				BgL_varz00_bglt BgL_auxz00_6846;

				{	/* Cfa/type.scm 611 */
					BgL_varz00_bglt BgL_arg2073z00_6063;

					BgL_arg2073z00_6063 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_5952)))->BgL_varz00);
					BgL_auxz00_6846 =
						((BgL_varz00_bglt)
						BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg2073z00_6063)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_5952)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_6846), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_5952));
		}

	}



/* &type-node!-box-set!1703 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz121703zb0zzcfa_typez00(obj_t
		BgL_envz00_5953, obj_t BgL_nodez00_5954)
	{
		{	/* Cfa/type.scm 600 */
			{
				BgL_varz00_bglt BgL_auxz00_6856;

				{	/* Cfa/type.scm 602 */
					BgL_varz00_bglt BgL_arg2071z00_6065;

					BgL_arg2071z00_6065 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5954)))->BgL_varz00);
					BgL_auxz00_6856 =
						((BgL_varz00_bglt)
						BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg2071z00_6065)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5954)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_6856), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_6864;

				{	/* Cfa/type.scm 603 */
					BgL_nodez00_bglt BgL_arg2072z00_6066;

					BgL_arg2072z00_6066 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5954)))->BgL_valuez00);
					BgL_auxz00_6864 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2072z00_6066);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5954)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_6864), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5954));
		}

	}



/* &type-node!-make-box1700 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2makezd2box1700za2zzcfa_typez00(obj_t
		BgL_envz00_5955, obj_t BgL_nodez00_5956)
	{
		{	/* Cfa/type.scm 592 */
			{
				BgL_nodez00_bglt BgL_auxz00_6872;

				{	/* Cfa/type.scm 594 */
					BgL_nodez00_bglt BgL_arg2069z00_6068;

					BgL_arg2069z00_6068 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_5956)))->BgL_valuez00);
					BgL_auxz00_6872 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2069z00_6068);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_5956)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_6872), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_5956));
		}

	}



/* &type-node!-jump-ex-i1698 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i1698z70zzcfa_typez00(obj_t
		BgL_envz00_5957, obj_t BgL_nodez00_5958)
	{
		{	/* Cfa/type.scm 583 */
			{
				BgL_nodez00_bglt BgL_auxz00_6880;

				{	/* Cfa/type.scm 585 */
					BgL_nodez00_bglt BgL_arg2066z00_6070;

					BgL_arg2066z00_6070 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5958)))->BgL_exitz00);
					BgL_auxz00_6880 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2066z00_6070);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5958)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_6880), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_6886;

				{	/* Cfa/type.scm 586 */
					BgL_nodez00_bglt BgL_arg2068z00_6071;

					BgL_arg2068z00_6071 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5958)))->
						BgL_valuez00);
					BgL_auxz00_6886 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2068z00_6071);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5958)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_6886), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5958));
		}

	}



/* &type-node!-set-ex-it1696 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it1696z70zzcfa_typez00(obj_t
		BgL_envz00_5959, obj_t BgL_nodez00_5960)
	{
		{	/* Cfa/type.scm 571 */
			{	/* Cfa/type.scm 573 */
				BgL_variablez00_bglt BgL_vz00_6073;

				BgL_vz00_6073 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5960)))->
								BgL_varz00)))->BgL_variablez00);
				{	/* Cfa/type.scm 574 */
					BgL_valuez00_bglt BgL_arg2061z00_6074;

					BgL_arg2061z00_6074 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_vz00_6073))))->BgL_valuez00);
					BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg2061z00_6074,
						BgL_vz00_6073);
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_6901;

				{	/* Cfa/type.scm 575 */
					BgL_nodez00_bglt BgL_arg2063z00_6075;

					BgL_arg2063z00_6075 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5960)))->BgL_bodyz00);
					BgL_auxz00_6901 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2063z00_6075);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5960)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_6901), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_6907;

				{	/* Cfa/type.scm 576 */
					BgL_nodez00_bglt BgL_arg2064z00_6076;

					BgL_arg2064z00_6076 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5960)))->
						BgL_onexitz00);
					BgL_auxz00_6907 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2064z00_6076);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5960)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_6907), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_6913;

				{	/* Cfa/type.scm 577 */
					BgL_varz00_bglt BgL_arg2065z00_6077;

					BgL_arg2065z00_6077 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5960)))->BgL_varz00);
					BgL_auxz00_6913 =
						((BgL_varz00_bglt)
						BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg2065z00_6077)));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5960)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_6913), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5960));
		}

	}



/* &type-node!-let-var1694 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2var1694za2zzcfa_typez00(obj_t
		BgL_envz00_5961, obj_t BgL_nodez00_5962)
	{
		{	/* Cfa/type.scm 556 */
			{	/* Cfa/type.scm 558 */
				obj_t BgL_g1623z00_6079;

				BgL_g1623z00_6079 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_5962)))->BgL_bindingsz00);
				{
					obj_t BgL_l1621z00_6081;

					BgL_l1621z00_6081 = BgL_g1623z00_6079;
				BgL_zc3z04anonymousza32053ze3z87_6080:
					if (PAIRP(BgL_l1621z00_6081))
						{	/* Cfa/type.scm 558 */
							{	/* Cfa/type.scm 559 */
								obj_t BgL_bindingz00_6082;

								BgL_bindingz00_6082 = CAR(BgL_l1621z00_6081);
								{	/* Cfa/type.scm 559 */
									obj_t BgL_varz00_6083;
									obj_t BgL_valz00_6084;

									BgL_varz00_6083 = CAR(((obj_t) BgL_bindingz00_6082));
									BgL_valz00_6084 = CDR(((obj_t) BgL_bindingz00_6082));
									{	/* Cfa/type.scm 561 */
										BgL_nodez00_bglt BgL_arg2055z00_6085;

										BgL_arg2055z00_6085 =
											BGl_typezd2nodez12zc0zzcfa_typez00(
											((BgL_nodez00_bglt) BgL_valz00_6084));
										{	/* Cfa/type.scm 561 */
											obj_t BgL_auxz00_6936;
											obj_t BgL_tmpz00_6934;

											BgL_auxz00_6936 = ((obj_t) BgL_arg2055z00_6085);
											BgL_tmpz00_6934 = ((obj_t) BgL_bindingz00_6082);
											SET_CDR(BgL_tmpz00_6934, BgL_auxz00_6936);
										}
									}
									{	/* Cfa/type.scm 562 */
										BgL_valuez00_bglt BgL_arg2056z00_6086;

										BgL_arg2056z00_6086 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_varz00_6083))))->
											BgL_valuez00);
										BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg2056z00_6086,
											((BgL_variablez00_bglt) BgL_varz00_6083));
									}
								}
							}
							{
								obj_t BgL_l1621z00_6944;

								BgL_l1621z00_6944 = CDR(BgL_l1621z00_6081);
								BgL_l1621z00_6081 = BgL_l1621z00_6944;
								goto BgL_zc3z04anonymousza32053ze3z87_6080;
							}
						}
					else
						{	/* Cfa/type.scm 558 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_6946;

				{	/* Cfa/type.scm 564 */
					BgL_nodez00_bglt BgL_arg2059z00_6087;

					BgL_arg2059z00_6087 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_5962)))->BgL_bodyz00);
					BgL_auxz00_6946 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2059z00_6087);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_5962)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_6946), BUNSPEC);
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_nodez00_5962))))->BgL_typez00) =
				((BgL_typez00_bglt) (((BgL_nodez00_bglt)
							COBJECT((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
												BgL_nodez00_5962)))->BgL_bodyz00)))->BgL_typez00)),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_5962));
		}

	}



/* &type-node!-let-fun1692 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2fun1692za2zzcfa_typez00(obj_t
		BgL_envz00_5963, obj_t BgL_nodez00_5964)
	{
		{	/* Cfa/type.scm 546 */
			{	/* Cfa/type.scm 548 */
				obj_t BgL_g1620z00_6089;

				BgL_g1620z00_6089 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_5964)))->BgL_localsz00);
				{
					obj_t BgL_l1618z00_6091;

					BgL_l1618z00_6091 = BgL_g1620z00_6089;
				BgL_zc3z04anonymousza32047ze3z87_6090:
					if (PAIRP(BgL_l1618z00_6091))
						{	/* Cfa/type.scm 548 */
							{	/* Cfa/type.scm 548 */
								obj_t BgL_arg2049z00_6092;

								BgL_arg2049z00_6092 = CAR(BgL_l1618z00_6091);
								BGl_typezd2funz12zc0zzcfa_typez00(
									((BgL_variablez00_bglt) BgL_arg2049z00_6092));
							}
							{
								obj_t BgL_l1618z00_6967;

								BgL_l1618z00_6967 = CDR(BgL_l1618z00_6091);
								BgL_l1618z00_6091 = BgL_l1618z00_6967;
								goto BgL_zc3z04anonymousza32047ze3z87_6090;
							}
						}
					else
						{	/* Cfa/type.scm 548 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_6969;

				{	/* Cfa/type.scm 549 */
					BgL_nodez00_bglt BgL_arg2051z00_6093;

					BgL_arg2051z00_6093 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_5964)))->BgL_bodyz00);
					BgL_auxz00_6969 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2051z00_6093);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_5964)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_6969), BUNSPEC);
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_nodez00_5964))))->BgL_typez00) =
				((BgL_typez00_bglt) (((BgL_nodez00_bglt)
							COBJECT((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
												BgL_nodez00_5964)))->BgL_bodyz00)))->BgL_typez00)),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_5964));
		}

	}



/* &type-node!-switch1690 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2switch1690z70zzcfa_typez00(obj_t
		BgL_envz00_5965, obj_t BgL_nodez00_5966)
	{
		{	/* Cfa/type.scm 521 */
			{
				BgL_nodez00_bglt BgL_auxz00_6983;

				{	/* Cfa/type.scm 523 */
					BgL_nodez00_bglt BgL_arg2041z00_6095;

					BgL_arg2041z00_6095 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_5966)))->BgL_testz00);
					BgL_auxz00_6983 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2041z00_6095);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_5966)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_6983), BUNSPEC);
			}
			{	/* Cfa/type.scm 524 */
				obj_t BgL_g1617z00_6096;

				BgL_g1617z00_6096 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_5966)))->BgL_clausesz00);
				{
					obj_t BgL_l1615z00_6098;

					BgL_l1615z00_6098 = BgL_g1617z00_6096;
				BgL_zc3z04anonymousza32042ze3z87_6097:
					if (PAIRP(BgL_l1615z00_6098))
						{	/* Cfa/type.scm 524 */
							{	/* Cfa/type.scm 525 */
								obj_t BgL_clausez00_6099;

								BgL_clausez00_6099 = CAR(BgL_l1615z00_6098);
								{	/* Cfa/type.scm 525 */
									BgL_nodez00_bglt BgL_arg2044z00_6100;

									{	/* Cfa/type.scm 525 */
										obj_t BgL_arg2045z00_6101;

										BgL_arg2045z00_6101 = CDR(((obj_t) BgL_clausez00_6099));
										BgL_arg2044z00_6100 =
											BGl_typezd2nodez12zc0zzcfa_typez00(
											((BgL_nodez00_bglt) BgL_arg2045z00_6101));
									}
									{	/* Cfa/type.scm 525 */
										obj_t BgL_auxz00_7000;
										obj_t BgL_tmpz00_6998;

										BgL_auxz00_7000 = ((obj_t) BgL_arg2044z00_6100);
										BgL_tmpz00_6998 = ((obj_t) BgL_clausez00_6099);
										SET_CDR(BgL_tmpz00_6998, BgL_auxz00_7000);
									}
								}
							}
							{
								obj_t BgL_l1615z00_7003;

								BgL_l1615z00_7003 = CDR(BgL_l1615z00_6098);
								BgL_l1615z00_6098 = BgL_l1615z00_7003;
								goto BgL_zc3z04anonymousza32042ze3z87_6097;
							}
						}
					else
						{	/* Cfa/type.scm 524 */
							((bool_t) 1);
						}
				}
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_switchz00_bglt) BgL_nodez00_5966))))->BgL_typez00) =
				((BgL_typez00_bglt)
					BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
								(BgL_switchz00_bglt) BgL_nodez00_5966)), ((bool_t) 0))),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_5966));
		}

	}



/* &type-node!-fail1688 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2fail1688z70zzcfa_typez00(obj_t
		BgL_envz00_5967, obj_t BgL_nodez00_5968)
	{
		{	/* Cfa/type.scm 511 */
			{
				BgL_nodez00_bglt BgL_auxz00_7013;

				{	/* Cfa/type.scm 513 */
					BgL_nodez00_bglt BgL_arg2037z00_6103;

					BgL_arg2037z00_6103 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_5968)))->BgL_procz00);
					BgL_auxz00_7013 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2037z00_6103);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_5968)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7013), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7019;

				{	/* Cfa/type.scm 514 */
					BgL_nodez00_bglt BgL_arg2039z00_6104;

					BgL_arg2039z00_6104 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_5968)))->BgL_msgz00);
					BgL_auxz00_7019 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2039z00_6104);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_5968)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7019), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7025;

				{	/* Cfa/type.scm 515 */
					BgL_nodez00_bglt BgL_arg2040z00_6105;

					BgL_arg2040z00_6105 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_5968)))->BgL_objz00);
					BgL_auxz00_7025 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2040z00_6105);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_5968)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7025), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_5968));
		}

	}



/* &type-node!-condition1686 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition1686z70zzcfa_typez00(obj_t
		BgL_envz00_5969, obj_t BgL_nodez00_5970)
	{
		{	/* Cfa/type.scm 504 */
			{

				{	/* Cfa/type.scm 504 */
					obj_t BgL_nextzd2method1685zd2_6108;

					BgL_nextzd2method1685zd2_6108 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt) BgL_nodez00_5970)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
					PROCEDURE_ENTRY(BgL_nextzd2method1685zd2_6108)
						(BgL_nextzd2method1685zd2_6108,
						((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_5970)), BEOA);
				}
				return
					((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_5970));
			}
		}

	}



/* &type-node!-condition1684 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition1684z70zzcfa_typez00(obj_t
		BgL_envz00_5971, obj_t BgL_nodez00_5972)
	{
		{	/* Cfa/type.scm 493 */
			{
				BgL_nodez00_bglt BgL_auxz00_7044;

				{	/* Cfa/type.scm 495 */
					BgL_nodez00_bglt BgL_arg2034z00_6110;

					BgL_arg2034z00_6110 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_5972)))->BgL_testz00);
					BgL_auxz00_7044 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2034z00_6110);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_5972)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7044), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7050;

				{	/* Cfa/type.scm 496 */
					BgL_nodez00_bglt BgL_arg2035z00_6111;

					BgL_arg2035z00_6111 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_5972)))->BgL_truez00);
					BgL_auxz00_7050 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2035z00_6111);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_5972)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_7050), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7056;

				{	/* Cfa/type.scm 497 */
					BgL_nodez00_bglt BgL_arg2036z00_6112;

					BgL_arg2036z00_6112 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_5972)))->BgL_falsez00);
					BgL_auxz00_7056 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2036z00_6112);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_5972)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_7056), BUNSPEC);
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_conditionalz00_bglt) BgL_nodez00_5972))))->BgL_typez00) =
				((BgL_typez00_bglt)
					BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
								(BgL_conditionalz00_bglt) BgL_nodez00_5972)), ((bool_t) 0))),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_5972));
		}

	}



/* &type-node!-setq1682 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2setq1682z70zzcfa_typez00(obj_t
		BgL_envz00_5973, obj_t BgL_nodez00_5974)
	{
		{	/* Cfa/type.scm 482 */
			{
				BgL_nodez00_bglt BgL_auxz00_7070;

				{	/* Cfa/type.scm 484 */
					BgL_nodez00_bglt BgL_arg2031z00_6114;

					BgL_arg2031z00_6114 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_5974)))->BgL_valuez00);
					BgL_auxz00_7070 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2031z00_6114);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_5974)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_7070), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_7076;

				{	/* Cfa/type.scm 485 */
					BgL_varz00_bglt BgL_arg2032z00_6115;

					BgL_arg2032z00_6115 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_5974)))->BgL_varz00);
					BgL_auxz00_7076 =
						((BgL_varz00_bglt)
						BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg2032z00_6115)));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_5974)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_7076), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_5974));
		}

	}



/* &type-node!-cast1680 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2cast1680z70zzcfa_typez00(obj_t
		BgL_envz00_5975, obj_t BgL_nodez00_5976)
	{
		{	/* Cfa/type.scm 474 */
			{
				BgL_nodez00_bglt BgL_auxz00_7086;

				{	/* Cfa/type.scm 476 */
					BgL_nodez00_bglt BgL_arg2030z00_6117;

					BgL_arg2030z00_6117 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_5976)))->BgL_argz00);
					BgL_auxz00_7086 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2030z00_6117);
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_5976)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7086), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_5976));
		}

	}



/* &type-node!-vset!1678 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vsetz121678z62zzcfa_typez00(obj_t
		BgL_envz00_5977, obj_t BgL_nodez00_5978)
	{
		{	/* Cfa/type.scm 464 */
			{

				{	/* Cfa/type.scm 464 */
					obj_t BgL_nextzd2method1677zd2_6120;

					BgL_nextzd2method1677zd2_6120 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt) BgL_nodez00_5978)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_vsetz12z12zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1677zd2_6120)
						(BgL_nextzd2method1677zd2_6120,
						((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_5978)), BEOA);
				}
				{	/* Cfa/type.scm 467 */
					bool_t BgL_test2477z00_7103;

					{	/* Cfa/type.scm 467 */
						BgL_typez00_bglt BgL_arg2029z00_6121;

						BgL_arg2029z00_6121 =
							(((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_5978)))->BgL_ftypez00);
						BgL_test2477z00_7103 =
							(((obj_t) BgL_arg2029z00_6121) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2477z00_7103)
						{	/* Cfa/type.scm 467 */
							((((BgL_vsetz12z12_bglt) COBJECT(
											((BgL_vsetz12z12_bglt) BgL_nodez00_5978)))->
									BgL_ftypez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 467 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_5978));
			}
		}

	}



/* &type-node!-vref1676 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vref1676z70zzcfa_typez00(obj_t
		BgL_envz00_5979, obj_t BgL_nodez00_5980)
	{
		{	/* Cfa/type.scm 453 */
			{

				{	/* Cfa/type.scm 453 */
					obj_t BgL_nextzd2method1675zd2_6124;

					BgL_nextzd2method1675zd2_6124 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vrefz00_bglt) BgL_nodez00_5980)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vrefz00zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1675zd2_6124)
						(BgL_nextzd2method1675zd2_6124,
						((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_5980)), BEOA);
				}
				{	/* Cfa/type.scm 456 */
					bool_t BgL_test2478z00_7122;

					{	/* Cfa/type.scm 456 */
						BgL_typez00_bglt BgL_arg2025z00_6125;

						BgL_arg2025z00_6125 =
							(((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_5980)))->BgL_ftypez00);
						BgL_test2478z00_7122 =
							(((obj_t) BgL_arg2025z00_6125) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2478z00_7122)
						{	/* Cfa/type.scm 456 */
							((((BgL_vrefz00_bglt) COBJECT(
											((BgL_vrefz00_bglt) BgL_nodez00_5980)))->BgL_ftypez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 456 */
							BFALSE;
						}
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vrefz00_bglt) BgL_nodez00_5980))))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
										BgL_nodez00_5980)))->BgL_ftypez00)), BUNSPEC);
				return ((BgL_nodez00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_5980));
			}
		}

	}



/* &type-node!-valloc1674 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2valloc1674z70zzcfa_typez00(obj_t
		BgL_envz00_5981, obj_t BgL_nodez00_5982)
	{
		{	/* Cfa/type.scm 442 */
			{

				{	/* Cfa/type.scm 442 */
					obj_t BgL_nextzd2method1673zd2_6128;

					BgL_nextzd2method1673zd2_6128 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vallocz00_bglt) BgL_nodez00_5982)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_vallocz00zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1673zd2_6128)
						(BgL_nextzd2method1673zd2_6128,
						((obj_t) ((BgL_vallocz00_bglt) BgL_nodez00_5982)), BEOA);
				}
				{	/* Cfa/type.scm 445 */
					obj_t BgL_arg2013z00_6129;

					BgL_arg2013z00_6129 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vallocz00_bglt) BgL_nodez00_5982))))->BgL_exprza2za2);
					BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg2013z00_6129);
				}
				{
					BgL_typez00_bglt BgL_auxz00_7150;

					{	/* Cfa/type.scm 446 */
						obj_t BgL_arg2014z00_6130;
						BgL_typez00_bglt BgL_arg2015z00_6131;

						{	/* Cfa/type.scm 446 */
							bool_t BgL_test2479z00_7153;

							{	/* Cfa/type.scm 446 */
								BgL_typez00_bglt BgL_arg2018z00_6132;

								BgL_arg2018z00_6132 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_5982))))->
									BgL_typez00);
								BgL_test2479z00_7153 =
									(((obj_t) BgL_arg2018z00_6132) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_test2479z00_7153)
								{	/* Cfa/type.scm 446 */
									BgL_arg2014z00_6130 = BGl_za2vectorza2z00zztype_cachez00;
								}
							else
								{	/* Cfa/type.scm 446 */
									BgL_arg2014z00_6130 =
										((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_vallocz00_bglt) BgL_nodez00_5982))))->
											BgL_typez00));
								}
						}
						BgL_arg2015z00_6131 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_5982))))->BgL_typez00);
						BgL_auxz00_7150 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(
							((BgL_typez00_bglt) BgL_arg2014z00_6130), BgL_arg2015z00_6131);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_5982))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_7150), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_7169;

					{	/* Cfa/type.scm 447 */
						bool_t BgL_test2480z00_7171;

						{	/* Cfa/type.scm 447 */
							BgL_typez00_bglt BgL_arg2022z00_6133;

							BgL_arg2022z00_6133 =
								(((BgL_vallocz00_bglt) COBJECT(
										((BgL_vallocz00_bglt) BgL_nodez00_5982)))->BgL_ftypez00);
							BgL_test2480z00_7171 =
								(
								((obj_t) BgL_arg2022z00_6133) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_test2480z00_7171)
							{	/* Cfa/type.scm 447 */
								BgL_auxz00_7169 =
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
							}
						else
							{	/* Cfa/type.scm 447 */
								BgL_auxz00_7169 =
									(((BgL_vallocz00_bglt) COBJECT(
											((BgL_vallocz00_bglt) BgL_nodez00_5982)))->BgL_ftypez00);
							}
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_nodez00_5982)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_7169), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_5982));
			}
		}

	}



/* &type-node!-extern1672 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2extern1672z70zzcfa_typez00(obj_t
		BgL_envz00_5983, obj_t BgL_nodez00_5984)
	{
		{	/* Cfa/type.scm 434 */
			BGl_typezd2nodeza2z12z62zzcfa_typez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_5984)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_5984));
		}

	}



/* &type-node!-funcall/C1670 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2funcallzf2C1670z82zzcfa_typez00(obj_t
		BgL_envz00_5985, obj_t BgL_nodez00_5986)
	{
		{	/* Cfa/type.scm 408 */
			{
				BgL_nodez00_bglt BgL_auxz00_7187;

				{	/* Cfa/type.scm 410 */
					BgL_nodez00_bglt BgL_arg2005z00_6136;

					BgL_arg2005z00_6136 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_5986))))->BgL_funz00);
					BgL_auxz00_7187 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2005z00_6136);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_5986))))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7187), BUNSPEC);
			}
			{	/* Cfa/type.scm 411 */
				obj_t BgL_arg2006z00_6137;

				BgL_arg2006z00_6137 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt)
								((BgL_funcallz00_bglt) BgL_nodez00_5986))))->BgL_argsz00);
				BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg2006z00_6137);
			}
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{	/* Cfa/type.scm 413 */
					obj_t BgL_typz00_6138;

					{	/* Cfa/type.scm 413 */
						BgL_approxz00_bglt BgL_arg2011z00_6139;

						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7201;

							{
								obj_t BgL_auxz00_7202;

								{	/* Cfa/type.scm 413 */
									BgL_objectz00_bglt BgL_tmpz00_7203;

									BgL_tmpz00_7203 =
										((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5986));
									BgL_auxz00_7202 = BGL_OBJECT_WIDENING(BgL_tmpz00_7203);
								}
								BgL_auxz00_7201 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7202);
							}
							BgL_arg2011z00_6139 =
								(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7201))->
								BgL_approxz00);
						}
						BgL_typz00_6138 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg2011z00_6139,
							((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_5986)));
					}
					if ((BgL_typz00_6138 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/type.scm 414 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_funcallz00_bglt) BgL_nodez00_5986))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
							return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt)
									BgL_nodez00_5986));
						}
					else
						{	/* Cfa/type.scm 414 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										(((BgL_funcallz00_bglt) COBJECT(
													((BgL_funcallz00_bglt)
														((BgL_funcallz00_bglt) BgL_nodez00_5986))))->
											BgL_strengthz00), CNST_TABLE_REF(((long) 2)))))
								{	/* Cfa/type.scm 423 */
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_funcallz00_bglt) BgL_nodez00_5986))))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_typz00_6138)),
										BUNSPEC);
								}
							else
								{	/* Cfa/type.scm 423 */
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_funcallz00_bglt) BgL_nodez00_5986))))->
											BgL_typez00) =
										((BgL_typez00_bglt)
											BGl_getzd2bigloozd2typez00zztype_cachez00((
													(BgL_typez00_bglt) BgL_typz00_6138))), BUNSPEC);
								}
							return
								((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5986));
						}
				}
			else
				{	/* Cfa/type.scm 412 */
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5986))))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
					return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5986));
				}
		}

	}



/* &type-node!-funcall1668 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2funcall1668z70zzcfa_typez00(obj_t
		BgL_envz00_5987, obj_t BgL_nodez00_5988)
	{
		{	/* Cfa/type.scm 397 */
			if (CBOOL(BGl_za2optimzd2cfazf3za2z21zzengine_paramz00))
				{	/* Cfa/type.scm 398 */
					obj_t BgL_arg2002z00_6141;

					BgL_arg2002z00_6141 =
						BGl_shapez00zztools_shapez00(
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_5988)));
					BGl_errorz00zz__errorz00(BGl_string2329z00zzcfa_typez00,
						BGl_string2361z00zzcfa_typez00, BgL_arg2002z00_6141);
				}
			else
				{	/* Cfa/type.scm 398 */
					BFALSE;
				}
			{
				BgL_nodez00_bglt BgL_auxz00_7250;

				{	/* Cfa/type.scm 400 */
					BgL_nodez00_bglt BgL_arg2003z00_6142;

					BgL_arg2003z00_6142 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_5988)))->BgL_funz00);
					BgL_auxz00_7250 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2003z00_6142);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_5988)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7250), BUNSPEC);
			}
			BGl_typezd2nodeza2z12z62zzcfa_typez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_5988)))->BgL_argsz00));
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_funcallz00_bglt) BgL_nodez00_5988))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt)
						BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5988));
		}

	}



/* &type-node!-app-ly/Ci1666 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci1666z50zzcfa_typez00(obj_t
		BgL_envz00_5989, obj_t BgL_nodez00_5990)
	{
		{	/* Cfa/type.scm 385 */
			{
				BgL_nodez00_bglt BgL_auxz00_7265;

				{	/* Cfa/type.scm 387 */
					BgL_nodez00_bglt BgL_arg1999z00_6144;

					BgL_arg1999z00_6144 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5990))))->BgL_funz00);
					BgL_auxz00_7265 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1999z00_6144);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5990))))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7265), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7273;

				{	/* Cfa/type.scm 388 */
					BgL_nodez00_bglt BgL_arg2000z00_6145;

					BgL_arg2000z00_6145 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5990))))->BgL_argz00);
					BgL_auxz00_7273 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2000z00_6145);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5990))))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7273), BUNSPEC);
			}
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{
					BgL_typez00_bglt BgL_auxz00_7283;

					{	/* Cfa/type.scm 390 */
						BgL_approxz00_bglt BgL_arg2001z00_6146;

						{
							BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_7286;

							{
								obj_t BgL_auxz00_7287;

								{	/* Cfa/type.scm 390 */
									BgL_objectz00_bglt BgL_tmpz00_7288;

									BgL_tmpz00_7288 =
										((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5990));
									BgL_auxz00_7287 = BGL_OBJECT_WIDENING(BgL_tmpz00_7288);
								}
								BgL_auxz00_7286 =
									((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_7287);
							}
							BgL_arg2001z00_6146 =
								(((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_7286))->
								BgL_approxz00);
						}
						BgL_auxz00_7283 =
							((BgL_typez00_bglt)
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg2001z00_6146,
								((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_5990))));
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5990))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_7283), BUNSPEC);
				}
			else
				{	/* Cfa/type.scm 389 */
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5990))))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
				}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_5990));
		}

	}



/* &type-node!-app-ly1664 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2appzd2ly1664za2zzcfa_typez00(obj_t
		BgL_envz00_5991, obj_t BgL_nodez00_5992)
	{
		{	/* Cfa/type.scm 374 */
			if (CBOOL(BGl_za2optimzd2cfazf3za2z21zzengine_paramz00))
				{	/* Cfa/type.scm 375 */
					obj_t BgL_arg1995z00_6148;

					BgL_arg1995z00_6148 =
						BGl_shapez00zztools_shapez00(
						((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_5992)));
					BGl_errorz00zz__errorz00(BGl_string2329z00zzcfa_typez00,
						BGl_string2361z00zzcfa_typez00, BgL_arg1995z00_6148);
				}
			else
				{	/* Cfa/type.scm 375 */
					BFALSE;
				}
			{
				BgL_nodez00_bglt BgL_auxz00_7311;

				{	/* Cfa/type.scm 377 */
					BgL_nodez00_bglt BgL_arg1996z00_6149;

					BgL_arg1996z00_6149 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5992)))))->BgL_funz00);
					BgL_auxz00_7311 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1996z00_6149);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5992)))))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7311), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7321;

				{	/* Cfa/type.scm 378 */
					BgL_nodez00_bglt BgL_arg1997z00_6150;

					BgL_arg1997z00_6150 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5992)))))->BgL_argz00);
					BgL_auxz00_7321 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1997z00_6150);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5992)))))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7321), BUNSPEC);
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5992)))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt)
						BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_5992));
		}

	}



/* &type-node!-cons-ref-1662 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd21662z70zzcfa_typez00(obj_t
		BgL_envz00_5993, obj_t BgL_nodez00_5994)
	{
		{	/* Cfa/type.scm 363 */
			{

				{	/* Cfa/type.scm 363 */
					obj_t BgL_nextzd2method1661zd2_6153;

					BgL_nextzd2method1661zd2_6153 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_5994)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_conszd2refzd2appz00zzcfa_info2z00);
					PROCEDURE_ENTRY(BgL_nextzd2method1661zd2_6153)
						(BgL_nextzd2method1661zd2_6153,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_5994)), BEOA);
				}
				{	/* Cfa/type.scm 366 */
					obj_t BgL_atypez00_6154;

					{	/* Cfa/type.scm 366 */
						BgL_approxz00_bglt BgL_arg1994z00_6155;

						{
							BgL_conszd2refzd2appz00_bglt BgL_auxz00_7347;

							{
								obj_t BgL_auxz00_7348;

								{	/* Cfa/type.scm 366 */
									BgL_objectz00_bglt BgL_tmpz00_7349;

									BgL_tmpz00_7349 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5994));
									BgL_auxz00_7348 = BGL_OBJECT_WIDENING(BgL_tmpz00_7349);
								}
								BgL_auxz00_7347 =
									((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_7348);
							}
							BgL_arg1994z00_6155 =
								(((BgL_conszd2refzd2appz00_bglt) COBJECT(BgL_auxz00_7347))->
								BgL_approxz00);
						}
						BgL_atypez00_6154 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1994z00_6155,
							((obj_t) ((BgL_appz00_bglt) BgL_nodez00_5994)));
					}
					if ((BgL_atypez00_6154 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/type.scm 367 */
							BFALSE;
						}
					else
						{	/* Cfa/type.scm 367 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_5994))))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_atypez00_6154)),
								BUNSPEC);
						}
				}
				return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5994));
			}
		}

	}



/* &type-node!-procedure1660 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure1660z70zzcfa_typez00(obj_t
		BgL_envz00_5995, obj_t BgL_nodez00_5996)
	{
		{	/* Cfa/type.scm 346 */
			{

				{	/* Cfa/type.scm 346 */
					obj_t BgL_nextzd2method1659zd2_6158;

					BgL_nextzd2method1659zd2_6158 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_5996)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_procedurezd2setz12zd2appz12zzcfa_info2z00);
					PROCEDURE_ENTRY(BgL_nextzd2method1659zd2_6158)
						(BgL_nextzd2method1659zd2_6158,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_5996)), BEOA);
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
					{	/* Cfa/type.scm 350 */
						obj_t BgL_atypez00_6159;

						{	/* Cfa/type.scm 350 */
							obj_t BgL_arg1992z00_6160;

							{
								BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_7377;

								{
									obj_t BgL_auxz00_7378;

									{	/* Cfa/type.scm 350 */
										BgL_objectz00_bglt BgL_tmpz00_7379;

										BgL_tmpz00_7379 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_5996));
										BgL_auxz00_7378 = BGL_OBJECT_WIDENING(BgL_tmpz00_7379);
									}
									BgL_auxz00_7377 =
										((BgL_procedurezd2setz12zd2appz12_bglt) BgL_auxz00_7378);
								}
								BgL_arg1992z00_6160 =
									(((BgL_procedurezd2setz12zd2appz12_bglt)
										COBJECT(BgL_auxz00_7377))->BgL_vapproxz00);
							}
							if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
									((BgL_approxz00_bglt) BgL_arg1992z00_6160)))
								{	/* Cfa/type.scm 322 */
									BgL_atypez00_6159 =
										BGl_za2procedurezd2elza2zd2zztype_cachez00;
								}
							else
								{	/* Cfa/type.scm 322 */
									BgL_atypez00_6159 =
										BGl_getzd2approxzd2typez00zzcfa_typez00(
										((BgL_approxz00_bglt) BgL_arg1992z00_6160),
										((obj_t) ((BgL_appz00_bglt) BgL_nodez00_5996)));
								}
						}
						{	/* Cfa/type.scm 351 */
							bool_t BgL_test2490z00_7392;

							if (BGl_bigloozd2typezf3z21zztype_typez00(
									((BgL_typez00_bglt) BgL_atypez00_6159)))
								{	/* Cfa/type.scm 351 */
									if ((BgL_atypez00_6159 == BGl_za2_za2z00zztype_cachez00))
										{	/* Cfa/type.scm 352 */
											BgL_test2490z00_7392 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 353 */
											bool_t BgL_test2493z00_7398;

											{	/* Cfa/type.scm 353 */
												BgL_typez00_bglt BgL_arg1989z00_6161;

												{	/* Cfa/type.scm 353 */
													obj_t BgL_arg1990z00_6162;

													{	/* Cfa/type.scm 353 */
														obj_t BgL_pairz00_6163;

														BgL_pairz00_6163 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5996))))->
															BgL_argsz00);
														BgL_arg1990z00_6162 =
															CAR(CDR(CDR(BgL_pairz00_6163)));
													}
													BgL_arg1989z00_6161 =
														BGl_getzd2typezd2zztype_typeofz00(
														((BgL_nodez00_bglt) BgL_arg1990z00_6162),
														((bool_t) 0));
												}
												BgL_test2493z00_7398 =
													(BgL_atypez00_6159 == ((obj_t) BgL_arg1989z00_6161));
											}
											if (BgL_test2493z00_7398)
												{	/* Cfa/type.scm 353 */
													BgL_test2490z00_7392 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 353 */
													BgL_test2490z00_7392 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Cfa/type.scm 351 */
									BgL_test2490z00_7392 = ((bool_t) 0);
								}
							if (BgL_test2490z00_7392)
								{	/* Cfa/type.scm 354 */
									obj_t BgL_arg1984z00_6164;
									BgL_castz00_bglt BgL_arg1985z00_6165;

									{	/* Cfa/type.scm 354 */
										obj_t BgL_pairz00_6166;

										BgL_pairz00_6166 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_5996))))->
											BgL_argsz00);
										BgL_arg1984z00_6164 = CDR(CDR(BgL_pairz00_6166));
									}
									{	/* Cfa/type.scm 355 */
										BgL_castz00_bglt BgL_new1199z00_6167;

										{	/* Cfa/type.scm 355 */
											BgL_castz00_bglt BgL_new1198z00_6168;

											BgL_new1198z00_6168 =
												((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_castz00_bgl))));
											{	/* Cfa/type.scm 355 */
												long BgL_arg1988z00_6169;

												BgL_arg1988z00_6169 =
													BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1198z00_6168),
													BgL_arg1988z00_6169);
											}
											{	/* Cfa/type.scm 355 */
												BgL_objectz00_bglt BgL_tmpz00_7418;

												BgL_tmpz00_7418 =
													((BgL_objectz00_bglt) BgL_new1198z00_6168);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7418, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1198z00_6168);
											BgL_new1199z00_6167 = BgL_new1198z00_6168;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1199z00_6167)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1199z00_6167)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
										{
											BgL_nodez00_bglt BgL_auxz00_7427;

											{	/* Cfa/type.scm 357 */
												obj_t BgL_pairz00_6170;

												BgL_pairz00_6170 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_5996))))->
													BgL_argsz00);
												{	/* Cfa/type.scm 357 */
													obj_t BgL_pairz00_6171;

													{	/* Cfa/type.scm 357 */
														obj_t BgL_pairz00_6172;

														BgL_pairz00_6172 = CDR(BgL_pairz00_6170);
														BgL_pairz00_6171 = CDR(BgL_pairz00_6172);
													}
													BgL_auxz00_7427 =
														((BgL_nodez00_bglt) CAR(BgL_pairz00_6171));
											}}
											((((BgL_castz00_bglt) COBJECT(BgL_new1199z00_6167))->
													BgL_argz00) =
												((BgL_nodez00_bglt) BgL_auxz00_7427), BUNSPEC);
										}
										BgL_arg1985z00_6165 = BgL_new1199z00_6167;
									}
									{	/* Cfa/type.scm 354 */
										obj_t BgL_auxz00_7438;
										obj_t BgL_tmpz00_7436;

										BgL_auxz00_7438 = ((obj_t) BgL_arg1985z00_6165);
										BgL_tmpz00_7436 = ((obj_t) BgL_arg1984z00_6164);
										SET_CAR(BgL_tmpz00_7436, BgL_auxz00_7438);
								}}
							else
								{	/* Cfa/type.scm 351 */
									BFALSE;
								}
						}
					}
				else
					{	/* Cfa/type.scm 349 */
						BFALSE;
					}
				return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5996));
			}
		}

	}



/* &type-node!-procedure1658 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure1658z70zzcfa_typez00(obj_t
		BgL_envz00_5997, obj_t BgL_nodez00_5998)
	{
		{	/* Cfa/type.scm 329 */
			{

				{	/* Cfa/type.scm 329 */
					obj_t BgL_nextzd2method1657zd2_6175;

					BgL_nextzd2method1657zd2_6175 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_5998)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_procedurezd2refzd2appz00zzcfa_info2z00);
					PROCEDURE_ENTRY(BgL_nextzd2method1657zd2_6175)
						(BgL_nextzd2method1657zd2_6175,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_5998)), BEOA);
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
					{	/* Cfa/type.scm 333 */
						obj_t BgL_atypez00_6176;

						{	/* Cfa/type.scm 333 */
							BgL_approxz00_bglt BgL_arg1973z00_6177;

							{
								BgL_procedurezd2refzd2appz00_bglt BgL_auxz00_7454;

								{
									obj_t BgL_auxz00_7455;

									{	/* Cfa/type.scm 333 */
										BgL_objectz00_bglt BgL_tmpz00_7456;

										BgL_tmpz00_7456 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_5998));
										BgL_auxz00_7455 = BGL_OBJECT_WIDENING(BgL_tmpz00_7456);
									}
									BgL_auxz00_7454 =
										((BgL_procedurezd2refzd2appz00_bglt) BgL_auxz00_7455);
								}
								BgL_arg1973z00_6177 =
									(((BgL_procedurezd2refzd2appz00_bglt)
										COBJECT(BgL_auxz00_7454))->BgL_approxz00);
							}
							if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
								(BgL_arg1973z00_6177))
								{	/* Cfa/type.scm 322 */
									BgL_atypez00_6176 =
										BGl_za2procedurezd2elza2zd2zztype_cachez00;
								}
							else
								{	/* Cfa/type.scm 322 */
									BgL_atypez00_6176 =
										BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1973z00_6177,
										((obj_t) ((BgL_appz00_bglt) BgL_nodez00_5998)));
								}
						}
						{	/* Cfa/type.scm 334 */
							bool_t BgL_test2496z00_7467;

							if (BGl_bigloozd2typezf3z21zztype_typez00(
									((BgL_typez00_bglt) BgL_atypez00_6176)))
								{	/* Cfa/type.scm 334 */
									if ((BgL_atypez00_6176 == BGl_za2_za2z00zztype_cachez00))
										{	/* Cfa/type.scm 335 */
											BgL_test2496z00_7467 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 336 */
											bool_t BgL_test2499z00_7473;

											{	/* Cfa/type.scm 336 */
												BgL_typez00_bglt BgL_arg1972z00_6178;

												BgL_arg1972z00_6178 =
													BGl_getzd2typezd2zztype_typeofz00(
													((BgL_nodez00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_5998)),
													((bool_t) 0));
												BgL_test2499z00_7473 =
													(BgL_atypez00_6176 == ((obj_t) BgL_arg1972z00_6178));
											}
											if (BgL_test2499z00_7473)
												{	/* Cfa/type.scm 336 */
													BgL_test2496z00_7467 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 336 */
													BgL_test2496z00_7467 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Cfa/type.scm 334 */
									BgL_test2496z00_7467 = ((bool_t) 0);
								}
							if (BgL_test2496z00_7467)
								{	/* Cfa/type.scm 337 */
									BgL_castz00_bglt BgL_new1196z00_6179;

									{	/* Cfa/type.scm 337 */
										BgL_castz00_bglt BgL_new1195z00_6180;

										BgL_new1195z00_6180 =
											((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_castz00_bgl))));
										{	/* Cfa/type.scm 337 */
											long BgL_arg1971z00_6181;

											BgL_arg1971z00_6181 =
												BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1195z00_6180),
												BgL_arg1971z00_6181);
										}
										{	/* Cfa/type.scm 337 */
											BgL_objectz00_bglt BgL_tmpz00_7483;

											BgL_tmpz00_7483 =
												((BgL_objectz00_bglt) BgL_new1195z00_6180);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7483, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1195z00_6180);
										BgL_new1196z00_6179 = BgL_new1195z00_6180;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1196z00_6179)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1196z00_6179)))->BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_atypez00_6176)),
										BUNSPEC);
									((((BgL_castz00_bglt) COBJECT(BgL_new1196z00_6179))->
											BgL_argz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) ((BgL_appz00_bglt)
													BgL_nodez00_5998))), BUNSPEC);
									return ((BgL_nodez00_bglt) BgL_new1196z00_6179);
								}
							else
								{	/* Cfa/type.scm 334 */
									return
										((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5998));
								}
						}
					}
				else
					{	/* Cfa/type.scm 332 */
						return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5998));
					}
			}
		}

	}



/* &type-node!-arithmeti1656 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2arithmeti1656z70zzcfa_typez00(obj_t
		BgL_envz00_5999, obj_t BgL_nodez00_6000)
	{
		{	/* Cfa/type.scm 285 */
			{

				{	/* Cfa/type.scm 285 */
					obj_t BgL_nextzd2method1655zd2_6184;

					BgL_nextzd2method1655zd2_6184 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_6000)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_arithmeticzd2appzd2zzcfa_info2z00);
					PROCEDURE_ENTRY(BgL_nextzd2method1655zd2_6184)
						(BgL_nextzd2method1655zd2_6184,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_6000)), BEOA);
				}
				{	/* Cfa/type.scm 302 */
					BgL_variablez00_bglt BgL_vz00_6185;

					BgL_vz00_6185 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_6000))))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/type.scm 302 */
						BgL_valuez00_bglt BgL_valz00_6186;

						BgL_valz00_6186 =
							(((BgL_variablez00_bglt) COBJECT(BgL_vz00_6185))->BgL_valuez00);
						{	/* Cfa/type.scm 303 */

							{	/* Cfa/type.scm 304 */
								bool_t BgL_test2500z00_7514;

								{	/* Cfa/type.scm 304 */
									BgL_typez00_bglt BgL_arg1940z00_6187;

									BgL_arg1940z00_6187 =
										(((BgL_variablez00_bglt) COBJECT(BgL_vz00_6185))->
										BgL_typez00);
									BgL_test2500z00_7514 =
										(((obj_t) BgL_arg1940z00_6187) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_test2500z00_7514)
									{	/* Cfa/type.scm 305 */
										BgL_typez00_bglt BgL_vz00_6188;

										BgL_vz00_6188 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) COBJECT(BgL_vz00_6185))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_6188), BUNSPEC);
									}
								else
									{	/* Cfa/type.scm 304 */
										BFALSE;
									}
							}
							{	/* Cfa/type.scm 308 */
								bool_t BgL_test2501z00_7520;

								{	/* Cfa/type.scm 308 */
									obj_t BgL_classz00_6189;

									BgL_classz00_6189 = BGl_sfunz00zzast_varz00;
									{	/* Cfa/type.scm 308 */
										BgL_objectz00_bglt BgL_arg1825z00_6190;

										{	/* Cfa/type.scm 308 */
											obj_t BgL_tmpz00_7521;

											BgL_tmpz00_7521 =
												((obj_t) ((BgL_objectz00_bglt) BgL_valz00_6186));
											BgL_arg1825z00_6190 =
												(BgL_objectz00_bglt) (BgL_tmpz00_7521);
										}
										{	/* Cfa/type.scm 308 */
											bool_t BgL_arg1822z00_6191;
											bool_t BgL_arg1823z00_6192;

											{	/* Cfa/type.scm 308 */
												long BgL_idxz00_6193;

												BgL_idxz00_6193 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6190);
												BgL_arg1822z00_6191 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_6193 + ((long) 3))) ==
													BgL_classz00_6189);
											}
											{	/* Cfa/type.scm 308 */
												bool_t BgL_res2302z00_6196;

												{	/* Cfa/type.scm 308 */
													obj_t BgL_oclassz00_6197;

													{	/* Cfa/type.scm 308 */
														long BgL_arg1833z00_6198;

														{	/* Cfa/type.scm 308 */
															long BgL_arg1834z00_6199;

															BgL_arg1834z00_6199 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6190);
															BgL_arg1833z00_6198 =
																(BgL_arg1834z00_6199 - OBJECT_TYPE);
														}
														BgL_oclassz00_6197 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_6198);
													}
													{	/* Cfa/type.scm 308 */
														bool_t BgL__ortest_1110z00_6200;

														BgL__ortest_1110z00_6200 =
															(BgL_classz00_6189 == BgL_oclassz00_6197);
														if (BgL__ortest_1110z00_6200)
															{	/* Cfa/type.scm 308 */
																BgL_res2302z00_6196 = BgL__ortest_1110z00_6200;
															}
														else
															{	/* Cfa/type.scm 308 */
																long BgL_odepthz00_6201;

																BgL_odepthz00_6201 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_6197);
																if ((((long) 3) < BgL_odepthz00_6201))
																	{	/* Cfa/type.scm 308 */
																		obj_t BgL_arg1821z00_6202;

																		BgL_arg1821z00_6202 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_6197, ((long) 3));
																		BgL_res2302z00_6196 =
																			(BgL_arg1821z00_6202 ==
																			BgL_classz00_6189);
																	}
																else
																	{	/* Cfa/type.scm 308 */
																		BgL_res2302z00_6196 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_6192 = BgL_res2302z00_6196;
											}
											BgL_test2501z00_7520 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_6191,
												BgL_arg1823z00_6192);
										}
									}
								}
								if (BgL_test2501z00_7520)
									{	/* Cfa/type.scm 309 */
										obj_t BgL_l01611z00_6203;

										BgL_l01611z00_6203 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_valz00_6186)))->BgL_argsz00);
										{
											obj_t BgL_l1610z00_6205;

											BgL_l1610z00_6205 = BgL_l01611z00_6203;
										BgL_zc3z04anonymousza31942ze3z87_6204:
											if (NULLP(BgL_l1610z00_6205))
												{	/* Cfa/type.scm 309 */
													BgL_l01611z00_6203;
												}
											else
												{	/* Cfa/type.scm 309 */
													{	/* Cfa/type.scm 309 */
														obj_t BgL_arg1944z00_6206;

														{	/* Cfa/type.scm 309 */
															obj_t BgL_arg1945z00_6207;

															BgL_arg1945z00_6207 =
																CAR(((obj_t) BgL_l1610z00_6205));
															BgL_arg1944z00_6206 =
																BGl_cleanupzd2typeze70z35zzcfa_typez00
																(BgL_arg1945z00_6207);
														}
														{	/* Cfa/type.scm 309 */
															obj_t BgL_tmpz00_7547;

															BgL_tmpz00_7547 = ((obj_t) BgL_l1610z00_6205);
															SET_CAR(BgL_tmpz00_7547, BgL_arg1944z00_6206);
														}
													}
													{	/* Cfa/type.scm 309 */
														obj_t BgL_arg1946z00_6208;

														BgL_arg1946z00_6208 =
															CDR(((obj_t) BgL_l1610z00_6205));
														{
															obj_t BgL_l1610z00_7552;

															BgL_l1610z00_7552 = BgL_arg1946z00_6208;
															BgL_l1610z00_6205 = BgL_l1610z00_7552;
															goto BgL_zc3z04anonymousza31942ze3z87_6204;
														}
													}
												}
										}
									}
								else
									{	/* Cfa/type.scm 310 */
										bool_t BgL_test2505z00_7553;

										{	/* Cfa/type.scm 310 */
											obj_t BgL_classz00_6209;

											BgL_classz00_6209 = BGl_cfunz00zzast_varz00;
											{	/* Cfa/type.scm 310 */
												BgL_objectz00_bglt BgL_arg1825z00_6210;

												{	/* Cfa/type.scm 310 */
													obj_t BgL_tmpz00_7554;

													BgL_tmpz00_7554 =
														((obj_t) ((BgL_objectz00_bglt) BgL_valz00_6186));
													BgL_arg1825z00_6210 =
														(BgL_objectz00_bglt) (BgL_tmpz00_7554);
												}
												{	/* Cfa/type.scm 310 */
													bool_t BgL_arg1822z00_6211;
													bool_t BgL_arg1823z00_6212;

													{	/* Cfa/type.scm 310 */
														long BgL_idxz00_6213;

														BgL_idxz00_6213 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6210);
														BgL_arg1822z00_6211 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_6213 + ((long) 3))) ==
															BgL_classz00_6209);
													}
													{	/* Cfa/type.scm 310 */
														bool_t BgL_res2303z00_6216;

														{	/* Cfa/type.scm 310 */
															obj_t BgL_oclassz00_6217;

															{	/* Cfa/type.scm 310 */
																long BgL_arg1833z00_6218;

																{	/* Cfa/type.scm 310 */
																	long BgL_arg1834z00_6219;

																	BgL_arg1834z00_6219 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6210);
																	BgL_arg1833z00_6218 =
																		(BgL_arg1834z00_6219 - OBJECT_TYPE);
																}
																BgL_oclassz00_6217 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_6218);
															}
															{	/* Cfa/type.scm 310 */
																bool_t BgL__ortest_1110z00_6220;

																BgL__ortest_1110z00_6220 =
																	(BgL_classz00_6209 == BgL_oclassz00_6217);
																if (BgL__ortest_1110z00_6220)
																	{	/* Cfa/type.scm 310 */
																		BgL_res2303z00_6216 =
																			BgL__ortest_1110z00_6220;
																	}
																else
																	{	/* Cfa/type.scm 310 */
																		long BgL_odepthz00_6221;

																		BgL_odepthz00_6221 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_6217);
																		if ((((long) 3) < BgL_odepthz00_6221))
																			{	/* Cfa/type.scm 310 */
																				obj_t BgL_arg1821z00_6222;

																				BgL_arg1821z00_6222 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_6217, ((long) 3));
																				BgL_res2303z00_6216 =
																					(BgL_arg1821z00_6222 ==
																					BgL_classz00_6209);
																			}
																		else
																			{	/* Cfa/type.scm 310 */
																				BgL_res2303z00_6216 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_6212 = BgL_res2303z00_6216;
													}
													BgL_test2505z00_7553 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_6211,
														BgL_arg1823z00_6212);
												}
											}
										}
										if (BgL_test2505z00_7553)
											{	/* Cfa/type.scm 311 */
												obj_t BgL_l01614z00_6223;

												BgL_l01614z00_6223 =
													(((BgL_cfunz00_bglt) COBJECT(
															((BgL_cfunz00_bglt) BgL_valz00_6186)))->
													BgL_argszd2typezd2);
												{
													obj_t BgL_l1613z00_6225;

													BgL_l1613z00_6225 = BgL_l01614z00_6223;
												BgL_zc3z04anonymousza31948ze3z87_6224:
													if (NULLP(BgL_l1613z00_6225))
														{	/* Cfa/type.scm 311 */
															BgL_l01614z00_6223;
														}
													else
														{	/* Cfa/type.scm 311 */
															{	/* Cfa/type.scm 311 */
																obj_t BgL_arg1950z00_6226;

																{	/* Cfa/type.scm 311 */
																	obj_t BgL_arg1951z00_6227;

																	BgL_arg1951z00_6227 =
																		CAR(((obj_t) BgL_l1613z00_6225));
																	BgL_arg1950z00_6226 =
																		BGl_cleanupzd2typeze70z35zzcfa_typez00
																		(BgL_arg1951z00_6227);
																}
																{	/* Cfa/type.scm 311 */
																	obj_t BgL_tmpz00_7580;

																	BgL_tmpz00_7580 = ((obj_t) BgL_l1613z00_6225);
																	SET_CAR(BgL_tmpz00_7580, BgL_arg1950z00_6226);
																}
															}
															{	/* Cfa/type.scm 311 */
																obj_t BgL_arg1952z00_6228;

																BgL_arg1952z00_6228 =
																	CDR(((obj_t) BgL_l1613z00_6225));
																{
																	obj_t BgL_l1613z00_7585;

																	BgL_l1613z00_7585 = BgL_arg1952z00_6228;
																	BgL_l1613z00_6225 = BgL_l1613z00_7585;
																	goto BgL_zc3z04anonymousza31948ze3z87_6224;
																}
															}
														}
												}
											}
										else
											{	/* Cfa/type.scm 310 */
												BFALSE;
											}
									}
							}
						}
					}
				}
				{	/* Cfa/type.scm 313 */
					bool_t BgL_test2509z00_7586;

					{	/* Cfa/type.scm 313 */
						BgL_typez00_bglt BgL_arg1956z00_6229;

						BgL_arg1956z00_6229 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_6000)))))->BgL_typez00);
						BgL_test2509z00_7586 =
							(((obj_t) BgL_arg1956z00_6229) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2509z00_7586)
						{	/* Cfa/type.scm 313 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_appz00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_6000)))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 313 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6000));
			}
		}

	}



/* cleanup-type~0 */
	obj_t BGl_cleanupzd2typeze70z35zzcfa_typez00(obj_t BgL_tz00_3987)
	{
		{	/* Cfa/type.scm 296 */
			{	/* Cfa/type.scm 289 */
				bool_t BgL_test2510z00_7600;

				{	/* Cfa/type.scm 289 */
					obj_t BgL_classz00_5338;

					BgL_classz00_5338 = BGl_typez00zztype_typez00;
					if (BGL_OBJECTP(BgL_tz00_3987))
						{	/* Cfa/type.scm 289 */
							BgL_objectz00_bglt BgL_arg1825z00_5340;

							BgL_arg1825z00_5340 = (BgL_objectz00_bglt) (BgL_tz00_3987);
							{	/* Cfa/type.scm 289 */
								bool_t BgL_arg1822z00_5343;
								bool_t BgL_arg1823z00_5344;

								{	/* Cfa/type.scm 289 */
									long BgL_idxz00_5347;

									BgL_idxz00_5347 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5340);
									BgL_arg1822z00_5343 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5347 + ((long) 1))) == BgL_classz00_5338);
								}
								{	/* Cfa/type.scm 289 */
									bool_t BgL_res2300z00_5369;

									{	/* Cfa/type.scm 289 */
										obj_t BgL_oclassz00_5355;

										{	/* Cfa/type.scm 289 */
											long BgL_arg1833z00_5361;

											{	/* Cfa/type.scm 289 */
												long BgL_arg1834z00_5362;

												BgL_arg1834z00_5362 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5340);
												BgL_arg1833z00_5361 =
													(BgL_arg1834z00_5362 - OBJECT_TYPE);
											}
											BgL_oclassz00_5355 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_5361);
										}
										{	/* Cfa/type.scm 289 */
											bool_t BgL__ortest_1110z00_5356;

											BgL__ortest_1110z00_5356 =
												(BgL_classz00_5338 == BgL_oclassz00_5355);
											if (BgL__ortest_1110z00_5356)
												{	/* Cfa/type.scm 289 */
													BgL_res2300z00_5369 = BgL__ortest_1110z00_5356;
												}
											else
												{	/* Cfa/type.scm 289 */
													long BgL_odepthz00_5357;

													BgL_odepthz00_5357 =
														BGL_CLASS_DEPTH(BgL_oclassz00_5355);
													if ((((long) 1) < BgL_odepthz00_5357))
														{	/* Cfa/type.scm 289 */
															obj_t BgL_arg1821z00_5359;

															BgL_arg1821z00_5359 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5355,
																((long) 1));
															BgL_res2300z00_5369 =
																(BgL_arg1821z00_5359 == BgL_classz00_5338);
														}
													else
														{	/* Cfa/type.scm 289 */
															BgL_res2300z00_5369 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_5344 = BgL_res2300z00_5369;
								}
								BgL_test2510z00_7600 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_5343, BgL_arg1823z00_5344);
							}
						}
					else
						{	/* Cfa/type.scm 289 */
							BgL_test2510z00_7600 = ((bool_t) 0);
						}
				}
				if (BgL_test2510z00_7600)
					{	/* Cfa/type.scm 289 */
						if ((BgL_tz00_3987 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/type.scm 290 */
								return BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Cfa/type.scm 290 */
								return BgL_tz00_3987;
							}
					}
				else
					{	/* Cfa/type.scm 291 */
						bool_t BgL_test2515z00_7621;

						{	/* Cfa/type.scm 291 */
							obj_t BgL_classz00_5370;

							BgL_classz00_5370 = BGl_localz00zzast_varz00;
							if (BGL_OBJECTP(BgL_tz00_3987))
								{	/* Cfa/type.scm 291 */
									BgL_objectz00_bglt BgL_arg1825z00_5372;

									BgL_arg1825z00_5372 = (BgL_objectz00_bglt) (BgL_tz00_3987);
									{	/* Cfa/type.scm 291 */
										bool_t BgL_arg1822z00_5375;
										bool_t BgL_arg1823z00_5376;

										{	/* Cfa/type.scm 291 */
											long BgL_idxz00_5379;

											BgL_idxz00_5379 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5372);
											BgL_arg1822z00_5375 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5379 + ((long) 2))) == BgL_classz00_5370);
										}
										{	/* Cfa/type.scm 291 */
											bool_t BgL_res2301z00_5401;

											{	/* Cfa/type.scm 291 */
												obj_t BgL_oclassz00_5387;

												{	/* Cfa/type.scm 291 */
													long BgL_arg1833z00_5393;

													{	/* Cfa/type.scm 291 */
														long BgL_arg1834z00_5394;

														BgL_arg1834z00_5394 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5372);
														BgL_arg1833z00_5393 =
															(BgL_arg1834z00_5394 - OBJECT_TYPE);
													}
													BgL_oclassz00_5387 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_5393);
												}
												{	/* Cfa/type.scm 291 */
													bool_t BgL__ortest_1110z00_5388;

													BgL__ortest_1110z00_5388 =
														(BgL_classz00_5370 == BgL_oclassz00_5387);
													if (BgL__ortest_1110z00_5388)
														{	/* Cfa/type.scm 291 */
															BgL_res2301z00_5401 = BgL__ortest_1110z00_5388;
														}
													else
														{	/* Cfa/type.scm 291 */
															long BgL_odepthz00_5389;

															BgL_odepthz00_5389 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5387);
															if ((((long) 2) < BgL_odepthz00_5389))
																{	/* Cfa/type.scm 291 */
																	obj_t BgL_arg1821z00_5391;

																	BgL_arg1821z00_5391 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5387,
																		((long) 2));
																	BgL_res2301z00_5401 =
																		(BgL_arg1821z00_5391 == BgL_classz00_5370);
																}
															else
																{	/* Cfa/type.scm 291 */
																	BgL_res2301z00_5401 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_5376 = BgL_res2301z00_5401;
										}
										BgL_test2515z00_7621 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_5375,
											BgL_arg1823z00_5376);
									}
								}
							else
								{	/* Cfa/type.scm 291 */
									BgL_test2515z00_7621 = ((bool_t) 0);
								}
						}
						if (BgL_test2515z00_7621)
							{	/* Cfa/type.scm 291 */
								{	/* Cfa/type.scm 292 */
									bool_t BgL_test2519z00_7640;

									{	/* Cfa/type.scm 292 */
										BgL_typez00_bglt BgL_arg1964z00_3994;

										BgL_arg1964z00_3994 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_tz00_3987))))->
											BgL_typez00);
										BgL_test2519z00_7640 =
											(((obj_t) BgL_arg1964z00_3994) ==
											BGl_za2_za2z00zztype_cachez00);
									}
									if (BgL_test2519z00_7640)
										{	/* Cfa/type.scm 293 */
											BgL_typez00_bglt BgL_vz00_5404;

											BgL_vz00_5404 =
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_tz00_3987))))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_5404), BUNSPEC);
										}
									else
										{	/* Cfa/type.scm 292 */
											BFALSE;
										}
								}
								return BgL_tz00_3987;
							}
						else
							{	/* Cfa/type.scm 291 */
								return BgL_tz00_3987;
							}
					}
			}
		}

	}



/* &type-node!-app1654 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app1654z70zzcfa_typez00(obj_t
		BgL_envz00_6001, obj_t BgL_nodez00_6002)
	{
		{	/* Cfa/type.scm 275 */
			BGl_typezd2nodeza2z12z62zzcfa_typez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_6002)))->BgL_argsz00));
			BGl_typezd2funzd2nodez12z12zzcfa_typez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_6002)))->BgL_funz00));
			{
				BgL_typez00_bglt BgL_auxz00_7656;

				{	/* Cfa/type.scm 279 */
					BgL_typez00_bglt BgL_arg1933z00_6231;
					BgL_typez00_bglt BgL_arg1935z00_6232;

					BgL_arg1933z00_6231 =
						(((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_6002)))->
												BgL_funz00)))->BgL_variablez00)))->BgL_typez00);
					BgL_arg1935z00_6232 =
						(((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
										BgL_nodez00_6002))))->BgL_typez00);
					BgL_auxz00_7656 =
						BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1933z00_6231,
						BgL_arg1935z00_6232);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_6002))))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_auxz00_7656), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6002));
		}

	}



/* &type-node!-sync1652 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2sync1652z70zzcfa_typez00(obj_t
		BgL_envz00_6003, obj_t BgL_nodez00_6004)
	{
		{	/* Cfa/type.scm 263 */
			{
				BgL_nodez00_bglt BgL_auxz00_7670;

				{	/* Cfa/type.scm 265 */
					BgL_nodez00_bglt BgL_arg1924z00_6234;

					BgL_arg1924z00_6234 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_6004)))->BgL_mutexz00);
					BgL_auxz00_7670 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1924z00_6234);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_6004)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7670), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7676;

				{	/* Cfa/type.scm 266 */
					BgL_nodez00_bglt BgL_arg1925z00_6235;

					BgL_arg1925z00_6235 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_6004)))->BgL_prelockz00);
					BgL_auxz00_7676 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1925z00_6235);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_6004)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7676), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7682;

				{	/* Cfa/type.scm 267 */
					BgL_nodez00_bglt BgL_arg1926z00_6236;

					BgL_arg1926z00_6236 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_6004)))->BgL_bodyz00);
					BgL_auxz00_7682 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1926z00_6236);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_6004)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7682), BUNSPEC);
			}
			{	/* Cfa/type.scm 268 */
				bool_t BgL_test2520z00_7688;

				{	/* Cfa/type.scm 268 */
					BgL_typez00_bglt BgL_arg1930z00_6237;

					BgL_arg1930z00_6237 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_nodez00_6004))))->BgL_typez00);
					BgL_test2520z00_7688 =
						(((obj_t) BgL_arg1930z00_6237) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2520z00_7688)
					{
						BgL_typez00_bglt BgL_auxz00_7694;

						{	/* Cfa/type.scm 269 */
							BgL_nodez00_bglt BgL_arg1929z00_6238;

							BgL_arg1929z00_6238 =
								(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_6004)))->BgL_bodyz00);
							BgL_auxz00_7694 =
								BGl_getzd2typezd2zztype_typeofz00(BgL_arg1929z00_6238,
								((bool_t) 0));
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_syncz00_bglt) BgL_nodez00_6004))))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_7694), BUNSPEC);
					}
				else
					{	/* Cfa/type.scm 268 */
						BFALSE;
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_6004));
		}

	}



/* &type-node!-sequence1650 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2sequence1650z70zzcfa_typez00(obj_t
		BgL_envz00_6005, obj_t BgL_nodez00_6006)
	{
		{	/* Cfa/type.scm 251 */
			BGl_typezd2nodeza2z12z62zzcfa_typez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_6006)))->BgL_nodesz00));
			{	/* Cfa/type.scm 254 */
				bool_t BgL_test2521z00_7706;

				{	/* Cfa/type.scm 254 */
					BgL_typez00_bglt BgL_arg1923z00_6240;

					BgL_arg1923z00_6240 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_sequencez00_bglt) BgL_nodez00_6006))))->BgL_typez00);
					BgL_test2521z00_7706 =
						(((obj_t) BgL_arg1923z00_6240) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2521z00_7706)
					{	/* Cfa/type.scm 254 */
						if (NULLP(
								(((BgL_sequencez00_bglt) COBJECT(
											((BgL_sequencez00_bglt) BgL_nodez00_6006)))->
									BgL_nodesz00)))
							{	/* Cfa/type.scm 255 */
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_sequencez00_bglt) BgL_nodez00_6006))))->
										BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
							}
						else
							{
								BgL_typez00_bglt BgL_auxz00_7720;

								{	/* Cfa/type.scm 256 */
									obj_t BgL_arg1918z00_6241;

									BgL_arg1918z00_6241 =
										CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
											(((BgL_sequencez00_bglt) COBJECT(
														((BgL_sequencez00_bglt) BgL_nodez00_6006)))->
												BgL_nodesz00)));
									BgL_auxz00_7720 =
										BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_arg1918z00_6241), ((bool_t) 0));
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_sequencez00_bglt) BgL_nodez00_6006))))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_auxz00_7720), BUNSPEC);
							}
					}
				else
					{	/* Cfa/type.scm 254 */
						BFALSE;
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_6006));
		}

	}



/* &type-node!-closure1648 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2closure1648z70zzcfa_typez00(obj_t
		BgL_envz00_6007, obj_t BgL_nodez00_6008)
	{
		{	/* Cfa/type.scm 245 */
			{	/* Cfa/type.scm 246 */
				obj_t BgL_arg1911z00_6243;

				BgL_arg1911z00_6243 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_6008)));
				return
					((BgL_nodez00_bglt)
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2329z00zzcfa_typez00, BGl_string2362z00zzcfa_typez00,
						BgL_arg1911z00_6243));
			}
		}

	}



/* &type-node!-var1646 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var1646z70zzcfa_typez00(obj_t
		BgL_envz00_6009, obj_t BgL_nodez00_6010)
	{
		{	/* Cfa/type.scm 225 */
			{
				BgL_typez00_bglt BgL_ntypez00_6246;
				BgL_typez00_bglt BgL_vtypez00_6247;

				{	/* Cfa/type.scm 234 */
					bool_t BgL_test2523z00_7737;

					{	/* Cfa/type.scm 234 */
						bool_t BgL_test2524z00_7738;

						{	/* Cfa/type.scm 234 */
							BgL_variablez00_bglt BgL_arg1886z00_6280;

							BgL_arg1886z00_6280 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_6010)))->BgL_variablez00);
							{	/* Cfa/type.scm 234 */
								obj_t BgL_classz00_6281;

								BgL_classz00_6281 = BGl_globalz00zzast_varz00;
								{	/* Cfa/type.scm 234 */
									BgL_objectz00_bglt BgL_arg1825z00_6282;

									{	/* Cfa/type.scm 234 */
										obj_t BgL_tmpz00_7741;

										BgL_tmpz00_7741 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1886z00_6280));
										BgL_arg1825z00_6282 =
											(BgL_objectz00_bglt) (BgL_tmpz00_7741);
									}
									{	/* Cfa/type.scm 234 */
										bool_t BgL_arg1822z00_6283;
										bool_t BgL_arg1823z00_6284;

										{	/* Cfa/type.scm 234 */
											long BgL_idxz00_6285;

											BgL_idxz00_6285 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6282);
											BgL_arg1822z00_6283 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_6285 + ((long) 2))) == BgL_classz00_6281);
										}
										{	/* Cfa/type.scm 234 */
											bool_t BgL_res2299z00_6288;

											{	/* Cfa/type.scm 234 */
												obj_t BgL_oclassz00_6289;

												{	/* Cfa/type.scm 234 */
													long BgL_arg1833z00_6290;

													{	/* Cfa/type.scm 234 */
														long BgL_arg1834z00_6291;

														BgL_arg1834z00_6291 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6282);
														BgL_arg1833z00_6290 =
															(BgL_arg1834z00_6291 - OBJECT_TYPE);
													}
													BgL_oclassz00_6289 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_6290);
												}
												{	/* Cfa/type.scm 234 */
													bool_t BgL__ortest_1110z00_6292;

													BgL__ortest_1110z00_6292 =
														(BgL_classz00_6281 == BgL_oclassz00_6289);
													if (BgL__ortest_1110z00_6292)
														{	/* Cfa/type.scm 234 */
															BgL_res2299z00_6288 = BgL__ortest_1110z00_6292;
														}
													else
														{	/* Cfa/type.scm 234 */
															long BgL_odepthz00_6293;

															BgL_odepthz00_6293 =
																BGL_CLASS_DEPTH(BgL_oclassz00_6289);
															if ((((long) 2) < BgL_odepthz00_6293))
																{	/* Cfa/type.scm 234 */
																	obj_t BgL_arg1821z00_6294;

																	BgL_arg1821z00_6294 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6289,
																		((long) 2));
																	BgL_res2299z00_6288 =
																		(BgL_arg1821z00_6294 == BgL_classz00_6281);
																}
															else
																{	/* Cfa/type.scm 234 */
																	BgL_res2299z00_6288 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_6284 = BgL_res2299z00_6288;
										}
										BgL_test2524z00_7738 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_6283,
											BgL_arg1823z00_6284);
									}
								}
							}
						}
						if (BgL_test2524z00_7738)
							{	/* Cfa/type.scm 234 */
								BgL_test2523z00_7737 =
									(
									(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_6010)))->
														BgL_variablez00))))->BgL_importz00) ==
									CNST_TABLE_REF(((long) 3)));
							}
						else
							{	/* Cfa/type.scm 234 */
								BgL_test2523z00_7737 = ((bool_t) 0);
							}
					}
					if (BgL_test2523z00_7737)
						{	/* Cfa/type.scm 235 */
							BgL_valuez00_bglt BgL_arg1880z00_6295;
							BgL_variablez00_bglt BgL_arg1882z00_6296;

							BgL_arg1880z00_6295 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt)
												(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_6010)))->
													BgL_variablez00)))))->BgL_valuez00);
							BgL_arg1882z00_6296 =
								(((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
											BgL_nodez00_6010)))->BgL_variablez00);
							BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg1880z00_6295,
								BgL_arg1882z00_6296);
						}
					else
						{	/* Cfa/type.scm 234 */
							BFALSE;
						}
				}
				{	/* Cfa/type.scm 236 */
					bool_t BgL_test2527z00_7774;

					{	/* Cfa/type.scm 236 */
						bool_t BgL_test2528z00_7775;

						{	/* Cfa/type.scm 236 */
							BgL_typez00_bglt BgL_arg1908z00_6297;

							BgL_arg1908z00_6297 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_varz00_bglt) BgL_nodez00_6010))))->BgL_typez00);
							BgL_test2528z00_7775 =
								(
								((obj_t) BgL_arg1908z00_6297) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_test2528z00_7775)
							{	/* Cfa/type.scm 236 */
								BgL_test2527z00_7774 = ((bool_t) 1);
							}
						else
							{	/* Cfa/type.scm 237 */
								bool_t BgL_test2529z00_7781;

								{	/* Cfa/type.scm 237 */
									BgL_typez00_bglt BgL_arg1907z00_6298;

									BgL_arg1907z00_6298 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_varz00_bglt) BgL_nodez00_6010))))->BgL_typez00);
									BgL_test2529z00_7781 =
										(
										((obj_t) BgL_arg1907z00_6298) ==
										BGl_za2vectorza2z00zztype_cachez00);
								}
								if (BgL_test2529z00_7781)
									{	/* Cfa/type.scm 237 */
										BgL_test2527z00_7774 = ((bool_t) 1);
									}
								else
									{	/* Cfa/type.scm 238 */
										BgL_typez00_bglt BgL_arg1904z00_6299;
										BgL_typez00_bglt BgL_arg1905z00_6300;

										BgL_arg1904z00_6299 =
											(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_6010))))->
											BgL_typez00);
										BgL_arg1905z00_6300 =
											(((BgL_variablez00_bglt) COBJECT((((BgL_varz00_bglt)
															COBJECT(((BgL_varz00_bglt) BgL_nodez00_6010)))->
														BgL_variablez00)))->BgL_typez00);
										BgL_ntypez00_6246 = BgL_arg1904z00_6299;
										BgL_vtypez00_6247 = BgL_arg1905z00_6300;
										{	/* Cfa/type.scm 228 */
											bool_t BgL__ortest_1183z00_6248;

											if (BGl_bigloozd2typezf3z21zztype_typez00
												(BgL_vtypez00_6247))
												{	/* Cfa/type.scm 228 */
													BgL__ortest_1183z00_6248 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 228 */
													BgL__ortest_1183z00_6248 = ((bool_t) 1);
												}
											if (BgL__ortest_1183z00_6248)
												{	/* Cfa/type.scm 228 */
													BgL_test2527z00_7774 = BgL__ortest_1183z00_6248;
												}
											else
												{	/* Cfa/type.scm 229 */
													bool_t BgL__ortest_1184z00_6249;

													BgL__ortest_1184z00_6249 =
														(
														((obj_t) BgL_ntypez00_6246) ==
														BGl_za2objza2z00zztype_cachez00);
													if (BgL__ortest_1184z00_6249)
														{	/* Cfa/type.scm 229 */
															BgL_test2527z00_7774 = BgL__ortest_1184z00_6249;
														}
													else
														{	/* Cfa/type.scm 230 */
															bool_t BgL__ortest_1185z00_6250;

															{	/* Cfa/type.scm 230 */
																bool_t BgL__ortest_1186z00_6251;

																BgL__ortest_1186z00_6251 =
																	(
																	((obj_t) BgL_vtypez00_6247) ==
																	BGl_za2pairza2z00zztype_cachez00);
																if (BgL__ortest_1186z00_6251)
																	{	/* Cfa/type.scm 230 */
																		BgL__ortest_1185z00_6250 =
																			BgL__ortest_1186z00_6251;
																	}
																else
																	{	/* Cfa/type.scm 230 */
																		BgL__ortest_1185z00_6250 =
																			(
																			((obj_t) BgL_vtypez00_6247) ==
																			BGl_za2epairza2z00zztype_cachez00);
																	}
															}
															if (BgL__ortest_1185z00_6250)
																{	/* Cfa/type.scm 230 */
																	BgL_test2527z00_7774 =
																		BgL__ortest_1185z00_6250;
																}
															else
																{	/* Cfa/type.scm 231 */
																	bool_t BgL_test2535z00_7805;

																	{	/* Cfa/type.scm 231 */
																		obj_t BgL_classz00_6252;

																		BgL_classz00_6252 =
																			BGl_tclassz00zzobject_classz00;
																		{	/* Cfa/type.scm 231 */
																			BgL_objectz00_bglt BgL_arg1825z00_6253;

																			{	/* Cfa/type.scm 231 */
																				obj_t BgL_tmpz00_7806;

																				BgL_tmpz00_7806 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_vtypez00_6247));
																				BgL_arg1825z00_6253 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_7806);
																			}
																			{	/* Cfa/type.scm 231 */
																				bool_t BgL_arg1822z00_6254;
																				bool_t BgL_arg1823z00_6255;

																				{	/* Cfa/type.scm 231 */
																					long BgL_idxz00_6256;

																					BgL_idxz00_6256 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_6253);
																					BgL_arg1822z00_6254 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_6256 + ((long) 2))) ==
																						BgL_classz00_6252);
																				}
																				{	/* Cfa/type.scm 231 */
																					bool_t BgL_res2297z00_6259;

																					{	/* Cfa/type.scm 231 */
																						obj_t BgL_oclassz00_6260;

																						{	/* Cfa/type.scm 231 */
																							long BgL_arg1833z00_6261;

																							{	/* Cfa/type.scm 231 */
																								long BgL_arg1834z00_6262;

																								BgL_arg1834z00_6262 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_6253);
																								BgL_arg1833z00_6261 =
																									(BgL_arg1834z00_6262 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_6260 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_6261);
																						}
																						{	/* Cfa/type.scm 231 */
																							bool_t BgL__ortest_1110z00_6263;

																							BgL__ortest_1110z00_6263 =
																								(BgL_classz00_6252 ==
																								BgL_oclassz00_6260);
																							if (BgL__ortest_1110z00_6263)
																								{	/* Cfa/type.scm 231 */
																									BgL_res2297z00_6259 =
																										BgL__ortest_1110z00_6263;
																								}
																							else
																								{	/* Cfa/type.scm 231 */
																									long BgL_odepthz00_6264;

																									BgL_odepthz00_6264 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_6260);
																									if ((((long) 2) <
																											BgL_odepthz00_6264))
																										{	/* Cfa/type.scm 231 */
																											obj_t BgL_arg1821z00_6265;

																											BgL_arg1821z00_6265 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_6260,
																												((long) 2));
																											BgL_res2297z00_6259 =
																												(BgL_arg1821z00_6265 ==
																												BgL_classz00_6252);
																										}
																									else
																										{	/* Cfa/type.scm 231 */
																											BgL_res2297z00_6259 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_6255 =
																						BgL_res2297z00_6259;
																				}
																				BgL_test2535z00_7805 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_6254,
																					BgL_arg1823z00_6255);
																			}
																		}
																	}
																	if (BgL_test2535z00_7805)
																		{	/* Cfa/type.scm 231 */
																			bool_t BgL_test2538z00_7825;

																			{	/* Cfa/type.scm 231 */
																				obj_t BgL_classz00_6266;

																				BgL_classz00_6266 =
																					BGl_tclassz00zzobject_classz00;
																				{	/* Cfa/type.scm 231 */
																					BgL_objectz00_bglt
																						BgL_arg1825z00_6267;
																					{	/* Cfa/type.scm 231 */
																						obj_t BgL_tmpz00_7826;

																						BgL_tmpz00_7826 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_ntypez00_6246));
																						BgL_arg1825z00_6267 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_7826);
																					}
																					{	/* Cfa/type.scm 231 */
																						bool_t BgL_arg1822z00_6268;
																						bool_t BgL_arg1823z00_6269;

																						{	/* Cfa/type.scm 231 */
																							long BgL_idxz00_6270;

																							BgL_idxz00_6270 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1825z00_6267);
																							BgL_arg1822z00_6268 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_6270 +
																										((long) 2))) ==
																								BgL_classz00_6266);
																						}
																						{	/* Cfa/type.scm 231 */
																							bool_t BgL_res2298z00_6273;

																							{	/* Cfa/type.scm 231 */
																								obj_t BgL_oclassz00_6274;

																								{	/* Cfa/type.scm 231 */
																									long BgL_arg1833z00_6275;

																									{	/* Cfa/type.scm 231 */
																										long BgL_arg1834z00_6276;

																										BgL_arg1834z00_6276 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1825z00_6267);
																										BgL_arg1833z00_6275 =
																											(BgL_arg1834z00_6276 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_6274 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1833z00_6275);
																								}
																								{	/* Cfa/type.scm 231 */
																									bool_t
																										BgL__ortest_1110z00_6277;
																									BgL__ortest_1110z00_6277 =
																										(BgL_classz00_6266 ==
																										BgL_oclassz00_6274);
																									if (BgL__ortest_1110z00_6277)
																										{	/* Cfa/type.scm 231 */
																											BgL_res2298z00_6273 =
																												BgL__ortest_1110z00_6277;
																										}
																									else
																										{	/* Cfa/type.scm 231 */
																											long BgL_odepthz00_6278;

																											BgL_odepthz00_6278 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_6274);
																											if ((((long) 2) <
																													BgL_odepthz00_6278))
																												{	/* Cfa/type.scm 231 */
																													obj_t
																														BgL_arg1821z00_6279;
																													BgL_arg1821z00_6279 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_6274,
																														((long) 2));
																													BgL_res2298z00_6273 =
																														(BgL_arg1821z00_6279
																														==
																														BgL_classz00_6266);
																												}
																											else
																												{	/* Cfa/type.scm 231 */
																													BgL_res2298z00_6273 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_arg1823z00_6269 =
																								BgL_res2298z00_6273;
																						}
																						BgL_test2538z00_7825 =
																							BGL_ISA_C_BACKEND
																							(BgL_arg1822z00_6268,
																							BgL_arg1823z00_6269);
																					}
																				}
																			}
																			if (BgL_test2538z00_7825)
																				{	/* Cfa/type.scm 231 */
																					BgL_test2527z00_7774 =
																						BGl_typezd2subclasszf3z21zzobject_classz00
																						(BgL_vtypez00_6247,
																						BgL_ntypez00_6246);
																				}
																			else
																				{	/* Cfa/type.scm 231 */
																					BgL_test2527z00_7774 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Cfa/type.scm 231 */
																			BgL_test2527z00_7774 = ((bool_t) 0);
																		}
																}
														}
												}
										}
									}
							}
					}
					if (BgL_test2527z00_7774)
						{	/* Cfa/type.scm 236 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_varz00_bglt) BgL_nodez00_6010))))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_nodez00_6010)))->BgL_variablez00)))->
										BgL_typez00)), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 236 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_6010));
			}
		}

	}



/* &type-node!-kwote1644 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2kwote1644z70zzcfa_typez00(obj_t
		BgL_envz00_6011, obj_t BgL_nodez00_6012)
	{
		{	/* Cfa/type.scm 216 */
			{	/* Cfa/type.scm 218 */
				bool_t BgL_test2541z00_7854;

				{	/* Cfa/type.scm 218 */
					BgL_typez00_bglt BgL_arg1870z00_6302;

					BgL_arg1870z00_6302 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_kwotez00_bglt) BgL_nodez00_6012))))->BgL_typez00);
					BgL_test2541z00_7854 =
						(((obj_t) BgL_arg1870z00_6302) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2541z00_7854)
					{
						BgL_typez00_bglt BgL_auxz00_7860;

						{	/* Cfa/type.scm 219 */
							obj_t BgL_arg1869z00_6303;

							BgL_arg1869z00_6303 =
								(((BgL_kwotez00_bglt) COBJECT(
										((BgL_kwotez00_bglt) BgL_nodez00_6012)))->BgL_valuez00);
							BgL_auxz00_7860 =
								BGl_getzd2typezd2kwotez00zztype_typeofz00(BgL_arg1869z00_6303);
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_kwotez00_bglt) BgL_nodez00_6012))))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_7860), BUNSPEC);
					}
				else
					{	/* Cfa/type.scm 218 */
						BFALSE;
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_6012));
		}

	}



/* &type-node!-atom1642 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2atom1642z70zzcfa_typez00(obj_t
		BgL_envz00_6013, obj_t BgL_nodez00_6014)
	{
		{	/* Cfa/type.scm 210 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_6014));
		}

	}



/* &type-variable!-inter1638 */
	obj_t BGl_z62typezd2variablez12zd2inter1638z70zzcfa_typez00(obj_t
		BgL_envz00_6015, obj_t BgL_valuez00_6016, obj_t BgL_variablez00_6017)
	{
		{	/* Cfa/type.scm 173 */
			return CNST_TABLE_REF(((long) 4));
		}

	}



/* &type-variable!-sexit1636 */
	obj_t BGl_z62typezd2variablez12zd2sexit1636z70zzcfa_typez00(obj_t
		BgL_envz00_6018, obj_t BgL_valuez00_6019, obj_t BgL_variablez00_6020)
	{
		{	/* Cfa/type.scm 163 */
			return CNST_TABLE_REF(((long) 4));
		}

	}



/* &type-variable!-cvar/1634 */
	obj_t BGl_z62typezd2variablez12zd2cvarzf21634z82zzcfa_typez00(obj_t
		BgL_envz00_6021, obj_t BgL_valuez00_6022, obj_t BgL_variablez00_6023)
	{
		{	/* Cfa/type.scm 156 */
			{	/* Cfa/type.scm 158 */
				obj_t BgL_arg1863z00_6308;

				{	/* Cfa/type.scm 158 */
					BgL_approxz00_bglt BgL_arg1865z00_6309;

					{
						BgL_cvarzf2cinfozf2_bglt BgL_auxz00_7873;

						{
							obj_t BgL_auxz00_7874;

							{	/* Cfa/type.scm 158 */
								BgL_objectz00_bglt BgL_tmpz00_7875;

								BgL_tmpz00_7875 =
									((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_6022));
								BgL_auxz00_7874 = BGL_OBJECT_WIDENING(BgL_tmpz00_7875);
							}
							BgL_auxz00_7873 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_7874);
						}
						BgL_arg1865z00_6309 =
							(((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7873))->
							BgL_approxz00);
					}
					BgL_arg1863z00_6308 =
						BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1865z00_6309,
						((obj_t) ((BgL_cvarz00_bglt) BgL_valuez00_6022)));
				}
				return
					BGl_setzd2variablezd2typez12z12zzcfa_typez00(
					((BgL_variablez00_bglt) BgL_variablez00_6023),
					((BgL_typez00_bglt) BgL_arg1863z00_6308));
			}
		}

	}



/* &type-variable!-scnst1632 */
	obj_t BGl_z62typezd2variablez12zd2scnst1632z70zzcfa_typez00(obj_t
		BgL_envz00_6024, obj_t BgL_valuez00_6025, obj_t BgL_variablez00_6026)
	{
		{	/* Cfa/type.scm 150 */
			return CNST_TABLE_REF(((long) 4));
		}

	}



/* &type-variable!-svar/1630 */
	obj_t BGl_z62typezd2variablez12zd2svarzf21630z82zzcfa_typez00(obj_t
		BgL_envz00_6027, obj_t BgL_valuez00_6028, obj_t BgL_variablez00_6029)
	{
		{	/* Cfa/type.scm 140 */
			{	/* Cfa/type.scm 142 */
				obj_t BgL_typz00_6312;

				{	/* Cfa/type.scm 142 */
					BgL_approxz00_bglt BgL_arg1862z00_6313;

					{
						BgL_svarzf2cinfozf2_bglt BgL_auxz00_7888;

						{
							obj_t BgL_auxz00_7889;

							{	/* Cfa/type.scm 142 */
								BgL_objectz00_bglt BgL_tmpz00_7890;

								BgL_tmpz00_7890 =
									((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_6028));
								BgL_auxz00_7889 = BGL_OBJECT_WIDENING(BgL_tmpz00_7890);
							}
							BgL_auxz00_7888 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_7889);
						}
						BgL_arg1862z00_6313 =
							(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7888))->
							BgL_approxz00);
					}
					BgL_typz00_6312 =
						BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1862z00_6313,
						((obj_t) ((BgL_svarz00_bglt) BgL_valuez00_6028)));
				}
				return
					BGl_setzd2variablezd2typez12z12zzcfa_typez00(
					((BgL_variablez00_bglt) BgL_variablez00_6029),
					((BgL_typez00_bglt) BgL_typz00_6312));
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00()
	{
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2363z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2363z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2363z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2363z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2363z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2363z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2363z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2363z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2363z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2363z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2363z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2363z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 5932721),
				BSTRING_TO_STRING(BGl_string2363z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string2363z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 189402713),
				BSTRING_TO_STRING(BGl_string2363z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string2363z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2363z00zzcfa_typez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2363z00zzcfa_typez00));
		}

	}

#ifdef __cplusplus
}
#endif
