/*===========================================================================*/
/*   (Cnst/alloc.scm)                                                        */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cnst/alloc.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	BGL_IMPORT obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62cnstzd2alloczd2ucs2zd2stringzb0zzcnst_allocz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2symbolza2z00zztype_cachez00;
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static long BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
	static obj_t BGl_requirezd2initializa7ationz75zzcnst_allocz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_za2stringzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2keywordz00zzcnst_allocz00(obj_t, obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_za2cnstzd2tablezd2refza2z00zzcnst_cachez00;
	extern obj_t BGl_za2bignumza2z00zztype_cachez00;
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2llongz00zzcnst_allocz00(BGL_LONGLONG_T, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_za2llongzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2uint32z62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	extern bool_t BGl_tvectorzd2Czd2staticzf3zf3zztvector_cnstz00(obj_t);
	BGL_IMPORT obj_t BGl_assocz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_za2elongzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzcnst_allocz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_za2structza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62cnstzd2alloczd2homogenouszd2vectorzb0zzcnst_allocz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t ucs2_strcmp(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2symbolz00zzcnst_allocz00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzcnst_allocz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	BGL_EXPORTED_DECL obj_t BGl_cnstzd2tablezd2idz00zzcnst_allocz00();
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2uint64z62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_withzd2libraryzd2modulez12z12zzmodule_libraryz00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2elongz00zzcnst_allocz00(long, obj_t);
	static obj_t BGl_objectzd2initzd2zzcnst_allocz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2listz00zzcnst_allocz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2listz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2structz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2bignumzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2tvectorz00zzcnst_allocz00(obj_t, obj_t);
	static obj_t BGl_z62cnstzd2alloczd2bignumz62zzcnst_allocz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2int32z00zzcnst_allocz00(int32_t, obj_t);
	extern obj_t BGl_za2initzd2modeza2zd2zzengine_paramz00;
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2llongz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2int64zd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_za2bstringza2z00zztype_cachez00;
	static obj_t BGl_za2keywordzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2vectorz00zzcnst_allocz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2vectorzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	extern obj_t BGl_za2bstringzd2ze3keywordza2z31zzcnst_cachez00;
	static obj_t BGl_methodzd2initzd2zzcnst_allocz00();
	BGL_EXPORTED_DECL obj_t BGl_startzd2cnstzd2allocz12z12zzcnst_allocz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2int64z00zzcnst_allocz00(int64_t, obj_t);
	extern obj_t BGl_za2listzd2ze3vectorza2z31zzcnst_cachez00;
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2elongz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62getzd2cnstzd2sexpz62zzcnst_allocz00(obj_t);
	static obj_t BGl_za2int32zd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_za2cnstzd2tableza2zd2zzcnst_allocz00 = BUNSPEC;
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 = BUNSPEC;
	static obj_t BGl_za2uint64zd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2stringz00zzcnst_allocz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2cnstzd2setz00zzcnst_allocz00();
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_za2bstringzd2ze3symbolza2z31zzcnst_cachez00;
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2int32z62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2listzd2ze3structza2z31zzcnst_cachez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2consza2z00zzcnst_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2lzd2procedurezd2zzcnst_allocz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_za2oldzd2debugza2zd2zzcnst_allocz00 = BUNSPEC;
	static obj_t BGl_za2uint32zd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2int64z62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2symbolz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_z62getzd2cnstzd2offsetz62zzcnst_allocz00(obj_t);
	BGL_IMPORT obj_t BGl_bignumzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(obj_t,
		long);
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_cnstz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__unicodez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	BGL_IMPORT obj_t ucs2_string_to_utf8_string(obj_t);
	static obj_t
		BGl_forcezd2initializa7ezd2srfi4zd2libraryzd2modulez12zb5zzcnst_allocz00();
	static obj_t BGl_typedzd2cnstzd2tablezd2idzd2zzcnst_allocz00();
	static obj_t BGl_z62getzd2cnstzd2tablez62zzcnst_allocz00(obj_t);
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2keywordz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2ucs2stringza2z00zztype_cachez00;
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_za2symbolzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	extern obj_t BGl_kwotez00zzast_nodez00;
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_za2structzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzcnst_allocz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcnst_allocz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2ucs2zd2stringzd2zzcnst_allocz00(obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzcnst_allocz00();
	static obj_t BGl_gczd2rootszd2initz00zzcnst_allocz00();
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2vectorz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2homogenouszd2vectorzd2zzcnst_allocz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2uint32z00zzcnst_allocz00(uint32_t, obj_t);
	BGL_IMPORT obj_t BGl_homogeneouszd2vectorzd2infoz00zz__srfi4z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_stopzd2cnstzd2allocz12z12zzcnst_allocz00();
	extern obj_t BGl_za2vectorzd2tagzd2setz12za2z12zzcnst_cachez00;
	static obj_t BGl_z62startzd2cnstzd2allocz12z70zzcnst_allocz00(obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2cnstzd2sexpz00zzcnst_allocz00();
	extern obj_t BGl_za2keywordza2z00zztype_cachez00;
	static bool_t BGl_cnstzd2equalzf3z21zzcnst_allocz00(obj_t, obj_t);
	static obj_t BGl_za2globalzd2setza2zd2zzcnst_allocz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62cnstzd2alloczd2procedurez62zzcnst_allocz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2realzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2stringz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
	static obj_t BGl_za2listzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2uint64z00zzcnst_allocz00(uint64_t, obj_t);
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2tvectorz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2stringzd2ze3ucs2stringza2z31zzcnst_cachez00;
	static obj_t BGl_z62cnstzd2tablezd2idz62zzcnst_allocz00(obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2structz00zzcnst_allocz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62cnstzd2alloczd2lzd2procedurezb0zzcnst_allocz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2procedurez00zzcnst_allocz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_cnstzd2alloczd2bignumz00zzcnst_allocz00(obj_t,
		obj_t);
	static BgL_appz00_bglt BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62getzd2cnstzd2setz62zzcnst_allocz00(obj_t);
	static BgL_nodez00_bglt BGl_loopze70ze7zzcnst_allocz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_structzd2ze3listz31zz__structurez00(obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	static obj_t BGl_z62stopzd2cnstzd2allocz12z70zzcnst_allocz00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2realz00zzcnst_allocz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2realz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_cnstz12z12zzcnst_nodez00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	static obj_t __cnst[70];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2cnstzd2tablezd2envzd2zzcnst_allocz00,
		BgL_bgl_za762getza7d2cnstza7d22438za7,
		BGl_z62getzd2cnstzd2tablez62zzcnst_allocz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cnstzd2alloczd2realzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72439za7,
		BGl_z62cnstzd2alloczd2realz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cnstzd2tablezd2idzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2tableza72440za7,
		BGl_z62cnstzd2tablezd2idz62zzcnst_allocz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2structzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72441za7,
		BGl_z62cnstzd2alloczd2structz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2cnstzd2setzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762getza7d2cnstza7d22442za7,
		BGl_z62getzd2cnstzd2setz62zzcnst_allocz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2llongzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72443za7,
		BGl_z62cnstzd2alloczd2llongz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2cnstzd2allocz12zd2envzc0zzcnst_allocz00,
		BgL_bgl_za762stopza7d2cnstza7d2444za7,
		BGl_z62stopzd2cnstzd2allocz12z70zzcnst_allocz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2431z00zzcnst_allocz00,
		BgL_bgl_string2431za700za7za7c2445za7,
		"old should be either #f or cnst-info", 36);
	      DEFINE_STRING(BGl_string2432z00zzcnst_allocz00,
		BgL_bgl_string2432za700za7za7c2446za7, "read-alloc-tvector", 18);
	      DEFINE_STRING(BGl_string2433z00zzcnst_allocz00,
		BgL_bgl_string2433za700za7za7c2447za7, "Unimplementable until bootstrap",
		31);
	      DEFINE_STRING(BGl_string2434z00zzcnst_allocz00,
		BgL_bgl_string2434za700za7za7c2448za7, "cnst_alloc", 10);
	      DEFINE_STRING(BGl_string2435z00zzcnst_allocz00,
		BgL_bgl_string2435za700za7za7c2449za7,
		"cnst-struct struct $tvector-descr-set! get-tvector-descriptor stvector tvector tvec make-s8vector hvector f64 f32 u64 s64 u32 s32 u16 s16 u8 s8 list-> vector var cnst-list pair list suint64 buint64 uint64 sint64 bint64 int64 suint32 buint32 uint32 sint32 bint32 int32 sllong bllong llong selong belong elong sreal real slfun sfun procedure proc cnst-alloc-bignum a-keyword keyword cnst-alloc-symbol a-symbol symbol lib set! @ an-ucs2-string ucs2string cnst-info sstring bstring string static bdb now cnst-vector cnst* __cnsts_table ",
		532);
	BGL_IMPORT obj_t BGl_s64vectorzd2ze3listzd2envze3zz__srfi4z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2keywordzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72450za7,
		BGl_z62cnstzd2alloczd2keywordz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2vectorzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72451za7,
		BGl_z62cnstzd2alloczd2vectorz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cnstzd2alloczd2listzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72452za7,
		BGl_z62cnstzd2alloczd2listz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_f32vectorzd2ze3listzd2envze3zz__srfi4z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2lzd2procedurezd2envz00zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72453za7,
		BGl_z62cnstzd2alloczd2lzd2procedurezb0zzcnst_allocz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_u64vectorzd2ze3listzd2envze3zz__srfi4z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2ucs2zd2stringzd2envz00zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72454za7,
		BGl_z62cnstzd2alloczd2ucs2zd2stringzb0zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2elongzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72455za7,
		BGl_z62cnstzd2alloczd2elongz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2symbolzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72456za7,
		BGl_z62cnstzd2alloczd2symbolz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2procedurezd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72457za7,
		BGl_z62cnstzd2alloczd2procedurez62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2int64zd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72458za7,
		BGl_z62cnstzd2alloczd2int64z62zzcnst_allocz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_s16vectorzd2ze3listzd2envze3zz__srfi4z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2cnstzd2offsetzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762getza7d2cnstza7d22459za7,
		BGl_z62getzd2cnstzd2offsetz62zzcnst_allocz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2uint64zd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72460za7,
		BGl_z62cnstzd2alloczd2uint64z62zzcnst_allocz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_s32vectorzd2ze3listzd2envze3zz__srfi4z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2bignumzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72461za7,
		BGl_z62cnstzd2alloczd2bignumz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2tvectorzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72462za7,
		BGl_z62cnstzd2alloczd2tvectorz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_u16vectorzd2ze3listzd2envze3zz__srfi4z00;
	BGL_IMPORT obj_t BGl_s8vectorzd2ze3listzd2envze3zz__srfi4z00;
	BGL_IMPORT obj_t BGl_u32vectorzd2ze3listzd2envze3zz__srfi4z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2homogenouszd2vectorzd2envz00zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72463za7,
		BGl_z62cnstzd2alloczd2homogenouszd2vectorzb0zzcnst_allocz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_startzd2cnstzd2allocz12zd2envzc0zzcnst_allocz00,
		BgL_bgl_za762startza7d2cnstza72464za7,
		BGl_z62startzd2cnstzd2allocz12z70zzcnst_allocz00, 0L, BUNSPEC, 0);
	BGL_IMPORT obj_t BGl_u8vectorzd2ze3listzd2envze3zz__srfi4z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2int32zd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72465za7,
		BGl_z62cnstzd2alloczd2int32z62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2stringzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72466za7,
		BGl_z62cnstzd2alloczd2stringz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2uint32zd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72467za7,
		BGl_z62cnstzd2alloczd2uint32z62zzcnst_allocz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_f64vectorzd2ze3listzd2envze3zz__srfi4z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2cnstzd2sexpzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762getza7d2cnstza7d22468za7,
		BGl_z62getzd2cnstzd2sexpz62zzcnst_allocz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2stringzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2llongzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2elongzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2bignumzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2int64zd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2keywordzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2vectorzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2int32zd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2cnstzd2tableza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2globalzd2sexpza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2uint64zd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2oldzd2debugza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2uint32zd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2symbolzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2structzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2globalzd2setza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2realzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2listzd2envza2zd2zzcnst_allocz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long
		BgL_checksumz00_3621, char *BgL_fromz00_3622)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcnst_allocz00))
				{
					BGl_requirezd2initializa7ationz75zzcnst_allocz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcnst_allocz00();
					BGl_libraryzd2moduleszd2initz00zzcnst_allocz00();
					BGl_cnstzd2initzd2zzcnst_allocz00();
					BGl_importedzd2moduleszd2initz00zzcnst_allocz00();
					return BGl_toplevelzd2initzd2zzcnst_allocz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcnst_allocz00()
	{
		{	/* Cnst/alloc.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 0), "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__datez00(((long) 0), "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__ucs2z00(((long) 0), "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long) 0),
				"cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__unicodez00(((long) 0), "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "cnst_alloc");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcnst_allocz00()
	{
		{	/* Cnst/alloc.scm 15 */
			{	/* Cnst/alloc.scm 15 */
				obj_t BgL_cportz00_3608;

				{	/* Cnst/alloc.scm 15 */
					obj_t BgL_stringz00_3616;

					BgL_stringz00_3616 = BGl_string2435z00zzcnst_allocz00;
					{	/* Cnst/alloc.scm 15 */
						obj_t BgL_startz00_3617;

						BgL_startz00_3617 = BINT(((long) 0));
						{	/* Cnst/alloc.scm 15 */
							obj_t BgL_endz00_3618;

							BgL_endz00_3618 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3616)));
							{	/* Cnst/alloc.scm 15 */

								BgL_cportz00_3608 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3616, BgL_startz00_3617, BgL_endz00_3618);
				}}}}
				{
					long BgL_iz00_3609;

					BgL_iz00_3609 = ((long) 69);
				BgL_loopz00_3610:
					if ((BgL_iz00_3609 == ((long) -1)))
						{	/* Cnst/alloc.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cnst/alloc.scm 15 */
							{	/* Cnst/alloc.scm 15 */
								obj_t BgL_arg2437z00_3612;

								{	/* Cnst/alloc.scm 15 */

									{	/* Cnst/alloc.scm 15 */
										obj_t BgL_locationz00_3614;

										BgL_locationz00_3614 = BBOOL(((bool_t) 0));
										{	/* Cnst/alloc.scm 15 */

											BgL_arg2437z00_3612 =
												BGl_readz00zz__readerz00(BgL_cportz00_3608,
												BgL_locationz00_3614);
										}
									}
								}
								{	/* Cnst/alloc.scm 15 */
									int BgL_tmpz00_3660;

									BgL_tmpz00_3660 = (int) (BgL_iz00_3609);
									CNST_TABLE_SET(BgL_tmpz00_3660, BgL_arg2437z00_3612);
							}}
							{	/* Cnst/alloc.scm 15 */
								int BgL_auxz00_3615;

								BgL_auxz00_3615 = (int) ((BgL_iz00_3609 - ((long) 1)));
								{
									long BgL_iz00_3665;

									BgL_iz00_3665 = (long) (BgL_auxz00_3615);
									BgL_iz00_3609 = BgL_iz00_3665;
									goto BgL_loopz00_3610;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcnst_allocz00()
	{
		{	/* Cnst/alloc.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcnst_allocz00()
	{
		{	/* Cnst/alloc.scm 15 */
			BGl_za2cnstzd2tableza2zd2zzcnst_allocz00 = BUNSPEC;
			BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 = ((long) -1);
			BGl_za2stringzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2realzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2elongzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2llongzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2int32zd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2uint32zd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2int64zd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2uint64zd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2symbolzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2keywordzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2bignumzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2listzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2vectorzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2structzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2globalzd2setza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 = BNIL;
			return (BGl_za2oldzd2debugza2zd2zzcnst_allocz00 = BUNSPEC, BUNSPEC);
		}

	}



/* get-cnst-offset */
	BGL_EXPORTED_DEF obj_t BGl_getzd2cnstzd2offsetz00zzcnst_allocz00()
	{
		{	/* Cnst/alloc.scm 81 */
			return BINT(BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
		}

	}



/* &get-cnst-offset */
	obj_t BGl_z62getzd2cnstzd2offsetz62zzcnst_allocz00(obj_t BgL_envz00_3519)
	{
		{	/* Cnst/alloc.scm 81 */
			return BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
		}

	}



/* get-cnst-set */
	BGL_EXPORTED_DEF obj_t BGl_getzd2cnstzd2setz00zzcnst_allocz00()
	{
		{	/* Cnst/alloc.scm 87 */
			return BGl_za2globalzd2setza2zd2zzcnst_allocz00;
		}

	}



/* &get-cnst-set */
	obj_t BGl_z62getzd2cnstzd2setz62zzcnst_allocz00(obj_t BgL_envz00_3520)
	{
		{	/* Cnst/alloc.scm 87 */
			return BGl_getzd2cnstzd2setz00zzcnst_allocz00();
		}

	}



/* get-cnst-table */
	BGL_EXPORTED_DEF obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00()
	{
		{	/* Cnst/alloc.scm 93 */
			return BGl_za2cnstzd2tableza2zd2zzcnst_allocz00;
		}

	}



/* &get-cnst-table */
	obj_t BGl_z62getzd2cnstzd2tablez62zzcnst_allocz00(obj_t BgL_envz00_3521)
	{
		{	/* Cnst/alloc.scm 93 */
			return BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
		}

	}



/* get-cnst-sexp */
	BGL_EXPORTED_DEF obj_t BGl_getzd2cnstzd2sexpz00zzcnst_allocz00()
	{
		{	/* Cnst/alloc.scm 99 */
			return bgl_reverse_bang(BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
		}

	}



/* &get-cnst-sexp */
	obj_t BGl_z62getzd2cnstzd2sexpz62zzcnst_allocz00(obj_t BgL_envz00_3522)
	{
		{	/* Cnst/alloc.scm 99 */
			return BGl_getzd2cnstzd2sexpz00zzcnst_allocz00();
		}

	}



/* cnst-table-id */
	BGL_EXPORTED_DEF obj_t BGl_cnstzd2tablezd2idz00zzcnst_allocz00()
	{
		{	/* Cnst/alloc.scm 145 */
			return CNST_TABLE_REF(((long) 0));
		}

	}



/* &cnst-table-id */
	obj_t BGl_z62cnstzd2tablezd2idz62zzcnst_allocz00(obj_t BgL_envz00_3523)
	{
		{	/* Cnst/alloc.scm 145 */
			return BGl_cnstzd2tablezd2idz00zzcnst_allocz00();
		}

	}



/* typed-cnst-table-id */
	obj_t BGl_typedzd2cnstzd2tablezd2idzd2zzcnst_allocz00()
	{
		{	/* Cnst/alloc.scm 151 */
			{	/* Cnst/alloc.scm 152 */
				obj_t BgL_arg1554z00_1620;

				BgL_arg1554z00_1620 = CNST_TABLE_REF(((long) 0));
				return
					BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg1554z00_1620,
					CNST_TABLE_REF(((long) 1)));
		}}

	}



/* start-cnst-alloc! */
	BGL_EXPORTED_DEF obj_t BGl_startzd2cnstzd2allocz12z12zzcnst_allocz00()
	{
		{	/* Cnst/alloc.scm 157 */
			BGl_za2oldzd2debugza2zd2zzcnst_allocz00 =
				BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
			BGl_za2compilerzd2debugza2zd2zzengine_paramz00 = BINT(((long) 0));
			{	/* Cnst/alloc.scm 163 */
				obj_t BgL_arg1555z00_1621;

				BgL_arg1555z00_1621 = BGl_typedzd2cnstzd2tablezd2idzd2zzcnst_allocz00();
				BGl_za2cnstzd2tableza2zd2zzcnst_allocz00 =
					((obj_t)
					BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_arg1555z00_1621,
						BGl_za2moduleza2z00zzmodule_modulez00, CNST_TABLE_REF(((long) 2)),
						CNST_TABLE_REF(((long) 3))));
			}
			{	/* Cnst/alloc.scm 170 */
				bool_t BgL_test2471z00_3685;

				if (
					((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
						((long) 3)))
					{	/* Cnst/alloc.scm 171 */
						obj_t BgL_arg1567z00_1627;

						{	/* Cnst/alloc.scm 171 */
							obj_t BgL_arg1570z00_1628;

							BgL_arg1570z00_1628 = BGl_thezd2backendzd2zzbackend_backendz00();
							BgL_arg1567z00_1627 =
								(((BgL_backendz00_bglt) COBJECT(
										((BgL_backendz00_bglt) BgL_arg1570z00_1628)))->
								BgL_debugzd2supportzd2);
						}
						BgL_test2471z00_3685 =
							CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF((
										(long) 4)), BgL_arg1567z00_1627));
					}
				else
					{	/* Cnst/alloc.scm 170 */
						BgL_test2471z00_3685 = ((bool_t) 0);
					}
				if (BgL_test2471z00_3685)
					{	/* Cnst/alloc.scm 172 */
						BgL_globalz00_bglt BgL_oz00_2799;
						obj_t BgL_vz00_2800;

						BgL_oz00_2799 =
							((BgL_globalz00_bglt) BGl_za2cnstzd2tableza2zd2zzcnst_allocz00);
						BgL_vz00_2800 = CNST_TABLE_REF(((long) 5));
						((((BgL_globalz00_bglt) COBJECT(BgL_oz00_2799))->BgL_importz00) =
							((obj_t) BgL_vz00_2800), BUNSPEC);
					}
				else
					{	/* Cnst/alloc.scm 170 */
						BFALSE;
					}
			}
			BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 = ((long) 0);
			BGl_za2stringzd2envza2zd2zzcnst_allocz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL);
			BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL);
			BGl_za2realzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2symbolzd2envza2zd2zzcnst_allocz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL);
			BGl_za2keywordzd2envza2zd2zzcnst_allocz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL);
			BGl_za2bignumzd2envza2zd2zzcnst_allocz00 = BNIL;
			return BTRUE;
		}

	}



/* &start-cnst-alloc! */
	obj_t BGl_z62startzd2cnstzd2allocz12z70zzcnst_allocz00(obj_t BgL_envz00_3524)
	{
		{	/* Cnst/alloc.scm 157 */
			return BGl_startzd2cnstzd2allocz12z12zzcnst_allocz00();
		}

	}



/* stop-cnst-alloc! */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2cnstzd2allocz12z12zzcnst_allocz00()
	{
		{	/* Cnst/alloc.scm 185 */
			BGl_za2compilerzd2debugza2zd2zzengine_paramz00 =
				BGl_za2oldzd2debugza2zd2zzcnst_allocz00;
			BGl_za2stringzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
			BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
			BGl_za2realzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
			BGl_za2symbolzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
			BGl_za2keywordzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
			BGl_za2bignumzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
			BGl_za2listzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
			BGl_za2vectorzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
			BGl_za2structzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
			return BTRUE;
		}

	}



/* &stop-cnst-alloc! */
	obj_t BGl_z62stopzd2cnstzd2allocz12z70zzcnst_allocz00(obj_t BgL_envz00_3525)
	{
		{	/* Cnst/alloc.scm 185 */
			return BGl_stopzd2cnstzd2allocz12z12zzcnst_allocz00();
		}

	}



/* make-cnst-table-ref */
	BgL_appz00_bglt BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(obj_t
		BgL_offsetz00_35, obj_t BgL_typez00_36, obj_t BgL_locz00_37)
	{
		{	/* Cnst/alloc.scm 201 */
			{	/* Cnst/alloc.scm 202 */
				BgL_appz00_bglt BgL_new1105z00_1633;

				{	/* Cnst/alloc.scm 203 */
					BgL_appz00_bglt BgL_new1104z00_1645;

					BgL_new1104z00_1645 =
						((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appz00_bgl))));
					{	/* Cnst/alloc.scm 203 */
						long BgL_arg1588z00_1646;

						BgL_arg1588z00_1646 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1104z00_1645), BgL_arg1588z00_1646);
					}
					{	/* Cnst/alloc.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_3708;

						BgL_tmpz00_3708 = ((BgL_objectz00_bglt) BgL_new1104z00_1645);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3708, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1104z00_1645);
					BgL_new1105z00_1633 = BgL_new1104z00_1645;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1105z00_1633)))->BgL_locz00) =
					((obj_t) BgL_locz00_37), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3714;

					{	/* Cnst/alloc.scm 204 */
						BgL_typez00_bglt BgL_arg1578z00_1634;

						BgL_arg1578z00_1634 = BGl_getzd2defaultzd2typez00zztype_cachez00();
						BgL_auxz00_3714 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(
							((BgL_typez00_bglt) BgL_typez00_36), BgL_arg1578z00_1634);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1105z00_1633)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3714), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt) BgL_new1105z00_1633)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1105z00_1633)))->BgL_keyz00) =
					((obj_t) BINT(((long) -1))), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_3725;

					{	/* Cnst/alloc.scm 205 */
						BgL_refz00_bglt BgL_new1107z00_1635;

						{	/* Cnst/alloc.scm 206 */
							BgL_refz00_bglt BgL_new1106z00_1638;

							BgL_new1106z00_1638 =
								((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_refz00_bgl))));
							{	/* Cnst/alloc.scm 206 */
								long BgL_arg1583z00_1639;

								{	/* Cnst/alloc.scm 206 */
									obj_t BgL_classz00_2805;

									BgL_classz00_2805 = BGl_refz00zzast_nodez00;
									BgL_arg1583z00_1639 = BGL_CLASS_NUM(BgL_classz00_2805);
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1106z00_1638),
									BgL_arg1583z00_1639);
							}
							{	/* Cnst/alloc.scm 206 */
								BgL_objectz00_bglt BgL_tmpz00_3730;

								BgL_tmpz00_3730 = ((BgL_objectz00_bglt) BgL_new1106z00_1638);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3730, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1106z00_1638);
							BgL_new1107z00_1635 = BgL_new1106z00_1638;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1107z00_1635)))->BgL_locz00) =
							((obj_t) BgL_locz00_37), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_3736;

							{	/* Cnst/alloc.scm 207 */
								BgL_typez00_bglt BgL_arg1581z00_1636;
								BgL_typez00_bglt BgL_arg1582z00_1637;

								BgL_arg1581z00_1636 =
									BGl_getzd2defaultzd2typez00zztype_cachez00();
								{	/* Cnst/alloc.scm 207 */
									BgL_variablez00_bglt BgL_oz00_2809;

									BgL_oz00_2809 =
										((BgL_variablez00_bglt)
										BGl_za2cnstzd2tablezd2refza2z00zzcnst_cachez00);
									BgL_arg1582z00_1637 =
										(((BgL_variablez00_bglt) COBJECT(BgL_oz00_2809))->
										BgL_typez00);
								}
								BgL_auxz00_3736 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1581z00_1636,
									BgL_arg1582z00_1637);
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1107z00_1635)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_3736), BUNSPEC);
						}
						((((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_new1107z00_1635)))->
								BgL_variablez00) =
							((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
									BGl_za2cnstzd2tablezd2refza2z00zzcnst_cachez00)), BUNSPEC);
						BgL_auxz00_3725 = ((BgL_varz00_bglt) BgL_new1107z00_1635);
					}
					((((BgL_appz00_bglt) COBJECT(BgL_new1105z00_1633))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_3725), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_3748;

					{	/* Cnst/alloc.scm 209 */
						BgL_literalz00_bglt BgL_arg1584z00_1640;

						{	/* Cnst/alloc.scm 209 */
							BgL_literalz00_bglt BgL_new1110z00_1642;

							{	/* Cnst/alloc.scm 210 */
								BgL_literalz00_bglt BgL_new1109z00_1643;

								BgL_new1109z00_1643 =
									((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_literalz00_bgl))));
								{	/* Cnst/alloc.scm 210 */
									long BgL_arg1586z00_1644;

									{	/* Cnst/alloc.scm 210 */
										obj_t BgL_classz00_2810;

										BgL_classz00_2810 = BGl_literalz00zzast_nodez00;
										BgL_arg1586z00_1644 = BGL_CLASS_NUM(BgL_classz00_2810);
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1109z00_1643),
										BgL_arg1586z00_1644);
								}
								{	/* Cnst/alloc.scm 210 */
									BgL_objectz00_bglt BgL_tmpz00_3753;

									BgL_tmpz00_3753 = ((BgL_objectz00_bglt) BgL_new1109z00_1643);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3753, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1109z00_1643);
								BgL_new1110z00_1642 = BgL_new1109z00_1643;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1110z00_1642)))->BgL_locz00) =
								((obj_t) BgL_locz00_37), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1110z00_1642)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2intza2z00zztype_cachez00)), BUNSPEC);
							((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
												BgL_new1110z00_1642)))->BgL_valuez00) =
								((obj_t) BgL_offsetz00_35), BUNSPEC);
							BgL_arg1584z00_1640 = BgL_new1110z00_1642;
						}
						{	/* Cnst/alloc.scm 209 */
							obj_t BgL_list1585z00_1641;

							BgL_list1585z00_1641 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1584z00_1640), BNIL);
							BgL_auxz00_3748 = BgL_list1585z00_1641;
					}}
					((((BgL_appz00_bglt) COBJECT(BgL_new1105z00_1633))->BgL_argsz00) =
						((obj_t) BgL_auxz00_3748), BUNSPEC);
				}
				((((BgL_appz00_bglt) COBJECT(BgL_new1105z00_1633))->BgL_stackablez00) =
					((obj_t) BFALSE), BUNSPEC);
				return BgL_new1105z00_1633;
			}
		}

	}



/* cnst-alloc-string */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2stringz00zzcnst_allocz00(obj_t BgL_stringz00_38,
		obj_t BgL_locz00_39)
	{
		{	/* Cnst/alloc.scm 221 */
			{

				{	/* Cnst/alloc.scm 236 */
					obj_t BgL_oldz00_1648;

					{	/* Cnst/alloc.scm 236 */
						obj_t BgL__andtest_1113z00_1652;

						BgL__andtest_1113z00_1652 =
							BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00;
						if (CBOOL(BgL__andtest_1113z00_1652))
							{	/* Cnst/alloc.scm 236 */
								BgL_oldz00_1648 =
									BGl_hashtablezd2getzd2zz__hashz00
									(BGl_za2stringzd2envza2zd2zzcnst_allocz00, BgL_stringz00_38);
							}
						else
							{	/* Cnst/alloc.scm 236 */
								BgL_oldz00_1648 = BFALSE;
							}
					}
					if (CBOOL(BgL_oldz00_1648))
						{	/* Cnst/alloc.scm 239 */
							BgL_refz00_bglt BgL_new1115z00_1649;

							{	/* Cnst/alloc.scm 240 */
								BgL_refz00_bglt BgL_new1114z00_1650;

								BgL_new1114z00_1650 =
									((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_refz00_bgl))));
								{	/* Cnst/alloc.scm 240 */
									long BgL_arg1595z00_1651;

									BgL_arg1595z00_1651 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1114z00_1650),
										BgL_arg1595z00_1651);
								}
								{	/* Cnst/alloc.scm 240 */
									BgL_objectz00_bglt BgL_tmpz00_3777;

									BgL_tmpz00_3777 = ((BgL_objectz00_bglt) BgL_new1114z00_1650);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3777, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1114z00_1650);
								BgL_new1115z00_1649 = BgL_new1114z00_1650;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1115z00_1649)))->BgL_locz00) =
								((obj_t) BgL_locz00_39), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1115z00_1649)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2bstringza2z00zztype_cachez00)), BUNSPEC);
							((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
												BgL_new1115z00_1649)))->BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										STRUCT_REF(((obj_t) BgL_oldz00_1648), (int) (((long) 1))))),
								BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1115z00_1649);
						}
					else
						{
							BgL_refz00_bglt BgL_auxz00_3793;

							{	/* Cnst/alloc.scm 224 */
								BgL_globalz00_bglt BgL_varz00_1654;

								{	/* Cnst/alloc.scm 225 */
									obj_t BgL_arg1602z00_1659;

									{	/* Cnst/alloc.scm 225 */
										obj_t BgL_arg1603z00_1660;

										BgL_arg1603z00_1660 =
											BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													6)));
										BgL_arg1602z00_1659 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg1603z00_1660, CNST_TABLE_REF(((long) 7)));
									}
									BgL_varz00_1654 =
										BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
										(BgL_arg1602z00_1659, BGl_za2moduleza2z00zzmodule_modulez00,
										BgL_stringz00_38, CNST_TABLE_REF(((long) 8)),
										BgL_locz00_39);
								}
								if (CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
									{	/* Cnst/alloc.scm 231 */
										obj_t BgL_arg1597z00_1655;

										{	/* Cnst/alloc.scm 69 */
											obj_t BgL_newz00_2815;

											BgL_newz00_2815 =
												create_struct(CNST_TABLE_REF(((long) 9)),
												(int) (((long) 2)));
											{	/* Cnst/alloc.scm 69 */
												obj_t BgL_auxz00_3807;
												int BgL_tmpz00_3805;

												BgL_auxz00_3807 = ((obj_t) BgL_varz00_1654);
												BgL_tmpz00_3805 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_2815, BgL_tmpz00_3805,
													BgL_auxz00_3807);
											}
											{	/* Cnst/alloc.scm 69 */
												int BgL_tmpz00_3810;

												BgL_tmpz00_3810 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_2815, BgL_tmpz00_3810,
													BgL_stringz00_38);
											}
											BgL_arg1597z00_1655 = BgL_newz00_2815;
										}
										BGl_hashtablezd2putz12zc0zz__hashz00
											(BGl_za2stringzd2envza2zd2zzcnst_allocz00,
											BgL_stringz00_38, BgL_arg1597z00_1655);
									}
								else
									{	/* Cnst/alloc.scm 230 */
										BFALSE;
									}
								{	/* Cnst/alloc.scm 232 */
									BgL_refz00_bglt BgL_new1112z00_1656;

									{	/* Cnst/alloc.scm 233 */
										BgL_refz00_bglt BgL_new1111z00_1657;

										BgL_new1111z00_1657 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 233 */
											long BgL_arg1601z00_1658;

											BgL_arg1601z00_1658 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1111z00_1657),
												BgL_arg1601z00_1658);
										}
										{	/* Cnst/alloc.scm 233 */
											BgL_objectz00_bglt BgL_tmpz00_3818;

											BgL_tmpz00_3818 =
												((BgL_objectz00_bglt) BgL_new1111z00_1657);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3818, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1111z00_1657);
										BgL_new1112z00_1656 = BgL_new1111z00_1657;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1112z00_1656)))->
											BgL_locz00) = ((obj_t) BgL_locz00_39), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1112z00_1656)))->BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2bstringza2z00zztype_cachez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1112z00_1656)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_varz00_1654)), BUNSPEC);
									BgL_auxz00_3793 = BgL_new1112z00_1656;
							}}
							return ((BgL_nodez00_bglt) BgL_auxz00_3793);
						}
				}
			}
		}

	}



/* &cnst-alloc-string */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2stringz62zzcnst_allocz00(obj_t
		BgL_envz00_3526, obj_t BgL_stringz00_3527, obj_t BgL_locz00_3528)
	{
		{	/* Cnst/alloc.scm 221 */
			return
				BGl_cnstzd2alloczd2stringz00zzcnst_allocz00(BgL_stringz00_3527,
				BgL_locz00_3528);
		}

	}



/* cnst-alloc-ucs2-string */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2ucs2zd2stringzd2zzcnst_allocz00(obj_t BgL_stringz00_40,
		obj_t BgL_locz00_41)
	{
		{	/* Cnst/alloc.scm 249 */
			{
				obj_t BgL_bstringz00_1682;

				{	/* Cnst/alloc.scm 281 */
					obj_t BgL_oldz00_1664;
					obj_t BgL_stringzd2aszd2bstringz00_1665;

					BgL_oldz00_1664 =
						BGl_hashtablezd2getzd2zz__hashz00
						(BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00, BgL_stringz00_40);
					BgL_stringzd2aszd2bstringz00_1665 =
						ucs2_string_to_utf8_string(BgL_stringz00_40);
					if (CBOOL(BgL_oldz00_1664))
						{	/* Cnst/alloc.scm 284 */
							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									CNST_TABLE_REF(((long) 14))))
								{	/* Cnst/alloc.scm 286 */
									BgL_refz00_bglt BgL_new1125z00_1667;

									{	/* Cnst/alloc.scm 287 */
										BgL_refz00_bglt BgL_new1124z00_1669;

										BgL_new1124z00_1669 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 287 */
											long BgL_arg1612z00_1670;

											BgL_arg1612z00_1670 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1124z00_1669),
												BgL_arg1612z00_1670);
										}
										{	/* Cnst/alloc.scm 287 */
											BgL_objectz00_bglt BgL_tmpz00_3843;

											BgL_tmpz00_3843 =
												((BgL_objectz00_bglt) BgL_new1124z00_1669);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3843, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1124z00_1669);
										BgL_new1125z00_1667 = BgL_new1124z00_1669;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1125z00_1667)))->
											BgL_locz00) = ((obj_t) BgL_locz00_41), BUNSPEC);
									{
										BgL_typez00_bglt BgL_auxz00_3849;

										{	/* Cnst/alloc.scm 288 */
											BgL_typez00_bglt BgL_arg1606z00_1668;

											BgL_arg1606z00_1668 =
												BGl_getzd2defaultzd2typez00zztype_cachez00();
											BgL_auxz00_3849 =
												BGl_strictzd2nodezd2typez00zzast_nodez00(
												((BgL_typez00_bglt)
													BGl_za2ucs2stringza2z00zztype_cachez00),
												BgL_arg1606z00_1668);
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1125z00_1667)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_auxz00_3849), BUNSPEC);
									}
									((((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_new1125z00_1667)))->
											BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												STRUCT_REF(((obj_t) BgL_oldz00_1664),
													(int) (((long) 1))))), BUNSPEC);
									return ((BgL_nodez00_bglt) BgL_new1125z00_1667);
								}
							else
								{	/* Cnst/alloc.scm 290 */
									obj_t BgL_arg1613z00_1671;

									BgL_arg1613z00_1671 =
										STRUCT_REF(((obj_t) BgL_oldz00_1664), (int) (((long) 1)));
									return
										((BgL_nodez00_bglt)
										BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00
										(BgL_arg1613z00_1671,
											BGl_za2ucs2stringza2z00zztype_cachez00, BgL_locz00_41));
								}
						}
					else
						{	/* Cnst/alloc.scm 291 */
							bool_t BgL_test2478z00_3867;

							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									CNST_TABLE_REF(((long) 14))))
								{	/* Cnst/alloc.scm 291 */
									BgL_test2478z00_3867 = ((bool_t) 1);
								}
							else
								{	/* Cnst/alloc.scm 291 */
									if (
										(STRING_LENGTH(BgL_stringzd2aszd2bstringz00_1665) ==
											((long) 0)))
										{	/* Cnst/alloc.scm 292 */
											BgL_test2478z00_3867 = ((bool_t) 1);
										}
									else
										{	/* Cnst/alloc.scm 292 */
											BgL_test2478z00_3867 =
												(STRING_REF(BgL_stringzd2aszd2bstringz00_1665,
													((long) 0)) == ((unsigned char) ';'));
								}}
							if (BgL_test2478z00_3867)
								{
									BgL_refz00_bglt BgL_auxz00_3876;

									BgL_bstringz00_1682 = BgL_stringzd2aszd2bstringz00_1665;
									{	/* Cnst/alloc.scm 251 */
										BgL_globalz00_bglt BgL_varz00_1684;
										BgL_nodez00_bglt BgL_vsz00_1685;

										{	/* Cnst/alloc.scm 252 */
											obj_t BgL_arg1696z00_1708;

											{	/* Cnst/alloc.scm 252 */
												obj_t BgL_arg1699z00_1709;

												BgL_arg1699z00_1709 =
													BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 10)));
												BgL_arg1696z00_1708 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_arg1699z00_1709, CNST_TABLE_REF(((long) 10)));
											}
											BgL_varz00_1684 =
												BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
												(BgL_arg1696z00_1708,
												BGl_za2moduleza2z00zzmodule_modulez00,
												CNST_TABLE_REF(((long) 11)),
												CNST_TABLE_REF(((long) 3)));
										}
										BgL_vsz00_1685 =
											BGl_cnstzd2alloczd2stringz00zzcnst_allocz00
											(BgL_bstringz00_1682, BgL_locz00_41);
										{	/* Cnst/alloc.scm 257 */
											obj_t BgL_arg1652z00_1686;

											{	/* Cnst/alloc.scm 69 */
												obj_t BgL_newz00_2827;

												BgL_newz00_2827 =
													create_struct(CNST_TABLE_REF(((long) 9)),
													(int) (((long) 2)));
												{	/* Cnst/alloc.scm 69 */
													obj_t BgL_auxz00_3890;
													int BgL_tmpz00_3888;

													BgL_auxz00_3890 = ((obj_t) BgL_varz00_1684);
													BgL_tmpz00_3888 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_2827, BgL_tmpz00_3888,
														BgL_auxz00_3890);
												}
												{	/* Cnst/alloc.scm 69 */
													int BgL_tmpz00_3893;

													BgL_tmpz00_3893 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_2827, BgL_tmpz00_3893,
														BgL_stringz00_40);
												}
												BgL_arg1652z00_1686 = BgL_newz00_2827;
											}
											BGl_hashtablezd2putz12zc0zz__hashz00
												(BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00,
												BgL_stringz00_40, BgL_arg1652z00_1686);
										}
										{	/* Cnst/alloc.scm 258 */
											obj_t BgL_arg1656z00_1687;

											{	/* Cnst/alloc.scm 258 */
												obj_t BgL_arg1657z00_1688;

												{	/* Cnst/alloc.scm 258 */
													obj_t BgL_arg1660z00_1689;
													obj_t BgL_arg1665z00_1690;

													{	/* Cnst/alloc.scm 258 */
														obj_t BgL_arg1667z00_1691;

														{	/* Cnst/alloc.scm 258 */
															obj_t BgL_arg1668z00_1692;
															obj_t BgL_arg1675z00_1693;

															BgL_arg1668z00_1692 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_varz00_1684)))->
																BgL_idz00);
															BgL_arg1675z00_1693 =
																MAKE_YOUNG_PAIR((((BgL_globalz00_bglt)
																		COBJECT(BgL_varz00_1684))->BgL_modulez00),
																BNIL);
															BgL_arg1667z00_1691 =
																MAKE_YOUNG_PAIR(BgL_arg1668z00_1692,
																BgL_arg1675z00_1693);
														}
														BgL_arg1660z00_1689 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
															BgL_arg1667z00_1691);
													}
													{	/* Cnst/alloc.scm 260 */
														BgL_nodez00_bglt BgL_arg1678z00_1695;

														{	/* Cnst/alloc.scm 260 */
															BgL_appz00_bglt BgL_arg1679z00_1696;
															BgL_typez00_bglt BgL_arg1681z00_1697;

															{	/* Cnst/alloc.scm 260 */
																BgL_appz00_bglt BgL_new1118z00_1698;

																{	/* Cnst/alloc.scm 267 */
																	BgL_appz00_bglt BgL_new1117z00_1703;

																	BgL_new1117z00_1703 =
																		((BgL_appz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_appz00_bgl))));
																	{	/* Cnst/alloc.scm 267 */
																		long BgL_arg1694z00_1704;

																		BgL_arg1694z00_1704 =
																			BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1117z00_1703),
																			BgL_arg1694z00_1704);
																	}
																	{	/* Cnst/alloc.scm 267 */
																		BgL_objectz00_bglt BgL_tmpz00_3908;

																		BgL_tmpz00_3908 =
																			((BgL_objectz00_bglt)
																			BgL_new1117z00_1703);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3908,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1117z00_1703);
																	BgL_new1118z00_1698 = BgL_new1117z00_1703;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1118z00_1698)))->BgL_locz00) =
																	((obj_t) BgL_locz00_41), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1118z00_1698)))->BgL_typez00) =
																	((BgL_typez00_bglt) ((BgL_typez00_bglt)
																			BGl_za2ucs2stringza2z00zztype_cachez00)),
																	BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1118z00_1698)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1118z00_1698)))->BgL_keyz00) =
																	((obj_t) BINT(((long) -1))), BUNSPEC);
																{
																	BgL_varz00_bglt BgL_auxz00_3922;

																	{	/* Cnst/alloc.scm 263 */
																		BgL_refz00_bglt BgL_new1120z00_1699;

																		{	/* Cnst/alloc.scm 266 */
																			BgL_refz00_bglt BgL_new1119z00_1700;

																			BgL_new1119z00_1700 =
																				((BgL_refz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_refz00_bgl))));
																			{	/* Cnst/alloc.scm 266 */
																				long BgL_arg1682z00_1701;

																				{	/* Cnst/alloc.scm 266 */
																					obj_t BgL_classz00_2836;

																					BgL_classz00_2836 =
																						BGl_refz00zzast_nodez00;
																					BgL_arg1682z00_1701 =
																						BGL_CLASS_NUM(BgL_classz00_2836);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1119z00_1700),
																					BgL_arg1682z00_1701);
																			}
																			{	/* Cnst/alloc.scm 266 */
																				BgL_objectz00_bglt BgL_tmpz00_3927;

																				BgL_tmpz00_3927 =
																					((BgL_objectz00_bglt)
																					BgL_new1119z00_1700);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3927,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1119z00_1700);
																			BgL_new1120z00_1699 = BgL_new1119z00_1700;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1120z00_1699)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_41), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1120z00_1699)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((BgL_typez00_bglt)
																					BGl_za2ucs2stringza2z00zztype_cachez00)),
																			BUNSPEC);
																		((((BgL_varz00_bglt)
																					COBJECT(((BgL_varz00_bglt)
																							BgL_new1120z00_1699)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BGl_za2stringzd2ze3ucs2stringza2z31zzcnst_cachez00)),
																			BUNSPEC);
																		BgL_auxz00_3922 =
																			((BgL_varz00_bglt) BgL_new1120z00_1699);
																	}
																	((((BgL_appz00_bglt)
																				COBJECT(BgL_new1118z00_1698))->
																			BgL_funz00) =
																		((BgL_varz00_bglt) BgL_auxz00_3922),
																		BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_3941;

																	{	/* Cnst/alloc.scm 267 */
																		obj_t BgL_list1683z00_1702;

																		BgL_list1683z00_1702 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_vsz00_1685), BNIL);
																		BgL_auxz00_3941 = BgL_list1683z00_1702;
																	}
																	((((BgL_appz00_bglt)
																				COBJECT(BgL_new1118z00_1698))->
																			BgL_argsz00) =
																		((obj_t) BgL_auxz00_3941), BUNSPEC);
																}
																((((BgL_appz00_bglt)
																			COBJECT(BgL_new1118z00_1698))->
																		BgL_stackablez00) =
																	((obj_t) BFALSE), BUNSPEC);
																BgL_arg1679z00_1696 = BgL_new1118z00_1698;
															}
															BgL_arg1681z00_1697 =
																BGl_strictzd2nodezd2typez00zzast_nodez00(
																((BgL_typez00_bglt)
																	BGl_za2ucs2stringza2z00zztype_cachez00),
																((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00));
															BgL_arg1678z00_1695 =
																BGl_coercez12z12zzcoerce_coercez00((
																	(BgL_nodez00_bglt) BgL_arg1679z00_1696),
																((obj_t) BgL_varz00_1684), BgL_arg1681z00_1697,
																((bool_t) 0));
														}
														BgL_arg1665z00_1690 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1678z00_1695), BNIL);
													}
													BgL_arg1657z00_1688 =
														MAKE_YOUNG_PAIR(BgL_arg1660z00_1689,
														BgL_arg1665z00_1690);
												}
												BgL_arg1656z00_1687 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 13)),
													BgL_arg1657z00_1688);
											}
											BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 =
												MAKE_YOUNG_PAIR(BgL_arg1656z00_1687,
												BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
										}
										{	/* Cnst/alloc.scm 271 */
											BgL_refz00_bglt BgL_new1123z00_1705;

											{	/* Cnst/alloc.scm 272 */
												BgL_refz00_bglt BgL_new1121z00_1706;

												BgL_new1121z00_1706 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Cnst/alloc.scm 272 */
													long BgL_arg1695z00_1707;

													BgL_arg1695z00_1707 =
														BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1121z00_1706),
														BgL_arg1695z00_1707);
												}
												{	/* Cnst/alloc.scm 272 */
													BgL_objectz00_bglt BgL_tmpz00_3962;

													BgL_tmpz00_3962 =
														((BgL_objectz00_bglt) BgL_new1121z00_1706);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3962, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1121z00_1706);
												BgL_new1123z00_1705 = BgL_new1121z00_1706;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1123z00_1705)))->
													BgL_locz00) = ((obj_t) BgL_locz00_41), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1123z00_1705)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_varz00_1684)))->BgL_typez00)), BUNSPEC);
											((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_new1123z00_1705)))->BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_varz00_1684)), BUNSPEC);
											BgL_auxz00_3876 = BgL_new1123z00_1705;
									}}
									return ((BgL_nodez00_bglt) BgL_auxz00_3876);
								}
							else
								{
									BgL_appz00_bglt BgL_auxz00_3976;

									{	/* Cnst/alloc.scm 276 */
										long BgL_offsetz00_1711;

										BgL_offsetz00_1711 =
											BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
										BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 =
											(((long) 1) + BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
										BGl_za2globalzd2setza2zd2zzcnst_allocz00 =
											MAKE_YOUNG_PAIR(BgL_stringz00_40,
											BGl_za2globalzd2setza2zd2zzcnst_allocz00);
										{	/* Cnst/alloc.scm 279 */
											obj_t BgL_arg1703z00_1712;

											{	/* Cnst/alloc.scm 69 */
												obj_t BgL_newz00_2847;

												BgL_newz00_2847 =
													create_struct(CNST_TABLE_REF(((long) 9)),
													(int) (((long) 2)));
												{	/* Cnst/alloc.scm 69 */
													obj_t BgL_auxz00_3984;
													int BgL_tmpz00_3982;

													BgL_auxz00_3984 = BINT(BgL_offsetz00_1711);
													BgL_tmpz00_3982 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_2847, BgL_tmpz00_3982,
														BgL_auxz00_3984);
												}
												{	/* Cnst/alloc.scm 69 */
													int BgL_tmpz00_3987;

													BgL_tmpz00_3987 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_2847, BgL_tmpz00_3987,
														BgL_stringz00_40);
												}
												BgL_arg1703z00_1712 = BgL_newz00_2847;
											}
											BGl_hashtablezd2putz12zc0zz__hashz00
												(BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00,
												BgL_stringz00_40, BgL_arg1703z00_1712);
										}
										BgL_auxz00_3976 =
											BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BINT
											(BgL_offsetz00_1711),
											BGl_za2ucs2stringza2z00zztype_cachez00, BgL_locz00_41);
									}
									return ((BgL_nodez00_bglt) BgL_auxz00_3976);
								}
						}
				}
			}
		}

	}



/* &cnst-alloc-ucs2-string */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2ucs2zd2stringzb0zzcnst_allocz00(obj_t
		BgL_envz00_3529, obj_t BgL_stringz00_3530, obj_t BgL_locz00_3531)
	{
		{	/* Cnst/alloc.scm 249 */
			return
				BGl_cnstzd2alloczd2ucs2zd2stringzd2zzcnst_allocz00(BgL_stringz00_3530,
				BgL_locz00_3531);
		}

	}



/* cnst-alloc-symbol */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2symbolz00zzcnst_allocz00(obj_t BgL_symbolz00_42,
		obj_t BgL_locz00_43)
	{
		{	/* Cnst/alloc.scm 301 */
			{

				{	/* Cnst/alloc.scm 332 */
					obj_t BgL_oldz00_1717;
					obj_t BgL_symbolzd2aszd2stringz00_1718;

					BgL_oldz00_1717 =
						BGl_hashtablezd2getzd2zz__hashz00
						(BGl_za2symbolzd2envza2zd2zzcnst_allocz00, BgL_symbolz00_42);
					{	/* Cnst/alloc.scm 333 */
						obj_t BgL_arg1463z00_2888;

						BgL_arg1463z00_2888 = SYMBOL_TO_STRING(BgL_symbolz00_42);
						BgL_symbolzd2aszd2stringz00_1718 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1463z00_2888);
					}
					{	/* Cnst/alloc.scm 335 */
						bool_t BgL_test2481z00_3998;

						if (STRUCTP(BgL_oldz00_1717))
							{	/* Cnst/alloc.scm 69 */
								BgL_test2481z00_3998 =
									(STRUCT_KEY(BgL_oldz00_1717) == CNST_TABLE_REF(((long) 9)));
							}
						else
							{	/* Cnst/alloc.scm 69 */
								BgL_test2481z00_3998 = ((bool_t) 0);
							}
						if (BgL_test2481z00_3998)
							{	/* Cnst/alloc.scm 337 */
								bool_t BgL_test2483z00_4004;

								{	/* Cnst/alloc.scm 337 */
									obj_t BgL_arg1715z00_1730;

									BgL_arg1715z00_1730 =
										STRUCT_REF(BgL_oldz00_1717, (int) (((long) 1)));
									{	/* Cnst/alloc.scm 337 */
										obj_t BgL_classz00_2894;

										BgL_classz00_2894 = BGl_variablez00zzast_varz00;
										if (BGL_OBJECTP(BgL_arg1715z00_1730))
											{	/* Cnst/alloc.scm 337 */
												BgL_objectz00_bglt BgL_arg1825z00_2896;

												BgL_arg1825z00_2896 =
													(BgL_objectz00_bglt) (BgL_arg1715z00_1730);
												{	/* Cnst/alloc.scm 337 */
													bool_t BgL_arg1822z00_2899;
													bool_t BgL_arg1823z00_2900;

													{	/* Cnst/alloc.scm 337 */
														long BgL_idxz00_2903;

														BgL_idxz00_2903 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2896);
														BgL_arg1822z00_2899 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2903 + ((long) 1))) ==
															BgL_classz00_2894);
													}
													{	/* Cnst/alloc.scm 337 */
														bool_t BgL_res2408z00_2925;

														{	/* Cnst/alloc.scm 337 */
															obj_t BgL_oclassz00_2911;

															{	/* Cnst/alloc.scm 337 */
																long BgL_arg1833z00_2917;

																{	/* Cnst/alloc.scm 337 */
																	long BgL_arg1834z00_2918;

																	BgL_arg1834z00_2918 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2896);
																	BgL_arg1833z00_2917 =
																		(BgL_arg1834z00_2918 - OBJECT_TYPE);
																}
																BgL_oclassz00_2911 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2917);
															}
															{	/* Cnst/alloc.scm 337 */
																bool_t BgL__ortest_1110z00_2912;

																BgL__ortest_1110z00_2912 =
																	(BgL_classz00_2894 == BgL_oclassz00_2911);
																if (BgL__ortest_1110z00_2912)
																	{	/* Cnst/alloc.scm 337 */
																		BgL_res2408z00_2925 =
																			BgL__ortest_1110z00_2912;
																	}
																else
																	{	/* Cnst/alloc.scm 337 */
																		long BgL_odepthz00_2913;

																		BgL_odepthz00_2913 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2911);
																		if ((((long) 1) < BgL_odepthz00_2913))
																			{	/* Cnst/alloc.scm 337 */
																				obj_t BgL_arg1821z00_2915;

																				BgL_arg1821z00_2915 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2911, ((long) 1));
																				BgL_res2408z00_2925 =
																					(BgL_arg1821z00_2915 ==
																					BgL_classz00_2894);
																			}
																		else
																			{	/* Cnst/alloc.scm 337 */
																				BgL_res2408z00_2925 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2900 = BgL_res2408z00_2925;
													}
													BgL_test2483z00_4004 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2899,
														BgL_arg1823z00_2900);
												}
											}
										else
											{	/* Cnst/alloc.scm 337 */
												BgL_test2483z00_4004 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2483z00_4004)
									{	/* Cnst/alloc.scm 338 */
										BgL_refz00_bglt BgL_new1136z00_1722;

										{	/* Cnst/alloc.scm 339 */
											BgL_refz00_bglt BgL_new1135z00_1723;

											BgL_new1135z00_1723 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Cnst/alloc.scm 339 */
												long BgL_arg1711z00_1724;

												BgL_arg1711z00_1724 =
													BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1135z00_1723),
													BgL_arg1711z00_1724);
											}
											{	/* Cnst/alloc.scm 339 */
												BgL_objectz00_bglt BgL_tmpz00_4029;

												BgL_tmpz00_4029 =
													((BgL_objectz00_bglt) BgL_new1135z00_1723);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4029, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1135z00_1723);
											BgL_new1136z00_1722 = BgL_new1135z00_1723;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1136z00_1722)))->
												BgL_locz00) = ((obj_t) BgL_locz00_43), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1136z00_1722)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BGl_za2symbolza2z00zztype_cachez00)), BUNSPEC);
										((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
															BgL_new1136z00_1722)))->BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													STRUCT_REF(BgL_oldz00_1717, (int) (((long) 1))))),
											BUNSPEC);
										return ((BgL_nodez00_bglt) BgL_new1136z00_1722);
									}
								else
									{	/* Cnst/alloc.scm 337 */
										if (
											(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
												CNST_TABLE_REF(((long) 14))))
											{	/* Cnst/alloc.scm 343 */
												BgL_refz00_bglt BgL_new1138z00_1726;

												{	/* Cnst/alloc.scm 344 */
													BgL_refz00_bglt BgL_new1137z00_1727;

													BgL_new1137z00_1727 =
														((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_refz00_bgl))));
													{	/* Cnst/alloc.scm 344 */
														long BgL_arg1713z00_1728;

														BgL_arg1713z00_1728 =
															BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1137z00_1727),
															BgL_arg1713z00_1728);
													}
													{	/* Cnst/alloc.scm 344 */
														BgL_objectz00_bglt BgL_tmpz00_4051;

														BgL_tmpz00_4051 =
															((BgL_objectz00_bglt) BgL_new1137z00_1727);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4051, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1137z00_1727);
													BgL_new1138z00_1726 = BgL_new1137z00_1727;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1138z00_1726)))->
														BgL_locz00) = ((obj_t) BgL_locz00_43), BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1138z00_1726)))->BgL_typez00) =
													((BgL_typez00_bglt) ((BgL_typez00_bglt)
															BGl_za2symbolza2z00zztype_cachez00)), BUNSPEC);
												((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																	BgL_new1138z00_1726)))->BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															STRUCT_REF(BgL_oldz00_1717, (int) (((long) 1))))),
													BUNSPEC);
												return ((BgL_nodez00_bglt) BgL_new1138z00_1726);
											}
										else
											{	/* Cnst/alloc.scm 348 */
												obj_t BgL_arg1714z00_1729;

												BgL_arg1714z00_1729 =
													STRUCT_REF(BgL_oldz00_1717, (int) (((long) 1)));
												return
													((BgL_nodez00_bglt)
													BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00
													(BgL_arg1714z00_1729,
														BGl_za2symbolza2z00zztype_cachez00, BgL_locz00_43));
											}
									}
							}
						else
							{	/* Cnst/alloc.scm 335 */
								if (CBOOL(BgL_oldz00_1717))
									{	/* Cnst/alloc.scm 352 */
										obj_t BgL_arg1716z00_1731;

										BgL_arg1716z00_1731 =
											BGl_shapez00zztools_shapez00(BgL_oldz00_1717);
										return
											((BgL_nodez00_bglt)
											BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF((
														(long) 17)), BGl_string2431z00zzcnst_allocz00,
												BgL_arg1716z00_1731));
									}
								else
									{	/* Cnst/alloc.scm 353 */
										bool_t BgL_test2489z00_4076;

										if (
											(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
												CNST_TABLE_REF(((long) 14))))
											{	/* Cnst/alloc.scm 353 */
												BgL_test2489z00_4076 = ((bool_t) 1);
											}
										else
											{	/* Cnst/alloc.scm 353 */
												if (
													(STRING_LENGTH(BgL_symbolzd2aszd2stringz00_1718) ==
														((long) 0)))
													{	/* Cnst/alloc.scm 354 */
														BgL_test2489z00_4076 = ((bool_t) 1);
													}
												else
													{	/* Cnst/alloc.scm 354 */
														BgL_test2489z00_4076 =
															(STRING_REF(BgL_symbolzd2aszd2stringz00_1718,
																((long) 0)) == ((unsigned char) ';'));
											}}
										if (BgL_test2489z00_4076)
											{
												BgL_refz00_bglt BgL_auxz00_4085;

												{	/* Cnst/alloc.scm 303 */
													BgL_globalz00_bglt BgL_varz00_1743;
													BgL_nodez00_bglt BgL_vsz00_1744;

													{	/* Cnst/alloc.scm 303 */
														obj_t BgL_arg1762z00_1767;

														{	/* Cnst/alloc.scm 303 */
															obj_t BgL_arg1763z00_1768;

															BgL_arg1763z00_1768 =
																BGl_gensymz00zz__r4_symbols_6_4z00
																(CNST_TABLE_REF(((long) 15)));
															BgL_arg1762z00_1767 =
																BGl_makezd2typedzd2identz00zzast_identz00
																(BgL_arg1763z00_1768,
																CNST_TABLE_REF(((long) 15)));
														}
														BgL_varz00_1743 =
															BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
															(BgL_arg1762z00_1767,
															BGl_za2moduleza2z00zzmodule_modulez00,
															CNST_TABLE_REF(((long) 16)),
															CNST_TABLE_REF(((long) 3)));
													}
													{	/* Cnst/alloc.scm 307 */
														obj_t BgL_arg1766z00_1769;

														{	/* Cnst/alloc.scm 307 */
															obj_t BgL_arg1463z00_2863;

															BgL_arg1463z00_2863 =
																SYMBOL_TO_STRING(BgL_symbolz00_42);
															BgL_arg1766z00_1769 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1463z00_2863);
														}
														BgL_vsz00_1744 =
															BGl_cnstzd2alloczd2stringz00zzcnst_allocz00
															(BgL_arg1766z00_1769, BgL_locz00_43);
													}
													{	/* Cnst/alloc.scm 308 */
														obj_t BgL_arg1731z00_1745;

														{	/* Cnst/alloc.scm 69 */
															obj_t BgL_newz00_2864;

															BgL_newz00_2864 =
																create_struct(CNST_TABLE_REF(((long) 9)),
																(int) (((long) 2)));
															{	/* Cnst/alloc.scm 69 */
																obj_t BgL_auxz00_4101;
																int BgL_tmpz00_4099;

																BgL_auxz00_4101 = ((obj_t) BgL_varz00_1743);
																BgL_tmpz00_4099 = (int) (((long) 1));
																STRUCT_SET(BgL_newz00_2864, BgL_tmpz00_4099,
																	BgL_auxz00_4101);
															}
															{	/* Cnst/alloc.scm 69 */
																int BgL_tmpz00_4104;

																BgL_tmpz00_4104 = (int) (((long) 0));
																STRUCT_SET(BgL_newz00_2864, BgL_tmpz00_4104,
																	BgL_symbolz00_42);
															}
															BgL_arg1731z00_1745 = BgL_newz00_2864;
														}
														BGl_hashtablezd2putz12zc0zz__hashz00
															(BGl_za2symbolzd2envza2zd2zzcnst_allocz00,
															BgL_symbolz00_42, BgL_arg1731z00_1745);
													}
													{	/* Cnst/alloc.scm 309 */
														obj_t BgL_arg1738z00_1746;

														{	/* Cnst/alloc.scm 309 */
															obj_t BgL_arg1739z00_1747;

															{	/* Cnst/alloc.scm 309 */
																obj_t BgL_arg1742z00_1748;
																obj_t BgL_arg1743z00_1749;

																{	/* Cnst/alloc.scm 309 */
																	obj_t BgL_arg1745z00_1750;

																	{	/* Cnst/alloc.scm 309 */
																		obj_t BgL_arg1746z00_1751;
																		obj_t BgL_arg1747z00_1752;

																		BgL_arg1746z00_1751 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						BgL_varz00_1743)))->BgL_idz00);
																		BgL_arg1747z00_1752 =
																			MAKE_YOUNG_PAIR((((BgL_globalz00_bglt)
																					COBJECT(BgL_varz00_1743))->
																				BgL_modulez00), BNIL);
																		BgL_arg1745z00_1750 =
																			MAKE_YOUNG_PAIR(BgL_arg1746z00_1751,
																			BgL_arg1747z00_1752);
																	}
																	BgL_arg1742z00_1748 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
																		BgL_arg1745z00_1750);
																}
																{	/* Cnst/alloc.scm 311 */
																	BgL_nodez00_bglt BgL_arg1749z00_1754;

																	{	/* Cnst/alloc.scm 311 */
																		BgL_appz00_bglt BgL_arg1750z00_1755;
																		BgL_typez00_bglt BgL_arg1751z00_1756;

																		{	/* Cnst/alloc.scm 311 */
																			BgL_appz00_bglt BgL_new1129z00_1757;

																			{	/* Cnst/alloc.scm 318 */
																				BgL_appz00_bglt BgL_new1126z00_1762;

																				BgL_new1126z00_1762 =
																					((BgL_appz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_appz00_bgl))));
																				{	/* Cnst/alloc.scm 318 */
																					long BgL_arg1759z00_1763;

																					BgL_arg1759z00_1763 =
																						BGL_CLASS_NUM
																						(BGl_appz00zzast_nodez00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1126z00_1762),
																						BgL_arg1759z00_1763);
																				}
																				{	/* Cnst/alloc.scm 318 */
																					BgL_objectz00_bglt BgL_tmpz00_4119;

																					BgL_tmpz00_4119 =
																						((BgL_objectz00_bglt)
																						BgL_new1126z00_1762);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_4119, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1126z00_1762);
																				BgL_new1129z00_1757 =
																					BgL_new1126z00_1762;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1129z00_1757)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_43), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1129z00_1757)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BGl_za2symbolza2z00zztype_cachez00)),
																				BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						COBJECT(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1129z00_1757)))->
																					BgL_sidezd2effectzd2) =
																				((obj_t) BUNSPEC), BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						COBJECT(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1129z00_1757)))->
																					BgL_keyz00) =
																				((obj_t) BINT(((long) -1))), BUNSPEC);
																			{
																				BgL_varz00_bglt BgL_auxz00_4133;

																				{	/* Cnst/alloc.scm 314 */
																					BgL_refz00_bglt BgL_new1131z00_1758;

																					{	/* Cnst/alloc.scm 317 */
																						BgL_refz00_bglt BgL_new1130z00_1759;

																						BgL_new1130z00_1759 =
																							((BgL_refz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_refz00_bgl))));
																						{	/* Cnst/alloc.scm 317 */
																							long BgL_arg1752z00_1760;

																							{	/* Cnst/alloc.scm 317 */
																								obj_t BgL_classz00_2873;

																								BgL_classz00_2873 =
																									BGl_refz00zzast_nodez00;
																								BgL_arg1752z00_1760 =
																									BGL_CLASS_NUM
																									(BgL_classz00_2873);
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1130z00_1759),
																								BgL_arg1752z00_1760);
																						}
																						{	/* Cnst/alloc.scm 317 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_4138;
																							BgL_tmpz00_4138 =
																								((BgL_objectz00_bglt)
																								BgL_new1130z00_1759);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_4138, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1130z00_1759);
																						BgL_new1131z00_1758 =
																							BgL_new1130z00_1759;
																					}
																					((((BgL_nodez00_bglt) COBJECT(
																									((BgL_nodez00_bglt)
																										BgL_new1131z00_1758)))->
																							BgL_locz00) =
																						((obj_t) BgL_locz00_43), BUNSPEC);
																					((((BgL_nodez00_bglt)
																								COBJECT(((BgL_nodez00_bglt)
																										BgL_new1131z00_1758)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) (
																								(BgL_typez00_bglt)
																								BGl_za2symbolza2z00zztype_cachez00)),
																						BUNSPEC);
																					((((BgL_varz00_bglt)
																								COBJECT(((BgL_varz00_bglt)
																										BgL_new1131z00_1758)))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt) (
																								(BgL_variablez00_bglt)
																								BGl_za2bstringzd2ze3symbolza2z31zzcnst_cachez00)),
																						BUNSPEC);
																					BgL_auxz00_4133 =
																						((BgL_varz00_bglt)
																						BgL_new1131z00_1758);
																				}
																				((((BgL_appz00_bglt)
																							COBJECT(BgL_new1129z00_1757))->
																						BgL_funz00) =
																					((BgL_varz00_bglt) BgL_auxz00_4133),
																					BUNSPEC);
																			}
																			{
																				obj_t BgL_auxz00_4152;

																				{	/* Cnst/alloc.scm 318 */
																					obj_t BgL_list1753z00_1761;

																					BgL_list1753z00_1761 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_vsz00_1744), BNIL);
																					BgL_auxz00_4152 =
																						BgL_list1753z00_1761;
																				}
																				((((BgL_appz00_bglt)
																							COBJECT(BgL_new1129z00_1757))->
																						BgL_argsz00) =
																					((obj_t) BgL_auxz00_4152), BUNSPEC);
																			}
																			((((BgL_appz00_bglt)
																						COBJECT(BgL_new1129z00_1757))->
																					BgL_stackablez00) =
																				((obj_t) BFALSE), BUNSPEC);
																			BgL_arg1750z00_1755 = BgL_new1129z00_1757;
																		}
																		BgL_arg1751z00_1756 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00(
																			((BgL_typez00_bglt)
																				BGl_za2symbolza2z00zztype_cachez00),
																			((BgL_typez00_bglt)
																				BGl_za2objza2z00zztype_cachez00));
																		BgL_arg1749z00_1754 =
																			BGl_coercez12z12zzcoerce_coercez00((
																				(BgL_nodez00_bglt) BgL_arg1750z00_1755),
																			((obj_t) BgL_varz00_1743),
																			BgL_arg1751z00_1756, ((bool_t) 0));
																	}
																	BgL_arg1743z00_1749 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1749z00_1754), BNIL);
																}
																BgL_arg1739z00_1747 =
																	MAKE_YOUNG_PAIR(BgL_arg1742z00_1748,
																	BgL_arg1743z00_1749);
															}
															BgL_arg1738z00_1746 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 13)),
																BgL_arg1739z00_1747);
														}
														BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 =
															MAKE_YOUNG_PAIR(BgL_arg1738z00_1746,
															BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
													}
													{	/* Cnst/alloc.scm 322 */
														BgL_refz00_bglt BgL_new1134z00_1764;

														{	/* Cnst/alloc.scm 323 */
															BgL_refz00_bglt BgL_new1132z00_1765;

															BgL_new1132z00_1765 =
																((BgL_refz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_refz00_bgl))));
															{	/* Cnst/alloc.scm 323 */
																long BgL_arg1761z00_1766;

																BgL_arg1761z00_1766 =
																	BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1132z00_1765),
																	BgL_arg1761z00_1766);
															}
															{	/* Cnst/alloc.scm 323 */
																BgL_objectz00_bglt BgL_tmpz00_4173;

																BgL_tmpz00_4173 =
																	((BgL_objectz00_bglt) BgL_new1132z00_1765);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4173,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1132z00_1765);
															BgL_new1134z00_1764 = BgL_new1132z00_1765;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1134z00_1764)))->
																BgL_locz00) = ((obj_t) BgL_locz00_43), BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1134z00_1764)))->BgL_typez00) =
															((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_varz00_1743)))->BgL_typez00)),
															BUNSPEC);
														((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																			BgL_new1134z00_1764)))->BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_varz00_1743)), BUNSPEC);
														BgL_auxz00_4085 = BgL_new1134z00_1764;
												}}
												return ((BgL_nodez00_bglt) BgL_auxz00_4085);
											}
										else
											{
												BgL_appz00_bglt BgL_auxz00_4187;

												{	/* Cnst/alloc.scm 327 */
													long BgL_offsetz00_1771;

													BgL_offsetz00_1771 =
														BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
													BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 =
														(((long) 1) +
														BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
													BGl_za2globalzd2setza2zd2zzcnst_allocz00 =
														MAKE_YOUNG_PAIR(BgL_symbolz00_42,
														BGl_za2globalzd2setza2zd2zzcnst_allocz00);
													{	/* Cnst/alloc.scm 330 */
														obj_t BgL_arg1770z00_1772;

														{	/* Cnst/alloc.scm 69 */
															obj_t BgL_newz00_2884;

															BgL_newz00_2884 =
																create_struct(CNST_TABLE_REF(((long) 9)),
																(int) (((long) 2)));
															{	/* Cnst/alloc.scm 69 */
																obj_t BgL_auxz00_4195;
																int BgL_tmpz00_4193;

																BgL_auxz00_4195 = BINT(BgL_offsetz00_1771);
																BgL_tmpz00_4193 = (int) (((long) 1));
																STRUCT_SET(BgL_newz00_2884, BgL_tmpz00_4193,
																	BgL_auxz00_4195);
															}
															{	/* Cnst/alloc.scm 69 */
																int BgL_tmpz00_4198;

																BgL_tmpz00_4198 = (int) (((long) 0));
																STRUCT_SET(BgL_newz00_2884, BgL_tmpz00_4198,
																	BgL_symbolz00_42);
															}
															BgL_arg1770z00_1772 = BgL_newz00_2884;
														}
														BGl_hashtablezd2putz12zc0zz__hashz00
															(BGl_za2symbolzd2envza2zd2zzcnst_allocz00,
															BgL_symbolz00_42, BgL_arg1770z00_1772);
													}
													BgL_auxz00_4187 =
														BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BINT
														(BgL_offsetz00_1771),
														BGl_za2symbolza2z00zztype_cachez00, BgL_locz00_43);
												}
												return ((BgL_nodez00_bglt) BgL_auxz00_4187);
											}
									}
							}
					}
				}
			}
		}

	}



/* &cnst-alloc-symbol */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2symbolz62zzcnst_allocz00(obj_t
		BgL_envz00_3532, obj_t BgL_symbolz00_3533, obj_t BgL_locz00_3534)
	{
		{	/* Cnst/alloc.scm 301 */
			return
				BGl_cnstzd2alloczd2symbolz00zzcnst_allocz00(BgL_symbolz00_3533,
				BgL_locz00_3534);
		}

	}



/* cnst-alloc-keyword */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2keywordz00zzcnst_allocz00(obj_t BgL_keywordz00_44,
		obj_t BgL_locz00_45)
	{
		{	/* Cnst/alloc.scm 363 */
			{

				{	/* Cnst/alloc.scm 395 */
					obj_t BgL_oldz00_1777;
					obj_t BgL_keywordzd2aszd2stringz00_1778;

					BgL_oldz00_1777 =
						BGl_hashtablezd2getzd2zz__hashz00
						(BGl_za2keywordzd2envza2zd2zzcnst_allocz00, BgL_keywordz00_44);
					{	/* Cnst/alloc.scm 396 */
						obj_t BgL_arg1460z00_2968;

						BgL_arg1460z00_2968 = KEYWORD_TO_STRING(BgL_keywordz00_44);
						BgL_keywordzd2aszd2stringz00_1778 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1460z00_2968);
					}
					if (CBOOL(BgL_oldz00_1777))
						{	/* Cnst/alloc.scm 398 */
							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									CNST_TABLE_REF(((long) 14))))
								{	/* Cnst/alloc.scm 400 */
									BgL_refz00_bglt BgL_new1146z00_1780;

									{	/* Cnst/alloc.scm 401 */
										BgL_refz00_bglt BgL_new1145z00_1781;

										BgL_new1145z00_1781 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 401 */
											long BgL_arg1772z00_1782;

											BgL_arg1772z00_1782 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1145z00_1781),
												BgL_arg1772z00_1782);
										}
										{	/* Cnst/alloc.scm 401 */
											BgL_objectz00_bglt BgL_tmpz00_4218;

											BgL_tmpz00_4218 =
												((BgL_objectz00_bglt) BgL_new1145z00_1781);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4218, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1145z00_1781);
										BgL_new1146z00_1780 = BgL_new1145z00_1781;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1146z00_1780)))->
											BgL_locz00) = ((obj_t) BgL_locz00_45), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1146z00_1780)))->BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2keywordza2z00zztype_cachez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1146z00_1780)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												STRUCT_REF(((obj_t) BgL_oldz00_1777),
													(int) (((long) 1))))), BUNSPEC);
									return ((BgL_nodez00_bglt) BgL_new1146z00_1780);
								}
							else
								{	/* Cnst/alloc.scm 404 */
									obj_t BgL_arg1777z00_1783;

									BgL_arg1777z00_1783 =
										STRUCT_REF(((obj_t) BgL_oldz00_1777), (int) (((long) 1)));
									return
										((BgL_nodez00_bglt)
										BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00
										(BgL_arg1777z00_1783, BGl_za2keywordza2z00zztype_cachez00,
											BgL_locz00_45));
								}
						}
					else
						{	/* Cnst/alloc.scm 405 */
							bool_t BgL_test2494z00_4239;

							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									CNST_TABLE_REF(((long) 14))))
								{	/* Cnst/alloc.scm 405 */
									BgL_test2494z00_4239 = ((bool_t) 1);
								}
							else
								{	/* Cnst/alloc.scm 405 */
									if (
										(STRING_LENGTH(BgL_keywordzd2aszd2stringz00_1778) ==
											((long) 0)))
										{	/* Cnst/alloc.scm 406 */
											BgL_test2494z00_4239 = ((bool_t) 1);
										}
									else
										{	/* Cnst/alloc.scm 406 */
											BgL_test2494z00_4239 =
												(STRING_REF(BgL_keywordzd2aszd2stringz00_1778,
													((long) 0)) == ((unsigned char) ';'));
								}}
							if (BgL_test2494z00_4239)
								{
									BgL_refz00_bglt BgL_auxz00_4248;

									{	/* Cnst/alloc.scm 365 */
										BgL_globalz00_bglt BgL_varz00_1795;
										BgL_nodez00_bglt BgL_vsz00_1796;

										{	/* Cnst/alloc.scm 365 */
											obj_t BgL_arg1854z00_1819;

											{	/* Cnst/alloc.scm 365 */
												obj_t BgL_arg1855z00_1820;

												BgL_arg1855z00_1820 =
													BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 18)));
												BgL_arg1854z00_1819 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_arg1855z00_1820, CNST_TABLE_REF(((long) 18)));
											}
											BgL_varz00_1795 =
												BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
												(BgL_arg1854z00_1819,
												BGl_za2moduleza2z00zzmodule_modulez00,
												CNST_TABLE_REF(((long) 19)),
												CNST_TABLE_REF(((long) 3)));
										}
										{	/* Cnst/alloc.scm 370 */
											obj_t BgL_arg1856z00_1821;

											{	/* Cnst/alloc.scm 370 */
												obj_t BgL_arg1460z00_2943;

												BgL_arg1460z00_2943 =
													KEYWORD_TO_STRING(BgL_keywordz00_44);
												BgL_arg1856z00_1821 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1460z00_2943);
											}
											BgL_vsz00_1796 =
												BGl_cnstzd2alloczd2stringz00zzcnst_allocz00
												(BgL_arg1856z00_1821, BgL_locz00_45);
										}
										{	/* Cnst/alloc.scm 371 */
											obj_t BgL_arg1805z00_1797;

											{	/* Cnst/alloc.scm 69 */
												obj_t BgL_newz00_2944;

												BgL_newz00_2944 =
													create_struct(CNST_TABLE_REF(((long) 9)),
													(int) (((long) 2)));
												{	/* Cnst/alloc.scm 69 */
													obj_t BgL_auxz00_4264;
													int BgL_tmpz00_4262;

													BgL_auxz00_4264 = ((obj_t) BgL_varz00_1795);
													BgL_tmpz00_4262 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_2944, BgL_tmpz00_4262,
														BgL_auxz00_4264);
												}
												{	/* Cnst/alloc.scm 69 */
													int BgL_tmpz00_4267;

													BgL_tmpz00_4267 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_2944, BgL_tmpz00_4267,
														BgL_keywordz00_44);
												}
												BgL_arg1805z00_1797 = BgL_newz00_2944;
											}
											BGl_hashtablezd2putz12zc0zz__hashz00
												(BGl_za2keywordzd2envza2zd2zzcnst_allocz00,
												BgL_keywordz00_44, BgL_arg1805z00_1797);
										}
										{	/* Cnst/alloc.scm 372 */
											obj_t BgL_arg1807z00_1798;

											{	/* Cnst/alloc.scm 372 */
												obj_t BgL_arg1808z00_1799;

												{	/* Cnst/alloc.scm 372 */
													obj_t BgL_arg1810z00_1800;
													obj_t BgL_arg1811z00_1801;

													{	/* Cnst/alloc.scm 372 */
														obj_t BgL_arg1817z00_1802;

														{	/* Cnst/alloc.scm 372 */
															obj_t BgL_arg1818z00_1803;
															obj_t BgL_arg1824z00_1804;

															BgL_arg1818z00_1803 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_varz00_1795)))->
																BgL_idz00);
															BgL_arg1824z00_1804 =
																MAKE_YOUNG_PAIR((((BgL_globalz00_bglt)
																		COBJECT(BgL_varz00_1795))->BgL_modulez00),
																BNIL);
															BgL_arg1817z00_1802 =
																MAKE_YOUNG_PAIR(BgL_arg1818z00_1803,
																BgL_arg1824z00_1804);
														}
														BgL_arg1810z00_1800 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
															BgL_arg1817z00_1802);
													}
													{	/* Cnst/alloc.scm 374 */
														BgL_nodez00_bglt BgL_arg1838z00_1806;

														{	/* Cnst/alloc.scm 374 */
															BgL_appz00_bglt BgL_arg1839z00_1807;
															BgL_typez00_bglt BgL_arg1842z00_1808;

															{	/* Cnst/alloc.scm 374 */
																BgL_appz00_bglt BgL_new1140z00_1809;

																{	/* Cnst/alloc.scm 381 */
																	BgL_appz00_bglt BgL_new1139z00_1814;

																	BgL_new1139z00_1814 =
																		((BgL_appz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_appz00_bgl))));
																	{	/* Cnst/alloc.scm 381 */
																		long BgL_arg1850z00_1815;

																		BgL_arg1850z00_1815 =
																			BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1139z00_1814),
																			BgL_arg1850z00_1815);
																	}
																	{	/* Cnst/alloc.scm 381 */
																		BgL_objectz00_bglt BgL_tmpz00_4282;

																		BgL_tmpz00_4282 =
																			((BgL_objectz00_bglt)
																			BgL_new1139z00_1814);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4282,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1139z00_1814);
																	BgL_new1140z00_1809 = BgL_new1139z00_1814;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1140z00_1809)))->BgL_locz00) =
																	((obj_t) BgL_locz00_45), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1140z00_1809)))->BgL_typez00) =
																	((BgL_typez00_bglt) ((BgL_typez00_bglt)
																			BGl_za2keywordza2z00zztype_cachez00)),
																	BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1140z00_1809)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1140z00_1809)))->BgL_keyz00) =
																	((obj_t) BINT(((long) -1))), BUNSPEC);
																{
																	BgL_varz00_bglt BgL_auxz00_4296;

																	{	/* Cnst/alloc.scm 377 */
																		BgL_refz00_bglt BgL_new1142z00_1810;

																		{	/* Cnst/alloc.scm 380 */
																			BgL_refz00_bglt BgL_new1141z00_1811;

																			BgL_new1141z00_1811 =
																				((BgL_refz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_refz00_bgl))));
																			{	/* Cnst/alloc.scm 380 */
																				long BgL_arg1848z00_1812;

																				{	/* Cnst/alloc.scm 380 */
																					obj_t BgL_classz00_2953;

																					BgL_classz00_2953 =
																						BGl_refz00zzast_nodez00;
																					BgL_arg1848z00_1812 =
																						BGL_CLASS_NUM(BgL_classz00_2953);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1141z00_1811),
																					BgL_arg1848z00_1812);
																			}
																			{	/* Cnst/alloc.scm 380 */
																				BgL_objectz00_bglt BgL_tmpz00_4301;

																				BgL_tmpz00_4301 =
																					((BgL_objectz00_bglt)
																					BgL_new1141z00_1811);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4301,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1141z00_1811);
																			BgL_new1142z00_1810 = BgL_new1141z00_1811;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1142z00_1810)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_45), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1142z00_1810)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((BgL_typez00_bglt)
																					BGl_za2keywordza2z00zztype_cachez00)),
																			BUNSPEC);
																		((((BgL_varz00_bglt)
																					COBJECT(((BgL_varz00_bglt)
																							BgL_new1142z00_1810)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BGl_za2bstringzd2ze3keywordza2z31zzcnst_cachez00)),
																			BUNSPEC);
																		BgL_auxz00_4296 =
																			((BgL_varz00_bglt) BgL_new1142z00_1810);
																	}
																	((((BgL_appz00_bglt)
																				COBJECT(BgL_new1140z00_1809))->
																			BgL_funz00) =
																		((BgL_varz00_bglt) BgL_auxz00_4296),
																		BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_4315;

																	{	/* Cnst/alloc.scm 381 */
																		obj_t BgL_list1849z00_1813;

																		BgL_list1849z00_1813 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_vsz00_1796), BNIL);
																		BgL_auxz00_4315 = BgL_list1849z00_1813;
																	}
																	((((BgL_appz00_bglt)
																				COBJECT(BgL_new1140z00_1809))->
																			BgL_argsz00) =
																		((obj_t) BgL_auxz00_4315), BUNSPEC);
																}
																((((BgL_appz00_bglt)
																			COBJECT(BgL_new1140z00_1809))->
																		BgL_stackablez00) =
																	((obj_t) BFALSE), BUNSPEC);
																BgL_arg1839z00_1807 = BgL_new1140z00_1809;
															}
															BgL_arg1842z00_1808 =
																BGl_strictzd2nodezd2typez00zzast_nodez00(
																((BgL_typez00_bglt)
																	BGl_za2keywordza2z00zztype_cachez00),
																((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00));
															BgL_arg1838z00_1806 =
																BGl_coercez12z12zzcoerce_coercez00((
																	(BgL_nodez00_bglt) BgL_arg1839z00_1807),
																((obj_t) BgL_varz00_1795), BgL_arg1842z00_1808,
																((bool_t) 0));
														}
														BgL_arg1811z00_1801 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1838z00_1806), BNIL);
													}
													BgL_arg1808z00_1799 =
														MAKE_YOUNG_PAIR(BgL_arg1810z00_1800,
														BgL_arg1811z00_1801);
												}
												BgL_arg1807z00_1798 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 13)),
													BgL_arg1808z00_1799);
											}
											BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 =
												MAKE_YOUNG_PAIR(BgL_arg1807z00_1798,
												BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
										}
										{	/* Cnst/alloc.scm 385 */
											BgL_refz00_bglt BgL_new1144z00_1816;

											{	/* Cnst/alloc.scm 386 */
												BgL_refz00_bglt BgL_new1143z00_1817;

												BgL_new1143z00_1817 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Cnst/alloc.scm 386 */
													long BgL_arg1852z00_1818;

													BgL_arg1852z00_1818 =
														BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1143z00_1817),
														BgL_arg1852z00_1818);
												}
												{	/* Cnst/alloc.scm 386 */
													BgL_objectz00_bglt BgL_tmpz00_4336;

													BgL_tmpz00_4336 =
														((BgL_objectz00_bglt) BgL_new1143z00_1817);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4336, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1143z00_1817);
												BgL_new1144z00_1816 = BgL_new1143z00_1817;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1144z00_1816)))->
													BgL_locz00) = ((obj_t) BgL_locz00_45), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1144z00_1816)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_varz00_1795)))->BgL_typez00)), BUNSPEC);
											((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_new1144z00_1816)))->BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_varz00_1795)), BUNSPEC);
											BgL_auxz00_4248 = BgL_new1144z00_1816;
									}}
									return ((BgL_nodez00_bglt) BgL_auxz00_4248);
								}
							else
								{
									BgL_appz00_bglt BgL_auxz00_4350;

									{	/* Cnst/alloc.scm 390 */
										long BgL_offsetz00_1823;

										BgL_offsetz00_1823 =
											BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
										BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 =
											(((long) 1) + BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
										BGl_za2globalzd2setza2zd2zzcnst_allocz00 =
											MAKE_YOUNG_PAIR(BgL_keywordz00_44,
											BGl_za2globalzd2setza2zd2zzcnst_allocz00);
										{	/* Cnst/alloc.scm 393 */
											obj_t BgL_arg1858z00_1824;

											{	/* Cnst/alloc.scm 69 */
												obj_t BgL_newz00_2964;

												BgL_newz00_2964 =
													create_struct(CNST_TABLE_REF(((long) 9)),
													(int) (((long) 2)));
												{	/* Cnst/alloc.scm 69 */
													obj_t BgL_auxz00_4358;
													int BgL_tmpz00_4356;

													BgL_auxz00_4358 = BINT(BgL_offsetz00_1823);
													BgL_tmpz00_4356 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_2964, BgL_tmpz00_4356,
														BgL_auxz00_4358);
												}
												{	/* Cnst/alloc.scm 69 */
													int BgL_tmpz00_4361;

													BgL_tmpz00_4361 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_2964, BgL_tmpz00_4361,
														BgL_keywordz00_44);
												}
												BgL_arg1858z00_1824 = BgL_newz00_2964;
											}
											BGl_hashtablezd2putz12zc0zz__hashz00
												(BGl_za2keywordzd2envza2zd2zzcnst_allocz00,
												BgL_keywordz00_44, BgL_arg1858z00_1824);
										}
										BgL_auxz00_4350 =
											BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BINT
											(BgL_offsetz00_1823), BGl_za2keywordza2z00zztype_cachez00,
											BgL_locz00_45);
									}
									return ((BgL_nodez00_bglt) BgL_auxz00_4350);
								}
						}
				}
			}
		}

	}



/* &cnst-alloc-keyword */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2keywordz62zzcnst_allocz00(obj_t
		BgL_envz00_3535, obj_t BgL_keywordz00_3536, obj_t BgL_locz00_3537)
	{
		{	/* Cnst/alloc.scm 363 */
			return
				BGl_cnstzd2alloczd2keywordz00zzcnst_allocz00(BgL_keywordz00_3536,
				BgL_locz00_3537);
		}

	}



/* cnst-alloc-bignum */
	BGL_EXPORTED_DEF obj_t BGl_cnstzd2alloczd2bignumz00zzcnst_allocz00(obj_t
		BgL_bignumz00_46, obj_t BgL_locz00_47)
	{
		{	/* Cnst/alloc.scm 415 */
			{

				{	/* Cnst/alloc.scm 427 */
					obj_t BgL_oldz00_1829;
					obj_t BgL_bignumzd2aszd2stringz00_1830;

					BgL_oldz00_1829 =
						BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_bignumz00_46,
						BGl_za2bignumzd2envza2zd2zzcnst_allocz00);
					{	/* Cnst/alloc.scm 428 */

						BgL_bignumzd2aszd2stringz00_1830 =
							BGl_bignumzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
							(BgL_bignumz00_46, ((long) 10));
					}
					if (PAIRP(BgL_oldz00_1829))
						{	/* Cnst/alloc.scm 432 */
							bool_t BgL_test2498z00_4373;

							{	/* Cnst/alloc.scm 432 */
								obj_t BgL_arg1885z00_1852;

								BgL_arg1885z00_1852 =
									STRUCT_REF(CDR(BgL_oldz00_1829), (int) (((long) 1)));
								{	/* Cnst/alloc.scm 432 */
									obj_t BgL_classz00_2986;

									BgL_classz00_2986 = BGl_variablez00zzast_varz00;
									if (BGL_OBJECTP(BgL_arg1885z00_1852))
										{	/* Cnst/alloc.scm 432 */
											BgL_objectz00_bglt BgL_arg1825z00_2988;

											BgL_arg1825z00_2988 =
												(BgL_objectz00_bglt) (BgL_arg1885z00_1852);
											{	/* Cnst/alloc.scm 432 */
												bool_t BgL_arg1822z00_2991;
												bool_t BgL_arg1823z00_2992;

												{	/* Cnst/alloc.scm 432 */
													long BgL_idxz00_2995;

													BgL_idxz00_2995 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2988);
													BgL_arg1822z00_2991 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2995 + ((long) 1))) ==
														BgL_classz00_2986);
												}
												{	/* Cnst/alloc.scm 432 */
													bool_t BgL_res2410z00_3017;

													{	/* Cnst/alloc.scm 432 */
														obj_t BgL_oclassz00_3003;

														{	/* Cnst/alloc.scm 432 */
															long BgL_arg1833z00_3009;

															{	/* Cnst/alloc.scm 432 */
																long BgL_arg1834z00_3010;

																BgL_arg1834z00_3010 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2988);
																BgL_arg1833z00_3009 =
																	(BgL_arg1834z00_3010 - OBJECT_TYPE);
															}
															BgL_oclassz00_3003 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_3009);
														}
														{	/* Cnst/alloc.scm 432 */
															bool_t BgL__ortest_1110z00_3004;

															BgL__ortest_1110z00_3004 =
																(BgL_classz00_2986 == BgL_oclassz00_3003);
															if (BgL__ortest_1110z00_3004)
																{	/* Cnst/alloc.scm 432 */
																	BgL_res2410z00_3017 =
																		BgL__ortest_1110z00_3004;
																}
															else
																{	/* Cnst/alloc.scm 432 */
																	long BgL_odepthz00_3005;

																	BgL_odepthz00_3005 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_3003);
																	if ((((long) 1) < BgL_odepthz00_3005))
																		{	/* Cnst/alloc.scm 432 */
																			obj_t BgL_arg1821z00_3007;

																			BgL_arg1821z00_3007 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_3003, ((long) 1));
																			BgL_res2410z00_3017 =
																				(BgL_arg1821z00_3007 ==
																				BgL_classz00_2986);
																		}
																	else
																		{	/* Cnst/alloc.scm 432 */
																			BgL_res2410z00_3017 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_2992 = BgL_res2410z00_3017;
												}
												BgL_test2498z00_4373 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_2991,
													BgL_arg1823z00_2992);
											}
										}
									else
										{	/* Cnst/alloc.scm 432 */
											BgL_test2498z00_4373 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test2498z00_4373)
								{	/* Cnst/alloc.scm 433 */
									BgL_refz00_bglt BgL_new1148z00_1835;

									{	/* Cnst/alloc.scm 434 */
										BgL_refz00_bglt BgL_new1147z00_1840;

										BgL_new1147z00_1840 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 434 */
											long BgL_arg1871z00_1841;

											BgL_arg1871z00_1841 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1147z00_1840),
												BgL_arg1871z00_1841);
										}
										{	/* Cnst/alloc.scm 434 */
											BgL_objectz00_bglt BgL_tmpz00_4399;

											BgL_tmpz00_4399 =
												((BgL_objectz00_bglt) BgL_new1147z00_1840);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4399, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1147z00_1840);
										BgL_new1148z00_1835 = BgL_new1147z00_1840;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1148z00_1835)))->
											BgL_locz00) = ((obj_t) BgL_locz00_47), BUNSPEC);
									{
										BgL_typez00_bglt BgL_auxz00_4405;

										{	/* Cnst/alloc.scm 436 */
											BgL_typez00_bglt BgL_arg1865z00_1836;

											{
												BgL_variablez00_bglt BgL_auxz00_4407;

												{	/* Cnst/alloc.scm 69 */
													obj_t BgL_sz00_3023;

													BgL_sz00_3023 = CDR(BgL_oldz00_1829);
													BgL_auxz00_4407 =
														((BgL_variablez00_bglt)
														STRUCT_REF(BgL_sz00_3023, (int) (((long) 1))));
												}
												BgL_arg1865z00_1836 =
													(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_4407))->
													BgL_typez00);
											}
											BgL_auxz00_4405 =
												BGl_strictzd2nodezd2typez00zzast_nodez00(
												((BgL_typez00_bglt) BGl_za2bignumza2z00zztype_cachez00),
												BgL_arg1865z00_1836);
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1148z00_1835)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_auxz00_4405), BUNSPEC);
									}
									{
										BgL_variablez00_bglt BgL_auxz00_4416;

										{	/* Cnst/alloc.scm 69 */
											obj_t BgL_sz00_3026;

											BgL_sz00_3026 = CDR(BgL_oldz00_1829);
											BgL_auxz00_4416 =
												((BgL_variablez00_bglt)
												STRUCT_REF(BgL_sz00_3026, (int) (((long) 1))));
										}
										((((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_new1148z00_1835)))->
												BgL_variablez00) =
											((BgL_variablez00_bglt) BgL_auxz00_4416), BUNSPEC);
									}
									return ((obj_t) BgL_new1148z00_1835);
								}
							else
								{	/* Cnst/alloc.scm 432 */
									if (
										(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
											CNST_TABLE_REF(((long) 14))))
										{	/* Cnst/alloc.scm 439 */
											BgL_refz00_bglt BgL_new1150z00_1843;

											{	/* Cnst/alloc.scm 440 */
												BgL_refz00_bglt BgL_new1149z00_1848;

												BgL_new1149z00_1848 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Cnst/alloc.scm 440 */
													long BgL_arg1882z00_1849;

													BgL_arg1882z00_1849 =
														BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1149z00_1848),
														BgL_arg1882z00_1849);
												}
												{	/* Cnst/alloc.scm 440 */
													BgL_objectz00_bglt BgL_tmpz00_4431;

													BgL_tmpz00_4431 =
														((BgL_objectz00_bglt) BgL_new1149z00_1848);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4431, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1149z00_1848);
												BgL_new1150z00_1843 = BgL_new1149z00_1848;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1150z00_1843)))->
													BgL_locz00) = ((obj_t) BgL_locz00_47), BUNSPEC);
											{
												BgL_typez00_bglt BgL_auxz00_4437;

												{	/* Cnst/alloc.scm 442 */
													BgL_typez00_bglt BgL_arg1875z00_1844;

													{
														BgL_variablez00_bglt BgL_auxz00_4439;

														{	/* Cnst/alloc.scm 69 */
															obj_t BgL_sz00_3032;

															BgL_sz00_3032 = CDR(BgL_oldz00_1829);
															BgL_auxz00_4439 =
																((BgL_variablez00_bglt)
																STRUCT_REF(BgL_sz00_3032, (int) (((long) 1))));
														}
														BgL_arg1875z00_1844 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_auxz00_4439))->BgL_typez00);
													}
													BgL_auxz00_4437 =
														BGl_strictzd2nodezd2typez00zzast_nodez00(
														((BgL_typez00_bglt)
															BGl_za2bignumza2z00zztype_cachez00),
														BgL_arg1875z00_1844);
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1150z00_1843)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_4437), BUNSPEC);
											}
											{
												BgL_variablez00_bglt BgL_auxz00_4448;

												{	/* Cnst/alloc.scm 69 */
													obj_t BgL_sz00_3035;

													BgL_sz00_3035 = CDR(BgL_oldz00_1829);
													BgL_auxz00_4448 =
														((BgL_variablez00_bglt)
														STRUCT_REF(BgL_sz00_3035, (int) (((long) 1))));
												}
												((((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_new1150z00_1843)))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) BgL_auxz00_4448), BUNSPEC);
											}
											return ((obj_t) BgL_new1150z00_1843);
										}
									else
										{	/* Cnst/alloc.scm 445 */
											obj_t BgL_arg1883z00_1850;

											BgL_arg1883z00_1850 =
												STRUCT_REF(CDR(BgL_oldz00_1829), (int) (((long) 1)));
											return
												((obj_t)
												BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00
												(BgL_arg1883z00_1850,
													BGl_za2bignumza2z00zztype_cachez00, BgL_locz00_47));
										}
								}
						}
					else
						{	/* Cnst/alloc.scm 450 */
							bool_t BgL_test2503z00_4461;

							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									CNST_TABLE_REF(((long) 14))))
								{	/* Cnst/alloc.scm 450 */
									BgL_test2503z00_4461 = ((bool_t) 1);
								}
							else
								{	/* Cnst/alloc.scm 450 */
									if (
										(STRING_LENGTH(BgL_bignumzd2aszd2stringz00_1830) ==
											((long) 0)))
										{	/* Cnst/alloc.scm 451 */
											BgL_test2503z00_4461 = ((bool_t) 1);
										}
									else
										{	/* Cnst/alloc.scm 451 */
											BgL_test2503z00_4461 =
												(STRING_REF(BgL_bignumzd2aszd2stringz00_1830,
													((long) 0)) == ((unsigned char) ';'));
								}}
							if (BgL_test2503z00_4461)
								{	/* Cnst/alloc.scm 450 */
									return BFALSE;
								}
							else
								{
									BgL_appz00_bglt BgL_auxz00_4470;

									{	/* Cnst/alloc.scm 421 */
										long BgL_offsetz00_1872;

										BgL_offsetz00_1872 =
											BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
										BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 =
											(((long) 1) + BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
										BGl_za2globalzd2setza2zd2zzcnst_allocz00 =
											MAKE_YOUNG_PAIR(BgL_bignumz00_46,
											BGl_za2globalzd2setza2zd2zzcnst_allocz00);
										{	/* Cnst/alloc.scm 424 */
											obj_t BgL_arg1901z00_1873;

											{	/* Cnst/alloc.scm 424 */
												obj_t BgL_arg1904z00_1874;

												{	/* Cnst/alloc.scm 69 */
													obj_t BgL_newz00_2981;

													BgL_newz00_2981 =
														create_struct(CNST_TABLE_REF(((long) 9)),
														(int) (((long) 2)));
													{	/* Cnst/alloc.scm 69 */
														obj_t BgL_auxz00_4478;
														int BgL_tmpz00_4476;

														BgL_auxz00_4478 = BINT(BgL_offsetz00_1872);
														BgL_tmpz00_4476 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_2981, BgL_tmpz00_4476,
															BgL_auxz00_4478);
													}
													{	/* Cnst/alloc.scm 69 */
														int BgL_tmpz00_4481;

														BgL_tmpz00_4481 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_2981, BgL_tmpz00_4481,
															BgL_bignumz00_46);
													}
													BgL_arg1904z00_1874 = BgL_newz00_2981;
												}
												BgL_arg1901z00_1873 =
													MAKE_YOUNG_PAIR(BgL_bignumz00_46,
													BgL_arg1904z00_1874);
											}
											BGl_za2bignumzd2envza2zd2zzcnst_allocz00 =
												MAKE_YOUNG_PAIR(BgL_arg1901z00_1873,
												BGl_za2bignumzd2envza2zd2zzcnst_allocz00);
										}
										BgL_auxz00_4470 =
											BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BINT
											(BgL_offsetz00_1872), BGl_za2bignumza2z00zztype_cachez00,
											BgL_locz00_47);
									}
									return ((obj_t) BgL_auxz00_4470);
								}
						}
				}
			}
		}

	}



/* &cnst-alloc-bignum */
	obj_t BGl_z62cnstzd2alloczd2bignumz62zzcnst_allocz00(obj_t BgL_envz00_3538,
		obj_t BgL_bignumz00_3539, obj_t BgL_locz00_3540)
	{
		{	/* Cnst/alloc.scm 415 */
			return
				BGl_cnstzd2alloczd2bignumz00zzcnst_allocz00(BgL_bignumz00_3539,
				BgL_locz00_3540);
		}

	}



/* cnst-alloc-procedure */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2procedurez00zzcnst_allocz00(BgL_nodez00_bglt
		BgL_procedurez00_48, obj_t BgL_locz00_49)
	{
		{	/* Cnst/alloc.scm 460 */
			{	/* Cnst/alloc.scm 461 */
				BgL_globalz00_bglt BgL_varz00_1877;

				{	/* Cnst/alloc.scm 461 */
					obj_t BgL_arg1906z00_1881;

					{	/* Cnst/alloc.scm 461 */
						obj_t BgL_arg1907z00_1882;

						BgL_arg1907z00_1882 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 21)));
						BgL_arg1906z00_1881 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg1907z00_1882,
							CNST_TABLE_REF(((long) 22)));
					}
					BgL_varz00_1877 =
						BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
						(BgL_arg1906z00_1881, BGl_za2moduleza2z00zzmodule_modulez00,
						((obj_t) BgL_procedurez00_48), CNST_TABLE_REF(((long) 23)),
						BgL_locz00_49);
				}
				{	/* Cnst/alloc.scm 466 */
					BgL_refz00_bglt BgL_new1152z00_1878;

					{	/* Cnst/alloc.scm 467 */
						BgL_refz00_bglt BgL_new1151z00_1879;

						BgL_new1151z00_1879 =
							((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_refz00_bgl))));
						{	/* Cnst/alloc.scm 467 */
							long BgL_arg1905z00_1880;

							BgL_arg1905z00_1880 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1151z00_1879),
								BgL_arg1905z00_1880);
						}
						{	/* Cnst/alloc.scm 467 */
							BgL_objectz00_bglt BgL_tmpz00_4501;

							BgL_tmpz00_4501 = ((BgL_objectz00_bglt) BgL_new1151z00_1879);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4501, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1151z00_1879);
						BgL_new1152z00_1878 = BgL_new1151z00_1879;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1152z00_1878)))->BgL_locz00) =
						((obj_t) BgL_locz00_49), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1152z00_1878)))->BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_variablez00_bglt)
									COBJECT(((BgL_variablez00_bglt) BgL_varz00_1877)))->
								BgL_typez00)), BUNSPEC);
					((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
										BgL_new1152z00_1878)))->BgL_variablez00) =
						((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_varz00_1877)),
						BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_new1152z00_1878);
				}
			}
		}

	}



/* &cnst-alloc-procedure */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2procedurez62zzcnst_allocz00(obj_t
		BgL_envz00_3541, obj_t BgL_procedurez00_3542, obj_t BgL_locz00_3543)
	{
		{	/* Cnst/alloc.scm 460 */
			return
				BGl_cnstzd2alloczd2procedurez00zzcnst_allocz00(
				((BgL_nodez00_bglt) BgL_procedurez00_3542), BgL_locz00_3543);
		}

	}



/* cnst-alloc-l-procedure */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2lzd2procedurezd2zzcnst_allocz00(BgL_nodez00_bglt
		BgL_procedurez00_50, obj_t BgL_locz00_51)
	{
		{	/* Cnst/alloc.scm 474 */
			{	/* Cnst/alloc.scm 475 */
				BgL_globalz00_bglt BgL_varz00_1883;

				{	/* Cnst/alloc.scm 475 */
					obj_t BgL_arg1909z00_1887;

					{	/* Cnst/alloc.scm 475 */
						obj_t BgL_arg1910z00_1888;

						BgL_arg1910z00_1888 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 21)));
						BgL_arg1909z00_1887 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg1910z00_1888,
							CNST_TABLE_REF(((long) 22)));
					}
					BgL_varz00_1883 =
						BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
						(BgL_arg1909z00_1887, BGl_za2moduleza2z00zzmodule_modulez00,
						((obj_t) BgL_procedurez00_50), CNST_TABLE_REF(((long) 24)),
						BgL_locz00_51);
				}
				{	/* Cnst/alloc.scm 480 */
					BgL_refz00_bglt BgL_new1154z00_1884;

					{	/* Cnst/alloc.scm 481 */
						BgL_refz00_bglt BgL_new1153z00_1885;

						BgL_new1153z00_1885 =
							((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_refz00_bgl))));
						{	/* Cnst/alloc.scm 481 */
							long BgL_arg1908z00_1886;

							BgL_arg1908z00_1886 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1153z00_1885),
								BgL_arg1908z00_1886);
						}
						{	/* Cnst/alloc.scm 481 */
							BgL_objectz00_bglt BgL_tmpz00_4528;

							BgL_tmpz00_4528 = ((BgL_objectz00_bglt) BgL_new1153z00_1885);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4528, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1153z00_1885);
						BgL_new1154z00_1884 = BgL_new1153z00_1885;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1154z00_1884)))->BgL_locz00) =
						((obj_t) BgL_locz00_51), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1154z00_1884)))->BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_variablez00_bglt)
									COBJECT(((BgL_variablez00_bglt) BgL_varz00_1883)))->
								BgL_typez00)), BUNSPEC);
					((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
										BgL_new1154z00_1884)))->BgL_variablez00) =
						((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_varz00_1883)),
						BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_new1154z00_1884);
				}
			}
		}

	}



/* &cnst-alloc-l-procedure */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2lzd2procedurezb0zzcnst_allocz00(obj_t
		BgL_envz00_3544, obj_t BgL_procedurez00_3545, obj_t BgL_locz00_3546)
	{
		{	/* Cnst/alloc.scm 474 */
			return
				BGl_cnstzd2alloczd2lzd2procedurezd2zzcnst_allocz00(
				((BgL_nodez00_bglt) BgL_procedurez00_3545), BgL_locz00_3546);
		}

	}



/* cnst-alloc-real */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2realz00zzcnst_allocz00(obj_t BgL_realz00_52,
		obj_t BgL_locz00_53)
	{
		{	/* Cnst/alloc.scm 488 */
			{

				{	/* Cnst/alloc.scm 510 */
					obj_t BgL_oldz00_1891;

					{
						obj_t BgL_listz00_1905;

						BgL_listz00_1905 = BGl_za2realzd2envza2zd2zzcnst_allocz00;
					BgL_zc3z04anonymousza31919ze3z87_1906:
						if (NULLP(BgL_listz00_1905))
							{	/* Cnst/alloc.scm 503 */
								BgL_oldz00_1891 = BFALSE;
							}
						else
							{	/* Cnst/alloc.scm 505 */
								bool_t BgL_test2507z00_4546;

								{	/* Cnst/alloc.scm 505 */
									bool_t BgL_test2508z00_4547;

									{	/* Cnst/alloc.scm 505 */
										double BgL_tmpz00_4548;

										{	/* Cnst/alloc.scm 505 */
											obj_t BgL_pairz00_3060;

											BgL_pairz00_3060 = CAR(((obj_t) BgL_listz00_1905));
											BgL_tmpz00_4548 = REAL_TO_DOUBLE(CAR(BgL_pairz00_3060));
										}
										BgL_test2508z00_4547 =
											(BgL_tmpz00_4548 == REAL_TO_DOUBLE(BgL_realz00_52));
									}
									if (BgL_test2508z00_4547)
										{	/* Cnst/alloc.scm 506 */
											long BgL_tmpz00_4555;

											{	/* Cnst/alloc.scm 506 */
												double BgL_tmpz00_4556;

												{	/* Cnst/alloc.scm 506 */
													obj_t BgL_pairz00_3064;

													BgL_pairz00_3064 = CAR(((obj_t) BgL_listz00_1905));
													BgL_tmpz00_4556 =
														REAL_TO_DOUBLE(CAR(BgL_pairz00_3064));
												}
												BgL_tmpz00_4555 = BGL_SIGNBIT(BgL_tmpz00_4556);
											}
											BgL_test2507z00_4546 =
												(BgL_tmpz00_4555 ==
												BGL_SIGNBIT(REAL_TO_DOUBLE(BgL_realz00_52)));
										}
									else
										{	/* Cnst/alloc.scm 505 */
											BgL_test2507z00_4546 = ((bool_t) 0);
										}
								}
								if (BgL_test2507z00_4546)
									{	/* Cnst/alloc.scm 507 */
										obj_t BgL_pairz00_3070;

										BgL_pairz00_3070 = CAR(((obj_t) BgL_listz00_1905));
										BgL_oldz00_1891 = CDR(BgL_pairz00_3070);
									}
								else
									{
										obj_t BgL_listz00_4568;

										BgL_listz00_4568 = CDR(((obj_t) BgL_listz00_1905));
										BgL_listz00_1905 = BgL_listz00_4568;
										goto BgL_zc3z04anonymousza31919ze3z87_1906;
									}
							}
					}
					if (CBOOL(BgL_oldz00_1891))
						{	/* Cnst/alloc.scm 513 */
							BgL_refz00_bglt BgL_new1159z00_1892;

							{	/* Cnst/alloc.scm 514 */
								BgL_refz00_bglt BgL_new1158z00_1893;

								BgL_new1158z00_1893 =
									((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_refz00_bgl))));
								{	/* Cnst/alloc.scm 514 */
									long BgL_arg1911z00_1894;

									BgL_arg1911z00_1894 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1158z00_1893),
										BgL_arg1911z00_1894);
								}
								{	/* Cnst/alloc.scm 514 */
									BgL_objectz00_bglt BgL_tmpz00_4577;

									BgL_tmpz00_4577 = ((BgL_objectz00_bglt) BgL_new1158z00_1893);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4577, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1158z00_1893);
								BgL_new1159z00_1892 = BgL_new1158z00_1893;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1159z00_1892)))->BgL_locz00) =
								((obj_t) BgL_locz00_53), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1159z00_1892)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT(((BgL_variablez00_bglt) BgL_oldz00_1891)))->
										BgL_typez00)), BUNSPEC);
							((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
												BgL_new1159z00_1892)))->BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										BgL_oldz00_1891)), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1159z00_1892);
						}
					else
						{
							BgL_refz00_bglt BgL_auxz00_4591;

							{	/* Cnst/alloc.scm 490 */
								BgL_globalz00_bglt BgL_varz00_1896;

								{	/* Cnst/alloc.scm 490 */
									obj_t BgL_arg1916z00_1901;

									{	/* Cnst/alloc.scm 490 */
										obj_t BgL_arg1917z00_1902;

										BgL_arg1917z00_1902 =
											BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													25)));
										BgL_arg1916z00_1901 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg1917z00_1902, CNST_TABLE_REF(((long) 25)));
									}
									BgL_varz00_1896 =
										BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
										(BgL_arg1916z00_1901, BGl_za2moduleza2z00zzmodule_modulez00,
										BgL_realz00_52, CNST_TABLE_REF(((long) 26)), BgL_locz00_53);
								}
								{	/* Cnst/alloc.scm 495 */
									obj_t BgL_arg1913z00_1897;

									BgL_arg1913z00_1897 =
										MAKE_YOUNG_PAIR(BgL_realz00_52, ((obj_t) BgL_varz00_1896));
									BGl_za2realzd2envza2zd2zzcnst_allocz00 =
										MAKE_YOUNG_PAIR(BgL_arg1913z00_1897,
										BGl_za2realzd2envza2zd2zzcnst_allocz00);
								}
								{	/* Cnst/alloc.scm 496 */
									BgL_refz00_bglt BgL_new1157z00_1898;

									{	/* Cnst/alloc.scm 497 */
										BgL_refz00_bglt BgL_new1155z00_1899;

										BgL_new1155z00_1899 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 497 */
											long BgL_arg1914z00_1900;

											BgL_arg1914z00_1900 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1155z00_1899),
												BgL_arg1914z00_1900);
										}
										{	/* Cnst/alloc.scm 497 */
											BgL_objectz00_bglt BgL_tmpz00_4605;

											BgL_tmpz00_4605 =
												((BgL_objectz00_bglt) BgL_new1155z00_1899);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4605, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1155z00_1899);
										BgL_new1157z00_1898 = BgL_new1155z00_1899;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1157z00_1898)))->
											BgL_locz00) = ((obj_t) BgL_locz00_53), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1157z00_1898)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) BgL_varz00_1896)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1157z00_1898)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_varz00_1896)), BUNSPEC);
									BgL_auxz00_4591 = BgL_new1157z00_1898;
							}}
							return ((BgL_nodez00_bglt) BgL_auxz00_4591);
						}
				}
			}
		}

	}



/* &cnst-alloc-real */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2realz62zzcnst_allocz00(obj_t
		BgL_envz00_3547, obj_t BgL_realz00_3548, obj_t BgL_locz00_3549)
	{
		{	/* Cnst/alloc.scm 488 */
			return
				BGl_cnstzd2alloczd2realz00zzcnst_allocz00(BgL_realz00_3548,
				BgL_locz00_3549);
		}

	}



/* cnst-alloc-elong */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2elongz00zzcnst_allocz00(long BgL_elongz00_54,
		obj_t BgL_locz00_55)
	{
		{	/* Cnst/alloc.scm 523 */
			{

				{	/* Cnst/alloc.scm 544 */
					obj_t BgL_oldz00_1932;

					{
						obj_t BgL_listz00_1946;

						BgL_listz00_1946 = BGl_za2elongzd2envza2zd2zzcnst_allocz00;
					BgL_zc3z04anonymousza31949ze3z87_1947:
						if (NULLP(BgL_listz00_1946))
							{	/* Cnst/alloc.scm 538 */
								BgL_oldz00_1932 = BFALSE;
							}
						else
							{	/* Cnst/alloc.scm 540 */
								bool_t BgL_test2511z00_4622;

								{	/* Cnst/alloc.scm 540 */
									long BgL_n1z00_3084;

									{	/* Cnst/alloc.scm 540 */
										obj_t BgL_pairz00_3083;

										BgL_pairz00_3083 = CAR(((obj_t) BgL_listz00_1946));
										{	/* Cnst/alloc.scm 540 */
											obj_t BgL_tmpz00_4625;

											BgL_tmpz00_4625 = CAR(BgL_pairz00_3083);
											BgL_n1z00_3084 = BELONG_TO_LONG(BgL_tmpz00_4625);
									}}
									BgL_test2511z00_4622 = (BgL_n1z00_3084 == BgL_elongz00_54);
								}
								if (BgL_test2511z00_4622)
									{	/* Cnst/alloc.scm 541 */
										obj_t BgL_pairz00_3087;

										BgL_pairz00_3087 = CAR(((obj_t) BgL_listz00_1946));
										BgL_oldz00_1932 = CDR(BgL_pairz00_3087);
									}
								else
									{
										obj_t BgL_listz00_4632;

										BgL_listz00_4632 = CDR(((obj_t) BgL_listz00_1946));
										BgL_listz00_1946 = BgL_listz00_4632;
										goto BgL_zc3z04anonymousza31949ze3z87_1947;
									}
							}
					}
					if (CBOOL(BgL_oldz00_1932))
						{	/* Cnst/alloc.scm 547 */
							BgL_refz00_bglt BgL_new1163z00_1933;

							{	/* Cnst/alloc.scm 548 */
								BgL_refz00_bglt BgL_new1162z00_1934;

								BgL_new1162z00_1934 =
									((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_refz00_bgl))));
								{	/* Cnst/alloc.scm 548 */
									long BgL_arg1942z00_1935;

									BgL_arg1942z00_1935 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1162z00_1934),
										BgL_arg1942z00_1935);
								}
								{	/* Cnst/alloc.scm 548 */
									BgL_objectz00_bglt BgL_tmpz00_4641;

									BgL_tmpz00_4641 = ((BgL_objectz00_bglt) BgL_new1162z00_1934);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4641, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1162z00_1934);
								BgL_new1163z00_1933 = BgL_new1162z00_1934;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1163z00_1933)))->BgL_locz00) =
								((obj_t) BgL_locz00_55), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1163z00_1933)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT(((BgL_variablez00_bglt) BgL_oldz00_1932)))->
										BgL_typez00)), BUNSPEC);
							((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
												BgL_new1163z00_1933)))->BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										BgL_oldz00_1932)), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1163z00_1933);
						}
					else
						{
							BgL_refz00_bglt BgL_auxz00_4655;

							{	/* Cnst/alloc.scm 525 */
								BgL_globalz00_bglt BgL_varz00_1937;

								{	/* Cnst/alloc.scm 525 */
									obj_t BgL_arg1946z00_1942;

									{	/* Cnst/alloc.scm 525 */
										obj_t BgL_arg1947z00_1943;

										BgL_arg1947z00_1943 =
											BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													27)));
										BgL_arg1946z00_1942 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg1947z00_1943, CNST_TABLE_REF(((long) 28)));
									}
									BgL_varz00_1937 =
										BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
										(BgL_arg1946z00_1942, BGl_za2moduleza2z00zzmodule_modulez00,
										make_belong(BgL_elongz00_54), CNST_TABLE_REF(((long) 29)),
										BgL_locz00_55);
								}
								{	/* Cnst/alloc.scm 530 */
									obj_t BgL_arg1944z00_1938;

									BgL_arg1944z00_1938 =
										MAKE_YOUNG_PAIR(make_belong(BgL_elongz00_54),
										((obj_t) BgL_varz00_1937));
									BGl_za2elongzd2envza2zd2zzcnst_allocz00 =
										MAKE_YOUNG_PAIR(BgL_arg1944z00_1938,
										BGl_za2elongzd2envza2zd2zzcnst_allocz00);
								}
								{	/* Cnst/alloc.scm 531 */
									BgL_refz00_bglt BgL_new1161z00_1939;

									{	/* Cnst/alloc.scm 532 */
										BgL_refz00_bglt BgL_new1160z00_1940;

										BgL_new1160z00_1940 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 532 */
											long BgL_arg1945z00_1941;

											BgL_arg1945z00_1941 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1160z00_1940),
												BgL_arg1945z00_1941);
										}
										{	/* Cnst/alloc.scm 532 */
											BgL_objectz00_bglt BgL_tmpz00_4671;

											BgL_tmpz00_4671 =
												((BgL_objectz00_bglt) BgL_new1160z00_1940);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4671, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1160z00_1940);
										BgL_new1161z00_1939 = BgL_new1160z00_1940;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1161z00_1939)))->
											BgL_locz00) = ((obj_t) BgL_locz00_55), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1161z00_1939)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) BgL_varz00_1937)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1161z00_1939)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_varz00_1937)), BUNSPEC);
									BgL_auxz00_4655 = BgL_new1161z00_1939;
							}}
							return ((BgL_nodez00_bglt) BgL_auxz00_4655);
						}
				}
			}
		}

	}



/* &cnst-alloc-elong */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2elongz62zzcnst_allocz00(obj_t
		BgL_envz00_3550, obj_t BgL_elongz00_3551, obj_t BgL_locz00_3552)
	{
		{	/* Cnst/alloc.scm 523 */
			return
				BGl_cnstzd2alloczd2elongz00zzcnst_allocz00(BELONG_TO_LONG
				(BgL_elongz00_3551), BgL_locz00_3552);
		}

	}



/* cnst-alloc-llong */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2llongz00zzcnst_allocz00(BGL_LONGLONG_T BgL_llongz00_56,
		obj_t BgL_locz00_57)
	{
		{	/* Cnst/alloc.scm 557 */
			{

				{	/* Cnst/alloc.scm 578 */
					obj_t BgL_oldz00_1961;

					{
						obj_t BgL_listz00_1975;

						BgL_listz00_1975 = BGl_za2llongzd2envza2zd2zzcnst_allocz00;
					BgL_zc3z04anonymousza31966ze3z87_1976:
						if (NULLP(BgL_listz00_1975))
							{	/* Cnst/alloc.scm 572 */
								BgL_oldz00_1961 = BFALSE;
							}
						else
							{	/* Cnst/alloc.scm 574 */
								bool_t BgL_test2514z00_4689;

								{	/* Cnst/alloc.scm 574 */
									BGL_LONGLONG_T BgL_tmpz00_4690;

									{	/* Cnst/alloc.scm 574 */
										obj_t BgL_pairz00_3100;

										BgL_pairz00_3100 = CAR(((obj_t) BgL_listz00_1975));
										BgL_tmpz00_4690 = BLLONG_TO_LLONG(CAR(BgL_pairz00_3100));
									}
									BgL_test2514z00_4689 = (BgL_tmpz00_4690 == BgL_llongz00_56);
								}
								if (BgL_test2514z00_4689)
									{	/* Cnst/alloc.scm 575 */
										obj_t BgL_pairz00_3104;

										BgL_pairz00_3104 = CAR(((obj_t) BgL_listz00_1975));
										BgL_oldz00_1961 = CDR(BgL_pairz00_3104);
									}
								else
									{
										obj_t BgL_listz00_4699;

										BgL_listz00_4699 = CDR(((obj_t) BgL_listz00_1975));
										BgL_listz00_1975 = BgL_listz00_4699;
										goto BgL_zc3z04anonymousza31966ze3z87_1976;
									}
							}
					}
					if (CBOOL(BgL_oldz00_1961))
						{	/* Cnst/alloc.scm 581 */
							BgL_refz00_bglt BgL_new1167z00_1962;

							{	/* Cnst/alloc.scm 582 */
								BgL_refz00_bglt BgL_new1166z00_1963;

								BgL_new1166z00_1963 =
									((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_refz00_bgl))));
								{	/* Cnst/alloc.scm 582 */
									long BgL_arg1958z00_1964;

									BgL_arg1958z00_1964 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1166z00_1963),
										BgL_arg1958z00_1964);
								}
								{	/* Cnst/alloc.scm 582 */
									BgL_objectz00_bglt BgL_tmpz00_4708;

									BgL_tmpz00_4708 = ((BgL_objectz00_bglt) BgL_new1166z00_1963);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4708, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1166z00_1963);
								BgL_new1167z00_1962 = BgL_new1166z00_1963;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1167z00_1962)))->BgL_locz00) =
								((obj_t) BgL_locz00_57), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1167z00_1962)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT(((BgL_variablez00_bglt) BgL_oldz00_1961)))->
										BgL_typez00)), BUNSPEC);
							((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
												BgL_new1167z00_1962)))->BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										BgL_oldz00_1961)), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1167z00_1962);
						}
					else
						{
							BgL_refz00_bglt BgL_auxz00_4722;

							{	/* Cnst/alloc.scm 559 */
								BgL_globalz00_bglt BgL_varz00_1966;

								{	/* Cnst/alloc.scm 559 */
									obj_t BgL_arg1962z00_1971;

									{	/* Cnst/alloc.scm 559 */
										obj_t BgL_arg1964z00_1972;

										BgL_arg1964z00_1972 =
											BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													30)));
										BgL_arg1962z00_1971 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg1964z00_1972, CNST_TABLE_REF(((long) 31)));
									}
									BgL_varz00_1966 =
										BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
										(BgL_arg1962z00_1971, BGl_za2moduleza2z00zzmodule_modulez00,
										make_bllong(BgL_llongz00_56), CNST_TABLE_REF(((long) 32)),
										BgL_locz00_57);
								}
								{	/* Cnst/alloc.scm 564 */
									obj_t BgL_arg1960z00_1967;

									BgL_arg1960z00_1967 =
										MAKE_YOUNG_PAIR(make_bllong(BgL_llongz00_56),
										((obj_t) BgL_varz00_1966));
									BGl_za2llongzd2envza2zd2zzcnst_allocz00 =
										MAKE_YOUNG_PAIR(BgL_arg1960z00_1967,
										BGl_za2llongzd2envza2zd2zzcnst_allocz00);
								}
								{	/* Cnst/alloc.scm 565 */
									BgL_refz00_bglt BgL_new1165z00_1968;

									{	/* Cnst/alloc.scm 566 */
										BgL_refz00_bglt BgL_new1164z00_1969;

										BgL_new1164z00_1969 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 566 */
											long BgL_arg1961z00_1970;

											BgL_arg1961z00_1970 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1164z00_1969),
												BgL_arg1961z00_1970);
										}
										{	/* Cnst/alloc.scm 566 */
											BgL_objectz00_bglt BgL_tmpz00_4738;

											BgL_tmpz00_4738 =
												((BgL_objectz00_bglt) BgL_new1164z00_1969);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4738, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1164z00_1969);
										BgL_new1165z00_1968 = BgL_new1164z00_1969;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1165z00_1968)))->
											BgL_locz00) = ((obj_t) BgL_locz00_57), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1165z00_1968)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) BgL_varz00_1966)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1165z00_1968)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_varz00_1966)), BUNSPEC);
									BgL_auxz00_4722 = BgL_new1165z00_1968;
							}}
							return ((BgL_nodez00_bglt) BgL_auxz00_4722);
						}
				}
			}
		}

	}



/* &cnst-alloc-llong */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2llongz62zzcnst_allocz00(obj_t
		BgL_envz00_3553, obj_t BgL_llongz00_3554, obj_t BgL_locz00_3555)
	{
		{	/* Cnst/alloc.scm 557 */
			return
				BGl_cnstzd2alloczd2llongz00zzcnst_allocz00(BLLONG_TO_LLONG
				(BgL_llongz00_3554), BgL_locz00_3555);
		}

	}



/* cnst-alloc-int32 */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2int32z00zzcnst_allocz00(int32_t BgL_int32z00_58,
		obj_t BgL_locz00_59)
	{
		{	/* Cnst/alloc.scm 591 */
			{

				{	/* Cnst/alloc.scm 612 */
					obj_t BgL_oldz00_1990;

					{
						obj_t BgL_listz00_2004;

						BgL_listz00_2004 = BGl_za2int32zd2envza2zd2zzcnst_allocz00;
					BgL_zc3z04anonymousza31982ze3z87_2005:
						if (NULLP(BgL_listz00_2004))
							{	/* Cnst/alloc.scm 606 */
								BgL_oldz00_1990 = BFALSE;
							}
						else
							{	/* Cnst/alloc.scm 608 */
								bool_t BgL_test2517z00_4756;

								{	/* Cnst/alloc.scm 608 */
									obj_t BgL_arg1989z00_2012;

									{	/* Cnst/alloc.scm 608 */
										obj_t BgL_pairz00_3117;

										BgL_pairz00_3117 = CAR(((obj_t) BgL_listz00_2004));
										BgL_arg1989z00_2012 = CAR(BgL_pairz00_3117);
									}
									{	/* Cnst/alloc.scm 608 */
										int32_t BgL_n1z00_3118;

										BgL_n1z00_3118 = BGL_BINT32_TO_INT32(BgL_arg1989z00_2012);
										BgL_test2517z00_4756 = (BgL_n1z00_3118 == BgL_int32z00_58);
									}
								}
								if (BgL_test2517z00_4756)
									{	/* Cnst/alloc.scm 609 */
										obj_t BgL_pairz00_3121;

										BgL_pairz00_3121 = CAR(((obj_t) BgL_listz00_2004));
										BgL_oldz00_1990 = CDR(BgL_pairz00_3121);
									}
								else
									{
										obj_t BgL_listz00_4765;

										BgL_listz00_4765 = CDR(((obj_t) BgL_listz00_2004));
										BgL_listz00_2004 = BgL_listz00_4765;
										goto BgL_zc3z04anonymousza31982ze3z87_2005;
									}
							}
					}
					if (CBOOL(BgL_oldz00_1990))
						{	/* Cnst/alloc.scm 615 */
							BgL_refz00_bglt BgL_new1171z00_1991;

							{	/* Cnst/alloc.scm 616 */
								BgL_refz00_bglt BgL_new1170z00_1992;

								BgL_new1170z00_1992 =
									((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_refz00_bgl))));
								{	/* Cnst/alloc.scm 616 */
									long BgL_arg1975z00_1993;

									BgL_arg1975z00_1993 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1170z00_1992),
										BgL_arg1975z00_1993);
								}
								{	/* Cnst/alloc.scm 616 */
									BgL_objectz00_bglt BgL_tmpz00_4774;

									BgL_tmpz00_4774 = ((BgL_objectz00_bglt) BgL_new1170z00_1992);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4774, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1170z00_1992);
								BgL_new1171z00_1991 = BgL_new1170z00_1992;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1171z00_1991)))->BgL_locz00) =
								((obj_t) BgL_locz00_59), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1171z00_1991)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT(((BgL_variablez00_bglt) BgL_oldz00_1990)))->
										BgL_typez00)), BUNSPEC);
							((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
												BgL_new1171z00_1991)))->BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										BgL_oldz00_1990)), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1171z00_1991);
						}
					else
						{
							BgL_refz00_bglt BgL_auxz00_4788;

							{	/* Cnst/alloc.scm 593 */
								BgL_globalz00_bglt BgL_varz00_1995;

								{	/* Cnst/alloc.scm 593 */
									obj_t BgL_arg1979z00_2000;

									{	/* Cnst/alloc.scm 593 */
										obj_t BgL_arg1980z00_2001;

										BgL_arg1980z00_2001 =
											BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													33)));
										BgL_arg1979z00_2000 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg1980z00_2001, CNST_TABLE_REF(((long) 34)));
									}
									BgL_varz00_1995 =
										BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
										(BgL_arg1979z00_2000, BGl_za2moduleza2z00zzmodule_modulez00,
										BGL_INT32_TO_BINT32(BgL_int32z00_58),
										CNST_TABLE_REF(((long) 35)), BgL_locz00_59);
								}
								{	/* Cnst/alloc.scm 598 */
									obj_t BgL_arg1977z00_1996;

									BgL_arg1977z00_1996 =
										MAKE_YOUNG_PAIR(BGL_INT32_TO_BINT32(BgL_int32z00_58),
										((obj_t) BgL_varz00_1995));
									BGl_za2int32zd2envza2zd2zzcnst_allocz00 =
										MAKE_YOUNG_PAIR(BgL_arg1977z00_1996,
										BGl_za2int32zd2envza2zd2zzcnst_allocz00);
								}
								{	/* Cnst/alloc.scm 599 */
									BgL_refz00_bglt BgL_new1169z00_1997;

									{	/* Cnst/alloc.scm 600 */
										BgL_refz00_bglt BgL_new1168z00_1998;

										BgL_new1168z00_1998 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 600 */
											long BgL_arg1978z00_1999;

											BgL_arg1978z00_1999 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1168z00_1998),
												BgL_arg1978z00_1999);
										}
										{	/* Cnst/alloc.scm 600 */
											BgL_objectz00_bglt BgL_tmpz00_4804;

											BgL_tmpz00_4804 =
												((BgL_objectz00_bglt) BgL_new1168z00_1998);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4804, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1168z00_1998);
										BgL_new1169z00_1997 = BgL_new1168z00_1998;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1169z00_1997)))->
											BgL_locz00) = ((obj_t) BgL_locz00_59), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1169z00_1997)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) BgL_varz00_1995)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1169z00_1997)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_varz00_1995)), BUNSPEC);
									BgL_auxz00_4788 = BgL_new1169z00_1997;
							}}
							return ((BgL_nodez00_bglt) BgL_auxz00_4788);
						}
				}
			}
		}

	}



/* &cnst-alloc-int32 */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2int32z62zzcnst_allocz00(obj_t
		BgL_envz00_3556, obj_t BgL_int32z00_3557, obj_t BgL_locz00_3558)
	{
		{	/* Cnst/alloc.scm 591 */
			return
				BGl_cnstzd2alloczd2int32z00zzcnst_allocz00(BGL_BINT32_TO_INT32
				(BgL_int32z00_3557), BgL_locz00_3558);
		}

	}



/* cnst-alloc-uint32 */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2uint32z00zzcnst_allocz00(uint32_t BgL_uint32z00_60,
		obj_t BgL_locz00_61)
	{
		{	/* Cnst/alloc.scm 625 */
			{

				{	/* Cnst/alloc.scm 646 */
					obj_t BgL_oldz00_2019;

					{
						obj_t BgL_listz00_2033;

						BgL_listz00_2033 = BGl_za2uint32zd2envza2zd2zzcnst_allocz00;
					BgL_zc3z04anonymousza31999ze3z87_2034:
						if (NULLP(BgL_listz00_2033))
							{	/* Cnst/alloc.scm 640 */
								BgL_oldz00_2019 = BFALSE;
							}
						else
							{	/* Cnst/alloc.scm 642 */
								bool_t BgL_test2520z00_4822;

								{	/* Cnst/alloc.scm 642 */
									obj_t BgL_arg2006z00_2041;

									{	/* Cnst/alloc.scm 642 */
										obj_t BgL_pairz00_3134;

										BgL_pairz00_3134 = CAR(((obj_t) BgL_listz00_2033));
										BgL_arg2006z00_2041 = CAR(BgL_pairz00_3134);
									}
									{	/* Cnst/alloc.scm 642 */
										uint32_t BgL_n1z00_3135;

										BgL_n1z00_3135 = BGL_BUINT32_TO_UINT32(BgL_arg2006z00_2041);
										BgL_test2520z00_4822 = (BgL_n1z00_3135 == BgL_uint32z00_60);
									}
								}
								if (BgL_test2520z00_4822)
									{	/* Cnst/alloc.scm 643 */
										obj_t BgL_pairz00_3138;

										BgL_pairz00_3138 = CAR(((obj_t) BgL_listz00_2033));
										BgL_oldz00_2019 = CDR(BgL_pairz00_3138);
									}
								else
									{
										obj_t BgL_listz00_4831;

										BgL_listz00_4831 = CDR(((obj_t) BgL_listz00_2033));
										BgL_listz00_2033 = BgL_listz00_4831;
										goto BgL_zc3z04anonymousza31999ze3z87_2034;
									}
							}
					}
					if (CBOOL(BgL_oldz00_2019))
						{	/* Cnst/alloc.scm 649 */
							BgL_refz00_bglt BgL_new1175z00_2020;

							{	/* Cnst/alloc.scm 650 */
								BgL_refz00_bglt BgL_new1174z00_2021;

								BgL_new1174z00_2021 =
									((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_refz00_bgl))));
								{	/* Cnst/alloc.scm 650 */
									long BgL_arg1991z00_2022;

									BgL_arg1991z00_2022 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1174z00_2021),
										BgL_arg1991z00_2022);
								}
								{	/* Cnst/alloc.scm 650 */
									BgL_objectz00_bglt BgL_tmpz00_4840;

									BgL_tmpz00_4840 = ((BgL_objectz00_bglt) BgL_new1174z00_2021);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4840, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1174z00_2021);
								BgL_new1175z00_2020 = BgL_new1174z00_2021;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1175z00_2020)))->BgL_locz00) =
								((obj_t) BgL_locz00_61), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1175z00_2020)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT(((BgL_variablez00_bglt) BgL_oldz00_2019)))->
										BgL_typez00)), BUNSPEC);
							((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
												BgL_new1175z00_2020)))->BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										BgL_oldz00_2019)), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1175z00_2020);
						}
					else
						{
							BgL_refz00_bglt BgL_auxz00_4854;

							{	/* Cnst/alloc.scm 627 */
								BgL_globalz00_bglt BgL_varz00_2024;

								{	/* Cnst/alloc.scm 627 */
									obj_t BgL_arg1996z00_2029;

									{	/* Cnst/alloc.scm 627 */
										obj_t BgL_arg1997z00_2030;

										BgL_arg1997z00_2030 =
											BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													36)));
										BgL_arg1996z00_2029 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg1997z00_2030, CNST_TABLE_REF(((long) 37)));
									}
									BgL_varz00_2024 =
										BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
										(BgL_arg1996z00_2029, BGl_za2moduleza2z00zzmodule_modulez00,
										BGL_UINT32_TO_BUINT32(BgL_uint32z00_60),
										CNST_TABLE_REF(((long) 38)), BgL_locz00_61);
								}
								{	/* Cnst/alloc.scm 632 */
									obj_t BgL_arg1994z00_2025;

									BgL_arg1994z00_2025 =
										MAKE_YOUNG_PAIR(BGL_UINT32_TO_BUINT32(BgL_uint32z00_60),
										((obj_t) BgL_varz00_2024));
									BGl_za2uint32zd2envza2zd2zzcnst_allocz00 =
										MAKE_YOUNG_PAIR(BgL_arg1994z00_2025,
										BGl_za2uint32zd2envza2zd2zzcnst_allocz00);
								}
								{	/* Cnst/alloc.scm 633 */
									BgL_refz00_bglt BgL_new1173z00_2026;

									{	/* Cnst/alloc.scm 634 */
										BgL_refz00_bglt BgL_new1172z00_2027;

										BgL_new1172z00_2027 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 634 */
											long BgL_arg1995z00_2028;

											BgL_arg1995z00_2028 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1172z00_2027),
												BgL_arg1995z00_2028);
										}
										{	/* Cnst/alloc.scm 634 */
											BgL_objectz00_bglt BgL_tmpz00_4870;

											BgL_tmpz00_4870 =
												((BgL_objectz00_bglt) BgL_new1172z00_2027);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4870, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1172z00_2027);
										BgL_new1173z00_2026 = BgL_new1172z00_2027;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1173z00_2026)))->
											BgL_locz00) = ((obj_t) BgL_locz00_61), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1173z00_2026)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) BgL_varz00_2024)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1173z00_2026)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_varz00_2024)), BUNSPEC);
									BgL_auxz00_4854 = BgL_new1173z00_2026;
							}}
							return ((BgL_nodez00_bglt) BgL_auxz00_4854);
						}
				}
			}
		}

	}



/* &cnst-alloc-uint32 */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2uint32z62zzcnst_allocz00(obj_t
		BgL_envz00_3559, obj_t BgL_uint32z00_3560, obj_t BgL_locz00_3561)
	{
		{	/* Cnst/alloc.scm 625 */
			return
				BGl_cnstzd2alloczd2uint32z00zzcnst_allocz00(BGL_BUINT32_TO_UINT32
				(BgL_uint32z00_3560), BgL_locz00_3561);
		}

	}



/* cnst-alloc-int64 */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2int64z00zzcnst_allocz00(int64_t BgL_int64z00_62,
		obj_t BgL_locz00_63)
	{
		{	/* Cnst/alloc.scm 659 */
			{

				{	/* Cnst/alloc.scm 680 */
					obj_t BgL_oldz00_2048;

					{
						obj_t BgL_listz00_2062;

						BgL_listz00_2062 = BGl_za2int64zd2envza2zd2zzcnst_allocz00;
					BgL_zc3z04anonymousza32015ze3z87_2063:
						if (NULLP(BgL_listz00_2062))
							{	/* Cnst/alloc.scm 674 */
								BgL_oldz00_2048 = BFALSE;
							}
						else
							{	/* Cnst/alloc.scm 676 */
								bool_t BgL_test2523z00_4888;

								{	/* Cnst/alloc.scm 676 */
									obj_t BgL_arg2023z00_2070;

									{	/* Cnst/alloc.scm 676 */
										obj_t BgL_pairz00_3151;

										BgL_pairz00_3151 = CAR(((obj_t) BgL_listz00_2062));
										BgL_arg2023z00_2070 = CAR(BgL_pairz00_3151);
									}
									{	/* Cnst/alloc.scm 676 */
										int64_t BgL_n1z00_3152;

										BgL_n1z00_3152 = BGL_BINT64_TO_INT64(BgL_arg2023z00_2070);
										BgL_test2523z00_4888 = (BgL_n1z00_3152 == BgL_int64z00_62);
									}
								}
								if (BgL_test2523z00_4888)
									{	/* Cnst/alloc.scm 677 */
										obj_t BgL_pairz00_3155;

										BgL_pairz00_3155 = CAR(((obj_t) BgL_listz00_2062));
										BgL_oldz00_2048 = CDR(BgL_pairz00_3155);
									}
								else
									{
										obj_t BgL_listz00_4897;

										BgL_listz00_4897 = CDR(((obj_t) BgL_listz00_2062));
										BgL_listz00_2062 = BgL_listz00_4897;
										goto BgL_zc3z04anonymousza32015ze3z87_2063;
									}
							}
					}
					if (CBOOL(BgL_oldz00_2048))
						{	/* Cnst/alloc.scm 683 */
							BgL_refz00_bglt BgL_new1180z00_2049;

							{	/* Cnst/alloc.scm 684 */
								BgL_refz00_bglt BgL_new1178z00_2050;

								BgL_new1178z00_2050 =
									((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_refz00_bgl))));
								{	/* Cnst/alloc.scm 684 */
									long BgL_arg2008z00_2051;

									BgL_arg2008z00_2051 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1178z00_2050),
										BgL_arg2008z00_2051);
								}
								{	/* Cnst/alloc.scm 684 */
									BgL_objectz00_bglt BgL_tmpz00_4906;

									BgL_tmpz00_4906 = ((BgL_objectz00_bglt) BgL_new1178z00_2050);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4906, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1178z00_2050);
								BgL_new1180z00_2049 = BgL_new1178z00_2050;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1180z00_2049)))->BgL_locz00) =
								((obj_t) BgL_locz00_63), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1180z00_2049)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT(((BgL_variablez00_bglt) BgL_oldz00_2048)))->
										BgL_typez00)), BUNSPEC);
							((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
												BgL_new1180z00_2049)))->BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										BgL_oldz00_2048)), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1180z00_2049);
						}
					else
						{
							BgL_refz00_bglt BgL_auxz00_4920;

							{	/* Cnst/alloc.scm 661 */
								BgL_globalz00_bglt BgL_varz00_2053;

								{	/* Cnst/alloc.scm 661 */
									obj_t BgL_arg2012z00_2058;

									{	/* Cnst/alloc.scm 661 */
										obj_t BgL_arg2013z00_2059;

										BgL_arg2013z00_2059 =
											BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													39)));
										BgL_arg2012z00_2058 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg2013z00_2059, CNST_TABLE_REF(((long) 40)));
									}
									BgL_varz00_2053 =
										BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
										(BgL_arg2012z00_2058, BGl_za2moduleza2z00zzmodule_modulez00,
										BGL_INT64_TO_BINT64(BgL_int64z00_62),
										CNST_TABLE_REF(((long) 41)), BgL_locz00_63);
								}
								{	/* Cnst/alloc.scm 666 */
									obj_t BgL_arg2010z00_2054;

									BgL_arg2010z00_2054 =
										MAKE_YOUNG_PAIR(BGL_INT64_TO_BINT64(BgL_int64z00_62),
										((obj_t) BgL_varz00_2053));
									BGl_za2int64zd2envza2zd2zzcnst_allocz00 =
										MAKE_YOUNG_PAIR(BgL_arg2010z00_2054,
										BGl_za2int64zd2envza2zd2zzcnst_allocz00);
								}
								{	/* Cnst/alloc.scm 667 */
									BgL_refz00_bglt BgL_new1177z00_2055;

									{	/* Cnst/alloc.scm 668 */
										BgL_refz00_bglt BgL_new1176z00_2056;

										BgL_new1176z00_2056 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 668 */
											long BgL_arg2011z00_2057;

											BgL_arg2011z00_2057 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1176z00_2056),
												BgL_arg2011z00_2057);
										}
										{	/* Cnst/alloc.scm 668 */
											BgL_objectz00_bglt BgL_tmpz00_4936;

											BgL_tmpz00_4936 =
												((BgL_objectz00_bglt) BgL_new1176z00_2056);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4936, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1176z00_2056);
										BgL_new1177z00_2055 = BgL_new1176z00_2056;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1177z00_2055)))->
											BgL_locz00) = ((obj_t) BgL_locz00_63), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1177z00_2055)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) BgL_varz00_2053)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1177z00_2055)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_varz00_2053)), BUNSPEC);
									BgL_auxz00_4920 = BgL_new1177z00_2055;
							}}
							return ((BgL_nodez00_bglt) BgL_auxz00_4920);
						}
				}
			}
		}

	}



/* &cnst-alloc-int64 */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2int64z62zzcnst_allocz00(obj_t
		BgL_envz00_3562, obj_t BgL_int64z00_3563, obj_t BgL_locz00_3564)
	{
		{	/* Cnst/alloc.scm 659 */
			return
				BGl_cnstzd2alloczd2int64z00zzcnst_allocz00(BGL_BINT64_TO_INT64
				(BgL_int64z00_3563), BgL_locz00_3564);
		}

	}



/* cnst-alloc-uint64 */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2uint64z00zzcnst_allocz00(uint64_t BgL_uint64z00_64,
		obj_t BgL_locz00_65)
	{
		{	/* Cnst/alloc.scm 693 */
			{

				{	/* Cnst/alloc.scm 714 */
					obj_t BgL_oldz00_2077;

					{
						obj_t BgL_listz00_2091;

						BgL_listz00_2091 = BGl_za2uint64zd2envza2zd2zzcnst_allocz00;
					BgL_zc3z04anonymousza32034ze3z87_2092:
						if (NULLP(BgL_listz00_2091))
							{	/* Cnst/alloc.scm 708 */
								BgL_oldz00_2077 = BFALSE;
							}
						else
							{	/* Cnst/alloc.scm 710 */
								bool_t BgL_test2526z00_4954;

								{	/* Cnst/alloc.scm 710 */
									obj_t BgL_arg2041z00_2099;

									{	/* Cnst/alloc.scm 710 */
										obj_t BgL_pairz00_3168;

										BgL_pairz00_3168 = CAR(((obj_t) BgL_listz00_2091));
										BgL_arg2041z00_2099 = CAR(BgL_pairz00_3168);
									}
									{	/* Cnst/alloc.scm 710 */
										uint64_t BgL_n1z00_3169;

										BgL_n1z00_3169 = BGL_BINT64_TO_INT64(BgL_arg2041z00_2099);
										BgL_test2526z00_4954 = (BgL_n1z00_3169 == BgL_uint64z00_64);
									}
								}
								if (BgL_test2526z00_4954)
									{	/* Cnst/alloc.scm 711 */
										obj_t BgL_pairz00_3172;

										BgL_pairz00_3172 = CAR(((obj_t) BgL_listz00_2091));
										BgL_oldz00_2077 = CDR(BgL_pairz00_3172);
									}
								else
									{
										obj_t BgL_listz00_4963;

										BgL_listz00_4963 = CDR(((obj_t) BgL_listz00_2091));
										BgL_listz00_2091 = BgL_listz00_4963;
										goto BgL_zc3z04anonymousza32034ze3z87_2092;
									}
							}
					}
					if (CBOOL(BgL_oldz00_2077))
						{	/* Cnst/alloc.scm 717 */
							BgL_refz00_bglt BgL_new1185z00_2078;

							{	/* Cnst/alloc.scm 718 */
								BgL_refz00_bglt BgL_new1184z00_2079;

								BgL_new1184z00_2079 =
									((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_refz00_bgl))));
								{	/* Cnst/alloc.scm 718 */
									long BgL_arg2025z00_2080;

									BgL_arg2025z00_2080 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1184z00_2079),
										BgL_arg2025z00_2080);
								}
								{	/* Cnst/alloc.scm 718 */
									BgL_objectz00_bglt BgL_tmpz00_4972;

									BgL_tmpz00_4972 = ((BgL_objectz00_bglt) BgL_new1184z00_2079);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4972, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1184z00_2079);
								BgL_new1185z00_2078 = BgL_new1184z00_2079;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1185z00_2078)))->BgL_locz00) =
								((obj_t) BgL_locz00_65), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1185z00_2078)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT(((BgL_variablez00_bglt) BgL_oldz00_2077)))->
										BgL_typez00)), BUNSPEC);
							((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
												BgL_new1185z00_2078)))->BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										BgL_oldz00_2077)), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1185z00_2078);
						}
					else
						{
							BgL_refz00_bglt BgL_auxz00_4986;

							{	/* Cnst/alloc.scm 695 */
								BgL_globalz00_bglt BgL_varz00_2082;

								{	/* Cnst/alloc.scm 695 */
									obj_t BgL_arg2031z00_2087;

									{	/* Cnst/alloc.scm 695 */
										obj_t BgL_arg2032z00_2088;

										BgL_arg2032z00_2088 =
											BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													42)));
										BgL_arg2031z00_2087 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg2032z00_2088, CNST_TABLE_REF(((long) 43)));
									}
									BgL_varz00_2082 =
										BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
										(BgL_arg2031z00_2087, BGl_za2moduleza2z00zzmodule_modulez00,
										BGL_UINT64_TO_BUINT64(BgL_uint64z00_64),
										CNST_TABLE_REF(((long) 44)), BgL_locz00_65);
								}
								{	/* Cnst/alloc.scm 700 */
									obj_t BgL_arg2029z00_2083;

									BgL_arg2029z00_2083 =
										MAKE_YOUNG_PAIR(BGL_UINT64_TO_BUINT64(BgL_uint64z00_64),
										((obj_t) BgL_varz00_2082));
									BGl_za2uint64zd2envza2zd2zzcnst_allocz00 =
										MAKE_YOUNG_PAIR(BgL_arg2029z00_2083,
										BGl_za2uint64zd2envza2zd2zzcnst_allocz00);
								}
								{	/* Cnst/alloc.scm 701 */
									BgL_refz00_bglt BgL_new1183z00_2084;

									{	/* Cnst/alloc.scm 702 */
										BgL_refz00_bglt BgL_new1181z00_2085;

										BgL_new1181z00_2085 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 702 */
											long BgL_arg2030z00_2086;

											BgL_arg2030z00_2086 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1181z00_2085),
												BgL_arg2030z00_2086);
										}
										{	/* Cnst/alloc.scm 702 */
											BgL_objectz00_bglt BgL_tmpz00_5002;

											BgL_tmpz00_5002 =
												((BgL_objectz00_bglt) BgL_new1181z00_2085);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5002, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1181z00_2085);
										BgL_new1183z00_2084 = BgL_new1181z00_2085;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1183z00_2084)))->
											BgL_locz00) = ((obj_t) BgL_locz00_65), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1183z00_2084)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) BgL_varz00_2082)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1183z00_2084)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_varz00_2082)), BUNSPEC);
									BgL_auxz00_4986 = BgL_new1183z00_2084;
							}}
							return ((BgL_nodez00_bglt) BgL_auxz00_4986);
						}
				}
			}
		}

	}



/* &cnst-alloc-uint64 */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2uint64z62zzcnst_allocz00(obj_t
		BgL_envz00_3565, obj_t BgL_uint64z00_3566, obj_t BgL_locz00_3567)
	{
		{	/* Cnst/alloc.scm 693 */
			return
				BGl_cnstzd2alloczd2uint64z00zzcnst_allocz00(BGL_BINT64_TO_INT64
				(BgL_uint64z00_3566), BgL_locz00_3567);
		}

	}



/* cnst-alloc-list */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2listz00zzcnst_allocz00(obj_t BgL_pairz00_66,
		obj_t BgL_locz00_67)
	{
		{	/* Cnst/alloc.scm 727 */
			{

				{	/* Cnst/alloc.scm 777 */
					obj_t BgL_oldz00_2107;

					{	/* Cnst/alloc.scm 777 */
						obj_t BgL__andtest_1198z00_2116;

						BgL__andtest_1198z00_2116 =
							BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00;
						if (CBOOL(BgL__andtest_1198z00_2116))
							{
								obj_t BgL_envz00_2118;

								BgL_envz00_2118 = BGl_za2listzd2envza2zd2zzcnst_allocz00;
							BgL_zc3z04anonymousza32049ze3z87_2119:
								if (NULLP(BgL_envz00_2118))
									{	/* Cnst/alloc.scm 780 */
										BgL_oldz00_2107 = BFALSE;
									}
								else
									{	/* Cnst/alloc.scm 782 */
										bool_t BgL_test2530z00_5022;

										{	/* Cnst/alloc.scm 782 */
											obj_t BgL_arg2055z00_2125;

											{	/* Cnst/alloc.scm 69 */
												obj_t BgL_sz00_3219;

												BgL_sz00_3219 = CAR(((obj_t) BgL_envz00_2118));
												BgL_arg2055z00_2125 =
													STRUCT_REF(BgL_sz00_3219, (int) (((long) 0)));
											}
											BgL_test2530z00_5022 =
												BGl_cnstzd2equalzf3z21zzcnst_allocz00
												(BgL_arg2055z00_2125, BgL_pairz00_66);
										}
										if (BgL_test2530z00_5022)
											{	/* Cnst/alloc.scm 782 */
												BgL_oldz00_2107 = CAR(((obj_t) BgL_envz00_2118));
											}
										else
											{	/* Cnst/alloc.scm 785 */
												obj_t BgL_arg2054z00_2124;

												BgL_arg2054z00_2124 = CDR(((obj_t) BgL_envz00_2118));
												{
													obj_t BgL_envz00_5032;

													BgL_envz00_5032 = BgL_arg2054z00_2124;
													BgL_envz00_2118 = BgL_envz00_5032;
													goto BgL_zc3z04anonymousza32049ze3z87_2119;
												}
											}
									}
							}
						else
							{	/* Cnst/alloc.scm 777 */
								BgL_oldz00_2107 = BFALSE;
							}
					}
					if (CBOOL(BgL_oldz00_2107))
						{	/* Cnst/alloc.scm 787 */
							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									CNST_TABLE_REF(((long) 14))))
								{	/* Cnst/alloc.scm 789 */
									BgL_refz00_bglt BgL_new1200z00_2109;

									{	/* Cnst/alloc.scm 790 */
										BgL_refz00_bglt BgL_new1199z00_2112;

										BgL_new1199z00_2112 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 790 */
											long BgL_arg2046z00_2113;

											BgL_arg2046z00_2113 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1199z00_2112),
												BgL_arg2046z00_2113);
										}
										{	/* Cnst/alloc.scm 790 */
											BgL_objectz00_bglt BgL_tmpz00_5042;

											BgL_tmpz00_5042 =
												((BgL_objectz00_bglt) BgL_new1199z00_2112);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5042, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1199z00_2112);
										BgL_new1200z00_2109 = BgL_new1199z00_2112;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1200z00_2109)))->
											BgL_locz00) = ((obj_t) BgL_locz00_67), BUNSPEC);
									{
										BgL_typez00_bglt BgL_auxz00_5048;

										{	/* Cnst/alloc.scm 792 */
											BgL_typez00_bglt BgL_arg2044z00_2110;

											BgL_arg2044z00_2110 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															STRUCT_REF(
																((obj_t) BgL_oldz00_2107),
																(int) (((long) 1))))))->BgL_typez00);
											BgL_auxz00_5048 =
												BGl_strictzd2nodezd2typez00zzast_nodez00(
												((BgL_typez00_bglt) BGl_za2pairza2z00zztype_cachez00),
												BgL_arg2044z00_2110);
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1200z00_2109)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_auxz00_5048), BUNSPEC);
									}
									((((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_new1200z00_2109)))->
											BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												STRUCT_REF(((obj_t) BgL_oldz00_2107),
													(int) (((long) 1))))), BUNSPEC);
									return ((BgL_nodez00_bglt) BgL_new1200z00_2109);
								}
							else
								{	/* Cnst/alloc.scm 794 */
									obj_t BgL_arg2047z00_2114;

									BgL_arg2047z00_2114 =
										STRUCT_REF(((obj_t) BgL_oldz00_2107), (int) (((long) 1)));
									return
										((BgL_nodez00_bglt)
										BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00
										(BgL_arg2047z00_2114, BGl_za2pairza2z00zztype_cachez00,
											BgL_locz00_67));
								}
						}
					else
						{	/* Cnst/alloc.scm 787 */
							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									CNST_TABLE_REF(((long) 14))))
								{
									BgL_refz00_bglt BgL_auxz00_5073;

									{	/* Cnst/alloc.scm 757 */
										BgL_globalz00_bglt BgL_varz00_2164;

										{	/* Cnst/alloc.scm 757 */
											obj_t BgL_arg2096z00_2180;

											{	/* Cnst/alloc.scm 757 */
												obj_t BgL_arg2097z00_2181;

												BgL_arg2097z00_2181 =
													BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 45)));
												BgL_arg2096z00_2180 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_arg2097z00_2181, CNST_TABLE_REF(((long) 46)));
											}
											BgL_varz00_2164 =
												BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
												(BgL_arg2096z00_2180,
												BGl_za2moduleza2z00zzmodule_modulez00,
												CNST_TABLE_REF(((long) 47)),
												CNST_TABLE_REF(((long) 3)));
										}
										if (CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
											{	/* Cnst/alloc.scm 762 */
												obj_t BgL_arg2083z00_2165;

												{	/* Cnst/alloc.scm 69 */
													obj_t BgL_newz00_3204;

													BgL_newz00_3204 =
														create_struct(CNST_TABLE_REF(((long) 9)),
														(int) (((long) 2)));
													{	/* Cnst/alloc.scm 69 */
														obj_t BgL_auxz00_5088;
														int BgL_tmpz00_5086;

														BgL_auxz00_5088 = ((obj_t) BgL_varz00_2164);
														BgL_tmpz00_5086 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_3204, BgL_tmpz00_5086,
															BgL_auxz00_5088);
													}
													{	/* Cnst/alloc.scm 69 */
														int BgL_tmpz00_5091;

														BgL_tmpz00_5091 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_3204, BgL_tmpz00_5091,
															BgL_pairz00_66);
													}
													BgL_arg2083z00_2165 = BgL_newz00_3204;
												}
												BGl_za2listzd2envza2zd2zzcnst_allocz00 =
													MAKE_YOUNG_PAIR(BgL_arg2083z00_2165,
													BGl_za2listzd2envza2zd2zzcnst_allocz00);
											}
										else
											{	/* Cnst/alloc.scm 761 */
												BFALSE;
											}
										{	/* Cnst/alloc.scm 763 */
											obj_t BgL_arg2084z00_2166;

											{	/* Cnst/alloc.scm 763 */
												obj_t BgL_arg2085z00_2167;

												{	/* Cnst/alloc.scm 763 */
													obj_t BgL_arg2086z00_2168;
													obj_t BgL_arg2087z00_2169;

													{	/* Cnst/alloc.scm 763 */
														obj_t BgL_arg2088z00_2170;

														{	/* Cnst/alloc.scm 763 */
															obj_t BgL_arg2089z00_2171;
															obj_t BgL_arg2090z00_2172;

															BgL_arg2089z00_2171 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_varz00_2164)))->
																BgL_idz00);
															BgL_arg2090z00_2172 =
																MAKE_YOUNG_PAIR((((BgL_globalz00_bglt)
																		COBJECT(BgL_varz00_2164))->BgL_modulez00),
																BNIL);
															BgL_arg2088z00_2170 =
																MAKE_YOUNG_PAIR(BgL_arg2089z00_2171,
																BgL_arg2090z00_2172);
														}
														BgL_arg2086z00_2168 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
															BgL_arg2088z00_2170);
													}
													{	/* Cnst/alloc.scm 764 */
														BgL_nodez00_bglt BgL_arg2092z00_2174;

														{	/* Cnst/alloc.scm 764 */
															BgL_nodez00_bglt BgL_arg2093z00_2175;
															BgL_typez00_bglt BgL_arg2094z00_2176;

															BgL_arg2093z00_2175 =
																BGl_loopze70ze7zzcnst_allocz00(BgL_locz00_67,
																BgL_pairz00_66);
															BgL_arg2094z00_2176 =
																BGl_strictzd2nodezd2typez00zzast_nodez00((
																	(BgL_typez00_bglt)
																	BGl_za2pairza2z00zztype_cachez00),
																((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00));
															BgL_arg2092z00_2174 =
																BGl_coercez12z12zzcoerce_coercez00
																(BgL_arg2093z00_2175, ((obj_t) BgL_varz00_2164),
																BgL_arg2094z00_2176, ((bool_t) 0));
														}
														BgL_arg2087z00_2169 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg2092z00_2174), BNIL);
													}
													BgL_arg2085z00_2167 =
														MAKE_YOUNG_PAIR(BgL_arg2086z00_2168,
														BgL_arg2087z00_2169);
												}
												BgL_arg2084z00_2166 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 13)),
													BgL_arg2085z00_2167);
											}
											BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 =
												MAKE_YOUNG_PAIR(BgL_arg2084z00_2166,
												BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
										}
										{	/* Cnst/alloc.scm 766 */
											BgL_refz00_bglt BgL_new1197z00_2177;

											{	/* Cnst/alloc.scm 767 */
												BgL_refz00_bglt BgL_new1196z00_2178;

												BgL_new1196z00_2178 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Cnst/alloc.scm 767 */
													long BgL_arg2095z00_2179;

													BgL_arg2095z00_2179 =
														BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1196z00_2178),
														BgL_arg2095z00_2179);
												}
												{	/* Cnst/alloc.scm 767 */
													BgL_objectz00_bglt BgL_tmpz00_5118;

													BgL_tmpz00_5118 =
														((BgL_objectz00_bglt) BgL_new1196z00_2178);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5118, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1196z00_2178);
												BgL_new1197z00_2177 = BgL_new1196z00_2178;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1197z00_2177)))->
													BgL_locz00) = ((obj_t) BgL_locz00_67), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1197z00_2177)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_varz00_2164)))->BgL_typez00)), BUNSPEC);
											((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_new1197z00_2177)))->BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_varz00_2164)), BUNSPEC);
											BgL_auxz00_5073 = BgL_new1197z00_2177;
									}}
									return ((BgL_nodez00_bglt) BgL_auxz00_5073);
								}
							else
								{
									BgL_appz00_bglt BgL_auxz00_5132;

									{	/* Cnst/alloc.scm 771 */
										long BgL_offsetz00_2183;

										BgL_offsetz00_2183 =
											BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
										BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 =
											(((long) 1) + BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
										BGl_za2globalzd2setza2zd2zzcnst_allocz00 =
											MAKE_YOUNG_PAIR(BgL_pairz00_66,
											BGl_za2globalzd2setza2zd2zzcnst_allocz00);
										if (CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
											{	/* Cnst/alloc.scm 775 */
												obj_t BgL_arg2100z00_2184;

												{	/* Cnst/alloc.scm 69 */
													obj_t BgL_newz00_3215;

													BgL_newz00_3215 =
														create_struct(CNST_TABLE_REF(((long) 9)),
														(int) (((long) 2)));
													{	/* Cnst/alloc.scm 69 */
														obj_t BgL_auxz00_5142;
														int BgL_tmpz00_5140;

														BgL_auxz00_5142 = BINT(BgL_offsetz00_2183);
														BgL_tmpz00_5140 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_3215, BgL_tmpz00_5140,
															BgL_auxz00_5142);
													}
													{	/* Cnst/alloc.scm 69 */
														int BgL_tmpz00_5145;

														BgL_tmpz00_5145 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_3215, BgL_tmpz00_5145,
															BgL_pairz00_66);
													}
													BgL_arg2100z00_2184 = BgL_newz00_3215;
												}
												BGl_za2listzd2envza2zd2zzcnst_allocz00 =
													MAKE_YOUNG_PAIR(BgL_arg2100z00_2184,
													BGl_za2listzd2envza2zd2zzcnst_allocz00);
											}
										else
											{	/* Cnst/alloc.scm 774 */
												BFALSE;
											}
										BgL_auxz00_5132 =
											BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BINT
											(BgL_offsetz00_2183), BGl_za2pairza2z00zztype_cachez00,
											BgL_locz00_67);
									}
									return ((BgL_nodez00_bglt) BgL_auxz00_5132);
								}
						}
				}
			}
		}

	}



/* loop~0 */
	BgL_nodez00_bglt BGl_loopze70ze7zzcnst_allocz00(obj_t BgL_locz00_3603,
		obj_t BgL_pairz00_2131)
	{
		{	/* Cnst/alloc.scm 729 */
			if (NULLP(BgL_pairz00_2131))
				{	/* Cnst/alloc.scm 732 */
					BgL_literalz00_bglt BgL_new1187z00_2134;

					{	/* Cnst/alloc.scm 733 */
						BgL_literalz00_bglt BgL_new1186z00_2136;

						BgL_new1186z00_2136 =
							((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_literalz00_bgl))));
						{	/* Cnst/alloc.scm 733 */
							long BgL_arg2061z00_2137;

							BgL_arg2061z00_2137 = BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1186z00_2136),
								BgL_arg2061z00_2137);
						}
						{	/* Cnst/alloc.scm 733 */
							BgL_objectz00_bglt BgL_tmpz00_5158;

							BgL_tmpz00_5158 = ((BgL_objectz00_bglt) BgL_new1186z00_2136);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5158, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1186z00_2136);
						BgL_new1187z00_2134 = BgL_new1186z00_2136;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1187z00_2134)))->BgL_locz00) =
						((obj_t) BgL_locz00_3603), BUNSPEC);
					{
						BgL_typez00_bglt BgL_auxz00_5164;

						{	/* Cnst/alloc.scm 734 */
							BgL_typez00_bglt BgL_arg2060z00_2135;

							BgL_arg2060z00_2135 =
								BGl_getzd2typezd2atomz00zztype_typeofz00(BNIL);
							BgL_auxz00_5164 =
								BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg2060z00_2135,
								((BgL_typez00_bglt) BGl_za2bnilza2z00zztype_cachez00));
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1187z00_2134)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_5164), BUNSPEC);
					}
					((((BgL_atomz00_bglt) COBJECT(
									((BgL_atomz00_bglt) BgL_new1187z00_2134)))->BgL_valuez00) =
						((obj_t) BNIL), BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_new1187z00_2134);
				}
			else
				{	/* Cnst/alloc.scm 731 */
					if (PAIRP(BgL_pairz00_2131))
						{	/* Cnst/alloc.scm 742 */
							BgL_appz00_bglt BgL_new1191z00_2139;

							{	/* Cnst/alloc.scm 743 */
								BgL_appz00_bglt BgL_new1190z00_2155;

								BgL_new1190z00_2155 =
									((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Cnst/alloc.scm 743 */
									long BgL_arg2076z00_2156;

									BgL_arg2076z00_2156 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1190z00_2155),
										BgL_arg2076z00_2156);
								}
								{	/* Cnst/alloc.scm 743 */
									BgL_objectz00_bglt BgL_tmpz00_5179;

									BgL_tmpz00_5179 = ((BgL_objectz00_bglt) BgL_new1190z00_2155);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5179, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1190z00_2155);
								BgL_new1191z00_2139 = BgL_new1190z00_2155;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1191z00_2139)))->BgL_locz00) =
								((obj_t) BgL_locz00_3603), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1191z00_2139)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2pairza2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1191z00_2139)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1191z00_2139)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							{
								BgL_varz00_bglt BgL_auxz00_5193;

								{	/* Cnst/alloc.scm 745 */
									BgL_refz00_bglt BgL_new1193z00_2140;

									{	/* Cnst/alloc.scm 746 */
										BgL_refz00_bglt BgL_new1192z00_2141;

										BgL_new1192z00_2141 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 746 */
											long BgL_arg2063z00_2142;

											{	/* Cnst/alloc.scm 746 */
												obj_t BgL_classz00_3187;

												BgL_classz00_3187 = BGl_refz00zzast_nodez00;
												BgL_arg2063z00_2142 = BGL_CLASS_NUM(BgL_classz00_3187);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1192z00_2141),
												BgL_arg2063z00_2142);
										}
										{	/* Cnst/alloc.scm 746 */
											BgL_objectz00_bglt BgL_tmpz00_5198;

											BgL_tmpz00_5198 =
												((BgL_objectz00_bglt) BgL_new1192z00_2141);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5198, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1192z00_2141);
										BgL_new1193z00_2140 = BgL_new1192z00_2141;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1193z00_2140)))->
											BgL_locz00) = ((obj_t) BgL_locz00_3603), BUNSPEC);
									{
										BgL_typez00_bglt BgL_auxz00_5204;

										{	/* Cnst/alloc.scm 747 */
											BgL_variablez00_bglt BgL_oz00_3191;

											BgL_oz00_3191 =
												((BgL_variablez00_bglt)
												BGl_za2consza2z00zzcnst_cachez00);
											BgL_auxz00_5204 =
												(((BgL_variablez00_bglt) COBJECT(BgL_oz00_3191))->
												BgL_typez00);
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1193z00_2140)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_auxz00_5204), BUNSPEC);
									}
									((((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_new1193z00_2140)))->
											BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BGl_za2consza2z00zzcnst_cachez00)), BUNSPEC);
									BgL_auxz00_5193 = ((BgL_varz00_bglt) BgL_new1193z00_2140);
								}
								((((BgL_appz00_bglt) COBJECT(BgL_new1191z00_2139))->
										BgL_funz00) = ((BgL_varz00_bglt) BgL_auxz00_5193), BUNSPEC);
							}
							{
								obj_t BgL_auxz00_5214;

								{	/* Cnst/alloc.scm 749 */
									BgL_nodez00_bglt BgL_arg2064z00_2143;
									BgL_nodez00_bglt BgL_arg2065z00_2144;

									{	/* Cnst/alloc.scm 749 */
										BgL_kwotez00_bglt BgL_arg2069z00_2147;

										{	/* Cnst/alloc.scm 749 */
											BgL_kwotez00_bglt BgL_new1195z00_2148;

											{	/* Cnst/alloc.scm 750 */
												BgL_kwotez00_bglt BgL_new1194z00_2152;

												BgL_new1194z00_2152 =
													((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_kwotez00_bgl))));
												{	/* Cnst/alloc.scm 750 */
													long BgL_arg2074z00_2153;

													{	/* Cnst/alloc.scm 750 */
														obj_t BgL_classz00_3192;

														BgL_classz00_3192 = BGl_kwotez00zzast_nodez00;
														BgL_arg2074z00_2153 =
															BGL_CLASS_NUM(BgL_classz00_3192);
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1194z00_2152),
														BgL_arg2074z00_2153);
												}
												{	/* Cnst/alloc.scm 750 */
													BgL_objectz00_bglt BgL_tmpz00_5219;

													BgL_tmpz00_5219 =
														((BgL_objectz00_bglt) BgL_new1194z00_2152);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5219, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1194z00_2152);
												BgL_new1195z00_2148 = BgL_new1194z00_2152;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1195z00_2148)))->
													BgL_locz00) = ((obj_t) BgL_locz00_3603), BUNSPEC);
											{
												BgL_typez00_bglt BgL_auxz00_5225;

												{	/* Cnst/alloc.scm 752 */
													BgL_typez00_bglt BgL_arg2071z00_2149;
													BgL_typez00_bglt BgL_arg2072z00_2150;

													{	/* Cnst/alloc.scm 752 */
														obj_t BgL_arg2073z00_2151;

														BgL_arg2073z00_2151 = CAR(BgL_pairz00_2131);
														BgL_arg2071z00_2149 =
															BGl_getzd2typezd2kwotez00zztype_typeofz00
															(BgL_arg2073z00_2151);
													}
													BgL_arg2072z00_2150 =
														BGl_getzd2defaultzd2typez00zztype_cachez00();
													BgL_auxz00_5225 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_arg2071z00_2149, BgL_arg2072z00_2150);
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1195z00_2148)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_5225), BUNSPEC);
											}
											((((BgL_kwotez00_bglt) COBJECT(BgL_new1195z00_2148))->
													BgL_valuez00) =
												((obj_t) CAR(BgL_pairz00_2131)), BUNSPEC);
											BgL_arg2069z00_2147 = BgL_new1195z00_2148;
										}
										BgL_arg2064z00_2143 =
											BGl_cnstz12z12zzcnst_nodez00(
											((BgL_nodez00_bglt) BgL_arg2069z00_2147));
									}
									{	/* Cnst/alloc.scm 755 */
										obj_t BgL_arg2075z00_2154;

										BgL_arg2075z00_2154 = CDR(BgL_pairz00_2131);
										BgL_arg2065z00_2144 =
											BGl_loopze70ze7zzcnst_allocz00(BgL_locz00_3603,
											BgL_arg2075z00_2154);
									}
									{	/* Cnst/alloc.scm 749 */
										obj_t BgL_list2066z00_2145;

										{	/* Cnst/alloc.scm 749 */
											obj_t BgL_arg2068z00_2146;

											BgL_arg2068z00_2146 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg2065z00_2144), BNIL);
											BgL_list2066z00_2145 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg2064z00_2143), BgL_arg2068z00_2146);
										}
										BgL_auxz00_5214 = BgL_list2066z00_2145;
								}}
								((((BgL_appz00_bglt) COBJECT(BgL_new1191z00_2139))->
										BgL_argsz00) = ((obj_t) BgL_auxz00_5214), BUNSPEC);
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1191z00_2139))->
									BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1191z00_2139);
						}
					else
						{	/* Cnst/alloc.scm 737 */
							BgL_kwotez00_bglt BgL_arg2077z00_2157;

							{	/* Cnst/alloc.scm 737 */
								BgL_kwotez00_bglt BgL_new1189z00_2158;

								{	/* Cnst/alloc.scm 738 */
									BgL_kwotez00_bglt BgL_new1188z00_2160;

									BgL_new1188z00_2160 =
										((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_kwotez00_bgl))));
									{	/* Cnst/alloc.scm 738 */
										long BgL_arg2081z00_2161;

										BgL_arg2081z00_2161 =
											BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1188z00_2160),
											BgL_arg2081z00_2161);
									}
									{	/* Cnst/alloc.scm 738 */
										BgL_objectz00_bglt BgL_tmpz00_5249;

										BgL_tmpz00_5249 =
											((BgL_objectz00_bglt) BgL_new1188z00_2160);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5249, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1188z00_2160);
									BgL_new1189z00_2158 = BgL_new1188z00_2160;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1189z00_2158)))->
										BgL_locz00) = ((obj_t) BgL_locz00_3603), BUNSPEC);
								{
									BgL_typez00_bglt BgL_auxz00_5255;

									{	/* Cnst/alloc.scm 739 */
										BgL_typez00_bglt BgL_arg2078z00_2159;

										BgL_arg2078z00_2159 =
											BGl_getzd2typezd2kwotez00zztype_typeofz00
											(BgL_pairz00_2131);
										BgL_auxz00_5255 =
											BGl_strictzd2nodezd2typez00zzast_nodez00
											(BgL_arg2078z00_2159,
											((BgL_typez00_bglt) BGl_za2pairza2z00zztype_cachez00));
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1189z00_2158)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_5255), BUNSPEC);
								}
								((((BgL_kwotez00_bglt) COBJECT(BgL_new1189z00_2158))->
										BgL_valuez00) = ((obj_t) BgL_pairz00_2131), BUNSPEC);
								BgL_arg2077z00_2157 = BgL_new1189z00_2158;
							}
							return
								BGl_cnstz12z12zzcnst_nodez00(
								((BgL_nodez00_bglt) BgL_arg2077z00_2157));
						}
				}
		}

	}



/* &cnst-alloc-list */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2listz62zzcnst_allocz00(obj_t
		BgL_envz00_3568, obj_t BgL_pairz00_3569, obj_t BgL_locz00_3570)
	{
		{	/* Cnst/alloc.scm 727 */
			return
				BGl_cnstzd2alloczd2listz00zzcnst_allocz00(BgL_pairz00_3569,
				BgL_locz00_3570);
		}

	}



/* cnst-alloc-vector */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2vectorz00zzcnst_allocz00(obj_t BgL_vecz00_68,
		obj_t BgL_locz00_69)
	{
		{	/* Cnst/alloc.scm 803 */
			{

				{	/* Cnst/alloc.scm 882 */
					obj_t BgL_oldz00_2191;

					{	/* Cnst/alloc.scm 882 */
						obj_t BgL__andtest_1223z00_2200;

						BgL__andtest_1223z00_2200 =
							BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00;
						if (CBOOL(BgL__andtest_1223z00_2200))
							{
								obj_t BgL_envz00_2202;

								BgL_envz00_2202 = BGl_za2vectorzd2envza2zd2zzcnst_allocz00;
							BgL_zc3z04anonymousza32107ze3z87_2203:
								if (NULLP(BgL_envz00_2202))
									{	/* Cnst/alloc.scm 885 */
										BgL_oldz00_2191 = BFALSE;
									}
								else
									{	/* Cnst/alloc.scm 887 */
										bool_t BgL_test2540z00_5269;

										{	/* Cnst/alloc.scm 887 */
											obj_t BgL_arg2114z00_2209;

											{	/* Cnst/alloc.scm 69 */
												obj_t BgL_sz00_3297;

												BgL_sz00_3297 = CAR(((obj_t) BgL_envz00_2202));
												BgL_arg2114z00_2209 =
													STRUCT_REF(BgL_sz00_3297, (int) (((long) 0)));
											}
											BgL_test2540z00_5269 =
												BGl_cnstzd2equalzf3z21zzcnst_allocz00
												(BgL_arg2114z00_2209, BgL_vecz00_68);
										}
										if (BgL_test2540z00_5269)
											{	/* Cnst/alloc.scm 887 */
												BgL_oldz00_2191 = CAR(((obj_t) BgL_envz00_2202));
											}
										else
											{	/* Cnst/alloc.scm 890 */
												obj_t BgL_arg2113z00_2208;

												BgL_arg2113z00_2208 = CDR(((obj_t) BgL_envz00_2202));
												{
													obj_t BgL_envz00_5279;

													BgL_envz00_5279 = BgL_arg2113z00_2208;
													BgL_envz00_2202 = BgL_envz00_5279;
													goto BgL_zc3z04anonymousza32107ze3z87_2203;
												}
											}
									}
							}
						else
							{	/* Cnst/alloc.scm 882 */
								BgL_oldz00_2191 = BFALSE;
							}
					}
					if (CBOOL(BgL_oldz00_2191))
						{	/* Cnst/alloc.scm 892 */
							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									CNST_TABLE_REF(((long) 14))))
								{	/* Cnst/alloc.scm 894 */
									BgL_refz00_bglt BgL_new1225z00_2193;

									{	/* Cnst/alloc.scm 895 */
										BgL_refz00_bglt BgL_new1224z00_2196;

										BgL_new1224z00_2196 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 895 */
											long BgL_arg2104z00_2197;

											BgL_arg2104z00_2197 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1224z00_2196),
												BgL_arg2104z00_2197);
										}
										{	/* Cnst/alloc.scm 895 */
											BgL_objectz00_bglt BgL_tmpz00_5289;

											BgL_tmpz00_5289 =
												((BgL_objectz00_bglt) BgL_new1224z00_2196);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5289, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1224z00_2196);
										BgL_new1225z00_2193 = BgL_new1224z00_2196;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1225z00_2193)))->
											BgL_locz00) = ((obj_t) BgL_locz00_69), BUNSPEC);
									{
										BgL_typez00_bglt BgL_auxz00_5295;

										{	/* Cnst/alloc.scm 897 */
											BgL_typez00_bglt BgL_arg2102z00_2194;

											BgL_arg2102z00_2194 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															STRUCT_REF(
																((obj_t) BgL_oldz00_2191),
																(int) (((long) 1))))))->BgL_typez00);
											BgL_auxz00_5295 =
												BGl_strictzd2nodezd2typez00zzast_nodez00(
												((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00),
												BgL_arg2102z00_2194);
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1225z00_2193)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_auxz00_5295), BUNSPEC);
									}
									((((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_new1225z00_2193)))->
											BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												STRUCT_REF(((obj_t) BgL_oldz00_2191),
													(int) (((long) 1))))), BUNSPEC);
									return ((BgL_nodez00_bglt) BgL_new1225z00_2193);
								}
							else
								{	/* Cnst/alloc.scm 899 */
									obj_t BgL_arg2105z00_2198;

									BgL_arg2105z00_2198 =
										STRUCT_REF(((obj_t) BgL_oldz00_2191), (int) (((long) 1)));
									return
										((BgL_nodez00_bglt)
										BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00
										(BgL_arg2105z00_2198, BGl_za2vectorza2z00zztype_cachez00,
											BgL_locz00_69));
								}
						}
					else
						{	/* Cnst/alloc.scm 892 */
							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									CNST_TABLE_REF(((long) 14))))
								{
									BgL_refz00_bglt BgL_auxz00_5320;

									{	/* Cnst/alloc.scm 870 */
										BgL_globalz00_bglt BgL_varz00_2271;

										{	/* Cnst/alloc.scm 870 */
											obj_t BgL_arg2166z00_2286;

											{	/* Cnst/alloc.scm 870 */
												obj_t BgL_arg2167z00_2287;

												BgL_arg2167z00_2287 =
													BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 49)));
												BgL_arg2166z00_2286 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_arg2167z00_2287, CNST_TABLE_REF(((long) 49)));
											}
											BgL_varz00_2271 =
												BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
												(BgL_arg2166z00_2286,
												BGl_za2moduleza2z00zzmodule_modulez00,
												CNST_TABLE_REF(((long) 2)), CNST_TABLE_REF(((long) 3)));
										}
										if (CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
											{	/* Cnst/alloc.scm 875 */
												obj_t BgL_arg2153z00_2272;

												{	/* Cnst/alloc.scm 69 */
													obj_t BgL_newz00_3286;

													BgL_newz00_3286 =
														create_struct(CNST_TABLE_REF(((long) 9)),
														(int) (((long) 2)));
													{	/* Cnst/alloc.scm 69 */
														obj_t BgL_auxz00_5335;
														int BgL_tmpz00_5333;

														BgL_auxz00_5335 = ((obj_t) BgL_varz00_2271);
														BgL_tmpz00_5333 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_3286, BgL_tmpz00_5333,
															BgL_auxz00_5335);
													}
													{	/* Cnst/alloc.scm 69 */
														int BgL_tmpz00_5338;

														BgL_tmpz00_5338 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_3286, BgL_tmpz00_5338,
															BgL_vecz00_68);
													}
													BgL_arg2153z00_2272 = BgL_newz00_3286;
												}
												BGl_za2vectorzd2envza2zd2zzcnst_allocz00 =
													MAKE_YOUNG_PAIR(BgL_arg2153z00_2272,
													BGl_za2vectorzd2envza2zd2zzcnst_allocz00);
											}
										else
											{	/* Cnst/alloc.scm 874 */
												BFALSE;
											}
										{	/* Cnst/alloc.scm 876 */
											obj_t BgL_arg2154z00_2273;

											{	/* Cnst/alloc.scm 876 */
												obj_t BgL_arg2155z00_2274;

												{	/* Cnst/alloc.scm 876 */
													obj_t BgL_arg2156z00_2275;
													obj_t BgL_arg2157z00_2276;

													{	/* Cnst/alloc.scm 876 */
														obj_t BgL_arg2158z00_2277;

														{	/* Cnst/alloc.scm 876 */
															obj_t BgL_arg2159z00_2278;
															obj_t BgL_arg2160z00_2279;

															BgL_arg2159z00_2278 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_varz00_2271)))->
																BgL_idz00);
															BgL_arg2160z00_2279 =
																MAKE_YOUNG_PAIR((((BgL_globalz00_bglt)
																		COBJECT(BgL_varz00_2271))->BgL_modulez00),
																BNIL);
															BgL_arg2158z00_2277 =
																MAKE_YOUNG_PAIR(BgL_arg2159z00_2278,
																BgL_arg2160z00_2279);
														}
														BgL_arg2156z00_2275 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
															BgL_arg2158z00_2277);
													}
													{	/* Cnst/alloc.scm 877 */
														BgL_nodez00_bglt BgL_arg2162z00_2281;

														{	/* Cnst/alloc.scm 807 */
															BgL_nodez00_bglt BgL_arg2117z00_2213;

															{	/* Cnst/alloc.scm 807 */
																BgL_letzd2varzd2_bglt BgL_arg2118z00_2214;
																BgL_typez00_bglt BgL_arg2119z00_2215;

																{	/* Cnst/alloc.scm 807 */
																	BgL_localz00_bglt BgL_varz00_2216;
																	obj_t BgL_lz00_2217;

																	BgL_varz00_2216 =
																		BGl_makezd2localzd2svarz00zzast_localz00
																		(CNST_TABLE_REF(((long) 48)),
																		((BgL_typez00_bglt)
																			BGl_za2vectorza2z00zztype_cachez00));
																	BgL_lz00_2217 =
																		BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00
																		(BgL_vecz00_68);
																	{	/* Cnst/alloc.scm 809 */
																		BgL_letzd2varzd2_bglt BgL_new1202z00_2218;

																		{	/* Cnst/alloc.scm 810 */
																			BgL_letzd2varzd2_bglt BgL_new1201z00_2265;

																			BgL_new1201z00_2265 =
																				((BgL_letzd2varzd2_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_letzd2varzd2_bgl))));
																			{	/* Cnst/alloc.scm 810 */
																				long BgL_arg2149z00_2266;

																				BgL_arg2149z00_2266 =
																					BGL_CLASS_NUM
																					(BGl_letzd2varzd2zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1201z00_2265),
																					BgL_arg2149z00_2266);
																			}
																			{	/* Cnst/alloc.scm 810 */
																				BgL_objectz00_bglt BgL_tmpz00_5357;

																				BgL_tmpz00_5357 =
																					((BgL_objectz00_bglt)
																					BgL_new1201z00_2265);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5357,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1201z00_2265);
																			BgL_new1202z00_2218 = BgL_new1201z00_2265;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1202z00_2218)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_69), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1202z00_2218)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt)
																				BGl_strictzd2nodezd2typez00zzast_nodez00
																				(((BgL_typez00_bglt)
																						BGl_za2vectorza2z00zztype_cachez00),
																					((BgL_typez00_bglt)
																						BGl_za2objza2z00zztype_cachez00))),
																			BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1202z00_2218)))->
																				BgL_sidezd2effectzd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1202z00_2218)))->
																				BgL_keyz00) =
																			((obj_t) BINT(((long) -1))), BUNSPEC);
																		{
																			obj_t BgL_auxz00_5373;

																			{	/* Cnst/alloc.scm 815 */
																				obj_t BgL_arg2120z00_2219;

																				{	/* Cnst/alloc.scm 815 */
																					BgL_appz00_bglt BgL_arg2122z00_2221;

																					{	/* Cnst/alloc.scm 815 */
																						BgL_appz00_bglt BgL_new1204z00_2222;

																						{	/* Cnst/alloc.scm 822 */
																							BgL_appz00_bglt
																								BgL_new1203z00_2232;
																							BgL_new1203z00_2232 =
																								((BgL_appz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_appz00_bgl))));
																							{	/* Cnst/alloc.scm 822 */
																								long BgL_arg2128z00_2233;

																								{	/* Cnst/alloc.scm 822 */
																									obj_t BgL_classz00_3234;

																									BgL_classz00_3234 =
																										BGl_appz00zzast_nodez00;
																									BgL_arg2128z00_2233 =
																										BGL_CLASS_NUM
																										(BgL_classz00_3234);
																								}
																								BGL_OBJECT_CLASS_NUM_SET(
																									((BgL_objectz00_bglt)
																										BgL_new1203z00_2232),
																									BgL_arg2128z00_2233);
																							}
																							{	/* Cnst/alloc.scm 822 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_5378;
																								BgL_tmpz00_5378 =
																									((BgL_objectz00_bglt)
																									BgL_new1203z00_2232);
																								BGL_OBJECT_WIDENING_SET
																									(BgL_tmpz00_5378, BFALSE);
																							}
																							((BgL_objectz00_bglt)
																								BgL_new1203z00_2232);
																							BgL_new1204z00_2222 =
																								BgL_new1203z00_2232;
																						}
																						((((BgL_nodez00_bglt) COBJECT(
																										((BgL_nodez00_bglt)
																											BgL_new1204z00_2222)))->
																								BgL_locz00) =
																							((obj_t) BgL_locz00_69), BUNSPEC);
																						((((BgL_nodez00_bglt)
																									COBJECT(((BgL_nodez00_bglt)
																											BgL_new1204z00_2222)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt) (
																									(BgL_typez00_bglt)
																									BGl_za2vectorza2z00zztype_cachez00)),
																							BUNSPEC);
																						((((BgL_nodezf2effectzf2_bglt)
																									COBJECT((
																											(BgL_nodezf2effectzf2_bglt)
																											BgL_new1204z00_2222)))->
																								BgL_sidezd2effectzd2) =
																							((obj_t) BUNSPEC), BUNSPEC);
																						((((BgL_nodezf2effectzf2_bglt)
																									COBJECT((
																											(BgL_nodezf2effectzf2_bglt)
																											BgL_new1204z00_2222)))->
																								BgL_keyz00) =
																							((obj_t) BINT(((long) -1))),
																							BUNSPEC);
																						{
																							BgL_varz00_bglt BgL_auxz00_5392;

																							{	/* Cnst/alloc.scm 818 */
																								BgL_refz00_bglt
																									BgL_new1206z00_2223;
																								{	/* Cnst/alloc.scm 821 */
																									BgL_refz00_bglt
																										BgL_new1205z00_2224;
																									BgL_new1205z00_2224 =
																										((BgL_refz00_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_refz00_bgl))));
																									{	/* Cnst/alloc.scm 821 */
																										long BgL_arg2123z00_2225;

																										{	/* Cnst/alloc.scm 821 */
																											obj_t BgL_classz00_3238;

																											BgL_classz00_3238 =
																												BGl_refz00zzast_nodez00;
																											BgL_arg2123z00_2225 =
																												BGL_CLASS_NUM
																												(BgL_classz00_3238);
																										}
																										BGL_OBJECT_CLASS_NUM_SET(
																											((BgL_objectz00_bglt)
																												BgL_new1205z00_2224),
																											BgL_arg2123z00_2225);
																									}
																									{	/* Cnst/alloc.scm 821 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_5397;
																										BgL_tmpz00_5397 =
																											((BgL_objectz00_bglt)
																											BgL_new1205z00_2224);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_5397, BFALSE);
																									}
																									((BgL_objectz00_bglt)
																										BgL_new1205z00_2224);
																									BgL_new1206z00_2223 =
																										BgL_new1205z00_2224;
																								}
																								((((BgL_nodez00_bglt) COBJECT(
																												((BgL_nodez00_bglt)
																													BgL_new1206z00_2223)))->
																										BgL_locz00) =
																									((obj_t) BgL_locz00_69),
																									BUNSPEC);
																								{
																									BgL_typez00_bglt
																										BgL_auxz00_5403;
																									{	/* Cnst/alloc.scm 820 */
																										BgL_variablez00_bglt
																											BgL_oz00_3242;
																										BgL_oz00_3242 =
																											((BgL_variablez00_bglt)
																											BGl_za2listzd2ze3vectorza2z31zzcnst_cachez00);
																										BgL_auxz00_5403 =
																											(((BgL_variablez00_bglt)
																												COBJECT
																												(BgL_oz00_3242))->
																											BgL_typez00);
																									}
																									((((BgL_nodez00_bglt) COBJECT(
																													((BgL_nodez00_bglt)
																														BgL_new1206z00_2223)))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_auxz00_5403),
																										BUNSPEC);
																								}
																								((((BgL_varz00_bglt) COBJECT(
																												((BgL_varz00_bglt)
																													BgL_new1206z00_2223)))->
																										BgL_variablez00) =
																									((BgL_variablez00_bglt) (
																											(BgL_variablez00_bglt)
																											BGl_za2listzd2ze3vectorza2z31zzcnst_cachez00)),
																									BUNSPEC);
																								BgL_auxz00_5392 =
																									((BgL_varz00_bglt)
																									BgL_new1206z00_2223);
																							}
																							((((BgL_appz00_bglt)
																										COBJECT
																										(BgL_new1204z00_2222))->
																									BgL_funz00) =
																								((BgL_varz00_bglt)
																									BgL_auxz00_5392), BUNSPEC);
																						}
																						{
																							obj_t BgL_auxz00_5413;

																							{	/* Cnst/alloc.scm 823 */
																								BgL_kwotez00_bglt
																									BgL_arg2124z00_2226;
																								{	/* Cnst/alloc.scm 823 */
																									BgL_kwotez00_bglt
																										BgL_new1208z00_2228;
																									{	/* Cnst/alloc.scm 827 */
																										BgL_kwotez00_bglt
																											BgL_new1207z00_2230;
																										BgL_new1207z00_2230 =
																											((BgL_kwotez00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_kwotez00_bgl))));
																										{	/* Cnst/alloc.scm 827 */
																											long BgL_arg2127z00_2231;

																											{	/* Cnst/alloc.scm 827 */
																												obj_t BgL_classz00_3243;

																												BgL_classz00_3243 =
																													BGl_kwotez00zzast_nodez00;
																												BgL_arg2127z00_2231 =
																													BGL_CLASS_NUM
																													(BgL_classz00_3243);
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1207z00_2230),
																												BgL_arg2127z00_2231);
																										}
																										{	/* Cnst/alloc.scm 827 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_5418;
																											BgL_tmpz00_5418 =
																												((BgL_objectz00_bglt)
																												BgL_new1207z00_2230);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_tmpz00_5418,
																												BFALSE);
																										}
																										((BgL_objectz00_bglt)
																											BgL_new1207z00_2230);
																										BgL_new1208z00_2228 =
																											BgL_new1207z00_2230;
																									}
																									((((BgL_nodez00_bglt) COBJECT(
																													((BgL_nodez00_bglt)
																														BgL_new1208z00_2228)))->
																											BgL_locz00) =
																										((obj_t) BgL_locz00_69),
																										BUNSPEC);
																									{
																										BgL_typez00_bglt
																											BgL_auxz00_5424;
																										{	/* Cnst/alloc.scm 826 */
																											BgL_typez00_bglt
																												BgL_arg2126z00_2229;
																											BgL_arg2126z00_2229 =
																												BGl_getzd2typezd2kwotez00zztype_typeofz00
																												(BgL_lz00_2217);
																											BgL_auxz00_5424 =
																												BGl_strictzd2nodezd2typez00zzast_nodez00
																												(BgL_arg2126z00_2229,
																												((BgL_typez00_bglt)
																													BGl_za2objza2z00zztype_cachez00));
																										}
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1208z00_2228)))->
																												BgL_typez00) =
																											((BgL_typez00_bglt)
																												BgL_auxz00_5424),
																											BUNSPEC);
																									}
																									((((BgL_kwotez00_bglt)
																												COBJECT
																												(BgL_new1208z00_2228))->
																											BgL_valuez00) =
																										((obj_t) BgL_lz00_2217),
																										BUNSPEC);
																									BgL_arg2124z00_2226 =
																										BgL_new1208z00_2228;
																								}
																								{	/* Cnst/alloc.scm 822 */
																									obj_t BgL_list2125z00_2227;

																									BgL_list2125z00_2227 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											BgL_arg2124z00_2226),
																										BNIL);
																									BgL_auxz00_5413 =
																										BgL_list2125z00_2227;
																							}}
																							((((BgL_appz00_bglt)
																										COBJECT
																										(BgL_new1204z00_2222))->
																									BgL_argsz00) =
																								((obj_t) BgL_auxz00_5413),
																								BUNSPEC);
																						}
																						((((BgL_appz00_bglt)
																									COBJECT
																									(BgL_new1204z00_2222))->
																								BgL_stackablez00) =
																							((obj_t) BFALSE), BUNSPEC);
																						BgL_arg2122z00_2221 =
																							BgL_new1204z00_2222;
																					}
																					BgL_arg2120z00_2219 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_varz00_2216),
																						((obj_t) BgL_arg2122z00_2221));
																				}
																				{	/* Cnst/alloc.scm 813 */
																					obj_t BgL_list2121z00_2220;

																					BgL_list2121z00_2220 =
																						MAKE_YOUNG_PAIR(BgL_arg2120z00_2219,
																						BNIL);
																					BgL_auxz00_5373 =
																						BgL_list2121z00_2220;
																			}}
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1202z00_2218))->
																					BgL_bindingsz00) =
																				((obj_t) BgL_auxz00_5373), BUNSPEC);
																		}
																		{
																			BgL_nodez00_bglt BgL_auxz00_5440;

																			{	/* Cnst/alloc.scm 828 */
																				BgL_refz00_bglt BgL_varzd2bodyzd2_2234;

																				{	/* Cnst/alloc.scm 828 */
																					BgL_refz00_bglt BgL_new1210z00_2262;

																					{	/* Cnst/alloc.scm 829 */
																						BgL_refz00_bglt BgL_new1209z00_2263;

																						BgL_new1209z00_2263 =
																							((BgL_refz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_refz00_bgl))));
																						{	/* Cnst/alloc.scm 829 */
																							long BgL_arg2148z00_2264;

																							{	/* Cnst/alloc.scm 829 */
																								obj_t BgL_classz00_3249;

																								BgL_classz00_3249 =
																									BGl_refz00zzast_nodez00;
																								BgL_arg2148z00_2264 =
																									BGL_CLASS_NUM
																									(BgL_classz00_3249);
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1209z00_2263),
																								BgL_arg2148z00_2264);
																						}
																						{	/* Cnst/alloc.scm 829 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_5445;
																							BgL_tmpz00_5445 =
																								((BgL_objectz00_bglt)
																								BgL_new1209z00_2263);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_5445, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1209z00_2263);
																						BgL_new1210z00_2262 =
																							BgL_new1209z00_2263;
																					}
																					((((BgL_nodez00_bglt) COBJECT(
																									((BgL_nodez00_bglt)
																										BgL_new1210z00_2262)))->
																							BgL_locz00) =
																						((obj_t) BgL_locz00_69), BUNSPEC);
																					((((BgL_nodez00_bglt)
																								COBJECT(((BgL_nodez00_bglt)
																										BgL_new1210z00_2262)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) ((
																									(BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt)
																											BgL_varz00_2216)))->
																								BgL_typez00)), BUNSPEC);
																					((((BgL_varz00_bglt)
																								COBJECT(((BgL_varz00_bglt)
																										BgL_new1210z00_2262)))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt) (
																								(BgL_variablez00_bglt)
																								BgL_varz00_2216)), BUNSPEC);
																					BgL_varzd2bodyzd2_2234 =
																						BgL_new1210z00_2262;
																				}
																				{	/* Cnst/alloc.scm 832 */
																					bool_t BgL_test2545z00_5458;

																					{	/* Cnst/alloc.scm 832 */
																						int BgL_arg2146z00_2261;

																						BgL_arg2146z00_2261 =
																							VECTOR_TAG(BgL_vecz00_68);
																						BgL_test2545z00_5458 =
																							(
																							(long) (BgL_arg2146z00_2261) >
																							((long) 0));
																					}
																					if (BgL_test2545z00_5458)
																						{	/* Cnst/alloc.scm 833 */
																							BgL_sequencez00_bglt
																								BgL_new1212z00_2237;
																							{	/* Cnst/alloc.scm 834 */
																								BgL_sequencez00_bglt
																									BgL_new1211z00_2259;
																								BgL_new1211z00_2259 =
																									((BgL_sequencez00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_sequencez00_bgl))));
																								{	/* Cnst/alloc.scm 834 */
																									long BgL_arg2145z00_2260;

																									{	/* Cnst/alloc.scm 834 */
																										obj_t BgL_classz00_3256;

																										BgL_classz00_3256 =
																											BGl_sequencez00zzast_nodez00;
																										BgL_arg2145z00_2260 =
																											BGL_CLASS_NUM
																											(BgL_classz00_3256);
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1211z00_2259),
																										BgL_arg2145z00_2260);
																								}
																								{	/* Cnst/alloc.scm 834 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_5466;
																									BgL_tmpz00_5466 =
																										((BgL_objectz00_bglt)
																										BgL_new1211z00_2259);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_5466, BFALSE);
																								}
																								((BgL_objectz00_bglt)
																									BgL_new1211z00_2259);
																								BgL_new1212z00_2237 =
																									BgL_new1211z00_2259;
																							}
																							((((BgL_nodez00_bglt) COBJECT(
																											((BgL_nodez00_bglt)
																												BgL_new1212z00_2237)))->
																									BgL_locz00) =
																								((obj_t) BgL_locz00_69),
																								BUNSPEC);
																							((((BgL_nodez00_bglt)
																										COBJECT(((BgL_nodez00_bglt)
																												BgL_new1212z00_2237)))->
																									BgL_typez00) =
																								((BgL_typez00_bglt) (
																										(BgL_typez00_bglt)
																										BGl_za2vectorza2z00zztype_cachez00)),
																								BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										COBJECT((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1212z00_2237)))->
																									BgL_sidezd2effectzd2) =
																								((obj_t) BUNSPEC), BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										COBJECT((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1212z00_2237)))->
																									BgL_keyz00) =
																								((obj_t) BINT(((long) -1))),
																								BUNSPEC);
																							{
																								obj_t BgL_auxz00_5480;

																								{	/* Cnst/alloc.scm 838 */
																									BgL_appz00_bglt
																										BgL_arg2131z00_2238;
																									{	/* Cnst/alloc.scm 838 */
																										BgL_appz00_bglt
																											BgL_new1214z00_2241;
																										{	/* Cnst/alloc.scm 839 */
																											BgL_appz00_bglt
																												BgL_new1213z00_2257;
																											BgL_new1213z00_2257 =
																												((BgL_appz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_appz00_bgl))));
																											{	/* Cnst/alloc.scm 839 */
																												long
																													BgL_arg2144z00_2258;
																												{	/* Cnst/alloc.scm 839 */
																													obj_t
																														BgL_classz00_3260;
																													BgL_classz00_3260 =
																														BGl_appz00zzast_nodez00;
																													BgL_arg2144z00_2258 =
																														BGL_CLASS_NUM
																														(BgL_classz00_3260);
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1213z00_2257),
																													BgL_arg2144z00_2258);
																											}
																											{	/* Cnst/alloc.scm 839 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_5485;
																												BgL_tmpz00_5485 =
																													((BgL_objectz00_bglt)
																													BgL_new1213z00_2257);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_tmpz00_5485,
																													BFALSE);
																											}
																											((BgL_objectz00_bglt)
																												BgL_new1213z00_2257);
																											BgL_new1214z00_2241 =
																												BgL_new1213z00_2257;
																										}
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1214z00_2241)))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_69),
																											BUNSPEC);
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1214z00_2241)))->
																												BgL_typez00) =
																											((BgL_typez00_bglt) (
																													(BgL_typez00_bglt)
																													BGl_za2objza2z00zztype_cachez00)),
																											BUNSPEC);
																										((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1214z00_2241)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																										((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1214z00_2241)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																										{
																											BgL_varz00_bglt
																												BgL_auxz00_5499;
																											{	/* Cnst/alloc.scm 841 */
																												BgL_refz00_bglt
																													BgL_new1216z00_2242;
																												{	/* Cnst/alloc.scm 842 */
																													BgL_refz00_bglt
																														BgL_new1215z00_2243;
																													BgL_new1215z00_2243 =
																														((BgL_refz00_bglt)
																														BOBJECT(GC_MALLOC
																															(sizeof(struct
																																	BgL_refz00_bgl))));
																													{	/* Cnst/alloc.scm 842 */
																														long
																															BgL_arg2134z00_2244;
																														{	/* Cnst/alloc.scm 842 */
																															obj_t
																																BgL_classz00_3264;
																															BgL_classz00_3264
																																=
																																BGl_refz00zzast_nodez00;
																															BgL_arg2134z00_2244
																																=
																																BGL_CLASS_NUM
																																(BgL_classz00_3264);
																														}
																														BGL_OBJECT_CLASS_NUM_SET
																															(((BgL_objectz00_bglt) BgL_new1215z00_2243), BgL_arg2134z00_2244);
																													}
																													{	/* Cnst/alloc.scm 842 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_5504;
																														BgL_tmpz00_5504 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1215z00_2243);
																														BGL_OBJECT_WIDENING_SET
																															(BgL_tmpz00_5504,
																															BFALSE);
																													}
																													((BgL_objectz00_bglt)
																														BgL_new1215z00_2243);
																													BgL_new1216z00_2242 =
																														BgL_new1215z00_2243;
																												}
																												((((BgL_nodez00_bglt)
																															COBJECT((
																																	(BgL_nodez00_bglt)
																																	BgL_new1216z00_2242)))->
																														BgL_locz00) =
																													((obj_t)
																														BgL_locz00_69),
																													BUNSPEC);
																												{
																													BgL_typez00_bglt
																														BgL_auxz00_5510;
																													{	/* Cnst/alloc.scm 843 */
																														BgL_variablez00_bglt
																															BgL_oz00_3268;
																														BgL_oz00_3268 =
																															(
																															(BgL_variablez00_bglt)
																															BGl_za2vectorzd2tagzd2setz12za2z12zzcnst_cachez00);
																														BgL_auxz00_5510 =
																															(((BgL_variablez00_bglt) COBJECT(BgL_oz00_3268))->BgL_typez00);
																													}
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1216z00_2242)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															BgL_auxz00_5510),
																														BUNSPEC);
																												}
																												((((BgL_varz00_bglt)
																															COBJECT((
																																	(BgL_varz00_bglt)
																																	BgL_new1216z00_2242)))->
																														BgL_variablez00) =
																													((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BGl_za2vectorzd2tagzd2setz12za2z12zzcnst_cachez00)), BUNSPEC);
																												BgL_auxz00_5499 =
																													((BgL_varz00_bglt)
																													BgL_new1216z00_2242);
																											}
																											((((BgL_appz00_bglt)
																														COBJECT
																														(BgL_new1214z00_2241))->
																													BgL_funz00) =
																												((BgL_varz00_bglt)
																													BgL_auxz00_5499),
																												BUNSPEC);
																										}
																										{
																											obj_t BgL_auxz00_5520;

																											{	/* Cnst/alloc.scm 847 */
																												BgL_refz00_bglt
																													BgL_arg2136z00_2245;
																												BgL_literalz00_bglt
																													BgL_arg2137z00_2246;
																												{	/* Cnst/alloc.scm 847 */
																													BgL_refz00_bglt
																														BgL_new1218z00_2249;
																													{	/* Cnst/alloc.scm 848 */
																														BgL_refz00_bglt
																															BgL_new1217z00_2250;
																														BgL_new1217z00_2250
																															=
																															((BgL_refz00_bglt)
																															BOBJECT(GC_MALLOC
																																(sizeof(struct
																																		BgL_refz00_bgl))));
																														{	/* Cnst/alloc.scm 848 */
																															long
																																BgL_arg2140z00_2251;
																															{	/* Cnst/alloc.scm 848 */
																																obj_t
																																	BgL_classz00_3269;
																																BgL_classz00_3269
																																	=
																																	BGl_refz00zzast_nodez00;
																																BgL_arg2140z00_2251
																																	=
																																	BGL_CLASS_NUM
																																	(BgL_classz00_3269);
																															}
																															BGL_OBJECT_CLASS_NUM_SET
																																(((BgL_objectz00_bglt) BgL_new1217z00_2250), BgL_arg2140z00_2251);
																														}
																														{	/* Cnst/alloc.scm 848 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_5525;
																															BgL_tmpz00_5525 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1217z00_2250);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_tmpz00_5525,
																																BFALSE);
																														}
																														((BgL_objectz00_bglt) BgL_new1217z00_2250);
																														BgL_new1218z00_2249
																															=
																															BgL_new1217z00_2250;
																													}
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1218z00_2249)))->
																															BgL_locz00) =
																														((obj_t)
																															BgL_locz00_69),
																														BUNSPEC);
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1218z00_2249)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_varz00_2216)))->BgL_typez00)), BUNSPEC);
																													((((BgL_varz00_bglt)
																																COBJECT((
																																		(BgL_varz00_bglt)
																																		BgL_new1218z00_2249)))->
																															BgL_variablez00) =
																														((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_varz00_2216)), BUNSPEC);
																													BgL_arg2136z00_2245 =
																														BgL_new1218z00_2249;
																												}
																												{	/* Cnst/alloc.scm 851 */
																													BgL_literalz00_bglt
																														BgL_new1220z00_2252;
																													{	/* Cnst/alloc.scm 852 */
																														BgL_literalz00_bglt
																															BgL_new1219z00_2255;
																														BgL_new1219z00_2255
																															=
																															(
																															(BgL_literalz00_bglt)
																															BOBJECT(GC_MALLOC
																																(sizeof(struct
																																		BgL_literalz00_bgl))));
																														{	/* Cnst/alloc.scm 852 */
																															long
																																BgL_arg2143z00_2256;
																															{	/* Cnst/alloc.scm 852 */
																																obj_t
																																	BgL_classz00_3274;
																																BgL_classz00_3274
																																	=
																																	BGl_literalz00zzast_nodez00;
																																BgL_arg2143z00_2256
																																	=
																																	BGL_CLASS_NUM
																																	(BgL_classz00_3274);
																															}
																															BGL_OBJECT_CLASS_NUM_SET
																																(((BgL_objectz00_bglt) BgL_new1219z00_2255), BgL_arg2143z00_2256);
																														}
																														{	/* Cnst/alloc.scm 852 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_5542;
																															BgL_tmpz00_5542 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1219z00_2255);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_tmpz00_5542,
																																BFALSE);
																														}
																														((BgL_objectz00_bglt) BgL_new1219z00_2255);
																														BgL_new1220z00_2252
																															=
																															BgL_new1219z00_2255;
																													}
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1220z00_2252)))->
																															BgL_locz00) =
																														((obj_t)
																															BgL_locz00_69),
																														BUNSPEC);
																													{
																														BgL_typez00_bglt
																															BgL_auxz00_5548;
																														{	/* Cnst/alloc.scm 854 */
																															BgL_typez00_bglt
																																BgL_arg2141z00_2253;
																															{	/* Cnst/alloc.scm 854 */
																																int
																																	BgL_arg2142z00_2254;
																																BgL_arg2142z00_2254
																																	=
																																	VECTOR_TAG
																																	(BgL_vecz00_68);
																																BgL_arg2141z00_2253
																																	=
																																	BGl_getzd2typezd2atomz00zztype_typeofz00
																																	(BINT
																																	(BgL_arg2142z00_2254));
																															}
																															BgL_auxz00_5548 =
																																BGl_strictzd2nodezd2typez00zzast_nodez00
																																(BgL_arg2141z00_2253,
																																((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
																														}
																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1220z00_2252)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5548), BUNSPEC);
																													}
																													((((BgL_atomz00_bglt)
																																COBJECT((
																																		(BgL_atomz00_bglt)
																																		BgL_new1220z00_2252)))->
																															BgL_valuez00) =
																														((obj_t)
																															BINT(VECTOR_TAG
																																(BgL_vecz00_68))),
																														BUNSPEC);
																													BgL_arg2137z00_2246 =
																														BgL_new1220z00_2252;
																												}
																												{	/* Cnst/alloc.scm 846 */
																													obj_t
																														BgL_list2138z00_2247;
																													{	/* Cnst/alloc.scm 846 */
																														obj_t
																															BgL_arg2139z00_2248;
																														BgL_arg2139z00_2248
																															=
																															MAKE_YOUNG_PAIR((
																																(obj_t)
																																BgL_arg2137z00_2246),
																															BNIL);
																														BgL_list2138z00_2247
																															=
																															MAKE_YOUNG_PAIR((
																																(obj_t)
																																BgL_arg2136z00_2245),
																															BgL_arg2139z00_2248);
																													}
																													BgL_auxz00_5520 =
																														BgL_list2138z00_2247;
																											}}
																											((((BgL_appz00_bglt)
																														COBJECT
																														(BgL_new1214z00_2241))->
																													BgL_argsz00) =
																												((obj_t)
																													BgL_auxz00_5520),
																												BUNSPEC);
																										}
																										((((BgL_appz00_bglt)
																													COBJECT
																													(BgL_new1214z00_2241))->
																												BgL_stackablez00) =
																											((obj_t) BFALSE),
																											BUNSPEC);
																										BgL_arg2131z00_2238 =
																											BgL_new1214z00_2241;
																									}
																									{	/* Cnst/alloc.scm 837 */
																										obj_t BgL_list2132z00_2239;

																										{	/* Cnst/alloc.scm 837 */
																											obj_t BgL_arg2133z00_2240;

																											BgL_arg2133z00_2240 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													BgL_varzd2bodyzd2_2234),
																												BNIL);
																											BgL_list2132z00_2239 =
																												MAKE_YOUNG_PAIR(((obj_t)
																													BgL_arg2131z00_2238),
																												BgL_arg2133z00_2240);
																										}
																										BgL_auxz00_5480 =
																											BgL_list2132z00_2239;
																								}}
																								((((BgL_sequencez00_bglt)
																											COBJECT
																											(BgL_new1212z00_2237))->
																										BgL_nodesz00) =
																									((obj_t) BgL_auxz00_5480),
																									BUNSPEC);
																							}
																							((((BgL_sequencez00_bglt)
																										COBJECT
																										(BgL_new1212z00_2237))->
																									BgL_unsafez00) =
																								((bool_t) ((bool_t) 0)),
																								BUNSPEC);
																							((((BgL_sequencez00_bglt)
																										COBJECT
																										(BgL_new1212z00_2237))->
																									BgL_metaz00) =
																								((obj_t) BNIL), BUNSPEC);
																							BgL_auxz00_5440 =
																								((BgL_nodez00_bglt)
																								BgL_new1212z00_2237);
																						}
																					else
																						{	/* Cnst/alloc.scm 832 */
																							BgL_auxz00_5440 =
																								((BgL_nodez00_bglt)
																								BgL_varzd2bodyzd2_2234);
																						}
																				}
																			}
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1202z00_2218))->
																					BgL_bodyz00) =
																				((BgL_nodez00_bglt) BgL_auxz00_5440),
																				BUNSPEC);
																		}
																		((((BgL_letzd2varzd2_bglt)
																					COBJECT(BgL_new1202z00_2218))->
																				BgL_removablezf3zf3) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																		BgL_arg2118z00_2214 = BgL_new1202z00_2218;
																	}
																}
																BgL_arg2119z00_2215 =
																	BGl_strictzd2nodezd2typez00zzast_nodez00(
																	((BgL_typez00_bglt)
																		BGl_za2vectorza2z00zztype_cachez00),
																	((BgL_typez00_bglt)
																		BGl_za2objza2z00zztype_cachez00));
																BgL_arg2117z00_2213 =
																	BGl_coercez12z12zzcoerce_coercez00((
																		(BgL_nodez00_bglt) BgL_arg2118z00_2214),
																	BUNSPEC, BgL_arg2119z00_2215, ((bool_t) 0));
															}
															BgL_arg2162z00_2281 =
																BGl_cnstz12z12zzcnst_nodez00
																(BgL_arg2117z00_2213);
														}
														BgL_arg2157z00_2276 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg2162z00_2281), BNIL);
													}
													BgL_arg2155z00_2274 =
														MAKE_YOUNG_PAIR(BgL_arg2156z00_2275,
														BgL_arg2157z00_2276);
												}
												BgL_arg2154z00_2273 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 13)),
													BgL_arg2155z00_2274);
											}
											BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 =
												MAKE_YOUNG_PAIR(BgL_arg2154z00_2273,
												BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
										}
										{	/* Cnst/alloc.scm 878 */
											BgL_refz00_bglt BgL_new1222z00_2282;

											{	/* Cnst/alloc.scm 879 */
												BgL_refz00_bglt BgL_new1221z00_2284;

												BgL_new1221z00_2284 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Cnst/alloc.scm 879 */
													long BgL_arg2165z00_2285;

													BgL_arg2165z00_2285 =
														BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1221z00_2284),
														BgL_arg2165z00_2285);
												}
												{	/* Cnst/alloc.scm 879 */
													BgL_objectz00_bglt BgL_tmpz00_5593;

													BgL_tmpz00_5593 =
														((BgL_objectz00_bglt) BgL_new1221z00_2284);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5593, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1221z00_2284);
												BgL_new1222z00_2282 = BgL_new1221z00_2284;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1222z00_2282)))->
													BgL_locz00) = ((obj_t) BgL_locz00_69), BUNSPEC);
											{
												BgL_typez00_bglt BgL_auxz00_5599;

												{	/* Cnst/alloc.scm 880 */
													BgL_typez00_bglt BgL_arg2164z00_2283;

													BgL_arg2164z00_2283 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_varz00_2271)))->
														BgL_typez00);
													BgL_auxz00_5599 =
														BGl_strictzd2nodezd2typez00zzast_nodez00((
															(BgL_typez00_bglt)
															BGl_za2vectorza2z00zztype_cachez00),
														BgL_arg2164z00_2283);
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1222z00_2282)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_5599), BUNSPEC);
											}
											((((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_new1222z00_2282)))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_varz00_2271)), BUNSPEC);
											BgL_auxz00_5320 = BgL_new1222z00_2282;
									}}
									return ((BgL_nodez00_bglt) BgL_auxz00_5320);
								}
							else
								{
									BgL_appz00_bglt BgL_auxz00_5610;

									{	/* Cnst/alloc.scm 863 */
										long BgL_offsetz00_2268;

										BgL_offsetz00_2268 =
											BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
										BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 =
											(((long) 1) + BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
										BGl_za2globalzd2setza2zd2zzcnst_allocz00 =
											MAKE_YOUNG_PAIR(BgL_vecz00_68,
											BGl_za2globalzd2setza2zd2zzcnst_allocz00);
										if (CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
											{	/* Cnst/alloc.scm 867 */
												obj_t BgL_arg2151z00_2269;

												{	/* Cnst/alloc.scm 69 */
													obj_t BgL_newz00_3283;

													BgL_newz00_3283 =
														create_struct(CNST_TABLE_REF(((long) 9)),
														(int) (((long) 2)));
													{	/* Cnst/alloc.scm 69 */
														obj_t BgL_auxz00_5620;
														int BgL_tmpz00_5618;

														BgL_auxz00_5620 = BINT(BgL_offsetz00_2268);
														BgL_tmpz00_5618 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_3283, BgL_tmpz00_5618,
															BgL_auxz00_5620);
													}
													{	/* Cnst/alloc.scm 69 */
														int BgL_tmpz00_5623;

														BgL_tmpz00_5623 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_3283, BgL_tmpz00_5623,
															BgL_vecz00_68);
													}
													BgL_arg2151z00_2269 = BgL_newz00_3283;
												}
												BGl_za2vectorzd2envza2zd2zzcnst_allocz00 =
													MAKE_YOUNG_PAIR(BgL_arg2151z00_2269,
													BGl_za2vectorzd2envza2zd2zzcnst_allocz00);
											}
										else
											{	/* Cnst/alloc.scm 866 */
												BFALSE;
											}
										BgL_auxz00_5610 =
											BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BINT
											(BgL_offsetz00_2268), BGl_za2vectorza2z00zztype_cachez00,
											BgL_locz00_69);
									}
									return ((BgL_nodez00_bglt) BgL_auxz00_5610);
								}
						}
				}
			}
		}

	}



/* &cnst-alloc-vector */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2vectorz62zzcnst_allocz00(obj_t
		BgL_envz00_3571, obj_t BgL_vecz00_3572, obj_t BgL_locz00_3573)
	{
		{	/* Cnst/alloc.scm 803 */
			return
				BGl_cnstzd2alloczd2vectorz00zzcnst_allocz00(BgL_vecz00_3572,
				BgL_locz00_3573);
		}

	}



/* cnst-alloc-homogenous-vector */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2homogenouszd2vectorzd2zzcnst_allocz00(obj_t
		BgL_vecz00_70, obj_t BgL_locz00_71)
	{
		{	/* Cnst/alloc.scm 908 */
			{	/* Cnst/alloc.scm 910 */
				obj_t BgL_veczd2tagzd2_2291;

				{	/* Cnst/alloc.scm 910 */
					obj_t BgL_tagz00_2388;

					BgL_tagz00_2388 =
						BGl_homogeneouszd2vectorzd2infoz00zz__srfi4z00(BgL_vecz00_70);
					{	/* Cnst/alloc.scm 911 */
						obj_t BgL__z00_2389;
						obj_t BgL__z00_2390;
						obj_t BgL__z00_2391;

						{	/* Cnst/alloc.scm 911 */
							obj_t BgL_tmpz00_3308;

							{	/* Cnst/alloc.scm 911 */
								int BgL_tmpz00_5632;

								BgL_tmpz00_5632 = (int) (((long) 1));
								BgL_tmpz00_3308 = BGL_MVALUES_VAL(BgL_tmpz00_5632);
							}
							{	/* Cnst/alloc.scm 911 */
								int BgL_tmpz00_5635;

								BgL_tmpz00_5635 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_5635, BUNSPEC);
							}
							BgL__z00_2389 = BgL_tmpz00_3308;
						}
						{	/* Cnst/alloc.scm 911 */
							obj_t BgL_tmpz00_3309;

							{	/* Cnst/alloc.scm 911 */
								int BgL_tmpz00_5638;

								BgL_tmpz00_5638 = (int) (((long) 2));
								BgL_tmpz00_3309 = BGL_MVALUES_VAL(BgL_tmpz00_5638);
							}
							{	/* Cnst/alloc.scm 911 */
								int BgL_tmpz00_5641;

								BgL_tmpz00_5641 = (int) (((long) 2));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_5641, BUNSPEC);
							}
							BgL__z00_2390 = BgL_tmpz00_3309;
						}
						{	/* Cnst/alloc.scm 911 */
							obj_t BgL_tmpz00_3310;

							{	/* Cnst/alloc.scm 911 */
								int BgL_tmpz00_5644;

								BgL_tmpz00_5644 = (int) (((long) 3));
								BgL_tmpz00_3310 = BGL_MVALUES_VAL(BgL_tmpz00_5644);
							}
							{	/* Cnst/alloc.scm 911 */
								int BgL_tmpz00_5647;

								BgL_tmpz00_5647 = (int) (((long) 3));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_5647, BUNSPEC);
							}
							BgL__z00_2391 = BgL_tmpz00_3310;
						}
						BgL_veczd2tagzd2_2291 = BgL_tagz00_2388;
				}}
				{	/* Cnst/alloc.scm 910 */
					obj_t BgL_veczd2typezd2idz00_2292;

					{	/* Cnst/alloc.scm 913 */
						obj_t BgL_arg2228z00_2385;

						{	/* Cnst/alloc.scm 913 */
							obj_t BgL_arg2229z00_2386;
							obj_t BgL_arg2230z00_2387;

							{	/* Cnst/alloc.scm 913 */
								obj_t BgL_arg1463z00_3312;

								BgL_arg1463z00_3312 =
									SYMBOL_TO_STRING(((obj_t) BgL_veczd2tagzd2_2291));
								BgL_arg2229z00_2386 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1463z00_3312);
							}
							{	/* Cnst/alloc.scm 913 */
								obj_t BgL_symbolz00_3313;

								BgL_symbolz00_3313 = CNST_TABLE_REF(((long) 49));
								{	/* Cnst/alloc.scm 913 */
									obj_t BgL_arg1463z00_3314;

									BgL_arg1463z00_3314 = SYMBOL_TO_STRING(BgL_symbolz00_3313);
									BgL_arg2230z00_2387 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1463z00_3314);
							}}
							BgL_arg2228z00_2385 =
								string_append(BgL_arg2229z00_2386, BgL_arg2230z00_2387);
						}
						BgL_veczd2typezd2idz00_2292 =
							bstring_to_symbol(BgL_arg2228z00_2385);
					}
					{	/* Cnst/alloc.scm 913 */
						BgL_typez00_bglt BgL_veczd2typezd2_2293;

						BgL_veczd2typezd2_2293 =
							BGl_findzd2typezd2zztype_envz00(BgL_veczd2typezd2idz00_2292);
						{	/* Cnst/alloc.scm 914 */
							obj_t BgL_listzd2ze3vectorz31_2294;

							{	/* Cnst/alloc.scm 915 */
								obj_t BgL_list2225z00_2382;

								{	/* Cnst/alloc.scm 915 */
									obj_t BgL_arg2226z00_2383;

									{	/* Cnst/alloc.scm 915 */
										obj_t BgL_arg2227z00_2384;

										BgL_arg2227z00_2384 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 49)), BNIL);
										BgL_arg2226z00_2383 =
											MAKE_YOUNG_PAIR(BgL_veczd2tagzd2_2291,
											BgL_arg2227z00_2384);
									}
									BgL_list2225z00_2382 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 50)),
										BgL_arg2226z00_2383);
								}
								BgL_listzd2ze3vectorz31_2294 =
									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
									(BgL_list2225z00_2382);
							}
							{	/* Cnst/alloc.scm 915 */
								obj_t BgL_vectorzd2ze3listz31_2295;

								if ((BgL_veczd2tagzd2_2291 == CNST_TABLE_REF(((long) 51))))
									{	/* Cnst/alloc.scm 916 */
										BgL_vectorzd2ze3listz31_2295 =
											BGl_s8vectorzd2ze3listzd2envze3zz__srfi4z00;
									}
								else
									{	/* Cnst/alloc.scm 916 */
										if ((BgL_veczd2tagzd2_2291 == CNST_TABLE_REF(((long) 52))))
											{	/* Cnst/alloc.scm 916 */
												BgL_vectorzd2ze3listz31_2295 =
													BGl_u8vectorzd2ze3listzd2envze3zz__srfi4z00;
											}
										else
											{	/* Cnst/alloc.scm 916 */
												if (
													(BgL_veczd2tagzd2_2291 ==
														CNST_TABLE_REF(((long) 53))))
													{	/* Cnst/alloc.scm 916 */
														BgL_vectorzd2ze3listz31_2295 =
															BGl_s16vectorzd2ze3listzd2envze3zz__srfi4z00;
													}
												else
													{	/* Cnst/alloc.scm 916 */
														if (
															(BgL_veczd2tagzd2_2291 ==
																CNST_TABLE_REF(((long) 54))))
															{	/* Cnst/alloc.scm 916 */
																BgL_vectorzd2ze3listz31_2295 =
																	BGl_u16vectorzd2ze3listzd2envze3zz__srfi4z00;
															}
														else
															{	/* Cnst/alloc.scm 916 */
																if (
																	(BgL_veczd2tagzd2_2291 ==
																		CNST_TABLE_REF(((long) 55))))
																	{	/* Cnst/alloc.scm 916 */
																		BgL_vectorzd2ze3listz31_2295 =
																			BGl_s32vectorzd2ze3listzd2envze3zz__srfi4z00;
																	}
																else
																	{	/* Cnst/alloc.scm 916 */
																		if (
																			(BgL_veczd2tagzd2_2291 ==
																				CNST_TABLE_REF(((long) 56))))
																			{	/* Cnst/alloc.scm 916 */
																				BgL_vectorzd2ze3listz31_2295 =
																					BGl_u32vectorzd2ze3listzd2envze3zz__srfi4z00;
																			}
																		else
																			{	/* Cnst/alloc.scm 916 */
																				if (
																					(BgL_veczd2tagzd2_2291 ==
																						CNST_TABLE_REF(((long) 57))))
																					{	/* Cnst/alloc.scm 916 */
																						BgL_vectorzd2ze3listz31_2295 =
																							BGl_s64vectorzd2ze3listzd2envze3zz__srfi4z00;
																					}
																				else
																					{	/* Cnst/alloc.scm 916 */
																						if (
																							(BgL_veczd2tagzd2_2291 ==
																								CNST_TABLE_REF(((long) 58))))
																							{	/* Cnst/alloc.scm 916 */
																								BgL_vectorzd2ze3listz31_2295 =
																									BGl_u64vectorzd2ze3listzd2envze3zz__srfi4z00;
																							}
																						else
																							{	/* Cnst/alloc.scm 916 */
																								if (
																									(BgL_veczd2tagzd2_2291 ==
																										CNST_TABLE_REF(((long)
																												59))))
																									{	/* Cnst/alloc.scm 916 */
																										BgL_vectorzd2ze3listz31_2295
																											=
																											BGl_f32vectorzd2ze3listzd2envze3zz__srfi4z00;
																									}
																								else
																									{	/* Cnst/alloc.scm 916 */
																										if (
																											(BgL_veczd2tagzd2_2291 ==
																												CNST_TABLE_REF(((long)
																														60))))
																											{	/* Cnst/alloc.scm 916 */
																												BgL_vectorzd2ze3listz31_2295
																													=
																													BGl_f64vectorzd2ze3listzd2envze3zz__srfi4z00;
																											}
																										else
																											{	/* Cnst/alloc.scm 916 */
																												BgL_vectorzd2ze3listz31_2295
																													= BUNSPEC;
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
								{	/* Cnst/alloc.scm 916 */

									{

										{	/* Cnst/alloc.scm 983 */
											obj_t BgL_oldz00_2299;

											{	/* Cnst/alloc.scm 983 */
												obj_t BgL__andtest_1238z00_2308;

												BgL__andtest_1238z00_2308 =
													BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00;
												if (CBOOL(BgL__andtest_1238z00_2308))
													{
														obj_t BgL_envz00_2310;

														BgL_envz00_2310 =
															BGl_za2vectorzd2envza2zd2zzcnst_allocz00;
													BgL_zc3z04anonymousza32174ze3z87_2311:
														if (NULLP(BgL_envz00_2310))
															{	/* Cnst/alloc.scm 986 */
																BgL_oldz00_2299 = BFALSE;
															}
														else
															{	/* Cnst/alloc.scm 988 */
																bool_t BgL_test2559z00_5699;

																{	/* Cnst/alloc.scm 988 */
																	obj_t BgL_arg2180z00_2317;

																	{	/* Cnst/alloc.scm 69 */
																		obj_t BgL_sz00_3362;

																		BgL_sz00_3362 =
																			CAR(((obj_t) BgL_envz00_2310));
																		BgL_arg2180z00_2317 =
																			STRUCT_REF(BgL_sz00_3362,
																			(int) (((long) 0)));
																	}
																	BgL_test2559z00_5699 =
																		BGl_cnstzd2equalzf3z21zzcnst_allocz00
																		(BgL_arg2180z00_2317, BgL_vecz00_70);
																}
																if (BgL_test2559z00_5699)
																	{	/* Cnst/alloc.scm 988 */
																		BgL_oldz00_2299 =
																			CAR(((obj_t) BgL_envz00_2310));
																	}
																else
																	{	/* Cnst/alloc.scm 991 */
																		obj_t BgL_arg2179z00_2316;

																		BgL_arg2179z00_2316 =
																			CDR(((obj_t) BgL_envz00_2310));
																		{
																			obj_t BgL_envz00_5709;

																			BgL_envz00_5709 = BgL_arg2179z00_2316;
																			BgL_envz00_2310 = BgL_envz00_5709;
																			goto
																				BgL_zc3z04anonymousza32174ze3z87_2311;
																		}
																	}
															}
													}
												else
													{	/* Cnst/alloc.scm 983 */
														BgL_oldz00_2299 = BFALSE;
													}
											}
											BGl_forcezd2initializa7ezd2srfi4zd2libraryzd2modulez12zb5zzcnst_allocz00
												();
											if (CBOOL(BgL_oldz00_2299))
												{	/* Cnst/alloc.scm 994 */
													if (
														(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
															CNST_TABLE_REF(((long) 14))))
														{	/* Cnst/alloc.scm 996 */
															BgL_refz00_bglt BgL_new1240z00_2301;

															{	/* Cnst/alloc.scm 997 */
																BgL_refz00_bglt BgL_new1239z00_2304;

																BgL_new1239z00_2304 =
																	((BgL_refz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_refz00_bgl))));
																{	/* Cnst/alloc.scm 997 */
																	long BgL_arg2171z00_2305;

																	BgL_arg2171z00_2305 =
																		BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1239z00_2304),
																		BgL_arg2171z00_2305);
																}
																{	/* Cnst/alloc.scm 997 */
																	BgL_objectz00_bglt BgL_tmpz00_5720;

																	BgL_tmpz00_5720 =
																		((BgL_objectz00_bglt) BgL_new1239z00_2304);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5720,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1239z00_2304);
																BgL_new1240z00_2301 = BgL_new1239z00_2304;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1240z00_2301)))->BgL_locz00) =
																((obj_t) BgL_locz00_71), BUNSPEC);
															{
																BgL_typez00_bglt BgL_auxz00_5726;

																{	/* Cnst/alloc.scm 999 */
																	BgL_typez00_bglt BgL_arg2169z00_2302;

																	BgL_arg2169z00_2302 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					STRUCT_REF(
																						((obj_t) BgL_oldz00_2299),
																						(int) (((long) 1))))))->
																		BgL_typez00);
																	BgL_auxz00_5726 =
																		BGl_strictzd2nodezd2typez00zzast_nodez00
																		(BgL_veczd2typezd2_2293,
																		BgL_arg2169z00_2302);
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1240z00_2301)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_auxz00_5726),
																	BUNSPEC);
															}
															((((BgL_varz00_bglt) COBJECT(
																			((BgL_varz00_bglt)
																				BgL_new1240z00_2301)))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		STRUCT_REF(((obj_t) BgL_oldz00_2299),
																			(int) (((long) 1))))), BUNSPEC);
															return ((BgL_nodez00_bglt) BgL_new1240z00_2301);
														}
													else
														{	/* Cnst/alloc.scm 1001 */
															obj_t BgL_arg2172z00_2306;

															BgL_arg2172z00_2306 =
																STRUCT_REF(
																((obj_t) BgL_oldz00_2299), (int) (((long) 1)));
															return
																((BgL_nodez00_bglt)
																BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00
																(BgL_arg2172z00_2306,
																	((obj_t) BgL_veczd2typezd2_2293),
																	BgL_locz00_71));
														}
												}
											else
												{	/* Cnst/alloc.scm 994 */
													if (
														(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
															CNST_TABLE_REF(((long) 14))))
														{
															BgL_refz00_bglt BgL_auxz00_5751;

															{	/* Cnst/alloc.scm 969 */
																BgL_globalz00_bglt BgL_varz00_2352;

																{	/* Cnst/alloc.scm 970 */
																	obj_t BgL_arg2213z00_2366;

																	BgL_arg2213z00_2366 =
																		BGl_makezd2typedzd2identz00zzast_identz00
																		(BGl_gensymz00zz__r4_symbols_6_4z00
																		(CNST_TABLE_REF(((long) 61))),
																		BgL_veczd2typezd2idz00_2292);
																	BgL_varz00_2352 =
																		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
																		(BgL_arg2213z00_2366,
																		BGl_za2moduleza2z00zzmodule_modulez00,
																		CNST_TABLE_REF(((long) 2)),
																		CNST_TABLE_REF(((long) 3)));
																}
																if (CBOOL
																	(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
																	{	/* Cnst/alloc.scm 975 */
																		obj_t BgL_arg2202z00_2353;

																		{	/* Cnst/alloc.scm 69 */
																			obj_t BgL_newz00_3352;

																			BgL_newz00_3352 =
																				create_struct(CNST_TABLE_REF(((long)
																						9)), (int) (((long) 2)));
																			{	/* Cnst/alloc.scm 69 */
																				obj_t BgL_auxz00_5765;
																				int BgL_tmpz00_5763;

																				BgL_auxz00_5765 =
																					((obj_t) BgL_varz00_2352);
																				BgL_tmpz00_5763 = (int) (((long) 1));
																				STRUCT_SET(BgL_newz00_3352,
																					BgL_tmpz00_5763, BgL_auxz00_5765);
																			}
																			{	/* Cnst/alloc.scm 69 */
																				int BgL_tmpz00_5768;

																				BgL_tmpz00_5768 = (int) (((long) 0));
																				STRUCT_SET(BgL_newz00_3352,
																					BgL_tmpz00_5768, BgL_vecz00_70);
																			}
																			BgL_arg2202z00_2353 = BgL_newz00_3352;
																		}
																		BGl_za2vectorzd2envza2zd2zzcnst_allocz00 =
																			MAKE_YOUNG_PAIR(BgL_arg2202z00_2353,
																			BGl_za2vectorzd2envza2zd2zzcnst_allocz00);
																	}
																else
																	{	/* Cnst/alloc.scm 974 */
																		BFALSE;
																	}
																{	/* Cnst/alloc.scm 976 */
																	obj_t BgL_arg2203z00_2354;

																	{	/* Cnst/alloc.scm 976 */
																		obj_t BgL_arg2204z00_2355;

																		{	/* Cnst/alloc.scm 976 */
																			obj_t BgL_arg2205z00_2356;
																			obj_t BgL_arg2206z00_2357;

																			{	/* Cnst/alloc.scm 976 */
																				obj_t BgL_arg2207z00_2358;

																				{	/* Cnst/alloc.scm 976 */
																					obj_t BgL_arg2208z00_2359;
																					obj_t BgL_arg2209z00_2360;

																					BgL_arg2208z00_2359 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									BgL_varz00_2352)))->
																						BgL_idz00);
																					BgL_arg2209z00_2360 =
																						MAKE_YOUNG_PAIR(((
																								(BgL_globalz00_bglt)
																								COBJECT(BgL_varz00_2352))->
																							BgL_modulez00), BNIL);
																					BgL_arg2207z00_2358 =
																						MAKE_YOUNG_PAIR(BgL_arg2208z00_2359,
																						BgL_arg2209z00_2360);
																				}
																				BgL_arg2205z00_2356 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							12)), BgL_arg2207z00_2358);
																			}
																			{	/* Cnst/alloc.scm 977 */
																				BgL_nodez00_bglt BgL_arg2211z00_2362;

																				{	/* Cnst/alloc.scm 931 */
																					BgL_nodez00_bglt BgL_arg2183z00_2321;

																					{	/* Cnst/alloc.scm 931 */
																						BgL_letzd2varzd2_bglt
																							BgL_arg2185z00_2322;
																						BgL_typez00_bglt
																							BgL_arg2186z00_2323;
																						{	/* Cnst/alloc.scm 931 */
																							BgL_localz00_bglt BgL_varz00_2324;
																							obj_t BgL_lz00_2325;

																							BgL_varz00_2324 =
																								BGl_makezd2localzd2svarz00zzast_localz00
																								(CNST_TABLE_REF(((long) 48)),
																								BgL_veczd2typezd2_2293);
																							BgL_lz00_2325 =
																								PROCEDURE_ENTRY
																								(BgL_vectorzd2ze3listz31_2295)
																								(BgL_vectorzd2ze3listz31_2295,
																								BgL_vecz00_70, BEOA);
																							{	/* Cnst/alloc.scm 933 */
																								BgL_letzd2varzd2_bglt
																									BgL_new1227z00_2326;
																								{	/* Cnst/alloc.scm 934 */
																									BgL_letzd2varzd2_bglt
																										BgL_new1226z00_2346;
																									BgL_new1226z00_2346 =
																										((BgL_letzd2varzd2_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_letzd2varzd2_bgl))));
																									{	/* Cnst/alloc.scm 934 */
																										long BgL_arg2198z00_2347;

																										BgL_arg2198z00_2347 =
																											BGL_CLASS_NUM
																											(BGl_letzd2varzd2zzast_nodez00);
																										BGL_OBJECT_CLASS_NUM_SET((
																												(BgL_objectz00_bglt)
																												BgL_new1226z00_2346),
																											BgL_arg2198z00_2347);
																									}
																									{	/* Cnst/alloc.scm 934 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_5789;
																										BgL_tmpz00_5789 =
																											((BgL_objectz00_bglt)
																											BgL_new1226z00_2346);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_5789, BFALSE);
																									}
																									((BgL_objectz00_bglt)
																										BgL_new1226z00_2346);
																									BgL_new1227z00_2326 =
																										BgL_new1226z00_2346;
																								}
																								((((BgL_nodez00_bglt) COBJECT(
																												((BgL_nodez00_bglt)
																													BgL_new1227z00_2326)))->
																										BgL_locz00) =
																									((obj_t) BgL_locz00_71),
																									BUNSPEC);
																								((((BgL_nodez00_bglt)
																											COBJECT((
																													(BgL_nodez00_bglt)
																													BgL_new1227z00_2326)))->
																										BgL_typez00) =
																									((BgL_typez00_bglt)
																										BGl_strictzd2nodezd2typez00zzast_nodez00
																										(BgL_veczd2typezd2_2293,
																											((BgL_typez00_bglt)
																												BGl_za2objza2z00zztype_cachez00))),
																									BUNSPEC);
																								((((BgL_nodezf2effectzf2_bglt)
																											COBJECT((
																													(BgL_nodezf2effectzf2_bglt)
																													BgL_new1227z00_2326)))->
																										BgL_sidezd2effectzd2) =
																									((obj_t) BUNSPEC), BUNSPEC);
																								((((BgL_nodezf2effectzf2_bglt)
																											COBJECT((
																													(BgL_nodezf2effectzf2_bglt)
																													BgL_new1227z00_2326)))->
																										BgL_keyz00) =
																									((obj_t) BINT(((long) -1))),
																									BUNSPEC);
																								{
																									obj_t BgL_auxz00_5804;

																									{	/* Cnst/alloc.scm 939 */
																										obj_t BgL_arg2187z00_2327;

																										{	/* Cnst/alloc.scm 939 */
																											BgL_appz00_bglt
																												BgL_arg2189z00_2329;
																											{	/* Cnst/alloc.scm 939 */
																												BgL_appz00_bglt
																													BgL_new1229z00_2330;
																												{	/* Cnst/alloc.scm 946 */
																													BgL_appz00_bglt
																														BgL_new1228z00_2341;
																													BgL_new1228z00_2341 =
																														((BgL_appz00_bglt)
																														BOBJECT(GC_MALLOC
																															(sizeof(struct
																																	BgL_appz00_bgl))));
																													{	/* Cnst/alloc.scm 946 */
																														long
																															BgL_arg2196z00_2342;
																														{	/* Cnst/alloc.scm 946 */
																															obj_t
																																BgL_classz00_3330;
																															BgL_classz00_3330
																																=
																																BGl_appz00zzast_nodez00;
																															BgL_arg2196z00_2342
																																=
																																BGL_CLASS_NUM
																																(BgL_classz00_3330);
																														}
																														BGL_OBJECT_CLASS_NUM_SET
																															(((BgL_objectz00_bglt) BgL_new1228z00_2341), BgL_arg2196z00_2342);
																													}
																													{	/* Cnst/alloc.scm 946 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_5809;
																														BgL_tmpz00_5809 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1228z00_2341);
																														BGL_OBJECT_WIDENING_SET
																															(BgL_tmpz00_5809,
																															BFALSE);
																													}
																													((BgL_objectz00_bglt)
																														BgL_new1228z00_2341);
																													BgL_new1229z00_2330 =
																														BgL_new1228z00_2341;
																												}
																												((((BgL_nodez00_bglt)
																															COBJECT((
																																	(BgL_nodez00_bglt)
																																	BgL_new1229z00_2330)))->
																														BgL_locz00) =
																													((obj_t)
																														BgL_locz00_71),
																													BUNSPEC);
																												((((BgL_nodez00_bglt)
																															COBJECT((
																																	(BgL_nodez00_bglt)
																																	BgL_new1229z00_2330)))->
																														BgL_typez00) =
																													((BgL_typez00_bglt)
																														BgL_veczd2typezd2_2293),
																													BUNSPEC);
																												((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1229z00_2330)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																												((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1229z00_2330)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																												{
																													BgL_varz00_bglt
																														BgL_auxz00_5822;
																													{	/* Cnst/alloc.scm 942 */
																														BgL_refz00_bglt
																															BgL_new1231z00_2331;
																														{	/* Cnst/alloc.scm 945 */
																															BgL_refz00_bglt
																																BgL_new1230z00_2333;
																															BgL_new1230z00_2333
																																=
																																(
																																(BgL_refz00_bglt)
																																BOBJECT
																																(GC_MALLOC
																																	(sizeof(struct
																																			BgL_refz00_bgl))));
																															{	/* Cnst/alloc.scm 945 */
																																long
																																	BgL_arg2191z00_2334;
																																{	/* Cnst/alloc.scm 945 */
																																	obj_t
																																		BgL_classz00_3334;
																																	BgL_classz00_3334
																																		=
																																		BGl_refz00zzast_nodez00;
																																	BgL_arg2191z00_2334
																																		=
																																		BGL_CLASS_NUM
																																		(BgL_classz00_3334);
																																}
																																BGL_OBJECT_CLASS_NUM_SET
																																	(((BgL_objectz00_bglt) BgL_new1230z00_2333), BgL_arg2191z00_2334);
																															}
																															{	/* Cnst/alloc.scm 945 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_5827;
																																BgL_tmpz00_5827
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1230z00_2333);
																																BGL_OBJECT_WIDENING_SET
																																	(BgL_tmpz00_5827,
																																	BFALSE);
																															}
																															((BgL_objectz00_bglt) BgL_new1230z00_2333);
																															BgL_new1231z00_2331
																																=
																																BgL_new1230z00_2333;
																														}
																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1231z00_2331)))->BgL_locz00) = ((obj_t) BgL_locz00_71), BUNSPEC);
																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1231z00_2331)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_veczd2typezd2_2293), BUNSPEC);
																														((((BgL_varz00_bglt)
																																	COBJECT((
																																			(BgL_varz00_bglt)
																																			BgL_new1231z00_2331)))->
																																BgL_variablez00)
																															=
																															((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BGl_findzd2globalzd2zzast_envz00(BgL_listzd2ze3vectorz31_2294, BNIL))), BUNSPEC);
																														BgL_auxz00_5822 =
																															((BgL_varz00_bglt)
																															BgL_new1231z00_2331);
																													}
																													((((BgL_appz00_bglt)
																																COBJECT
																																(BgL_new1229z00_2330))->
																															BgL_funz00) =
																														((BgL_varz00_bglt)
																															BgL_auxz00_5822),
																														BUNSPEC);
																												}
																												{
																													obj_t BgL_auxz00_5841;

																													{	/* Cnst/alloc.scm 947 */
																														BgL_kwotez00_bglt
																															BgL_arg2192z00_2335;
																														{	/* Cnst/alloc.scm 947 */
																															BgL_kwotez00_bglt
																																BgL_new1233z00_2337;
																															{	/* Cnst/alloc.scm 951 */
																																BgL_kwotez00_bglt
																																	BgL_new1232z00_2339;
																																BgL_new1232z00_2339
																																	=
																																	(
																																	(BgL_kwotez00_bglt)
																																	BOBJECT
																																	(GC_MALLOC
																																		(sizeof
																																			(struct
																																				BgL_kwotez00_bgl))));
																																{	/* Cnst/alloc.scm 951 */
																																	long
																																		BgL_arg2195z00_2340;
																																	{	/* Cnst/alloc.scm 951 */
																																		obj_t
																																			BgL_classz00_3338;
																																		BgL_classz00_3338
																																			=
																																			BGl_kwotez00zzast_nodez00;
																																		BgL_arg2195z00_2340
																																			=
																																			BGL_CLASS_NUM
																																			(BgL_classz00_3338);
																																	}
																																	BGL_OBJECT_CLASS_NUM_SET
																																		(((BgL_objectz00_bglt) BgL_new1232z00_2339), BgL_arg2195z00_2340);
																																}
																																{	/* Cnst/alloc.scm 951 */
																																	BgL_objectz00_bglt
																																		BgL_tmpz00_5846;
																																	BgL_tmpz00_5846
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		BgL_new1232z00_2339);
																																	BGL_OBJECT_WIDENING_SET
																																		(BgL_tmpz00_5846,
																																		BFALSE);
																																}
																																((BgL_objectz00_bglt) BgL_new1232z00_2339);
																																BgL_new1233z00_2337
																																	=
																																	BgL_new1232z00_2339;
																															}
																															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1233z00_2337)))->BgL_locz00) = ((obj_t) BgL_locz00_71), BUNSPEC);
																															{
																																BgL_typez00_bglt
																																	BgL_auxz00_5852;
																																{	/* Cnst/alloc.scm 950 */
																																	BgL_typez00_bglt
																																		BgL_arg2194z00_2338;
																																	BgL_arg2194z00_2338
																																		=
																																		BGl_getzd2typezd2kwotez00zztype_typeofz00
																																		(BgL_lz00_2325);
																																	BgL_auxz00_5852
																																		=
																																		BGl_strictzd2nodezd2typez00zzast_nodez00
																																		(BgL_arg2194z00_2338,
																																		((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
																																}
																																((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1233z00_2337)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5852), BUNSPEC);
																															}
																															((((BgL_kwotez00_bglt) COBJECT(BgL_new1233z00_2337))->BgL_valuez00) = ((obj_t) BgL_lz00_2325), BUNSPEC);
																															BgL_arg2192z00_2335
																																=
																																BgL_new1233z00_2337;
																														}
																														{	/* Cnst/alloc.scm 946 */
																															obj_t
																																BgL_list2193z00_2336;
																															BgL_list2193z00_2336
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	BgL_arg2192z00_2335),
																																BNIL);
																															BgL_auxz00_5841 =
																																BgL_list2193z00_2336;
																													}}
																													((((BgL_appz00_bglt)
																																COBJECT
																																(BgL_new1229z00_2330))->
																															BgL_argsz00) =
																														((obj_t)
																															BgL_auxz00_5841),
																														BUNSPEC);
																												}
																												((((BgL_appz00_bglt)
																															COBJECT
																															(BgL_new1229z00_2330))->
																														BgL_stackablez00) =
																													((obj_t) BFALSE),
																													BUNSPEC);
																												BgL_arg2189z00_2329 =
																													BgL_new1229z00_2330;
																											}
																											BgL_arg2187z00_2327 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													BgL_varz00_2324),
																												((obj_t)
																													BgL_arg2189z00_2329));
																										}
																										{	/* Cnst/alloc.scm 937 */
																											obj_t
																												BgL_list2188z00_2328;
																											BgL_list2188z00_2328 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg2187z00_2327,
																												BNIL);
																											BgL_auxz00_5804 =
																												BgL_list2188z00_2328;
																									}}
																									((((BgL_letzd2varzd2_bglt)
																												COBJECT
																												(BgL_new1227z00_2326))->
																											BgL_bindingsz00) =
																										((obj_t) BgL_auxz00_5804),
																										BUNSPEC);
																								}
																								{
																									BgL_nodez00_bglt
																										BgL_auxz00_5868;
																									{	/* Cnst/alloc.scm 952 */
																										BgL_refz00_bglt
																											BgL_new1235z00_2343;
																										{	/* Cnst/alloc.scm 953 */
																											BgL_refz00_bglt
																												BgL_new1234z00_2344;
																											BgL_new1234z00_2344 =
																												((BgL_refz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_refz00_bgl))));
																											{	/* Cnst/alloc.scm 953 */
																												long
																													BgL_arg2197z00_2345;
																												{	/* Cnst/alloc.scm 953 */
																													obj_t
																														BgL_classz00_3344;
																													BgL_classz00_3344 =
																														BGl_refz00zzast_nodez00;
																													BgL_arg2197z00_2345 =
																														BGL_CLASS_NUM
																														(BgL_classz00_3344);
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1234z00_2344),
																													BgL_arg2197z00_2345);
																											}
																											{	/* Cnst/alloc.scm 953 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_5873;
																												BgL_tmpz00_5873 =
																													((BgL_objectz00_bglt)
																													BgL_new1234z00_2344);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_tmpz00_5873,
																													BFALSE);
																											}
																											((BgL_objectz00_bglt)
																												BgL_new1234z00_2344);
																											BgL_new1235z00_2343 =
																												BgL_new1234z00_2344;
																										}
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1235z00_2343)))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_71),
																											BUNSPEC);
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1235z00_2343)))->
																												BgL_typez00) =
																											((BgL_typez00_bglt)
																												BgL_veczd2typezd2_2293),
																											BUNSPEC);
																										((((BgL_varz00_bglt)
																													COBJECT((
																															(BgL_varz00_bglt)
																															BgL_new1235z00_2343)))->
																												BgL_variablez00) =
																											((BgL_variablez00_bglt) (
																													(BgL_variablez00_bglt)
																													BgL_varz00_2324)),
																											BUNSPEC);
																										BgL_auxz00_5868 =
																											((BgL_nodez00_bglt)
																											BgL_new1235z00_2343);
																									}
																									((((BgL_letzd2varzd2_bglt)
																												COBJECT
																												(BgL_new1227z00_2326))->
																											BgL_bodyz00) =
																										((BgL_nodez00_bglt)
																											BgL_auxz00_5868),
																										BUNSPEC);
																								}
																								((((BgL_letzd2varzd2_bglt)
																											COBJECT
																											(BgL_new1227z00_2326))->
																										BgL_removablezf3zf3) =
																									((bool_t) ((bool_t) 1)),
																									BUNSPEC);
																								BgL_arg2185z00_2322 =
																									BgL_new1227z00_2326;
																						}}
																						BgL_arg2186z00_2323 =
																							BGl_strictzd2nodezd2typez00zzast_nodez00
																							(BgL_veczd2typezd2_2293,
																							((BgL_typez00_bglt)
																								BGl_za2objza2z00zztype_cachez00));
																						BgL_arg2183z00_2321 =
																							BGl_coercez12z12zzcoerce_coercez00
																							(((BgL_nodez00_bglt)
																								BgL_arg2185z00_2322), BUNSPEC,
																							BgL_arg2186z00_2323,
																							((bool_t) 0));
																					}
																					BgL_arg2211z00_2362 =
																						BGl_cnstz12z12zzcnst_nodez00
																						(BgL_arg2183z00_2321);
																				}
																				BgL_arg2206z00_2357 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_arg2211z00_2362), BNIL);
																			}
																			BgL_arg2204z00_2355 =
																				MAKE_YOUNG_PAIR(BgL_arg2205z00_2356,
																				BgL_arg2206z00_2357);
																		}
																		BgL_arg2203z00_2354 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					13)), BgL_arg2204z00_2355);
																	}
																	BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 =
																		MAKE_YOUNG_PAIR(BgL_arg2203z00_2354,
																		BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
																}
																{	/* Cnst/alloc.scm 978 */
																	BgL_refz00_bglt BgL_new1237z00_2363;

																	{	/* Cnst/alloc.scm 979 */
																		BgL_refz00_bglt BgL_new1236z00_2364;

																		BgL_new1236z00_2364 =
																			((BgL_refz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_refz00_bgl))));
																		{	/* Cnst/alloc.scm 979 */
																			long BgL_arg2212z00_2365;

																			BgL_arg2212z00_2365 =
																				BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1236z00_2364),
																				BgL_arg2212z00_2365);
																		}
																		{	/* Cnst/alloc.scm 979 */
																			BgL_objectz00_bglt BgL_tmpz00_5902;

																			BgL_tmpz00_5902 =
																				((BgL_objectz00_bglt)
																				BgL_new1236z00_2364);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5902,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1236z00_2364);
																		BgL_new1237z00_2363 = BgL_new1236z00_2364;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1237z00_2363)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_71), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1237z00_2363)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_veczd2typezd2_2293),
																		BUNSPEC);
																	((((BgL_varz00_bglt)
																				COBJECT(((BgL_varz00_bglt)
																						BgL_new1237z00_2363)))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_varz00_2352)), BUNSPEC);
																	BgL_auxz00_5751 = BgL_new1237z00_2363;
															}}
															return ((BgL_nodez00_bglt) BgL_auxz00_5751);
														}
													else
														{
															BgL_appz00_bglt BgL_auxz00_5914;

															{	/* Cnst/alloc.scm 961 */
																long BgL_offsetz00_2349;

																BgL_offsetz00_2349 =
																	BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
																BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 =
																	(((long) 1) +
																	BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
																BGl_za2globalzd2setza2zd2zzcnst_allocz00 =
																	MAKE_YOUNG_PAIR(BgL_vecz00_70,
																	BGl_za2globalzd2setza2zd2zzcnst_allocz00);
																if (CBOOL
																	(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
																	{	/* Cnst/alloc.scm 965 */
																		obj_t BgL_arg2200z00_2350;

																		{	/* Cnst/alloc.scm 69 */
																			obj_t BgL_newz00_3349;

																			BgL_newz00_3349 =
																				create_struct(CNST_TABLE_REF(((long)
																						9)), (int) (((long) 2)));
																			{	/* Cnst/alloc.scm 69 */
																				obj_t BgL_auxz00_5924;
																				int BgL_tmpz00_5922;

																				BgL_auxz00_5924 =
																					BINT(BgL_offsetz00_2349);
																				BgL_tmpz00_5922 = (int) (((long) 1));
																				STRUCT_SET(BgL_newz00_3349,
																					BgL_tmpz00_5922, BgL_auxz00_5924);
																			}
																			{	/* Cnst/alloc.scm 69 */
																				int BgL_tmpz00_5927;

																				BgL_tmpz00_5927 = (int) (((long) 0));
																				STRUCT_SET(BgL_newz00_3349,
																					BgL_tmpz00_5927, BgL_vecz00_70);
																			}
																			BgL_arg2200z00_2350 = BgL_newz00_3349;
																		}
																		BGl_za2vectorzd2envza2zd2zzcnst_allocz00 =
																			MAKE_YOUNG_PAIR(BgL_arg2200z00_2350,
																			BGl_za2vectorzd2envza2zd2zzcnst_allocz00);
																	}
																else
																	{	/* Cnst/alloc.scm 964 */
																		BFALSE;
																	}
																BgL_auxz00_5914 =
																	BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00
																	(BINT(BgL_offsetz00_2349),
																	((obj_t) BgL_veczd2typezd2_2293),
																	BgL_locz00_71);
															}
															return ((BgL_nodez00_bglt) BgL_auxz00_5914);
														}
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &cnst-alloc-homogenous-vector */
	BgL_nodez00_bglt
		BGl_z62cnstzd2alloczd2homogenouszd2vectorzb0zzcnst_allocz00(obj_t
		BgL_envz00_3574, obj_t BgL_vecz00_3575, obj_t BgL_locz00_3576)
	{
		{	/* Cnst/alloc.scm 908 */
			return
				BGl_cnstzd2alloczd2homogenouszd2vectorzd2zzcnst_allocz00
				(BgL_vecz00_3575, BgL_locz00_3576);
		}

	}



/* force-initialize-srfi4-library-module! */
	obj_t
		BGl_forcezd2initializa7ezd2srfi4zd2libraryzd2modulez12zb5zzcnst_allocz00()
	{
		{	/* Cnst/alloc.scm 1010 */
			{	/* Cnst/alloc.scm 1013 */
				obj_t BgL_gz00_2392;

				BgL_gz00_2392 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 62)), BNIL);
				{	/* Cnst/alloc.scm 1015 */
					obj_t BgL_arg2231z00_2393;

					BgL_arg2231z00_2393 =
						(((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_gz00_2392)))->BgL_modulez00);
					return
						BGl_withzd2libraryzd2modulez12z12zzmodule_libraryz00
						(BgL_arg2231z00_2393);
				}
			}
		}

	}



/* cnst-alloc-tvector */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2tvectorz00zzcnst_allocz00(obj_t BgL_tvecz00_72,
		obj_t BgL_locz00_73)
	{
		{	/* Cnst/alloc.scm 1020 */
			{

				if (BGl_tvectorzd2Czd2staticzf3zf3zztvector_cnstz00(BgL_tvecz00_72))
					{
						BgL_refz00_bglt BgL_auxz00_5943;

						{	/* Cnst/alloc.scm 1022 */
							BgL_globalz00_bglt BgL_varz00_2399;

							{	/* Cnst/alloc.scm 1022 */
								obj_t BgL_arg2251z00_2422;

								{	/* Cnst/alloc.scm 1022 */
									obj_t BgL_arg2252z00_2423;

									BgL_arg2252z00_2423 =
										BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												63)));
									BgL_arg2251z00_2422 =
										BGl_makezd2typedzd2identz00zzast_identz00
										(BgL_arg2252z00_2423, CNST_TABLE_REF(((long) 64)));
								}
								BgL_varz00_2399 =
									BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
									(BgL_arg2251z00_2422, BGl_za2moduleza2z00zzmodule_modulez00,
									BgL_tvecz00_72, CNST_TABLE_REF(((long) 65)), BgL_locz00_73);
							}
							{	/* Cnst/alloc.scm 1027 */
								obj_t BgL_idz00_2400;

								BgL_idz00_2400 =
									(((BgL_typez00_bglt) COBJECT(
											((BgL_typez00_bglt)
												STRUCT_REF(
													((obj_t) BgL_tvecz00_72),
													(int) (((long) 0))))))->BgL_idz00);
								{	/* Cnst/alloc.scm 1027 */
									BgL_nodez00_bglt BgL_aidz00_2401;

									{	/* Cnst/alloc.scm 1028 */
										BgL_kwotez00_bglt BgL_arg2245z00_2412;

										{	/* Cnst/alloc.scm 1028 */
											BgL_kwotez00_bglt BgL_new1242z00_2413;

											{	/* Cnst/alloc.scm 1029 */
												BgL_kwotez00_bglt BgL_new1241z00_2416;

												BgL_new1241z00_2416 =
													((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_kwotez00_bgl))));
												{	/* Cnst/alloc.scm 1029 */
													long BgL_arg2248z00_2417;

													BgL_arg2248z00_2417 =
														BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1241z00_2416),
														BgL_arg2248z00_2417);
												}
												{	/* Cnst/alloc.scm 1029 */
													BgL_objectz00_bglt BgL_tmpz00_5959;

													BgL_tmpz00_5959 =
														((BgL_objectz00_bglt) BgL_new1241z00_2416);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5959, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1241z00_2416);
												BgL_new1242z00_2413 = BgL_new1241z00_2416;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1242z00_2413)))->
													BgL_locz00) = ((obj_t) BgL_locz00_73), BUNSPEC);
											{
												BgL_typez00_bglt BgL_auxz00_5965;

												{	/* Cnst/alloc.scm 1031 */
													BgL_typez00_bglt BgL_arg2246z00_2414;
													BgL_typez00_bglt BgL_arg2247z00_2415;

													BgL_arg2246z00_2414 =
														BGl_getzd2typezd2kwotez00zztype_typeofz00
														(BgL_idz00_2400);
													BgL_arg2247z00_2415 =
														BGl_getzd2defaultzd2typez00zztype_cachez00();
													BgL_auxz00_5965 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_arg2246z00_2414, BgL_arg2247z00_2415);
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1242z00_2413)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_5965), BUNSPEC);
											}
											((((BgL_kwotez00_bglt) COBJECT(BgL_new1242z00_2413))->
													BgL_valuez00) = ((obj_t) BgL_idz00_2400), BUNSPEC);
											BgL_arg2245z00_2412 = BgL_new1242z00_2413;
										}
										BgL_aidz00_2401 =
											BGl_cnstz12z12zzcnst_nodez00(
											((BgL_nodez00_bglt) BgL_arg2245z00_2412));
									}
									{	/* Cnst/alloc.scm 1028 */

										{	/* Cnst/alloc.scm 1037 */
											obj_t BgL_arg2235z00_2402;

											{	/* Cnst/alloc.scm 1037 */
												obj_t BgL_arg2236z00_2403;

												{	/* Cnst/alloc.scm 1037 */
													obj_t BgL_arg2237z00_2404;
													obj_t BgL_arg2238z00_2405;

													{	/* Cnst/alloc.scm 1037 */
														obj_t BgL_arg2239z00_2406;

														{	/* Cnst/alloc.scm 1037 */
															obj_t BgL_arg2240z00_2407;
															obj_t BgL_arg2241z00_2408;

															BgL_arg2240z00_2407 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_varz00_2399)))->
																BgL_idz00);
															BgL_arg2241z00_2408 =
																MAKE_YOUNG_PAIR((((BgL_globalz00_bglt)
																		COBJECT(BgL_varz00_2399))->BgL_modulez00),
																BNIL);
															BgL_arg2239z00_2406 =
																MAKE_YOUNG_PAIR(BgL_arg2240z00_2407,
																BgL_arg2241z00_2408);
														}
														BgL_arg2237z00_2404 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
															BgL_arg2239z00_2406);
													}
													{	/* Cnst/alloc.scm 1038 */
														obj_t BgL_arg2243z00_2410;

														{	/* Cnst/alloc.scm 1038 */
															obj_t BgL_arg2244z00_2411;

															BgL_arg2244z00_2411 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_aidz00_2401), BNIL);
															BgL_arg2243z00_2410 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 66)),
																BgL_arg2244z00_2411);
														}
														BgL_arg2238z00_2405 =
															MAKE_YOUNG_PAIR(BgL_arg2243z00_2410, BNIL);
													}
													BgL_arg2236z00_2403 =
														MAKE_YOUNG_PAIR(BgL_arg2237z00_2404,
														BgL_arg2238z00_2405);
												}
												BgL_arg2235z00_2402 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 67)),
													BgL_arg2236z00_2403);
											}
											BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 =
												MAKE_YOUNG_PAIR(BgL_arg2235z00_2402,
												BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
							}}}}
							{	/* Cnst/alloc.scm 1039 */
								BgL_refz00_bglt BgL_new1245z00_2419;

								{	/* Cnst/alloc.scm 1040 */
									BgL_refz00_bglt BgL_new1243z00_2420;

									BgL_new1243z00_2420 =
										((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_refz00_bgl))));
									{	/* Cnst/alloc.scm 1040 */
										long BgL_arg2250z00_2421;

										BgL_arg2250z00_2421 =
											BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1243z00_2420),
											BgL_arg2250z00_2421);
									}
									{	/* Cnst/alloc.scm 1040 */
										BgL_objectz00_bglt BgL_tmpz00_5994;

										BgL_tmpz00_5994 =
											((BgL_objectz00_bglt) BgL_new1243z00_2420);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5994, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1243z00_2420);
									BgL_new1245z00_2419 = BgL_new1243z00_2420;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1245z00_2419)))->
										BgL_locz00) = ((obj_t) BgL_locz00_73), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1245z00_2419)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_variablez00_bglt)
												COBJECT(((BgL_variablez00_bglt) BgL_varz00_2399)))->
											BgL_typez00)), BUNSPEC);
								((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
													BgL_new1245z00_2419)))->BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
											BgL_varz00_2399)), BUNSPEC);
								BgL_auxz00_5943 = BgL_new1245z00_2419;
						}}
						return ((BgL_nodez00_bglt) BgL_auxz00_5943);
					}
				else
					{
						BgL_appz00_bglt BgL_auxz00_6008;

						BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string2432z00zzcnst_allocz00,
							BGl_string2433z00zzcnst_allocz00, BgL_tvecz00_72);
						{	/* Cnst/alloc.scm 1047 */
							long BgL_offsetz00_2425;

							BgL_offsetz00_2425 = BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
							BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 =
								(((long) 1) + BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
							BGl_za2globalzd2setza2zd2zzcnst_allocz00 =
								MAKE_YOUNG_PAIR(BgL_tvecz00_72,
								BGl_za2globalzd2setza2zd2zzcnst_allocz00);
							{	/* Cnst/alloc.scm 1050 */
								obj_t BgL_arg2254z00_2426;

								BgL_arg2254z00_2426 =
									STRUCT_REF(((obj_t) BgL_tvecz00_72), (int) (((long) 0)));
								BgL_auxz00_6008 =
									BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BINT
									(BgL_offsetz00_2425), BgL_arg2254z00_2426, BgL_locz00_73);
						}}
						return ((BgL_nodez00_bglt) BgL_auxz00_6008);
					}
			}
		}

	}



/* &cnst-alloc-tvector */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2tvectorz62zzcnst_allocz00(obj_t
		BgL_envz00_3597, obj_t BgL_tvecz00_3598, obj_t BgL_locz00_3599)
	{
		{	/* Cnst/alloc.scm 1020 */
			return
				BGl_cnstzd2alloczd2tvectorz00zzcnst_allocz00(BgL_tvecz00_3598,
				BgL_locz00_3599);
		}

	}



/* cnst-alloc-struct */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2structz00zzcnst_allocz00(obj_t BgL_structz00_74,
		obj_t BgL_locz00_75)
	{
		{	/* Cnst/alloc.scm 1058 */
			{

				{	/* Cnst/alloc.scm 1110 */
					obj_t BgL_oldz00_2432;

					{	/* Cnst/alloc.scm 1110 */
						obj_t BgL__andtest_1258z00_2440;

						BgL__andtest_1258z00_2440 =
							BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00;
						if (CBOOL(BgL__andtest_1258z00_2440))
							{
								obj_t BgL_envz00_2442;

								BgL_envz00_2442 = BGl_za2structzd2envza2zd2zzcnst_allocz00;
							BgL_zc3z04anonymousza32260ze3z87_2443:
								if (NULLP(BgL_envz00_2442))
									{	/* Cnst/alloc.scm 1113 */
										BgL_oldz00_2432 = BFALSE;
									}
								else
									{	/* Cnst/alloc.scm 1115 */
										bool_t BgL_test2568z00_6023;

										{	/* Cnst/alloc.scm 1115 */
											obj_t BgL_arg2266z00_2449;

											{	/* Cnst/alloc.scm 69 */
												obj_t BgL_sz00_3428;

												BgL_sz00_3428 = CAR(((obj_t) BgL_envz00_2442));
												BgL_arg2266z00_2449 =
													STRUCT_REF(BgL_sz00_3428, (int) (((long) 0)));
											}
											BgL_test2568z00_6023 =
												BGl_cnstzd2equalzf3z21zzcnst_allocz00
												(BgL_arg2266z00_2449, BgL_structz00_74);
										}
										if (BgL_test2568z00_6023)
											{	/* Cnst/alloc.scm 1115 */
												BgL_oldz00_2432 = CAR(((obj_t) BgL_envz00_2442));
											}
										else
											{	/* Cnst/alloc.scm 1118 */
												obj_t BgL_arg2265z00_2448;

												BgL_arg2265z00_2448 = CDR(((obj_t) BgL_envz00_2442));
												{
													obj_t BgL_envz00_6033;

													BgL_envz00_6033 = BgL_arg2265z00_2448;
													BgL_envz00_2442 = BgL_envz00_6033;
													goto BgL_zc3z04anonymousza32260ze3z87_2443;
												}
											}
									}
							}
						else
							{	/* Cnst/alloc.scm 1110 */
								BgL_oldz00_2432 = BFALSE;
							}
					}
					if (CBOOL(BgL_oldz00_2432))
						{	/* Cnst/alloc.scm 1120 */
							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									CNST_TABLE_REF(((long) 14))))
								{	/* Cnst/alloc.scm 1122 */
									BgL_refz00_bglt BgL_new1260z00_2434;

									{	/* Cnst/alloc.scm 1123 */
										BgL_refz00_bglt BgL_new1259z00_2436;

										BgL_new1259z00_2436 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 1123 */
											long BgL_arg2257z00_2437;

											BgL_arg2257z00_2437 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1259z00_2436),
												BgL_arg2257z00_2437);
										}
										{	/* Cnst/alloc.scm 1123 */
											BgL_objectz00_bglt BgL_tmpz00_6043;

											BgL_tmpz00_6043 =
												((BgL_objectz00_bglt) BgL_new1259z00_2436);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6043, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1259z00_2436);
										BgL_new1260z00_2434 = BgL_new1259z00_2436;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1260z00_2434)))->
											BgL_locz00) = ((obj_t) BgL_locz00_75), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1260z00_2434)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) STRUCT_REF(((obj_t)
																	BgL_oldz00_2432),
																(int) (((long) 1))))))->BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1260z00_2434)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												STRUCT_REF(((obj_t) BgL_oldz00_2432),
													(int) (((long) 1))))), BUNSPEC);
									return ((BgL_nodez00_bglt) BgL_new1260z00_2434);
								}
							else
								{	/* Cnst/alloc.scm 1126 */
									obj_t BgL_arg2258z00_2438;

									BgL_arg2258z00_2438 =
										STRUCT_REF(((obj_t) BgL_oldz00_2432), (int) (((long) 1)));
									return
										((BgL_nodez00_bglt)
										BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00
										(BgL_arg2258z00_2438, BGl_za2structza2z00zztype_cachez00,
											BgL_locz00_75));
								}
						}
					else
						{	/* Cnst/alloc.scm 1120 */
							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									CNST_TABLE_REF(((long) 14))))
								{
									BgL_refz00_bglt BgL_auxz00_6071;

									{	/* Cnst/alloc.scm 1098 */
										BgL_globalz00_bglt BgL_varz00_2483;

										{	/* Cnst/alloc.scm 1098 */
											obj_t BgL_arg2299z00_2497;

											{	/* Cnst/alloc.scm 1098 */
												obj_t BgL_arg2301z00_2498;

												BgL_arg2301z00_2498 =
													BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 68)));
												BgL_arg2299z00_2497 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_arg2301z00_2498, CNST_TABLE_REF(((long) 68)));
											}
											BgL_varz00_2483 =
												BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
												(BgL_arg2299z00_2497,
												BGl_za2moduleza2z00zzmodule_modulez00,
												CNST_TABLE_REF(((long) 69)),
												CNST_TABLE_REF(((long) 3)));
										}
										if (CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
											{	/* Cnst/alloc.scm 1103 */
												obj_t BgL_arg2288z00_2484;

												{	/* Cnst/alloc.scm 69 */
													obj_t BgL_newz00_3417;

													BgL_newz00_3417 =
														create_struct(CNST_TABLE_REF(((long) 9)),
														(int) (((long) 2)));
													{	/* Cnst/alloc.scm 69 */
														obj_t BgL_auxz00_6086;
														int BgL_tmpz00_6084;

														BgL_auxz00_6086 = ((obj_t) BgL_varz00_2483);
														BgL_tmpz00_6084 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_3417, BgL_tmpz00_6084,
															BgL_auxz00_6086);
													}
													{	/* Cnst/alloc.scm 69 */
														int BgL_tmpz00_6089;

														BgL_tmpz00_6089 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_3417, BgL_tmpz00_6089,
															BgL_structz00_74);
													}
													BgL_arg2288z00_2484 = BgL_newz00_3417;
												}
												BGl_za2structzd2envza2zd2zzcnst_allocz00 =
													MAKE_YOUNG_PAIR(BgL_arg2288z00_2484,
													BGl_za2structzd2envza2zd2zzcnst_allocz00);
											}
										else
											{	/* Cnst/alloc.scm 1102 */
												BFALSE;
											}
										{	/* Cnst/alloc.scm 1104 */
											obj_t BgL_arg2289z00_2485;

											{	/* Cnst/alloc.scm 1104 */
												obj_t BgL_arg2290z00_2486;

												{	/* Cnst/alloc.scm 1104 */
													obj_t BgL_arg2291z00_2487;
													obj_t BgL_arg2292z00_2488;

													{	/* Cnst/alloc.scm 1104 */
														obj_t BgL_arg2293z00_2489;

														{	/* Cnst/alloc.scm 1104 */
															obj_t BgL_arg2294z00_2490;
															obj_t BgL_arg2295z00_2491;

															BgL_arg2294z00_2490 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_varz00_2483)))->
																BgL_idz00);
															BgL_arg2295z00_2491 =
																MAKE_YOUNG_PAIR((((BgL_globalz00_bglt)
																		COBJECT(BgL_varz00_2483))->BgL_modulez00),
																BNIL);
															BgL_arg2293z00_2489 =
																MAKE_YOUNG_PAIR(BgL_arg2294z00_2490,
																BgL_arg2295z00_2491);
														}
														BgL_arg2291z00_2487 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
															BgL_arg2293z00_2489);
													}
													{	/* Cnst/alloc.scm 1105 */
														BgL_nodez00_bglt BgL_arg2297z00_2493;

														{	/* Cnst/alloc.scm 1062 */
															BgL_nodez00_bglt BgL_arg2269z00_2453;

															{	/* Cnst/alloc.scm 1062 */
																BgL_letzd2varzd2_bglt BgL_arg2270z00_2454;
																BgL_typez00_bglt BgL_arg2271z00_2455;

																{	/* Cnst/alloc.scm 1062 */
																	BgL_localz00_bglt BgL_varz00_2456;
																	obj_t BgL_lz00_2457;

																	BgL_varz00_2456 =
																		BGl_makezd2localzd2svarz00zzast_localz00
																		(CNST_TABLE_REF(((long) 48)),
																		((BgL_typez00_bglt)
																			BGl_za2structza2z00zztype_cachez00));
																	BgL_lz00_2457 =
																		BGl_structzd2ze3listz31zz__structurez00
																		(BgL_structz00_74);
																	{	/* Cnst/alloc.scm 1064 */
																		BgL_letzd2varzd2_bglt BgL_new1247z00_2458;

																		{	/* Cnst/alloc.scm 1065 */
																			BgL_letzd2varzd2_bglt BgL_new1246z00_2477;

																			BgL_new1246z00_2477 =
																				((BgL_letzd2varzd2_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_letzd2varzd2_bgl))));
																			{	/* Cnst/alloc.scm 1065 */
																				long BgL_arg2283z00_2478;

																				BgL_arg2283z00_2478 =
																					BGL_CLASS_NUM
																					(BGl_letzd2varzd2zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1246z00_2477),
																					BgL_arg2283z00_2478);
																			}
																			{	/* Cnst/alloc.scm 1065 */
																				BgL_objectz00_bglt BgL_tmpz00_6108;

																				BgL_tmpz00_6108 =
																					((BgL_objectz00_bglt)
																					BgL_new1246z00_2477);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6108,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1246z00_2477);
																			BgL_new1247z00_2458 = BgL_new1246z00_2477;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1247z00_2458)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_75), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1247z00_2458)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt)
																				BGl_strictzd2nodezd2typez00zzast_nodez00
																				(((BgL_typez00_bglt)
																						BGl_za2structza2z00zztype_cachez00),
																					((BgL_typez00_bglt)
																						BGl_za2objza2z00zztype_cachez00))),
																			BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1247z00_2458)))->
																				BgL_sidezd2effectzd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1247z00_2458)))->
																				BgL_keyz00) =
																			((obj_t) BINT(((long) -1))), BUNSPEC);
																		{
																			obj_t BgL_auxz00_6124;

																			{	/* Cnst/alloc.scm 1070 */
																				obj_t BgL_arg2272z00_2459;

																				{	/* Cnst/alloc.scm 1070 */
																					BgL_appz00_bglt BgL_arg2274z00_2461;

																					{	/* Cnst/alloc.scm 1070 */
																						BgL_appz00_bglt BgL_new1249z00_2462;

																						{	/* Cnst/alloc.scm 1077 */
																							BgL_appz00_bglt
																								BgL_new1248z00_2472;
																							BgL_new1248z00_2472 =
																								((BgL_appz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_appz00_bgl))));
																							{	/* Cnst/alloc.scm 1077 */
																								long BgL_arg2281z00_2473;

																								{	/* Cnst/alloc.scm 1077 */
																									obj_t BgL_classz00_3393;

																									BgL_classz00_3393 =
																										BGl_appz00zzast_nodez00;
																									BgL_arg2281z00_2473 =
																										BGL_CLASS_NUM
																										(BgL_classz00_3393);
																								}
																								BGL_OBJECT_CLASS_NUM_SET(
																									((BgL_objectz00_bglt)
																										BgL_new1248z00_2472),
																									BgL_arg2281z00_2473);
																							}
																							{	/* Cnst/alloc.scm 1077 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_6129;
																								BgL_tmpz00_6129 =
																									((BgL_objectz00_bglt)
																									BgL_new1248z00_2472);
																								BGL_OBJECT_WIDENING_SET
																									(BgL_tmpz00_6129, BFALSE);
																							}
																							((BgL_objectz00_bglt)
																								BgL_new1248z00_2472);
																							BgL_new1249z00_2462 =
																								BgL_new1248z00_2472;
																						}
																						((((BgL_nodez00_bglt) COBJECT(
																										((BgL_nodez00_bglt)
																											BgL_new1249z00_2462)))->
																								BgL_locz00) =
																							((obj_t) BgL_locz00_75), BUNSPEC);
																						((((BgL_nodez00_bglt)
																									COBJECT(((BgL_nodez00_bglt)
																											BgL_new1249z00_2462)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt) (
																									(BgL_typez00_bglt)
																									BGl_za2structza2z00zztype_cachez00)),
																							BUNSPEC);
																						((((BgL_nodezf2effectzf2_bglt)
																									COBJECT((
																											(BgL_nodezf2effectzf2_bglt)
																											BgL_new1249z00_2462)))->
																								BgL_sidezd2effectzd2) =
																							((obj_t) BUNSPEC), BUNSPEC);
																						((((BgL_nodezf2effectzf2_bglt)
																									COBJECT((
																											(BgL_nodezf2effectzf2_bglt)
																											BgL_new1249z00_2462)))->
																								BgL_keyz00) =
																							((obj_t) BINT(((long) -1))),
																							BUNSPEC);
																						{
																							BgL_varz00_bglt BgL_auxz00_6143;

																							{	/* Cnst/alloc.scm 1073 */
																								BgL_refz00_bglt
																									BgL_new1251z00_2463;
																								{	/* Cnst/alloc.scm 1076 */
																									BgL_refz00_bglt
																										BgL_new1250z00_2464;
																									BgL_new1250z00_2464 =
																										((BgL_refz00_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_refz00_bgl))));
																									{	/* Cnst/alloc.scm 1076 */
																										long BgL_arg2275z00_2465;

																										{	/* Cnst/alloc.scm 1076 */
																											obj_t BgL_classz00_3397;

																											BgL_classz00_3397 =
																												BGl_refz00zzast_nodez00;
																											BgL_arg2275z00_2465 =
																												BGL_CLASS_NUM
																												(BgL_classz00_3397);
																										}
																										BGL_OBJECT_CLASS_NUM_SET(
																											((BgL_objectz00_bglt)
																												BgL_new1250z00_2464),
																											BgL_arg2275z00_2465);
																									}
																									{	/* Cnst/alloc.scm 1076 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_6148;
																										BgL_tmpz00_6148 =
																											((BgL_objectz00_bglt)
																											BgL_new1250z00_2464);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_6148, BFALSE);
																									}
																									((BgL_objectz00_bglt)
																										BgL_new1250z00_2464);
																									BgL_new1251z00_2463 =
																										BgL_new1250z00_2464;
																								}
																								((((BgL_nodez00_bglt) COBJECT(
																												((BgL_nodez00_bglt)
																													BgL_new1251z00_2463)))->
																										BgL_locz00) =
																									((obj_t) BgL_locz00_75),
																									BUNSPEC);
																								{
																									BgL_typez00_bglt
																										BgL_auxz00_6154;
																									{	/* Cnst/alloc.scm 1075 */
																										BgL_variablez00_bglt
																											BgL_oz00_3401;
																										BgL_oz00_3401 =
																											((BgL_variablez00_bglt)
																											BGl_za2listzd2ze3structza2z31zzcnst_cachez00);
																										BgL_auxz00_6154 =
																											(((BgL_variablez00_bglt)
																												COBJECT
																												(BgL_oz00_3401))->
																											BgL_typez00);
																									}
																									((((BgL_nodez00_bglt) COBJECT(
																													((BgL_nodez00_bglt)
																														BgL_new1251z00_2463)))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_auxz00_6154),
																										BUNSPEC);
																								}
																								((((BgL_varz00_bglt) COBJECT(
																												((BgL_varz00_bglt)
																													BgL_new1251z00_2463)))->
																										BgL_variablez00) =
																									((BgL_variablez00_bglt) (
																											(BgL_variablez00_bglt)
																											BGl_za2listzd2ze3structza2z31zzcnst_cachez00)),
																									BUNSPEC);
																								BgL_auxz00_6143 =
																									((BgL_varz00_bglt)
																									BgL_new1251z00_2463);
																							}
																							((((BgL_appz00_bglt)
																										COBJECT
																										(BgL_new1249z00_2462))->
																									BgL_funz00) =
																								((BgL_varz00_bglt)
																									BgL_auxz00_6143), BUNSPEC);
																						}
																						{
																							obj_t BgL_auxz00_6164;

																							{	/* Cnst/alloc.scm 1078 */
																								BgL_kwotez00_bglt
																									BgL_arg2276z00_2466;
																								{	/* Cnst/alloc.scm 1078 */
																									BgL_kwotez00_bglt
																										BgL_new1253z00_2468;
																									{	/* Cnst/alloc.scm 1082 */
																										BgL_kwotez00_bglt
																											BgL_new1252z00_2470;
																										BgL_new1252z00_2470 =
																											((BgL_kwotez00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_kwotez00_bgl))));
																										{	/* Cnst/alloc.scm 1082 */
																											long BgL_arg2280z00_2471;

																											{	/* Cnst/alloc.scm 1082 */
																												obj_t BgL_classz00_3402;

																												BgL_classz00_3402 =
																													BGl_kwotez00zzast_nodez00;
																												BgL_arg2280z00_2471 =
																													BGL_CLASS_NUM
																													(BgL_classz00_3402);
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1252z00_2470),
																												BgL_arg2280z00_2471);
																										}
																										{	/* Cnst/alloc.scm 1082 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_6169;
																											BgL_tmpz00_6169 =
																												((BgL_objectz00_bglt)
																												BgL_new1252z00_2470);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_tmpz00_6169,
																												BFALSE);
																										}
																										((BgL_objectz00_bglt)
																											BgL_new1252z00_2470);
																										BgL_new1253z00_2468 =
																											BgL_new1252z00_2470;
																									}
																									((((BgL_nodez00_bglt) COBJECT(
																													((BgL_nodez00_bglt)
																														BgL_new1253z00_2468)))->
																											BgL_locz00) =
																										((obj_t) BgL_locz00_75),
																										BUNSPEC);
																									{
																										BgL_typez00_bglt
																											BgL_auxz00_6175;
																										{	/* Cnst/alloc.scm 1081 */
																											BgL_typez00_bglt
																												BgL_arg2278z00_2469;
																											BgL_arg2278z00_2469 =
																												BGl_getzd2typezd2kwotez00zztype_typeofz00
																												(BgL_lz00_2457);
																											BgL_auxz00_6175 =
																												BGl_strictzd2nodezd2typez00zzast_nodez00
																												(BgL_arg2278z00_2469,
																												((BgL_typez00_bglt)
																													BGl_za2objza2z00zztype_cachez00));
																										}
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1253z00_2468)))->
																												BgL_typez00) =
																											((BgL_typez00_bglt)
																												BgL_auxz00_6175),
																											BUNSPEC);
																									}
																									((((BgL_kwotez00_bglt)
																												COBJECT
																												(BgL_new1253z00_2468))->
																											BgL_valuez00) =
																										((obj_t) BgL_lz00_2457),
																										BUNSPEC);
																									BgL_arg2276z00_2466 =
																										BgL_new1253z00_2468;
																								}
																								{	/* Cnst/alloc.scm 1077 */
																									obj_t BgL_list2277z00_2467;

																									BgL_list2277z00_2467 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											BgL_arg2276z00_2466),
																										BNIL);
																									BgL_auxz00_6164 =
																										BgL_list2277z00_2467;
																							}}
																							((((BgL_appz00_bglt)
																										COBJECT
																										(BgL_new1249z00_2462))->
																									BgL_argsz00) =
																								((obj_t) BgL_auxz00_6164),
																								BUNSPEC);
																						}
																						((((BgL_appz00_bglt)
																									COBJECT
																									(BgL_new1249z00_2462))->
																								BgL_stackablez00) =
																							((obj_t) BFALSE), BUNSPEC);
																						BgL_arg2274z00_2461 =
																							BgL_new1249z00_2462;
																					}
																					BgL_arg2272z00_2459 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_varz00_2456),
																						((obj_t) BgL_arg2274z00_2461));
																				}
																				{	/* Cnst/alloc.scm 1068 */
																					obj_t BgL_list2273z00_2460;

																					BgL_list2273z00_2460 =
																						MAKE_YOUNG_PAIR(BgL_arg2272z00_2459,
																						BNIL);
																					BgL_auxz00_6124 =
																						BgL_list2273z00_2460;
																			}}
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1247z00_2458))->
																					BgL_bindingsz00) =
																				((obj_t) BgL_auxz00_6124), BUNSPEC);
																		}
																		{
																			BgL_nodez00_bglt BgL_auxz00_6191;

																			{	/* Cnst/alloc.scm 1083 */
																				BgL_refz00_bglt BgL_new1255z00_2474;

																				{	/* Cnst/alloc.scm 1084 */
																					BgL_refz00_bglt BgL_new1254z00_2475;

																					BgL_new1254z00_2475 =
																						((BgL_refz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_refz00_bgl))));
																					{	/* Cnst/alloc.scm 1084 */
																						long BgL_arg2282z00_2476;

																						{	/* Cnst/alloc.scm 1084 */
																							obj_t BgL_classz00_3408;

																							BgL_classz00_3408 =
																								BGl_refz00zzast_nodez00;
																							BgL_arg2282z00_2476 =
																								BGL_CLASS_NUM
																								(BgL_classz00_3408);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1254z00_2475),
																							BgL_arg2282z00_2476);
																					}
																					{	/* Cnst/alloc.scm 1084 */
																						BgL_objectz00_bglt BgL_tmpz00_6196;

																						BgL_tmpz00_6196 =
																							((BgL_objectz00_bglt)
																							BgL_new1254z00_2475);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_6196, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1254z00_2475);
																					BgL_new1255z00_2474 =
																						BgL_new1254z00_2475;
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1255z00_2474)))->
																						BgL_locz00) =
																					((obj_t) BgL_locz00_75), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_new1255z00_2474)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) ((
																								(BgL_variablez00_bglt)
																								COBJECT(((BgL_variablez00_bglt)
																										BgL_varz00_2456)))->
																							BgL_typez00)), BUNSPEC);
																				((((BgL_varz00_bglt)
																							COBJECT(((BgL_varz00_bglt)
																									BgL_new1255z00_2474)))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt) (
																							(BgL_variablez00_bglt)
																							BgL_varz00_2456)), BUNSPEC);
																				BgL_auxz00_6191 =
																					((BgL_nodez00_bglt)
																					BgL_new1255z00_2474);
																			}
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1247z00_2458))->
																					BgL_bodyz00) =
																				((BgL_nodez00_bglt) BgL_auxz00_6191),
																				BUNSPEC);
																		}
																		((((BgL_letzd2varzd2_bglt)
																					COBJECT(BgL_new1247z00_2458))->
																				BgL_removablezf3zf3) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																		BgL_arg2270z00_2454 = BgL_new1247z00_2458;
																}}
																BgL_arg2271z00_2455 =
																	BGl_strictzd2nodezd2typez00zzast_nodez00(
																	((BgL_typez00_bglt)
																		BGl_za2structza2z00zztype_cachez00),
																	((BgL_typez00_bglt)
																		BGl_za2objza2z00zztype_cachez00));
																BgL_arg2269z00_2453 =
																	BGl_coercez12z12zzcoerce_coercez00((
																		(BgL_nodez00_bglt) BgL_arg2270z00_2454),
																	BUNSPEC, BgL_arg2271z00_2455, ((bool_t) 0));
															}
															BgL_arg2297z00_2493 =
																BGl_cnstz12z12zzcnst_nodez00
																(BgL_arg2269z00_2453);
														}
														BgL_arg2292z00_2488 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg2297z00_2493), BNIL);
													}
													BgL_arg2290z00_2486 =
														MAKE_YOUNG_PAIR(BgL_arg2291z00_2487,
														BgL_arg2292z00_2488);
												}
												BgL_arg2289z00_2485 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 13)),
													BgL_arg2290z00_2486);
											}
											BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 =
												MAKE_YOUNG_PAIR(BgL_arg2289z00_2485,
												BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
										}
										{	/* Cnst/alloc.scm 1106 */
											BgL_refz00_bglt BgL_new1257z00_2494;

											{	/* Cnst/alloc.scm 1107 */
												BgL_refz00_bglt BgL_new1256z00_2495;

												BgL_new1256z00_2495 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Cnst/alloc.scm 1107 */
													long BgL_arg2298z00_2496;

													BgL_arg2298z00_2496 =
														BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1256z00_2495),
														BgL_arg2298z00_2496);
												}
												{	/* Cnst/alloc.scm 1107 */
													BgL_objectz00_bglt BgL_tmpz00_6228;

													BgL_tmpz00_6228 =
														((BgL_objectz00_bglt) BgL_new1256z00_2495);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6228, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1256z00_2495);
												BgL_new1257z00_2494 = BgL_new1256z00_2495;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1257z00_2494)))->
													BgL_locz00) = ((obj_t) BgL_locz00_75), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1257z00_2494)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_varz00_2483)))->BgL_typez00)), BUNSPEC);
											((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_new1257z00_2494)))->BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_varz00_2483)), BUNSPEC);
											BgL_auxz00_6071 = BgL_new1257z00_2494;
									}}
									return ((BgL_nodez00_bglt) BgL_auxz00_6071);
								}
							else
								{
									BgL_appz00_bglt BgL_auxz00_6242;

									{	/* Cnst/alloc.scm 1091 */
										long BgL_offsetz00_2480;

										BgL_offsetz00_2480 =
											BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
										BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 =
											(((long) 1) + BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
										BGl_za2globalzd2setza2zd2zzcnst_allocz00 =
											MAKE_YOUNG_PAIR(BgL_structz00_74,
											BGl_za2globalzd2setza2zd2zzcnst_allocz00);
										if (CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
											{	/* Cnst/alloc.scm 1095 */
												obj_t BgL_arg2286z00_2481;

												{	/* Cnst/alloc.scm 69 */
													obj_t BgL_newz00_3414;

													BgL_newz00_3414 =
														create_struct(CNST_TABLE_REF(((long) 9)),
														(int) (((long) 2)));
													{	/* Cnst/alloc.scm 69 */
														obj_t BgL_auxz00_6252;
														int BgL_tmpz00_6250;

														BgL_auxz00_6252 = BINT(BgL_offsetz00_2480);
														BgL_tmpz00_6250 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_3414, BgL_tmpz00_6250,
															BgL_auxz00_6252);
													}
													{	/* Cnst/alloc.scm 69 */
														int BgL_tmpz00_6255;

														BgL_tmpz00_6255 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_3414, BgL_tmpz00_6255,
															BgL_structz00_74);
													}
													BgL_arg2286z00_2481 = BgL_newz00_3414;
												}
												BGl_za2structzd2envza2zd2zzcnst_allocz00 =
													MAKE_YOUNG_PAIR(BgL_arg2286z00_2481,
													BGl_za2structzd2envza2zd2zzcnst_allocz00);
											}
										else
											{	/* Cnst/alloc.scm 1094 */
												BFALSE;
											}
										BgL_auxz00_6242 =
											BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BINT
											(BgL_offsetz00_2480), BGl_za2structza2z00zztype_cachez00,
											BgL_locz00_75);
									}
									return ((BgL_nodez00_bglt) BgL_auxz00_6242);
								}
						}
				}
			}
		}

	}



/* &cnst-alloc-struct */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2structz62zzcnst_allocz00(obj_t
		BgL_envz00_3600, obj_t BgL_structz00_3601, obj_t BgL_locz00_3602)
	{
		{	/* Cnst/alloc.scm 1058 */
			return
				BGl_cnstzd2alloczd2structz00zzcnst_allocz00(BgL_structz00_3601,
				BgL_locz00_3602);
		}

	}



/* cnst-equal? */
	bool_t BGl_cnstzd2equalzf3z21zzcnst_allocz00(obj_t BgL_obj1z00_76,
		obj_t BgL_obj2z00_77)
	{
		{	/* Cnst/alloc.scm 1135 */
		BGl_cnstzd2equalzf3z21zzcnst_allocz00:
			if ((BgL_obj1z00_76 == BgL_obj2z00_77))
				{	/* Cnst/alloc.scm 1137 */
					return ((bool_t) 1);
				}
			else
				{	/* Cnst/alloc.scm 1137 */
					if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_obj1z00_76))
						{	/* Cnst/alloc.scm 1139 */
							return ((bool_t) 0);
						}
					else
						{	/* Cnst/alloc.scm 1139 */
							if (STRINGP(BgL_obj1z00_76))
								{	/* Cnst/alloc.scm 1141 */
									if (STRINGP(BgL_obj2z00_77))
										{	/* Cnst/alloc.scm 1142 */
											long BgL_l1z00_3441;

											BgL_l1z00_3441 = STRING_LENGTH(BgL_obj1z00_76);
											if ((BgL_l1z00_3441 == STRING_LENGTH(BgL_obj2z00_77)))
												{	/* Cnst/alloc.scm 1142 */
													int BgL_arg1289z00_3444;

													{	/* Cnst/alloc.scm 1142 */
														char *BgL_auxz00_6277;
														char *BgL_tmpz00_6275;

														BgL_auxz00_6277 = BSTRING_TO_STRING(BgL_obj2z00_77);
														BgL_tmpz00_6275 = BSTRING_TO_STRING(BgL_obj1z00_76);
														BgL_arg1289z00_3444 =
															memcmp(BgL_tmpz00_6275, BgL_auxz00_6277,
															BgL_l1z00_3441);
													}
													return ((long) (BgL_arg1289z00_3444) == ((long) 0));
												}
											else
												{	/* Cnst/alloc.scm 1142 */
													return ((bool_t) 0);
												}
										}
									else
										{	/* Cnst/alloc.scm 1142 */
											return ((bool_t) 0);
										}
								}
							else
								{	/* Cnst/alloc.scm 1141 */
									if (SYMBOLP(BgL_obj1z00_76))
										{	/* Cnst/alloc.scm 1143 */
											return ((bool_t) 0);
										}
									else
										{	/* Cnst/alloc.scm 1143 */
											if (PAIRP(BgL_obj1z00_76))
												{	/* Cnst/alloc.scm 1145 */
													if (PAIRP(BgL_obj2z00_77))
														{	/* Cnst/alloc.scm 1146 */
															if (BGl_cnstzd2equalzf3z21zzcnst_allocz00(CAR
																	(BgL_obj1z00_76), CAR(BgL_obj2z00_77)))
																{
																	obj_t BgL_obj2z00_6294;
																	obj_t BgL_obj1z00_6292;

																	BgL_obj1z00_6292 = CDR(BgL_obj1z00_76);
																	BgL_obj2z00_6294 = CDR(BgL_obj2z00_77);
																	BgL_obj2z00_77 = BgL_obj2z00_6294;
																	BgL_obj1z00_76 = BgL_obj1z00_6292;
																	goto BGl_cnstzd2equalzf3z21zzcnst_allocz00;
																}
															else
																{	/* Cnst/alloc.scm 1147 */
																	return ((bool_t) 0);
																}
														}
													else
														{	/* Cnst/alloc.scm 1146 */
															return ((bool_t) 0);
														}
												}
											else
												{	/* Cnst/alloc.scm 1145 */
													if (VECTORP(BgL_obj1z00_76))
														{	/* Cnst/alloc.scm 1149 */
															if (VECTORP(BgL_obj2z00_77))
																{	/* Cnst/alloc.scm 1151 */
																	if (
																		(VECTOR_LENGTH(BgL_obj2z00_77) ==
																			VECTOR_LENGTH(BgL_obj1z00_76)))
																		{	/* Cnst/alloc.scm 1153 */
																			bool_t BgL_test2586z00_6304;

																			{	/* Cnst/alloc.scm 1153 */
																				int BgL_arg2317z00_2528;
																				int BgL_arg2319z00_2529;

																				BgL_arg2317z00_2528 =
																					VECTOR_TAG(BgL_obj1z00_76);
																				BgL_arg2319z00_2529 =
																					VECTOR_TAG(BgL_obj2z00_77);
																				BgL_test2586z00_6304 =
																					(
																					(long) (BgL_arg2317z00_2528) ==
																					(long) (BgL_arg2319z00_2529));
																			}
																			if (BgL_test2586z00_6304)
																				{
																					long BgL_iz00_2520;

																					BgL_iz00_2520 = ((long) 0);
																				BgL_zc3z04anonymousza32312ze3z87_2521:
																					{	/* Cnst/alloc.scm 1155 */
																						bool_t BgL__ortest_1267z00_2522;

																						BgL__ortest_1267z00_2522 =
																							(BgL_iz00_2520 ==
																							VECTOR_LENGTH(BgL_obj1z00_76));
																						if (BgL__ortest_1267z00_2522)
																							{	/* Cnst/alloc.scm 1155 */
																								return BgL__ortest_1267z00_2522;
																							}
																						else
																							{	/* Cnst/alloc.scm 1156 */
																								bool_t BgL_test2588z00_6313;

																								{	/* Cnst/alloc.scm 1156 */
																									obj_t BgL_arg2315z00_2525;
																									obj_t BgL_arg2316z00_2526;

																									BgL_arg2315z00_2525 =
																										VECTOR_REF(
																										((obj_t) BgL_obj1z00_76),
																										BgL_iz00_2520);
																									BgL_arg2316z00_2526 =
																										VECTOR_REF(((obj_t)
																											BgL_obj2z00_77),
																										BgL_iz00_2520);
																									BgL_test2588z00_6313 =
																										BGl_cnstzd2equalzf3z21zzcnst_allocz00
																										(BgL_arg2315z00_2525,
																										BgL_arg2316z00_2526);
																								}
																								if (BgL_test2588z00_6313)
																									{
																										long BgL_iz00_6319;

																										BgL_iz00_6319 =
																											(BgL_iz00_2520 +
																											((long) 1));
																										BgL_iz00_2520 =
																											BgL_iz00_6319;
																										goto
																											BgL_zc3z04anonymousza32312ze3z87_2521;
																									}
																								else
																									{	/* Cnst/alloc.scm 1156 */
																										return ((bool_t) 0);
																									}
																							}
																					}
																				}
																			else
																				{	/* Cnst/alloc.scm 1153 */
																					return ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Cnst/alloc.scm 1152 */
																			return ((bool_t) 0);
																		}
																}
															else
																{	/* Cnst/alloc.scm 1151 */
																	return ((bool_t) 0);
																}
														}
													else
														{	/* Cnst/alloc.scm 1149 */
															if (BGL_HVECTORP(BgL_obj1z00_76))
																{	/* Cnst/alloc.scm 1159 */
																	return
																		BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																		(BgL_obj1z00_76, BgL_obj2z00_77);
																}
															else
																{	/* Cnst/alloc.scm 1159 */
																	if (STRUCTP(BgL_obj1z00_76))
																		{	/* Cnst/alloc.scm 1162 */
																			int BgL_lobj1z00_2533;

																			BgL_lobj1z00_2533 =
																				STRUCT_LENGTH(BgL_obj1z00_76);
																			if (STRUCTP(BgL_obj2z00_77))
																				{	/* Cnst/alloc.scm 1163 */
																					if (
																						((long) (STRUCT_LENGTH
																								(BgL_obj2z00_77)) ==
																							(long) (BgL_lobj1z00_2533)))
																						{
																							long BgL_iz00_2537;

																							BgL_iz00_2537 = ((long) 0);
																						BgL_zc3z04anonymousza32323ze3z87_2538:
																							{	/* Cnst/alloc.scm 1166 */
																								bool_t BgL__ortest_1271z00_2539;

																								BgL__ortest_1271z00_2539 =
																									(BgL_iz00_2537 ==
																									(long) (BgL_lobj1z00_2533));
																								if (BgL__ortest_1271z00_2539)
																									{	/* Cnst/alloc.scm 1166 */
																										return
																											BgL__ortest_1271z00_2539;
																									}
																								else
																									{	/* Cnst/alloc.scm 1167 */
																										bool_t BgL_test2594z00_6337;

																										{	/* Cnst/alloc.scm 1167 */
																											obj_t BgL_arg2325z00_2542;
																											obj_t BgL_arg2326z00_2543;

																											BgL_arg2325z00_2542 =
																												STRUCT_REF(
																												((obj_t)
																													BgL_obj1z00_76),
																												(int) (BgL_iz00_2537));
																											BgL_arg2326z00_2543 =
																												STRUCT_REF(((obj_t)
																													BgL_obj2z00_77),
																												(int) (BgL_iz00_2537));
																											BgL_test2594z00_6337 =
																												BGl_cnstzd2equalzf3z21zzcnst_allocz00
																												(BgL_arg2325z00_2542,
																												BgL_arg2326z00_2543);
																										}
																										if (BgL_test2594z00_6337)
																											{
																												long BgL_iz00_6345;

																												BgL_iz00_6345 =
																													(BgL_iz00_2537 +
																													((long) 1));
																												BgL_iz00_2537 =
																													BgL_iz00_6345;
																												goto
																													BgL_zc3z04anonymousza32323ze3z87_2538;
																											}
																										else
																											{	/* Cnst/alloc.scm 1167 */
																												return ((bool_t) 0);
																											}
																									}
																							}
																						}
																					else
																						{	/* Cnst/alloc.scm 1164 */
																							return ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cnst/alloc.scm 1163 */
																					return ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Cnst/alloc.scm 1161 */
																			if (CELLP(BgL_obj1z00_76))
																				{	/* Cnst/alloc.scm 1169 */
																					if (CELLP(BgL_obj2z00_77))
																						{
																							obj_t BgL_obj2z00_6353;
																							obj_t BgL_obj1z00_6351;

																							BgL_obj1z00_6351 =
																								CELL_REF(BgL_obj1z00_76);
																							BgL_obj2z00_6353 =
																								CELL_REF(BgL_obj2z00_77);
																							BgL_obj2z00_77 = BgL_obj2z00_6353;
																							BgL_obj1z00_76 = BgL_obj1z00_6351;
																							goto
																								BGl_cnstzd2equalzf3z21zzcnst_allocz00;
																						}
																					else
																						{	/* Cnst/alloc.scm 1170 */
																							return ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cnst/alloc.scm 1169 */
																					if (UCS2_STRINGP(BgL_obj1z00_76))
																						{	/* Cnst/alloc.scm 1171 */
																							if (UCS2_STRINGP(BgL_obj2z00_77))
																								{	/* Cnst/alloc.scm 1172 */
																									return
																										ucs2_strcmp(BgL_obj1z00_76,
																										BgL_obj2z00_77);
																								}
																							else
																								{	/* Cnst/alloc.scm 1172 */
																									return ((bool_t) 0);
																								}
																						}
																					else
																						{	/* Cnst/alloc.scm 1171 */
																							if (UCS2P(BgL_obj1z00_76))
																								{	/* Cnst/alloc.scm 1173 */
																									if (UCS2P(BgL_obj2z00_77))
																										{	/* Cnst/alloc.scm 1174 */
																											return
																												(CUCS2(BgL_obj1z00_76)
																												==
																												CUCS2(BgL_obj2z00_77));
																										}
																									else
																										{	/* Cnst/alloc.scm 1174 */
																											return ((bool_t) 0);
																										}
																								}
																							else
																								{	/* Cnst/alloc.scm 1173 */
																									if (BGL_DATEP(BgL_obj1z00_76))
																										{	/* Cnst/alloc.scm 1175 */
																											return
																												BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																												(BgL_obj1z00_76,
																												BgL_obj2z00_77);
																										}
																									else
																										{	/* Cnst/alloc.scm 1175 */
																											return ((bool_t) 0);
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcnst_allocz00()
	{
		{	/* Cnst/alloc.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcnst_allocz00()
	{
		{	/* Cnst/alloc.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcnst_allocz00()
	{
		{	/* Cnst/alloc.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcnst_allocz00()
	{
		{	/* Cnst/alloc.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zztvector_cnstz00(((long) 263487728),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzcnst_cachez00(((long) 398302),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long) 89013043),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
			return
				BGl_modulezd2initializa7ationz75zzmodule_libraryz00(((long) 292140514),
				BSTRING_TO_STRING(BGl_string2434z00zzcnst_allocz00));
		}

	}

#ifdef __cplusplus
}
#endif
