/*===========================================================================*/
/*   (Coerce/coerce.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/coerce.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_coercez00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2sync1295za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2setzd2exzd2it1329za2zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_pvariablezd2protozd2zzcoerce_pprotoz00(long,
		BgL_variablez00_bglt);
	static BgL_nodez00_bglt BGl_z62coercez12z70zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_newz00zzast_nodez00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2vref1309za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcoerce_coercez00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static BgL_castz00_bglt BGl_castzd2nodezd2zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzcoerce_coercez00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	extern obj_t BGl_getfieldz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt, bool_t);
	extern obj_t BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2letzd2var1327z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2widening1299za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcoerce_coercez00();
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2sequence1293za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2valloc1307za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	extern obj_t BGl_pfunctionzd2protozd2zzcoerce_pprotoz00(long,
		BgL_variablez00_bglt);
	static BgL_nodez00_bglt BGl_z62coercez12zd2new1305za2zzcoerce_coercez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2boxzd2ref1336z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2exitza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_coercez00();
	static obj_t BGl_z62coercez121282z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_typezd2disjointzf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2kwote1287za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62coercezd2functionz12za2zzcoerce_coercez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2getfield1301za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2mutexza2z00zztype_cachez00;
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2closure1291za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2atom1285za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt, obj_t,
		BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2setfield1303za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2switch1323za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2predicatezd2ofz00zztype_miscz00(BgL_appz00_bglt);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_wideningz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2conditional1319za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2vsetz121311zb0zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern bool_t BGl_coercerzd2existszf3z21zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcoerce_coercez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00();
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2vlength1313za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_coercez00();
	static obj_t BGl_gczd2rootszd2initz00zzcoerce_coercez00();
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62coercez12zd2var1289za2zzcoerce_coercez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2cast1315za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2extern1297za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2boxzd2setz121338z62zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2makezd2box1334z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2evalza2zd2zzengine_paramz00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2setq1317za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2jumpzd2exzd2it1331za2zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t,
		BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2letzd2fun1325z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2fail1321za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2112z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2a2150za7,
		BGl_z62coercez12zd2atom1285za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2114z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2k2151za7,
		BGl_z62coercez12zd2kwote1287za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2115z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2152za7,
		BGl_z62coercez12zd2var1289za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2116z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2c2153za7,
		BGl_z62coercez12zd2closure1291za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2117z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2154za7,
		BGl_z62coercez12zd2sequence1293za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2118z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2155za7,
		BGl_z62coercez12zd2sync1295za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2119z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2e2156za7,
		BGl_z62coercez12zd2extern1297za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2120z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2w2157za7,
		BGl_z62coercez12zd2widening1299za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2121z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2g2158za7,
		BGl_z62coercez12zd2getfield1301za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2122z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2159za7,
		BGl_z62coercez12zd2setfield1303za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2123z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2n2160za7,
		BGl_z62coercez12zd2new1305za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2124z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2161za7,
		BGl_z62coercez12zd2valloc1307za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2125z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2162za7,
		BGl_z62coercez12zd2vref1309za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2126z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2163za7,
		BGl_z62coercez12zd2vsetz121311zb0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2127z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2164za7,
		BGl_z62coercez12zd2vlength1313za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2128z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2c2165za7,
		BGl_z62coercez12zd2cast1315za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2129z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2166za7,
		BGl_z62coercez12zd2setq1317za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2130z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2c2167za7,
		BGl_z62coercez12zd2conditional1319za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2131z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2f2168za7,
		BGl_z62coercez12zd2fail1321za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2132z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2169za7,
		BGl_z62coercez12zd2switch1323za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2133z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2l2170za7,
		BGl_z62coercez12zd2letzd2fun1325z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2140z00zzcoerce_coercez00,
		BgL_bgl_string2140za700za7za7c2171za7, " test-node-type=", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2134z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2l2172za7,
		BGl_z62coercez12zd2letzd2var1327z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2141z00zzcoerce_coercez00,
		BgL_bgl_string2141za700za7za7c2173za7, "switch test-type=", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2135z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2174za7,
		BGl_z62coercez12zd2setzd2exzd2it1329za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2142z00zzcoerce_coercez00,
		BgL_bgl_string2142za700za7za7c2175za7, ":", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2136z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2j2176za7,
		BGl_z62coercez12zd2jumpzd2exzd2it1331za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2143z00zzcoerce_coercez00,
		BgL_bgl_string2143za700za7za7c2177za7, ",", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2137z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2m2178za7,
		BGl_z62coercez12zd2makezd2box1334z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2144z00zzcoerce_coercez00,
		BgL_bgl_string2144za700za7za7c2179za7, "Coerce/coerce.scm", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2138z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2b2180za7,
		BGl_z62coercez12zd2boxzd2ref1336z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2145z00zzcoerce_coercez00,
		BgL_bgl_string2145za700za7za7c2181za7, "Unexepected `closure' node", 26);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2139z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2b2182za7,
		BGl_z62coercez12zd2boxzd2setz121338z62zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2146z00zzcoerce_coercez00,
		BgL_bgl_string2146za700za7za7c2183za7, "coerce_coerce", 13);
	      DEFINE_STRING(BGl_string2147z00zzcoerce_coercez00,
		BgL_bgl_string2147za700za7za7c2184za7, "false true coerce!1282 ", 23);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_coercez12zd2envzc0zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za770za72185z00,
		BGl_z62coercez12z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_coercezd2functionz12zd2envz12zzcoerce_coercez00,
		BgL_bgl_za762coerceza7d2func2186z00,
		BGl_z62coercezd2functionz12za2zzcoerce_coercez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2110z00zzcoerce_coercez00,
		BgL_bgl_string2110za700za7za7c2187za7, "coerce!1282", 11);
	      DEFINE_STRING(BGl_string2111z00zzcoerce_coercez00,
		BgL_bgl_string2111za700za7za7c2188za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2113z00zzcoerce_coercez00,
		BgL_bgl_string2113za700za7za7c2189za7, "coerce!", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2109z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza71212822190z00,
		BGl_z62coercez121282z70zzcoerce_coercez00, 0L, BUNSPEC, 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcoerce_coercez00));
		     ADD_ROOT((void
				*) (&BGl_thezd2coercedzd2functionz00zzcoerce_coercez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long
		BgL_checksumz00_4096, char *BgL_fromz00_4097)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_coercez00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_coercez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcoerce_coercez00();
					BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00();
					BGl_cnstzd2initzd2zzcoerce_coercez00();
					BGl_importedzd2moduleszd2initz00zzcoerce_coercez00();
					BGl_genericzd2initzd2zzcoerce_coercez00();
					BGl_methodzd2initzd2zzcoerce_coercez00();
					return BGl_toplevelzd2initzd2zzcoerce_coercez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00()
	{
		{	/* Coerce/coerce.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_coerce");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_coercez00()
	{
		{	/* Coerce/coerce.scm 15 */
			{	/* Coerce/coerce.scm 15 */
				obj_t BgL_cportz00_3634;

				{	/* Coerce/coerce.scm 15 */
					obj_t BgL_stringz00_3642;

					BgL_stringz00_3642 = BGl_string2147z00zzcoerce_coercez00;
					{	/* Coerce/coerce.scm 15 */
						obj_t BgL_startz00_3643;

						BgL_startz00_3643 = BINT(((long) 0));
						{	/* Coerce/coerce.scm 15 */
							obj_t BgL_endz00_3644;

							BgL_endz00_3644 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3642)));
							{	/* Coerce/coerce.scm 15 */

								BgL_cportz00_3634 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3642, BgL_startz00_3643, BgL_endz00_3644);
				}}}}
				{
					long BgL_iz00_3635;

					BgL_iz00_3635 = ((long) 2);
				BgL_loopz00_3636:
					if ((BgL_iz00_3635 == ((long) -1)))
						{	/* Coerce/coerce.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/coerce.scm 15 */
							{	/* Coerce/coerce.scm 15 */
								obj_t BgL_arg2149z00_3638;

								{	/* Coerce/coerce.scm 15 */

									{	/* Coerce/coerce.scm 15 */
										obj_t BgL_locationz00_3640;

										BgL_locationz00_3640 = BBOOL(((bool_t) 0));
										{	/* Coerce/coerce.scm 15 */

											BgL_arg2149z00_3638 =
												BGl_readz00zz__readerz00(BgL_cportz00_3634,
												BgL_locationz00_3640);
										}
									}
								}
								{	/* Coerce/coerce.scm 15 */
									int BgL_tmpz00_4128;

									BgL_tmpz00_4128 = (int) (BgL_iz00_3635);
									CNST_TABLE_SET(BgL_tmpz00_4128, BgL_arg2149z00_3638);
							}}
							{	/* Coerce/coerce.scm 15 */
								int BgL_auxz00_3641;

								BgL_auxz00_3641 = (int) ((BgL_iz00_3635 - ((long) 1)));
								{
									long BgL_iz00_4133;

									BgL_iz00_4133 = (long) (BgL_auxz00_3641);
									BgL_iz00_3635 = BgL_iz00_4133;
									goto BgL_loopz00_3636;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcoerce_coercez00()
	{
		{	/* Coerce/coerce.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_coercez00()
	{
		{	/* Coerce/coerce.scm 15 */
			BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* coerce-function! */
	BGL_EXPORTED_DEF obj_t
		BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt
		BgL_variablez00_3, bool_t BgL_typezd2safezd2_4)
	{
		{	/* Coerce/coerce.scm 46 */
			BGl_enterzd2functionzd2zztools_errorz00(
				(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_3))->BgL_idz00));
			{	/* Coerce/coerce.scm 49 */
				BgL_valuez00_bglt BgL_funz00_1694;

				BgL_funz00_1694 =
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_3))->BgL_valuez00);
				{	/* Coerce/coerce.scm 49 */
					obj_t BgL_bodyz00_1695;

					BgL_bodyz00_1695 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1694)))->BgL_bodyz00);
					{	/* Coerce/coerce.scm 50 */
						BgL_typez00_bglt BgL_tresz00_1696;

						BgL_tresz00_1696 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_3))->
							BgL_typez00);
						{	/* Coerce/coerce.scm 51 */
							obj_t BgL_cloz00_1697;

							BgL_cloz00_1697 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt) BgL_funz00_1694)))->
								BgL_thezd2closurezd2globalz00);
							{	/* Coerce/coerce.scm 52 */
								bool_t BgL_typezd2safetyzd2enforcedz00_1698;

								{	/* Coerce/coerce.scm 53 */
									obj_t BgL__andtest_1108z00_1708;

									BgL__andtest_1108z00_1708 =
										BGl_za2unsafezd2evalza2zd2zzengine_paramz00;
									if (CBOOL(BgL__andtest_1108z00_1708))
										{	/* Coerce/coerce.scm 53 */
											BgL_typezd2safetyzd2enforcedz00_1698 = ((bool_t) 0);
										}
									else
										{	/* Coerce/coerce.scm 54 */
											bool_t BgL_test2194z00_4146;

											{	/* Coerce/coerce.scm 54 */
												obj_t BgL_classz00_2489;

												BgL_classz00_2489 = BGl_globalz00zzast_varz00;
												{	/* Coerce/coerce.scm 54 */
													BgL_objectz00_bglt BgL_arg1825z00_2491;

													{	/* Coerce/coerce.scm 54 */
														obj_t BgL_tmpz00_4147;

														BgL_tmpz00_4147 = ((obj_t) BgL_variablez00_3);
														BgL_arg1825z00_2491 =
															(BgL_objectz00_bglt) (BgL_tmpz00_4147);
													}
													{	/* Coerce/coerce.scm 54 */
														bool_t BgL_arg1822z00_2494;
														bool_t BgL_arg1823z00_2495;

														{	/* Coerce/coerce.scm 54 */
															long BgL_idxz00_2498;

															BgL_idxz00_2498 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2491);
															BgL_arg1822z00_2494 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2498 + ((long) 2))) ==
																BgL_classz00_2489);
														}
														{	/* Coerce/coerce.scm 54 */
															bool_t BgL_res2079z00_2520;

															{	/* Coerce/coerce.scm 54 */
																obj_t BgL_oclassz00_2506;

																{	/* Coerce/coerce.scm 54 */
																	long BgL_arg1833z00_2512;

																	{	/* Coerce/coerce.scm 54 */
																		long BgL_arg1834z00_2513;

																		BgL_arg1834z00_2513 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2491);
																		BgL_arg1833z00_2512 =
																			(BgL_arg1834z00_2513 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2506 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_2512);
																}
																{	/* Coerce/coerce.scm 54 */
																	bool_t BgL__ortest_1110z00_2507;

																	BgL__ortest_1110z00_2507 =
																		(BgL_classz00_2489 == BgL_oclassz00_2506);
																	if (BgL__ortest_1110z00_2507)
																		{	/* Coerce/coerce.scm 54 */
																			BgL_res2079z00_2520 =
																				BgL__ortest_1110z00_2507;
																		}
																	else
																		{	/* Coerce/coerce.scm 54 */
																			long BgL_odepthz00_2508;

																			BgL_odepthz00_2508 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2506);
																			if ((((long) 2) < BgL_odepthz00_2508))
																				{	/* Coerce/coerce.scm 54 */
																					obj_t BgL_arg1821z00_2510;

																					BgL_arg1821z00_2510 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2506, ((long) 2));
																					BgL_res2079z00_2520 =
																						(BgL_arg1821z00_2510 ==
																						BgL_classz00_2489);
																				}
																			else
																				{	/* Coerce/coerce.scm 54 */
																					BgL_res2079z00_2520 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_2495 = BgL_res2079z00_2520;
														}
														BgL_test2194z00_4146 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_2494,
															BgL_arg1823z00_2495);
													}
												}
											}
											if (BgL_test2194z00_4146)
												{	/* Coerce/coerce.scm 55 */
													bool_t BgL_test2197z00_4165;

													{	/* Coerce/coerce.scm 55 */
														obj_t BgL_classz00_2521;

														BgL_classz00_2521 = BGl_globalz00zzast_varz00;
														if (BGL_OBJECTP(BgL_cloz00_1697))
															{	/* Coerce/coerce.scm 55 */
																BgL_objectz00_bglt BgL_arg1825z00_2523;

																BgL_arg1825z00_2523 =
																	(BgL_objectz00_bglt) (BgL_cloz00_1697);
																{	/* Coerce/coerce.scm 55 */
																	bool_t BgL_arg1822z00_2526;
																	bool_t BgL_arg1823z00_2527;

																	{	/* Coerce/coerce.scm 55 */
																		long BgL_idxz00_2530;

																		BgL_idxz00_2530 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_2523);
																		BgL_arg1822z00_2526 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2530 + ((long) 2))) ==
																			BgL_classz00_2521);
																	}
																	{	/* Coerce/coerce.scm 55 */
																		bool_t BgL_res2080z00_2552;

																		{	/* Coerce/coerce.scm 55 */
																			obj_t BgL_oclassz00_2538;

																			{	/* Coerce/coerce.scm 55 */
																				long BgL_arg1833z00_2544;

																				{	/* Coerce/coerce.scm 55 */
																					long BgL_arg1834z00_2545;

																					BgL_arg1834z00_2545 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_2523);
																					BgL_arg1833z00_2544 =
																						(BgL_arg1834z00_2545 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2538 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_2544);
																			}
																			{	/* Coerce/coerce.scm 55 */
																				bool_t BgL__ortest_1110z00_2539;

																				BgL__ortest_1110z00_2539 =
																					(BgL_classz00_2521 ==
																					BgL_oclassz00_2538);
																				if (BgL__ortest_1110z00_2539)
																					{	/* Coerce/coerce.scm 55 */
																						BgL_res2080z00_2552 =
																							BgL__ortest_1110z00_2539;
																					}
																				else
																					{	/* Coerce/coerce.scm 55 */
																						long BgL_odepthz00_2540;

																						BgL_odepthz00_2540 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2538);
																						if ((((long) 2) <
																								BgL_odepthz00_2540))
																							{	/* Coerce/coerce.scm 55 */
																								obj_t BgL_arg1821z00_2542;

																								BgL_arg1821z00_2542 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2538,
																									((long) 2));
																								BgL_res2080z00_2552 =
																									(BgL_arg1821z00_2542 ==
																									BgL_classz00_2521);
																							}
																						else
																							{	/* Coerce/coerce.scm 55 */
																								BgL_res2080z00_2552 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_2527 = BgL_res2080z00_2552;
																	}
																	BgL_test2197z00_4165 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_2526,
																		BgL_arg1823z00_2527);
																}
															}
														else
															{	/* Coerce/coerce.scm 55 */
																BgL_test2197z00_4165 = ((bool_t) 0);
															}
													}
													if (BgL_test2197z00_4165)
														{	/* Coerce/coerce.scm 55 */
															if (
																(((BgL_globalz00_bglt) COBJECT(
																			((BgL_globalz00_bglt) BgL_cloz00_1697)))->
																	BgL_evaluablezf3zf3))
																{	/* Coerce/coerce.scm 56 */
																	BgL_typezd2safetyzd2enforcedz00_1698 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_cloz00_1697))))->
																		BgL_userzf3zf3);
																}
															else
																{	/* Coerce/coerce.scm 56 */
																	BgL_typezd2safetyzd2enforcedz00_1698 =
																		((bool_t) 0);
																}
														}
													else
														{	/* Coerce/coerce.scm 55 */
															BgL_typezd2safetyzd2enforcedz00_1698 =
																((bool_t) 0);
														}
												}
											else
												{	/* Coerce/coerce.scm 54 */
													BgL_typezd2safetyzd2enforcedz00_1698 = ((bool_t) 0);
												}
										}
								}
								{	/* Coerce/coerce.scm 58 */

									{	/* Coerce/coerce.scm 59 */
										bool_t BgL_test2202z00_4190;

										{	/* Coerce/coerce.scm 59 */
											obj_t BgL_classz00_2555;

											BgL_classz00_2555 = BGl_globalz00zzast_varz00;
											{	/* Coerce/coerce.scm 59 */
												BgL_objectz00_bglt BgL_arg1825z00_2557;

												{	/* Coerce/coerce.scm 59 */
													obj_t BgL_tmpz00_4191;

													BgL_tmpz00_4191 = ((obj_t) BgL_variablez00_3);
													BgL_arg1825z00_2557 =
														(BgL_objectz00_bglt) (BgL_tmpz00_4191);
												}
												{	/* Coerce/coerce.scm 59 */
													bool_t BgL_arg1822z00_2560;
													bool_t BgL_arg1823z00_2561;

													{	/* Coerce/coerce.scm 59 */
														long BgL_idxz00_2564;

														BgL_idxz00_2564 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2557);
														BgL_arg1822z00_2560 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2564 + ((long) 2))) ==
															BgL_classz00_2555);
													}
													{	/* Coerce/coerce.scm 59 */
														bool_t BgL_res2081z00_2586;

														{	/* Coerce/coerce.scm 59 */
															obj_t BgL_oclassz00_2572;

															{	/* Coerce/coerce.scm 59 */
																long BgL_arg1833z00_2578;

																{	/* Coerce/coerce.scm 59 */
																	long BgL_arg1834z00_2579;

																	BgL_arg1834z00_2579 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2557);
																	BgL_arg1833z00_2578 =
																		(BgL_arg1834z00_2579 - OBJECT_TYPE);
																}
																BgL_oclassz00_2572 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2578);
															}
															{	/* Coerce/coerce.scm 59 */
																bool_t BgL__ortest_1110z00_2573;

																BgL__ortest_1110z00_2573 =
																	(BgL_classz00_2555 == BgL_oclassz00_2572);
																if (BgL__ortest_1110z00_2573)
																	{	/* Coerce/coerce.scm 59 */
																		BgL_res2081z00_2586 =
																			BgL__ortest_1110z00_2573;
																	}
																else
																	{	/* Coerce/coerce.scm 59 */
																		long BgL_odepthz00_2574;

																		BgL_odepthz00_2574 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2572);
																		if ((((long) 2) < BgL_odepthz00_2574))
																			{	/* Coerce/coerce.scm 59 */
																				obj_t BgL_arg1821z00_2576;

																				BgL_arg1821z00_2576 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2572, ((long) 2));
																				BgL_res2081z00_2586 =
																					(BgL_arg1821z00_2576 ==
																					BgL_classz00_2555);
																			}
																		else
																			{	/* Coerce/coerce.scm 59 */
																				BgL_res2081z00_2586 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2561 = BgL_res2081z00_2586;
													}
													BgL_test2202z00_4190 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2560,
														BgL_arg1823z00_2561);
												}
											}
										}
										if (BgL_test2202z00_4190)
											{	/* Coerce/coerce.scm 59 */
												BNIL;
											}
										else
											{	/* Coerce/coerce.scm 59 */
												BNIL;
											}
									}
									{	/* Coerce/coerce.scm 67 */
										obj_t BgL_notifyz00_1701;

										BgL_notifyz00_1701 =
											BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00;
										if ((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_3))->
												BgL_userzf3zf3))
											{	/* Coerce/coerce.scm 70 */
												bool_t BgL_test2206z00_4211;

												{	/* Coerce/coerce.scm 70 */
													obj_t BgL_arg1354z00_1705;

													BgL_arg1354z00_1705 =
														(((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_funz00_1694)))->
														BgL_thezd2closurezd2globalz00);
													{	/* Coerce/coerce.scm 70 */
														obj_t BgL_classz00_2589;

														BgL_classz00_2589 = BGl_globalz00zzast_varz00;
														if (BGL_OBJECTP(BgL_arg1354z00_1705))
															{	/* Coerce/coerce.scm 70 */
																BgL_objectz00_bglt BgL_arg1825z00_2591;

																BgL_arg1825z00_2591 =
																	(BgL_objectz00_bglt) (BgL_arg1354z00_1705);
																{	/* Coerce/coerce.scm 70 */
																	bool_t BgL_arg1822z00_2594;
																	bool_t BgL_arg1823z00_2595;

																	{	/* Coerce/coerce.scm 70 */
																		long BgL_idxz00_2598;

																		BgL_idxz00_2598 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_2591);
																		BgL_arg1822z00_2594 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2598 + ((long) 2))) ==
																			BgL_classz00_2589);
																	}
																	{	/* Coerce/coerce.scm 70 */
																		bool_t BgL_res2082z00_2620;

																		{	/* Coerce/coerce.scm 70 */
																			obj_t BgL_oclassz00_2606;

																			{	/* Coerce/coerce.scm 70 */
																				long BgL_arg1833z00_2612;

																				{	/* Coerce/coerce.scm 70 */
																					long BgL_arg1834z00_2613;

																					BgL_arg1834z00_2613 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_2591);
																					BgL_arg1833z00_2612 =
																						(BgL_arg1834z00_2613 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2606 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_2612);
																			}
																			{	/* Coerce/coerce.scm 70 */
																				bool_t BgL__ortest_1110z00_2607;

																				BgL__ortest_1110z00_2607 =
																					(BgL_classz00_2589 ==
																					BgL_oclassz00_2606);
																				if (BgL__ortest_1110z00_2607)
																					{	/* Coerce/coerce.scm 70 */
																						BgL_res2082z00_2620 =
																							BgL__ortest_1110z00_2607;
																					}
																				else
																					{	/* Coerce/coerce.scm 70 */
																						long BgL_odepthz00_2608;

																						BgL_odepthz00_2608 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2606);
																						if ((((long) 2) <
																								BgL_odepthz00_2608))
																							{	/* Coerce/coerce.scm 70 */
																								obj_t BgL_arg1821z00_2610;

																								BgL_arg1821z00_2610 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2606,
																									((long) 2));
																								BgL_res2082z00_2620 =
																									(BgL_arg1821z00_2610 ==
																									BgL_classz00_2589);
																							}
																						else
																							{	/* Coerce/coerce.scm 70 */
																								BgL_res2082z00_2620 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_2595 = BgL_res2082z00_2620;
																	}
																	BgL_test2206z00_4211 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_2594,
																		BgL_arg1823z00_2595);
																}
															}
														else
															{	/* Coerce/coerce.scm 70 */
																BgL_test2206z00_4211 = ((bool_t) 0);
															}
													}
												}
												if (BgL_test2206z00_4211)
													{	/* Coerce/coerce.scm 70 */
														BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00
															= BFALSE;
													}
												else
													{	/* Coerce/coerce.scm 70 */
														BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00
															= BTRUE;
													}
											}
										else
											{	/* Coerce/coerce.scm 69 */
												BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
													BFALSE;
											}
										BGl_pfunctionzd2protozd2zzcoerce_pprotoz00(((long) 3),
											BgL_variablez00_3);
										BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 =
											((obj_t) BgL_variablez00_3);
										{	/* Coerce/coerce.scm 73 */
											BgL_nodez00_bglt BgL_arg1357z00_1706;

											{	/* Coerce/coerce.scm 73 */
												bool_t BgL_auxz00_4234;

												if (BgL_typezd2safezd2_4)
													{	/* Coerce/coerce.scm 58 */
														BgL_auxz00_4234 = BgL_typezd2safezd2_4;
													}
												else
													{	/* Coerce/coerce.scm 58 */
														BgL_auxz00_4234 =
															BgL_typezd2safetyzd2enforcedz00_1698;
													}
												BgL_arg1357z00_1706 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_bodyz00_1695),
													((obj_t) BgL_variablez00_3), BgL_tresz00_1696,
													BgL_auxz00_4234);
											}
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1694)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1357z00_1706)), BUNSPEC);
										}
										BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
											BgL_notifyz00_1701;
									}
									return BGl_leavezd2functionzd2zztools_errorz00();
								}
							}
						}
					}
				}
			}
		}

	}



/* &coerce-function! */
	obj_t BGl_z62coercezd2functionz12za2zzcoerce_coercez00(obj_t BgL_envz00_3458,
		obj_t BgL_variablez00_3459, obj_t BgL_typezd2safezd2_3460)
	{
		{	/* Coerce/coerce.scm 46 */
			return
				BGl_coercezd2functionz12zc0zzcoerce_coercez00(
				((BgL_variablez00_bglt) BgL_variablez00_3459),
				CBOOL(BgL_typezd2safezd2_3460));
		}

	}



/* cast-node */
	BgL_castz00_bglt BGl_castzd2nodezd2zzcoerce_coercez00(BgL_nodez00_bglt
		BgL_nodez00_105, obj_t BgL_toz00_106)
	{
		{	/* Coerce/coerce.scm 491 */
			{	/* Coerce/coerce.scm 493 */
				BgL_castz00_bglt BgL_new1148z00_1713;

				{	/* Coerce/coerce.scm 494 */
					BgL_castz00_bglt BgL_new1147z00_1714;

					BgL_new1147z00_1714 =
						((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castz00_bgl))));
					{	/* Coerce/coerce.scm 494 */
						long BgL_arg1358z00_1715;

						BgL_arg1358z00_1715 = BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1147z00_1714), BgL_arg1358z00_1715);
					}
					{	/* Coerce/coerce.scm 494 */
						BgL_objectz00_bglt BgL_tmpz00_4250;

						BgL_tmpz00_4250 = ((BgL_objectz00_bglt) BgL_new1147z00_1714);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4250, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1147z00_1714);
					BgL_new1148z00_1713 = BgL_new1147z00_1714;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1148z00_1713)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_105))->BgL_locz00)),
					BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1148z00_1713)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_toz00_106)), BUNSPEC);
				((((BgL_castz00_bglt) COBJECT(BgL_new1148z00_1713))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_nodez00_105), BUNSPEC);
				return BgL_new1148z00_1713;
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_coercez00()
	{
		{	/* Coerce/coerce.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_coercez00()
	{
		{	/* Coerce/coerce.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_proc2109z00zzcoerce_coercez00, BGl_nodez00zzast_nodez00,
				BGl_string2110z00zzcoerce_coercez00);
		}

	}



/* &coerce!1282 */
	obj_t BGl_z62coercez121282z70zzcoerce_coercez00(obj_t BgL_envz00_3462,
		obj_t BgL_nodez00_3463, obj_t BgL_callerz00_3464, obj_t BgL_toz00_3465,
		obj_t BgL_safez00_3466)
	{
		{	/* Coerce/coerce.scm 80 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string2111z00zzcoerce_coercez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_3463)));
		}

	}



/* coerce! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt BgL_nodez00_5,
		obj_t BgL_callerz00_6, BgL_typez00_bglt BgL_toz00_7, bool_t BgL_safez00_8)
	{
		{	/* Coerce/coerce.scm 80 */
			{	/* Coerce/coerce.scm 80 */
				obj_t BgL_method1283z00_1723;

				{	/* Coerce/coerce.scm 80 */
					obj_t BgL_res2087z00_2656;

					{	/* Coerce/coerce.scm 80 */
						long BgL_objzd2classzd2numz00_2627;

						BgL_objzd2classzd2numz00_2627 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
						{	/* Coerce/coerce.scm 80 */
							obj_t BgL_arg1829z00_2628;

							BgL_arg1829z00_2628 =
								PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00,
								(int) (((long) 1)));
							{	/* Coerce/coerce.scm 80 */
								int BgL_offsetz00_2631;

								BgL_offsetz00_2631 = (int) (BgL_objzd2classzd2numz00_2627);
								{	/* Coerce/coerce.scm 80 */
									long BgL_offsetz00_2632;

									BgL_offsetz00_2632 =
										((long) (BgL_offsetz00_2631) - OBJECT_TYPE);
									{	/* Coerce/coerce.scm 80 */
										long BgL_modz00_2633;

										BgL_modz00_2633 =
											(BgL_offsetz00_2632 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Coerce/coerce.scm 80 */
											long BgL_restz00_2635;

											BgL_restz00_2635 =
												(BgL_offsetz00_2632 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Coerce/coerce.scm 80 */

												{	/* Coerce/coerce.scm 80 */
													obj_t BgL_bucketz00_2637;

													BgL_bucketz00_2637 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2628), BgL_modz00_2633);
													BgL_res2087z00_2656 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2637), BgL_restz00_2635);
					}}}}}}}}
					BgL_method1283z00_1723 = BgL_res2087z00_2656;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1283z00_1723) (BgL_method1283z00_1723,
						((obj_t) BgL_nodez00_5), BgL_callerz00_6,
						((obj_t) BgL_toz00_7), BBOOL(BgL_safez00_8), BEOA));
			}
		}

	}



/* &coerce! */
	BgL_nodez00_bglt BGl_z62coercez12z70zzcoerce_coercez00(obj_t BgL_envz00_3467,
		obj_t BgL_nodez00_3468, obj_t BgL_callerz00_3469, obj_t BgL_toz00_3470,
		obj_t BgL_safez00_3471)
	{
		{	/* Coerce/coerce.scm 80 */
			return
				BGl_coercez12z12zzcoerce_coercez00(
				((BgL_nodez00_bglt) BgL_nodez00_3468), BgL_callerz00_3469,
				((BgL_typez00_bglt) BgL_toz00_3470), CBOOL(BgL_safez00_3471));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_coercez00()
	{
		{	/* Coerce/coerce.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_atomz00zzast_nodez00,
				BGl_proc2112z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2114z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_varz00zzast_nodez00,
				BGl_proc2115z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_closurez00zzast_nodez00,
				BGl_proc2116z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_sequencez00zzast_nodez00,
				BGl_proc2117z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_syncz00zzast_nodez00,
				BGl_proc2118z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_externz00zzast_nodez00,
				BGl_proc2119z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_wideningz00zzast_nodez00,
				BGl_proc2120z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_getfieldz00zzast_nodez00,
				BGl_proc2121z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_setfieldz00zzast_nodez00,
				BGl_proc2122z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_newz00zzast_nodez00,
				BGl_proc2123z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vallocz00zzast_nodez00,
				BGl_proc2124z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vrefz00zzast_nodez00,
				BGl_proc2125z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc2126z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vlengthz00zzast_nodez00,
				BGl_proc2127z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_castz00zzast_nodez00,
				BGl_proc2128z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_setqz00zzast_nodez00,
				BGl_proc2129z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2130z00zzcoerce_coercez00,
				BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_failz00zzast_nodez00,
				BGl_proc2131z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_switchz00zzast_nodez00,
				BGl_proc2132z00zzcoerce_coercez00, BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2133z00zzcoerce_coercez00,
				BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2134z00zzcoerce_coercez00,
				BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2135z00zzcoerce_coercez00,
				BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2136z00zzcoerce_coercez00,
				BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2137z00zzcoerce_coercez00,
				BGl_string2113z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2138z00zzcoerce_coercez00,
				BGl_string2113z00zzcoerce_coercez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2139z00zzcoerce_coercez00,
				BGl_string2113z00zzcoerce_coercez00);
		}

	}



/* &coerce!-box-set!1338 */
	BgL_nodez00_bglt
		BGl_z62coercez12zd2boxzd2setz121338z62zzcoerce_coercez00(obj_t
		BgL_envz00_3499, obj_t BgL_nodez00_3500, obj_t BgL_callerz00_3501,
		obj_t BgL_toz00_3502, obj_t BgL_safez00_3503)
	{
		{	/* Coerce/coerce.scm 522 */
			{	/* Coerce/coerce.scm 524 */
				BgL_nodez00_bglt BgL_vtz00_3650;

				BgL_vtz00_3650 =
					BGl_coercez12z12zzcoerce_coercez00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3500)))->BgL_valuez00),
					BgL_callerz00_3501,
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_nodez00_3500)))->BgL_vtypez00), CBOOL(BgL_safez00_3503));
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_nodez00_3500)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BGl_coercez12z12zzcoerce_coercez00(BgL_vtz00_3650,
							BgL_callerz00_3501,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
							CBOOL(BgL_safez00_3503))), BUNSPEC);
			}
			{	/* Coerce/coerce.scm 526 */
				BgL_typez00_bglt BgL_arg2010z00_3651;

				BgL_arg2010z00_3651 =
					(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3500))))->BgL_typez00);
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3500)), BgL_arg2010z00_3651,
					((BgL_typez00_bglt) BgL_toz00_3502), CBOOL(BgL_safez00_3503));
			}
		}

	}



/* &coerce!-box-ref1336 */
	BgL_nodez00_bglt BGl_z62coercez12zd2boxzd2ref1336z70zzcoerce_coercez00(obj_t
		BgL_envz00_3504, obj_t BgL_nodez00_3505, obj_t BgL_callerz00_3506,
		obj_t BgL_toz00_3507, obj_t BgL_safez00_3508)
	{
		{	/* Coerce/coerce.scm 512 */
			{	/* Coerce/coerce.scm 514 */
				BgL_nodez00_bglt BgL_cnodez00_3653;

				{	/* Coerce/coerce.scm 514 */
					BgL_typez00_bglt BgL_arg2007z00_3654;

					BgL_arg2007z00_3654 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3505)))->BgL_vtypez00);
					BgL_cnodez00_3653 =
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_3505)), BgL_arg2007z00_3654,
						((BgL_typez00_bglt) BgL_toz00_3507), CBOOL(BgL_safez00_3508));
				}
				{	/* Coerce/coerce.scm 515 */
					bool_t BgL_test2211z00_4359;

					{	/* Coerce/coerce.scm 515 */
						obj_t BgL_classz00_3655;

						BgL_classz00_3655 = BGl_tclassz00zzobject_classz00;
						if (BGL_OBJECTP(BgL_toz00_3507))
							{	/* Coerce/coerce.scm 515 */
								BgL_objectz00_bglt BgL_arg1825z00_3656;

								BgL_arg1825z00_3656 = (BgL_objectz00_bglt) (BgL_toz00_3507);
								{	/* Coerce/coerce.scm 515 */
									bool_t BgL_arg1822z00_3657;
									bool_t BgL_arg1823z00_3658;

									{	/* Coerce/coerce.scm 515 */
										long BgL_idxz00_3659;

										BgL_idxz00_3659 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3656);
										BgL_arg1822z00_3657 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3659 + ((long) 2))) == BgL_classz00_3655);
									}
									{	/* Coerce/coerce.scm 515 */
										bool_t BgL_res2101z00_3662;

										{	/* Coerce/coerce.scm 515 */
											obj_t BgL_oclassz00_3663;

											{	/* Coerce/coerce.scm 515 */
												long BgL_arg1833z00_3664;

												{	/* Coerce/coerce.scm 515 */
													long BgL_arg1834z00_3665;

													BgL_arg1834z00_3665 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3656);
													BgL_arg1833z00_3664 =
														(BgL_arg1834z00_3665 - OBJECT_TYPE);
												}
												BgL_oclassz00_3663 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_3664);
											}
											{	/* Coerce/coerce.scm 515 */
												bool_t BgL__ortest_1110z00_3666;

												BgL__ortest_1110z00_3666 =
													(BgL_classz00_3655 == BgL_oclassz00_3663);
												if (BgL__ortest_1110z00_3666)
													{	/* Coerce/coerce.scm 515 */
														BgL_res2101z00_3662 = BgL__ortest_1110z00_3666;
													}
												else
													{	/* Coerce/coerce.scm 515 */
														long BgL_odepthz00_3667;

														BgL_odepthz00_3667 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3663);
														if ((((long) 2) < BgL_odepthz00_3667))
															{	/* Coerce/coerce.scm 515 */
																obj_t BgL_arg1821z00_3668;

																BgL_arg1821z00_3668 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3663,
																	((long) 2));
																BgL_res2101z00_3662 =
																	(BgL_arg1821z00_3668 == BgL_classz00_3655);
															}
														else
															{	/* Coerce/coerce.scm 515 */
																BgL_res2101z00_3662 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_3658 = BgL_res2101z00_3662;
									}
									BgL_test2211z00_4359 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_3657, BgL_arg1823z00_3658);
								}
							}
						else
							{	/* Coerce/coerce.scm 515 */
								BgL_test2211z00_4359 = ((bool_t) 0);
							}
					}
					if (BgL_test2211z00_4359)
						{	/* Coerce/coerce.scm 515 */
							return
								((BgL_nodez00_bglt)
								BGl_castzd2nodezd2zzcoerce_coercez00(BgL_cnodez00_3653,
									BgL_toz00_3507));
						}
					else
						{	/* Coerce/coerce.scm 515 */
							return BgL_cnodez00_3653;
						}
				}
			}
		}

	}



/* &coerce!-make-box1334 */
	BgL_nodez00_bglt BGl_z62coercez12zd2makezd2box1334z70zzcoerce_coercez00(obj_t
		BgL_envz00_3509, obj_t BgL_nodez00_3510, obj_t BgL_callerz00_3511,
		obj_t BgL_toz00_3512, obj_t BgL_safez00_3513)
	{
		{	/* Coerce/coerce.scm 501 */
			{	/* Coerce/coerce.scm 503 */
				BgL_nodez00_bglt BgL_nodevz00_3670;

				BgL_nodevz00_3670 =
					BGl_coercez12z12zzcoerce_coercez00(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3510)))->BgL_valuez00),
					BgL_callerz00_3511,
					(((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_nodez00_3510)))->BgL_vtypez00), CBOOL(BgL_safez00_3513));
				{	/* Coerce/coerce.scm 504 */
					bool_t BgL_test2215z00_4386;

					{	/* Coerce/coerce.scm 504 */
						BgL_typez00_bglt BgL_arg2003z00_3671;

						BgL_arg2003z00_3671 =
							BGl_getzd2typezd2zztype_typeofz00(BgL_nodevz00_3670,
							((bool_t) 0));
						{	/* Coerce/coerce.scm 504 */
							obj_t BgL_classz00_3672;

							BgL_classz00_3672 = BGl_tclassz00zzobject_classz00;
							{	/* Coerce/coerce.scm 504 */
								BgL_objectz00_bglt BgL_arg1825z00_3673;

								{	/* Coerce/coerce.scm 504 */
									obj_t BgL_tmpz00_4388;

									BgL_tmpz00_4388 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2003z00_3671));
									BgL_arg1825z00_3673 = (BgL_objectz00_bglt) (BgL_tmpz00_4388);
								}
								{	/* Coerce/coerce.scm 504 */
									bool_t BgL_arg1822z00_3674;
									bool_t BgL_arg1823z00_3675;

									{	/* Coerce/coerce.scm 504 */
										long BgL_idxz00_3676;

										BgL_idxz00_3676 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3673);
										BgL_arg1822z00_3674 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3676 + ((long) 2))) == BgL_classz00_3672);
									}
									{	/* Coerce/coerce.scm 504 */
										bool_t BgL_res2100z00_3679;

										{	/* Coerce/coerce.scm 504 */
											obj_t BgL_oclassz00_3680;

											{	/* Coerce/coerce.scm 504 */
												long BgL_arg1833z00_3681;

												{	/* Coerce/coerce.scm 504 */
													long BgL_arg1834z00_3682;

													BgL_arg1834z00_3682 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3673);
													BgL_arg1833z00_3681 =
														(BgL_arg1834z00_3682 - OBJECT_TYPE);
												}
												BgL_oclassz00_3680 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_3681);
											}
											{	/* Coerce/coerce.scm 504 */
												bool_t BgL__ortest_1110z00_3683;

												BgL__ortest_1110z00_3683 =
													(BgL_classz00_3672 == BgL_oclassz00_3680);
												if (BgL__ortest_1110z00_3683)
													{	/* Coerce/coerce.scm 504 */
														BgL_res2100z00_3679 = BgL__ortest_1110z00_3683;
													}
												else
													{	/* Coerce/coerce.scm 504 */
														long BgL_odepthz00_3684;

														BgL_odepthz00_3684 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3680);
														if ((((long) 2) < BgL_odepthz00_3684))
															{	/* Coerce/coerce.scm 504 */
																obj_t BgL_arg1821z00_3685;

																BgL_arg1821z00_3685 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3680,
																	((long) 2));
																BgL_res2100z00_3679 =
																	(BgL_arg1821z00_3685 == BgL_classz00_3672);
															}
														else
															{	/* Coerce/coerce.scm 504 */
																BgL_res2100z00_3679 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_3675 = BgL_res2100z00_3679;
									}
									BgL_test2215z00_4386 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_3674, BgL_arg1823z00_3675);
								}
							}
						}
					}
					if (BgL_test2215z00_4386)
						{	/* Coerce/coerce.scm 504 */
							((((BgL_makezd2boxzd2_bglt) COBJECT(
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3510)))->
									BgL_valuez00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
										BGl_castzd2nodezd2zzcoerce_coercez00(BgL_nodevz00_3670,
											BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
						}
					else
						{	/* Coerce/coerce.scm 504 */
							((((BgL_makezd2boxzd2_bglt) COBJECT(
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3510)))->
									BgL_valuez00) =
								((BgL_nodez00_bglt) BgL_nodevz00_3670), BUNSPEC);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3510));
		}

	}



/* &coerce!-jump-ex-it1331 */
	BgL_nodez00_bglt
		BGl_z62coercez12zd2jumpzd2exzd2it1331za2zzcoerce_coercez00(obj_t
		BgL_envz00_3514, obj_t BgL_nodez00_3515, obj_t BgL_callerz00_3516,
		obj_t BgL_toz00_3517, obj_t BgL_safez00_3518)
	{
		{	/* Coerce/coerce.scm 482 */
			{
				BgL_nodez00_bglt BgL_auxz00_4415;

				{	/* Coerce/coerce.scm 484 */
					BgL_nodez00_bglt BgL_arg1995z00_3687;

					BgL_arg1995z00_3687 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3515)))->BgL_exitz00);
					BgL_auxz00_4415 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1995z00_3687,
						BgL_callerz00_3516,
						((BgL_typez00_bglt) BGl_za2exitza2z00zztype_cachez00),
						CBOOL(BgL_safez00_3518));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3515)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4415), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4423;

				{	/* Coerce/coerce.scm 485 */
					BgL_nodez00_bglt BgL_arg1996z00_3688;
					BgL_typez00_bglt BgL_arg1997z00_3689;

					BgL_arg1996z00_3688 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3515)))->
						BgL_valuez00);
					{	/* Coerce/coerce.scm 485 */
						BgL_nodez00_bglt BgL_arg1999z00_3690;

						BgL_arg1999z00_3690 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3515)))->
							BgL_valuez00);
						BgL_arg1997z00_3689 =
							BGl_getzd2typezd2zztype_typeofz00(BgL_arg1999z00_3690,
							((bool_t) 0));
					}
					BgL_auxz00_4423 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1996z00_3688,
						BgL_callerz00_3516, BgL_arg1997z00_3689, CBOOL(BgL_safez00_3518));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3515)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_4423), BUNSPEC);
			}
			{	/* Coerce/coerce.scm 486 */
				BgL_typez00_bglt BgL_arg2000z00_3691;

				BgL_arg2000z00_3691 =
					(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3515))))->
					BgL_typez00);
				return
					BGl_convertz12z12zzcoerce_convertz00(((BgL_nodez00_bglt) (
							(BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3515)),
					BgL_arg2000z00_3691, ((BgL_typez00_bglt) BgL_toz00_3517),
					CBOOL(BgL_safez00_3518));
			}
		}

	}



/* &coerce!-set-ex-it1329 */
	BgL_nodez00_bglt
		BGl_z62coercez12zd2setzd2exzd2it1329za2zzcoerce_coercez00(obj_t
		BgL_envz00_3519, obj_t BgL_nodez00_3520, obj_t BgL_callerz00_3521,
		obj_t BgL_toz00_3522, obj_t BgL_safez00_3523)
	{
		{	/* Coerce/coerce.scm 471 */
			{
				BgL_varz00_bglt BgL_auxz00_4441;

				{	/* Coerce/coerce.scm 473 */
					BgL_varz00_bglt BgL_arg1989z00_3693;

					BgL_arg1989z00_3693 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3520)))->BgL_varz00);
					BgL_auxz00_4441 =
						((BgL_varz00_bglt)
						BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg1989z00_3693), BgL_callerz00_3521,
							((BgL_typez00_bglt) BGl_za2exitza2z00zztype_cachez00),
							CBOOL(BgL_safez00_3523)));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3520)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_4441), BUNSPEC);
			}
			BGl_pvariablezd2protozd2zzcoerce_pprotoz00(((long) 3),
				(((BgL_varz00_bglt) COBJECT(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3520)))->
								BgL_varz00)))->BgL_variablez00));
			{
				BgL_nodez00_bglt BgL_auxz00_4455;

				{	/* Coerce/coerce.scm 475 */
					BgL_nodez00_bglt BgL_arg1992z00_3694;

					BgL_arg1992z00_3694 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3520)))->BgL_bodyz00);
					BgL_auxz00_4455 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1992z00_3694,
						BgL_callerz00_3521, ((BgL_typez00_bglt) BgL_toz00_3522),
						CBOOL(BgL_safez00_3523));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3520)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4455), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4463;

				{	/* Coerce/coerce.scm 476 */
					BgL_nodez00_bglt BgL_arg1994z00_3695;

					BgL_arg1994z00_3695 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3520)))->
						BgL_onexitz00);
					BgL_auxz00_4463 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1994z00_3695,
						BgL_callerz00_3521, ((BgL_typez00_bglt) BgL_toz00_3522),
						CBOOL(BgL_safez00_3523));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3520)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4463), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3520));
		}

	}



/* &coerce!-let-var1327 */
	BgL_nodez00_bglt BGl_z62coercez12zd2letzd2var1327z70zzcoerce_coercez00(obj_t
		BgL_envz00_3524, obj_t BgL_nodez00_3525, obj_t BgL_callerz00_3526,
		obj_t BgL_toz00_3527, obj_t BgL_safez00_3528)
	{
		{	/* Coerce/coerce.scm 451 */
			BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
			{	/* Tools/trace.sch 53 */
				obj_t BgL_g1281z00_3697;

				BgL_g1281z00_3697 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3525)))->BgL_bindingsz00);
				{
					obj_t BgL_l1279z00_3699;

					BgL_l1279z00_3699 = BgL_g1281z00_3697;
				BgL_zc3z04anonymousza31977ze3z87_3698:
					if (PAIRP(BgL_l1279z00_3699))
						{	/* Tools/trace.sch 53 */
							{	/* Tools/trace.sch 53 */
								obj_t BgL_bindingz00_3700;

								BgL_bindingz00_3700 = CAR(BgL_l1279z00_3699);
								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1979z00_3701;

									BgL_arg1979z00_3701 = CAR(((obj_t) BgL_bindingz00_3700));
									BGl_pvariablezd2protozd2zzcoerce_pprotoz00(((long) 3),
										((BgL_variablez00_bglt) BgL_arg1979z00_3701));
								}
								{	/* Tools/trace.sch 53 */
									BgL_nodez00_bglt BgL_arg1980z00_3702;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1981z00_3703;
										BgL_typez00_bglt BgL_arg1982z00_3704;

										BgL_arg1981z00_3703 = CDR(((obj_t) BgL_bindingz00_3700));
										BgL_arg1982z00_3704 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt)
															CAR(
																((obj_t) BgL_bindingz00_3700))))))->
											BgL_typez00);
										BgL_arg1980z00_3702 =
											BGl_coercez12z12zzcoerce_coercez00(((BgL_nodez00_bglt)
												BgL_arg1981z00_3703), BgL_callerz00_3526,
											BgL_arg1982z00_3704, CBOOL(BgL_safez00_3528));
									}
									{	/* Tools/trace.sch 53 */
										obj_t BgL_auxz00_4495;
										obj_t BgL_tmpz00_4493;

										BgL_auxz00_4495 = ((obj_t) BgL_arg1980z00_3702);
										BgL_tmpz00_4493 = ((obj_t) BgL_bindingz00_3700);
										SET_CDR(BgL_tmpz00_4493, BgL_auxz00_4495);
							}}}
							{
								obj_t BgL_l1279z00_4498;

								BgL_l1279z00_4498 = CDR(BgL_l1279z00_3699);
								BgL_l1279z00_3699 = BgL_l1279z00_4498;
								goto BgL_zc3z04anonymousza31977ze3z87_3698;
							}
						}
					else
						{	/* Tools/trace.sch 53 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4500;

				{	/* Tools/trace.sch 53 */
					BgL_nodez00_bglt BgL_arg1985z00_3705;

					BgL_arg1985z00_3705 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3525)))->BgL_bodyz00);
					BgL_auxz00_4500 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1985z00_3705,
						BgL_callerz00_3526, ((BgL_typez00_bglt) BgL_toz00_3527),
						CBOOL(BgL_safez00_3528));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3525)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4500), BUNSPEC);
			}
			{
				BgL_typez00_bglt BgL_auxz00_4508;

				{	/* Tools/trace.sch 53 */
					BgL_typez00_bglt BgL_arg1986z00_3706;
					BgL_typez00_bglt BgL_arg1987z00_3707;

					BgL_arg1986z00_3706 =
						(((BgL_nodez00_bglt) COBJECT(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_3525)))->
									BgL_bodyz00)))->BgL_typez00);
					BgL_arg1987z00_3707 =
						(((BgL_nodez00_bglt)
							COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_nodez00_3525))))->BgL_typez00);
					BgL_auxz00_4508 =
						BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1986z00_3706,
						BgL_arg1987z00_3707);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nodez00_3525))))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_auxz00_4508), BUNSPEC);
			}
			BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_3525));
		}

	}



/* &coerce!-let-fun1325 */
	BgL_nodez00_bglt BGl_z62coercez12zd2letzd2fun1325z70zzcoerce_coercez00(obj_t
		BgL_envz00_3529, obj_t BgL_nodez00_3530, obj_t BgL_callerz00_3531,
		obj_t BgL_toz00_3532, obj_t BgL_safez00_3533)
	{
		{	/* Coerce/coerce.scm 439 */
			BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
			{	/* Coerce/coerce.scm 442 */
				obj_t BgL_g1278z00_3709;

				BgL_g1278z00_3709 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3530)))->BgL_localsz00);
				{
					obj_t BgL_l1276z00_3711;

					BgL_l1276z00_3711 = BgL_g1278z00_3709;
				BgL_zc3z04anonymousza31969ze3z87_3710:
					if (PAIRP(BgL_l1276z00_3711))
						{	/* Coerce/coerce.scm 442 */
							{	/* Coerce/coerce.scm 442 */
								obj_t BgL_fz00_3712;

								BgL_fz00_3712 = CAR(BgL_l1276z00_3711);
								{	/* Coerce/coerce.scm 442 */
									bool_t BgL_arg1971z00_3713;

									if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
										{	/* Coerce/coerce.scm 442 */
											BgL_arg1971z00_3713 = ((bool_t) 0);
										}
									else
										{	/* Coerce/coerce.scm 442 */
											BgL_arg1971z00_3713 = ((bool_t) 1);
										}
									BGl_coercezd2functionz12zc0zzcoerce_coercez00(
										((BgL_variablez00_bglt) BgL_fz00_3712),
										BgL_arg1971z00_3713);
								}
							}
							{
								obj_t BgL_l1276z00_4532;

								BgL_l1276z00_4532 = CDR(BgL_l1276z00_3711);
								BgL_l1276z00_3711 = BgL_l1276z00_4532;
								goto BgL_zc3z04anonymousza31969ze3z87_3710;
							}
						}
					else
						{	/* Coerce/coerce.scm 442 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4534;

				{	/* Coerce/coerce.scm 443 */
					BgL_nodez00_bglt BgL_arg1973z00_3714;

					BgL_arg1973z00_3714 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3530)))->BgL_bodyz00);
					BgL_auxz00_4534 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1973z00_3714,
						BgL_callerz00_3531, ((BgL_typez00_bglt) BgL_toz00_3532),
						CBOOL(BgL_safez00_3533));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3530)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4534), BUNSPEC);
			}
			{
				BgL_typez00_bglt BgL_auxz00_4542;

				{	/* Coerce/coerce.scm 444 */
					BgL_typez00_bglt BgL_arg1974z00_3715;
					BgL_typez00_bglt BgL_arg1975z00_3716;

					BgL_arg1974z00_3715 =
						(((BgL_nodez00_bglt) COBJECT(
								(((BgL_letzd2funzd2_bglt) COBJECT(
											((BgL_letzd2funzd2_bglt) BgL_nodez00_3530)))->
									BgL_bodyz00)))->BgL_typez00);
					BgL_arg1975z00_3716 =
						(((BgL_nodez00_bglt)
							COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_nodez00_3530))))->BgL_typez00);
					BgL_auxz00_4542 =
						BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1974z00_3715,
						BgL_arg1975z00_3716);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_nodez00_3530))))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_auxz00_4542), BUNSPEC);
			}
			BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_3530));
		}

	}



/* &coerce!-switch1323 */
	BgL_nodez00_bglt BGl_z62coercez12zd2switch1323za2zzcoerce_coercez00(obj_t
		BgL_envz00_3534, obj_t BgL_nodez00_3535, obj_t BgL_callerz00_3536,
		obj_t BgL_toz00_3537, obj_t BgL_safez00_3538)
	{
		{	/* Coerce/coerce.scm 409 */
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_switchz00_bglt) BgL_nodez00_3535))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_toz00_3537)), BUNSPEC);
			{	/* Coerce/coerce.scm 412 */
				obj_t BgL_clausesz00_3718;
				BgL_typez00_bglt BgL_testzd2typezd2_3719;
				BgL_typez00_bglt BgL_testzd2nodezd2typez00_3720;

				BgL_clausesz00_3718 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3535)))->BgL_clausesz00);
				BgL_testzd2typezd2_3719 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3535)))->BgL_itemzd2typezd2);
				BgL_testzd2nodezd2typez00_3720 =
					BGl_getzd2typezd2zztype_typeofz00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3535)))->BgL_testz00),
					((bool_t) 0));
				if (BGl_coercerzd2existszf3z21zztype_coercionz00
					(BgL_testzd2nodezd2typez00_3720, BgL_testzd2typezd2_3719))
					{	/* Coerce/coerce.scm 415 */
						BFALSE;
					}
				else
					{	/* Coerce/coerce.scm 416 */
						obj_t BgL_arg1944z00_3721;
						obj_t BgL_arg1945z00_3722;
						obj_t BgL_arg1946z00_3723;

						{	/* Coerce/coerce.scm 416 */
							obj_t BgL_tmpz00_4569;

							BgL_tmpz00_4569 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1944z00_3721 = BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4569);
						}
						BgL_arg1945z00_3722 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_testzd2typezd2_3719));
						BgL_arg1946z00_3723 =
							BGl_shapez00zztools_shapez00(
							((obj_t) BgL_testzd2nodezd2typez00_3720));
						{	/* Coerce/coerce.scm 416 */
							obj_t BgL_list1947z00_3724;

							{	/* Coerce/coerce.scm 416 */
								obj_t BgL_arg1948z00_3725;

								{	/* Coerce/coerce.scm 416 */
									obj_t BgL_arg1949z00_3726;

									{	/* Coerce/coerce.scm 416 */
										obj_t BgL_arg1950z00_3727;

										{	/* Coerce/coerce.scm 416 */
											obj_t BgL_arg1951z00_3728;

											{	/* Coerce/coerce.scm 416 */
												obj_t BgL_arg1952z00_3729;

												{	/* Coerce/coerce.scm 416 */
													obj_t BgL_arg1953z00_3730;

													{	/* Coerce/coerce.scm 416 */
														obj_t BgL_arg1954z00_3731;

														BgL_arg1954z00_3731 =
															MAKE_YOUNG_PAIR(BgL_arg1946z00_3723, BNIL);
														BgL_arg1953z00_3730 =
															MAKE_YOUNG_PAIR
															(BGl_string2140z00zzcoerce_coercez00,
															BgL_arg1954z00_3731);
													}
													BgL_arg1952z00_3729 =
														MAKE_YOUNG_PAIR(BgL_arg1945z00_3722,
														BgL_arg1953z00_3730);
												}
												BgL_arg1951z00_3728 =
													MAKE_YOUNG_PAIR(BGl_string2141z00zzcoerce_coercez00,
													BgL_arg1952z00_3729);
											}
											BgL_arg1950z00_3727 =
												MAKE_YOUNG_PAIR(BGl_string2142z00zzcoerce_coercez00,
												BgL_arg1951z00_3728);
										}
										BgL_arg1949z00_3726 =
											MAKE_YOUNG_PAIR(BINT(((long) 416)), BgL_arg1950z00_3727);
									}
									BgL_arg1948z00_3725 =
										MAKE_YOUNG_PAIR(BGl_string2143z00zzcoerce_coercez00,
										BgL_arg1949z00_3726);
								}
								BgL_list1947z00_3724 =
									MAKE_YOUNG_PAIR(BGl_string2144z00zzcoerce_coercez00,
									BgL_arg1948z00_3725);
							}
							BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1944z00_3721,
								BgL_list1947z00_3724);
					}}
				if (BGl_coercerzd2existszf3z21zztype_coercionz00
					(BgL_testzd2nodezd2typez00_3720, BgL_testzd2typezd2_3719))
					{	/* Coerce/coerce.scm 425 */
						((((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_3535)))->BgL_testz00) =
							((BgL_nodez00_bglt)
								BGl_coercez12z12zzcoerce_coercez00((((BgL_switchz00_bglt)
											COBJECT(((BgL_switchz00_bglt) BgL_nodez00_3535)))->
										BgL_testz00), BgL_callerz00_3536, BgL_testzd2typezd2_3719,
									CBOOL(BgL_safez00_3538))), BUNSPEC);
						{
							obj_t BgL_l1274z00_3733;

							BgL_l1274z00_3733 = BgL_clausesz00_3718;
						BgL_zc3z04anonymousza31958ze3z87_3732:
							if (PAIRP(BgL_l1274z00_3733))
								{	/* Coerce/coerce.scm 428 */
									{	/* Coerce/coerce.scm 429 */
										obj_t BgL_clausez00_3734;

										BgL_clausez00_3734 = CAR(BgL_l1274z00_3733);
										{	/* Coerce/coerce.scm 430 */
											BgL_nodez00_bglt BgL_arg1960z00_3735;

											{	/* Coerce/coerce.scm 430 */
												obj_t BgL_arg1961z00_3736;

												BgL_arg1961z00_3736 = CDR(((obj_t) BgL_clausez00_3734));
												BgL_arg1960z00_3735 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_arg1961z00_3736),
													BgL_callerz00_3536,
													((BgL_typez00_bglt) BgL_toz00_3537),
													CBOOL(BgL_safez00_3538));
											}
											{	/* Coerce/coerce.scm 429 */
												obj_t BgL_auxz00_4605;
												obj_t BgL_tmpz00_4603;

												BgL_auxz00_4605 = ((obj_t) BgL_arg1960z00_3735);
												BgL_tmpz00_4603 = ((obj_t) BgL_clausez00_3734);
												SET_CDR(BgL_tmpz00_4603, BgL_auxz00_4605);
											}
										}
									}
									{
										obj_t BgL_l1274z00_4608;

										BgL_l1274z00_4608 = CDR(BgL_l1274z00_3733);
										BgL_l1274z00_3733 = BgL_l1274z00_4608;
										goto BgL_zc3z04anonymousza31958ze3z87_3732;
									}
								}
							else
								{	/* Coerce/coerce.scm 428 */
									((bool_t) 1);
								}
						}
						return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_3535));
					}
				else
					{	/* Coerce/coerce.scm 433 */
						obj_t BgL_arg1964z00_3737;

						{	/* Coerce/coerce.scm 433 */
							obj_t BgL_arg1965z00_3738;
							obj_t BgL_arg1966z00_3739;
							BgL_nodez00_bglt BgL_arg1967z00_3740;

							BgL_arg1965z00_3738 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_switchz00_bglt) BgL_nodez00_3535))))->BgL_locz00);
							BgL_arg1966z00_3739 =
								(((BgL_typez00_bglt) COBJECT(BgL_testzd2typezd2_3719))->
								BgL_idz00);
							BgL_arg1967z00_3740 =
								(((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
											BgL_nodez00_3535)))->BgL_testz00);
							BgL_arg1964z00_3737 =
								BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
								(BgL_arg1965z00_3738, BgL_arg1966z00_3739, BgL_arg1967z00_3740);
						}
						return
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg1964z00_3737), BgL_callerz00_3536,
							((BgL_typez00_bglt) BgL_toz00_3537), CBOOL(BgL_safez00_3538));
					}
			}
		}

	}



/* &coerce!-fail1321 */
	BgL_nodez00_bglt BGl_z62coercez12zd2fail1321za2zzcoerce_coercez00(obj_t
		BgL_envz00_3539, obj_t BgL_nodez00_3540, obj_t BgL_callerz00_3541,
		obj_t BgL_toz00_3542, obj_t BgL_safez00_3543)
	{
		{	/* Coerce/coerce.scm 399 */
			{
				BgL_nodez00_bglt BgL_auxz00_4623;

				{	/* Coerce/coerce.scm 401 */
					BgL_nodez00_bglt BgL_arg1940z00_3742;

					BgL_arg1940z00_3742 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3540)))->BgL_procz00);
					BgL_auxz00_4623 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1940z00_3742,
						BgL_callerz00_3541,
						((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
						CBOOL(BgL_safez00_3543));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3540)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4623), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4631;

				{	/* Coerce/coerce.scm 402 */
					BgL_nodez00_bglt BgL_arg1941z00_3743;

					BgL_arg1941z00_3743 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3540)))->BgL_msgz00);
					BgL_auxz00_4631 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1941z00_3743,
						BgL_callerz00_3541,
						((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
						CBOOL(BgL_safez00_3543));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3540)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4631), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4639;

				{	/* Coerce/coerce.scm 403 */
					BgL_nodez00_bglt BgL_arg1942z00_3744;

					BgL_arg1942z00_3744 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3540)))->BgL_objz00);
					BgL_auxz00_4639 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1942z00_3744,
						BgL_callerz00_3541,
						((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
						CBOOL(BgL_safez00_3543));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3540)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4639), BUNSPEC);
			}
			return
				BGl_convertz12z12zzcoerce_convertz00(
				((BgL_nodez00_bglt)
					((BgL_failz00_bglt) BgL_nodez00_3540)),
				((BgL_typez00_bglt) BGl_za2magicza2z00zztype_cachez00),
				((BgL_typez00_bglt) BgL_toz00_3542), CBOOL(BgL_safez00_3543));
		}

	}



/* &coerce!-conditional1319 */
	BgL_nodez00_bglt BGl_z62coercez12zd2conditional1319za2zzcoerce_coercez00(obj_t
		BgL_envz00_3544, obj_t BgL_nodez00_3545, obj_t BgL_callerz00_3546,
		obj_t BgL_toz00_3547, obj_t BgL_safez00_3548)
	{
		{	/* Coerce/coerce.scm 288 */
			{
				obj_t BgL_nodez00_3941;
				obj_t BgL_nodez00_3850;
				obj_t BgL_nodez00_3780;
				obj_t BgL_typecz00_3781;
				obj_t BgL_nodez00_3750;

				{
					BgL_nodez00_bglt BgL_auxz00_4653;

					{	/* Coerce/coerce.scm 384 */
						BgL_nodez00_bglt BgL_arg1749z00_3963;

						BgL_arg1749z00_3963 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3545)))->BgL_testz00);
						BgL_auxz00_4653 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg1749z00_3963,
							BgL_callerz00_3546,
							((BgL_typez00_bglt) BGl_za2boolza2z00zztype_cachez00),
							CBOOL(BgL_safez00_3548));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3545)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4653), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 385 */
					obj_t BgL_casezd2valuezd2_3964;

					{	/* Coerce/coerce.scm 385 */
						BgL_nodez00_bglt BgL_arg1763z00_3965;

						BgL_arg1763z00_3965 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3545)))->BgL_testz00);
						BgL_nodez00_3750 = ((obj_t) BgL_arg1763z00_3965);
					BgL_testzd2staticzd2valuez00_3746:
						{	/* Coerce/coerce.scm 373 */
							obj_t BgL_g1137z00_3751;

							BgL_g1137z00_3751 =
								BGl_isazd2ofzd2zztype_miscz00(
								((BgL_nodez00_bglt) BgL_nodez00_3750));
							if (CBOOL(BgL_g1137z00_3751))
								{	/* Coerce/coerce.scm 373 */
									BgL_nodez00_3780 = BgL_nodez00_3750;
									BgL_typecz00_3781 = BgL_g1137z00_3751;
									{	/* Coerce/coerce.scm 355 */
										obj_t BgL_typevz00_3782;

										{	/* Coerce/coerce.scm 356 */
											bool_t BgL_test2225z00_4667;

											{	/* Coerce/coerce.scm 356 */
												obj_t BgL_arg1935z00_3783;

												{	/* Coerce/coerce.scm 356 */
													obj_t BgL_pairz00_3784;

													BgL_pairz00_3784 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_3780)))->
														BgL_argsz00);
													BgL_arg1935z00_3783 = CAR(BgL_pairz00_3784);
												}
												{	/* Coerce/coerce.scm 356 */
													obj_t BgL_classz00_3785;

													BgL_classz00_3785 = BGl_varz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_arg1935z00_3783))
														{	/* Coerce/coerce.scm 356 */
															BgL_objectz00_bglt BgL_arg1825z00_3786;

															BgL_arg1825z00_3786 =
																(BgL_objectz00_bglt) (BgL_arg1935z00_3783);
															{	/* Coerce/coerce.scm 356 */
																bool_t BgL_arg1822z00_3787;
																bool_t BgL_arg1823z00_3788;

																{	/* Coerce/coerce.scm 356 */
																	long BgL_idxz00_3789;

																	BgL_idxz00_3789 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_3786);
																	BgL_arg1822z00_3787 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3789 + ((long) 2))) ==
																		BgL_classz00_3785);
																}
																{	/* Coerce/coerce.scm 356 */
																	bool_t BgL_res2094z00_3792;

																	{	/* Coerce/coerce.scm 356 */
																		obj_t BgL_oclassz00_3793;

																		{	/* Coerce/coerce.scm 356 */
																			long BgL_arg1833z00_3794;

																			{	/* Coerce/coerce.scm 356 */
																				long BgL_arg1834z00_3795;

																				BgL_arg1834z00_3795 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_3786);
																				BgL_arg1833z00_3794 =
																					(BgL_arg1834z00_3795 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3793 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_3794);
																		}
																		{	/* Coerce/coerce.scm 356 */
																			bool_t BgL__ortest_1110z00_3796;

																			BgL__ortest_1110z00_3796 =
																				(BgL_classz00_3785 ==
																				BgL_oclassz00_3793);
																			if (BgL__ortest_1110z00_3796)
																				{	/* Coerce/coerce.scm 356 */
																					BgL_res2094z00_3792 =
																						BgL__ortest_1110z00_3796;
																				}
																			else
																				{	/* Coerce/coerce.scm 356 */
																					long BgL_odepthz00_3797;

																					BgL_odepthz00_3797 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_3793);
																					if ((((long) 2) < BgL_odepthz00_3797))
																						{	/* Coerce/coerce.scm 356 */
																							obj_t BgL_arg1821z00_3798;

																							BgL_arg1821z00_3798 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_3793,
																								((long) 2));
																							BgL_res2094z00_3792 =
																								(BgL_arg1821z00_3798 ==
																								BgL_classz00_3785);
																						}
																					else
																						{	/* Coerce/coerce.scm 356 */
																							BgL_res2094z00_3792 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_3788 = BgL_res2094z00_3792;
																}
																BgL_test2225z00_4667 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_3787,
																	BgL_arg1823z00_3788);
															}
														}
													else
														{	/* Coerce/coerce.scm 356 */
															BgL_test2225z00_4667 = ((bool_t) 0);
														}
												}
											}
											if (BgL_test2225z00_4667)
												{	/* Coerce/coerce.scm 357 */
													obj_t BgL_arg1916z00_3799;

													{	/* Coerce/coerce.scm 357 */
														obj_t BgL_pairz00_3800;

														BgL_pairz00_3800 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_3780)))->
															BgL_argsz00);
														BgL_arg1916z00_3799 = CAR(BgL_pairz00_3800);
													}
													BgL_typevz00_3782 =
														((obj_t)
														BGl_getzd2typezd2zztype_typeofz00(
															((BgL_nodez00_bglt) BgL_arg1916z00_3799),
															((bool_t) 0)));
												}
											else
												{	/* Coerce/coerce.scm 358 */
													bool_t BgL_test2229z00_4695;

													{	/* Coerce/coerce.scm 358 */
														obj_t BgL_arg1932z00_3801;

														{	/* Coerce/coerce.scm 358 */
															obj_t BgL_pairz00_3802;

															BgL_pairz00_3802 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_3780)))->
																BgL_argsz00);
															BgL_arg1932z00_3801 = CAR(BgL_pairz00_3802);
														}
														{	/* Coerce/coerce.scm 358 */
															obj_t BgL_classz00_3803;

															BgL_classz00_3803 = BGl_castz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_arg1932z00_3801))
																{	/* Coerce/coerce.scm 358 */
																	BgL_objectz00_bglt BgL_arg1825z00_3804;

																	BgL_arg1825z00_3804 =
																		(BgL_objectz00_bglt) (BgL_arg1932z00_3801);
																	{	/* Coerce/coerce.scm 358 */
																		bool_t BgL_arg1822z00_3805;
																		bool_t BgL_arg1823z00_3806;

																		{	/* Coerce/coerce.scm 358 */
																			long BgL_idxz00_3807;

																			BgL_idxz00_3807 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_3804);
																			BgL_arg1822z00_3805 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3807 + ((long) 2))) ==
																				BgL_classz00_3803);
																		}
																		{	/* Coerce/coerce.scm 358 */
																			bool_t BgL_res2095z00_3810;

																			{	/* Coerce/coerce.scm 358 */
																				obj_t BgL_oclassz00_3811;

																				{	/* Coerce/coerce.scm 358 */
																					long BgL_arg1833z00_3812;

																					{	/* Coerce/coerce.scm 358 */
																						long BgL_arg1834z00_3813;

																						BgL_arg1834z00_3813 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_3804);
																						BgL_arg1833z00_3812 =
																							(BgL_arg1834z00_3813 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3811 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_3812);
																				}
																				{	/* Coerce/coerce.scm 358 */
																					bool_t BgL__ortest_1110z00_3814;

																					BgL__ortest_1110z00_3814 =
																						(BgL_classz00_3803 ==
																						BgL_oclassz00_3811);
																					if (BgL__ortest_1110z00_3814)
																						{	/* Coerce/coerce.scm 358 */
																							BgL_res2095z00_3810 =
																								BgL__ortest_1110z00_3814;
																						}
																					else
																						{	/* Coerce/coerce.scm 358 */
																							long BgL_odepthz00_3815;

																							BgL_odepthz00_3815 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_3811);
																							if ((((long) 2) <
																									BgL_odepthz00_3815))
																								{	/* Coerce/coerce.scm 358 */
																									obj_t BgL_arg1821z00_3816;

																									BgL_arg1821z00_3816 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_3811,
																										((long) 2));
																									BgL_res2095z00_3810 =
																										(BgL_arg1821z00_3816 ==
																										BgL_classz00_3803);
																								}
																							else
																								{	/* Coerce/coerce.scm 358 */
																									BgL_res2095z00_3810 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_3806 = BgL_res2095z00_3810;
																		}
																		BgL_test2229z00_4695 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_3805,
																			BgL_arg1823z00_3806);
																	}
																}
															else
																{	/* Coerce/coerce.scm 358 */
																	BgL_test2229z00_4695 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test2229z00_4695)
														{	/* Coerce/coerce.scm 359 */
															BgL_castz00_bglt BgL_i1136z00_3817;

															{	/* Coerce/coerce.scm 359 */
																obj_t BgL_pairz00_3818;

																BgL_pairz00_3818 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_3780)))->
																	BgL_argsz00);
																BgL_i1136z00_3817 =
																	((BgL_castz00_bglt) CAR(BgL_pairz00_3818));
															}
															{	/* Coerce/coerce.scm 360 */
																bool_t BgL_test2233z00_4721;

																{	/* Coerce/coerce.scm 360 */
																	bool_t BgL_test2234z00_4722;

																	{	/* Coerce/coerce.scm 360 */
																		BgL_typez00_bglt BgL_arg1930z00_3819;

																		BgL_arg1930z00_3819 =
																			(((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_i1136z00_3817)))->BgL_typez00);
																		BgL_test2234z00_4722 =
																			(((obj_t) BgL_arg1930z00_3819) ==
																			BGl_za2objza2z00zztype_cachez00);
																	}
																	if (BgL_test2234z00_4722)
																		{	/* Coerce/coerce.scm 360 */
																			BgL_nodez00_bglt BgL_arg1929z00_3820;

																			BgL_arg1929z00_3820 =
																				(((BgL_castz00_bglt)
																					COBJECT(BgL_i1136z00_3817))->
																				BgL_argz00);
																			{	/* Coerce/coerce.scm 360 */
																				obj_t BgL_classz00_3821;

																				BgL_classz00_3821 =
																					BGl_varz00zzast_nodez00;
																				{	/* Coerce/coerce.scm 360 */
																					BgL_objectz00_bglt
																						BgL_arg1825z00_3822;
																					{	/* Coerce/coerce.scm 360 */
																						obj_t BgL_tmpz00_4728;

																						BgL_tmpz00_4728 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_arg1929z00_3820));
																						BgL_arg1825z00_3822 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_4728);
																					}
																					{	/* Coerce/coerce.scm 360 */
																						bool_t BgL_arg1822z00_3823;
																						bool_t BgL_arg1823z00_3824;

																						{	/* Coerce/coerce.scm 360 */
																							long BgL_idxz00_3825;

																							BgL_idxz00_3825 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1825z00_3822);
																							BgL_arg1822z00_3823 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_3825 +
																										((long) 2))) ==
																								BgL_classz00_3821);
																						}
																						{	/* Coerce/coerce.scm 360 */
																							bool_t BgL_res2096z00_3828;

																							{	/* Coerce/coerce.scm 360 */
																								obj_t BgL_oclassz00_3829;

																								{	/* Coerce/coerce.scm 360 */
																									long BgL_arg1833z00_3830;

																									{	/* Coerce/coerce.scm 360 */
																										long BgL_arg1834z00_3831;

																										BgL_arg1834z00_3831 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1825z00_3822);
																										BgL_arg1833z00_3830 =
																											(BgL_arg1834z00_3831 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_3829 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1833z00_3830);
																								}
																								{	/* Coerce/coerce.scm 360 */
																									bool_t
																										BgL__ortest_1110z00_3832;
																									BgL__ortest_1110z00_3832 =
																										(BgL_classz00_3821 ==
																										BgL_oclassz00_3829);
																									if (BgL__ortest_1110z00_3832)
																										{	/* Coerce/coerce.scm 360 */
																											BgL_res2096z00_3828 =
																												BgL__ortest_1110z00_3832;
																										}
																									else
																										{	/* Coerce/coerce.scm 360 */
																											long BgL_odepthz00_3833;

																											BgL_odepthz00_3833 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_3829);
																											if ((((long) 2) <
																													BgL_odepthz00_3833))
																												{	/* Coerce/coerce.scm 360 */
																													obj_t
																														BgL_arg1821z00_3834;
																													BgL_arg1821z00_3834 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_3829,
																														((long) 2));
																													BgL_res2096z00_3828 =
																														(BgL_arg1821z00_3834
																														==
																														BgL_classz00_3821);
																												}
																											else
																												{	/* Coerce/coerce.scm 360 */
																													BgL_res2096z00_3828 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_arg1823z00_3824 =
																								BgL_res2096z00_3828;
																						}
																						BgL_test2233z00_4721 =
																							BGL_ISA_C_BACKEND
																							(BgL_arg1822z00_3823,
																							BgL_arg1823z00_3824);
																					}
																				}
																			}
																		}
																	else
																		{	/* Coerce/coerce.scm 360 */
																			BgL_test2233z00_4721 = ((bool_t) 0);
																		}
																}
																if (BgL_test2233z00_4721)
																	{	/* Coerce/coerce.scm 361 */
																		BgL_nodez00_bglt BgL_arg1927z00_3835;

																		BgL_arg1927z00_3835 =
																			(((BgL_castz00_bglt)
																				COBJECT(BgL_i1136z00_3817))->
																			BgL_argz00);
																		BgL_typevz00_3782 =
																			((obj_t)
																			BGl_getzd2typezd2zztype_typeofz00
																			(BgL_arg1927z00_3835, ((bool_t) 0)));
																	}
																else
																	{	/* Coerce/coerce.scm 360 */
																		BgL_typevz00_3782 = BFALSE;
																	}
															}
														}
													else
														{	/* Coerce/coerce.scm 358 */
															BgL_typevz00_3782 = BFALSE;
														}
												}
										}
										{	/* Coerce/coerce.scm 363 */
											bool_t BgL_test2237z00_4750;

											{	/* Coerce/coerce.scm 363 */
												obj_t BgL_classz00_3836;

												BgL_classz00_3836 = BGl_typez00zztype_typez00;
												if (BGL_OBJECTP(BgL_typevz00_3782))
													{	/* Coerce/coerce.scm 363 */
														BgL_objectz00_bglt BgL_arg1825z00_3837;

														BgL_arg1825z00_3837 =
															(BgL_objectz00_bglt) (BgL_typevz00_3782);
														{	/* Coerce/coerce.scm 363 */
															bool_t BgL_arg1822z00_3838;
															bool_t BgL_arg1823z00_3839;

															{	/* Coerce/coerce.scm 363 */
																long BgL_idxz00_3840;

																BgL_idxz00_3840 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_3837);
																BgL_arg1822z00_3838 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3840 + ((long) 1))) ==
																	BgL_classz00_3836);
															}
															{	/* Coerce/coerce.scm 363 */
																bool_t BgL_res2097z00_3843;

																{	/* Coerce/coerce.scm 363 */
																	obj_t BgL_oclassz00_3844;

																	{	/* Coerce/coerce.scm 363 */
																		long BgL_arg1833z00_3845;

																		{	/* Coerce/coerce.scm 363 */
																			long BgL_arg1834z00_3846;

																			BgL_arg1834z00_3846 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_3837);
																			BgL_arg1833z00_3845 =
																				(BgL_arg1834z00_3846 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3844 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_3845);
																	}
																	{	/* Coerce/coerce.scm 363 */
																		bool_t BgL__ortest_1110z00_3847;

																		BgL__ortest_1110z00_3847 =
																			(BgL_classz00_3836 == BgL_oclassz00_3844);
																		if (BgL__ortest_1110z00_3847)
																			{	/* Coerce/coerce.scm 363 */
																				BgL_res2097z00_3843 =
																					BgL__ortest_1110z00_3847;
																			}
																		else
																			{	/* Coerce/coerce.scm 363 */
																				long BgL_odepthz00_3848;

																				BgL_odepthz00_3848 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_3844);
																				if ((((long) 1) < BgL_odepthz00_3848))
																					{	/* Coerce/coerce.scm 363 */
																						obj_t BgL_arg1821z00_3849;

																						BgL_arg1821z00_3849 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_3844, ((long) 1));
																						BgL_res2097z00_3843 =
																							(BgL_arg1821z00_3849 ==
																							BgL_classz00_3836);
																					}
																				else
																					{	/* Coerce/coerce.scm 363 */
																						BgL_res2097z00_3843 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_3839 = BgL_res2097z00_3843;
															}
															BgL_test2237z00_4750 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_3838,
																BgL_arg1823z00_3839);
														}
													}
												else
													{	/* Coerce/coerce.scm 363 */
														BgL_test2237z00_4750 = ((bool_t) 0);
													}
											}
											if (BgL_test2237z00_4750)
												{	/* Coerce/coerce.scm 363 */
													if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(
															((BgL_typez00_bglt) BgL_typecz00_3781),
															((BgL_typez00_bglt) BgL_typevz00_3782)))
														{	/* Coerce/coerce.scm 365 */
															BgL_casezd2valuezd2_3964 =
																CNST_TABLE_REF(((long) 1));
														}
													else
														{	/* Coerce/coerce.scm 365 */
															if (BGl_typezd2disjointzf3z21zztype_miscz00(
																	((BgL_typez00_bglt) BgL_typecz00_3781),
																	((BgL_typez00_bglt) BgL_typevz00_3782)))
																{	/* Coerce/coerce.scm 367 */
																	BgL_casezd2valuezd2_3964 =
																		CNST_TABLE_REF(((long) 2));
																}
															else
																{	/* Coerce/coerce.scm 367 */
																	BgL_casezd2valuezd2_3964 = BFALSE;
																}
														}
												}
											else
												{	/* Coerce/coerce.scm 363 */
													BgL_casezd2valuezd2_3964 = BFALSE;
												}
										}
									}
								}
							else
								{	/* Coerce/coerce.scm 377 */
									bool_t BgL_test2243z00_4779;

									{	/* Coerce/coerce.scm 377 */
										obj_t BgL_classz00_3752;

										BgL_classz00_3752 = BGl_appz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_nodez00_3750))
											{	/* Coerce/coerce.scm 377 */
												BgL_objectz00_bglt BgL_arg1825z00_3753;

												BgL_arg1825z00_3753 =
													(BgL_objectz00_bglt) (BgL_nodez00_3750);
												{	/* Coerce/coerce.scm 377 */
													bool_t BgL_arg1822z00_3754;
													bool_t BgL_arg1823z00_3755;

													{	/* Coerce/coerce.scm 377 */
														long BgL_idxz00_3756;

														BgL_idxz00_3756 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3753);
														BgL_arg1822z00_3754 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3756 + ((long) 3))) ==
															BgL_classz00_3752);
													}
													{	/* Coerce/coerce.scm 377 */
														bool_t BgL_res2098z00_3759;

														{	/* Coerce/coerce.scm 377 */
															obj_t BgL_oclassz00_3760;

															{	/* Coerce/coerce.scm 377 */
																long BgL_arg1833z00_3761;

																{	/* Coerce/coerce.scm 377 */
																	long BgL_arg1834z00_3762;

																	BgL_arg1834z00_3762 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3753);
																	BgL_arg1833z00_3761 =
																		(BgL_arg1834z00_3762 - OBJECT_TYPE);
																}
																BgL_oclassz00_3760 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3761);
															}
															{	/* Coerce/coerce.scm 377 */
																bool_t BgL__ortest_1110z00_3763;

																BgL__ortest_1110z00_3763 =
																	(BgL_classz00_3752 == BgL_oclassz00_3760);
																if (BgL__ortest_1110z00_3763)
																	{	/* Coerce/coerce.scm 377 */
																		BgL_res2098z00_3759 =
																			BgL__ortest_1110z00_3763;
																	}
																else
																	{	/* Coerce/coerce.scm 377 */
																		long BgL_odepthz00_3764;

																		BgL_odepthz00_3764 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3760);
																		if ((((long) 3) < BgL_odepthz00_3764))
																			{	/* Coerce/coerce.scm 377 */
																				obj_t BgL_arg1821z00_3765;

																				BgL_arg1821z00_3765 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3760, ((long) 3));
																				BgL_res2098z00_3759 =
																					(BgL_arg1821z00_3765 ==
																					BgL_classz00_3752);
																			}
																		else
																			{	/* Coerce/coerce.scm 377 */
																				BgL_res2098z00_3759 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3755 = BgL_res2098z00_3759;
													}
													BgL_test2243z00_4779 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3754,
														BgL_arg1823z00_3755);
												}
											}
										else
											{	/* Coerce/coerce.scm 377 */
												BgL_test2243z00_4779 = ((bool_t) 0);
											}
									}
									if (BgL_test2243z00_4779)
										{	/* Coerce/coerce.scm 377 */
											BgL_nodez00_3941 = BgL_nodez00_3750;
											{	/* Coerce/coerce.scm 291 */
												bool_t BgL_test2247z00_4798;

												{	/* Coerce/coerce.scm 291 */
													obj_t BgL_tmpz00_4799;

													BgL_tmpz00_4799 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_3941)))->
														BgL_argsz00);
													BgL_test2247z00_4798 = PAIRP(BgL_tmpz00_4799);
												}
												if (BgL_test2247z00_4798)
													{	/* Coerce/coerce.scm 292 */
														bool_t BgL_test2248z00_4803;

														{	/* Coerce/coerce.scm 292 */
															obj_t BgL_tmpz00_4804;

															{	/* Coerce/coerce.scm 292 */
																obj_t BgL_pairz00_3942;

																BgL_pairz00_3942 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_3941)))->
																	BgL_argsz00);
																BgL_tmpz00_4804 = CDR(BgL_pairz00_3942);
															}
															BgL_test2248z00_4803 = NULLP(BgL_tmpz00_4804);
														}
														if (BgL_test2248z00_4803)
															{	/* Coerce/coerce.scm 293 */
																bool_t BgL_test2249z00_4809;

																{	/* Coerce/coerce.scm 293 */
																	obj_t BgL_arg1777z00_3943;

																	{	/* Coerce/coerce.scm 293 */
																		obj_t BgL_pairz00_3944;

																		BgL_pairz00_3944 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_3941)))->BgL_argsz00);
																		BgL_arg1777z00_3943 = CAR(BgL_pairz00_3944);
																	}
																	BgL_test2249z00_4809 =
																		BGl_sidezd2effectzf3z21zzeffect_effectz00(
																		((BgL_nodez00_bglt) BgL_arg1777z00_3943));
																}
																if (BgL_test2249z00_4809)
																	{	/* Coerce/coerce.scm 293 */
																		BgL_casezd2valuezd2_3964 = BFALSE;
																	}
																else
																	{	/* Coerce/coerce.scm 294 */
																		obj_t BgL_typecz00_3945;

																		BgL_typecz00_3945 =
																			BGl_appzd2predicatezd2ofz00zztype_miscz00(
																			((BgL_appz00_bglt) BgL_nodez00_3941));
																		{	/* Coerce/coerce.scm 294 */
																			BgL_typez00_bglt BgL_typevz00_3946;

																			{	/* Coerce/coerce.scm 295 */
																				obj_t BgL_arg1770z00_3947;

																				{	/* Coerce/coerce.scm 295 */
																					obj_t BgL_pairz00_3948;

																					BgL_pairz00_3948 =
																						(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_nodez00_3941)))->
																						BgL_argsz00);
																					BgL_arg1770z00_3947 =
																						CAR(BgL_pairz00_3948);
																				}
																				BgL_typevz00_3946 =
																					BGl_getzd2typezd2zztype_typeofz00(
																					((BgL_nodez00_bglt)
																						BgL_arg1770z00_3947), ((bool_t) 0));
																			}
																			{	/* Coerce/coerce.scm 295 */

																				{	/* Coerce/coerce.scm 297 */
																					bool_t BgL_test2250z00_4822;

																					{	/* Coerce/coerce.scm 297 */
																						obj_t BgL_classz00_3949;

																						BgL_classz00_3949 =
																							BGl_typez00zztype_typez00;
																						if (BGL_OBJECTP(BgL_typecz00_3945))
																							{	/* Coerce/coerce.scm 297 */
																								BgL_objectz00_bglt
																									BgL_arg1825z00_3950;
																								BgL_arg1825z00_3950 =
																									(BgL_objectz00_bglt)
																									(BgL_typecz00_3945);
																								{	/* Coerce/coerce.scm 297 */
																									bool_t BgL_arg1822z00_3951;
																									bool_t BgL_arg1823z00_3952;

																									{	/* Coerce/coerce.scm 297 */
																										long BgL_idxz00_3953;

																										BgL_idxz00_3953 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1825z00_3950);
																										BgL_arg1822z00_3951 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_3953 +
																													((long) 1))) ==
																											BgL_classz00_3949);
																									}
																									{	/* Coerce/coerce.scm 297 */
																										bool_t BgL_res2088z00_3956;

																										{	/* Coerce/coerce.scm 297 */
																											obj_t BgL_oclassz00_3957;

																											{	/* Coerce/coerce.scm 297 */
																												long
																													BgL_arg1833z00_3958;
																												{	/* Coerce/coerce.scm 297 */
																													long
																														BgL_arg1834z00_3959;
																													BgL_arg1834z00_3959 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1825z00_3950);
																													BgL_arg1833z00_3958 =
																														(BgL_arg1834z00_3959
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_3957 =
																													VECTOR_REF
																													(BGl_za2classesza2z00zz__objectz00,
																													BgL_arg1833z00_3958);
																											}
																											{	/* Coerce/coerce.scm 297 */
																												bool_t
																													BgL__ortest_1110z00_3960;
																												BgL__ortest_1110z00_3960
																													=
																													(BgL_classz00_3949 ==
																													BgL_oclassz00_3957);
																												if (BgL__ortest_1110z00_3960)
																													{	/* Coerce/coerce.scm 297 */
																														BgL_res2088z00_3956
																															=
																															BgL__ortest_1110z00_3960;
																													}
																												else
																													{	/* Coerce/coerce.scm 297 */
																														long
																															BgL_odepthz00_3961;
																														BgL_odepthz00_3961 =
																															BGL_CLASS_DEPTH
																															(BgL_oclassz00_3957);
																														if ((((long) 1) <
																																BgL_odepthz00_3961))
																															{	/* Coerce/coerce.scm 297 */
																																obj_t
																																	BgL_arg1821z00_3962;
																																BgL_arg1821z00_3962
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_oclassz00_3957,
																																	((long) 1));
																																BgL_res2088z00_3956
																																	=
																																	(BgL_arg1821z00_3962
																																	==
																																	BgL_classz00_3949);
																															}
																														else
																															{	/* Coerce/coerce.scm 297 */
																																BgL_res2088z00_3956
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_arg1823z00_3952 =
																											BgL_res2088z00_3956;
																									}
																									BgL_test2250z00_4822 =
																										BGL_ISA_C_BACKEND
																										(BgL_arg1822z00_3951,
																										BgL_arg1823z00_3952);
																								}
																							}
																						else
																							{	/* Coerce/coerce.scm 297 */
																								BgL_test2250z00_4822 =
																									((bool_t) 0);
																							}
																					}
																					if (BgL_test2250z00_4822)
																						{	/* Coerce/coerce.scm 297 */
																							if (
																								(((obj_t) BgL_typevz00_3946) ==
																									BGl_za2objza2z00zztype_cachez00))
																								{	/* Coerce/coerce.scm 300 */
																									BgL_casezd2valuezd2_3964 =
																										BFALSE;
																								}
																							else
																								{	/* Coerce/coerce.scm 300 */
																									if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_3945), BgL_typevz00_3946))
																										{	/* Coerce/coerce.scm 303 */
																											BgL_casezd2valuezd2_3964 =
																												CNST_TABLE_REF(((long)
																													1));
																										}
																									else
																										{	/* Coerce/coerce.scm 303 */
																											if (BGl_typezd2disjointzf3z21zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_3945), BgL_typevz00_3946))
																												{	/* Coerce/coerce.scm 305 */
																													BgL_casezd2valuezd2_3964
																														=
																														CNST_TABLE_REF((
																															(long) 2));
																												}
																											else
																												{	/* Coerce/coerce.scm 305 */
																													BgL_casezd2valuezd2_3964
																														= BFALSE;
																												}
																										}
																								}
																						}
																					else
																						{	/* Coerce/coerce.scm 297 */
																							BgL_casezd2valuezd2_3964 = BFALSE;
																						}
																				}
																			}
																		}
																	}
															}
														else
															{	/* Coerce/coerce.scm 292 */
																BgL_casezd2valuezd2_3964 = BFALSE;
															}
													}
												else
													{	/* Coerce/coerce.scm 291 */
														BgL_casezd2valuezd2_3964 = BFALSE;
													}
											}
										}
									else
										{	/* Coerce/coerce.scm 379 */
											bool_t BgL_test2257z00_4852;

											{	/* Coerce/coerce.scm 379 */
												obj_t BgL_classz00_3766;

												BgL_classz00_3766 = BGl_letzd2varzd2zzast_nodez00;
												if (BGL_OBJECTP(BgL_nodez00_3750))
													{	/* Coerce/coerce.scm 379 */
														BgL_objectz00_bglt BgL_arg1825z00_3767;

														BgL_arg1825z00_3767 =
															(BgL_objectz00_bglt) (BgL_nodez00_3750);
														{	/* Coerce/coerce.scm 379 */
															bool_t BgL_arg1822z00_3768;
															bool_t BgL_arg1823z00_3769;

															{	/* Coerce/coerce.scm 379 */
																long BgL_idxz00_3770;

																BgL_idxz00_3770 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_3767);
																BgL_arg1822z00_3768 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3770 + ((long) 3))) ==
																	BgL_classz00_3766);
															}
															{	/* Coerce/coerce.scm 379 */
																bool_t BgL_res2099z00_3773;

																{	/* Coerce/coerce.scm 379 */
																	obj_t BgL_oclassz00_3774;

																	{	/* Coerce/coerce.scm 379 */
																		long BgL_arg1833z00_3775;

																		{	/* Coerce/coerce.scm 379 */
																			long BgL_arg1834z00_3776;

																			BgL_arg1834z00_3776 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_3767);
																			BgL_arg1833z00_3775 =
																				(BgL_arg1834z00_3776 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3774 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_3775);
																	}
																	{	/* Coerce/coerce.scm 379 */
																		bool_t BgL__ortest_1110z00_3777;

																		BgL__ortest_1110z00_3777 =
																			(BgL_classz00_3766 == BgL_oclassz00_3774);
																		if (BgL__ortest_1110z00_3777)
																			{	/* Coerce/coerce.scm 379 */
																				BgL_res2099z00_3773 =
																					BgL__ortest_1110z00_3777;
																			}
																		else
																			{	/* Coerce/coerce.scm 379 */
																				long BgL_odepthz00_3778;

																				BgL_odepthz00_3778 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_3774);
																				if ((((long) 3) < BgL_odepthz00_3778))
																					{	/* Coerce/coerce.scm 379 */
																						obj_t BgL_arg1821z00_3779;

																						BgL_arg1821z00_3779 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_3774, ((long) 3));
																						BgL_res2099z00_3773 =
																							(BgL_arg1821z00_3779 ==
																							BgL_classz00_3766);
																					}
																				else
																					{	/* Coerce/coerce.scm 379 */
																						BgL_res2099z00_3773 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_3769 = BgL_res2099z00_3773;
															}
															BgL_test2257z00_4852 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_3768,
																BgL_arg1823z00_3769);
														}
													}
												else
													{	/* Coerce/coerce.scm 379 */
														BgL_test2257z00_4852 = ((bool_t) 0);
													}
											}
											if (BgL_test2257z00_4852)
												{	/* Coerce/coerce.scm 379 */
													BgL_nodez00_3850 = BgL_nodez00_3750;
													{	/* Coerce/coerce.scm 311 */
														bool_t BgL_test2261z00_4871;

														{	/* Coerce/coerce.scm 311 */
															bool_t BgL_test2262z00_4872;

															{	/* Coerce/coerce.scm 311 */
																obj_t BgL_tmpz00_4873;

																BgL_tmpz00_4873 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_3850)))->BgL_bindingsz00);
																BgL_test2262z00_4872 = PAIRP(BgL_tmpz00_4873);
															}
															if (BgL_test2262z00_4872)
																{	/* Coerce/coerce.scm 311 */
																	obj_t BgL_tmpz00_4877;

																	{	/* Coerce/coerce.scm 311 */
																		obj_t BgL_pairz00_3851;

																		BgL_pairz00_3851 =
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_3850)))->
																			BgL_bindingsz00);
																		BgL_tmpz00_4877 = CDR(BgL_pairz00_3851);
																	}
																	BgL_test2261z00_4871 = NULLP(BgL_tmpz00_4877);
																}
															else
																{	/* Coerce/coerce.scm 311 */
																	BgL_test2261z00_4871 = ((bool_t) 0);
																}
														}
														if (BgL_test2261z00_4871)
															{	/* Coerce/coerce.scm 313 */
																bool_t BgL_test2263z00_4882;

																{	/* Coerce/coerce.scm 313 */
																	BgL_nodez00_bglt BgL_arg1905z00_3852;

																	BgL_arg1905z00_3852 =
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																				((BgL_letzd2varzd2_bglt)
																					BgL_nodez00_3850)))->BgL_bodyz00);
																	{	/* Coerce/coerce.scm 313 */
																		obj_t BgL_classz00_3853;

																		BgL_classz00_3853 = BGl_appz00zzast_nodez00;
																		{	/* Coerce/coerce.scm 313 */
																			BgL_objectz00_bglt BgL_arg1825z00_3854;

																			{	/* Coerce/coerce.scm 313 */
																				obj_t BgL_tmpz00_4885;

																				BgL_tmpz00_4885 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_arg1905z00_3852));
																				BgL_arg1825z00_3854 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_4885);
																			}
																			{	/* Coerce/coerce.scm 313 */
																				bool_t BgL_arg1822z00_3855;
																				bool_t BgL_arg1823z00_3856;

																				{	/* Coerce/coerce.scm 313 */
																					long BgL_idxz00_3857;

																					BgL_idxz00_3857 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_3854);
																					BgL_arg1822z00_3855 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_3857 + ((long) 3))) ==
																						BgL_classz00_3853);
																				}
																				{	/* Coerce/coerce.scm 313 */
																					bool_t BgL_res2089z00_3860;

																					{	/* Coerce/coerce.scm 313 */
																						obj_t BgL_oclassz00_3861;

																						{	/* Coerce/coerce.scm 313 */
																							long BgL_arg1833z00_3862;

																							{	/* Coerce/coerce.scm 313 */
																								long BgL_arg1834z00_3863;

																								BgL_arg1834z00_3863 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_3854);
																								BgL_arg1833z00_3862 =
																									(BgL_arg1834z00_3863 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_3861 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_3862);
																						}
																						{	/* Coerce/coerce.scm 313 */
																							bool_t BgL__ortest_1110z00_3864;

																							BgL__ortest_1110z00_3864 =
																								(BgL_classz00_3853 ==
																								BgL_oclassz00_3861);
																							if (BgL__ortest_1110z00_3864)
																								{	/* Coerce/coerce.scm 313 */
																									BgL_res2089z00_3860 =
																										BgL__ortest_1110z00_3864;
																								}
																							else
																								{	/* Coerce/coerce.scm 313 */
																									long BgL_odepthz00_3865;

																									BgL_odepthz00_3865 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_3861);
																									if ((((long) 3) <
																											BgL_odepthz00_3865))
																										{	/* Coerce/coerce.scm 313 */
																											obj_t BgL_arg1821z00_3866;

																											BgL_arg1821z00_3866 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_3861,
																												((long) 3));
																											BgL_res2089z00_3860 =
																												(BgL_arg1821z00_3866 ==
																												BgL_classz00_3853);
																										}
																									else
																										{	/* Coerce/coerce.scm 313 */
																											BgL_res2089z00_3860 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_3856 =
																						BgL_res2089z00_3860;
																				}
																				BgL_test2263z00_4882 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_3855,
																					BgL_arg1823z00_3856);
																			}
																		}
																	}
																}
																if (BgL_test2263z00_4882)
																	{	/* Coerce/coerce.scm 314 */
																		obj_t BgL_varz00_3867;

																		{	/* Coerce/coerce.scm 314 */
																			obj_t BgL_argsz00_3868;

																			BgL_argsz00_3868 =
																				(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							(((BgL_letzd2varzd2_bglt) COBJECT(
																										((BgL_letzd2varzd2_bglt)
																											BgL_nodez00_3850)))->
																								BgL_bodyz00))))->BgL_argsz00);
																			if (PAIRP(BgL_argsz00_3868))
																				{	/* Coerce/coerce.scm 318 */
																					bool_t BgL_test2267z00_4910;

																					if (NULLP(CDR(BgL_argsz00_3868)))
																						{	/* Coerce/coerce.scm 318 */
																							obj_t BgL_arg1882z00_3869;

																							BgL_arg1882z00_3869 =
																								CAR(BgL_argsz00_3868);
																							{	/* Coerce/coerce.scm 318 */
																								obj_t BgL_classz00_3870;

																								BgL_classz00_3870 =
																									BGl_varz00zzast_nodez00;
																								if (BGL_OBJECTP
																									(BgL_arg1882z00_3869))
																									{	/* Coerce/coerce.scm 318 */
																										BgL_objectz00_bglt
																											BgL_arg1825z00_3871;
																										BgL_arg1825z00_3871 =
																											(BgL_objectz00_bglt)
																											(BgL_arg1882z00_3869);
																										{	/* Coerce/coerce.scm 318 */
																											bool_t
																												BgL_arg1822z00_3872;
																											bool_t
																												BgL_arg1823z00_3873;
																											{	/* Coerce/coerce.scm 318 */
																												long BgL_idxz00_3874;

																												BgL_idxz00_3874 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1825z00_3871);
																												BgL_arg1822z00_3872 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_3874 +
																															((long) 2))) ==
																													BgL_classz00_3870);
																											}
																											{	/* Coerce/coerce.scm 318 */
																												bool_t
																													BgL_res2090z00_3877;
																												{	/* Coerce/coerce.scm 318 */
																													obj_t
																														BgL_oclassz00_3878;
																													{	/* Coerce/coerce.scm 318 */
																														long
																															BgL_arg1833z00_3879;
																														{	/* Coerce/coerce.scm 318 */
																															long
																																BgL_arg1834z00_3880;
																															BgL_arg1834z00_3880
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1825z00_3871);
																															BgL_arg1833z00_3879
																																=
																																(BgL_arg1834z00_3880
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_3878 =
																															VECTOR_REF
																															(BGl_za2classesza2z00zz__objectz00,
																															BgL_arg1833z00_3879);
																													}
																													{	/* Coerce/coerce.scm 318 */
																														bool_t
																															BgL__ortest_1110z00_3881;
																														BgL__ortest_1110z00_3881
																															=
																															(BgL_classz00_3870
																															==
																															BgL_oclassz00_3878);
																														if (BgL__ortest_1110z00_3881)
																															{	/* Coerce/coerce.scm 318 */
																																BgL_res2090z00_3877
																																	=
																																	BgL__ortest_1110z00_3881;
																															}
																														else
																															{	/* Coerce/coerce.scm 318 */
																																long
																																	BgL_odepthz00_3882;
																																BgL_odepthz00_3882
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_oclassz00_3878);
																																if ((((long) 2)
																																		<
																																		BgL_odepthz00_3882))
																																	{	/* Coerce/coerce.scm 318 */
																																		obj_t
																																			BgL_arg1821z00_3883;
																																		BgL_arg1821z00_3883
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_oclassz00_3878,
																																			((long)
																																				2));
																																		BgL_res2090z00_3877
																																			=
																																			(BgL_arg1821z00_3883
																																			==
																																			BgL_classz00_3870);
																																	}
																																else
																																	{	/* Coerce/coerce.scm 318 */
																																		BgL_res2090z00_3877
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_arg1823z00_3873 =
																													BgL_res2090z00_3877;
																											}
																											BgL_test2267z00_4910 =
																												BGL_ISA_C_BACKEND
																												(BgL_arg1822z00_3872,
																												BgL_arg1823z00_3873);
																										}
																									}
																								else
																									{	/* Coerce/coerce.scm 318 */
																										BgL_test2267z00_4910 =
																											((bool_t) 0);
																									}
																							}
																						}
																					else
																						{	/* Coerce/coerce.scm 318 */
																							BgL_test2267z00_4910 =
																								((bool_t) 0);
																						}
																					if (BgL_test2267z00_4910)
																						{	/* Coerce/coerce.scm 318 */
																							BgL_varz00_3867 =
																								((obj_t)
																								(((BgL_varz00_bglt) COBJECT(
																											((BgL_varz00_bglt)
																												CAR
																												(BgL_argsz00_3868))))->
																									BgL_variablez00));
																						}
																					else
																						{	/* Coerce/coerce.scm 321 */
																							bool_t BgL_test2272z00_4937;

																							{	/* Coerce/coerce.scm 321 */
																								obj_t BgL_tmpz00_4938;

																								BgL_tmpz00_4938 =
																									CDR(BgL_argsz00_3868);
																								BgL_test2272z00_4937 =
																									PAIRP(BgL_tmpz00_4938);
																							}
																							if (BgL_test2272z00_4937)
																								{	/* Coerce/coerce.scm 323 */
																									bool_t BgL_test2273z00_4941;

																									if (NULLP(CDR(CDR
																												(BgL_argsz00_3868))))
																										{	/* Coerce/coerce.scm 323 */
																											obj_t BgL_arg1877z00_3884;

																											BgL_arg1877z00_3884 =
																												CAR(BgL_argsz00_3868);
																											{	/* Coerce/coerce.scm 323 */
																												obj_t BgL_classz00_3885;

																												BgL_classz00_3885 =
																													BGl_varz00zzast_nodez00;
																												if (BGL_OBJECTP
																													(BgL_arg1877z00_3884))
																													{	/* Coerce/coerce.scm 323 */
																														BgL_objectz00_bglt
																															BgL_arg1825z00_3886;
																														BgL_arg1825z00_3886
																															=
																															(BgL_objectz00_bglt)
																															(BgL_arg1877z00_3884);
																														{	/* Coerce/coerce.scm 323 */
																															bool_t
																																BgL_arg1822z00_3887;
																															bool_t
																																BgL_arg1823z00_3888;
																															{	/* Coerce/coerce.scm 323 */
																																long
																																	BgL_idxz00_3889;
																																BgL_idxz00_3889
																																	=
																																	BGL_OBJECT_INHERITANCE_NUM
																																	(BgL_arg1825z00_3886);
																																BgL_arg1822z00_3887
																																	=
																																	(VECTOR_REF
																																	(BGl_za2inheritancesza2z00zz__objectz00,
																																		(BgL_idxz00_3889
																																			+
																																			((long)
																																				2))) ==
																																	BgL_classz00_3885);
																															}
																															{	/* Coerce/coerce.scm 323 */
																																bool_t
																																	BgL_res2091z00_3892;
																																{	/* Coerce/coerce.scm 323 */
																																	obj_t
																																		BgL_oclassz00_3893;
																																	{	/* Coerce/coerce.scm 323 */
																																		long
																																			BgL_arg1833z00_3894;
																																		{	/* Coerce/coerce.scm 323 */
																																			long
																																				BgL_arg1834z00_3895;
																																			BgL_arg1834z00_3895
																																				=
																																				BGL_OBJECT_CLASS_NUM
																																				(BgL_arg1825z00_3886);
																																			BgL_arg1833z00_3894
																																				=
																																				(BgL_arg1834z00_3895
																																				-
																																				OBJECT_TYPE);
																																		}
																																		BgL_oclassz00_3893
																																			=
																																			VECTOR_REF
																																			(BGl_za2classesza2z00zz__objectz00,
																																			BgL_arg1833z00_3894);
																																	}
																																	{	/* Coerce/coerce.scm 323 */
																																		bool_t
																																			BgL__ortest_1110z00_3896;
																																		BgL__ortest_1110z00_3896
																																			=
																																			(BgL_classz00_3885
																																			==
																																			BgL_oclassz00_3893);
																																		if (BgL__ortest_1110z00_3896)
																																			{	/* Coerce/coerce.scm 323 */
																																				BgL_res2091z00_3892
																																					=
																																					BgL__ortest_1110z00_3896;
																																			}
																																		else
																																			{	/* Coerce/coerce.scm 323 */
																																				long
																																					BgL_odepthz00_3897;
																																				BgL_odepthz00_3897
																																					=
																																					BGL_CLASS_DEPTH
																																					(BgL_oclassz00_3893);
																																				if ((((long) 2) < BgL_odepthz00_3897))
																																					{	/* Coerce/coerce.scm 323 */
																																						obj_t
																																							BgL_arg1821z00_3898;
																																						BgL_arg1821z00_3898
																																							=
																																							BGL_CLASS_ANCESTORS_REF
																																							(BgL_oclassz00_3893,
																																							((long) 2));
																																						BgL_res2091z00_3892
																																							=
																																							(BgL_arg1821z00_3898
																																							==
																																							BgL_classz00_3885);
																																					}
																																				else
																																					{	/* Coerce/coerce.scm 323 */
																																						BgL_res2091z00_3892
																																							=
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																	}
																																}
																																BgL_arg1823z00_3888
																																	=
																																	BgL_res2091z00_3892;
																															}
																															BgL_test2273z00_4941
																																=
																																BGL_ISA_C_BACKEND
																																(BgL_arg1822z00_3887,
																																BgL_arg1823z00_3888);
																														}
																													}
																												else
																													{	/* Coerce/coerce.scm 323 */
																														BgL_test2273z00_4941
																															= ((bool_t) 0);
																													}
																											}
																										}
																									else
																										{	/* Coerce/coerce.scm 323 */
																											BgL_test2273z00_4941 =
																												((bool_t) 0);
																										}
																									if (BgL_test2273z00_4941)
																										{	/* Coerce/coerce.scm 323 */
																											BgL_varz00_3867 =
																												((obj_t)
																												(((BgL_varz00_bglt)
																														COBJECT((
																																(BgL_varz00_bglt)
																																CAR
																																(BgL_argsz00_3868))))->
																													BgL_variablez00));
																										}
																									else
																										{	/* Coerce/coerce.scm 323 */
																											BgL_varz00_3867 = BFALSE;
																										}
																								}
																							else
																								{	/* Coerce/coerce.scm 321 */
																									BgL_varz00_3867 = BFALSE;
																								}
																						}
																				}
																			else
																				{	/* Coerce/coerce.scm 316 */
																					BgL_varz00_3867 = BFALSE;
																				}
																		}
																		{	/* Coerce/coerce.scm 314 */
																			obj_t BgL_typecz00_3899;

																			{	/* Coerce/coerce.scm 328 */
																				BgL_nodez00_bglt BgL_arg1855z00_3900;

																				BgL_arg1855z00_3900 =
																					(((BgL_letzd2varzd2_bglt) COBJECT(
																							((BgL_letzd2varzd2_bglt)
																								BgL_nodez00_3850)))->
																					BgL_bodyz00);
																				BgL_typecz00_3899 =
																					BGl_appzd2predicatezd2ofz00zztype_miscz00
																					(((BgL_appz00_bglt)
																						BgL_arg1855z00_3900));
																			}
																			{	/* Coerce/coerce.scm 328 */
																				BgL_typez00_bglt BgL_typepz00_3901;

																				{
																					BgL_variablez00_bglt BgL_auxz00_4973;

																					{	/* Coerce/coerce.scm 329 */
																						obj_t BgL_pairz00_3902;

																						{	/* Coerce/coerce.scm 329 */
																							obj_t BgL_pairz00_3903;

																							BgL_pairz00_3903 =
																								(((BgL_letzd2varzd2_bglt)
																									COBJECT((
																											(BgL_letzd2varzd2_bglt)
																											BgL_nodez00_3850)))->
																								BgL_bindingsz00);
																							BgL_pairz00_3902 =
																								CAR(BgL_pairz00_3903);
																						}
																						BgL_auxz00_4973 =
																							((BgL_variablez00_bglt)
																							CAR(BgL_pairz00_3902));
																					}
																					BgL_typepz00_3901 =
																						(((BgL_variablez00_bglt)
																							COBJECT(BgL_auxz00_4973))->
																						BgL_typez00);
																				}
																				{	/* Coerce/coerce.scm 329 */
																					BgL_typez00_bglt BgL_typevz00_3904;

																					if (
																						(((obj_t) BgL_typepz00_3901) ==
																							BGl_za2objza2z00zztype_cachez00))
																						{	/* Coerce/coerce.scm 331 */
																							obj_t BgL_arg1842z00_3905;

																							{	/* Coerce/coerce.scm 331 */
																								obj_t BgL_pairz00_3906;

																								{	/* Coerce/coerce.scm 331 */
																									obj_t BgL_pairz00_3907;

																									BgL_pairz00_3907 =
																										(((BgL_letzd2varzd2_bglt)
																											COBJECT((
																													(BgL_letzd2varzd2_bglt)
																													BgL_nodez00_3850)))->
																										BgL_bindingsz00);
																									BgL_pairz00_3906 =
																										CAR(BgL_pairz00_3907);
																								}
																								BgL_arg1842z00_3905 =
																									CDR(BgL_pairz00_3906);
																							}
																							BgL_typevz00_3904 =
																								BGl_getzd2typezd2zztype_typeofz00
																								(((BgL_nodez00_bglt)
																									BgL_arg1842z00_3905),
																								((bool_t) 0));
																						}
																					else
																						{	/* Coerce/coerce.scm 330 */
																							BgL_typevz00_3904 =
																								BgL_typepz00_3901;
																						}
																					{	/* Coerce/coerce.scm 330 */

																						{	/* Coerce/coerce.scm 334 */
																							bool_t BgL_test2279z00_4989;

																							{	/* Coerce/coerce.scm 334 */
																								obj_t BgL_classz00_3908;

																								BgL_classz00_3908 =
																									BGl_typez00zztype_typez00;
																								if (BGL_OBJECTP
																									(BgL_typecz00_3899))
																									{	/* Coerce/coerce.scm 334 */
																										BgL_objectz00_bglt
																											BgL_arg1825z00_3909;
																										BgL_arg1825z00_3909 =
																											(BgL_objectz00_bglt)
																											(BgL_typecz00_3899);
																										{	/* Coerce/coerce.scm 334 */
																											bool_t
																												BgL_arg1822z00_3910;
																											bool_t
																												BgL_arg1823z00_3911;
																											{	/* Coerce/coerce.scm 334 */
																												long BgL_idxz00_3912;

																												BgL_idxz00_3912 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1825z00_3909);
																												BgL_arg1822z00_3910 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_3912 +
																															((long) 1))) ==
																													BgL_classz00_3908);
																											}
																											{	/* Coerce/coerce.scm 334 */
																												bool_t
																													BgL_res2092z00_3915;
																												{	/* Coerce/coerce.scm 334 */
																													obj_t
																														BgL_oclassz00_3916;
																													{	/* Coerce/coerce.scm 334 */
																														long
																															BgL_arg1833z00_3917;
																														{	/* Coerce/coerce.scm 334 */
																															long
																																BgL_arg1834z00_3918;
																															BgL_arg1834z00_3918
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1825z00_3909);
																															BgL_arg1833z00_3917
																																=
																																(BgL_arg1834z00_3918
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_3916 =
																															VECTOR_REF
																															(BGl_za2classesza2z00zz__objectz00,
																															BgL_arg1833z00_3917);
																													}
																													{	/* Coerce/coerce.scm 334 */
																														bool_t
																															BgL__ortest_1110z00_3919;
																														BgL__ortest_1110z00_3919
																															=
																															(BgL_classz00_3908
																															==
																															BgL_oclassz00_3916);
																														if (BgL__ortest_1110z00_3919)
																															{	/* Coerce/coerce.scm 334 */
																																BgL_res2092z00_3915
																																	=
																																	BgL__ortest_1110z00_3919;
																															}
																														else
																															{	/* Coerce/coerce.scm 334 */
																																long
																																	BgL_odepthz00_3920;
																																BgL_odepthz00_3920
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_oclassz00_3916);
																																if ((((long) 1)
																																		<
																																		BgL_odepthz00_3920))
																																	{	/* Coerce/coerce.scm 334 */
																																		obj_t
																																			BgL_arg1821z00_3921;
																																		BgL_arg1821z00_3921
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_oclassz00_3916,
																																			((long)
																																				1));
																																		BgL_res2092z00_3915
																																			=
																																			(BgL_arg1821z00_3921
																																			==
																																			BgL_classz00_3908);
																																	}
																																else
																																	{	/* Coerce/coerce.scm 334 */
																																		BgL_res2092z00_3915
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_arg1823z00_3911 =
																													BgL_res2092z00_3915;
																											}
																											BgL_test2279z00_4989 =
																												BGL_ISA_C_BACKEND
																												(BgL_arg1822z00_3910,
																												BgL_arg1823z00_3911);
																										}
																									}
																								else
																									{	/* Coerce/coerce.scm 334 */
																										BgL_test2279z00_4989 =
																											((bool_t) 0);
																									}
																							}
																							if (BgL_test2279z00_4989)
																								{	/* Coerce/coerce.scm 337 */
																									bool_t BgL_test2283z00_5008;

																									{	/* Coerce/coerce.scm 337 */
																										obj_t BgL_tmpz00_5009;

																										{	/* Coerce/coerce.scm 337 */
																											obj_t BgL_pairz00_3922;

																											BgL_pairz00_3922 =
																												(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_3850)))->BgL_bindingsz00);
																											BgL_tmpz00_5009 =
																												CAR(CAR
																												(BgL_pairz00_3922));
																										}
																										BgL_test2283z00_5008 =
																											(BgL_varz00_3867 ==
																											BgL_tmpz00_5009);
																									}
																									if (BgL_test2283z00_5008)
																										{	/* Coerce/coerce.scm 337 */
																											if (
																												(((obj_t)
																														BgL_typevz00_3904)
																													==
																													BGl_za2objza2z00zztype_cachez00))
																												{	/* Coerce/coerce.scm 340 */
																													BgL_casezd2valuezd2_3964
																														= BFALSE;
																												}
																											else
																												{	/* Coerce/coerce.scm 340 */
																													if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_3899), BgL_typevz00_3904))
																														{	/* Coerce/coerce.scm 343 */
																															BgL_casezd2valuezd2_3964
																																=
																																CNST_TABLE_REF((
																																	(long) 1));
																														}
																													else
																														{	/* Coerce/coerce.scm 343 */
																															if (BGl_typezd2disjointzf3z21zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_3899), BgL_typevz00_3904))
																																{	/* Coerce/coerce.scm 345 */
																																	BgL_casezd2valuezd2_3964
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			2));
																																}
																															else
																																{	/* Coerce/coerce.scm 345 */
																																	BgL_casezd2valuezd2_3964
																																		= BFALSE;
																																}
																														}
																												}
																										}
																									else
																										{	/* Coerce/coerce.scm 337 */
																											BgL_casezd2valuezd2_3964 =
																												BFALSE;
																										}
																								}
																							else
																								{	/* Coerce/coerce.scm 334 */
																									BgL_casezd2valuezd2_3964 =
																										BFALSE;
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																else
																	{	/* Coerce/coerce.scm 349 */
																		bool_t BgL_test2287z00_5026;

																		{	/* Coerce/coerce.scm 349 */
																			bool_t BgL_test2288z00_5027;

																			{	/* Coerce/coerce.scm 349 */
																				BgL_nodez00_bglt BgL_arg1904z00_3923;

																				BgL_arg1904z00_3923 =
																					(((BgL_letzd2varzd2_bglt) COBJECT(
																							((BgL_letzd2varzd2_bglt)
																								BgL_nodez00_3850)))->
																					BgL_bodyz00);
																				{	/* Coerce/coerce.scm 349 */
																					obj_t BgL_classz00_3924;

																					BgL_classz00_3924 =
																						BGl_varz00zzast_nodez00;
																					{	/* Coerce/coerce.scm 349 */
																						BgL_objectz00_bglt
																							BgL_arg1825z00_3925;
																						{	/* Coerce/coerce.scm 349 */
																							obj_t BgL_tmpz00_5030;

																							BgL_tmpz00_5030 =
																								((obj_t)
																								((BgL_objectz00_bglt)
																									BgL_arg1904z00_3923));
																							BgL_arg1825z00_3925 =
																								(BgL_objectz00_bglt)
																								(BgL_tmpz00_5030);
																						}
																						{	/* Coerce/coerce.scm 349 */
																							bool_t BgL_arg1822z00_3926;
																							bool_t BgL_arg1823z00_3927;

																							{	/* Coerce/coerce.scm 349 */
																								long BgL_idxz00_3928;

																								BgL_idxz00_3928 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1825z00_3925);
																								BgL_arg1822z00_3926 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_3928 +
																											((long) 2))) ==
																									BgL_classz00_3924);
																							}
																							{	/* Coerce/coerce.scm 349 */
																								bool_t BgL_res2093z00_3931;

																								{	/* Coerce/coerce.scm 349 */
																									obj_t BgL_oclassz00_3932;

																									{	/* Coerce/coerce.scm 349 */
																										long BgL_arg1833z00_3933;

																										{	/* Coerce/coerce.scm 349 */
																											long BgL_arg1834z00_3934;

																											BgL_arg1834z00_3934 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1825z00_3925);
																											BgL_arg1833z00_3933 =
																												(BgL_arg1834z00_3934 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_3932 =
																											VECTOR_REF
																											(BGl_za2classesza2z00zz__objectz00,
																											BgL_arg1833z00_3933);
																									}
																									{	/* Coerce/coerce.scm 349 */
																										bool_t
																											BgL__ortest_1110z00_3935;
																										BgL__ortest_1110z00_3935 =
																											(BgL_classz00_3924 ==
																											BgL_oclassz00_3932);
																										if (BgL__ortest_1110z00_3935)
																											{	/* Coerce/coerce.scm 349 */
																												BgL_res2093z00_3931 =
																													BgL__ortest_1110z00_3935;
																											}
																										else
																											{	/* Coerce/coerce.scm 349 */
																												long BgL_odepthz00_3936;

																												BgL_odepthz00_3936 =
																													BGL_CLASS_DEPTH
																													(BgL_oclassz00_3932);
																												if ((((long) 2) <
																														BgL_odepthz00_3936))
																													{	/* Coerce/coerce.scm 349 */
																														obj_t
																															BgL_arg1821z00_3937;
																														BgL_arg1821z00_3937
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_oclassz00_3932,
																															((long) 2));
																														BgL_res2093z00_3931
																															=
																															(BgL_arg1821z00_3937
																															==
																															BgL_classz00_3924);
																													}
																												else
																													{	/* Coerce/coerce.scm 349 */
																														BgL_res2093z00_3931
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_arg1823z00_3927 =
																									BgL_res2093z00_3931;
																							}
																							BgL_test2288z00_5027 =
																								BGL_ISA_C_BACKEND
																								(BgL_arg1822z00_3926,
																								BgL_arg1823z00_3927);
																						}
																					}
																				}
																			}
																			if (BgL_test2288z00_5027)
																				{	/* Coerce/coerce.scm 349 */
																					obj_t BgL_tmpz00_5049;

																					{	/* Coerce/coerce.scm 349 */
																						obj_t BgL_pairz00_3938;

																						BgL_pairz00_3938 =
																							(((BgL_letzd2varzd2_bglt) COBJECT(
																									((BgL_letzd2varzd2_bglt)
																										BgL_nodez00_3850)))->
																							BgL_bindingsz00);
																						BgL_tmpz00_5049 =
																							CAR(CAR(BgL_pairz00_3938));
																					}
																					BgL_test2287z00_5026 =
																						(
																						((obj_t)
																							(((BgL_varz00_bglt) COBJECT(
																										((BgL_varz00_bglt)
																											(((BgL_letzd2varzd2_bglt)
																													COBJECT((
																															(BgL_letzd2varzd2_bglt)
																															BgL_nodez00_3850)))->
																												BgL_bodyz00))))->
																								BgL_variablez00)) ==
																						BgL_tmpz00_5049);
																				}
																			else
																				{	/* Coerce/coerce.scm 349 */
																					BgL_test2287z00_5026 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test2287z00_5026)
																			{	/* Coerce/coerce.scm 350 */
																				obj_t BgL_arg1894z00_3939;

																				{	/* Coerce/coerce.scm 350 */
																					obj_t BgL_pairz00_3940;

																					BgL_pairz00_3940 =
																						(((BgL_letzd2varzd2_bglt) COBJECT(
																								((BgL_letzd2varzd2_bglt)
																									BgL_nodez00_3850)))->
																						BgL_bindingsz00);
																					BgL_arg1894z00_3939 =
																						CDR(CAR(BgL_pairz00_3940));
																				}
																				{
																					obj_t BgL_nodez00_5064;

																					BgL_nodez00_5064 =
																						BgL_arg1894z00_3939;
																					BgL_nodez00_3750 = BgL_nodez00_5064;
																					goto
																						BgL_testzd2staticzd2valuez00_3746;
																				}
																			}
																		else
																			{	/* Coerce/coerce.scm 349 */
																				BgL_casezd2valuezd2_3964 = BFALSE;
																			}
																	}
															}
														else
															{	/* Coerce/coerce.scm 311 */
																BgL_casezd2valuezd2_3964 = BFALSE;
															}
													}
												}
											else
												{	/* Coerce/coerce.scm 379 */
													BgL_casezd2valuezd2_3964 = BFALSE;
												}
										}
								}
						}
					}
					if ((BgL_casezd2valuezd2_3964 == CNST_TABLE_REF(((long) 1))))
						{	/* Coerce/coerce.scm 387 */
							BgL_nodez00_bglt BgL_arg1751z00_3966;

							BgL_arg1751z00_3966 =
								(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_3545)))->
								BgL_truez00);
							return BGl_coercez12z12zzcoerce_coercez00(BgL_arg1751z00_3966,
								BgL_callerz00_3546, ((BgL_typez00_bglt) BgL_toz00_3547),
								CBOOL(BgL_safez00_3548));
						}
					else
						{	/* Coerce/coerce.scm 385 */
							if ((BgL_casezd2valuezd2_3964 == CNST_TABLE_REF(((long) 2))))
								{	/* Coerce/coerce.scm 389 */
									BgL_nodez00_bglt BgL_arg1759z00_3967;

									BgL_arg1759z00_3967 =
										(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_3545)))->
										BgL_falsez00);
									return BGl_coercez12z12zzcoerce_coercez00(BgL_arg1759z00_3967,
										BgL_callerz00_3546, ((BgL_typez00_bglt) BgL_toz00_3547),
										CBOOL(BgL_safez00_3548));
								}
							else
								{	/* Coerce/coerce.scm 385 */
									{
										BgL_nodez00_bglt BgL_auxz00_5082;

										{	/* Coerce/coerce.scm 391 */
											BgL_nodez00_bglt BgL_arg1761z00_3968;

											BgL_arg1761z00_3968 =
												(((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_3545)))->
												BgL_truez00);
											BgL_auxz00_5082 =
												BGl_coercez12z12zzcoerce_coercez00(BgL_arg1761z00_3968,
												BgL_callerz00_3546, ((BgL_typez00_bglt) BgL_toz00_3547),
												CBOOL(BgL_safez00_3548));
										}
										((((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_3545)))->
												BgL_truez00) =
											((BgL_nodez00_bglt) BgL_auxz00_5082), BUNSPEC);
									}
									{
										BgL_nodez00_bglt BgL_auxz00_5090;

										{	/* Coerce/coerce.scm 392 */
											BgL_nodez00_bglt BgL_arg1762z00_3969;

											BgL_arg1762z00_3969 =
												(((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_3545)))->
												BgL_falsez00);
											BgL_auxz00_5090 =
												BGl_coercez12z12zzcoerce_coercez00(BgL_arg1762z00_3969,
												BgL_callerz00_3546, ((BgL_typez00_bglt) BgL_toz00_3547),
												CBOOL(BgL_safez00_3548));
										}
										((((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_3545)))->
												BgL_falsez00) =
											((BgL_nodez00_bglt) BgL_auxz00_5090), BUNSPEC);
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_conditionalz00_bglt) BgL_nodez00_3545))))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_toz00_3547)),
										BUNSPEC);
									return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt)
											BgL_nodez00_3545));
								}
						}
				}
			}
		}

	}



/* &coerce!-setq1317 */
	BgL_nodez00_bglt BGl_z62coercez12zd2setq1317za2zzcoerce_coercez00(obj_t
		BgL_envz00_3549, obj_t BgL_nodez00_3550, obj_t BgL_callerz00_3551,
		obj_t BgL_toz00_3552, obj_t BgL_safez00_3553)
	{
		{	/* Coerce/coerce.scm 264 */
			{
				BgL_nodez00_bglt BgL_auxz00_5104;

				{	/* Coerce/coerce.scm 266 */
					BgL_nodez00_bglt BgL_arg1745z00_3971;
					BgL_typez00_bglt BgL_arg1746z00_3972;

					BgL_arg1745z00_3971 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3550)))->BgL_valuez00);
					BgL_arg1746z00_3972 =
						(((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											(((BgL_setqz00_bglt) COBJECT(
														((BgL_setqz00_bglt) BgL_nodez00_3550)))->
												BgL_varz00)))->BgL_variablez00)))->BgL_typez00);
					BgL_auxz00_5104 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1745z00_3971,
						BgL_callerz00_3551, BgL_arg1746z00_3972, CBOOL(BgL_safez00_3553));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3550)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5104), BUNSPEC);
			}
			return
				BGl_convertz12z12zzcoerce_convertz00(
				((BgL_nodez00_bglt)
					((BgL_setqz00_bglt) BgL_nodez00_3550)),
				((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00),
				((BgL_typez00_bglt) BgL_toz00_3552), CBOOL(BgL_safez00_3553));
		}

	}



/* &coerce!-cast1315 */
	BgL_nodez00_bglt BGl_z62coercez12zd2cast1315za2zzcoerce_coercez00(obj_t
		BgL_envz00_3554, obj_t BgL_nodez00_3555, obj_t BgL_callerz00_3556,
		obj_t BgL_toz00_3557, obj_t BgL_safez00_3558)
	{
		{	/* Coerce/coerce.scm 254 */
			{
				BgL_nodez00_bglt BgL_auxz00_5121;

				{	/* Coerce/coerce.scm 258 */
					BgL_nodez00_bglt BgL_arg1738z00_3974;
					BgL_typez00_bglt BgL_arg1739z00_3975;

					BgL_arg1738z00_3974 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_3555)))->BgL_argz00);
					{	/* Coerce/coerce.scm 258 */
						BgL_nodez00_bglt BgL_arg1742z00_3976;

						BgL_arg1742z00_3976 =
							(((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nodez00_3555)))->BgL_argz00);
						BgL_arg1739z00_3975 =
							BGl_getzd2typezd2zztype_typeofz00(BgL_arg1742z00_3976,
							((bool_t) 0));
					}
					BgL_auxz00_5121 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1738z00_3974,
						BgL_callerz00_3556, BgL_arg1739z00_3975, CBOOL(BgL_safez00_3558));
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_3555)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5121), BUNSPEC);
			}
			{	/* Coerce/coerce.scm 259 */
				BgL_typez00_bglt BgL_arg1743z00_3977;

				BgL_arg1743z00_3977 =
					(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_castz00_bglt) BgL_nodez00_3555))))->BgL_typez00);
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_castz00_bglt) BgL_nodez00_3555)), BgL_arg1743z00_3977,
					((BgL_typez00_bglt) BgL_toz00_3557), CBOOL(BgL_safez00_3558));
			}
		}

	}



/* &coerce!-vlength1313 */
	BgL_nodez00_bglt BGl_z62coercez12zd2vlength1313za2zzcoerce_coercez00(obj_t
		BgL_envz00_3559, obj_t BgL_nodez00_3560, obj_t BgL_callerz00_3561,
		obj_t BgL_toz00_3562, obj_t BgL_safez00_3563)
	{
		{	/* Coerce/coerce.scm 246 */
			{	/* Coerce/coerce.scm 248 */
				obj_t BgL_arg1723z00_3979;
				BgL_nodez00_bglt BgL_arg1725z00_3980;

				BgL_arg1723z00_3979 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vlengthz00_bglt) BgL_nodez00_3560))))->BgL_exprza2za2);
				{	/* Coerce/coerce.scm 248 */
					obj_t BgL_arg1726z00_3981;
					BgL_typez00_bglt BgL_arg1728z00_3982;

					{	/* Coerce/coerce.scm 248 */
						obj_t BgL_pairz00_3983;

						BgL_pairz00_3983 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_vlengthz00_bglt) BgL_nodez00_3560))))->
							BgL_exprza2za2);
						BgL_arg1726z00_3981 = CAR(BgL_pairz00_3983);
					}
					BgL_arg1728z00_3982 =
						(((BgL_vlengthz00_bglt) COBJECT(
								((BgL_vlengthz00_bglt) BgL_nodez00_3560)))->BgL_vtypez00);
					BgL_arg1725z00_3980 =
						BGl_coercez12z12zzcoerce_coercez00(
						((BgL_nodez00_bglt) BgL_arg1726z00_3981), BgL_callerz00_3561,
						BgL_arg1728z00_3982, CBOOL(BgL_safez00_3563));
				}
				{	/* Coerce/coerce.scm 248 */
					obj_t BgL_auxz00_5153;
					obj_t BgL_tmpz00_5151;

					BgL_auxz00_5153 = ((obj_t) BgL_arg1725z00_3980);
					BgL_tmpz00_5151 = ((obj_t) BgL_arg1723z00_3979);
					SET_CAR(BgL_tmpz00_5151, BgL_auxz00_5153);
				}
			}
			{	/* Coerce/coerce.scm 249 */
				BgL_typez00_bglt BgL_arg1731z00_3984;

				BgL_arg1731z00_3984 =
					(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_vlengthz00_bglt) BgL_nodez00_3560))))->BgL_typez00);
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_vlengthz00_bglt) BgL_nodez00_3560)), BgL_arg1731z00_3984,
					((BgL_typez00_bglt) BgL_toz00_3562), CBOOL(BgL_safez00_3563));
			}
		}

	}



/* &coerce!-vset!1311 */
	BgL_nodez00_bglt BGl_z62coercez12zd2vsetz121311zb0zzcoerce_coercez00(obj_t
		BgL_envz00_3564, obj_t BgL_nodez00_3565, obj_t BgL_callerz00_3566,
		obj_t BgL_toz00_3567, obj_t BgL_safez00_3568)
	{
		{	/* Coerce/coerce.scm 234 */
			{	/* Coerce/coerce.scm 237 */
				obj_t BgL_ftypez00_3986;

				{	/* Coerce/coerce.scm 237 */
					bool_t BgL_test2293z00_5164;

					{	/* Coerce/coerce.scm 237 */
						BgL_typez00_bglt BgL_arg1721z00_3987;

						BgL_arg1721z00_3987 =
							(((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_3565)))->BgL_ftypez00);
						BgL_test2293z00_5164 =
							(((obj_t) BgL_arg1721z00_3987) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2293z00_5164)
						{	/* Coerce/coerce.scm 237 */
							BgL_ftypez00_3986 = BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Coerce/coerce.scm 237 */
							BgL_ftypez00_3986 =
								((obj_t)
								(((BgL_vsetz12z12_bglt) COBJECT(
											((BgL_vsetz12z12_bglt) BgL_nodez00_3565)))->
									BgL_ftypez00));
						}
				}
				{	/* Coerce/coerce.scm 238 */
					obj_t BgL_arg1668z00_3988;
					BgL_nodez00_bglt BgL_arg1675z00_3989;

					BgL_arg1668z00_3988 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nodez00_3565))))->BgL_exprza2za2);
					{	/* Coerce/coerce.scm 238 */
						obj_t BgL_arg1676z00_3990;
						BgL_typez00_bglt BgL_arg1678z00_3991;

						{	/* Coerce/coerce.scm 238 */
							obj_t BgL_pairz00_3992;

							BgL_pairz00_3992 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt)
											((BgL_vsetz12z12_bglt) BgL_nodez00_3565))))->
								BgL_exprza2za2);
							BgL_arg1676z00_3990 = CAR(BgL_pairz00_3992);
						}
						BgL_arg1678z00_3991 =
							(((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_3565)))->BgL_vtypez00);
						BgL_arg1675z00_3989 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg1676z00_3990), BgL_callerz00_3566,
							BgL_arg1678z00_3991, CBOOL(BgL_safez00_3568));
					}
					{	/* Coerce/coerce.scm 238 */
						obj_t BgL_auxz00_5186;
						obj_t BgL_tmpz00_5184;

						BgL_auxz00_5186 = ((obj_t) BgL_arg1675z00_3989);
						BgL_tmpz00_5184 = ((obj_t) BgL_arg1668z00_3988);
						SET_CAR(BgL_tmpz00_5184, BgL_auxz00_5186);
					}
				}
				{	/* Coerce/coerce.scm 239 */
					obj_t BgL_arg1681z00_3993;
					BgL_nodez00_bglt BgL_arg1682z00_3994;

					{	/* Coerce/coerce.scm 239 */
						obj_t BgL_pairz00_3995;

						BgL_pairz00_3995 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_vsetz12z12_bglt) BgL_nodez00_3565))))->
							BgL_exprza2za2);
						BgL_arg1681z00_3993 = CDR(BgL_pairz00_3995);
					}
					{	/* Coerce/coerce.scm 239 */
						obj_t BgL_arg1695z00_3996;
						BgL_typez00_bglt BgL_arg1696z00_3997;

						{	/* Coerce/coerce.scm 239 */
							obj_t BgL_pairz00_3998;

							BgL_pairz00_3998 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt)
											((BgL_vsetz12z12_bglt) BgL_nodez00_3565))))->
								BgL_exprza2za2);
							BgL_arg1695z00_3996 = CAR(CDR(BgL_pairz00_3998));
						}
						BgL_arg1696z00_3997 =
							(((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_3565)))->BgL_otypez00);
						BgL_arg1682z00_3994 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg1695z00_3996), BgL_callerz00_3566,
							BgL_arg1696z00_3997, CBOOL(BgL_safez00_3568));
					}
					{	/* Coerce/coerce.scm 239 */
						obj_t BgL_auxz00_5205;
						obj_t BgL_tmpz00_5203;

						BgL_auxz00_5205 = ((obj_t) BgL_arg1682z00_3994);
						BgL_tmpz00_5203 = ((obj_t) BgL_arg1681z00_3993);
						SET_CAR(BgL_tmpz00_5203, BgL_auxz00_5205);
					}
				}
				{	/* Coerce/coerce.scm 240 */
					obj_t BgL_arg1703z00_3999;
					BgL_nodez00_bglt BgL_arg1706z00_4000;

					{	/* Coerce/coerce.scm 240 */
						obj_t BgL_pairz00_4001;

						BgL_pairz00_4001 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_vsetz12z12_bglt) BgL_nodez00_3565))))->
							BgL_exprza2za2);
						BgL_arg1703z00_3999 = CDR(CDR(BgL_pairz00_4001));
					}
					{	/* Coerce/coerce.scm 240 */
						obj_t BgL_arg1712z00_4002;

						{	/* Coerce/coerce.scm 240 */
							obj_t BgL_pairz00_4003;

							BgL_pairz00_4003 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt)
											((BgL_vsetz12z12_bglt) BgL_nodez00_3565))))->
								BgL_exprza2za2);
							BgL_arg1712z00_4002 = CAR(CDR(CDR(BgL_pairz00_4003)));
						}
						BgL_arg1706z00_4000 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg1712z00_4002), BgL_callerz00_3566,
							((BgL_typez00_bglt) BgL_ftypez00_3986), CBOOL(BgL_safez00_3568));
					}
					{	/* Coerce/coerce.scm 240 */
						obj_t BgL_auxz00_5225;
						obj_t BgL_tmpz00_5223;

						BgL_auxz00_5225 = ((obj_t) BgL_arg1706z00_4000);
						BgL_tmpz00_5223 = ((obj_t) BgL_arg1703z00_3999);
						SET_CAR(BgL_tmpz00_5223, BgL_auxz00_5225);
					}
				}
				{	/* Coerce/coerce.scm 241 */
					BgL_typez00_bglt BgL_arg1714z00_4004;

					BgL_arg1714z00_4004 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nodez00_3565))))->BgL_typez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt)
							((BgL_vsetz12z12_bglt) BgL_nodez00_3565)), BgL_arg1714z00_4004,
						((BgL_typez00_bglt) BgL_toz00_3567), CBOOL(BgL_safez00_3568));
				}
			}
		}

	}



/* &coerce!-vref1309 */
	BgL_nodez00_bglt BGl_z62coercez12zd2vref1309za2zzcoerce_coercez00(obj_t
		BgL_envz00_3569, obj_t BgL_nodez00_3570, obj_t BgL_callerz00_3571,
		obj_t BgL_toz00_3572, obj_t BgL_safez00_3573)
	{
		{	/* Coerce/coerce.scm 218 */
			{	/* Coerce/coerce.scm 226 */
				obj_t BgL_ftypez00_4006;

				{	/* Coerce/coerce.scm 226 */
					bool_t BgL_test2294z00_5236;

					{	/* Coerce/coerce.scm 226 */
						BgL_typez00_bglt BgL_arg1667z00_4007;

						BgL_arg1667z00_4007 =
							(((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_3570)))->BgL_ftypez00);
						BgL_test2294z00_5236 =
							(((obj_t) BgL_arg1667z00_4007) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2294z00_5236)
						{	/* Coerce/coerce.scm 226 */
							BgL_ftypez00_4006 = BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Coerce/coerce.scm 226 */
							BgL_ftypez00_4006 =
								((obj_t)
								(((BgL_vrefz00_bglt) COBJECT(
											((BgL_vrefz00_bglt) BgL_nodez00_3570)))->BgL_ftypez00));
						}
				}
				{	/* Coerce/coerce.scm 227 */
					obj_t BgL_arg1619z00_4008;
					BgL_nodez00_bglt BgL_arg1620z00_4009;

					BgL_arg1619z00_4008 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vrefz00_bglt) BgL_nodez00_3570))))->BgL_exprza2za2);
					{	/* Coerce/coerce.scm 227 */
						obj_t BgL_arg1621z00_4010;
						BgL_typez00_bglt BgL_arg1632z00_4011;

						{	/* Coerce/coerce.scm 227 */
							obj_t BgL_pairz00_4012;

							BgL_pairz00_4012 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt)
											((BgL_vrefz00_bglt) BgL_nodez00_3570))))->BgL_exprza2za2);
							BgL_arg1621z00_4010 = CAR(BgL_pairz00_4012);
						}
						BgL_arg1632z00_4011 =
							(((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_3570)))->BgL_vtypez00);
						BgL_arg1620z00_4009 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg1621z00_4010), BgL_callerz00_3571,
							BgL_arg1632z00_4011, CBOOL(BgL_safez00_3573));
					}
					{	/* Coerce/coerce.scm 227 */
						obj_t BgL_auxz00_5258;
						obj_t BgL_tmpz00_5256;

						BgL_auxz00_5258 = ((obj_t) BgL_arg1620z00_4009);
						BgL_tmpz00_5256 = ((obj_t) BgL_arg1619z00_4008);
						SET_CAR(BgL_tmpz00_5256, BgL_auxz00_5258);
					}
				}
				{	/* Coerce/coerce.scm 228 */
					obj_t BgL_arg1636z00_4013;
					BgL_nodez00_bglt BgL_arg1647z00_4014;

					{	/* Coerce/coerce.scm 228 */
						obj_t BgL_pairz00_4015;

						BgL_pairz00_4015 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_vrefz00_bglt) BgL_nodez00_3570))))->BgL_exprza2za2);
						BgL_arg1636z00_4013 = CDR(BgL_pairz00_4015);
					}
					{	/* Coerce/coerce.scm 228 */
						obj_t BgL_arg1656z00_4016;
						BgL_typez00_bglt BgL_arg1657z00_4017;

						{	/* Coerce/coerce.scm 228 */
							obj_t BgL_pairz00_4018;

							BgL_pairz00_4018 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt)
											((BgL_vrefz00_bglt) BgL_nodez00_3570))))->BgL_exprza2za2);
							BgL_arg1656z00_4016 = CAR(CDR(BgL_pairz00_4018));
						}
						BgL_arg1657z00_4017 =
							(((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_3570)))->BgL_otypez00);
						BgL_arg1647z00_4014 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg1656z00_4016), BgL_callerz00_3571,
							BgL_arg1657z00_4017, CBOOL(BgL_safez00_3573));
					}
					{	/* Coerce/coerce.scm 228 */
						obj_t BgL_auxz00_5277;
						obj_t BgL_tmpz00_5275;

						BgL_auxz00_5277 = ((obj_t) BgL_arg1647z00_4014);
						BgL_tmpz00_5275 = ((obj_t) BgL_arg1636z00_4013);
						SET_CAR(BgL_tmpz00_5275, BgL_auxz00_5277);
					}
				}
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_vrefz00_bglt) BgL_nodez00_3570)),
					((BgL_typez00_bglt) BgL_ftypez00_4006),
					((BgL_typez00_bglt) BgL_toz00_3572), CBOOL(BgL_safez00_3573));
			}
		}

	}



/* &coerce!-valloc1307 */
	BgL_nodez00_bglt BGl_z62coercez12zd2valloc1307za2zzcoerce_coercez00(obj_t
		BgL_envz00_3574, obj_t BgL_nodez00_3575, obj_t BgL_callerz00_3576,
		obj_t BgL_toz00_3577, obj_t BgL_safez00_3578)
	{
		{	/* Coerce/coerce.scm 210 */
			{	/* Coerce/coerce.scm 212 */
				obj_t BgL_arg1602z00_4020;
				BgL_nodez00_bglt BgL_arg1603z00_4021;

				BgL_arg1602z00_4020 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_nodez00_3575))))->BgL_exprza2za2);
				{	/* Coerce/coerce.scm 212 */
					obj_t BgL_arg1604z00_4022;
					BgL_typez00_bglt BgL_arg1606z00_4023;

					{	/* Coerce/coerce.scm 212 */
						obj_t BgL_pairz00_4024;

						BgL_pairz00_4024 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_3575))))->BgL_exprza2za2);
						BgL_arg1604z00_4022 = CAR(BgL_pairz00_4024);
					}
					BgL_arg1606z00_4023 =
						(((BgL_vallocz00_bglt) COBJECT(
								((BgL_vallocz00_bglt) BgL_nodez00_3575)))->BgL_otypez00);
					BgL_arg1603z00_4021 =
						BGl_coercez12z12zzcoerce_coercez00(
						((BgL_nodez00_bglt) BgL_arg1604z00_4022), BgL_callerz00_3576,
						BgL_arg1606z00_4023, CBOOL(BgL_safez00_3578));
				}
				{	/* Coerce/coerce.scm 212 */
					obj_t BgL_auxz00_5300;
					obj_t BgL_tmpz00_5298;

					BgL_auxz00_5300 = ((obj_t) BgL_arg1603z00_4021);
					BgL_tmpz00_5298 = ((obj_t) BgL_arg1602z00_4020);
					SET_CAR(BgL_tmpz00_5298, BgL_auxz00_5300);
				}
			}
			{	/* Coerce/coerce.scm 213 */
				BgL_typez00_bglt BgL_arg1613z00_4025;

				BgL_arg1613z00_4025 =
					(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_vallocz00_bglt) BgL_nodez00_3575))))->BgL_typez00);
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_vallocz00_bglt) BgL_nodez00_3575)), BgL_arg1613z00_4025,
					((BgL_typez00_bglt) BgL_toz00_3577), CBOOL(BgL_safez00_3578));
			}
		}

	}



/* &coerce!-new1305 */
	BgL_nodez00_bglt BGl_z62coercez12zd2new1305za2zzcoerce_coercez00(obj_t
		BgL_envz00_3579, obj_t BgL_nodez00_3580, obj_t BgL_callerz00_3581,
		obj_t BgL_toz00_3582, obj_t BgL_safez00_3583)
	{
		{	/* Coerce/coerce.scm 196 */
			{
				obj_t BgL_lz00_4028;

				{	/* Coerce/coerce.scm 198 */
					obj_t BgL_arg1584z00_4034;

					BgL_arg1584z00_4034 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_newz00_bglt) BgL_nodez00_3580))))->BgL_exprza2za2);
					BgL_lz00_4028 = BgL_arg1584z00_4034;
				BgL_loopz00_4027:
					if (NULLP(BgL_lz00_4028))
						{	/* Coerce/coerce.scm 200 */
							BgL_typez00_bglt BgL_arg1588z00_4029;

							BgL_arg1588z00_4029 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_newz00_bglt) BgL_nodez00_3580))))->BgL_typez00);
							BGl_convertz12z12zzcoerce_convertz00(
								((BgL_nodez00_bglt)
									((BgL_newz00_bglt) BgL_nodez00_3580)), BgL_arg1588z00_4029,
								((BgL_typez00_bglt) BgL_toz00_3582), CBOOL(BgL_safez00_3583));
						}
					else
						{	/* Coerce/coerce.scm 201 */
							obj_t BgL_vz00_4030;

							BgL_vz00_4030 = CAR(((obj_t) BgL_lz00_4028));
							{	/* Coerce/coerce.scm 201 */
								BgL_nodez00_bglt BgL_nvz00_4031;

								{	/* Coerce/coerce.scm 202 */
									BgL_typez00_bglt BgL_arg1597z00_4032;

									BgL_arg1597z00_4032 =
										BGl_getzd2typezd2zztype_typeofz00(
										((BgL_nodez00_bglt) BgL_vz00_4030), ((bool_t) 0));
									BgL_nvz00_4031 =
										BGl_coercez12z12zzcoerce_coercez00(
										((BgL_nodez00_bglt) BgL_vz00_4030), BgL_callerz00_3581,
										BgL_arg1597z00_4032, CBOOL(BgL_safez00_3583));
								}
								{	/* Coerce/coerce.scm 202 */

									{	/* Coerce/coerce.scm 203 */
										obj_t BgL_auxz00_5333;
										obj_t BgL_tmpz00_5331;

										BgL_auxz00_5333 = ((obj_t) BgL_nvz00_4031);
										BgL_tmpz00_5331 = ((obj_t) BgL_lz00_4028);
										SET_CAR(BgL_tmpz00_5331, BgL_auxz00_5333);
									}
									{	/* Coerce/coerce.scm 204 */
										obj_t BgL_arg1595z00_4033;

										BgL_arg1595z00_4033 = CDR(((obj_t) BgL_lz00_4028));
										{
											obj_t BgL_lz00_5338;

											BgL_lz00_5338 = BgL_arg1595z00_4033;
											BgL_lz00_4028 = BgL_lz00_5338;
											goto BgL_loopz00_4027;
										}
									}
								}
							}
						}
				}
			}
			{	/* Coerce/coerce.scm 205 */
				BgL_typez00_bglt BgL_arg1601z00_4035;

				BgL_arg1601z00_4035 =
					(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_newz00_bglt) BgL_nodez00_3580))))->BgL_typez00);
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_newz00_bglt) BgL_nodez00_3580)), BgL_arg1601z00_4035,
					((BgL_typez00_bglt) BgL_toz00_3582), CBOOL(BgL_safez00_3583));
			}
		}

	}



/* &coerce!-setfield1303 */
	BgL_nodez00_bglt BGl_z62coercez12zd2setfield1303za2zzcoerce_coercez00(obj_t
		BgL_envz00_3584, obj_t BgL_nodez00_3585, obj_t BgL_callerz00_3586,
		obj_t BgL_toz00_3587, obj_t BgL_safez00_3588)
	{
		{	/* Coerce/coerce.scm 187 */
			{	/* Coerce/coerce.scm 189 */
				obj_t BgL_arg1554z00_4037;
				BgL_nodez00_bglt BgL_arg1555z00_4038;

				BgL_arg1554z00_4037 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_setfieldz00_bglt) BgL_nodez00_3585))))->BgL_exprza2za2);
				{	/* Coerce/coerce.scm 189 */
					obj_t BgL_arg1563z00_4039;
					BgL_typez00_bglt BgL_arg1564z00_4040;

					{	/* Coerce/coerce.scm 189 */
						obj_t BgL_pairz00_4041;

						BgL_pairz00_4041 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_setfieldz00_bglt) BgL_nodez00_3585))))->
							BgL_exprza2za2);
						BgL_arg1563z00_4039 = CAR(BgL_pairz00_4041);
					}
					BgL_arg1564z00_4040 =
						(((BgL_setfieldz00_bglt) COBJECT(
								((BgL_setfieldz00_bglt) BgL_nodez00_3585)))->BgL_otypez00);
					BgL_arg1555z00_4038 =
						BGl_coercez12z12zzcoerce_coercez00(
						((BgL_nodez00_bglt) BgL_arg1563z00_4039), BgL_callerz00_3586,
						BgL_arg1564z00_4040, CBOOL(BgL_safez00_3588));
				}
				{	/* Coerce/coerce.scm 189 */
					obj_t BgL_auxz00_5361;
					obj_t BgL_tmpz00_5359;

					BgL_auxz00_5361 = ((obj_t) BgL_arg1555z00_4038);
					BgL_tmpz00_5359 = ((obj_t) BgL_arg1554z00_4037);
					SET_CAR(BgL_tmpz00_5359, BgL_auxz00_5361);
				}
			}
			{	/* Coerce/coerce.scm 190 */
				obj_t BgL_arg1570z00_4042;
				BgL_nodez00_bglt BgL_arg1571z00_4043;

				{	/* Coerce/coerce.scm 190 */
					obj_t BgL_pairz00_4044;

					BgL_pairz00_4044 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_setfieldz00_bglt) BgL_nodez00_3585))))->BgL_exprza2za2);
					BgL_arg1570z00_4042 = CDR(BgL_pairz00_4044);
				}
				{	/* Coerce/coerce.scm 190 */
					obj_t BgL_arg1581z00_4045;
					BgL_typez00_bglt BgL_arg1582z00_4046;

					{	/* Coerce/coerce.scm 190 */
						obj_t BgL_pairz00_4047;

						BgL_pairz00_4047 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_setfieldz00_bglt) BgL_nodez00_3585))))->
							BgL_exprza2za2);
						BgL_arg1581z00_4045 = CAR(CDR(BgL_pairz00_4047));
					}
					BgL_arg1582z00_4046 =
						(((BgL_setfieldz00_bglt) COBJECT(
								((BgL_setfieldz00_bglt) BgL_nodez00_3585)))->BgL_ftypez00);
					BgL_arg1571z00_4043 =
						BGl_coercez12z12zzcoerce_coercez00(
						((BgL_nodez00_bglt) BgL_arg1581z00_4045), BgL_callerz00_3586,
						BgL_arg1582z00_4046, CBOOL(BgL_safez00_3588));
				}
				{	/* Coerce/coerce.scm 190 */
					obj_t BgL_auxz00_5380;
					obj_t BgL_tmpz00_5378;

					BgL_auxz00_5380 = ((obj_t) BgL_arg1571z00_4043);
					BgL_tmpz00_5378 = ((obj_t) BgL_arg1570z00_4042);
					SET_CAR(BgL_tmpz00_5378, BgL_auxz00_5380);
				}
			}
			return
				BGl_convertz12z12zzcoerce_convertz00(
				((BgL_nodez00_bglt)
					((BgL_setfieldz00_bglt) BgL_nodez00_3585)),
				((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00),
				((BgL_typez00_bglt) BgL_toz00_3587), CBOOL(BgL_safez00_3588));
		}

	}



/* &coerce!-getfield1301 */
	BgL_nodez00_bglt BGl_z62coercez12zd2getfield1301za2zzcoerce_coercez00(obj_t
		BgL_envz00_3589, obj_t BgL_nodez00_3590, obj_t BgL_callerz00_3591,
		obj_t BgL_toz00_3592, obj_t BgL_safez00_3593)
	{
		{	/* Coerce/coerce.scm 179 */
			{	/* Coerce/coerce.scm 181 */
				obj_t BgL_arg1536z00_4049;
				BgL_nodez00_bglt BgL_arg1542z00_4050;

				BgL_arg1536z00_4049 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_nodez00_3590))))->BgL_exprza2za2);
				{	/* Coerce/coerce.scm 181 */
					obj_t BgL_arg1543z00_4051;
					BgL_typez00_bglt BgL_arg1548z00_4052;

					{	/* Coerce/coerce.scm 181 */
						obj_t BgL_pairz00_4053;

						BgL_pairz00_4053 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_getfieldz00_bglt) BgL_nodez00_3590))))->
							BgL_exprza2za2);
						BgL_arg1543z00_4051 = CAR(BgL_pairz00_4053);
					}
					BgL_arg1548z00_4052 =
						(((BgL_getfieldz00_bglt) COBJECT(
								((BgL_getfieldz00_bglt) BgL_nodez00_3590)))->BgL_otypez00);
					BgL_arg1542z00_4050 =
						BGl_coercez12z12zzcoerce_coercez00(
						((BgL_nodez00_bglt) BgL_arg1543z00_4051), BgL_callerz00_3591,
						BgL_arg1548z00_4052, CBOOL(BgL_safez00_3593));
				}
				{	/* Coerce/coerce.scm 181 */
					obj_t BgL_auxz00_5403;
					obj_t BgL_tmpz00_5401;

					BgL_auxz00_5403 = ((obj_t) BgL_arg1542z00_4050);
					BgL_tmpz00_5401 = ((obj_t) BgL_arg1536z00_4049);
					SET_CAR(BgL_tmpz00_5401, BgL_auxz00_5403);
				}
			}
			{	/* Coerce/coerce.scm 182 */
				BgL_typez00_bglt BgL_arg1552z00_4054;

				BgL_arg1552z00_4054 =
					(((BgL_getfieldz00_bglt) COBJECT(
							((BgL_getfieldz00_bglt) BgL_nodez00_3590)))->BgL_ftypez00);
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_getfieldz00_bglt) BgL_nodez00_3590)), BgL_arg1552z00_4054,
					((BgL_typez00_bglt) BgL_toz00_3592), CBOOL(BgL_safez00_3593));
			}
		}

	}



/* &coerce!-widening1299 */
	BgL_nodez00_bglt BGl_z62coercez12zd2widening1299za2zzcoerce_coercez00(obj_t
		BgL_envz00_3594, obj_t BgL_nodez00_3595, obj_t BgL_callerz00_3596,
		obj_t BgL_toz00_3597, obj_t BgL_safez00_3598)
	{
		{	/* Coerce/coerce.scm 168 */
			{	/* Coerce/coerce.scm 172 */
				obj_t BgL_superz00_4056;

				{	/* Coerce/coerce.scm 172 */
					BgL_typez00_bglt BgL_oz00_4057;

					BgL_oz00_4057 =
						((BgL_typez00_bglt)
						(((BgL_wideningz00_bglt) COBJECT(
									((BgL_wideningz00_bglt) BgL_nodez00_3595)))->BgL_otypez00));
					{
						BgL_tclassz00_bglt BgL_auxz00_5416;

						{
							obj_t BgL_auxz00_5417;

							{	/* Coerce/coerce.scm 172 */
								BgL_objectz00_bglt BgL_tmpz00_5418;

								BgL_tmpz00_5418 = ((BgL_objectz00_bglt) BgL_oz00_4057);
								BgL_auxz00_5417 = BGL_OBJECT_WIDENING(BgL_tmpz00_5418);
							}
							BgL_auxz00_5416 = ((BgL_tclassz00_bglt) BgL_auxz00_5417);
						}
						BgL_superz00_4056 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_5416))->
							BgL_itszd2superzd2);
					}
				}
				{	/* Coerce/coerce.scm 173 */
					obj_t BgL_arg1497z00_4058;
					BgL_nodez00_bglt BgL_arg1500z00_4059;

					BgL_arg1497z00_4058 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_wideningz00_bglt) BgL_nodez00_3595))))->BgL_exprza2za2);
					{	/* Coerce/coerce.scm 173 */
						obj_t BgL_arg1520z00_4060;

						{	/* Coerce/coerce.scm 173 */
							obj_t BgL_pairz00_4061;

							BgL_pairz00_4061 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt)
											((BgL_wideningz00_bglt) BgL_nodez00_3595))))->
								BgL_exprza2za2);
							BgL_arg1520z00_4060 = CAR(BgL_pairz00_4061);
						}
						BgL_arg1500z00_4059 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg1520z00_4060), BgL_callerz00_3596,
							((BgL_typez00_bglt) BgL_superz00_4056), CBOOL(BgL_safez00_3598));
					}
					{	/* Coerce/coerce.scm 173 */
						obj_t BgL_auxz00_5436;
						obj_t BgL_tmpz00_5434;

						BgL_auxz00_5436 = ((obj_t) BgL_arg1500z00_4059);
						BgL_tmpz00_5434 = ((obj_t) BgL_arg1497z00_4058);
						SET_CAR(BgL_tmpz00_5434, BgL_auxz00_5436);
					}
				}
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_wideningz00_bglt) BgL_nodez00_3595)),
					((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
					((BgL_typez00_bglt) BgL_toz00_3597), CBOOL(BgL_safez00_3598));
			}
		}

	}



/* &coerce!-extern1297 */
	BgL_nodez00_bglt BGl_z62coercez12zd2extern1297za2zzcoerce_coercez00(obj_t
		BgL_envz00_3599, obj_t BgL_nodez00_3600, obj_t BgL_callerz00_3601,
		obj_t BgL_toz00_3602, obj_t BgL_safez00_3603)
	{
		{	/* Coerce/coerce.scm 155 */
			{
				obj_t BgL_valuesz00_4064;

				BgL_valuesz00_4064 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_3600)))->BgL_exprza2za2);
			BgL_loopz00_4063:
				if (NULLP(BgL_valuesz00_4064))
					{	/* Coerce/coerce.scm 159 */
						BgL_typez00_bglt BgL_arg1477z00_4065;

						BgL_arg1477z00_4065 =
							BGl_getzd2typezd2zztype_typeofz00(
							((BgL_nodez00_bglt)
								((BgL_externz00_bglt) BgL_nodez00_3600)), ((bool_t) 0));
						return
							BGl_convertz12z12zzcoerce_convertz00(
							((BgL_nodez00_bglt)
								((BgL_externz00_bglt) BgL_nodez00_3600)), BgL_arg1477z00_4065,
							((BgL_typez00_bglt) BgL_toz00_3602), CBOOL(BgL_safez00_3603));
					}
				else
					{	/* Coerce/coerce.scm 160 */
						obj_t BgL_vz00_4066;

						BgL_vz00_4066 = CAR(((obj_t) BgL_valuesz00_4064));
						{	/* Coerce/coerce.scm 160 */
							BgL_nodez00_bglt BgL_nvz00_4067;

							{	/* Coerce/coerce.scm 161 */
								BgL_typez00_bglt BgL_arg1496z00_4068;

								BgL_arg1496z00_4068 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_vz00_4066), ((bool_t) 0));
								BgL_nvz00_4067 =
									BGl_coercez12z12zzcoerce_coercez00(
									((BgL_nodez00_bglt) BgL_vz00_4066), BgL_callerz00_3601,
									BgL_arg1496z00_4068, CBOOL(BgL_safez00_3603));
							}
							{	/* Coerce/coerce.scm 161 */

								{	/* Coerce/coerce.scm 162 */
									obj_t BgL_auxz00_5464;
									obj_t BgL_tmpz00_5462;

									BgL_auxz00_5464 = ((obj_t) BgL_nvz00_4067);
									BgL_tmpz00_5462 = ((obj_t) BgL_valuesz00_4064);
									SET_CAR(BgL_tmpz00_5462, BgL_auxz00_5464);
								}
								{	/* Coerce/coerce.scm 163 */
									obj_t BgL_arg1494z00_4069;

									BgL_arg1494z00_4069 = CDR(((obj_t) BgL_valuesz00_4064));
									{
										obj_t BgL_valuesz00_5469;

										BgL_valuesz00_5469 = BgL_arg1494z00_4069;
										BgL_valuesz00_4064 = BgL_valuesz00_5469;
										goto BgL_loopz00_4063;
									}
								}
							}
						}
					}
			}
		}

	}



/* &coerce!-sync1295 */
	BgL_nodez00_bglt BGl_z62coercez12zd2sync1295za2zzcoerce_coercez00(obj_t
		BgL_envz00_3604, obj_t BgL_nodez00_3605, obj_t BgL_callerz00_3606,
		obj_t BgL_toz00_3607, obj_t BgL_safez00_3608)
	{
		{	/* Coerce/coerce.scm 144 */
			{
				BgL_nodez00_bglt BgL_auxz00_5472;

				{	/* Coerce/coerce.scm 146 */
					BgL_nodez00_bglt BgL_arg1430z00_4071;

					BgL_arg1430z00_4071 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3605)))->BgL_mutexz00);
					BgL_auxz00_5472 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1430z00_4071,
						BgL_callerz00_3606,
						((BgL_typez00_bglt) BGl_za2mutexza2z00zztype_cachez00),
						CBOOL(BgL_safez00_3608));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3605)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5472), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5480;

				{	/* Coerce/coerce.scm 147 */
					BgL_nodez00_bglt BgL_arg1454z00_4072;

					BgL_arg1454z00_4072 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3605)))->BgL_prelockz00);
					BgL_auxz00_5480 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1454z00_4072,
						BgL_callerz00_3606,
						((BgL_typez00_bglt) BGl_za2pairzd2nilza2zd2zztype_cachez00),
						CBOOL(BgL_safez00_3608));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3605)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5480), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5488;

				{	/* Coerce/coerce.scm 148 */
					BgL_nodez00_bglt BgL_arg1456z00_4073;

					BgL_arg1456z00_4073 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3605)))->BgL_bodyz00);
					BgL_auxz00_5488 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1456z00_4073,
						BgL_callerz00_3606, ((BgL_typez00_bglt) BgL_toz00_3607),
						CBOOL(BgL_safez00_3608));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3605)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5488), BUNSPEC);
			}
			{
				BgL_typez00_bglt BgL_auxz00_5496;

				{	/* Coerce/coerce.scm 149 */
					BgL_typez00_bglt BgL_arg1457z00_4074;

					BgL_arg1457z00_4074 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_nodez00_3605))))->BgL_typez00);
					BgL_auxz00_5496 =
						BGl_strictzd2nodezd2typez00zzast_nodez00(
						((BgL_typez00_bglt) BgL_toz00_3607), BgL_arg1457z00_4074);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_nodez00_3605))))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_auxz00_5496), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_3605));
		}

	}



/* &coerce!-sequence1293 */
	BgL_nodez00_bglt BGl_z62coercez12zd2sequence1293za2zzcoerce_coercez00(obj_t
		BgL_envz00_3609, obj_t BgL_nodez00_3610, obj_t BgL_callerz00_3611,
		obj_t BgL_toz00_3612, obj_t BgL_safez00_3613)
	{
		{	/* Coerce/coerce.scm 127 */
			{	/* Coerce/coerce.scm 129 */
				obj_t BgL_sz00_4076;

				if (
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_3610)))->BgL_unsafez00))
					{	/* Coerce/coerce.scm 129 */
						BgL_sz00_4076 = BFALSE;
					}
				else
					{	/* Coerce/coerce.scm 129 */
						BgL_sz00_4076 = BgL_safez00_3613;
					}
				{
					obj_t BgL_nodesz00_4078;

					{	/* Coerce/coerce.scm 130 */
						obj_t BgL_arg1371z00_4085;

						BgL_arg1371z00_4085 =
							(((BgL_sequencez00_bglt) COBJECT(
									((BgL_sequencez00_bglt) BgL_nodez00_3610)))->BgL_nodesz00);
						{
							BgL_sequencez00_bglt BgL_auxz00_5512;

							BgL_nodesz00_4078 = BgL_arg1371z00_4085;
						BgL_loopz00_4077:
							{	/* Coerce/coerce.scm 131 */
								obj_t BgL_nz00_4079;

								BgL_nz00_4079 = CAR(((obj_t) BgL_nodesz00_4078));
								if (NULLP(CDR(((obj_t) BgL_nodesz00_4078))))
									{	/* Coerce/coerce.scm 132 */
										{	/* Coerce/coerce.scm 134 */
											BgL_nodez00_bglt BgL_arg1400z00_4080;

											BgL_arg1400z00_4080 =
												BGl_coercez12z12zzcoerce_coercez00(
												((BgL_nodez00_bglt) BgL_nz00_4079), BgL_callerz00_3611,
												((BgL_typez00_bglt) BgL_toz00_3612),
												CBOOL(BgL_sz00_4076));
											{	/* Coerce/coerce.scm 134 */
												obj_t BgL_auxz00_5525;
												obj_t BgL_tmpz00_5523;

												BgL_auxz00_5525 = ((obj_t) BgL_arg1400z00_4080);
												BgL_tmpz00_5523 = ((obj_t) BgL_nodesz00_4078);
												SET_CAR(BgL_tmpz00_5523, BgL_auxz00_5525);
											}
										}
										{
											BgL_typez00_bglt BgL_auxz00_5528;

											{	/* Coerce/coerce.scm 135 */
												BgL_typez00_bglt BgL_arg1401z00_4081;

												BgL_arg1401z00_4081 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_sequencez00_bglt) BgL_nodez00_3610))))->
													BgL_typez00);
												BgL_auxz00_5528 =
													BGl_strictzd2nodezd2typez00zzast_nodez00((
														(BgL_typez00_bglt) BgL_toz00_3612),
													BgL_arg1401z00_4081);
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_sequencez00_bglt) BgL_nodez00_3610))))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_auxz00_5528), BUNSPEC);
										}
										BgL_auxz00_5512 = ((BgL_sequencez00_bglt) BgL_nodez00_3610);
									}
								else
									{	/* Coerce/coerce.scm 132 */
										{	/* Coerce/coerce.scm 138 */
											BgL_nodez00_bglt BgL_arg1415z00_4082;

											{	/* Coerce/coerce.scm 138 */
												BgL_typez00_bglt BgL_arg1416z00_4083;

												BgL_arg1416z00_4083 =
													BGl_getzd2typezd2zztype_typeofz00(
													((BgL_nodez00_bglt) BgL_nz00_4079), ((bool_t) 0));
												BgL_arg1415z00_4082 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_nz00_4079),
													BgL_callerz00_3611, BgL_arg1416z00_4083,
													CBOOL(BgL_sz00_4076));
											}
											{	/* Coerce/coerce.scm 138 */
												obj_t BgL_auxz00_5545;
												obj_t BgL_tmpz00_5543;

												BgL_auxz00_5545 = ((obj_t) BgL_arg1415z00_4082);
												BgL_tmpz00_5543 = ((obj_t) BgL_nodesz00_4078);
												SET_CAR(BgL_tmpz00_5543, BgL_auxz00_5545);
											}
										}
										{	/* Coerce/coerce.scm 139 */
											obj_t BgL_arg1418z00_4084;

											BgL_arg1418z00_4084 = CDR(((obj_t) BgL_nodesz00_4078));
											{
												obj_t BgL_nodesz00_5550;

												BgL_nodesz00_5550 = BgL_arg1418z00_4084;
												BgL_nodesz00_4078 = BgL_nodesz00_5550;
												goto BgL_loopz00_4077;
											}
										}
									}
							}
							return ((BgL_nodez00_bglt) BgL_auxz00_5512);
						}
					}
				}
			}
		}

	}



/* &coerce!-closure1291 */
	BgL_nodez00_bglt BGl_z62coercez12zd2closure1291za2zzcoerce_coercez00(obj_t
		BgL_envz00_3614, obj_t BgL_nodez00_3615, obj_t BgL_callerz00_3616,
		obj_t BgL_toz00_3617, obj_t BgL_safez00_3618)
	{
		{	/* Coerce/coerce.scm 121 */
			{	/* Coerce/coerce.scm 122 */
				obj_t BgL_arg1370z00_4087;

				BgL_arg1370z00_4087 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_3615)));
				return
					((BgL_nodez00_bglt)
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2113z00zzcoerce_coercez00,
						BGl_string2145z00zzcoerce_coercez00, BgL_arg1370z00_4087));
			}
		}

	}



/* &coerce!-var1289 */
	BgL_nodez00_bglt BGl_z62coercez12zd2var1289za2zzcoerce_coercez00(obj_t
		BgL_envz00_3619, obj_t BgL_nodez00_3620, obj_t BgL_callerz00_3621,
		obj_t BgL_toz00_3622, obj_t BgL_safez00_3623)
	{
		{	/* Coerce/coerce.scm 106 */
			{	/* Coerce/coerce.scm 108 */
				BgL_typez00_bglt BgL_ntypez00_4089;
				BgL_typez00_bglt BgL_vtypez00_4090;

				BgL_ntypez00_4089 =
					BGl_getzd2typezd2zztype_typeofz00(
					((BgL_nodez00_bglt)
						((BgL_varz00_bglt) BgL_nodez00_3620)), ((bool_t) 0));
				BgL_vtypez00_4090 =
					(((BgL_variablez00_bglt) COBJECT(
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_3620)))->BgL_variablez00)))->
					BgL_typez00);
				if ((((obj_t) BgL_vtypez00_4090) == BgL_toz00_3622))
					{	/* Coerce/coerce.scm 111 */
						return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_3620));
					}
				else
					{	/* Coerce/coerce.scm 111 */
						if ((((obj_t) BgL_ntypez00_4089) == ((obj_t) BgL_vtypez00_4090)))
							{	/* Coerce/coerce.scm 113 */
								return
									BGl_convertz12z12zzcoerce_convertz00(
									((BgL_nodez00_bglt)
										((BgL_varz00_bglt) BgL_nodez00_3620)), BgL_ntypez00_4089,
									((BgL_typez00_bglt) BgL_toz00_3622), CBOOL(BgL_safez00_3623));
							}
						else
							{	/* Coerce/coerce.scm 116 */
								BgL_nodez00_bglt BgL_arg1367z00_4091;

								BgL_arg1367z00_4091 =
									BGl_convertz12z12zzcoerce_convertz00(
									((BgL_nodez00_bglt)
										((BgL_varz00_bglt) BgL_nodez00_3620)), BgL_vtypez00_4090,
									BgL_ntypez00_4089, ((bool_t) 0));
								return BGl_convertz12z12zzcoerce_convertz00(BgL_arg1367z00_4091,
									BgL_ntypez00_4089, ((BgL_typez00_bglt) BgL_toz00_3622),
									CBOOL(BgL_safez00_3623));
							}
					}
			}
		}

	}



/* &coerce!-kwote1287 */
	BgL_nodez00_bglt BGl_z62coercez12zd2kwote1287za2zzcoerce_coercez00(obj_t
		BgL_envz00_3624, obj_t BgL_nodez00_3625, obj_t BgL_callerz00_3626,
		obj_t BgL_toz00_3627, obj_t BgL_safez00_3628)
	{
		{	/* Coerce/coerce.scm 91 */
			{	/* Coerce/coerce.scm 92 */
				BgL_typez00_bglt BgL_arg1364z00_4093;

				BgL_arg1364z00_4093 =
					BGl_getzd2typezd2zztype_typeofz00(
					((BgL_nodez00_bglt)
						((BgL_kwotez00_bglt) BgL_nodez00_3625)), ((bool_t) 0));
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_kwotez00_bglt) BgL_nodez00_3625)), BgL_arg1364z00_4093,
					((BgL_typez00_bglt) BgL_toz00_3627), CBOOL(BgL_safez00_3628));
			}
		}

	}



/* &coerce!-atom1285 */
	BgL_nodez00_bglt BGl_z62coercez12zd2atom1285za2zzcoerce_coercez00(obj_t
		BgL_envz00_3629, obj_t BgL_nodez00_3630, obj_t BgL_callerz00_3631,
		obj_t BgL_toz00_3632, obj_t BgL_safez00_3633)
	{
		{	/* Coerce/coerce.scm 85 */
			{	/* Coerce/coerce.scm 86 */
				BgL_typez00_bglt BgL_arg1363z00_4095;

				BgL_arg1363z00_4095 =
					BGl_getzd2typezd2zztype_typeofz00(
					((BgL_nodez00_bglt)
						((BgL_atomz00_bglt) BgL_nodez00_3630)), ((bool_t) 0));
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_atomz00_bglt) BgL_nodez00_3630)), BgL_arg1363z00_4095,
					((BgL_typez00_bglt) BgL_toz00_3632), CBOOL(BgL_safez00_3633));
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_coercez00()
	{
		{	/* Coerce/coerce.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(((long) 44915300),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 87995645),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_appz00(((long) 419328946),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_applyz00(((long) 435902431),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(((long) 40876382),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2146z00zzcoerce_coercez00));
		}

	}

#ifdef __cplusplus
}
#endif
