/*===========================================================================*/
/*   (Coerce/convert.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/convert.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	extern obj_t BGl_za2uint32za2z00zztype_cachez00;
	extern obj_t BGl_za2uint16za2z00zztype_cachez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_convertz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static BgL_nodez00_bglt BGl_dozd2convertzd2zzcoerce_convertz00(obj_t,
		BgL_nodez00_bglt, BgL_typez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
	static obj_t BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_notifyzd2typezd2testz00zzcoerce_convertz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static long BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcoerce_convertz00();
	static BgL_nodez00_bglt
		BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt, bool_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, BgL_nodez00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static long BGl_za2checkza2z00zzcoerce_convertz00;
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2uint64za2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_warningzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_notifiedzd2locationszd2zzcoerce_convertz00 = BUNSPEC;
	extern obj_t BGl_za2stringza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	extern obj_t BGl_za2warningzd2typesza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt,
		BgL_typez00_bglt, obj_t, BgL_nodez00_bglt);
	static obj_t BGl_methodzd2initzd2zzcoerce_convertz00();
	static BgL_nodez00_bglt
		BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, BgL_nodez00_bglt);
	static obj_t BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2int32za2z00zztype_cachez00;
	extern obj_t BGl_za2int16za2z00zztype_cachez00;
	extern obj_t BGl_za2uint8za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2scharza2z00zztype_cachez00;
	BGL_EXPORTED_DEF obj_t BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
		BUNSPEC;
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static BgL_nodez00_bglt BGl_z62convertz12z70zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2elongza2z00zztype_cachez00;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2int8za2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcoerce_convertz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
	static obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
	static obj_t BGl_gczd2rootszd2initz00zzcoerce_convertz00();
	extern obj_t BGl_za2llongza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	extern obj_t BGl_za2int64za2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t,
		BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT int BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt, BgL_typez00_bglt,
		BgL_typez00_bglt, bool_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern BgL_typez00_bglt
		BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t
		BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(int);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2warningzd2typezd2errorza2z00zzengine_paramz00;
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	static obj_t __cnst[11];


	   
		 
		DEFINE_STRING(BGl_string2041z00zzcoerce_convertz00,
		BgL_bgl_string2041za700za7za7c2050za7, "e.1 ", 4);
	      DEFINE_STRING(BGl_string2042z00zzcoerce_convertz00,
		BgL_bgl_string2042za700za7za7c2051za7, ":", 1);
	      DEFINE_STRING(BGl_string2043z00zzcoerce_convertz00,
		BgL_bgl_string2043za700za7za7c2052za7, ",", 1);
	      DEFINE_STRING(BGl_string2044z00zzcoerce_convertz00,
		BgL_bgl_string2044za700za7za7c2053za7, "Coerce/convert.scm", 18);
	      DEFINE_STRING(BGl_string2045z00zzcoerce_convertz00,
		BgL_bgl_string2045za700za7za7c2054za7, "Illegal conversion", 18);
	      DEFINE_STRING(BGl_string2046z00zzcoerce_convertz00,
		BgL_bgl_string2046za700za7za7c2055za7, "coerce_convert", 14);
	      DEFINE_STRING(BGl_string2047z00zzcoerce_convertz00,
		BgL_bgl_string2047za700za7za7c2056za7,
		"aux2 if coercer let ::obj aux failure @ type-error __error location ", 68);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_runtimezd2typezd2errorzd2envzd2zzcoerce_convertz00,
		BgL_bgl_za762runtimeza7d2typ2057z00,
		BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_convertz12zd2envzc0zzcoerce_convertz00,
		BgL_bgl_za762convertza712za7702058za7,
		BGl_z62convertz12z70zzcoerce_convertz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2stackzd2checkzd2envzd2zzcoerce_convertz00,
		BgL_bgl_za762getza7d2stackza7d2059za7,
		BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00, 0L, BUNSPEC, 0);
	      DEFINE_REAL(BGl_real2040z00zzcoerce_convertz00,
		BgL_bgl_real2040za700za7za7coe2060za7, 0.0);
	      DEFINE_STRING(BGl_string2037z00zzcoerce_convertz00,
		BgL_bgl_string2037za700za7za7c2061za7,
		" ~a. Type test inserted \"~a\" -> \"~a\"", 36);
	      DEFINE_STRING(BGl_string2038z00zzcoerce_convertz00,
		BgL_bgl_string2038za700za7za7c2062za7, "", 0);
	      DEFINE_STRING(BGl_string2039z00zzcoerce_convertz00,
		BgL_bgl_string2039za700za7za7c2063za7, "Type error", 10);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcoerce_convertz00));
		     ADD_ROOT((void *) (&BGl_notifiedzd2locationszd2zzcoerce_convertz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long
		BgL_checksumz00_2851, char *BgL_fromz00_2852)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_convertz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_convertz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcoerce_convertz00();
					BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
					BGl_cnstzd2initzd2zzcoerce_convertz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
					return BGl_toplevelzd2initzd2zzcoerce_convertz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00()
	{
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"coerce_convert");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_convertz00()
	{
		{	/* Coerce/convert.scm 16 */
			{	/* Coerce/convert.scm 16 */
				obj_t BgL_cportz00_2839;

				{	/* Coerce/convert.scm 16 */
					obj_t BgL_stringz00_2847;

					BgL_stringz00_2847 = BGl_string2047z00zzcoerce_convertz00;
					{	/* Coerce/convert.scm 16 */
						obj_t BgL_startz00_2848;

						BgL_startz00_2848 = BINT(((long) 0));
						{	/* Coerce/convert.scm 16 */
							obj_t BgL_endz00_2849;

							BgL_endz00_2849 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2847)));
							{	/* Coerce/convert.scm 16 */

								BgL_cportz00_2839 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2847, BgL_startz00_2848, BgL_endz00_2849);
				}}}}
				{
					long BgL_iz00_2840;

					BgL_iz00_2840 = ((long) 10);
				BgL_loopz00_2841:
					if ((BgL_iz00_2840 == ((long) -1)))
						{	/* Coerce/convert.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/convert.scm 16 */
							{	/* Coerce/convert.scm 16 */
								obj_t BgL_arg2049z00_2843;

								{	/* Coerce/convert.scm 16 */

									{	/* Coerce/convert.scm 16 */
										obj_t BgL_locationz00_2845;

										BgL_locationz00_2845 = BBOOL(((bool_t) 0));
										{	/* Coerce/convert.scm 16 */

											BgL_arg2049z00_2843 =
												BGl_readz00zz__readerz00(BgL_cportz00_2839,
												BgL_locationz00_2845);
										}
									}
								}
								{	/* Coerce/convert.scm 16 */
									int BgL_tmpz00_2884;

									BgL_tmpz00_2884 = (int) (BgL_iz00_2840);
									CNST_TABLE_SET(BgL_tmpz00_2884, BgL_arg2049z00_2843);
							}}
							{	/* Coerce/convert.scm 16 */
								int BgL_auxz00_2846;

								BgL_auxz00_2846 = (int) ((BgL_iz00_2840 - ((long) 1)));
								{
									long BgL_iz00_2889;

									BgL_iz00_2889 = (long) (BgL_auxz00_2846);
									BgL_iz00_2840 = BgL_iz00_2889;
									goto BgL_loopz00_2841;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcoerce_convertz00()
	{
		{	/* Coerce/convert.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00()
	{
		{	/* Coerce/convert.scm 16 */
			BGl_za2checkza2z00zzcoerce_convertz00 = ((long) 0);
			BGl_notifiedzd2locationszd2zzcoerce_convertz00 = BNIL;
			BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 = BTRUE;
			return (BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
				((long) 0), BUNSPEC);
		}

	}



/* notify-type-test */
	obj_t BGl_notifyzd2typezd2testz00zzcoerce_convertz00(obj_t BgL_fromz00_35,
		obj_t BgL_toz00_36, obj_t BgL_locz00_37)
	{
		{	/* Coerce/convert.scm 59 */
			if (CBOOL(BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00))
				{	/* Coerce/convert.scm 61 */
					int BgL_stz00_1770;

					BgL_stz00_1770 = BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
					BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(
						(int) (((long) 0)));
					if (CBOOL(BgL_locz00_37))
						{	/* Coerce/convert.scm 64 */
							if (CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
									(BgL_locz00_37,
										BGl_notifiedzd2locationszd2zzcoerce_convertz00)))
								{	/* Coerce/convert.scm 69 */
									BFALSE;
								}
							else
								{	/* Coerce/convert.scm 69 */
									BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
										(((long) 1) +
										BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00);
									BGl_notifiedzd2locationszd2zzcoerce_convertz00 =
										MAKE_YOUNG_PAIR(BgL_locz00_37,
										BGl_notifiedzd2locationszd2zzcoerce_convertz00);
									{	/* Coerce/convert.scm 72 */
										obj_t BgL_arg1400z00_1772;
										obj_t BgL_arg1401z00_1773;
										obj_t BgL_arg1415z00_1774;

										BgL_arg1400z00_1772 =
											BGl_locationzd2fullzd2fnamez00zztools_locationz00
											(BgL_locz00_37);
										BgL_arg1401z00_1773 =
											STRUCT_REF(((obj_t) BgL_locz00_37), (int) (((long) 1)));
										{	/* Coerce/convert.scm 75 */
											obj_t BgL_arg1418z00_1776;
											obj_t BgL_arg1419z00_1777;

											BgL_arg1418z00_1776 =
												BGl_shapez00zztools_shapez00(BgL_fromz00_35);
											BgL_arg1419z00_1777 =
												BGl_shapez00zztools_shapez00(BgL_toz00_36);
											{	/* Coerce/convert.scm 74 */
												obj_t BgL_list1420z00_1778;

												{	/* Coerce/convert.scm 74 */
													obj_t BgL_arg1430z00_1779;

													{	/* Coerce/convert.scm 74 */
														obj_t BgL_arg1454z00_1780;

														BgL_arg1454z00_1780 =
															MAKE_YOUNG_PAIR(BgL_arg1419z00_1777, BNIL);
														BgL_arg1430z00_1779 =
															MAKE_YOUNG_PAIR(BgL_arg1418z00_1776,
															BgL_arg1454z00_1780);
													}
													BgL_list1420z00_1778 =
														MAKE_YOUNG_PAIR(BINT
														(BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00),
														BgL_arg1430z00_1779);
												}
												BgL_arg1415z00_1774 =
													BGl_formatz00zz__r4_output_6_10_3z00
													(BGl_string2037z00zzcoerce_convertz00,
													BgL_list1420z00_1778);
										}}
										{	/* Coerce/convert.scm 72 */
											obj_t BgL_list1416z00_1775;

											BgL_list1416z00_1775 =
												MAKE_YOUNG_PAIR(BgL_arg1415z00_1774, BNIL);
											BGl_warningzf2locationzf2zz__errorz00(BgL_arg1400z00_1772,
												BgL_arg1401z00_1773, BgL_list1416z00_1775);
						}}}}
					else
						{	/* Coerce/convert.scm 64 */
							BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
								(((long) 1) + BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00);
							{	/* Coerce/convert.scm 68 */
								obj_t BgL_arg1456z00_1781;

								{	/* Coerce/convert.scm 68 */
									obj_t BgL_arg1462z00_1783;
									obj_t BgL_arg1477z00_1784;

									BgL_arg1462z00_1783 =
										BGl_shapez00zztools_shapez00(BgL_fromz00_35);
									BgL_arg1477z00_1784 =
										BGl_shapez00zztools_shapez00(BgL_toz00_36);
									{	/* Coerce/convert.scm 67 */
										obj_t BgL_list1478z00_1785;

										{	/* Coerce/convert.scm 67 */
											obj_t BgL_arg1494z00_1786;

											{	/* Coerce/convert.scm 67 */
												obj_t BgL_arg1496z00_1787;

												BgL_arg1496z00_1787 =
													MAKE_YOUNG_PAIR(BgL_arg1477z00_1784, BNIL);
												BgL_arg1494z00_1786 =
													MAKE_YOUNG_PAIR(BgL_arg1462z00_1783,
													BgL_arg1496z00_1787);
											}
											BgL_list1478z00_1785 =
												MAKE_YOUNG_PAIR(BINT
												(BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00),
												BgL_arg1494z00_1786);
										}
										BgL_arg1456z00_1781 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string2037z00zzcoerce_convertz00,
											BgL_list1478z00_1785);
								}}
								{	/* Coerce/convert.scm 66 */
									obj_t BgL_list1457z00_1782;

									BgL_list1457z00_1782 =
										MAKE_YOUNG_PAIR(BgL_arg1456z00_1781, BNIL);
									BGl_warningz00zz__errorz00(BgL_list1457z00_1782);
						}}}
					return
						BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00
						(BgL_stz00_1770);
				}
			else
				{	/* Coerce/convert.scm 60 */
					return BFALSE;
				}
		}

	}



/* get-stack-check */
	BGL_EXPORTED_DEF obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00()
	{
		{	/* Coerce/convert.scm 88 */
			return BINT(BGl_za2checkza2z00zzcoerce_convertz00);
		}

	}



/* &get-stack-check */
	obj_t BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00(obj_t BgL_envz00_2827)
	{
		{	/* Coerce/convert.scm 88 */
			return BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
		}

	}



/* runtime-type-error/id */
	obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t
		BgL_locz00_49, obj_t BgL_tiz00_50, obj_t BgL_idz00_51)
	{
		{	/* Coerce/convert.scm 114 */
			{	/* Coerce/convert.scm 116 */
				obj_t BgL_fnamez00_1795;
				obj_t BgL_posz00_1796;

				{	/* Coerce/convert.scm 116 */
					bool_t BgL_test2069z00_2930;

					if (STRUCTP(BgL_locz00_49))
						{	/* Coerce/convert.scm 116 */
							BgL_test2069z00_2930 =
								(STRUCT_KEY(BgL_locz00_49) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Coerce/convert.scm 116 */
							BgL_test2069z00_2930 = ((bool_t) 0);
						}
					if (BgL_test2069z00_2930)
						{	/* Coerce/convert.scm 116 */
							BgL_fnamez00_1795 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_49);
						}
					else
						{	/* Coerce/convert.scm 116 */
							BgL_fnamez00_1795 = BFALSE;
						}
				}
				{	/* Coerce/convert.scm 117 */
					bool_t BgL_test2071z00_2937;

					if (STRUCTP(BgL_locz00_49))
						{	/* Coerce/convert.scm 117 */
							BgL_test2071z00_2937 =
								(STRUCT_KEY(BgL_locz00_49) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Coerce/convert.scm 117 */
							BgL_test2071z00_2937 = ((bool_t) 0);
						}
					if (BgL_test2071z00_2937)
						{	/* Coerce/convert.scm 117 */
							BgL_posz00_1796 = STRUCT_REF(BgL_locz00_49, (int) (((long) 1)));
						}
					else
						{	/* Coerce/convert.scm 117 */
							BgL_posz00_1796 = BFALSE;
						}
				}
				{	/* Coerce/convert.scm 119 */
					obj_t BgL_arg1542z00_1797;

					{	/* Coerce/convert.scm 119 */
						obj_t BgL_arg1543z00_1798;
						obj_t BgL_arg1548z00_1799;

						{	/* Coerce/convert.scm 119 */
							obj_t BgL_arg1551z00_1800;
							obj_t BgL_arg1552z00_1801;

							{	/* Coerce/convert.scm 119 */
								obj_t BgL_arg1554z00_1802;

								{	/* Coerce/convert.scm 119 */
									obj_t BgL_arg1555z00_1803;

									BgL_arg1555z00_1803 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 1)), BNIL);
									BgL_arg1554z00_1802 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)),
										BgL_arg1555z00_1803);
								}
								BgL_arg1551z00_1800 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
									BgL_arg1554z00_1802);
							}
							{	/* Coerce/convert.scm 120 */
								obj_t BgL_arg1563z00_1804;

								{	/* Coerce/convert.scm 120 */
									obj_t BgL_arg1564z00_1805;

									{	/* Coerce/convert.scm 120 */
										obj_t BgL_arg1567z00_1806;
										obj_t BgL_arg1570z00_1807;

										{	/* Coerce/convert.scm 120 */
											obj_t BgL_arg1571z00_1808;

											BgL_arg1571z00_1808 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/convert.scm 120 */
												obj_t BgL_arg1463z00_2368;

												BgL_arg1463z00_2368 =
													SYMBOL_TO_STRING(((obj_t) BgL_arg1571z00_1808));
												BgL_arg1567z00_1806 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1463z00_2368);
										}}
										{	/* Coerce/convert.scm 121 */
											obj_t BgL_arg1578z00_1809;
											obj_t BgL_arg1581z00_1810;

											{	/* Coerce/convert.scm 121 */
												obj_t BgL_arg1463z00_2370;

												BgL_arg1463z00_2370 =
													SYMBOL_TO_STRING(((obj_t) BgL_tiz00_50));
												BgL_arg1578z00_1809 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1463z00_2370);
											}
											BgL_arg1581z00_1810 = MAKE_YOUNG_PAIR(BgL_idz00_51, BNIL);
											BgL_arg1570z00_1807 =
												MAKE_YOUNG_PAIR(BgL_arg1578z00_1809,
												BgL_arg1581z00_1810);
										}
										BgL_arg1564z00_1805 =
											MAKE_YOUNG_PAIR(BgL_arg1567z00_1806, BgL_arg1570z00_1807);
									}
									BgL_arg1563z00_1804 =
										MAKE_YOUNG_PAIR(BgL_posz00_1796, BgL_arg1564z00_1805);
								}
								BgL_arg1552z00_1801 =
									MAKE_YOUNG_PAIR(BgL_fnamez00_1795, BgL_arg1563z00_1804);
							}
							BgL_arg1543z00_1798 =
								MAKE_YOUNG_PAIR(BgL_arg1551z00_1800, BgL_arg1552z00_1801);
						}
						{	/* Coerce/convert.scm 118 */
							obj_t BgL_arg1582z00_1811;

							BgL_arg1582z00_1811 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							BgL_arg1548z00_1799 =
								MAKE_YOUNG_PAIR(BFALSE, BgL_arg1582z00_1811);
						}
						BgL_arg1542z00_1797 =
							MAKE_YOUNG_PAIR(BgL_arg1543z00_1798, BgL_arg1548z00_1799);
					}
					return
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)), BgL_arg1542z00_1797);
		}}}

	}



/* runtime-type-error */
	BGL_EXPORTED_DEF obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t
		BgL_locz00_52, obj_t BgL_tiz00_53, BgL_nodez00_bglt BgL_valuez00_54)
	{
		{	/* Coerce/convert.scm 128 */
			{	/* Coerce/convert.scm 130 */
				obj_t BgL_auxz00_1814;

				BgL_auxz00_1814 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)));
				{	/* Coerce/convert.scm 130 */
					BgL_nodez00_bglt BgL_uvaluez00_1815;

					{	/* Coerce/convert.scm 131 */
						bool_t BgL_test2073z00_2971;

						{	/* Coerce/convert.scm 131 */
							obj_t BgL_classz00_2371;

							BgL_classz00_2371 = BGl_varz00zzast_nodez00;
							{	/* Coerce/convert.scm 131 */
								BgL_objectz00_bglt BgL_arg1825z00_2373;

								{	/* Coerce/convert.scm 131 */
									obj_t BgL_tmpz00_2972;

									BgL_tmpz00_2972 = ((obj_t) BgL_valuez00_54);
									BgL_arg1825z00_2373 = (BgL_objectz00_bglt) (BgL_tmpz00_2972);
								}
								{	/* Coerce/convert.scm 131 */
									bool_t BgL_arg1822z00_2376;
									bool_t BgL_arg1823z00_2377;

									{	/* Coerce/convert.scm 131 */
										long BgL_idxz00_2380;

										BgL_idxz00_2380 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2373);
										BgL_arg1822z00_2376 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2380 + ((long) 2))) == BgL_classz00_2371);
									}
									{	/* Coerce/convert.scm 131 */
										bool_t BgL_res2022z00_2402;

										{	/* Coerce/convert.scm 131 */
											obj_t BgL_oclassz00_2388;

											{	/* Coerce/convert.scm 131 */
												long BgL_arg1833z00_2394;

												{	/* Coerce/convert.scm 131 */
													long BgL_arg1834z00_2395;

													BgL_arg1834z00_2395 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2373);
													BgL_arg1833z00_2394 =
														(BgL_arg1834z00_2395 - OBJECT_TYPE);
												}
												BgL_oclassz00_2388 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2394);
											}
											{	/* Coerce/convert.scm 131 */
												bool_t BgL__ortest_1110z00_2389;

												BgL__ortest_1110z00_2389 =
													(BgL_classz00_2371 == BgL_oclassz00_2388);
												if (BgL__ortest_1110z00_2389)
													{	/* Coerce/convert.scm 131 */
														BgL_res2022z00_2402 = BgL__ortest_1110z00_2389;
													}
												else
													{	/* Coerce/convert.scm 131 */
														long BgL_odepthz00_2390;

														BgL_odepthz00_2390 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2388);
														if ((((long) 2) < BgL_odepthz00_2390))
															{	/* Coerce/convert.scm 131 */
																obj_t BgL_arg1821z00_2392;

																BgL_arg1821z00_2392 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2388,
																	((long) 2));
																BgL_res2022z00_2402 =
																	(BgL_arg1821z00_2392 == BgL_classz00_2371);
															}
														else
															{	/* Coerce/convert.scm 131 */
																BgL_res2022z00_2402 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2377 = BgL_res2022z00_2402;
									}
									BgL_test2073z00_2971 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2376, BgL_arg1823z00_2377);
								}
							}
						}
						if (BgL_test2073z00_2971)
							{	/* Coerce/convert.scm 132 */
								BgL_refz00_bglt BgL_new1109z00_1833;

								{	/* Coerce/convert.scm 132 */
									BgL_refz00_bglt BgL_new1113z00_1835;

									BgL_new1113z00_1835 =
										((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_refz00_bgl))));
									{	/* Coerce/convert.scm 132 */
										long BgL_arg1632z00_1836;

										BgL_arg1632z00_1836 =
											BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1113z00_1835),
											BgL_arg1632z00_1836);
									}
									{	/* Coerce/convert.scm 132 */
										BgL_objectz00_bglt BgL_tmpz00_2994;

										BgL_tmpz00_2994 =
											((BgL_objectz00_bglt) BgL_new1113z00_1835);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2994, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1113z00_1835);
									BgL_new1109z00_1833 = BgL_new1113z00_1835;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1109z00_1833)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_valuez00_54))->
											BgL_locz00)), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1109z00_1833)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
								((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
													BgL_new1109z00_1833)))->BgL_variablez00) =
									((BgL_variablez00_bglt) (((BgL_varz00_bglt)
												COBJECT(((BgL_varz00_bglt) BgL_valuez00_54)))->
											BgL_variablez00)), BUNSPEC);
								BgL_uvaluez00_1815 = ((BgL_nodez00_bglt) BgL_new1109z00_1833);
							}
						else
							{	/* Coerce/convert.scm 131 */
								BgL_uvaluez00_1815 = BgL_valuez00_54;
							}
					}
					{	/* Coerce/convert.scm 131 */
						BgL_nodez00_bglt BgL_resz00_1816;

						{	/* Coerce/convert.scm 136 */
							obj_t BgL_arg1595z00_1819;

							{	/* Coerce/convert.scm 136 */
								obj_t BgL_arg1597z00_1820;

								{	/* Coerce/convert.scm 136 */
									obj_t BgL_arg1601z00_1821;
									obj_t BgL_arg1602z00_1822;

									{	/* Coerce/convert.scm 136 */
										obj_t BgL_arg1603z00_1823;

										{	/* Coerce/convert.scm 136 */
											obj_t BgL_arg1604z00_1824;
											obj_t BgL_arg1606z00_1825;

											{	/* Coerce/convert.scm 136 */
												obj_t BgL_arg1612z00_1826;

												{	/* Coerce/convert.scm 136 */
													obj_t BgL_arg1613z00_1827;

													{	/* Coerce/convert.scm 136 */
														obj_t BgL_arg1619z00_1828;
														obj_t BgL_arg1620z00_1829;

														{	/* Coerce/convert.scm 136 */
															obj_t BgL_arg1463z00_2408;

															BgL_arg1463z00_2408 =
																SYMBOL_TO_STRING(BgL_auxz00_1814);
															BgL_arg1619z00_1828 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1463z00_2408);
														}
														{	/* Coerce/convert.scm 136 */
															obj_t BgL_symbolz00_2409;

															BgL_symbolz00_2409 = CNST_TABLE_REF(((long) 6));
															{	/* Coerce/convert.scm 136 */
																obj_t BgL_arg1463z00_2410;

																BgL_arg1463z00_2410 =
																	SYMBOL_TO_STRING(BgL_symbolz00_2409);
																BgL_arg1620z00_1829 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1463z00_2410);
														}}
														BgL_arg1613z00_1827 =
															string_append(BgL_arg1619z00_1828,
															BgL_arg1620z00_1829);
													}
													BgL_arg1612z00_1826 =
														bstring_to_symbol(BgL_arg1613z00_1827);
												}
												BgL_arg1604z00_1824 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg1612z00_1826);
											}
											BgL_arg1606z00_1825 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
											BgL_arg1603z00_1823 =
												MAKE_YOUNG_PAIR(BgL_arg1604z00_1824,
												BgL_arg1606z00_1825);
										}
										BgL_arg1601z00_1821 =
											MAKE_YOUNG_PAIR(BgL_arg1603z00_1823, BNIL);
									}
									BgL_arg1602z00_1822 =
										MAKE_YOUNG_PAIR
										(BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
										(BgL_locz00_52, BgL_tiz00_53, BgL_auxz00_1814), BNIL);
									BgL_arg1597z00_1820 =
										MAKE_YOUNG_PAIR(BgL_arg1601z00_1821, BgL_arg1602z00_1822);
								}
								BgL_arg1595z00_1819 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
									BgL_arg1597z00_1820);
							}
							BgL_resz00_1816 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg1595z00_1819, BgL_locz00_52);
						}
						{	/* Coerce/convert.scm 135 */

							{	/* Coerce/convert.scm 140 */
								obj_t BgL_arg1586z00_1817;

								{	/* Coerce/convert.scm 140 */
									obj_t BgL_pairz00_2413;

									BgL_pairz00_2413 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_resz00_1816)))->
										BgL_bindingsz00);
									BgL_arg1586z00_1817 = CAR(BgL_pairz00_2413);
								}
								{	/* Coerce/convert.scm 140 */
									obj_t BgL_auxz00_3031;
									obj_t BgL_tmpz00_3029;

									BgL_auxz00_3031 = ((obj_t) BgL_uvaluez00_1815);
									BgL_tmpz00_3029 = ((obj_t) BgL_arg1586z00_1817);
									SET_CDR(BgL_tmpz00_3029, BgL_auxz00_3031);
							}}
							return ((obj_t) BgL_resz00_1816);
						}
					}
				}
			}
		}

	}



/* &runtime-type-error */
	obj_t BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00(obj_t
		BgL_envz00_2828, obj_t BgL_locz00_2829, obj_t BgL_tiz00_2830,
		obj_t BgL_valuez00_2831)
	{
		{	/* Coerce/convert.scm 128 */
			return
				BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_2829,
				BgL_tiz00_2830, ((BgL_nodez00_bglt) BgL_valuez00_2831));
		}

	}



/* convert-error */
	obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt
		BgL_fromz00_55, BgL_typez00_bglt BgL_toz00_56, obj_t BgL_locz00_57,
		BgL_nodez00_bglt BgL_nodez00_58)
	{
		{	/* Coerce/convert.scm 150 */
			{	/* Coerce/convert.scm 154 */
				bool_t BgL_test2076z00_3037;

				if ((((obj_t) BgL_toz00_56) == BGl_za2objza2z00zztype_cachez00))
					{	/* Coerce/convert.scm 154 */
						BgL_test2076z00_3037 = ((bool_t) 0);
					}
				else
					{	/* Coerce/convert.scm 154 */
						BgL_test2076z00_3037 =
							BGl_subzd2typezf3z21zztype_envz00(BgL_toz00_56,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
					}
				if (BgL_test2076z00_3037)
					{	/* Coerce/convert.scm 155 */
						obj_t BgL_nodez00_1839;

						BgL_nodez00_1839 =
							BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_57,
							(((BgL_typez00_bglt) COBJECT(BgL_toz00_56))->BgL_idz00),
							BgL_nodez00_58);
						{	/* Coerce/convert.scm 156 */
							obj_t BgL_arg1636z00_1840;

							BgL_arg1636z00_1840 = BGl_currentzd2functionzd2zztools_errorz00();
							{	/* Coerce/convert.scm 108 */
								obj_t BgL_arg1524z00_2416;

								{	/* Coerce/convert.scm 108 */
									obj_t BgL_arg1534z00_2417;
									obj_t BgL_arg1536z00_2418;

									BgL_arg1534z00_2417 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
									BgL_arg1536z00_2418 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_fromz00_55));
									BgL_arg1524z00_2416 =
										BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
										(BGl_string2038z00zzcoerce_convertz00, BgL_arg1534z00_2417,
										BgL_arg1536z00_2418);
								}
								BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_57,
									BgL_arg1636z00_1840, BGl_string2039z00zzcoerce_convertz00,
									BgL_arg1524z00_2416);
							}
						}
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
							((BgL_nodez00_bglt) BgL_nodez00_1839));
						return
							((obj_t)
							BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_nodez00_1839), BUNSPEC, BgL_fromz00_55,
								((bool_t) 0)));
					}
				else
					{	/* Coerce/convert.scm 159 */
						bool_t BgL_test2078z00_3057;

						{	/* Coerce/convert.scm 159 */
							obj_t BgL_classz00_2419;

							BgL_classz00_2419 = BGl_tclassz00zzobject_classz00;
							{	/* Coerce/convert.scm 159 */
								BgL_objectz00_bglt BgL_arg1825z00_2421;

								{	/* Coerce/convert.scm 159 */
									obj_t BgL_tmpz00_3058;

									BgL_tmpz00_3058 =
										((obj_t) ((BgL_objectz00_bglt) BgL_toz00_56));
									BgL_arg1825z00_2421 = (BgL_objectz00_bglt) (BgL_tmpz00_3058);
								}
								{	/* Coerce/convert.scm 159 */
									bool_t BgL_arg1822z00_2424;
									bool_t BgL_arg1823z00_2425;

									{	/* Coerce/convert.scm 159 */
										long BgL_idxz00_2428;

										BgL_idxz00_2428 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2421);
										BgL_arg1822z00_2424 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2428 + ((long) 2))) == BgL_classz00_2419);
									}
									{	/* Coerce/convert.scm 159 */
										bool_t BgL_res2023z00_2450;

										{	/* Coerce/convert.scm 159 */
											obj_t BgL_oclassz00_2436;

											{	/* Coerce/convert.scm 159 */
												long BgL_arg1833z00_2442;

												{	/* Coerce/convert.scm 159 */
													long BgL_arg1834z00_2443;

													BgL_arg1834z00_2443 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2421);
													BgL_arg1833z00_2442 =
														(BgL_arg1834z00_2443 - OBJECT_TYPE);
												}
												BgL_oclassz00_2436 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2442);
											}
											{	/* Coerce/convert.scm 159 */
												bool_t BgL__ortest_1110z00_2437;

												BgL__ortest_1110z00_2437 =
													(BgL_classz00_2419 == BgL_oclassz00_2436);
												if (BgL__ortest_1110z00_2437)
													{	/* Coerce/convert.scm 159 */
														BgL_res2023z00_2450 = BgL__ortest_1110z00_2437;
													}
												else
													{	/* Coerce/convert.scm 159 */
														long BgL_odepthz00_2438;

														BgL_odepthz00_2438 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2436);
														if ((((long) 2) < BgL_odepthz00_2438))
															{	/* Coerce/convert.scm 159 */
																obj_t BgL_arg1821z00_2440;

																BgL_arg1821z00_2440 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2436,
																	((long) 2));
																BgL_res2023z00_2450 =
																	(BgL_arg1821z00_2440 == BgL_classz00_2419);
															}
														else
															{	/* Coerce/convert.scm 159 */
																BgL_res2023z00_2450 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2425 = BgL_res2023z00_2450;
									}
									BgL_test2078z00_3057 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2424, BgL_arg1823z00_2425);
								}
							}
						}
						if (BgL_test2078z00_3057)
							{	/* Coerce/convert.scm 160 */
								obj_t BgL_nodez00_1843;

								BgL_nodez00_1843 =
									BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
									(BgL_locz00_57,
									(((BgL_typez00_bglt) COBJECT(BgL_toz00_56))->BgL_idz00),
									BgL_nodez00_58);
								{	/* Coerce/convert.scm 161 */
									obj_t BgL_arg1652z00_1844;

									BgL_arg1652z00_1844 =
										BGl_currentzd2functionzd2zztools_errorz00();
									{	/* Coerce/convert.scm 108 */
										obj_t BgL_arg1524z00_2452;

										{	/* Coerce/convert.scm 108 */
											obj_t BgL_arg1534z00_2453;
											obj_t BgL_arg1536z00_2454;

											BgL_arg1534z00_2453 =
												BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
											BgL_arg1536z00_2454 =
												BGl_shapez00zztools_shapez00(((obj_t) BgL_fromz00_55));
											BgL_arg1524z00_2452 =
												BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
												(BGl_string2038z00zzcoerce_convertz00,
												BgL_arg1534z00_2453, BgL_arg1536z00_2454);
										}
										BGl_userzd2warningzf2locationz20zztools_errorz00
											(BgL_locz00_57, BgL_arg1652z00_1844,
											BGl_string2039z00zzcoerce_convertz00,
											BgL_arg1524z00_2452);
									}
								}
								BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
									((BgL_nodez00_bglt) BgL_nodez00_1843));
								return
									((obj_t)
									BGl_coercez12z12zzcoerce_coercez00(
										((BgL_nodez00_bglt) BgL_nodez00_1843), BUNSPEC,
										BgL_fromz00_55, ((bool_t) 0)));
							}
						else
							{	/* Coerce/convert.scm 159 */
								if (CBOOL(BGl_za2warningzd2typezd2errorza2z00zzengine_paramz00))
									{	/* Coerce/convert.scm 234 */
										obj_t BgL_arg1657z00_1846;

										BgL_arg1657z00_1846 =
											BGl_currentzd2functionzd2zztools_errorz00();
										{	/* Coerce/convert.scm 97 */
											obj_t BgL_arg1497z00_2455;

											{	/* Coerce/convert.scm 97 */
												obj_t BgL_arg1500z00_2456;
												obj_t BgL_arg1520z00_2457;

												BgL_arg1500z00_2456 =
													BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
												BgL_arg1520z00_2457 =
													BGl_shapez00zztools_shapez00(
													((obj_t) BgL_fromz00_55));
												BgL_arg1497z00_2455 =
													BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
													(BGl_string2038z00zzcoerce_convertz00,
													BgL_arg1500z00_2456, BgL_arg1520z00_2457);
											}
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_locz00_57, BgL_arg1657z00_1846,
												BGl_string2039z00zzcoerce_convertz00,
												BgL_arg1497z00_2455, BNIL);
										}
									}
								else
									{	/* Coerce/convert.scm 166 */
										bool_t BgL_test2082z00_3100;

										if (
											(((obj_t) BgL_toz00_56) ==
												BGl_za2intza2z00zztype_cachez00))
											{	/* Coerce/convert.scm 166 */
												BgL_test2082z00_3100 = ((bool_t) 1);
											}
										else
											{	/* Coerce/convert.scm 166 */
												if (
													(((obj_t) BgL_toz00_56) ==
														BGl_za2longza2z00zztype_cachez00))
													{	/* Coerce/convert.scm 166 */
														BgL_test2082z00_3100 = ((bool_t) 1);
													}
												else
													{	/* Coerce/convert.scm 166 */
														if (
															(((obj_t) BgL_toz00_56) ==
																BGl_za2elongza2z00zztype_cachez00))
															{	/* Coerce/convert.scm 167 */
																BgL_test2082z00_3100 = ((bool_t) 1);
															}
														else
															{	/* Coerce/convert.scm 167 */
																if (
																	(((obj_t) BgL_toz00_56) ==
																		BGl_za2llongza2z00zztype_cachez00))
																	{	/* Coerce/convert.scm 168 */
																		BgL_test2082z00_3100 = ((bool_t) 1);
																	}
																else
																	{	/* Coerce/convert.scm 168 */
																		if (
																			(((obj_t) BgL_toz00_56) ==
																				BGl_za2int8za2z00zztype_cachez00))
																			{	/* Coerce/convert.scm 169 */
																				BgL_test2082z00_3100 = ((bool_t) 1);
																			}
																		else
																			{	/* Coerce/convert.scm 169 */
																				if (
																					(((obj_t) BgL_toz00_56) ==
																						BGl_za2uint8za2z00zztype_cachez00))
																					{	/* Coerce/convert.scm 170 */
																						BgL_test2082z00_3100 = ((bool_t) 1);
																					}
																				else
																					{	/* Coerce/convert.scm 170 */
																						if (
																							(((obj_t) BgL_toz00_56) ==
																								BGl_za2int16za2z00zztype_cachez00))
																							{	/* Coerce/convert.scm 171 */
																								BgL_test2082z00_3100 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Coerce/convert.scm 171 */
																								if (
																									(((obj_t) BgL_toz00_56) ==
																										BGl_za2uint16za2z00zztype_cachez00))
																									{	/* Coerce/convert.scm 172 */
																										BgL_test2082z00_3100 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Coerce/convert.scm 172 */
																										if (
																											(((obj_t) BgL_toz00_56) ==
																												BGl_za2int32za2z00zztype_cachez00))
																											{	/* Coerce/convert.scm 173 */
																												BgL_test2082z00_3100 =
																													((bool_t) 1);
																											}
																										else
																											{	/* Coerce/convert.scm 173 */
																												if (
																													(((obj_t)
																															BgL_toz00_56) ==
																														BGl_za2uint32za2z00zztype_cachez00))
																													{	/* Coerce/convert.scm 174 */
																														BgL_test2082z00_3100
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Coerce/convert.scm 174 */
																														if (
																															(((obj_t)
																																	BgL_toz00_56)
																																==
																																BGl_za2int64za2z00zztype_cachez00))
																															{	/* Coerce/convert.scm 175 */
																																BgL_test2082z00_3100
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Coerce/convert.scm 175 */
																																BgL_test2082z00_3100
																																	=
																																	(((obj_t)
																																		BgL_toz00_56)
																																	==
																																	BGl_za2uint64za2z00zztype_cachez00);
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
										if (BgL_test2082z00_3100)
											{	/* Coerce/convert.scm 177 */
												obj_t BgL_nodez00_1859;

												BgL_nodez00_1859 =
													BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
													(BgL_locz00_57,
													(((BgL_typez00_bglt) COBJECT(BgL_toz00_56))->
														BgL_idz00), BgL_nodez00_58);
												{	/* Coerce/convert.scm 178 */
													obj_t BgL_arg1675z00_1860;

													BgL_arg1675z00_1860 =
														BGl_currentzd2functionzd2zztools_errorz00();
													{	/* Coerce/convert.scm 108 */
														obj_t BgL_arg1524z00_2460;

														{	/* Coerce/convert.scm 108 */
															obj_t BgL_arg1534z00_2461;
															obj_t BgL_arg1536z00_2462;

															BgL_arg1534z00_2461 =
																BGl_shapez00zztools_shapez00(
																((obj_t) BgL_toz00_56));
															BgL_arg1536z00_2462 =
																BGl_shapez00zztools_shapez00(
																((obj_t) BgL_fromz00_55));
															BgL_arg1524z00_2460 =
																BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																(BGl_string2038z00zzcoerce_convertz00,
																BgL_arg1534z00_2461, BgL_arg1536z00_2462);
														}
														BGl_userzd2warningzf2locationz20zztools_errorz00
															(BgL_locz00_57, BgL_arg1675z00_1860,
															BGl_string2039z00zzcoerce_convertz00,
															BgL_arg1524z00_2460);
													}
												}
												BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
													((BgL_nodez00_bglt) BgL_nodez00_1859));
												{	/* Coerce/convert.scm 180 */
													BgL_sequencez00_bglt BgL_new1115z00_1861;

													{	/* Coerce/convert.scm 180 */
														BgL_sequencez00_bglt BgL_new1114z00_1869;

														BgL_new1114z00_1869 =
															((BgL_sequencez00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_sequencez00_bgl))));
														{	/* Coerce/convert.scm 180 */
															long BgL_arg1694z00_1870;

															BgL_arg1694z00_1870 =
																BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1114z00_1869),
																BgL_arg1694z00_1870);
														}
														{	/* Coerce/convert.scm 180 */
															BgL_objectz00_bglt BgL_tmpz00_3151;

															BgL_tmpz00_3151 =
																((BgL_objectz00_bglt) BgL_new1114z00_1869);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3151, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1114z00_1869);
														BgL_new1115z00_1861 = BgL_new1114z00_1869;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1115z00_1861)))->
															BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1115z00_1861)))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_toz00_56), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1115z00_1861)))->
															BgL_sidezd2effectzd2) =
														((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1115z00_1861)))->BgL_keyz00) =
														((obj_t) BINT(((long) -1))), BUNSPEC);
													{
														obj_t BgL_auxz00_3164;

														{	/* Coerce/convert.scm 183 */
															BgL_nodez00_bglt BgL_arg1676z00_1862;
															BgL_literalz00_bglt BgL_arg1678z00_1863;

															BgL_arg1676z00_1862 =
																BGl_coercez12z12zzcoerce_coercez00(
																((BgL_nodez00_bglt) BgL_nodez00_1859), BUNSPEC,
																BgL_fromz00_55, ((bool_t) 0));
															{	/* Coerce/convert.scm 184 */
																BgL_literalz00_bglt BgL_new1118z00_1866;

																{	/* Coerce/convert.scm 184 */
																	BgL_literalz00_bglt BgL_new1117z00_1867;

																	BgL_new1117z00_1867 =
																		((BgL_literalz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_literalz00_bgl))));
																	{	/* Coerce/convert.scm 184 */
																		long BgL_arg1682z00_1868;

																		{	/* Coerce/convert.scm 184 */
																			obj_t BgL_classz00_2467;

																			BgL_classz00_2467 =
																				BGl_literalz00zzast_nodez00;
																			BgL_arg1682z00_1868 =
																				BGL_CLASS_NUM(BgL_classz00_2467);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1117z00_1867),
																			BgL_arg1682z00_1868);
																	}
																	{	/* Coerce/convert.scm 184 */
																		BgL_objectz00_bglt BgL_tmpz00_3171;

																		BgL_tmpz00_3171 =
																			((BgL_objectz00_bglt)
																			BgL_new1117z00_1867);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3171,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1117z00_1867);
																	BgL_new1118z00_1866 = BgL_new1117z00_1867;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1118z00_1866)))->BgL_locz00) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1118z00_1866)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_toz00_56), BUNSPEC);
																((((BgL_atomz00_bglt)
																			COBJECT(((BgL_atomz00_bglt)
																					BgL_new1118z00_1866)))->
																		BgL_valuez00) =
																	((obj_t) BINT(((long) 0))), BUNSPEC);
																BgL_arg1678z00_1863 = BgL_new1118z00_1866;
															}
															{	/* Coerce/convert.scm 182 */
																obj_t BgL_list1679z00_1864;

																{	/* Coerce/convert.scm 182 */
																	obj_t BgL_arg1681z00_1865;

																	BgL_arg1681z00_1865 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1678z00_1863), BNIL);
																	BgL_list1679z00_1864 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1676z00_1862),
																		BgL_arg1681z00_1865);
																}
																BgL_auxz00_3164 = BgL_list1679z00_1864;
														}}
														((((BgL_sequencez00_bglt)
																	COBJECT(BgL_new1115z00_1861))->BgL_nodesz00) =
															((obj_t) BgL_auxz00_3164), BUNSPEC);
													}
													((((BgL_sequencez00_bglt)
																COBJECT(BgL_new1115z00_1861))->BgL_unsafez00) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
													((((BgL_sequencez00_bglt)
																COBJECT(BgL_new1115z00_1861))->BgL_metaz00) =
														((obj_t) BNIL), BUNSPEC);
													return ((obj_t) BgL_new1115z00_1861);
												}
											}
										else
											{	/* Coerce/convert.scm 166 */
												if (
													(((obj_t) BgL_toz00_56) ==
														BGl_za2boolza2z00zztype_cachez00))
													{	/* Coerce/convert.scm 186 */
														obj_t BgL_nodez00_1873;

														BgL_nodez00_1873 =
															BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
															(BgL_locz00_57,
															(((BgL_typez00_bglt) COBJECT(BgL_toz00_56))->
																BgL_idz00), BgL_nodez00_58);
														{	/* Coerce/convert.scm 187 */
															obj_t BgL_arg1699z00_1874;

															BgL_arg1699z00_1874 =
																BGl_currentzd2functionzd2zztools_errorz00();
															{	/* Coerce/convert.scm 108 */
																obj_t BgL_arg1524z00_2473;

																{	/* Coerce/convert.scm 108 */
																	obj_t BgL_arg1534z00_2474;
																	obj_t BgL_arg1536z00_2475;

																	BgL_arg1534z00_2474 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_56));
																	BgL_arg1536z00_2475 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_55));
																	BgL_arg1524z00_2473 =
																		BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																		(BGl_string2038z00zzcoerce_convertz00,
																		BgL_arg1534z00_2474, BgL_arg1536z00_2475);
																}
																BGl_userzd2warningzf2locationz20zztools_errorz00
																	(BgL_locz00_57, BgL_arg1699z00_1874,
																	BGl_string2039z00zzcoerce_convertz00,
																	BgL_arg1524z00_2473);
															}
														}
														BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
															((BgL_nodez00_bglt) BgL_nodez00_1873));
														{	/* Coerce/convert.scm 189 */
															BgL_sequencez00_bglt BgL_new1120z00_1875;

															{	/* Coerce/convert.scm 189 */
																BgL_sequencez00_bglt BgL_new1119z00_1883;

																BgL_new1119z00_1883 =
																	((BgL_sequencez00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_sequencez00_bgl))));
																{	/* Coerce/convert.scm 189 */
																	long BgL_arg1713z00_1884;

																	BgL_arg1713z00_1884 =
																		BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1119z00_1883),
																		BgL_arg1713z00_1884);
																}
																{	/* Coerce/convert.scm 189 */
																	BgL_objectz00_bglt BgL_tmpz00_3208;

																	BgL_tmpz00_3208 =
																		((BgL_objectz00_bglt) BgL_new1119z00_1883);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3208,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1119z00_1883);
																BgL_new1120z00_1875 = BgL_new1119z00_1883;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1120z00_1875)))->BgL_locz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1120z00_1875)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_toz00_56), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1120z00_1875)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1120z00_1875)))->BgL_keyz00) =
																((obj_t) BINT(((long) -1))), BUNSPEC);
															{
																obj_t BgL_auxz00_3221;

																{	/* Coerce/convert.scm 192 */
																	BgL_nodez00_bglt BgL_arg1703z00_1876;
																	BgL_literalz00_bglt BgL_arg1706z00_1877;

																	BgL_arg1703z00_1876 =
																		BGl_coercez12z12zzcoerce_coercez00(
																		((BgL_nodez00_bglt) BgL_nodez00_1873),
																		BUNSPEC, BgL_fromz00_55, ((bool_t) 0));
																	{	/* Coerce/convert.scm 193 */
																		BgL_literalz00_bglt BgL_new1123z00_1880;

																		{	/* Coerce/convert.scm 193 */
																			BgL_literalz00_bglt BgL_new1121z00_1881;

																			BgL_new1121z00_1881 =
																				((BgL_literalz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_literalz00_bgl))));
																			{	/* Coerce/convert.scm 193 */
																				long BgL_arg1712z00_1882;

																				{	/* Coerce/convert.scm 193 */
																					obj_t BgL_classz00_2480;

																					BgL_classz00_2480 =
																						BGl_literalz00zzast_nodez00;
																					BgL_arg1712z00_1882 =
																						BGL_CLASS_NUM(BgL_classz00_2480);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1121z00_1881),
																					BgL_arg1712z00_1882);
																			}
																			{	/* Coerce/convert.scm 193 */
																				BgL_objectz00_bglt BgL_tmpz00_3228;

																				BgL_tmpz00_3228 =
																					((BgL_objectz00_bglt)
																					BgL_new1121z00_1881);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3228,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1121z00_1881);
																			BgL_new1123z00_1880 = BgL_new1121z00_1881;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1123z00_1880)))->
																				BgL_locz00) =
																			((obj_t) BFALSE), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1123z00_1880)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_toz00_56),
																			BUNSPEC);
																		((((BgL_atomz00_bglt)
																					COBJECT(((BgL_atomz00_bglt)
																							BgL_new1123z00_1880)))->
																				BgL_valuez00) =
																			((obj_t) BINT(((long) 0))), BUNSPEC);
																		BgL_arg1706z00_1877 = BgL_new1123z00_1880;
																	}
																	{	/* Coerce/convert.scm 191 */
																		obj_t BgL_list1707z00_1878;

																		{	/* Coerce/convert.scm 191 */
																			obj_t BgL_arg1711z00_1879;

																			BgL_arg1711z00_1879 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_arg1706z00_1877), BNIL);
																			BgL_list1707z00_1878 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_arg1703z00_1876),
																				BgL_arg1711z00_1879);
																		}
																		BgL_auxz00_3221 = BgL_list1707z00_1878;
																}}
																((((BgL_sequencez00_bglt)
																			COBJECT(BgL_new1120z00_1875))->
																		BgL_nodesz00) =
																	((obj_t) BgL_auxz00_3221), BUNSPEC);
															}
															((((BgL_sequencez00_bglt)
																		COBJECT(BgL_new1120z00_1875))->
																	BgL_unsafez00) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
															((((BgL_sequencez00_bglt)
																		COBJECT(BgL_new1120z00_1875))->
																	BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
															return ((obj_t) BgL_new1120z00_1875);
														}
													}
												else
													{	/* Coerce/convert.scm 185 */
														if (
															(((obj_t) BgL_toz00_56) ==
																BGl_za2realza2z00zztype_cachez00))
															{	/* Coerce/convert.scm 195 */
																obj_t BgL_nodez00_1887;

																BgL_nodez00_1887 =
																	BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																	(BgL_locz00_57,
																	(((BgL_typez00_bglt) COBJECT(BgL_toz00_56))->
																		BgL_idz00), BgL_nodez00_58);
																{	/* Coerce/convert.scm 196 */
																	obj_t BgL_arg1716z00_1888;

																	BgL_arg1716z00_1888 =
																		BGl_currentzd2functionzd2zztools_errorz00();
																	{	/* Coerce/convert.scm 108 */
																		obj_t BgL_arg1524z00_2486;

																		{	/* Coerce/convert.scm 108 */
																			obj_t BgL_arg1534z00_2487;
																			obj_t BgL_arg1536z00_2488;

																			BgL_arg1534z00_2487 =
																				BGl_shapez00zztools_shapez00(
																				((obj_t) BgL_toz00_56));
																			BgL_arg1536z00_2488 =
																				BGl_shapez00zztools_shapez00(
																				((obj_t) BgL_fromz00_55));
																			BgL_arg1524z00_2486 =
																				BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																				(BGl_string2038z00zzcoerce_convertz00,
																				BgL_arg1534z00_2487,
																				BgL_arg1536z00_2488);
																		}
																		BGl_userzd2warningzf2locationz20zztools_errorz00
																			(BgL_locz00_57, BgL_arg1716z00_1888,
																			BGl_string2039z00zzcoerce_convertz00,
																			BgL_arg1524z00_2486);
																	}
																}
																BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
																	((BgL_nodez00_bglt) BgL_nodez00_1887));
																{	/* Coerce/convert.scm 198 */
																	BgL_sequencez00_bglt BgL_new1125z00_1889;

																	{	/* Coerce/convert.scm 198 */
																		BgL_sequencez00_bglt BgL_new1124z00_1897;

																		BgL_new1124z00_1897 =
																			((BgL_sequencez00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_sequencez00_bgl))));
																		{	/* Coerce/convert.scm 198 */
																			long BgL_arg1728z00_1898;

																			BgL_arg1728z00_1898 =
																				BGL_CLASS_NUM
																				(BGl_sequencez00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1124z00_1897),
																				BgL_arg1728z00_1898);
																		}
																		{	/* Coerce/convert.scm 198 */
																			BgL_objectz00_bglt BgL_tmpz00_3265;

																			BgL_tmpz00_3265 =
																				((BgL_objectz00_bglt)
																				BgL_new1124z00_1897);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3265,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1124z00_1897);
																		BgL_new1125z00_1889 = BgL_new1124z00_1897;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1125z00_1889)))->
																			BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1125z00_1889)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_toz00_56), BUNSPEC);
																	((((BgL_nodezf2effectzf2_bglt)
																				COBJECT(((BgL_nodezf2effectzf2_bglt)
																						BgL_new1125z00_1889)))->
																			BgL_sidezd2effectzd2) =
																		((obj_t) BUNSPEC), BUNSPEC);
																	((((BgL_nodezf2effectzf2_bglt)
																				COBJECT(((BgL_nodezf2effectzf2_bglt)
																						BgL_new1125z00_1889)))->
																			BgL_keyz00) =
																		((obj_t) BINT(((long) -1))), BUNSPEC);
																	{
																		obj_t BgL_auxz00_3278;

																		{	/* Coerce/convert.scm 201 */
																			BgL_nodez00_bglt BgL_arg1721z00_1890;
																			BgL_literalz00_bglt BgL_arg1723z00_1891;

																			BgL_arg1721z00_1890 =
																				BGl_coercez12z12zzcoerce_coercez00(
																				((BgL_nodez00_bglt) BgL_nodez00_1887),
																				BUNSPEC, BgL_fromz00_55, ((bool_t) 0));
																			{	/* Coerce/convert.scm 202 */
																				BgL_literalz00_bglt BgL_new1129z00_1894;

																				{	/* Coerce/convert.scm 202 */
																					BgL_literalz00_bglt
																						BgL_new1126z00_1895;
																					BgL_new1126z00_1895 =
																						((BgL_literalz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_literalz00_bgl))));
																					{	/* Coerce/convert.scm 202 */
																						long BgL_arg1726z00_1896;

																						{	/* Coerce/convert.scm 202 */
																							obj_t BgL_classz00_2493;

																							BgL_classz00_2493 =
																								BGl_literalz00zzast_nodez00;
																							BgL_arg1726z00_1896 =
																								BGL_CLASS_NUM
																								(BgL_classz00_2493);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1126z00_1895),
																							BgL_arg1726z00_1896);
																					}
																					{	/* Coerce/convert.scm 202 */
																						BgL_objectz00_bglt BgL_tmpz00_3285;

																						BgL_tmpz00_3285 =
																							((BgL_objectz00_bglt)
																							BgL_new1126z00_1895);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_3285, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1126z00_1895);
																					BgL_new1129z00_1894 =
																						BgL_new1126z00_1895;
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1129z00_1894)))->
																						BgL_locz00) =
																					((obj_t) BFALSE), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_new1129z00_1894)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_toz00_56),
																					BUNSPEC);
																				((((BgL_atomz00_bglt)
																							COBJECT(((BgL_atomz00_bglt)
																									BgL_new1129z00_1894)))->
																						BgL_valuez00) =
																					((obj_t)
																						BGL_REAL_CNST
																						(BGl_real2040z00zzcoerce_convertz00)),
																					BUNSPEC);
																				BgL_arg1723z00_1891 =
																					BgL_new1129z00_1894;
																			}
																			{	/* Coerce/convert.scm 200 */
																				obj_t BgL_list1724z00_1892;

																				{	/* Coerce/convert.scm 200 */
																					obj_t BgL_arg1725z00_1893;

																					BgL_arg1725z00_1893 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_arg1723z00_1891),
																						BNIL);
																					BgL_list1724z00_1892 =
																						MAKE_YOUNG_PAIR(((obj_t)
																							BgL_arg1721z00_1890),
																						BgL_arg1725z00_1893);
																				}
																				BgL_auxz00_3278 = BgL_list1724z00_1892;
																		}}
																		((((BgL_sequencez00_bglt)
																					COBJECT(BgL_new1125z00_1889))->
																				BgL_nodesz00) =
																			((obj_t) BgL_auxz00_3278), BUNSPEC);
																	}
																	((((BgL_sequencez00_bglt)
																				COBJECT(BgL_new1125z00_1889))->
																			BgL_unsafez00) =
																		((bool_t) ((bool_t) 0)), BUNSPEC);
																	((((BgL_sequencez00_bglt)
																				COBJECT(BgL_new1125z00_1889))->
																			BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
																	return ((obj_t) BgL_new1125z00_1889);
																}
															}
														else
															{	/* Coerce/convert.scm 194 */
																if (
																	(((obj_t) BgL_toz00_56) ==
																		BGl_za2charza2z00zztype_cachez00))
																	{	/* Coerce/convert.scm 204 */
																		obj_t BgL_nodez00_1901;

																		BgL_nodez00_1901 =
																			BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																			(BgL_locz00_57,
																			(((BgL_typez00_bglt)
																					COBJECT(BgL_toz00_56))->BgL_idz00),
																			BgL_nodez00_58);
																		{	/* Coerce/convert.scm 205 */
																			obj_t BgL_arg1731z00_1902;

																			BgL_arg1731z00_1902 =
																				BGl_currentzd2functionzd2zztools_errorz00
																				();
																			{	/* Coerce/convert.scm 108 */
																				obj_t BgL_arg1524z00_2499;

																				{	/* Coerce/convert.scm 108 */
																					obj_t BgL_arg1534z00_2500;
																					obj_t BgL_arg1536z00_2501;

																					BgL_arg1534z00_2500 =
																						BGl_shapez00zztools_shapez00(
																						((obj_t) BgL_toz00_56));
																					BgL_arg1536z00_2501 =
																						BGl_shapez00zztools_shapez00(
																						((obj_t) BgL_fromz00_55));
																					BgL_arg1524z00_2499 =
																						BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																						(BGl_string2038z00zzcoerce_convertz00,
																						BgL_arg1534z00_2500,
																						BgL_arg1536z00_2501);
																				}
																				BGl_userzd2warningzf2locationz20zztools_errorz00
																					(BgL_locz00_57, BgL_arg1731z00_1902,
																					BGl_string2039z00zzcoerce_convertz00,
																					BgL_arg1524z00_2499);
																			}
																		}
																		BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
																			((BgL_nodez00_bglt) BgL_nodez00_1901));
																		{	/* Coerce/convert.scm 207 */
																			BgL_sequencez00_bglt BgL_new1131z00_1903;

																			{	/* Coerce/convert.scm 207 */
																				BgL_sequencez00_bglt
																					BgL_new1130z00_1911;
																				BgL_new1130z00_1911 =
																					((BgL_sequencez00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_sequencez00_bgl))));
																				{	/* Coerce/convert.scm 207 */
																					long BgL_arg1745z00_1912;

																					BgL_arg1745z00_1912 =
																						BGL_CLASS_NUM
																						(BGl_sequencez00zzast_nodez00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1130z00_1911),
																						BgL_arg1745z00_1912);
																				}
																				{	/* Coerce/convert.scm 207 */
																					BgL_objectz00_bglt BgL_tmpz00_3321;

																					BgL_tmpz00_3321 =
																						((BgL_objectz00_bglt)
																						BgL_new1130z00_1911);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_3321, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1130z00_1911);
																				BgL_new1131z00_1903 =
																					BgL_new1130z00_1911;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1131z00_1903)))->
																					BgL_locz00) =
																				((obj_t) BFALSE), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1131z00_1903)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_toz00_56),
																				BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						COBJECT(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1131z00_1903)))->
																					BgL_sidezd2effectzd2) =
																				((obj_t) BUNSPEC), BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						COBJECT(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1131z00_1903)))->
																					BgL_keyz00) =
																				((obj_t) BINT(((long) -1))), BUNSPEC);
																			{
																				obj_t BgL_auxz00_3334;

																				{	/* Coerce/convert.scm 210 */
																					BgL_nodez00_bglt BgL_arg1738z00_1904;
																					BgL_literalz00_bglt
																						BgL_arg1739z00_1905;
																					BgL_arg1738z00_1904 =
																						BGl_coercez12z12zzcoerce_coercez00((
																							(BgL_nodez00_bglt)
																							BgL_nodez00_1901), BUNSPEC,
																						BgL_fromz00_55, ((bool_t) 0));
																					{	/* Coerce/convert.scm 211 */
																						BgL_literalz00_bglt
																							BgL_new1134z00_1908;
																						{	/* Coerce/convert.scm 211 */
																							BgL_literalz00_bglt
																								BgL_new1132z00_1909;
																							BgL_new1132z00_1909 =
																								((BgL_literalz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_literalz00_bgl))));
																							{	/* Coerce/convert.scm 211 */
																								long BgL_arg1743z00_1910;

																								{	/* Coerce/convert.scm 211 */
																									obj_t BgL_classz00_2506;

																									BgL_classz00_2506 =
																										BGl_literalz00zzast_nodez00;
																									BgL_arg1743z00_1910 =
																										BGL_CLASS_NUM
																										(BgL_classz00_2506);
																								}
																								BGL_OBJECT_CLASS_NUM_SET(
																									((BgL_objectz00_bglt)
																										BgL_new1132z00_1909),
																									BgL_arg1743z00_1910);
																							}
																							{	/* Coerce/convert.scm 211 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_3341;
																								BgL_tmpz00_3341 =
																									((BgL_objectz00_bglt)
																									BgL_new1132z00_1909);
																								BGL_OBJECT_WIDENING_SET
																									(BgL_tmpz00_3341, BFALSE);
																							}
																							((BgL_objectz00_bglt)
																								BgL_new1132z00_1909);
																							BgL_new1134z00_1908 =
																								BgL_new1132z00_1909;
																						}
																						((((BgL_nodez00_bglt) COBJECT(
																										((BgL_nodez00_bglt)
																											BgL_new1134z00_1908)))->
																								BgL_locz00) =
																							((obj_t) BFALSE), BUNSPEC);
																						((((BgL_nodez00_bglt)
																									COBJECT(((BgL_nodez00_bglt)
																											BgL_new1134z00_1908)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt) BgL_toz00_56),
																							BUNSPEC);
																						((((BgL_atomz00_bglt)
																									COBJECT(((BgL_atomz00_bglt)
																											BgL_new1134z00_1908)))->
																								BgL_valuez00) =
																							((obj_t) BCHAR(((unsigned char)
																										'\000'))), BUNSPEC);
																						BgL_arg1739z00_1905 =
																							BgL_new1134z00_1908;
																					}
																					{	/* Coerce/convert.scm 209 */
																						obj_t BgL_list1740z00_1906;

																						{	/* Coerce/convert.scm 209 */
																							obj_t BgL_arg1742z00_1907;

																							BgL_arg1742z00_1907 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_arg1739z00_1905),
																								BNIL);
																							BgL_list1740z00_1906 =
																								MAKE_YOUNG_PAIR(((obj_t)
																									BgL_arg1738z00_1904),
																								BgL_arg1742z00_1907);
																						}
																						BgL_auxz00_3334 =
																							BgL_list1740z00_1906;
																				}}
																				((((BgL_sequencez00_bglt)
																							COBJECT(BgL_new1131z00_1903))->
																						BgL_nodesz00) =
																					((obj_t) BgL_auxz00_3334), BUNSPEC);
																			}
																			((((BgL_sequencez00_bglt)
																						COBJECT(BgL_new1131z00_1903))->
																					BgL_unsafez00) =
																				((bool_t) ((bool_t) 0)), BUNSPEC);
																			((((BgL_sequencez00_bglt)
																						COBJECT(BgL_new1131z00_1903))->
																					BgL_metaz00) =
																				((obj_t) BNIL), BUNSPEC);
																			return ((obj_t) BgL_new1131z00_1903);
																		}
																	}
																else
																	{	/* Coerce/convert.scm 203 */
																		if (
																			(((obj_t) BgL_toz00_56) ==
																				BGl_za2scharza2z00zztype_cachez00))
																			{	/* Coerce/convert.scm 213 */
																				obj_t BgL_nodez00_1915;

																				BgL_nodez00_1915 =
																					BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																					(BgL_locz00_57,
																					(((BgL_typez00_bglt)
																							COBJECT(BgL_toz00_56))->
																						BgL_idz00), BgL_nodez00_58);
																				{	/* Coerce/convert.scm 214 */
																					obj_t BgL_arg1748z00_1916;

																					BgL_arg1748z00_1916 =
																						BGl_currentzd2functionzd2zztools_errorz00
																						();
																					{	/* Coerce/convert.scm 108 */
																						obj_t BgL_arg1524z00_2512;

																						{	/* Coerce/convert.scm 108 */
																							obj_t BgL_arg1534z00_2513;
																							obj_t BgL_arg1536z00_2514;

																							BgL_arg1534z00_2513 =
																								BGl_shapez00zztools_shapez00(
																								((obj_t) BgL_toz00_56));
																							BgL_arg1536z00_2514 =
																								BGl_shapez00zztools_shapez00(
																								((obj_t) BgL_fromz00_55));
																							BgL_arg1524z00_2512 =
																								BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																								(BGl_string2038z00zzcoerce_convertz00,
																								BgL_arg1534z00_2513,
																								BgL_arg1536z00_2514);
																						}
																						BGl_userzd2warningzf2locationz20zztools_errorz00
																							(BgL_locz00_57,
																							BgL_arg1748z00_1916,
																							BGl_string2039z00zzcoerce_convertz00,
																							BgL_arg1524z00_2512);
																					}
																				}
																				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
																					((BgL_nodez00_bglt)
																						BgL_nodez00_1915));
																				{	/* Coerce/convert.scm 216 */
																					BgL_sequencez00_bglt
																						BgL_new1136z00_1917;
																					{	/* Coerce/convert.scm 216 */
																						BgL_sequencez00_bglt
																							BgL_new1135z00_1925;
																						BgL_new1135z00_1925 =
																							((BgL_sequencez00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_sequencez00_bgl))));
																						{	/* Coerce/convert.scm 216 */
																							long BgL_arg1759z00_1926;

																							BgL_arg1759z00_1926 =
																								BGL_CLASS_NUM
																								(BGl_sequencez00zzast_nodez00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new1135z00_1925),
																								BgL_arg1759z00_1926);
																						}
																						{	/* Coerce/convert.scm 216 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_3378;
																							BgL_tmpz00_3378 =
																								((BgL_objectz00_bglt)
																								BgL_new1135z00_1925);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_3378, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1135z00_1925);
																						BgL_new1136z00_1917 =
																							BgL_new1135z00_1925;
																					}
																					((((BgL_nodez00_bglt) COBJECT(
																									((BgL_nodez00_bglt)
																										BgL_new1136z00_1917)))->
																							BgL_locz00) =
																						((obj_t) BFALSE), BUNSPEC);
																					((((BgL_nodez00_bglt)
																								COBJECT(((BgL_nodez00_bglt)
																										BgL_new1136z00_1917)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) (
																								(BgL_typez00_bglt)
																								BGl_za2charza2z00zztype_cachez00)),
																						BUNSPEC);
																					((((BgL_nodezf2effectzf2_bglt)
																								COBJECT((
																										(BgL_nodezf2effectzf2_bglt)
																										BgL_new1136z00_1917)))->
																							BgL_sidezd2effectzd2) =
																						((obj_t) BUNSPEC), BUNSPEC);
																					((((BgL_nodezf2effectzf2_bglt)
																								COBJECT((
																										(BgL_nodezf2effectzf2_bglt)
																										BgL_new1136z00_1917)))->
																							BgL_keyz00) =
																						((obj_t) BINT(((long) -1))),
																						BUNSPEC);
																					{
																						obj_t BgL_auxz00_3392;

																						{	/* Coerce/convert.scm 219 */
																							BgL_nodez00_bglt
																								BgL_arg1749z00_1918;
																							BgL_literalz00_bglt
																								BgL_arg1750z00_1919;
																							BgL_arg1749z00_1918 =
																								BGl_coercez12z12zzcoerce_coercez00
																								(((BgL_nodez00_bglt)
																									BgL_nodez00_1915), BUNSPEC,
																								BgL_fromz00_55, ((bool_t) 0));
																							{	/* Coerce/convert.scm 220 */
																								BgL_literalz00_bglt
																									BgL_new1138z00_1922;
																								{	/* Coerce/convert.scm 220 */
																									BgL_literalz00_bglt
																										BgL_new1137z00_1923;
																									BgL_new1137z00_1923 =
																										((BgL_literalz00_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_literalz00_bgl))));
																									{	/* Coerce/convert.scm 220 */
																										long BgL_arg1753z00_1924;

																										{	/* Coerce/convert.scm 220 */
																											obj_t BgL_classz00_2519;

																											BgL_classz00_2519 =
																												BGl_literalz00zzast_nodez00;
																											BgL_arg1753z00_1924 =
																												BGL_CLASS_NUM
																												(BgL_classz00_2519);
																										}
																										BGL_OBJECT_CLASS_NUM_SET(
																											((BgL_objectz00_bglt)
																												BgL_new1137z00_1923),
																											BgL_arg1753z00_1924);
																									}
																									{	/* Coerce/convert.scm 220 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_3399;
																										BgL_tmpz00_3399 =
																											((BgL_objectz00_bglt)
																											BgL_new1137z00_1923);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_3399, BFALSE);
																									}
																									((BgL_objectz00_bglt)
																										BgL_new1137z00_1923);
																									BgL_new1138z00_1922 =
																										BgL_new1137z00_1923;
																								}
																								((((BgL_nodez00_bglt) COBJECT(
																												((BgL_nodez00_bglt)
																													BgL_new1138z00_1922)))->
																										BgL_locz00) =
																									((obj_t) BFALSE), BUNSPEC);
																								((((BgL_nodez00_bglt)
																											COBJECT((
																													(BgL_nodez00_bglt)
																													BgL_new1138z00_1922)))->
																										BgL_typez00) =
																									((BgL_typez00_bglt) (
																											(BgL_typez00_bglt)
																											BGl_za2charza2z00zztype_cachez00)),
																									BUNSPEC);
																								((((BgL_atomz00_bglt)
																											COBJECT((
																													(BgL_atomz00_bglt)
																													BgL_new1138z00_1922)))->
																										BgL_valuez00) =
																									((obj_t) BCHAR(((unsigned
																													char) '\000'))),
																									BUNSPEC);
																								BgL_arg1750z00_1919 =
																									BgL_new1138z00_1922;
																							}
																							{	/* Coerce/convert.scm 218 */
																								obj_t BgL_list1751z00_1920;

																								{	/* Coerce/convert.scm 218 */
																									obj_t BgL_arg1752z00_1921;

																									BgL_arg1752z00_1921 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											BgL_arg1750z00_1919),
																										BNIL);
																									BgL_list1751z00_1920 =
																										MAKE_YOUNG_PAIR(((obj_t)
																											BgL_arg1749z00_1918),
																										BgL_arg1752z00_1921);
																								}
																								BgL_auxz00_3392 =
																									BgL_list1751z00_1920;
																						}}
																						((((BgL_sequencez00_bglt)
																									COBJECT
																									(BgL_new1136z00_1917))->
																								BgL_nodesz00) =
																							((obj_t) BgL_auxz00_3392),
																							BUNSPEC);
																					}
																					((((BgL_sequencez00_bglt)
																								COBJECT(BgL_new1136z00_1917))->
																							BgL_unsafez00) =
																						((bool_t) ((bool_t) 0)), BUNSPEC);
																					((((BgL_sequencez00_bglt)
																								COBJECT(BgL_new1136z00_1917))->
																							BgL_metaz00) =
																						((obj_t) BNIL), BUNSPEC);
																					return ((obj_t) BgL_new1136z00_1917);
																				}
																			}
																		else
																			{	/* Coerce/convert.scm 212 */
																				if (
																					(((obj_t) BgL_toz00_56) ==
																						BGl_za2stringza2z00zztype_cachez00))
																					{	/* Coerce/convert.scm 222 */
																						obj_t BgL_nodez00_1929;

																						BgL_nodez00_1929 =
																							BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																							(BgL_locz00_57,
																							(((BgL_typez00_bglt)
																									COBJECT(BgL_toz00_56))->
																								BgL_idz00), BgL_nodez00_58);
																						{	/* Coerce/convert.scm 223 */
																							obj_t BgL_arg1766z00_1930;

																							BgL_arg1766z00_1930 =
																								BGl_currentzd2functionzd2zztools_errorz00
																								();
																							{	/* Coerce/convert.scm 108 */
																								obj_t BgL_arg1524z00_2525;

																								{	/* Coerce/convert.scm 108 */
																									obj_t BgL_arg1534z00_2526;
																									obj_t BgL_arg1536z00_2527;

																									BgL_arg1534z00_2526 =
																										BGl_shapez00zztools_shapez00
																										(((obj_t) BgL_toz00_56));
																									BgL_arg1536z00_2527 =
																										BGl_shapez00zztools_shapez00
																										(((obj_t) BgL_fromz00_55));
																									BgL_arg1524z00_2525 =
																										BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																										(BGl_string2038z00zzcoerce_convertz00,
																										BgL_arg1534z00_2526,
																										BgL_arg1536z00_2527);
																								}
																								BGl_userzd2warningzf2locationz20zztools_errorz00
																									(BgL_locz00_57,
																									BgL_arg1766z00_1930,
																									BGl_string2039z00zzcoerce_convertz00,
																									BgL_arg1524z00_2525);
																							}
																						}
																						BGl_lvtypezd2nodez12zc0zzast_lvtypez00
																							(((BgL_nodez00_bglt)
																								BgL_nodez00_1929));
																						{	/* Coerce/convert.scm 225 */
																							BgL_sequencez00_bglt
																								BgL_new1140z00_1931;
																							{	/* Coerce/convert.scm 225 */
																								BgL_sequencez00_bglt
																									BgL_new1139z00_1939;
																								BgL_new1139z00_1939 =
																									((BgL_sequencez00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_sequencez00_bgl))));
																								{	/* Coerce/convert.scm 225 */
																									long BgL_arg1785z00_1940;

																									BgL_arg1785z00_1940 =
																										BGL_CLASS_NUM
																										(BGl_sequencez00zzast_nodez00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1139z00_1939),
																										BgL_arg1785z00_1940);
																								}
																								{	/* Coerce/convert.scm 225 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_3437;
																									BgL_tmpz00_3437 =
																										((BgL_objectz00_bglt)
																										BgL_new1139z00_1939);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_3437, BFALSE);
																								}
																								((BgL_objectz00_bglt)
																									BgL_new1139z00_1939);
																								BgL_new1140z00_1931 =
																									BgL_new1139z00_1939;
																							}
																							((((BgL_nodez00_bglt) COBJECT(
																											((BgL_nodez00_bglt)
																												BgL_new1140z00_1931)))->
																									BgL_locz00) =
																								((obj_t) BFALSE), BUNSPEC);
																							((((BgL_nodez00_bglt)
																										COBJECT(((BgL_nodez00_bglt)
																												BgL_new1140z00_1931)))->
																									BgL_typez00) =
																								((BgL_typez00_bglt)
																									BgL_toz00_56), BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										COBJECT((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1140z00_1931)))->
																									BgL_sidezd2effectzd2) =
																								((obj_t) BUNSPEC), BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										COBJECT((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1140z00_1931)))->
																									BgL_keyz00) =
																								((obj_t) BINT(((long) -1))),
																								BUNSPEC);
																							{
																								obj_t BgL_auxz00_3450;

																								{	/* Coerce/convert.scm 228 */
																									BgL_nodez00_bglt
																										BgL_arg1770z00_1932;
																									BgL_literalz00_bglt
																										BgL_arg1772z00_1933;
																									BgL_arg1770z00_1932 =
																										BGl_coercez12z12zzcoerce_coercez00
																										(((BgL_nodez00_bglt)
																											BgL_nodez00_1929),
																										BUNSPEC, BgL_fromz00_55,
																										((bool_t) 0));
																									{	/* Coerce/convert.scm 229 */
																										BgL_literalz00_bglt
																											BgL_new1142z00_1936;
																										{	/* Coerce/convert.scm 229 */
																											BgL_literalz00_bglt
																												BgL_new1141z00_1937;
																											BgL_new1141z00_1937 =
																												((BgL_literalz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_literalz00_bgl))));
																											{	/* Coerce/convert.scm 229 */
																												long
																													BgL_arg1781z00_1938;
																												{	/* Coerce/convert.scm 229 */
																													obj_t
																														BgL_classz00_2532;
																													BgL_classz00_2532 =
																														BGl_literalz00zzast_nodez00;
																													BgL_arg1781z00_1938 =
																														BGL_CLASS_NUM
																														(BgL_classz00_2532);
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1141z00_1937),
																													BgL_arg1781z00_1938);
																											}
																											{	/* Coerce/convert.scm 229 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_3457;
																												BgL_tmpz00_3457 =
																													((BgL_objectz00_bglt)
																													BgL_new1141z00_1937);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_tmpz00_3457,
																													BFALSE);
																											}
																											((BgL_objectz00_bglt)
																												BgL_new1141z00_1937);
																											BgL_new1142z00_1936 =
																												BgL_new1141z00_1937;
																										}
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1142z00_1936)))->
																												BgL_locz00) =
																											((obj_t) BFALSE),
																											BUNSPEC);
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1142z00_1936)))->
																												BgL_typez00) =
																											((BgL_typez00_bglt)
																												BgL_toz00_56), BUNSPEC);
																										((((BgL_atomz00_bglt)
																													COBJECT((
																															(BgL_atomz00_bglt)
																															BgL_new1142z00_1936)))->
																												BgL_valuez00) =
																											((obj_t)
																												BGl_string2038z00zzcoerce_convertz00),
																											BUNSPEC);
																										BgL_arg1772z00_1933 =
																											BgL_new1142z00_1936;
																									}
																									{	/* Coerce/convert.scm 227 */
																										obj_t BgL_list1773z00_1934;

																										{	/* Coerce/convert.scm 227 */
																											obj_t BgL_arg1777z00_1935;

																											BgL_arg1777z00_1935 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													BgL_arg1772z00_1933),
																												BNIL);
																											BgL_list1773z00_1934 =
																												MAKE_YOUNG_PAIR(((obj_t)
																													BgL_arg1770z00_1932),
																												BgL_arg1777z00_1935);
																										}
																										BgL_auxz00_3450 =
																											BgL_list1773z00_1934;
																								}}
																								((((BgL_sequencez00_bglt)
																											COBJECT
																											(BgL_new1140z00_1931))->
																										BgL_nodesz00) =
																									((obj_t) BgL_auxz00_3450),
																									BUNSPEC);
																							}
																							((((BgL_sequencez00_bglt)
																										COBJECT
																										(BgL_new1140z00_1931))->
																									BgL_unsafez00) =
																								((bool_t) ((bool_t) 0)),
																								BUNSPEC);
																							((((BgL_sequencez00_bglt)
																										COBJECT
																										(BgL_new1140z00_1931))->
																									BgL_metaz00) =
																								((obj_t) BNIL), BUNSPEC);
																							return ((obj_t)
																								BgL_new1140z00_1931);
																						}
																					}
																				else
																					{	/* Coerce/convert.scm 221 */
																						{	/* Coerce/convert.scm 231 */
																							obj_t BgL_arg1789z00_1942;
																							obj_t BgL_arg1799z00_1943;

																							{	/* Coerce/convert.scm 231 */
																								obj_t BgL_tmpz00_3475;

																								BgL_tmpz00_3475 =
																									BGL_CURRENT_DYNAMIC_ENV();
																								BgL_arg1789z00_1942 =
																									BGL_ENV_CURRENT_ERROR_PORT
																									(BgL_tmpz00_3475);
																							}
																							BgL_arg1799z00_1943 =
																								BGl_shapez00zztools_shapez00(
																								((obj_t) BgL_nodez00_58));
																							{	/* Coerce/convert.scm 231 */
																								obj_t BgL_list1800z00_1944;

																								{	/* Coerce/convert.scm 231 */
																									obj_t BgL_arg1801z00_1945;

																									{	/* Coerce/convert.scm 231 */
																										obj_t BgL_arg1805z00_1946;

																										{	/* Coerce/convert.scm 231 */
																											obj_t BgL_arg1807z00_1947;

																											{	/* Coerce/convert.scm 231 */
																												obj_t
																													BgL_arg1808z00_1948;
																												{	/* Coerce/convert.scm 231 */
																													obj_t
																														BgL_arg1810z00_1949;
																													BgL_arg1810z00_1949 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1799z00_1943,
																														BNIL);
																													BgL_arg1808z00_1948 =
																														MAKE_YOUNG_PAIR
																														(BGl_string2041z00zzcoerce_convertz00,
																														BgL_arg1810z00_1949);
																												}
																												BgL_arg1807z00_1947 =
																													MAKE_YOUNG_PAIR
																													(BGl_string2042z00zzcoerce_convertz00,
																													BgL_arg1808z00_1948);
																											}
																											BgL_arg1805z00_1946 =
																												MAKE_YOUNG_PAIR(BINT((
																														(long) 231)),
																												BgL_arg1807z00_1947);
																										}
																										BgL_arg1801z00_1945 =
																											MAKE_YOUNG_PAIR
																											(BGl_string2043z00zzcoerce_convertz00,
																											BgL_arg1805z00_1946);
																									}
																									BgL_list1800z00_1944 =
																										MAKE_YOUNG_PAIR
																										(BGl_string2044z00zzcoerce_convertz00,
																										BgL_arg1801z00_1945);
																								}
																								BGl_tprintz00zz__r4_output_6_10_3z00
																									(BgL_arg1789z00_1942,
																									BgL_list1800z00_1944);
																						}}
																						{	/* Coerce/convert.scm 232 */
																							obj_t BgL_arg1811z00_1950;

																							BgL_arg1811z00_1950 =
																								BGl_currentzd2functionzd2zztools_errorz00
																								();
																							{	/* Coerce/convert.scm 97 */
																								obj_t BgL_arg1497z00_2538;

																								{	/* Coerce/convert.scm 97 */
																									obj_t BgL_arg1500z00_2539;
																									obj_t BgL_arg1520z00_2540;

																									BgL_arg1500z00_2539 =
																										BGl_shapez00zztools_shapez00
																										(((obj_t) BgL_toz00_56));
																									BgL_arg1520z00_2540 =
																										BGl_shapez00zztools_shapez00
																										(((obj_t) BgL_fromz00_55));
																									BgL_arg1497z00_2538 =
																										BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																										(BGl_string2038z00zzcoerce_convertz00,
																										BgL_arg1500z00_2539,
																										BgL_arg1520z00_2540);
																								}
																								return
																									BGl_userzd2errorzf2locationz20zztools_errorz00
																									(BgL_locz00_57,
																									BgL_arg1811z00_1950,
																									BGl_string2039z00zzcoerce_convertz00,
																									BgL_arg1497z00_2538, BNIL);
																							}
																						}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* convert! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt BgL_nodez00_59,
		BgL_typez00_bglt BgL_fromz00_60, BgL_typez00_bglt BgL_toz00_61,
		bool_t BgL_safez00_62)
	{
		{	/* Coerce/convert.scm 242 */
			if ((((obj_t) BgL_fromz00_60) == ((obj_t) BgL_toz00_61)))
				{	/* Coerce/convert.scm 246 */
					return BgL_nodez00_59;
				}
			else
				{	/* Coerce/convert.scm 248 */
					BgL_typez00_bglt BgL_toz00_1964;
					BgL_typez00_bglt BgL_froz00_1965;

					BgL_toz00_1964 =
						BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_toz00_61);
					BgL_froz00_1965 =
						BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_fromz00_60);
					{	/* Coerce/convert.scm 250 */
						bool_t BgL_test2100z00_3501;

						if ((((obj_t) BgL_froz00_1965) == ((obj_t) BgL_toz00_1964)))
							{	/* Coerce/convert.scm 250 */
								BgL_test2100z00_3501 = ((bool_t) 1);
							}
						else
							{	/* Coerce/convert.scm 250 */
								BgL_test2100z00_3501 =
									(((BgL_typez00_bglt) COBJECT(BgL_froz00_1965))->
									BgL_magiczf3zf3);
							}
						if (BgL_test2100z00_3501)
							{	/* Coerce/convert.scm 250 */
								return BgL_nodez00_59;
							}
						else
							{	/* Coerce/convert.scm 252 */
								obj_t BgL_coercerz00_1968;
								obj_t BgL_locz00_1969;

								BgL_coercerz00_1968 =
									BGl_findzd2coercerzd2zztype_coercionz00(BgL_froz00_1965,
									BgL_toz00_1964);
								BgL_locz00_1969 =
									(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_59))->BgL_locz00);
								{	/* Coerce/convert.scm 254 */
									bool_t BgL_test2102z00_3509;

									if (STRUCTP(BgL_coercerz00_1968))
										{	/* Coerce/convert.scm 254 */
											BgL_test2102z00_3509 =
												(STRUCT_KEY(BgL_coercerz00_1968) ==
												CNST_TABLE_REF(((long) 8)));
										}
									else
										{	/* Coerce/convert.scm 254 */
											BgL_test2102z00_3509 = ((bool_t) 0);
										}
									if (BgL_test2102z00_3509)
										{	/* Coerce/convert.scm 258 */
											obj_t BgL_g1143z00_1971;
											obj_t BgL_g1144z00_1972;

											BgL_g1143z00_1971 =
												STRUCT_REF(BgL_coercerz00_1968, (int) (((long) 2)));
											BgL_g1144z00_1972 =
												STRUCT_REF(BgL_coercerz00_1968, (int) (((long) 3)));
											{
												obj_t BgL_checksz00_1974;
												obj_t BgL_coercesz00_1975;
												BgL_nodez00_bglt BgL_nodez00_1976;

												{
													obj_t BgL_auxz00_3519;

													BgL_checksz00_1974 = BgL_g1143z00_1971;
													BgL_coercesz00_1975 = BgL_g1144z00_1972;
													BgL_nodez00_1976 = BgL_nodez00_59;
												BgL_zc3z04anonymousza31816ze3z87_1977:
													if (NULLP(BgL_checksz00_1974))
														{	/* Coerce/convert.scm 262 */
															if (NULLP(BgL_coercesz00_1975))
																{	/* Coerce/convert.scm 263 */
																	BgL_auxz00_3519 = ((obj_t) BgL_nodez00_1976);
																}
															else
																{	/* Coerce/convert.scm 266 */
																	obj_t BgL_arg1824z00_1980;
																	obj_t BgL_arg1837z00_1981;

																	BgL_arg1824z00_1980 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_60));
																	BgL_arg1837z00_1981 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_1964));
																	BgL_auxz00_3519 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string2045z00zzcoerce_convertz00,
																		BgL_arg1824z00_1980, BgL_arg1837z00_1981);
																}
														}
													else
														{	/* Coerce/convert.scm 262 */
															if (NULLP(BgL_coercesz00_1975))
																{	/* Coerce/convert.scm 270 */
																	obj_t BgL_arg1842z00_1983;
																	obj_t BgL_arg1848z00_1984;

																	BgL_arg1842z00_1983 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_60));
																	BgL_arg1848z00_1984 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_1964));
																	BgL_auxz00_3519 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string2045z00zzcoerce_convertz00,
																		BgL_arg1842z00_1983, BgL_arg1848z00_1984);
																}
															else
																{	/* Coerce/convert.scm 273 */
																	obj_t BgL_arg1849z00_1985;
																	obj_t BgL_arg1850z00_1986;
																	BgL_nodez00_bglt BgL_arg1852z00_1987;

																	BgL_arg1849z00_1985 =
																		CDR(((obj_t) BgL_checksz00_1974));
																	BgL_arg1850z00_1986 =
																		CDR(((obj_t) BgL_coercesz00_1975));
																	{	/* Coerce/convert.scm 275 */
																		obj_t BgL_arg1854z00_1988;
																		obj_t BgL_arg1855z00_1989;
																		obj_t BgL_arg1856z00_1990;
																		obj_t BgL_arg1857z00_1991;

																		{	/* Coerce/convert.scm 275 */
																			obj_t BgL_pairz00_2555;

																			BgL_pairz00_2555 =
																				CAR(((obj_t) BgL_checksz00_1974));
																			BgL_arg1854z00_1988 =
																				CDR(BgL_pairz00_2555);
																		}
																		{	/* Coerce/convert.scm 276 */
																			obj_t BgL_pairz00_2559;

																			BgL_pairz00_2559 =
																				CAR(((obj_t) BgL_coercesz00_1975));
																			BgL_arg1855z00_1989 =
																				CDR(BgL_pairz00_2559);
																		}
																		{	/* Coerce/convert.scm 277 */
																			obj_t BgL_pairz00_2563;

																			BgL_pairz00_2563 =
																				CAR(((obj_t) BgL_checksz00_1974));
																			BgL_arg1856z00_1990 =
																				CAR(BgL_pairz00_2563);
																		}
																		{	/* Coerce/convert.scm 278 */
																			obj_t BgL_pairz00_2567;

																			BgL_pairz00_2567 =
																				CAR(((obj_t) BgL_coercesz00_1975));
																			BgL_arg1857z00_1991 =
																				CAR(BgL_pairz00_2567);
																		}
																		BgL_arg1852z00_1987 =
																			BGl_makezd2onezd2conversionz00zzcoerce_convertz00
																			(BgL_arg1854z00_1988, BgL_arg1855z00_1989,
																			BgL_arg1856z00_1990, BgL_arg1857z00_1991,
																			BgL_nodez00_1976, BgL_safez00_62);
																	}
																	{
																		BgL_nodez00_bglt BgL_nodez00_3556;
																		obj_t BgL_coercesz00_3555;
																		obj_t BgL_checksz00_3554;

																		BgL_checksz00_3554 = BgL_arg1849z00_1985;
																		BgL_coercesz00_3555 = BgL_arg1850z00_1986;
																		BgL_nodez00_3556 = BgL_arg1852z00_1987;
																		BgL_nodez00_1976 = BgL_nodez00_3556;
																		BgL_coercesz00_1975 = BgL_coercesz00_3555;
																		BgL_checksz00_1974 = BgL_checksz00_3554;
																		goto BgL_zc3z04anonymousza31816ze3z87_1977;
																	}
																}
														}
													return ((BgL_nodez00_bglt) BgL_auxz00_3519);
												}
											}
										}
									else
										{	/* Coerce/convert.scm 254 */
											return
												((BgL_nodez00_bglt)
												BGl_convertzd2errorzd2zzcoerce_convertz00
												(BgL_froz00_1965, BgL_toz00_1964, BgL_locz00_1969,
													BgL_nodez00_59));
										}
								}
							}
					}
				}
		}

	}



/* &convert! */
	BgL_nodez00_bglt BGl_z62convertz12z70zzcoerce_convertz00(obj_t
		BgL_envz00_2832, obj_t BgL_nodez00_2833, obj_t BgL_fromz00_2834,
		obj_t BgL_toz00_2835, obj_t BgL_safez00_2836)
	{
		{	/* Coerce/convert.scm 242 */
			return
				BGl_convertz12z12zzcoerce_convertz00(
				((BgL_nodez00_bglt) BgL_nodez00_2833),
				((BgL_typez00_bglt) BgL_fromz00_2834),
				((BgL_typez00_bglt) BgL_toz00_2835), CBOOL(BgL_safez00_2836));
		}

	}



/* make-one-conversion */
	BgL_nodez00_bglt BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t
		BgL_fromz00_63, obj_t BgL_toz00_64, obj_t BgL_checkopz00_65,
		obj_t BgL_coerceopz00_66, BgL_nodez00_bglt BgL_nodez00_67,
		bool_t BgL_safez00_68)
	{
		{	/* Coerce/convert.scm 291 */
			{	/* Coerce/convert.scm 292 */
				bool_t BgL_test2107z00_3565;

				if ((BgL_checkopz00_65 == BTRUE))
					{	/* Coerce/convert.scm 292 */
						BgL_test2107z00_3565 = ((bool_t) 1);
					}
				else
					{	/* Coerce/convert.scm 292 */
						if (BgL_safez00_68)
							{	/* Coerce/convert.scm 292 */
								BgL_test2107z00_3565 = ((bool_t) 0);
							}
						else
							{	/* Coerce/convert.scm 292 */
								BgL_test2107z00_3565 = ((bool_t) 1);
							}
					}
				if (BgL_test2107z00_3565)
					{	/* Coerce/convert.scm 292 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coerceopz00_66,
							BgL_nodez00_67, ((BgL_typez00_bglt) BgL_fromz00_63));
					}
				else
					{	/* Coerce/convert.scm 294 */
						bool_t BgL_test2110z00_3571;

						{	/* Coerce/convert.scm 294 */
							obj_t BgL_classz00_2568;

							BgL_classz00_2568 = BGl_tclassz00zzobject_classz00;
							if (BGL_OBJECTP(BgL_fromz00_63))
								{	/* Coerce/convert.scm 294 */
									BgL_objectz00_bglt BgL_arg1825z00_2570;

									BgL_arg1825z00_2570 = (BgL_objectz00_bglt) (BgL_fromz00_63);
									{	/* Coerce/convert.scm 294 */
										bool_t BgL_arg1822z00_2573;
										bool_t BgL_arg1823z00_2574;

										{	/* Coerce/convert.scm 294 */
											long BgL_idxz00_2577;

											BgL_idxz00_2577 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2570);
											BgL_arg1822z00_2573 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2577 + ((long) 2))) == BgL_classz00_2568);
										}
										{	/* Coerce/convert.scm 294 */
											bool_t BgL_res2031z00_2599;

											{	/* Coerce/convert.scm 294 */
												obj_t BgL_oclassz00_2585;

												{	/* Coerce/convert.scm 294 */
													long BgL_arg1833z00_2591;

													{	/* Coerce/convert.scm 294 */
														long BgL_arg1834z00_2592;

														BgL_arg1834z00_2592 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2570);
														BgL_arg1833z00_2591 =
															(BgL_arg1834z00_2592 - OBJECT_TYPE);
													}
													BgL_oclassz00_2585 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2591);
												}
												{	/* Coerce/convert.scm 294 */
													bool_t BgL__ortest_1110z00_2586;

													BgL__ortest_1110z00_2586 =
														(BgL_classz00_2568 == BgL_oclassz00_2585);
													if (BgL__ortest_1110z00_2586)
														{	/* Coerce/convert.scm 294 */
															BgL_res2031z00_2599 = BgL__ortest_1110z00_2586;
														}
													else
														{	/* Coerce/convert.scm 294 */
															long BgL_odepthz00_2587;

															BgL_odepthz00_2587 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2585);
															if ((((long) 2) < BgL_odepthz00_2587))
																{	/* Coerce/convert.scm 294 */
																	obj_t BgL_arg1821z00_2589;

																	BgL_arg1821z00_2589 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2585,
																		((long) 2));
																	BgL_res2031z00_2599 =
																		(BgL_arg1821z00_2589 == BgL_classz00_2568);
																}
															else
																{	/* Coerce/convert.scm 294 */
																	BgL_res2031z00_2599 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2574 = BgL_res2031z00_2599;
										}
										BgL_test2110z00_3571 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2573,
											BgL_arg1823z00_2574);
									}
								}
							else
								{	/* Coerce/convert.scm 294 */
									BgL_test2110z00_3571 = ((bool_t) 0);
								}
						}
						if (BgL_test2110z00_3571)
							{	/* Coerce/convert.scm 294 */
								return
									BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00
									(BgL_fromz00_63, BgL_toz00_64, BgL_checkopz00_65,
									BgL_coerceopz00_66, BgL_nodez00_67);
							}
						else
							{	/* Coerce/convert.scm 294 */
								return
									BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00
									(BgL_fromz00_63, BgL_toz00_64, BgL_checkopz00_65,
									BgL_coerceopz00_66, BgL_nodez00_67);
							}
					}
			}
		}

	}



/* skip-let-var */
	BgL_nodez00_bglt BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt
		BgL_nodez00_69)
	{
		{	/* Coerce/convert.scm 301 */
		BGl_skipzd2letzd2varz00zzcoerce_convertz00:
			{	/* Coerce/convert.scm 302 */
				bool_t BgL_test2114z00_3592;

				{	/* Coerce/convert.scm 302 */
					obj_t BgL_classz00_2600;

					BgL_classz00_2600 = BGl_letzd2varzd2zzast_nodez00;
					{	/* Coerce/convert.scm 302 */
						BgL_objectz00_bglt BgL_arg1825z00_2602;

						{	/* Coerce/convert.scm 302 */
							obj_t BgL_tmpz00_3593;

							BgL_tmpz00_3593 = ((obj_t) ((BgL_objectz00_bglt) BgL_nodez00_69));
							BgL_arg1825z00_2602 = (BgL_objectz00_bglt) (BgL_tmpz00_3593);
						}
						{	/* Coerce/convert.scm 302 */
							bool_t BgL_arg1822z00_2605;
							bool_t BgL_arg1823z00_2606;

							{	/* Coerce/convert.scm 302 */
								long BgL_idxz00_2609;

								BgL_idxz00_2609 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2602);
								BgL_arg1822z00_2605 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2609 + ((long) 3))) == BgL_classz00_2600);
							}
							{	/* Coerce/convert.scm 302 */
								bool_t BgL_res2032z00_2631;

								{	/* Coerce/convert.scm 302 */
									obj_t BgL_oclassz00_2617;

									{	/* Coerce/convert.scm 302 */
										long BgL_arg1833z00_2623;

										{	/* Coerce/convert.scm 302 */
											long BgL_arg1834z00_2624;

											BgL_arg1834z00_2624 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2602);
											BgL_arg1833z00_2623 = (BgL_arg1834z00_2624 - OBJECT_TYPE);
										}
										BgL_oclassz00_2617 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_2623);
									}
									{	/* Coerce/convert.scm 302 */
										bool_t BgL__ortest_1110z00_2618;

										BgL__ortest_1110z00_2618 =
											(BgL_classz00_2600 == BgL_oclassz00_2617);
										if (BgL__ortest_1110z00_2618)
											{	/* Coerce/convert.scm 302 */
												BgL_res2032z00_2631 = BgL__ortest_1110z00_2618;
											}
										else
											{	/* Coerce/convert.scm 302 */
												long BgL_odepthz00_2619;

												BgL_odepthz00_2619 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2617);
												if ((((long) 3) < BgL_odepthz00_2619))
													{	/* Coerce/convert.scm 302 */
														obj_t BgL_arg1821z00_2621;

														BgL_arg1821z00_2621 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2617,
															((long) 3));
														BgL_res2032z00_2631 =
															(BgL_arg1821z00_2621 == BgL_classz00_2600);
													}
												else
													{	/* Coerce/convert.scm 302 */
														BgL_res2032z00_2631 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_2606 = BgL_res2032z00_2631;
							}
							BgL_test2114z00_3592 =
								BGL_ISA_C_BACKEND(BgL_arg1822z00_2605, BgL_arg1823z00_2606);
						}
					}
				}
				if (BgL_test2114z00_3592)
					{	/* Coerce/convert.scm 303 */
						BgL_nodez00_bglt BgL_arg1862z00_1999;

						BgL_arg1862z00_1999 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_69)))->BgL_bodyz00);
						{
							BgL_nodez00_bglt BgL_nodez00_3614;

							BgL_nodez00_3614 = BgL_arg1862z00_1999;
							BgL_nodez00_69 = BgL_nodez00_3614;
							goto BGl_skipzd2letzd2varz00zzcoerce_convertz00;
						}
					}
				else
					{	/* Coerce/convert.scm 302 */
						return BgL_nodez00_69;
					}
			}
		}

	}



/* make-one-type-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t
		BgL_fromz00_70, obj_t BgL_toz00_71, obj_t BgL_checkzd2opzd2_72,
		obj_t BgL_coercezd2opzd2_73, BgL_nodez00_bglt BgL_nodez00_74)
	{
		{	/* Coerce/convert.scm 309 */
			{	/* Coerce/convert.scm 312 */
				obj_t BgL_auxz00_2000;

				BgL_auxz00_2000 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5))));
				{	/* Coerce/convert.scm 312 */
					obj_t BgL_locz00_2001;

					BgL_locz00_2001 =
						(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_74))->BgL_locz00);
					{	/* Coerce/convert.scm 313 */
						BgL_nodez00_bglt BgL_lnodez00_2002;

						{	/* Coerce/convert.scm 321 */
							obj_t BgL_arg1877z00_2016;

							{	/* Coerce/convert.scm 321 */
								obj_t BgL_arg1878z00_2017;

								{	/* Coerce/convert.scm 321 */
									obj_t BgL_arg1880z00_2018;
									obj_t BgL_arg1882z00_2019;

									{	/* Coerce/convert.scm 321 */
										obj_t BgL_arg1883z00_2020;

										{	/* Coerce/convert.scm 321 */
											obj_t BgL_arg1884z00_2021;
											obj_t BgL_arg1885z00_2022;

											{	/* Coerce/convert.scm 321 */
												obj_t BgL_arg1886z00_2023;

												{	/* Coerce/convert.scm 321 */
													obj_t BgL_arg1887z00_2024;

													BgL_arg1887z00_2024 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_fromz00_70)))->
														BgL_idz00);
													BgL_arg1886z00_2023 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_auxz00_2000, BgL_arg1887z00_2024);
												}
												BgL_arg1884z00_2021 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg1886z00_2023);
											}
											BgL_arg1885z00_2022 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
											BgL_arg1883z00_2020 =
												MAKE_YOUNG_PAIR(BgL_arg1884z00_2021,
												BgL_arg1885z00_2022);
										}
										BgL_arg1880z00_2018 =
											MAKE_YOUNG_PAIR(BgL_arg1883z00_2020, BNIL);
									}
									{	/* Coerce/convert.scm 323 */
										obj_t BgL_arg1888z00_2025;

										{	/* Coerce/convert.scm 323 */
											obj_t BgL_arg1890z00_2026;

											{	/* Coerce/convert.scm 323 */
												obj_t BgL_arg1891z00_2027;
												obj_t BgL_arg1892z00_2028;

												{	/* Coerce/convert.scm 323 */
													obj_t BgL_arg1894z00_2029;

													BgL_arg1894z00_2029 =
														MAKE_YOUNG_PAIR(BgL_auxz00_2000, BNIL);
													BgL_arg1891z00_2027 =
														MAKE_YOUNG_PAIR(BgL_checkzd2opzd2_72,
														BgL_arg1894z00_2029);
												}
												{	/* Coerce/convert.scm 325 */
													obj_t BgL_arg1895z00_2030;

													{	/* Coerce/convert.scm 325 */
														obj_t BgL_arg1896z00_2031;

														{	/* Coerce/convert.scm 325 */
															obj_t BgL_arg1897z00_2032;

															BgL_arg1897z00_2032 =
																(((BgL_typez00_bglt) COBJECT(
																		((BgL_typez00_bglt) BgL_toz00_71)))->
																BgL_idz00);
															BgL_arg1896z00_2031 =
																BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
																(BgL_locz00_2001, BgL_arg1897z00_2032,
																BgL_auxz00_2000);
														}
														BgL_arg1895z00_2030 =
															MAKE_YOUNG_PAIR(BgL_arg1896z00_2031, BNIL);
													}
													BgL_arg1892z00_2028 =
														MAKE_YOUNG_PAIR(BgL_auxz00_2000,
														BgL_arg1895z00_2030);
												}
												BgL_arg1890z00_2026 =
													MAKE_YOUNG_PAIR(BgL_arg1891z00_2027,
													BgL_arg1892z00_2028);
											}
											BgL_arg1888z00_2025 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 9)),
												BgL_arg1890z00_2026);
										}
										BgL_arg1882z00_2019 =
											MAKE_YOUNG_PAIR(BgL_arg1888z00_2025, BNIL);
									}
									BgL_arg1878z00_2017 =
										MAKE_YOUNG_PAIR(BgL_arg1880z00_2018, BgL_arg1882z00_2019);
								}
								BgL_arg1877z00_2016 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
									BgL_arg1878z00_2017);
							}
							BgL_lnodez00_2002 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg1877z00_2016, BgL_locz00_2001);
						}
						{	/* Coerce/convert.scm 314 */

							BGl_za2checkza2z00zzcoerce_convertz00 =
								(((long) 1) + BGl_za2checkza2z00zzcoerce_convertz00);
							if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
								{	/* Coerce/convert.scm 83 */
									BGl_notifyzd2typezd2testz00zzcoerce_convertz00(BgL_fromz00_70,
										BgL_toz00_71, BgL_locz00_2001);
								}
							else
								{	/* Coerce/convert.scm 83 */
									BFALSE;
								}
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
								(BgL_lnodez00_2002);
							{	/* Coerce/convert.scm 329 */
								obj_t BgL_varz00_2003;

								{	/* Coerce/convert.scm 329 */
									obj_t BgL_pairz00_2639;

									{	/* Coerce/convert.scm 329 */
										obj_t BgL_pairz00_2638;

										BgL_pairz00_2638 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_lnodez00_2002)))->
											BgL_bindingsz00);
										BgL_pairz00_2639 = CAR(BgL_pairz00_2638);
									}
									BgL_varz00_2003 = CAR(BgL_pairz00_2639);
								}
								{	/* Coerce/convert.scm 329 */
									BgL_nodez00_bglt BgL_coercezd2appzd2_2004;

									{	/* Coerce/convert.scm 331 */
										BgL_refz00_bglt BgL_arg1870z00_2010;

										{	/* Coerce/convert.scm 331 */
											BgL_refz00_bglt BgL_new1146z00_2011;

											{	/* Coerce/convert.scm 332 */
												BgL_refz00_bglt BgL_new1145z00_2012;

												BgL_new1145z00_2012 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Coerce/convert.scm 332 */
													long BgL_arg1871z00_2013;

													BgL_arg1871z00_2013 =
														BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1145z00_2012),
														BgL_arg1871z00_2013);
												}
												{	/* Coerce/convert.scm 332 */
													BgL_objectz00_bglt BgL_tmpz00_3654;

													BgL_tmpz00_3654 =
														((BgL_objectz00_bglt) BgL_new1145z00_2012);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3654, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1145z00_2012);
												BgL_new1146z00_2011 = BgL_new1145z00_2012;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1146z00_2011)))->
													BgL_locz00) = ((obj_t) BgL_locz00_2001), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1146z00_2011)))->BgL_typez00) =
												((BgL_typez00_bglt)
													BGl_strictzd2nodezd2typez00zzast_nodez00((
															(BgL_typez00_bglt) BgL_toz00_71),
														((BgL_typez00_bglt) BgL_fromz00_70))), BUNSPEC);
											((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_new1146z00_2011)))->BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_varz00_2003)), BUNSPEC);
											BgL_arg1870z00_2010 = BgL_new1146z00_2011;
										}
										BgL_coercezd2appzd2_2004 =
											BGl_dozd2convertzd2zzcoerce_convertz00
											(BgL_coercezd2opzd2_73,
											((BgL_nodez00_bglt) BgL_arg1870z00_2010),
											((BgL_typez00_bglt) BgL_fromz00_70));
									}
									{	/* Coerce/convert.scm 330 */
										BgL_nodez00_bglt BgL_condnz00_2005;

										BgL_condnz00_2005 =
											BGl_skipzd2letzd2varz00zzcoerce_convertz00
											(BgL_lnodez00_2002);
										{	/* Coerce/convert.scm 336 */

											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_2003))))->
													BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BgL_fromz00_70)), BUNSPEC);
											{	/* Coerce/convert.scm 340 */
												obj_t BgL_arg1863z00_2006;

												{	/* Coerce/convert.scm 340 */
													obj_t BgL_pairz00_2647;

													BgL_pairz00_2647 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_lnodez00_2002)))->
														BgL_bindingsz00);
													BgL_arg1863z00_2006 = CAR(BgL_pairz00_2647);
												}
												{	/* Coerce/convert.scm 340 */
													obj_t BgL_auxz00_3681;
													obj_t BgL_tmpz00_3679;

													BgL_auxz00_3681 = ((obj_t) BgL_nodez00_74);
													BgL_tmpz00_3679 = ((obj_t) BgL_arg1863z00_2006);
													SET_CDR(BgL_tmpz00_3679, BgL_auxz00_3681);
											}}
											((((BgL_nodez00_bglt) COBJECT(BgL_nodez00_74))->
													BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BgL_fromz00_70)), BUNSPEC);
											((((BgL_conditionalz00_bglt)
														COBJECT(((BgL_conditionalz00_bglt)
																BgL_condnz00_2005)))->BgL_truez00) =
												((BgL_nodez00_bglt) BgL_coercezd2appzd2_2004), BUNSPEC);
											{	/* Coerce/convert.scm 344 */
												BgL_nodez00_bglt BgL_arg1867z00_2008;

												{	/* Coerce/convert.scm 344 */
													BgL_nodez00_bglt BgL_arg1869z00_2009;

													BgL_arg1869z00_2009 =
														(((BgL_conditionalz00_bglt) COBJECT(
																((BgL_conditionalz00_bglt)
																	BgL_condnz00_2005)))->BgL_falsez00);
													BgL_arg1867z00_2008 =
														BGl_coercez12z12zzcoerce_coercez00
														(BgL_arg1869z00_2009, BUNSPEC,
														((BgL_typez00_bglt) BgL_fromz00_70), ((bool_t) 0));
												}
												((((BgL_conditionalz00_bglt) COBJECT(
																((BgL_conditionalz00_bglt)
																	BgL_condnz00_2005)))->BgL_falsez00) =
													((BgL_nodez00_bglt) BgL_arg1867z00_2008), BUNSPEC);
											}
											BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_lnodez00_2002);
											return BgL_lnodez00_2002;
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* make-one-class-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(obj_t
		BgL_fromz00_75, obj_t BgL_toz00_76, obj_t BgL_checkzd2opzd2_77,
		obj_t BgL_coercezd2opzd2_78, BgL_nodez00_bglt BgL_nodez00_79)
	{
		{	/* Coerce/convert.scm 354 */
			{	/* Coerce/convert.scm 355 */
				bool_t BgL_test2118z00_3695;

				{	/* Coerce/convert.scm 355 */
					bool_t BgL_test2119z00_3696;

					{	/* Coerce/convert.scm 355 */
						obj_t BgL_classz00_2656;

						BgL_classz00_2656 = BGl_tclassz00zzobject_classz00;
						if (BGL_OBJECTP(BgL_toz00_76))
							{	/* Coerce/convert.scm 355 */
								BgL_objectz00_bglt BgL_arg1825z00_2658;

								BgL_arg1825z00_2658 = (BgL_objectz00_bglt) (BgL_toz00_76);
								{	/* Coerce/convert.scm 355 */
									bool_t BgL_arg1822z00_2661;
									bool_t BgL_arg1823z00_2662;

									{	/* Coerce/convert.scm 355 */
										long BgL_idxz00_2665;

										BgL_idxz00_2665 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2658);
										BgL_arg1822z00_2661 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2665 + ((long) 2))) == BgL_classz00_2656);
									}
									{	/* Coerce/convert.scm 355 */
										bool_t BgL_res2033z00_2687;

										{	/* Coerce/convert.scm 355 */
											obj_t BgL_oclassz00_2673;

											{	/* Coerce/convert.scm 355 */
												long BgL_arg1833z00_2679;

												{	/* Coerce/convert.scm 355 */
													long BgL_arg1834z00_2680;

													BgL_arg1834z00_2680 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2658);
													BgL_arg1833z00_2679 =
														(BgL_arg1834z00_2680 - OBJECT_TYPE);
												}
												BgL_oclassz00_2673 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2679);
											}
											{	/* Coerce/convert.scm 355 */
												bool_t BgL__ortest_1110z00_2674;

												BgL__ortest_1110z00_2674 =
													(BgL_classz00_2656 == BgL_oclassz00_2673);
												if (BgL__ortest_1110z00_2674)
													{	/* Coerce/convert.scm 355 */
														BgL_res2033z00_2687 = BgL__ortest_1110z00_2674;
													}
												else
													{	/* Coerce/convert.scm 355 */
														long BgL_odepthz00_2675;

														BgL_odepthz00_2675 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2673);
														if ((((long) 2) < BgL_odepthz00_2675))
															{	/* Coerce/convert.scm 355 */
																obj_t BgL_arg1821z00_2677;

																BgL_arg1821z00_2677 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2673,
																	((long) 2));
																BgL_res2033z00_2687 =
																	(BgL_arg1821z00_2677 == BgL_classz00_2656);
															}
														else
															{	/* Coerce/convert.scm 355 */
																BgL_res2033z00_2687 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2662 = BgL_res2033z00_2687;
									}
									BgL_test2119z00_3696 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2661, BgL_arg1823z00_2662);
								}
							}
						else
							{	/* Coerce/convert.scm 355 */
								BgL_test2119z00_3696 = ((bool_t) 0);
							}
					}
					if (BgL_test2119z00_3696)
						{	/* Coerce/convert.scm 355 */
							BgL_test2118z00_3695 =
								BGl_typezd2subclasszf3z21zzobject_classz00(
								((BgL_typez00_bglt) BgL_fromz00_75),
								((BgL_typez00_bglt) BgL_toz00_76));
						}
					else
						{	/* Coerce/convert.scm 355 */
							BgL_test2118z00_3695 = ((bool_t) 0);
						}
				}
				if (BgL_test2118z00_3695)
					{	/* Coerce/convert.scm 355 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coercezd2opzd2_78,
							BgL_nodez00_79, ((BgL_typez00_bglt) BgL_fromz00_75));
					}
				else
					{	/* Coerce/convert.scm 357 */
						obj_t BgL_auxz00_2036;

						BgL_auxz00_2036 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)));
						{	/* Coerce/convert.scm 357 */
							obj_t BgL_aux2z00_2037;

							BgL_aux2z00_2037 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 10)));
							{	/* Coerce/convert.scm 358 */
								obj_t BgL_locz00_2038;

								BgL_locz00_2038 =
									(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_79))->BgL_locz00);
								{	/* Coerce/convert.scm 359 */
									BgL_nodez00_bglt BgL_lnodez00_2039;

									{	/* Coerce/convert.scm 362 */
										obj_t BgL_arg1917z00_2063;

										{	/* Coerce/convert.scm 362 */
											obj_t BgL_arg1918z00_2064;

											{	/* Coerce/convert.scm 362 */
												obj_t BgL_arg1919z00_2065;
												obj_t BgL_arg1920z00_2066;

												{	/* Coerce/convert.scm 362 */
													obj_t BgL_arg1922z00_2067;

													{	/* Coerce/convert.scm 362 */
														obj_t BgL_arg1923z00_2068;
														obj_t BgL_arg1924z00_2069;

														{	/* Coerce/convert.scm 362 */
															obj_t BgL_arg1925z00_2070;

															{	/* Coerce/convert.scm 362 */
																obj_t BgL_arg1926z00_2071;

																{	/* Coerce/convert.scm 362 */
																	obj_t BgL_arg1927z00_2072;
																	obj_t BgL_arg1929z00_2073;

																	{	/* Coerce/convert.scm 362 */
																		obj_t BgL_arg1463z00_2690;

																		BgL_arg1463z00_2690 =
																			SYMBOL_TO_STRING(BgL_auxz00_2036);
																		BgL_arg1927z00_2072 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1463z00_2690);
																	}
																	{	/* Coerce/convert.scm 362 */
																		obj_t BgL_symbolz00_2691;

																		BgL_symbolz00_2691 =
																			CNST_TABLE_REF(((long) 6));
																		{	/* Coerce/convert.scm 362 */
																			obj_t BgL_arg1463z00_2692;

																			BgL_arg1463z00_2692 =
																				SYMBOL_TO_STRING(BgL_symbolz00_2691);
																			BgL_arg1929z00_2073 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1463z00_2692);
																	}}
																	BgL_arg1926z00_2071 =
																		string_append(BgL_arg1927z00_2072,
																		BgL_arg1929z00_2073);
																}
																BgL_arg1925z00_2070 =
																	bstring_to_symbol(BgL_arg1926z00_2071);
															}
															BgL_arg1923z00_2068 =
																BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																(BgL_arg1925z00_2070);
														}
														BgL_arg1924z00_2069 =
															MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
														BgL_arg1922z00_2067 =
															MAKE_YOUNG_PAIR(BgL_arg1923z00_2068,
															BgL_arg1924z00_2069);
													}
													BgL_arg1919z00_2065 =
														MAKE_YOUNG_PAIR(BgL_arg1922z00_2067, BNIL);
												}
												{	/* Coerce/convert.scm 364 */
													obj_t BgL_arg1930z00_2074;

													{	/* Coerce/convert.scm 364 */
														obj_t BgL_arg1931z00_2075;

														{	/* Coerce/convert.scm 364 */
															obj_t BgL_arg1932z00_2076;
															obj_t BgL_arg1933z00_2077;

															{	/* Coerce/convert.scm 364 */
																obj_t BgL_arg1935z00_2078;

																{	/* Coerce/convert.scm 364 */
																	obj_t BgL_arg1936z00_2079;
																	obj_t BgL_arg1937z00_2080;

																	{	/* Coerce/convert.scm 364 */
																		obj_t BgL_arg1938z00_2081;

																		{	/* Coerce/convert.scm 364 */
																			obj_t BgL_arg1939z00_2082;

																			{	/* Coerce/convert.scm 364 */
																				obj_t BgL_arg1940z00_2083;
																				obj_t BgL_arg1941z00_2084;

																				{	/* Coerce/convert.scm 364 */
																					obj_t BgL_arg1463z00_2695;

																					BgL_arg1463z00_2695 =
																						SYMBOL_TO_STRING(BgL_aux2z00_2037);
																					BgL_arg1940z00_2083 =
																						BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																						(BgL_arg1463z00_2695);
																				}
																				{	/* Coerce/convert.scm 364 */
																					obj_t BgL_symbolz00_2696;

																					BgL_symbolz00_2696 =
																						CNST_TABLE_REF(((long) 6));
																					{	/* Coerce/convert.scm 364 */
																						obj_t BgL_arg1463z00_2697;

																						BgL_arg1463z00_2697 =
																							SYMBOL_TO_STRING
																							(BgL_symbolz00_2696);
																						BgL_arg1941z00_2084 =
																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																							(BgL_arg1463z00_2697);
																				}}
																				BgL_arg1939z00_2082 =
																					string_append(BgL_arg1940z00_2083,
																					BgL_arg1941z00_2084);
																			}
																			BgL_arg1938z00_2081 =
																				bstring_to_symbol(BgL_arg1939z00_2082);
																		}
																		BgL_arg1936z00_2079 =
																			BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																			(BgL_arg1938z00_2081);
																	}
																	BgL_arg1937z00_2080 =
																		MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
																	BgL_arg1935z00_2078 =
																		MAKE_YOUNG_PAIR(BgL_arg1936z00_2079,
																		BgL_arg1937z00_2080);
																}
																BgL_arg1932z00_2076 =
																	MAKE_YOUNG_PAIR(BgL_arg1935z00_2078, BNIL);
															}
															{	/* Coerce/convert.scm 365 */
																obj_t BgL_arg1942z00_2085;

																{	/* Coerce/convert.scm 365 */
																	obj_t BgL_arg1943z00_2086;

																	{	/* Coerce/convert.scm 365 */
																		obj_t BgL_arg1944z00_2087;
																		obj_t BgL_arg1945z00_2088;

																		{	/* Coerce/convert.scm 365 */
																			obj_t BgL_arg1946z00_2089;

																			BgL_arg1946z00_2089 =
																				MAKE_YOUNG_PAIR(BgL_aux2z00_2037, BNIL);
																			BgL_arg1944z00_2087 =
																				MAKE_YOUNG_PAIR(BgL_checkzd2opzd2_77,
																				BgL_arg1946z00_2089);
																		}
																		{	/* Coerce/convert.scm 367 */
																			obj_t BgL_arg1947z00_2090;

																			{	/* Coerce/convert.scm 367 */
																				obj_t BgL_arg1948z00_2091;

																				{	/* Coerce/convert.scm 367 */
																					obj_t BgL_arg1949z00_2092;

																					BgL_arg1949z00_2092 =
																						(((BgL_typez00_bglt) COBJECT(
																								((BgL_typez00_bglt)
																									BgL_toz00_76)))->BgL_idz00);
																					BgL_arg1948z00_2091 =
																						BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
																						(BgL_locz00_2038,
																						BgL_arg1949z00_2092,
																						BgL_auxz00_2036);
																				}
																				BgL_arg1947z00_2090 =
																					MAKE_YOUNG_PAIR(BgL_arg1948z00_2091,
																					BNIL);
																			}
																			BgL_arg1945z00_2088 =
																				MAKE_YOUNG_PAIR(BgL_auxz00_2036,
																				BgL_arg1947z00_2090);
																		}
																		BgL_arg1943z00_2086 =
																			MAKE_YOUNG_PAIR(BgL_arg1944z00_2087,
																			BgL_arg1945z00_2088);
																	}
																	BgL_arg1942z00_2085 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 9)),
																		BgL_arg1943z00_2086);
																}
																BgL_arg1933z00_2077 =
																	MAKE_YOUNG_PAIR(BgL_arg1942z00_2085, BNIL);
															}
															BgL_arg1931z00_2075 =
																MAKE_YOUNG_PAIR(BgL_arg1932z00_2076,
																BgL_arg1933z00_2077);
														}
														BgL_arg1930z00_2074 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
															BgL_arg1931z00_2075);
													}
													BgL_arg1920z00_2066 =
														MAKE_YOUNG_PAIR(BgL_arg1930z00_2074, BNIL);
												}
												BgL_arg1918z00_2064 =
													MAKE_YOUNG_PAIR(BgL_arg1919z00_2065,
													BgL_arg1920z00_2066);
											}
											BgL_arg1917z00_2063 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
												BgL_arg1918z00_2064);
										}
										BgL_lnodez00_2039 =
											BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
											(BgL_arg1917z00_2063, BgL_locz00_2038);
									}
									{	/* Coerce/convert.scm 360 */

										BGl_za2checkza2z00zzcoerce_convertz00 =
											(((long) 1) + BGl_za2checkza2z00zzcoerce_convertz00);
										if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
											{	/* Coerce/convert.scm 83 */
												BGl_notifyzd2typezd2testz00zzcoerce_convertz00
													(BgL_fromz00_75, BgL_toz00_76, BgL_locz00_2038);
											}
										else
											{	/* Coerce/convert.scm 83 */
												BFALSE;
											}
										BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
											(BgL_lnodez00_2039);
										{	/* Coerce/convert.scm 371 */
											obj_t BgL_varz00_2040;

											{	/* Coerce/convert.scm 371 */
												obj_t BgL_pairz00_2703;

												{	/* Coerce/convert.scm 371 */
													obj_t BgL_pairz00_2702;

													BgL_pairz00_2702 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_lnodez00_2039)))->
														BgL_bindingsz00);
													BgL_pairz00_2703 = CAR(BgL_pairz00_2702);
												}
												BgL_varz00_2040 = CAR(BgL_pairz00_2703);
											}
											{	/* Coerce/convert.scm 371 */
												BgL_nodez00_bglt BgL_coercezd2appzd2_2041;

												{	/* Coerce/convert.scm 373 */
													BgL_refz00_bglt BgL_arg1912z00_2057;

													{	/* Coerce/convert.scm 373 */
														BgL_refz00_bglt BgL_new1148z00_2058;

														{	/* Coerce/convert.scm 374 */
															BgL_refz00_bglt BgL_new1147z00_2059;

															BgL_new1147z00_2059 =
																((BgL_refz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_refz00_bgl))));
															{	/* Coerce/convert.scm 374 */
																long BgL_arg1913z00_2060;

																BgL_arg1913z00_2060 =
																	BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1147z00_2059),
																	BgL_arg1913z00_2060);
															}
															{	/* Coerce/convert.scm 374 */
																BgL_objectz00_bglt BgL_tmpz00_3779;

																BgL_tmpz00_3779 =
																	((BgL_objectz00_bglt) BgL_new1147z00_2059);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3779,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1147z00_2059);
															BgL_new1148z00_2058 = BgL_new1147z00_2059;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1148z00_2058)))->
																BgL_locz00) =
															((obj_t) BgL_locz00_2038), BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1148z00_2058)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BgL_fromz00_75)), BUNSPEC);
														((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																			BgL_new1148z00_2058)))->BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_varz00_2040)), BUNSPEC);
														BgL_arg1912z00_2057 = BgL_new1148z00_2058;
													}
													BgL_coercezd2appzd2_2041 =
														BGl_dozd2convertzd2zzcoerce_convertz00
														(BgL_coercezd2opzd2_78,
														((BgL_nodez00_bglt) BgL_arg1912z00_2057),
														((BgL_typez00_bglt) BgL_fromz00_75));
												}
												{	/* Coerce/convert.scm 372 */
													BgL_nodez00_bglt BgL_condnz00_2042;

													BgL_condnz00_2042 =
														BGl_skipzd2letzd2varz00zzcoerce_convertz00
														(BgL_lnodez00_2039);
													{	/* Coerce/convert.scm 378 */

														((((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_varz00_2040))))->
																BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BgL_fromz00_75)), BUNSPEC);
														{	/* Coerce/convert.scm 382 */
															obj_t BgL_arg1901z00_2043;

															{	/* Coerce/convert.scm 382 */
																obj_t BgL_pairz00_2711;

																BgL_pairz00_2711 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_lnodez00_2039)))->BgL_bindingsz00);
																BgL_arg1901z00_2043 = CAR(BgL_pairz00_2711);
															}
															{	/* Coerce/convert.scm 382 */
																obj_t BgL_auxz00_3804;
																obj_t BgL_tmpz00_3802;

																BgL_auxz00_3804 = ((obj_t) BgL_nodez00_79);
																BgL_tmpz00_3802 = ((obj_t) BgL_arg1901z00_2043);
																SET_CDR(BgL_tmpz00_3802, BgL_auxz00_3804);
														}}
														{	/* Coerce/convert.scm 383 */
															obj_t BgL_binding2z00_2045;

															{	/* Coerce/convert.scm 383 */
																obj_t BgL_pairz00_2715;

																BgL_pairz00_2715 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				(((BgL_letzd2varzd2_bglt) COBJECT(
																							((BgL_letzd2varzd2_bglt)
																								BgL_lnodez00_2039)))->
																					BgL_bodyz00))))->BgL_bindingsz00);
																BgL_binding2z00_2045 = CAR(BgL_pairz00_2715);
															}
															{	/* Coerce/convert.scm 384 */
																BgL_castz00_bglt BgL_arg1905z00_2046;

																{	/* Coerce/convert.scm 384 */
																	BgL_castz00_bglt BgL_new1150z00_2047;

																	{	/* Coerce/convert.scm 385 */
																		BgL_castz00_bglt BgL_new1149z00_2051;

																		BgL_new1149z00_2051 =
																			((BgL_castz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_castz00_bgl))));
																		{	/* Coerce/convert.scm 385 */
																			long BgL_arg1907z00_2052;

																			BgL_arg1907z00_2052 =
																				BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1149z00_2051),
																				BgL_arg1907z00_2052);
																		}
																		{	/* Coerce/convert.scm 385 */
																			BgL_objectz00_bglt BgL_tmpz00_3816;

																			BgL_tmpz00_3816 =
																				((BgL_objectz00_bglt)
																				BgL_new1149z00_2051);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3816,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1149z00_2051);
																		BgL_new1150z00_2047 = BgL_new1149z00_2051;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1150z00_2047)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_2038), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1150z00_2047)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2objza2z00zztype_cachez00)),
																		BUNSPEC);
																	{
																		BgL_nodez00_bglt BgL_auxz00_3825;

																		{	/* Coerce/convert.scm 387 */
																			BgL_refz00_bglt BgL_new1152z00_2048;

																			{	/* Coerce/convert.scm 388 */
																				BgL_refz00_bglt BgL_new1151z00_2049;

																				BgL_new1151z00_2049 =
																					((BgL_refz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_refz00_bgl))));
																				{	/* Coerce/convert.scm 388 */
																					long BgL_arg1906z00_2050;

																					{	/* Coerce/convert.scm 388 */
																						obj_t BgL_classz00_2720;

																						BgL_classz00_2720 =
																							BGl_refz00zzast_nodez00;
																						BgL_arg1906z00_2050 =
																							BGL_CLASS_NUM(BgL_classz00_2720);
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1151z00_2049),
																						BgL_arg1906z00_2050);
																				}
																				{	/* Coerce/convert.scm 388 */
																					BgL_objectz00_bglt BgL_tmpz00_3830;

																					BgL_tmpz00_3830 =
																						((BgL_objectz00_bglt)
																						BgL_new1151z00_2049);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_3830, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1151z00_2049);
																				BgL_new1152z00_2048 =
																					BgL_new1151z00_2049;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1152z00_2048)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_2038), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1152z00_2048)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BgL_fromz00_75)), BUNSPEC);
																			((((BgL_varz00_bglt)
																						COBJECT(((BgL_varz00_bglt)
																								BgL_new1152z00_2048)))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_varz00_2040)), BUNSPEC);
																			BgL_auxz00_3825 =
																				((BgL_nodez00_bglt)
																				BgL_new1152z00_2048);
																		}
																		((((BgL_castz00_bglt)
																					COBJECT(BgL_new1150z00_2047))->
																				BgL_argz00) =
																			((BgL_nodez00_bglt) BgL_auxz00_3825),
																			BUNSPEC);
																	}
																	BgL_arg1905z00_2046 = BgL_new1150z00_2047;
																}
																{	/* Coerce/convert.scm 384 */
																	obj_t BgL_auxz00_3846;
																	obj_t BgL_tmpz00_3844;

																	BgL_auxz00_3846 =
																		((obj_t) BgL_arg1905z00_2046);
																	BgL_tmpz00_3844 =
																		((obj_t) BgL_binding2z00_2045);
																	SET_CDR(BgL_tmpz00_3844, BgL_auxz00_3846);
														}}}
														((((BgL_conditionalz00_bglt) COBJECT(
																		((BgL_conditionalz00_bglt)
																			BgL_condnz00_2042)))->BgL_truez00) =
															((BgL_nodez00_bglt) BgL_coercezd2appzd2_2041),
															BUNSPEC);
														{	/* Coerce/convert.scm 393 */
															BgL_nodez00_bglt BgL_arg1910z00_2055;

															{	/* Coerce/convert.scm 393 */
																BgL_nodez00_bglt BgL_arg1911z00_2056;

																BgL_arg1911z00_2056 =
																	(((BgL_conditionalz00_bglt) COBJECT(
																			((BgL_conditionalz00_bglt)
																				BgL_condnz00_2042)))->BgL_falsez00);
																BgL_arg1910z00_2055 =
																	BGl_coercez12z12zzcoerce_coercez00
																	(BgL_arg1911z00_2056, BUNSPEC,
																	((BgL_typez00_bglt) BgL_fromz00_75),
																	((bool_t) 0));
															}
															((((BgL_conditionalz00_bglt) COBJECT(
																			((BgL_conditionalz00_bglt)
																				BgL_condnz00_2042)))->BgL_falsez00) =
																((BgL_nodez00_bglt) BgL_arg1910z00_2055),
																BUNSPEC);
														}
														BGl_lvtypezd2nodez12zc0zzast_lvtypez00
															(BgL_lnodez00_2039);
														return BgL_lnodez00_2039;
													}
												}
											}
										}
									}
								}
							}
						}
					}
			}
		}

	}



/* do-convert */
	BgL_nodez00_bglt BGl_dozd2convertzd2zzcoerce_convertz00(obj_t
		BgL_coercezd2opzd2_80, BgL_nodez00_bglt BgL_nodez00_81,
		BgL_typez00_bglt BgL_fromz00_82)
	{
		{	/* Coerce/convert.scm 403 */
			if ((BgL_coercezd2opzd2_80 == BTRUE))
				{	/* Coerce/convert.scm 406 */
					return BgL_nodez00_81;
				}
			else
				{	/* Coerce/convert.scm 408 */
					BgL_nodez00_bglt BgL_nnodez00_2095;

					{	/* Coerce/convert.scm 408 */
						obj_t BgL_arg1951z00_2096;
						obj_t BgL_arg1952z00_2097;

						{	/* Coerce/convert.scm 408 */
							obj_t BgL_arg1953z00_2098;

							BgL_arg1953z00_2098 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_nodez00_81), BNIL);
							BgL_arg1951z00_2096 =
								MAKE_YOUNG_PAIR(BgL_coercezd2opzd2_80, BgL_arg1953z00_2098);
						}
						BgL_arg1952z00_2097 =
							(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_81))->BgL_locz00);
						BgL_nnodez00_2095 =
							BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
							(BgL_arg1951z00_2096, BgL_arg1952z00_2097);
					}
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nnodez00_2095);
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nnodez00_2095);
					return BgL_nnodez00_2095;
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_convertz00()
	{
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_convertz00()
	{
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_convertz00()
	{
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00()
	{
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2046z00zzcoerce_convertz00));
		}

	}

#ifdef __cplusplus
}
#endif
