/*===========================================================================*/
/*   (Dataflow/walk.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Dataflow/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2valuezf2_bgl
	{
		int BgL_stampz00;
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                       *BgL_localzf2valuezf2_bglt;


	static obj_t BGl_z62abortzf3zd2sync1440z43zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzdataflow_walkz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	static obj_t BGl_z62zc3z04anonymousza31872ze3ze5zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31598ze3ze5zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2appzd2l1384za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzdataflow_walkz00();
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2exter1388z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2funca1386z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzdataflow_walkz00();
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2setq1390z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2r1410za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_z62dataflowzd2nodez12zd2sync1380z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2fail1394z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2v1400za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2jumpzd21404za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2var1374z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2condi1392z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzdataflow_walkz00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2s1413za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2fun1445z91zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez121370za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2f1398za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2app1382z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static long BGl_letzd2varzd2stampz00zzdataflow_walkz00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2ap1419zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf31433z91zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2in1421zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2makezd21408za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_z62dataflowzd2nodez12zd2closu1376z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_z62dataflowzd2testzd2env1414z62zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_gczd2rootszd2initz00zzdataflow_walkz00();
	static obj_t BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62abortzf3zd2app1449z43zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2co1423zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t BGl_z62lambda1613z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1614z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd21428zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2var1442z91zzdataflow_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda1622z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2sequence1438z43zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1623z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd21432zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2seque1378z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_localzf2valuezf2zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62abortzf3zd2funcall1451z43zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62abortzf3zd2conditional1447z43zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2setzd2e1402za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	static obj_t BGl_z62dataflowzd2testzd2envzd2le1427zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2switc1396z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1587z62zzdataflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62abortzf3zd2appzd2ly1453z91zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62abortzf3zd2fail1436z43zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1596z62zzdataflow_walkz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1599z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2va1425zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t __cnst[12];


	   
		 
		DEFINE_STRING(BGl_string2302z00zzdataflow_walkz00,
		BgL_bgl_string2302za700za7za7d2321za7, "dataflow-test-false-env", 23);
	      DEFINE_STRING(BGl_string2304z00zzdataflow_walkz00,
		BgL_bgl_string2304za700za7za7d2322za7, "abort?", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2300z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2323z00,
		BGl_z62dataflowzd2testzd2envzd2le1427zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2301z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2324z00,
		BGl_z62dataflowzd2testzd2falsezd21432zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2303z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fa2325za7,
		BGl_z62abortzf3zd2fail1436z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2305z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2se2326za7,
		BGl_z62abortzf3zd2sequence1438z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2306z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2sy2327za7,
		BGl_z62abortzf3zd2sync1440z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2313z00zzdataflow_walkz00,
		BgL_bgl_string2313za700za7za7d2328za7, "dataflow_walk", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2307z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2329za7,
		BGl_z62abortzf3zd2letzd2var1442z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2314z00zzdataflow_walkz00,
		BgL_bgl_string2314za700za7za7d2330za7,
		"read _ dataflow_walk local/value node int stamp $epair? $pair? foreign $null? pass-started ",
		91);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2308z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2331za7,
		BGl_z62abortzf3zd2letzd2fun1445z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2309z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2co2332za7,
		BGl_z62abortzf3zd2conditional1447z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2310z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2333za7,
		BGl_z62abortzf3zd2app1449z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2311z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fu2334za7,
		BGl_z62abortzf3zd2funcall1451z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2312z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2335za7,
		BGl_z62abortzf3zd2appzd2ly1453z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2252z00zzdataflow_walkz00,
		BgL_bgl_string2252za700za7za7d2336za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2253z00zzdataflow_walkz00,
		BgL_bgl_string2253za700za7za7d2337za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2254z00zzdataflow_walkz00,
		BgL_bgl_string2254za700za7za7d2338za7, " error", 6);
	      DEFINE_STRING(BGl_string2255z00zzdataflow_walkz00,
		BgL_bgl_string2255za700za7za7d2339za7, "s", 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dataflowzd2walkz12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2wa2340z00,
		BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2256z00zzdataflow_walkz00,
		BgL_bgl_string2256za700za7za7d2341za7, "", 0);
	      DEFINE_STRING(BGl_string2257z00zzdataflow_walkz00,
		BgL_bgl_string2257za700za7za7d2342za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2258z00zzdataflow_walkz00,
		BgL_bgl_string2258za700za7za7d2343za7, "failure during postlude hook", 28);
	      DEFINE_STATIC_BGL_GENERIC(BGl_abortzf3zd2envz21zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za791za7za72344za7,
		BGl_z62abortzf3z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2259z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1614za7622345z00, BGl_z62lambda1614z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2268z00zzdataflow_walkz00,
		BgL_bgl_string2268za700za7za7d2346za7, "dataflow-node!1370", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2260z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1613za7622347z00, BGl_z62lambda1613z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2261z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1623za7622348z00, BGl_z62lambda1623z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2262z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1622za7622349z00, BGl_z62lambda1622z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2263z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1599za7622350z00, BGl_z62lambda1599z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2270z00zzdataflow_walkz00,
		BgL_bgl_string2270za700za7za7d2351za7, "dataflow-test-env1414", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2264z00zzdataflow_walkz00,
		BgL_bgl_za762za7c3za704anonymo2352za7,
		BGl_z62zc3z04anonymousza31598ze3ze5zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2265z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1596za7622353z00, BGl_z62lambda1596z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2272z00zzdataflow_walkz00,
		BgL_bgl_string2272za700za7za7d2354za7, "dataflow-test-false-1428", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2266z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1587za7622355z00, BGl_z62lambda1587z62zzdataflow_walkz00,
		0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2267z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2356z00,
		BGl_z62dataflowzd2nodez121370za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2274z00zzdataflow_walkz00,
		BgL_bgl_string2274za700za7za7d2357za7, "abort?1433", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2269z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2358z00,
		BGl_z62dataflowzd2testzd2env1414z62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2276z00zzdataflow_walkz00,
		BgL_bgl_string2276za700za7za7d2359za7, "dataflow-node!", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2271z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2360z00,
		BGl_z62dataflowzd2testzd2falsezd21428zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2273z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f31433za72361za7,
		BGl_z62abortzf31433z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2275z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2362z00,
		BGl_z62dataflowzd2nodez12zd2var1374z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2277z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2363z00,
		BGl_z62dataflowzd2nodez12zd2closu1376z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2278z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2364z00,
		BGl_z62dataflowzd2nodez12zd2seque1378z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2279z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2365z00,
		BGl_z62dataflowzd2nodez12zd2sync1380z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2280z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2366z00,
		BGl_z62dataflowzd2nodez12zd2app1382z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2281z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2367z00,
		BGl_z62dataflowzd2nodez12zd2appzd2l1384za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2282z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2368z00,
		BGl_z62dataflowzd2nodez12zd2funca1386z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2283z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2369z00,
		BGl_z62dataflowzd2nodez12zd2exter1388z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2284z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2370z00,
		BGl_z62dataflowzd2nodez12zd2setq1390z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2285z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2371z00,
		BGl_z62dataflowzd2nodez12zd2condi1392z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2286z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2372z00,
		BGl_z62dataflowzd2nodez12zd2fail1394z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2287z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2373z00,
		BGl_z62dataflowzd2nodez12zd2switc1396z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2288z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2374z00,
		BGl_z62dataflowzd2nodez12zd2letzd2f1398za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2289z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2375z00,
		BGl_z62dataflowzd2nodez12zd2letzd2v1400za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2296z00zzdataflow_walkz00,
		BgL_bgl_string2296za700za7za7d2376za7, "dataflow-test-env", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2290z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2377z00,
		BGl_z62dataflowzd2nodez12zd2setzd2e1402za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2291z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2378z00,
		BGl_z62dataflowzd2nodez12zd2jumpzd21404za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2292z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2379z00,
		BGl_z62dataflowzd2nodez12zd2makezd21408za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2293z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2380z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2r1410za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2294z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2381z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2s1413za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2295z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2382z00,
		BGl_z62dataflowzd2testzd2envzd2ap1419zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2297z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2383z00,
		BGl_z62dataflowzd2testzd2envzd2in1421zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2298z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2384z00,
		BGl_z62dataflowzd2testzd2envzd2co1423zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2299z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2385z00,
		BGl_z62dataflowzd2testzd2envzd2va1425zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2386z00,
		BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2387z00,
		BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2388z00,
		BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42epairzf3za2zb1zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42pairzf3za2zb1zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42nullzf3za2zb1zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_localzf2valuezf2zzdataflow_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long
		BgL_checksumz00_4561, char *BgL_fromz00_4562)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzdataflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzdataflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzdataflow_walkz00();
					BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_cnstzd2initzd2zzdataflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_objectzd2initzd2zzdataflow_walkz00();
					BGl_genericzd2initzd2zzdataflow_walkz00();
					BGl_methodzd2initzd2zzdataflow_walkz00();
					return BGl_toplevelzd2initzd2zzdataflow_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00()
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"dataflow_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzdataflow_walkz00()
	{
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 17 */
				obj_t BgL_cportz00_4075;

				{	/* Dataflow/walk.scm 17 */
					obj_t BgL_stringz00_4083;

					BgL_stringz00_4083 = BGl_string2314z00zzdataflow_walkz00;
					{	/* Dataflow/walk.scm 17 */
						obj_t BgL_startz00_4084;

						BgL_startz00_4084 = BINT(((long) 0));
						{	/* Dataflow/walk.scm 17 */
							obj_t BgL_endz00_4085;

							BgL_endz00_4085 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4083)));
							{	/* Dataflow/walk.scm 17 */

								BgL_cportz00_4075 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4083, BgL_startz00_4084, BgL_endz00_4085);
				}}}}
				{
					long BgL_iz00_4076;

					BgL_iz00_4076 = ((long) 11);
				BgL_loopz00_4077:
					if ((BgL_iz00_4076 == ((long) -1)))
						{	/* Dataflow/walk.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Dataflow/walk.scm 17 */
							{	/* Dataflow/walk.scm 17 */
								obj_t BgL_arg2316z00_4079;

								{	/* Dataflow/walk.scm 17 */

									{	/* Dataflow/walk.scm 17 */
										obj_t BgL_locationz00_4081;

										BgL_locationz00_4081 = BBOOL(((bool_t) 0));
										{	/* Dataflow/walk.scm 17 */

											BgL_arg2316z00_4079 =
												BGl_readz00zz__readerz00(BgL_cportz00_4075,
												BgL_locationz00_4081);
										}
									}
								}
								{	/* Dataflow/walk.scm 17 */
									int BgL_tmpz00_4596;

									BgL_tmpz00_4596 = (int) (BgL_iz00_4076);
									CNST_TABLE_SET(BgL_tmpz00_4596, BgL_arg2316z00_4079);
							}}
							{	/* Dataflow/walk.scm 17 */
								int BgL_auxz00_4082;

								BgL_auxz00_4082 = (int) ((BgL_iz00_4076 - ((long) 1)));
								{
									long BgL_iz00_4601;

									BgL_iz00_4601 = (long) (BgL_auxz00_4082);
									BgL_iz00_4076 = BgL_iz00_4601;
									goto BgL_loopz00_4077;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzdataflow_walkz00()
	{
		{	/* Dataflow/walk.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00()
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 = ((long) 0);
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1813;

				BgL_headz00_1813 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1814;
					obj_t BgL_tailz00_1815;

					BgL_prevz00_1814 = BgL_headz00_1813;
					BgL_tailz00_1815 = BgL_l1z00_1;
				BgL_loopz00_1816:
					if (PAIRP(BgL_tailz00_1815))
						{
							obj_t BgL_newzd2prevzd2_1818;

							BgL_newzd2prevzd2_1818 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1815), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1814, BgL_newzd2prevzd2_1818);
							{
								obj_t BgL_tailz00_4611;
								obj_t BgL_prevz00_4610;

								BgL_prevz00_4610 = BgL_newzd2prevzd2_1818;
								BgL_tailz00_4611 = CDR(BgL_tailz00_1815);
								BgL_tailz00_1815 = BgL_tailz00_4611;
								BgL_prevz00_1814 = BgL_prevz00_4610;
								goto BgL_loopz00_1816;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1813);
				}
			}
		}

	}



/* dataflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t
		BgL_globalsz00_56, obj_t BgL_namez00_57)
	{
		{	/* Dataflow/walk.scm 45 */
			{	/* Dataflow/walk.scm 46 */
				obj_t BgL_list1478z00_1827;

				{	/* Dataflow/walk.scm 46 */
					obj_t BgL_arg1494z00_1828;

					{	/* Dataflow/walk.scm 46 */
						obj_t BgL_arg1496z00_1829;

						BgL_arg1496z00_1829 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1494z00_1828 =
							MAKE_YOUNG_PAIR(BgL_namez00_57, BgL_arg1496z00_1829);
					}
					BgL_list1478z00_1827 =
						MAKE_YOUNG_PAIR(BGl_string2252z00zzdataflow_walkz00,
						BgL_arg1494z00_1828);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1478z00_1827);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 = BgL_namez00_57;
			{	/* Dataflow/walk.scm 46 */
				obj_t BgL_g1139z00_1830;

				BgL_g1139z00_1830 = BNIL;
				{
					obj_t BgL_hooksz00_1833;
					obj_t BgL_hnamesz00_1834;

					BgL_hooksz00_1833 = BgL_g1139z00_1830;
					BgL_hnamesz00_1834 = BNIL;
				BgL_zc3z04anonymousza31497ze3z87_1835:
					if (NULLP(BgL_hooksz00_1833))
						{	/* Dataflow/walk.scm 46 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Dataflow/walk.scm 46 */
							bool_t BgL_test2393z00_4624;

							{	/* Dataflow/walk.scm 46 */
								obj_t BgL_fun1536z00_1842;

								BgL_fun1536z00_1842 = CAR(((obj_t) BgL_hooksz00_1833));
								BgL_test2393z00_4624 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1536z00_1842)
									(BgL_fun1536z00_1842, BEOA));
							}
							if (BgL_test2393z00_4624)
								{	/* Dataflow/walk.scm 46 */
									obj_t BgL_arg1520z00_1839;
									obj_t BgL_arg1524z00_1840;

									BgL_arg1520z00_1839 = CDR(((obj_t) BgL_hooksz00_1833));
									BgL_arg1524z00_1840 = CDR(((obj_t) BgL_hnamesz00_1834));
									{
										obj_t BgL_hnamesz00_4636;
										obj_t BgL_hooksz00_4635;

										BgL_hooksz00_4635 = BgL_arg1520z00_1839;
										BgL_hnamesz00_4636 = BgL_arg1524z00_1840;
										BgL_hnamesz00_1834 = BgL_hnamesz00_4636;
										BgL_hooksz00_1833 = BgL_hooksz00_4635;
										goto BgL_zc3z04anonymousza31497ze3z87_1835;
									}
								}
							else
								{	/* Dataflow/walk.scm 46 */
									obj_t BgL_arg1534z00_1841;

									BgL_arg1534z00_1841 = CAR(((obj_t) BgL_hnamesz00_1834));
									BGl_internalzd2errorzd2zztools_errorz00(BgL_namez00_57,
										BGl_string2253z00zzdataflow_walkz00, BgL_arg1534z00_1841);
								}
						}
				}
			}
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 1)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 3)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 4)),
				CNST_TABLE_REF(((long) 2)));
			{
				obj_t BgL_l1326z00_1846;

				BgL_l1326z00_1846 = BgL_globalsz00_56;
			BgL_zc3z04anonymousza31538ze3z87_1847:
				if (PAIRP(BgL_l1326z00_1846))
					{	/* Dataflow/walk.scm 50 */
						{	/* Dataflow/walk.scm 50 */
							obj_t BgL_arg1542z00_1849;

							BgL_arg1542z00_1849 = CAR(BgL_l1326z00_1846);
							{	/* Dataflow/walk.scm 64 */
								obj_t BgL_arg1570z00_2857;

								BgL_arg1570z00_2857 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_arg1542z00_1849))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((BgL_nodez00_bglt)
										BgL_arg1570z00_2857), BNIL);
							}
						}
						{
							obj_t BgL_l1326z00_4659;

							BgL_l1326z00_4659 = CDR(BgL_l1326z00_1846);
							BgL_l1326z00_1846 = BgL_l1326z00_4659;
							goto BgL_zc3z04anonymousza31538ze3z87_1847;
						}
					}
				else
					{	/* Dataflow/walk.scm 50 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Dataflow/walk.scm 51 */
					{	/* Dataflow/walk.scm 51 */
						obj_t BgL_port1328z00_1854;

						{	/* Dataflow/walk.scm 51 */
							obj_t BgL_tmpz00_4664;

							BgL_tmpz00_4664 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1328z00_1854 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4664);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1328z00_1854);
						bgl_display_string(BGl_string2254z00zzdataflow_walkz00,
							BgL_port1328z00_1854);
						{	/* Dataflow/walk.scm 51 */
							obj_t BgL_arg1548z00_1855;

							{	/* Dataflow/walk.scm 51 */
								bool_t BgL_test2396z00_4669;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Dataflow/walk.scm 51 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Dataflow/walk.scm 51 */
												BgL_test2396z00_4669 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Dataflow/walk.scm 51 */
												BgL_test2396z00_4669 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Dataflow/walk.scm 51 */
										BgL_test2396z00_4669 = ((bool_t) 0);
									}
								if (BgL_test2396z00_4669)
									{	/* Dataflow/walk.scm 51 */
										BgL_arg1548z00_1855 = BGl_string2255z00zzdataflow_walkz00;
									}
								else
									{	/* Dataflow/walk.scm 51 */
										BgL_arg1548z00_1855 = BGl_string2256z00zzdataflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1548z00_1855, BgL_port1328z00_1854);
						}
						bgl_display_string(BGl_string2257z00zzdataflow_walkz00,
							BgL_port1328z00_1854);
						bgl_display_char(((unsigned char) 10), BgL_port1328z00_1854);
					}
					{	/* Dataflow/walk.scm 51 */
						obj_t BgL_list1552z00_1861;

						BgL_list1552z00_1861 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1552z00_1861);
					}
				}
			else
				{	/* Dataflow/walk.scm 51 */
					obj_t BgL_g1141z00_1862;

					BgL_g1141z00_1862 = BNIL;
					{
						obj_t BgL_hooksz00_1865;
						obj_t BgL_hnamesz00_1866;

						BgL_hooksz00_1865 = BgL_g1141z00_1862;
						BgL_hnamesz00_1866 = BNIL;
					BgL_zc3z04anonymousza31553ze3z87_1867:
						if (NULLP(BgL_hooksz00_1865))
							{	/* Dataflow/walk.scm 51 */
								return BgL_globalsz00_56;
							}
						else
							{	/* Dataflow/walk.scm 51 */
								bool_t BgL_test2400z00_4686;

								{	/* Dataflow/walk.scm 51 */
									obj_t BgL_fun1568z00_1874;

									BgL_fun1568z00_1874 = CAR(((obj_t) BgL_hooksz00_1865));
									BgL_test2400z00_4686 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1568z00_1874)
										(BgL_fun1568z00_1874, BEOA));
								}
								if (BgL_test2400z00_4686)
									{	/* Dataflow/walk.scm 51 */
										obj_t BgL_arg1563z00_1871;
										obj_t BgL_arg1564z00_1872;

										BgL_arg1563z00_1871 = CDR(((obj_t) BgL_hooksz00_1865));
										BgL_arg1564z00_1872 = CDR(((obj_t) BgL_hnamesz00_1866));
										{
											obj_t BgL_hnamesz00_4698;
											obj_t BgL_hooksz00_4697;

											BgL_hooksz00_4697 = BgL_arg1563z00_1871;
											BgL_hnamesz00_4698 = BgL_arg1564z00_1872;
											BgL_hnamesz00_1866 = BgL_hnamesz00_4698;
											BgL_hooksz00_1865 = BgL_hooksz00_4697;
											goto BgL_zc3z04anonymousza31553ze3z87_1867;
										}
									}
								else
									{	/* Dataflow/walk.scm 51 */
										obj_t BgL_arg1567z00_1873;

										BgL_arg1567z00_1873 = CAR(((obj_t) BgL_hnamesz00_1866));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2258z00zzdataflow_walkz00, BgL_arg1567z00_1873);
									}
							}
					}
				}
		}

	}



/* &dataflow-walk! */
	obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t BgL_envz00_3885,
		obj_t BgL_globalsz00_3886, obj_t BgL_namez00_3887)
	{
		{	/* Dataflow/walk.scm 45 */
			return
				BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(BgL_globalsz00_3886,
				BgL_namez00_3887);
		}

	}



/* dataflow-node*! */
	obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t BgL_nodeza2za2_99,
		obj_t BgL_envz00_100)
	{
		{	/* Dataflow/walk.scm 308 */
			{
				obj_t BgL_l1350z00_1880;

				BgL_l1350z00_1880 = BgL_nodeza2za2_99;
			BgL_zc3z04anonymousza31572ze3z87_1881:
				if (PAIRP(BgL_l1350z00_1880))
					{	/* Dataflow/walk.scm 309 */
						{	/* Dataflow/walk.scm 309 */
							obj_t BgL_nz00_1883;

							BgL_nz00_1883 = CAR(BgL_l1350z00_1880);
							BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								((BgL_nodez00_bglt) BgL_nz00_1883), BgL_envz00_100);
						}
						{
							obj_t BgL_l1350z00_4708;

							BgL_l1350z00_4708 = CDR(BgL_l1350z00_1880);
							BgL_l1350z00_1880 = BgL_l1350z00_4708;
							goto BgL_zc3z04anonymousza31572ze3z87_1881;
						}
					}
				else
					{	/* Dataflow/walk.scm 309 */
						((bool_t) 1);
					}
			}
			return BgL_envz00_100;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzdataflow_walkz00()
	{
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 37 */
				obj_t BgL_arg1585z00_1890;
				obj_t BgL_arg1586z00_1891;

				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_v1368z00_1927;

					BgL_v1368z00_1927 = create_vector(((long) 2));
					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1604z00_1928;

						BgL_arg1604z00_1928 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc2260z00zzdataflow_walkz00,
							BGl_proc2259z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1368z00_1927, ((long) 0), BgL_arg1604z00_1928);
					}
					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1619z00_1938;

						BgL_arg1619z00_1938 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc2262z00zzdataflow_walkz00,
							BGl_proc2261z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1368z00_1927, ((long) 1), BgL_arg1619z00_1938);
					}
					BgL_arg1585z00_1890 = BgL_v1368z00_1927;
				}
				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_v1369z00_1948;

					BgL_v1369z00_1948 = create_vector(((long) 0));
					BgL_arg1586z00_1891 = BgL_v1369z00_1948;
				}
				return (BGl_localzf2valuezf2zzdataflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 8)),
						CNST_TABLE_REF(((long) 9)), BGl_localz00zzast_varz00,
						((long) 51723), BGl_proc2266z00zzdataflow_walkz00,
						BGl_proc2265z00zzdataflow_walkz00, BFALSE,
						BGl_proc2264z00zzdataflow_walkz00,
						BGl_proc2263z00zzdataflow_walkz00, BgL_arg1585z00_1890,
						BgL_arg1586z00_1891), BUNSPEC);
		}}

	}



/* &lambda1599 */
	BgL_localz00_bglt BGl_z62lambda1599z62zzdataflow_walkz00(obj_t
		BgL_envz00_3896, obj_t BgL_o1126z00_3897)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				long BgL_arg1601z00_4088;

				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_arg1602z00_4089;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1603z00_4090;

						{	/* Dataflow/walk.scm 37 */
							long BgL_arg1833z00_4091;

							{	/* Dataflow/walk.scm 37 */
								long BgL_arg1834z00_4092;

								BgL_arg1834z00_4092 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1126z00_3897)));
								BgL_arg1833z00_4091 = (BgL_arg1834z00_4092 - OBJECT_TYPE);
							}
							BgL_arg1603z00_4090 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_4091);
						}
						BgL_arg1602z00_4089 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1603z00_4090);
					}
					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_tmpz00_4728;

						BgL_tmpz00_4728 = ((obj_t) BgL_arg1602z00_4089);
						BgL_arg1601z00_4088 = BGL_CLASS_NUM(BgL_tmpz00_4728);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1126z00_3897)), BgL_arg1601z00_4088);
			}
			{	/* Dataflow/walk.scm 37 */
				BgL_objectz00_bglt BgL_tmpz00_4734;

				BgL_tmpz00_4734 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1126z00_3897));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4734, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1126z00_3897));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1126z00_3897));
		}

	}



/* &<@anonymous:1598> */
	obj_t BGl_z62zc3z04anonymousza31598ze3ze5zzdataflow_walkz00(obj_t
		BgL_envz00_3898, obj_t BgL_new1125z00_3899)
	{
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localz00_bglt BgL_auxz00_4742;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1125z00_3899))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 10))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1125z00_3899))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4750;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_classz00_4094;

						BgL_classz00_4094 = BGl_typez00zztype_typez00;
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL__ortest_1112z00_4095;

							BgL__ortest_1112z00_4095 = BGL_CLASS_NIL(BgL_classz00_4094);
							if (CBOOL(BgL__ortest_1112z00_4095))
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4750 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_4095);
								}
							else
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4750 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4094));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1125z00_3899))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4750), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4760;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_classz00_4096;

						BgL_classz00_4096 = BGl_valuez00zzast_varz00;
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL__ortest_1112z00_4097;

							BgL__ortest_1112z00_4097 = BGL_CLASS_NIL(BgL_classz00_4096);
							if (CBOOL(BgL__ortest_1112z00_4097))
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4760 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_4097);
								}
							else
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4760 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4096));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1125z00_3899))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4760), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1125z00_3899))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1125z00_3899))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1125z00_3899))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1125z00_3899))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1125z00_3899))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1125z00_3899))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1125z00_3899))))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1125z00_3899))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1125z00_3899))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4797;

					{
						obj_t BgL_auxz00_4798;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_4799;

							BgL_tmpz00_4799 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1125z00_3899));
							BgL_auxz00_4798 = BGL_OBJECT_WIDENING(BgL_tmpz00_4799);
						}
						BgL_auxz00_4797 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4798);
					}
					((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4797))->
							BgL_stampz00) = ((int) (int) (((long) 0))), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4813;
					BgL_localzf2valuezf2_bglt BgL_auxz00_4806;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_classz00_4098;

						BgL_classz00_4098 = BGl_nodez00zzast_nodez00;
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL__ortest_1112z00_4099;

							BgL__ortest_1112z00_4099 = BGL_CLASS_NIL(BgL_classz00_4098);
							if (CBOOL(BgL__ortest_1112z00_4099))
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4813 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_4099);
								}
							else
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4813 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4098));
								}
						}
					}
					{
						obj_t BgL_auxz00_4807;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_4808;

							BgL_tmpz00_4808 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1125z00_3899));
							BgL_auxz00_4807 = BGL_OBJECT_WIDENING(BgL_tmpz00_4808);
						}
						BgL_auxz00_4806 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4807);
					}
					((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4806))->
							BgL_nodez00) = ((BgL_nodez00_bglt) BgL_auxz00_4813), BUNSPEC);
				}
				BgL_auxz00_4742 = ((BgL_localz00_bglt) BgL_new1125z00_3899);
				return ((obj_t) BgL_auxz00_4742);
			}
		}

	}



/* &lambda1596 */
	BgL_localz00_bglt BGl_z62lambda1596z62zzdataflow_walkz00(obj_t
		BgL_envz00_3900, obj_t BgL_o1122z00_3901)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				BgL_localzf2valuezf2_bglt BgL_wide1124z00_4101;

				BgL_wide1124z00_4101 =
					((BgL_localzf2valuezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2valuezf2_bgl))));
				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_auxz00_4828;
					BgL_objectz00_bglt BgL_tmpz00_4824;

					BgL_auxz00_4828 = ((obj_t) BgL_wide1124z00_4101);
					BgL_tmpz00_4824 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1122z00_3901)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4824, BgL_auxz00_4828);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1122z00_3901)));
				{	/* Dataflow/walk.scm 37 */
					long BgL_arg1597z00_4102;

					BgL_arg1597z00_4102 =
						BGL_CLASS_NUM(BGl_localzf2valuezf2zzdataflow_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1122z00_3901))), BgL_arg1597z00_4102);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1122z00_3901)));
			}
		}

	}



/* &lambda1587 */
	BgL_localz00_bglt BGl_z62lambda1587z62zzdataflow_walkz00(obj_t
		BgL_envz00_3902, obj_t BgL_id1107z00_3903, obj_t BgL_name1108z00_3904,
		obj_t BgL_type1109z00_3905, obj_t BgL_value1110z00_3906,
		obj_t BgL_access1111z00_3907, obj_t BgL_fastzd2alpha1112zd2_3908,
		obj_t BgL_removable1113z00_3909, obj_t BgL_occurrence1114z00_3910,
		obj_t BgL_occurrencew1115z00_3911, obj_t BgL_userzf31116zf3_3912,
		obj_t BgL_key1117z00_3913, obj_t BgL_valzd2noescape1118zd2_3914,
		obj_t BgL_volatile1119z00_3915, obj_t BgL_stamp1120z00_3916,
		obj_t BgL_node1121z00_3917)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				long BgL_occurrence1114z00_4106;
				long BgL_occurrencew1115z00_4107;
				bool_t BgL_userzf31116zf3_4108;
				long BgL_key1117z00_4109;
				bool_t BgL_volatile1119z00_4110;
				int BgL_stamp1120z00_4111;

				BgL_occurrence1114z00_4106 = (long) CINT(BgL_occurrence1114z00_3910);
				BgL_occurrencew1115z00_4107 = (long) CINT(BgL_occurrencew1115z00_3911);
				BgL_userzf31116zf3_4108 = CBOOL(BgL_userzf31116zf3_3912);
				BgL_key1117z00_4109 = (long) CINT(BgL_key1117z00_3913);
				BgL_volatile1119z00_4110 = CBOOL(BgL_volatile1119z00_3915);
				BgL_stamp1120z00_4111 = CINT(BgL_stamp1120z00_3916);
				{	/* Dataflow/walk.scm 37 */
					BgL_localz00_bglt BgL_new1195z00_4113;

					{	/* Dataflow/walk.scm 37 */
						BgL_localz00_bglt BgL_tmp1193z00_4114;
						BgL_localzf2valuezf2_bglt BgL_wide1194z00_4115;

						{
							BgL_localz00_bglt BgL_auxz00_4848;

							{	/* Dataflow/walk.scm 37 */
								BgL_localz00_bglt BgL_new1192z00_4116;

								BgL_new1192z00_4116 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Dataflow/walk.scm 37 */
									long BgL_arg1595z00_4117;

									BgL_arg1595z00_4117 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1192z00_4116),
										BgL_arg1595z00_4117);
								}
								{	/* Dataflow/walk.scm 37 */
									BgL_objectz00_bglt BgL_tmpz00_4853;

									BgL_tmpz00_4853 = ((BgL_objectz00_bglt) BgL_new1192z00_4116);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4853, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1192z00_4116);
								BgL_auxz00_4848 = BgL_new1192z00_4116;
							}
							BgL_tmp1193z00_4114 = ((BgL_localz00_bglt) BgL_auxz00_4848);
						}
						BgL_wide1194z00_4115 =
							((BgL_localzf2valuezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2valuezf2_bgl))));
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_auxz00_4861;
							BgL_objectz00_bglt BgL_tmpz00_4859;

							BgL_auxz00_4861 = ((obj_t) BgL_wide1194z00_4115);
							BgL_tmpz00_4859 = ((BgL_objectz00_bglt) BgL_tmp1193z00_4114);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4859, BgL_auxz00_4861);
						}
						((BgL_objectz00_bglt) BgL_tmp1193z00_4114);
						{	/* Dataflow/walk.scm 37 */
							long BgL_arg1588z00_4118;

							BgL_arg1588z00_4118 =
								BGL_CLASS_NUM(BGl_localzf2valuezf2zzdataflow_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1193z00_4114),
								BgL_arg1588z00_4118);
						}
						BgL_new1195z00_4113 = ((BgL_localz00_bglt) BgL_tmp1193z00_4114);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1195z00_4113)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1107z00_3903)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4113)))->BgL_namez00) =
						((obj_t) BgL_name1108z00_3904), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4113)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1109z00_3905)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4113)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1110z00_3906)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4113)))->BgL_accessz00) =
						((obj_t) BgL_access1111z00_3907), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4113)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1112zd2_3908), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4113)))->BgL_removablez00) =
						((obj_t) BgL_removable1113z00_3909), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4113)))->BgL_occurrencez00) =
						((long) BgL_occurrence1114z00_4106), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4113)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1115z00_4107), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4113)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31116zf3_4108), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1195z00_4113)))->BgL_keyz00) =
						((long) BgL_key1117z00_4109), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1195z00_4113)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1118zd2_3914), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1195z00_4113)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1119z00_4110), BUNSPEC);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4898;

						{
							obj_t BgL_auxz00_4899;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_4900;

								BgL_tmpz00_4900 = ((BgL_objectz00_bglt) BgL_new1195z00_4113);
								BgL_auxz00_4899 = BGL_OBJECT_WIDENING(BgL_tmpz00_4900);
							}
							BgL_auxz00_4898 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4899);
						}
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4898))->
								BgL_stampz00) = ((int) BgL_stamp1120z00_4111), BUNSPEC);
					}
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4905;

						{
							obj_t BgL_auxz00_4906;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_4907;

								BgL_tmpz00_4907 = ((BgL_objectz00_bglt) BgL_new1195z00_4113);
								BgL_auxz00_4906 = BGL_OBJECT_WIDENING(BgL_tmpz00_4907);
							}
							BgL_auxz00_4905 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4906);
						}
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4905))->
								BgL_nodez00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_node1121z00_3917)),
							BUNSPEC);
					}
					return BgL_new1195z00_4113;
				}
			}
		}

	}



/* &lambda1623 */
	obj_t BGl_z62lambda1623z62zzdataflow_walkz00(obj_t BgL_envz00_3918,
		obj_t BgL_oz00_3919, obj_t BgL_vz00_3920)
	{
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localzf2valuezf2_bglt BgL_auxz00_4913;

				{
					obj_t BgL_auxz00_4914;

					{	/* Dataflow/walk.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_4915;

						BgL_tmpz00_4915 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3919));
						BgL_auxz00_4914 = BGL_OBJECT_WIDENING(BgL_tmpz00_4915);
					}
					BgL_auxz00_4913 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4914);
				}
				return
					((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4913))->
						BgL_nodez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_3920)), BUNSPEC);
			}
		}

	}



/* &lambda1622 */
	BgL_nodez00_bglt BGl_z62lambda1622z62zzdataflow_walkz00(obj_t BgL_envz00_3921,
		obj_t BgL_oz00_3922)
	{
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localzf2valuezf2_bglt BgL_auxz00_4922;

				{
					obj_t BgL_auxz00_4923;

					{	/* Dataflow/walk.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_4924;

						BgL_tmpz00_4924 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3922));
						BgL_auxz00_4923 = BGL_OBJECT_WIDENING(BgL_tmpz00_4924);
					}
					BgL_auxz00_4922 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4923);
				}
				return
					(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4922))->BgL_nodez00);
			}
		}

	}



/* &lambda1614 */
	obj_t BGl_z62lambda1614z62zzdataflow_walkz00(obj_t BgL_envz00_3923,
		obj_t BgL_oz00_3924, obj_t BgL_vz00_3925)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				int BgL_vz00_4123;

				BgL_vz00_4123 = CINT(BgL_vz00_3925);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4931;

					{
						obj_t BgL_auxz00_4932;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_4933;

							BgL_tmpz00_4933 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3924));
							BgL_auxz00_4932 = BGL_OBJECT_WIDENING(BgL_tmpz00_4933);
						}
						BgL_auxz00_4931 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4932);
					}
					return
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4931))->
							BgL_stampz00) = ((int) BgL_vz00_4123), BUNSPEC);
		}}}

	}



/* &lambda1613 */
	obj_t BGl_z62lambda1613z62zzdataflow_walkz00(obj_t BgL_envz00_3926,
		obj_t BgL_oz00_3927)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				int BgL_tmpz00_4939;

				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4940;

					{
						obj_t BgL_auxz00_4941;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_4942;

							BgL_tmpz00_4942 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3927));
							BgL_auxz00_4941 = BGL_OBJECT_WIDENING(BgL_tmpz00_4942);
						}
						BgL_auxz00_4940 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4941);
					}
					BgL_tmpz00_4939 =
						(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4940))->
						BgL_stampz00);
				}
				return BINT(BgL_tmpz00_4939);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzdataflow_walkz00()
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_proc2267z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2268z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_proc2269z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_proc2271z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2272z00zzdataflow_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_proc2273z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2274z00zzdataflow_walkz00);
		}

	}



/* &abort?1433 */
	obj_t BGl_z62abortzf31433z91zzdataflow_walkz00(obj_t BgL_envz00_3932,
		obj_t BgL_nodez00_3933)
	{
		{	/* Dataflow/walk.scm 429 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &dataflow-test-false-1428 */
	obj_t BGl_z62dataflowzd2testzd2falsezd21428zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3934, obj_t BgL_nodez00_3935)
	{
		{	/* Dataflow/walk.scm 401 */
			return BNIL;
		}

	}



/* &dataflow-test-env1414 */
	obj_t BGl_z62dataflowzd2testzd2env1414z62zzdataflow_walkz00(obj_t
		BgL_envz00_3936, obj_t BgL_nodez00_3937)
	{
		{	/* Dataflow/walk.scm 315 */
			return BNIL;
		}

	}



/* &dataflow-node!1370 */
	obj_t BGl_z62dataflowzd2nodez121370za2zzdataflow_walkz00(obj_t
		BgL_envz00_3938, obj_t BgL_nodez00_3939, obj_t BgL_envz00_3940)
	{
		{	/* Dataflow/walk.scm 69 */
			return ((obj_t) BgL_envz00_3940);
		}

	}



/* dataflow-node! */
	obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_59, obj_t BgL_envz00_60)
	{
		{	/* Dataflow/walk.scm 69 */
			{	/* Dataflow/walk.scm 69 */
				obj_t BgL_method1372z00_1970;

				{	/* Dataflow/walk.scm 69 */
					obj_t BgL_res2210z00_2952;

					{	/* Dataflow/walk.scm 69 */
						long BgL_objzd2classzd2numz00_2923;

						BgL_objzd2classzd2numz00_2923 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_59));
						{	/* Dataflow/walk.scm 69 */
							obj_t BgL_arg1829z00_2924;

							BgL_arg1829z00_2924 =
								PROCEDURE_REF(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 69 */
								int BgL_offsetz00_2927;

								BgL_offsetz00_2927 = (int) (BgL_objzd2classzd2numz00_2923);
								{	/* Dataflow/walk.scm 69 */
									long BgL_offsetz00_2928;

									BgL_offsetz00_2928 =
										((long) (BgL_offsetz00_2927) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 69 */
										long BgL_modz00_2929;

										BgL_modz00_2929 =
											(BgL_offsetz00_2928 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Dataflow/walk.scm 69 */
											long BgL_restz00_2931;

											BgL_restz00_2931 =
												(BgL_offsetz00_2928 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Dataflow/walk.scm 69 */

												{	/* Dataflow/walk.scm 69 */
													obj_t BgL_bucketz00_2933;

													BgL_bucketz00_2933 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2924), BgL_modz00_2929);
													BgL_res2210z00_2952 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2933), BgL_restz00_2931);
					}}}}}}}}
					BgL_method1372z00_1970 = BgL_res2210z00_2952;
				}
				return
					PROCEDURE_ENTRY(BgL_method1372z00_1970) (BgL_method1372z00_1970,
					((obj_t) BgL_nodez00_59), BgL_envz00_60, BEOA);
			}
		}

	}



/* &dataflow-node! */
	obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t BgL_envz00_3941,
		obj_t BgL_nodez00_3942, obj_t BgL_envz00_3943)
	{
		{	/* Dataflow/walk.scm 69 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3942), BgL_envz00_3943);
		}

	}



/* dataflow-test-env */
	obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_101)
	{
		{	/* Dataflow/walk.scm 315 */
			{	/* Dataflow/walk.scm 315 */
				obj_t BgL_method1417z00_1971;

				{	/* Dataflow/walk.scm 315 */
					obj_t BgL_res2215z00_2983;

					{	/* Dataflow/walk.scm 315 */
						long BgL_objzd2classzd2numz00_2954;

						BgL_objzd2classzd2numz00_2954 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_101));
						{	/* Dataflow/walk.scm 315 */
							obj_t BgL_arg1829z00_2955;

							BgL_arg1829z00_2955 =
								PROCEDURE_REF
								(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 315 */
								int BgL_offsetz00_2958;

								BgL_offsetz00_2958 = (int) (BgL_objzd2classzd2numz00_2954);
								{	/* Dataflow/walk.scm 315 */
									long BgL_offsetz00_2959;

									BgL_offsetz00_2959 =
										((long) (BgL_offsetz00_2958) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 315 */
										long BgL_modz00_2960;

										BgL_modz00_2960 =
											(BgL_offsetz00_2959 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Dataflow/walk.scm 315 */
											long BgL_restz00_2962;

											BgL_restz00_2962 =
												(BgL_offsetz00_2959 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Dataflow/walk.scm 315 */

												{	/* Dataflow/walk.scm 315 */
													obj_t BgL_bucketz00_2964;

													BgL_bucketz00_2964 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2955), BgL_modz00_2960);
													BgL_res2215z00_2983 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2964), BgL_restz00_2962);
					}}}}}}}}
					BgL_method1417z00_1971 = BgL_res2215z00_2983;
				}
				return
					PROCEDURE_ENTRY(BgL_method1417z00_1971) (BgL_method1417z00_1971,
					((obj_t) BgL_nodez00_101), BEOA);
			}
		}

	}



/* &dataflow-test-env */
	obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t BgL_envz00_3944,
		obj_t BgL_nodez00_3945)
	{
		{	/* Dataflow/walk.scm 315 */
			return
				BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3945));
		}

	}



/* dataflow-test-false-env */
	obj_t BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_107)
	{
		{	/* Dataflow/walk.scm 401 */
			{	/* Dataflow/walk.scm 401 */
				obj_t BgL_method1429z00_1972;

				{	/* Dataflow/walk.scm 401 */
					obj_t BgL_res2220z00_3014;

					{	/* Dataflow/walk.scm 401 */
						long BgL_objzd2classzd2numz00_2985;

						BgL_objzd2classzd2numz00_2985 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_107));
						{	/* Dataflow/walk.scm 401 */
							obj_t BgL_arg1829z00_2986;

							BgL_arg1829z00_2986 =
								PROCEDURE_REF
								(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 401 */
								int BgL_offsetz00_2989;

								BgL_offsetz00_2989 = (int) (BgL_objzd2classzd2numz00_2985);
								{	/* Dataflow/walk.scm 401 */
									long BgL_offsetz00_2990;

									BgL_offsetz00_2990 =
										((long) (BgL_offsetz00_2989) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 401 */
										long BgL_modz00_2991;

										BgL_modz00_2991 =
											(BgL_offsetz00_2990 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Dataflow/walk.scm 401 */
											long BgL_restz00_2993;

											BgL_restz00_2993 =
												(BgL_offsetz00_2990 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Dataflow/walk.scm 401 */

												{	/* Dataflow/walk.scm 401 */
													obj_t BgL_bucketz00_2995;

													BgL_bucketz00_2995 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2986), BgL_modz00_2991);
													BgL_res2220z00_3014 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2995), BgL_restz00_2993);
					}}}}}}}}
					BgL_method1429z00_1972 = BgL_res2220z00_3014;
				}
				return
					PROCEDURE_ENTRY(BgL_method1429z00_1972) (BgL_method1429z00_1972,
					((obj_t) BgL_nodez00_107), BEOA);
			}
		}

	}



/* &dataflow-test-false-env */
	obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t
		BgL_envz00_3946, obj_t BgL_nodez00_3947)
	{
		{	/* Dataflow/walk.scm 401 */
			return
				BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3947));
		}

	}



/* abort? */
	obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt BgL_nodez00_109)
	{
		{	/* Dataflow/walk.scm 429 */
			{	/* Dataflow/walk.scm 429 */
				obj_t BgL_method1434z00_1973;

				{	/* Dataflow/walk.scm 429 */
					obj_t BgL_res2225z00_3045;

					{	/* Dataflow/walk.scm 429 */
						long BgL_objzd2classzd2numz00_3016;

						BgL_objzd2classzd2numz00_3016 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_109));
						{	/* Dataflow/walk.scm 429 */
							obj_t BgL_arg1829z00_3017;

							BgL_arg1829z00_3017 =
								PROCEDURE_REF(BGl_abortzf3zd2envz21zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 429 */
								int BgL_offsetz00_3020;

								BgL_offsetz00_3020 = (int) (BgL_objzd2classzd2numz00_3016);
								{	/* Dataflow/walk.scm 429 */
									long BgL_offsetz00_3021;

									BgL_offsetz00_3021 =
										((long) (BgL_offsetz00_3020) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 429 */
										long BgL_modz00_3022;

										BgL_modz00_3022 =
											(BgL_offsetz00_3021 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Dataflow/walk.scm 429 */
											long BgL_restz00_3024;

											BgL_restz00_3024 =
												(BgL_offsetz00_3021 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Dataflow/walk.scm 429 */

												{	/* Dataflow/walk.scm 429 */
													obj_t BgL_bucketz00_3026;

													BgL_bucketz00_3026 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3017), BgL_modz00_3022);
													BgL_res2225z00_3045 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3026), BgL_restz00_3024);
					}}}}}}}}
					BgL_method1434z00_1973 = BgL_res2225z00_3045;
				}
				return
					PROCEDURE_ENTRY(BgL_method1434z00_1973) (BgL_method1434z00_1973,
					((obj_t) BgL_nodez00_109), BEOA);
			}
		}

	}



/* &abort? */
	obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t BgL_envz00_3948,
		obj_t BgL_nodez00_3949)
	{
		{	/* Dataflow/walk.scm 429 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3949));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzdataflow_walkz00()
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2275z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc2277z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2278z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2279z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2280z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2281z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2282z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2283z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2284z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2285z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2286z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_switchz00zzast_nodez00, BGl_proc2287z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2288z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2289z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2290z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2291z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2292z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2293z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2294z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2295z00zzdataflow_walkz00,
				BGl_string2296z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2297z00zzdataflow_walkz00,
				BGl_string2296z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2298z00zzdataflow_walkz00,
				BGl_string2296z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2299z00zzdataflow_walkz00,
				BGl_string2296z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2300z00zzdataflow_walkz00,
				BGl_string2296z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2301z00zzdataflow_walkz00,
				BGl_string2302z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2303z00zzdataflow_walkz00, BGl_string2304z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2305z00zzdataflow_walkz00, BGl_string2304z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2306z00zzdataflow_walkz00, BGl_string2304z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2307z00zzdataflow_walkz00, BGl_string2304z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2308z00zzdataflow_walkz00, BGl_string2304z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2309z00zzdataflow_walkz00,
				BGl_string2304z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2310z00zzdataflow_walkz00, BGl_string2304z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2311z00zzdataflow_walkz00, BGl_string2304z00zzdataflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2312z00zzdataflow_walkz00, BGl_string2304z00zzdataflow_walkz00);
		}

	}



/* &abort?-app-ly1453 */
	obj_t BGl_z62abortzf3zd2appzd2ly1453z91zzdataflow_walkz00(obj_t
		BgL_envz00_3985, obj_t BgL_nodez00_3986)
	{
		{	/* Dataflow/walk.scm 490 */
			{	/* Dataflow/walk.scm 492 */
				obj_t BgL__ortest_1191z00_4131;

				BgL__ortest_1191z00_4131 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3986)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1191z00_4131))
					{	/* Dataflow/walk.scm 492 */
						return BgL__ortest_1191z00_4131;
					}
				else
					{	/* Dataflow/walk.scm 492 */
						return
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_3986)))->BgL_argz00));
					}
			}
		}

	}



/* &abort?-funcall1451 */
	obj_t BGl_z62abortzf3zd2funcall1451z43zzdataflow_walkz00(obj_t
		BgL_envz00_3987, obj_t BgL_nodez00_3988)
	{
		{	/* Dataflow/walk.scm 483 */
			{	/* Dataflow/walk.scm 485 */
				obj_t BgL__ortest_1189z00_4133;

				BgL__ortest_1189z00_4133 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3988)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1189z00_4133))
					{	/* Dataflow/walk.scm 485 */
						return BgL__ortest_1189z00_4133;
					}
				else
					{	/* Dataflow/walk.scm 485 */
						obj_t BgL_g1366z00_4134;

						BgL_g1366z00_4134 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_3988)))->BgL_argsz00);
						{
							obj_t BgL_l1364z00_4136;

							BgL_l1364z00_4136 = BgL_g1366z00_4134;
						BgL_zc3z04anonymousza32130ze3z87_4135:
							if (NULLP(BgL_l1364z00_4136))
								{	/* Dataflow/walk.scm 485 */
									return BFALSE;
								}
							else
								{	/* Dataflow/walk.scm 485 */
									obj_t BgL__ortest_1367z00_4137;

									{	/* Dataflow/walk.scm 485 */
										obj_t BgL_arg2133z00_4138;

										BgL_arg2133z00_4138 = CAR(((obj_t) BgL_l1364z00_4136));
										BgL__ortest_1367z00_4137 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2133z00_4138));
									}
									if (CBOOL(BgL__ortest_1367z00_4137))
										{	/* Dataflow/walk.scm 485 */
											return BgL__ortest_1367z00_4137;
										}
									else
										{	/* Dataflow/walk.scm 485 */
											obj_t BgL_arg2132z00_4139;

											BgL_arg2132z00_4139 = CDR(((obj_t) BgL_l1364z00_4136));
											{
												obj_t BgL_l1364z00_5143;

												BgL_l1364z00_5143 = BgL_arg2132z00_4139;
												BgL_l1364z00_4136 = BgL_l1364z00_5143;
												goto BgL_zc3z04anonymousza32130ze3z87_4135;
											}
										}
								}
						}
					}
			}
		}

	}



/* &abort?-app1449 */
	obj_t BGl_z62abortzf3zd2app1449z43zzdataflow_walkz00(obj_t BgL_envz00_3989,
		obj_t BgL_nodez00_3990)
	{
		{	/* Dataflow/walk.scm 476 */
			{	/* Dataflow/walk.scm 478 */
				obj_t BgL__ortest_1187z00_4141;

				{	/* Dataflow/walk.scm 478 */
					BgL_varz00_bglt BgL_arg2129z00_4142;

					BgL_arg2129z00_4142 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3990)))->BgL_funz00);
					BgL__ortest_1187z00_4141 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						((BgL_nodez00_bglt) BgL_arg2129z00_4142));
				}
				if (CBOOL(BgL__ortest_1187z00_4141))
					{	/* Dataflow/walk.scm 478 */
						return BgL__ortest_1187z00_4141;
					}
				else
					{	/* Dataflow/walk.scm 478 */
						obj_t BgL_g1362z00_4143;

						BgL_g1362z00_4143 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_3990)))->BgL_argsz00);
						{
							obj_t BgL_l1360z00_4145;

							BgL_l1360z00_4145 = BgL_g1362z00_4143;
						BgL_zc3z04anonymousza32125ze3z87_4144:
							if (NULLP(BgL_l1360z00_4145))
								{	/* Dataflow/walk.scm 478 */
									return BFALSE;
								}
							else
								{	/* Dataflow/walk.scm 478 */
									obj_t BgL__ortest_1363z00_4146;

									{	/* Dataflow/walk.scm 478 */
										obj_t BgL_arg2128z00_4147;

										BgL_arg2128z00_4147 = CAR(((obj_t) BgL_l1360z00_4145));
										BgL__ortest_1363z00_4146 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2128z00_4147));
									}
									if (CBOOL(BgL__ortest_1363z00_4146))
										{	/* Dataflow/walk.scm 478 */
											return BgL__ortest_1363z00_4146;
										}
									else
										{	/* Dataflow/walk.scm 478 */
											obj_t BgL_arg2127z00_4148;

											BgL_arg2127z00_4148 = CDR(((obj_t) BgL_l1360z00_4145));
											{
												obj_t BgL_l1360z00_5162;

												BgL_l1360z00_5162 = BgL_arg2127z00_4148;
												BgL_l1360z00_4145 = BgL_l1360z00_5162;
												goto BgL_zc3z04anonymousza32125ze3z87_4144;
											}
										}
								}
						}
					}
			}
		}

	}



/* &abort?-conditional1447 */
	obj_t BGl_z62abortzf3zd2conditional1447z43zzdataflow_walkz00(obj_t
		BgL_envz00_3991, obj_t BgL_nodez00_3992)
	{
		{	/* Dataflow/walk.scm 469 */
			{	/* Dataflow/walk.scm 471 */
				obj_t BgL__ortest_1184z00_4150;

				BgL__ortest_1184z00_4150 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3992)))->BgL_testz00));
				if (CBOOL(BgL__ortest_1184z00_4150))
					{	/* Dataflow/walk.scm 471 */
						return BgL__ortest_1184z00_4150;
					}
				else
					{	/* Dataflow/walk.scm 471 */
						obj_t BgL__andtest_1185z00_4151;

						BgL__andtest_1185z00_4151 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_3992)))->
								BgL_truez00));
						if (CBOOL(BgL__andtest_1185z00_4151))
							{	/* Dataflow/walk.scm 471 */
								return
									BGl_abortzf3zf3zzdataflow_walkz00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_3992)))->
										BgL_falsez00));
							}
						else
							{	/* Dataflow/walk.scm 471 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &abort?-let-fun1445 */
	obj_t BGl_z62abortzf3zd2letzd2fun1445z91zzdataflow_walkz00(obj_t
		BgL_envz00_3993, obj_t BgL_nodez00_3994)
	{
		{	/* Dataflow/walk.scm 462 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3994)))->BgL_bodyz00));
		}

	}



/* &abort?-let-var1442 */
	obj_t BGl_z62abortzf3zd2letzd2var1442z91zzdataflow_walkz00(obj_t
		BgL_envz00_3995, obj_t BgL_nodez00_3996)
	{
		{	/* Dataflow/walk.scm 455 */
			{	/* Dataflow/walk.scm 457 */
				obj_t BgL__ortest_1181z00_4154;

				{	/* Dataflow/walk.scm 457 */
					obj_t BgL_g1358z00_4155;

					BgL_g1358z00_4155 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3996)))->BgL_bindingsz00);
					{
						obj_t BgL_l1356z00_4157;

						BgL_l1356z00_4157 = BgL_g1358z00_4155;
					BgL_zc3z04anonymousza32117ze3z87_4156:
						if (NULLP(BgL_l1356z00_4157))
							{	/* Dataflow/walk.scm 457 */
								BgL__ortest_1181z00_4154 = BFALSE;
							}
						else
							{	/* Dataflow/walk.scm 457 */
								obj_t BgL__ortest_1359z00_4158;

								{	/* Dataflow/walk.scm 457 */
									obj_t BgL_bz00_4159;

									BgL_bz00_4159 = CAR(((obj_t) BgL_l1356z00_4157));
									{	/* Dataflow/walk.scm 457 */
										obj_t BgL_arg2120z00_4160;

										BgL_arg2120z00_4160 = CDR(((obj_t) BgL_bz00_4159));
										BgL__ortest_1359z00_4158 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2120z00_4160));
									}
								}
								if (CBOOL(BgL__ortest_1359z00_4158))
									{	/* Dataflow/walk.scm 457 */
										BgL__ortest_1181z00_4154 = BgL__ortest_1359z00_4158;
									}
								else
									{	/* Dataflow/walk.scm 457 */
										obj_t BgL_arg2119z00_4161;

										BgL_arg2119z00_4161 = CDR(((obj_t) BgL_l1356z00_4157));
										{
											obj_t BgL_l1356z00_5193;

											BgL_l1356z00_5193 = BgL_arg2119z00_4161;
											BgL_l1356z00_4157 = BgL_l1356z00_5193;
											goto BgL_zc3z04anonymousza32117ze3z87_4156;
										}
									}
							}
					}
				}
				if (CBOOL(BgL__ortest_1181z00_4154))
					{	/* Dataflow/walk.scm 457 */
						return BgL__ortest_1181z00_4154;
					}
				else
					{	/* Dataflow/walk.scm 457 */
						return
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_3996)))->BgL_bodyz00));
					}
			}
		}

	}



/* &abort?-sync1440 */
	obj_t BGl_z62abortzf3zd2sync1440z43zzdataflow_walkz00(obj_t BgL_envz00_3997,
		obj_t BgL_nodez00_3998)
	{
		{	/* Dataflow/walk.scm 447 */
			{	/* Dataflow/walk.scm 448 */
				obj_t BgL__ortest_1178z00_4163;

				BgL__ortest_1178z00_4163 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3998)))->BgL_mutexz00));
				if (CBOOL(BgL__ortest_1178z00_4163))
					{	/* Dataflow/walk.scm 448 */
						return BgL__ortest_1178z00_4163;
					}
				else
					{	/* Dataflow/walk.scm 449 */
						obj_t BgL__ortest_1179z00_4164;

						BgL__ortest_1179z00_4164 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_3998)))->BgL_prelockz00));
						if (CBOOL(BgL__ortest_1179z00_4164))
							{	/* Dataflow/walk.scm 449 */
								return BgL__ortest_1179z00_4164;
							}
						else
							{	/* Dataflow/walk.scm 449 */
								return
									BGl_abortzf3zf3zzdataflow_walkz00(
									(((BgL_syncz00_bglt) COBJECT(
												((BgL_syncz00_bglt) BgL_nodez00_3998)))->BgL_bodyz00));
							}
					}
			}
		}

	}



/* &abort?-sequence1438 */
	obj_t BGl_z62abortzf3zd2sequence1438z43zzdataflow_walkz00(obj_t
		BgL_envz00_3999, obj_t BgL_nodez00_4000)
	{
		{	/* Dataflow/walk.scm 441 */
			{	/* Dataflow/walk.scm 442 */
				obj_t BgL_g1354z00_4166;

				BgL_g1354z00_4166 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_4000)))->BgL_nodesz00);
				{
					obj_t BgL_l1352z00_4168;

					BgL_l1352z00_4168 = BgL_g1354z00_4166;
				BgL_zc3z04anonymousza32108ze3z87_4167:
					if (NULLP(BgL_l1352z00_4168))
						{	/* Dataflow/walk.scm 442 */
							return BFALSE;
						}
					else
						{	/* Dataflow/walk.scm 442 */
							obj_t BgL__ortest_1355z00_4169;

							{	/* Dataflow/walk.scm 442 */
								obj_t BgL_arg2112z00_4170;

								BgL_arg2112z00_4170 = CAR(((obj_t) BgL_l1352z00_4168));
								BgL__ortest_1355z00_4169 =
									BGl_abortzf3zf3zzdataflow_walkz00(
									((BgL_nodez00_bglt) BgL_arg2112z00_4170));
							}
							if (CBOOL(BgL__ortest_1355z00_4169))
								{	/* Dataflow/walk.scm 442 */
									return BgL__ortest_1355z00_4169;
								}
							else
								{	/* Dataflow/walk.scm 442 */
									obj_t BgL_arg2111z00_4171;

									BgL_arg2111z00_4171 = CDR(((obj_t) BgL_l1352z00_4168));
									{
										obj_t BgL_l1352z00_5224;

										BgL_l1352z00_5224 = BgL_arg2111z00_4171;
										BgL_l1352z00_4168 = BgL_l1352z00_5224;
										goto BgL_zc3z04anonymousza32108ze3z87_4167;
									}
								}
						}
				}
			}
		}

	}



/* &abort?-fail1436 */
	obj_t BGl_z62abortzf3zd2fail1436z43zzdataflow_walkz00(obj_t BgL_envz00_4001,
		obj_t BgL_nodez00_4002)
	{
		{	/* Dataflow/walk.scm 435 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &dataflow-test-false-1432 */
	obj_t BGl_z62dataflowzd2testzd2falsezd21432zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4003, obj_t BgL_nodez00_4004)
	{
		{	/* Dataflow/walk.scm 407 */
			{	/* Dataflow/walk.scm 409 */
				BgL_variablez00_bglt BgL_fz00_4174;

				BgL_fz00_4174 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_4004)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Dataflow/walk.scm 410 */

					{	/* Dataflow/walk.scm 411 */
						bool_t BgL_test2421z00_5229;

						{	/* Dataflow/walk.scm 411 */
							bool_t BgL_test2422z00_5230;

							{	/* Dataflow/walk.scm 411 */
								obj_t BgL_tmpz00_5231;

								BgL_tmpz00_5231 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_4004)))->BgL_argsz00);
								BgL_test2422z00_5230 = PAIRP(BgL_tmpz00_5231);
							}
							if (BgL_test2422z00_5230)
								{	/* Dataflow/walk.scm 411 */
									if (NULLP(CDR(
												(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_4004)))->
													BgL_argsz00))))
										{	/* Dataflow/walk.scm 412 */
											bool_t BgL_test2424z00_5240;

											{	/* Dataflow/walk.scm 412 */
												obj_t BgL_arg2102z00_4175;

												BgL_arg2102z00_4175 =
													CAR(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_4004)))->
														BgL_argsz00));
												{	/* Dataflow/walk.scm 412 */
													obj_t BgL_classz00_4176;

													BgL_classz00_4176 = BGl_varz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_arg2102z00_4175))
														{	/* Dataflow/walk.scm 412 */
															BgL_objectz00_bglt BgL_arg1825z00_4177;

															BgL_arg1825z00_4177 =
																(BgL_objectz00_bglt) (BgL_arg2102z00_4175);
															{	/* Dataflow/walk.scm 412 */
																bool_t BgL_arg1822z00_4178;
																bool_t BgL_arg1823z00_4179;

																{	/* Dataflow/walk.scm 412 */
																	long BgL_idxz00_4180;

																	BgL_idxz00_4180 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_4177);
																	BgL_arg1822z00_4178 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4180 + ((long) 2))) ==
																		BgL_classz00_4176);
																}
																{	/* Dataflow/walk.scm 412 */
																	bool_t BgL_res2243z00_4183;

																	{	/* Dataflow/walk.scm 412 */
																		obj_t BgL_oclassz00_4184;

																		{	/* Dataflow/walk.scm 412 */
																			long BgL_arg1833z00_4185;

																			{	/* Dataflow/walk.scm 412 */
																				long BgL_arg1834z00_4186;

																				BgL_arg1834z00_4186 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_4177);
																				BgL_arg1833z00_4185 =
																					(BgL_arg1834z00_4186 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4184 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_4185);
																		}
																		{	/* Dataflow/walk.scm 412 */
																			bool_t BgL__ortest_1110z00_4187;

																			BgL__ortest_1110z00_4187 =
																				(BgL_classz00_4176 ==
																				BgL_oclassz00_4184);
																			if (BgL__ortest_1110z00_4187)
																				{	/* Dataflow/walk.scm 412 */
																					BgL_res2243z00_4183 =
																						BgL__ortest_1110z00_4187;
																				}
																			else
																				{	/* Dataflow/walk.scm 412 */
																					long BgL_odepthz00_4188;

																					BgL_odepthz00_4188 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4184);
																					if ((((long) 2) < BgL_odepthz00_4188))
																						{	/* Dataflow/walk.scm 412 */
																							obj_t BgL_arg1821z00_4189;

																							BgL_arg1821z00_4189 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4184,
																								((long) 2));
																							BgL_res2243z00_4183 =
																								(BgL_arg1821z00_4189 ==
																								BgL_classz00_4176);
																						}
																					else
																						{	/* Dataflow/walk.scm 412 */
																							BgL_res2243z00_4183 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_4179 = BgL_res2243z00_4183;
																}
																BgL_test2424z00_5240 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_4178,
																	BgL_arg1823z00_4179);
															}
														}
													else
														{	/* Dataflow/walk.scm 412 */
															BgL_test2424z00_5240 = ((bool_t) 0);
														}
												}
											}
											if (BgL_test2424z00_5240)
												{	/* Dataflow/walk.scm 413 */
													BgL_typez00_bglt BgL_arg2096z00_4190;

													{
														BgL_variablez00_bglt BgL_auxz00_5262;

														{
															BgL_varz00_bglt BgL_auxz00_5263;

															{	/* Dataflow/walk.scm 413 */
																obj_t BgL_pairz00_4191;

																BgL_pairz00_4191 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_4004)))->
																	BgL_argsz00);
																BgL_auxz00_5263 =
																	((BgL_varz00_bglt) CAR(BgL_pairz00_4191));
															}
															BgL_auxz00_5262 =
																(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5263))->
																BgL_variablez00);
														}
														BgL_arg2096z00_4190 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_auxz00_5262))->BgL_typez00);
													}
													BgL_test2421z00_5229 =
														(
														((obj_t) BgL_arg2096z00_4190) ==
														BGl_za2pairzd2nilza2zd2zztype_cachez00);
												}
											else
												{	/* Dataflow/walk.scm 412 */
													BgL_test2421z00_5229 = ((bool_t) 0);
												}
										}
									else
										{	/* Dataflow/walk.scm 411 */
											BgL_test2421z00_5229 = ((bool_t) 0);
										}
								}
							else
								{	/* Dataflow/walk.scm 411 */
									BgL_test2421z00_5229 = ((bool_t) 0);
								}
						}
						if (BgL_test2421z00_5229)
							{	/* Dataflow/walk.scm 411 */
								if (
									(((obj_t) BgL_fz00_4174) ==
										BGl_za2z42nullzf3za2zb1zzdataflow_walkz00))
									{	/* Dataflow/walk.scm 416 */
										obj_t BgL_arg2084z00_4192;

										{	/* Dataflow/walk.scm 416 */
											BgL_variablez00_bglt BgL_arg2086z00_4193;

											{
												BgL_varz00_bglt BgL_auxz00_5275;

												{	/* Dataflow/walk.scm 416 */
													obj_t BgL_pairz00_4194;

													BgL_pairz00_4194 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_4004)))->
														BgL_argsz00);
													BgL_auxz00_5275 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_4194));
												}
												BgL_arg2086z00_4193 =
													(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5275))->
													BgL_variablez00);
											}
											BgL_arg2084z00_4192 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg2086z00_4193),
												BGl_za2pairza2z00zztype_cachez00);
										}
										{	/* Dataflow/walk.scm 416 */
											obj_t BgL_list2085z00_4195;

											BgL_list2085z00_4195 =
												MAKE_YOUNG_PAIR(BgL_arg2084z00_4192, BNIL);
											return BgL_list2085z00_4195;
										}
									}
								else
									{	/* Dataflow/walk.scm 417 */
										bool_t BgL_test2429z00_5284;

										if (
											(((obj_t) BgL_fz00_4174) ==
												BGl_za2z42pairzf3za2zb1zzdataflow_walkz00))
											{	/* Dataflow/walk.scm 417 */
												BgL_test2429z00_5284 = ((bool_t) 1);
											}
										else
											{	/* Dataflow/walk.scm 417 */
												BgL_test2429z00_5284 =
													(
													((obj_t) BgL_fz00_4174) ==
													BGl_za2z42epairzf3za2zb1zzdataflow_walkz00);
											}
										if (BgL_test2429z00_5284)
											{	/* Dataflow/walk.scm 418 */
												obj_t BgL_arg2091z00_4196;

												{	/* Dataflow/walk.scm 418 */
													BgL_variablez00_bglt BgL_arg2093z00_4197;

													{
														BgL_varz00_bglt BgL_auxz00_5290;

														{	/* Dataflow/walk.scm 418 */
															obj_t BgL_pairz00_4198;

															BgL_pairz00_4198 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_4004)))->
																BgL_argsz00);
															BgL_auxz00_5290 =
																((BgL_varz00_bglt) CAR(BgL_pairz00_4198));
														}
														BgL_arg2093z00_4197 =
															(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5290))->
															BgL_variablez00);
													}
													BgL_arg2091z00_4196 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg2093z00_4197),
														BGl_za2bnilza2z00zztype_cachez00);
												}
												{	/* Dataflow/walk.scm 418 */
													obj_t BgL_list2092z00_4199;

													BgL_list2092z00_4199 =
														MAKE_YOUNG_PAIR(BgL_arg2091z00_4196, BNIL);
													return BgL_list2092z00_4199;
												}
											}
										else
											{	/* Dataflow/walk.scm 417 */
												return BNIL;
											}
									}
							}
						else
							{	/* Dataflow/walk.scm 411 */
								return BNIL;
							}
					}
				}
			}
		}

	}



/* &dataflow-test-env-le1427 */
	obj_t BGl_z62dataflowzd2testzd2envzd2le1427zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4005, obj_t BgL_nodez00_4006)
	{
		{	/* Dataflow/walk.scm 379 */
			{	/* Dataflow/walk.scm 381 */
				bool_t BgL_test2431z00_5299;

				{	/* Dataflow/walk.scm 381 */
					bool_t BgL_test2432z00_5300;

					{	/* Dataflow/walk.scm 381 */
						obj_t BgL_tmpz00_5301;

						BgL_tmpz00_5301 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_4006)))->
							BgL_bindingsz00);
						BgL_test2432z00_5300 = PAIRP(BgL_tmpz00_5301);
					}
					if (BgL_test2432z00_5300)
						{	/* Dataflow/walk.scm 381 */
							BgL_test2431z00_5299 =
								NULLP(CDR(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_4006)))->
										BgL_bindingsz00)));
						}
					else
						{	/* Dataflow/walk.scm 381 */
							BgL_test2431z00_5299 = ((bool_t) 0);
						}
				}
				if (BgL_test2431z00_5299)
					{	/* Dataflow/walk.scm 383 */
						bool_t BgL_test2433z00_5309;

						{	/* Dataflow/walk.scm 383 */
							obj_t BgL_arg2055z00_4201;

							{	/* Dataflow/walk.scm 383 */
								obj_t BgL_pairz00_4202;

								BgL_pairz00_4202 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_4006)))->
									BgL_bindingsz00);
								BgL_arg2055z00_4201 = CDR(CAR(BgL_pairz00_4202));
							}
							{	/* Dataflow/walk.scm 383 */
								obj_t BgL_classz00_4203;

								BgL_classz00_4203 = BGl_varz00zzast_nodez00;
								if (BGL_OBJECTP(BgL_arg2055z00_4201))
									{	/* Dataflow/walk.scm 383 */
										BgL_objectz00_bglt BgL_arg1825z00_4204;

										BgL_arg1825z00_4204 =
											(BgL_objectz00_bglt) (BgL_arg2055z00_4201);
										{	/* Dataflow/walk.scm 383 */
											bool_t BgL_arg1822z00_4205;
											bool_t BgL_arg1823z00_4206;

											{	/* Dataflow/walk.scm 383 */
												long BgL_idxz00_4207;

												BgL_idxz00_4207 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4204);
												BgL_arg1822z00_4205 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4207 + ((long) 2))) ==
													BgL_classz00_4203);
											}
											{	/* Dataflow/walk.scm 383 */
												bool_t BgL_res2240z00_4210;

												{	/* Dataflow/walk.scm 383 */
													obj_t BgL_oclassz00_4211;

													{	/* Dataflow/walk.scm 383 */
														long BgL_arg1833z00_4212;

														{	/* Dataflow/walk.scm 383 */
															long BgL_arg1834z00_4213;

															BgL_arg1834z00_4213 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4204);
															BgL_arg1833z00_4212 =
																(BgL_arg1834z00_4213 - OBJECT_TYPE);
														}
														BgL_oclassz00_4211 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_4212);
													}
													{	/* Dataflow/walk.scm 383 */
														bool_t BgL__ortest_1110z00_4214;

														BgL__ortest_1110z00_4214 =
															(BgL_classz00_4203 == BgL_oclassz00_4211);
														if (BgL__ortest_1110z00_4214)
															{	/* Dataflow/walk.scm 383 */
																BgL_res2240z00_4210 = BgL__ortest_1110z00_4214;
															}
														else
															{	/* Dataflow/walk.scm 383 */
																long BgL_odepthz00_4215;

																BgL_odepthz00_4215 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4211);
																if ((((long) 2) < BgL_odepthz00_4215))
																	{	/* Dataflow/walk.scm 383 */
																		obj_t BgL_arg1821z00_4216;

																		BgL_arg1821z00_4216 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4211, ((long) 2));
																		BgL_res2240z00_4210 =
																			(BgL_arg1821z00_4216 ==
																			BgL_classz00_4203);
																	}
																else
																	{	/* Dataflow/walk.scm 383 */
																		BgL_res2240z00_4210 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_4206 = BgL_res2240z00_4210;
											}
											BgL_test2433z00_5309 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_4205,
												BgL_arg1823z00_4206);
										}
									}
								else
									{	/* Dataflow/walk.scm 383 */
										BgL_test2433z00_5309 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test2433z00_5309)
							{	/* Dataflow/walk.scm 384 */
								obj_t BgL_envz00_4217;

								BgL_envz00_4217 =
									BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_4006)))->
										BgL_bodyz00));
								{	/* Dataflow/walk.scm 385 */
									bool_t BgL_test2437z00_5335;

									if (NULLP(BgL_envz00_4217))
										{	/* Dataflow/walk.scm 385 */
											BgL_test2437z00_5335 = ((bool_t) 0);
										}
									else
										{	/* Dataflow/walk.scm 385 */
											if (NULLP(CDR(BgL_envz00_4217)))
												{	/* Dataflow/walk.scm 387 */
													obj_t BgL_tmpz00_5341;

													{	/* Dataflow/walk.scm 387 */
														obj_t BgL_pairz00_4218;

														BgL_pairz00_4218 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_4006)))->
															BgL_bindingsz00);
														BgL_tmpz00_5341 = CAR(CAR(BgL_pairz00_4218));
													}
													BgL_test2437z00_5335 =
														(CAR(CAR(BgL_envz00_4217)) == BgL_tmpz00_5341);
												}
											else
												{	/* Dataflow/walk.scm 386 */
													BgL_test2437z00_5335 = ((bool_t) 0);
												}
										}
									if (BgL_test2437z00_5335)
										{	/* Dataflow/walk.scm 388 */
											obj_t BgL_arg2013z00_4219;

											{	/* Dataflow/walk.scm 388 */
												BgL_variablez00_bglt BgL_arg2015z00_4220;
												obj_t BgL_arg2016z00_4221;

												{
													BgL_varz00_bglt BgL_auxz00_5349;

													{
														obj_t BgL_auxz00_5350;

														{	/* Dataflow/walk.scm 388 */
															obj_t BgL_pairz00_4222;

															BgL_pairz00_4222 =
																(((BgL_letzd2varzd2_bglt) COBJECT(
																		((BgL_letzd2varzd2_bglt)
																			BgL_nodez00_4006)))->BgL_bindingsz00);
															{	/* Dataflow/walk.scm 388 */
																obj_t BgL_pairz00_4223;

																BgL_pairz00_4223 = CAR(BgL_pairz00_4222);
																BgL_auxz00_5350 = CDR(BgL_pairz00_4223);
															}
														}
														BgL_auxz00_5349 =
															((BgL_varz00_bglt) BgL_auxz00_5350);
													}
													BgL_arg2015z00_4220 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5349))->
														BgL_variablez00);
												}
												BgL_arg2016z00_4221 = CDR(CAR(BgL_envz00_4217));
												BgL_arg2013z00_4219 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg2015z00_4220), BgL_arg2016z00_4221);
											}
											{	/* Dataflow/walk.scm 388 */
												obj_t BgL_list2014z00_4224;

												BgL_list2014z00_4224 =
													MAKE_YOUNG_PAIR(BgL_arg2013z00_4219, BNIL);
												return BgL_list2014z00_4224;
											}
										}
									else
										{	/* Dataflow/walk.scm 385 */
											return BNIL;
										}
								}
							}
						else
							{	/* Dataflow/walk.scm 390 */
								bool_t BgL_test2440z00_5362;

								{	/* Dataflow/walk.scm 390 */
									bool_t BgL_test2441z00_5363;

									{	/* Dataflow/walk.scm 390 */
										BgL_nodez00_bglt BgL_arg2054z00_4225;

										BgL_arg2054z00_4225 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_4006)))->
											BgL_bodyz00);
										{	/* Dataflow/walk.scm 390 */
											obj_t BgL_classz00_4226;

											BgL_classz00_4226 = BGl_varz00zzast_nodez00;
											{	/* Dataflow/walk.scm 390 */
												BgL_objectz00_bglt BgL_arg1825z00_4227;

												{	/* Dataflow/walk.scm 390 */
													obj_t BgL_tmpz00_5366;

													BgL_tmpz00_5366 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg2054z00_4225));
													BgL_arg1825z00_4227 =
														(BgL_objectz00_bglt) (BgL_tmpz00_5366);
												}
												{	/* Dataflow/walk.scm 390 */
													bool_t BgL_arg1822z00_4228;
													bool_t BgL_arg1823z00_4229;

													{	/* Dataflow/walk.scm 390 */
														long BgL_idxz00_4230;

														BgL_idxz00_4230 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4227);
														BgL_arg1822z00_4228 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4230 + ((long) 2))) ==
															BgL_classz00_4226);
													}
													{	/* Dataflow/walk.scm 390 */
														bool_t BgL_res2242z00_4233;

														{	/* Dataflow/walk.scm 390 */
															obj_t BgL_oclassz00_4234;

															{	/* Dataflow/walk.scm 390 */
																long BgL_arg1833z00_4235;

																{	/* Dataflow/walk.scm 390 */
																	long BgL_arg1834z00_4236;

																	BgL_arg1834z00_4236 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4227);
																	BgL_arg1833z00_4235 =
																		(BgL_arg1834z00_4236 - OBJECT_TYPE);
																}
																BgL_oclassz00_4234 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_4235);
															}
															{	/* Dataflow/walk.scm 390 */
																bool_t BgL__ortest_1110z00_4237;

																BgL__ortest_1110z00_4237 =
																	(BgL_classz00_4226 == BgL_oclassz00_4234);
																if (BgL__ortest_1110z00_4237)
																	{	/* Dataflow/walk.scm 390 */
																		BgL_res2242z00_4233 =
																			BgL__ortest_1110z00_4237;
																	}
																else
																	{	/* Dataflow/walk.scm 390 */
																		long BgL_odepthz00_4238;

																		BgL_odepthz00_4238 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_4234);
																		if ((((long) 2) < BgL_odepthz00_4238))
																			{	/* Dataflow/walk.scm 390 */
																				obj_t BgL_arg1821z00_4239;

																				BgL_arg1821z00_4239 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_4234, ((long) 2));
																				BgL_res2242z00_4233 =
																					(BgL_arg1821z00_4239 ==
																					BgL_classz00_4226);
																			}
																		else
																			{	/* Dataflow/walk.scm 390 */
																				BgL_res2242z00_4233 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_4229 = BgL_res2242z00_4233;
													}
													BgL_test2441z00_5363 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_4228,
														BgL_arg1823z00_4229);
												}
											}
										}
									}
									if (BgL_test2441z00_5363)
										{	/* Dataflow/walk.scm 391 */
											bool_t BgL_test2444z00_5385;

											{	/* Dataflow/walk.scm 391 */
												obj_t BgL_tmpz00_5386;

												{	/* Dataflow/walk.scm 391 */
													obj_t BgL_pairz00_4240;

													BgL_pairz00_4240 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_nodez00_4006)))->
														BgL_bindingsz00);
													BgL_tmpz00_5386 = CAR(CAR(BgL_pairz00_4240));
												}
												BgL_test2444z00_5385 =
													(
													((obj_t)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt)
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_4006)))->
																			BgL_bodyz00))))->BgL_variablez00)) ==
													BgL_tmpz00_5386);
											}
											if (BgL_test2444z00_5385)
												{	/* Dataflow/walk.scm 392 */
													BgL_typez00_bglt BgL_arg2046z00_4241;

													{
														BgL_variablez00_bglt BgL_auxz00_5397;

														{
															obj_t BgL_auxz00_5398;

															{	/* Dataflow/walk.scm 392 */
																obj_t BgL_pairz00_4242;

																BgL_pairz00_4242 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_4006)))->BgL_bindingsz00);
																{	/* Dataflow/walk.scm 392 */
																	obj_t BgL_pairz00_4243;

																	BgL_pairz00_4243 = CAR(BgL_pairz00_4242);
																	BgL_auxz00_5398 = CAR(BgL_pairz00_4243);
																}
															}
															BgL_auxz00_5397 =
																((BgL_variablez00_bglt) BgL_auxz00_5398);
														}
														BgL_arg2046z00_4241 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_auxz00_5397))->BgL_typez00);
													}
													BgL_test2440z00_5362 =
														(
														((obj_t) BgL_arg2046z00_4241) ==
														BGl_za2boolza2z00zztype_cachez00);
												}
											else
												{	/* Dataflow/walk.scm 391 */
													BgL_test2440z00_5362 = ((bool_t) 0);
												}
										}
									else
										{	/* Dataflow/walk.scm 390 */
											BgL_test2440z00_5362 = ((bool_t) 0);
										}
								}
								if (BgL_test2440z00_5362)
									{	/* Dataflow/walk.scm 393 */
										obj_t BgL_arg2044z00_4244;

										{	/* Dataflow/walk.scm 393 */
											obj_t BgL_pairz00_4245;

											BgL_pairz00_4245 =
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_4006)))->
												BgL_bindingsz00);
											BgL_arg2044z00_4244 = CDR(CAR(BgL_pairz00_4245));
										}
										return
											BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2044z00_4244));
									}
								else
									{	/* Dataflow/walk.scm 390 */
										return BNIL;
									}
							}
					}
				else
					{	/* Dataflow/walk.scm 381 */
						return BNIL;
					}
			}
		}

	}



/* &dataflow-test-env-va1425 */
	obj_t BGl_z62dataflowzd2testzd2envzd2va1425zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4007, obj_t BgL_nodez00_4008)
	{
		{	/* Dataflow/walk.scm 362 */
			{	/* Dataflow/walk.scm 364 */
				bool_t BgL_test2445z00_5413;

				{	/* Dataflow/walk.scm 364 */
					BgL_variablez00_bglt BgL_arg1994z00_4247;

					BgL_arg1994z00_4247 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_4008)))->BgL_variablez00);
					{	/* Dataflow/walk.scm 364 */
						obj_t BgL_classz00_4248;

						BgL_classz00_4248 = BGl_localzf2valuezf2zzdataflow_walkz00;
						{	/* Dataflow/walk.scm 364 */
							obj_t BgL_oclassz00_4249;

							{	/* Dataflow/walk.scm 364 */
								long BgL_arg1833z00_4250;

								{	/* Dataflow/walk.scm 364 */
									long BgL_arg1834z00_4251;

									BgL_arg1834z00_4251 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt) BgL_arg1994z00_4247));
									BgL_arg1833z00_4250 = (BgL_arg1834z00_4251 - OBJECT_TYPE);
								}
								BgL_oclassz00_4249 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1833z00_4250);
							}
							BgL_test2445z00_5413 = (BgL_oclassz00_4249 == BgL_classz00_4248);
				}}}
				if (BgL_test2445z00_5413)
					{	/* Dataflow/walk.scm 365 */
						BgL_nodez00_bglt BgL_arg1991z00_4252;

						{	/* Dataflow/walk.scm 365 */
							BgL_localz00_bglt BgL_oz00_4253;

							BgL_oz00_4253 =
								((BgL_localz00_bglt)
								(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_4008)))->BgL_variablez00));
							{
								BgL_localzf2valuezf2_bglt BgL_auxz00_5424;

								{
									obj_t BgL_auxz00_5425;

									{	/* Dataflow/walk.scm 365 */
										BgL_objectz00_bglt BgL_tmpz00_5426;

										BgL_tmpz00_5426 = ((BgL_objectz00_bglt) BgL_oz00_4253);
										BgL_auxz00_5425 = BGL_OBJECT_WIDENING(BgL_tmpz00_5426);
									}
									BgL_auxz00_5424 =
										((BgL_localzf2valuezf2_bglt) BgL_auxz00_5425);
								}
								BgL_arg1991z00_4252 =
									(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_5424))->
									BgL_nodez00);
							}
						}
						return
							BGl_dataflowzd2testzd2envz00zzdataflow_walkz00
							(BgL_arg1991z00_4252);
					}
				else
					{	/* Dataflow/walk.scm 364 */
						return BNIL;
					}
			}
		}

	}



/* &dataflow-test-env-co1423 */
	obj_t BGl_z62dataflowzd2testzd2envzd2co1423zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4009, obj_t BgL_nodez00_4010)
	{
		{	/* Dataflow/walk.scm 353 */
			{	/* Dataflow/walk.scm 355 */
				bool_t BgL_test2446z00_5432;

				{	/* Dataflow/walk.scm 355 */
					bool_t BgL_test2447z00_5433;

					{	/* Dataflow/walk.scm 355 */
						BgL_nodez00_bglt BgL_arg1988z00_4255;

						BgL_arg1988z00_4255 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_4010)))->BgL_falsez00);
						{	/* Dataflow/walk.scm 355 */
							obj_t BgL_classz00_4256;

							BgL_classz00_4256 = BGl_atomz00zzast_nodez00;
							{	/* Dataflow/walk.scm 355 */
								BgL_objectz00_bglt BgL_arg1825z00_4257;

								{	/* Dataflow/walk.scm 355 */
									obj_t BgL_tmpz00_5436;

									BgL_tmpz00_5436 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1988z00_4255));
									BgL_arg1825z00_4257 = (BgL_objectz00_bglt) (BgL_tmpz00_5436);
								}
								{	/* Dataflow/walk.scm 355 */
									bool_t BgL_arg1822z00_4258;
									bool_t BgL_arg1823z00_4259;

									{	/* Dataflow/walk.scm 355 */
										long BgL_idxz00_4260;

										BgL_idxz00_4260 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4257);
										BgL_arg1822z00_4258 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4260 + ((long) 2))) == BgL_classz00_4256);
									}
									{	/* Dataflow/walk.scm 355 */
										bool_t BgL_res2239z00_4263;

										{	/* Dataflow/walk.scm 355 */
											obj_t BgL_oclassz00_4264;

											{	/* Dataflow/walk.scm 355 */
												long BgL_arg1833z00_4265;

												{	/* Dataflow/walk.scm 355 */
													long BgL_arg1834z00_4266;

													BgL_arg1834z00_4266 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4257);
													BgL_arg1833z00_4265 =
														(BgL_arg1834z00_4266 - OBJECT_TYPE);
												}
												BgL_oclassz00_4264 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_4265);
											}
											{	/* Dataflow/walk.scm 355 */
												bool_t BgL__ortest_1110z00_4267;

												BgL__ortest_1110z00_4267 =
													(BgL_classz00_4256 == BgL_oclassz00_4264);
												if (BgL__ortest_1110z00_4267)
													{	/* Dataflow/walk.scm 355 */
														BgL_res2239z00_4263 = BgL__ortest_1110z00_4267;
													}
												else
													{	/* Dataflow/walk.scm 355 */
														long BgL_odepthz00_4268;

														BgL_odepthz00_4268 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4264);
														if ((((long) 2) < BgL_odepthz00_4268))
															{	/* Dataflow/walk.scm 355 */
																obj_t BgL_arg1821z00_4269;

																BgL_arg1821z00_4269 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4264,
																	((long) 2));
																BgL_res2239z00_4263 =
																	(BgL_arg1821z00_4269 == BgL_classz00_4256);
															}
														else
															{	/* Dataflow/walk.scm 355 */
																BgL_res2239z00_4263 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_4259 = BgL_res2239z00_4263;
									}
									BgL_test2447z00_5433 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_4258, BgL_arg1823z00_4259);
								}
							}
						}
					}
					if (BgL_test2447z00_5433)
						{	/* Dataflow/walk.scm 355 */
							BgL_test2446z00_5432 =
								(
								(((BgL_atomz00_bglt) COBJECT(
											((BgL_atomz00_bglt)
												(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt) BgL_nodez00_4010)))->
													BgL_falsez00))))->BgL_valuez00) == BFALSE);
						}
					else
						{	/* Dataflow/walk.scm 355 */
							BgL_test2446z00_5432 = ((bool_t) 0);
						}
				}
				if (BgL_test2446z00_5432)
					{	/* Dataflow/walk.scm 355 */
						return
							BGl_appendzd221011zd2zzdataflow_walkz00
							(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
												BgL_nodez00_4010)))->BgL_testz00)),
							BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
												BgL_nodez00_4010)))->BgL_truez00)));
					}
				else
					{	/* Dataflow/walk.scm 355 */
						return BNIL;
					}
			}
		}

	}



/* &dataflow-test-env-in1421 */
	obj_t BGl_z62dataflowzd2testzd2envzd2in1421zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4011, obj_t BgL_nodez00_4012)
	{
		{	/* Dataflow/walk.scm 344 */
			{	/* Dataflow/walk.scm 346 */
				bool_t BgL_test2450z00_5467;

				{	/* Dataflow/walk.scm 346 */
					obj_t BgL_arg1974z00_4271;

					{	/* Dataflow/walk.scm 346 */
						obj_t BgL_pairz00_4272;

						BgL_pairz00_4272 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_instanceofz00_bglt) BgL_nodez00_4012))))->
							BgL_exprza2za2);
						BgL_arg1974z00_4271 = CAR(BgL_pairz00_4272);
					}
					{	/* Dataflow/walk.scm 346 */
						obj_t BgL_classz00_4273;

						BgL_classz00_4273 = BGl_varz00zzast_nodez00;
						if (BGL_OBJECTP(BgL_arg1974z00_4271))
							{	/* Dataflow/walk.scm 346 */
								BgL_objectz00_bglt BgL_arg1825z00_4274;

								BgL_arg1825z00_4274 =
									(BgL_objectz00_bglt) (BgL_arg1974z00_4271);
								{	/* Dataflow/walk.scm 346 */
									bool_t BgL_arg1822z00_4275;
									bool_t BgL_arg1823z00_4276;

									{	/* Dataflow/walk.scm 346 */
										long BgL_idxz00_4277;

										BgL_idxz00_4277 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4274);
										BgL_arg1822z00_4275 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4277 + ((long) 2))) == BgL_classz00_4273);
									}
									{	/* Dataflow/walk.scm 346 */
										bool_t BgL_res2237z00_4280;

										{	/* Dataflow/walk.scm 346 */
											obj_t BgL_oclassz00_4281;

											{	/* Dataflow/walk.scm 346 */
												long BgL_arg1833z00_4282;

												{	/* Dataflow/walk.scm 346 */
													long BgL_arg1834z00_4283;

													BgL_arg1834z00_4283 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4274);
													BgL_arg1833z00_4282 =
														(BgL_arg1834z00_4283 - OBJECT_TYPE);
												}
												BgL_oclassz00_4281 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_4282);
											}
											{	/* Dataflow/walk.scm 346 */
												bool_t BgL__ortest_1110z00_4284;

												BgL__ortest_1110z00_4284 =
													(BgL_classz00_4273 == BgL_oclassz00_4281);
												if (BgL__ortest_1110z00_4284)
													{	/* Dataflow/walk.scm 346 */
														BgL_res2237z00_4280 = BgL__ortest_1110z00_4284;
													}
												else
													{	/* Dataflow/walk.scm 346 */
														long BgL_odepthz00_4285;

														BgL_odepthz00_4285 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4281);
														if ((((long) 2) < BgL_odepthz00_4285))
															{	/* Dataflow/walk.scm 346 */
																obj_t BgL_arg1821z00_4286;

																BgL_arg1821z00_4286 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4281,
																	((long) 2));
																BgL_res2237z00_4280 =
																	(BgL_arg1821z00_4286 == BgL_classz00_4273);
															}
														else
															{	/* Dataflow/walk.scm 346 */
																BgL_res2237z00_4280 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_4276 = BgL_res2237z00_4280;
									}
									BgL_test2450z00_5467 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_4275, BgL_arg1823z00_4276);
								}
							}
						else
							{	/* Dataflow/walk.scm 346 */
								BgL_test2450z00_5467 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test2450z00_5467)
					{	/* Dataflow/walk.scm 347 */
						obj_t BgL_arg1968z00_4287;

						{	/* Dataflow/walk.scm 347 */
							BgL_variablez00_bglt BgL_arg1970z00_4288;
							BgL_typez00_bglt BgL_arg1971z00_4289;

							{
								BgL_varz00_bglt BgL_auxz00_5490;

								{	/* Dataflow/walk.scm 347 */
									obj_t BgL_pairz00_4290;

									BgL_pairz00_4290 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_instanceofz00_bglt) BgL_nodez00_4012))))->
										BgL_exprza2za2);
									BgL_auxz00_5490 = ((BgL_varz00_bglt) CAR(BgL_pairz00_4290));
								}
								BgL_arg1970z00_4288 =
									(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5490))->
									BgL_variablez00);
							}
							BgL_arg1971z00_4289 =
								(((BgL_instanceofz00_bglt) COBJECT(
										((BgL_instanceofz00_bglt) BgL_nodez00_4012)))->
								BgL_classz00);
							BgL_arg1968z00_4287 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1970z00_4288),
								((obj_t) BgL_arg1971z00_4289));
						}
						{	/* Dataflow/walk.scm 347 */
							obj_t BgL_list1969z00_4291;

							BgL_list1969z00_4291 = MAKE_YOUNG_PAIR(BgL_arg1968z00_4287, BNIL);
							return BgL_list1969z00_4291;
						}
					}
				else
					{	/* Dataflow/walk.scm 346 */
						return BNIL;
					}
			}
		}

	}



/* &dataflow-test-env-ap1419 */
	obj_t BGl_z62dataflowzd2testzd2envzd2ap1419zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4013, obj_t BgL_nodez00_4014)
	{
		{	/* Dataflow/walk.scm 321 */
			{	/* Dataflow/walk.scm 323 */
				BgL_variablez00_bglt BgL_fz00_4293;

				BgL_fz00_4293 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_4014)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Dataflow/walk.scm 323 */
					BgL_valuez00_bglt BgL_funvz00_4294;

					BgL_funvz00_4294 =
						(((BgL_variablez00_bglt) COBJECT(BgL_fz00_4293))->BgL_valuez00);
					{	/* Dataflow/walk.scm 324 */

						{	/* Dataflow/walk.scm 326 */
							obj_t BgL_g1169z00_4295;

							BgL_g1169z00_4295 =
								BGl_isazd2ofzd2zztype_miscz00(
								((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4014)));
							if (CBOOL(BgL_g1169z00_4295))
								{	/* Dataflow/walk.scm 329 */
									bool_t BgL_test2455z00_5512;

									{	/* Dataflow/walk.scm 329 */
										obj_t BgL_arg1925z00_4296;

										BgL_arg1925z00_4296 =
											CAR(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_4014)))->
												BgL_argsz00));
										{	/* Dataflow/walk.scm 329 */
											obj_t BgL_classz00_4297;

											BgL_classz00_4297 = BGl_varz00zzast_nodez00;
											if (BGL_OBJECTP(BgL_arg1925z00_4296))
												{	/* Dataflow/walk.scm 329 */
													BgL_objectz00_bglt BgL_arg1825z00_4298;

													BgL_arg1825z00_4298 =
														(BgL_objectz00_bglt) (BgL_arg1925z00_4296);
													{	/* Dataflow/walk.scm 329 */
														bool_t BgL_arg1822z00_4299;
														bool_t BgL_arg1823z00_4300;

														{	/* Dataflow/walk.scm 329 */
															long BgL_idxz00_4301;

															BgL_idxz00_4301 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4298);
															BgL_arg1822z00_4299 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4301 + ((long) 2))) ==
																BgL_classz00_4297);
														}
														{	/* Dataflow/walk.scm 329 */
															bool_t BgL_res2232z00_4304;

															{	/* Dataflow/walk.scm 329 */
																obj_t BgL_oclassz00_4305;

																{	/* Dataflow/walk.scm 329 */
																	long BgL_arg1833z00_4306;

																	{	/* Dataflow/walk.scm 329 */
																		long BgL_arg1834z00_4307;

																		BgL_arg1834z00_4307 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4298);
																		BgL_arg1833z00_4306 =
																			(BgL_arg1834z00_4307 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4305 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_4306);
																}
																{	/* Dataflow/walk.scm 329 */
																	bool_t BgL__ortest_1110z00_4308;

																	BgL__ortest_1110z00_4308 =
																		(BgL_classz00_4297 == BgL_oclassz00_4305);
																	if (BgL__ortest_1110z00_4308)
																		{	/* Dataflow/walk.scm 329 */
																			BgL_res2232z00_4304 =
																				BgL__ortest_1110z00_4308;
																		}
																	else
																		{	/* Dataflow/walk.scm 329 */
																			long BgL_odepthz00_4309;

																			BgL_odepthz00_4309 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_4305);
																			if ((((long) 2) < BgL_odepthz00_4309))
																				{	/* Dataflow/walk.scm 329 */
																					obj_t BgL_arg1821z00_4310;

																					BgL_arg1821z00_4310 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_4305, ((long) 2));
																					BgL_res2232z00_4304 =
																						(BgL_arg1821z00_4310 ==
																						BgL_classz00_4297);
																				}
																			else
																				{	/* Dataflow/walk.scm 329 */
																					BgL_res2232z00_4304 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_4300 = BgL_res2232z00_4304;
														}
														BgL_test2455z00_5512 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_4299,
															BgL_arg1823z00_4300);
													}
												}
											else
												{	/* Dataflow/walk.scm 329 */
													BgL_test2455z00_5512 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test2455z00_5512)
										{	/* Dataflow/walk.scm 330 */
											obj_t BgL_arg1919z00_4311;

											{	/* Dataflow/walk.scm 330 */
												BgL_variablez00_bglt BgL_arg1922z00_4312;

												{
													BgL_varz00_bglt BgL_auxz00_5534;

													{	/* Dataflow/walk.scm 330 */
														obj_t BgL_pairz00_4313;

														BgL_pairz00_4313 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_4014)))->
															BgL_argsz00);
														BgL_auxz00_5534 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_4313));
													}
													BgL_arg1922z00_4312 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5534))->
														BgL_variablez00);
												}
												BgL_arg1919z00_4311 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1922z00_4312), BgL_g1169z00_4295);
											}
											{	/* Dataflow/walk.scm 330 */
												obj_t BgL_list1920z00_4314;

												BgL_list1920z00_4314 =
													MAKE_YOUNG_PAIR(BgL_arg1919z00_4311, BNIL);
												return BgL_list1920z00_4314;
											}
										}
									else
										{	/* Dataflow/walk.scm 329 */
											return BNIL;
										}
								}
							else
								{	/* Dataflow/walk.scm 332 */
									bool_t BgL_test2459z00_5543;

									{	/* Dataflow/walk.scm 332 */
										bool_t BgL_test2460z00_5544;

										{	/* Dataflow/walk.scm 332 */
											obj_t BgL_classz00_4315;

											BgL_classz00_4315 = BGl_funz00zzast_varz00;
											{	/* Dataflow/walk.scm 332 */
												BgL_objectz00_bglt BgL_arg1825z00_4316;

												{	/* Dataflow/walk.scm 332 */
													obj_t BgL_tmpz00_5545;

													BgL_tmpz00_5545 =
														((obj_t) ((BgL_objectz00_bglt) BgL_funvz00_4294));
													BgL_arg1825z00_4316 =
														(BgL_objectz00_bglt) (BgL_tmpz00_5545);
												}
												{	/* Dataflow/walk.scm 332 */
													bool_t BgL_arg1822z00_4317;
													bool_t BgL_arg1823z00_4318;

													{	/* Dataflow/walk.scm 332 */
														long BgL_idxz00_4319;

														BgL_idxz00_4319 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4316);
														BgL_arg1822z00_4317 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4319 + ((long) 2))) ==
															BgL_classz00_4315);
													}
													{	/* Dataflow/walk.scm 332 */
														bool_t BgL_res2234z00_4322;

														{	/* Dataflow/walk.scm 332 */
															obj_t BgL_oclassz00_4323;

															{	/* Dataflow/walk.scm 332 */
																long BgL_arg1833z00_4324;

																{	/* Dataflow/walk.scm 332 */
																	long BgL_arg1834z00_4325;

																	BgL_arg1834z00_4325 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4316);
																	BgL_arg1833z00_4324 =
																		(BgL_arg1834z00_4325 - OBJECT_TYPE);
																}
																BgL_oclassz00_4323 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_4324);
															}
															{	/* Dataflow/walk.scm 332 */
																bool_t BgL__ortest_1110z00_4326;

																BgL__ortest_1110z00_4326 =
																	(BgL_classz00_4315 == BgL_oclassz00_4323);
																if (BgL__ortest_1110z00_4326)
																	{	/* Dataflow/walk.scm 332 */
																		BgL_res2234z00_4322 =
																			BgL__ortest_1110z00_4326;
																	}
																else
																	{	/* Dataflow/walk.scm 332 */
																		long BgL_odepthz00_4327;

																		BgL_odepthz00_4327 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_4323);
																		if ((((long) 2) < BgL_odepthz00_4327))
																			{	/* Dataflow/walk.scm 332 */
																				obj_t BgL_arg1821z00_4328;

																				BgL_arg1821z00_4328 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_4323, ((long) 2));
																				BgL_res2234z00_4322 =
																					(BgL_arg1821z00_4328 ==
																					BgL_classz00_4315);
																			}
																		else
																			{	/* Dataflow/walk.scm 332 */
																				BgL_res2234z00_4322 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_4318 = BgL_res2234z00_4322;
													}
													BgL_test2460z00_5544 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_4317,
														BgL_arg1823z00_4318);
												}
											}
										}
										if (BgL_test2460z00_5544)
											{	/* Dataflow/walk.scm 332 */
												if (CBOOL(
														(((BgL_funz00_bglt) COBJECT(
																	((BgL_funz00_bglt) BgL_funvz00_4294)))->
															BgL_predicatezd2ofzd2)))
													{	/* Dataflow/walk.scm 334 */
														bool_t BgL_test2464z00_5568;

														{	/* Dataflow/walk.scm 334 */
															obj_t BgL_tmpz00_5569;

															BgL_tmpz00_5569 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_4014)))->
																BgL_argsz00);
															BgL_test2464z00_5568 = PAIRP(BgL_tmpz00_5569);
														}
														if (BgL_test2464z00_5568)
															{	/* Dataflow/walk.scm 334 */
																if (NULLP(CDR(
																			(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							BgL_nodez00_4014)))->
																				BgL_argsz00))))
																	{	/* Dataflow/walk.scm 335 */
																		bool_t BgL_test2466z00_5578;

																		{	/* Dataflow/walk.scm 335 */
																			obj_t BgL_arg1958z00_4329;

																			BgL_arg1958z00_4329 =
																				CAR(
																				(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_nodez00_4014)))->
																					BgL_argsz00));
																			{	/* Dataflow/walk.scm 335 */
																				obj_t BgL_classz00_4330;

																				BgL_classz00_4330 =
																					BGl_varz00zzast_nodez00;
																				if (BGL_OBJECTP(BgL_arg1958z00_4329))
																					{	/* Dataflow/walk.scm 335 */
																						BgL_objectz00_bglt
																							BgL_arg1825z00_4331;
																						BgL_arg1825z00_4331 =
																							(BgL_objectz00_bglt)
																							(BgL_arg1958z00_4329);
																						{	/* Dataflow/walk.scm 335 */
																							bool_t BgL_arg1822z00_4332;
																							bool_t BgL_arg1823z00_4333;

																							{	/* Dataflow/walk.scm 335 */
																								long BgL_idxz00_4334;

																								BgL_idxz00_4334 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1825z00_4331);
																								BgL_arg1822z00_4332 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_4334 +
																											((long) 2))) ==
																									BgL_classz00_4330);
																							}
																							{	/* Dataflow/walk.scm 335 */
																								bool_t BgL_res2235z00_4337;

																								{	/* Dataflow/walk.scm 335 */
																									obj_t BgL_oclassz00_4338;

																									{	/* Dataflow/walk.scm 335 */
																										long BgL_arg1833z00_4339;

																										{	/* Dataflow/walk.scm 335 */
																											long BgL_arg1834z00_4340;

																											BgL_arg1834z00_4340 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1825z00_4331);
																											BgL_arg1833z00_4339 =
																												(BgL_arg1834z00_4340 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_4338 =
																											VECTOR_REF
																											(BGl_za2classesza2z00zz__objectz00,
																											BgL_arg1833z00_4339);
																									}
																									{	/* Dataflow/walk.scm 335 */
																										bool_t
																											BgL__ortest_1110z00_4341;
																										BgL__ortest_1110z00_4341 =
																											(BgL_classz00_4330 ==
																											BgL_oclassz00_4338);
																										if (BgL__ortest_1110z00_4341)
																											{	/* Dataflow/walk.scm 335 */
																												BgL_res2235z00_4337 =
																													BgL__ortest_1110z00_4341;
																											}
																										else
																											{	/* Dataflow/walk.scm 335 */
																												long BgL_odepthz00_4342;

																												BgL_odepthz00_4342 =
																													BGL_CLASS_DEPTH
																													(BgL_oclassz00_4338);
																												if ((((long) 2) <
																														BgL_odepthz00_4342))
																													{	/* Dataflow/walk.scm 335 */
																														obj_t
																															BgL_arg1821z00_4343;
																														BgL_arg1821z00_4343
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_oclassz00_4338,
																															((long) 2));
																														BgL_res2235z00_4337
																															=
																															(BgL_arg1821z00_4343
																															==
																															BgL_classz00_4330);
																													}
																												else
																													{	/* Dataflow/walk.scm 335 */
																														BgL_res2235z00_4337
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_arg1823z00_4333 =
																									BgL_res2235z00_4337;
																							}
																							BgL_test2466z00_5578 =
																								BGL_ISA_C_BACKEND
																								(BgL_arg1822z00_4332,
																								BgL_arg1823z00_4333);
																						}
																					}
																				else
																					{	/* Dataflow/walk.scm 335 */
																						BgL_test2466z00_5578 = ((bool_t) 0);
																					}
																			}
																		}
																		if (BgL_test2466z00_5578)
																			{	/* Dataflow/walk.scm 336 */
																				BgL_typez00_bglt BgL_arg1954z00_4344;

																				{
																					BgL_variablez00_bglt BgL_auxz00_5600;

																					{
																						BgL_varz00_bglt BgL_auxz00_5601;

																						{	/* Dataflow/walk.scm 336 */
																							obj_t BgL_pairz00_4345;

																							BgL_pairz00_4345 =
																								(((BgL_appz00_bglt) COBJECT(
																										((BgL_appz00_bglt)
																											BgL_nodez00_4014)))->
																								BgL_argsz00);
																							BgL_auxz00_5601 =
																								((BgL_varz00_bglt)
																								CAR(BgL_pairz00_4345));
																						}
																						BgL_auxz00_5600 =
																							(((BgL_varz00_bglt)
																								COBJECT(BgL_auxz00_5601))->
																							BgL_variablez00);
																					}
																					BgL_arg1954z00_4344 =
																						(((BgL_variablez00_bglt)
																							COBJECT(BgL_auxz00_5600))->
																						BgL_typez00);
																				}
																				BgL_test2459z00_5543 =
																					BGl_bigloozd2typezf3z21zztype_typez00
																					(BgL_arg1954z00_4344);
																			}
																		else
																			{	/* Dataflow/walk.scm 335 */
																				BgL_test2459z00_5543 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Dataflow/walk.scm 334 */
																		BgL_test2459z00_5543 = ((bool_t) 0);
																	}
															}
														else
															{	/* Dataflow/walk.scm 334 */
																BgL_test2459z00_5543 = ((bool_t) 0);
															}
													}
												else
													{	/* Dataflow/walk.scm 333 */
														BgL_test2459z00_5543 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 332 */
												BgL_test2459z00_5543 = ((bool_t) 0);
											}
									}
									if (BgL_test2459z00_5543)
										{	/* Dataflow/walk.scm 337 */
											obj_t BgL_arg1948z00_4346;

											{	/* Dataflow/walk.scm 337 */
												BgL_variablez00_bglt BgL_arg1950z00_4347;
												obj_t BgL_arg1951z00_4348;

												{
													BgL_varz00_bglt BgL_auxz00_5609;

													{	/* Dataflow/walk.scm 337 */
														obj_t BgL_pairz00_4349;

														BgL_pairz00_4349 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_4014)))->
															BgL_argsz00);
														BgL_auxz00_5609 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_4349));
													}
													BgL_arg1950z00_4347 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5609))->
														BgL_variablez00);
												}
												BgL_arg1951z00_4348 =
													(((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt) BgL_funvz00_4294)))->
													BgL_predicatezd2ofzd2);
												BgL_arg1948z00_4346 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1950z00_4347),
													BgL_arg1951z00_4348);
											}
											{	/* Dataflow/walk.scm 337 */
												obj_t BgL_list1949z00_4350;

												BgL_list1949z00_4350 =
													MAKE_YOUNG_PAIR(BgL_arg1948z00_4346, BNIL);
												return BgL_list1949z00_4350;
											}
										}
									else
										{	/* Dataflow/walk.scm 332 */
											return BNIL;
										}
								}
						}
					}
				}
			}
		}

	}



/* &dataflow-node!-box-s1413 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2s1413za2zzdataflow_walkz00(obj_t
		BgL_envz00_4015, obj_t BgL_nodez00_4016, obj_t BgL_envz00_4017)
	{
		{	/* Dataflow/walk.scm 301 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4016)))->BgL_valuez00),
				BgL_envz00_4017);
		}

	}



/* &dataflow-node!-box-r1410 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2r1410za2zzdataflow_walkz00(obj_t
		BgL_envz00_4018, obj_t BgL_nodez00_4019, obj_t BgL_envz00_4020)
	{
		{	/* Dataflow/walk.scm 294 */
			return ((obj_t) BgL_envz00_4020);
		}

	}



/* &dataflow-node!-make-1408 */
	obj_t BGl_z62dataflowzd2nodez12zd2makezd21408za2zzdataflow_walkz00(obj_t
		BgL_envz00_4021, obj_t BgL_nodez00_4022, obj_t BgL_envz00_4023)
	{
		{	/* Dataflow/walk.scm 288 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_4022)))->BgL_valuez00),
				BgL_envz00_4023);
		}

	}



/* &dataflow-node!-jump-1404 */
	obj_t BGl_z62dataflowzd2nodez12zd2jumpzd21404za2zzdataflow_walkz00(obj_t
		BgL_envz00_4024, obj_t BgL_nodez00_4025, obj_t BgL_envz00_4026)
	{
		{	/* Dataflow/walk.scm 279 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4025)))->BgL_exitz00),
				BgL_envz00_4026);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_jumpzd2exzd2itz00_bglt)
						COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4025)))->
					BgL_valuez00), BgL_envz00_4026);
			return BNIL;
		}

	}



/* &dataflow-node!-set-e1402 */
	obj_t BGl_z62dataflowzd2nodez12zd2setzd2e1402za2zzdataflow_walkz00(obj_t
		BgL_envz00_4027, obj_t BgL_nodez00_4028, obj_t BgL_envz00_4029)
	{
		{	/* Dataflow/walk.scm 270 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4028)))->BgL_bodyz00),
				BgL_envz00_4029);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_setzd2exzd2itz00_bglt)
						COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4028)))->
					BgL_onexitz00), BgL_envz00_4029);
			return BNIL;
		}

	}



/* &dataflow-node!-let-v1400 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2v1400za2zzdataflow_walkz00(obj_t
		BgL_envz00_4030, obj_t BgL_nodez00_4031, obj_t BgL_envz00_4032)
	{
		{	/* Dataflow/walk.scm 238 */
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 =
				(((long) 1) + BGl_letzd2varzd2stampz00zzdataflow_walkz00);
			{	/* Dataflow/walk.scm 241 */
				long BgL_stampz00_4358;

				BgL_stampz00_4358 = BGl_letzd2varzd2stampz00zzdataflow_walkz00;
				{	/* Dataflow/walk.scm 241 */
					obj_t BgL_envz00_4359;

					{
						obj_t BgL_bindingsz00_4361;
						obj_t BgL_envz00_4362;

						BgL_bindingsz00_4361 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_4031)))->
							BgL_bindingsz00);
						BgL_envz00_4362 = BgL_envz00_4032;
					BgL_loopz00_4360:
						if (NULLP(BgL_bindingsz00_4361))
							{	/* Dataflow/walk.scm 244 */
								BgL_envz00_4359 = BgL_envz00_4362;
							}
						else
							{	/* Dataflow/walk.scm 246 */
								obj_t BgL_nodez00_4363;

								{	/* Dataflow/walk.scm 246 */
									obj_t BgL_pairz00_4364;

									BgL_pairz00_4364 = CAR(((obj_t) BgL_bindingsz00_4361));
									BgL_nodez00_4363 = CDR(BgL_pairz00_4364);
								}
								{	/* Dataflow/walk.scm 246 */
									obj_t BgL_envz00_4365;

									BgL_envz00_4365 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_nodez00_4363), BgL_envz00_4362);
									{	/* Dataflow/walk.scm 247 */

										{	/* Dataflow/walk.scm 248 */
											obj_t BgL_lz00_4366;

											{	/* Dataflow/walk.scm 248 */
												obj_t BgL_pairz00_4367;

												BgL_pairz00_4367 = CAR(((obj_t) BgL_bindingsz00_4361));
												BgL_lz00_4366 = CAR(BgL_pairz00_4367);
											}
											if (
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_lz00_4366)))->
														BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
												{	/* Dataflow/walk.scm 249 */
													{	/* Dataflow/walk.scm 250 */
														BgL_localzf2valuezf2_bglt BgL_wide1162z00_4368;

														BgL_wide1162z00_4368 =
															((BgL_localzf2valuezf2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_localzf2valuezf2_bgl))));
														{	/* Dataflow/walk.scm 250 */
															obj_t BgL_auxz00_5660;
															BgL_objectz00_bglt BgL_tmpz00_5656;

															BgL_auxz00_5660 = ((obj_t) BgL_wide1162z00_4368);
															BgL_tmpz00_5656 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_lz00_4366)));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5656,
																BgL_auxz00_5660);
														}
														((BgL_objectz00_bglt)
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_lz00_4366)));
														{	/* Dataflow/walk.scm 250 */
															long BgL_arg1906z00_4369;

															BgL_arg1906z00_4369 =
																BGL_CLASS_NUM
																(BGl_localzf2valuezf2zzdataflow_walkz00);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																		(BgL_localz00_bglt) ((BgL_localz00_bglt)
																			BgL_lz00_4366))), BgL_arg1906z00_4369);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_lz00_4366)));
													}
													{
														BgL_localzf2valuezf2_bglt BgL_auxz00_5674;

														{
															obj_t BgL_auxz00_5675;

															{	/* Dataflow/walk.scm 251 */
																BgL_objectz00_bglt BgL_tmpz00_5676;

																BgL_tmpz00_5676 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_4366)));
																BgL_auxz00_5675 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5676);
															}
															BgL_auxz00_5674 =
																((BgL_localzf2valuezf2_bglt) BgL_auxz00_5675);
														}
														((((BgL_localzf2valuezf2_bglt)
																	COBJECT(BgL_auxz00_5674))->BgL_stampz00) =
															((int) (int) (BgL_stampz00_4358)), BUNSPEC);
													}
													{
														BgL_localzf2valuezf2_bglt BgL_auxz00_5684;

														{
															obj_t BgL_auxz00_5685;

															{	/* Dataflow/walk.scm 252 */
																BgL_objectz00_bglt BgL_tmpz00_5686;

																BgL_tmpz00_5686 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_4366)));
																BgL_auxz00_5685 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5686);
															}
															BgL_auxz00_5684 =
																((BgL_localzf2valuezf2_bglt) BgL_auxz00_5685);
														}
														((((BgL_localzf2valuezf2_bglt)
																	COBJECT(BgL_auxz00_5684))->BgL_nodez00) =
															((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																	BgL_nodez00_4363)), BUNSPEC);
													}
													((obj_t)
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_lz00_4366)));
												}
											else
												{	/* Dataflow/walk.scm 249 */
													BFALSE;
												}
										}
										{	/* Dataflow/walk.scm 253 */
											obj_t BgL_arg1908z00_4370;

											BgL_arg1908z00_4370 = CDR(((obj_t) BgL_bindingsz00_4361));
											{
												obj_t BgL_envz00_5700;
												obj_t BgL_bindingsz00_5699;

												BgL_bindingsz00_5699 = BgL_arg1908z00_4370;
												BgL_envz00_5700 = BgL_envz00_4365;
												BgL_envz00_4362 = BgL_envz00_5700;
												BgL_bindingsz00_4361 = BgL_bindingsz00_5699;
												goto BgL_loopz00_4360;
											}
										}
									}
								}
							}
					}
					{	/* Dataflow/walk.scm 242 */

						{	/* Dataflow/walk.scm 254 */
							obj_t BgL_arg1870z00_4371;

							BgL_arg1870z00_4371 =
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_4031)))->
									BgL_bodyz00), BgL_envz00_4359);
							{	/* Dataflow/walk.scm 256 */
								obj_t BgL_zc3z04anonymousza31872ze3z87_4372;

								BgL_zc3z04anonymousza31872ze3z87_4372 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31872ze3ze5zzdataflow_walkz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3z04anonymousza31872ze3z87_4372,
									(int) (((long) 0)), BINT(BgL_stampz00_4358));
								{	/* Dataflow/walk.scm 254 */
									obj_t BgL_list1871z00_4373;

									BgL_list1871z00_4373 =
										MAKE_YOUNG_PAIR(BgL_arg1870z00_4371, BNIL);
									return
										BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
										(BgL_zc3z04anonymousza31872ze3z87_4372,
										BgL_list1871z00_4373);
								}
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1872> */
	obj_t BGl_z62zc3z04anonymousza31872ze3ze5zzdataflow_walkz00(obj_t
		BgL_envz00_4033, obj_t BgL_bz00_4035)
	{
		{	/* Dataflow/walk.scm 254 */
			{	/* Dataflow/walk.scm 256 */
				long BgL_stampz00_4034;

				BgL_stampz00_4034 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_4033, (int) (((long) 0))));
				{	/* Dataflow/walk.scm 256 */
					bool_t BgL_test2472z00_5717;

					{	/* Dataflow/walk.scm 256 */
						bool_t BgL_test2473z00_5718;

						{	/* Dataflow/walk.scm 256 */
							obj_t BgL_arg1897z00_4374;

							BgL_arg1897z00_4374 = CAR(((obj_t) BgL_bz00_4035));
							{	/* Dataflow/walk.scm 256 */
								obj_t BgL_classz00_4375;

								BgL_classz00_4375 = BGl_localzf2valuezf2zzdataflow_walkz00;
								if (BGL_OBJECTP(BgL_arg1897z00_4374))
									{	/* Dataflow/walk.scm 256 */
										obj_t BgL_oclassz00_4376;

										{	/* Dataflow/walk.scm 256 */
											long BgL_arg1833z00_4377;

											{	/* Dataflow/walk.scm 256 */
												long BgL_arg1834z00_4378;

												BgL_arg1834z00_4378 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt) BgL_arg1897z00_4374));
												BgL_arg1833z00_4377 =
													(BgL_arg1834z00_4378 - OBJECT_TYPE);
											}
											BgL_oclassz00_4376 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4377);
										}
										BgL_test2473z00_5718 =
											(BgL_oclassz00_4376 == BgL_classz00_4375);
									}
								else
									{	/* Dataflow/walk.scm 256 */
										BgL_test2473z00_5718 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test2473z00_5718)
							{	/* Dataflow/walk.scm 257 */
								int BgL_arg1895z00_4379;

								{	/* Dataflow/walk.scm 257 */
									BgL_localz00_bglt BgL_oz00_4380;

									BgL_oz00_4380 =
										((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_4035)));
									{
										BgL_localzf2valuezf2_bglt BgL_auxz00_5731;

										{
											obj_t BgL_auxz00_5732;

											{	/* Dataflow/walk.scm 257 */
												BgL_objectz00_bglt BgL_tmpz00_5733;

												BgL_tmpz00_5733 = ((BgL_objectz00_bglt) BgL_oz00_4380);
												BgL_auxz00_5732 = BGL_OBJECT_WIDENING(BgL_tmpz00_5733);
											}
											BgL_auxz00_5731 =
												((BgL_localzf2valuezf2_bglt) BgL_auxz00_5732);
										}
										BgL_arg1895z00_4379 =
											(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_5731))->
											BgL_stampz00);
								}}
								BgL_test2472z00_5717 =
									((long) (BgL_arg1895z00_4379) < BgL_stampz00_4034);
							}
						else
							{	/* Dataflow/walk.scm 256 */
								BgL_test2472z00_5717 = ((bool_t) 1);
							}
					}
					if (BgL_test2472z00_5717)
						{	/* Dataflow/walk.scm 256 */
							return BgL_bz00_4035;
						}
					else
						{	/* Dataflow/walk.scm 259 */
							bool_t BgL_test2475z00_5740;

							{	/* Dataflow/walk.scm 259 */
								BgL_nodez00_bglt BgL_arg1892z00_4381;

								{	/* Dataflow/walk.scm 259 */
									BgL_localz00_bglt BgL_oz00_4382;

									BgL_oz00_4382 =
										((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_4035)));
									{
										BgL_localzf2valuezf2_bglt BgL_auxz00_5744;

										{
											obj_t BgL_auxz00_5745;

											{	/* Dataflow/walk.scm 259 */
												BgL_objectz00_bglt BgL_tmpz00_5746;

												BgL_tmpz00_5746 = ((BgL_objectz00_bglt) BgL_oz00_4382);
												BgL_auxz00_5745 = BGL_OBJECT_WIDENING(BgL_tmpz00_5746);
											}
											BgL_auxz00_5744 =
												((BgL_localzf2valuezf2_bglt) BgL_auxz00_5745);
										}
										BgL_arg1892z00_4381 =
											(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_5744))->
											BgL_nodez00);
									}
								}
								{	/* Dataflow/walk.scm 259 */
									obj_t BgL_classz00_4383;

									BgL_classz00_4383 = BGl_varz00zzast_nodez00;
									{	/* Dataflow/walk.scm 259 */
										BgL_objectz00_bglt BgL_arg1825z00_4384;

										{	/* Dataflow/walk.scm 259 */
											obj_t BgL_tmpz00_5751;

											BgL_tmpz00_5751 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1892z00_4381));
											BgL_arg1825z00_4384 =
												(BgL_objectz00_bglt) (BgL_tmpz00_5751);
										}
										{	/* Dataflow/walk.scm 259 */
											bool_t BgL_arg1822z00_4385;
											bool_t BgL_arg1823z00_4386;

											{	/* Dataflow/walk.scm 259 */
												long BgL_idxz00_4387;

												BgL_idxz00_4387 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4384);
												BgL_arg1822z00_4385 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4387 + ((long) 2))) ==
													BgL_classz00_4383);
											}
											{	/* Dataflow/walk.scm 259 */
												bool_t BgL_res2231z00_4390;

												{	/* Dataflow/walk.scm 259 */
													obj_t BgL_oclassz00_4391;

													{	/* Dataflow/walk.scm 259 */
														long BgL_arg1833z00_4392;

														{	/* Dataflow/walk.scm 259 */
															long BgL_arg1834z00_4393;

															BgL_arg1834z00_4393 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4384);
															BgL_arg1833z00_4392 =
																(BgL_arg1834z00_4393 - OBJECT_TYPE);
														}
														BgL_oclassz00_4391 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_4392);
													}
													{	/* Dataflow/walk.scm 259 */
														bool_t BgL__ortest_1110z00_4394;

														BgL__ortest_1110z00_4394 =
															(BgL_classz00_4383 == BgL_oclassz00_4391);
														if (BgL__ortest_1110z00_4394)
															{	/* Dataflow/walk.scm 259 */
																BgL_res2231z00_4390 = BgL__ortest_1110z00_4394;
															}
														else
															{	/* Dataflow/walk.scm 259 */
																long BgL_odepthz00_4395;

																BgL_odepthz00_4395 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4391);
																if ((((long) 2) < BgL_odepthz00_4395))
																	{	/* Dataflow/walk.scm 259 */
																		obj_t BgL_arg1821z00_4396;

																		BgL_arg1821z00_4396 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4391, ((long) 2));
																		BgL_res2231z00_4390 =
																			(BgL_arg1821z00_4396 ==
																			BgL_classz00_4383);
																	}
																else
																	{	/* Dataflow/walk.scm 259 */
																		BgL_res2231z00_4390 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_4386 = BgL_res2231z00_4390;
											}
											BgL_test2475z00_5740 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_4385,
												BgL_arg1823z00_4386);
										}
									}
								}
							}
							if (BgL_test2475z00_5740)
								{	/* Dataflow/walk.scm 260 */
									BgL_variablez00_bglt BgL_vz00_4397;

									{	/* Dataflow/walk.scm 260 */
										BgL_nodez00_bglt BgL_arg1890z00_4398;

										{	/* Dataflow/walk.scm 260 */
											BgL_localz00_bglt BgL_oz00_4399;

											BgL_oz00_4399 =
												((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_4035)));
											{
												BgL_localzf2valuezf2_bglt BgL_auxz00_5773;

												{
													obj_t BgL_auxz00_5774;

													{	/* Dataflow/walk.scm 260 */
														BgL_objectz00_bglt BgL_tmpz00_5775;

														BgL_tmpz00_5775 =
															((BgL_objectz00_bglt) BgL_oz00_4399);
														BgL_auxz00_5774 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5775);
													}
													BgL_auxz00_5773 =
														((BgL_localzf2valuezf2_bglt) BgL_auxz00_5774);
												}
												BgL_arg1890z00_4398 =
													(((BgL_localzf2valuezf2_bglt)
														COBJECT(BgL_auxz00_5773))->BgL_nodez00);
											}
										}
										BgL_vz00_4397 =
											(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_arg1890z00_4398)))->
											BgL_variablez00);
									}
									if (
										((((BgL_variablez00_bglt) COBJECT(BgL_vz00_4397))->
												BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
										{	/* Dataflow/walk.scm 262 */
											obj_t BgL_arg1887z00_4400;

											BgL_arg1887z00_4400 = CDR(((obj_t) BgL_bz00_4035));
											return
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_vz00_4397), BgL_arg1887z00_4400);
										}
									else
										{	/* Dataflow/walk.scm 261 */
											return BFALSE;
										}
								}
							else
								{	/* Dataflow/walk.scm 259 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* &dataflow-node!-let-f1398 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2f1398za2zzdataflow_walkz00(obj_t
		BgL_envz00_4036, obj_t BgL_nodez00_4037, obj_t BgL_envz00_4038)
	{
		{	/* Dataflow/walk.scm 223 */
			{	/* Dataflow/walk.scm 225 */
				obj_t BgL_g1349z00_4402;

				BgL_g1349z00_4402 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4037)))->BgL_localsz00);
				{
					obj_t BgL_l1347z00_4404;

					BgL_l1347z00_4404 = BgL_g1349z00_4402;
				BgL_zc3z04anonymousza31857ze3z87_4403:
					if (PAIRP(BgL_l1347z00_4404))
						{	/* Dataflow/walk.scm 225 */
							{	/* Dataflow/walk.scm 226 */
								obj_t BgL_localz00_4405;

								BgL_localz00_4405 = CAR(BgL_l1347z00_4404);
								{	/* Dataflow/walk.scm 226 */
									obj_t BgL_arg1862z00_4406;

									BgL_arg1862z00_4406 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_4405))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((
											(BgL_nodez00_bglt) BgL_arg1862z00_4406), BNIL);
								}
							}
							{
								obj_t BgL_l1347z00_5802;

								BgL_l1347z00_5802 = CDR(BgL_l1347z00_4404);
								BgL_l1347z00_4404 = BgL_l1347z00_5802;
								goto BgL_zc3z04anonymousza31857ze3z87_4403;
							}
						}
					else
						{	/* Dataflow/walk.scm 225 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4037)))->BgL_bodyz00),
				BgL_envz00_4038);
		}

	}



/* &dataflow-node!-switc1396 */
	obj_t BGl_z62dataflowzd2nodez12zd2switc1396z70zzdataflow_walkz00(obj_t
		BgL_envz00_4039, obj_t BgL_nodez00_4040, obj_t BgL_envz00_4041)
	{
		{	/* Dataflow/walk.scm 212 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_4040)))->BgL_testz00),
				BgL_envz00_4041);
			{	/* Dataflow/walk.scm 215 */
				obj_t BgL_g1346z00_4408;

				BgL_g1346z00_4408 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_4040)))->BgL_clausesz00);
				{
					obj_t BgL_l1344z00_4410;

					BgL_l1344z00_4410 = BgL_g1346z00_4408;
				BgL_zc3z04anonymousza31853ze3z87_4409:
					if (PAIRP(BgL_l1344z00_4410))
						{	/* Dataflow/walk.scm 215 */
							{	/* Dataflow/walk.scm 216 */
								obj_t BgL_clausez00_4411;

								BgL_clausez00_4411 = CAR(BgL_l1344z00_4410);
								{	/* Dataflow/walk.scm 216 */
									obj_t BgL_arg1855z00_4412;

									BgL_arg1855z00_4412 = CDR(((obj_t) BgL_clausez00_4411));
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg1855z00_4412), BgL_envz00_4041);
								}
							}
							{
								obj_t BgL_l1344z00_5819;

								BgL_l1344z00_5819 = CDR(BgL_l1344z00_4410);
								BgL_l1344z00_4410 = BgL_l1344z00_5819;
								goto BgL_zc3z04anonymousza31853ze3z87_4409;
							}
						}
					else
						{	/* Dataflow/walk.scm 215 */
							((bool_t) 1);
						}
				}
			}
			return BgL_envz00_4041;
		}

	}



/* &dataflow-node!-fail1394 */
	obj_t BGl_z62dataflowzd2nodez12zd2fail1394z70zzdataflow_walkz00(obj_t
		BgL_envz00_4042, obj_t BgL_nodez00_4043, obj_t BgL_envz00_4044)
	{
		{	/* Dataflow/walk.scm 202 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4043)))->BgL_procz00),
				BgL_envz00_4044);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
						COBJECT(((BgL_failz00_bglt) BgL_nodez00_4043)))->BgL_msgz00),
				BgL_envz00_4044);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
						COBJECT(((BgL_failz00_bglt) BgL_nodez00_4043)))->BgL_objz00),
				BgL_envz00_4044);
			return BgL_envz00_4044;
		}

	}



/* &dataflow-node!-condi1392 */
	obj_t BGl_z62dataflowzd2nodez12zd2condi1392z70zzdataflow_walkz00(obj_t
		BgL_envz00_4045, obj_t BgL_nodez00_4046, obj_t BgL_envz00_4047)
	{
		{	/* Dataflow/walk.scm 179 */
			{
				obj_t BgL_env1z00_4416;
				obj_t BgL_env2z00_4417;

				{	/* Dataflow/walk.scm 190 */
					obj_t BgL_tenvz00_4428;

					BgL_tenvz00_4428 =
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_4046)))->BgL_testz00),
						BgL_envz00_4047);
					{	/* Dataflow/walk.scm 190 */
						obj_t BgL_truezd2envzd2_4429;

						BgL_truezd2envzd2_4429 =
							BGl_appendzd221011zd2zzdataflow_walkz00
							(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
												BgL_nodez00_4046)))->BgL_testz00)), BgL_tenvz00_4428);
						{	/* Dataflow/walk.scm 191 */
							obj_t BgL_falsezd2envzd2_4430;

							BgL_falsezd2envzd2_4430 =
								BGl_appendzd221011zd2zzdataflow_walkz00
								(BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt)
											COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_4046)))->
										BgL_testz00)), BgL_tenvz00_4428);
							{	/* Dataflow/walk.scm 192 */

								{	/* Dataflow/walk.scm 193 */
									obj_t BgL_tenvz00_4431;
									obj_t BgL_fenvz00_4432;

									BgL_tenvz00_4431 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_4046)))->
											BgL_falsez00), BgL_falsezd2envzd2_4430);
									BgL_fenvz00_4432 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((
												(BgL_conditionalz00_bglt)
												COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_4046)))->
											BgL_truez00), BgL_truezd2envzd2_4429);
									{	/* Dataflow/walk.scm 195 */
										bool_t BgL_test2481z00_5847;

										{	/* Dataflow/walk.scm 195 */
											BgL_nodez00_bglt BgL_arg1799z00_4433;

											BgL_arg1799z00_4433 =
												(((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_4046)))->
												BgL_falsez00);
											BgL_test2481z00_5847 =
												CBOOL(BGl_abortzf3zf3zzdataflow_walkz00
												(BgL_arg1799z00_4433));
										}
										if (BgL_test2481z00_5847)
											{	/* Dataflow/walk.scm 195 */
												return BgL_tenvz00_4431;
											}
										else
											{	/* Dataflow/walk.scm 195 */
												BgL_env1z00_4416 = BgL_tenvz00_4431;
												BgL_env2z00_4417 = BgL_fenvz00_4432;
												{	/* Dataflow/walk.scm 182 */
													obj_t BgL_hook1343z00_4418;

													BgL_hook1343z00_4418 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
													{
														obj_t BgL_l1340z00_4420;
														obj_t BgL_h1341z00_4421;

														BgL_l1340z00_4420 = BgL_env1z00_4416;
														BgL_h1341z00_4421 = BgL_hook1343z00_4418;
													BgL_zc3z04anonymousza31819ze3z87_4419:
														if (NULLP(BgL_l1340z00_4420))
															{	/* Dataflow/walk.scm 182 */
																return CDR(BgL_hook1343z00_4418);
															}
														else
															{	/* Dataflow/walk.scm 182 */
																bool_t BgL_test2483z00_5856;

																{	/* Dataflow/walk.scm 183 */
																	obj_t BgL_cz00_4422;

																	BgL_cz00_4422 =
																		CAR(((obj_t) BgL_l1340z00_4420));
																	{	/* Dataflow/walk.scm 184 */
																		obj_t BgL_c2z00_4423;

																		BgL_c2z00_4423 =
																			BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																			(CAR(((obj_t) BgL_cz00_4422)),
																			BgL_env2z00_4417);
																		{	/* Dataflow/walk.scm 185 */

																			if (PAIRP(BgL_c2z00_4423))
																				{	/* Dataflow/walk.scm 186 */
																					BgL_test2483z00_5856 =
																						(CDR(BgL_c2z00_4423) ==
																						CDR(((obj_t) BgL_cz00_4422)));
																				}
																			else
																				{	/* Dataflow/walk.scm 186 */
																					BgL_test2483z00_5856 = ((bool_t) 0);
																				}
																		}
																	}
																}
																if (BgL_test2483z00_5856)
																	{	/* Dataflow/walk.scm 182 */
																		obj_t BgL_nh1342z00_4424;

																		{	/* Dataflow/walk.scm 182 */
																			obj_t BgL_arg1838z00_4425;

																			BgL_arg1838z00_4425 =
																				CAR(((obj_t) BgL_l1340z00_4420));
																			BgL_nh1342z00_4424 =
																				MAKE_YOUNG_PAIR(BgL_arg1838z00_4425,
																				BNIL);
																		}
																		SET_CDR(BgL_h1341z00_4421,
																			BgL_nh1342z00_4424);
																		{	/* Dataflow/walk.scm 182 */
																			obj_t BgL_arg1837z00_4426;

																			BgL_arg1837z00_4426 =
																				CDR(((obj_t) BgL_l1340z00_4420));
																			{
																				obj_t BgL_h1341z00_5875;
																				obj_t BgL_l1340z00_5874;

																				BgL_l1340z00_5874 = BgL_arg1837z00_4426;
																				BgL_h1341z00_5875 = BgL_nh1342z00_4424;
																				BgL_h1341z00_4421 = BgL_h1341z00_5875;
																				BgL_l1340z00_4420 = BgL_l1340z00_5874;
																				goto
																					BgL_zc3z04anonymousza31819ze3z87_4419;
																			}
																		}
																	}
																else
																	{	/* Dataflow/walk.scm 182 */
																		obj_t BgL_arg1839z00_4427;

																		BgL_arg1839z00_4427 =
																			CDR(((obj_t) BgL_l1340z00_4420));
																		{
																			obj_t BgL_l1340z00_5878;

																			BgL_l1340z00_5878 = BgL_arg1839z00_4427;
																			BgL_l1340z00_4420 = BgL_l1340z00_5878;
																			goto
																				BgL_zc3z04anonymousza31819ze3z87_4419;
																		}
																	}
															}
													}
												}
											}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &dataflow-node!-setq1390 */
	obj_t BGl_z62dataflowzd2nodez12zd2setq1390z70zzdataflow_walkz00(obj_t
		BgL_envz00_4048, obj_t BgL_nodez00_4049, obj_t BgL_envz00_4050)
	{
		{	/* Dataflow/walk.scm 159 */
			{
				BgL_variablez00_bglt BgL_variablez00_4436;
				obj_t BgL_envz00_4437;

				{	/* Dataflow/walk.scm 167 */
					obj_t BgL_nenvz00_4447;

					BgL_nenvz00_4447 =
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
						(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_4049)))->BgL_valuez00),
						BgL_envz00_4050);
					{	/* Dataflow/walk.scm 168 */
						BgL_varz00_bglt BgL_i1153z00_4448;

						BgL_i1153z00_4448 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_4049)))->BgL_varz00);
						{	/* Dataflow/walk.scm 169 */
							bool_t BgL_test2485z00_5884;

							{	/* Dataflow/walk.scm 169 */
								BgL_variablez00_bglt BgL_arg1762z00_4449;

								BgL_arg1762z00_4449 =
									(((BgL_varz00_bglt) COBJECT(BgL_i1153z00_4448))->
									BgL_variablez00);
								{	/* Dataflow/walk.scm 169 */
									obj_t BgL_classz00_4450;

									BgL_classz00_4450 = BGl_globalz00zzast_varz00;
									{	/* Dataflow/walk.scm 169 */
										BgL_objectz00_bglt BgL_arg1825z00_4451;

										{	/* Dataflow/walk.scm 169 */
											obj_t BgL_tmpz00_5886;

											BgL_tmpz00_5886 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1762z00_4449));
											BgL_arg1825z00_4451 =
												(BgL_objectz00_bglt) (BgL_tmpz00_5886);
										}
										{	/* Dataflow/walk.scm 169 */
											bool_t BgL_arg1822z00_4452;
											bool_t BgL_arg1823z00_4453;

											{	/* Dataflow/walk.scm 169 */
												long BgL_idxz00_4454;

												BgL_idxz00_4454 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4451);
												BgL_arg1822z00_4452 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4454 + ((long) 2))) ==
													BgL_classz00_4450);
											}
											{	/* Dataflow/walk.scm 169 */
												bool_t BgL_res2230z00_4457;

												{	/* Dataflow/walk.scm 169 */
													obj_t BgL_oclassz00_4458;

													{	/* Dataflow/walk.scm 169 */
														long BgL_arg1833z00_4459;

														{	/* Dataflow/walk.scm 169 */
															long BgL_arg1834z00_4460;

															BgL_arg1834z00_4460 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4451);
															BgL_arg1833z00_4459 =
																(BgL_arg1834z00_4460 - OBJECT_TYPE);
														}
														BgL_oclassz00_4458 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_4459);
													}
													{	/* Dataflow/walk.scm 169 */
														bool_t BgL__ortest_1110z00_4461;

														BgL__ortest_1110z00_4461 =
															(BgL_classz00_4450 == BgL_oclassz00_4458);
														if (BgL__ortest_1110z00_4461)
															{	/* Dataflow/walk.scm 169 */
																BgL_res2230z00_4457 = BgL__ortest_1110z00_4461;
															}
														else
															{	/* Dataflow/walk.scm 169 */
																long BgL_odepthz00_4462;

																BgL_odepthz00_4462 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4458);
																if ((((long) 2) < BgL_odepthz00_4462))
																	{	/* Dataflow/walk.scm 169 */
																		obj_t BgL_arg1821z00_4463;

																		BgL_arg1821z00_4463 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4458, ((long) 2));
																		BgL_res2230z00_4457 =
																			(BgL_arg1821z00_4463 ==
																			BgL_classz00_4450);
																	}
																else
																	{	/* Dataflow/walk.scm 169 */
																		BgL_res2230z00_4457 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_4453 = BgL_res2230z00_4457;
											}
											BgL_test2485z00_5884 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_4452,
												BgL_arg1823z00_4453);
										}
									}
								}
							}
							if (BgL_test2485z00_5884)
								{	/* Dataflow/walk.scm 169 */
									BgL_variablez00_4436 =
										(((BgL_varz00_bglt) COBJECT(BgL_i1153z00_4448))->
										BgL_variablez00);
									BgL_envz00_4437 = BgL_nenvz00_4447;
								BgL_removezd2variablezd2fromzd2envzd2_4435:
									{	/* Dataflow/walk.scm 162 */
										obj_t BgL_hook1338z00_4438;

										BgL_hook1338z00_4438 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
										{
											obj_t BgL_l1335z00_4440;
											obj_t BgL_h1336z00_4441;

											BgL_l1335z00_4440 = BgL_envz00_4437;
											BgL_h1336z00_4441 = BgL_hook1338z00_4438;
										BgL_zc3z04anonymousza31765ze3z87_4439:
											if (NULLP(BgL_l1335z00_4440))
												{	/* Dataflow/walk.scm 162 */
													return CDR(BgL_hook1338z00_4438);
												}
											else
												{	/* Dataflow/walk.scm 162 */
													bool_t BgL_test2489z00_5909;

													{	/* Dataflow/walk.scm 163 */
														bool_t BgL_test2490z00_5910;

														{	/* Dataflow/walk.scm 163 */
															obj_t BgL_tmpz00_5911;

															{	/* Dataflow/walk.scm 163 */
																obj_t BgL_pairz00_4442;

																BgL_pairz00_4442 =
																	CAR(((obj_t) BgL_l1335z00_4440));
																BgL_tmpz00_5911 = CAR(BgL_pairz00_4442);
															}
															BgL_test2490z00_5910 =
																(BgL_tmpz00_5911 ==
																((obj_t) BgL_variablez00_4436));
														}
														if (BgL_test2490z00_5910)
															{	/* Dataflow/walk.scm 163 */
																BgL_test2489z00_5909 = ((bool_t) 0);
															}
														else
															{	/* Dataflow/walk.scm 163 */
																BgL_test2489z00_5909 = ((bool_t) 1);
															}
													}
													if (BgL_test2489z00_5909)
														{	/* Dataflow/walk.scm 162 */
															obj_t BgL_nh1337z00_4443;

															{	/* Dataflow/walk.scm 162 */
																obj_t BgL_arg1781z00_4444;

																BgL_arg1781z00_4444 =
																	CAR(((obj_t) BgL_l1335z00_4440));
																BgL_nh1337z00_4443 =
																	MAKE_YOUNG_PAIR(BgL_arg1781z00_4444, BNIL);
															}
															SET_CDR(BgL_h1336z00_4441, BgL_nh1337z00_4443);
															{	/* Dataflow/walk.scm 162 */
																obj_t BgL_arg1777z00_4445;

																BgL_arg1777z00_4445 =
																	CDR(((obj_t) BgL_l1335z00_4440));
																{
																	obj_t BgL_h1336z00_5924;
																	obj_t BgL_l1335z00_5923;

																	BgL_l1335z00_5923 = BgL_arg1777z00_4445;
																	BgL_h1336z00_5924 = BgL_nh1337z00_4443;
																	BgL_h1336z00_4441 = BgL_h1336z00_5924;
																	BgL_l1335z00_4440 = BgL_l1335z00_5923;
																	goto BgL_zc3z04anonymousza31765ze3z87_4439;
																}
															}
														}
													else
														{	/* Dataflow/walk.scm 162 */
															obj_t BgL_arg1785z00_4446;

															BgL_arg1785z00_4446 =
																CDR(((obj_t) BgL_l1335z00_4440));
															{
																obj_t BgL_l1335z00_5927;

																BgL_l1335z00_5927 = BgL_arg1785z00_4446;
																BgL_l1335z00_4440 = BgL_l1335z00_5927;
																goto BgL_zc3z04anonymousza31765ze3z87_4439;
															}
														}
												}
										}
									}
								}
							else
								{	/* Dataflow/walk.scm 171 */
									BgL_typez00_bglt BgL_typz00_4464;

									BgL_typz00_4464 =
										BGl_getzd2typezd2zztype_typeofz00(
										(((BgL_setqz00_bglt) COBJECT(
													((BgL_setqz00_bglt) BgL_nodez00_4049)))->
											BgL_valuez00), ((bool_t) 1));
									{	/* Dataflow/walk.scm 172 */
										bool_t BgL_test2491z00_5932;

										if (
											(((obj_t) BgL_typz00_4464) ==
												BGl_za2_za2z00zztype_cachez00))
											{	/* Dataflow/walk.scm 172 */
												BgL_test2491z00_5932 = ((bool_t) 1);
											}
										else
											{	/* Dataflow/walk.scm 172 */
												BgL_test2491z00_5932 =
													(
													((obj_t) BgL_typz00_4464) ==
													BGl_za2objza2z00zztype_cachez00);
											}
										if (BgL_test2491z00_5932)
											{
												obj_t BgL_envz00_5940;
												BgL_variablez00_bglt BgL_variablez00_5938;

												BgL_variablez00_5938 =
													(((BgL_varz00_bglt) COBJECT(BgL_i1153z00_4448))->
													BgL_variablez00);
												BgL_envz00_5940 = BgL_nenvz00_4447;
												BgL_envz00_4437 = BgL_envz00_5940;
												BgL_variablez00_4436 = BgL_variablez00_5938;
												goto BgL_removezd2variablezd2fromzd2envzd2_4435;
											}
										else
											{	/* Dataflow/walk.scm 174 */
												obj_t BgL_arg1753z00_4465;

												{	/* Dataflow/walk.scm 174 */
													BgL_variablez00_bglt BgL_arg1759z00_4466;

													BgL_arg1759z00_4466 =
														(((BgL_varz00_bglt) COBJECT(BgL_i1153z00_4448))->
														BgL_variablez00);
													BgL_arg1753z00_4465 =
														MAKE_YOUNG_PAIR(((obj_t) BgL_arg1759z00_4466),
														((obj_t) BgL_typz00_4464));
												}
												return
													MAKE_YOUNG_PAIR(BgL_arg1753z00_4465,
													BgL_nenvz00_4447);
											}
									}
								}
						}
					}
				}
			}
		}

	}



/* &dataflow-node!-exter1388 */
	obj_t BGl_z62dataflowzd2nodez12zd2exter1388z70zzdataflow_walkz00(obj_t
		BgL_envz00_4051, obj_t BgL_nodez00_4052, obj_t BgL_envz00_4053)
	{
		{	/* Dataflow/walk.scm 152 */
			{	/* Dataflow/walk.scm 153 */
				obj_t BgL_res2318z00_4468;

				BgL_res2318z00_4468 =
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_4052)))->BgL_exprza2za2),
					BgL_envz00_4053);
				return BgL_res2318z00_4468;
			}
		}

	}



/* &dataflow-node!-funca1386 */
	obj_t BGl_z62dataflowzd2nodez12zd2funca1386z70zzdataflow_walkz00(obj_t
		BgL_envz00_4054, obj_t BgL_nodez00_4055, obj_t BgL_envz00_4056)
	{
		{	/* Dataflow/walk.scm 144 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_4055)))->BgL_funz00),
				BgL_envz00_4056);
			return
				BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00((((BgL_funcallz00_bglt)
						COBJECT(((BgL_funcallz00_bglt) BgL_nodez00_4055)))->BgL_argsz00),
				BgL_envz00_4056);
		}

	}



/* &dataflow-node!-app-l1384 */
	obj_t BGl_z62dataflowzd2nodez12zd2appzd2l1384za2zzdataflow_walkz00(obj_t
		BgL_envz00_4057, obj_t BgL_nodez00_4058, obj_t BgL_envz00_4059)
	{
		{	/* Dataflow/walk.scm 136 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_4058)))->BgL_funz00),
				BgL_envz00_4059);
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_appzd2lyzd2_bglt)
						COBJECT(((BgL_appzd2lyzd2_bglt) BgL_nodez00_4058)))->BgL_argz00),
				BgL_envz00_4059);
		}

	}



/* &dataflow-node!-app1382 */
	obj_t BGl_z62dataflowzd2nodez12zd2app1382z70zzdataflow_walkz00(obj_t
		BgL_envz00_4060, obj_t BgL_nodez00_4061, obj_t BgL_envz00_4062)
	{
		{	/* Dataflow/walk.scm 120 */
			{	/* Dataflow/walk.scm 122 */
				obj_t BgL_aenvz00_4472;

				BgL_aenvz00_4472 =
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_4061)))->BgL_argsz00),
					BgL_envz00_4062);
				{	/* Dataflow/walk.scm 123 */
					bool_t BgL_test2493z00_5964;

					{	/* Dataflow/walk.scm 123 */
						bool_t BgL_test2494z00_5965;

						{	/* Dataflow/walk.scm 123 */
							BgL_varz00_bglt BgL_arg1738z00_4473;

							BgL_arg1738z00_4473 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_4061)))->BgL_funz00);
							{	/* Dataflow/walk.scm 123 */
								obj_t BgL_classz00_4474;

								BgL_classz00_4474 = BGl_varz00zzast_nodez00;
								{	/* Dataflow/walk.scm 123 */
									BgL_objectz00_bglt BgL_arg1825z00_4475;

									{	/* Dataflow/walk.scm 123 */
										obj_t BgL_tmpz00_5968;

										BgL_tmpz00_5968 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1738z00_4473));
										BgL_arg1825z00_4475 =
											(BgL_objectz00_bglt) (BgL_tmpz00_5968);
									}
									{	/* Dataflow/walk.scm 123 */
										bool_t BgL_arg1822z00_4476;
										bool_t BgL_arg1823z00_4477;

										{	/* Dataflow/walk.scm 123 */
											long BgL_idxz00_4478;

											BgL_idxz00_4478 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4475);
											BgL_arg1822z00_4476 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4478 + ((long) 2))) == BgL_classz00_4474);
										}
										{	/* Dataflow/walk.scm 123 */
											bool_t BgL_res2227z00_4481;

											{	/* Dataflow/walk.scm 123 */
												obj_t BgL_oclassz00_4482;

												{	/* Dataflow/walk.scm 123 */
													long BgL_arg1833z00_4483;

													{	/* Dataflow/walk.scm 123 */
														long BgL_arg1834z00_4484;

														BgL_arg1834z00_4484 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4475);
														BgL_arg1833z00_4483 =
															(BgL_arg1834z00_4484 - OBJECT_TYPE);
													}
													BgL_oclassz00_4482 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_4483);
												}
												{	/* Dataflow/walk.scm 123 */
													bool_t BgL__ortest_1110z00_4485;

													BgL__ortest_1110z00_4485 =
														(BgL_classz00_4474 == BgL_oclassz00_4482);
													if (BgL__ortest_1110z00_4485)
														{	/* Dataflow/walk.scm 123 */
															BgL_res2227z00_4481 = BgL__ortest_1110z00_4485;
														}
													else
														{	/* Dataflow/walk.scm 123 */
															long BgL_odepthz00_4486;

															BgL_odepthz00_4486 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4482);
															if ((((long) 2) < BgL_odepthz00_4486))
																{	/* Dataflow/walk.scm 123 */
																	obj_t BgL_arg1821z00_4487;

																	BgL_arg1821z00_4487 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4482,
																		((long) 2));
																	BgL_res2227z00_4481 =
																		(BgL_arg1821z00_4487 == BgL_classz00_4474);
																}
															else
																{	/* Dataflow/walk.scm 123 */
																	BgL_res2227z00_4481 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_4477 = BgL_res2227z00_4481;
										}
										BgL_test2494z00_5965 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_4476,
											BgL_arg1823z00_4477);
									}
								}
							}
						}
						if (BgL_test2494z00_5965)
							{	/* Dataflow/walk.scm 123 */
								BgL_variablez00_bglt BgL_arg1729z00_4488;

								BgL_arg1729z00_4488 =
									(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_4061)))->
												BgL_funz00)))->BgL_variablez00);
								{	/* Dataflow/walk.scm 123 */
									obj_t BgL_classz00_4489;

									BgL_classz00_4489 = BGl_localz00zzast_varz00;
									{	/* Dataflow/walk.scm 123 */
										BgL_objectz00_bglt BgL_arg1825z00_4490;

										{	/* Dataflow/walk.scm 123 */
											obj_t BgL_tmpz00_5990;

											BgL_tmpz00_5990 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1729z00_4488));
											BgL_arg1825z00_4490 =
												(BgL_objectz00_bglt) (BgL_tmpz00_5990);
										}
										{	/* Dataflow/walk.scm 123 */
											bool_t BgL_arg1822z00_4491;
											bool_t BgL_arg1823z00_4492;

											{	/* Dataflow/walk.scm 123 */
												long BgL_idxz00_4493;

												BgL_idxz00_4493 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4490);
												BgL_arg1822z00_4491 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4493 + ((long) 2))) ==
													BgL_classz00_4489);
											}
											{	/* Dataflow/walk.scm 123 */
												bool_t BgL_res2228z00_4496;

												{	/* Dataflow/walk.scm 123 */
													obj_t BgL_oclassz00_4497;

													{	/* Dataflow/walk.scm 123 */
														long BgL_arg1833z00_4498;

														{	/* Dataflow/walk.scm 123 */
															long BgL_arg1834z00_4499;

															BgL_arg1834z00_4499 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4490);
															BgL_arg1833z00_4498 =
																(BgL_arg1834z00_4499 - OBJECT_TYPE);
														}
														BgL_oclassz00_4497 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_4498);
													}
													{	/* Dataflow/walk.scm 123 */
														bool_t BgL__ortest_1110z00_4500;

														BgL__ortest_1110z00_4500 =
															(BgL_classz00_4489 == BgL_oclassz00_4497);
														if (BgL__ortest_1110z00_4500)
															{	/* Dataflow/walk.scm 123 */
																BgL_res2228z00_4496 = BgL__ortest_1110z00_4500;
															}
														else
															{	/* Dataflow/walk.scm 123 */
																long BgL_odepthz00_4501;

																BgL_odepthz00_4501 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4497);
																if ((((long) 2) < BgL_odepthz00_4501))
																	{	/* Dataflow/walk.scm 123 */
																		obj_t BgL_arg1821z00_4502;

																		BgL_arg1821z00_4502 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4497, ((long) 2));
																		BgL_res2228z00_4496 =
																			(BgL_arg1821z00_4502 ==
																			BgL_classz00_4489);
																	}
																else
																	{	/* Dataflow/walk.scm 123 */
																		BgL_res2228z00_4496 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_4492 = BgL_res2228z00_4496;
											}
											BgL_test2493z00_5964 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_4491,
												BgL_arg1823z00_4492);
										}
									}
								}
							}
						else
							{	/* Dataflow/walk.scm 123 */
								BgL_test2493z00_5964 = ((bool_t) 0);
							}
					}
					if (BgL_test2493z00_5964)
						{	/* Dataflow/walk.scm 127 */
							obj_t BgL_hook1333z00_4503;

							BgL_hook1333z00_4503 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							{
								obj_t BgL_l1330z00_4505;
								obj_t BgL_h1331z00_4506;

								BgL_l1330z00_4505 = BgL_aenvz00_4472;
								BgL_h1331z00_4506 = BgL_hook1333z00_4503;
							BgL_zc3z04anonymousza31718ze3z87_4504:
								if (NULLP(BgL_l1330z00_4505))
									{	/* Dataflow/walk.scm 127 */
										return CDR(BgL_hook1333z00_4503);
									}
								else
									{	/* Dataflow/walk.scm 127 */
										bool_t BgL_test2500z00_6013;

										{	/* Dataflow/walk.scm 128 */
											obj_t BgL_vz00_4507;

											{	/* Dataflow/walk.scm 128 */
												obj_t BgL_pairz00_4508;

												BgL_pairz00_4508 = CAR(((obj_t) BgL_l1330z00_4505));
												BgL_vz00_4507 = CAR(BgL_pairz00_4508);
											}
											{	/* Dataflow/walk.scm 129 */
												bool_t BgL__ortest_1149z00_4509;

												{	/* Dataflow/walk.scm 129 */
													obj_t BgL_classz00_4510;

													BgL_classz00_4510 = BGl_globalz00zzast_varz00;
													if (BGL_OBJECTP(BgL_vz00_4507))
														{	/* Dataflow/walk.scm 129 */
															BgL_objectz00_bglt BgL_arg1825z00_4511;

															BgL_arg1825z00_4511 =
																(BgL_objectz00_bglt) (BgL_vz00_4507);
															{	/* Dataflow/walk.scm 129 */
																bool_t BgL_arg1822z00_4512;
																bool_t BgL_arg1823z00_4513;

																{	/* Dataflow/walk.scm 129 */
																	long BgL_idxz00_4514;

																	BgL_idxz00_4514 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_4511);
																	BgL_arg1822z00_4512 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4514 + ((long) 2))) ==
																		BgL_classz00_4510);
																}
																{	/* Dataflow/walk.scm 129 */
																	bool_t BgL_res2229z00_4517;

																	{	/* Dataflow/walk.scm 129 */
																		obj_t BgL_oclassz00_4518;

																		{	/* Dataflow/walk.scm 129 */
																			long BgL_arg1833z00_4519;

																			{	/* Dataflow/walk.scm 129 */
																				long BgL_arg1834z00_4520;

																				BgL_arg1834z00_4520 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_4511);
																				BgL_arg1833z00_4519 =
																					(BgL_arg1834z00_4520 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4518 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_4519);
																		}
																		{	/* Dataflow/walk.scm 129 */
																			bool_t BgL__ortest_1110z00_4521;

																			BgL__ortest_1110z00_4521 =
																				(BgL_classz00_4510 ==
																				BgL_oclassz00_4518);
																			if (BgL__ortest_1110z00_4521)
																				{	/* Dataflow/walk.scm 129 */
																					BgL_res2229z00_4517 =
																						BgL__ortest_1110z00_4521;
																				}
																			else
																				{	/* Dataflow/walk.scm 129 */
																					long BgL_odepthz00_4522;

																					BgL_odepthz00_4522 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4518);
																					if ((((long) 2) < BgL_odepthz00_4522))
																						{	/* Dataflow/walk.scm 129 */
																							obj_t BgL_arg1821z00_4523;

																							BgL_arg1821z00_4523 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4518,
																								((long) 2));
																							BgL_res2229z00_4517 =
																								(BgL_arg1821z00_4523 ==
																								BgL_classz00_4510);
																						}
																					else
																						{	/* Dataflow/walk.scm 129 */
																							BgL_res2229z00_4517 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_4513 = BgL_res2229z00_4517;
																}
																BgL__ortest_1149z00_4509 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_4512,
																	BgL_arg1823z00_4513);
															}
														}
													else
														{	/* Dataflow/walk.scm 129 */
															BgL__ortest_1149z00_4509 = ((bool_t) 0);
														}
												}
												if (BgL__ortest_1149z00_4509)
													{	/* Dataflow/walk.scm 129 */
														BgL_test2500z00_6013 = BgL__ortest_1149z00_4509;
													}
												else
													{	/* Dataflow/walk.scm 129 */
														BgL_test2500z00_6013 =
															(
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_vz00_4507)))->
																BgL_accessz00) == CNST_TABLE_REF(((long) 11)));
										}}}
										if (BgL_test2500z00_6013)
											{	/* Dataflow/walk.scm 127 */
												obj_t BgL_nh1332z00_4524;

												{	/* Dataflow/walk.scm 127 */
													obj_t BgL_arg1725z00_4525;

													BgL_arg1725z00_4525 =
														CAR(((obj_t) BgL_l1330z00_4505));
													BgL_nh1332z00_4524 =
														MAKE_YOUNG_PAIR(BgL_arg1725z00_4525, BNIL);
												}
												SET_CDR(BgL_h1331z00_4506, BgL_nh1332z00_4524);
												{	/* Dataflow/walk.scm 127 */
													obj_t BgL_arg1723z00_4526;

													BgL_arg1723z00_4526 =
														CDR(((obj_t) BgL_l1330z00_4505));
													{
														obj_t BgL_h1331z00_6047;
														obj_t BgL_l1330z00_6046;

														BgL_l1330z00_6046 = BgL_arg1723z00_4526;
														BgL_h1331z00_6047 = BgL_nh1332z00_4524;
														BgL_h1331z00_4506 = BgL_h1331z00_6047;
														BgL_l1330z00_4505 = BgL_l1330z00_6046;
														goto BgL_zc3z04anonymousza31718ze3z87_4504;
													}
												}
											}
										else
											{	/* Dataflow/walk.scm 127 */
												obj_t BgL_arg1726z00_4527;

												BgL_arg1726z00_4527 = CDR(((obj_t) BgL_l1330z00_4505));
												{
													obj_t BgL_l1330z00_6050;

													BgL_l1330z00_6050 = BgL_arg1726z00_4527;
													BgL_l1330z00_4505 = BgL_l1330z00_6050;
													goto BgL_zc3z04anonymousza31718ze3z87_4504;
												}
											}
									}
							}
						}
					else
						{	/* Dataflow/walk.scm 123 */
							return BgL_aenvz00_4472;
						}
				}
			}
		}

	}



/* &dataflow-node!-sync1380 */
	obj_t BGl_z62dataflowzd2nodez12zd2sync1380z70zzdataflow_walkz00(obj_t
		BgL_envz00_4063, obj_t BgL_nodez00_4064, obj_t BgL_envz00_4065)
	{
		{	/* Dataflow/walk.scm 111 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4064)))->BgL_mutexz00),
				BgL_envz00_4065);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_syncz00_bglt)
						COBJECT(((BgL_syncz00_bglt) BgL_nodez00_4064)))->BgL_prelockz00),
				BgL_envz00_4065);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_syncz00_bglt)
						COBJECT(((BgL_syncz00_bglt) BgL_nodez00_4064)))->BgL_bodyz00),
				BgL_envz00_4065);
			return BgL_envz00_4065;
		}

	}



/* &dataflow-node!-seque1378 */
	obj_t BGl_z62dataflowzd2nodez12zd2seque1378z70zzdataflow_walkz00(obj_t
		BgL_envz00_4066, obj_t BgL_nodez00_4067, obj_t BgL_envz00_4068)
	{
		{	/* Dataflow/walk.scm 101 */
			{	/* Dataflow/walk.scm 102 */
				obj_t BgL_res2319z00_4537;

				{	/* Dataflow/walk.scm 102 */
					obj_t BgL_g1147z00_4530;

					BgL_g1147z00_4530 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_4067)))->BgL_nodesz00);
					{
						obj_t BgL_nodeza2za2_4532;
						obj_t BgL_envz00_4533;

						BgL_nodeza2za2_4532 = BgL_g1147z00_4530;
						BgL_envz00_4533 = BgL_envz00_4068;
					BgL_loopz00_4531:
						if (NULLP(BgL_nodeza2za2_4532))
							{	/* Dataflow/walk.scm 104 */
								BgL_res2319z00_4537 = BgL_envz00_4533;
							}
						else
							{	/* Dataflow/walk.scm 106 */
								obj_t BgL_arg1694z00_4534;
								obj_t BgL_arg1695z00_4535;

								BgL_arg1694z00_4534 = CDR(((obj_t) BgL_nodeza2za2_4532));
								{	/* Dataflow/walk.scm 106 */
									obj_t BgL_arg1696z00_4536;

									BgL_arg1696z00_4536 = CAR(((obj_t) BgL_nodeza2za2_4532));
									BgL_arg1695z00_4535 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg1696z00_4536), BgL_envz00_4533);
								}
								{
									obj_t BgL_envz00_6071;
									obj_t BgL_nodeza2za2_6070;

									BgL_nodeza2za2_6070 = BgL_arg1694z00_4534;
									BgL_envz00_6071 = BgL_arg1695z00_4535;
									BgL_envz00_4533 = BgL_envz00_6071;
									BgL_nodeza2za2_4532 = BgL_nodeza2za2_6070;
									goto BgL_loopz00_4531;
								}
							}
					}
				}
				return BgL_res2319z00_4537;
			}
		}

	}



/* &dataflow-node!-closu1376 */
	obj_t BGl_z62dataflowzd2nodez12zd2closu1376z70zzdataflow_walkz00(obj_t
		BgL_envz00_4069, obj_t BgL_nodez00_4070, obj_t BgL_envz00_4071)
	{
		{	/* Dataflow/walk.scm 95 */
			return ((obj_t) BgL_envz00_4071);
		}

	}



/* &dataflow-node!-var1374 */
	obj_t BGl_z62dataflowzd2nodez12zd2var1374z70zzdataflow_walkz00(obj_t
		BgL_envz00_4072, obj_t BgL_nodez00_4073, obj_t BgL_envz00_4074)
	{
		{	/* Dataflow/walk.scm 81 */
			{	/* Dataflow/walk.scm 83 */
				BgL_variablez00_bglt BgL_i1144z00_4541;

				BgL_i1144z00_4541 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_4073)))->BgL_variablez00);
				{	/* Dataflow/walk.scm 84 */
					bool_t BgL_test2506z00_6075;

					if (BGl_bigloozd2typezf3z21zztype_typez00(
							(((BgL_variablez00_bglt) COBJECT(BgL_i1144z00_4541))->
								BgL_typez00)))
						{	/* Dataflow/walk.scm 85 */
							bool_t BgL__ortest_1145z00_4542;

							{	/* Dataflow/walk.scm 85 */
								bool_t BgL_test2508z00_6079;

								{	/* Dataflow/walk.scm 85 */
									BgL_typez00_bglt BgL_arg1681z00_4543;

									BgL_arg1681z00_4543 =
										(((BgL_variablez00_bglt) COBJECT(BgL_i1144z00_4541))->
										BgL_typez00);
									{	/* Dataflow/walk.scm 85 */
										obj_t BgL_classz00_4544;

										BgL_classz00_4544 = BGl_tclassz00zzobject_classz00;
										{	/* Dataflow/walk.scm 85 */
											BgL_objectz00_bglt BgL_arg1825z00_4545;

											{	/* Dataflow/walk.scm 85 */
												obj_t BgL_tmpz00_6081;

												BgL_tmpz00_6081 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg1681z00_4543));
												BgL_arg1825z00_4545 =
													(BgL_objectz00_bglt) (BgL_tmpz00_6081);
											}
											{	/* Dataflow/walk.scm 85 */
												bool_t BgL_arg1822z00_4546;
												bool_t BgL_arg1823z00_4547;

												{	/* Dataflow/walk.scm 85 */
													long BgL_idxz00_4548;

													BgL_idxz00_4548 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4545);
													BgL_arg1822z00_4546 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4548 + ((long) 2))) ==
														BgL_classz00_4544);
												}
												{	/* Dataflow/walk.scm 85 */
													bool_t BgL_res2226z00_4551;

													{	/* Dataflow/walk.scm 85 */
														obj_t BgL_oclassz00_4552;

														{	/* Dataflow/walk.scm 85 */
															long BgL_arg1833z00_4553;

															{	/* Dataflow/walk.scm 85 */
																long BgL_arg1834z00_4554;

																BgL_arg1834z00_4554 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4545);
																BgL_arg1833z00_4553 =
																	(BgL_arg1834z00_4554 - OBJECT_TYPE);
															}
															BgL_oclassz00_4552 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_4553);
														}
														{	/* Dataflow/walk.scm 85 */
															bool_t BgL__ortest_1110z00_4555;

															BgL__ortest_1110z00_4555 =
																(BgL_classz00_4544 == BgL_oclassz00_4552);
															if (BgL__ortest_1110z00_4555)
																{	/* Dataflow/walk.scm 85 */
																	BgL_res2226z00_4551 =
																		BgL__ortest_1110z00_4555;
																}
															else
																{	/* Dataflow/walk.scm 85 */
																	long BgL_odepthz00_4556;

																	BgL_odepthz00_4556 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4552);
																	if ((((long) 2) < BgL_odepthz00_4556))
																		{	/* Dataflow/walk.scm 85 */
																			obj_t BgL_arg1821z00_4557;

																			BgL_arg1821z00_4557 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4552, ((long) 2));
																			BgL_res2226z00_4551 =
																				(BgL_arg1821z00_4557 ==
																				BgL_classz00_4544);
																		}
																	else
																		{	/* Dataflow/walk.scm 85 */
																			BgL_res2226z00_4551 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_4547 = BgL_res2226z00_4551;
												}
												BgL_test2508z00_6079 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_4546,
													BgL_arg1823z00_4547);
											}
										}
									}
								}
								if (BgL_test2508z00_6079)
									{	/* Dataflow/walk.scm 85 */
										BgL__ortest_1145z00_4542 = ((bool_t) 0);
									}
								else
									{	/* Dataflow/walk.scm 85 */
										BgL__ortest_1145z00_4542 = ((bool_t) 1);
									}
							}
							if (BgL__ortest_1145z00_4542)
								{	/* Dataflow/walk.scm 85 */
									BgL_test2506z00_6075 = BgL__ortest_1145z00_4542;
								}
							else
								{	/* Dataflow/walk.scm 85 */
									BgL_typez00_bglt BgL_arg1678z00_4558;
									BgL_typez00_bglt BgL_arg1679z00_4559;

									BgL_arg1678z00_4558 =
										(((BgL_variablez00_bglt) COBJECT(BgL_i1144z00_4541))->
										BgL_typez00);
									BgL_arg1679z00_4559 =
										(((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
														BgL_nodez00_4073))))->BgL_typez00);
									BgL_test2506z00_6075 =
										BGl_typezd2subclasszf3z21zzobject_classz00
										(BgL_arg1678z00_4558, BgL_arg1679z00_4559);
								}
						}
					else
						{	/* Dataflow/walk.scm 84 */
							BgL_test2506z00_6075 = ((bool_t) 0);
						}
					if (BgL_test2506z00_6075)
						{	/* Dataflow/walk.scm 86 */
							obj_t BgL_bz00_4560;

							BgL_bz00_4560 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t)
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_4073)))->
										BgL_variablez00)), BgL_envz00_4074);
							if (PAIRP(BgL_bz00_4560))
								{	/* Dataflow/walk.scm 87 */
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_4073))))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												CDR(BgL_bz00_4560))), BUNSPEC);
								}
							else
								{	/* Dataflow/walk.scm 87 */
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_4073))))->
											BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																		BgL_nodez00_4073)))->BgL_variablez00)))->
												BgL_typez00)), BUNSPEC);
								}
						}
					else
						{	/* Dataflow/walk.scm 84 */
							BFALSE;
						}
				}
			}
			return BgL_envz00_4074;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00()
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 271385047),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2313z00zzdataflow_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
