/*===========================================================================*/
/*   (Effect/cgraph.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/cgraph.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2aliasz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	static obj_t
		BGl_z62callzd2graphz12zd2boxzd2setz121358zb0zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2setzd2exzd2i1350z70zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_typez00_bglt
		BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2conditio1340z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2makezd2box1354za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62callzd2graphz12zd2appzd2ly1329za2zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62getzd2varzf2allz42zzeffect_cgraphz00(obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namez20zzeffect_cgraphz00
		(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2funcall1331z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t
		BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
	static obj_t BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00();
	static obj_t
		BGl_z62callzd2graphz12zd2jumpzd2exzd21352z70zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62callzd2graphz12zd2letzd2var1348za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00
		(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_z62callzd2graphz12za2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static obj_t BGl_z62callzd2graphz12zd2extern1334z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62callzd2graphz12zd2switch1344z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2boxzd2ref1356za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t
		BGl_z62savezd2callz12zd2globalzf2fr1364z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2aliaszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2sequence1323z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	static BgL_valuez00_bglt
		BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62savezd2callz12zd2localzf2fro1368z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_cgraphz00();
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62callzd2graphz12zd2app1327z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62savezd2callz12zd2local1366z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2aliasz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2namez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_localz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, long);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2aliaszd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62localzf2fromzf3z63zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_localz00_bglt
		BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62callzd2graphz121320za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		BgL_valuez00_bglt);
	static obj_t
		BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static BgL_globalz00_bglt
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_localzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
	static obj_t BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_localzf2fromzd2typez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static BgL_typez00_bglt BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
	static obj_t BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzeffect_cgraphz00();
	static obj_t BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62savezd2callz12za2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00();
	static obj_t BGl_z62callzd2graphz12zd2cast1336z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static BgL_globalz00_bglt
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62lambda1537z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2letzd2fun1346za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1538z62zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1458z62zzeffect_cgraphz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00();
	static obj_t BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, long);
	static obj_t BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2idz20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62savezd2callz12zd2global1362z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	static obj_t BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	static obj_t BGl_z62callzd2graphz12zd2setq1338z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_localz00_bglt);
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00();
	static BgL_valuez00_bglt
		BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BUNSPEC;
	static obj_t BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2sync1325z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1555z62zzeffect_cgraphz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1478z62zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62callzd2graphz12zd2fail1342z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1565z62zzeffect_cgraphz00(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1569z62zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62savezd2callz121359za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t, long, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1496z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00(obj_t,
		obj_t);
	static BgL_localz00_bglt
		BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31495ze3ze5zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31568ze3ze5zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1584z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1585z62zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, long);
	static obj_t BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t __cnst[10];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2callzd2graphz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl_za762funza7d2callza7d21953za7,
		BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2accesszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71954za7,
		BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2valuezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71955za7,
		BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1956z00,
		BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71957za7,
		BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fastzd2alphazd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71958za7,
		BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencewzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71959za7,
		BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2importzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1960z00,
		BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencewzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71961za7,
		BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2valuezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1962z00,
		BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2modulezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1963z00,
		BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fastzd2alphazd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1964z00,
		BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2userzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71965za7,
		BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2typezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1966z00,
		BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1967z00,
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evalzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1968z00,
		BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2accesszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71969za7,
		BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2removablezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1970z00,
		BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2pragmazd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1971z00,
		BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fastzd2alphazd2setz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1972z00,
		BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evalzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1973z00,
		BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1974z00,
		BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2accesszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1975z00,
		BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fastzd2alphazd2setz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71976za7,
		BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2typezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71977za7,
		BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71978za7,
		BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2userzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1979z00,
		BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2modulezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1980z00,
		BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2idzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1981z00,
		BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencewzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1982z00,
		BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2globalzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762makeza7d2global1983z00,
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 21);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2aliaszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1984z00,
		BGl_z62globalzf2fromzd2aliasz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencewzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1985z00,
		BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1907z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1538za7621986z00, BGl_z62lambda1538z62zzeffect_cgraphz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1908z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1537za7621987z00, BGl_z62lambda1537z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1909z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1496za7621988z00, BGl_z62lambda1496z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1919z00zzeffect_cgraphz00,
		BgL_bgl_string1919za700za7za7e1989za7, "", 0);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza71990za7,
		BGl_z62callzd2graphz12za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1910z00zzeffect_cgraphz00,
		BgL_bgl_za762za7c3za704anonymo1991za7,
		BGl_z62zc3z04anonymousza31495ze3ze5zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1911z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1478za7621992z00, BGl_z62lambda1478z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1912z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1458za7621993z00, BGl_z62lambda1458z62zzeffect_cgraphz00,
		0L, BUNSPEC, 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1913z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1585za7621994z00, BGl_z62lambda1585z62zzeffect_cgraphz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1914z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1584za7621995z00, BGl_z62lambda1584z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1921z00zzeffect_cgraphz00,
		BgL_bgl_string1921za700za7za7e1996za7, "call-graph!1320", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1915z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1569za7621997z00, BGl_z62lambda1569z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1916z00zzeffect_cgraphz00,
		BgL_bgl_za762za7c3za704anonymo1998za7,
		BGl_z62zc3z04anonymousza31568ze3ze5zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1923z00zzeffect_cgraphz00,
		BgL_bgl_string1923za700za7za7e1999za7, "save-call!1359", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1917z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1565za7622000z00, BGl_z62lambda1565z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1924z00zzeffect_cgraphz00,
		BgL_bgl_string1924za700za7za7e2001za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1918z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1555za7622002z00, BGl_z62lambda1555z62zzeffect_cgraphz00,
		0L, BUNSPEC, 21);
	      DEFINE_STRING(BGl_string1926z00zzeffect_cgraphz00,
		BgL_bgl_string1926za700za7za7e2003za7, "call-graph!", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2typezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2004z00,
		BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2srczd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2005z00,
		BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1920z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72006za7,
		BGl_z62callzd2graphz121320za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2jvmzd2typezd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2007z00,
		BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1922z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712008za7,
		BGl_z62savezd2callz121359za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1925z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72009za7,
		BGl_z62callzd2graphz12zd2sequence1323z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1927z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72010za7,
		BGl_z62callzd2graphz12zd2sync1325z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1928z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72011za7,
		BGl_z62callzd2graphz12zd2app1327z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2removablezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72012za7,
		BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1929z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72013za7,
		BGl_z62callzd2graphz12zd2appzd2ly1329za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1930z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72014za7,
		BGl_z62callzd2graphz12zd2funcall1331z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1931z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72015za7,
		BGl_z62callzd2graphz12zd2extern1334z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1932z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72016za7,
		BGl_z62callzd2graphz12zd2cast1336z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1933z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72017za7,
		BGl_z62callzd2graphz12zd2setq1338z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1934z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72018za7,
		BGl_z62callzd2graphz12zd2conditio1340z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1935z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72019za7,
		BGl_z62callzd2graphz12zd2fail1342z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1936z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72020za7,
		BGl_z62callzd2graphz12zd2switch1344z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1937z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72021za7,
		BGl_z62callzd2graphz12zd2letzd2fun1346za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1938z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72022za7,
		BGl_z62callzd2graphz12zd2letzd2var1348za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1945z00zzeffect_cgraphz00,
		BgL_bgl_string1945za700za7za7e2023za7, "save-call!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1939z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72024za7,
		BGl_z62callzd2graphz12zd2setzd2exzd2i1350z70zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2initzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2025z00,
		BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1949z00zzeffect_cgraphz00,
		BgL_bgl_string1949za700za7za7e2026za7, "effect_cgraph", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72027za7,
		BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1940z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72028za7,
		BGl_z62callzd2graphz12zd2jumpzd2exzd21352z70zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72029za7,
		BGl_z62callzd2graphz12zd2makezd2box1354za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1942z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72030za7,
		BGl_z62callzd2graphz12zd2boxzd2ref1356za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1943z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72031za7,
		BGl_z62callzd2graphz12zd2boxzd2setz121358zb0zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1950z00zzeffect_cgraphz00,
		BgL_bgl_string1950za700za7za7e2032za7,
		"import done save-call!1359 _ global/from effect_cgraph local/from obj from nothing ",
		83);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1944z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712033za7,
		BGl_z62savezd2callz12zd2global1362z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1946z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712034za7,
		BGl_z62savezd2callz12zd2globalzf2fr1364z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1947z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712035za7,
		BGl_z62savezd2callz12zd2local1366z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2accesszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2036z00,
		BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1948z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712037za7,
		BGl_z62savezd2callz12zd2localzf2fro1368z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2varzf2allzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762getza7d2varza7f2a2038za7,
		BGl_z62getzd2varzf2allz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2initzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2039z00,
		BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evaluablezf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2040z00,
		BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2valuezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72041za7,
		BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2typezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72042za7,
		BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2varzf2sidezd2effectzd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762getza7d2varza7f2s2043za7,
		BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2valuezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2044z00,
		BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2srczd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2045z00,
		BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2046z00,
		BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2047z00,
		BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2libraryzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2048z00,
		BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72049za7,
		BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2idzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72050za7,
		BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712051za7,
		BGl_z62savezd2callz12za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2removablezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2052z00,
		BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2aliaszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2053z00,
		BGl_z62globalzf2fromzd2aliaszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72054za7,
		BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2userzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72055za7,
		BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2056z00,
		BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72057za7,
		BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2userzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2058z00,
		BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl_za762resetza7d2effec2059z00,
		BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2060z00,
		BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72061za7,
		BGl_z62localzf2fromzf3z63zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2libraryzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2062z00,
		BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2pragmazd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2063z00,
		BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2removablezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72064za7,
		BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2keyzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72065za7,
		BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2066z00,
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2067z00,
		BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72068za7,
		BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evaluablezf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2069z00,
		BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2localzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762makeza7d2localza72070za7,
		BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2importzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2071z00,
		BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzeffect_cgraphz00));
		     ADD_ROOT((void
				*) (&BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00));
		     ADD_ROOT((void *) (&BGl_localzf2fromzf2zzeffect_cgraphz00));
		     ADD_ROOT((void *) (&BGl_za2varzf2allza2zf2zzeffect_cgraphz00));
		     ADD_ROOT((void *) (&BGl_globalzf2fromzf2zzeffect_cgraphz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long
		BgL_checksumz00_3238, char *BgL_fromz00_3239)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_cgraphz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzeffect_cgraphz00();
					BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_cnstzd2initzd2zzeffect_cgraphz00();
					BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_objectzd2initzd2zzeffect_cgraphz00();
					BGl_genericzd2initzd2zzeffect_cgraphz00();
					BGl_methodzd2initzd2zzeffect_cgraphz00();
					return BGl_toplevelzd2initzd2zzeffect_cgraphz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00()
	{
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_cgraph");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00()
	{
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 15 */
				obj_t BgL_cportz00_2989;

				{	/* Effect/cgraph.scm 15 */
					obj_t BgL_stringz00_2997;

					BgL_stringz00_2997 = BGl_string1950z00zzeffect_cgraphz00;
					{	/* Effect/cgraph.scm 15 */
						obj_t BgL_startz00_2998;

						BgL_startz00_2998 = BINT(((long) 0));
						{	/* Effect/cgraph.scm 15 */
							obj_t BgL_endz00_2999;

							BgL_endz00_2999 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2997)));
							{	/* Effect/cgraph.scm 15 */

								BgL_cportz00_2989 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2997, BgL_startz00_2998, BgL_endz00_2999);
				}}}}
				{
					long BgL_iz00_2990;

					BgL_iz00_2990 = ((long) 9);
				BgL_loopz00_2991:
					if ((BgL_iz00_2990 == ((long) -1)))
						{	/* Effect/cgraph.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/cgraph.scm 15 */
							{	/* Effect/cgraph.scm 15 */
								obj_t BgL_arg1952z00_2993;

								{	/* Effect/cgraph.scm 15 */

									{	/* Effect/cgraph.scm 15 */
										obj_t BgL_locationz00_2995;

										BgL_locationz00_2995 = BBOOL(((bool_t) 0));
										{	/* Effect/cgraph.scm 15 */

											BgL_arg1952z00_2993 =
												BGl_readz00zz__readerz00(BgL_cportz00_2989,
												BgL_locationz00_2995);
										}
									}
								}
								{	/* Effect/cgraph.scm 15 */
									int BgL_tmpz00_3270;

									BgL_tmpz00_3270 = (int) (BgL_iz00_2990);
									CNST_TABLE_SET(BgL_tmpz00_3270, BgL_arg1952z00_2993);
							}}
							{	/* Effect/cgraph.scm 15 */
								int BgL_auxz00_2996;

								BgL_auxz00_2996 = (int) ((BgL_iz00_2990 - ((long) 1)));
								{
									long BgL_iz00_3275;

									BgL_iz00_3275 = (long) (BgL_auxz00_2996);
									BgL_iz00_2990 = BgL_iz00_3275;
									goto BgL_loopz00_2991;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzeffect_cgraphz00()
	{
		{	/* Effect/cgraph.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00()
	{
		{	/* Effect/cgraph.scm 15 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}

	}



/* make-local/from */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_id1163z00_3,
		obj_t BgL_name1164z00_4, BgL_typez00_bglt BgL_type1165z00_5,
		BgL_valuez00_bglt BgL_value1166z00_6, obj_t BgL_access1167z00_7,
		obj_t BgL_fastzd2alpha1168zd2_8, obj_t BgL_removable1169z00_9,
		long BgL_occurrence1170z00_10, long BgL_occurrencew1171z00_11,
		bool_t BgL_userzf31172zf3_12, long BgL_key1173z00_13,
		obj_t BgL_from1174z00_14)
	{
		{	/* Effect/cgraph.sch 91 */
			{	/* Effect/cgraph.sch 91 */
				BgL_localz00_bglt BgL_new1158z00_3001;

				{	/* Effect/cgraph.sch 91 */
					BgL_localz00_bglt BgL_tmp1156z00_3002;
					BgL_localzf2fromzf2_bglt BgL_wide1157z00_3003;

					{
						BgL_localz00_bglt BgL_auxz00_3278;

						{	/* Effect/cgraph.sch 91 */
							BgL_localz00_bglt BgL_new1155z00_3004;

							BgL_new1155z00_3004 =
								((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							{	/* Effect/cgraph.sch 91 */
								long BgL_arg1383z00_3005;

								BgL_arg1383z00_3005 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1155z00_3004),
									BgL_arg1383z00_3005);
							}
							{	/* Effect/cgraph.sch 91 */
								BgL_objectz00_bglt BgL_tmpz00_3283;

								BgL_tmpz00_3283 = ((BgL_objectz00_bglt) BgL_new1155z00_3004);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3283, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1155z00_3004);
							BgL_auxz00_3278 = BgL_new1155z00_3004;
						}
						BgL_tmp1156z00_3002 = ((BgL_localz00_bglt) BgL_auxz00_3278);
					}
					BgL_wide1157z00_3003 =
						((BgL_localzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_localzf2fromzf2_bgl))));
					{	/* Effect/cgraph.sch 91 */
						obj_t BgL_auxz00_3291;
						BgL_objectz00_bglt BgL_tmpz00_3289;

						BgL_auxz00_3291 = ((obj_t) BgL_wide1157z00_3003);
						BgL_tmpz00_3289 = ((BgL_objectz00_bglt) BgL_tmp1156z00_3002);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3289, BgL_auxz00_3291);
					}
					((BgL_objectz00_bglt) BgL_tmp1156z00_3002);
					{	/* Effect/cgraph.sch 91 */
						long BgL_arg1382z00_3006;

						BgL_arg1382z00_3006 =
							BGL_CLASS_NUM(BGl_localzf2fromzf2zzeffect_cgraphz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1156z00_3002), BgL_arg1382z00_3006);
					}
					BgL_new1158z00_3001 = ((BgL_localz00_bglt) BgL_tmp1156z00_3002);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1158z00_3001)))->BgL_idz00) =
					((obj_t) BgL_id1163z00_3), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1158z00_3001)))->BgL_namez00) =
					((obj_t) BgL_name1164z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1158z00_3001)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1165z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1158z00_3001)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1166z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1158z00_3001)))->BgL_accessz00) =
					((obj_t) BgL_access1167z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1158z00_3001)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1168zd2_8), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1158z00_3001)))->BgL_removablez00) =
					((obj_t) BgL_removable1169z00_9), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1158z00_3001)))->BgL_occurrencez00) =
					((long) BgL_occurrence1170z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1158z00_3001)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1171z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1158z00_3001)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31172zf3_12), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1158z00_3001)))->BgL_keyz00) =
					((long) BgL_key1173z00_13), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1158z00_3001)))->BgL_valzd2noescapezd2) =
					((obj_t) BTRUE), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1158z00_3001)))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_3325;

					{
						obj_t BgL_auxz00_3326;

						{	/* Effect/cgraph.sch 91 */
							BgL_objectz00_bglt BgL_tmpz00_3327;

							BgL_tmpz00_3327 = ((BgL_objectz00_bglt) BgL_new1158z00_3001);
							BgL_auxz00_3326 = BGL_OBJECT_WIDENING(BgL_tmpz00_3327);
						}
						BgL_auxz00_3325 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3326);
					}
					((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_3325))->
							BgL_fromz00) = ((obj_t) BgL_from1174z00_14), BUNSPEC);
				}
				return BgL_new1158z00_3001;
			}
		}

	}



/* &make-local/from */
	BgL_localz00_bglt BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2614, obj_t BgL_id1163z00_2615, obj_t BgL_name1164z00_2616,
		obj_t BgL_type1165z00_2617, obj_t BgL_value1166z00_2618,
		obj_t BgL_access1167z00_2619, obj_t BgL_fastzd2alpha1168zd2_2620,
		obj_t BgL_removable1169z00_2621, obj_t BgL_occurrence1170z00_2622,
		obj_t BgL_occurrencew1171z00_2623, obj_t BgL_userzf31172zf3_2624,
		obj_t BgL_key1173z00_2625, obj_t BgL_from1174z00_2626)
	{
		{	/* Effect/cgraph.sch 91 */
			return
				BGl_makezd2localzf2fromz20zzeffect_cgraphz00(BgL_id1163z00_2615,
				BgL_name1164z00_2616, ((BgL_typez00_bglt) BgL_type1165z00_2617),
				((BgL_valuez00_bglt) BgL_value1166z00_2618), BgL_access1167z00_2619,
				BgL_fastzd2alpha1168zd2_2620, BgL_removable1169z00_2621,
				(long) CINT(BgL_occurrence1170z00_2622),
				(long) CINT(BgL_occurrencew1171z00_2623),
				CBOOL(BgL_userzf31172zf3_2624), (long) CINT(BgL_key1173z00_2625),
				BgL_from1174z00_2626);
		}

	}



/* local/from? */
	BGL_EXPORTED_DEF bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_objz00_15)
	{
		{	/* Effect/cgraph.sch 92 */
			{	/* Effect/cgraph.sch 92 */
				obj_t BgL_classz00_3007;

				BgL_classz00_3007 = BGl_localzf2fromzf2zzeffect_cgraphz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* Effect/cgraph.sch 92 */
						BgL_objectz00_bglt BgL_arg1825z00_3008;

						BgL_arg1825z00_3008 = (BgL_objectz00_bglt) (BgL_objz00_15);
						{	/* Effect/cgraph.sch 92 */
							bool_t BgL_arg1822z00_3009;
							bool_t BgL_arg1823z00_3010;

							{	/* Effect/cgraph.sch 92 */
								long BgL_idxz00_3011;

								BgL_idxz00_3011 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3008);
								BgL_arg1822z00_3009 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3011 + ((long) 3))) == BgL_classz00_3007);
							}
							{	/* Effect/cgraph.sch 92 */
								bool_t BgL_res1887z00_3014;

								{	/* Effect/cgraph.sch 92 */
									obj_t BgL_oclassz00_3015;

									{	/* Effect/cgraph.sch 92 */
										long BgL_arg1833z00_3016;

										{	/* Effect/cgraph.sch 92 */
											long BgL_arg1834z00_3017;

											BgL_arg1834z00_3017 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3008);
											BgL_arg1833z00_3016 = (BgL_arg1834z00_3017 - OBJECT_TYPE);
										}
										BgL_oclassz00_3015 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3016);
									}
									{	/* Effect/cgraph.sch 92 */
										bool_t BgL__ortest_1110z00_3018;

										BgL__ortest_1110z00_3018 =
											(BgL_classz00_3007 == BgL_oclassz00_3015);
										if (BgL__ortest_1110z00_3018)
											{	/* Effect/cgraph.sch 92 */
												BgL_res1887z00_3014 = BgL__ortest_1110z00_3018;
											}
										else
											{	/* Effect/cgraph.sch 92 */
												long BgL_odepthz00_3019;

												BgL_odepthz00_3019 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3015);
												if ((((long) 3) < BgL_odepthz00_3019))
													{	/* Effect/cgraph.sch 92 */
														obj_t BgL_arg1821z00_3020;

														BgL_arg1821z00_3020 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3015,
															((long) 3));
														BgL_res1887z00_3014 =
															(BgL_arg1821z00_3020 == BgL_classz00_3007);
													}
												else
													{	/* Effect/cgraph.sch 92 */
														BgL_res1887z00_3014 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3010 = BgL_res1887z00_3014;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3009, BgL_arg1823z00_3010);
						}
					}
				else
					{	/* Effect/cgraph.sch 92 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &local/from? */
	obj_t BGl_z62localzf2fromzf3z63zzeffect_cgraphz00(obj_t BgL_envz00_2627,
		obj_t BgL_objz00_2628)
	{
		{	/* Effect/cgraph.sch 92 */
			return BBOOL(BGl_localzf2fromzf3z01zzeffect_cgraphz00(BgL_objz00_2628));
		}

	}



/* local/from-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00()
	{
		{	/* Effect/cgraph.sch 93 */
			{	/* Effect/cgraph.sch 93 */
				obj_t BgL_classz00_2120;

				BgL_classz00_2120 = BGl_localzf2fromzf2zzeffect_cgraphz00;
				{	/* Effect/cgraph.sch 93 */
					obj_t BgL__ortest_1112z00_2121;

					BgL__ortest_1112z00_2121 = BGL_CLASS_NIL(BgL_classz00_2120);
					if (CBOOL(BgL__ortest_1112z00_2121))
						{	/* Effect/cgraph.sch 93 */
							return ((BgL_localz00_bglt) BgL__ortest_1112z00_2121);
						}
					else
						{	/* Effect/cgraph.sch 93 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2120));
						}
				}
			}
		}

	}



/* &local/from-nil */
	BgL_localz00_bglt BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2629)
	{
		{	/* Effect/cgraph.sch 93 */
			return BGl_localzf2fromzd2nilz20zzeffect_cgraphz00();
		}

	}



/* local/from-from */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_16)
	{
		{	/* Effect/cgraph.sch 94 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3366;

				{
					obj_t BgL_auxz00_3367;

					{	/* Effect/cgraph.sch 94 */
						BgL_objectz00_bglt BgL_tmpz00_3368;

						BgL_tmpz00_3368 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_3367 = BGL_OBJECT_WIDENING(BgL_tmpz00_3368);
					}
					BgL_auxz00_3366 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3367);
				}
				return
					(((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_3366))->BgL_fromz00);
			}
		}

	}



/* &local/from-from */
	obj_t BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2630,
		obj_t BgL_oz00_2631)
	{
		{	/* Effect/cgraph.sch 94 */
			return
				BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2631));
		}

	}



/* local/from-from-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* Effect/cgraph.sch 95 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3375;

				{
					obj_t BgL_auxz00_3376;

					{	/* Effect/cgraph.sch 95 */
						BgL_objectz00_bglt BgL_tmpz00_3377;

						BgL_tmpz00_3377 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_3376 = BGL_OBJECT_WIDENING(BgL_tmpz00_3377);
					}
					BgL_auxz00_3375 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3376);
				}
				return
					((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_3375))->
						BgL_fromz00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &local/from-from-set! */
	obj_t BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2632, obj_t BgL_oz00_2633, obj_t BgL_vz00_2634)
	{
		{	/* Effect/cgraph.sch 95 */
			return
				BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2633), BgL_vz00_2634);
		}

	}



/* local/from-key */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_19)
	{
		{	/* Effect/cgraph.sch 96 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_19)))->BgL_keyz00);
		}

	}



/* &local/from-key */
	obj_t BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00(obj_t BgL_envz00_2635,
		obj_t BgL_oz00_2636)
	{
		{	/* Effect/cgraph.sch 96 */
			return
				BINT(BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(
					((BgL_localz00_bglt) BgL_oz00_2636)));
		}

	}



/* local/from-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_22)
	{
		{	/* Effect/cgraph.sch 98 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_22)))->BgL_userzf3zf3);
		}

	}



/* &local/from-user? */
	obj_t BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2637, obj_t BgL_oz00_2638)
	{
		{	/* Effect/cgraph.sch 98 */
			return
				BBOOL(BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(
					((BgL_localz00_bglt) BgL_oz00_2638)));
		}

	}



/* local/from-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_23, bool_t BgL_vz00_24)
	{
		{	/* Effect/cgraph.sch 99 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_23)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_24), BUNSPEC);
		}

	}



/* &local/from-user?-set! */
	obj_t BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2639, obj_t BgL_oz00_2640, obj_t BgL_vz00_2641)
	{
		{	/* Effect/cgraph.sch 99 */
			return
				BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2640), CBOOL(BgL_vz00_2641));
		}

	}



/* local/from-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_25)
	{
		{	/* Effect/cgraph.sch 100 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_25)))->BgL_occurrencewz00);
		}

	}



/* &local/from-occurrencew */
	obj_t BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2642, obj_t BgL_oz00_2643)
	{
		{	/* Effect/cgraph.sch 100 */
			return
				BINT(BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(
					((BgL_localz00_bglt) BgL_oz00_2643)));
		}

	}



/* local/from-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_26, long BgL_vz00_27)
	{
		{	/* Effect/cgraph.sch 101 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_26)))->BgL_occurrencewz00) =
				((long) BgL_vz00_27), BUNSPEC);
		}

	}



/* &local/from-occurrencew-set! */
	obj_t BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2644, obj_t BgL_oz00_2645, obj_t BgL_vz00_2646)
	{
		{	/* Effect/cgraph.sch 101 */
			return
				BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2645), (long) CINT(BgL_vz00_2646));
		}

	}



/* local/from-occurrence */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_28)
	{
		{	/* Effect/cgraph.sch 102 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_28)))->BgL_occurrencez00);
		}

	}



/* &local/from-occurrence */
	obj_t BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2647, obj_t BgL_oz00_2648)
	{
		{	/* Effect/cgraph.sch 102 */
			return
				BINT(BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(
					((BgL_localz00_bglt) BgL_oz00_2648)));
		}

	}



/* local/from-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_29, long BgL_vz00_30)
	{
		{	/* Effect/cgraph.sch 103 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_29)))->BgL_occurrencez00) =
				((long) BgL_vz00_30), BUNSPEC);
		}

	}



/* &local/from-occurrence-set! */
	obj_t BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2649, obj_t BgL_oz00_2650, obj_t BgL_vz00_2651)
	{
		{	/* Effect/cgraph.sch 103 */
			return
				BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2650), (long) CINT(BgL_vz00_2651));
		}

	}



/* local/from-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_31)
	{
		{	/* Effect/cgraph.sch 104 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_31)))->BgL_removablez00);
		}

	}



/* &local/from-removable */
	obj_t BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2652, obj_t BgL_oz00_2653)
	{
		{	/* Effect/cgraph.sch 104 */
			return
				BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2653));
		}

	}



/* local/from-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_32, obj_t BgL_vz00_33)
	{
		{	/* Effect/cgraph.sch 105 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_32)))->BgL_removablez00) =
				((obj_t) BgL_vz00_33), BUNSPEC);
		}

	}



/* &local/from-removable-set! */
	obj_t BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2654, obj_t BgL_oz00_2655, obj_t BgL_vz00_2656)
	{
		{	/* Effect/cgraph.sch 105 */
			return
				BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2655), BgL_vz00_2656);
		}

	}



/* local/from-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_34)
	{
		{	/* Effect/cgraph.sch 106 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_34)))->BgL_fastzd2alphazd2);
		}

	}



/* &local/from-fast-alpha */
	obj_t BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2657, obj_t BgL_oz00_2658)
	{
		{	/* Effect/cgraph.sch 106 */
			return
				BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2658));
		}

	}



/* local/from-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_35, obj_t BgL_vz00_36)
	{
		{	/* Effect/cgraph.sch 107 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_35)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &local/from-fast-alpha-set! */
	obj_t BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t
		BgL_envz00_2659, obj_t BgL_oz00_2660, obj_t BgL_vz00_2661)
	{
		{	/* Effect/cgraph.sch 107 */
			return
				BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2660), BgL_vz00_2661);
		}

	}



/* local/from-access */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_37)
	{
		{	/* Effect/cgraph.sch 108 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_37)))->BgL_accessz00);
		}

	}



/* &local/from-access */
	obj_t BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00(obj_t BgL_envz00_2662,
		obj_t BgL_oz00_2663)
	{
		{	/* Effect/cgraph.sch 108 */
			return
				BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2663));
		}

	}



/* local/from-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_38, obj_t BgL_vz00_39)
	{
		{	/* Effect/cgraph.sch 109 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_38)))->BgL_accessz00) =
				((obj_t) BgL_vz00_39), BUNSPEC);
		}

	}



/* &local/from-access-set! */
	obj_t BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2664, obj_t BgL_oz00_2665, obj_t BgL_vz00_2666)
	{
		{	/* Effect/cgraph.sch 109 */
			return
				BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2665), BgL_vz00_2666);
		}

	}



/* local/from-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_40)
	{
		{	/* Effect/cgraph.sch 110 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_40)))->BgL_valuez00);
		}

	}



/* &local/from-value */
	BgL_valuez00_bglt BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2667, obj_t BgL_oz00_2668)
	{
		{	/* Effect/cgraph.sch 110 */
			return
				BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2668));
		}

	}



/* local/from-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_41, BgL_valuez00_bglt BgL_vz00_42)
	{
		{	/* Effect/cgraph.sch 111 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_41)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_42), BUNSPEC);
		}

	}



/* &local/from-value-set! */
	obj_t BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2669, obj_t BgL_oz00_2670, obj_t BgL_vz00_2671)
	{
		{	/* Effect/cgraph.sch 111 */
			return
				BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2670),
				((BgL_valuez00_bglt) BgL_vz00_2671));
		}

	}



/* local/from-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_localzf2fromzd2typez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_43)
	{
		{	/* Effect/cgraph.sch 112 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_43)))->BgL_typez00);
		}

	}



/* &local/from-type */
	BgL_typez00_bglt BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2672, obj_t BgL_oz00_2673)
	{
		{	/* Effect/cgraph.sch 112 */
			return
				BGl_localzf2fromzd2typez20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2673));
		}

	}



/* local/from-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_44, BgL_typez00_bglt BgL_vz00_45)
	{
		{	/* Effect/cgraph.sch 113 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_44)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_45), BUNSPEC);
		}

	}



/* &local/from-type-set! */
	obj_t BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2674, obj_t BgL_oz00_2675, obj_t BgL_vz00_2676)
	{
		{	/* Effect/cgraph.sch 113 */
			return
				BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2675),
				((BgL_typez00_bglt) BgL_vz00_2676));
		}

	}



/* local/from-name */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2namez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_46)
	{
		{	/* Effect/cgraph.sch 114 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_46)))->BgL_namez00);
		}

	}



/* &local/from-name */
	obj_t BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00(obj_t BgL_envz00_2677,
		obj_t BgL_oz00_2678)
	{
		{	/* Effect/cgraph.sch 114 */
			return
				BGl_localzf2fromzd2namez20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2678));
		}

	}



/* local/from-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* Effect/cgraph.sch 115 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_47)))->BgL_namez00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &local/from-name-set! */
	obj_t BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2679, obj_t BgL_oz00_2680, obj_t BgL_vz00_2681)
	{
		{	/* Effect/cgraph.sch 115 */
			return
				BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2680), BgL_vz00_2681);
		}

	}



/* local/from-id */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2idz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_49)
	{
		{	/* Effect/cgraph.sch 116 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_49)))->BgL_idz00);
		}

	}



/* &local/from-id */
	obj_t BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00(obj_t BgL_envz00_2682,
		obj_t BgL_oz00_2683)
	{
		{	/* Effect/cgraph.sch 116 */
			return
				BGl_localzf2fromzd2idz20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2683));
		}

	}



/* make-global/from */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t BgL_id1141z00_52,
		obj_t BgL_name1142z00_53, BgL_typez00_bglt BgL_type1143z00_54,
		BgL_valuez00_bglt BgL_value1144z00_55, obj_t BgL_access1145z00_56,
		obj_t BgL_fastzd2alpha1146zd2_57, obj_t BgL_removable1147z00_58,
		long BgL_occurrence1148z00_59, long BgL_occurrencew1149z00_60,
		bool_t BgL_userzf31150zf3_61, obj_t BgL_module1151z00_62,
		obj_t BgL_import1152z00_63, bool_t BgL_evaluablezf31153zf3_64,
		bool_t BgL_evalzf31154zf3_65, obj_t BgL_library1155z00_66,
		obj_t BgL_pragma1156z00_67, obj_t BgL_src1157z00_68,
		obj_t BgL_jvmzd2typezd2name1158z00_69, obj_t BgL_init1159z00_70,
		obj_t BgL_alias1160z00_71, obj_t BgL_from1161z00_72)
	{
		{	/* Effect/cgraph.sch 120 */
			{	/* Effect/cgraph.sch 120 */
				BgL_globalz00_bglt BgL_new1162z00_3021;

				{	/* Effect/cgraph.sch 120 */
					BgL_globalz00_bglt BgL_tmp1160z00_3022;
					BgL_globalzf2fromzf2_bglt BgL_wide1161z00_3023;

					{
						BgL_globalz00_bglt BgL_auxz00_3473;

						{	/* Effect/cgraph.sch 120 */
							BgL_globalz00_bglt BgL_new1159z00_3024;

							BgL_new1159z00_3024 =
								((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							{	/* Effect/cgraph.sch 120 */
								long BgL_arg1386z00_3025;

								BgL_arg1386z00_3025 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1159z00_3024),
									BgL_arg1386z00_3025);
							}
							{	/* Effect/cgraph.sch 120 */
								BgL_objectz00_bglt BgL_tmpz00_3478;

								BgL_tmpz00_3478 = ((BgL_objectz00_bglt) BgL_new1159z00_3024);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3478, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1159z00_3024);
							BgL_auxz00_3473 = BgL_new1159z00_3024;
						}
						BgL_tmp1160z00_3022 = ((BgL_globalz00_bglt) BgL_auxz00_3473);
					}
					BgL_wide1161z00_3023 =
						((BgL_globalzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_globalzf2fromzf2_bgl))));
					{	/* Effect/cgraph.sch 120 */
						obj_t BgL_auxz00_3486;
						BgL_objectz00_bglt BgL_tmpz00_3484;

						BgL_auxz00_3486 = ((obj_t) BgL_wide1161z00_3023);
						BgL_tmpz00_3484 = ((BgL_objectz00_bglt) BgL_tmp1160z00_3022);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3484, BgL_auxz00_3486);
					}
					((BgL_objectz00_bglt) BgL_tmp1160z00_3022);
					{	/* Effect/cgraph.sch 120 */
						long BgL_arg1385z00_3026;

						BgL_arg1385z00_3026 =
							BGL_CLASS_NUM(BGl_globalzf2fromzf2zzeffect_cgraphz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1160z00_3022), BgL_arg1385z00_3026);
					}
					BgL_new1162z00_3021 = ((BgL_globalz00_bglt) BgL_tmp1160z00_3022);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1162z00_3021)))->BgL_idz00) =
					((obj_t) BgL_id1141z00_52), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1162z00_3021)))->BgL_namez00) =
					((obj_t) BgL_name1142z00_53), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1162z00_3021)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1143z00_54), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1162z00_3021)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1144z00_55), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1162z00_3021)))->BgL_accessz00) =
					((obj_t) BgL_access1145z00_56), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1162z00_3021)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1146zd2_57), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1162z00_3021)))->BgL_removablez00) =
					((obj_t) BgL_removable1147z00_58), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1162z00_3021)))->BgL_occurrencez00) =
					((long) BgL_occurrence1148z00_59), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1162z00_3021)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1149z00_60), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1162z00_3021)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31150zf3_61), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1162z00_3021)))->BgL_modulez00) =
					((obj_t) BgL_module1151z00_62), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1162z00_3021)))->BgL_importz00) =
					((obj_t) BgL_import1152z00_63), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1162z00_3021)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31153zf3_64), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1162z00_3021)))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31154zf3_65), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1162z00_3021)))->BgL_libraryz00) =
					((obj_t) BgL_library1155z00_66), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1162z00_3021)))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1156z00_67), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1162z00_3021)))->BgL_srcz00) =
					((obj_t) BgL_src1157z00_68), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1162z00_3021)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BgL_jvmzd2typezd2name1158z00_69), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1162z00_3021)))->BgL_initz00) =
					((obj_t) BgL_init1159z00_70), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1162z00_3021)))->BgL_aliasz00) =
					((obj_t) BgL_alias1160z00_71), BUNSPEC);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_3534;

					{
						obj_t BgL_auxz00_3535;

						{	/* Effect/cgraph.sch 120 */
							BgL_objectz00_bglt BgL_tmpz00_3536;

							BgL_tmpz00_3536 = ((BgL_objectz00_bglt) BgL_new1162z00_3021);
							BgL_auxz00_3535 = BGL_OBJECT_WIDENING(BgL_tmpz00_3536);
						}
						BgL_auxz00_3534 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3535);
					}
					((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_3534))->
							BgL_fromz00) = ((obj_t) BgL_from1161z00_72), BUNSPEC);
				}
				return BgL_new1162z00_3021;
			}
		}

	}



/* &make-global/from */
	BgL_globalz00_bglt BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2684, obj_t BgL_id1141z00_2685, obj_t BgL_name1142z00_2686,
		obj_t BgL_type1143z00_2687, obj_t BgL_value1144z00_2688,
		obj_t BgL_access1145z00_2689, obj_t BgL_fastzd2alpha1146zd2_2690,
		obj_t BgL_removable1147z00_2691, obj_t BgL_occurrence1148z00_2692,
		obj_t BgL_occurrencew1149z00_2693, obj_t BgL_userzf31150zf3_2694,
		obj_t BgL_module1151z00_2695, obj_t BgL_import1152z00_2696,
		obj_t BgL_evaluablezf31153zf3_2697, obj_t BgL_evalzf31154zf3_2698,
		obj_t BgL_library1155z00_2699, obj_t BgL_pragma1156z00_2700,
		obj_t BgL_src1157z00_2701, obj_t BgL_jvmzd2typezd2name1158z00_2702,
		obj_t BgL_init1159z00_2703, obj_t BgL_alias1160z00_2704,
		obj_t BgL_from1161z00_2705)
	{
		{	/* Effect/cgraph.sch 120 */
			return
				BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(BgL_id1141z00_2685,
				BgL_name1142z00_2686, ((BgL_typez00_bglt) BgL_type1143z00_2687),
				((BgL_valuez00_bglt) BgL_value1144z00_2688), BgL_access1145z00_2689,
				BgL_fastzd2alpha1146zd2_2690, BgL_removable1147z00_2691,
				(long) CINT(BgL_occurrence1148z00_2692),
				(long) CINT(BgL_occurrencew1149z00_2693),
				CBOOL(BgL_userzf31150zf3_2694), BgL_module1151z00_2695,
				BgL_import1152z00_2696, CBOOL(BgL_evaluablezf31153zf3_2697),
				CBOOL(BgL_evalzf31154zf3_2698), BgL_library1155z00_2699,
				BgL_pragma1156z00_2700, BgL_src1157z00_2701,
				BgL_jvmzd2typezd2name1158z00_2702, BgL_init1159z00_2703,
				BgL_alias1160z00_2704, BgL_from1161z00_2705);
		}

	}



/* global/from? */
	BGL_EXPORTED_DEF bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_objz00_73)
	{
		{	/* Effect/cgraph.sch 121 */
			{	/* Effect/cgraph.sch 121 */
				obj_t BgL_classz00_3027;

				BgL_classz00_3027 = BGl_globalzf2fromzf2zzeffect_cgraphz00;
				if (BGL_OBJECTP(BgL_objz00_73))
					{	/* Effect/cgraph.sch 121 */
						BgL_objectz00_bglt BgL_arg1825z00_3028;

						BgL_arg1825z00_3028 = (BgL_objectz00_bglt) (BgL_objz00_73);
						{	/* Effect/cgraph.sch 121 */
							bool_t BgL_arg1822z00_3029;
							bool_t BgL_arg1823z00_3030;

							{	/* Effect/cgraph.sch 121 */
								long BgL_idxz00_3031;

								BgL_idxz00_3031 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3028);
								BgL_arg1822z00_3029 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3031 + ((long) 3))) == BgL_classz00_3027);
							}
							{	/* Effect/cgraph.sch 121 */
								bool_t BgL_res1888z00_3034;

								{	/* Effect/cgraph.sch 121 */
									obj_t BgL_oclassz00_3035;

									{	/* Effect/cgraph.sch 121 */
										long BgL_arg1833z00_3036;

										{	/* Effect/cgraph.sch 121 */
											long BgL_arg1834z00_3037;

											BgL_arg1834z00_3037 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3028);
											BgL_arg1833z00_3036 = (BgL_arg1834z00_3037 - OBJECT_TYPE);
										}
										BgL_oclassz00_3035 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3036);
									}
									{	/* Effect/cgraph.sch 121 */
										bool_t BgL__ortest_1110z00_3038;

										BgL__ortest_1110z00_3038 =
											(BgL_classz00_3027 == BgL_oclassz00_3035);
										if (BgL__ortest_1110z00_3038)
											{	/* Effect/cgraph.sch 121 */
												BgL_res1888z00_3034 = BgL__ortest_1110z00_3038;
											}
										else
											{	/* Effect/cgraph.sch 121 */
												long BgL_odepthz00_3039;

												BgL_odepthz00_3039 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3035);
												if ((((long) 3) < BgL_odepthz00_3039))
													{	/* Effect/cgraph.sch 121 */
														obj_t BgL_arg1821z00_3040;

														BgL_arg1821z00_3040 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3035,
															((long) 3));
														BgL_res1888z00_3034 =
															(BgL_arg1821z00_3040 == BgL_classz00_3027);
													}
												else
													{	/* Effect/cgraph.sch 121 */
														BgL_res1888z00_3034 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3030 = BgL_res1888z00_3034;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3029, BgL_arg1823z00_3030);
						}
					}
				else
					{	/* Effect/cgraph.sch 121 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &global/from? */
	obj_t BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00(obj_t BgL_envz00_2706,
		obj_t BgL_objz00_2707)
	{
		{	/* Effect/cgraph.sch 121 */
			return BBOOL(BGl_globalzf2fromzf3z01zzeffect_cgraphz00(BgL_objz00_2707));
		}

	}



/* global/from-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00()
	{
		{	/* Effect/cgraph.sch 122 */
			{	/* Effect/cgraph.sch 122 */
				obj_t BgL_classz00_2171;

				BgL_classz00_2171 = BGl_globalzf2fromzf2zzeffect_cgraphz00;
				{	/* Effect/cgraph.sch 122 */
					obj_t BgL__ortest_1112z00_2172;

					BgL__ortest_1112z00_2172 = BGL_CLASS_NIL(BgL_classz00_2171);
					if (CBOOL(BgL__ortest_1112z00_2172))
						{	/* Effect/cgraph.sch 122 */
							return ((BgL_globalz00_bglt) BgL__ortest_1112z00_2172);
						}
					else
						{	/* Effect/cgraph.sch 122 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2171));
						}
				}
			}
		}

	}



/* &global/from-nil */
	BgL_globalz00_bglt BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2708)
	{
		{	/* Effect/cgraph.sch 122 */
			return BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00();
		}

	}



/* global/from-from */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_74)
	{
		{	/* Effect/cgraph.sch 123 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3576;

				{
					obj_t BgL_auxz00_3577;

					{	/* Effect/cgraph.sch 123 */
						BgL_objectz00_bglt BgL_tmpz00_3578;

						BgL_tmpz00_3578 = ((BgL_objectz00_bglt) BgL_oz00_74);
						BgL_auxz00_3577 = BGL_OBJECT_WIDENING(BgL_tmpz00_3578);
					}
					BgL_auxz00_3576 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3577);
				}
				return
					(((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_3576))->BgL_fromz00);
			}
		}

	}



/* &global/from-from */
	obj_t BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2709,
		obj_t BgL_oz00_2710)
	{
		{	/* Effect/cgraph.sch 123 */
			return
				BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2710));
		}

	}



/* global/from-from-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_75, obj_t BgL_vz00_76)
	{
		{	/* Effect/cgraph.sch 124 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3585;

				{
					obj_t BgL_auxz00_3586;

					{	/* Effect/cgraph.sch 124 */
						BgL_objectz00_bglt BgL_tmpz00_3587;

						BgL_tmpz00_3587 = ((BgL_objectz00_bglt) BgL_oz00_75);
						BgL_auxz00_3586 = BGL_OBJECT_WIDENING(BgL_tmpz00_3587);
					}
					BgL_auxz00_3585 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3586);
				}
				return
					((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_3585))->
						BgL_fromz00) = ((obj_t) BgL_vz00_76), BUNSPEC);
			}
		}

	}



/* &global/from-from-set! */
	obj_t BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2711, obj_t BgL_oz00_2712, obj_t BgL_vz00_2713)
	{
		{	/* Effect/cgraph.sch 124 */
			return
				BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2712), BgL_vz00_2713);
		}

	}



/* global/from-alias */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2aliasz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_77)
	{
		{	/* Effect/cgraph.sch 125 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_77)))->BgL_aliasz00);
		}

	}



/* &global/from-alias */
	obj_t BGl_z62globalzf2fromzd2aliasz42zzeffect_cgraphz00(obj_t BgL_envz00_2714,
		obj_t BgL_oz00_2715)
	{
		{	/* Effect/cgraph.sch 125 */
			return
				BGl_globalzf2fromzd2aliasz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2715));
		}

	}



/* global/from-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2aliaszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_78, obj_t BgL_vz00_79)
	{
		{	/* Effect/cgraph.sch 126 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_78)))->BgL_aliasz00) =
				((obj_t) BgL_vz00_79), BUNSPEC);
		}

	}



/* &global/from-alias-set! */
	obj_t BGl_z62globalzf2fromzd2aliaszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2716, obj_t BgL_oz00_2717, obj_t BgL_vz00_2718)
	{
		{	/* Effect/cgraph.sch 126 */
			return
				BGl_globalzf2fromzd2aliaszd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2717), BgL_vz00_2718);
		}

	}



/* global/from-init */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_80)
	{
		{	/* Effect/cgraph.sch 127 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_80)))->BgL_initz00);
		}

	}



/* &global/from-init */
	obj_t BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00(obj_t BgL_envz00_2719,
		obj_t BgL_oz00_2720)
	{
		{	/* Effect/cgraph.sch 127 */
			return
				BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2720));
		}

	}



/* global/from-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_81, obj_t BgL_vz00_82)
	{
		{	/* Effect/cgraph.sch 128 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_81)))->BgL_initz00) =
				((obj_t) BgL_vz00_82), BUNSPEC);
		}

	}



/* &global/from-init-set! */
	obj_t BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2721, obj_t BgL_oz00_2722, obj_t BgL_vz00_2723)
	{
		{	/* Effect/cgraph.sch 128 */
			return
				BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2722), BgL_vz00_2723);
		}

	}



/* global/from-jvm-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namez20zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_83)
	{
		{	/* Effect/cgraph.sch 129 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_83)))->BgL_jvmzd2typezd2namez00);
		}

	}



/* &global/from-jvm-type-name */
	obj_t BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2724, obj_t BgL_oz00_2725)
	{
		{	/* Effect/cgraph.sch 129 */
			return
				BGl_globalzf2fromzd2jvmzd2typezd2namez20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2725));
		}

	}



/* global/from-jvm-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_84, obj_t BgL_vz00_85)
	{
		{	/* Effect/cgraph.sch 130 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_84)))->BgL_jvmzd2typezd2namez00) =
				((obj_t) BgL_vz00_85), BUNSPEC);
		}

	}



/* &global/from-jvm-type-name-set! */
	obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2726, obj_t BgL_oz00_2727, obj_t BgL_vz00_2728)
	{
		{	/* Effect/cgraph.sch 130 */
			return
				BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2727), BgL_vz00_2728);
		}

	}



/* global/from-src */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(BgL_globalz00_bglt BgL_oz00_86)
	{
		{	/* Effect/cgraph.sch 131 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_86)))->BgL_srcz00);
		}

	}



/* &global/from-src */
	obj_t BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00(obj_t BgL_envz00_2729,
		obj_t BgL_oz00_2730)
	{
		{	/* Effect/cgraph.sch 131 */
			return
				BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2730));
		}

	}



/* global/from-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_87, obj_t BgL_vz00_88)
	{
		{	/* Effect/cgraph.sch 132 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_87)))->BgL_srcz00) =
				((obj_t) BgL_vz00_88), BUNSPEC);
		}

	}



/* &global/from-src-set! */
	obj_t BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2731, obj_t BgL_oz00_2732, obj_t BgL_vz00_2733)
	{
		{	/* Effect/cgraph.sch 132 */
			return
				BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2732), BgL_vz00_2733);
		}

	}



/* global/from-pragma */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_89)
	{
		{	/* Effect/cgraph.sch 133 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_89)))->BgL_pragmaz00);
		}

	}



/* &global/from-pragma */
	obj_t BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2734, obj_t BgL_oz00_2735)
	{
		{	/* Effect/cgraph.sch 133 */
			return
				BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2735));
		}

	}



/* global/from-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_90, obj_t BgL_vz00_91)
	{
		{	/* Effect/cgraph.sch 134 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_90)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_91), BUNSPEC);
		}

	}



/* &global/from-pragma-set! */
	obj_t BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2736, obj_t BgL_oz00_2737, obj_t BgL_vz00_2738)
	{
		{	/* Effect/cgraph.sch 134 */
			return
				BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2737), BgL_vz00_2738);
		}

	}



/* global/from-library */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_92)
	{
		{	/* Effect/cgraph.sch 135 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_92)))->BgL_libraryz00);
		}

	}



/* &global/from-library */
	obj_t BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2739, obj_t BgL_oz00_2740)
	{
		{	/* Effect/cgraph.sch 135 */
			return
				BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2740));
		}

	}



/* global/from-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_93, obj_t BgL_vz00_94)
	{
		{	/* Effect/cgraph.sch 136 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_93)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_94), BUNSPEC);
		}

	}



/* &global/from-library-set! */
	obj_t BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2741, obj_t BgL_oz00_2742, obj_t BgL_vz00_2743)
	{
		{	/* Effect/cgraph.sch 136 */
			return
				BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2742), BgL_vz00_2743);
		}

	}



/* global/from-eval? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_95)
	{
		{	/* Effect/cgraph.sch 137 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_95)))->BgL_evalzf3zf3);
		}

	}



/* &global/from-eval? */
	obj_t BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2744, obj_t BgL_oz00_2745)
	{
		{	/* Effect/cgraph.sch 137 */
			return
				BBOOL(BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(
					((BgL_globalz00_bglt) BgL_oz00_2745)));
		}

	}



/* global/from-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_96, bool_t BgL_vz00_97)
	{
		{	/* Effect/cgraph.sch 138 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_96)))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_97), BUNSPEC);
		}

	}



/* &global/from-eval?-set! */
	obj_t BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2746, obj_t BgL_oz00_2747, obj_t BgL_vz00_2748)
	{
		{	/* Effect/cgraph.sch 138 */
			return
				BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2747), CBOOL(BgL_vz00_2748));
		}

	}



/* global/from-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_98)
	{
		{	/* Effect/cgraph.sch 139 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_98)))->BgL_evaluablezf3zf3);
		}

	}



/* &global/from-evaluable? */
	obj_t BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2749, obj_t BgL_oz00_2750)
	{
		{	/* Effect/cgraph.sch 139 */
			return
				BBOOL(BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(
					((BgL_globalz00_bglt) BgL_oz00_2750)));
		}

	}



/* global/from-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_99, bool_t BgL_vz00_100)
	{
		{	/* Effect/cgraph.sch 140 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_99)))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_100), BUNSPEC);
		}

	}



/* &global/from-evaluable?-set! */
	obj_t BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2751, obj_t BgL_oz00_2752, obj_t BgL_vz00_2753)
	{
		{	/* Effect/cgraph.sch 140 */
			return
				BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2752), CBOOL(BgL_vz00_2753));
		}

	}



/* global/from-import */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_101)
	{
		{	/* Effect/cgraph.sch 141 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_101)))->BgL_importz00);
		}

	}



/* &global/from-import */
	obj_t BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2754, obj_t BgL_oz00_2755)
	{
		{	/* Effect/cgraph.sch 141 */
			return
				BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2755));
		}

	}



/* global/from-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_102, obj_t BgL_vz00_103)
	{
		{	/* Effect/cgraph.sch 142 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_102)))->BgL_importz00) =
				((obj_t) BgL_vz00_103), BUNSPEC);
		}

	}



/* &global/from-import-set! */
	obj_t BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2756, obj_t BgL_oz00_2757, obj_t BgL_vz00_2758)
	{
		{	/* Effect/cgraph.sch 142 */
			return
				BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2757), BgL_vz00_2758);
		}

	}



/* global/from-module */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_104)
	{
		{	/* Effect/cgraph.sch 143 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_104)))->BgL_modulez00);
		}

	}



/* &global/from-module */
	obj_t BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2759, obj_t BgL_oz00_2760)
	{
		{	/* Effect/cgraph.sch 143 */
			return
				BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2760));
		}

	}



/* global/from-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_105, obj_t BgL_vz00_106)
	{
		{	/* Effect/cgraph.sch 144 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_105)))->BgL_modulez00) =
				((obj_t) BgL_vz00_106), BUNSPEC);
		}

	}



/* &global/from-module-set! */
	obj_t BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2761, obj_t BgL_oz00_2762, obj_t BgL_vz00_2763)
	{
		{	/* Effect/cgraph.sch 144 */
			return
				BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2762), BgL_vz00_2763);
		}

	}



/* global/from-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_107)
	{
		{	/* Effect/cgraph.sch 145 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_107)))->BgL_userzf3zf3);
		}

	}



/* &global/from-user? */
	obj_t BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2764, obj_t BgL_oz00_2765)
	{
		{	/* Effect/cgraph.sch 145 */
			return
				BBOOL(BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(
					((BgL_globalz00_bglt) BgL_oz00_2765)));
		}

	}



/* global/from-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_108, bool_t BgL_vz00_109)
	{
		{	/* Effect/cgraph.sch 146 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_108)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_109), BUNSPEC);
		}

	}



/* &global/from-user?-set! */
	obj_t BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2766, obj_t BgL_oz00_2767, obj_t BgL_vz00_2768)
	{
		{	/* Effect/cgraph.sch 146 */
			return
				BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2767), CBOOL(BgL_vz00_2768));
		}

	}



/* global/from-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_110)
	{
		{	/* Effect/cgraph.sch 147 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_110)))->BgL_occurrencewz00);
		}

	}



/* &global/from-occurrencew */
	obj_t BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2769, obj_t BgL_oz00_2770)
	{
		{	/* Effect/cgraph.sch 147 */
			return
				BINT(BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(
					((BgL_globalz00_bglt) BgL_oz00_2770)));
		}

	}



/* global/from-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_111, long BgL_vz00_112)
	{
		{	/* Effect/cgraph.sch 148 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_111)))->BgL_occurrencewz00) =
				((long) BgL_vz00_112), BUNSPEC);
		}

	}



/* &global/from-occurrencew-set! */
	obj_t BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2771, obj_t BgL_oz00_2772, obj_t BgL_vz00_2773)
	{
		{	/* Effect/cgraph.sch 148 */
			return
				BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2772), (long) CINT(BgL_vz00_2773));
		}

	}



/* global/from-occurrence */
	BGL_EXPORTED_DEF long
		BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_113)
	{
		{	/* Effect/cgraph.sch 149 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_113)))->BgL_occurrencez00);
		}

	}



/* &global/from-occurrence */
	obj_t BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2774, obj_t BgL_oz00_2775)
	{
		{	/* Effect/cgraph.sch 149 */
			return
				BINT(BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(
					((BgL_globalz00_bglt) BgL_oz00_2775)));
		}

	}



/* global/from-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_114, long BgL_vz00_115)
	{
		{	/* Effect/cgraph.sch 150 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_114)))->BgL_occurrencez00) =
				((long) BgL_vz00_115), BUNSPEC);
		}

	}



/* &global/from-occurrence-set! */
	obj_t BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2776, obj_t BgL_oz00_2777, obj_t BgL_vz00_2778)
	{
		{	/* Effect/cgraph.sch 150 */
			return
				BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2777), (long) CINT(BgL_vz00_2778));
		}

	}



/* global/from-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_116)
	{
		{	/* Effect/cgraph.sch 151 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_116)))->BgL_removablez00);
		}

	}



/* &global/from-removable */
	obj_t BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2779, obj_t BgL_oz00_2780)
	{
		{	/* Effect/cgraph.sch 151 */
			return
				BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2780));
		}

	}



/* global/from-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_117, obj_t BgL_vz00_118)
	{
		{	/* Effect/cgraph.sch 152 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_117)))->BgL_removablez00) =
				((obj_t) BgL_vz00_118), BUNSPEC);
		}

	}



/* &global/from-removable-set! */
	obj_t BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2781, obj_t BgL_oz00_2782, obj_t BgL_vz00_2783)
	{
		{	/* Effect/cgraph.sch 152 */
			return
				BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2782), BgL_vz00_2783);
		}

	}



/* global/from-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_119)
	{
		{	/* Effect/cgraph.sch 153 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_119)))->BgL_fastzd2alphazd2);
		}

	}



/* &global/from-fast-alpha */
	obj_t BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2784, obj_t BgL_oz00_2785)
	{
		{	/* Effect/cgraph.sch 153 */
			return
				BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2785));
		}

	}



/* global/from-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_120, obj_t BgL_vz00_121)
	{
		{	/* Effect/cgraph.sch 154 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_120)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_121), BUNSPEC);
		}

	}



/* &global/from-fast-alpha-set! */
	obj_t BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t
		BgL_envz00_2786, obj_t BgL_oz00_2787, obj_t BgL_vz00_2788)
	{
		{	/* Effect/cgraph.sch 154 */
			return
				BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2787), BgL_vz00_2788);
		}

	}



/* global/from-access */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_122)
	{
		{	/* Effect/cgraph.sch 155 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_122)))->BgL_accessz00);
		}

	}



/* &global/from-access */
	obj_t BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2789, obj_t BgL_oz00_2790)
	{
		{	/* Effect/cgraph.sch 155 */
			return
				BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2790));
		}

	}



/* global/from-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_123, obj_t BgL_vz00_124)
	{
		{	/* Effect/cgraph.sch 156 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_123)))->BgL_accessz00) =
				((obj_t) BgL_vz00_124), BUNSPEC);
		}

	}



/* &global/from-access-set! */
	obj_t BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2791, obj_t BgL_oz00_2792, obj_t BgL_vz00_2793)
	{
		{	/* Effect/cgraph.sch 156 */
			return
				BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2792), BgL_vz00_2793);
		}

	}



/* global/from-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_125)
	{
		{	/* Effect/cgraph.sch 157 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_125)))->BgL_valuez00);
		}

	}



/* &global/from-value */
	BgL_valuez00_bglt BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2794, obj_t BgL_oz00_2795)
	{
		{	/* Effect/cgraph.sch 157 */
			return
				BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2795));
		}

	}



/* global/from-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_126, BgL_valuez00_bglt BgL_vz00_127)
	{
		{	/* Effect/cgraph.sch 158 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_126)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_127), BUNSPEC);
		}

	}



/* &global/from-value-set! */
	obj_t BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2796, obj_t BgL_oz00_2797, obj_t BgL_vz00_2798)
	{
		{	/* Effect/cgraph.sch 158 */
			return
				BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2797),
				((BgL_valuez00_bglt) BgL_vz00_2798));
		}

	}



/* global/from-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_128)
	{
		{	/* Effect/cgraph.sch 159 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_128)))->BgL_typez00);
		}

	}



/* &global/from-type */
	BgL_typez00_bglt BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2799, obj_t BgL_oz00_2800)
	{
		{	/* Effect/cgraph.sch 159 */
			return
				BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2800));
		}

	}



/* global/from-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_129, BgL_typez00_bglt BgL_vz00_130)
	{
		{	/* Effect/cgraph.sch 160 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_129)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_130), BUNSPEC);
		}

	}



/* &global/from-type-set! */
	obj_t BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2801, obj_t BgL_oz00_2802, obj_t BgL_vz00_2803)
	{
		{	/* Effect/cgraph.sch 160 */
			return
				BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2802),
				((BgL_typez00_bglt) BgL_vz00_2803));
		}

	}



/* global/from-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_131)
	{
		{	/* Effect/cgraph.sch 161 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_131)))->BgL_namez00);
		}

	}



/* &global/from-name */
	obj_t BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00(obj_t BgL_envz00_2804,
		obj_t BgL_oz00_2805)
	{
		{	/* Effect/cgraph.sch 161 */
			return
				BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2805));
		}

	}



/* global/from-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_132, obj_t BgL_vz00_133)
	{
		{	/* Effect/cgraph.sch 162 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_132)))->BgL_namez00) =
				((obj_t) BgL_vz00_133), BUNSPEC);
		}

	}



/* &global/from-name-set! */
	obj_t BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2806, obj_t BgL_oz00_2807, obj_t BgL_vz00_2808)
	{
		{	/* Effect/cgraph.sch 162 */
			return
				BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2807), BgL_vz00_2808);
		}

	}



/* global/from-id */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(BgL_globalz00_bglt BgL_oz00_134)
	{
		{	/* Effect/cgraph.sch 163 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_134)))->BgL_idz00);
		}

	}



/* &global/from-id */
	obj_t BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00(obj_t BgL_envz00_2809,
		obj_t BgL_oz00_2810)
	{
		{	/* Effect/cgraph.sch 163 */
			return
				BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2810));
		}

	}



/* fun-call-graph! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_variablez00_137)
	{
		{	/* Effect/cgraph.scm 31 */
			BGl_za2varzf2allza2zf2zzeffect_cgraphz00 =
				MAKE_YOUNG_PAIR(
				((obj_t) BgL_variablez00_137),
				BGl_za2varzf2allza2zf2zzeffect_cgraphz00);
			{	/* Effect/cgraph.scm 33 */
				obj_t BgL_arg1387z00_1550;

				BgL_arg1387z00_1550 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_137))->
									BgL_valuez00))))->BgL_bodyz00);
				return BGl_callzd2graphz12zc0zzeffect_cgraphz00(((BgL_nodez00_bglt)
						BgL_arg1387z00_1550), BgL_variablez00_137);
			}
		}

	}



/* &fun-call-graph! */
	obj_t BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00(obj_t BgL_envz00_2811,
		obj_t BgL_variablez00_2812)
	{
		{	/* Effect/cgraph.scm 31 */
			return
				BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_variablez00_2812));
		}

	}



/* call-graph*! */
	bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t BgL_nodeza2za2_176,
		obj_t BgL_ownerz00_177)
	{
		{	/* Effect/cgraph.scm 206 */
			{
				obj_t BgL_l1314z00_1553;

				BgL_l1314z00_1553 = BgL_nodeza2za2_176;
			BgL_zc3z04anonymousza31401ze3z87_1554:
				if (PAIRP(BgL_l1314z00_1553))
					{	/* Effect/cgraph.scm 207 */
						{	/* Effect/cgraph.scm 207 */
							obj_t BgL_nodez00_1556;

							BgL_nodez00_1556 = CAR(BgL_l1314z00_1553);
							BGl_callzd2graphz12zc0zzeffect_cgraphz00(
								((BgL_nodez00_bglt) BgL_nodez00_1556),
								((BgL_variablez00_bglt) BgL_ownerz00_177));
						}
						{
							obj_t BgL_l1314z00_3777;

							BgL_l1314z00_3777 = CDR(BgL_l1314z00_1553);
							BgL_l1314z00_1553 = BgL_l1314z00_3777;
							goto BgL_zc3z04anonymousza31401ze3z87_1554;
						}
					}
				else
					{	/* Effect/cgraph.scm 207 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* get-var/side-effect */
	BGL_EXPORTED_DEF obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00()
	{
		{	/* Effect/cgraph.scm 251 */
			return BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00;
		}

	}



/* &get-var/side-effect */
	obj_t BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2813)
	{
		{	/* Effect/cgraph.scm 251 */
			return BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
		}

	}



/* get-var/all */
	BGL_EXPORTED_DEF obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00()
	{
		{	/* Effect/cgraph.scm 262 */
			return BGl_za2varzf2allza2zf2zzeffect_cgraphz00;
		}

	}



/* &get-var/all */
	obj_t BGl_z62getzd2varzf2allz42zzeffect_cgraphz00(obj_t BgL_envz00_2814)
	{
		{	/* Effect/cgraph.scm 262 */
			return BGl_getzd2varzf2allz20zzeffect_cgraphz00();
		}

	}



/* reset-effect-tables! */
	BGL_EXPORTED_DEF obj_t BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00()
	{
		{	/* Effect/cgraph.scm 273 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}

	}



/* &reset-effect-tables! */
	obj_t BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2815)
	{
		{	/* Effect/cgraph.scm 273 */
			return BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
		}

	}



/* mark-side-effect! */
	obj_t BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_vz00_188)
	{
		{	/* Effect/cgraph.scm 280 */
			{	/* Effect/cgraph.scm 283 */
				BgL_valuez00_bglt BgL_funz00_1559;

				BgL_funz00_1559 =
					(((BgL_variablez00_bglt) COBJECT(BgL_vz00_188))->BgL_valuez00);
				if (CBOOL(
						(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_funz00_1559)))->BgL_sidezd2effectzd2)))
					{	/* Effect/cgraph.scm 285 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_vz00_188),
									BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00)))
							{	/* Effect/cgraph.scm 288 */
								return CNST_TABLE_REF(((long) 0));
							}
						else
							{	/* Effect/cgraph.scm 288 */
								return (BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
									MAKE_YOUNG_PAIR(
										((obj_t) BgL_vz00_188),
										BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00),
									BUNSPEC);
							}
					}
				else
					{	/* Effect/cgraph.scm 285 */
						BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
							MAKE_YOUNG_PAIR(
							((obj_t) BgL_vz00_188),
							BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00);
						return ((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
											BgL_funz00_1559)))->BgL_sidezd2effectzd2) =
							((obj_t) BTRUE), BUNSPEC);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_cgraphz00()
	{
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 21 */
				obj_t BgL_arg1456z00_1566;
				obj_t BgL_arg1457z00_1567;

				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_v1316z00_1602;

					BgL_v1316z00_1602 = create_vector(((long) 1));
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_arg1524z00_1603;

						BgL_arg1524z00_1603 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc1908z00zzeffect_cgraphz00,
							BGl_proc1907z00zzeffect_cgraphz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1316z00_1602, ((long) 0), BgL_arg1524z00_1603);
					}
					BgL_arg1456z00_1566 = BgL_v1316z00_1602;
				}
				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_v1317z00_1613;

					BgL_v1317z00_1613 = create_vector(((long) 0));
					BgL_arg1457z00_1567 = BgL_v1317z00_1613;
				}
				BGl_localzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
					CNST_TABLE_REF(((long) 4)), BGl_localz00zzast_varz00, ((long) 19676),
					BGl_proc1912z00zzeffect_cgraphz00, BGl_proc1911z00zzeffect_cgraphz00,
					BFALSE, BGl_proc1910z00zzeffect_cgraphz00,
					BGl_proc1909z00zzeffect_cgraphz00, BgL_arg1456z00_1566,
					BgL_arg1457z00_1567);
			}
			{	/* Effect/cgraph.scm 22 */
				obj_t BgL_arg1552z00_1622;
				obj_t BgL_arg1554z00_1623;

				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_v1318z00_1665;

					BgL_v1318z00_1665 = create_vector(((long) 1));
					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_arg1581z00_1666;

						BgL_arg1581z00_1666 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc1914z00zzeffect_cgraphz00,
							BGl_proc1913z00zzeffect_cgraphz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1318z00_1665, ((long) 0), BgL_arg1581z00_1666);
					}
					BgL_arg1552z00_1622 = BgL_v1318z00_1665;
				}
				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_v1319z00_1676;

					BgL_v1319z00_1676 = create_vector(((long) 0));
					BgL_arg1554z00_1623 = BgL_v1319z00_1676;
				}
				return (BGl_globalzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 5)),
						CNST_TABLE_REF(((long) 4)), BGl_globalz00zzast_varz00,
						((long) 6288), BGl_proc1918z00zzeffect_cgraphz00,
						BGl_proc1917z00zzeffect_cgraphz00, BFALSE,
						BGl_proc1916z00zzeffect_cgraphz00,
						BGl_proc1915z00zzeffect_cgraphz00, BgL_arg1552z00_1622,
						BgL_arg1554z00_1623), BUNSPEC);
		}}

	}



/* &lambda1569 */
	BgL_globalz00_bglt BGl_z62lambda1569z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2828, obj_t BgL_o1147z00_2829)
	{
		{	/* Effect/cgraph.scm 22 */
			{	/* Effect/cgraph.scm 22 */
				long BgL_arg1570z00_3042;

				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_arg1571z00_3043;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_arg1578z00_3044;

						{	/* Effect/cgraph.scm 22 */
							long BgL_arg1833z00_3045;

							{	/* Effect/cgraph.scm 22 */
								long BgL_arg1834z00_3046;

								BgL_arg1834z00_3046 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt) BgL_o1147z00_2829)));
								BgL_arg1833z00_3045 = (BgL_arg1834z00_3046 - OBJECT_TYPE);
							}
							BgL_arg1578z00_3044 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_3045);
						}
						BgL_arg1571z00_3043 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1578z00_3044);
					}
					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_tmpz00_3822;

						BgL_tmpz00_3822 = ((obj_t) BgL_arg1571z00_3043);
						BgL_arg1570z00_3042 = BGL_CLASS_NUM(BgL_tmpz00_3822);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) BgL_o1147z00_2829)), BgL_arg1570z00_3042);
			}
			{	/* Effect/cgraph.scm 22 */
				BgL_objectz00_bglt BgL_tmpz00_3828;

				BgL_tmpz00_3828 =
					((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1147z00_2829));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3828, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1147z00_2829));
			return ((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1147z00_2829));
		}

	}



/* &<@anonymous:1568> */
	obj_t BGl_z62zc3z04anonymousza31568ze3ze5zzeffect_cgraphz00(obj_t
		BgL_envz00_2830, obj_t BgL_new1146z00_2831)
	{
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_auxz00_3836;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1146z00_2831))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1146z00_2831))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3844;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_classz00_3048;

						BgL_classz00_3048 = BGl_typez00zztype_typez00;
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL__ortest_1112z00_3049;

							BgL__ortest_1112z00_3049 = BGL_CLASS_NIL(BgL_classz00_3048);
							if (CBOOL(BgL__ortest_1112z00_3049))
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_3844 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_3049);
								}
							else
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_3844 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3048));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1146z00_2831))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3844), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_3854;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_classz00_3050;

						BgL_classz00_3050 = BGl_valuez00zzast_varz00;
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL__ortest_1112z00_3051;

							BgL__ortest_1112z00_3051 = BGL_CLASS_NIL(BgL_classz00_3050);
							if (CBOOL(BgL__ortest_1112z00_3051))
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_3854 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_3051);
								}
							else
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_3854 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3050));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1146z00_2831))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_3854), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1146z00_2831))))->
						BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1146z00_2831))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1146z00_2831))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1146z00_2831))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1146z00_2831))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1146z00_2831))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1146z00_2831))))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1146z00_2831))))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1146z00_2831))))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1146z00_2831))))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1146z00_2831))))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1146z00_2831))))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1146z00_2831))))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1146z00_2831))))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string1919z00zzeffect_cgraphz00), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1146z00_2831))))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1146z00_2831))))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_3913;

					{
						obj_t BgL_auxz00_3914;

						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_3915;

							BgL_tmpz00_3915 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt) BgL_new1146z00_2831));
							BgL_auxz00_3914 = BGL_OBJECT_WIDENING(BgL_tmpz00_3915);
						}
						BgL_auxz00_3913 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3914);
					}
					((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_3913))->
							BgL_fromz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_3836 = ((BgL_globalz00_bglt) BgL_new1146z00_2831);
				return ((obj_t) BgL_auxz00_3836);
			}
		}

	}



/* &lambda1565 */
	BgL_globalz00_bglt BGl_z62lambda1565z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2832, obj_t BgL_o1143z00_2833)
	{
		{	/* Effect/cgraph.scm 22 */
			{	/* Effect/cgraph.scm 22 */
				BgL_globalzf2fromzf2_bglt BgL_wide1145z00_3053;

				BgL_wide1145z00_3053 =
					((BgL_globalzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_globalzf2fromzf2_bgl))));
				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_auxz00_3928;
					BgL_objectz00_bglt BgL_tmpz00_3924;

					BgL_auxz00_3928 = ((obj_t) BgL_wide1145z00_3053);
					BgL_tmpz00_3924 =
						((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1143z00_2833)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3924, BgL_auxz00_3928);
				}
				((BgL_objectz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1143z00_2833)));
				{	/* Effect/cgraph.scm 22 */
					long BgL_arg1567z00_3054;

					BgL_arg1567z00_3054 =
						BGL_CLASS_NUM(BGl_globalzf2fromzf2zzeffect_cgraphz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_o1143z00_2833))),
						BgL_arg1567z00_3054);
				}
				return
					((BgL_globalz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1143z00_2833)));
			}
		}

	}



/* &lambda1555 */
	BgL_globalz00_bglt BGl_z62lambda1555z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2834, obj_t BgL_id1122z00_2835, obj_t BgL_name1123z00_2836,
		obj_t BgL_type1124z00_2837, obj_t BgL_value1125z00_2838,
		obj_t BgL_access1126z00_2839, obj_t BgL_fastzd2alpha1127zd2_2840,
		obj_t BgL_removable1128z00_2841, obj_t BgL_occurrence1129z00_2842,
		obj_t BgL_occurrencew1130z00_2843, obj_t BgL_userzf31131zf3_2844,
		obj_t BgL_module1132z00_2845, obj_t BgL_import1133z00_2846,
		obj_t BgL_evaluablezf31134zf3_2847, obj_t BgL_evalzf31135zf3_2848,
		obj_t BgL_library1136z00_2849, obj_t BgL_pragma1137z00_2850,
		obj_t BgL_src1138z00_2851, obj_t BgL_jvmzd2typezd2name1139z00_2852,
		obj_t BgL_init1140z00_2853, obj_t BgL_alias1141z00_2854,
		obj_t BgL_from1142z00_2855)
	{
		{	/* Effect/cgraph.scm 22 */
			{	/* Effect/cgraph.scm 22 */
				long BgL_occurrence1129z00_3058;
				long BgL_occurrencew1130z00_3059;
				bool_t BgL_userzf31131zf3_3060;
				bool_t BgL_evaluablezf31134zf3_3062;
				bool_t BgL_evalzf31135zf3_3063;

				BgL_occurrence1129z00_3058 = (long) CINT(BgL_occurrence1129z00_2842);
				BgL_occurrencew1130z00_3059 = (long) CINT(BgL_occurrencew1130z00_2843);
				BgL_userzf31131zf3_3060 = CBOOL(BgL_userzf31131zf3_2844);
				BgL_evaluablezf31134zf3_3062 = CBOOL(BgL_evaluablezf31134zf3_2847);
				BgL_evalzf31135zf3_3063 = CBOOL(BgL_evalzf31135zf3_2848);
				{	/* Effect/cgraph.scm 22 */
					BgL_globalz00_bglt BgL_new1196z00_3065;

					{	/* Effect/cgraph.scm 22 */
						BgL_globalz00_bglt BgL_tmp1194z00_3066;
						BgL_globalzf2fromzf2_bglt BgL_wide1195z00_3067;

						{
							BgL_globalz00_bglt BgL_auxz00_3947;

							{	/* Effect/cgraph.scm 22 */
								BgL_globalz00_bglt BgL_new1193z00_3068;

								BgL_new1193z00_3068 =
									((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Effect/cgraph.scm 22 */
									long BgL_arg1564z00_3069;

									BgL_arg1564z00_3069 =
										BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1193z00_3068),
										BgL_arg1564z00_3069);
								}
								{	/* Effect/cgraph.scm 22 */
									BgL_objectz00_bglt BgL_tmpz00_3952;

									BgL_tmpz00_3952 = ((BgL_objectz00_bglt) BgL_new1193z00_3068);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3952, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1193z00_3068);
								BgL_auxz00_3947 = BgL_new1193z00_3068;
							}
							BgL_tmp1194z00_3066 = ((BgL_globalz00_bglt) BgL_auxz00_3947);
						}
						BgL_wide1195z00_3067 =
							((BgL_globalzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_globalzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL_auxz00_3960;
							BgL_objectz00_bglt BgL_tmpz00_3958;

							BgL_auxz00_3960 = ((obj_t) BgL_wide1195z00_3067);
							BgL_tmpz00_3958 = ((BgL_objectz00_bglt) BgL_tmp1194z00_3066);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3958, BgL_auxz00_3960);
						}
						((BgL_objectz00_bglt) BgL_tmp1194z00_3066);
						{	/* Effect/cgraph.scm 22 */
							long BgL_arg1563z00_3070;

							BgL_arg1563z00_3070 =
								BGL_CLASS_NUM(BGl_globalzf2fromzf2zzeffect_cgraphz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1194z00_3066),
								BgL_arg1563z00_3070);
						}
						BgL_new1196z00_3065 = ((BgL_globalz00_bglt) BgL_tmp1194z00_3066);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1196z00_3065)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1122z00_2835)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_3065)))->BgL_namez00) =
						((obj_t) BgL_name1123z00_2836), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_3065)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1124z00_2837)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_3065)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1125z00_2838)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_3065)))->BgL_accessz00) =
						((obj_t) BgL_access1126z00_2839), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_3065)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1127zd2_2840), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_3065)))->BgL_removablez00) =
						((obj_t) BgL_removable1128z00_2841), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_3065)))->BgL_occurrencez00) =
						((long) BgL_occurrence1129z00_3058), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_3065)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1130z00_3059), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_3065)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31131zf3_3060), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3065)))->BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1132z00_2845)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3065)))->BgL_importz00) =
						((obj_t) BgL_import1133z00_2846), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3065)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31134zf3_3062), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3065)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31135zf3_3063), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3065)))->BgL_libraryz00) =
						((obj_t) BgL_library1136z00_2849), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3065)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1137z00_2850), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3065)))->BgL_srcz00) =
						((obj_t) BgL_src1138z00_2851), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3065)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) ((obj_t) BgL_jvmzd2typezd2name1139z00_2852)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3065)))->BgL_initz00) =
						((obj_t) BgL_init1140z00_2853), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3065)))->BgL_aliasz00) =
						((obj_t) BgL_alias1141z00_2854), BUNSPEC);
					{
						BgL_globalzf2fromzf2_bglt BgL_auxz00_4013;

						{
							obj_t BgL_auxz00_4014;

							{	/* Effect/cgraph.scm 22 */
								BgL_objectz00_bglt BgL_tmpz00_4015;

								BgL_tmpz00_4015 = ((BgL_objectz00_bglt) BgL_new1196z00_3065);
								BgL_auxz00_4014 = BGL_OBJECT_WIDENING(BgL_tmpz00_4015);
							}
							BgL_auxz00_4013 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4014);
						}
						((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4013))->
								BgL_fromz00) = ((obj_t) BgL_from1142z00_2855), BUNSPEC);
					}
					return BgL_new1196z00_3065;
				}
			}
		}

	}



/* &lambda1585 */
	obj_t BGl_z62lambda1585z62zzeffect_cgraphz00(obj_t BgL_envz00_2856,
		obj_t BgL_oz00_2857, obj_t BgL_vz00_2858)
	{
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_4020;

				{
					obj_t BgL_auxz00_4021;

					{	/* Effect/cgraph.scm 22 */
						BgL_objectz00_bglt BgL_tmpz00_4022;

						BgL_tmpz00_4022 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_2857));
						BgL_auxz00_4021 = BGL_OBJECT_WIDENING(BgL_tmpz00_4022);
					}
					BgL_auxz00_4020 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4021);
				}
				return
					((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4020))->
						BgL_fromz00) = ((obj_t) BgL_vz00_2858), BUNSPEC);
			}
		}

	}



/* &lambda1584 */
	obj_t BGl_z62lambda1584z62zzeffect_cgraphz00(obj_t BgL_envz00_2859,
		obj_t BgL_oz00_2860)
	{
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_4028;

				{
					obj_t BgL_auxz00_4029;

					{	/* Effect/cgraph.scm 22 */
						BgL_objectz00_bglt BgL_tmpz00_4030;

						BgL_tmpz00_4030 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_2860));
						BgL_auxz00_4029 = BGL_OBJECT_WIDENING(BgL_tmpz00_4030);
					}
					BgL_auxz00_4028 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4029);
				}
				return
					(((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4028))->BgL_fromz00);
			}
		}

	}



/* &lambda1496 */
	BgL_localz00_bglt BGl_z62lambda1496z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2861, obj_t BgL_o1120z00_2862)
	{
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				long BgL_arg1497z00_3074;

				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_arg1500z00_3075;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_arg1520z00_3076;

						{	/* Effect/cgraph.scm 21 */
							long BgL_arg1833z00_3077;

							{	/* Effect/cgraph.scm 21 */
								long BgL_arg1834z00_3078;

								BgL_arg1834z00_3078 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1120z00_2862)));
								BgL_arg1833z00_3077 = (BgL_arg1834z00_3078 - OBJECT_TYPE);
							}
							BgL_arg1520z00_3076 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_3077);
						}
						BgL_arg1500z00_3075 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1520z00_3076);
					}
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_tmpz00_4042;

						BgL_tmpz00_4042 = ((obj_t) BgL_arg1500z00_3075);
						BgL_arg1497z00_3074 = BGL_CLASS_NUM(BgL_tmpz00_4042);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1120z00_2862)), BgL_arg1497z00_3074);
			}
			{	/* Effect/cgraph.scm 21 */
				BgL_objectz00_bglt BgL_tmpz00_4048;

				BgL_tmpz00_4048 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1120z00_2862));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4048, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1120z00_2862));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1120z00_2862));
		}

	}



/* &<@anonymous:1495> */
	obj_t BGl_z62zc3z04anonymousza31495ze3ze5zzeffect_cgraphz00(obj_t
		BgL_envz00_2863, obj_t BgL_new1119z00_2864)
	{
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_auxz00_4056;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1119z00_2864))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1119z00_2864))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4064;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_classz00_3080;

						BgL_classz00_3080 = BGl_typez00zztype_typez00;
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL__ortest_1112z00_3081;

							BgL__ortest_1112z00_3081 = BGL_CLASS_NIL(BgL_classz00_3080);
							if (CBOOL(BgL__ortest_1112z00_3081))
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4064 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_3081);
								}
							else
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4064 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3080));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1119z00_2864))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4064), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4074;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_classz00_3082;

						BgL_classz00_3082 = BGl_valuez00zzast_varz00;
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL__ortest_1112z00_3083;

							BgL__ortest_1112z00_3083 = BGL_CLASS_NIL(BgL_classz00_3082);
							if (CBOOL(BgL__ortest_1112z00_3083))
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4074 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_3083);
								}
							else
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4074 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3082));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1119z00_2864))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4074), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1119z00_2864))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1119z00_2864))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1119z00_2864))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1119z00_2864))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1119z00_2864))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1119z00_2864))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1119z00_2864))))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1119z00_2864))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1119z00_2864))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4111;

					{
						obj_t BgL_auxz00_4112;

						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_tmpz00_4113;

							BgL_tmpz00_4113 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1119z00_2864));
							BgL_auxz00_4112 = BGL_OBJECT_WIDENING(BgL_tmpz00_4113);
						}
						BgL_auxz00_4111 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4112);
					}
					((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4111))->
							BgL_fromz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_4056 = ((BgL_localz00_bglt) BgL_new1119z00_2864);
				return ((obj_t) BgL_auxz00_4056);
			}
		}

	}



/* &lambda1478 */
	BgL_localz00_bglt BGl_z62lambda1478z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2865, obj_t BgL_o1116z00_2866)
	{
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				BgL_localzf2fromzf2_bglt BgL_wide1118z00_3085;

				BgL_wide1118z00_3085 =
					((BgL_localzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2fromzf2_bgl))));
				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_auxz00_4126;
					BgL_objectz00_bglt BgL_tmpz00_4122;

					BgL_auxz00_4126 = ((obj_t) BgL_wide1118z00_3085);
					BgL_tmpz00_4122 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1116z00_2866)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4122, BgL_auxz00_4126);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1116z00_2866)));
				{	/* Effect/cgraph.scm 21 */
					long BgL_arg1494z00_3086;

					BgL_arg1494z00_3086 =
						BGL_CLASS_NUM(BGl_localzf2fromzf2zzeffect_cgraphz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1116z00_2866))), BgL_arg1494z00_3086);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1116z00_2866)));
			}
		}

	}



/* &lambda1458 */
	BgL_localz00_bglt BGl_z62lambda1458z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2867, obj_t BgL_id1102z00_2868, obj_t BgL_name1103z00_2869,
		obj_t BgL_type1104z00_2870, obj_t BgL_value1105z00_2871,
		obj_t BgL_access1106z00_2872, obj_t BgL_fastzd2alpha1107zd2_2873,
		obj_t BgL_removable1108z00_2874, obj_t BgL_occurrence1109z00_2875,
		obj_t BgL_occurrencew1110z00_2876, obj_t BgL_userzf31111zf3_2877,
		obj_t BgL_key1112z00_2878, obj_t BgL_valzd2noescape1113zd2_2879,
		obj_t BgL_volatile1114z00_2880, obj_t BgL_from1115z00_2881)
	{
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				long BgL_occurrence1109z00_3090;
				long BgL_occurrencew1110z00_3091;
				bool_t BgL_userzf31111zf3_3092;
				long BgL_key1112z00_3093;
				bool_t BgL_volatile1114z00_3094;

				BgL_occurrence1109z00_3090 = (long) CINT(BgL_occurrence1109z00_2875);
				BgL_occurrencew1110z00_3091 = (long) CINT(BgL_occurrencew1110z00_2876);
				BgL_userzf31111zf3_3092 = CBOOL(BgL_userzf31111zf3_2877);
				BgL_key1112z00_3093 = (long) CINT(BgL_key1112z00_2878);
				BgL_volatile1114z00_3094 = CBOOL(BgL_volatile1114z00_2880);
				{	/* Effect/cgraph.scm 21 */
					BgL_localz00_bglt BgL_new1191z00_3095;

					{	/* Effect/cgraph.scm 21 */
						BgL_localz00_bglt BgL_tmp1189z00_3096;
						BgL_localzf2fromzf2_bglt BgL_wide1190z00_3097;

						{
							BgL_localz00_bglt BgL_auxz00_4145;

							{	/* Effect/cgraph.scm 21 */
								BgL_localz00_bglt BgL_new1188z00_3098;

								BgL_new1188z00_3098 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Effect/cgraph.scm 21 */
									long BgL_arg1477z00_3099;

									BgL_arg1477z00_3099 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1188z00_3098),
										BgL_arg1477z00_3099);
								}
								{	/* Effect/cgraph.scm 21 */
									BgL_objectz00_bglt BgL_tmpz00_4150;

									BgL_tmpz00_4150 = ((BgL_objectz00_bglt) BgL_new1188z00_3098);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4150, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1188z00_3098);
								BgL_auxz00_4145 = BgL_new1188z00_3098;
							}
							BgL_tmp1189z00_3096 = ((BgL_localz00_bglt) BgL_auxz00_4145);
						}
						BgL_wide1190z00_3097 =
							((BgL_localzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_auxz00_4158;
							BgL_objectz00_bglt BgL_tmpz00_4156;

							BgL_auxz00_4158 = ((obj_t) BgL_wide1190z00_3097);
							BgL_tmpz00_4156 = ((BgL_objectz00_bglt) BgL_tmp1189z00_3096);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4156, BgL_auxz00_4158);
						}
						((BgL_objectz00_bglt) BgL_tmp1189z00_3096);
						{	/* Effect/cgraph.scm 21 */
							long BgL_arg1462z00_3100;

							BgL_arg1462z00_3100 =
								BGL_CLASS_NUM(BGl_localzf2fromzf2zzeffect_cgraphz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1189z00_3096),
								BgL_arg1462z00_3100);
						}
						BgL_new1191z00_3095 = ((BgL_localz00_bglt) BgL_tmp1189z00_3096);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1191z00_3095)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1102z00_2868)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1191z00_3095)))->BgL_namez00) =
						((obj_t) BgL_name1103z00_2869), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1191z00_3095)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1104z00_2870)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1191z00_3095)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1105z00_2871)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1191z00_3095)))->BgL_accessz00) =
						((obj_t) BgL_access1106z00_2872), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1191z00_3095)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1107zd2_2873), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1191z00_3095)))->BgL_removablez00) =
						((obj_t) BgL_removable1108z00_2874), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1191z00_3095)))->BgL_occurrencez00) =
						((long) BgL_occurrence1109z00_3090), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1191z00_3095)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1110z00_3091), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1191z00_3095)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31111zf3_3092), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1191z00_3095)))->BgL_keyz00) =
						((long) BgL_key1112z00_3093), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1191z00_3095)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1113zd2_2879), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1191z00_3095)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1114z00_3094), BUNSPEC);
					{
						BgL_localzf2fromzf2_bglt BgL_auxz00_4195;

						{
							obj_t BgL_auxz00_4196;

							{	/* Effect/cgraph.scm 21 */
								BgL_objectz00_bglt BgL_tmpz00_4197;

								BgL_tmpz00_4197 = ((BgL_objectz00_bglt) BgL_new1191z00_3095);
								BgL_auxz00_4196 = BGL_OBJECT_WIDENING(BgL_tmpz00_4197);
							}
							BgL_auxz00_4195 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4196);
						}
						((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4195))->
								BgL_fromz00) = ((obj_t) BgL_from1115z00_2881), BUNSPEC);
					}
					return BgL_new1191z00_3095;
				}
			}
		}

	}



/* &lambda1538 */
	obj_t BGl_z62lambda1538z62zzeffect_cgraphz00(obj_t BgL_envz00_2882,
		obj_t BgL_oz00_2883, obj_t BgL_vz00_2884)
	{
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_4202;

				{
					obj_t BgL_auxz00_4203;

					{	/* Effect/cgraph.scm 21 */
						BgL_objectz00_bglt BgL_tmpz00_4204;

						BgL_tmpz00_4204 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2883));
						BgL_auxz00_4203 = BGL_OBJECT_WIDENING(BgL_tmpz00_4204);
					}
					BgL_auxz00_4202 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4203);
				}
				return
					((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4202))->
						BgL_fromz00) = ((obj_t) BgL_vz00_2884), BUNSPEC);
			}
		}

	}



/* &lambda1537 */
	obj_t BGl_z62lambda1537z62zzeffect_cgraphz00(obj_t BgL_envz00_2885,
		obj_t BgL_oz00_2886)
	{
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_4210;

				{
					obj_t BgL_auxz00_4211;

					{	/* Effect/cgraph.scm 21 */
						BgL_objectz00_bglt BgL_tmpz00_4212;

						BgL_tmpz00_4212 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2886));
						BgL_auxz00_4211 = BGL_OBJECT_WIDENING(BgL_tmpz00_4212);
					}
					BgL_auxz00_4210 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4211);
				}
				return
					(((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4210))->BgL_fromz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_cgraphz00()
	{
		{	/* Effect/cgraph.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_proc1920z00zzeffect_cgraphz00, BGl_nodez00zzast_nodez00,
				BGl_string1921z00zzeffect_cgraphz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_proc1922z00zzeffect_cgraphz00, BGl_variablez00zzast_varz00,
				BGl_string1923z00zzeffect_cgraphz00);
		}

	}



/* &save-call!1359 */
	obj_t BGl_z62savezd2callz121359za2zzeffect_cgraphz00(obj_t BgL_envz00_2889,
		obj_t BgL_calleez00_2890, obj_t BgL_ownerz00_2891)
	{
		{	/* Effect/cgraph.scm 212 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 7)),
				BGl_string1924z00zzeffect_cgraphz00,
				((obj_t) ((BgL_variablez00_bglt) BgL_calleez00_2890)));
		}

	}



/* &call-graph!1320 */
	obj_t BGl_z62callzd2graphz121320za2zzeffect_cgraphz00(obj_t BgL_envz00_2892,
		obj_t BgL_nodez00_2893, obj_t BgL_ownerz00_2894)
	{
		{	/* Effect/cgraph.scm 38 */
			return CNST_TABLE_REF(((long) 8));
		}

	}



/* call-graph! */
	obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt
		BgL_nodez00_138, BgL_variablez00_bglt BgL_ownerz00_139)
	{
		{	/* Effect/cgraph.scm 38 */
			{	/* Effect/cgraph.scm 38 */
				obj_t BgL_method1321z00_1691;

				{	/* Effect/cgraph.scm 38 */
					obj_t BgL_res1893z00_2284;

					{	/* Effect/cgraph.scm 38 */
						long BgL_objzd2classzd2numz00_2255;

						BgL_objzd2classzd2numz00_2255 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_138));
						{	/* Effect/cgraph.scm 38 */
							obj_t BgL_arg1829z00_2256;

							BgL_arg1829z00_2256 =
								PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
								(int) (((long) 1)));
							{	/* Effect/cgraph.scm 38 */
								int BgL_offsetz00_2259;

								BgL_offsetz00_2259 = (int) (BgL_objzd2classzd2numz00_2255);
								{	/* Effect/cgraph.scm 38 */
									long BgL_offsetz00_2260;

									BgL_offsetz00_2260 =
										((long) (BgL_offsetz00_2259) - OBJECT_TYPE);
									{	/* Effect/cgraph.scm 38 */
										long BgL_modz00_2261;

										BgL_modz00_2261 =
											(BgL_offsetz00_2260 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Effect/cgraph.scm 38 */
											long BgL_restz00_2263;

											BgL_restz00_2263 =
												(BgL_offsetz00_2260 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Effect/cgraph.scm 38 */

												{	/* Effect/cgraph.scm 38 */
													obj_t BgL_bucketz00_2265;

													BgL_bucketz00_2265 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2256), BgL_modz00_2261);
													BgL_res1893z00_2284 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2265), BgL_restz00_2263);
					}}}}}}}}
					BgL_method1321z00_1691 = BgL_res1893z00_2284;
				}
				return
					PROCEDURE_ENTRY(BgL_method1321z00_1691) (BgL_method1321z00_1691,
					((obj_t) BgL_nodez00_138), ((obj_t) BgL_ownerz00_139), BEOA);
			}
		}

	}



/* &call-graph! */
	obj_t BGl_z62callzd2graphz12za2zzeffect_cgraphz00(obj_t BgL_envz00_2895,
		obj_t BgL_nodez00_2896, obj_t BgL_ownerz00_2897)
	{
		{	/* Effect/cgraph.scm 38 */
			return
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(
				((BgL_nodez00_bglt) BgL_nodez00_2896),
				((BgL_variablez00_bglt) BgL_ownerz00_2897));
		}

	}



/* save-call! */
	obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_calleez00_178, BgL_variablez00_bglt BgL_ownerz00_179)
	{
		{	/* Effect/cgraph.scm 212 */
			{	/* Effect/cgraph.scm 212 */
				obj_t BgL_method1360z00_1692;

				{	/* Effect/cgraph.scm 212 */
					obj_t BgL_res1898z00_2315;

					{	/* Effect/cgraph.scm 212 */
						long BgL_objzd2classzd2numz00_2286;

						BgL_objzd2classzd2numz00_2286 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_calleez00_178));
						{	/* Effect/cgraph.scm 212 */
							obj_t BgL_arg1829z00_2287;

							BgL_arg1829z00_2287 =
								PROCEDURE_REF(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
								(int) (((long) 1)));
							{	/* Effect/cgraph.scm 212 */
								int BgL_offsetz00_2290;

								BgL_offsetz00_2290 = (int) (BgL_objzd2classzd2numz00_2286);
								{	/* Effect/cgraph.scm 212 */
									long BgL_offsetz00_2291;

									BgL_offsetz00_2291 =
										((long) (BgL_offsetz00_2290) - OBJECT_TYPE);
									{	/* Effect/cgraph.scm 212 */
										long BgL_modz00_2292;

										BgL_modz00_2292 =
											(BgL_offsetz00_2291 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Effect/cgraph.scm 212 */
											long BgL_restz00_2294;

											BgL_restz00_2294 =
												(BgL_offsetz00_2291 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Effect/cgraph.scm 212 */

												{	/* Effect/cgraph.scm 212 */
													obj_t BgL_bucketz00_2296;

													BgL_bucketz00_2296 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2287), BgL_modz00_2292);
													BgL_res1898z00_2315 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2296), BgL_restz00_2294);
					}}}}}}}}
					BgL_method1360z00_1692 = BgL_res1898z00_2315;
				}
				return
					PROCEDURE_ENTRY(BgL_method1360z00_1692) (BgL_method1360z00_1692,
					((obj_t) BgL_calleez00_178), ((obj_t) BgL_ownerz00_179), BEOA);
			}
		}

	}



/* &save-call! */
	obj_t BGl_z62savezd2callz12za2zzeffect_cgraphz00(obj_t BgL_envz00_2898,
		obj_t BgL_calleez00_2899, obj_t BgL_ownerz00_2900)
	{
		{	/* Effect/cgraph.scm 212 */
			return
				BGl_savezd2callz12zc0zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_calleez00_2899),
				((BgL_variablez00_bglt) BgL_ownerz00_2900));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_cgraphz00()
	{
		{	/* Effect/cgraph.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1925z00zzeffect_cgraphz00,
				BGl_string1926z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_syncz00zzast_nodez00, BGl_proc1927z00zzeffect_cgraphz00,
				BGl_string1926z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appz00zzast_nodez00, BGl_proc1928z00zzeffect_cgraphz00,
				BGl_string1926z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1929z00zzeffect_cgraphz00,
				BGl_string1926z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1930z00zzeffect_cgraphz00,
				BGl_string1926z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_externz00zzast_nodez00, BGl_proc1931z00zzeffect_cgraphz00,
				BGl_string1926z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_castz00zzast_nodez00, BGl_proc1932z00zzeffect_cgraphz00,
				BGl_string1926z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setqz00zzast_nodez00, BGl_proc1933z00zzeffect_cgraphz00,
				BGl_string1926z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1934z00zzeffect_cgraphz00,
				BGl_string1926z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_failz00zzast_nodez00, BGl_proc1935z00zzeffect_cgraphz00,
				BGl_string1926z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_switchz00zzast_nodez00, BGl_proc1936z00zzeffect_cgraphz00,
				BGl_string1926z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1937z00zzeffect_cgraphz00,
				BGl_string1926z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1938z00zzeffect_cgraphz00,
				BGl_string1926z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1939z00zzeffect_cgraphz00,
				BGl_string1926z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1940z00zzeffect_cgraphz00,
				BGl_string1926z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1941z00zzeffect_cgraphz00,
				BGl_string1926z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1942z00zzeffect_cgraphz00,
				BGl_string1926z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1943z00zzeffect_cgraphz00,
				BGl_string1926z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalz00zzast_varz00, BGl_proc1944z00zzeffect_cgraphz00,
				BGl_string1945z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalzf2fromzf2zzeffect_cgraphz00,
				BGl_proc1946z00zzeffect_cgraphz00, BGl_string1945z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localz00zzast_varz00, BGl_proc1947z00zzeffect_cgraphz00,
				BGl_string1945z00zzeffect_cgraphz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localzf2fromzf2zzeffect_cgraphz00,
				BGl_proc1948z00zzeffect_cgraphz00, BGl_string1945z00zzeffect_cgraphz00);
		}

	}



/* &save-call!-local/fro1368 */
	obj_t BGl_z62savezd2callz12zd2localzf2fro1368z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2923, obj_t BgL_calleez00_2924, obj_t BgL_ownerz00_2925)
	{
		{	/* Effect/cgraph.scm 243 */
			{	/* Effect/cgraph.scm 245 */
				bool_t BgL_test2089z00_4317;

				{	/* Effect/cgraph.scm 245 */
					obj_t BgL_arg1752z00_3108;

					{
						BgL_localzf2fromzf2_bglt BgL_auxz00_4318;

						{
							obj_t BgL_auxz00_4319;

							{	/* Effect/cgraph.scm 245 */
								BgL_objectz00_bglt BgL_tmpz00_4320;

								BgL_tmpz00_4320 =
									((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_calleez00_2924));
								BgL_auxz00_4319 = BGL_OBJECT_WIDENING(BgL_tmpz00_4320);
							}
							BgL_auxz00_4318 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4319);
						}
						BgL_arg1752z00_3108 =
							(((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4318))->
							BgL_fromz00);
					}
					BgL_test2089z00_4317 =
						CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_2925,
							BgL_arg1752z00_3108));
				}
				if (BgL_test2089z00_4317)
					{	/* Effect/cgraph.scm 245 */
						return BFALSE;
					}
				else
					{
						obj_t BgL_auxz00_4335;
						BgL_localzf2fromzf2_bglt BgL_auxz00_4328;

						{	/* Effect/cgraph.scm 246 */
							obj_t BgL_arg1751z00_3109;

							{
								BgL_localzf2fromzf2_bglt BgL_auxz00_4336;

								{
									obj_t BgL_auxz00_4337;

									{	/* Effect/cgraph.scm 246 */
										BgL_objectz00_bglt BgL_tmpz00_4338;

										BgL_tmpz00_4338 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_calleez00_2924));
										BgL_auxz00_4337 = BGL_OBJECT_WIDENING(BgL_tmpz00_4338);
									}
									BgL_auxz00_4336 =
										((BgL_localzf2fromzf2_bglt) BgL_auxz00_4337);
								}
								BgL_arg1751z00_3109 =
									(((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4336))->
									BgL_fromz00);
							}
							BgL_auxz00_4335 =
								MAKE_YOUNG_PAIR(BgL_ownerz00_2925, BgL_arg1751z00_3109);
						}
						{
							obj_t BgL_auxz00_4329;

							{	/* Effect/cgraph.scm 246 */
								BgL_objectz00_bglt BgL_tmpz00_4330;

								BgL_tmpz00_4330 =
									((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_calleez00_2924));
								BgL_auxz00_4329 = BGL_OBJECT_WIDENING(BgL_tmpz00_4330);
							}
							BgL_auxz00_4328 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4329);
						}
						return
							((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4328))->
								BgL_fromz00) = ((obj_t) BgL_auxz00_4335), BUNSPEC);
					}
			}
		}

	}



/* &save-call!-local1366 */
	obj_t BGl_z62savezd2callz12zd2local1366z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2926, obj_t BgL_calleez00_2927, obj_t BgL_ownerz00_2928)
	{
		{	/* Effect/cgraph.scm 237 */
			{	/* Effect/cgraph.scm 238 */
				BgL_localz00_bglt BgL_arg1747z00_3111;

				{	/* Effect/cgraph.scm 238 */
					BgL_localzf2fromzf2_bglt BgL_wide1185z00_3112;

					BgL_wide1185z00_3112 =
						((BgL_localzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_localzf2fromzf2_bgl))));
					{	/* Effect/cgraph.scm 238 */
						obj_t BgL_auxz00_4351;
						BgL_objectz00_bglt BgL_tmpz00_4347;

						BgL_auxz00_4351 = ((obj_t) BgL_wide1185z00_3112);
						BgL_tmpz00_4347 =
							((BgL_objectz00_bglt)
							((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_calleez00_2927)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4347, BgL_auxz00_4351);
					}
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_calleez00_2927)));
					{	/* Effect/cgraph.scm 238 */
						long BgL_arg1748z00_3113;

						BgL_arg1748z00_3113 =
							BGL_CLASS_NUM(BGl_localzf2fromzf2zzeffect_cgraphz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_localz00_bglt)
									((BgL_localz00_bglt) BgL_calleez00_2927))),
							BgL_arg1748z00_3113);
					}
					((BgL_localz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_calleez00_2927)));
				}
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4365;

					{
						obj_t BgL_auxz00_4366;

						{	/* Effect/cgraph.scm 238 */
							BgL_objectz00_bglt BgL_tmpz00_4367;

							BgL_tmpz00_4367 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_calleez00_2927)));
							BgL_auxz00_4366 = BGL_OBJECT_WIDENING(BgL_tmpz00_4367);
						}
						BgL_auxz00_4365 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4366);
					}
					((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4365))->
							BgL_fromz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_arg1747z00_3111 =
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_calleez00_2927));
				return
					BGl_savezd2callz12zc0zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_arg1747z00_3111),
					((BgL_variablez00_bglt) BgL_ownerz00_2928));
			}
		}

	}



/* &save-call!-global/fr1364 */
	obj_t BGl_z62savezd2callz12zd2globalzf2fr1364z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2929, obj_t BgL_calleez00_2930, obj_t BgL_ownerz00_2931)
	{
		{	/* Effect/cgraph.scm 229 */
			{	/* Effect/cgraph.scm 231 */
				bool_t BgL_test2090z00_4379;

				{	/* Effect/cgraph.scm 231 */
					obj_t BgL_arg1746z00_3115;

					{
						BgL_globalzf2fromzf2_bglt BgL_auxz00_4380;

						{
							obj_t BgL_auxz00_4381;

							{	/* Effect/cgraph.scm 231 */
								BgL_objectz00_bglt BgL_tmpz00_4382;

								BgL_tmpz00_4382 =
									((BgL_objectz00_bglt)
									((BgL_globalz00_bglt) BgL_calleez00_2930));
								BgL_auxz00_4381 = BGL_OBJECT_WIDENING(BgL_tmpz00_4382);
							}
							BgL_auxz00_4380 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4381);
						}
						BgL_arg1746z00_3115 =
							(((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4380))->
							BgL_fromz00);
					}
					BgL_test2090z00_4379 =
						CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_2931,
							BgL_arg1746z00_3115));
				}
				if (BgL_test2090z00_4379)
					{	/* Effect/cgraph.scm 231 */
						return BFALSE;
					}
				else
					{
						obj_t BgL_auxz00_4397;
						BgL_globalzf2fromzf2_bglt BgL_auxz00_4390;

						{	/* Effect/cgraph.scm 232 */
							obj_t BgL_arg1745z00_3116;

							{
								BgL_globalzf2fromzf2_bglt BgL_auxz00_4398;

								{
									obj_t BgL_auxz00_4399;

									{	/* Effect/cgraph.scm 232 */
										BgL_objectz00_bglt BgL_tmpz00_4400;

										BgL_tmpz00_4400 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt) BgL_calleez00_2930));
										BgL_auxz00_4399 = BGL_OBJECT_WIDENING(BgL_tmpz00_4400);
									}
									BgL_auxz00_4398 =
										((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4399);
								}
								BgL_arg1745z00_3116 =
									(((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4398))->
									BgL_fromz00);
							}
							BgL_auxz00_4397 =
								MAKE_YOUNG_PAIR(BgL_ownerz00_2931, BgL_arg1745z00_3116);
						}
						{
							obj_t BgL_auxz00_4391;

							{	/* Effect/cgraph.scm 232 */
								BgL_objectz00_bglt BgL_tmpz00_4392;

								BgL_tmpz00_4392 =
									((BgL_objectz00_bglt)
									((BgL_globalz00_bglt) BgL_calleez00_2930));
								BgL_auxz00_4391 = BGL_OBJECT_WIDENING(BgL_tmpz00_4392);
							}
							BgL_auxz00_4390 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4391);
						}
						return
							((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4390))->
								BgL_fromz00) = ((obj_t) BgL_auxz00_4397), BUNSPEC);
					}
			}
		}

	}



/* &save-call!-global1362 */
	obj_t BGl_z62savezd2callz12zd2global1362z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2932, obj_t BgL_calleez00_2933, obj_t BgL_ownerz00_2934)
	{
		{	/* Effect/cgraph.scm 217 */
			{	/* Effect/cgraph.scm 218 */
				BgL_valuez00_bglt BgL_funz00_3118;

				BgL_funz00_3118 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_calleez00_2933))))->BgL_valuez00);
				{	/* Effect/cgraph.scm 219 */
					bool_t BgL_test2091z00_4411;

					{	/* Effect/cgraph.scm 219 */
						bool_t BgL_test2092z00_4412;

						{	/* Effect/cgraph.scm 219 */
							obj_t BgL_classz00_3119;

							BgL_classz00_3119 = BGl_cfunz00zzast_varz00;
							{	/* Effect/cgraph.scm 219 */
								BgL_objectz00_bglt BgL_arg1825z00_3120;

								{	/* Effect/cgraph.scm 219 */
									obj_t BgL_tmpz00_4413;

									BgL_tmpz00_4413 =
										((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3118));
									BgL_arg1825z00_3120 = (BgL_objectz00_bglt) (BgL_tmpz00_4413);
								}
								{	/* Effect/cgraph.scm 219 */
									bool_t BgL_arg1822z00_3121;
									bool_t BgL_arg1823z00_3122;

									{	/* Effect/cgraph.scm 219 */
										long BgL_idxz00_3123;

										BgL_idxz00_3123 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3120);
										BgL_arg1822z00_3121 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3123 + ((long) 3))) == BgL_classz00_3119);
									}
									{	/* Effect/cgraph.scm 219 */
										bool_t BgL_res1901z00_3126;

										{	/* Effect/cgraph.scm 219 */
											obj_t BgL_oclassz00_3127;

											{	/* Effect/cgraph.scm 219 */
												long BgL_arg1833z00_3128;

												{	/* Effect/cgraph.scm 219 */
													long BgL_arg1834z00_3129;

													BgL_arg1834z00_3129 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3120);
													BgL_arg1833z00_3128 =
														(BgL_arg1834z00_3129 - OBJECT_TYPE);
												}
												BgL_oclassz00_3127 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_3128);
											}
											{	/* Effect/cgraph.scm 219 */
												bool_t BgL__ortest_1110z00_3130;

												BgL__ortest_1110z00_3130 =
													(BgL_classz00_3119 == BgL_oclassz00_3127);
												if (BgL__ortest_1110z00_3130)
													{	/* Effect/cgraph.scm 219 */
														BgL_res1901z00_3126 = BgL__ortest_1110z00_3130;
													}
												else
													{	/* Effect/cgraph.scm 219 */
														long BgL_odepthz00_3131;

														BgL_odepthz00_3131 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3127);
														if ((((long) 3) < BgL_odepthz00_3131))
															{	/* Effect/cgraph.scm 219 */
																obj_t BgL_arg1821z00_3132;

																BgL_arg1821z00_3132 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3127,
																	((long) 3));
																BgL_res1901z00_3126 =
																	(BgL_arg1821z00_3132 == BgL_classz00_3119);
															}
														else
															{	/* Effect/cgraph.scm 219 */
																BgL_res1901z00_3126 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_3122 = BgL_res1901z00_3126;
									}
									BgL_test2092z00_4412 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_3121, BgL_arg1823z00_3122);
								}
							}
						}
						if (BgL_test2092z00_4412)
							{	/* Effect/cgraph.scm 219 */
								BgL_test2091z00_4411 = ((bool_t) 1);
							}
						else
							{	/* Effect/cgraph.scm 220 */
								bool_t BgL_test2095z00_4432;

								{	/* Effect/cgraph.scm 220 */
									obj_t BgL_classz00_3133;

									BgL_classz00_3133 = BGl_sfunz00zzast_varz00;
									{	/* Effect/cgraph.scm 220 */
										BgL_objectz00_bglt BgL_arg1825z00_3134;

										{	/* Effect/cgraph.scm 220 */
											obj_t BgL_tmpz00_4433;

											BgL_tmpz00_4433 =
												((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3118));
											BgL_arg1825z00_3134 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4433);
										}
										{	/* Effect/cgraph.scm 220 */
											bool_t BgL_arg1822z00_3135;
											bool_t BgL_arg1823z00_3136;

											{	/* Effect/cgraph.scm 220 */
												long BgL_idxz00_3137;

												BgL_idxz00_3137 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3134);
												BgL_arg1822z00_3135 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3137 + ((long) 3))) ==
													BgL_classz00_3133);
											}
											{	/* Effect/cgraph.scm 220 */
												bool_t BgL_res1902z00_3140;

												{	/* Effect/cgraph.scm 220 */
													obj_t BgL_oclassz00_3141;

													{	/* Effect/cgraph.scm 220 */
														long BgL_arg1833z00_3142;

														{	/* Effect/cgraph.scm 220 */
															long BgL_arg1834z00_3143;

															BgL_arg1834z00_3143 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3134);
															BgL_arg1833z00_3142 =
																(BgL_arg1834z00_3143 - OBJECT_TYPE);
														}
														BgL_oclassz00_3141 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_3142);
													}
													{	/* Effect/cgraph.scm 220 */
														bool_t BgL__ortest_1110z00_3144;

														BgL__ortest_1110z00_3144 =
															(BgL_classz00_3133 == BgL_oclassz00_3141);
														if (BgL__ortest_1110z00_3144)
															{	/* Effect/cgraph.scm 220 */
																BgL_res1902z00_3140 = BgL__ortest_1110z00_3144;
															}
														else
															{	/* Effect/cgraph.scm 220 */
																long BgL_odepthz00_3145;

																BgL_odepthz00_3145 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3141);
																if ((((long) 3) < BgL_odepthz00_3145))
																	{	/* Effect/cgraph.scm 220 */
																		obj_t BgL_arg1821z00_3146;

																		BgL_arg1821z00_3146 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3141, ((long) 3));
																		BgL_res1902z00_3140 =
																			(BgL_arg1821z00_3146 ==
																			BgL_classz00_3133);
																	}
																else
																	{	/* Effect/cgraph.scm 220 */
																		BgL_res1902z00_3140 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_3136 = BgL_res1902z00_3140;
											}
											BgL_test2095z00_4432 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_3135,
												BgL_arg1823z00_3136);
										}
									}
								}
								if (BgL_test2095z00_4432)
									{	/* Effect/cgraph.scm 220 */
										BgL_test2091z00_4411 =
											(
											(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt) BgL_calleez00_2933)))->
												BgL_importz00) == CNST_TABLE_REF(((long) 9)));
									}
								else
									{	/* Effect/cgraph.scm 220 */
										BgL_test2091z00_4411 = ((bool_t) 0);
									}
							}
					}
					if (BgL_test2091z00_4411)
						{	/* Effect/cgraph.scm 219 */
							if (CBOOL(
									(((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt) BgL_funz00_3118)))->
										BgL_sidezd2effectzd2)))
								{	/* Effect/cgraph.scm 222 */
									return
										BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
										((BgL_variablez00_bglt) BgL_ownerz00_2934));
								}
							else
								{	/* Effect/cgraph.scm 222 */
									return BFALSE;
								}
						}
					else
						{	/* Effect/cgraph.scm 224 */
							BgL_globalz00_bglt BgL_arg1738z00_3147;

							{	/* Effect/cgraph.scm 224 */
								BgL_globalzf2fromzf2_bglt BgL_wide1180z00_3148;

								BgL_wide1180z00_3148 =
									((BgL_globalzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalzf2fromzf2_bgl))));
								{	/* Effect/cgraph.scm 224 */
									obj_t BgL_auxz00_4467;
									BgL_objectz00_bglt BgL_tmpz00_4463;

									BgL_auxz00_4467 = ((obj_t) BgL_wide1180z00_3148);
									BgL_tmpz00_4463 =
										((BgL_objectz00_bglt)
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt) BgL_calleez00_2933)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4463, BgL_auxz00_4467);
								}
								((BgL_objectz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_calleez00_2933)));
								{	/* Effect/cgraph.scm 224 */
									long BgL_arg1739z00_3149;

									BgL_arg1739z00_3149 =
										BGL_CLASS_NUM(BGl_globalzf2fromzf2zzeffect_cgraphz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_calleez00_2933))),
										BgL_arg1739z00_3149);
								}
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_calleez00_2933)));
							}
							{
								BgL_globalzf2fromzf2_bglt BgL_auxz00_4481;

								{
									obj_t BgL_auxz00_4482;

									{	/* Effect/cgraph.scm 224 */
										BgL_objectz00_bglt BgL_tmpz00_4483;

										BgL_tmpz00_4483 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_calleez00_2933)));
										BgL_auxz00_4482 = BGL_OBJECT_WIDENING(BgL_tmpz00_4483);
									}
									BgL_auxz00_4481 =
										((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4482);
								}
								((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4481))->
										BgL_fromz00) = ((obj_t) BNIL), BUNSPEC);
							}
							BgL_arg1738z00_3147 =
								((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_calleez00_2933));
							return
								BGl_savezd2callz12zc0zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_arg1738z00_3147),
								((BgL_variablez00_bglt) BgL_ownerz00_2934));
						}
				}
			}
		}

	}



/* &call-graph!-box-set!1358 */
	obj_t BGl_z62callzd2graphz12zd2boxzd2setz121358zb0zzeffect_cgraphz00(obj_t
		BgL_envz00_2935, obj_t BgL_nodez00_2936, obj_t BgL_ownerz00_2937)
	{
		{	/* Effect/cgraph.scm 197 */
			BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_ownerz00_2937));
			{	/* Effect/cgraph.scm 200 */
				BgL_varz00_bglt BgL_arg1725z00_3151;

				BgL_arg1725z00_3151 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2936)))->BgL_varz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(
					((BgL_nodez00_bglt) BgL_arg1725z00_3151),
					((BgL_variablez00_bglt) BgL_ownerz00_2937));
			}
			{	/* Effect/cgraph.scm 201 */
				BgL_nodez00_bglt BgL_arg1726z00_3152;

				BgL_arg1726z00_3152 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2936)))->BgL_valuez00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1726z00_3152,
					((BgL_variablez00_bglt) BgL_ownerz00_2937));
			}
		}

	}



/* &call-graph!-box-ref1356 */
	obj_t BGl_z62callzd2graphz12zd2boxzd2ref1356za2zzeffect_cgraphz00(obj_t
		BgL_envz00_2938, obj_t BgL_nodez00_2939, obj_t BgL_ownerz00_2940)
	{
		{	/* Effect/cgraph.scm 189 */
			{	/* Effect/cgraph.scm 190 */
				BgL_varz00_bglt BgL_arg1723z00_3154;

				BgL_arg1723z00_3154 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2939)))->BgL_varz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(
					((BgL_nodez00_bglt) BgL_arg1723z00_3154),
					((BgL_variablez00_bglt) BgL_ownerz00_2940));
			}
		}

	}



/* &call-graph!-make-box1354 */
	obj_t BGl_z62callzd2graphz12zd2makezd2box1354za2zzeffect_cgraphz00(obj_t
		BgL_envz00_2941, obj_t BgL_nodez00_2942, obj_t BgL_ownerz00_2943)
	{
		{	/* Effect/cgraph.scm 183 */
			{	/* Effect/cgraph.scm 184 */
				BgL_nodez00_bglt BgL_arg1721z00_3156;

				BgL_arg1721z00_3156 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2942)))->BgL_valuez00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1721z00_3156,
					((BgL_variablez00_bglt) BgL_ownerz00_2943));
			}
		}

	}



/* &call-graph!-jump-ex-1352 */
	obj_t BGl_z62callzd2graphz12zd2jumpzd2exzd21352z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2944, obj_t BgL_nodez00_2945, obj_t BgL_ownerz00_2946)
	{
		{	/* Effect/cgraph.scm 174 */
			BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_ownerz00_2946));
			{	/* Effect/cgraph.scm 177 */
				BgL_nodez00_bglt BgL_arg1715z00_3158;

				BgL_arg1715z00_3158 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2945)))->BgL_exitz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1715z00_3158,
					((BgL_variablez00_bglt) BgL_ownerz00_2946));
			}
			{	/* Effect/cgraph.scm 178 */
				BgL_nodez00_bglt BgL_arg1716z00_3159;

				BgL_arg1716z00_3159 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2945)))->BgL_valuez00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1716z00_3159,
					((BgL_variablez00_bglt) BgL_ownerz00_2946));
			}
		}

	}



/* &call-graph!-set-ex-i1350 */
	obj_t BGl_z62callzd2graphz12zd2setzd2exzd2i1350z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2947, obj_t BgL_nodez00_2948, obj_t BgL_ownerz00_2949)
	{
		{	/* Effect/cgraph.scm 165 */
			BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_ownerz00_2949));
			{	/* Effect/cgraph.scm 168 */
				BgL_nodez00_bglt BgL_arg1713z00_3161;

				BgL_arg1713z00_3161 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2948)))->BgL_onexitz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1713z00_3161,
					((BgL_variablez00_bglt) BgL_ownerz00_2949));
			}
			{	/* Effect/cgraph.scm 169 */
				BgL_nodez00_bglt BgL_arg1714z00_3162;

				BgL_arg1714z00_3162 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2948)))->BgL_bodyz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1714z00_3162,
					((BgL_variablez00_bglt) BgL_ownerz00_2949));
			}
		}

	}



/* &call-graph!-let-var1348 */
	obj_t BGl_z62callzd2graphz12zd2letzd2var1348za2zzeffect_cgraphz00(obj_t
		BgL_envz00_2950, obj_t BgL_nodez00_2951, obj_t BgL_ownerz00_2952)
	{
		{	/* Effect/cgraph.scm 155 */
			{	/* Effect/cgraph.scm 156 */
				bool_t BgL_tmpz00_4535;

				{	/* Effect/cgraph.scm 157 */
					BgL_nodez00_bglt BgL_arg1706z00_3164;

					BgL_arg1706z00_3164 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2951)))->BgL_bodyz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1706z00_3164,
						((BgL_variablez00_bglt) BgL_ownerz00_2952));
				}
				{	/* Effect/cgraph.scm 158 */
					obj_t BgL_g1313z00_3165;

					BgL_g1313z00_3165 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2951)))->BgL_bindingsz00);
					{
						obj_t BgL_l1311z00_3167;

						BgL_l1311z00_3167 = BgL_g1313z00_3165;
					BgL_zc3z04anonymousza31707ze3z87_3166:
						if (PAIRP(BgL_l1311z00_3167))
							{	/* Effect/cgraph.scm 158 */
								{	/* Effect/cgraph.scm 159 */
									obj_t BgL_bindingz00_3168;

									BgL_bindingz00_3168 = CAR(BgL_l1311z00_3167);
									{	/* Effect/cgraph.scm 159 */
										obj_t BgL_arg1711z00_3169;

										BgL_arg1711z00_3169 = CDR(((obj_t) BgL_bindingz00_3168));
										BGl_callzd2graphz12zc0zzeffect_cgraphz00(
											((BgL_nodez00_bglt) BgL_arg1711z00_3169),
											((BgL_variablez00_bglt) BgL_ownerz00_2952));
									}
								}
								{
									obj_t BgL_l1311z00_4550;

									BgL_l1311z00_4550 = CDR(BgL_l1311z00_3167);
									BgL_l1311z00_3167 = BgL_l1311z00_4550;
									goto BgL_zc3z04anonymousza31707ze3z87_3166;
								}
							}
						else
							{	/* Effect/cgraph.scm 158 */
								BgL_tmpz00_4535 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_4535);
			}
		}

	}



/* &call-graph!-let-fun1346 */
	obj_t BGl_z62callzd2graphz12zd2letzd2fun1346za2zzeffect_cgraphz00(obj_t
		BgL_envz00_2953, obj_t BgL_nodez00_2954, obj_t BgL_ownerz00_2955)
	{
		{	/* Effect/cgraph.scm 145 */
			{	/* Effect/cgraph.scm 147 */
				obj_t BgL_g1310z00_3171;

				BgL_g1310z00_3171 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2954)))->BgL_localsz00);
				{
					obj_t BgL_l1308z00_3173;

					BgL_l1308z00_3173 = BgL_g1310z00_3171;
				BgL_zc3z04anonymousza31695ze3z87_3172:
					if (PAIRP(BgL_l1308z00_3173))
						{	/* Effect/cgraph.scm 147 */
							{	/* Effect/cgraph.scm 148 */
								obj_t BgL_localz00_3174;

								BgL_localz00_3174 = CAR(BgL_l1308z00_3173);
								BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
									((BgL_variablez00_bglt) BgL_localz00_3174));
							}
							{
								obj_t BgL_l1308z00_4560;

								BgL_l1308z00_4560 = CDR(BgL_l1308z00_3173);
								BgL_l1308z00_3173 = BgL_l1308z00_4560;
								goto BgL_zc3z04anonymousza31695ze3z87_3172;
							}
						}
					else
						{	/* Effect/cgraph.scm 147 */
							((bool_t) 1);
						}
				}
			}
			{	/* Effect/cgraph.scm 150 */
				BgL_nodez00_bglt BgL_arg1703z00_3175;

				BgL_arg1703z00_3175 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2954)))->BgL_bodyz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1703z00_3175,
					((BgL_variablez00_bglt) BgL_ownerz00_2955));
			}
		}

	}



/* &call-graph!-switch1344 */
	obj_t BGl_z62callzd2graphz12zd2switch1344z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2956, obj_t BgL_nodez00_2957, obj_t BgL_ownerz00_2958)
	{
		{	/* Effect/cgraph.scm 135 */
			{	/* Effect/cgraph.scm 136 */
				bool_t BgL_tmpz00_4566;

				{	/* Effect/cgraph.scm 137 */
					BgL_nodez00_bglt BgL_arg1679z00_3177;

					BgL_arg1679z00_3177 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2957)))->BgL_testz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1679z00_3177,
						((BgL_variablez00_bglt) BgL_ownerz00_2958));
				}
				{	/* Effect/cgraph.scm 138 */
					obj_t BgL_g1307z00_3178;

					BgL_g1307z00_3178 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2957)))->BgL_clausesz00);
					{
						obj_t BgL_l1305z00_3180;

						BgL_l1305z00_3180 = BgL_g1307z00_3178;
					BgL_zc3z04anonymousza31680ze3z87_3179:
						if (PAIRP(BgL_l1305z00_3180))
							{	/* Effect/cgraph.scm 138 */
								{	/* Effect/cgraph.scm 139 */
									obj_t BgL_clausez00_3181;

									BgL_clausez00_3181 = CAR(BgL_l1305z00_3180);
									{	/* Effect/cgraph.scm 139 */
										obj_t BgL_arg1682z00_3182;

										BgL_arg1682z00_3182 = CDR(((obj_t) BgL_clausez00_3181));
										BGl_callzd2graphz12zc0zzeffect_cgraphz00(
											((BgL_nodez00_bglt) BgL_arg1682z00_3182),
											((BgL_variablez00_bglt) BgL_ownerz00_2958));
									}
								}
								{
									obj_t BgL_l1305z00_4581;

									BgL_l1305z00_4581 = CDR(BgL_l1305z00_3180);
									BgL_l1305z00_3180 = BgL_l1305z00_4581;
									goto BgL_zc3z04anonymousza31680ze3z87_3179;
								}
							}
						else
							{	/* Effect/cgraph.scm 138 */
								BgL_tmpz00_4566 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_4566);
			}
		}

	}



/* &call-graph!-fail1342 */
	obj_t BGl_z62callzd2graphz12zd2fail1342z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2959, obj_t BgL_nodez00_2960, obj_t BgL_ownerz00_2961)
	{
		{	/* Effect/cgraph.scm 125 */
			BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_ownerz00_2961));
			{	/* Effect/cgraph.scm 128 */
				BgL_nodez00_bglt BgL_arg1675z00_3184;

				BgL_arg1675z00_3184 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2960)))->BgL_procz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1675z00_3184,
					((BgL_variablez00_bglt) BgL_ownerz00_2961));
			}
			{	/* Effect/cgraph.scm 129 */
				BgL_nodez00_bglt BgL_arg1676z00_3185;

				BgL_arg1676z00_3185 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2960)))->BgL_msgz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1676z00_3185,
					((BgL_variablez00_bglt) BgL_ownerz00_2961));
			}
			{	/* Effect/cgraph.scm 130 */
				BgL_nodez00_bglt BgL_arg1678z00_3186;

				BgL_arg1678z00_3186 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2960)))->BgL_objz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1678z00_3186,
					((BgL_variablez00_bglt) BgL_ownerz00_2961));
			}
		}

	}



/* &call-graph!-conditio1340 */
	obj_t BGl_z62callzd2graphz12zd2conditio1340z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2962, obj_t BgL_nodez00_2963, obj_t BgL_ownerz00_2964)
	{
		{	/* Effect/cgraph.scm 116 */
			{	/* Effect/cgraph.scm 118 */
				BgL_nodez00_bglt BgL_arg1665z00_3188;

				BgL_arg1665z00_3188 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2963)))->BgL_testz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1665z00_3188,
					((BgL_variablez00_bglt) BgL_ownerz00_2964));
			}
			{	/* Effect/cgraph.scm 119 */
				BgL_nodez00_bglt BgL_arg1667z00_3189;

				BgL_arg1667z00_3189 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2963)))->BgL_truez00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1667z00_3189,
					((BgL_variablez00_bglt) BgL_ownerz00_2964));
			}
			{	/* Effect/cgraph.scm 120 */
				BgL_nodez00_bglt BgL_arg1668z00_3190;

				BgL_arg1668z00_3190 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2963)))->BgL_falsez00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1668z00_3190,
					((BgL_variablez00_bglt) BgL_ownerz00_2964));
			}
		}

	}



/* &call-graph!-setq1338 */
	obj_t BGl_z62callzd2graphz12zd2setq1338z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2965, obj_t BgL_nodez00_2966, obj_t BgL_ownerz00_2967)
	{
		{	/* Effect/cgraph.scm 106 */
			{	/* Effect/cgraph.scm 108 */
				bool_t BgL_test2102z00_4610;

				{	/* Effect/cgraph.scm 108 */
					bool_t BgL_test2103z00_4611;

					{	/* Effect/cgraph.scm 108 */
						obj_t BgL_classz00_3192;

						BgL_classz00_3192 = BGl_localz00zzast_varz00;
						if (BGL_OBJECTP(BgL_ownerz00_2967))
							{	/* Effect/cgraph.scm 108 */
								BgL_objectz00_bglt BgL_arg1825z00_3193;

								BgL_arg1825z00_3193 = (BgL_objectz00_bglt) (BgL_ownerz00_2967);
								{	/* Effect/cgraph.scm 108 */
									bool_t BgL_arg1822z00_3194;
									bool_t BgL_arg1823z00_3195;

									{	/* Effect/cgraph.scm 108 */
										long BgL_idxz00_3196;

										BgL_idxz00_3196 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3193);
										BgL_arg1822z00_3194 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3196 + ((long) 2))) == BgL_classz00_3192);
									}
									{	/* Effect/cgraph.scm 108 */
										bool_t BgL_res1899z00_3199;

										{	/* Effect/cgraph.scm 108 */
											obj_t BgL_oclassz00_3200;

											{	/* Effect/cgraph.scm 108 */
												long BgL_arg1833z00_3201;

												{	/* Effect/cgraph.scm 108 */
													long BgL_arg1834z00_3202;

													BgL_arg1834z00_3202 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3193);
													BgL_arg1833z00_3201 =
														(BgL_arg1834z00_3202 - OBJECT_TYPE);
												}
												BgL_oclassz00_3200 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_3201);
											}
											{	/* Effect/cgraph.scm 108 */
												bool_t BgL__ortest_1110z00_3203;

												BgL__ortest_1110z00_3203 =
													(BgL_classz00_3192 == BgL_oclassz00_3200);
												if (BgL__ortest_1110z00_3203)
													{	/* Effect/cgraph.scm 108 */
														BgL_res1899z00_3199 = BgL__ortest_1110z00_3203;
													}
												else
													{	/* Effect/cgraph.scm 108 */
														long BgL_odepthz00_3204;

														BgL_odepthz00_3204 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3200);
														if ((((long) 2) < BgL_odepthz00_3204))
															{	/* Effect/cgraph.scm 108 */
																obj_t BgL_arg1821z00_3205;

																BgL_arg1821z00_3205 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3200,
																	((long) 2));
																BgL_res1899z00_3199 =
																	(BgL_arg1821z00_3205 == BgL_classz00_3192);
															}
														else
															{	/* Effect/cgraph.scm 108 */
																BgL_res1899z00_3199 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_3195 = BgL_res1899z00_3199;
									}
									BgL_test2103z00_4611 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_3194, BgL_arg1823z00_3195);
								}
							}
						else
							{	/* Effect/cgraph.scm 108 */
								BgL_test2103z00_4611 = ((bool_t) 0);
							}
					}
					if (BgL_test2103z00_4611)
						{	/* Effect/cgraph.scm 108 */
							BgL_test2102z00_4610 = ((bool_t) 1);
						}
					else
						{	/* Effect/cgraph.scm 108 */
							BgL_variablez00_bglt BgL_arg1652z00_3206;

							BgL_arg1652z00_3206 =
								(((BgL_varz00_bglt) COBJECT(
										(((BgL_setqz00_bglt) COBJECT(
													((BgL_setqz00_bglt) BgL_nodez00_2966)))->
											BgL_varz00)))->BgL_variablez00);
							{	/* Effect/cgraph.scm 108 */
								obj_t BgL_classz00_3207;

								BgL_classz00_3207 = BGl_globalz00zzast_varz00;
								{	/* Effect/cgraph.scm 108 */
									BgL_objectz00_bglt BgL_arg1825z00_3208;

									{	/* Effect/cgraph.scm 108 */
										obj_t BgL_tmpz00_4633;

										BgL_tmpz00_4633 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1652z00_3206));
										BgL_arg1825z00_3208 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4633);
									}
									{	/* Effect/cgraph.scm 108 */
										bool_t BgL_arg1822z00_3209;
										bool_t BgL_arg1823z00_3210;

										{	/* Effect/cgraph.scm 108 */
											long BgL_idxz00_3211;

											BgL_idxz00_3211 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3208);
											BgL_arg1822z00_3209 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3211 + ((long) 2))) == BgL_classz00_3207);
										}
										{	/* Effect/cgraph.scm 108 */
											bool_t BgL_res1900z00_3214;

											{	/* Effect/cgraph.scm 108 */
												obj_t BgL_oclassz00_3215;

												{	/* Effect/cgraph.scm 108 */
													long BgL_arg1833z00_3216;

													{	/* Effect/cgraph.scm 108 */
														long BgL_arg1834z00_3217;

														BgL_arg1834z00_3217 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3208);
														BgL_arg1833z00_3216 =
															(BgL_arg1834z00_3217 - OBJECT_TYPE);
													}
													BgL_oclassz00_3215 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_3216);
												}
												{	/* Effect/cgraph.scm 108 */
													bool_t BgL__ortest_1110z00_3218;

													BgL__ortest_1110z00_3218 =
														(BgL_classz00_3207 == BgL_oclassz00_3215);
													if (BgL__ortest_1110z00_3218)
														{	/* Effect/cgraph.scm 108 */
															BgL_res1900z00_3214 = BgL__ortest_1110z00_3218;
														}
													else
														{	/* Effect/cgraph.scm 108 */
															long BgL_odepthz00_3219;

															BgL_odepthz00_3219 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3215);
															if ((((long) 2) < BgL_odepthz00_3219))
																{	/* Effect/cgraph.scm 108 */
																	obj_t BgL_arg1821z00_3220;

																	BgL_arg1821z00_3220 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3215,
																		((long) 2));
																	BgL_res1900z00_3214 =
																		(BgL_arg1821z00_3220 == BgL_classz00_3207);
																}
															else
																{	/* Effect/cgraph.scm 108 */
																	BgL_res1900z00_3214 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_3210 = BgL_res1900z00_3214;
										}
										BgL_test2102z00_4610 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_3209,
											BgL_arg1823z00_3210);
									}
								}
							}
						}
				}
				if (BgL_test2102z00_4610)
					{	/* Effect/cgraph.scm 108 */
						BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
							((BgL_variablez00_bglt) BgL_ownerz00_2967));
					}
				else
					{	/* Effect/cgraph.scm 108 */
						BFALSE;
					}
			}
			{	/* Effect/cgraph.scm 110 */
				BgL_varz00_bglt BgL_arg1657z00_3221;

				BgL_arg1657z00_3221 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2966)))->BgL_varz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(
					((BgL_nodez00_bglt) BgL_arg1657z00_3221),
					((BgL_variablez00_bglt) BgL_ownerz00_2967));
			}
			{	/* Effect/cgraph.scm 111 */
				BgL_nodez00_bglt BgL_arg1660z00_3222;

				BgL_arg1660z00_3222 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2966)))->BgL_valuez00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1660z00_3222,
					((BgL_variablez00_bglt) BgL_ownerz00_2967));
			}
		}

	}



/* &call-graph!-cast1336 */
	obj_t BGl_z62callzd2graphz12zd2cast1336z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2968, obj_t BgL_nodez00_2969, obj_t BgL_ownerz00_2970)
	{
		{	/* Effect/cgraph.scm 95 */
			{	/* Effect/cgraph.scm 97 */
				BgL_nodez00_bglt BgL_arg1633z00_3224;

				BgL_arg1633z00_3224 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2969)))->BgL_argz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1633z00_3224,
					((BgL_variablez00_bglt) BgL_ownerz00_2970));
			}
		}

	}



/* &call-graph!-extern1334 */
	obj_t BGl_z62callzd2graphz12zd2extern1334z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2971, obj_t BgL_nodez00_2972, obj_t BgL_ownerz00_2973)
	{
		{	/* Effect/cgraph.scm 86 */
			{	/* Effect/cgraph.scm 87 */
				bool_t BgL_tmpz00_4667;

				if (CBOOL(
						(((BgL_nodezf2effectzf2_bglt) COBJECT(
									((BgL_nodezf2effectzf2_bglt)
										((BgL_externz00_bglt) BgL_nodez00_2972))))->
							BgL_sidezd2effectzd2)))
					{	/* Effect/cgraph.scm 88 */
						BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
							((BgL_variablez00_bglt) BgL_ownerz00_2973));
					}
				else
					{	/* Effect/cgraph.scm 88 */
						BFALSE;
					}
				BgL_tmpz00_4667 =
					BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2972)))->BgL_exprza2za2),
					BgL_ownerz00_2973);
				return BBOOL(BgL_tmpz00_4667);
			}
		}

	}



/* &call-graph!-funcall1331 */
	obj_t BGl_z62callzd2graphz12zd2funcall1331z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2974, obj_t BgL_nodez00_2975, obj_t BgL_ownerz00_2976)
	{
		{	/* Effect/cgraph.scm 77 */
			{	/* Effect/cgraph.scm 78 */
				bool_t BgL_tmpz00_4679;

				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_2976));
				{	/* Effect/cgraph.scm 80 */
					BgL_nodez00_bglt BgL_arg1619z00_3227;

					BgL_arg1619z00_3227 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2975)))->BgL_funz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1619z00_3227,
						((BgL_variablez00_bglt) BgL_ownerz00_2976));
				}
				BgL_tmpz00_4679 =
					BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2975)))->BgL_argsz00),
					BgL_ownerz00_2976);
				return BBOOL(BgL_tmpz00_4679);
			}
		}

	}



/* &call-graph!-app-ly1329 */
	obj_t BGl_z62callzd2graphz12zd2appzd2ly1329za2zzeffect_cgraphz00(obj_t
		BgL_envz00_2977, obj_t BgL_nodez00_2978, obj_t BgL_ownerz00_2979)
	{
		{	/* Effect/cgraph.scm 68 */
			BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_ownerz00_2979));
			{	/* Effect/cgraph.scm 71 */
				BgL_nodez00_bglt BgL_arg1612z00_3229;

				BgL_arg1612z00_3229 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2978)))->BgL_funz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1612z00_3229,
					((BgL_variablez00_bglt) BgL_ownerz00_2979));
			}
			{	/* Effect/cgraph.scm 72 */
				BgL_nodez00_bglt BgL_arg1613z00_3230;

				BgL_arg1613z00_3230 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2978)))->BgL_argz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1613z00_3230,
					((BgL_variablez00_bglt) BgL_ownerz00_2979));
			}
		}

	}



/* &call-graph!-app1327 */
	obj_t BGl_z62callzd2graphz12zd2app1327z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2980, obj_t BgL_nodez00_2981, obj_t BgL_ownerz00_2982)
	{
		{	/* Effect/cgraph.scm 58 */
			{	/* Effect/cgraph.scm 59 */
				bool_t BgL_tmpz00_4700;

				{	/* Effect/cgraph.scm 62 */
					BgL_variablez00_bglt BgL_arg1603z00_3232;

					BgL_arg1603z00_3232 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2981)))->BgL_funz00)))->
						BgL_variablez00);
					BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_arg1603z00_3232,
						((BgL_variablez00_bglt) BgL_ownerz00_2982));
				}
				BgL_tmpz00_4700 =
					BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2981)))->BgL_argsz00),
					BgL_ownerz00_2982);
				return BBOOL(BgL_tmpz00_4700);
			}
		}

	}



/* &call-graph!-sync1325 */
	obj_t BGl_z62callzd2graphz12zd2sync1325z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2983, obj_t BgL_nodez00_2984, obj_t BgL_ownerz00_2985)
	{
		{	/* Effect/cgraph.scm 50 */
			{	/* Effect/cgraph.scm 51 */
				BgL_nodez00_bglt BgL_arg1597z00_3234;

				BgL_arg1597z00_3234 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2984)))->BgL_mutexz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1597z00_3234,
					((BgL_variablez00_bglt) BgL_ownerz00_2985));
			}
			{	/* Effect/cgraph.scm 52 */
				BgL_nodez00_bglt BgL_arg1601z00_3235;

				BgL_arg1601z00_3235 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2984)))->BgL_prelockz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1601z00_3235,
					((BgL_variablez00_bglt) BgL_ownerz00_2985));
			}
			{	/* Effect/cgraph.scm 53 */
				BgL_nodez00_bglt BgL_arg1602z00_3236;

				BgL_arg1602z00_3236 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2984)))->BgL_bodyz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1602z00_3236,
					((BgL_variablez00_bglt) BgL_ownerz00_2985));
			}
		}

	}



/* &call-graph!-sequence1323 */
	obj_t BGl_z62callzd2graphz12zd2sequence1323z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2986, obj_t BgL_nodez00_2987, obj_t BgL_ownerz00_2988)
	{
		{	/* Effect/cgraph.scm 44 */
			return
				BBOOL(BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2987)))->BgL_nodesz00),
					BgL_ownerz00_2988));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00()
	{
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1949z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1949z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1949z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1949z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1949z00zzeffect_cgraphz00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1949z00zzeffect_cgraphz00));
		}

	}

#ifdef __cplusplus
}
#endif
