/*===========================================================================*/
/*   (Expand/object.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Expand/object.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


	BGL_IMPORT obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_instantiatezd2ze3makez31zzexpand_objectz00(obj_t,
		BgL_typez00_bglt, obj_t);
	extern obj_t
		BGl_classgenzd2allocatezd2exprz00zzobject_classgenz00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzexpand_objectz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31596ze3ze5zzexpand_objectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_duplicatezd2ze3makez31zzexpand_objectz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzexpand_objectz00();
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	static obj_t BGl_z62expandzd2widenz12za2zzexpand_objectz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzexpand_objectz00();
	static obj_t BGl_z62zc3z04anonymousza32300ze3ze5zzexpand_objectz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_findzd2classzd2slotz00zzobject_toolsz00(BgL_typez00_bglt,
		obj_t);
	static obj_t BGl_z62expandzd2withzd2accessz62zzexpand_objectz00(obj_t, obj_t,
		obj_t);
	extern obj_t
		BGl_classgenzd2widenzd2exprz00zzobject_classgenz00(BgL_typez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_slotz00zzobject_slotsz00;
	BGL_IMPORT obj_t make_vector(long, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzexpand_objectz00();
	static obj_t BGl_z62expandzd2shrinkz12za2zzexpand_objectz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2duplicatezd2zzexpand_objectz00(obj_t,
		obj_t);
	extern obj_t BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00(obj_t);
	static obj_t BGl_inlinablezd2callzf3ze70zc6zzexpand_objectz00(obj_t, obj_t);
	static obj_t BGl_instantiatezd2fillzd2zzexpand_objectz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_expandzd2wideningzd2zzexpand_objectz00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2instantiatezd2zzexpand_objectz00(obj_t,
		obj_t);
	static obj_t BGl_cozd2instantiatezd2ze3letze3zzexpand_objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_lexicalzd2stackzd2zzexpand_epsz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2shrinkz12zc0zzexpand_objectz00(obj_t,
		obj_t);
	static obj_t BGl_z62expandzd2definezd2classz62zzexpand_objectz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62expandzd2duplicatezb0zzexpand_objectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_objectzd2epairifyzd2zzexpand_objectz00(obj_t, obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2widenz12zc0zzexpand_objectz00(obj_t,
		obj_t);
	static obj_t BGl_makezd2azd2shrinkz12z12zzexpand_objectz00(obj_t, obj_t);
	extern bool_t BGl_slotzd2defaultzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_IMPORT obj_t BGl_evepairifyz00zz__prognz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzexpand_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classgenz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_fieldzd2accesszd2zzast_objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl_findzd2slotzd2offsetz00zzexpand_objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_withzd2lexicalzd2zzexpand_epsz00(obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	extern BgL_typez00_bglt BGl_typezd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_allocatezd2exprzd2zzexpand_objectz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32329ze3ze5zzexpand_objectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2warningzd2defaultzd2slotzd2valueza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2cozd2instantiatez00zzexpand_objectz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31358ze3ze5zzexpand_objectz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzexpand_objectz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_objectz00();
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_expandzd2withzd2accessz00zzexpand_objectz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzexpand_objectz00();
	static obj_t BGl_gczd2rootszd2initz00zzexpand_objectz00();
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_parsezd2prototypezd2zzmodule_prototypez00(obj_t);
	static obj_t BGl_withzd2accesszd2expanderz00zzexpand_objectz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_inlinezd2definitionzd2queuez00zzread_inlinez00();
	static bool_t BGl_inlinablezf3ze70z14zzexpand_objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2definezd2classz00zzexpand_objectz00(obj_t, obj_t);
	extern obj_t BGl_classzd2finaliza7erzd2addzd2staticz12z67zzmodule_classz00();
	static obj_t BGl_z62expandzd2cozd2instantiatez62zzexpand_objectz00(obj_t,
		obj_t, obj_t);
	extern obj_t
		BGl_findzd2classzd2constructorz00zzobject_classz00(BgL_typez00_bglt);
	static obj_t BGl_z62slotzd2setzb0zzexpand_objectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31760ze3ze5zzexpand_objectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31843ze3ze5zzexpand_objectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_IMPORT obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	static obj_t BGl_z62expandzd2instantiatezb0zzexpand_objectz00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[46];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2definezd2classzd2envzd2zzexpand_objectz00,
		BgL_bgl_za762expandza7d2defi2722z00,
		BGl_z62expandzd2definezd2classz62zzexpand_objectz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2shrinkz12zd2envz12zzexpand_objectz00,
		BgL_bgl_za762expandza7d2shri2723z00,
		BGl_z62expandzd2shrinkz12za2zzexpand_objectz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2widenz12zd2envz12zzexpand_objectz00,
		BgL_bgl_za762expandza7d2wide2724z00,
		BGl_z62expandzd2widenz12za2zzexpand_objectz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2duplicatezd2envz00zzexpand_objectz00,
		BgL_bgl_za762expandza7d2dupl2725z00,
		BGl_z62expandzd2duplicatezb0zzexpand_objectz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2700z00zzexpand_objectz00,
		BgL_bgl_string2700za700za7za7e2726za7, "No such field", 13);
	      DEFINE_STRING(BGl_string2701z00zzexpand_objectz00,
		BgL_bgl_string2701za700za7za7e2727za7,
		"Abstract classes can't be instantiated", 38);
	      DEFINE_STRING(BGl_string2702z00zzexpand_objectz00,
		BgL_bgl_string2702za700za7za7e2728za7, "Cannot find class definition", 28);
	      DEFINE_STRING(BGl_string2703z00zzexpand_objectz00,
		BgL_bgl_string2703za700za7za7e2729za7, "instantiate", 11);
	      DEFINE_STRING(BGl_string2704z00zzexpand_objectz00,
		BgL_bgl_string2704za700za7za7e2730za7, "Illegal argument \"~a\"", 21);
	      DEFINE_STRING(BGl_string2705z00zzexpand_objectz00,
		BgL_bgl_string2705za700za7za7e2731za7,
		"Cannot inline slot \"~s\" default value", 37);
	      DEFINE_STRING(BGl_string2706z00zzexpand_objectz00,
		BgL_bgl_string2706za700za7za7e2732za7, "Missing value for field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string2707z00zzexpand_objectz00,
		BgL_bgl_string2707za700za7za7e2733za7, "co-instantiate", 14);
	      DEFINE_STRING(BGl_string2708z00zzexpand_objectz00,
		BgL_bgl_string2708za700za7za7e2734za7, "Illegal binding", 15);
	      DEFINE_STRING(BGl_string2709z00zzexpand_objectz00,
		BgL_bgl_string2709za700za7za7e2735za7, "Illegal variable type", 21);
	      DEFINE_STRING(BGl_string2710z00zzexpand_objectz00,
		BgL_bgl_string2710za700za7za7e2736za7,
		"Abstract classes can't be duplicated", 36);
	      DEFINE_STRING(BGl_string2711z00zzexpand_objectz00,
		BgL_bgl_string2711za700za7za7e2737za7, "Illegal class type \"~a\"", 23);
	      DEFINE_STRING(BGl_string2712z00zzexpand_objectz00,
		BgL_bgl_string2712za700za7za7e2738za7, "duplicate", 9);
	      DEFINE_STRING(BGl_string2713z00zzexpand_objectz00,
		BgL_bgl_string2713za700za7za7e2739za7, "wident!", 7);
	      DEFINE_STRING(BGl_string2714z00zzexpand_objectz00,
		BgL_bgl_string2714za700za7za7e2740za7, "Illegal shrink!", 15);
	      DEFINE_STRING(BGl_string2715z00zzexpand_objectz00,
		BgL_bgl_string2715za700za7za7e2741za7, "shrink!", 7);
	      DEFINE_STRING(BGl_string2716z00zzexpand_objectz00,
		BgL_bgl_string2716za700za7za7e2742za7, "Not a wide object", 17);
	      DEFINE_STRING(BGl_string2717z00zzexpand_objectz00,
		BgL_bgl_string2717za700za7za7e2743za7, "Field unknown \"~a\"", 18);
	      DEFINE_STRING(BGl_string2718z00zzexpand_objectz00,
		BgL_bgl_string2718za700za7za7e2744za7, "expand_object", 13);
	      DEFINE_STRING(BGl_string2719z00zzexpand_objectz00,
		BgL_bgl_string2719za700za7za7e2745za7,
		"if error object-widening object? object-widening-set! object-class class-super class-num object-class-num-set! o shrink! cast duplicated tmp instantiate co-instantiate bit-rsh bit-lsh bit-xor bit-and bit-or - + class-nil lambda begin quote sifun default-inline no-literal define-inline class-constructor new class-field-default-value vector-ref-ur @ class-all-fields __object set! let i define-class static define-abstract-class define-final-class class ",
		454);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2instantiatezd2envz00zzexpand_objectz00,
		BgL_bgl_za762expandza7d2inst2746z00,
		BGl_z62expandzd2instantiatezb0zzexpand_objectz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2695z00zzexpand_objectz00,
		BgL_bgl_string2695za700za7za7e2747za7, "Illegal define-class", 20);
	      DEFINE_STRING(BGl_string2696z00zzexpand_objectz00,
		BgL_bgl_string2696za700za7za7e2748za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2697z00zzexpand_objectz00,
		BgL_bgl_string2697za700za7za7e2749za7, "Illegal field", 13);
	      DEFINE_STRING(BGl_string2698z00zzexpand_objectz00,
		BgL_bgl_string2698za700za7za7e2750za7, "Illegal class", 13);
	      DEFINE_STRING(BGl_string2699z00zzexpand_objectz00,
		BgL_bgl_string2699za700za7za7e2751za7, "with-access", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2cozd2instantiatezd2envzd2zzexpand_objectz00,
		BgL_bgl_za762expandza7d2coza7d2752za7,
		BGl_z62expandzd2cozd2instantiatez62zzexpand_objectz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2withzd2accesszd2envzd2zzexpand_objectz00,
		BgL_bgl_za762expandza7d2with2753z00,
		BGl_z62expandzd2withzd2accessz62zzexpand_objectz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzexpand_objectz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_objectz00(long
		BgL_checksumz00_4259, char *BgL_fromz00_4260)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzexpand_objectz00))
				{
					BGl_requirezd2initializa7ationz75zzexpand_objectz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzexpand_objectz00();
					BGl_libraryzd2moduleszd2initz00zzexpand_objectz00();
					BGl_cnstzd2initzd2zzexpand_objectz00();
					BGl_importedzd2moduleszd2initz00zzexpand_objectz00();
					return BGl_methodzd2initzd2zzexpand_objectz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzexpand_objectz00()
	{
		{	/* Expand/object.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "expand_object");
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 0), "expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"expand_object");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzexpand_objectz00()
	{
		{	/* Expand/object.scm 15 */
			{	/* Expand/object.scm 15 */
				obj_t BgL_cportz00_4180;

				{	/* Expand/object.scm 15 */
					obj_t BgL_stringz00_4188;

					BgL_stringz00_4188 = BGl_string2719z00zzexpand_objectz00;
					{	/* Expand/object.scm 15 */
						obj_t BgL_startz00_4189;

						BgL_startz00_4189 = BINT(((long) 0));
						{	/* Expand/object.scm 15 */
							obj_t BgL_endz00_4190;

							BgL_endz00_4190 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4188)));
							{	/* Expand/object.scm 15 */

								BgL_cportz00_4180 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4188, BgL_startz00_4189, BgL_endz00_4190);
				}}}}
				{
					long BgL_iz00_4181;

					BgL_iz00_4181 = ((long) 45);
				BgL_loopz00_4182:
					if ((BgL_iz00_4181 == ((long) -1)))
						{	/* Expand/object.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Expand/object.scm 15 */
							{	/* Expand/object.scm 15 */
								obj_t BgL_arg2721z00_4184;

								{	/* Expand/object.scm 15 */

									{	/* Expand/object.scm 15 */
										obj_t BgL_locationz00_4186;

										BgL_locationz00_4186 = BBOOL(((bool_t) 0));
										{	/* Expand/object.scm 15 */

											BgL_arg2721z00_4184 =
												BGl_readz00zz__readerz00(BgL_cportz00_4180,
												BgL_locationz00_4186);
										}
									}
								}
								{	/* Expand/object.scm 15 */
									int BgL_tmpz00_4295;

									BgL_tmpz00_4295 = (int) (BgL_iz00_4181);
									CNST_TABLE_SET(BgL_tmpz00_4295, BgL_arg2721z00_4184);
							}}
							{	/* Expand/object.scm 15 */
								int BgL_auxz00_4187;

								BgL_auxz00_4187 = (int) ((BgL_iz00_4181 - ((long) 1)));
								{
									long BgL_iz00_4300;

									BgL_iz00_4300 = (long) (BgL_auxz00_4187);
									BgL_iz00_4181 = BgL_iz00_4300;
									goto BgL_loopz00_4182;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzexpand_objectz00()
	{
		{	/* Expand/object.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* expand-define-class */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2definezd2classz00zzexpand_objectz00(obj_t
		BgL_xz00_3, obj_t BgL_ez00_4)
	{
		{	/* Expand/object.scm 52 */
			{
				obj_t BgL_restz00_1673;

				if (PAIRP(BgL_xz00_3))
					{	/* Expand/object.scm 53 */
						obj_t BgL_carzd2106zd2_1678;
						obj_t BgL_cdrzd2107zd2_1679;

						BgL_carzd2106zd2_1678 = CAR(BgL_xz00_3);
						BgL_cdrzd2107zd2_1679 = CDR(BgL_xz00_3);
						if ((BgL_carzd2106zd2_1678 == CNST_TABLE_REF(((long) 4))))
							{	/* Expand/object.scm 53 */
								BgL_restz00_1673 = BgL_cdrzd2107zd2_1679;
							BgL_tagzd2101zd2_1674:
								{	/* Expand/object.scm 55 */
									obj_t BgL_nxz00_1684;

									{	/* Expand/object.scm 55 */
										obj_t BgL_arg1322z00_1692;

										{	/* Expand/object.scm 55 */
											obj_t BgL_arg1323z00_1693;

											BgL_arg1323z00_1693 =
												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
												(BgL_restz00_1673, BNIL);
											BgL_arg1322z00_1692 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)),
												BgL_arg1323z00_1693);
										}
										BgL_nxz00_1684 =
											BGl_evepairifyz00zz__prognz00(BgL_arg1322z00_1692,
											BgL_xz00_3);
									}
									{	/* Expand/object.scm 55 */
										obj_t BgL_protoz00_1685;

										BgL_protoz00_1685 =
											BGl_parsezd2prototypezd2zzmodule_prototypez00
											(BgL_nxz00_1684);
										{	/* Expand/object.scm 56 */

											if (CBOOL(BgL_protoz00_1685))
												{	/* Expand/object.scm 57 */
													{	/* Expand/object.scm 61 */
														obj_t BgL_arg1313z00_1686;
														bool_t BgL_arg1314z00_1687;
														bool_t BgL_arg1316z00_1688;

														BgL_arg1313z00_1686 =
															CDR(((obj_t) BgL_protoz00_1685));
														BgL_arg1314z00_1687 =
															(CAR(
																((obj_t) BgL_xz00_3)) ==
															CNST_TABLE_REF(((long) 1)));
														BgL_arg1316z00_1688 =
															(CAR(
																((obj_t) BgL_xz00_3)) ==
															CNST_TABLE_REF(((long) 2)));
														BGl_declarezd2classz12zc0zzmodule_classz00
															(BgL_arg1313z00_1686,
															BGl_za2moduleza2z00zzmodule_modulez00,
															CNST_TABLE_REF(((long) 3)), BgL_arg1314z00_1687,
															BgL_arg1316z00_1688, BgL_nxz00_1684, BFALSE);
													}
													return
														BGl_classzd2finaliza7erzd2addzd2staticz12z67zzmodule_classz00
														();
												}
											else
												{	/* Expand/object.scm 58 */
													obj_t BgL_arg1321z00_1691;

													BgL_arg1321z00_1691 = CAR(((obj_t) BgL_xz00_3));
													return
														BGl_errorz00zz__errorz00(BgL_arg1321z00_1691,
														BGl_string2695z00zzexpand_objectz00, BgL_xz00_3);
												}
										}
									}
								}
							}
						else
							{	/* Expand/object.scm 53 */
								if ((BgL_carzd2106zd2_1678 == CNST_TABLE_REF(((long) 1))))
									{
										obj_t BgL_restz00_4336;

										BgL_restz00_4336 = BgL_cdrzd2107zd2_1679;
										BgL_restz00_1673 = BgL_restz00_4336;
										goto BgL_tagzd2101zd2_1674;
									}
								else
									{	/* Expand/object.scm 53 */
										if ((BgL_carzd2106zd2_1678 == CNST_TABLE_REF(((long) 2))))
											{
												obj_t BgL_restz00_4340;

												BgL_restz00_4340 = BgL_cdrzd2107zd2_1679;
												BgL_restz00_1673 = BgL_restz00_4340;
												goto BgL_tagzd2101zd2_1674;
											}
										else
											{	/* Expand/object.scm 53 */
											BgL_tagzd2102zd2_1675:
												return
													BGl_errorz00zz__errorz00(BgL_xz00_3,
													BGl_string2695z00zzexpand_objectz00, BgL_xz00_3);
											}
									}
							}
					}
				else
					{	/* Expand/object.scm 53 */
						goto BgL_tagzd2102zd2_1675;
					}
			}
		}

	}



/* &expand-define-class */
	obj_t BGl_z62expandzd2definezd2classz62zzexpand_objectz00(obj_t
		BgL_envz00_4112, obj_t BgL_xz00_4113, obj_t BgL_ez00_4114)
	{
		{	/* Expand/object.scm 52 */
			return
				BGl_expandzd2definezd2classz00zzexpand_objectz00(BgL_xz00_4113,
				BgL_ez00_4114);
		}

	}



/* expand-with-access */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2withzd2accessz00zzexpand_objectz00(obj_t
		BgL_xz00_5, obj_t BgL_ez00_6)
	{
		{	/* Expand/object.scm 71 */
			{
				obj_t BgL_withzd2accesszd2_1694;
				obj_t BgL_instancez00_1695;
				obj_t BgL_slotsz00_1696;
				obj_t BgL_bodyz00_1697;

				if (PAIRP(BgL_xz00_5))
					{	/* Expand/object.scm 72 */
						obj_t BgL_cdrzd2123zd2_1702;

						BgL_cdrzd2123zd2_1702 = CDR(BgL_xz00_5);
						if (PAIRP(BgL_cdrzd2123zd2_1702))
							{	/* Expand/object.scm 72 */
								obj_t BgL_cdrzd2129zd2_1704;

								BgL_cdrzd2129zd2_1704 = CDR(BgL_cdrzd2123zd2_1702);
								if (PAIRP(BgL_cdrzd2129zd2_1704))
									{	/* Expand/object.scm 72 */
										obj_t BgL_carzd2133zd2_1706;
										obj_t BgL_cdrzd2134zd2_1707;

										BgL_carzd2133zd2_1706 = CAR(BgL_cdrzd2129zd2_1704);
										BgL_cdrzd2134zd2_1707 = CDR(BgL_cdrzd2129zd2_1704);
										if (PAIRP(BgL_carzd2133zd2_1706))
											{	/* Expand/object.scm 72 */
												if (PAIRP(BgL_cdrzd2134zd2_1707))
													{	/* Expand/object.scm 72 */
														BgL_withzd2accesszd2_1694 = CAR(BgL_xz00_5);
														BgL_instancez00_1695 = CAR(BgL_cdrzd2123zd2_1702);
														BgL_slotsz00_1696 = BgL_carzd2133zd2_1706;
														BgL_bodyz00_1697 = BgL_cdrzd2134zd2_1707;
														{	/* Expand/object.scm 74 */
															obj_t BgL_locz00_1712;

															BgL_locz00_1712 =
																BGl_findzd2locationzd2zztools_locationz00
																(BgL_xz00_5);
															{	/* Expand/object.scm 74 */
																BgL_typez00_bglt BgL_classz00_1713;

																BgL_classz00_1713 =
																	BGl_typezd2ofzd2idz00zzast_identz00
																	(BgL_withzd2accesszd2_1694, BgL_locz00_1712);
																{	/* Expand/object.scm 75 */

																	{	/* Expand/object.scm 77 */
																		bool_t BgL_test2766z00_4359;

																		{	/* Expand/object.scm 77 */
																			obj_t BgL_classz00_3206;

																			BgL_classz00_3206 =
																				BGl_tclassz00zzobject_classz00;
																			{	/* Expand/object.scm 77 */
																				BgL_objectz00_bglt BgL_arg1825z00_3208;

																				{	/* Expand/object.scm 77 */
																					obj_t BgL_tmpz00_4360;

																					BgL_tmpz00_4360 =
																						((obj_t)
																						((BgL_objectz00_bglt)
																							BgL_classz00_1713));
																					BgL_arg1825z00_3208 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_4360);
																				}
																				{	/* Expand/object.scm 77 */
																					bool_t BgL_arg1822z00_3211;
																					bool_t BgL_arg1823z00_3212;

																					{	/* Expand/object.scm 77 */
																						long BgL_idxz00_3215;

																						BgL_idxz00_3215 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1825z00_3208);
																						BgL_arg1822z00_3211 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_3215 +
																									((long) 2))) ==
																							BgL_classz00_3206);
																					}
																					{	/* Expand/object.scm 77 */
																						bool_t BgL_res2676z00_3237;

																						{	/* Expand/object.scm 77 */
																							obj_t BgL_oclassz00_3223;

																							{	/* Expand/object.scm 77 */
																								long BgL_arg1833z00_3229;

																								{	/* Expand/object.scm 77 */
																									long BgL_arg1834z00_3230;

																									BgL_arg1834z00_3230 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1825z00_3208);
																									BgL_arg1833z00_3229 =
																										(BgL_arg1834z00_3230 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_3223 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1833z00_3229);
																							}
																							{	/* Expand/object.scm 77 */
																								bool_t BgL__ortest_1110z00_3224;

																								BgL__ortest_1110z00_3224 =
																									(BgL_classz00_3206 ==
																									BgL_oclassz00_3223);
																								if (BgL__ortest_1110z00_3224)
																									{	/* Expand/object.scm 77 */
																										BgL_res2676z00_3237 =
																											BgL__ortest_1110z00_3224;
																									}
																								else
																									{	/* Expand/object.scm 77 */
																										long BgL_odepthz00_3225;

																										BgL_odepthz00_3225 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_3223);
																										if ((((long) 2) <
																												BgL_odepthz00_3225))
																											{	/* Expand/object.scm 77 */
																												obj_t
																													BgL_arg1821z00_3227;
																												BgL_arg1821z00_3227 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_3223,
																													((long) 2));
																												BgL_res2676z00_3237 =
																													(BgL_arg1821z00_3227
																													== BgL_classz00_3206);
																											}
																										else
																											{	/* Expand/object.scm 77 */
																												BgL_res2676z00_3237 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_arg1823z00_3212 =
																							BgL_res2676z00_3237;
																					}
																					BgL_test2766z00_4359 =
																						BGL_ISA_C_BACKEND
																						(BgL_arg1822z00_3211,
																						BgL_arg1823z00_3212);
																				}
																			}
																		}
																		if (BgL_test2766z00_4359)
																			{
																				obj_t BgL_sz00_1717;
																				obj_t BgL_nslotsz00_1718;

																				BgL_sz00_1717 = BgL_slotsz00_1696;
																				BgL_nslotsz00_1718 = BNIL;
																			BgL_zc3z04anonymousza31336ze3z87_1719:
																				if (NULLP(BgL_sz00_1717))
																					{	/* Expand/object.scm 84 */
																						obj_t BgL_auxz00_1721;

																						BgL_auxz00_1721 =
																							BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																							(BGl_gensymz00zz__r4_symbols_6_4z00
																							(CNST_TABLE_REF(((long) 5))));
																						{	/* Expand/object.scm 84 */
																							obj_t BgL_instancez00_1722;

																							BgL_instancez00_1722 =
																								PROCEDURE_ENTRY(BgL_ez00_6)
																								(BgL_ez00_6,
																								BgL_instancez00_1695,
																								BgL_ez00_6, BEOA);
																							{	/* Expand/object.scm 85 */
																								obj_t BgL_classzd2idzd2_1723;

																								BgL_classzd2idzd2_1723 =
																									(((BgL_typez00_bglt)
																										COBJECT
																										(BgL_classz00_1713))->
																									BgL_idz00);
																								{	/* Expand/object.scm 86 */
																									obj_t BgL_tauxz00_1724;

																									BgL_tauxz00_1724 =
																										BGl_makezd2typedzd2identz00zzast_identz00
																										(BgL_auxz00_1721,
																										BgL_classzd2idzd2_1723);
																									{	/* Expand/object.scm 87 */

																										{	/* Expand/object.scm 90 */
																											obj_t BgL_arg1338z00_1725;

																											{	/* Expand/object.scm 90 */
																												obj_t
																													BgL_arg1339z00_1726;
																												obj_t
																													BgL_arg1340z00_1727;
																												if (NULLP
																													(BgL_nslotsz00_1718))
																													{	/* Expand/object.scm 90 */
																														BgL_arg1339z00_1726
																															= BNIL;
																													}
																												else
																													{	/* Expand/object.scm 90 */
																														obj_t
																															BgL_head1258z00_1731;
																														BgL_head1258z00_1731
																															=
																															MAKE_YOUNG_PAIR
																															(CAR(CAR
																																(BgL_nslotsz00_1718)),
																															BNIL);
																														{	/* Expand/object.scm 90 */
																															obj_t
																																BgL_g1261z00_1732;
																															BgL_g1261z00_1732
																																=
																																CDR
																																(BgL_nslotsz00_1718);
																															{
																																obj_t
																																	BgL_l1256z00_1734;
																																obj_t
																																	BgL_tail1259z00_1735;
																																BgL_l1256z00_1734
																																	=
																																	BgL_g1261z00_1732;
																																BgL_tail1259z00_1735
																																	=
																																	BgL_head1258z00_1731;
																															BgL_zc3z04anonymousza31343ze3z87_1736:
																																if (NULLP
																																	(BgL_l1256z00_1734))
																																	{	/* Expand/object.scm 90 */
																																		BgL_arg1339z00_1726
																																			=
																																			BgL_head1258z00_1731;
																																	}
																																else
																																	{	/* Expand/object.scm 90 */
																																		obj_t
																																			BgL_newtail1260z00_1738;
																																		{	/* Expand/object.scm 90 */
																																			obj_t
																																				BgL_arg1348z00_1740;
																																			{	/* Expand/object.scm 90 */
																																				obj_t
																																					BgL_pairz00_3243;
																																				BgL_pairz00_3243
																																					=
																																					CAR((
																																						(obj_t)
																																						BgL_l1256z00_1734));
																																				BgL_arg1348z00_1740
																																					=
																																					CAR
																																					(BgL_pairz00_3243);
																																			}
																																			BgL_newtail1260z00_1738
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1348z00_1740,
																																				BNIL);
																																		}
																																		SET_CDR
																																			(BgL_tail1259z00_1735,
																																			BgL_newtail1260z00_1738);
																																		{	/* Expand/object.scm 90 */
																																			obj_t
																																				BgL_arg1347z00_1739;
																																			BgL_arg1347z00_1739
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_l1256z00_1734));
																																			{
																																				obj_t
																																					BgL_tail1259z00_4407;
																																				obj_t
																																					BgL_l1256z00_4406;
																																				BgL_l1256z00_4406
																																					=
																																					BgL_arg1347z00_1739;
																																				BgL_tail1259z00_4407
																																					=
																																					BgL_newtail1260z00_1738;
																																				BgL_tail1259z00_1735
																																					=
																																					BgL_tail1259z00_4407;
																																				BgL_l1256z00_1734
																																					=
																																					BgL_l1256z00_4406;
																																				goto
																																					BgL_zc3z04anonymousza31343ze3z87_1736;
																																			}
																																		}
																																	}
																															}
																														}
																													}
																												BgL_arg1340z00_1727 =
																													BGl_findzd2locationzd2zztools_locationz00
																													(BgL_xz00_5);
																												{	/* Expand/object.scm 92 */
																													obj_t
																														BgL_zc3z04anonymousza31358ze3z87_4115;
																													BgL_zc3z04anonymousza31358ze3z87_4115
																														=
																														MAKE_FX_PROCEDURE
																														(BGl_z62zc3z04anonymousza31358ze3ze5zzexpand_objectz00,
																														(int) (((long) 0)),
																														(int) (((long) 8)));
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31358ze3z87_4115,
																														(int) (((long) 0)),
																														BgL_ez00_6);
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31358ze3z87_4115,
																														(int) (((long) 1)),
																														BgL_auxz00_1721);
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31358ze3z87_4115,
																														(int) (((long) 2)),
																														((obj_t)
																															BgL_classz00_1713));
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31358ze3z87_4115,
																														(int) (((long) 3)),
																														BgL_nslotsz00_1718);
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31358ze3z87_4115,
																														(int) (((long) 4)),
																														BgL_xz00_5);
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31358ze3z87_4115,
																														(int) (((long) 5)),
																														BgL_instancez00_1722);
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31358ze3z87_4115,
																														(int) (((long) 6)),
																														BgL_tauxz00_1724);
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31358ze3z87_4115,
																														(int) (((long) 7)),
																														BgL_bodyz00_1697);
																													BgL_arg1338z00_1725 =
																														BGl_withzd2lexicalzd2zzexpand_epsz00
																														(BgL_arg1339z00_1726,
																														BgL_auxz00_1721,
																														BgL_arg1340z00_1727,
																														BgL_zc3z04anonymousza31358ze3z87_4115);
																											}}
																											return
																												BGl_replacez12z12zztools_miscz00
																												(BgL_xz00_5,
																												BgL_arg1338z00_1725);
																										}
																									}
																								}
																							}
																						}
																					}
																				else
																					{	/* Expand/object.scm 83 */
																						if (PAIRP(BgL_sz00_1717))
																							{	/* Expand/object.scm 99 */
																								bool_t BgL_test2773z00_4433;

																								{	/* Expand/object.scm 99 */
																									obj_t BgL_tmpz00_4434;

																									BgL_tmpz00_4434 =
																										CAR(BgL_sz00_1717);
																									BgL_test2773z00_4433 =
																										SYMBOLP(BgL_tmpz00_4434);
																								}
																								if (BgL_test2773z00_4433)
																									{	/* Expand/object.scm 100 */
																										obj_t BgL_arg1415z00_1760;
																										obj_t BgL_arg1416z00_1761;

																										BgL_arg1415z00_1760 =
																											CDR(BgL_sz00_1717);
																										{	/* Expand/object.scm 100 */
																											obj_t BgL_arg1418z00_1762;

																											{	/* Expand/object.scm 100 */
																												obj_t
																													BgL_arg1419z00_1763;
																												obj_t
																													BgL_arg1430z00_1764;
																												BgL_arg1419z00_1763 =
																													CAR(BgL_sz00_1717);
																												BgL_arg1430z00_1764 =
																													CAR(BgL_sz00_1717);
																												{	/* Expand/object.scm 100 */
																													obj_t
																														BgL_list1431z00_1765;
																													{	/* Expand/object.scm 100 */
																														obj_t
																															BgL_arg1454z00_1766;
																														BgL_arg1454z00_1766
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1430z00_1764,
																															BNIL);
																														BgL_list1431z00_1765
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1419z00_1763,
																															BgL_arg1454z00_1766);
																													}
																													BgL_arg1418z00_1762 =
																														BgL_list1431z00_1765;
																												}
																											}
																											BgL_arg1416z00_1761 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1418z00_1762,
																												BgL_nslotsz00_1718);
																										}
																										{
																											obj_t BgL_nslotsz00_4444;
																											obj_t BgL_sz00_4443;

																											BgL_sz00_4443 =
																												BgL_arg1415z00_1760;
																											BgL_nslotsz00_4444 =
																												BgL_arg1416z00_1761;
																											BgL_nslotsz00_1718 =
																												BgL_nslotsz00_4444;
																											BgL_sz00_1717 =
																												BgL_sz00_4443;
																											goto
																												BgL_zc3z04anonymousza31336ze3z87_1719;
																										}
																									}
																								else
																									{	/* Expand/object.scm 101 */
																										bool_t BgL_test2774z00_4445;

																										{	/* Expand/object.scm 101 */
																											bool_t
																												BgL_test2775z00_4446;
																											{	/* Expand/object.scm 101 */
																												obj_t BgL_tmpz00_4447;

																												BgL_tmpz00_4447 =
																													CAR(BgL_sz00_1717);
																												BgL_test2775z00_4446 =
																													PAIRP
																													(BgL_tmpz00_4447);
																											}
																											if (BgL_test2775z00_4446)
																												{	/* Expand/object.scm 102 */
																													bool_t
																														BgL_test2776z00_4450;
																													{	/* Expand/object.scm 102 */
																														obj_t
																															BgL_tmpz00_4451;
																														BgL_tmpz00_4451 =
																															CAR(CAR
																															(BgL_sz00_1717));
																														BgL_test2776z00_4450
																															=
																															SYMBOLP
																															(BgL_tmpz00_4451);
																													}
																													if (BgL_test2776z00_4450)
																														{	/* Expand/object.scm 103 */
																															bool_t
																																BgL_test2777z00_4455;
																															{	/* Expand/object.scm 103 */
																																obj_t
																																	BgL_tmpz00_4456;
																																BgL_tmpz00_4456
																																	=
																																	CDR(CAR
																																	(BgL_sz00_1717));
																																BgL_test2777z00_4455
																																	=
																																	PAIRP
																																	(BgL_tmpz00_4456);
																															}
																															if (BgL_test2777z00_4455)
																																{	/* Expand/object.scm 104 */
																																	bool_t
																																		BgL_test2778z00_4460;
																																	{	/* Expand/object.scm 104 */
																																		obj_t
																																			BgL_tmpz00_4461;
																																		{	/* Expand/object.scm 104 */
																																			obj_t
																																				BgL_pairz00_3257;
																																			BgL_pairz00_3257
																																				=
																																				CAR
																																				(BgL_sz00_1717);
																																			BgL_tmpz00_4461
																																				=
																																				CAR(CDR
																																				(BgL_pairz00_3257));
																																		}
																																		BgL_test2778z00_4460
																																			=
																																			SYMBOLP
																																			(BgL_tmpz00_4461);
																																	}
																																	if (BgL_test2778z00_4460)
																																		{	/* Expand/object.scm 105 */
																																			obj_t
																																				BgL_tmpz00_4466;
																																			{	/* Expand/object.scm 105 */
																																				obj_t
																																					BgL_pairz00_3262;
																																				BgL_pairz00_3262
																																					=
																																					CAR
																																					(BgL_sz00_1717);
																																				BgL_tmpz00_4466
																																					=
																																					CDR
																																					(CDR
																																					(BgL_pairz00_3262));
																																			}
																																			BgL_test2774z00_4445
																																				=
																																				NULLP
																																				(BgL_tmpz00_4466);
																																		}
																																	else
																																		{	/* Expand/object.scm 104 */
																																			BgL_test2774z00_4445
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																															else
																																{	/* Expand/object.scm 103 */
																																	BgL_test2774z00_4445
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																													else
																														{	/* Expand/object.scm 102 */
																															BgL_test2774z00_4445
																																= ((bool_t) 0);
																														}
																												}
																											else
																												{	/* Expand/object.scm 101 */
																													BgL_test2774z00_4445 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test2774z00_4445)
																											{	/* Expand/object.scm 106 */
																												obj_t
																													BgL_arg1563z00_1788;
																												obj_t
																													BgL_arg1564z00_1789;
																												BgL_arg1563z00_1788 =
																													CDR(BgL_sz00_1717);
																												BgL_arg1564z00_1789 =
																													MAKE_YOUNG_PAIR(CAR
																													(BgL_sz00_1717),
																													BgL_nslotsz00_1718);
																												{
																													obj_t
																														BgL_nslotsz00_4475;
																													obj_t BgL_sz00_4474;

																													BgL_sz00_4474 =
																														BgL_arg1563z00_1788;
																													BgL_nslotsz00_4475 =
																														BgL_arg1564z00_1789;
																													BgL_nslotsz00_1718 =
																														BgL_nslotsz00_4475;
																													BgL_sz00_1717 =
																														BgL_sz00_4474;
																													goto
																														BgL_zc3z04anonymousza31336ze3z87_1719;
																												}
																											}
																										else
																											{	/* Expand/object.scm 101 */
																												return
																													BGl_errorz00zz__errorz00
																													(CAR(BgL_sz00_1717),
																													BGl_string2696z00zzexpand_objectz00,
																													BgL_xz00_5);
																											}
																									}
																							}
																						else
																							{	/* Expand/object.scm 97 */
																								return
																									BGl_errorz00zz__errorz00
																									(BgL_sz00_1717,
																									BGl_string2697z00zzexpand_objectz00,
																									BgL_xz00_5);
																							}
																					}
																			}
																		else
																			{	/* Expand/object.scm 77 */
																				return
																					BGl_errorz00zz__errorz00
																					(BgL_withzd2accesszd2_1694,
																					BGl_string2698z00zzexpand_objectz00,
																					BgL_xz00_5);
																			}
																	}
																}
															}
														}
													}
												else
													{	/* Expand/object.scm 72 */
													BgL_tagzd2112zd2_1699:
														return
															BGl_errorz00zz__errorz00
															(BGl_string2699z00zzexpand_objectz00,
															BGl_string2696z00zzexpand_objectz00, BgL_xz00_5);
													}
											}
										else
											{	/* Expand/object.scm 72 */
												goto BgL_tagzd2112zd2_1699;
											}
									}
								else
									{	/* Expand/object.scm 72 */
										goto BgL_tagzd2112zd2_1699;
									}
							}
						else
							{	/* Expand/object.scm 72 */
								goto BgL_tagzd2112zd2_1699;
							}
					}
				else
					{	/* Expand/object.scm 72 */
						goto BgL_tagzd2112zd2_1699;
					}
			}
		}

	}



/* &expand-with-access */
	obj_t BGl_z62expandzd2withzd2accessz62zzexpand_objectz00(obj_t
		BgL_envz00_4116, obj_t BgL_xz00_4117, obj_t BgL_ez00_4118)
	{
		{	/* Expand/object.scm 71 */
			return
				BGl_expandzd2withzd2accessz00zzexpand_objectz00(BgL_xz00_4117,
				BgL_ez00_4118);
		}

	}



/* &<@anonymous:1358> */
	obj_t BGl_z62zc3z04anonymousza31358ze3ze5zzexpand_objectz00(obj_t
		BgL_envz00_4119)
	{
		{	/* Expand/object.scm 91 */
			{	/* Expand/object.scm 92 */
				obj_t BgL_ez00_4120;
				obj_t BgL_auxz00_4121;
				BgL_typez00_bglt BgL_classz00_4122;
				obj_t BgL_nslotsz00_4123;
				obj_t BgL_xz00_4124;
				obj_t BgL_instancez00_4125;
				obj_t BgL_tauxz00_4126;
				obj_t BgL_bodyz00_4127;

				BgL_ez00_4120 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4119, (int) (((long) 0))));
				BgL_auxz00_4121 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4119, (int) (((long) 1))));
				BgL_classz00_4122 =
					((BgL_typez00_bglt)
					PROCEDURE_REF(BgL_envz00_4119, (int) (((long) 2))));
				BgL_nslotsz00_4123 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4119, (int) (((long) 3))));
				BgL_xz00_4124 = PROCEDURE_REF(BgL_envz00_4119, (int) (((long) 4)));
				BgL_instancez00_4125 =
					PROCEDURE_REF(BgL_envz00_4119, (int) (((long) 5)));
				BgL_tauxz00_4126 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4119, (int) (((long) 6))));
				BgL_bodyz00_4127 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4119, (int) (((long) 7))));
				{	/* Expand/object.scm 92 */
					obj_t BgL_ez00_4192;

					{	/* Expand/object.scm 93 */
						obj_t BgL_arg1371z00_4193;

						BgL_arg1371z00_4193 =
							BGl_withzd2accesszd2expanderz00zzexpand_objectz00(BgL_ez00_4120,
							BgL_auxz00_4121, ((obj_t) BgL_classz00_4122), BgL_nslotsz00_4123,
							BgL_xz00_4124);
						BgL_ez00_4192 =
							BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00
							(BgL_arg1371z00_4193);
					}
					{	/* Expand/object.scm 95 */
						obj_t BgL_arg1361z00_4194;

						{	/* Expand/object.scm 95 */
							obj_t BgL_arg1363z00_4195;
							obj_t BgL_arg1364z00_4196;

							{	/* Expand/object.scm 95 */
								obj_t BgL_arg1366z00_4197;

								{	/* Expand/object.scm 95 */
									obj_t BgL_arg1367z00_4198;

									BgL_arg1367z00_4198 =
										MAKE_YOUNG_PAIR(BgL_instancez00_4125, BNIL);
									BgL_arg1366z00_4197 =
										MAKE_YOUNG_PAIR(BgL_tauxz00_4126, BgL_arg1367z00_4198);
								}
								BgL_arg1363z00_4195 =
									MAKE_YOUNG_PAIR(BgL_arg1366z00_4197, BNIL);
							}
							{	/* Expand/object.scm 96 */
								obj_t BgL_arg1369z00_4199;

								{	/* Expand/object.scm 96 */
									obj_t BgL_arg1370z00_4200;

									BgL_arg1370z00_4200 =
										BGl_expandzd2prognzd2zz__prognz00(BgL_bodyz00_4127);
									BgL_arg1369z00_4199 =
										PROCEDURE_ENTRY(BgL_ez00_4192) (BgL_ez00_4192,
										BgL_arg1370z00_4200, BgL_ez00_4192, BEOA);
								}
								BgL_arg1364z00_4196 =
									MAKE_YOUNG_PAIR(BgL_arg1369z00_4199, BNIL);
							}
							BgL_arg1361z00_4194 =
								MAKE_YOUNG_PAIR(BgL_arg1363z00_4195, BgL_arg1364z00_4196);
						}
						return
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)), BgL_arg1361z00_4194);
		}}}}

	}



/* with-access-expander */
	obj_t BGl_withzd2accesszd2expanderz00zzexpand_objectz00(obj_t BgL_oldez00_7,
		obj_t BgL_iz00_8, obj_t BgL_classz00_9, obj_t BgL_slotsz00_10,
		obj_t BgL_formz00_11)
	{
		{	/* Expand/object.scm 115 */
			{	/* Expand/object.scm 119 */
				obj_t BgL_idsz00_1808;

				if (NULLP(BgL_slotsz00_10))
					{	/* Expand/object.scm 119 */
						BgL_idsz00_1808 = BNIL;
					}
				else
					{	/* Expand/object.scm 119 */
						obj_t BgL_head1264z00_1880;

						{	/* Expand/object.scm 119 */
							obj_t BgL_arg1712z00_1892;

							{	/* Expand/object.scm 119 */
								obj_t BgL_pairz00_3281;

								BgL_pairz00_3281 = CAR(((obj_t) BgL_slotsz00_10));
								BgL_arg1712z00_1892 = CAR(BgL_pairz00_3281);
							}
							BgL_head1264z00_1880 = MAKE_YOUNG_PAIR(BgL_arg1712z00_1892, BNIL);
						}
						{	/* Expand/object.scm 119 */
							obj_t BgL_g1267z00_1881;

							BgL_g1267z00_1881 = CDR(((obj_t) BgL_slotsz00_10));
							{
								obj_t BgL_l1262z00_1883;
								obj_t BgL_tail1265z00_1884;

								BgL_l1262z00_1883 = BgL_g1267z00_1881;
								BgL_tail1265z00_1884 = BgL_head1264z00_1880;
							BgL_zc3z04anonymousza31698ze3z87_1885:
								if (NULLP(BgL_l1262z00_1883))
									{	/* Expand/object.scm 119 */
										BgL_idsz00_1808 = BgL_head1264z00_1880;
									}
								else
									{	/* Expand/object.scm 119 */
										obj_t BgL_newtail1266z00_1887;

										{	/* Expand/object.scm 119 */
											obj_t BgL_arg1706z00_1889;

											{	/* Expand/object.scm 119 */
												obj_t BgL_pairz00_3284;

												BgL_pairz00_3284 = CAR(((obj_t) BgL_l1262z00_1883));
												BgL_arg1706z00_1889 = CAR(BgL_pairz00_3284);
											}
											BgL_newtail1266z00_1887 =
												MAKE_YOUNG_PAIR(BgL_arg1706z00_1889, BNIL);
										}
										SET_CDR(BgL_tail1265z00_1884, BgL_newtail1266z00_1887);
										{	/* Expand/object.scm 119 */
											obj_t BgL_arg1703z00_1888;

											BgL_arg1703z00_1888 = CDR(((obj_t) BgL_l1262z00_1883));
											{
												obj_t BgL_tail1265z00_4540;
												obj_t BgL_l1262z00_4539;

												BgL_l1262z00_4539 = BgL_arg1703z00_1888;
												BgL_tail1265z00_4540 = BgL_newtail1266z00_1887;
												BgL_tail1265z00_1884 = BgL_tail1265z00_4540;
												BgL_l1262z00_1883 = BgL_l1262z00_4539;
												goto BgL_zc3z04anonymousza31698ze3z87_1885;
											}
										}
									}
							}
						}
					}
				{	/* Expand/object.scm 120 */
					obj_t BgL_zc3z04anonymousza31596ze3z87_4128;

					BgL_zc3z04anonymousza31596ze3z87_4128 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31596ze3ze5zzexpand_objectz00,
						(int) (((long) 2)), (int) (((long) 6)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31596ze3z87_4128,
						(int) (((long) 0)), BgL_oldez00_7);
					PROCEDURE_SET(BgL_zc3z04anonymousza31596ze3z87_4128,
						(int) (((long) 1)), BgL_slotsz00_10);
					PROCEDURE_SET(BgL_zc3z04anonymousza31596ze3z87_4128,
						(int) (((long) 2)), BgL_classz00_9);
					PROCEDURE_SET(BgL_zc3z04anonymousza31596ze3z87_4128,
						(int) (((long) 3)), BgL_formz00_11);
					PROCEDURE_SET(BgL_zc3z04anonymousza31596ze3z87_4128,
						(int) (((long) 4)), BgL_iz00_8);
					PROCEDURE_SET(BgL_zc3z04anonymousza31596ze3z87_4128,
						(int) (((long) 5)), BgL_idsz00_1808);
					return BgL_zc3z04anonymousza31596ze3z87_4128;
				}
			}
		}

	}



/* &<@anonymous:1596> */
	obj_t BGl_z62zc3z04anonymousza31596ze3ze5zzexpand_objectz00(obj_t
		BgL_envz00_4129, obj_t BgL_xz00_4136, obj_t BgL_ez00_4137)
	{
		{	/* Expand/object.scm 120 */
			{	/* Expand/object.scm 120 */
				obj_t BgL_oldez00_4130;
				obj_t BgL_slotsz00_4131;
				obj_t BgL_classz00_4132;
				obj_t BgL_formz00_4133;
				obj_t BgL_iz00_4134;
				obj_t BgL_idsz00_4135;

				BgL_oldez00_4130 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4129, (int) (((long) 0))));
				BgL_slotsz00_4131 = PROCEDURE_REF(BgL_envz00_4129, (int) (((long) 1)));
				BgL_classz00_4132 = PROCEDURE_REF(BgL_envz00_4129, (int) (((long) 2)));
				BgL_formz00_4133 = PROCEDURE_REF(BgL_envz00_4129, (int) (((long) 3)));
				BgL_iz00_4134 = PROCEDURE_REF(BgL_envz00_4129, (int) (((long) 4)));
				BgL_idsz00_4135 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4129, (int) (((long) 5))));
				{
					obj_t BgL_varz00_4222;
					obj_t BgL_varz00_4204;
					obj_t BgL_valz00_4205;

					if (SYMBOLP(BgL_xz00_4136))
						{	/* Expand/object.scm 120 */
							BgL_varz00_4222 = BgL_xz00_4136;
							{	/* Expand/object.scm 123 */
								bool_t BgL_test2782z00_4572;

								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
										(BgL_varz00_4222, BgL_idsz00_4135)))
									{	/* Expand/object.scm 124 */
										obj_t BgL_cellz00_4223;

										BgL_cellz00_4223 =
											BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_varz00_4222,
											BGl_lexicalzd2stackzd2zzexpand_epsz00());
										if (PAIRP(BgL_cellz00_4223))
											{	/* Expand/object.scm 125 */
												BgL_test2782z00_4572 =
													(CDR(BgL_cellz00_4223) == BgL_iz00_4134);
											}
										else
											{	/* Expand/object.scm 125 */
												BgL_test2782z00_4572 = ((bool_t) 0);
											}
									}
								else
									{	/* Expand/object.scm 123 */
										BgL_test2782z00_4572 = ((bool_t) 0);
									}
								if (BgL_test2782z00_4572)
									{	/* Expand/object.scm 126 */
										obj_t BgL_slotz00_4224;

										{	/* Expand/object.scm 126 */
											obj_t BgL_arg1656z00_4225;

											{	/* Expand/object.scm 117 */
												obj_t BgL_pairz00_4226;

												BgL_pairz00_4226 =
													BGl_assqz00zz__r4_pairs_and_lists_6_3z00
													(BgL_varz00_4222, BgL_slotsz00_4131);
												BgL_arg1656z00_4225 = CAR(CDR(BgL_pairz00_4226));
											}
											BgL_slotz00_4224 =
												BGl_findzd2classzd2slotz00zzobject_toolsz00(
												((BgL_typez00_bglt) BgL_classz00_4132),
												BgL_arg1656z00_4225);
										}
										if (CBOOL(BgL_slotz00_4224))
											{	/* Expand/object.scm 129 */
												obj_t BgL_arg1636z00_4227;

												{	/* Expand/object.scm 129 */
													obj_t BgL_arg1647z00_4228;

													{	/* Expand/object.scm 117 */
														obj_t BgL_pairz00_4229;

														BgL_pairz00_4229 =
															BGl_assqz00zz__r4_pairs_and_lists_6_3z00
															(BgL_varz00_4222, BgL_slotsz00_4131);
														BgL_arg1647z00_4228 = CAR(CDR(BgL_pairz00_4229));
													}
													{	/* Expand/object.scm 129 */

														BgL_arg1636z00_4227 =
															BGl_fieldzd2accesszd2zzast_objectz00
															(BgL_iz00_4134, BgL_arg1647z00_4228, BFALSE);
													}
												}
												return
													PROCEDURE_ENTRY(BgL_oldez00_4130) (BgL_oldez00_4130,
													BgL_arg1636z00_4227, BgL_oldez00_4130, BEOA);
											}
										else
											{	/* Expand/object.scm 128 */
												obj_t BgL_arg1652z00_4230;

												{	/* Expand/object.scm 117 */
													obj_t BgL_pairz00_4231;

													BgL_pairz00_4231 =
														BGl_assqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_varz00_4222, BgL_slotsz00_4131);
													BgL_arg1652z00_4230 = CAR(CDR(BgL_pairz00_4231));
												}
												return
													BGl_errorz00zz__errorz00(BgL_arg1652z00_4230,
													BGl_string2700z00zzexpand_objectz00,
													BgL_formz00_4133);
											}
									}
								else
									{	/* Expand/object.scm 123 */
										return
											PROCEDURE_ENTRY(BgL_oldez00_4130) (BgL_oldez00_4130,
											BgL_varz00_4222, BgL_oldez00_4130, BEOA);
									}
							}
						}
					else
						{	/* Expand/object.scm 120 */
							if (PAIRP(BgL_xz00_4136))
								{	/* Expand/object.scm 120 */
									obj_t BgL_cdrzd2154zd2_4232;

									BgL_cdrzd2154zd2_4232 = CDR(BgL_xz00_4136);
									if ((CAR(BgL_xz00_4136) == CNST_TABLE_REF(((long) 7))))
										{	/* Expand/object.scm 120 */
											if (PAIRP(BgL_cdrzd2154zd2_4232))
												{	/* Expand/object.scm 120 */
													obj_t BgL_carzd2157zd2_4233;
													obj_t BgL_cdrzd2158zd2_4234;

													BgL_carzd2157zd2_4233 = CAR(BgL_cdrzd2154zd2_4232);
													BgL_cdrzd2158zd2_4234 = CDR(BgL_cdrzd2154zd2_4232);
													if (SYMBOLP(BgL_carzd2157zd2_4233))
														{	/* Expand/object.scm 120 */
															if (PAIRP(BgL_cdrzd2158zd2_4234))
																{	/* Expand/object.scm 120 */
																	if (NULLP(CDR(BgL_cdrzd2158zd2_4234)))
																		{	/* Expand/object.scm 120 */
																			BgL_varz00_4204 = BgL_carzd2157zd2_4233;
																			BgL_valz00_4205 =
																				CAR(BgL_cdrzd2158zd2_4234);
																			{	/* Expand/object.scm 132 */
																				obj_t BgL_valz00_4206;

																				BgL_valz00_4206 =
																					PROCEDURE_ENTRY(BgL_ez00_4137)
																					(BgL_ez00_4137, BgL_valz00_4205,
																					BgL_ez00_4137, BEOA);
																				{	/* Expand/object.scm 133 */
																					bool_t BgL_test2792z00_4630;

																					if (CBOOL
																						(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																							(BgL_varz00_4204,
																								BgL_idsz00_4135)))
																						{	/* Expand/object.scm 134 */
																							obj_t BgL_cellz00_4207;

																							BgL_cellz00_4207 =
																								BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																								(BgL_varz00_4204,
																								BGl_lexicalzd2stackzd2zzexpand_epsz00
																								());
																							if (PAIRP(BgL_cellz00_4207))
																								{	/* Expand/object.scm 135 */
																									BgL_test2792z00_4630 =
																										(CDR(BgL_cellz00_4207) ==
																										BgL_iz00_4134);
																								}
																							else
																								{	/* Expand/object.scm 135 */
																									BgL_test2792z00_4630 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Expand/object.scm 133 */
																							BgL_test2792z00_4630 =
																								((bool_t) 0);
																						}
																					if (BgL_test2792z00_4630)
																						{	/* Expand/object.scm 136 */
																							obj_t BgL_slotz00_4208;

																							{	/* Expand/object.scm 136 */
																								obj_t BgL_arg1682z00_4209;

																								{	/* Expand/object.scm 117 */
																									obj_t BgL_pairz00_4210;

																									BgL_pairz00_4210 =
																										BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																										(BgL_varz00_4204,
																										BgL_slotsz00_4131);
																									BgL_arg1682z00_4209 =
																										CAR(CDR(BgL_pairz00_4210));
																								}
																								BgL_slotz00_4208 =
																									BGl_findzd2classzd2slotz00zzobject_toolsz00
																									(((BgL_typez00_bglt)
																										BgL_classz00_4132),
																									BgL_arg1682z00_4209);
																							}
																							if (CBOOL(BgL_slotz00_4208))
																								{	/* Expand/object.scm 140 */
																									obj_t BgL_arg1675z00_4211;

																									{	/* Expand/object.scm 140 */
																										obj_t BgL_idz00_4212;

																										{	/* Expand/object.scm 140 */
																											obj_t BgL_arg1679z00_4213;

																											{	/* Expand/object.scm 117 */
																												obj_t BgL_pairz00_4214;

																												BgL_pairz00_4214 =
																													BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																													(BgL_varz00_4204,
																													BgL_slotsz00_4131);
																												BgL_arg1679z00_4213 =
																													CAR(CDR
																													(BgL_pairz00_4214));
																											}
																											{	/* Expand/object.scm 140 */

																												BgL_idz00_4212 =
																													BGl_fieldzd2accesszd2zzast_objectz00
																													(BgL_iz00_4134,
																													BgL_arg1679z00_4213,
																													BFALSE);
																											}
																										}
																										{	/* Expand/object.scm 140 */
																											obj_t BgL_nxz00_4215;

																											{	/* Expand/object.scm 141 */
																												obj_t
																													BgL_arg1676z00_4216;
																												{	/* Expand/object.scm 141 */
																													obj_t
																														BgL_arg1678z00_4217;
																													BgL_arg1678z00_4217 =
																														MAKE_YOUNG_PAIR
																														(BgL_valz00_4206,
																														BNIL);
																													BgL_arg1676z00_4216 =
																														MAKE_YOUNG_PAIR
																														(BgL_idz00_4212,
																														BgL_arg1678z00_4217);
																												}
																												BgL_nxz00_4215 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 7)),
																													BgL_arg1676z00_4216);
																											}
																											{	/* Expand/object.scm 141 */

																												BgL_arg1675z00_4211 =
																													PROCEDURE_ENTRY
																													(BgL_oldez00_4130)
																													(BgL_oldez00_4130,
																													BgL_nxz00_4215,
																													BgL_oldez00_4130,
																													BEOA);
																									}}}
																									return
																										BGl_objectzd2epairifyzd2zzexpand_objectz00
																										(BgL_arg1675z00_4211,
																										BgL_xz00_4136);
																								}
																							else
																								{	/* Expand/object.scm 138 */
																									obj_t BgL_arg1681z00_4218;

																									{	/* Expand/object.scm 117 */
																										obj_t BgL_pairz00_4219;

																										BgL_pairz00_4219 =
																											BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																											(BgL_varz00_4204,
																											BgL_slotsz00_4131);
																										BgL_arg1681z00_4218 =
																											CAR(CDR
																											(BgL_pairz00_4219));
																									}
																									return
																										BGl_errorz00zz__errorz00
																										(BgL_arg1681z00_4218,
																										BGl_string2700z00zzexpand_objectz00,
																										BgL_formz00_4133);
																								}
																						}
																					else
																						{	/* Expand/object.scm 133 */
																							{	/* Expand/object.scm 145 */
																								obj_t BgL_arg1694z00_4220;

																								{	/* Expand/object.scm 145 */
																									obj_t BgL_pairz00_4221;

																									BgL_pairz00_4221 =
																										CDR(
																										((obj_t) BgL_xz00_4136));
																									BgL_arg1694z00_4220 =
																										CDR(BgL_pairz00_4221);
																								}
																								{	/* Expand/object.scm 145 */
																									obj_t BgL_tmpz00_4668;

																									BgL_tmpz00_4668 =
																										((obj_t)
																										BgL_arg1694z00_4220);
																									SET_CAR(BgL_tmpz00_4668,
																										BgL_valz00_4206);
																								}
																							}
																							return
																								PROCEDURE_ENTRY
																								(BgL_oldez00_4130)
																								(BgL_oldez00_4130,
																								BgL_xz00_4136, BgL_oldez00_4130,
																								BEOA);
																						}
																				}
																			}
																		}
																	else
																		{	/* Expand/object.scm 120 */
																		BgL_tagzd2143zd2_4201:
																			return
																				PROCEDURE_ENTRY(BgL_oldez00_4130)
																				(BgL_oldez00_4130, BgL_xz00_4136,
																				BgL_ez00_4137, BEOA);
																		}
																}
															else
																{	/* Expand/object.scm 120 */
																	goto BgL_tagzd2143zd2_4201;
																}
														}
													else
														{	/* Expand/object.scm 120 */
															goto BgL_tagzd2143zd2_4201;
														}
												}
											else
												{	/* Expand/object.scm 120 */
													goto BgL_tagzd2143zd2_4201;
												}
										}
									else
										{	/* Expand/object.scm 120 */
											goto BgL_tagzd2143zd2_4201;
										}
								}
							else
								{	/* Expand/object.scm 120 */
									goto BgL_tagzd2143zd2_4201;
								}
						}
				}
			}
		}

	}



/* expand-instantiate */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2instantiatezd2zzexpand_objectz00(obj_t
		BgL_xz00_12, obj_t BgL_ez00_13)
	{
		{	/* Expand/object.scm 153 */
			{
				obj_t BgL_instantiatez00_1898;

				if (PAIRP(BgL_xz00_12))
					{	/* Expand/object.scm 154 */
						BgL_instantiatez00_1898 = CAR(BgL_xz00_12);
						{	/* Expand/object.scm 156 */
							BgL_typez00_bglt BgL_classz00_1904;

							BgL_classz00_1904 =
								BGl_typezd2ofzd2idz00zzast_identz00(BgL_instantiatez00_1898,
								BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_12));
							{	/* Expand/object.scm 158 */
								bool_t BgL_test2797z00_4686;

								{	/* Expand/object.scm 158 */
									obj_t BgL_classz00_3330;

									BgL_classz00_3330 = BGl_tclassz00zzobject_classz00;
									{	/* Expand/object.scm 158 */
										BgL_objectz00_bglt BgL_arg1825z00_3332;

										{	/* Expand/object.scm 158 */
											obj_t BgL_tmpz00_4687;

											BgL_tmpz00_4687 =
												((obj_t) ((BgL_objectz00_bglt) BgL_classz00_1904));
											BgL_arg1825z00_3332 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4687);
										}
										{	/* Expand/object.scm 158 */
											bool_t BgL_arg1822z00_3335;
											bool_t BgL_arg1823z00_3336;

											{	/* Expand/object.scm 158 */
												long BgL_idxz00_3339;

												BgL_idxz00_3339 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3332);
												BgL_arg1822z00_3335 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3339 + ((long) 2))) ==
													BgL_classz00_3330);
											}
											{	/* Expand/object.scm 158 */
												bool_t BgL_res2678z00_3361;

												{	/* Expand/object.scm 158 */
													obj_t BgL_oclassz00_3347;

													{	/* Expand/object.scm 158 */
														long BgL_arg1833z00_3353;

														{	/* Expand/object.scm 158 */
															long BgL_arg1834z00_3354;

															BgL_arg1834z00_3354 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3332);
															BgL_arg1833z00_3353 =
																(BgL_arg1834z00_3354 - OBJECT_TYPE);
														}
														BgL_oclassz00_3347 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_3353);
													}
													{	/* Expand/object.scm 158 */
														bool_t BgL__ortest_1110z00_3348;

														BgL__ortest_1110z00_3348 =
															(BgL_classz00_3330 == BgL_oclassz00_3347);
														if (BgL__ortest_1110z00_3348)
															{	/* Expand/object.scm 158 */
																BgL_res2678z00_3361 = BgL__ortest_1110z00_3348;
															}
														else
															{	/* Expand/object.scm 158 */
																long BgL_odepthz00_3349;

																BgL_odepthz00_3349 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3347);
																if ((((long) 2) < BgL_odepthz00_3349))
																	{	/* Expand/object.scm 158 */
																		obj_t BgL_arg1821z00_3351;

																		BgL_arg1821z00_3351 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3347, ((long) 2));
																		BgL_res2678z00_3361 =
																			(BgL_arg1821z00_3351 ==
																			BgL_classz00_3330);
																	}
																else
																	{	/* Expand/object.scm 158 */
																		BgL_res2678z00_3361 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_3336 = BgL_res2678z00_3361;
											}
											BgL_test2797z00_4686 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_3335,
												BgL_arg1823z00_3336);
										}
									}
								}
								if (BgL_test2797z00_4686)
									{	/* Expand/object.scm 160 */
										bool_t BgL_test2800z00_4706;

										{
											BgL_tclassz00_bglt BgL_auxz00_4707;

											{
												obj_t BgL_auxz00_4708;

												{	/* Expand/object.scm 160 */
													BgL_objectz00_bglt BgL_tmpz00_4709;

													BgL_tmpz00_4709 =
														((BgL_objectz00_bglt)
														((BgL_typez00_bglt) BgL_classz00_1904));
													BgL_auxz00_4708 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4709);
												}
												BgL_auxz00_4707 =
													((BgL_tclassz00_bglt) BgL_auxz00_4708);
											}
											BgL_test2800z00_4706 =
												(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_4707))->
												BgL_abstractzf3zf3);
										}
										if (BgL_test2800z00_4706)
											{	/* Expand/object.scm 160 */
												return
													BGl_errorz00zz__errorz00(BgL_instantiatez00_1898,
													BGl_string2701z00zzexpand_objectz00, BgL_xz00_12);
											}
										else
											{	/* Expand/object.scm 160 */
												return
													BGl_replacez12z12zztools_miscz00(BgL_xz00_12,
													BGl_instantiatezd2ze3makez31zzexpand_objectz00
													(BgL_xz00_12, BgL_classz00_1904, BgL_ez00_13));
											}
									}
								else
									{	/* Expand/object.scm 158 */
										return
											BGl_errorz00zz__errorz00(BgL_instantiatez00_1898,
											BGl_string2702z00zzexpand_objectz00, BgL_xz00_12);
									}
							}
						}
					}
				else
					{	/* Expand/object.scm 154 */
						return
							BGl_errorz00zz__errorz00(BGl_string2703z00zzexpand_objectz00,
							BGl_string2696z00zzexpand_objectz00, BgL_xz00_12);
					}
			}
		}

	}



/* &expand-instantiate */
	obj_t BGl_z62expandzd2instantiatezb0zzexpand_objectz00(obj_t BgL_envz00_4138,
		obj_t BgL_xz00_4139, obj_t BgL_ez00_4140)
	{
		{	/* Expand/object.scm 153 */
			return
				BGl_expandzd2instantiatezd2zzexpand_objectz00(BgL_xz00_4139,
				BgL_ez00_4140);
		}

	}



/* instantiate->make */
	obj_t BGl_instantiatezd2ze3makez31zzexpand_objectz00(obj_t BgL_xz00_14,
		BgL_typez00_bglt BgL_classz00_15, obj_t BgL_ez00_16)
	{
		{	/* Expand/object.scm 170 */
			{	/* Expand/object.scm 171 */
				obj_t BgL_oz00_1909;

				BgL_oz00_1909 =
					BGl_allocatezd2exprzd2zzexpand_objectz00(((obj_t) BgL_classz00_15));
				{	/* Expand/object.scm 172 */
					obj_t BgL_arg1728z00_1910;
					obj_t BgL_arg1729z00_1911;
					obj_t BgL_arg1731z00_1912;

					BgL_arg1728z00_1910 = CAR(((obj_t) BgL_xz00_14));
					BgL_arg1729z00_1911 = CDR(((obj_t) BgL_xz00_14));
					{
						BgL_tclassz00_bglt BgL_auxz00_4728;

						{
							obj_t BgL_auxz00_4729;

							{	/* Expand/object.scm 173 */
								BgL_objectz00_bglt BgL_tmpz00_4730;

								BgL_tmpz00_4730 =
									((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_15));
								BgL_auxz00_4729 = BGL_OBJECT_WIDENING(BgL_tmpz00_4730);
							}
							BgL_auxz00_4728 = ((BgL_tclassz00_bglt) BgL_auxz00_4729);
						}
						BgL_arg1731z00_1912 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_4728))->BgL_slotsz00);
					}
					return
						BGl_instantiatezd2fillzd2zzexpand_objectz00(BgL_arg1728z00_1910,
						BgL_arg1729z00_1911, ((obj_t) BgL_classz00_15), BgL_arg1731z00_1912,
						BgL_oz00_1909, BgL_xz00_14, BgL_ez00_16);
				}
			}
		}

	}



/* instantiate-fill */
	obj_t BGl_instantiatezd2fillzd2zzexpand_objectz00(obj_t BgL_opz00_17,
		obj_t BgL_providedz00_18, obj_t BgL_classz00_19, obj_t BgL_slotsz00_20,
		obj_t BgL_initz00_21, obj_t BgL_xz00_22, obj_t BgL_ez00_23)
	{
		{	/* Expand/object.scm 178 */
			{
				BgL_globalz00_bglt BgL_gz00_2371;
				obj_t BgL_sz00_2372;
				obj_t BgL_sz00_2395;
				obj_t BgL_slotsz00_2404;

				{	/* Expand/object.scm 312 */
					obj_t BgL_idz00_1921;

					BgL_idz00_1921 =
						(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_classz00_19)))->BgL_idz00);
					{	/* Expand/object.scm 312 */
						obj_t BgL_newz00_1922;

						BgL_newz00_1922 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 13)));
						{	/* Expand/object.scm 313 */
							obj_t BgL_tnewz00_1923;

							BgL_tnewz00_1923 =
								BGl_makezd2typedzd2identz00zzast_identz00(BgL_newz00_1922,
								BgL_idz00_1921);
							{	/* Expand/object.scm 314 */
								obj_t BgL_argsz00_1924;

								BgL_slotsz00_2404 = BgL_slotsz00_20;
								{	/* Expand/object.scm 246 */
									long BgL_offsetz00_2406;
									obj_t BgL_vargsz00_2407;

									{	/* Expand/object.scm 246 */
										long BgL_arg2173z00_2451;
										long BgL_arg2174z00_2452;

										{	/* Expand/object.scm 246 */
											obj_t BgL_arg2175z00_2453;

											{
												BgL_tclassz00_bglt BgL_auxz00_4743;

												{
													obj_t BgL_auxz00_4744;

													{	/* Expand/object.scm 246 */
														BgL_objectz00_bglt BgL_tmpz00_4745;

														BgL_tmpz00_4745 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_classz00_19));
														BgL_auxz00_4744 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4745);
													}
													BgL_auxz00_4743 =
														((BgL_tclassz00_bglt) BgL_auxz00_4744);
												}
												BgL_arg2175z00_2453 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_4743))->
													BgL_slotsz00);
											}
											BgL_arg2173z00_2451 =
												bgl_list_length(BgL_arg2175z00_2453);
										}
										BgL_arg2174z00_2452 = bgl_list_length(BgL_slotsz00_2404);
										BgL_offsetz00_2406 =
											(BgL_arg2173z00_2451 - BgL_arg2174z00_2452);
									}
									BgL_vargsz00_2407 =
										make_vector(bgl_list_length(BgL_slotsz00_2404), BUNSPEC);
									{
										obj_t BgL_providedz00_2409;

										BgL_providedz00_2409 = BgL_providedz00_18;
									BgL_zc3z04anonymousza32146ze3z87_2410:
										if (PAIRP(BgL_providedz00_2409))
											{	/* Expand/object.scm 251 */
												obj_t BgL_pz00_2412;

												BgL_pz00_2412 = CAR(BgL_providedz00_2409);
												{
													obj_t BgL_szd2namezd2_2413;
													obj_t BgL_valuez00_2414;

													if (PAIRP(BgL_pz00_2412))
														{	/* Expand/object.scm 252 */
															obj_t BgL_carzd2672zd2_2419;
															obj_t BgL_cdrzd2673zd2_2420;

															BgL_carzd2672zd2_2419 = CAR(BgL_pz00_2412);
															BgL_cdrzd2673zd2_2420 = CDR(BgL_pz00_2412);
															if (SYMBOLP(BgL_carzd2672zd2_2419))
																{	/* Expand/object.scm 252 */
																	if (PAIRP(BgL_cdrzd2673zd2_2420))
																		{	/* Expand/object.scm 252 */
																			if (NULLP(CDR(BgL_cdrzd2673zd2_2420)))
																				{	/* Expand/object.scm 252 */
																					BgL_szd2namezd2_2413 =
																						BgL_carzd2672zd2_2419;
																					BgL_valuez00_2414 =
																						CAR(BgL_cdrzd2673zd2_2420);
																					{	/* Expand/object.scm 255 */
																						long BgL_arg2155z00_2427;
																						obj_t BgL_arg2156z00_2428;

																						{	/* Expand/object.scm 255 */
																							obj_t BgL_arg2157z00_2429;

																							BgL_arg2157z00_2429 =
																								BGl_findzd2slotzd2offsetz00zzexpand_objectz00
																								(BgL_slotsz00_2404,
																								BgL_szd2namezd2_2413,
																								BgL_opz00_17, BgL_pz00_2412);
																							BgL_arg2155z00_2427 =
																								((long)
																								CINT(BgL_arg2157z00_2429) -
																								BgL_offsetz00_2406);
																						}
																						BgL_arg2156z00_2428 =
																							MAKE_YOUNG_PAIR(BTRUE,
																							BGl_objectzd2epairifyzd2zzexpand_objectz00
																							(BgL_valuez00_2414,
																								BgL_pz00_2412));
																						VECTOR_SET(BgL_vargsz00_2407,
																							BgL_arg2155z00_2427,
																							BgL_arg2156z00_2428);
																				}}
																			else
																				{	/* Expand/object.scm 252 */
																				BgL_tagzd2666zd2_2416:
																					{	/* Expand/object.scm 258 */
																						obj_t BgL_arg2159z00_2431;

																						{	/* Expand/object.scm 258 */
																							obj_t BgL_list2160z00_2432;

																							BgL_list2160z00_2432 =
																								MAKE_YOUNG_PAIR(BgL_pz00_2412,
																								BNIL);
																							BgL_arg2159z00_2431 =
																								BGl_formatz00zz__r4_output_6_10_3z00
																								(BGl_string2704z00zzexpand_objectz00,
																								BgL_list2160z00_2432);
																						}
																						BGl_errorz00zz__errorz00
																							(BgL_opz00_17,
																							BgL_arg2159z00_2431, BgL_xz00_22);
																					}
																				}
																		}
																	else
																		{	/* Expand/object.scm 252 */
																			goto BgL_tagzd2666zd2_2416;
																		}
																}
															else
																{	/* Expand/object.scm 252 */
																	goto BgL_tagzd2666zd2_2416;
																}
														}
													else
														{	/* Expand/object.scm 252 */
															goto BgL_tagzd2666zd2_2416;
														}
												}
												{
													obj_t BgL_providedz00_4780;

													BgL_providedz00_4780 = CDR(BgL_providedz00_2409);
													BgL_providedz00_2409 = BgL_providedz00_4780;
													goto BgL_zc3z04anonymousza32146ze3z87_2410;
												}
											}
										else
											{	/* Expand/object.scm 250 */
												((bool_t) 0);
											}
									}
									{
										long BgL_iz00_2436;
										obj_t BgL_slotsz00_2437;

										BgL_iz00_2436 = ((long) 0);
										BgL_slotsz00_2437 = BgL_slotsz00_2404;
									BgL_zc3z04anonymousza32162ze3z87_2438:
										if (PAIRP(BgL_slotsz00_2437))
											{	/* Expand/object.scm 264 */
												obj_t BgL_sz00_2440;

												BgL_sz00_2440 = CAR(BgL_slotsz00_2437);
												{	/* Expand/object.scm 266 */
													bool_t BgL_test2807z00_4785;

													{	/* Expand/object.scm 266 */
														obj_t BgL_tmpz00_4786;

														BgL_tmpz00_4786 =
															VECTOR_REF(BgL_vargsz00_2407, BgL_iz00_2436);
														BgL_test2807z00_4785 = PAIRP(BgL_tmpz00_4786);
													}
													if (BgL_test2807z00_4785)
														{	/* Expand/object.scm 266 */
															BUNSPEC;
														}
													else
														{	/* Expand/object.scm 266 */
															if (BGl_slotzd2defaultzf3z21zzobject_slotsz00(
																	((BgL_slotz00_bglt) BgL_sz00_2440)))
																{	/* Expand/object.scm 269 */
																	obj_t BgL_arg2167z00_2444;

																	{	/* Expand/object.scm 269 */
																		obj_t BgL_tmpz00_4792;

																		BgL_sz00_2395 = BgL_sz00_2440;
																		{	/* Expand/object.scm 237 */
																			BgL_globalz00_bglt BgL_gz00_2397;
																			obj_t BgL_mz00_2398;

																			{
																				BgL_tclassz00_bglt BgL_auxz00_4793;

																				{
																					obj_t BgL_auxz00_4794;

																					{	/* Expand/object.scm 237 */
																						BgL_objectz00_bglt BgL_tmpz00_4795;

																						BgL_tmpz00_4795 =
																							((BgL_objectz00_bglt)
																							((BgL_typez00_bglt)
																								BgL_classz00_19));
																						BgL_auxz00_4794 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_4795);
																					}
																					BgL_auxz00_4793 =
																						((BgL_tclassz00_bglt)
																						BgL_auxz00_4794);
																				}
																				BgL_gz00_2397 =
																					(((BgL_tclassz00_bglt)
																						COBJECT(BgL_auxz00_4793))->
																					BgL_holderz00);
																			}
																			{	/* Expand/object.scm 238 */
																				BgL_globalz00_bglt BgL_arg2143z00_2402;

																				{	/* Expand/object.scm 238 */
																					BgL_typez00_bglt BgL_oz00_3624;

																					BgL_oz00_3624 =
																						((BgL_typez00_bglt)
																						(((BgL_slotz00_bglt) COBJECT(
																									((BgL_slotz00_bglt)
																										BgL_sz00_2395)))->
																							BgL_classzd2ownerzd2));
																					{
																						BgL_tclassz00_bglt BgL_auxz00_4804;

																						{
																							obj_t BgL_auxz00_4805;

																							{	/* Expand/object.scm 238 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_4806;
																								BgL_tmpz00_4806 =
																									((BgL_objectz00_bglt)
																									BgL_oz00_3624);
																								BgL_auxz00_4805 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_4806);
																							}
																							BgL_auxz00_4804 =
																								((BgL_tclassz00_bglt)
																								BgL_auxz00_4805);
																						}
																						BgL_arg2143z00_2402 =
																							(((BgL_tclassz00_bglt)
																								COBJECT(BgL_auxz00_4804))->
																							BgL_holderz00);
																					}
																				}
																				BgL_mz00_2398 =
																					(((BgL_globalz00_bglt)
																						COBJECT(BgL_arg2143z00_2402))->
																					BgL_modulez00);
																			}
																			{	/* Expand/object.scm 239 */
																				bool_t BgL_test2809z00_4812;

																				{	/* Expand/object.scm 239 */
																					obj_t BgL_arg2142z00_2401;

																					BgL_arg2142z00_2401 =
																						(((BgL_slotz00_bglt) COBJECT(
																								((BgL_slotz00_bglt)
																									BgL_sz00_2395)))->
																						BgL_defaultzd2valuezd2);
																					BgL_test2809z00_4812 =
																						BGl_inlinablezf3ze70z14zzexpand_objectz00
																						(BgL_arg2142z00_2401,
																						BgL_mz00_2398);
																				}
																				if (BgL_test2809z00_4812)
																					{	/* Expand/object.scm 239 */
																						BgL_tmpz00_4792 =
																							(((BgL_slotz00_bglt) COBJECT(
																									((BgL_slotz00_bglt)
																										BgL_sz00_2395)))->
																							BgL_defaultzd2valuezd2);
																					}
																				else
																					{	/* Expand/object.scm 239 */
																						BgL_gz00_2371 = BgL_gz00_2397;
																						BgL_sz00_2372 = BgL_sz00_2395;
																						if (CBOOL
																							(BGl_za2warningzd2defaultzd2slotzd2valueza2zd2zzengine_paramz00))
																							{	/* Expand/object.scm 224 */
																								{	/* Expand/object.scm 225 */
																									obj_t BgL_arg2117z00_2374;
																									obj_t BgL_arg2118z00_2375;
																									obj_t BgL_arg2119z00_2376;

																									BgL_arg2117z00_2374 =
																										BGl_findzd2locationzd2zztools_locationz00
																										(BgL_xz00_22);
																									{	/* Expand/object.scm 227 */
																										obj_t BgL_arg2120z00_2377;

																										BgL_arg2120z00_2377 =
																											(((BgL_slotz00_bglt)
																												COBJECT((
																														(BgL_slotz00_bglt)
																														BgL_sz00_2372)))->
																											BgL_idz00);
																										{	/* Expand/object.scm 227 */
																											obj_t
																												BgL_list2121z00_2378;
																											BgL_list2121z00_2378 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg2120z00_2377,
																												BNIL);
																											BgL_arg2118z00_2375 =
																												BGl_formatz00zz__r4_output_6_10_3z00
																												(BGl_string2705z00zzexpand_objectz00,
																												BgL_list2121z00_2378);
																										}
																									}
																									BgL_arg2119z00_2376 =
																										(((BgL_slotz00_bglt)
																											COBJECT((
																													(BgL_slotz00_bglt)
																													BgL_sz00_2372)))->
																										BgL_defaultzd2valuezd2);
																									BGl_userzd2warningzf2locationz20zztools_errorz00
																										(BgL_arg2117z00_2374,
																										BgL_opz00_17,
																										BgL_arg2118z00_2375,
																										BgL_arg2119z00_2376);
																								}
																								{	/* Expand/object.scm 229 */
																									obj_t BgL_arg2122z00_2379;

																									{	/* Expand/object.scm 229 */
																										obj_t BgL_tmpz00_4828;

																										BgL_tmpz00_4828 =
																											BGL_CURRENT_DYNAMIC_ENV();
																										BgL_arg2122z00_2379 =
																											BGL_ENV_CURRENT_ERROR_PORT
																											(BgL_tmpz00_4828);
																									}
																									bgl_display_char(((unsigned
																												char) 10),
																										BgL_arg2122z00_2379);
																							}}
																						else
																							{	/* Expand/object.scm 224 */
																								BFALSE;
																							}
																						{	/* Expand/object.scm 232 */
																							obj_t BgL_arg2123z00_2380;

																							{	/* Expand/object.scm 232 */
																								obj_t BgL_arg2124z00_2381;

																								{	/* Expand/object.scm 232 */
																									obj_t BgL_arg2125z00_2382;

																									{	/* Expand/object.scm 232 */
																										obj_t BgL_arg2126z00_2383;
																										obj_t BgL_arg2127z00_2384;

																										{	/* Expand/object.scm 232 */
																											obj_t BgL_arg2128z00_2385;
																											obj_t BgL_arg2129z00_2386;

																											{	/* Expand/object.scm 232 */
																												obj_t
																													BgL_arg2130z00_2387;
																												{	/* Expand/object.scm 232 */
																													obj_t
																														BgL_arg2131z00_2388;
																													BgL_arg2131z00_2388 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 8)),
																														BNIL);
																													BgL_arg2130z00_2387 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 9)),
																														BgL_arg2131z00_2388);
																												}
																												BgL_arg2128z00_2385 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 10)),
																													BgL_arg2130z00_2387);
																											}
																											{	/* Expand/object.scm 233 */
																												obj_t
																													BgL_arg2132z00_2389;
																												{	/* Expand/object.scm 233 */
																													obj_t
																														BgL_arg2133z00_2390;
																													{	/* Expand/object.scm 233 */
																														obj_t
																															BgL_arg2134z00_2391;
																														obj_t
																															BgL_arg2136z00_2392;
																														BgL_arg2134z00_2391
																															=
																															(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_gz00_2371)))->BgL_idz00);
																														BgL_arg2136z00_2392
																															=
																															MAKE_YOUNG_PAIR(((
																																	(BgL_globalz00_bglt)
																																	COBJECT
																																	(BgL_gz00_2371))->
																																BgL_modulez00),
																															BNIL);
																														BgL_arg2133z00_2390
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg2134z00_2391,
																															BgL_arg2136z00_2392);
																													}
																													BgL_arg2132z00_2389 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 10)),
																														BgL_arg2133z00_2390);
																												}
																												BgL_arg2129z00_2386 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg2132z00_2389,
																													BNIL);
																											}
																											BgL_arg2126z00_2383 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg2128z00_2385,
																												BgL_arg2129z00_2386);
																										}
																										{	/* Expand/object.scm 234 */
																											long BgL_arg2138z00_2394;

																											BgL_arg2138z00_2394 =
																												(((BgL_slotz00_bglt)
																													COBJECT((
																															(BgL_slotz00_bglt)
																															BgL_sz00_2372)))->
																												BgL_indexz00);
																											BgL_arg2127z00_2384 =
																												MAKE_YOUNG_PAIR(BINT
																												(BgL_arg2138z00_2394),
																												BNIL);
																										}
																										BgL_arg2125z00_2382 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg2126z00_2383,
																											BgL_arg2127z00_2384);
																									}
																									BgL_arg2124z00_2381 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												11)),
																										BgL_arg2125z00_2382);
																								}
																								BgL_arg2123z00_2380 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2124z00_2381, BNIL);
																							}
																							BgL_tmpz00_4792 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 12)),
																								BgL_arg2123z00_2380);
																		}}}}
																		BgL_arg2167z00_2444 =
																			MAKE_YOUNG_PAIR(BTRUE, BgL_tmpz00_4792);
																	}
																	VECTOR_SET(BgL_vargsz00_2407, BgL_iz00_2436,
																		BgL_arg2167z00_2444);
																}
															else
																{	/* Expand/object.scm 271 */
																	obj_t BgL_arg2169z00_2446;

																	BgL_arg2169z00_2446 =
																		MAKE_YOUNG_PAIR(BFALSE, BUNSPEC);
																	VECTOR_SET(BgL_vargsz00_2407, BgL_iz00_2436,
																		BgL_arg2169z00_2446);
																}
														}
												}
												{
													obj_t BgL_slotsz00_4863;
													long BgL_iz00_4861;

													BgL_iz00_4861 = (BgL_iz00_2436 + ((long) 1));
													BgL_slotsz00_4863 = CDR(BgL_slotsz00_2437);
													BgL_slotsz00_2437 = BgL_slotsz00_4863;
													BgL_iz00_2436 = BgL_iz00_4861;
													goto BgL_zc3z04anonymousza32162ze3z87_2438;
												}
											}
										else
											{	/* Expand/object.scm 263 */
												((bool_t) 0);
											}
									}
									BgL_argsz00_1924 =
										BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00
										(BgL_vargsz00_2407);
								}
								{	/* Expand/object.scm 315 */

									{
										obj_t BgL_ll1278z00_1926;
										obj_t BgL_ll1279z00_1927;

										BgL_ll1278z00_1926 = BgL_argsz00_1924;
										BgL_ll1279z00_1927 = BgL_slotsz00_20;
									BgL_zc3z04anonymousza31732ze3z87_1928:
										if (NULLP(BgL_ll1278z00_1926))
											{	/* Expand/object.scm 317 */
												((bool_t) 1);
											}
										else
											{	/* Expand/object.scm 317 */
												{	/* Expand/object.scm 318 */
													obj_t BgL_az00_1930;
													obj_t BgL_sz00_1931;

													BgL_az00_1930 = CAR(((obj_t) BgL_ll1278z00_1926));
													BgL_sz00_1931 = CAR(((obj_t) BgL_ll1279z00_1927));
													{	/* Expand/object.scm 318 */
														bool_t BgL_test2812z00_4872;

														if (CBOOL(CAR(((obj_t) BgL_az00_1930))))
															{	/* Expand/object.scm 318 */
																BgL_test2812z00_4872 = ((bool_t) 1);
															}
														else
															{	/* Expand/object.scm 318 */
																BgL_test2812z00_4872 =
																	BGl_slotzd2virtualzf3z21zzobject_slotsz00(
																	((BgL_slotz00_bglt) BgL_sz00_1931));
															}
														if (BgL_test2812z00_4872)
															{	/* Expand/object.scm 318 */
																BFALSE;
															}
														else
															{	/* Expand/object.scm 321 */
																obj_t BgL_arg1738z00_1934;

																{	/* Expand/object.scm 321 */
																	obj_t BgL_arg1739z00_1935;

																	BgL_arg1739z00_1935 =
																		(((BgL_slotz00_bglt) COBJECT(
																				((BgL_slotz00_bglt) BgL_sz00_1931)))->
																		BgL_idz00);
																	{	/* Expand/object.scm 321 */
																		obj_t BgL_list1740z00_1936;

																		BgL_list1740z00_1936 =
																			MAKE_YOUNG_PAIR(BgL_arg1739z00_1935,
																			BNIL);
																		BgL_arg1738z00_1934 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2706z00zzexpand_objectz00,
																			BgL_list1740z00_1936);
																	}
																}
																BGl_errorz00zz__errorz00(BgL_opz00_17,
																	BgL_arg1738z00_1934, BgL_xz00_22);
															}
													}
												}
												{	/* Expand/object.scm 317 */
													obj_t BgL_arg1742z00_1938;
													obj_t BgL_arg1743z00_1939;

													BgL_arg1742z00_1938 =
														CDR(((obj_t) BgL_ll1278z00_1926));
													BgL_arg1743z00_1939 =
														CDR(((obj_t) BgL_ll1279z00_1927));
													{
														obj_t BgL_ll1279z00_4889;
														obj_t BgL_ll1278z00_4888;

														BgL_ll1278z00_4888 = BgL_arg1742z00_1938;
														BgL_ll1279z00_4889 = BgL_arg1743z00_1939;
														BgL_ll1279z00_1927 = BgL_ll1279z00_4889;
														BgL_ll1278z00_1926 = BgL_ll1278z00_4888;
														goto BgL_zc3z04anonymousza31732ze3z87_1928;
													}
												}
											}
									}
									{	/* Expand/object.scm 326 */
										obj_t BgL_arg1745z00_1941;

										{	/* Expand/object.scm 326 */
											obj_t BgL_arg1746z00_1942;
											obj_t BgL_arg1747z00_1943;

											{	/* Expand/object.scm 326 */
												obj_t BgL_arg1748z00_1944;

												{	/* Expand/object.scm 326 */
													obj_t BgL_arg1749z00_1945;

													BgL_arg1749z00_1945 =
														MAKE_YOUNG_PAIR(BgL_initz00_21, BNIL);
													BgL_arg1748z00_1944 =
														MAKE_YOUNG_PAIR(BgL_tnewz00_1923,
														BgL_arg1749z00_1945);
												}
												BgL_arg1746z00_1942 =
													MAKE_YOUNG_PAIR(BgL_arg1748z00_1944, BNIL);
											}
											{	/* Expand/object.scm 329 */
												obj_t BgL_arg1750z00_1946;
												obj_t BgL_arg1751z00_1947;

												{	/* Expand/object.scm 329 */
													obj_t BgL_zc3z04anonymousza31760ze3z87_4142;

													BgL_zc3z04anonymousza31760ze3z87_4142 =
														MAKE_FX_PROCEDURE
														(BGl_z62zc3z04anonymousza31760ze3ze5zzexpand_objectz00,
														(int) (((long) 2)), (int) (((long) 2)));
													PROCEDURE_SET(BgL_zc3z04anonymousza31760ze3z87_4142,
														(int) (((long) 0)), BgL_ez00_23);
													PROCEDURE_SET(BgL_zc3z04anonymousza31760ze3z87_4142,
														(int) (((long) 1)), BgL_newz00_1922);
													{	/* Expand/object.scm 328 */
														obj_t BgL_list1753z00_1949;

														{	/* Expand/object.scm 328 */
															obj_t BgL_arg1759z00_1950;

															BgL_arg1759z00_1950 =
																MAKE_YOUNG_PAIR(BgL_argsz00_1924, BNIL);
															BgL_list1753z00_1949 =
																MAKE_YOUNG_PAIR(BgL_slotsz00_20,
																BgL_arg1759z00_1950);
														}
														BgL_arg1750z00_1946 =
															BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
															(BgL_zc3z04anonymousza31760ze3z87_4142,
															BgL_list1753z00_1949);
												}}
												{	/* Expand/object.scm 336 */
													obj_t BgL_arg1781z00_1964;
													obj_t BgL_arg1785z00_1965;

													if (CBOOL
														(BGl_findzd2classzd2constructorz00zzobject_classz00(
																((BgL_typez00_bglt) BgL_classz00_19))))
														{	/* Expand/object.scm 337 */
															BgL_globalz00_bglt BgL_gz00_1967;

															{
																BgL_tclassz00_bglt BgL_auxz00_4907;

																{
																	obj_t BgL_auxz00_4908;

																	{	/* Expand/object.scm 337 */
																		BgL_objectz00_bglt BgL_tmpz00_4909;

																		BgL_tmpz00_4909 =
																			((BgL_objectz00_bglt)
																			((BgL_typez00_bglt) BgL_classz00_19));
																		BgL_auxz00_4908 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4909);
																	}
																	BgL_auxz00_4907 =
																		((BgL_tclassz00_bglt) BgL_auxz00_4908);
																}
																BgL_gz00_1967 =
																	(((BgL_tclassz00_bglt)
																		COBJECT(BgL_auxz00_4907))->BgL_holderz00);
															}
															{	/* Expand/object.scm 337 */
																obj_t BgL_nxz00_1968;

																{	/* Expand/object.scm 338 */
																	obj_t BgL_arg1789z00_1970;
																	obj_t BgL_arg1799z00_1971;

																	{	/* Expand/object.scm 338 */
																		obj_t BgL_arg1801z00_1972;
																		obj_t BgL_arg1805z00_1973;

																		{	/* Expand/object.scm 338 */
																			obj_t BgL_arg1807z00_1974;

																			{	/* Expand/object.scm 338 */
																				obj_t BgL_arg1808z00_1975;

																				BgL_arg1808z00_1975 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							8)), BNIL);
																				BgL_arg1807z00_1974 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							14)), BgL_arg1808z00_1975);
																			}
																			BgL_arg1801z00_1972 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						10)), BgL_arg1807z00_1974);
																		}
																		{	/* Expand/object.scm 339 */
																			obj_t BgL_arg1810z00_1976;

																			{	/* Expand/object.scm 339 */
																				obj_t BgL_arg1811z00_1977;

																				{	/* Expand/object.scm 339 */
																					obj_t BgL_arg1817z00_1978;
																					obj_t BgL_arg1818z00_1979;

																					BgL_arg1817z00_1978 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									BgL_gz00_1967)))->BgL_idz00);
																					BgL_arg1818z00_1979 =
																						MAKE_YOUNG_PAIR(((
																								(BgL_globalz00_bglt)
																								COBJECT(BgL_gz00_1967))->
																							BgL_modulez00), BNIL);
																					BgL_arg1811z00_1977 =
																						MAKE_YOUNG_PAIR(BgL_arg1817z00_1978,
																						BgL_arg1818z00_1979);
																				}
																				BgL_arg1810z00_1976 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							10)), BgL_arg1811z00_1977);
																			}
																			BgL_arg1805z00_1973 =
																				MAKE_YOUNG_PAIR(BgL_arg1810z00_1976,
																				BNIL);
																		}
																		BgL_arg1789z00_1970 =
																			MAKE_YOUNG_PAIR(BgL_arg1801z00_1972,
																			BgL_arg1805z00_1973);
																	}
																	BgL_arg1799z00_1971 =
																		MAKE_YOUNG_PAIR(BgL_newz00_1922, BNIL);
																	BgL_nxz00_1968 =
																		MAKE_YOUNG_PAIR(BgL_arg1789z00_1970,
																		BgL_arg1799z00_1971);
																}
																{	/* Expand/object.scm 338 */

																	{	/* Expand/object.scm 341 */
																		obj_t BgL_arg1788z00_1969;

																		BgL_arg1788z00_1969 =
																			BGl_objectzd2epairifyzd2zzexpand_objectz00
																			(BgL_nxz00_1968, BgL_xz00_22);
																		BgL_arg1781z00_1964 =
																			PROCEDURE_ENTRY(BgL_ez00_23) (BgL_ez00_23,
																			BgL_arg1788z00_1969, BgL_ez00_23, BEOA);
														}}}}
													else
														{	/* Expand/object.scm 336 */
															BgL_arg1781z00_1964 = BFALSE;
														}
													{	/* Expand/object.scm 344 */
														obj_t BgL_arg1837z00_1981;
														obj_t BgL_arg1838z00_1982;

														{	/* Expand/object.scm 344 */
															obj_t BgL_zc3z04anonymousza31843ze3z87_4141;

															BgL_zc3z04anonymousza31843ze3z87_4141 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza31843ze3ze5zzexpand_objectz00,
																(int) (((long) 2)), (int) (((long) 2)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza31843ze3z87_4141,
																(int) (((long) 0)), BgL_ez00_23);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza31843ze3z87_4141,
																(int) (((long) 1)), BgL_newz00_1922);
															{	/* Expand/object.scm 343 */
																obj_t BgL_list1840z00_1984;

																{	/* Expand/object.scm 343 */
																	obj_t BgL_arg1842z00_1985;

																	BgL_arg1842z00_1985 =
																		MAKE_YOUNG_PAIR(BgL_argsz00_1924, BNIL);
																	BgL_list1840z00_1984 =
																		MAKE_YOUNG_PAIR(BgL_slotsz00_20,
																		BgL_arg1842z00_1985);
																}
																BgL_arg1837z00_1981 =
																	BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
																	(BgL_zc3z04anonymousza31843ze3z87_4141,
																	BgL_list1840z00_1984);
														}}
														BgL_arg1838z00_1982 =
															MAKE_YOUNG_PAIR(BgL_newz00_1922, BNIL);
														BgL_arg1785z00_1965 =
															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg1837z00_1981, BgL_arg1838z00_1982);
													}
													BgL_arg1751z00_1947 =
														MAKE_YOUNG_PAIR(BgL_arg1781z00_1964,
														BgL_arg1785z00_1965);
												}
												BgL_arg1747z00_1943 =
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg1750z00_1946, BgL_arg1751z00_1947);
											}
											BgL_arg1745z00_1941 =
												MAKE_YOUNG_PAIR(BgL_arg1746z00_1942,
												BgL_arg1747z00_1943);
										}
										return
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
											BgL_arg1745z00_1941);
		}}}}}}}}

	}



/* inlinable-call?~0 */
	obj_t BGl_inlinablezd2callzf3ze70zc6zzexpand_objectz00(obj_t BgL_funz00_2003,
		obj_t BgL_modulez00_2004)
	{
		{	/* Expand/object.scm 186 */
			{
				obj_t BgL_gz00_2309;
				obj_t BgL_funz00_2320;
				obj_t BgL_modulez00_2321;

				{	/* Expand/object.scm 181 */
					obj_t BgL_gz00_2006;

					{	/* Expand/object.scm 181 */
						obj_t BgL_list1873z00_2022;

						BgL_list1873z00_2022 = MAKE_YOUNG_PAIR(BgL_modulez00_2004, BNIL);
						BgL_gz00_2006 =
							BGl_findzd2globalzd2zzast_envz00(BgL_funz00_2003,
							BgL_list1873z00_2022);
					}
					{	/* Expand/object.scm 182 */
						bool_t BgL_test2815z00_4957;

						{	/* Expand/object.scm 182 */
							bool_t BgL_test2816z00_4958;

							{	/* Expand/object.scm 182 */
								obj_t BgL_classz00_3369;

								BgL_classz00_3369 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_2006))
									{	/* Expand/object.scm 182 */
										BgL_objectz00_bglt BgL_arg1825z00_3371;

										BgL_arg1825z00_3371 = (BgL_objectz00_bglt) (BgL_gz00_2006);
										{	/* Expand/object.scm 182 */
											bool_t BgL_arg1822z00_3374;
											bool_t BgL_arg1823z00_3375;

											{	/* Expand/object.scm 182 */
												long BgL_idxz00_3378;

												BgL_idxz00_3378 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3371);
												BgL_arg1822z00_3374 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3378 + ((long) 2))) ==
													BgL_classz00_3369);
											}
											{	/* Expand/object.scm 182 */
												bool_t BgL_res2679z00_3400;

												{	/* Expand/object.scm 182 */
													obj_t BgL_oclassz00_3386;

													{	/* Expand/object.scm 182 */
														long BgL_arg1833z00_3392;

														{	/* Expand/object.scm 182 */
															long BgL_arg1834z00_3393;

															BgL_arg1834z00_3393 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3371);
															BgL_arg1833z00_3392 =
																(BgL_arg1834z00_3393 - OBJECT_TYPE);
														}
														BgL_oclassz00_3386 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_3392);
													}
													{	/* Expand/object.scm 182 */
														bool_t BgL__ortest_1110z00_3387;

														BgL__ortest_1110z00_3387 =
															(BgL_classz00_3369 == BgL_oclassz00_3386);
														if (BgL__ortest_1110z00_3387)
															{	/* Expand/object.scm 182 */
																BgL_res2679z00_3400 = BgL__ortest_1110z00_3387;
															}
														else
															{	/* Expand/object.scm 182 */
																long BgL_odepthz00_3388;

																BgL_odepthz00_3388 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3386);
																if ((((long) 2) < BgL_odepthz00_3388))
																	{	/* Expand/object.scm 182 */
																		obj_t BgL_arg1821z00_3390;

																		BgL_arg1821z00_3390 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3386, ((long) 2));
																		BgL_res2679z00_3400 =
																			(BgL_arg1821z00_3390 ==
																			BgL_classz00_3369);
																	}
																else
																	{	/* Expand/object.scm 182 */
																		BgL_res2679z00_3400 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_3375 = BgL_res2679z00_3400;
											}
											BgL_test2816z00_4958 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_3374,
												BgL_arg1823z00_3375);
										}
									}
								else
									{	/* Expand/object.scm 182 */
										BgL_test2816z00_4958 = ((bool_t) 0);
									}
							}
							if (BgL_test2816z00_4958)
								{	/* Expand/object.scm 182 */
									BgL_valuez00_bglt BgL_arg1872z00_2021;

									BgL_arg1872z00_2021 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_2006))))->
										BgL_valuez00);
									{	/* Expand/object.scm 182 */
										obj_t BgL_classz00_3402;

										BgL_classz00_3402 = BGl_sfunz00zzast_varz00;
										{	/* Expand/object.scm 182 */
											BgL_objectz00_bglt BgL_arg1825z00_3404;

											{	/* Expand/object.scm 182 */
												obj_t BgL_tmpz00_4980;

												BgL_tmpz00_4980 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg1872z00_2021));
												BgL_arg1825z00_3404 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4980);
											}
											{	/* Expand/object.scm 182 */
												bool_t BgL_arg1822z00_3407;
												bool_t BgL_arg1823z00_3408;

												{	/* Expand/object.scm 182 */
													long BgL_idxz00_3411;

													BgL_idxz00_3411 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3404);
													BgL_arg1822z00_3407 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3411 + ((long) 3))) ==
														BgL_classz00_3402);
												}
												{	/* Expand/object.scm 182 */
													bool_t BgL_res2680z00_3433;

													{	/* Expand/object.scm 182 */
														obj_t BgL_oclassz00_3419;

														{	/* Expand/object.scm 182 */
															long BgL_arg1833z00_3425;

															{	/* Expand/object.scm 182 */
																long BgL_arg1834z00_3426;

																BgL_arg1834z00_3426 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3404);
																BgL_arg1833z00_3425 =
																	(BgL_arg1834z00_3426 - OBJECT_TYPE);
															}
															BgL_oclassz00_3419 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_3425);
														}
														{	/* Expand/object.scm 182 */
															bool_t BgL__ortest_1110z00_3420;

															BgL__ortest_1110z00_3420 =
																(BgL_classz00_3402 == BgL_oclassz00_3419);
															if (BgL__ortest_1110z00_3420)
																{	/* Expand/object.scm 182 */
																	BgL_res2680z00_3433 =
																		BgL__ortest_1110z00_3420;
																}
															else
																{	/* Expand/object.scm 182 */
																	long BgL_odepthz00_3421;

																	BgL_odepthz00_3421 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_3419);
																	if ((((long) 3) < BgL_odepthz00_3421))
																		{	/* Expand/object.scm 182 */
																			obj_t BgL_arg1821z00_3423;

																			BgL_arg1821z00_3423 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_3419, ((long) 3));
																			BgL_res2680z00_3433 =
																				(BgL_arg1821z00_3423 ==
																				BgL_classz00_3402);
																		}
																	else
																		{	/* Expand/object.scm 182 */
																			BgL_res2680z00_3433 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_3408 = BgL_res2680z00_3433;
												}
												BgL_test2815z00_4957 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_3407,
													BgL_arg1823z00_3408);
											}
										}
									}
								}
							else
								{	/* Expand/object.scm 182 */
									BgL_test2815z00_4957 = ((bool_t) 0);
								}
						}
						if (BgL_test2815z00_4957)
							{	/* Expand/object.scm 183 */
								bool_t BgL__ortest_1111z00_2010;

								if (CBOOL(
										(((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_gz00_2006))))->
															BgL_valuez00))))->BgL_sidezd2effectzd2)))
									{	/* Expand/object.scm 183 */
										BgL__ortest_1111z00_2010 = ((bool_t) 0);
									}
								else
									{	/* Expand/object.scm 183 */
										BgL__ortest_1111z00_2010 = ((bool_t) 1);
									}
								if (BgL__ortest_1111z00_2010)
									{	/* Expand/object.scm 183 */
										return BBOOL(BgL__ortest_1111z00_2010);
									}
								else
									{	/* Expand/object.scm 184 */
										obj_t BgL__ortest_1113z00_2011;

										BgL__ortest_1113z00_2011 =
											BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF((
													(long) 17)),
											(((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
															BgL_gz00_2006)))->BgL_pragmaz00));
										if (CBOOL(BgL__ortest_1113z00_2011))
											{	/* Expand/object.scm 184 */
												return BgL__ortest_1113z00_2011;
											}
										else
											{	/* Expand/object.scm 184 */
												if (
													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_gz00_2006))))->
																			BgL_valuez00))))->BgL_classz00) ==
														CNST_TABLE_REF(((long) 18))))
													{	/* Expand/object.scm 186 */
														obj_t BgL_arg1862z00_2013;

														BgL_gz00_2309 = BgL_gz00_2006;
														if (
															((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_gz00_2309))))->
																					BgL_valuez00))))->BgL_bodyz00) ==
																BUNSPEC))
															{	/* Expand/object.scm 212 */
																obj_t BgL__ortest_1124z00_2314;

																{	/* Expand/object.scm 212 */
																	obj_t BgL_arg2076z00_2315;
																	obj_t BgL_arg2077z00_2316;

																	BgL_arg2076z00_2315 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_gz00_2309))))->BgL_idz00);
																	BgL_arg2077z00_2316 =
																		(((BgL_globalz00_bglt)
																			COBJECT(((BgL_globalz00_bglt)
																					BgL_gz00_2309)))->BgL_modulez00);
																	BgL_funz00_2320 = BgL_arg2076z00_2315;
																	BgL_modulez00_2321 = BgL_arg2077z00_2316;
																	{	/* Expand/object.scm 216 */
																		obj_t BgL_g1276z00_2323;

																		BgL_g1276z00_2323 =
																			BGl_inlinezd2definitionzd2queuez00zzread_inlinez00
																			();
																		{
																			obj_t BgL_l1274z00_2325;

																			BgL_l1274z00_2325 = BgL_g1276z00_2323;
																		BgL_zc3z04anonymousza32084ze3z87_2326:
																			if (NULLP(BgL_l1274z00_2325))
																				{	/* Expand/object.scm 221 */
																					BgL__ortest_1124z00_2314 = BFALSE;
																				}
																			else
																				{	/* Expand/object.scm 217 */
																					obj_t BgL__ortest_1277z00_2328;

																					{	/* Expand/object.scm 217 */
																						obj_t BgL_ezd2630zd2_2335;

																						BgL_ezd2630zd2_2335 =
																							CAR(((obj_t) BgL_l1274z00_2325));
																						if (PAIRP(BgL_ezd2630zd2_2335))
																							{	/* Expand/object.scm 217 */
																								obj_t BgL_cdrzd2638zd2_2337;

																								BgL_cdrzd2638zd2_2337 =
																									CDR(BgL_ezd2630zd2_2335);
																								if (
																									(CAR(BgL_ezd2630zd2_2335) ==
																										CNST_TABLE_REF(((long)
																												15))))
																									{	/* Expand/object.scm 217 */
																										if (PAIRP
																											(BgL_cdrzd2638zd2_2337))
																											{	/* Expand/object.scm 217 */
																												obj_t
																													BgL_carzd2642zd2_2341;
																												obj_t
																													BgL_cdrzd2643zd2_2342;
																												BgL_carzd2642zd2_2341 =
																													CAR
																													(BgL_cdrzd2638zd2_2337);
																												BgL_cdrzd2643zd2_2342 =
																													CDR
																													(BgL_cdrzd2638zd2_2337);
																												if (PAIRP
																													(BgL_carzd2642zd2_2341))
																													{	/* Expand/object.scm 217 */
																														obj_t
																															BgL_carzd2646zd2_2344;
																														BgL_carzd2646zd2_2344
																															=
																															CAR
																															(BgL_carzd2642zd2_2341);
																														if (PAIRP
																															(BgL_carzd2646zd2_2344))
																															{	/* Expand/object.scm 217 */
																																obj_t
																																	BgL_cdrzd2651zd2_2346;
																																BgL_cdrzd2651zd2_2346
																																	=
																																	CDR
																																	(BgL_carzd2646zd2_2344);
																																if ((CAR
																																		(BgL_carzd2646zd2_2344)
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				10))))
																																	{	/* Expand/object.scm 217 */
																																		if (PAIRP
																																			(BgL_cdrzd2651zd2_2346))
																																			{	/* Expand/object.scm 217 */
																																				obj_t
																																					BgL_cdrzd2655zd2_2350;
																																				BgL_cdrzd2655zd2_2350
																																					=
																																					CDR
																																					(BgL_cdrzd2651zd2_2346);
																																				if (PAIRP(BgL_cdrzd2655zd2_2350))
																																					{	/* Expand/object.scm 217 */
																																						if (NULLP(CDR(BgL_cdrzd2655zd2_2350)))
																																							{	/* Expand/object.scm 217 */
																																								if (NULLP(CDR(BgL_carzd2642zd2_2341)))
																																									{	/* Expand/object.scm 217 */
																																										if (PAIRP(BgL_cdrzd2643zd2_2342))
																																											{	/* Expand/object.scm 217 */
																																												if (NULLP(CDR(BgL_cdrzd2643zd2_2342)))
																																													{	/* Expand/object.scm 219 */
																																														bool_t
																																															BgL_test2840z00_5076;
																																														if ((CAR(BgL_cdrzd2651zd2_2346) == BgL_funz00_2320))
																																															{	/* Expand/object.scm 219 */
																																																BgL_test2840z00_5076
																																																	=
																																																	(CAR
																																																	(BgL_cdrzd2655zd2_2350)
																																																	==
																																																	BgL_modulez00_2321);
																																															}
																																														else
																																															{	/* Expand/object.scm 219 */
																																																BgL_test2840z00_5076
																																																	=
																																																	(
																																																	(bool_t)
																																																	0);
																																															}
																																														if (BgL_test2840z00_5076)
																																															{	/* Expand/object.scm 219 */
																																																BgL__ortest_1277z00_2328
																																																	=
																																																	CAR
																																																	(BgL_cdrzd2643zd2_2342);
																																															}
																																														else
																																															{	/* Expand/object.scm 219 */
																																																BgL__ortest_1277z00_2328
																																																	=
																																																	BFALSE;
																																															}
																																													}
																																												else
																																													{	/* Expand/object.scm 217 */
																																														BgL__ortest_1277z00_2328
																																															=
																																															BFALSE;
																																													}
																																											}
																																										else
																																											{	/* Expand/object.scm 217 */
																																												BgL__ortest_1277z00_2328
																																													=
																																													BFALSE;
																																											}
																																									}
																																								else
																																									{	/* Expand/object.scm 217 */
																																										BgL__ortest_1277z00_2328
																																											=
																																											BFALSE;
																																									}
																																							}
																																						else
																																							{	/* Expand/object.scm 217 */
																																								BgL__ortest_1277z00_2328
																																									=
																																									BFALSE;
																																							}
																																					}
																																				else
																																					{	/* Expand/object.scm 217 */
																																						BgL__ortest_1277z00_2328
																																							=
																																							BFALSE;
																																					}
																																			}
																																		else
																																			{	/* Expand/object.scm 217 */
																																				BgL__ortest_1277z00_2328
																																					=
																																					BFALSE;
																																			}
																																	}
																																else
																																	{	/* Expand/object.scm 217 */
																																		BgL__ortest_1277z00_2328
																																			= BFALSE;
																																	}
																															}
																														else
																															{	/* Expand/object.scm 217 */
																																BgL__ortest_1277z00_2328
																																	= BFALSE;
																															}
																													}
																												else
																													{	/* Expand/object.scm 217 */
																														BgL__ortest_1277z00_2328
																															= BFALSE;
																													}
																											}
																										else
																											{	/* Expand/object.scm 217 */
																												BgL__ortest_1277z00_2328
																													= BFALSE;
																											}
																									}
																								else
																									{	/* Expand/object.scm 217 */
																										BgL__ortest_1277z00_2328 =
																											BFALSE;
																									}
																							}
																						else
																							{	/* Expand/object.scm 217 */
																								BgL__ortest_1277z00_2328 =
																									BFALSE;
																							}
																					}
																					if (CBOOL(BgL__ortest_1277z00_2328))
																						{	/* Expand/object.scm 221 */
																							BgL__ortest_1124z00_2314 =
																								BgL__ortest_1277z00_2328;
																						}
																					else
																						{
																							obj_t BgL_l1274z00_5085;

																							BgL_l1274z00_5085 =
																								CDR(
																								((obj_t) BgL_l1274z00_2325));
																							BgL_l1274z00_2325 =
																								BgL_l1274z00_5085;
																							goto
																								BgL_zc3z04anonymousza32084ze3z87_2326;
																						}
																				}
																		}
																	}
																}
																if (CBOOL(BgL__ortest_1124z00_2314))
																	{	/* Expand/object.scm 212 */
																		BgL_arg1862z00_2013 =
																			BgL__ortest_1124z00_2314;
																	}
																else
																	{	/* Expand/object.scm 212 */
																		BgL_arg1862z00_2013 =
																			CNST_TABLE_REF(((long) 16));
															}}
														else
															{	/* Expand/object.scm 211 */
																BgL_arg1862z00_2013 =
																	(((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_gz00_2309))))->
																					BgL_valuez00))))->BgL_bodyz00);
															}
														return
															BBOOL(BGl_inlinablezf3ze70z14zzexpand_objectz00
															(BgL_arg1862z00_2013, BgL_modulez00_2004));
													}
												else
													{	/* Expand/object.scm 185 */
														return BFALSE;
													}
											}
									}
							}
						else
							{	/* Expand/object.scm 182 */
								return BFALSE;
							}
					}
				}
			}
		}

	}



/* inlinable?~0 */
	bool_t BGl_inlinablezf3ze70z14zzexpand_objectz00(obj_t BgL_nz00_2023,
		obj_t BgL_modulez00_2024)
	{
		{	/* Expand/object.scm 208 */
		BGl_inlinablezf3ze70z14zzexpand_objectz00:
			{	/* Expand/object.scm 189 */
				bool_t BgL__ortest_1115z00_2026;

				BgL__ortest_1115z00_2026 =
					BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_nz00_2023);
				if (BgL__ortest_1115z00_2026)
					{	/* Expand/object.scm 189 */
						return BgL__ortest_1115z00_2026;
					}
				else
					{	/* Expand/object.scm 190 */
						bool_t BgL__ortest_1116z00_2027;

						BgL__ortest_1116z00_2027 = STRINGP(BgL_nz00_2023);
						if (BgL__ortest_1116z00_2027)
							{	/* Expand/object.scm 190 */
								return BgL__ortest_1116z00_2027;
							}
						else
							{	/* Expand/object.scm 191 */
								bool_t BgL__ortest_1117z00_2028;

								BgL__ortest_1117z00_2028 = CHARP(BgL_nz00_2023);
								if (BgL__ortest_1117z00_2028)
									{	/* Expand/object.scm 191 */
										return BgL__ortest_1117z00_2028;
									}
								else
									{	/* Expand/object.scm 192 */
										bool_t BgL__ortest_1118z00_2029;

										BgL__ortest_1118z00_2029 = BOOLEANP(BgL_nz00_2023);
										if (BgL__ortest_1118z00_2029)
											{	/* Expand/object.scm 192 */
												return BgL__ortest_1118z00_2029;
											}
										else
											{	/* Expand/object.scm 193 */
												bool_t BgL__ortest_1119z00_2030;

												BgL__ortest_1119z00_2030 = (BgL_nz00_2023 == BUNSPEC);
												if (BgL__ortest_1119z00_2030)
													{	/* Expand/object.scm 193 */
														return BgL__ortest_1119z00_2030;
													}
												else
													{	/* Expand/object.scm 194 */
														bool_t BgL__ortest_1120z00_2031;

														{	/* Expand/object.scm 194 */
															obj_t BgL_classz00_3439;

															BgL_classz00_3439 = BGl_literalz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_nz00_2023))
																{	/* Expand/object.scm 194 */
																	BgL_objectz00_bglt BgL_arg1825z00_3441;

																	BgL_arg1825z00_3441 =
																		(BgL_objectz00_bglt) (BgL_nz00_2023);
																	{	/* Expand/object.scm 194 */
																		bool_t BgL_arg1822z00_3444;
																		bool_t BgL_arg1823z00_3445;

																		{	/* Expand/object.scm 194 */
																			long BgL_idxz00_3448;

																			BgL_idxz00_3448 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_3441);
																			BgL_arg1822z00_3444 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3448 + ((long) 3))) ==
																				BgL_classz00_3439);
																		}
																		{	/* Expand/object.scm 194 */
																			bool_t BgL_res2681z00_3470;

																			{	/* Expand/object.scm 194 */
																				obj_t BgL_oclassz00_3456;

																				{	/* Expand/object.scm 194 */
																					long BgL_arg1833z00_3462;

																					{	/* Expand/object.scm 194 */
																						long BgL_arg1834z00_3463;

																						BgL_arg1834z00_3463 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_3441);
																						BgL_arg1833z00_3462 =
																							(BgL_arg1834z00_3463 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3456 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_3462);
																				}
																				{	/* Expand/object.scm 194 */
																					bool_t BgL__ortest_1110z00_3457;

																					BgL__ortest_1110z00_3457 =
																						(BgL_classz00_3439 ==
																						BgL_oclassz00_3456);
																					if (BgL__ortest_1110z00_3457)
																						{	/* Expand/object.scm 194 */
																							BgL_res2681z00_3470 =
																								BgL__ortest_1110z00_3457;
																						}
																					else
																						{	/* Expand/object.scm 194 */
																							long BgL_odepthz00_3458;

																							BgL_odepthz00_3458 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_3456);
																							if ((((long) 3) <
																									BgL_odepthz00_3458))
																								{	/* Expand/object.scm 194 */
																									obj_t BgL_arg1821z00_3460;

																									BgL_arg1821z00_3460 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_3456,
																										((long) 3));
																									BgL_res2681z00_3470 =
																										(BgL_arg1821z00_3460 ==
																										BgL_classz00_3439);
																								}
																							else
																								{	/* Expand/object.scm 194 */
																									BgL_res2681z00_3470 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_3445 = BgL_res2681z00_3470;
																		}
																		BgL__ortest_1120z00_2031 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_3444,
																			BgL_arg1823z00_3445);
																	}
																}
															else
																{	/* Expand/object.scm 194 */
																	BgL__ortest_1120z00_2031 = ((bool_t) 0);
																}
														}
														if (BgL__ortest_1120z00_2031)
															{	/* Expand/object.scm 194 */
																return BgL__ortest_1120z00_2031;
															}
														else
															{
																obj_t BgL_funz00_2040;
																obj_t BgL_argsz00_2041;
																obj_t BgL_funz00_2043;
																obj_t BgL_modz00_2044;
																obj_t BgL_argsz00_2045;

																if (PAIRP(BgL_nz00_2023))
																	{	/* Expand/object.scm 195 */
																		if (
																			(CAR(BgL_nz00_2023) ==
																				CNST_TABLE_REF(((long) 19))))
																			{	/* Expand/object.scm 195 */
																				return ((bool_t) 1);
																			}
																		else
																			{	/* Expand/object.scm 195 */
																				if (
																					(CAR(BgL_nz00_2023) ==
																						CNST_TABLE_REF(((long) 20))))
																					{
																						obj_t BgL_nz00_5137;

																						BgL_nz00_5137 = CDR(BgL_nz00_2023);
																						BgL_nz00_2023 = BgL_nz00_5137;
																						goto
																							BGl_inlinablezf3ze70z14zzexpand_objectz00;
																					}
																				else
																					{	/* Expand/object.scm 195 */
																						obj_t BgL_carzd2208zd2_2055;
																						obj_t BgL_cdrzd2209zd2_2056;

																						BgL_carzd2208zd2_2055 =
																							CAR(BgL_nz00_2023);
																						BgL_cdrzd2209zd2_2056 =
																							CDR(BgL_nz00_2023);
																						{

																							if (
																								(BgL_carzd2208zd2_2055 ==
																									CNST_TABLE_REF(((long) 23))))
																								{	/* Expand/object.scm 195 */
																								BgL_kapzd2210zd2_2057:
																									if (PAIRP
																										(BgL_cdrzd2209zd2_2056))
																										{	/* Expand/object.scm 195 */
																											obj_t
																												BgL_cdrzd2214zd2_2160;
																											BgL_cdrzd2214zd2_2160 =
																												CDR
																												(BgL_cdrzd2209zd2_2056);
																											if (PAIRP
																												(BgL_cdrzd2214zd2_2160))
																												{	/* Expand/object.scm 195 */
																													if (NULLP(CDR
																															(BgL_cdrzd2214zd2_2160)))
																														{	/* Expand/object.scm 195 */
																															obj_t
																																BgL_arg1969z00_2164;
																															obj_t
																																BgL_arg1970z00_2165;
																															BgL_arg1969z00_2164
																																=
																																CAR
																																(BgL_cdrzd2209zd2_2056);
																															BgL_arg1970z00_2165
																																=
																																CAR
																																(BgL_cdrzd2214zd2_2160);
																															if (BGl_inlinablezf3ze70z14zzexpand_objectz00(BgL_arg1969z00_2164, BgL_modulez00_2024))
																																{
																																	obj_t
																																		BgL_nz00_5156;
																																	BgL_nz00_5156
																																		=
																																		BgL_arg1970z00_2165;
																																	BgL_nz00_2023
																																		=
																																		BgL_nz00_5156;
																																	goto
																																		BGl_inlinablezf3ze70z14zzexpand_objectz00;
																																}
																															else
																																{	/* Expand/object.scm 199 */
																																	return (
																																		(bool_t) 0);
																																}
																														}
																													else
																														{	/* Expand/object.scm 195 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_nz00_2023))
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			21))))
																																{	/* Expand/object.scm 195 */
																																	return (
																																		(bool_t) 1);
																																}
																															else
																																{	/* Expand/object.scm 195 */
																																	obj_t
																																		BgL_carzd2233zd2_2168;
																																	BgL_carzd2233zd2_2168
																																		=
																																		CAR(((obj_t)
																																			BgL_nz00_2023));
																																	if (SYMBOLP
																																		(BgL_carzd2233zd2_2168))
																																		{	/* Expand/object.scm 195 */
																																			obj_t
																																				BgL_arg1974z00_2170;
																																			BgL_arg1974z00_2170
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_nz00_2023));
																																			BgL_funz00_2040
																																				=
																																				BgL_carzd2233zd2_2168;
																																			BgL_argsz00_2041
																																				=
																																				BgL_arg1974z00_2170;
																																		BgL_tagzd2179zd2_2042:
																																			{	/* Expand/object.scm 203 */
																																				obj_t
																																					BgL__andtest_1122z00_2289;
																																				BgL__andtest_1122z00_2289
																																					=
																																					BGl_inlinablezd2callzf3ze70zc6zzexpand_objectz00
																																					(BgL_funz00_2040,
																																					BgL_modulez00_2024);
																																				if (CBOOL(BgL__andtest_1122z00_2289))
																																					{
																																						obj_t
																																							BgL_l1268z00_2291;
																																						BgL_l1268z00_2291
																																							=
																																							BgL_argsz00_2041;
																																					BgL_zc3z04anonymousza32066ze3z87_2292:
																																						if (NULLP(BgL_l1268z00_2291))
																																							{	/* Expand/object.scm 204 */
																																								return
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Expand/object.scm 204 */
																																								bool_t
																																									BgL_test2865z00_5173;
																																								{	/* Expand/object.scm 204 */
																																									obj_t
																																										BgL_az00_2297;
																																									BgL_az00_2297
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_l1268z00_2291));
																																									BgL_test2865z00_5173
																																										=
																																										BGl_inlinablezf3ze70z14zzexpand_objectz00
																																										(BgL_az00_2297,
																																										BgL_modulez00_2024);
																																								}
																																								if (BgL_test2865z00_5173)
																																									{	/* Expand/object.scm 204 */
																																										obj_t
																																											BgL_arg2068z00_2296;
																																										BgL_arg2068z00_2296
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_l1268z00_2291));
																																										{
																																											obj_t
																																												BgL_l1268z00_5179;
																																											BgL_l1268z00_5179
																																												=
																																												BgL_arg2068z00_2296;
																																											BgL_l1268z00_2291
																																												=
																																												BgL_l1268z00_5179;
																																											goto
																																												BgL_zc3z04anonymousza32066ze3z87_2292;
																																										}
																																									}
																																								else
																																									{	/* Expand/object.scm 204 */
																																										return
																																											(
																																											(bool_t)
																																											0);
																																									}
																																							}
																																					}
																																				else
																																					{	/* Expand/object.scm 203 */
																																						return
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																		}
																																	else
																																		{	/* Expand/object.scm 195 */
																																			if (PAIRP
																																				(BgL_carzd2233zd2_2168))
																																				{	/* Expand/object.scm 195 */
																																					obj_t
																																						BgL_cdrzd2250zd2_2173;
																																					BgL_cdrzd2250zd2_2173
																																						=
																																						CDR
																																						(BgL_carzd2233zd2_2168);
																																					if (
																																						(CAR
																																							(BgL_carzd2233zd2_2168)
																																							==
																																							CNST_TABLE_REF
																																							(((long) 10))))
																																						{	/* Expand/object.scm 195 */
																																							if (PAIRP(BgL_cdrzd2250zd2_2173))
																																								{	/* Expand/object.scm 195 */
																																									obj_t
																																										BgL_carzd2253zd2_2177;
																																									obj_t
																																										BgL_cdrzd2254zd2_2178;
																																									BgL_carzd2253zd2_2177
																																										=
																																										CAR
																																										(BgL_cdrzd2250zd2_2173);
																																									BgL_cdrzd2254zd2_2178
																																										=
																																										CDR
																																										(BgL_cdrzd2250zd2_2173);
																																									if (SYMBOLP(BgL_carzd2253zd2_2177))
																																										{	/* Expand/object.scm 195 */
																																											if (PAIRP(BgL_cdrzd2254zd2_2178))
																																												{	/* Expand/object.scm 195 */
																																													obj_t
																																														BgL_carzd2259zd2_2181;
																																													BgL_carzd2259zd2_2181
																																														=
																																														CAR
																																														(BgL_cdrzd2254zd2_2178);
																																													if (SYMBOLP(BgL_carzd2259zd2_2181))
																																														{	/* Expand/object.scm 195 */
																																															if (NULLP(CDR(BgL_cdrzd2254zd2_2178)))
																																																{	/* Expand/object.scm 195 */
																																																	obj_t
																																																		BgL_arg1984z00_2185;
																																																	BgL_arg1984z00_2185
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_nz00_2023));
																																																	BgL_funz00_2043
																																																		=
																																																		BgL_carzd2253zd2_2177;
																																																	BgL_modz00_2044
																																																		=
																																																		BgL_carzd2259zd2_2181;
																																																	BgL_argsz00_2045
																																																		=
																																																		BgL_arg1984z00_2185;
																																																BgL_tagzd2180zd2_2046:
																																																	{	/* Expand/object.scm 206 */
																																																		obj_t
																																																			BgL__andtest_1123z00_2299;
																																																		BgL__andtest_1123z00_2299
																																																			=
																																																			BGl_inlinablezd2callzf3ze70zc6zzexpand_objectz00
																																																			(BgL_funz00_2043,
																																																			BgL_modz00_2044);
																																																		if (CBOOL(BgL__andtest_1123z00_2299))
																																																			{
																																																				obj_t
																																																					BgL_l1271z00_2301;
																																																				BgL_l1271z00_2301
																																																					=
																																																					BgL_argsz00_2045;
																																																			BgL_zc3z04anonymousza32069ze3z87_2302:
																																																				if (NULLP(BgL_l1271z00_2301))
																																																					{	/* Expand/object.scm 207 */
																																																						return
																																																							(
																																																							(bool_t)
																																																							1);
																																																					}
																																																				else
																																																					{	/* Expand/object.scm 207 */
																																																						bool_t
																																																							BgL_test2875z00_5208;
																																																						{	/* Expand/object.scm 207 */
																																																							obj_t
																																																								BgL_az00_2307;
																																																							BgL_az00_2307
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_l1271z00_2301));
																																																							BgL_test2875z00_5208
																																																								=
																																																								BGl_inlinablezf3ze70z14zzexpand_objectz00
																																																								(BgL_az00_2307,
																																																								BgL_modulez00_2024);
																																																						}
																																																						if (BgL_test2875z00_5208)
																																																							{	/* Expand/object.scm 207 */
																																																								obj_t
																																																									BgL_arg2071z00_2306;
																																																								BgL_arg2071z00_2306
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_l1271z00_2301));
																																																								{
																																																									obj_t
																																																										BgL_l1271z00_5214;
																																																									BgL_l1271z00_5214
																																																										=
																																																										BgL_arg2071z00_2306;
																																																									BgL_l1271z00_2301
																																																										=
																																																										BgL_l1271z00_5214;
																																																									goto
																																																										BgL_zc3z04anonymousza32069ze3z87_2302;
																																																								}
																																																							}
																																																						else
																																																							{	/* Expand/object.scm 207 */
																																																								return
																																																									(
																																																									(bool_t)
																																																									0);
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Expand/object.scm 206 */
																																																				return
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													return
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											return
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Expand/object.scm 195 */
																																									return
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																					else
																																						{	/* Expand/object.scm 195 */
																																							return
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																			else
																																				{	/* Expand/object.scm 195 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																														}
																												}
																											else
																												{	/* Expand/object.scm 195 */
																													if (
																														(CAR(
																																((obj_t)
																																	BgL_nz00_2023))
																															==
																															CNST_TABLE_REF((
																																	(long) 21))))
																														{	/* Expand/object.scm 195 */
																															return ((bool_t)
																																1);
																														}
																													else
																														{	/* Expand/object.scm 195 */
																															obj_t
																																BgL_cdrzd2274zd2_2192;
																															BgL_cdrzd2274zd2_2192
																																=
																																CDR(((obj_t)
																																	BgL_nz00_2023));
																															if ((CAR(((obj_t)
																																			BgL_nz00_2023))
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			22))))
																																{	/* Expand/object.scm 195 */
																																	bool_t
																																		BgL_test2878z00_5227;
																																	{	/* Expand/object.scm 195 */
																																		obj_t
																																			BgL_tmpz00_5228;
																																		BgL_tmpz00_5228
																																			=
																																			CAR((
																																				(obj_t)
																																				BgL_cdrzd2274zd2_2192));
																																		BgL_test2878z00_5227
																																			=
																																			SYMBOLP
																																			(BgL_tmpz00_5228);
																																	}
																																	if (BgL_test2878z00_5227)
																																		{	/* Expand/object.scm 195 */
																																			if (NULLP
																																				(CDR(((obj_t) BgL_cdrzd2274zd2_2192))))
																																				{	/* Expand/object.scm 195 */
																																					return
																																						(
																																						(bool_t)
																																						1);
																																				}
																																			else
																																				{	/* Expand/object.scm 195 */
																																					obj_t
																																						BgL_carzd2282zd2_2199;
																																					BgL_carzd2282zd2_2199
																																						=
																																						CAR(
																																						((obj_t) BgL_nz00_2023));
																																					if (SYMBOLP(BgL_carzd2282zd2_2199))
																																						{
																																							obj_t
																																								BgL_argsz00_5241;
																																							obj_t
																																								BgL_funz00_5240;
																																							BgL_funz00_5240
																																								=
																																								BgL_carzd2282zd2_2199;
																																							BgL_argsz00_5241
																																								=
																																								BgL_cdrzd2274zd2_2192;
																																							BgL_argsz00_2041
																																								=
																																								BgL_argsz00_5241;
																																							BgL_funz00_2040
																																								=
																																								BgL_funz00_5240;
																																							goto
																																								BgL_tagzd2179zd2_2042;
																																						}
																																					else
																																						{	/* Expand/object.scm 195 */
																																							if (PAIRP(BgL_carzd2282zd2_2199))
																																								{	/* Expand/object.scm 195 */
																																									obj_t
																																										BgL_cdrzd2299zd2_2204;
																																									BgL_cdrzd2299zd2_2204
																																										=
																																										CDR
																																										(BgL_carzd2282zd2_2199);
																																									if ((CAR(BgL_carzd2282zd2_2199) == CNST_TABLE_REF(((long) 10))))
																																										{	/* Expand/object.scm 195 */
																																											if (PAIRP(BgL_cdrzd2299zd2_2204))
																																												{	/* Expand/object.scm 195 */
																																													obj_t
																																														BgL_carzd2302zd2_2208;
																																													obj_t
																																														BgL_cdrzd2303zd2_2209;
																																													BgL_carzd2302zd2_2208
																																														=
																																														CAR
																																														(BgL_cdrzd2299zd2_2204);
																																													BgL_cdrzd2303zd2_2209
																																														=
																																														CDR
																																														(BgL_cdrzd2299zd2_2204);
																																													if (SYMBOLP(BgL_carzd2302zd2_2208))
																																														{	/* Expand/object.scm 195 */
																																															if (PAIRP(BgL_cdrzd2303zd2_2209))
																																																{	/* Expand/object.scm 195 */
																																																	obj_t
																																																		BgL_carzd2308zd2_2212;
																																																	BgL_carzd2308zd2_2212
																																																		=
																																																		CAR
																																																		(BgL_cdrzd2303zd2_2209);
																																																	if (SYMBOLP(BgL_carzd2308zd2_2212))
																																																		{	/* Expand/object.scm 195 */
																																																			if (NULLP(CDR(BgL_cdrzd2303zd2_2209)))
																																																				{	/* Expand/object.scm 195 */
																																																					obj_t
																																																						BgL_arg2009z00_2216;
																																																					BgL_arg2009z00_2216
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_nz00_2023));
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5267;
																																																						obj_t
																																																							BgL_modz00_5266;
																																																						obj_t
																																																							BgL_funz00_5265;
																																																						BgL_funz00_5265
																																																							=
																																																							BgL_carzd2302zd2_2208;
																																																						BgL_modz00_5266
																																																							=
																																																							BgL_carzd2308zd2_2212;
																																																						BgL_argsz00_5267
																																																							=
																																																							BgL_arg2009z00_2216;
																																																						BgL_argsz00_2045
																																																							=
																																																							BgL_argsz00_5267;
																																																						BgL_modz00_2044
																																																							=
																																																							BgL_modz00_5266;
																																																						BgL_funz00_2043
																																																							=
																																																							BgL_funz00_5265;
																																																						goto
																																																							BgL_tagzd2180zd2_2046;
																																																					}
																																																				}
																																																			else
																																																				{	/* Expand/object.scm 195 */
																																																					return
																																																						(
																																																						(bool_t)
																																																						0);
																																																				}
																																																		}
																																																	else
																																																		{	/* Expand/object.scm 195 */
																																																			return
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													return
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											return
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Expand/object.scm 195 */
																																									return
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Expand/object.scm 195 */
																																			obj_t
																																				BgL_carzd2319zd2_2220;
																																			BgL_carzd2319zd2_2220
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_nz00_2023));
																																			if (SYMBOLP(BgL_carzd2319zd2_2220))
																																				{
																																					obj_t
																																						BgL_argsz00_5273;
																																					obj_t
																																						BgL_funz00_5272;
																																					BgL_funz00_5272
																																						=
																																						BgL_carzd2319zd2_2220;
																																					BgL_argsz00_5273
																																						=
																																						BgL_cdrzd2274zd2_2192;
																																					BgL_argsz00_2041
																																						=
																																						BgL_argsz00_5273;
																																					BgL_funz00_2040
																																						=
																																						BgL_funz00_5272;
																																					goto
																																						BgL_tagzd2179zd2_2042;
																																				}
																																			else
																																				{	/* Expand/object.scm 195 */
																																					if (PAIRP(BgL_carzd2319zd2_2220))
																																						{	/* Expand/object.scm 195 */
																																							obj_t
																																								BgL_cdrzd2336zd2_2225;
																																							BgL_cdrzd2336zd2_2225
																																								=
																																								CDR
																																								(BgL_carzd2319zd2_2220);
																																							if ((CAR(BgL_carzd2319zd2_2220) == CNST_TABLE_REF(((long) 10))))
																																								{	/* Expand/object.scm 195 */
																																									if (PAIRP(BgL_cdrzd2336zd2_2225))
																																										{	/* Expand/object.scm 195 */
																																											obj_t
																																												BgL_carzd2339zd2_2229;
																																											obj_t
																																												BgL_cdrzd2340zd2_2230;
																																											BgL_carzd2339zd2_2229
																																												=
																																												CAR
																																												(BgL_cdrzd2336zd2_2225);
																																											BgL_cdrzd2340zd2_2230
																																												=
																																												CDR
																																												(BgL_cdrzd2336zd2_2225);
																																											if (SYMBOLP(BgL_carzd2339zd2_2229))
																																												{	/* Expand/object.scm 195 */
																																													if (PAIRP(BgL_cdrzd2340zd2_2230))
																																														{	/* Expand/object.scm 195 */
																																															obj_t
																																																BgL_carzd2345zd2_2233;
																																															BgL_carzd2345zd2_2233
																																																=
																																																CAR
																																																(BgL_cdrzd2340zd2_2230);
																																															if (SYMBOLP(BgL_carzd2345zd2_2233))
																																																{	/* Expand/object.scm 195 */
																																																	if (NULLP(CDR(BgL_cdrzd2340zd2_2230)))
																																																		{	/* Expand/object.scm 195 */
																																																			obj_t
																																																				BgL_arg2024z00_2237;
																																																			BgL_arg2024z00_2237
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_nz00_2023));
																																																			{
																																																				obj_t
																																																					BgL_argsz00_5299;
																																																				obj_t
																																																					BgL_modz00_5298;
																																																				obj_t
																																																					BgL_funz00_5297;
																																																				BgL_funz00_5297
																																																					=
																																																					BgL_carzd2339zd2_2229;
																																																				BgL_modz00_5298
																																																					=
																																																					BgL_carzd2345zd2_2233;
																																																				BgL_argsz00_5299
																																																					=
																																																					BgL_arg2024z00_2237;
																																																				BgL_argsz00_2045
																																																					=
																																																					BgL_argsz00_5299;
																																																				BgL_modz00_2044
																																																					=
																																																					BgL_modz00_5298;
																																																				BgL_funz00_2043
																																																					=
																																																					BgL_funz00_5297;
																																																				goto
																																																					BgL_tagzd2180zd2_2046;
																																																			}
																																																		}
																																																	else
																																																		{	/* Expand/object.scm 195 */
																																																			return
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													return
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											return
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Expand/object.scm 195 */
																																									return
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																					else
																																						{	/* Expand/object.scm 195 */
																																							return
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Expand/object.scm 195 */
																																	obj_t
																																		BgL_carzd2356zd2_2241;
																																	BgL_carzd2356zd2_2241
																																		=
																																		CAR(((obj_t)
																																			BgL_nz00_2023));
																																	if (SYMBOLP
																																		(BgL_carzd2356zd2_2241))
																																		{
																																			obj_t
																																				BgL_argsz00_5305;
																																			obj_t
																																				BgL_funz00_5304;
																																			BgL_funz00_5304
																																				=
																																				BgL_carzd2356zd2_2241;
																																			BgL_argsz00_5305
																																				=
																																				BgL_cdrzd2274zd2_2192;
																																			BgL_argsz00_2041
																																				=
																																				BgL_argsz00_5305;
																																			BgL_funz00_2040
																																				=
																																				BgL_funz00_5304;
																																			goto
																																				BgL_tagzd2179zd2_2042;
																																		}
																																	else
																																		{	/* Expand/object.scm 195 */
																																			if (PAIRP
																																				(BgL_carzd2356zd2_2241))
																																				{	/* Expand/object.scm 195 */
																																					obj_t
																																						BgL_cdrzd2373zd2_2246;
																																					BgL_cdrzd2373zd2_2246
																																						=
																																						CDR
																																						(BgL_carzd2356zd2_2241);
																																					if (
																																						(CAR
																																							(BgL_carzd2356zd2_2241)
																																							==
																																							CNST_TABLE_REF
																																							(((long) 10))))
																																						{	/* Expand/object.scm 195 */
																																							if (PAIRP(BgL_cdrzd2373zd2_2246))
																																								{	/* Expand/object.scm 195 */
																																									obj_t
																																										BgL_carzd2376zd2_2250;
																																									obj_t
																																										BgL_cdrzd2377zd2_2251;
																																									BgL_carzd2376zd2_2250
																																										=
																																										CAR
																																										(BgL_cdrzd2373zd2_2246);
																																									BgL_cdrzd2377zd2_2251
																																										=
																																										CDR
																																										(BgL_cdrzd2373zd2_2246);
																																									if (SYMBOLP(BgL_carzd2376zd2_2250))
																																										{	/* Expand/object.scm 195 */
																																											if (PAIRP(BgL_cdrzd2377zd2_2251))
																																												{	/* Expand/object.scm 195 */
																																													obj_t
																																														BgL_carzd2382zd2_2254;
																																													BgL_carzd2382zd2_2254
																																														=
																																														CAR
																																														(BgL_cdrzd2377zd2_2251);
																																													if (SYMBOLP(BgL_carzd2382zd2_2254))
																																														{	/* Expand/object.scm 195 */
																																															if (NULLP(CDR(BgL_cdrzd2377zd2_2251)))
																																																{	/* Expand/object.scm 195 */
																																																	obj_t
																																																		BgL_arg2042z00_2258;
																																																	BgL_arg2042z00_2258
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_nz00_2023));
																																																	{
																																																		obj_t
																																																			BgL_argsz00_5331;
																																																		obj_t
																																																			BgL_modz00_5330;
																																																		obj_t
																																																			BgL_funz00_5329;
																																																		BgL_funz00_5329
																																																			=
																																																			BgL_carzd2376zd2_2250;
																																																		BgL_modz00_5330
																																																			=
																																																			BgL_carzd2382zd2_2254;
																																																		BgL_argsz00_5331
																																																			=
																																																			BgL_arg2042z00_2258;
																																																		BgL_argsz00_2045
																																																			=
																																																			BgL_argsz00_5331;
																																																		BgL_modz00_2044
																																																			=
																																																			BgL_modz00_5330;
																																																		BgL_funz00_2043
																																																			=
																																																			BgL_funz00_5329;
																																																		goto
																																																			BgL_tagzd2180zd2_2046;
																																																	}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													return
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											return
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Expand/object.scm 195 */
																																									return
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																					else
																																						{	/* Expand/object.scm 195 */
																																							return
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																			else
																																				{	/* Expand/object.scm 195 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																														}
																												}
																										}
																									else
																										{	/* Expand/object.scm 195 */
																											if (
																												(CAR(
																														((obj_t)
																															BgL_nz00_2023)) ==
																													CNST_TABLE_REF(((long)
																															21))))
																												{	/* Expand/object.scm 195 */
																													return ((bool_t) 1);
																												}
																											else
																												{	/* Expand/object.scm 195 */
																													obj_t
																														BgL_carzd2401zd2_2265;
																													BgL_carzd2401zd2_2265
																														=
																														CAR(((obj_t)
																															BgL_nz00_2023));
																													if (SYMBOLP
																														(BgL_carzd2401zd2_2265))
																														{	/* Expand/object.scm 195 */
																															obj_t
																																BgL_arg2050z00_2267;
																															BgL_arg2050z00_2267
																																=
																																CDR(((obj_t)
																																	BgL_nz00_2023));
																															{
																																obj_t
																																	BgL_argsz00_5344;
																																obj_t
																																	BgL_funz00_5343;
																																BgL_funz00_5343
																																	=
																																	BgL_carzd2401zd2_2265;
																																BgL_argsz00_5344
																																	=
																																	BgL_arg2050z00_2267;
																																BgL_argsz00_2041
																																	=
																																	BgL_argsz00_5344;
																																BgL_funz00_2040
																																	=
																																	BgL_funz00_5343;
																																goto
																																	BgL_tagzd2179zd2_2042;
																															}
																														}
																													else
																														{	/* Expand/object.scm 195 */
																															if (PAIRP
																																(BgL_carzd2401zd2_2265))
																																{	/* Expand/object.scm 195 */
																																	obj_t
																																		BgL_cdrzd2418zd2_2270;
																																	BgL_cdrzd2418zd2_2270
																																		=
																																		CDR
																																		(BgL_carzd2401zd2_2265);
																																	if ((CAR
																																			(BgL_carzd2401zd2_2265)
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					10))))
																																		{	/* Expand/object.scm 195 */
																																			if (PAIRP
																																				(BgL_cdrzd2418zd2_2270))
																																				{	/* Expand/object.scm 195 */
																																					obj_t
																																						BgL_carzd2421zd2_2274;
																																					obj_t
																																						BgL_cdrzd2422zd2_2275;
																																					BgL_carzd2421zd2_2274
																																						=
																																						CAR
																																						(BgL_cdrzd2418zd2_2270);
																																					BgL_cdrzd2422zd2_2275
																																						=
																																						CDR
																																						(BgL_cdrzd2418zd2_2270);
																																					if (SYMBOLP(BgL_carzd2421zd2_2274))
																																						{	/* Expand/object.scm 195 */
																																							if (PAIRP(BgL_cdrzd2422zd2_2275))
																																								{	/* Expand/object.scm 195 */
																																									obj_t
																																										BgL_carzd2427zd2_2278;
																																									BgL_carzd2427zd2_2278
																																										=
																																										CAR
																																										(BgL_cdrzd2422zd2_2275);
																																									if (SYMBOLP(BgL_carzd2427zd2_2278))
																																										{	/* Expand/object.scm 195 */
																																											if (NULLP(CDR(BgL_cdrzd2422zd2_2275)))
																																												{	/* Expand/object.scm 195 */
																																													obj_t
																																														BgL_arg2060z00_2282;
																																													BgL_arg2060z00_2282
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_nz00_2023));
																																													{
																																														obj_t
																																															BgL_argsz00_5370;
																																														obj_t
																																															BgL_modz00_5369;
																																														obj_t
																																															BgL_funz00_5368;
																																														BgL_funz00_5368
																																															=
																																															BgL_carzd2421zd2_2274;
																																														BgL_modz00_5369
																																															=
																																															BgL_carzd2427zd2_2278;
																																														BgL_argsz00_5370
																																															=
																																															BgL_arg2060z00_2282;
																																														BgL_argsz00_2045
																																															=
																																															BgL_argsz00_5370;
																																														BgL_modz00_2044
																																															=
																																															BgL_modz00_5369;
																																														BgL_funz00_2043
																																															=
																																															BgL_funz00_5368;
																																														goto
																																															BgL_tagzd2180zd2_2046;
																																													}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													return
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											return
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Expand/object.scm 195 */
																																									return
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																					else
																																						{	/* Expand/object.scm 195 */
																																							return
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																			else
																																				{	/* Expand/object.scm 195 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																	else
																																		{	/* Expand/object.scm 195 */
																																			return (
																																				(bool_t)
																																				0);
																																		}
																																}
																															else
																																{	/* Expand/object.scm 195 */
																																	return (
																																		(bool_t) 0);
																																}
																														}
																												}
																										}
																								}
																							else
																								{	/* Expand/object.scm 195 */
																									if (
																										(BgL_carzd2208zd2_2055 ==
																											CNST_TABLE_REF(((long)
																													24))))
																										{	/* Expand/object.scm 195 */
																											goto
																												BgL_kapzd2210zd2_2057;
																										}
																									else
																										{	/* Expand/object.scm 195 */
																											if (
																												(BgL_carzd2208zd2_2055
																													==
																													CNST_TABLE_REF(((long)
																															25))))
																												{	/* Expand/object.scm 195 */
																													goto
																														BgL_kapzd2210zd2_2057;
																												}
																											else
																												{	/* Expand/object.scm 195 */
																													if (
																														(BgL_carzd2208zd2_2055
																															==
																															CNST_TABLE_REF((
																																	(long) 26))))
																														{	/* Expand/object.scm 195 */
																															goto
																																BgL_kapzd2210zd2_2057;
																														}
																													else
																														{	/* Expand/object.scm 195 */
																															if (
																																(BgL_carzd2208zd2_2055
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			27))))
																																{	/* Expand/object.scm 195 */
																																	goto
																																		BgL_kapzd2210zd2_2057;
																																}
																															else
																																{	/* Expand/object.scm 195 */
																																	if (
																																		(BgL_carzd2208zd2_2055
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					28))))
																																		{	/* Expand/object.scm 195 */
																																			goto
																																				BgL_kapzd2210zd2_2057;
																																		}
																																	else
																																		{	/* Expand/object.scm 195 */
																																			if (
																																				(BgL_carzd2208zd2_2055
																																					==
																																					CNST_TABLE_REF
																																					(((long) 29))))
																																				{	/* Expand/object.scm 195 */
																																					goto
																																						BgL_kapzd2210zd2_2057;
																																				}
																																			else
																																				{	/* Expand/object.scm 195 */
																																					if (
																																						(BgL_carzd2208zd2_2055
																																							==
																																							CNST_TABLE_REF
																																							(((long) 21))))
																																						{	/* Expand/object.scm 195 */
																																							return
																																								(
																																								(bool_t)
																																								1);
																																						}
																																					else
																																						{	/* Expand/object.scm 195 */
																																							obj_t
																																								BgL_cdrzd2447zd2_2067;
																																							BgL_cdrzd2447zd2_2067
																																								=
																																								CDR
																																								(BgL_nz00_2023);
																																							if ((CAR(BgL_nz00_2023) == CNST_TABLE_REF(((long) 22))))
																																								{	/* Expand/object.scm 195 */
																																									if (PAIRP(BgL_cdrzd2447zd2_2067))
																																										{	/* Expand/object.scm 195 */
																																											bool_t
																																												BgL_test2922z00_5399;
																																											{	/* Expand/object.scm 195 */
																																												obj_t
																																													BgL_tmpz00_5400;
																																												BgL_tmpz00_5400
																																													=
																																													CAR
																																													(BgL_cdrzd2447zd2_2067);
																																												BgL_test2922z00_5399
																																													=
																																													SYMBOLP
																																													(BgL_tmpz00_5400);
																																											}
																																											if (BgL_test2922z00_5399)
																																												{	/* Expand/object.scm 195 */
																																													if (NULLP(CDR(BgL_cdrzd2447zd2_2067)))
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																1);
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															obj_t
																																																BgL_carzd2455zd2_2075;
																																															BgL_carzd2455zd2_2075
																																																=
																																																CAR
																																																(BgL_nz00_2023);
																																															if (SYMBOLP(BgL_carzd2455zd2_2075))
																																																{
																																																	obj_t
																																																		BgL_argsz00_5410;
																																																	obj_t
																																																		BgL_funz00_5409;
																																																	BgL_funz00_5409
																																																		=
																																																		BgL_carzd2455zd2_2075;
																																																	BgL_argsz00_5410
																																																		=
																																																		BgL_cdrzd2447zd2_2067;
																																																	BgL_argsz00_2041
																																																		=
																																																		BgL_argsz00_5410;
																																																	BgL_funz00_2040
																																																		=
																																																		BgL_funz00_5409;
																																																	goto
																																																		BgL_tagzd2179zd2_2042;
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	if (PAIRP(BgL_carzd2455zd2_2075))
																																																		{	/* Expand/object.scm 195 */
																																																			obj_t
																																																				BgL_cdrzd2472zd2_2080;
																																																			BgL_cdrzd2472zd2_2080
																																																				=
																																																				CDR
																																																				(BgL_carzd2455zd2_2075);
																																																			if ((CAR(BgL_carzd2455zd2_2075) == CNST_TABLE_REF(((long) 10))))
																																																				{	/* Expand/object.scm 195 */
																																																					if (PAIRP(BgL_cdrzd2472zd2_2080))
																																																						{	/* Expand/object.scm 195 */
																																																							obj_t
																																																								BgL_carzd2475zd2_2084;
																																																							obj_t
																																																								BgL_cdrzd2476zd2_2085;
																																																							BgL_carzd2475zd2_2084
																																																								=
																																																								CAR
																																																								(BgL_cdrzd2472zd2_2080);
																																																							BgL_cdrzd2476zd2_2085
																																																								=
																																																								CDR
																																																								(BgL_cdrzd2472zd2_2080);
																																																							if (SYMBOLP(BgL_carzd2475zd2_2084))
																																																								{	/* Expand/object.scm 195 */
																																																									if (PAIRP(BgL_cdrzd2476zd2_2085))
																																																										{	/* Expand/object.scm 195 */
																																																											obj_t
																																																												BgL_carzd2481zd2_2088;
																																																											BgL_carzd2481zd2_2088
																																																												=
																																																												CAR
																																																												(BgL_cdrzd2476zd2_2085);
																																																											if (SYMBOLP(BgL_carzd2481zd2_2088))
																																																												{	/* Expand/object.scm 195 */
																																																													if (NULLP(CDR(BgL_cdrzd2476zd2_2085)))
																																																														{
																																																															obj_t
																																																																BgL_argsz00_5434;
																																																															obj_t
																																																																BgL_modz00_5433;
																																																															obj_t
																																																																BgL_funz00_5432;
																																																															BgL_funz00_5432
																																																																=
																																																																BgL_carzd2475zd2_2084;
																																																															BgL_modz00_5433
																																																																=
																																																																BgL_carzd2481zd2_2088;
																																																															BgL_argsz00_5434
																																																																=
																																																																CDR
																																																																(BgL_nz00_2023);
																																																															BgL_argsz00_2045
																																																																=
																																																																BgL_argsz00_5434;
																																																															BgL_modz00_2044
																																																																=
																																																																BgL_modz00_5433;
																																																															BgL_funz00_2043
																																																																=
																																																																BgL_funz00_5432;
																																																															goto
																																																																BgL_tagzd2180zd2_2046;
																																																														}
																																																													else
																																																														{	/* Expand/object.scm 195 */
																																																															return
																																																																(
																																																																(bool_t)
																																																																0);
																																																														}
																																																												}
																																																											else
																																																												{	/* Expand/object.scm 195 */
																																																													return
																																																														(
																																																														(bool_t)
																																																														0);
																																																												}
																																																										}
																																																									else
																																																										{	/* Expand/object.scm 195 */
																																																											return
																																																												(
																																																												(bool_t)
																																																												0);
																																																										}
																																																								}
																																																							else
																																																								{	/* Expand/object.scm 195 */
																																																									return
																																																										(
																																																										(bool_t)
																																																										0);
																																																								}
																																																						}
																																																					else
																																																						{	/* Expand/object.scm 195 */
																																																							return
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																			else
																																																				{	/* Expand/object.scm 195 */
																																																					return
																																																						(
																																																						(bool_t)
																																																						0);
																																																				}
																																																		}
																																																	else
																																																		{	/* Expand/object.scm 195 */
																																																			return
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																														}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													obj_t
																																														BgL_carzd2492zd2_2096;
																																													BgL_carzd2492zd2_2096
																																														=
																																														CAR
																																														(BgL_nz00_2023);
																																													if (SYMBOLP(BgL_carzd2492zd2_2096))
																																														{
																																															obj_t
																																																BgL_argsz00_5440;
																																															obj_t
																																																BgL_funz00_5439;
																																															BgL_funz00_5439
																																																=
																																																BgL_carzd2492zd2_2096;
																																															BgL_argsz00_5440
																																																=
																																																BgL_cdrzd2447zd2_2067;
																																															BgL_argsz00_2041
																																																=
																																																BgL_argsz00_5440;
																																															BgL_funz00_2040
																																																=
																																																BgL_funz00_5439;
																																															goto
																																																BgL_tagzd2179zd2_2042;
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															if (PAIRP(BgL_carzd2492zd2_2096))
																																																{	/* Expand/object.scm 195 */
																																																	obj_t
																																																		BgL_cdrzd2509zd2_2101;
																																																	BgL_cdrzd2509zd2_2101
																																																		=
																																																		CDR
																																																		(BgL_carzd2492zd2_2096);
																																																	if ((CAR(BgL_carzd2492zd2_2096) == CNST_TABLE_REF(((long) 10))))
																																																		{	/* Expand/object.scm 195 */
																																																			if (PAIRP(BgL_cdrzd2509zd2_2101))
																																																				{	/* Expand/object.scm 195 */
																																																					obj_t
																																																						BgL_carzd2512zd2_2105;
																																																					obj_t
																																																						BgL_cdrzd2513zd2_2106;
																																																					BgL_carzd2512zd2_2105
																																																						=
																																																						CAR
																																																						(BgL_cdrzd2509zd2_2101);
																																																					BgL_cdrzd2513zd2_2106
																																																						=
																																																						CDR
																																																						(BgL_cdrzd2509zd2_2101);
																																																					if (SYMBOLP(BgL_carzd2512zd2_2105))
																																																						{	/* Expand/object.scm 195 */
																																																							if (PAIRP(BgL_cdrzd2513zd2_2106))
																																																								{	/* Expand/object.scm 195 */
																																																									obj_t
																																																										BgL_carzd2518zd2_2109;
																																																									BgL_carzd2518zd2_2109
																																																										=
																																																										CAR
																																																										(BgL_cdrzd2513zd2_2106);
																																																									if (SYMBOLP(BgL_carzd2518zd2_2109))
																																																										{	/* Expand/object.scm 195 */
																																																											if (NULLP(CDR(BgL_cdrzd2513zd2_2106)))
																																																												{
																																																													obj_t
																																																														BgL_argsz00_5464;
																																																													obj_t
																																																														BgL_modz00_5463;
																																																													obj_t
																																																														BgL_funz00_5462;
																																																													BgL_funz00_5462
																																																														=
																																																														BgL_carzd2512zd2_2105;
																																																													BgL_modz00_5463
																																																														=
																																																														BgL_carzd2518zd2_2109;
																																																													BgL_argsz00_5464
																																																														=
																																																														CDR
																																																														(BgL_nz00_2023);
																																																													BgL_argsz00_2045
																																																														=
																																																														BgL_argsz00_5464;
																																																													BgL_modz00_2044
																																																														=
																																																														BgL_modz00_5463;
																																																													BgL_funz00_2043
																																																														=
																																																														BgL_funz00_5462;
																																																													goto
																																																														BgL_tagzd2180zd2_2046;
																																																												}
																																																											else
																																																												{	/* Expand/object.scm 195 */
																																																													return
																																																														(
																																																														(bool_t)
																																																														0);
																																																												}
																																																										}
																																																									else
																																																										{	/* Expand/object.scm 195 */
																																																											return
																																																												(
																																																												(bool_t)
																																																												0);
																																																										}
																																																								}
																																																							else
																																																								{	/* Expand/object.scm 195 */
																																																									return
																																																										(
																																																										(bool_t)
																																																										0);
																																																								}
																																																						}
																																																					else
																																																						{	/* Expand/object.scm 195 */
																																																							return
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																			else
																																																				{	/* Expand/object.scm 195 */
																																																					return
																																																						(
																																																						(bool_t)
																																																						0);
																																																				}
																																																		}
																																																	else
																																																		{	/* Expand/object.scm 195 */
																																																			return
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																												}
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											obj_t
																																												BgL_carzd2529zd2_2117;
																																											BgL_carzd2529zd2_2117
																																												=
																																												CAR
																																												(BgL_nz00_2023);
																																											if (SYMBOLP(BgL_carzd2529zd2_2117))
																																												{
																																													obj_t
																																														BgL_argsz00_5470;
																																													obj_t
																																														BgL_funz00_5469;
																																													BgL_funz00_5469
																																														=
																																														BgL_carzd2529zd2_2117;
																																													BgL_argsz00_5470
																																														=
																																														BgL_cdrzd2447zd2_2067;
																																													BgL_argsz00_2041
																																														=
																																														BgL_argsz00_5470;
																																													BgL_funz00_2040
																																														=
																																														BgL_funz00_5469;
																																													goto
																																														BgL_tagzd2179zd2_2042;
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													if (PAIRP(BgL_carzd2529zd2_2117))
																																														{	/* Expand/object.scm 195 */
																																															obj_t
																																																BgL_cdrzd2546zd2_2122;
																																															BgL_cdrzd2546zd2_2122
																																																=
																																																CDR
																																																(BgL_carzd2529zd2_2117);
																																															if ((CAR(BgL_carzd2529zd2_2117) == CNST_TABLE_REF(((long) 10))))
																																																{	/* Expand/object.scm 195 */
																																																	if (PAIRP(BgL_cdrzd2546zd2_2122))
																																																		{	/* Expand/object.scm 195 */
																																																			obj_t
																																																				BgL_carzd2549zd2_2126;
																																																			obj_t
																																																				BgL_cdrzd2550zd2_2127;
																																																			BgL_carzd2549zd2_2126
																																																				=
																																																				CAR
																																																				(BgL_cdrzd2546zd2_2122);
																																																			BgL_cdrzd2550zd2_2127
																																																				=
																																																				CDR
																																																				(BgL_cdrzd2546zd2_2122);
																																																			if (SYMBOLP(BgL_carzd2549zd2_2126))
																																																				{	/* Expand/object.scm 195 */
																																																					if (PAIRP(BgL_cdrzd2550zd2_2127))
																																																						{	/* Expand/object.scm 195 */
																																																							obj_t
																																																								BgL_carzd2555zd2_2130;
																																																							BgL_carzd2555zd2_2130
																																																								=
																																																								CAR
																																																								(BgL_cdrzd2550zd2_2127);
																																																							if (SYMBOLP(BgL_carzd2555zd2_2130))
																																																								{	/* Expand/object.scm 195 */
																																																									if (NULLP(CDR(BgL_cdrzd2550zd2_2127)))
																																																										{
																																																											obj_t
																																																												BgL_argsz00_5494;
																																																											obj_t
																																																												BgL_modz00_5493;
																																																											obj_t
																																																												BgL_funz00_5492;
																																																											BgL_funz00_5492
																																																												=
																																																												BgL_carzd2549zd2_2126;
																																																											BgL_modz00_5493
																																																												=
																																																												BgL_carzd2555zd2_2130;
																																																											BgL_argsz00_5494
																																																												=
																																																												CDR
																																																												(BgL_nz00_2023);
																																																											BgL_argsz00_2045
																																																												=
																																																												BgL_argsz00_5494;
																																																											BgL_modz00_2044
																																																												=
																																																												BgL_modz00_5493;
																																																											BgL_funz00_2043
																																																												=
																																																												BgL_funz00_5492;
																																																											goto
																																																												BgL_tagzd2180zd2_2046;
																																																										}
																																																									else
																																																										{	/* Expand/object.scm 195 */
																																																											return
																																																												(
																																																												(bool_t)
																																																												0);
																																																										}
																																																								}
																																																							else
																																																								{	/* Expand/object.scm 195 */
																																																									return
																																																										(
																																																										(bool_t)
																																																										0);
																																																								}
																																																						}
																																																					else
																																																						{	/* Expand/object.scm 195 */
																																																							return
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																			else
																																																				{	/* Expand/object.scm 195 */
																																																					return
																																																						(
																																																						(bool_t)
																																																						0);
																																																				}
																																																		}
																																																	else
																																																		{	/* Expand/object.scm 195 */
																																																			return
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																										}
																																								}
																																							else
																																								{	/* Expand/object.scm 195 */
																																									obj_t
																																										BgL_carzd2566zd2_2137;
																																									BgL_carzd2566zd2_2137
																																										=
																																										CAR
																																										(BgL_nz00_2023);
																																									if (SYMBOLP(BgL_carzd2566zd2_2137))
																																										{
																																											obj_t
																																												BgL_argsz00_5500;
																																											obj_t
																																												BgL_funz00_5499;
																																											BgL_funz00_5499
																																												=
																																												BgL_carzd2566zd2_2137;
																																											BgL_argsz00_5500
																																												=
																																												BgL_cdrzd2447zd2_2067;
																																											BgL_argsz00_2041
																																												=
																																												BgL_argsz00_5500;
																																											BgL_funz00_2040
																																												=
																																												BgL_funz00_5499;
																																											goto
																																												BgL_tagzd2179zd2_2042;
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											if (PAIRP(BgL_carzd2566zd2_2137))
																																												{	/* Expand/object.scm 195 */
																																													obj_t
																																														BgL_cdrzd2583zd2_2142;
																																													BgL_cdrzd2583zd2_2142
																																														=
																																														CDR
																																														(BgL_carzd2566zd2_2137);
																																													if ((CAR(BgL_carzd2566zd2_2137) == CNST_TABLE_REF(((long) 10))))
																																														{	/* Expand/object.scm 195 */
																																															if (PAIRP(BgL_cdrzd2583zd2_2142))
																																																{	/* Expand/object.scm 195 */
																																																	obj_t
																																																		BgL_carzd2586zd2_2146;
																																																	obj_t
																																																		BgL_cdrzd2587zd2_2147;
																																																	BgL_carzd2586zd2_2146
																																																		=
																																																		CAR
																																																		(BgL_cdrzd2583zd2_2142);
																																																	BgL_cdrzd2587zd2_2147
																																																		=
																																																		CDR
																																																		(BgL_cdrzd2583zd2_2142);
																																																	if (SYMBOLP(BgL_carzd2586zd2_2146))
																																																		{	/* Expand/object.scm 195 */
																																																			if (PAIRP(BgL_cdrzd2587zd2_2147))
																																																				{	/* Expand/object.scm 195 */
																																																					obj_t
																																																						BgL_carzd2592zd2_2150;
																																																					BgL_carzd2592zd2_2150
																																																						=
																																																						CAR
																																																						(BgL_cdrzd2587zd2_2147);
																																																					if (SYMBOLP(BgL_carzd2592zd2_2150))
																																																						{	/* Expand/object.scm 195 */
																																																							if (NULLP(CDR(BgL_cdrzd2587zd2_2147)))
																																																								{
																																																									obj_t
																																																										BgL_argsz00_5524;
																																																									obj_t
																																																										BgL_modz00_5523;
																																																									obj_t
																																																										BgL_funz00_5522;
																																																									BgL_funz00_5522
																																																										=
																																																										BgL_carzd2586zd2_2146;
																																																									BgL_modz00_5523
																																																										=
																																																										BgL_carzd2592zd2_2150;
																																																									BgL_argsz00_5524
																																																										=
																																																										CDR
																																																										(BgL_nz00_2023);
																																																									BgL_argsz00_2045
																																																										=
																																																										BgL_argsz00_5524;
																																																									BgL_modz00_2044
																																																										=
																																																										BgL_modz00_5523;
																																																									BgL_funz00_2043
																																																										=
																																																										BgL_funz00_5522;
																																																									goto
																																																										BgL_tagzd2180zd2_2046;
																																																								}
																																																							else
																																																								{	/* Expand/object.scm 195 */
																																																									return
																																																										(
																																																										(bool_t)
																																																										0);
																																																								}
																																																						}
																																																					else
																																																						{	/* Expand/object.scm 195 */
																																																							return
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																			else
																																																				{	/* Expand/object.scm 195 */
																																																					return
																																																						(
																																																						(bool_t)
																																																						0);
																																																				}
																																																		}
																																																	else
																																																		{	/* Expand/object.scm 195 */
																																																			return
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													return
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																					}
																			}
																	}
																else
																	{	/* Expand/object.scm 195 */
																		return ((bool_t) 0);
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* &<@anonymous:1843> */
	obj_t BGl_z62zc3z04anonymousza31843ze3ze5zzexpand_objectz00(obj_t
		BgL_envz00_4143, obj_t BgL_slotz00_4146, obj_t BgL_valz00_4147)
	{
		{	/* Expand/object.scm 343 */
			{	/* Expand/object.scm 344 */
				obj_t BgL_ez00_4144;
				obj_t BgL_newz00_4145;

				BgL_ez00_4144 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4143, (int) (((long) 0))));
				BgL_newz00_4145 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4143, (int) (((long) 1))));
				{	/* Expand/object.scm 344 */
					bool_t BgL_test2956z00_5532;

					if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
							((BgL_slotz00_bglt) BgL_slotz00_4146)))
						{	/* Expand/object.scm 344 */
							if (
								(((BgL_slotz00_bglt) COBJECT(
											((BgL_slotz00_bglt) BgL_slotz00_4146)))->
									BgL_readzd2onlyzf3z21))
								{	/* Expand/object.scm 345 */
									BgL_test2956z00_5532 = ((bool_t) 0);
								}
							else
								{	/* Expand/object.scm 345 */
									BgL_test2956z00_5532 = CBOOL(CAR(((obj_t) BgL_valz00_4147)));
								}
						}
					else
						{	/* Expand/object.scm 344 */
							BgL_test2956z00_5532 = ((bool_t) 0);
						}
					if (BgL_test2956z00_5532)
						{	/* Expand/object.scm 347 */
							obj_t BgL_vz00_4235;
							obj_t BgL_idz00_4236;

							{	/* Expand/object.scm 347 */
								obj_t BgL_arg1855z00_4237;

								BgL_arg1855z00_4237 = CDR(((obj_t) BgL_valz00_4147));
								BgL_vz00_4235 =
									PROCEDURE_ENTRY(BgL_ez00_4144) (BgL_ez00_4144,
									BgL_arg1855z00_4237, BgL_ez00_4144, BEOA);
							}
							BgL_idz00_4236 =
								(((BgL_slotz00_bglt) COBJECT(
										((BgL_slotz00_bglt) BgL_slotz00_4146)))->BgL_idz00);
							{	/* Expand/object.scm 349 */
								obj_t BgL_arg1848z00_4238;
								obj_t BgL_arg1849z00_4239;

								BgL_arg1848z00_4238 = CDR(((obj_t) BgL_valz00_4147));
								{	/* Expand/object.scm 350 */
									obj_t BgL_arg1850z00_4240;

									{	/* Expand/object.scm 350 */
										obj_t BgL_arg1852z00_4241;
										obj_t BgL_arg1854z00_4242;

										BgL_arg1852z00_4241 =
											BGl_fieldzd2accesszd2zzast_objectz00(BgL_newz00_4145,
											BgL_idz00_4236, BTRUE);
										BgL_arg1854z00_4242 = MAKE_YOUNG_PAIR(BgL_vz00_4235, BNIL);
										BgL_arg1850z00_4240 =
											MAKE_YOUNG_PAIR(BgL_arg1852z00_4241, BgL_arg1854z00_4242);
									}
									BgL_arg1849z00_4239 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
										BgL_arg1850z00_4240);
								}
								return
									BGl_objectzd2epairifyzd2zzexpand_objectz00
									(BgL_arg1849z00_4239, BgL_arg1848z00_4238);
							}
						}
					else
						{	/* Expand/object.scm 344 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &<@anonymous:1760> */
	obj_t BGl_z62zc3z04anonymousza31760ze3ze5zzexpand_objectz00(obj_t
		BgL_envz00_4148, obj_t BgL_slotz00_4151, obj_t BgL_valz00_4152)
	{
		{	/* Expand/object.scm 328 */
			{	/* Expand/object.scm 329 */
				obj_t BgL_ez00_4149;
				obj_t BgL_newz00_4150;

				BgL_ez00_4149 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4148, (int) (((long) 0))));
				BgL_newz00_4150 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4148, (int) (((long) 1))));
				if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
						((BgL_slotz00_bglt) BgL_slotz00_4151)))
					{	/* Expand/object.scm 329 */
						return BFALSE;
					}
				else
					{	/* Expand/object.scm 330 */
						obj_t BgL_vz00_4243;
						obj_t BgL_idz00_4244;

						{	/* Expand/object.scm 330 */
							obj_t BgL_arg1777z00_4245;

							BgL_arg1777z00_4245 = CDR(((obj_t) BgL_valz00_4152));
							BgL_vz00_4243 =
								PROCEDURE_ENTRY(BgL_ez00_4149) (BgL_ez00_4149,
								BgL_arg1777z00_4245, BgL_ez00_4149, BEOA);
						}
						BgL_idz00_4244 =
							(((BgL_slotz00_bglt) COBJECT(
									((BgL_slotz00_bglt) BgL_slotz00_4151)))->BgL_idz00);
						{	/* Expand/object.scm 332 */
							obj_t BgL_arg1762z00_4246;
							obj_t BgL_arg1763z00_4247;

							BgL_arg1762z00_4246 = CDR(((obj_t) BgL_valz00_4152));
							{	/* Expand/object.scm 333 */
								obj_t BgL_arg1766z00_4248;

								{	/* Expand/object.scm 333 */
									obj_t BgL_arg1770z00_4249;
									obj_t BgL_arg1772z00_4250;

									BgL_arg1770z00_4249 =
										BGl_fieldzd2accesszd2zzast_objectz00(BgL_newz00_4150,
										BgL_idz00_4244, BTRUE);
									BgL_arg1772z00_4250 = MAKE_YOUNG_PAIR(BgL_vz00_4243, BNIL);
									BgL_arg1766z00_4248 =
										MAKE_YOUNG_PAIR(BgL_arg1770z00_4249, BgL_arg1772z00_4250);
								}
								BgL_arg1763z00_4247 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
									BgL_arg1766z00_4248);
							}
							return
								BGl_objectzd2epairifyzd2zzexpand_objectz00(BgL_arg1763z00_4247,
								BgL_arg1762z00_4246);
						}
					}
			}
		}

	}



/* expand-co-instantiate */
	BGL_EXPORTED_DEF obj_t
		BGl_expandzd2cozd2instantiatez00zzexpand_objectz00(obj_t BgL_xz00_24,
		obj_t BgL_ez00_25)
	{
		{	/* Expand/object.scm 358 */
			{

				if (PAIRP(BgL_xz00_24))
					{	/* Expand/object.scm 359 */
						obj_t BgL_cdrzd2705zd2_2519;

						BgL_cdrzd2705zd2_2519 = CDR(BgL_xz00_24);
						if ((CAR(BgL_xz00_24) == CNST_TABLE_REF(((long) 30))))
							{	/* Expand/object.scm 359 */
								if (PAIRP(BgL_cdrzd2705zd2_2519))
									{	/* Expand/object.scm 359 */
										obj_t BgL_arg2212z00_2523;
										obj_t BgL_arg2213z00_2524;

										BgL_arg2212z00_2523 = CAR(BgL_cdrzd2705zd2_2519);
										BgL_arg2213z00_2524 = CDR(BgL_cdrzd2705zd2_2519);
										return
											BGl_replacez12z12zztools_miscz00(BgL_xz00_24,
											BGl_cozd2instantiatezd2ze3letze3zzexpand_objectz00
											(BgL_arg2212z00_2523, BgL_arg2213z00_2524, BgL_xz00_24,
												BgL_ez00_25));
									}
								else
									{	/* Expand/object.scm 359 */
									BgL_tagzd2698zd2_2516:
										return
											BGl_errorz00zz__errorz00
											(BGl_string2707z00zzexpand_objectz00,
											BGl_string2696z00zzexpand_objectz00, BgL_xz00_24);
									}
							}
						else
							{	/* Expand/object.scm 359 */
								goto BgL_tagzd2698zd2_2516;
							}
					}
				else
					{	/* Expand/object.scm 359 */
						goto BgL_tagzd2698zd2_2516;
					}
			}
		}

	}



/* &expand-co-instantiate */
	obj_t BGl_z62expandzd2cozd2instantiatez62zzexpand_objectz00(obj_t
		BgL_envz00_4153, obj_t BgL_xz00_4154, obj_t BgL_ez00_4155)
	{
		{	/* Expand/object.scm 358 */
			return
				BGl_expandzd2cozd2instantiatez00zzexpand_objectz00(BgL_xz00_4154,
				BgL_ez00_4155);
		}

	}



/* co-instantiate->let */
	obj_t BGl_cozd2instantiatezd2ze3letze3zzexpand_objectz00(obj_t
		BgL_bindingsz00_26, obj_t BgL_bodyz00_27, obj_t BgL_xz00_28,
		obj_t BgL_ez00_29)
	{
		{	/* Expand/object.scm 368 */
			{
				obj_t BgL_exprz00_2620;
				obj_t BgL_bdgz00_2621;
				obj_t BgL_locz00_2622;

				{	/* Expand/object.scm 390 */
					obj_t BgL_locz00_2528;
					obj_t BgL_varsz00_2529;

					BgL_locz00_2528 =
						BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_28);
					if (NULLP(BgL_bindingsz00_26))
						{	/* Expand/object.scm 391 */
							BgL_varsz00_2529 = BNIL;
						}
					else
						{	/* Expand/object.scm 391 */
							obj_t BgL_head1283z00_2579;

							BgL_head1283z00_2579 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1281z00_2581;
								obj_t BgL_tail1284z00_2582;

								BgL_l1281z00_2581 = BgL_bindingsz00_26;
								BgL_tail1284z00_2582 = BgL_head1283z00_2579;
							BgL_zc3z04anonymousza32243ze3z87_2583:
								if (NULLP(BgL_l1281z00_2581))
									{	/* Expand/object.scm 391 */
										BgL_varsz00_2529 = CDR(BgL_head1283z00_2579);
									}
								else
									{	/* Expand/object.scm 391 */
										obj_t BgL_newtail1285z00_2585;

										{	/* Expand/object.scm 391 */
											obj_t BgL_arg2246z00_2587;

											{	/* Expand/object.scm 391 */
												obj_t BgL_bdgz00_2588;

												BgL_bdgz00_2588 = CAR(((obj_t) BgL_l1281z00_2581));
												{
													obj_t BgL_varz00_2589;
													obj_t BgL_exprz00_2590;

													if (PAIRP(BgL_bdgz00_2588))
														{	/* Expand/object.scm 392 */
															obj_t BgL_carzd2730zd2_2595;
															obj_t BgL_cdrzd2731zd2_2596;

															BgL_carzd2730zd2_2595 = CAR(BgL_bdgz00_2588);
															BgL_cdrzd2731zd2_2596 = CDR(BgL_bdgz00_2588);
															if (SYMBOLP(BgL_carzd2730zd2_2595))
																{	/* Expand/object.scm 392 */
																	if (PAIRP(BgL_cdrzd2731zd2_2596))
																		{	/* Expand/object.scm 392 */
																			if (NULLP(CDR(BgL_cdrzd2731zd2_2596)))
																				{	/* Expand/object.scm 392 */
																					BgL_varz00_2589 =
																						BgL_carzd2730zd2_2595;
																					BgL_exprz00_2590 =
																						CAR(BgL_cdrzd2731zd2_2596);
																					{	/* Expand/object.scm 394 */
																						obj_t BgL_locz00_2603;

																						BgL_locz00_2603 =
																							BGl_findzd2locationzf2locz20zztools_locationz00
																							(BgL_bdgz00_2588, BgL_xz00_28);
																						{	/* Expand/object.scm 394 */
																							obj_t BgL_idzd2typezd2_2604;

																							BgL_idzd2typezd2_2604 =
																								BGl_parsezd2idzd2zzast_identz00
																								(BgL_varz00_2589,
																								BgL_locz00_2603);
																							{	/* Expand/object.scm 395 */
																								obj_t BgL_idz00_2605;

																								BgL_idz00_2605 =
																									CAR(BgL_idzd2typezd2_2604);
																								{	/* Expand/object.scm 396 */
																									obj_t BgL_tz00_2606;

																									BgL_tz00_2606 =
																										CDR(BgL_idzd2typezd2_2604);
																									{	/* Expand/object.scm 397 */
																										obj_t BgL_klassz00_2607;

																										BgL_exprz00_2620 =
																											BgL_exprz00_2590;
																										BgL_bdgz00_2621 =
																											BgL_bdgz00_2588;
																										BgL_locz00_2622 =
																											BgL_locz00_2603;
																										{
																											obj_t
																												BgL_instantiatez00_2624;
																											obj_t BgL_bodyz00_2625;

																											if (PAIRP
																												(BgL_exprz00_2620))
																												{	/* Expand/object.scm 388 */
																													BgL_instantiatez00_2624
																														=
																														CAR
																														(BgL_exprz00_2620);
																													BgL_bodyz00_2625 =
																														CDR
																														(BgL_exprz00_2620);
																													{	/* Expand/object.scm 373 */
																														obj_t
																															BgL_locz00_2632;
																														BgL_locz00_2632 =
																															BGl_findzd2locationzf2locz20zztools_locationz00
																															(BgL_bodyz00_2625,
																															BgL_locz00_2622);
																														{	/* Expand/object.scm 373 */
																															obj_t
																																BgL_idzd2typezd2_2633;
																															BgL_idzd2typezd2_2633
																																=
																																BGl_parsezd2idzd2zzast_identz00
																																(BgL_instantiatez00_2624,
																																BgL_locz00_2632);
																															{	/* Expand/object.scm 374 */
																																obj_t
																																	BgL_kclassz00_2634;
																																BgL_kclassz00_2634
																																	=
																																	CDR
																																	(BgL_idzd2typezd2_2633);
																																{	/* Expand/object.scm 375 */

																																	if (
																																		(CAR
																																			(BgL_idzd2typezd2_2633)
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					31))))
																																		{	/* Expand/object.scm 379 */
																																			bool_t
																																				BgL_test2971z00_5633;
																																			{	/* Expand/object.scm 379 */
																																				obj_t
																																					BgL_classz00_3680;
																																				BgL_classz00_3680
																																					=
																																					BGl_tclassz00zzobject_classz00;
																																				if (BGL_OBJECTP(BgL_kclassz00_2634))
																																					{	/* Expand/object.scm 379 */
																																						BgL_objectz00_bglt
																																							BgL_arg1825z00_3682;
																																						BgL_arg1825z00_3682
																																							=
																																							(BgL_objectz00_bglt)
																																							(BgL_kclassz00_2634);
																																						{	/* Expand/object.scm 379 */
																																							bool_t
																																								BgL_arg1822z00_3685;
																																							bool_t
																																								BgL_arg1823z00_3686;
																																							{	/* Expand/object.scm 379 */
																																								long
																																									BgL_idxz00_3689;
																																								BgL_idxz00_3689
																																									=
																																									BGL_OBJECT_INHERITANCE_NUM
																																									(BgL_arg1825z00_3682);
																																								BgL_arg1822z00_3685
																																									=
																																									(VECTOR_REF
																																									(BGl_za2inheritancesza2z00zz__objectz00,
																																										(BgL_idxz00_3689
																																											+
																																											((long) 2))) == BgL_classz00_3680);
																																							}
																																							{	/* Expand/object.scm 379 */
																																								bool_t
																																									BgL_res2683z00_3711;
																																								{	/* Expand/object.scm 379 */
																																									obj_t
																																										BgL_oclassz00_3697;
																																									{	/* Expand/object.scm 379 */
																																										long
																																											BgL_arg1833z00_3703;
																																										{	/* Expand/object.scm 379 */
																																											long
																																												BgL_arg1834z00_3704;
																																											BgL_arg1834z00_3704
																																												=
																																												BGL_OBJECT_CLASS_NUM
																																												(BgL_arg1825z00_3682);
																																											BgL_arg1833z00_3703
																																												=
																																												(BgL_arg1834z00_3704
																																												-
																																												OBJECT_TYPE);
																																										}
																																										BgL_oclassz00_3697
																																											=
																																											VECTOR_REF
																																											(BGl_za2classesza2z00zz__objectz00,
																																											BgL_arg1833z00_3703);
																																									}
																																									{	/* Expand/object.scm 379 */
																																										bool_t
																																											BgL__ortest_1110z00_3698;
																																										BgL__ortest_1110z00_3698
																																											=
																																											(BgL_classz00_3680
																																											==
																																											BgL_oclassz00_3697);
																																										if (BgL__ortest_1110z00_3698)
																																											{	/* Expand/object.scm 379 */
																																												BgL_res2683z00_3711
																																													=
																																													BgL__ortest_1110z00_3698;
																																											}
																																										else
																																											{	/* Expand/object.scm 379 */
																																												long
																																													BgL_odepthz00_3699;
																																												BgL_odepthz00_3699
																																													=
																																													BGL_CLASS_DEPTH
																																													(BgL_oclassz00_3697);
																																												if ((((long) 2) < BgL_odepthz00_3699))
																																													{	/* Expand/object.scm 379 */
																																														obj_t
																																															BgL_arg1821z00_3701;
																																														BgL_arg1821z00_3701
																																															=
																																															BGL_CLASS_ANCESTORS_REF
																																															(BgL_oclassz00_3697,
																																															((long) 2));
																																														BgL_res2683z00_3711
																																															=
																																															(BgL_arg1821z00_3701
																																															==
																																															BgL_classz00_3680);
																																													}
																																												else
																																													{	/* Expand/object.scm 379 */
																																														BgL_res2683z00_3711
																																															=
																																															(
																																															(bool_t)
																																															0);
																																													}
																																											}
																																									}
																																								}
																																								BgL_arg1823z00_3686
																																									=
																																									BgL_res2683z00_3711;
																																							}
																																							BgL_test2971z00_5633
																																								=
																																								BGL_ISA_C_BACKEND
																																								(BgL_arg1822z00_3685,
																																								BgL_arg1823z00_3686);
																																						}
																																					}
																																				else
																																					{	/* Expand/object.scm 379 */
																																						BgL_test2971z00_5633
																																							=
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																			if (BgL_test2971z00_5633)
																																				{	/* Expand/object.scm 381 */
																																					bool_t
																																						BgL_test2975z00_5652;
																																					{
																																						BgL_tclassz00_bglt
																																							BgL_auxz00_5653;
																																						{
																																							obj_t
																																								BgL_auxz00_5654;
																																							{	/* Expand/object.scm 381 */
																																								BgL_objectz00_bglt
																																									BgL_tmpz00_5655;
																																								BgL_tmpz00_5655
																																									=
																																									(
																																									(BgL_objectz00_bglt)
																																									((BgL_typez00_bglt) BgL_kclassz00_2634));
																																								BgL_auxz00_5654
																																									=
																																									BGL_OBJECT_WIDENING
																																									(BgL_tmpz00_5655);
																																							}
																																							BgL_auxz00_5653
																																								=
																																								(
																																								(BgL_tclassz00_bglt)
																																								BgL_auxz00_5654);
																																						}
																																						BgL_test2975z00_5652
																																							=
																																							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_5653))->BgL_abstractzf3zf3);
																																					}
																																					if (BgL_test2975z00_5652)
																																						{	/* Expand/object.scm 381 */
																																							BgL_klassz00_2607
																																								=
																																								BGl_errorz00zz__errorz00
																																								(BgL_instantiatez00_2624,
																																								BGl_string2701z00zzexpand_objectz00,
																																								BgL_bdgz00_2621);
																																						}
																																					else
																																						{	/* Expand/object.scm 381 */
																																							BgL_klassz00_2607
																																								=
																																								BgL_kclassz00_2634;
																																						}
																																				}
																																			else
																																				{	/* Expand/object.scm 379 */
																																					BgL_klassz00_2607
																																						=
																																						BGl_errorz00zz__errorz00
																																						(BgL_instantiatez00_2624,
																																						BGl_string2698z00zzexpand_objectz00,
																																						BgL_bdgz00_2621);
																																				}
																																		}
																																	else
																																		{	/* Expand/object.scm 377 */
																																			BgL_klassz00_2607
																																				=
																																				BGl_errorz00zz__errorz00
																																				(BgL_instantiatez00_2624,
																																				BGl_string2708z00zzexpand_objectz00,
																																				BgL_bdgz00_2621);
																																		}
																																}
																															}
																														}
																													}
																												}
																											else
																												{	/* Expand/object.scm 388 */
																													BgL_klassz00_2607 =
																														BGl_errorz00zz__errorz00
																														(BGl_string2707z00zzexpand_objectz00,
																														BGl_string2708z00zzexpand_objectz00,
																														BgL_bdgz00_2621);
																												}
																										}
																										{	/* Expand/object.scm 398 */

																											{	/* Expand/object.scm 399 */
																												bool_t
																													BgL_test2976z00_5667;
																												{	/* Expand/object.scm 399 */
																													bool_t
																														BgL_test2977z00_5668;
																													{	/* Expand/object.scm 399 */
																														BgL_typez00_bglt
																															BgL_arg2262z00_2617;
																														BgL_arg2262z00_2617
																															=
																															BGl_getzd2defaultzd2typez00zztype_cachez00
																															();
																														BgL_test2977z00_5668
																															=
																															(BgL_tz00_2606 ==
																															((obj_t)
																																BgL_arg2262z00_2617));
																													}
																													if (BgL_test2977z00_5668)
																														{	/* Expand/object.scm 399 */
																															BgL_test2976z00_5667
																																= ((bool_t) 1);
																														}
																													else
																														{	/* Expand/object.scm 399 */
																															BgL_test2976z00_5667
																																=
																																(BgL_tz00_2606
																																==
																																BgL_klassz00_2607);
																														}
																												}
																												if (BgL_test2976z00_5667)
																													{	/* Expand/object.scm 401 */
																														obj_t
																															BgL_list2258z00_2612;
																														{	/* Expand/object.scm 401 */
																															obj_t
																																BgL_arg2259z00_2613;
																															{	/* Expand/object.scm 401 */
																																obj_t
																																	BgL_arg2260z00_2614;
																																BgL_arg2260z00_2614
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_exprz00_2590,
																																	BNIL);
																																BgL_arg2259z00_2613
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_klassz00_2607,
																																	BgL_arg2260z00_2614);
																															}
																															BgL_list2258z00_2612
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_idz00_2605,
																																BgL_arg2259z00_2613);
																														}
																														BgL_arg2246z00_2587
																															=
																															BgL_list2258z00_2612;
																													}
																												else
																													{	/* Expand/object.scm 402 */
																														obj_t
																															BgL_arg2261z00_2615;
																														BgL_arg2261z00_2615
																															=
																															CAR(((obj_t)
																																BgL_xz00_28));
																														BgL_arg2246z00_2587
																															=
																															BGl_errorz00zz__errorz00
																															(BgL_arg2261z00_2615,
																															BGl_string2709z00zzexpand_objectz00,
																															BgL_bdgz00_2588);
																													}
																											}
																										}
																									}
																								}
																							}
																						}
																					}
																				}
																			else
																				{	/* Expand/object.scm 392 */
																				BgL_tagzd2724zd2_2592:
																					{	/* Expand/object.scm 404 */
																						obj_t BgL_arg2263z00_2618;

																						BgL_arg2263z00_2618 =
																							CAR(((obj_t) BgL_xz00_28));
																						BgL_arg2246z00_2587 =
																							BGl_errorz00zz__errorz00
																							(BgL_arg2263z00_2618,
																							BGl_string2708z00zzexpand_objectz00,
																							BgL_bdgz00_2588);
																					}
																				}
																		}
																	else
																		{	/* Expand/object.scm 392 */
																			goto BgL_tagzd2724zd2_2592;
																		}
																}
															else
																{	/* Expand/object.scm 392 */
																	goto BgL_tagzd2724zd2_2592;
																}
														}
													else
														{	/* Expand/object.scm 392 */
															goto BgL_tagzd2724zd2_2592;
														}
												}
											}
											BgL_newtail1285z00_2585 =
												MAKE_YOUNG_PAIR(BgL_arg2246z00_2587, BNIL);
										}
										SET_CDR(BgL_tail1284z00_2582, BgL_newtail1285z00_2585);
										{	/* Expand/object.scm 391 */
											obj_t BgL_arg2245z00_2586;

											BgL_arg2245z00_2586 = CDR(((obj_t) BgL_l1281z00_2581));
											{
												obj_t BgL_tail1284z00_5688;
												obj_t BgL_l1281z00_5687;

												BgL_l1281z00_5687 = BgL_arg2245z00_2586;
												BgL_tail1284z00_5688 = BgL_newtail1285z00_2585;
												BgL_tail1284z00_2582 = BgL_tail1284z00_5688;
												BgL_l1281z00_2581 = BgL_l1281z00_5687;
												goto BgL_zc3z04anonymousza32243ze3z87_2583;
											}
										}
									}
							}
						}
					{	/* Expand/object.scm 406 */
						obj_t BgL_arg2216z00_2530;

						{	/* Expand/object.scm 406 */
							obj_t BgL_arg2217z00_2531;
							obj_t BgL_arg2218z00_2532;

							if (NULLP(BgL_varsz00_2529))
								{	/* Expand/object.scm 406 */
									BgL_arg2217z00_2531 = BNIL;
								}
							else
								{	/* Expand/object.scm 406 */
									obj_t BgL_head1288z00_2535;

									BgL_head1288z00_2535 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1286z00_2537;
										obj_t BgL_tail1289z00_2538;

										BgL_l1286z00_2537 = BgL_varsz00_2529;
										BgL_tail1289z00_2538 = BgL_head1288z00_2535;
									BgL_zc3z04anonymousza32220ze3z87_2539:
										if (NULLP(BgL_l1286z00_2537))
											{	/* Expand/object.scm 406 */
												BgL_arg2217z00_2531 = CDR(BgL_head1288z00_2535);
											}
										else
											{	/* Expand/object.scm 406 */
												obj_t BgL_newtail1290z00_2541;

												{	/* Expand/object.scm 406 */
													obj_t BgL_arg2223z00_2543;

													{	/* Expand/object.scm 406 */
														obj_t BgL_varz00_2544;

														BgL_varz00_2544 = CAR(((obj_t) BgL_l1286z00_2537));
														{	/* Expand/object.scm 407 */
															obj_t BgL_idz00_2545;
															obj_t BgL_klassz00_2546;

															BgL_idz00_2545 = CAR(((obj_t) BgL_varz00_2544));
															{	/* Expand/object.scm 408 */
																obj_t BgL_pairz00_3735;

																BgL_pairz00_3735 =
																	CDR(((obj_t) BgL_varz00_2544));
																BgL_klassz00_2546 = CAR(BgL_pairz00_3735);
															}
															{	/* Expand/object.scm 410 */
																obj_t BgL_arg2224z00_2547;

																{	/* Expand/object.scm 410 */
																	obj_t BgL_arg2225z00_2548;
																	obj_t BgL_arg2226z00_2549;

																	{	/* Expand/object.scm 410 */
																		obj_t BgL_arg2227z00_2550;

																		BgL_arg2227z00_2550 =
																			(((BgL_typez00_bglt) COBJECT(
																					((BgL_typez00_bglt)
																						BgL_klassz00_2546)))->BgL_idz00);
																		BgL_arg2225z00_2548 =
																			BGl_makezd2typedzd2identz00zzast_identz00
																			(BgL_idz00_2545, BgL_arg2227z00_2550);
																	}
																	BgL_arg2226z00_2549 =
																		MAKE_YOUNG_PAIR
																		(BGl_allocatezd2exprzd2zzexpand_objectz00
																		(BgL_klassz00_2546), BNIL);
																	BgL_arg2224z00_2547 =
																		MAKE_YOUNG_PAIR(BgL_arg2225z00_2548,
																		BgL_arg2226z00_2549);
																}
																BgL_arg2223z00_2543 =
																	BGl_objectzd2epairifyzd2zzexpand_objectz00
																	(BgL_arg2224z00_2547, BgL_xz00_28);
															}
														}
													}
													BgL_newtail1290z00_2541 =
														MAKE_YOUNG_PAIR(BgL_arg2223z00_2543, BNIL);
												}
												SET_CDR(BgL_tail1289z00_2538, BgL_newtail1290z00_2541);
												{	/* Expand/object.scm 406 */
													obj_t BgL_arg2222z00_2542;

													BgL_arg2222z00_2542 =
														CDR(((obj_t) BgL_l1286z00_2537));
													{
														obj_t BgL_tail1289z00_5714;
														obj_t BgL_l1286z00_5713;

														BgL_l1286z00_5713 = BgL_arg2222z00_2542;
														BgL_tail1289z00_5714 = BgL_newtail1290z00_2541;
														BgL_tail1289z00_2538 = BgL_tail1289z00_5714;
														BgL_l1286z00_2537 = BgL_l1286z00_5713;
														goto BgL_zc3z04anonymousza32220ze3z87_2539;
													}
												}
											}
									}
								}
							{	/* Expand/object.scm 413 */
								obj_t BgL_arg2229z00_2553;
								obj_t BgL_arg2230z00_2554;

								if (NULLP(BgL_varsz00_2529))
									{	/* Expand/object.scm 413 */
										BgL_arg2229z00_2553 = BNIL;
									}
								else
									{	/* Expand/object.scm 413 */
										obj_t BgL_head1293z00_2557;

										BgL_head1293z00_2557 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1291z00_2559;
											obj_t BgL_tail1294z00_2560;

											BgL_l1291z00_2559 = BgL_varsz00_2529;
											BgL_tail1294z00_2560 = BgL_head1293z00_2557;
										BgL_zc3z04anonymousza32232ze3z87_2561:
											if (NULLP(BgL_l1291z00_2559))
												{	/* Expand/object.scm 413 */
													BgL_arg2229z00_2553 = CDR(BgL_head1293z00_2557);
												}
											else
												{	/* Expand/object.scm 413 */
													obj_t BgL_newtail1295z00_2563;

													{	/* Expand/object.scm 413 */
														obj_t BgL_arg2235z00_2565;

														{	/* Expand/object.scm 413 */
															obj_t BgL_varz00_2566;

															BgL_varz00_2566 =
																CAR(((obj_t) BgL_l1291z00_2559));
															{	/* Expand/object.scm 414 */
																obj_t BgL_idz00_2567;
																obj_t BgL_klassz00_2568;
																obj_t BgL_exprz00_2569;

																BgL_idz00_2567 = CAR(((obj_t) BgL_varz00_2566));
																{	/* Expand/object.scm 415 */
																	obj_t BgL_pairz00_3745;

																	BgL_pairz00_3745 =
																		CDR(((obj_t) BgL_varz00_2566));
																	BgL_klassz00_2568 = CAR(BgL_pairz00_3745);
																}
																{	/* Expand/object.scm 416 */
																	obj_t BgL_pairz00_3751;

																	{	/* Expand/object.scm 416 */
																		obj_t BgL_pairz00_3750;

																		BgL_pairz00_3750 =
																			CDR(((obj_t) BgL_varz00_2566));
																		BgL_pairz00_3751 = CDR(BgL_pairz00_3750);
																	}
																	BgL_exprz00_2569 = CAR(BgL_pairz00_3751);
																}
																{	/* Expand/object.scm 417 */
																	obj_t BgL_arg2236z00_2570;
																	obj_t BgL_arg2237z00_2571;
																	obj_t BgL_arg2238z00_2572;

																	BgL_arg2236z00_2570 =
																		CAR(((obj_t) BgL_exprz00_2569));
																	BgL_arg2237z00_2571 =
																		CDR(((obj_t) BgL_exprz00_2569));
																	{
																		BgL_tclassz00_bglt BgL_auxz00_5736;

																		{
																			obj_t BgL_auxz00_5737;

																			{	/* Expand/object.scm 418 */
																				BgL_objectz00_bglt BgL_tmpz00_5738;

																				BgL_tmpz00_5738 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt)
																						BgL_klassz00_2568));
																				BgL_auxz00_5737 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5738);
																			}
																			BgL_auxz00_5736 =
																				((BgL_tclassz00_bglt) BgL_auxz00_5737);
																		}
																		BgL_arg2238z00_2572 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_5736))->
																			BgL_slotsz00);
																	}
																	BgL_arg2235z00_2565 =
																		BGl_instantiatezd2fillzd2zzexpand_objectz00
																		(BgL_arg2236z00_2570, BgL_arg2237z00_2571,
																		BgL_klassz00_2568, BgL_arg2238z00_2572,
																		BgL_idz00_2567, BgL_exprz00_2569,
																		BgL_ez00_29);
																}
															}
														}
														BgL_newtail1295z00_2563 =
															MAKE_YOUNG_PAIR(BgL_arg2235z00_2565, BNIL);
													}
													SET_CDR(BgL_tail1294z00_2560,
														BgL_newtail1295z00_2563);
													{	/* Expand/object.scm 413 */
														obj_t BgL_arg2234z00_2564;

														BgL_arg2234z00_2564 =
															CDR(((obj_t) BgL_l1291z00_2559));
														{
															obj_t BgL_tail1294z00_5750;
															obj_t BgL_l1291z00_5749;

															BgL_l1291z00_5749 = BgL_arg2234z00_2564;
															BgL_tail1294z00_5750 = BgL_newtail1295z00_2563;
															BgL_tail1294z00_2560 = BgL_tail1294z00_5750;
															BgL_l1291z00_2559 = BgL_l1291z00_5749;
															goto BgL_zc3z04anonymousza32232ze3z87_2561;
														}
													}
												}
										}
									}
								{	/* Expand/object.scm 420 */
									obj_t BgL_arg2239z00_2574;

									{	/* Expand/object.scm 420 */
										obj_t BgL_arg2240z00_2575;

										{	/* Expand/object.scm 420 */
											obj_t BgL_arg2241z00_2576;

											BgL_arg2241z00_2576 =
												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
												(BgL_bodyz00_27, BNIL);
											BgL_arg2240z00_2575 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
												BgL_arg2241z00_2576);
										}
										BgL_arg2239z00_2574 =
											PROCEDURE_ENTRY(BgL_ez00_29) (BgL_ez00_29,
											BgL_arg2240z00_2575, BgL_ez00_29, BEOA);
									}
									BgL_arg2230z00_2554 =
										MAKE_YOUNG_PAIR(BgL_arg2239z00_2574, BNIL);
								}
								BgL_arg2218z00_2532 =
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg2229z00_2553, BgL_arg2230z00_2554);
							}
							BgL_arg2216z00_2530 =
								MAKE_YOUNG_PAIR(BgL_arg2217z00_2531, BgL_arg2218z00_2532);
						}
						return
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)), BgL_arg2216z00_2530);
		}}}}

	}



/* expand-duplicate */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2duplicatezd2zzexpand_objectz00(obj_t
		BgL_xz00_30, obj_t BgL_ez00_31)
	{
		{	/* Expand/object.scm 425 */
			{
				obj_t BgL_duplicatez00_2641;
				obj_t BgL_dupz00_2642;
				obj_t BgL_provz00_2643;

				if (PAIRP(BgL_xz00_30))
					{	/* Expand/object.scm 426 */
						obj_t BgL_cdrzd2748zd2_2648;

						BgL_cdrzd2748zd2_2648 = CDR(BgL_xz00_30);
						if (PAIRP(BgL_cdrzd2748zd2_2648))
							{	/* Expand/object.scm 426 */
								BgL_duplicatez00_2641 = CAR(BgL_xz00_30);
								BgL_dupz00_2642 = CAR(BgL_cdrzd2748zd2_2648);
								BgL_provz00_2643 = CDR(BgL_cdrzd2748zd2_2648);
								{	/* Expand/object.scm 428 */
									obj_t BgL_idzd2typezd2_2653;

									BgL_idzd2typezd2_2653 =
										BGl_parsezd2idzd2zzast_identz00(BgL_duplicatez00_2641,
										BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_30));
									{	/* Expand/object.scm 428 */
										obj_t BgL_idz00_2654;

										BgL_idz00_2654 = CAR(BgL_idzd2typezd2_2653);
										{	/* Expand/object.scm 429 */
											obj_t BgL_classz00_2655;

											BgL_classz00_2655 = CDR(BgL_idzd2typezd2_2653);
											{	/* Expand/object.scm 430 */

												{	/* Expand/object.scm 432 */
													bool_t BgL_test2984z00_5773;

													{	/* Expand/object.scm 432 */
														obj_t BgL_classz00_3760;

														BgL_classz00_3760 = BGl_tclassz00zzobject_classz00;
														if (BGL_OBJECTP(BgL_classz00_2655))
															{	/* Expand/object.scm 432 */
																BgL_objectz00_bglt BgL_arg1825z00_3762;

																BgL_arg1825z00_3762 =
																	(BgL_objectz00_bglt) (BgL_classz00_2655);
																{	/* Expand/object.scm 432 */
																	bool_t BgL_arg1822z00_3765;
																	bool_t BgL_arg1823z00_3766;

																	{	/* Expand/object.scm 432 */
																		long BgL_idxz00_3769;

																		BgL_idxz00_3769 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_3762);
																		BgL_arg1822z00_3765 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3769 + ((long) 2))) ==
																			BgL_classz00_3760);
																	}
																	{	/* Expand/object.scm 432 */
																		bool_t BgL_res2685z00_3791;

																		{	/* Expand/object.scm 432 */
																			obj_t BgL_oclassz00_3777;

																			{	/* Expand/object.scm 432 */
																				long BgL_arg1833z00_3783;

																				{	/* Expand/object.scm 432 */
																					long BgL_arg1834z00_3784;

																					BgL_arg1834z00_3784 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_3762);
																					BgL_arg1833z00_3783 =
																						(BgL_arg1834z00_3784 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3777 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_3783);
																			}
																			{	/* Expand/object.scm 432 */
																				bool_t BgL__ortest_1110z00_3778;

																				BgL__ortest_1110z00_3778 =
																					(BgL_classz00_3760 ==
																					BgL_oclassz00_3777);
																				if (BgL__ortest_1110z00_3778)
																					{	/* Expand/object.scm 432 */
																						BgL_res2685z00_3791 =
																							BgL__ortest_1110z00_3778;
																					}
																				else
																					{	/* Expand/object.scm 432 */
																						long BgL_odepthz00_3779;

																						BgL_odepthz00_3779 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_3777);
																						if ((((long) 2) <
																								BgL_odepthz00_3779))
																							{	/* Expand/object.scm 432 */
																								obj_t BgL_arg1821z00_3781;

																								BgL_arg1821z00_3781 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_3777,
																									((long) 2));
																								BgL_res2685z00_3791 =
																									(BgL_arg1821z00_3781 ==
																									BgL_classz00_3760);
																							}
																						else
																							{	/* Expand/object.scm 432 */
																								BgL_res2685z00_3791 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_3766 = BgL_res2685z00_3791;
																	}
																	BgL_test2984z00_5773 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_3765,
																		BgL_arg1823z00_3766);
																}
															}
														else
															{	/* Expand/object.scm 432 */
																BgL_test2984z00_5773 = ((bool_t) 0);
															}
													}
													if (BgL_test2984z00_5773)
														{	/* Expand/object.scm 434 */
															bool_t BgL_test2988z00_5792;

															{
																BgL_tclassz00_bglt BgL_auxz00_5793;

																{
																	obj_t BgL_auxz00_5794;

																	{	/* Expand/object.scm 434 */
																		BgL_objectz00_bglt BgL_tmpz00_5795;

																		BgL_tmpz00_5795 =
																			((BgL_objectz00_bglt)
																			((BgL_typez00_bglt) BgL_classz00_2655));
																		BgL_auxz00_5794 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5795);
																	}
																	BgL_auxz00_5793 =
																		((BgL_tclassz00_bglt) BgL_auxz00_5794);
																}
																BgL_test2988z00_5792 =
																	(((BgL_tclassz00_bglt)
																		COBJECT(BgL_auxz00_5793))->
																	BgL_abstractzf3zf3);
															}
															if (BgL_test2988z00_5792)
																{	/* Expand/object.scm 434 */
																	return
																		BGl_errorz00zz__errorz00
																		(BgL_duplicatez00_2641,
																		BGl_string2710z00zzexpand_objectz00,
																		BgL_xz00_30);
																}
															else
																{	/* Expand/object.scm 434 */
																	return
																		BGl_replacez12z12zztools_miscz00
																		(BgL_xz00_30,
																		BGl_duplicatezd2ze3makez31zzexpand_objectz00
																		(BgL_classz00_2655, BgL_dupz00_2642,
																			BgL_provz00_2643, BgL_xz00_30,
																			BgL_ez00_31));
																}
														}
													else
														{	/* Expand/object.scm 433 */
															obj_t BgL_arg2281z00_2659;

															{	/* Expand/object.scm 433 */
																obj_t BgL_list2282z00_2660;

																BgL_list2282z00_2660 =
																	MAKE_YOUNG_PAIR(BgL_idz00_2654, BNIL);
																BgL_arg2281z00_2659 =
																	BGl_formatz00zz__r4_output_6_10_3z00
																	(BGl_string2711z00zzexpand_objectz00,
																	BgL_list2282z00_2660);
															}
															return
																BGl_errorz00zz__errorz00(BgL_duplicatez00_2641,
																BgL_arg2281z00_2659, BgL_xz00_30);
														}
												}
											}
										}
									}
								}
							}
						else
							{	/* Expand/object.scm 426 */
							BgL_tagzd2739zd2_2645:
								return
									BGl_errorz00zz__errorz00(BGl_string2712z00zzexpand_objectz00,
									BGl_string2696z00zzexpand_objectz00, BgL_xz00_30);
							}
					}
				else
					{	/* Expand/object.scm 426 */
						goto BgL_tagzd2739zd2_2645;
					}
			}
		}

	}



/* &expand-duplicate */
	obj_t BGl_z62expandzd2duplicatezb0zzexpand_objectz00(obj_t BgL_envz00_4156,
		obj_t BgL_xz00_4157, obj_t BgL_ez00_4158)
	{
		{	/* Expand/object.scm 425 */
			return
				BGl_expandzd2duplicatezd2zzexpand_objectz00(BgL_xz00_4157,
				BgL_ez00_4158);
		}

	}



/* duplicate->make */
	obj_t BGl_duplicatezd2ze3makez31zzexpand_objectz00(obj_t BgL_classz00_32,
		obj_t BgL_duplicatedz00_33, obj_t BgL_providedz00_34, obj_t BgL_xz00_35,
		obj_t BgL_ez00_36)
	{
		{	/* Expand/object.scm 450 */
			{
				obj_t BgL_slotsz00_2792;
				obj_t BgL_slotsz00_2734;
				obj_t BgL_dupvarz00_2735;
				obj_t BgL_parentz00_2736;

				{	/* Expand/object.scm 507 */
					obj_t BgL_idz00_2665;

					BgL_idz00_2665 =
						(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_classz00_32)))->BgL_idz00);
					{	/* Expand/object.scm 507 */
						obj_t BgL_slotsz00_2666;

						{
							BgL_tclassz00_bglt BgL_auxz00_5814;

							{
								obj_t BgL_auxz00_5815;

								{	/* Expand/object.scm 508 */
									BgL_objectz00_bglt BgL_tmpz00_5816;

									BgL_tmpz00_5816 =
										((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_32));
									BgL_auxz00_5815 = BGL_OBJECT_WIDENING(BgL_tmpz00_5816);
								}
								BgL_auxz00_5814 = ((BgL_tclassz00_bglt) BgL_auxz00_5815);
							}
							BgL_slotsz00_2666 =
								(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_5814))->BgL_slotsz00);
						}
						{	/* Expand/object.scm 508 */
							obj_t BgL_newz00_2667;

							BgL_newz00_2667 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 13)));
							{	/* Expand/object.scm 509 */
								obj_t BgL_tmpz00_2668;

								BgL_tmpz00_2668 =
									BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											32)));
								{	/* Expand/object.scm 510 */
									obj_t BgL_tnewz00_2669;

									BgL_tnewz00_2669 =
										BGl_makezd2typedzd2identz00zzast_identz00(BgL_newz00_2667,
										BgL_idz00_2665);
									{	/* Expand/object.scm 511 */
										obj_t BgL_dupvarz00_2670;

										BgL_dupvarz00_2670 =
											BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
											(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
														33))));
										{	/* Expand/object.scm 512 */
											obj_t BgL_parentz00_2671;

											BgL_slotsz00_2792 = BgL_slotsz00_2666;
											if (NULLP(BgL_slotsz00_2792))
												{	/* Expand/object.scm 490 */
													BgL_parentz00_2671 = BgL_classz00_32;
												}
											else
												{	/* Expand/object.scm 492 */
													obj_t BgL_g1125z00_2795;
													obj_t BgL_g1126z00_2796;

													BgL_g1125z00_2795 =
														(((BgL_slotz00_bglt) COBJECT(
																((BgL_slotz00_bglt)
																	CAR(
																		((obj_t) BgL_slotsz00_2792)))))->
														BgL_classzd2ownerzd2);
													BgL_g1126z00_2796 = CDR(((obj_t) BgL_slotsz00_2792));
													{
														obj_t BgL_parentz00_2798;
														obj_t BgL_slotsz00_2799;

														BgL_parentz00_2798 = BgL_g1125z00_2795;
														BgL_slotsz00_2799 = BgL_g1126z00_2796;
														if (NULLP(BgL_slotsz00_2799))
															{	/* Expand/object.scm 495 */
																BgL_parentz00_2671 = BgL_parentz00_2798;
															}
														else
															{	/* Expand/object.scm 497 */
																bool_t BgL_test2991z00_5840;

																{	/* Expand/object.scm 497 */
																	obj_t BgL_arg2384z00_2806;

																	BgL_arg2384z00_2806 =
																		(((BgL_slotz00_bglt) COBJECT(
																				((BgL_slotz00_bglt)
																					CAR(
																						((obj_t) BgL_slotsz00_2799)))))->
																		BgL_classzd2ownerzd2);
																	BgL_test2991z00_5840 =
																		BGl_typezd2subclasszf3z21zzobject_classz00((
																			(BgL_typez00_bglt) BgL_parentz00_2798),
																		((BgL_typez00_bglt) BgL_arg2384z00_2806));
																}
																if (BgL_test2991z00_5840)
																	{	/* Expand/object.scm 497 */
																		BgL_parentz00_2671 =
																			(((BgL_slotz00_bglt) COBJECT(
																					((BgL_slotz00_bglt)
																						CAR(
																							((obj_t) BgL_slotsz00_2799)))))->
																			BgL_classzd2ownerzd2);
																	}
																else
																	{	/* Expand/object.scm 497 */
																		BgL_parentz00_2671 = BgL_parentz00_2798;
																	}
															}
													}
												}
											{	/* Expand/object.scm 513 */
												obj_t BgL_tdupvarz00_2672;

												{	/* Expand/object.scm 514 */
													obj_t BgL_arg2338z00_2732;

													BgL_arg2338z00_2732 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_parentz00_2671)))->
														BgL_idz00);
													BgL_tdupvarz00_2672 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_dupvarz00_2670, BgL_arg2338z00_2732);
												}
												{	/* Expand/object.scm 514 */
													obj_t BgL_argsz00_2673;

													BgL_slotsz00_2734 = BgL_slotsz00_2666;
													BgL_dupvarz00_2735 = BgL_dupvarz00_2670;
													BgL_parentz00_2736 = BgL_parentz00_2671;
													{	/* Expand/object.scm 453 */
														obj_t BgL_vargsz00_2738;

														BgL_vargsz00_2738 =
															make_vector(bgl_list_length(BgL_slotsz00_2734),
															BUNSPEC);
														{
															obj_t BgL_providedz00_2740;

															BgL_providedz00_2740 = BgL_providedz00_34;
														BgL_zc3z04anonymousza32342ze3z87_2741:
															if (PAIRP(BgL_providedz00_2740))
																{	/* Expand/object.scm 457 */
																	obj_t BgL_pz00_2743;

																	BgL_pz00_2743 = CAR(BgL_providedz00_2740);
																	{
																		obj_t BgL_szd2namezd2_2744;
																		obj_t BgL_valuez00_2745;

																		if (PAIRP(BgL_pz00_2743))
																			{	/* Expand/object.scm 458 */
																				obj_t BgL_carzd2763zd2_2750;
																				obj_t BgL_cdrzd2764zd2_2751;

																				BgL_carzd2763zd2_2750 =
																					CAR(BgL_pz00_2743);
																				BgL_cdrzd2764zd2_2751 =
																					CDR(BgL_pz00_2743);
																				if (SYMBOLP(BgL_carzd2763zd2_2750))
																					{	/* Expand/object.scm 458 */
																						if (PAIRP(BgL_cdrzd2764zd2_2751))
																							{	/* Expand/object.scm 458 */
																								if (NULLP(CDR
																										(BgL_cdrzd2764zd2_2751)))
																									{	/* Expand/object.scm 458 */
																										BgL_szd2namezd2_2744 =
																											BgL_carzd2763zd2_2750;
																										BgL_valuez00_2745 =
																											CAR
																											(BgL_cdrzd2764zd2_2751);
																										{	/* Expand/object.scm 462 */
																											obj_t BgL_arg2352z00_2758;
																											obj_t BgL_arg2353z00_2759;

																											BgL_arg2352z00_2758 =
																												BGl_findzd2slotzd2offsetz00zzexpand_objectz00
																												(BgL_slotsz00_2734,
																												BgL_szd2namezd2_2744,
																												BGl_string2712z00zzexpand_objectz00,
																												BgL_pz00_2743);
																											BgL_arg2353z00_2759 =
																												MAKE_YOUNG_PAIR(BTRUE,
																												BGl_objectzd2epairifyzd2zzexpand_objectz00
																												(BgL_valuez00_2745,
																													BgL_pz00_2743));
																											VECTOR_SET
																												(BgL_vargsz00_2738,
																												(long)
																												CINT
																												(BgL_arg2352z00_2758),
																												BgL_arg2353z00_2759);
																									}}
																								else
																									{	/* Expand/object.scm 458 */
																									BgL_tagzd2757zd2_2747:
																										{	/* Expand/object.scm 465 */
																											obj_t BgL_arg2355z00_2761;

																											BgL_arg2355z00_2761 =
																												CAR(
																												((obj_t) BgL_xz00_35));
																											BGl_errorz00zz__errorz00
																												(BgL_arg2355z00_2761,
																												BGl_string2696z00zzexpand_objectz00,
																												BgL_xz00_35);
																										}
																									}
																							}
																						else
																							{	/* Expand/object.scm 458 */
																								goto BgL_tagzd2757zd2_2747;
																							}
																					}
																				else
																					{	/* Expand/object.scm 458 */
																						goto BgL_tagzd2757zd2_2747;
																					}
																			}
																		else
																			{	/* Expand/object.scm 458 */
																				goto BgL_tagzd2757zd2_2747;
																			}
																	}
																	{
																		obj_t BgL_providedz00_5880;

																		BgL_providedz00_5880 =
																			CDR(BgL_providedz00_2740);
																		BgL_providedz00_2740 = BgL_providedz00_5880;
																		goto BgL_zc3z04anonymousza32342ze3z87_2741;
																	}
																}
															else
																{	/* Expand/object.scm 456 */
																	((bool_t) 0);
																}
														}
														{
															long BgL_iz00_2765;
															obj_t BgL_slotsz00_2766;

															BgL_iz00_2765 = ((long) 0);
															BgL_slotsz00_2766 = BgL_slotsz00_2734;
														BgL_zc3z04anonymousza32357ze3z87_2767:
															if (PAIRP(BgL_slotsz00_2766))
																{	/* Expand/object.scm 471 */
																	obj_t BgL_valuez00_2769;

																	BgL_valuez00_2769 =
																		VECTOR_REF(BgL_vargsz00_2738,
																		BgL_iz00_2765);
																	if (PAIRP(BgL_valuez00_2769))
																		{	/* Expand/object.scm 472 */
																			BFALSE;
																		}
																	else
																		{	/* Expand/object.scm 475 */
																			obj_t BgL_slotz00_2771;

																			BgL_slotz00_2771 = CAR(BgL_slotsz00_2766);
																			{	/* Expand/object.scm 475 */
																				obj_t BgL_claza7za7z00_2772;

																				BgL_claza7za7z00_2772 =
																					(((BgL_slotz00_bglt) COBJECT(
																							((BgL_slotz00_bglt)
																								BgL_slotz00_2771)))->
																					BgL_classzd2ownerzd2);
																				{	/* Expand/object.scm 476 */
																					obj_t BgL_valz00_2773;

																					if (
																						(BgL_claza7za7z00_2772 ==
																							BgL_parentz00_2736))
																						{	/* Expand/object.scm 478 */
																							obj_t BgL_arg2363z00_2776;

																							BgL_arg2363z00_2776 =
																								(((BgL_slotz00_bglt) COBJECT(
																										((BgL_slotz00_bglt)
																											BgL_slotz00_2771)))->
																								BgL_idz00);
																							BgL_valz00_2773 =
																								BGl_fieldzd2accesszd2zzast_objectz00
																								(BgL_dupvarz00_2735,
																								BgL_arg2363z00_2776, BTRUE);
																						}
																					else
																						{	/* Expand/object.scm 479 */
																							obj_t BgL_tmpz00_2777;

																							BgL_tmpz00_2777 =
																								BGl_gensymz00zz__r4_symbols_6_4z00
																								(CNST_TABLE_REF(((long) 32)));
																							{	/* Expand/object.scm 479 */
																								obj_t BgL_cidz00_2778;

																								BgL_cidz00_2778 =
																									(((BgL_typez00_bglt) COBJECT(
																											((BgL_typez00_bglt)
																												BgL_claza7za7z00_2772)))->
																									BgL_idz00);
																								{	/* Expand/object.scm 480 */
																									obj_t BgL_ttmpz00_2779;

																									BgL_ttmpz00_2779 =
																										BGl_makezd2typedzd2identz00zzast_identz00
																										(BgL_tmpz00_2777,
																										BgL_cidz00_2778);
																									{	/* Expand/object.scm 481 */

																										{	/* Expand/object.scm 482 */
																											obj_t BgL_arg2364z00_2780;

																											{	/* Expand/object.scm 482 */
																												obj_t
																													BgL_arg2365z00_2781;
																												obj_t
																													BgL_arg2366z00_2782;
																												{	/* Expand/object.scm 482 */
																													obj_t
																														BgL_arg2367z00_2783;
																													{	/* Expand/object.scm 482 */
																														obj_t
																															BgL_arg2368z00_2784;
																														BgL_arg2368z00_2784
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_dupvarz00_2735,
																															BNIL);
																														BgL_arg2367z00_2783
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_ttmpz00_2779,
																															BgL_arg2368z00_2784);
																													}
																													BgL_arg2365z00_2781 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg2367z00_2783,
																														BNIL);
																												}
																												{	/* Expand/object.scm 483 */
																													obj_t
																														BgL_arg2369z00_2785;
																													{	/* Expand/object.scm 483 */
																														obj_t
																															BgL_arg2370z00_2786;
																														BgL_arg2370z00_2786
																															=
																															(((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt) BgL_slotz00_2771)))->BgL_idz00);
																														BgL_arg2369z00_2785
																															=
																															BGl_fieldzd2accesszd2zzast_objectz00
																															(BgL_tmpz00_2777,
																															BgL_arg2370z00_2786,
																															BTRUE);
																													}
																													BgL_arg2366z00_2782 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg2369z00_2785,
																														BNIL);
																												}
																												BgL_arg2364z00_2780 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg2365z00_2781,
																													BgL_arg2366z00_2782);
																											}
																											BgL_valz00_2773 =
																												MAKE_YOUNG_PAIR
																												(CNST_TABLE_REF(((long)
																														6)),
																												BgL_arg2364z00_2780);
																						}}}}}
																					{	/* Expand/object.scm 477 */

																						{	/* Expand/object.scm 484 */
																							obj_t BgL_arg2360z00_2774;

																							BgL_arg2360z00_2774 =
																								MAKE_YOUNG_PAIR(BTRUE,
																								BgL_valz00_2773);
																							VECTOR_SET(BgL_vargsz00_2738,
																								BgL_iz00_2765,
																								BgL_arg2360z00_2774);
																		}}}}}
																	{
																		obj_t BgL_slotsz00_5914;
																		long BgL_iz00_5912;

																		BgL_iz00_5912 =
																			(BgL_iz00_2765 + ((long) 1));
																		BgL_slotsz00_5914 = CDR(BgL_slotsz00_2766);
																		BgL_slotsz00_2766 = BgL_slotsz00_5914;
																		BgL_iz00_2765 = BgL_iz00_5912;
																		goto BgL_zc3z04anonymousza32357ze3z87_2767;
																	}
																}
															else
																{	/* Expand/object.scm 470 */
																	((bool_t) 0);
																}
														}
														BgL_argsz00_2673 =
															BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00
															(BgL_vargsz00_2738);
													}
													{	/* Expand/object.scm 515 */

														{	/* Expand/object.scm 518 */
															obj_t BgL_arg2284z00_2674;

															{	/* Expand/object.scm 518 */
																obj_t BgL_arg2286z00_2675;
																obj_t BgL_arg2287z00_2676;

																{	/* Expand/object.scm 518 */
																	obj_t BgL_arg2288z00_2677;
																	obj_t BgL_arg2289z00_2678;

																	{	/* Expand/object.scm 518 */
																		obj_t BgL_arg2290z00_2679;

																		{	/* Expand/object.scm 518 */
																			obj_t BgL_arg2291z00_2680;

																			BgL_arg2291z00_2680 =
																				PROCEDURE_ENTRY(BgL_ez00_36)
																				(BgL_ez00_36, BgL_duplicatedz00_33,
																				BgL_ez00_36, BEOA);
																			BgL_arg2290z00_2679 =
																				MAKE_YOUNG_PAIR(BgL_arg2291z00_2680,
																				BNIL);
																		}
																		BgL_arg2288z00_2677 =
																			MAKE_YOUNG_PAIR(BgL_tdupvarz00_2672,
																			BgL_arg2290z00_2679);
																	}
																	{	/* Expand/object.scm 519 */
																		obj_t BgL_arg2292z00_2681;

																		{	/* Expand/object.scm 519 */
																			obj_t BgL_arg2293z00_2682;

																			BgL_arg2293z00_2682 =
																				MAKE_YOUNG_PAIR
																				(BGl_allocatezd2exprzd2zzexpand_objectz00
																				(BgL_classz00_32), BNIL);
																			BgL_arg2292z00_2681 =
																				MAKE_YOUNG_PAIR(BgL_tnewz00_2669,
																				BgL_arg2293z00_2682);
																		}
																		BgL_arg2289z00_2678 =
																			MAKE_YOUNG_PAIR(BgL_arg2292z00_2681,
																			BNIL);
																	}
																	BgL_arg2286z00_2675 =
																		MAKE_YOUNG_PAIR(BgL_arg2288z00_2677,
																		BgL_arg2289z00_2678);
																}
																{	/* Expand/object.scm 522 */
																	obj_t BgL_arg2295z00_2684;
																	obj_t BgL_arg2296z00_2685;

																	{	/* Expand/object.scm 522 */
																		obj_t BgL_zc3z04anonymousza32300ze3z87_4161;

																		BgL_zc3z04anonymousza32300ze3z87_4161 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3z04anonymousza32300ze3ze5zzexpand_objectz00,
																			(int) (((long) 2)), (int) (((long) 2)));
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32300ze3z87_4161,
																			(int) (((long) 0)), BgL_ez00_36);
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32300ze3z87_4161,
																			(int) (((long) 1)), BgL_newz00_2667);
																		{	/* Expand/object.scm 521 */
																			obj_t BgL_list2298z00_2687;

																			{	/* Expand/object.scm 521 */
																				obj_t BgL_arg2299z00_2688;

																				BgL_arg2299z00_2688 =
																					MAKE_YOUNG_PAIR(BgL_argsz00_2673,
																					BNIL);
																				BgL_list2298z00_2687 =
																					MAKE_YOUNG_PAIR(BgL_slotsz00_2666,
																					BgL_arg2299z00_2688);
																			}
																			BgL_arg2295z00_2684 =
																				BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
																				(BgL_zc3z04anonymousza32300ze3z87_4161,
																				BgL_list2298z00_2687);
																	}}
																	{	/* Expand/object.scm 527 */
																		obj_t BgL_arg2307z00_2698;
																		obj_t BgL_arg2308z00_2699;

																		if (CBOOL
																			(BGl_findzd2classzd2constructorz00zzobject_classz00
																				(((BgL_typez00_bglt) BgL_classz00_32))))
																			{	/* Expand/object.scm 528 */
																				BgL_globalz00_bglt BgL_gz00_2701;

																				{
																					BgL_tclassz00_bglt BgL_auxz00_5943;

																					{
																						obj_t BgL_auxz00_5944;

																						{	/* Expand/object.scm 528 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_5945;
																							BgL_tmpz00_5945 =
																								((BgL_objectz00_bglt) (
																									(BgL_typez00_bglt)
																									BgL_classz00_32));
																							BgL_auxz00_5944 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_5945);
																						}
																						BgL_auxz00_5943 =
																							((BgL_tclassz00_bglt)
																							BgL_auxz00_5944);
																					}
																					BgL_gz00_2701 =
																						(((BgL_tclassz00_bglt)
																							COBJECT(BgL_auxz00_5943))->
																						BgL_holderz00);
																				}
																				{	/* Expand/object.scm 529 */
																					obj_t BgL_arg2310z00_2702;

																					{	/* Expand/object.scm 529 */
																						obj_t BgL_arg2311z00_2703;
																						obj_t BgL_arg2312z00_2704;

																						{	/* Expand/object.scm 529 */
																							obj_t BgL_arg2314z00_2705;
																							obj_t BgL_arg2315z00_2706;

																							{	/* Expand/object.scm 529 */
																								obj_t BgL_arg2316z00_2707;

																								{	/* Expand/object.scm 529 */
																									obj_t BgL_arg2317z00_2708;

																									BgL_arg2317z00_2708 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long) 8)),
																										BNIL);
																									BgL_arg2316z00_2707 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												14)),
																										BgL_arg2317z00_2708);
																								}
																								BgL_arg2314z00_2705 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 10)),
																									BgL_arg2316z00_2707);
																							}
																							{	/* Expand/object.scm 530 */
																								obj_t BgL_arg2319z00_2709;

																								{	/* Expand/object.scm 530 */
																									obj_t BgL_arg2320z00_2710;

																									{	/* Expand/object.scm 530 */
																										obj_t BgL_arg2321z00_2711;
																										obj_t BgL_arg2322z00_2712;

																										BgL_arg2321z00_2711 =
																											(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														BgL_gz00_2701)))->
																											BgL_idz00);
																										BgL_arg2322z00_2712 =
																											MAKE_YOUNG_PAIR(((
																													(BgL_globalz00_bglt)
																													COBJECT
																													(BgL_gz00_2701))->
																												BgL_modulez00), BNIL);
																										BgL_arg2320z00_2710 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg2321z00_2711,
																											BgL_arg2322z00_2712);
																									}
																									BgL_arg2319z00_2709 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												10)),
																										BgL_arg2320z00_2710);
																								}
																								BgL_arg2315z00_2706 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2319z00_2709, BNIL);
																							}
																							BgL_arg2311z00_2703 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2314z00_2705,
																								BgL_arg2315z00_2706);
																						}
																						BgL_arg2312z00_2704 =
																							MAKE_YOUNG_PAIR(BgL_newz00_2667,
																							BNIL);
																						BgL_arg2310z00_2702 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2311z00_2703,
																							BgL_arg2312z00_2704);
																					}
																					BgL_arg2307z00_2698 =
																						PROCEDURE_ENTRY(BgL_ez00_36)
																						(BgL_ez00_36, BgL_arg2310z00_2702,
																						BgL_ez00_36, BEOA);
																			}}
																		else
																			{	/* Expand/object.scm 527 */
																				BgL_arg2307z00_2698 = BFALSE;
																			}
																		{	/* Expand/object.scm 535 */
																			obj_t BgL_arg2324z00_2714;
																			obj_t BgL_arg2325z00_2715;

																			{	/* Expand/object.scm 535 */
																				obj_t
																					BgL_zc3z04anonymousza32329ze3z87_4160;
																				BgL_zc3z04anonymousza32329ze3z87_4160 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3z04anonymousza32329ze3ze5zzexpand_objectz00,
																					(int) (((long) 2)),
																					(int) (((long) 2)));
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32329ze3z87_4160,
																					(int) (((long) 0)), BgL_ez00_36);
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32329ze3z87_4160,
																					(int) (((long) 1)), BgL_newz00_2667);
																				{	/* Expand/object.scm 534 */
																					obj_t BgL_list2327z00_2717;

																					{	/* Expand/object.scm 534 */
																						obj_t BgL_arg2328z00_2718;

																						BgL_arg2328z00_2718 =
																							MAKE_YOUNG_PAIR(BgL_argsz00_2673,
																							BNIL);
																						BgL_list2327z00_2717 =
																							MAKE_YOUNG_PAIR(BgL_slotsz00_2666,
																							BgL_arg2328z00_2718);
																					}
																					BgL_arg2324z00_2714 =
																						BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
																						(BgL_zc3z04anonymousza32329ze3z87_4160,
																						BgL_list2327z00_2717);
																			}}
																			BgL_arg2325z00_2715 =
																				MAKE_YOUNG_PAIR(BgL_newz00_2667, BNIL);
																			BgL_arg2308z00_2699 =
																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2324z00_2714,
																				BgL_arg2325z00_2715);
																		}
																		BgL_arg2296z00_2685 =
																			MAKE_YOUNG_PAIR(BgL_arg2307z00_2698,
																			BgL_arg2308z00_2699);
																	}
																	BgL_arg2287z00_2676 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2295z00_2684, BgL_arg2296z00_2685);
																}
																BgL_arg2284z00_2674 =
																	MAKE_YOUNG_PAIR(BgL_arg2286z00_2675,
																	BgL_arg2287z00_2676);
															}
															return
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
																BgL_arg2284z00_2674);
		}}}}}}}}}}}}}

	}



/* &slot-set */
	obj_t BGl_z62slotzd2setzb0zzexpand_objectz00(obj_t BgL_newz00_2810,
		obj_t BgL_slotz00_2811, obj_t BgL_vz00_2812)
	{
		{	/* Expand/object.scm 505 */
			{	/* Expand/object.scm 503 */
				obj_t BgL_idz00_2815;

				BgL_idz00_2815 =
					(((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_slotz00_2811)))->BgL_idz00);
				{	/* Expand/object.scm 505 */
					obj_t BgL_arg2388z00_2816;

					{	/* Expand/object.scm 505 */
						obj_t BgL_arg2389z00_2817;
						obj_t BgL_arg2390z00_2818;

						BgL_arg2389z00_2817 =
							BGl_fieldzd2accesszd2zzast_objectz00(BgL_newz00_2810,
							BgL_idz00_2815, BTRUE);
						BgL_arg2390z00_2818 = MAKE_YOUNG_PAIR(BgL_vz00_2812, BNIL);
						BgL_arg2388z00_2816 =
							MAKE_YOUNG_PAIR(BgL_arg2389z00_2817, BgL_arg2390z00_2818);
					}
					return
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)), BgL_arg2388z00_2816);
		}}}

	}



/* &<@anonymous:2329> */
	obj_t BGl_z62zc3z04anonymousza32329ze3ze5zzexpand_objectz00(obj_t
		BgL_envz00_4162, obj_t BgL_slotz00_4165, obj_t BgL_valz00_4166)
	{
		{	/* Expand/object.scm 534 */
			{	/* Expand/object.scm 535 */
				obj_t BgL_ez00_4163;
				obj_t BgL_newz00_4164;

				BgL_ez00_4163 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4162, (int) (((long) 0))));
				BgL_newz00_4164 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4162, (int) (((long) 1))));
				{	/* Expand/object.scm 535 */
					bool_t BgL_test3001z00_6003;

					if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
							((BgL_slotz00_bglt) BgL_slotz00_4165)))
						{	/* Expand/object.scm 535 */
							if (
								(((BgL_slotz00_bglt) COBJECT(
											((BgL_slotz00_bglt) BgL_slotz00_4165)))->
									BgL_readzd2onlyzf3z21))
								{	/* Expand/object.scm 536 */
									BgL_test3001z00_6003 = ((bool_t) 0);
								}
							else
								{	/* Expand/object.scm 536 */
									BgL_test3001z00_6003 = CBOOL(CAR(((obj_t) BgL_valz00_4166)));
								}
						}
					else
						{	/* Expand/object.scm 535 */
							BgL_test3001z00_6003 = ((bool_t) 0);
						}
					if (BgL_test3001z00_6003)
						{	/* Expand/object.scm 538 */
							obj_t BgL_arg2334z00_4251;
							obj_t BgL_arg2335z00_4252;

							BgL_arg2334z00_4251 = CDR(((obj_t) BgL_valz00_4166));
							{	/* Expand/object.scm 539 */
								obj_t BgL_arg2336z00_4253;

								{	/* Expand/object.scm 539 */
									obj_t BgL_arg2337z00_4254;

									BgL_arg2337z00_4254 = CDR(((obj_t) BgL_valz00_4166));
									BgL_arg2336z00_4253 =
										PROCEDURE_ENTRY(BgL_ez00_4163) (BgL_ez00_4163,
										BgL_arg2337z00_4254, BgL_ez00_4163, BEOA);
								}
								BgL_arg2335z00_4252 =
									BGl_z62slotzd2setzb0zzexpand_objectz00(BgL_newz00_4164,
									BgL_slotz00_4165, BgL_arg2336z00_4253);
							}
							return
								BGl_objectzd2epairifyzd2zzexpand_objectz00(BgL_arg2335z00_4252,
								BgL_arg2334z00_4251);
						}
					else
						{	/* Expand/object.scm 535 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &<@anonymous:2300> */
	obj_t BGl_z62zc3z04anonymousza32300ze3ze5zzexpand_objectz00(obj_t
		BgL_envz00_4167, obj_t BgL_slotz00_4170, obj_t BgL_valz00_4171)
	{
		{	/* Expand/object.scm 521 */
			{	/* Expand/object.scm 522 */
				obj_t BgL_ez00_4168;
				obj_t BgL_newz00_4169;

				BgL_ez00_4168 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4167, (int) (((long) 0))));
				BgL_newz00_4169 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4167, (int) (((long) 1))));
				if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
						((BgL_slotz00_bglt) BgL_slotz00_4170)))
					{	/* Expand/object.scm 522 */
						return BFALSE;
					}
				else
					{	/* Expand/object.scm 523 */
						obj_t BgL_arg2302z00_4255;
						obj_t BgL_arg2304z00_4256;

						BgL_arg2302z00_4255 = CDR(((obj_t) BgL_valz00_4171));
						{	/* Expand/object.scm 524 */
							obj_t BgL_arg2305z00_4257;

							{	/* Expand/object.scm 524 */
								obj_t BgL_arg2306z00_4258;

								BgL_arg2306z00_4258 = CDR(((obj_t) BgL_valz00_4171));
								BgL_arg2305z00_4257 =
									PROCEDURE_ENTRY(BgL_ez00_4168) (BgL_ez00_4168,
									BgL_arg2306z00_4258, BgL_ez00_4168, BEOA);
							}
							BgL_arg2304z00_4256 =
								BGl_z62slotzd2setzb0zzexpand_objectz00(BgL_newz00_4169,
								BgL_slotz00_4170, BgL_arg2305z00_4257);
						}
						return
							BGl_objectzd2epairifyzd2zzexpand_objectz00(BgL_arg2304z00_4256,
							BgL_arg2302z00_4255);
					}
			}
		}

	}



/* allocate-expr */
	obj_t BGl_allocatezd2exprzd2zzexpand_objectz00(obj_t BgL_classz00_37)
	{
		{	/* Expand/object.scm 546 */
			if (BGl_widezd2classzf3z21zzobject_classz00(BgL_classz00_37))
				{	/* Expand/object.scm 548 */
					obj_t BgL_superz00_2823;

					{
						BgL_tclassz00_bglt BgL_auxz00_6046;

						{
							obj_t BgL_auxz00_6047;

							{	/* Expand/object.scm 548 */
								BgL_objectz00_bglt BgL_tmpz00_6048;

								BgL_tmpz00_6048 =
									((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_37));
								BgL_auxz00_6047 = BGL_OBJECT_WIDENING(BgL_tmpz00_6048);
							}
							BgL_auxz00_6046 = ((BgL_tclassz00_bglt) BgL_auxz00_6047);
						}
						BgL_superz00_2823 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_6046))->
							BgL_itszd2superzd2);
					}
					{	/* Expand/object.scm 550 */
						obj_t BgL_arg2392z00_2824;

						BgL_arg2392z00_2824 =
							BGl_classgenzd2allocatezd2exprz00zzobject_classgenz00(
							((BgL_typez00_bglt) BgL_superz00_2823));
						return
							BGl_classgenzd2widenzd2exprz00zzobject_classgenz00(
							((BgL_typez00_bglt) BgL_classz00_37), BgL_arg2392z00_2824);
					}
				}
			else
				{	/* Expand/object.scm 547 */
					return
						BGl_classgenzd2allocatezd2exprz00zzobject_classgenz00(
						((BgL_typez00_bglt) BgL_classz00_37));
				}
		}

	}



/* expand-widen! */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2widenz12zc0zzexpand_objectz00(obj_t
		BgL_xz00_38, obj_t BgL_ez00_39)
	{
		{	/* Expand/object.scm 556 */
			{
				obj_t BgL_widenz12z12_2825;
				obj_t BgL_objz00_2826;
				obj_t BgL_providedz00_2827;

				if (PAIRP(BgL_xz00_38))
					{	/* Expand/object.scm 557 */
						obj_t BgL_cdrzd2782zd2_2832;

						BgL_cdrzd2782zd2_2832 = CDR(BgL_xz00_38);
						if (PAIRP(BgL_cdrzd2782zd2_2832))
							{	/* Expand/object.scm 557 */
								BgL_widenz12z12_2825 = CAR(BgL_xz00_38);
								BgL_objz00_2826 = CAR(BgL_cdrzd2782zd2_2832);
								BgL_providedz00_2827 = CDR(BgL_cdrzd2782zd2_2832);
								{	/* Expand/object.scm 559 */
									BgL_typez00_bglt BgL_classz00_2837;

									BgL_classz00_2837 =
										BGl_typezd2ofzd2idz00zzast_identz00(BgL_widenz12z12_2825,
										BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_38));
									{	/* Expand/object.scm 560 */
										bool_t BgL_test3008z00_6067;

										{	/* Expand/object.scm 560 */
											bool_t BgL_test3009z00_6068;

											{	/* Expand/object.scm 560 */
												obj_t BgL_classz00_3844;

												BgL_classz00_3844 = BGl_tclassz00zzobject_classz00;
												{	/* Expand/object.scm 560 */
													BgL_objectz00_bglt BgL_arg1825z00_3846;

													{	/* Expand/object.scm 560 */
														obj_t BgL_tmpz00_6069;

														BgL_tmpz00_6069 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_classz00_2837));
														BgL_arg1825z00_3846 =
															(BgL_objectz00_bglt) (BgL_tmpz00_6069);
													}
													{	/* Expand/object.scm 560 */
														bool_t BgL_arg1822z00_3849;
														bool_t BgL_arg1823z00_3850;

														{	/* Expand/object.scm 560 */
															long BgL_idxz00_3853;

															BgL_idxz00_3853 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3846);
															BgL_arg1822z00_3849 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_3853 + ((long) 2))) ==
																BgL_classz00_3844);
														}
														{	/* Expand/object.scm 560 */
															bool_t BgL_res2687z00_3875;

															{	/* Expand/object.scm 560 */
																obj_t BgL_oclassz00_3861;

																{	/* Expand/object.scm 560 */
																	long BgL_arg1833z00_3867;

																	{	/* Expand/object.scm 560 */
																		long BgL_arg1834z00_3868;

																		BgL_arg1834z00_3868 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3846);
																		BgL_arg1833z00_3867 =
																			(BgL_arg1834z00_3868 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_3861 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_3867);
																}
																{	/* Expand/object.scm 560 */
																	bool_t BgL__ortest_1110z00_3862;

																	BgL__ortest_1110z00_3862 =
																		(BgL_classz00_3844 == BgL_oclassz00_3861);
																	if (BgL__ortest_1110z00_3862)
																		{	/* Expand/object.scm 560 */
																			BgL_res2687z00_3875 =
																				BgL__ortest_1110z00_3862;
																		}
																	else
																		{	/* Expand/object.scm 560 */
																			long BgL_odepthz00_3863;

																			BgL_odepthz00_3863 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_3861);
																			if ((((long) 2) < BgL_odepthz00_3863))
																				{	/* Expand/object.scm 560 */
																					obj_t BgL_arg1821z00_3865;

																					BgL_arg1821z00_3865 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_3861, ((long) 2));
																					BgL_res2687z00_3875 =
																						(BgL_arg1821z00_3865 ==
																						BgL_classz00_3844);
																				}
																			else
																				{	/* Expand/object.scm 560 */
																					BgL_res2687z00_3875 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_3850 = BgL_res2687z00_3875;
														}
														BgL_test3009z00_6068 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_3849,
															BgL_arg1823z00_3850);
													}
												}
											}
											if (BgL_test3009z00_6068)
												{	/* Expand/object.scm 560 */
													obj_t BgL_tmpz00_6088;

													{
														BgL_tclassz00_bglt BgL_auxz00_6089;

														{
															obj_t BgL_auxz00_6090;

															{	/* Expand/object.scm 560 */
																BgL_objectz00_bglt BgL_tmpz00_6091;

																BgL_tmpz00_6091 =
																	((BgL_objectz00_bglt)
																	((BgL_typez00_bglt) BgL_classz00_2837));
																BgL_auxz00_6090 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6091);
															}
															BgL_auxz00_6089 =
																((BgL_tclassz00_bglt) BgL_auxz00_6090);
														}
														BgL_tmpz00_6088 =
															(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_6089))->
															BgL_wideningz00);
													}
													BgL_test3008z00_6067 = CBOOL(BgL_tmpz00_6088);
												}
											else
												{	/* Expand/object.scm 560 */
													BgL_test3008z00_6067 = ((bool_t) 0);
												}
										}
										if (BgL_test3008z00_6067)
											{	/* Expand/object.scm 561 */
												obj_t BgL_arg2400z00_2840;

												{	/* Expand/object.scm 561 */
													obj_t BgL_arg2402z00_2841;

													BgL_arg2402z00_2841 =
														BGl_expandzd2wideningzd2zzexpand_objectz00
														(BgL_xz00_38, BgL_classz00_2837, BgL_objz00_2826,
														BgL_providedz00_2827, BgL_ez00_39);
													BgL_arg2400z00_2840 =
														PROCEDURE_ENTRY(BgL_ez00_39) (BgL_ez00_39,
														BgL_arg2402z00_2841, BgL_ez00_39, BEOA);
												}
												return
													BGl_replacez12z12zztools_miscz00(BgL_xz00_38,
													BgL_arg2400z00_2840);
											}
										else
											{	/* Expand/object.scm 563 */
												obj_t BgL_arg2403z00_2842;

												{	/* Expand/object.scm 563 */
													obj_t BgL_arg2404z00_2843;

													BgL_arg2404z00_2843 =
														(((BgL_typez00_bglt) COBJECT(BgL_classz00_2837))->
														BgL_idz00);
													{	/* Expand/object.scm 563 */
														obj_t BgL_list2405z00_2844;

														BgL_list2405z00_2844 =
															MAKE_YOUNG_PAIR(BgL_arg2404z00_2843, BNIL);
														BgL_arg2403z00_2842 =
															BGl_formatz00zz__r4_output_6_10_3z00
															(BGl_string2711z00zzexpand_objectz00,
															BgL_list2405z00_2844);
													}
												}
												return
													BGl_errorz00zz__errorz00(BgL_widenz12z12_2825,
													BgL_arg2403z00_2842, BgL_xz00_38);
											}
									}
								}
							}
						else
							{	/* Expand/object.scm 557 */
							BgL_tagzd2773zd2_2829:
								return
									BGl_errorz00zz__errorz00(BGl_string2713z00zzexpand_objectz00,
									BGl_string2696z00zzexpand_objectz00, BgL_xz00_38);
							}
					}
				else
					{	/* Expand/object.scm 557 */
						goto BgL_tagzd2773zd2_2829;
					}
			}
		}

	}



/* &expand-widen! */
	obj_t BGl_z62expandzd2widenz12za2zzexpand_objectz00(obj_t BgL_envz00_4172,
		obj_t BgL_xz00_4173, obj_t BgL_ez00_4174)
	{
		{	/* Expand/object.scm 556 */
			return
				BGl_expandzd2widenz12zc0zzexpand_objectz00(BgL_xz00_4173,
				BgL_ez00_4174);
		}

	}



/* expand-widening */
	obj_t BGl_expandzd2wideningzd2zzexpand_objectz00(obj_t BgL_formz00_40,
		BgL_typez00_bglt BgL_classz00_41, obj_t BgL_oz00_42,
		obj_t BgL_providedz00_43, obj_t BgL_ez00_44)
	{
		{	/* Expand/object.scm 571 */
			{	/* Expand/object.scm 572 */
				obj_t BgL_superz00_2847;

				{
					BgL_tclassz00_bglt BgL_auxz00_6114;

					{
						obj_t BgL_auxz00_6115;

						{	/* Expand/object.scm 572 */
							BgL_objectz00_bglt BgL_tmpz00_6116;

							BgL_tmpz00_6116 =
								((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_41));
							BgL_auxz00_6115 = BGL_OBJECT_WIDENING(BgL_tmpz00_6116);
						}
						BgL_auxz00_6114 = ((BgL_tclassz00_bglt) BgL_auxz00_6115);
					}
					BgL_superz00_2847 =
						(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_6114))->
						BgL_itszd2superzd2);
				}
				{	/* Expand/object.scm 572 */
					obj_t BgL_tidz00_2848;

					BgL_tidz00_2848 =
						(((BgL_typez00_bglt) COBJECT(BgL_classz00_41))->BgL_idz00);
					{	/* Expand/object.scm 573 */
						obj_t BgL_sidz00_2849;

						BgL_sidz00_2849 =
							(((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt) BgL_superz00_2847)))->BgL_idz00);
						{	/* Expand/object.scm 574 */
							obj_t BgL_tmpz00_2850;

							BgL_tmpz00_2850 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											32))));
							{	/* Expand/object.scm 575 */
								obj_t BgL_ttmpz00_2851;

								BgL_ttmpz00_2851 =
									BGl_makezd2typedzd2identz00zzast_identz00(BgL_tmpz00_2850,
									BgL_sidz00_2849);
								{	/* Expand/object.scm 576 */
									obj_t BgL_slotsz00_2852;

									{	/* Expand/object.scm 577 */
										obj_t BgL_hook1300z00_2865;

										BgL_hook1300z00_2865 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
										{	/* Expand/object.scm 578 */
											obj_t BgL_g1301z00_2866;

											{
												BgL_tclassz00_bglt BgL_auxz00_6130;

												{
													obj_t BgL_auxz00_6131;

													{	/* Expand/object.scm 578 */
														BgL_objectz00_bglt BgL_tmpz00_6132;

														BgL_tmpz00_6132 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_classz00_41));
														BgL_auxz00_6131 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_6132);
													}
													BgL_auxz00_6130 =
														((BgL_tclassz00_bglt) BgL_auxz00_6131);
												}
												BgL_g1301z00_2866 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_6130))->
													BgL_slotsz00);
											}
											{
												obj_t BgL_l1297z00_2868;
												obj_t BgL_h1298z00_2869;

												BgL_l1297z00_2868 = BgL_g1301z00_2866;
												BgL_h1298z00_2869 = BgL_hook1300z00_2865;
											BgL_zc3z04anonymousza32422ze3z87_2870:
												if (NULLP(BgL_l1297z00_2868))
													{	/* Expand/object.scm 578 */
														BgL_slotsz00_2852 = CDR(BgL_hook1300z00_2865);
													}
												else
													{	/* Expand/object.scm 578 */
														if (
															((((BgL_slotz00_bglt) COBJECT(
																			((BgL_slotz00_bglt)
																				CAR(
																					((obj_t) BgL_l1297z00_2868)))))->
																	BgL_classzd2ownerzd2) ==
																((obj_t) BgL_classz00_41)))
															{	/* Expand/object.scm 578 */
																obj_t BgL_nh1299z00_2875;

																{	/* Expand/object.scm 578 */
																	obj_t BgL_arg2427z00_2877;

																	BgL_arg2427z00_2877 =
																		CAR(((obj_t) BgL_l1297z00_2868));
																	BgL_nh1299z00_2875 =
																		MAKE_YOUNG_PAIR(BgL_arg2427z00_2877, BNIL);
																}
																SET_CDR(BgL_h1298z00_2869, BgL_nh1299z00_2875);
																{	/* Expand/object.scm 578 */
																	obj_t BgL_arg2426z00_2876;

																	BgL_arg2426z00_2876 =
																		CDR(((obj_t) BgL_l1297z00_2868));
																	{
																		obj_t BgL_h1298z00_6155;
																		obj_t BgL_l1297z00_6154;

																		BgL_l1297z00_6154 = BgL_arg2426z00_2876;
																		BgL_h1298z00_6155 = BgL_nh1299z00_2875;
																		BgL_h1298z00_2869 = BgL_h1298z00_6155;
																		BgL_l1297z00_2868 = BgL_l1297z00_6154;
																		goto BgL_zc3z04anonymousza32422ze3z87_2870;
																	}
																}
															}
														else
															{	/* Expand/object.scm 578 */
																obj_t BgL_arg2428z00_2878;

																BgL_arg2428z00_2878 =
																	CDR(((obj_t) BgL_l1297z00_2868));
																{
																	obj_t BgL_l1297z00_6158;

																	BgL_l1297z00_6158 = BgL_arg2428z00_2878;
																	BgL_l1297z00_2868 = BgL_l1297z00_6158;
																	goto BgL_zc3z04anonymousza32422ze3z87_2870;
																}
															}
													}
											}
										}
									}
									{	/* Expand/object.scm 577 */

										{	/* Expand/object.scm 579 */
											obj_t BgL_arg2407z00_2853;

											{	/* Expand/object.scm 579 */
												obj_t BgL_arg2409z00_2854;
												obj_t BgL_arg2410z00_2855;

												{	/* Expand/object.scm 579 */
													obj_t BgL_arg2411z00_2856;

													{	/* Expand/object.scm 579 */
														obj_t BgL_arg2413z00_2857;

														BgL_arg2413z00_2857 =
															MAKE_YOUNG_PAIR(BgL_oz00_42, BNIL);
														BgL_arg2411z00_2856 =
															MAKE_YOUNG_PAIR(BgL_ttmpz00_2851,
															BgL_arg2413z00_2857);
													}
													BgL_arg2409z00_2854 =
														MAKE_YOUNG_PAIR(BgL_arg2411z00_2856, BNIL);
												}
												{	/* Expand/object.scm 580 */
													obj_t BgL_arg2414z00_2858;
													obj_t BgL_arg2415z00_2859;

													BgL_arg2414z00_2858 =
														BGl_classgenzd2widenzd2exprz00zzobject_classgenz00(
														((BgL_typez00_bglt) BgL_classz00_41),
														BgL_tmpz00_2850);
													{	/* Expand/object.scm 581 */
														obj_t BgL_arg2416z00_2860;

														{	/* Expand/object.scm 581 */
															obj_t BgL_arg2418z00_2861;
															obj_t BgL_arg2419z00_2862;
															obj_t BgL_arg2420z00_2863;

															BgL_arg2418z00_2861 =
																CAR(((obj_t) BgL_formz00_40));
															{	/* Expand/object.scm 581 */
																obj_t BgL_pairz00_3900;

																BgL_pairz00_3900 =
																	CDR(((obj_t) BgL_formz00_40));
																BgL_arg2419z00_2862 = CDR(BgL_pairz00_3900);
															}
															{	/* Expand/object.scm 582 */
																obj_t BgL_list2421z00_2864;

																BgL_list2421z00_2864 =
																	MAKE_YOUNG_PAIR(BgL_tmpz00_2850, BNIL);
																BgL_arg2420z00_2863 =
																	BGl_makezd2privatezd2sexpz00zzast_privatez00
																	(CNST_TABLE_REF(((long) 34)), BgL_tidz00_2848,
																	BgL_list2421z00_2864);
															}
															BgL_arg2416z00_2860 =
																BGl_instantiatezd2fillzd2zzexpand_objectz00
																(BgL_arg2418z00_2861, BgL_arg2419z00_2862,
																((obj_t) BgL_classz00_41), BgL_slotsz00_2852,
																BgL_arg2420z00_2863, BgL_formz00_40,
																BgL_ez00_44);
														}
														BgL_arg2415z00_2859 =
															MAKE_YOUNG_PAIR(BgL_arg2416z00_2860, BNIL);
													}
													BgL_arg2410z00_2855 =
														MAKE_YOUNG_PAIR(BgL_arg2414z00_2858,
														BgL_arg2415z00_2859);
												}
												BgL_arg2407z00_2853 =
													MAKE_YOUNG_PAIR(BgL_arg2409z00_2854,
													BgL_arg2410z00_2855);
											}
											return
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
												BgL_arg2407z00_2853);
		}}}}}}}}}

	}



/* expand-shrink! */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2shrinkz12zc0zzexpand_objectz00(obj_t
		BgL_xz00_45, obj_t BgL_ez00_46)
	{
		{	/* Expand/object.scm 587 */
			{
				obj_t BgL_symz00_2883;
				obj_t BgL_oz00_2884;

				if (PAIRP(BgL_xz00_45))
					{	/* Expand/object.scm 588 */
						obj_t BgL_carzd2797zd2_2889;
						obj_t BgL_cdrzd2798zd2_2890;

						BgL_carzd2797zd2_2889 = CAR(BgL_xz00_45);
						BgL_cdrzd2798zd2_2890 = CDR(BgL_xz00_45);
						if (SYMBOLP(BgL_carzd2797zd2_2889))
							{	/* Expand/object.scm 588 */
								if (PAIRP(BgL_cdrzd2798zd2_2890))
									{	/* Expand/object.scm 588 */
										if (NULLP(CDR(BgL_cdrzd2798zd2_2890)))
											{	/* Expand/object.scm 588 */
												BgL_symz00_2883 = BgL_carzd2797zd2_2889;
												BgL_oz00_2884 = CAR(BgL_cdrzd2798zd2_2890);
												{	/* Expand/object.scm 590 */
													obj_t BgL_sz00_2897;

													BgL_sz00_2897 =
														BGl_parsezd2idzd2zzast_identz00(BgL_symz00_2883,
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_xz00_45));
													if ((CAR(BgL_sz00_2897) ==
															CNST_TABLE_REF(((long) 35))))
														{	/* Expand/object.scm 591 */
															return
																BGl_replacez12z12zztools_miscz00(BgL_xz00_45,
																BGl_makezd2azd2shrinkz12z12zzexpand_objectz00
																(BgL_ez00_46, BgL_oz00_2884));
														}
													else
														{	/* Expand/object.scm 591 */
															return
																BGl_errorz00zz__errorz00(BgL_symz00_2883,
																BGl_string2714z00zzexpand_objectz00,
																BgL_xz00_45);
														}
												}
											}
										else
											{	/* Expand/object.scm 588 */
											BgL_tagzd2791zd2_2886:
												return
													BGl_errorz00zz__errorz00
													(BGl_string2715z00zzexpand_objectz00,
													BGl_string2696z00zzexpand_objectz00, BgL_xz00_45);
											}
									}
								else
									{	/* Expand/object.scm 588 */
										goto BgL_tagzd2791zd2_2886;
									}
							}
						else
							{	/* Expand/object.scm 588 */
								goto BgL_tagzd2791zd2_2886;
							}
					}
				else
					{	/* Expand/object.scm 588 */
						goto BgL_tagzd2791zd2_2886;
					}
			}
		}

	}



/* &expand-shrink! */
	obj_t BGl_z62expandzd2shrinkz12za2zzexpand_objectz00(obj_t BgL_envz00_4175,
		obj_t BgL_xz00_4176, obj_t BgL_ez00_4177)
	{
		{	/* Expand/object.scm 587 */
			return
				BGl_expandzd2shrinkz12zc0zzexpand_objectz00(BgL_xz00_4176,
				BgL_ez00_4177);
		}

	}



/* make-a-shrink! */
	obj_t BGl_makezd2azd2shrinkz12z12zzexpand_objectz00(obj_t BgL_ez00_47,
		obj_t BgL_oz00_48)
	{
		{	/* Expand/object.scm 600 */
			{	/* Expand/object.scm 601 */
				obj_t BgL_newoz00_2903;

				BgL_newoz00_2903 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 36))));
				if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
					{	/* Expand/object.scm 603 */
						obj_t BgL_arg2448z00_2904;

						{	/* Expand/object.scm 603 */
							obj_t BgL_arg2449z00_2905;
							obj_t BgL_arg2450z00_2906;

							{	/* Expand/object.scm 603 */
								obj_t BgL_arg2451z00_2907;

								{	/* Expand/object.scm 603 */
									obj_t BgL_arg2452z00_2908;

									{	/* Expand/object.scm 603 */
										obj_t BgL_arg2453z00_2909;

										BgL_arg2453z00_2909 =
											PROCEDURE_ENTRY(BgL_ez00_47) (BgL_ez00_47, BgL_oz00_48,
											BgL_ez00_47, BEOA);
										BgL_arg2452z00_2908 =
											MAKE_YOUNG_PAIR(BgL_arg2453z00_2909, BNIL);
									}
									BgL_arg2451z00_2907 =
										MAKE_YOUNG_PAIR(BgL_newoz00_2903, BgL_arg2452z00_2908);
								}
								BgL_arg2449z00_2905 =
									MAKE_YOUNG_PAIR(BgL_arg2451z00_2907, BNIL);
							}
							{	/* Expand/object.scm 604 */
								obj_t BgL_arg2454z00_2910;
								obj_t BgL_arg2455z00_2911;

								{	/* Expand/object.scm 604 */
									obj_t BgL_arg2457z00_2912;
									obj_t BgL_arg2458z00_2913;

									{	/* Expand/object.scm 604 */
										obj_t BgL_arg2459z00_2914;

										{	/* Expand/object.scm 604 */
											obj_t BgL_arg2460z00_2915;

											BgL_arg2460z00_2915 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 8)), BNIL);
											BgL_arg2459z00_2914 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 37)),
												BgL_arg2460z00_2915);
										}
										BgL_arg2457z00_2912 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)),
											BgL_arg2459z00_2914);
									}
									{	/* Expand/object.scm 606 */
										obj_t BgL_arg2462z00_2916;

										{	/* Expand/object.scm 606 */
											obj_t BgL_arg2463z00_2917;

											{	/* Expand/object.scm 606 */
												obj_t BgL_arg2464z00_2918;
												obj_t BgL_arg2467z00_2919;

												{	/* Expand/object.scm 606 */
													obj_t BgL_arg2468z00_2920;

													{	/* Expand/object.scm 606 */
														obj_t BgL_arg2469z00_2921;

														BgL_arg2469z00_2921 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 8)), BNIL);
														BgL_arg2468z00_2920 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 38)),
															BgL_arg2469z00_2921);
													}
													BgL_arg2464z00_2918 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)),
														BgL_arg2468z00_2920);
												}
												{	/* Expand/object.scm 607 */
													obj_t BgL_arg2470z00_2922;

													{	/* Expand/object.scm 607 */
														obj_t BgL_arg2471z00_2923;
														obj_t BgL_arg2472z00_2924;

														{	/* Expand/object.scm 607 */
															obj_t BgL_arg2473z00_2925;

															{	/* Expand/object.scm 607 */
																obj_t BgL_arg2475z00_2926;

																BgL_arg2475z00_2926 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 8)),
																	BNIL);
																BgL_arg2473z00_2925 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 39)),
																	BgL_arg2475z00_2926);
															}
															BgL_arg2471z00_2923 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)),
																BgL_arg2473z00_2925);
														}
														{	/* Expand/object.scm 608 */
															obj_t BgL_arg2476z00_2927;

															{	/* Expand/object.scm 608 */
																obj_t BgL_arg2477z00_2928;
																obj_t BgL_arg2478z00_2929;

																{	/* Expand/object.scm 608 */
																	obj_t BgL_arg2479z00_2930;

																	{	/* Expand/object.scm 608 */
																		obj_t BgL_arg2481z00_2931;

																		BgL_arg2481z00_2931 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					8)), BNIL);
																		BgL_arg2479z00_2930 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					40)), BgL_arg2481z00_2931);
																	}
																	BgL_arg2477z00_2928 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)),
																		BgL_arg2479z00_2930);
																}
																BgL_arg2478z00_2929 =
																	MAKE_YOUNG_PAIR(BgL_newoz00_2903, BNIL);
																BgL_arg2476z00_2927 =
																	MAKE_YOUNG_PAIR(BgL_arg2477z00_2928,
																	BgL_arg2478z00_2929);
															}
															BgL_arg2472z00_2924 =
																MAKE_YOUNG_PAIR(BgL_arg2476z00_2927, BNIL);
														}
														BgL_arg2470z00_2922 =
															MAKE_YOUNG_PAIR(BgL_arg2471z00_2923,
															BgL_arg2472z00_2924);
													}
													BgL_arg2467z00_2919 =
														MAKE_YOUNG_PAIR(BgL_arg2470z00_2922, BNIL);
												}
												BgL_arg2463z00_2917 =
													MAKE_YOUNG_PAIR(BgL_arg2464z00_2918,
													BgL_arg2467z00_2919);
											}
											BgL_arg2462z00_2916 =
												MAKE_YOUNG_PAIR(BgL_arg2463z00_2917, BNIL);
										}
										BgL_arg2458z00_2913 =
											MAKE_YOUNG_PAIR(BgL_newoz00_2903, BgL_arg2462z00_2916);
									}
									BgL_arg2454z00_2910 =
										MAKE_YOUNG_PAIR(BgL_arg2457z00_2912, BgL_arg2458z00_2913);
								}
								{	/* Expand/object.scm 609 */
									obj_t BgL_arg2483z00_2932;
									obj_t BgL_arg2484z00_2933;

									{	/* Expand/object.scm 609 */
										obj_t BgL_arg2486z00_2934;

										{	/* Expand/object.scm 609 */
											obj_t BgL_arg2487z00_2935;

											BgL_arg2487z00_2935 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
											BgL_arg2486z00_2934 =
												MAKE_YOUNG_PAIR(BgL_newoz00_2903, BgL_arg2487z00_2935);
										}
										BgL_arg2483z00_2932 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 41)),
											BgL_arg2486z00_2934);
									}
									BgL_arg2484z00_2933 = MAKE_YOUNG_PAIR(BgL_newoz00_2903, BNIL);
									BgL_arg2455z00_2911 =
										MAKE_YOUNG_PAIR(BgL_arg2483z00_2932, BgL_arg2484z00_2933);
								}
								BgL_arg2450z00_2906 =
									MAKE_YOUNG_PAIR(BgL_arg2454z00_2910, BgL_arg2455z00_2911);
							}
							BgL_arg2448z00_2904 =
								MAKE_YOUNG_PAIR(BgL_arg2449z00_2905, BgL_arg2450z00_2906);
						}
						return
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)), BgL_arg2448z00_2904);
					}
				else
					{	/* Expand/object.scm 611 */
						obj_t BgL_arg2489z00_2936;

						{	/* Expand/object.scm 611 */
							obj_t BgL_arg2491z00_2937;
							obj_t BgL_arg2492z00_2938;

							{	/* Expand/object.scm 611 */
								obj_t BgL_arg2494z00_2939;

								{	/* Expand/object.scm 611 */
									obj_t BgL_arg2495z00_2940;

									{	/* Expand/object.scm 611 */
										obj_t BgL_arg2499z00_2941;

										BgL_arg2499z00_2941 =
											PROCEDURE_ENTRY(BgL_ez00_47) (BgL_ez00_47, BgL_oz00_48,
											BgL_ez00_47, BEOA);
										BgL_arg2495z00_2940 =
											MAKE_YOUNG_PAIR(BgL_arg2499z00_2941, BNIL);
									}
									BgL_arg2494z00_2939 =
										MAKE_YOUNG_PAIR(BgL_newoz00_2903, BgL_arg2495z00_2940);
								}
								BgL_arg2491z00_2937 =
									MAKE_YOUNG_PAIR(BgL_arg2494z00_2939, BNIL);
							}
							{	/* Expand/object.scm 612 */
								obj_t BgL_arg2500z00_2942;

								{	/* Expand/object.scm 612 */
									obj_t BgL_arg2501z00_2943;

									{	/* Expand/object.scm 612 */
										obj_t BgL_arg2502z00_2944;
										obj_t BgL_arg2503z00_2945;

										{	/* Expand/object.scm 612 */
											obj_t BgL_arg2504z00_2946;

											BgL_arg2504z00_2946 =
												MAKE_YOUNG_PAIR(BgL_newoz00_2903, BNIL);
											BgL_arg2502z00_2944 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 42)),
												BgL_arg2504z00_2946);
										}
										{	/* Expand/object.scm 613 */
											obj_t BgL_arg2506z00_2947;
											obj_t BgL_arg2507z00_2948;

											{	/* Expand/object.scm 613 */
												obj_t BgL_arg2509z00_2949;

												{	/* Expand/object.scm 613 */
													obj_t BgL_arg2513z00_2950;
													obj_t BgL_arg2514z00_2951;

													{	/* Expand/object.scm 613 */
														obj_t BgL_arg2519z00_2952;

														BgL_arg2519z00_2952 =
															MAKE_YOUNG_PAIR(BgL_newoz00_2903, BNIL);
														BgL_arg2513z00_2950 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 43)),
															BgL_arg2519z00_2952);
													}
													{	/* Expand/object.scm 615 */
														obj_t BgL_arg2520z00_2953;
														obj_t BgL_arg2521z00_2954;

														{	/* Expand/object.scm 615 */
															obj_t BgL_arg2522z00_2955;

															{	/* Expand/object.scm 615 */
																obj_t BgL_arg2523z00_2956;
																obj_t BgL_arg2525z00_2957;

																{	/* Expand/object.scm 615 */
																	obj_t BgL_arg2526z00_2958;
																	obj_t BgL_arg2527z00_2959;

																	{	/* Expand/object.scm 615 */
																		obj_t BgL_arg2530z00_2960;

																		{	/* Expand/object.scm 615 */
																			obj_t BgL_arg2531z00_2961;

																			BgL_arg2531z00_2961 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						8)), BNIL);
																			BgL_arg2530z00_2960 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						37)), BgL_arg2531z00_2961);
																		}
																		BgL_arg2526z00_2958 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					10)), BgL_arg2530z00_2960);
																	}
																	{	/* Expand/object.scm 617 */
																		obj_t BgL_arg2532z00_2962;

																		{	/* Expand/object.scm 617 */
																			obj_t BgL_arg2535z00_2963;

																			{	/* Expand/object.scm 617 */
																				obj_t BgL_arg2537z00_2964;
																				obj_t BgL_arg2538z00_2965;

																				{	/* Expand/object.scm 617 */
																					obj_t BgL_arg2541z00_2966;

																					{	/* Expand/object.scm 617 */
																						obj_t BgL_arg2542z00_2967;

																						BgL_arg2542z00_2967 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 8)), BNIL);
																						BgL_arg2541z00_2966 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 38)),
																							BgL_arg2542z00_2967);
																					}
																					BgL_arg2537z00_2964 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 10)),
																						BgL_arg2541z00_2966);
																				}
																				{	/* Expand/object.scm 618 */
																					obj_t BgL_arg2546z00_2968;

																					{	/* Expand/object.scm 618 */
																						obj_t BgL_arg2547z00_2969;
																						obj_t BgL_arg2548z00_2970;

																						{	/* Expand/object.scm 618 */
																							obj_t BgL_arg2551z00_2971;

																							{	/* Expand/object.scm 618 */
																								obj_t BgL_arg2552z00_2972;

																								BgL_arg2552z00_2972 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 8)), BNIL);
																								BgL_arg2551z00_2971 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 39)),
																									BgL_arg2552z00_2972);
																							}
																							BgL_arg2547z00_2969 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 10)),
																								BgL_arg2551z00_2971);
																						}
																						{	/* Expand/object.scm 619 */
																							obj_t BgL_arg2557z00_2973;

																							{	/* Expand/object.scm 619 */
																								obj_t BgL_arg2559z00_2974;
																								obj_t BgL_arg2561z00_2975;

																								{	/* Expand/object.scm 619 */
																									obj_t BgL_arg2562z00_2976;

																									{	/* Expand/object.scm 619 */
																										obj_t BgL_arg2563z00_2977;

																										BgL_arg2563z00_2977 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													8)), BNIL);
																										BgL_arg2562z00_2976 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													40)),
																											BgL_arg2563z00_2977);
																									}
																									BgL_arg2559z00_2974 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												10)),
																										BgL_arg2562z00_2976);
																								}
																								BgL_arg2561z00_2975 =
																									MAKE_YOUNG_PAIR
																									(BgL_newoz00_2903, BNIL);
																								BgL_arg2557z00_2973 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2559z00_2974,
																									BgL_arg2561z00_2975);
																							}
																							BgL_arg2548z00_2970 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2557z00_2973, BNIL);
																						}
																						BgL_arg2546z00_2968 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2547z00_2969,
																							BgL_arg2548z00_2970);
																					}
																					BgL_arg2538z00_2965 =
																						MAKE_YOUNG_PAIR(BgL_arg2546z00_2968,
																						BNIL);
																				}
																				BgL_arg2535z00_2963 =
																					MAKE_YOUNG_PAIR(BgL_arg2537z00_2964,
																					BgL_arg2538z00_2965);
																			}
																			BgL_arg2532z00_2962 =
																				MAKE_YOUNG_PAIR(BgL_arg2535z00_2963,
																				BNIL);
																		}
																		BgL_arg2527z00_2959 =
																			MAKE_YOUNG_PAIR(BgL_newoz00_2903,
																			BgL_arg2532z00_2962);
																	}
																	BgL_arg2523z00_2956 =
																		MAKE_YOUNG_PAIR(BgL_arg2526z00_2958,
																		BgL_arg2527z00_2959);
																}
																{	/* Expand/object.scm 620 */
																	obj_t BgL_arg2564z00_2978;
																	obj_t BgL_arg2565z00_2979;

																	{	/* Expand/object.scm 620 */
																		obj_t BgL_arg2567z00_2980;

																		{	/* Expand/object.scm 620 */
																			obj_t BgL_arg2568z00_2981;

																			BgL_arg2568z00_2981 =
																				MAKE_YOUNG_PAIR(BFALSE, BNIL);
																			BgL_arg2567z00_2980 =
																				MAKE_YOUNG_PAIR(BgL_newoz00_2903,
																				BgL_arg2568z00_2981);
																		}
																		BgL_arg2564z00_2978 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					41)), BgL_arg2567z00_2980);
																	}
																	BgL_arg2565z00_2979 =
																		MAKE_YOUNG_PAIR(BgL_newoz00_2903, BNIL);
																	BgL_arg2525z00_2957 =
																		MAKE_YOUNG_PAIR(BgL_arg2564z00_2978,
																		BgL_arg2565z00_2979);
																}
																BgL_arg2522z00_2955 =
																	MAKE_YOUNG_PAIR(BgL_arg2523z00_2956,
																	BgL_arg2525z00_2957);
															}
															BgL_arg2520z00_2953 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
																BgL_arg2522z00_2955);
														}
														{	/* Expand/object.scm 622 */
															obj_t BgL_arg2570z00_2982;

															{	/* Expand/object.scm 622 */
																obj_t BgL_arg2571z00_2983;

																{	/* Expand/object.scm 622 */
																	obj_t BgL_arg2573z00_2984;

																	{	/* Expand/object.scm 622 */
																		obj_t BgL_arg2574z00_2985;

																		BgL_arg2574z00_2985 =
																			MAKE_YOUNG_PAIR(BgL_newoz00_2903, BNIL);
																		BgL_arg2573z00_2984 =
																			MAKE_YOUNG_PAIR
																			(BGl_string2716z00zzexpand_objectz00,
																			BgL_arg2574z00_2985);
																	}
																	BgL_arg2571z00_2983 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2715z00zzexpand_objectz00,
																		BgL_arg2573z00_2984);
																}
																BgL_arg2570z00_2982 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 44)),
																	BgL_arg2571z00_2983);
															}
															BgL_arg2521z00_2954 =
																MAKE_YOUNG_PAIR(BgL_arg2570z00_2982, BNIL);
														}
														BgL_arg2514z00_2951 =
															MAKE_YOUNG_PAIR(BgL_arg2520z00_2953,
															BgL_arg2521z00_2954);
													}
													BgL_arg2509z00_2949 =
														MAKE_YOUNG_PAIR(BgL_arg2513z00_2950,
														BgL_arg2514z00_2951);
												}
												BgL_arg2506z00_2947 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 45)),
													BgL_arg2509z00_2949);
											}
											{	/* Expand/object.scm 623 */
												obj_t BgL_arg2576z00_2986;

												{	/* Expand/object.scm 623 */
													obj_t BgL_arg2578z00_2987;

													{	/* Expand/object.scm 623 */
														obj_t BgL_arg2579z00_2988;

														{	/* Expand/object.scm 623 */
															obj_t BgL_arg2580z00_2989;

															BgL_arg2580z00_2989 =
																MAKE_YOUNG_PAIR(BgL_newoz00_2903, BNIL);
															BgL_arg2579z00_2988 =
																MAKE_YOUNG_PAIR
																(BGl_string2716z00zzexpand_objectz00,
																BgL_arg2580z00_2989);
														}
														BgL_arg2578z00_2987 =
															MAKE_YOUNG_PAIR
															(BGl_string2715z00zzexpand_objectz00,
															BgL_arg2579z00_2988);
													}
													BgL_arg2576z00_2986 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 44)),
														BgL_arg2578z00_2987);
												}
												BgL_arg2507z00_2948 =
													MAKE_YOUNG_PAIR(BgL_arg2576z00_2986, BNIL);
											}
											BgL_arg2503z00_2945 =
												MAKE_YOUNG_PAIR(BgL_arg2506z00_2947,
												BgL_arg2507z00_2948);
										}
										BgL_arg2501z00_2943 =
											MAKE_YOUNG_PAIR(BgL_arg2502z00_2944, BgL_arg2503z00_2945);
									}
									BgL_arg2500z00_2942 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 45)),
										BgL_arg2501z00_2943);
								}
								BgL_arg2492z00_2938 =
									MAKE_YOUNG_PAIR(BgL_arg2500z00_2942, BNIL);
							}
							BgL_arg2489z00_2936 =
								MAKE_YOUNG_PAIR(BgL_arg2491z00_2937, BgL_arg2492z00_2938);
						}
						return
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)), BgL_arg2489z00_2936);
		}}}

	}



/* object-epairify */
	obj_t BGl_objectzd2epairifyzd2zzexpand_objectz00(obj_t BgL_objz00_49,
		obj_t BgL_epairz00_50)
	{
		{	/* Expand/object.scm 628 */
		BGl_objectzd2epairifyzd2zzexpand_objectz00:
			if (EPAIRP(BgL_objz00_49))
				{	/* Expand/object.scm 629 */
					return BgL_objz00_49;
				}
			else
				{	/* Expand/object.scm 629 */
					if (EPAIRP(BgL_epairz00_50))
						{	/* Expand/object.scm 631 */
							if (PAIRP(BgL_objz00_49))
								{	/* Expand/object.scm 633 */
									obj_t BgL_arg2585z00_2994;
									obj_t BgL_arg2587z00_2995;
									obj_t BgL_arg2588z00_2996;

									BgL_arg2585z00_2994 = CAR(BgL_objz00_49);
									BgL_arg2587z00_2995 = CDR(BgL_objz00_49);
									BgL_arg2588z00_2996 = CER(((obj_t) BgL_epairz00_50));
									{	/* Expand/object.scm 633 */
										obj_t BgL_res2688z00_3909;

										BgL_res2688z00_3909 =
											MAKE_YOUNG_EPAIR(BgL_arg2585z00_2994, BgL_arg2587z00_2995,
											BgL_arg2588z00_2996);
										return BgL_res2688z00_3909;
									}
								}
							else
								{	/* Expand/object.scm 634 */
									obj_t BgL_arg2590z00_2997;

									{	/* Expand/object.scm 634 */
										obj_t BgL_arg2591z00_2998;

										BgL_arg2591z00_2998 = MAKE_YOUNG_PAIR(BgL_objz00_49, BNIL);
										BgL_arg2590z00_2997 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
											BgL_arg2591z00_2998);
									}
									{
										obj_t BgL_objz00_6352;

										BgL_objz00_6352 = BgL_arg2590z00_2997;
										BgL_objz00_49 = BgL_objz00_6352;
										goto BGl_objectzd2epairifyzd2zzexpand_objectz00;
									}
								}
						}
					else
						{	/* Expand/object.scm 631 */
							return BgL_objz00_49;
						}
				}
		}

	}



/* find-slot-offset */
	obj_t BGl_findzd2slotzd2offsetz00zzexpand_objectz00(obj_t BgL_slotsz00_53,
		obj_t BgL_namez00_54, obj_t BgL_formz00_55, obj_t BgL_sexpz00_56)
	{
		{	/* Expand/object.scm 646 */
			{	/* Expand/object.scm 647 */
				obj_t BgL_sz00_2999;

				{
					obj_t BgL_list1303z00_3004;

					BgL_list1303z00_3004 = BgL_slotsz00_53;
				BgL_zc3z04anonymousza32595ze3z87_3005:
					if (PAIRP(BgL_list1303z00_3004))
						{	/* Expand/object.scm 647 */
							if (
								((((BgL_slotz00_bglt) COBJECT(
												((BgL_slotz00_bglt)
													CAR(BgL_list1303z00_3004))))->BgL_idz00) ==
									BgL_namez00_54))
								{	/* Expand/object.scm 647 */
									BgL_sz00_2999 = CAR(BgL_list1303z00_3004);
								}
							else
								{
									obj_t BgL_list1303z00_6361;

									BgL_list1303z00_6361 = CDR(BgL_list1303z00_3004);
									BgL_list1303z00_3004 = BgL_list1303z00_6361;
									goto BgL_zc3z04anonymousza32595ze3z87_3005;
								}
						}
					else
						{	/* Expand/object.scm 647 */
							BgL_sz00_2999 = BFALSE;
						}
				}
				{	/* Expand/object.scm 648 */
					bool_t BgL_test3025z00_6363;

					{	/* Expand/object.scm 648 */
						obj_t BgL_classz00_3914;

						BgL_classz00_3914 = BGl_slotz00zzobject_slotsz00;
						if (BGL_OBJECTP(BgL_sz00_2999))
							{	/* Expand/object.scm 648 */
								BgL_objectz00_bglt BgL_arg1825z00_3916;

								BgL_arg1825z00_3916 = (BgL_objectz00_bglt) (BgL_sz00_2999);
								{	/* Expand/object.scm 648 */
									bool_t BgL_arg1822z00_3919;
									bool_t BgL_arg1823z00_3920;

									{	/* Expand/object.scm 648 */
										long BgL_idxz00_3923;

										BgL_idxz00_3923 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3916);
										BgL_arg1822z00_3919 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3923 + ((long) 1))) == BgL_classz00_3914);
									}
									{	/* Expand/object.scm 648 */
										bool_t BgL_res2689z00_3945;

										{	/* Expand/object.scm 648 */
											obj_t BgL_oclassz00_3931;

											{	/* Expand/object.scm 648 */
												long BgL_arg1833z00_3937;

												{	/* Expand/object.scm 648 */
													long BgL_arg1834z00_3938;

													BgL_arg1834z00_3938 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3916);
													BgL_arg1833z00_3937 =
														(BgL_arg1834z00_3938 - OBJECT_TYPE);
												}
												BgL_oclassz00_3931 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_3937);
											}
											{	/* Expand/object.scm 648 */
												bool_t BgL__ortest_1110z00_3932;

												BgL__ortest_1110z00_3932 =
													(BgL_classz00_3914 == BgL_oclassz00_3931);
												if (BgL__ortest_1110z00_3932)
													{	/* Expand/object.scm 648 */
														BgL_res2689z00_3945 = BgL__ortest_1110z00_3932;
													}
												else
													{	/* Expand/object.scm 648 */
														long BgL_odepthz00_3933;

														BgL_odepthz00_3933 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3931);
														if ((((long) 1) < BgL_odepthz00_3933))
															{	/* Expand/object.scm 648 */
																obj_t BgL_arg1821z00_3935;

																BgL_arg1821z00_3935 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3931,
																	((long) 1));
																BgL_res2689z00_3945 =
																	(BgL_arg1821z00_3935 == BgL_classz00_3914);
															}
														else
															{	/* Expand/object.scm 648 */
																BgL_res2689z00_3945 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_3920 = BgL_res2689z00_3945;
									}
									BgL_test3025z00_6363 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_3919, BgL_arg1823z00_3920);
								}
							}
						else
							{	/* Expand/object.scm 648 */
								BgL_test3025z00_6363 = ((bool_t) 0);
							}
					}
					if (BgL_test3025z00_6363)
						{	/* Expand/object.scm 648 */
							return
								BINT(
								(((BgL_slotz00_bglt) COBJECT(
											((BgL_slotz00_bglt) BgL_sz00_2999)))->BgL_indexz00));
						}
					else
						{	/* Expand/object.scm 650 */
							obj_t BgL_arg2593z00_3001;

							{	/* Expand/object.scm 650 */
								obj_t BgL_list2594z00_3002;

								BgL_list2594z00_3002 = MAKE_YOUNG_PAIR(BgL_namez00_54, BNIL);
								BgL_arg2593z00_3001 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string2717z00zzexpand_objectz00, BgL_list2594z00_3002);
							}
							return
								BGl_errorz00zz__errorz00(BgL_formz00_55, BgL_arg2593z00_3001,
								BgL_sexpz00_56);
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzexpand_objectz00()
	{
		{	/* Expand/object.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzexpand_objectz00()
	{
		{	/* Expand/object.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzexpand_objectz00()
	{
		{	/* Expand/object.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzexpand_objectz00()
	{
		{	/* Expand/object.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 359337187),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzast_objectz00(((long) 520121776),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzread_inlinez00(((long) 500058826),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long) 196511171),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzobject_classgenz00(((long) 502726840),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(((long) 223654864),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzmodule_prototypez00(((long) 499400840),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
			return
				BGl_modulezd2initializa7ationz75zzmodule_classz00(((long) 153808441),
				BSTRING_TO_STRING(BGl_string2718z00zzexpand_objectz00));
		}

	}

#ifdef __cplusplus
}
#endif
