/*===========================================================================*/
/*   (Globalize/escape.scm)                                                  */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/escape.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_svarzf2ginfozf2_bgl
	{
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
		bool_t BgL_celledzf3zf3;
		bool_t BgL_stackablez00;
	}                      *BgL_svarzf2ginfozf2_bglt;

	typedef struct BgL_sexitzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
	}                       *BgL_sexitzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;

	typedef struct BgL_globalzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		obj_t BgL_globalzd2closurezd2;
	}                        *BgL_globalzf2ginfozf2_bglt;


	static obj_t BGl_z62setzd2escapingzd2funz12z70zzglobaliza7e_escapeza7(obj_t,
		obj_t);
	static obj_t BGl_z62escapez12z70zzglobaliza7e_escapeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_escapeza7 =
		BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62escapez12zd2sequence1334za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62setzd2escapingzd2funz12zd2lo1321za2zzglobaliza7e_escapeza7(obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t
		BGl_z62setzd2escapingzd2funz121314z70zzglobaliza7e_escapeza7(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_escapeza7();
	static obj_t
		BGl_z62escapez12zd2setzd2exzd2it1360za2zzglobaliza7e_escapeza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_escapeza7();
	static obj_t BGl_z62escapez121322z70zzglobaliza7e_escapeza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_escapeza7();
	static obj_t BGl_z62escapez12zd2kwote1328za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62escapez12zd2funcall1342za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2letzd2var1358z70zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2closure1332za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_escapeza7();
	static obj_t BGl_z62escapez12zd2boxzd2ref1368z70zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62escapez12zd2atom1326za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2appzd2ly1340z70zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	static bool_t BGl_escapeza2z12zb0zzglobaliza7e_escapeza7(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_escapezd2funz12zc0zzglobaliza7e_escapeza7(BgL_variablez00_bglt);
	static obj_t BGl_z62escapez12zd2var1330za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_escapeza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_setzd2escapingzd2funz12z12zzglobaliza7e_escapeza7(BgL_variablez00_bglt);
	static obj_t BGl_z62escapez12zd2extern1344za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2switch1354za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_escapeza7();
	static obj_t BGl_z62escapezd2funz121308za2zzglobaliza7e_escapeza7(obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_escapeza7();
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_escapeza7();
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_escapeza7();
	static obj_t
		BGl_z62escapez12zd2conditional1350za2zzglobaliza7e_escapeza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_z62escapez12zd2app1338za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62escapez12zd2cast1346za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62escapezd2funz12za2zzglobaliza7e_escapeza7(obj_t, obj_t);
	static obj_t
		BGl_z62escapez12zd2boxzd2setz121366z62zzglobaliza7e_escapeza7(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t
		BGl_z62escapez12zd2makezd2box1364z70zzglobaliza7e_escapeza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62escapezd2funz12zd2global1311z70zzglobaliza7e_escapeza7(obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2setq1348za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t
		BGl_z62escapez12zd2jumpzd2exzd2it1362za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62setzd2escapingzd2funz12zd2gl1317za2zzglobaliza7e_escapeza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62setzd2escapingzd2funz12zd2gl1319za2zzglobaliza7e_escapeza7(obj_t,
		obj_t);
	static obj_t BGl_z62escapez12zd2sync1336za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2letzd2fun1356z70zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62escapez12zd2fail1352za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t
		BGl_z62escapezd2funz12zd2local1313z70zzglobaliza7e_escapeza7(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string1907z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1907za700za7za7g1911za7, "globalize_escape", 16);
	      DEFINE_STRING(BGl_string1908z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1908za700za7za7g1912za7, "export done escape!1322 ", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1900z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2l1913za7,
		BGl_z62escapez12zd2letzd2fun1356z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1901z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2l1914za7,
		BGl_z62escapez12zd2letzd2var1358z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1902z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2s1915za7,
		BGl_z62escapez12zd2setzd2exzd2it1360za2zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1903z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2j1916za7,
		BGl_z62escapez12zd2jumpzd2exzd2it1362za2zzglobaliza7e_escapeza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1904z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2m1917za7,
		BGl_z62escapez12zd2makezd2box1364z70zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1905z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2b1918za7,
		BGl_z62escapez12zd2boxzd2setz121366z62zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1906z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2b1919za7,
		BGl_z62escapez12zd2boxzd2ref1368z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1870z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1870za700za7za7g1920za7, "escape-fun!1308", 15);
	      DEFINE_STRING(BGl_string1872z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1872za700za7za7g1921za7, "set-escaping-fun!1314", 21);
	      DEFINE_STRING(BGl_string1874z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1874za700za7za7g1922za7, "escape!1322", 11);
	      DEFINE_STRING(BGl_string1875z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1875za700za7za7g1923za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza7d2funza71924za7,
		BGl_z62escapezd2funz121308za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1876z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1876za700za7za7g1925za7, "set-escaping-fun!", 17);
	      DEFINE_STRING(BGl_string1877z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1877za700za7za7g1926za7, "Illegal variable", 16);
	      DEFINE_STRING(BGl_string1879z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1879za700za7za7g1927za7, "escape-fun!", 11);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza7d2funza71928za7,
		BGl_z62escapezd2funz12za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762setza7d2escapin1929z00,
		BGl_z62setzd2escapingzd2funz121314z70zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza71213221930z00,
		BGl_z62escapez121322z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza7d2funza71931za7,
		BGl_z62escapezd2funz12zd2global1311z70zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1885z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1885za700za7za7g1932za7, "escape!", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza7d2funza71933za7,
		BGl_z62escapezd2funz12zd2local1313z70zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762setza7d2escapin1934z00,
		BGl_z62setzd2escapingzd2funz12zd2gl1317za2zzglobaliza7e_escapeza7, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762setza7d2escapin1935z00,
		BGl_z62setzd2escapingzd2funz12zd2gl1319za2zzglobaliza7e_escapeza7, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762setza7d2escapin1936z00,
		BGl_z62setzd2escapingzd2funz12zd2lo1321za2zzglobaliza7e_escapeza7, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2a1937za7,
		BGl_z62escapez12zd2atom1326za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2k1938za7,
		BGl_z62escapez12zd2kwote1328za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2v1939za7,
		BGl_z62escapez12zd2var1330za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2c1940za7,
		BGl_z62escapez12zd2closure1332za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2s1941za7,
		BGl_z62escapez12zd2sequence1334za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2s1942za7,
		BGl_z62escapez12zd2sync1336za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2a1943za7,
		BGl_z62escapez12zd2app1338za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2a1944za7,
		BGl_z62escapez12zd2appzd2ly1340z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2f1945za7,
		BGl_z62escapez12zd2funcall1342za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1894z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2e1946za7,
		BGl_z62escapez12zd2extern1344za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1895z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2c1947za7,
		BGl_z62escapez12zd2cast1346za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1896z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2s1948za7,
		BGl_z62escapez12zd2setq1348za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1897z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2c1949za7,
		BGl_z62escapez12zd2conditional1350za2zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1898z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2f1950za7,
		BGl_z62escapez12zd2fail1352za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1899z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2s1951za7,
		BGl_z62escapez12zd2switch1354za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za770za71952z00,
		BGl_z62escapez12z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_setzd2escapingzd2funz12zd2envzc0zzglobaliza7e_escapeza7,
		BgL_bgl_za762setza7d2escapin1953z00,
		BGl_z62setzd2escapingzd2funz12z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzglobaliza7e_escapeza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_escapeza7(long
		BgL_checksumz00_2919, char *BgL_fromz00_2920)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_escapeza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_escapeza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_escapeza7();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_escapeza7();
					BGl_cnstzd2initzd2zzglobaliza7e_escapeza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_escapeza7();
					BGl_genericzd2initzd2zzglobaliza7e_escapeza7();
					BGl_methodzd2initzd2zzglobaliza7e_escapeza7();
					return BGl_toplevelzd2initzd2zzglobaliza7e_escapeza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_escapeza7()
	{
		{	/* Globalize/escape.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0),
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_escape");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_escapeza7()
	{
		{	/* Globalize/escape.scm 15 */
			{	/* Globalize/escape.scm 15 */
				obj_t BgL_cportz00_2763;

				{	/* Globalize/escape.scm 15 */
					obj_t BgL_stringz00_2771;

					BgL_stringz00_2771 = BGl_string1908z00zzglobaliza7e_escapeza7;
					{	/* Globalize/escape.scm 15 */
						obj_t BgL_startz00_2772;

						BgL_startz00_2772 = BINT(((long) 0));
						{	/* Globalize/escape.scm 15 */
							obj_t BgL_endz00_2773;

							BgL_endz00_2773 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2771)));
							{	/* Globalize/escape.scm 15 */

								BgL_cportz00_2763 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2771, BgL_startz00_2772, BgL_endz00_2773);
				}}}}
				{
					long BgL_iz00_2764;

					BgL_iz00_2764 = ((long) 2);
				BgL_loopz00_2765:
					if ((BgL_iz00_2764 == ((long) -1)))
						{	/* Globalize/escape.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/escape.scm 15 */
							{	/* Globalize/escape.scm 15 */
								obj_t BgL_arg1910z00_2767;

								{	/* Globalize/escape.scm 15 */

									{	/* Globalize/escape.scm 15 */
										obj_t BgL_locationz00_2769;

										BgL_locationz00_2769 = BBOOL(((bool_t) 0));
										{	/* Globalize/escape.scm 15 */

											BgL_arg1910z00_2767 =
												BGl_readz00zz__readerz00(BgL_cportz00_2763,
												BgL_locationz00_2769);
										}
									}
								}
								{	/* Globalize/escape.scm 15 */
									int BgL_tmpz00_2950;

									BgL_tmpz00_2950 = (int) (BgL_iz00_2764);
									CNST_TABLE_SET(BgL_tmpz00_2950, BgL_arg1910z00_2767);
							}}
							{	/* Globalize/escape.scm 15 */
								int BgL_auxz00_2770;

								BgL_auxz00_2770 = (int) ((BgL_iz00_2764 - ((long) 1)));
								{
									long BgL_iz00_2955;

									BgL_iz00_2955 = (long) (BgL_auxz00_2770);
									BgL_iz00_2764 = BgL_iz00_2955;
									goto BgL_loopz00_2765;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_escapeza7()
	{
		{	/* Globalize/escape.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_escapeza7()
	{
		{	/* Globalize/escape.scm 15 */
			return BUNSPEC;
		}

	}



/* escape*! */
	bool_t BGl_escapeza2z12zb0zzglobaliza7e_escapeza7(obj_t BgL_nodeza2za2_56,
		obj_t BgL_oz00_57)
	{
		{	/* Globalize/escape.scm 267 */
			{
				obj_t BgL_l1306z00_1751;

				BgL_l1306z00_1751 = BgL_nodeza2za2_56;
			BgL_zc3z04anonymousza31382ze3z87_1752:
				if (PAIRP(BgL_l1306z00_1751))
					{	/* Globalize/escape.scm 268 */
						{	/* Globalize/escape.scm 268 */
							obj_t BgL_nz00_1754;

							BgL_nz00_1754 = CAR(BgL_l1306z00_1751);
							BGl_escapez12z12zzglobaliza7e_escapeza7(
								((BgL_nodez00_bglt) BgL_nz00_1754),
								((BgL_variablez00_bglt) BgL_oz00_57));
						}
						{
							obj_t BgL_l1306z00_2964;

							BgL_l1306z00_2964 = CDR(BgL_l1306z00_1751);
							BgL_l1306z00_1751 = BgL_l1306z00_2964;
							goto BgL_zc3z04anonymousza31382ze3z87_1752;
						}
					}
				else
					{	/* Globalize/escape.scm 268 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_escapeza7()
	{
		{	/* Globalize/escape.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_escapeza7()
	{
		{	/* Globalize/escape.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
				BGl_proc1869z00zzglobaliza7e_escapeza7, BGl_variablez00zzast_varz00,
				BGl_string1870z00zzglobaliza7e_escapeza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_setzd2escapingzd2funz12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_proc1871z00zzglobaliza7e_escapeza7, BGl_variablez00zzast_varz00,
				BGl_string1872z00zzglobaliza7e_escapeza7);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_proc1873z00zzglobaliza7e_escapeza7, BGl_nodez00zzast_nodez00,
				BGl_string1874z00zzglobaliza7e_escapeza7);
		}

	}



/* &escape!1322 */
	obj_t BGl_z62escapez121322z70zzglobaliza7e_escapeza7(obj_t BgL_envz00_2646,
		obj_t BgL_nodez00_2647, obj_t BgL_oz00_2648)
	{
		{	/* Globalize/escape.scm 79 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string1875z00zzglobaliza7e_escapeza7,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2647)));
		}

	}



/* &set-escaping-fun!1314 */
	obj_t BGl_z62setzd2escapingzd2funz121314z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2649, obj_t BgL_variablez00_2650)
	{
		{	/* Globalize/escape.scm 55 */
			{	/* Globalize/escape.scm 56 */
				obj_t BgL_arg1454z00_2778;

				BgL_arg1454z00_2778 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_variablez00_bglt) BgL_variablez00_2650)));
				return
					BGl_errorz00zz__errorz00(BGl_string1876z00zzglobaliza7e_escapeza7,
					BGl_string1877z00zzglobaliza7e_escapeza7, BgL_arg1454z00_2778);
			}
		}

	}



/* &escape-fun!1308 */
	obj_t BGl_z62escapezd2funz121308za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2651, obj_t BgL_variablez00_2652)
	{
		{	/* Globalize/escape.scm 27 */
			{	/* Globalize/escape.scm 28 */
				BgL_valuez00_bglt BgL_funz00_2780;

				BgL_funz00_2780 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_variablez00_2652)))->BgL_valuez00);
				{	/* Globalize/escape.scm 29 */
					obj_t BgL_g1290z00_2781;

					BgL_g1290z00_2781 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_2780)))->BgL_argsz00);
					{
						obj_t BgL_l1288z00_2783;

						BgL_l1288z00_2783 = BgL_g1290z00_2781;
					BgL_zc3z04anonymousza31402ze3z87_2782:
						if (PAIRP(BgL_l1288z00_2783))
							{	/* Globalize/escape.scm 31 */
								{	/* Globalize/escape.scm 30 */
									obj_t BgL_localz00_2784;

									BgL_localz00_2784 = CAR(BgL_l1288z00_2783);
									{	/* Globalize/escape.scm 30 */
										BgL_svarz00_bglt BgL_tmp1106z00_2785;

										BgL_tmp1106z00_2785 =
											((BgL_svarz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_localz00_2784))))->
												BgL_valuez00));
										{	/* Globalize/escape.scm 30 */
											BgL_svarzf2ginfozf2_bglt BgL_wide1108z00_2786;

											BgL_wide1108z00_2786 =
												((BgL_svarzf2ginfozf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_svarzf2ginfozf2_bgl))));
											{	/* Globalize/escape.scm 30 */
												obj_t BgL_auxz00_2992;
												BgL_objectz00_bglt BgL_tmpz00_2989;

												BgL_auxz00_2992 = ((obj_t) BgL_wide1108z00_2786);
												BgL_tmpz00_2989 =
													((BgL_objectz00_bglt)
													((BgL_svarz00_bglt) BgL_tmp1106z00_2785));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2989,
													BgL_auxz00_2992);
											}
											((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1106z00_2785));
											{	/* Globalize/escape.scm 30 */
												long BgL_arg1415z00_2787;

												BgL_arg1415z00_2787 =
													BGL_CLASS_NUM
													(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_svarz00_bglt) BgL_tmp1106z00_2785)),
													BgL_arg1415z00_2787);
											}
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1106z00_2785));
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3003;

											{
												obj_t BgL_auxz00_3004;

												{	/* Globalize/escape.scm 30 */
													BgL_objectz00_bglt BgL_tmpz00_3005;

													BgL_tmpz00_3005 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1106z00_2785));
													BgL_auxz00_3004 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3005);
												}
												BgL_auxz00_3003 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3004);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3003))->
													BgL_kapturedzf3zf3) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3011;

											{
												obj_t BgL_auxz00_3012;

												{	/* Globalize/escape.scm 30 */
													BgL_objectz00_bglt BgL_tmpz00_3013;

													BgL_tmpz00_3013 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1106z00_2785));
													BgL_auxz00_3012 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3013);
												}
												BgL_auxz00_3011 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3012);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3011))->
													BgL_freezd2markzd2) = ((long) ((long) -10)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3019;

											{
												obj_t BgL_auxz00_3020;

												{	/* Globalize/escape.scm 30 */
													BgL_objectz00_bglt BgL_tmpz00_3021;

													BgL_tmpz00_3021 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1106z00_2785));
													BgL_auxz00_3020 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3021);
												}
												BgL_auxz00_3019 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3020);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3019))->
													BgL_markz00) = ((long) ((long) -10)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3027;

											{
												obj_t BgL_auxz00_3028;

												{	/* Globalize/escape.scm 30 */
													BgL_objectz00_bglt BgL_tmpz00_3029;

													BgL_tmpz00_3029 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1106z00_2785));
													BgL_auxz00_3028 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3029);
												}
												BgL_auxz00_3027 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3028);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3027))->
													BgL_celledzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3035;

											{
												obj_t BgL_auxz00_3036;

												{	/* Globalize/escape.scm 30 */
													BgL_objectz00_bglt BgL_tmpz00_3037;

													BgL_tmpz00_3037 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1106z00_2785));
													BgL_auxz00_3036 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3037);
												}
												BgL_auxz00_3035 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3036);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3035))->
													BgL_stackablez00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
										}
										((BgL_svarz00_bglt) BgL_tmp1106z00_2785);
								}}
								{
									obj_t BgL_l1288z00_3044;

									BgL_l1288z00_3044 = CDR(BgL_l1288z00_2783);
									BgL_l1288z00_2783 = BgL_l1288z00_3044;
									goto BgL_zc3z04anonymousza31402ze3z87_2782;
								}
							}
						else
							{	/* Globalize/escape.scm 31 */
								((bool_t) 1);
							}
					}
				}
				{	/* Globalize/escape.scm 32 */
					BgL_sfunzf2ginfozf2_bglt BgL_wide1112z00_2788;

					BgL_wide1112z00_2788 =
						((BgL_sfunzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sfunzf2ginfozf2_bgl))));
					{	/* Globalize/escape.scm 32 */
						obj_t BgL_auxz00_3051;
						BgL_objectz00_bglt BgL_tmpz00_3047;

						BgL_auxz00_3051 = ((obj_t) BgL_wide1112z00_2788);
						BgL_tmpz00_3047 =
							((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3047, BgL_auxz00_3051);
					}
					((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
					{	/* Globalize/escape.scm 32 */
						long BgL_arg1418z00_2789;

						BgL_arg1418z00_2789 =
							BGL_CLASS_NUM(BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt)
									((BgL_sfunz00_bglt) BgL_funz00_2780))), BgL_arg1418z00_2789);
					}
					((BgL_sfunz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3065;

					{
						obj_t BgL_auxz00_3066;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3067;

							BgL_tmpz00_3067 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3066 = BGL_OBJECT_WIDENING(BgL_tmpz00_3067);
						}
						BgL_auxz00_3065 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3066);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3065))->
							BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3074;

					{
						obj_t BgL_auxz00_3075;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3076;

							BgL_tmpz00_3076 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3075 = BGL_OBJECT_WIDENING(BgL_tmpz00_3076);
						}
						BgL_auxz00_3074 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3075);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3074))->
							BgL_cfromz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3083;

					{
						obj_t BgL_auxz00_3084;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3085;

							BgL_tmpz00_3085 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3084 = BGL_OBJECT_WIDENING(BgL_tmpz00_3085);
						}
						BgL_auxz00_3083 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3084);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3083))->
							BgL_cfromza2za2) = ((obj_t) BFALSE), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3092;

					{
						obj_t BgL_auxz00_3093;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3094;

							BgL_tmpz00_3094 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3093 = BGL_OBJECT_WIDENING(BgL_tmpz00_3094);
						}
						BgL_auxz00_3092 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3093);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3092))->BgL_ctoz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3101;

					{
						obj_t BgL_auxz00_3102;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3103;

							BgL_tmpz00_3103 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3102 = BGL_OBJECT_WIDENING(BgL_tmpz00_3103);
						}
						BgL_auxz00_3101 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3102);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3101))->
							BgL_ctoza2za2) = ((obj_t) BFALSE), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3110;

					{
						obj_t BgL_auxz00_3111;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3112;

							BgL_tmpz00_3112 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3111 = BGL_OBJECT_WIDENING(BgL_tmpz00_3112);
						}
						BgL_auxz00_3110 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3111);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3110))->
							BgL_efunctionsz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3119;

					{
						obj_t BgL_auxz00_3120;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3121;

							BgL_tmpz00_3121 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3120 = BGL_OBJECT_WIDENING(BgL_tmpz00_3121);
						}
						BgL_auxz00_3119 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3120);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3119))->
							BgL_integratorz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3128;

					{
						obj_t BgL_auxz00_3129;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3130;

							BgL_tmpz00_3130 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3129 = BGL_OBJECT_WIDENING(BgL_tmpz00_3130);
						}
						BgL_auxz00_3128 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3129);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3128))->
							BgL_imarkz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3137;

					{
						obj_t BgL_auxz00_3138;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3139;

							BgL_tmpz00_3139 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3138 = BGL_OBJECT_WIDENING(BgL_tmpz00_3139);
						}
						BgL_auxz00_3137 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3138);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3137))->
							BgL_ownerz00) = ((obj_t) BFALSE), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3146;

					{
						obj_t BgL_auxz00_3147;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3148;

							BgL_tmpz00_3148 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3147 = BGL_OBJECT_WIDENING(BgL_tmpz00_3148);
						}
						BgL_auxz00_3146 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3147);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3146))->
							BgL_integratedz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3155;

					{
						obj_t BgL_auxz00_3156;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3157;

							BgL_tmpz00_3157 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3156 = BGL_OBJECT_WIDENING(BgL_tmpz00_3157);
						}
						BgL_auxz00_3155 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3156);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3155))->
							BgL_pluggedzd2inzd2) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3164;

					{
						obj_t BgL_auxz00_3165;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3166;

							BgL_tmpz00_3166 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3165 = BGL_OBJECT_WIDENING(BgL_tmpz00_3166);
						}
						BgL_auxz00_3164 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3165);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3164))->
							BgL_markz00) = ((long) ((long) -10)), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3173;

					{
						obj_t BgL_auxz00_3174;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3175;

							BgL_tmpz00_3175 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3174 = BGL_OBJECT_WIDENING(BgL_tmpz00_3175);
						}
						BgL_auxz00_3173 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3174);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3173))->
							BgL_freezd2markzd2) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3182;

					{
						obj_t BgL_auxz00_3183;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3184;

							BgL_tmpz00_3184 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3183 = BGL_OBJECT_WIDENING(BgL_tmpz00_3184);
						}
						BgL_auxz00_3182 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3183);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3182))->
							BgL_thezd2globalzd2) = ((obj_t) BFALSE), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3191;

					{
						obj_t BgL_auxz00_3192;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3193;

							BgL_tmpz00_3193 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3192 = BGL_OBJECT_WIDENING(BgL_tmpz00_3193);
						}
						BgL_auxz00_3191 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3192);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3191))->
							BgL_kapturedz00) = ((obj_t) BFALSE), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3200;

					{
						obj_t BgL_auxz00_3201;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3202;

							BgL_tmpz00_3202 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3201 = BGL_OBJECT_WIDENING(BgL_tmpz00_3202);
						}
						BgL_auxz00_3200 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3201);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3200))->
							BgL_newzd2bodyzd2) = ((obj_t) BFALSE), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3209;

					{
						obj_t BgL_auxz00_3210;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3211;

							BgL_tmpz00_3211 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3210 = BGL_OBJECT_WIDENING(BgL_tmpz00_3211);
						}
						BgL_auxz00_3209 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3210);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3209))->
							BgL_bmarkz00) = ((long) ((long) -10)), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3218;

					{
						obj_t BgL_auxz00_3219;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3220;

							BgL_tmpz00_3220 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3219 = BGL_OBJECT_WIDENING(BgL_tmpz00_3220);
						}
						BgL_auxz00_3218 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3219);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3218))->
							BgL_umarkz00) = ((long) ((long) -10)), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3227;

					{
						obj_t BgL_auxz00_3228;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3229;

							BgL_tmpz00_3229 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3228 = BGL_OBJECT_WIDENING(BgL_tmpz00_3229);
						}
						BgL_auxz00_3227 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3228);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3227))->
							BgL_freez00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3236;

					{
						obj_t BgL_auxz00_3237;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3238;

							BgL_tmpz00_3238 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780)));
							BgL_auxz00_3237 = BGL_OBJECT_WIDENING(BgL_tmpz00_3238);
						}
						BgL_auxz00_3236 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3237);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3236))->
							BgL_boundz00) = ((obj_t) BNIL), BUNSPEC);
				}
				((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2780));
				{	/* Globalize/escape.scm 33 */
					obj_t BgL_arg1419z00_2790;

					BgL_arg1419z00_2790 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_2780)))->BgL_bodyz00);
					return
						BGl_escapez12z12zzglobaliza7e_escapeza7(
						((BgL_nodez00_bglt) BgL_arg1419z00_2790),
						((BgL_variablez00_bglt) BgL_variablez00_2652));
				}
			}
		}

	}



/* escape-fun! */
	BGL_EXPORTED_DEF obj_t
		BGl_escapezd2funz12zc0zzglobaliza7e_escapeza7(BgL_variablez00_bglt
		BgL_variablez00_3)
	{
		{	/* Globalize/escape.scm 27 */
			{	/* Globalize/escape.scm 27 */
				obj_t BgL_method1309z00_1791;

				{	/* Globalize/escape.scm 27 */
					obj_t BgL_res1854z00_2318;

					{	/* Globalize/escape.scm 27 */
						long BgL_objzd2classzd2numz00_2289;

						BgL_objzd2classzd2numz00_2289 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_variablez00_3));
						{	/* Globalize/escape.scm 27 */
							obj_t BgL_arg1829z00_2290;

							BgL_arg1829z00_2290 =
								PROCEDURE_REF
								(BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
								(int) (((long) 1)));
							{	/* Globalize/escape.scm 27 */
								int BgL_offsetz00_2293;

								BgL_offsetz00_2293 = (int) (BgL_objzd2classzd2numz00_2289);
								{	/* Globalize/escape.scm 27 */
									long BgL_offsetz00_2294;

									BgL_offsetz00_2294 =
										((long) (BgL_offsetz00_2293) - OBJECT_TYPE);
									{	/* Globalize/escape.scm 27 */
										long BgL_modz00_2295;

										BgL_modz00_2295 =
											(BgL_offsetz00_2294 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Globalize/escape.scm 27 */
											long BgL_restz00_2297;

											BgL_restz00_2297 =
												(BgL_offsetz00_2294 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Globalize/escape.scm 27 */

												{	/* Globalize/escape.scm 27 */
													obj_t BgL_bucketz00_2299;

													BgL_bucketz00_2299 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2290), BgL_modz00_2295);
													BgL_res1854z00_2318 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2299), BgL_restz00_2297);
					}}}}}}}}
					BgL_method1309z00_1791 = BgL_res1854z00_2318;
				}
				return
					PROCEDURE_ENTRY(BgL_method1309z00_1791) (BgL_method1309z00_1791,
					((obj_t) BgL_variablez00_3), BEOA);
			}
		}

	}



/* &escape-fun! */
	obj_t BGl_z62escapezd2funz12za2zzglobaliza7e_escapeza7(obj_t BgL_envz00_2653,
		obj_t BgL_variablez00_2654)
	{
		{	/* Globalize/escape.scm 27 */
			return
				BGl_escapezd2funz12zc0zzglobaliza7e_escapeza7(
				((BgL_variablez00_bglt) BgL_variablez00_2654));
		}

	}



/* set-escaping-fun! */
	obj_t
		BGl_setzd2escapingzd2funz12z12zzglobaliza7e_escapeza7(BgL_variablez00_bglt
		BgL_variablez00_6)
	{
		{	/* Globalize/escape.scm 55 */
			{	/* Globalize/escape.scm 55 */
				obj_t BgL_method1315z00_1792;

				{	/* Globalize/escape.scm 55 */
					obj_t BgL_res1859z00_2349;

					{	/* Globalize/escape.scm 55 */
						long BgL_objzd2classzd2numz00_2320;

						BgL_objzd2classzd2numz00_2320 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_variablez00_6));
						{	/* Globalize/escape.scm 55 */
							obj_t BgL_arg1829z00_2321;

							BgL_arg1829z00_2321 =
								PROCEDURE_REF
								(BGl_setzd2escapingzd2funz12zd2envzc0zzglobaliza7e_escapeza7,
								(int) (((long) 1)));
							{	/* Globalize/escape.scm 55 */
								int BgL_offsetz00_2324;

								BgL_offsetz00_2324 = (int) (BgL_objzd2classzd2numz00_2320);
								{	/* Globalize/escape.scm 55 */
									long BgL_offsetz00_2325;

									BgL_offsetz00_2325 =
										((long) (BgL_offsetz00_2324) - OBJECT_TYPE);
									{	/* Globalize/escape.scm 55 */
										long BgL_modz00_2326;

										BgL_modz00_2326 =
											(BgL_offsetz00_2325 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Globalize/escape.scm 55 */
											long BgL_restz00_2328;

											BgL_restz00_2328 =
												(BgL_offsetz00_2325 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Globalize/escape.scm 55 */

												{	/* Globalize/escape.scm 55 */
													obj_t BgL_bucketz00_2330;

													BgL_bucketz00_2330 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2321), BgL_modz00_2326);
													BgL_res1859z00_2349 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2330), BgL_restz00_2328);
					}}}}}}}}
					BgL_method1315z00_1792 = BgL_res1859z00_2349;
				}
				return
					PROCEDURE_ENTRY(BgL_method1315z00_1792) (BgL_method1315z00_1792,
					((obj_t) BgL_variablez00_6), BEOA);
			}
		}

	}



/* &set-escaping-fun! */
	obj_t BGl_z62setzd2escapingzd2funz12z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2655, obj_t BgL_variablez00_2656)
	{
		{	/* Globalize/escape.scm 55 */
			return
				BGl_setzd2escapingzd2funz12z12zzglobaliza7e_escapeza7(
				((BgL_variablez00_bglt) BgL_variablez00_2656));
		}

	}



/* escape! */
	obj_t BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_nodez00_bglt BgL_nodez00_10,
		BgL_variablez00_bglt BgL_oz00_11)
	{
		{	/* Globalize/escape.scm 79 */
			{	/* Globalize/escape.scm 79 */
				obj_t BgL_method1324z00_1793;

				{	/* Globalize/escape.scm 79 */
					obj_t BgL_res1864z00_2380;

					{	/* Globalize/escape.scm 79 */
						long BgL_objzd2classzd2numz00_2351;

						BgL_objzd2classzd2numz00_2351 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_10));
						{	/* Globalize/escape.scm 79 */
							obj_t BgL_arg1829z00_2352;

							BgL_arg1829z00_2352 =
								PROCEDURE_REF(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
								(int) (((long) 1)));
							{	/* Globalize/escape.scm 79 */
								int BgL_offsetz00_2355;

								BgL_offsetz00_2355 = (int) (BgL_objzd2classzd2numz00_2351);
								{	/* Globalize/escape.scm 79 */
									long BgL_offsetz00_2356;

									BgL_offsetz00_2356 =
										((long) (BgL_offsetz00_2355) - OBJECT_TYPE);
									{	/* Globalize/escape.scm 79 */
										long BgL_modz00_2357;

										BgL_modz00_2357 =
											(BgL_offsetz00_2356 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Globalize/escape.scm 79 */
											long BgL_restz00_2359;

											BgL_restz00_2359 =
												(BgL_offsetz00_2356 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Globalize/escape.scm 79 */

												{	/* Globalize/escape.scm 79 */
													obj_t BgL_bucketz00_2361;

													BgL_bucketz00_2361 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2352), BgL_modz00_2357);
													BgL_res1864z00_2380 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2361), BgL_restz00_2359);
					}}}}}}}}
					BgL_method1324z00_1793 = BgL_res1864z00_2380;
				}
				return
					PROCEDURE_ENTRY(BgL_method1324z00_1793) (BgL_method1324z00_1793,
					((obj_t) BgL_nodez00_10), ((obj_t) BgL_oz00_11), BEOA);
			}
		}

	}



/* &escape! */
	obj_t BGl_z62escapez12z70zzglobaliza7e_escapeza7(obj_t BgL_envz00_2657,
		obj_t BgL_nodez00_2658, obj_t BgL_oz00_2659)
	{
		{	/* Globalize/escape.scm 79 */
			return
				BGl_escapez12z12zzglobaliza7e_escapeza7(
				((BgL_nodez00_bglt) BgL_nodez00_2658),
				((BgL_variablez00_bglt) BgL_oz00_2659));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_escapeza7()
	{
		{	/* Globalize/escape.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
				BGl_globalz00zzast_varz00, BGl_proc1878z00zzglobaliza7e_escapeza7,
				BGl_string1879z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
				BGl_localz00zzast_varz00, BGl_proc1880z00zzglobaliza7e_escapeza7,
				BGl_string1879z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2escapingzd2funz12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_globalz00zzast_varz00, BGl_proc1881z00zzglobaliza7e_escapeza7,
				BGl_string1876z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2escapingzd2funz12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7,
				BGl_proc1882z00zzglobaliza7e_escapeza7,
				BGl_string1876z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2escapingzd2funz12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7,
				BGl_proc1883z00zzglobaliza7e_escapeza7,
				BGl_string1876z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_atomz00zzast_nodez00, BGl_proc1884z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_kwotez00zzast_nodez00, BGl_proc1886z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7, BGl_varz00zzast_nodez00,
				BGl_proc1887z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_closurez00zzast_nodez00, BGl_proc1888z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_sequencez00zzast_nodez00, BGl_proc1889z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_syncz00zzast_nodez00, BGl_proc1890z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7, BGl_appz00zzast_nodez00,
				BGl_proc1891z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1892z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_funcallz00zzast_nodez00, BGl_proc1893z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_externz00zzast_nodez00, BGl_proc1894z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_castz00zzast_nodez00, BGl_proc1895z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_setqz00zzast_nodez00, BGl_proc1896z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc1897z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_failz00zzast_nodez00, BGl_proc1898z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_switchz00zzast_nodez00, BGl_proc1899z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1900z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1901z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1902z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1903z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1904z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1905z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1906z00zzglobaliza7e_escapeza7,
				BGl_string1885z00zzglobaliza7e_escapeza7);
		}

	}



/* &escape!-box-ref1368 */
	obj_t BGl_z62escapez12zd2boxzd2ref1368z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2687, obj_t BgL_nodez00_2688, obj_t BgL_oz00_2689)
	{
		{	/* Globalize/escape.scm 260 */
			{	/* Globalize/escape.scm 262 */
				BgL_varz00_bglt BgL_arg1678z00_2792;

				BgL_arg1678z00_2792 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2688)))->BgL_varz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(
					((BgL_nodez00_bglt) BgL_arg1678z00_2792),
					((BgL_variablez00_bglt) BgL_oz00_2689));
			}
		}

	}



/* &escape!-box-set!1366 */
	obj_t BGl_z62escapez12zd2boxzd2setz121366z62zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2690, obj_t BgL_nodez00_2691, obj_t BgL_oz00_2692)
	{
		{	/* Globalize/escape.scm 253 */
			{	/* Globalize/escape.scm 255 */
				BgL_nodez00_bglt BgL_arg1676z00_2794;

				BgL_arg1676z00_2794 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2691)))->BgL_valuez00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1676z00_2794,
					((BgL_variablez00_bglt) BgL_oz00_2692));
			}
		}

	}



/* &escape!-make-box1364 */
	obj_t BGl_z62escapez12zd2makezd2box1364z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2693, obj_t BgL_nodez00_2694, obj_t BgL_oz00_2695)
	{
		{	/* Globalize/escape.scm 247 */
			{	/* Globalize/escape.scm 248 */
				BgL_nodez00_bglt BgL_arg1675z00_2796;

				BgL_arg1675z00_2796 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2694)))->BgL_valuez00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1675z00_2796,
					((BgL_variablez00_bglt) BgL_oz00_2695));
			}
		}

	}



/* &escape!-jump-ex-it1362 */
	obj_t BGl_z62escapez12zd2jumpzd2exzd2it1362za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2696, obj_t BgL_nodez00_2697, obj_t BgL_oz00_2698)
	{
		{	/* Globalize/escape.scm 239 */
			{	/* Globalize/escape.scm 241 */
				BgL_nodez00_bglt BgL_arg1667z00_2798;

				BgL_arg1667z00_2798 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2697)))->BgL_exitz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1667z00_2798,
					((BgL_variablez00_bglt) BgL_oz00_2698));
			}
			{	/* Globalize/escape.scm 242 */
				BgL_nodez00_bglt BgL_arg1668z00_2799;

				BgL_arg1668z00_2799 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2697)))->BgL_valuez00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1668z00_2799,
					((BgL_variablez00_bglt) BgL_oz00_2698));
			}
		}

	}



/* &escape!-set-ex-it1360 */
	obj_t BGl_z62escapez12zd2setzd2exzd2it1360za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2699, obj_t BgL_nodez00_2700, obj_t BgL_oz00_2701)
	{
		{	/* Globalize/escape.scm 230 */
			{	/* Globalize/escape.scm 232 */
				BgL_sexitz00_bglt BgL_tmp1152z00_2801;

				BgL_tmp1152z00_2801 =
					((BgL_sexitz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt)
										(((BgL_varz00_bglt) COBJECT(
													(((BgL_setzd2exzd2itz00_bglt) COBJECT(
																((BgL_setzd2exzd2itz00_bglt)
																	BgL_nodez00_2700)))->BgL_varz00)))->
											BgL_variablez00)))))->BgL_valuez00));
				{	/* Globalize/escape.scm 232 */
					BgL_sexitzf2ginfozf2_bglt BgL_wide1154z00_2802;

					BgL_wide1154z00_2802 =
						((BgL_sexitzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sexitzf2ginfozf2_bgl))));
					{	/* Globalize/escape.scm 232 */
						obj_t BgL_auxz00_3410;
						BgL_objectz00_bglt BgL_tmpz00_3407;

						BgL_auxz00_3410 = ((obj_t) BgL_wide1154z00_2802);
						BgL_tmpz00_3407 =
							((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_tmp1152z00_2801));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3407, BgL_auxz00_3410);
					}
					((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_tmp1152z00_2801));
					{	/* Globalize/escape.scm 232 */
						long BgL_arg1652z00_2803;

						BgL_arg1652z00_2803 =
							BGL_CLASS_NUM(BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_tmp1152z00_2801)),
							BgL_arg1652z00_2803);
					}
					((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_tmp1152z00_2801));
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_3421;

					{
						obj_t BgL_auxz00_3422;

						{	/* Globalize/escape.scm 232 */
							BgL_objectz00_bglt BgL_tmpz00_3423;

							BgL_tmpz00_3423 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_tmp1152z00_2801));
							BgL_auxz00_3422 = BGL_OBJECT_WIDENING(BgL_tmpz00_3423);
						}
						BgL_auxz00_3421 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_3422);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3421))->
							BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_3429;

					{
						obj_t BgL_auxz00_3430;

						{	/* Globalize/escape.scm 232 */
							BgL_objectz00_bglt BgL_tmpz00_3431;

							BgL_tmpz00_3431 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_tmp1152z00_2801));
							BgL_auxz00_3430 = BGL_OBJECT_WIDENING(BgL_tmpz00_3431);
						}
						BgL_auxz00_3429 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_3430);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3429))->
							BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_3437;

					{
						obj_t BgL_auxz00_3438;

						{	/* Globalize/escape.scm 232 */
							BgL_objectz00_bglt BgL_tmpz00_3439;

							BgL_tmpz00_3439 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_tmp1152z00_2801));
							BgL_auxz00_3438 = BGL_OBJECT_WIDENING(BgL_tmpz00_3439);
						}
						BgL_auxz00_3437 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_3438);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3437))->
							BgL_freezd2markzd2) = ((long) ((long) -10)), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_3445;

					{
						obj_t BgL_auxz00_3446;

						{	/* Globalize/escape.scm 232 */
							BgL_objectz00_bglt BgL_tmpz00_3447;

							BgL_tmpz00_3447 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_tmp1152z00_2801));
							BgL_auxz00_3446 = BGL_OBJECT_WIDENING(BgL_tmpz00_3447);
						}
						BgL_auxz00_3445 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_3446);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3445))->
							BgL_markz00) = ((long) ((long) -10)), BUNSPEC);
				}
				((BgL_sexitz00_bglt) BgL_tmp1152z00_2801);
			}
			{	/* Globalize/escape.scm 233 */
				BgL_nodez00_bglt BgL_arg1660z00_2804;

				BgL_arg1660z00_2804 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2700)))->BgL_onexitz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1660z00_2804,
					((BgL_variablez00_bglt) BgL_oz00_2701));
			}
			{	/* Globalize/escape.scm 234 */
				BgL_nodez00_bglt BgL_arg1665z00_2805;

				BgL_arg1665z00_2805 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2700)))->BgL_bodyz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1665z00_2805,
					((BgL_variablez00_bglt) BgL_oz00_2701));
			}
		}

	}



/* &escape!-let-var1358 */
	obj_t BGl_z62escapez12zd2letzd2var1358z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2702, obj_t BgL_nodez00_2703, obj_t BgL_oz00_2704)
	{
		{	/* Globalize/escape.scm 219 */
			{	/* Globalize/escape.scm 220 */
				bool_t BgL_tmpz00_3462;

				{	/* Globalize/escape.scm 221 */
					BgL_nodez00_bglt BgL_arg1619z00_2807;

					BgL_arg1619z00_2807 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2703)))->BgL_bodyz00);
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1619z00_2807,
						((BgL_variablez00_bglt) BgL_oz00_2704));
				}
				{	/* Globalize/escape.scm 222 */
					obj_t BgL_g1305z00_2808;

					BgL_g1305z00_2808 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2703)))->BgL_bindingsz00);
					{
						obj_t BgL_l1303z00_2810;

						BgL_l1303z00_2810 = BgL_g1305z00_2808;
					BgL_zc3z04anonymousza31620ze3z87_2809:
						if (PAIRP(BgL_l1303z00_2810))
							{	/* Globalize/escape.scm 222 */
								{	/* Globalize/escape.scm 223 */
									obj_t BgL_bindingz00_2811;

									BgL_bindingz00_2811 = CAR(BgL_l1303z00_2810);
									{	/* Globalize/escape.scm 223 */
										BgL_svarz00_bglt BgL_tmp1147z00_2812;

										BgL_tmp1147z00_2812 =
											((BgL_svarz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_bindingz00_2811))))))->
												BgL_valuez00));
										{	/* Globalize/escape.scm 223 */
											BgL_svarzf2ginfozf2_bglt BgL_wide1149z00_2813;

											BgL_wide1149z00_2813 =
												((BgL_svarzf2ginfozf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_svarzf2ginfozf2_bgl))));
											{	/* Globalize/escape.scm 223 */
												obj_t BgL_auxz00_3482;
												BgL_objectz00_bglt BgL_tmpz00_3479;

												BgL_auxz00_3482 = ((obj_t) BgL_wide1149z00_2813);
												BgL_tmpz00_3479 =
													((BgL_objectz00_bglt)
													((BgL_svarz00_bglt) BgL_tmp1147z00_2812));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3479,
													BgL_auxz00_3482);
											}
											((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1147z00_2812));
											{	/* Globalize/escape.scm 223 */
												long BgL_arg1632z00_2814;

												BgL_arg1632z00_2814 =
													BGL_CLASS_NUM
													(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_svarz00_bglt) BgL_tmp1147z00_2812)),
													BgL_arg1632z00_2814);
											}
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1147z00_2812));
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3493;

											{
												obj_t BgL_auxz00_3494;

												{	/* Globalize/escape.scm 223 */
													BgL_objectz00_bglt BgL_tmpz00_3495;

													BgL_tmpz00_3495 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1147z00_2812));
													BgL_auxz00_3494 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3495);
												}
												BgL_auxz00_3493 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3494);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3493))->
													BgL_kapturedzf3zf3) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3501;

											{
												obj_t BgL_auxz00_3502;

												{	/* Globalize/escape.scm 223 */
													BgL_objectz00_bglt BgL_tmpz00_3503;

													BgL_tmpz00_3503 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1147z00_2812));
													BgL_auxz00_3502 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3503);
												}
												BgL_auxz00_3501 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3502);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3501))->
													BgL_freezd2markzd2) = ((long) ((long) -10)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3509;

											{
												obj_t BgL_auxz00_3510;

												{	/* Globalize/escape.scm 223 */
													BgL_objectz00_bglt BgL_tmpz00_3511;

													BgL_tmpz00_3511 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1147z00_2812));
													BgL_auxz00_3510 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3511);
												}
												BgL_auxz00_3509 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3510);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3509))->
													BgL_markz00) = ((long) ((long) -10)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3517;

											{
												obj_t BgL_auxz00_3518;

												{	/* Globalize/escape.scm 223 */
													BgL_objectz00_bglt BgL_tmpz00_3519;

													BgL_tmpz00_3519 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1147z00_2812));
													BgL_auxz00_3518 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3519);
												}
												BgL_auxz00_3517 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3518);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3517))->
													BgL_celledzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3525;

											{
												obj_t BgL_auxz00_3526;

												{	/* Globalize/escape.scm 223 */
													BgL_objectz00_bglt BgL_tmpz00_3527;

													BgL_tmpz00_3527 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1147z00_2812));
													BgL_auxz00_3526 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3527);
												}
												BgL_auxz00_3525 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3526);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3525))->
													BgL_stackablez00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
										}
										((BgL_svarz00_bglt) BgL_tmp1147z00_2812);
									}
									{	/* Globalize/escape.scm 224 */
										obj_t BgL_arg1636z00_2815;

										BgL_arg1636z00_2815 = CDR(((obj_t) BgL_bindingz00_2811));
										BGl_escapez12z12zzglobaliza7e_escapeza7(
											((BgL_nodez00_bglt) BgL_arg1636z00_2815),
											((BgL_variablez00_bglt) BgL_oz00_2704));
								}}
								{
									obj_t BgL_l1303z00_3539;

									BgL_l1303z00_3539 = CDR(BgL_l1303z00_2810);
									BgL_l1303z00_2810 = BgL_l1303z00_3539;
									goto BgL_zc3z04anonymousza31620ze3z87_2809;
								}
							}
						else
							{	/* Globalize/escape.scm 222 */
								BgL_tmpz00_3462 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_3462);
			}
		}

	}



/* &escape!-let-fun1356 */
	obj_t BGl_z62escapez12zd2letzd2fun1356z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2705, obj_t BgL_nodez00_2706, obj_t BgL_oz00_2707)
	{
		{	/* Globalize/escape.scm 196 */
			{	/* Globalize/escape.scm 199 */
				obj_t BgL_g1299z00_2817;

				BgL_g1299z00_2817 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2706)))->BgL_localsz00);
				{
					obj_t BgL_l1297z00_2819;

					BgL_l1297z00_2819 = BgL_g1299z00_2817;
				BgL_zc3z04anonymousza31587ze3z87_2818:
					if (PAIRP(BgL_l1297z00_2819))
						{	/* Globalize/escape.scm 199 */
							{	/* Globalize/escape.scm 200 */
								obj_t BgL_localz00_2820;

								BgL_localz00_2820 = CAR(BgL_l1297z00_2819);
								{	/* Globalize/escape.scm 200 */
									BgL_localzf2ginfozf2_bglt BgL_wide1136z00_2821;

									BgL_wide1136z00_2821 =
										((BgL_localzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_localzf2ginfozf2_bgl))));
									{	/* Globalize/escape.scm 200 */
										obj_t BgL_auxz00_3552;
										BgL_objectz00_bglt BgL_tmpz00_3548;

										BgL_auxz00_3552 = ((obj_t) BgL_wide1136z00_2821);
										BgL_tmpz00_3548 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_localz00_2820)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3548, BgL_auxz00_3552);
									}
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt)
											((BgL_localz00_bglt) BgL_localz00_2820)));
									{	/* Globalize/escape.scm 200 */
										long BgL_arg1595z00_2822;

										BgL_arg1595z00_2822 =
											BGL_CLASS_NUM(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2820))),
											BgL_arg1595z00_2822);
									}
									((BgL_localz00_bglt)
										((BgL_localz00_bglt)
											((BgL_localz00_bglt) BgL_localz00_2820)));
								}
								{
									BgL_localzf2ginfozf2_bglt BgL_auxz00_3566;

									{
										obj_t BgL_auxz00_3567;

										{	/* Globalize/escape.scm 200 */
											BgL_objectz00_bglt BgL_tmpz00_3568;

											BgL_tmpz00_3568 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2820)));
											BgL_auxz00_3567 = BGL_OBJECT_WIDENING(BgL_tmpz00_3568);
										}
										BgL_auxz00_3566 =
											((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3567);
									}
									((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3566))->
											BgL_escapezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
								}
								{
									BgL_localzf2ginfozf2_bglt BgL_auxz00_3575;

									{
										obj_t BgL_auxz00_3576;

										{	/* Globalize/escape.scm 200 */
											BgL_objectz00_bglt BgL_tmpz00_3577;

											BgL_tmpz00_3577 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2820)));
											BgL_auxz00_3576 = BGL_OBJECT_WIDENING(BgL_tmpz00_3577);
										}
										BgL_auxz00_3575 =
											((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3576);
									}
									((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3575))->
											BgL_globaliza7edzf3z54) =
										((bool_t) ((bool_t) 0)), BUNSPEC);
								}
								((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_localz00_2820));
								{	/* Globalize/escape.scm 201 */
									BgL_valuez00_bglt BgL_funz00_2823;

									BgL_funz00_2823 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2820))))->
										BgL_valuez00);
									{	/* Globalize/escape.scm 202 */
										BgL_sfunzf2ginfozf2_bglt BgL_wide1140z00_2824;

										BgL_wide1140z00_2824 =
											((BgL_sfunzf2ginfozf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sfunzf2ginfozf2_bgl))));
										{	/* Globalize/escape.scm 202 */
											obj_t BgL_auxz00_3594;
											BgL_objectz00_bglt BgL_tmpz00_3590;

											BgL_auxz00_3594 = ((obj_t) BgL_wide1140z00_2824);
											BgL_tmpz00_3590 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_2823)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3590, BgL_auxz00_3594);
										}
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_2823)));
										{	/* Globalize/escape.scm 202 */
											long BgL_arg1597z00_2825;

											BgL_arg1597z00_2825 =
												BGL_CLASS_NUM
												(BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
											BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
														(BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
															BgL_funz00_2823))), BgL_arg1597z00_2825);
										}
										((BgL_sfunz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_2823)));
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3608;

										{
											obj_t BgL_auxz00_3609;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3610;

												BgL_tmpz00_3610 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3609 = BGL_OBJECT_WIDENING(BgL_tmpz00_3610);
											}
											BgL_auxz00_3608 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3609);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3608))->
												BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3617;

										{
											obj_t BgL_auxz00_3618;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3619;

												BgL_tmpz00_3619 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3618 = BGL_OBJECT_WIDENING(BgL_tmpz00_3619);
											}
											BgL_auxz00_3617 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3618);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3617))->
												BgL_cfromz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3626;

										{
											obj_t BgL_auxz00_3627;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3628;

												BgL_tmpz00_3628 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3627 = BGL_OBJECT_WIDENING(BgL_tmpz00_3628);
											}
											BgL_auxz00_3626 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3627);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3626))->
												BgL_cfromza2za2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3635;

										{
											obj_t BgL_auxz00_3636;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3637;

												BgL_tmpz00_3637 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3636 = BGL_OBJECT_WIDENING(BgL_tmpz00_3637);
											}
											BgL_auxz00_3635 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3636);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3635))->
												BgL_ctoz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3644;

										{
											obj_t BgL_auxz00_3645;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3646;

												BgL_tmpz00_3646 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3645 = BGL_OBJECT_WIDENING(BgL_tmpz00_3646);
											}
											BgL_auxz00_3644 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3645);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3644))->
												BgL_ctoza2za2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3653;

										{
											obj_t BgL_auxz00_3654;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3655;

												BgL_tmpz00_3655 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3654 = BGL_OBJECT_WIDENING(BgL_tmpz00_3655);
											}
											BgL_auxz00_3653 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3654);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3653))->
												BgL_efunctionsz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3662;

										{
											obj_t BgL_auxz00_3663;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3664;

												BgL_tmpz00_3664 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3663 = BGL_OBJECT_WIDENING(BgL_tmpz00_3664);
											}
											BgL_auxz00_3662 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3663);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3662))->
												BgL_integratorz00) = ((obj_t) BUNSPEC), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3671;

										{
											obj_t BgL_auxz00_3672;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3673;

												BgL_tmpz00_3673 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3672 = BGL_OBJECT_WIDENING(BgL_tmpz00_3673);
											}
											BgL_auxz00_3671 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3672);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3671))->
												BgL_imarkz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3680;

										{
											obj_t BgL_auxz00_3681;

											{	/* Globalize/escape.scm 203 */
												BgL_objectz00_bglt BgL_tmpz00_3682;

												BgL_tmpz00_3682 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3681 = BGL_OBJECT_WIDENING(BgL_tmpz00_3682);
											}
											BgL_auxz00_3680 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3681);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3680))->
												BgL_ownerz00) = ((obj_t) BgL_oz00_2707), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3689;

										{
											obj_t BgL_auxz00_3690;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3691;

												BgL_tmpz00_3691 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3690 = BGL_OBJECT_WIDENING(BgL_tmpz00_3691);
											}
											BgL_auxz00_3689 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3690);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3689))->
												BgL_integratedz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3698;

										{
											obj_t BgL_auxz00_3699;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3700;

												BgL_tmpz00_3700 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3699 = BGL_OBJECT_WIDENING(BgL_tmpz00_3700);
											}
											BgL_auxz00_3698 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3699);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3698))->
												BgL_pluggedzd2inzd2) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3707;

										{
											obj_t BgL_auxz00_3708;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3709;

												BgL_tmpz00_3709 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3708 = BGL_OBJECT_WIDENING(BgL_tmpz00_3709);
											}
											BgL_auxz00_3707 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3708);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3707))->
												BgL_markz00) = ((long) ((long) -10)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3716;

										{
											obj_t BgL_auxz00_3717;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3718;

												BgL_tmpz00_3718 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3717 = BGL_OBJECT_WIDENING(BgL_tmpz00_3718);
											}
											BgL_auxz00_3716 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3717);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3716))->
												BgL_freezd2markzd2) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3725;

										{
											obj_t BgL_auxz00_3726;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3727;

												BgL_tmpz00_3727 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3726 = BGL_OBJECT_WIDENING(BgL_tmpz00_3727);
											}
											BgL_auxz00_3725 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3726);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3725))->
												BgL_thezd2globalzd2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3734;

										{
											obj_t BgL_auxz00_3735;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3736;

												BgL_tmpz00_3736 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3735 = BGL_OBJECT_WIDENING(BgL_tmpz00_3736);
											}
											BgL_auxz00_3734 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3735);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3734))->
												BgL_kapturedz00) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3743;

										{
											obj_t BgL_auxz00_3744;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3745;

												BgL_tmpz00_3745 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3744 = BGL_OBJECT_WIDENING(BgL_tmpz00_3745);
											}
											BgL_auxz00_3743 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3744);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3743))->
												BgL_newzd2bodyzd2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3752;

										{
											obj_t BgL_auxz00_3753;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3754;

												BgL_tmpz00_3754 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3753 = BGL_OBJECT_WIDENING(BgL_tmpz00_3754);
											}
											BgL_auxz00_3752 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3753);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3752))->
												BgL_bmarkz00) = ((long) ((long) -10)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3761;

										{
											obj_t BgL_auxz00_3762;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3763;

												BgL_tmpz00_3763 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3762 = BGL_OBJECT_WIDENING(BgL_tmpz00_3763);
											}
											BgL_auxz00_3761 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3762);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3761))->
												BgL_umarkz00) = ((long) ((long) -10)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3770;

										{
											obj_t BgL_auxz00_3771;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3772;

												BgL_tmpz00_3772 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3771 = BGL_OBJECT_WIDENING(BgL_tmpz00_3772);
											}
											BgL_auxz00_3770 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3771);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3770))->
												BgL_freez00) = ((obj_t) BUNSPEC), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3779;

										{
											obj_t BgL_auxz00_3780;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3781;

												BgL_tmpz00_3781 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2823)));
												BgL_auxz00_3780 = BGL_OBJECT_WIDENING(BgL_tmpz00_3781);
											}
											BgL_auxz00_3779 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3780);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3779))->
												BgL_boundz00) = ((obj_t) BNIL), BUNSPEC);
									}
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2823));
									{	/* Globalize/escape.scm 204 */
										obj_t BgL_g1296z00_2826;

										BgL_g1296z00_2826 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2823)))->BgL_argsz00);
										{
											obj_t BgL_l1294z00_2828;

											BgL_l1294z00_2828 = BgL_g1296z00_2826;
										BgL_zc3z04anonymousza31598ze3z87_2827:
											if (PAIRP(BgL_l1294z00_2828))
												{	/* Globalize/escape.scm 206 */
													{	/* Globalize/escape.scm 205 */
														obj_t BgL_localz00_2829;

														BgL_localz00_2829 = CAR(BgL_l1294z00_2828);
														{	/* Globalize/escape.scm 205 */
															BgL_svarz00_bglt BgL_tmp1142z00_2830;

															BgL_tmp1142z00_2830 =
																((BgL_svarz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_localz00_2829))))->BgL_valuez00));
															{	/* Globalize/escape.scm 205 */
																BgL_svarzf2ginfozf2_bglt BgL_wide1144z00_2831;

																BgL_wide1144z00_2831 =
																	((BgL_svarzf2ginfozf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_svarzf2ginfozf2_bgl))));
																{	/* Globalize/escape.scm 205 */
																	obj_t BgL_auxz00_3803;
																	BgL_objectz00_bglt BgL_tmpz00_3800;

																	BgL_auxz00_3803 =
																		((obj_t) BgL_wide1144z00_2831);
																	BgL_tmpz00_3800 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1142z00_2830));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3800,
																		BgL_auxz00_3803);
																}
																((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1142z00_2830));
																{	/* Globalize/escape.scm 205 */
																	long BgL_arg1601z00_2832;

																	BgL_arg1601z00_2832 =
																		BGL_CLASS_NUM
																		(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1142z00_2830)),
																		BgL_arg1601z00_2832);
																}
																((BgL_svarz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1142z00_2830));
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3814;

																{
																	obj_t BgL_auxz00_3815;

																	{	/* Globalize/escape.scm 205 */
																		BgL_objectz00_bglt BgL_tmpz00_3816;

																		BgL_tmpz00_3816 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1142z00_2830));
																		BgL_auxz00_3815 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3816);
																	}
																	BgL_auxz00_3814 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3815);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3814))->
																		BgL_kapturedzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3822;

																{
																	obj_t BgL_auxz00_3823;

																	{	/* Globalize/escape.scm 205 */
																		BgL_objectz00_bglt BgL_tmpz00_3824;

																		BgL_tmpz00_3824 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1142z00_2830));
																		BgL_auxz00_3823 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3824);
																	}
																	BgL_auxz00_3822 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3823);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3822))->
																		BgL_freezd2markzd2) =
																	((long) ((long) -10)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3830;

																{
																	obj_t BgL_auxz00_3831;

																	{	/* Globalize/escape.scm 205 */
																		BgL_objectz00_bglt BgL_tmpz00_3832;

																		BgL_tmpz00_3832 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1142z00_2830));
																		BgL_auxz00_3831 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3832);
																	}
																	BgL_auxz00_3830 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3831);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3830))->BgL_markz00) =
																	((long) ((long) -10)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3838;

																{
																	obj_t BgL_auxz00_3839;

																	{	/* Globalize/escape.scm 205 */
																		BgL_objectz00_bglt BgL_tmpz00_3840;

																		BgL_tmpz00_3840 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1142z00_2830));
																		BgL_auxz00_3839 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3840);
																	}
																	BgL_auxz00_3838 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3839);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3838))->
																		BgL_celledzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3846;

																{
																	obj_t BgL_auxz00_3847;

																	{	/* Globalize/escape.scm 205 */
																		BgL_objectz00_bglt BgL_tmpz00_3848;

																		BgL_tmpz00_3848 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1142z00_2830));
																		BgL_auxz00_3847 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3848);
																	}
																	BgL_auxz00_3846 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3847);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3846))->
																		BgL_stackablez00) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
															}
															((BgL_svarz00_bglt) BgL_tmp1142z00_2830);
													}}
													{
														obj_t BgL_l1294z00_3855;

														BgL_l1294z00_3855 = CDR(BgL_l1294z00_2828);
														BgL_l1294z00_2828 = BgL_l1294z00_3855;
														goto BgL_zc3z04anonymousza31598ze3z87_2827;
													}
												}
											else
												{	/* Globalize/escape.scm 206 */
													((bool_t) 1);
												}
										}
									}
								}
							}
							{
								obj_t BgL_l1297z00_3857;

								BgL_l1297z00_3857 = CDR(BgL_l1297z00_2819);
								BgL_l1297z00_2819 = BgL_l1297z00_3857;
								goto BgL_zc3z04anonymousza31587ze3z87_2818;
							}
						}
					else
						{	/* Globalize/escape.scm 199 */
							((bool_t) 1);
						}
				}
			}
			{	/* Globalize/escape.scm 209 */
				obj_t BgL_g1302z00_2833;

				BgL_g1302z00_2833 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2706)))->BgL_localsz00);
				{
					obj_t BgL_l1300z00_2835;

					BgL_l1300z00_2835 = BgL_g1302z00_2833;
				BgL_zc3z04anonymousza31604ze3z87_2834:
					if (PAIRP(BgL_l1300z00_2835))
						{	/* Globalize/escape.scm 209 */
							{	/* Globalize/escape.scm 210 */
								obj_t BgL_localz00_2836;

								BgL_localz00_2836 = CAR(BgL_l1300z00_2835);
								{	/* Globalize/escape.scm 210 */
									BgL_valuez00_bglt BgL_funz00_2837;

									BgL_funz00_2837 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2836))))->
										BgL_valuez00);
									{	/* Globalize/escape.scm 211 */
										obj_t BgL_arg1606z00_2838;

										BgL_arg1606z00_2838 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2837)))->BgL_bodyz00);
										BGl_escapez12z12zzglobaliza7e_escapeza7(
											((BgL_nodez00_bglt) BgL_arg1606z00_2838),
											((BgL_variablez00_bglt) BgL_localz00_2836));
									}
								}
							}
							{
								obj_t BgL_l1300z00_3872;

								BgL_l1300z00_3872 = CDR(BgL_l1300z00_2835);
								BgL_l1300z00_2835 = BgL_l1300z00_3872;
								goto BgL_zc3z04anonymousza31604ze3z87_2834;
							}
						}
					else
						{	/* Globalize/escape.scm 209 */
							((bool_t) 1);
						}
				}
			}
			{	/* Globalize/escape.scm 214 */
				BgL_nodez00_bglt BgL_arg1613z00_2839;

				BgL_arg1613z00_2839 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2706)))->BgL_bodyz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1613z00_2839,
					((BgL_variablez00_bglt) BgL_oz00_2707));
			}
		}

	}



/* &escape!-switch1354 */
	obj_t BGl_z62escapez12zd2switch1354za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2708, obj_t BgL_nodez00_2709, obj_t BgL_oz00_2710)
	{
		{	/* Globalize/escape.scm 182 */
			{	/* Globalize/escape.scm 183 */
				bool_t BgL_tmpz00_3878;

				{	/* Globalize/escape.scm 184 */
					BgL_nodez00_bglt BgL_arg1581z00_2841;

					BgL_arg1581z00_2841 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2709)))->BgL_testz00);
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1581z00_2841,
						((BgL_variablez00_bglt) BgL_oz00_2710));
				}
				{	/* Globalize/escape.scm 185 */
					obj_t BgL_g1293z00_2842;

					BgL_g1293z00_2842 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2709)))->BgL_clausesz00);
					{
						obj_t BgL_l1291z00_2844;

						BgL_l1291z00_2844 = BgL_g1293z00_2842;
					BgL_zc3z04anonymousza31582ze3z87_2843:
						if (PAIRP(BgL_l1291z00_2844))
							{	/* Globalize/escape.scm 185 */
								{	/* Globalize/escape.scm 186 */
									obj_t BgL_clausez00_2845;

									BgL_clausez00_2845 = CAR(BgL_l1291z00_2844);
									{	/* Globalize/escape.scm 186 */
										obj_t BgL_arg1585z00_2846;

										BgL_arg1585z00_2846 = CDR(((obj_t) BgL_clausez00_2845));
										BGl_escapez12z12zzglobaliza7e_escapeza7(
											((BgL_nodez00_bglt) BgL_arg1585z00_2846),
											((BgL_variablez00_bglt) BgL_oz00_2710));
									}
								}
								{
									obj_t BgL_l1291z00_3893;

									BgL_l1291z00_3893 = CDR(BgL_l1291z00_2844);
									BgL_l1291z00_2844 = BgL_l1291z00_3893;
									goto BgL_zc3z04anonymousza31582ze3z87_2843;
								}
							}
						else
							{	/* Globalize/escape.scm 185 */
								BgL_tmpz00_3878 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_3878);
			}
		}

	}



/* &escape!-fail1352 */
	obj_t BGl_z62escapez12zd2fail1352za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2711, obj_t BgL_nodez00_2712, obj_t BgL_oz00_2713)
	{
		{	/* Globalize/escape.scm 173 */
			{	/* Globalize/escape.scm 175 */
				BgL_nodez00_bglt BgL_arg1570z00_2848;

				BgL_arg1570z00_2848 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2712)))->BgL_procz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1570z00_2848,
					((BgL_variablez00_bglt) BgL_oz00_2713));
			}
			{	/* Globalize/escape.scm 176 */
				BgL_nodez00_bglt BgL_arg1571z00_2849;

				BgL_arg1571z00_2849 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2712)))->BgL_msgz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1571z00_2849,
					((BgL_variablez00_bglt) BgL_oz00_2713));
			}
			{	/* Globalize/escape.scm 177 */
				BgL_nodez00_bglt BgL_arg1578z00_2850;

				BgL_arg1578z00_2850 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2712)))->BgL_objz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1578z00_2850,
					((BgL_variablez00_bglt) BgL_oz00_2713));
			}
		}

	}



/* &escape!-conditional1350 */
	obj_t BGl_z62escapez12zd2conditional1350za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2714, obj_t BgL_nodez00_2715, obj_t BgL_oz00_2716)
	{
		{	/* Globalize/escape.scm 164 */
			{	/* Globalize/escape.scm 166 */
				BgL_nodez00_bglt BgL_arg1563z00_2852;

				BgL_arg1563z00_2852 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2715)))->BgL_testz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1563z00_2852,
					((BgL_variablez00_bglt) BgL_oz00_2716));
			}
			{	/* Globalize/escape.scm 167 */
				BgL_nodez00_bglt BgL_arg1564z00_2853;

				BgL_arg1564z00_2853 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2715)))->BgL_truez00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1564z00_2853,
					((BgL_variablez00_bglt) BgL_oz00_2716));
			}
			{	/* Globalize/escape.scm 168 */
				BgL_nodez00_bglt BgL_arg1567z00_2854;

				BgL_arg1567z00_2854 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2715)))->BgL_falsez00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1567z00_2854,
					((BgL_variablez00_bglt) BgL_oz00_2716));
			}
		}

	}



/* &escape!-setq1348 */
	obj_t BGl_z62escapez12zd2setq1348za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2717, obj_t BgL_nodez00_2718, obj_t BgL_oz00_2719)
	{
		{	/* Globalize/escape.scm 157 */
			{	/* Globalize/escape.scm 159 */
				BgL_nodez00_bglt BgL_arg1555z00_2856;

				BgL_arg1555z00_2856 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2718)))->BgL_valuez00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1555z00_2856,
					((BgL_variablez00_bglt) BgL_oz00_2719));
			}
		}

	}



/* &escape!-cast1346 */
	obj_t BGl_z62escapez12zd2cast1346za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2720, obj_t BgL_nodez00_2721, obj_t BgL_oz00_2722)
	{
		{	/* Globalize/escape.scm 151 */
			{	/* Globalize/escape.scm 152 */
				BgL_nodez00_bglt BgL_arg1554z00_2858;

				BgL_arg1554z00_2858 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2721)))->BgL_argz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1554z00_2858,
					((BgL_variablez00_bglt) BgL_oz00_2722));
			}
		}

	}



/* &escape!-extern1344 */
	obj_t BGl_z62escapez12zd2extern1344za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2723, obj_t BgL_nodez00_2724, obj_t BgL_oz00_2725)
	{
		{	/* Globalize/escape.scm 145 */
			return
				BBOOL(BGl_escapeza2z12zb0zzglobaliza7e_escapeza7(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2724)))->BgL_exprza2za2),
					BgL_oz00_2725));
		}

	}



/* &escape!-funcall1342 */
	obj_t BGl_z62escapez12zd2funcall1342za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2726, obj_t BgL_nodez00_2727, obj_t BgL_oz00_2728)
	{
		{	/* Globalize/escape.scm 137 */
			{	/* Globalize/escape.scm 138 */
				bool_t BgL_tmpz00_3932;

				{	/* Globalize/escape.scm 139 */
					BgL_nodez00_bglt BgL_arg1548z00_2861;

					BgL_arg1548z00_2861 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2727)))->BgL_funz00);
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1548z00_2861,
						((BgL_variablez00_bglt) BgL_oz00_2728));
				}
				BgL_tmpz00_3932 =
					BGl_escapeza2z12zb0zzglobaliza7e_escapeza7(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2727)))->BgL_argsz00),
					BgL_oz00_2728);
				return BBOOL(BgL_tmpz00_3932);
			}
		}

	}



/* &escape!-app-ly1340 */
	obj_t BGl_z62escapez12zd2appzd2ly1340z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2729, obj_t BgL_nodez00_2730, obj_t BgL_oz00_2731)
	{
		{	/* Globalize/escape.scm 129 */
			{	/* Globalize/escape.scm 131 */
				BgL_nodez00_bglt BgL_arg1542z00_2863;

				BgL_arg1542z00_2863 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2730)))->BgL_funz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1542z00_2863,
					((BgL_variablez00_bglt) BgL_oz00_2731));
			}
			{	/* Globalize/escape.scm 132 */
				BgL_nodez00_bglt BgL_arg1543z00_2864;

				BgL_arg1543z00_2864 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2730)))->BgL_argz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1543z00_2864,
					((BgL_variablez00_bglt) BgL_oz00_2731));
			}
		}

	}



/* &escape!-app1338 */
	obj_t BGl_z62escapez12zd2app1338za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2732, obj_t BgL_nodez00_2733, obj_t BgL_oz00_2734)
	{
		{	/* Globalize/escape.scm 122 */
			return
				BBOOL(BGl_escapeza2z12zb0zzglobaliza7e_escapeza7(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2733)))->BgL_argsz00),
					BgL_oz00_2734));
		}

	}



/* &escape!-sync1336 */
	obj_t BGl_z62escapez12zd2sync1336za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2735, obj_t BgL_nodez00_2736, obj_t BgL_oz00_2737)
	{
		{	/* Globalize/escape.scm 114 */
			{	/* Globalize/escape.scm 115 */
				BgL_nodez00_bglt BgL_arg1520z00_2867;

				BgL_arg1520z00_2867 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2736)))->BgL_mutexz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1520z00_2867,
					((BgL_variablez00_bglt) BgL_oz00_2737));
			}
			{	/* Globalize/escape.scm 116 */
				BgL_nodez00_bglt BgL_arg1524z00_2868;

				BgL_arg1524z00_2868 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2736)))->BgL_prelockz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1524z00_2868,
					((BgL_variablez00_bglt) BgL_oz00_2737));
			}
			{	/* Globalize/escape.scm 117 */
				BgL_nodez00_bglt BgL_arg1534z00_2869;

				BgL_arg1534z00_2869 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2736)))->BgL_bodyz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1534z00_2869,
					((BgL_variablez00_bglt) BgL_oz00_2737));
			}
		}

	}



/* &escape!-sequence1334 */
	obj_t BGl_z62escapez12zd2sequence1334za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2738, obj_t BgL_nodez00_2739, obj_t BgL_oz00_2740)
	{
		{	/* Globalize/escape.scm 108 */
			return
				BBOOL(BGl_escapeza2z12zb0zzglobaliza7e_escapeza7(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2739)))->BgL_nodesz00),
					BgL_oz00_2740));
		}

	}



/* &escape!-closure1332 */
	obj_t BGl_z62escapez12zd2closure1332za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2741, obj_t BgL_nodez00_2742, obj_t BgL_oz00_2743)
	{
		{	/* Globalize/escape.scm 102 */
			{	/* Globalize/escape.scm 103 */
				BgL_variablez00_bglt BgL_arg1497z00_2872;

				BgL_arg1497z00_2872 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt)
								((BgL_closurez00_bglt) BgL_nodez00_2742))))->BgL_variablez00);
				return
					BGl_setzd2escapingzd2funz12z12zzglobaliza7e_escapeza7
					(BgL_arg1497z00_2872);
			}
		}

	}



/* &escape!-var1330 */
	obj_t BGl_z62escapez12zd2var1330za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2744, obj_t BgL_nodez00_2745, obj_t BgL_oz00_2746)
	{
		{	/* Globalize/escape.scm 96 */
			return CNST_TABLE_REF(((long) 1));
		}

	}



/* &escape!-kwote1328 */
	obj_t BGl_z62escapez12zd2kwote1328za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2747, obj_t BgL_nodez00_2748, obj_t BgL_oz00_2749)
	{
		{	/* Globalize/escape.scm 90 */
			return CNST_TABLE_REF(((long) 1));
		}

	}



/* &escape!-atom1326 */
	obj_t BGl_z62escapez12zd2atom1326za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2750, obj_t BgL_nodez00_2751, obj_t BgL_oz00_2752)
	{
		{	/* Globalize/escape.scm 84 */
			return CNST_TABLE_REF(((long) 1));
		}

	}



/* &set-escaping-fun!-lo1321 */
	obj_t BGl_z62setzd2escapingzd2funz12zd2lo1321za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2753, obj_t BgL_variablez00_2754)
	{
		{	/* Globalize/escape.scm 73 */
			{
				BgL_localzf2ginfozf2_bglt BgL_auxz00_3976;

				{
					obj_t BgL_auxz00_3977;

					{	/* Globalize/escape.scm 74 */
						BgL_objectz00_bglt BgL_tmpz00_3978;

						BgL_tmpz00_3978 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_variablez00_2754));
						BgL_auxz00_3977 = BGL_OBJECT_WIDENING(BgL_tmpz00_3978);
					}
					BgL_auxz00_3976 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3977);
				}
				return
					((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3976))->
						BgL_escapezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
			}
		}

	}



/* &set-escaping-fun!-gl1319 */
	obj_t BGl_z62setzd2escapingzd2funz12zd2gl1319za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2755, obj_t BgL_variablez00_2756)
	{
		{	/* Globalize/escape.scm 67 */
			{
				BgL_globalzf2ginfozf2_bglt BgL_auxz00_3984;

				{
					obj_t BgL_auxz00_3985;

					{	/* Globalize/escape.scm 68 */
						BgL_objectz00_bglt BgL_tmpz00_3986;

						BgL_tmpz00_3986 =
							((BgL_objectz00_bglt)
							((BgL_globalz00_bglt) BgL_variablez00_2756));
						BgL_auxz00_3985 = BGL_OBJECT_WIDENING(BgL_tmpz00_3986);
					}
					BgL_auxz00_3984 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_3985);
				}
				return
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3984))->
						BgL_escapezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
			}
		}

	}



/* &set-escaping-fun!-gl1317 */
	obj_t BGl_z62setzd2escapingzd2funz12zd2gl1317za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2757, obj_t BgL_variablez00_2758)
	{
		{	/* Globalize/escape.scm 61 */
			{
				BgL_globalz00_bglt BgL_auxz00_3992;

				{	/* Globalize/escape.scm 62 */
					BgL_globalzf2ginfozf2_bglt BgL_wide1124z00_2879;

					BgL_wide1124z00_2879 =
						((BgL_globalzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_globalzf2ginfozf2_bgl))));
					{	/* Globalize/escape.scm 62 */
						obj_t BgL_auxz00_3998;
						BgL_objectz00_bglt BgL_tmpz00_3994;

						BgL_auxz00_3998 = ((obj_t) BgL_wide1124z00_2879);
						BgL_tmpz00_3994 =
							((BgL_objectz00_bglt)
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_variablez00_2758)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3994, BgL_auxz00_3998);
					}
					((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_variablez00_2758)));
					{	/* Globalize/escape.scm 62 */
						long BgL_arg1496z00_2880;

						BgL_arg1496z00_2880 =
							BGL_CLASS_NUM(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt) BgL_variablez00_2758))),
							BgL_arg1496z00_2880);
					}
					((BgL_globalz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_variablez00_2758)));
				}
				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_4012;

					{
						obj_t BgL_auxz00_4013;

						{	/* Globalize/escape.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_4014;

							BgL_tmpz00_4014 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt) BgL_variablez00_2758)));
							BgL_auxz00_4013 = BGL_OBJECT_WIDENING(BgL_tmpz00_4014);
						}
						BgL_auxz00_4012 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4013);
					}
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4012))->
							BgL_escapezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
				}
				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_4021;

					{
						obj_t BgL_auxz00_4022;

						{	/* Globalize/escape.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_4023;

							BgL_tmpz00_4023 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt) BgL_variablez00_2758)));
							BgL_auxz00_4022 = BGL_OBJECT_WIDENING(BgL_tmpz00_4023);
						}
						BgL_auxz00_4021 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4022);
					}
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4021))->
							BgL_globalzd2closurezd2) = ((obj_t) BFALSE), BUNSPEC);
				}
				BgL_auxz00_3992 =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_variablez00_2758));
				return ((obj_t) BgL_auxz00_3992);
			}
		}

	}



/* &escape-fun!-local1313 */
	obj_t BGl_z62escapezd2funz12zd2local1313z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2759, obj_t BgL_variablez00_2760)
	{
		{	/* Globalize/escape.scm 47 */
			{

				{	/* Globalize/escape.scm 48 */
					bool_t BgL_test1963z00_4033;

					{	/* Globalize/escape.scm 48 */
						obj_t BgL_classz00_2884;

						BgL_classz00_2884 = BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
						{	/* Globalize/escape.scm 48 */
							BgL_objectz00_bglt BgL_arg1825z00_2885;

							{	/* Globalize/escape.scm 48 */
								obj_t BgL_tmpz00_4034;

								BgL_tmpz00_4034 =
									((obj_t) ((BgL_localz00_bglt) BgL_variablez00_2760));
								BgL_arg1825z00_2885 = (BgL_objectz00_bglt) (BgL_tmpz00_4034);
							}
							{	/* Globalize/escape.scm 48 */
								bool_t BgL_arg1822z00_2886;
								bool_t BgL_arg1823z00_2887;

								{	/* Globalize/escape.scm 48 */
									long BgL_idxz00_2888;

									BgL_idxz00_2888 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2885);
									BgL_arg1822z00_2886 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2888 + ((long) 3))) == BgL_classz00_2884);
								}
								{	/* Globalize/escape.scm 48 */
									bool_t BgL_res1866z00_2891;

									{	/* Globalize/escape.scm 48 */
										obj_t BgL_oclassz00_2892;

										{	/* Globalize/escape.scm 48 */
											long BgL_arg1833z00_2893;

											{	/* Globalize/escape.scm 48 */
												long BgL_arg1834z00_2894;

												BgL_arg1834z00_2894 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2885);
												BgL_arg1833z00_2893 =
													(BgL_arg1834z00_2894 - OBJECT_TYPE);
											}
											BgL_oclassz00_2892 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2893);
										}
										{	/* Globalize/escape.scm 48 */
											bool_t BgL__ortest_1110z00_2895;

											BgL__ortest_1110z00_2895 =
												(BgL_classz00_2884 == BgL_oclassz00_2892);
											if (BgL__ortest_1110z00_2895)
												{	/* Globalize/escape.scm 48 */
													BgL_res1866z00_2891 = BgL__ortest_1110z00_2895;
												}
											else
												{	/* Globalize/escape.scm 48 */
													long BgL_odepthz00_2896;

													BgL_odepthz00_2896 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2892);
													if ((((long) 3) < BgL_odepthz00_2896))
														{	/* Globalize/escape.scm 48 */
															obj_t BgL_arg1821z00_2897;

															BgL_arg1821z00_2897 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2892,
																((long) 3));
															BgL_res1866z00_2891 =
																(BgL_arg1821z00_2897 == BgL_classz00_2884);
														}
													else
														{	/* Globalize/escape.scm 48 */
															BgL_res1866z00_2891 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2887 = BgL_res1866z00_2891;
								}
								BgL_test1963z00_4033 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2886, BgL_arg1823z00_2887);
							}
						}
					}
					if (BgL_test1963z00_4033)
						{	/* Globalize/escape.scm 48 */
							BFALSE;
						}
					else
						{	/* Globalize/escape.scm 48 */
							{	/* Globalize/escape.scm 49 */
								BgL_localzf2ginfozf2_bglt BgL_wide1120z00_2898;

								BgL_wide1120z00_2898 =
									((BgL_localzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localzf2ginfozf2_bgl))));
								{	/* Globalize/escape.scm 49 */
									obj_t BgL_auxz00_4058;
									BgL_objectz00_bglt BgL_tmpz00_4054;

									BgL_auxz00_4058 = ((obj_t) BgL_wide1120z00_2898);
									BgL_tmpz00_4054 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt)
											((BgL_localz00_bglt) BgL_variablez00_2760)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4054, BgL_auxz00_4058);
								}
								((BgL_objectz00_bglt)
									((BgL_localz00_bglt)
										((BgL_localz00_bglt) BgL_variablez00_2760)));
								{	/* Globalize/escape.scm 49 */
									long BgL_arg1494z00_2899;

									BgL_arg1494z00_2899 =
										BGL_CLASS_NUM(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_variablez00_2760))),
										BgL_arg1494z00_2899);
								}
								((BgL_localz00_bglt)
									((BgL_localz00_bglt)
										((BgL_localz00_bglt) BgL_variablez00_2760)));
							}
							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_4072;

								{
									obj_t BgL_auxz00_4073;

									{	/* Globalize/escape.scm 49 */
										BgL_objectz00_bglt BgL_tmpz00_4074;

										BgL_tmpz00_4074 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_variablez00_2760)));
										BgL_auxz00_4073 = BGL_OBJECT_WIDENING(BgL_tmpz00_4074);
									}
									BgL_auxz00_4072 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4073);
								}
								((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4072))->
										BgL_escapezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_4081;

								{
									obj_t BgL_auxz00_4082;

									{	/* Globalize/escape.scm 49 */
										BgL_objectz00_bglt BgL_tmpz00_4083;

										BgL_tmpz00_4083 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_variablez00_2760)));
										BgL_auxz00_4082 = BGL_OBJECT_WIDENING(BgL_tmpz00_4083);
									}
									BgL_auxz00_4081 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4082);
								}
								((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4081))->
										BgL_globaliza7edzf3z54) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							((obj_t)
								((BgL_localz00_bglt)
									((BgL_localz00_bglt) BgL_variablez00_2760)));
				}}
				{	/* Globalize/escape.scm 47 */
					obj_t BgL_nextzd2method1312zd2_2883;

					BgL_nextzd2method1312zd2_2883 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt) BgL_variablez00_2760)),
						BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
						BGl_localz00zzast_varz00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1312zd2_2883)
						(BgL_nextzd2method1312zd2_2883,
						((obj_t) ((BgL_localz00_bglt) BgL_variablez00_2760)), BEOA);
				}
			}
		}

	}



/* &escape-fun!-global1311 */
	obj_t BGl_z62escapezd2funz12zd2global1311z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2761, obj_t BgL_variablez00_2762)
	{
		{	/* Globalize/escape.scm 38 */
			{

				{	/* Globalize/escape.scm 39 */
					bool_t BgL_test1966z00_4102;

					{	/* Globalize/escape.scm 39 */
						obj_t BgL_classz00_2903;

						BgL_classz00_2903 = BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
						{	/* Globalize/escape.scm 39 */
							BgL_objectz00_bglt BgL_arg1825z00_2904;

							{	/* Globalize/escape.scm 39 */
								obj_t BgL_tmpz00_4103;

								BgL_tmpz00_4103 =
									((obj_t) ((BgL_globalz00_bglt) BgL_variablez00_2762));
								BgL_arg1825z00_2904 = (BgL_objectz00_bglt) (BgL_tmpz00_4103);
							}
							{	/* Globalize/escape.scm 39 */
								bool_t BgL_arg1822z00_2905;
								bool_t BgL_arg1823z00_2906;

								{	/* Globalize/escape.scm 39 */
									long BgL_idxz00_2907;

									BgL_idxz00_2907 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2904);
									BgL_arg1822z00_2905 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2907 + ((long) 3))) == BgL_classz00_2903);
								}
								{	/* Globalize/escape.scm 39 */
									bool_t BgL_res1865z00_2910;

									{	/* Globalize/escape.scm 39 */
										obj_t BgL_oclassz00_2911;

										{	/* Globalize/escape.scm 39 */
											long BgL_arg1833z00_2912;

											{	/* Globalize/escape.scm 39 */
												long BgL_arg1834z00_2913;

												BgL_arg1834z00_2913 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2904);
												BgL_arg1833z00_2912 =
													(BgL_arg1834z00_2913 - OBJECT_TYPE);
											}
											BgL_oclassz00_2911 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2912);
										}
										{	/* Globalize/escape.scm 39 */
											bool_t BgL__ortest_1110z00_2914;

											BgL__ortest_1110z00_2914 =
												(BgL_classz00_2903 == BgL_oclassz00_2911);
											if (BgL__ortest_1110z00_2914)
												{	/* Globalize/escape.scm 39 */
													BgL_res1865z00_2910 = BgL__ortest_1110z00_2914;
												}
											else
												{	/* Globalize/escape.scm 39 */
													long BgL_odepthz00_2915;

													BgL_odepthz00_2915 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2911);
													if ((((long) 3) < BgL_odepthz00_2915))
														{	/* Globalize/escape.scm 39 */
															obj_t BgL_arg1821z00_2916;

															BgL_arg1821z00_2916 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2911,
																((long) 3));
															BgL_res1865z00_2910 =
																(BgL_arg1821z00_2916 == BgL_classz00_2903);
														}
													else
														{	/* Globalize/escape.scm 39 */
															BgL_res1865z00_2910 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2906 = BgL_res1865z00_2910;
								}
								BgL_test1966z00_4102 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2905, BgL_arg1823z00_2906);
							}
						}
					}
					if (BgL_test1966z00_4102)
						{	/* Globalize/escape.scm 39 */
							BFALSE;
						}
					else
						{	/* Globalize/escape.scm 39 */
							{	/* Globalize/escape.scm 40 */
								BgL_globalzf2ginfozf2_bglt BgL_wide1116z00_2917;

								BgL_wide1116z00_2917 =
									((BgL_globalzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalzf2ginfozf2_bgl))));
								{	/* Globalize/escape.scm 40 */
									obj_t BgL_auxz00_4127;
									BgL_objectz00_bglt BgL_tmpz00_4123;

									BgL_auxz00_4127 = ((obj_t) BgL_wide1116z00_2917);
									BgL_tmpz00_4123 =
										((BgL_objectz00_bglt)
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt) BgL_variablez00_2762)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4123, BgL_auxz00_4127);
								}
								((BgL_objectz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_variablez00_2762)));
								{	/* Globalize/escape.scm 40 */
									long BgL_arg1462z00_2918;

									BgL_arg1462z00_2918 =
										BGL_CLASS_NUM(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_variablez00_2762))),
										BgL_arg1462z00_2918);
								}
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_variablez00_2762)));
							}
							{
								BgL_globalzf2ginfozf2_bglt BgL_auxz00_4141;

								{
									obj_t BgL_auxz00_4142;

									{	/* Globalize/escape.scm 41 */
										BgL_objectz00_bglt BgL_tmpz00_4143;

										BgL_tmpz00_4143 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_variablez00_2762)));
										BgL_auxz00_4142 = BGL_OBJECT_WIDENING(BgL_tmpz00_4143);
									}
									BgL_auxz00_4141 =
										((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4142);
								}
								((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4141))->
										BgL_escapezf3zf3) =
									((bool_t) ((((BgL_globalz00_bglt)
													COBJECT(((BgL_globalz00_bglt)
															BgL_variablez00_2762)))->BgL_importz00) ==
											CNST_TABLE_REF(((long) 2)))), BUNSPEC);
							}
							{
								BgL_globalzf2ginfozf2_bglt BgL_auxz00_4154;

								{
									obj_t BgL_auxz00_4155;

									{	/* Globalize/escape.scm 41 */
										BgL_objectz00_bglt BgL_tmpz00_4156;

										BgL_tmpz00_4156 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_variablez00_2762)));
										BgL_auxz00_4155 = BGL_OBJECT_WIDENING(BgL_tmpz00_4156);
									}
									BgL_auxz00_4154 =
										((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4155);
								}
								((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4154))->
										BgL_globalzd2closurezd2) = ((obj_t) BFALSE), BUNSPEC);
							}
							((obj_t)
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt) BgL_variablez00_2762)));
				}}
				{	/* Globalize/escape.scm 38 */
					obj_t BgL_nextzd2method1310zd2_2902;

					BgL_nextzd2method1310zd2_2902 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_globalz00_bglt) BgL_variablez00_2762)),
						BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
						BGl_globalz00zzast_varz00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1310zd2_2902)
						(BgL_nextzd2method1310zd2_2902,
						((obj_t) ((BgL_globalz00_bglt) BgL_variablez00_2762)), BEOA);
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_escapeza7()
	{
		{	/* Globalize/escape.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1907z00zzglobaliza7e_escapeza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1907z00zzglobaliza7e_escapeza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1907z00zzglobaliza7e_escapeza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1907z00zzglobaliza7e_escapeza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1907z00zzglobaliza7e_escapeza7));
			return
				BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string1907z00zzglobaliza7e_escapeza7));
		}

	}

#ifdef __cplusplus
}
#endif
