/*===========================================================================*/
/*   (Globalize/ginfo.scm)                                                   */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/ginfo.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_svarzf2ginfozf2_bgl
	{
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
		bool_t BgL_celledzf3zf3;
		bool_t BgL_stackablez00;
	}                      *BgL_svarzf2ginfozf2_bglt;

	typedef struct BgL_sexitzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
	}                       *BgL_sexitzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;

	typedef struct BgL_globalzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		obj_t BgL_globalzd2closurezd2;
	}                        *BgL_globalzf2ginfozf2_bglt;


	static obj_t BGl_z62lambda1765z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62lambda1928z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2namez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	static obj_t
		BGl_z62localzf2Ginfozd2globaliza7edzf3z16zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static BgL_sexitz00_bglt
		BGl_z62makezd2sexitzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2Ginfozd2keyz20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2escapezf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, bool_t);
	static obj_t BGl_z62localzf2Ginfozd2keyz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31870ze3ze5zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static BgL_sexitz00_bglt BGl_z62lambda1931z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1851z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1852z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31749ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2namezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62lambda1695z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1696z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62makezd2globalzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2kapturedzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2evalzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62sexitzf2Ginfozd2markzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62localzf2Ginfozd2occurrencez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2freezd2markz90zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_ginfoza7 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2pragmazd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	static obj_t
		BGl_z62svarzf2Ginfozd2celledzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_svarzf2Ginfozd2celledzf3zd3zzglobaliza7e_ginfoza7(BgL_svarz00_bglt);
	static obj_t BGl_z62lambda1940z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1941z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31766ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62lambda1782z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62lambda1863z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1783z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2thezd2closurezd2globalz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1947z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1948z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62lambda1868z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2dssslzd2keywordsz90zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sexitzf2Ginfozd2kapturedzf3zb1zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2loczd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2modulez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2srcz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2accessz20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2thezd2closurezd2globalzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_sfunzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7();
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2stackablezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2newzd2bodyzd2setz12z50zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2globalzd2closurezd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2typezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62sfunzf2Ginfozd2Gzf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static BgL_svarz00_bglt BGl_z62lambda1871z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31678ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62lambda1954z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2Ginfozd2occurrencewz20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	static obj_t BGl_z62lambda1955z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_globalzf2Ginfozd2valuez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	static BgL_localz00_bglt
		BGl_z62makezd2localzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2Ginfozd2userzf3zd3zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2imarkz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62sfunzf2Ginfozd2classzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2freezd2markzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Ginfozd2failsafez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2argszd2noescapezf2zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Ginfozd2handlerzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2newzd2bodyz90zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31784ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62lambda1961z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1962z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31598ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2occurrencewzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2fastzd2alphazd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62lambda1884z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62lambda1885z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sfunzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2occurrencezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, long);
	static obj_t BGl_z62sexitzf2Ginfozd2Gzf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2locz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32006ze3ze5zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2accesszd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_ginfoza7();
	static obj_t
		BGl_z62sfunzf2Ginfozd2propertyzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_sfunzf2Ginfozd2arityz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31963ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2valuezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, BgL_valuez00_bglt);
	static BgL_localz00_bglt BGl_z62lambda1970z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2userzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2bodyzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1892z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1973z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2ctoza2zd2setz12z20zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2importz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	static obj_t BGl_z62lambda1893z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Ginfozd2Gzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt, bool_t);
	static BgL_localz00_bglt BGl_z62lambda1976z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1899z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Ginfozd2detachedzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2sidezd2effectzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62localzf2Ginfozd2idz42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2ownerzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2propertyz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31956ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62globalzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2argszd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2dssslzd2keywordszf2zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31697ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_localzf2Ginfozd2typez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	static obj_t BGl_z62lambda1984z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1985z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_ginfoza7();
	static obj_t BGl_z62localzf2Ginfozd2namez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62svarzf2Ginfozd2loczd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzf2Ginfozd2occurrencez20zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_makezd2sfunzf2Ginfoz20zzglobaliza7e_ginfoza7(long, obj_t, obj_t, obj_t,
		bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t,
		obj_t, obj_t, long, long, obj_t, obj_t);
	extern obj_t BGl_sexitz00zzast_varz00;
	static BgL_sfunz00_bglt
		BGl_z62makezd2sfunzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2Gzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2bodyzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2ctoza2zd2setz12z42zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2ownerz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2effectz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL long
		BGl_sfunzf2Ginfozd2bmarkz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_ginfoza7();
	static obj_t BGl_z62zc3z04anonymousza31949ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62lambda1991z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2stackablez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1992z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2typezd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2modulezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32025ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32017ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62sexitzf2Ginfozd2detachedzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2initzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7 = BUNSPEC;
	static obj_t BGl_z62globalzf2Ginfozd2aliasz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2thezd2closurezd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2argszd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2argszd2noescapezd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t
		BGl_z62sfunzf2Ginfozd2predicatezd2ofz90zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2sidezd2effectzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2aliaszd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2Ginfozd2srcz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static BgL_svarz00_bglt
		BGl_z62svarzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2strengthzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2libraryzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2stackablez20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62sfunzf2Ginfozd2markzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2thezd2closurezf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31894ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31975ze3ze5zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31886ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2occurrencewzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, long);
	static obj_t
		BGl_z62globalzf2Ginfozd2globalzd2closurezd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sexitzf2Ginfozd2handlerz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2fastzd2alphaz90zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2classz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Ginfozd2imarkz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2freezd2markzd2setz12z50zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_sexitzf2Ginfozd2markz20zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt);
	static obj_t BGl_z62sfunzf2Ginfozd2argszd2namez90zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2cfromza2ze0zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2ownerzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2removablez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2userzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, bool_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_localzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7();
	BGL_EXPORTED_DECL bool_t
		BGl_sexitzf2Ginfozd2Gzf3zd3zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt);
	static BgL_localz00_bglt
		BGl_z62localzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2cfromza2zd2setz12z42zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2idz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	static obj_t BGl_z62svarzf2Ginfozd2locz42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2markzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2integratedz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62globalzf2Ginfozd2idz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62svarzf2Ginfozd2stackablezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31993ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2arityz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2globalzd2closurezf2zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7 = BUNSPEC;
	static obj_t
		BGl_z62globalzf2Ginfozd2namezd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2namez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_ginfoza7();
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2failsafez20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2argszd2namezf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2idz20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2freez20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2newzd2bodyzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Ginfozd2freez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62sexitzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_sfunzf2Ginfozd2markz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31986ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2markz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2typezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, BgL_typez00_bglt);
	static BgL_typez00_bglt
		BGl_z62localzf2Ginfozd2typez42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2thezd2globalzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2newzd2bodyzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2libraryzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62localzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2ownerz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2predicatezd2ofzd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2bmarkz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2freezd2markzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2efunctionszd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62svarzf2Ginfozd2freezd2markz90zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2evaluablezf3zd2setz12z71zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2propertyz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2removablezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2thezd2closurezd2globalz20zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62sfunzf2Ginfozd2dssslzd2keywordszd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzf2Ginfozd2removablez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2strengthz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2fastzd2alphazf2zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Ginfozd2loczd2setz12ze0zzglobaliza7e_ginfoza7(BgL_svarz00_bglt,
		obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2occurrencewz42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2001z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2propertyzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2004z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_svarzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7();
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Ginfozd2stackablezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_svarz00_bglt, bool_t);
	static BgL_globalz00_bglt BGl_z62lambda2007z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2globaliza7edzf3zd2setz12zb4zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sfunzf2Ginfozd2Gzf3zd3zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62globalzf2Ginfozd2evaluablezf3zb1zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2integratedz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2imarkzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2ctoza2z82zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt
		BGl_sexitzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7();
	static obj_t BGl_z62sfunzf2Ginfozd2ctoza2ze0zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_globalzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7();
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2thezd2globalzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static BgL_sexitz00_bglt
		BGl_z62sexitzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL long
		BGl_svarzf2Ginfozd2freezd2markzf2zzglobaliza7e_ginfoza7(BgL_svarz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2accesszd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2classz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2efunctionszd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2efunctionsz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62globalzf2Ginfozd2evalzf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62sexitzf2Ginfozd2markz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2015z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda2016z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2sidezd2effectz90zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2effectzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2bmarkzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		long);
	static obj_t
		BGl_z62sfunzf2Ginfozd2thezd2closurezd2setz12z50zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2Ginfozd2globaliza7edzf3z74zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt);
	static obj_t
		BGl_z62localzf2Ginfozd2removablezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_svarz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2cfromzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_svarzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2failsafezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Ginfozd2locz20zzglobaliza7e_ginfoza7(BgL_svarz00_bglt);
	static obj_t
		BGl_z62sfunzf2Ginfozd2sidezd2effectzd2setz12z50zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2jvmzd2typezd2namez20zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt);
	static obj_t BGl_z62lambda2023z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda2024z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2thezd2globalz90zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Ginfozd2handlerz20zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt);
	static obj_t BGl_z62globalzf2Ginfozd2libraryz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2boundzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62globalzf2Ginfozd2pragmaz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2modulezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2evalzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, bool_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_globalzf2Ginfozd2typez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2boundz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Ginfozd2optionalsz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2thezd2globalzd2setz12z50zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Ginfozd2celledzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_svarz00_bglt, bool_t);
	static obj_t BGl_z62sfunzf2Ginfozd2kapturedz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2initzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2ctoz42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_localzf2Ginfozd2valuez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	static obj_t BGl_z62globalzf2Ginfozd2accessz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2Ginfozd2userzf3zd3zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	static obj_t
		BGl_z62globalzf2Ginfozd2fastzd2alphazd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2occurrencezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_makezd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7(obj_t, bool_t, long, long,
		bool_t, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2stackzd2allocatorzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static BgL_svarz00_bglt
		BGl_z62makezd2svarzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2stackzd2allocatorzd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2jvmzd2typezd2namez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2initz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2libraryz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	static obj_t
		BGl_z62globalzf2Ginfozd2importzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62svarzf2Ginfozd2stackablez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t
		BGl_z62sfunzf2Ginfozd2thezd2closurez90zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2removablez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	static obj_t BGl_z62sfunzf2Ginfozd2effectz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2imarkzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2occurrencewz42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2globalzd2closurez90zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2jvmzd2typezd2namezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2optionalsz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62globalzf2Ginfozd2jvmzd2typezd2namezd2setz12z82zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_sfunzf2Ginfozd2umarkz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_sexitzf2Ginfozd2detachedzf3zd3zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2argszd2noescapezd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31623ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2efunctionsz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31607ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2dssslzd2keywordszd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2bmarkzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62svarzf2Ginfozd2celledzf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2cfromzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2Gzf3zd2setz12z13zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		bool_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2cfromza2zd2setz12z20zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31802ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31543ze3ze5zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Ginfozd2freezd2markzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt, long);
	static obj_t BGl_z62localzf2Ginfozd2accessz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2thezd2closurezd2globalzd2setz12z82zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_svarzf2Ginfozd2stackablez20zzglobaliza7e_ginfoza7(BgL_svarz00_bglt);
	static obj_t
		BGl_z62svarzf2Ginfozd2markzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2removablezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2valuezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2globalzf2Ginfoz20zzglobaliza7e_ginfoza7(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2cfromz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static BgL_valuez00_bglt
		BGl_z62globalzf2Ginfozd2valuez42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2boundzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2Ginfozd2userzf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62svarzf2Ginfozd2freezd2markzd2setz12z50zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2keysz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static BgL_globalz00_bglt
		BGl_z62globalzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2aliasz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2integratorz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	extern obj_t BGl_localz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2integratedzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2keysz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31714ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62localzf2Ginfozd2escapezf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62svarzf2Ginfozd2kapturedzf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2ctozd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2valuezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, BgL_valuez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2occurrencewzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Ginfozd2kapturedzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt, bool_t);
	BGL_EXPORTED_DECL long
		BGl_sexitzf2Ginfozd2freezd2markzf2zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2pluggedzd2inzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_ginfoza7();
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2strengthz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_ginfoza7();
	static obj_t
		BGl_z62globalzf2Ginfozd2typezd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2escapezf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62svarzf2Ginfozd2kapturedzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_ginfoza7();
	static obj_t BGl_z62zc3z04anonymousza31901ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31650ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2occurrencez42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2stackzd2allocatorzf2zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_ginfoza7();
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Ginfozd2markzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_svarz00_bglt,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2fastzd2alphazd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, obj_t);
	static obj_t
		BGl_z62sexitzf2Ginfozd2freezd2markzd2setz12z50zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2occurrencezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, long);
	BGL_EXPORTED_DECL long
		BGl_localzf2Ginfozd2occurrencez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	static obj_t BGl_z62globalzf2Ginfozd2namez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2boundz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_svarzf2Ginfozd2kapturedzf3zd3zzglobaliza7e_ginfoza7(BgL_svarz00_bglt);
	static obj_t
		BGl_z62sfunzf2Ginfozd2kapturedzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31910ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31813ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2escapezf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2ctoz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62sfunzf2Ginfozd2integratedzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1605z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t
		BGl_z62sexitzf2Ginfozd2detachedzf3zb1zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7 = BUNSPEC;
	static obj_t BGl_z62lambda1606z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1525z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2namezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL long
		BGl_svarzf2Ginfozd2markz20zzglobaliza7e_ginfoza7(BgL_svarz00_bglt);
	static obj_t
		BGl_z62globalzf2Ginfozd2pragmazd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62sexitzf2Ginfozd2kapturedzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62svarzf2Ginfozd2markz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2predicatezd2ofzf2zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL long
		BGl_globalzf2Ginfozd2occurrencewz20zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt);
	static obj_t BGl_z62svarzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2aliaszd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2integratorzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31741ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2stackzd2allocatorz90zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2Ginfozd2escapezf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1537z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2pragmaz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2bodyz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Ginfozd2bodyz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Ginfozd2freezd2markzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_svarz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2kapturedz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Ginfozd2integratorz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1621z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2umarkz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2pluggedzd2inzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62lambda1622z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2accessz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31726ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1544z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2effectzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2argszd2noescapez90zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sexitzf2Ginfozd2handlerzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt
		BGl_makezd2sexitzf2Ginfoz20zzglobaliza7e_ginfoza7(obj_t, bool_t, bool_t,
		bool_t, long, long);
	static obj_t
		BGl_z62sexitzf2Ginfozd2freezd2markz90zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2topzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2pluggedzd2inz90zzglobaliza7e_ginfoza7(obj_t, obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_EXPORTED_DECL bool_t
		BGl_sfunzf2Ginfozd2topzf3zd3zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62globalzf2Ginfozd2userzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2failsafezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2topzf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Ginfozd2kapturedzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_svarz00_bglt, bool_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2loczd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2integratorzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2Ginfozd2modulez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31840ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2Ginfozd2escapezf3zd3zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	static obj_t BGl_z62lambda1712z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2accesszd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2userzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, bool_t);
	static obj_t BGl_z62lambda1713z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2srczd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2umarkzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		long);
	static obj_t BGl_z62sfunzf2Ginfozd2cfromz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2escapezf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, bool_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2freezd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1800z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31930ze3ze5zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1801z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31663ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62lambda1724z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1725z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2pluggedzd2inzd2setz12z50zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2topzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, bool_t);
	static obj_t BGl_z62lambda1565z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1566z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1648z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1649z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2namezd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1811z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62lambda1812z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt
		BGl_z62sfunzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2importzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31567ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2globaliza7edzf3zd2setz12zd6zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_makezd2localzf2Ginfoz20zzglobaliza7e_ginfoza7(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, long, bool_t, bool_t);
	static obj_t BGl_z62lambda1739z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2removablezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2occurrencewzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2Ginfozd2importz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Ginfozd2markzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt, long);
	static obj_t
		BGl_z62sexitzf2Ginfozd2Gzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2Ginfozd2removablez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2Ginfozd2evalzf3zd3zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2freezd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62globalzf2Ginfozd2typez42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2Ginfozd2escapezf3zd3zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2ctozd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2cfromza2z82zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_sexitzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62lambda1900z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1740z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31584ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62lambda1661z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1662z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1582z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1583z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1908z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1747z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1909z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1748z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sexitzf2Ginfozd2kapturedzf3zd3zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt);
	static BgL_valuez00_bglt
		BGl_z62localzf2Ginfozd2valuez42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62localzf2Ginfozd2userzf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2fastzd2alphaz90zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_localzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2locz42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2Ginfozd2evaluablezf3zd3zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza31917ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2stackablezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1915z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1754z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1916z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2predicatezd2ofzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2argsz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1755z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzf2Ginfozd2initz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2strengthzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1676z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1838z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2fastzd2alphazd2setz12z50zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2fastzd2alphazf2zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2classzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda1596z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1677z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1839z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1597z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2argsz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7 = BUNSPEC;
	static obj_t
		BGl_z62localzf2Ginfozd2occurrencezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2srczd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2evaluablezf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, bool_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2umarkzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2accesszd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31942ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31853ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31756ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2valuezd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static BgL_sexitz00_bglt BGl_z62lambda1925z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1764z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t __cnst[36];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2112z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2218za7,
		BGl_z62zc3z04anonymousza31663ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2113z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1662za7622219z00,
		BGl_z62lambda1662z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2114z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1661za7622220z00,
		BGl_z62lambda1661z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2115z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2221za7,
		BGl_z62zc3z04anonymousza31678ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2detachedzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2222z00,
		BGl_z62sexitzf2Ginfozd2detachedzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2116z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1677za7622223z00,
		BGl_z62lambda1677z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2117z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1676za7622224z00,
		BGl_z62lambda1676z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2118z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2225za7,
		BGl_z62zc3z04anonymousza31697ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2119z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1696za7622226z00,
		BGl_z62lambda1696z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2accesszd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2227z00,
		BGl_z62globalzf2Ginfozd2accessz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2sexitzf2Ginfozd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762makeza7d2sexitza72228za7,
		BGl_z62makezd2sexitzf2Ginfoz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2229za7,
		BGl_z62zc3z04anonymousza31975ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1973za7622230z00,
		BGl_z62lambda1973z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2120z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1695za7622231z00,
		BGl_z62lambda1695z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1970za7622232z00,
		BGl_z62lambda1970z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2121z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2233za7,
		BGl_z62zc3z04anonymousza31714ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2234za7,
		BGl_z62zc3z04anonymousza32017ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2122z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1713za7622235z00,
		BGl_z62lambda1713z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda2016za7622236z00,
		BGl_z62lambda2016z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2123z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1712za7622237z00,
		BGl_z62lambda1712z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2cfromza2zd2setz12zd2envz90zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72238za7,
		BGl_z62sfunzf2Ginfozd2cfromza2zd2setz12z20zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda2015za7622239z00,
		BGl_z62lambda2015z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2124z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2240za7,
		BGl_z62zc3z04anonymousza31726ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2241za7,
		BGl_z62zc3z04anonymousza32025ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2125z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1725za7622242z00,
		BGl_z62lambda1725z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2srczd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2243z00,
		BGl_z62globalzf2Ginfozd2srcz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2213z00zzglobaliza7e_ginfoza7,
		BgL_bgl_string2213za700za7za7g2244za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda2024za7622245z00,
		BGl_z62lambda2024z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2126z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1724za7622246z00,
		BGl_z62lambda1724z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2214z00zzglobaliza7e_ginfoza7,
		BgL_bgl_string2214za700za7za7g2247za7, "globalize_ginfo", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda2023za7622248z00,
		BGl_z62lambda2023z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2127z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2249za7,
		BGl_z62zc3z04anonymousza31741ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2215z00zzglobaliza7e_ginfoza7,
		BgL_bgl_string2215za700za7za7g2250za7,
		"_ global/Ginfo global-closure local/Ginfo globalized? escape? sexit/Ginfo svar/Ginfo stackable celled? kaptured? globalize_ginfo sfun/Ginfo bound free umark bmark new-body kaptured the-global free-mark long mark plugged-in integrated owner imark integrator efunctions cto* cto cfrom* obj cfrom bool G? ",
		302);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda2007za7622251z00,
		BGl_z62lambda2007z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2128z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1740za7622252z00,
		BGl_z62lambda1740z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2129z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1739za7622253z00,
		BGl_z62lambda1739z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2userzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2254z00,
		BGl_z62localzf2Ginfozd2userzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2initzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2255z00,
		BGl_z62globalzf2Ginfozd2initz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2srczd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2256z00,
		BGl_z62globalzf2Ginfozd2srczd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2257za7,
		BGl_z62zc3z04anonymousza32006ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2occurrencezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2258z00,
		BGl_z62localzf2Ginfozd2occurrencez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda2004za7622259z00,
		BGl_z62lambda2004z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2130z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2260za7,
		BGl_z62zc3z04anonymousza31749ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2jvmzd2typezd2namezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2261z00,
		BGl_z62globalzf2Ginfozd2jvmzd2typezd2namezd2setz12z82zzglobaliza7e_ginfoza7,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2optionalszd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72262za7,
		BGl_z62sfunzf2Ginfozd2optionalsz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda2001za7622263z00,
		BGl_z62lambda2001z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2131z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1748za7622264z00,
		BGl_z62lambda1748z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2freezd2markzd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72265za7,
		BGl_z62svarzf2Ginfozd2freezd2markz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2132z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1747za7622266z00,
		BGl_z62lambda1747z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2failsafezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72267za7,
		BGl_z62sfunzf2Ginfozd2failsafez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2argszd2namezd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72268za7,
		BGl_z62sfunzf2Ginfozd2argszd2namez90zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2133z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2269za7,
		BGl_z62zc3z04anonymousza31756ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2134z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1755za7622270z00,
		BGl_z62lambda1755z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2135z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1754za7622271z00,
		BGl_z62lambda1754z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2136z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2272za7,
		BGl_z62zc3z04anonymousza31766ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2escapezf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2273z00,
		BGl_z62globalzf2Ginfozd2escapezf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2137z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1765za7622274z00,
		BGl_z62lambda1765z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2138z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1764za7622275z00,
		BGl_z62lambda1764z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2139z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2276za7,
		BGl_z62zc3z04anonymousza31784ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2markzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72277za7,
		BGl_z62sfunzf2Ginfozd2markz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozf3zd2envzd3zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72278za7,
		BGl_z62svarzf2Ginfozf3z63zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2140z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1783za7622279z00,
		BGl_z62lambda1783z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2141z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1782za7622280z00,
		BGl_z62lambda1782z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2142z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2281za7,
		BGl_z62zc3z04anonymousza31802ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2143z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1801za7622282z00,
		BGl_z62lambda1801z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2144z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1800za7622283z00,
		BGl_z62lambda1800z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2145z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2284za7,
		BGl_z62zc3z04anonymousza31813ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2146z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1812za7622285z00,
		BGl_z62lambda1812z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2147z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1811za7622286z00,
		BGl_z62lambda1811z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2287za7,
		BGl_z62zc3z04anonymousza31840ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1839za7622288z00,
		BGl_z62lambda1839z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2boundzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72289za7,
		BGl_z62sfunzf2Ginfozd2boundzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1838za7622290z00,
		BGl_z62lambda1838z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2291za7,
		BGl_z62zc3z04anonymousza31853ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2markzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2292z00,
		BGl_z62sexitzf2Ginfozd2markz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1852za7622293z00,
		BGl_z62lambda1852z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1851za7622294z00,
		BGl_z62lambda1851z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1544za7622295z00,
		BGl_z62lambda1544z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2escapezf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2296z00,
		BGl_z62localzf2Ginfozd2escapezf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2297za7,
		BGl_z62zc3z04anonymousza31543ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2kapturedzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72298za7,
		BGl_z62sfunzf2Ginfozd2kapturedz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1537za7622299z00,
		BGl_z62lambda1537z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2integratedzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72300za7,
		BGl_z62sfunzf2Ginfozd2integratedzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1525za7622301z00,
		BGl_z62lambda1525z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 42);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2celledzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72302za7,
		BGl_z62svarzf2Ginfozd2celledzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2303za7,
		BGl_z62zc3z04anonymousza31886ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1885za7622304z00,
		BGl_z62lambda1885z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2ownerzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72305za7,
		BGl_z62sfunzf2Ginfozd2ownerzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2occurrencewzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2306z00,
		BGl_z62localzf2Ginfozd2occurrencewzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2removablezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2307z00,
		BGl_z62localzf2Ginfozd2removablez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1884za7622308z00,
		BGl_z62lambda1884z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2309za7,
		BGl_z62zc3z04anonymousza31894ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1893za7622310z00,
		BGl_z62lambda1893z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1892za7622311z00,
		BGl_z62lambda1892z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2312za7,
		BGl_z62zc3z04anonymousza31901ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1900za7622313z00,
		BGl_z62lambda1900z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1899za7622314z00,
		BGl_z62lambda1899z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2315za7,
		BGl_z62zc3z04anonymousza31910ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2nilzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72316za7,
		BGl_z62svarzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1909za7622317z00,
		BGl_z62lambda1909z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1908za7622318z00,
		BGl_z62lambda1908z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2libraryzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2319z00,
		BGl_z62globalzf2Ginfozd2libraryz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2effectzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72320za7,
		BGl_z62sfunzf2Ginfozd2effectz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2bmarkzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72321za7,
		BGl_z62sfunzf2Ginfozd2bmarkz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2removablezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2322z00,
		BGl_z62globalzf2Ginfozd2removablez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2accesszd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2323z00,
		BGl_z62localzf2Ginfozd2accesszd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2idzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2324z00,
		BGl_z62localzf2Ginfozd2idz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2325za7,
		BGl_z62zc3z04anonymousza31917ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1916za7622326z00,
		BGl_z62lambda1916z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1915za7622327z00,
		BGl_z62lambda1915z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2evaluablezf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2328z00,
		BGl_z62globalzf2Ginfozd2evaluablezf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1871za7622329z00,
		BGl_z62lambda1871z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2330za7,
		BGl_z62zc3z04anonymousza31870ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1868za7622331z00,
		BGl_z62lambda1868z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2094z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2332za7,
		BGl_z62zc3z04anonymousza31567ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2detachedzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2333z00,
		BGl_z62sexitzf2Ginfozd2detachedzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2argszd2noescapezd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72334za7,
		BGl_z62sfunzf2Ginfozd2argszd2noescapezd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1863za7622335z00,
		BGl_z62lambda1863z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2095z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1566za7622336z00,
		BGl_z62lambda1566z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2337za7,
		BGl_z62zc3z04anonymousza31942ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2096z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1565za7622338z00,
		BGl_z62lambda1565z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1941za7622339z00,
		BGl_z62lambda1941z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2097z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2340za7,
		BGl_z62zc3z04anonymousza31584ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2thezd2closurezd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72341za7,
		BGl_z62sfunzf2Ginfozd2thezd2closurezd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1940za7622342z00,
		BGl_z62lambda1940z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2098z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1583za7622343z00,
		BGl_z62lambda1583z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2099z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1582za7622344z00,
		BGl_z62lambda1582z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2globaliza7edzf3zd2envza6zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2345z00,
		BGl_z62localzf2Ginfozd2globaliza7edzf3z16zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2aliaszd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2346z00,
		BGl_z62globalzf2Ginfozd2aliaszd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2integratorzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72347za7,
		BGl_z62sfunzf2Ginfozd2integratorzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2348za7,
		BGl_z62zc3z04anonymousza31949ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2loczd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72349za7,
		BGl_z62sfunzf2Ginfozd2locz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1948za7622350z00,
		BGl_z62lambda1948z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1947za7622351z00,
		BGl_z62lambda1947z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2352za7,
		BGl_z62zc3z04anonymousza31956ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1955za7622353z00,
		BGl_z62lambda1955z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1954za7622354z00,
		BGl_z62lambda1954z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2355za7,
		BGl_z62zc3z04anonymousza31963ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2libraryzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2356z00,
		BGl_z62globalzf2Ginfozd2libraryzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1962za7622357z00,
		BGl_z62lambda1962z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1961za7622358z00,
		BGl_z62lambda1961z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1931za7622359z00,
		BGl_z62lambda1931z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2stackablezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72360za7,
		BGl_z62svarzf2Ginfozd2stackablez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2freezd2markzd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72361za7,
		BGl_z62sfunzf2Ginfozd2freezd2markzd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2362za7,
		BGl_z62zc3z04anonymousza31930ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1928za7622363z00,
		BGl_z62lambda1928z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2ctozd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72364za7,
		BGl_z62sfunzf2Ginfozd2ctozd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1925za7622365z00,
		BGl_z62lambda1925z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2366za7,
		BGl_z62zc3z04anonymousza31986ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1985za7622367z00,
		BGl_z62lambda1985z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1984za7622368z00,
		BGl_z62lambda1984z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2369za7,
		BGl_z62zc3z04anonymousza31993ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1992za7622370z00,
		BGl_z62lambda1992z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1991za7622371z00,
		BGl_z62lambda1991z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2pragmazd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2372z00,
		BGl_z62globalzf2Ginfozd2pragmazd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1976za7622373z00,
		BGl_z62lambda1976z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2kapturedzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2374z00,
		BGl_z62sexitzf2Ginfozd2kapturedzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2userzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2375z00,
		BGl_z62globalzf2Ginfozd2userzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2dssslzd2keywordszd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72376za7,
		BGl_z62sfunzf2Ginfozd2dssslzd2keywordsz90zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2kapturedzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2377z00,
		BGl_z62sexitzf2Ginfozd2kapturedzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2kapturedzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72378za7,
		BGl_z62svarzf2Ginfozd2kapturedzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2occurrencezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2379z00,
		BGl_z62globalzf2Ginfozd2occurrencez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2sfunzf2Ginfozd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762makeza7d2sfunza7f2380za7,
		BGl_z62makezd2sfunzf2Ginfoz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 41);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2stackablezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72381za7,
		BGl_z62svarzf2Ginfozd2stackablezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2markzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72382za7,
		BGl_z62sfunzf2Ginfozd2markzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2fastzd2alphazd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2383z00,
		BGl_z62localzf2Ginfozd2fastzd2alphazd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2occurrencewzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2384z00,
		BGl_z62localzf2Ginfozd2occurrencewz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2fastzd2alphazd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2385z00,
		BGl_z62localzf2Ginfozd2fastzd2alphaz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2classzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72386za7,
		BGl_z62sfunzf2Ginfozd2classzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2occurrencezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2387z00,
		BGl_z62localzf2Ginfozd2occurrencezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2nilzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2388z00,
		BGl_z62sexitzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2newzd2bodyzd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72389za7,
		BGl_z62sfunzf2Ginfozd2newzd2bodyz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2namezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2390z00,
		BGl_z62localzf2Ginfozd2namezd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2namezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2391z00,
		BGl_z62localzf2Ginfozd2namez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2keyzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2392z00,
		BGl_z62localzf2Ginfozd2keyz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2namezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2393z00,
		BGl_z62globalzf2Ginfozd2namezd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2globalzf2Ginfozd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762makeza7d2global2394z00,
		BGl_z62makezd2globalzf2Ginfoz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 22);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2classzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72395za7,
		BGl_z62sfunzf2Ginfozd2classz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2sidezd2effectzd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72396za7,
		BGl_z62sfunzf2Ginfozd2sidezd2effectz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2cfromza2zd2envz50zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72397za7,
		BGl_z62sfunzf2Ginfozd2cfromza2ze0zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2propertyzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72398za7,
		BGl_z62sfunzf2Ginfozd2propertyz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2celledzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72399za7,
		BGl_z62svarzf2Ginfozd2celledzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2freezd2markzd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2400z00,
		BGl_z62sexitzf2Ginfozd2freezd2markz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2valuezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2401z00,
		BGl_z62localzf2Ginfozd2valuez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2topzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72402za7,
		BGl_z62sfunzf2Ginfozd2topzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2loczd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72403za7,
		BGl_z62sfunzf2Ginfozd2loczd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozf3zd2envzd3zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2404z00,
		BGl_z62localzf2Ginfozf3z63zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2globaliza7edzf3zd2setz12zd2envz66zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2405z00,
		BGl_z62localzf2Ginfozd2globaliza7edzf3zd2setz12zd6zzglobaliza7e_ginfoza7,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2namezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2406z00,
		BGl_z62globalzf2Ginfozd2namez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2umarkzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72407za7,
		BGl_z62sfunzf2Ginfozd2umarkzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2argszd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72408za7,
		BGl_z62sfunzf2Ginfozd2argszd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2argszd2noescapezd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72409za7,
		BGl_z62sfunzf2Ginfozd2argszd2noescapez90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2markzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72410za7,
		BGl_z62svarzf2Ginfozd2markz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2fastzd2alphazd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2411z00,
		BGl_z62globalzf2Ginfozd2fastzd2alphazd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2predicatezd2ofzd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72412za7,
		BGl_z62sfunzf2Ginfozd2predicatezd2ofz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2occurrencezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2413z00,
		BGl_z62globalzf2Ginfozd2occurrencezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2escapezf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2414z00,
		BGl_z62localzf2Ginfozd2escapezf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2importzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2415z00,
		BGl_z62globalzf2Ginfozd2importzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2removablezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2416z00,
		BGl_z62globalzf2Ginfozd2removablezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2occurrencewzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2417z00,
		BGl_z62globalzf2Ginfozd2occurrencewzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2importzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2418z00,
		BGl_z62globalzf2Ginfozd2importz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2modulezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2419z00,
		BGl_z62globalzf2Ginfozd2modulezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2keyszd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72420za7,
		BGl_z62sfunzf2Ginfozd2keysz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2removablezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2421z00,
		BGl_z62localzf2Ginfozd2removablezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2pluggedzd2inzd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72422za7,
		BGl_z62sfunzf2Ginfozd2pluggedzd2inz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2userzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2423z00,
		BGl_z62localzf2Ginfozd2userzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2fastzd2alphazd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2424z00,
		BGl_z62globalzf2Ginfozd2fastzd2alphaz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2Gzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2425z00,
		BGl_z62sexitzf2Ginfozd2Gzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2accesszd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2426z00,
		BGl_z62localzf2Ginfozd2accessz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2stackzd2allocatorzd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72427za7,
		BGl_z62sfunzf2Ginfozd2stackzd2allocatorz90zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2Gzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72428za7,
		BGl_z62sfunzf2Ginfozd2Gzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2integratedzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72429za7,
		BGl_z62sfunzf2Ginfozd2integratedz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2bodyzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72430za7,
		BGl_z62sfunzf2Ginfozd2bodyzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2imarkzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72431za7,
		BGl_z62sfunzf2Ginfozd2imarkzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2efunctionszd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72432za7,
		BGl_z62sfunzf2Ginfozd2efunctionsz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2handlerzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2433z00,
		BGl_z62sexitzf2Ginfozd2handlerzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2loczd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72434za7,
		BGl_z62svarzf2Ginfozd2locz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2thezd2globalzd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72435za7,
		BGl_z62sfunzf2Ginfozd2thezd2globalz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2newzd2bodyzd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72436za7,
		BGl_z62sfunzf2Ginfozd2newzd2bodyzd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2accesszd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2437z00,
		BGl_z62globalzf2Ginfozd2accesszd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2freezd2markzd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2438z00,
		BGl_z62sexitzf2Ginfozd2freezd2markzd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2arityzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72439za7,
		BGl_z62sfunzf2Ginfozd2arityz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2Gzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2440z00,
		BGl_z62sexitzf2Ginfozd2Gzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2freezd2markzd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72441za7,
		BGl_z62svarzf2Ginfozd2freezd2markzd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2evalzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2442z00,
		BGl_z62globalzf2Ginfozd2evalzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2kapturedzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72443za7,
		BGl_z62sfunzf2Ginfozd2kapturedzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozf3zd2envzd3zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2444z00,
		BGl_z62sexitzf2Ginfozf3z63zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2typezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2445z00,
		BGl_z62localzf2Ginfozd2typez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2svarzf2Ginfozd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762makeza7d2svarza7f2446za7,
		BGl_z62makezd2svarzf2Ginfoz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2stackzd2allocatorzd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72447za7,
		BGl_z62sfunzf2Ginfozd2stackzd2allocatorzd2setz12z50zzglobaliza7e_ginfoza7,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2propertyzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72448za7,
		BGl_z62sfunzf2Ginfozd2propertyzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2markzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72449za7,
		BGl_z62svarzf2Ginfozd2markzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2globalzd2closurezd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2450z00,
		BGl_z62globalzf2Ginfozd2globalzd2closurezd2setz12z50zzglobaliza7e_ginfoza7,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2globalzd2closurezd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2451z00,
		BGl_z62globalzf2Ginfozd2globalzd2closurez90zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2valuezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2452z00,
		BGl_z62globalzf2Ginfozd2valuez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2freezd2markzd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72453za7,
		BGl_z62sfunzf2Ginfozd2freezd2markz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2effectzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72454za7,
		BGl_z62sfunzf2Ginfozd2effectzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2bmarkzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72455za7,
		BGl_z62sfunzf2Ginfozd2bmarkzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2topzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72456za7,
		BGl_z62sfunzf2Ginfozd2topzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozf3zd2envzd3zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72457za7,
		BGl_z62sfunzf2Ginfozf3z63zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2occurrencewzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2458z00,
		BGl_z62globalzf2Ginfozd2occurrencewz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2sidezd2effectzd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72459za7,
		BGl_z62sfunzf2Ginfozd2sidezd2effectzd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2jvmzd2typezd2namezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2460z00,
		BGl_z62globalzf2Ginfozd2jvmzd2typezd2namez42zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2strengthzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72461za7,
		BGl_z62sfunzf2Ginfozd2strengthzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2pragmazd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2462z00,
		BGl_z62globalzf2Ginfozd2pragmaz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2handlerzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2463z00,
		BGl_z62sexitzf2Ginfozd2handlerz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2typezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2464z00,
		BGl_z62globalzf2Ginfozd2typez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2efunctionszd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72465za7,
		BGl_z62sfunzf2Ginfozd2efunctionszd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2evalzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2466z00,
		BGl_z62globalzf2Ginfozd2evalzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2freezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72467za7,
		BGl_z62sfunzf2Ginfozd2freezd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2valuezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2468z00,
		BGl_z62localzf2Ginfozd2valuezd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozf3zd2envzd3zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2469z00,
		BGl_z62globalzf2Ginfozf3z63zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2failsafezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72470za7,
		BGl_z62sfunzf2Ginfozd2failsafezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2loczd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72471za7,
		BGl_z62svarzf2Ginfozd2loczd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2modulezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2472z00,
		BGl_z62globalzf2Ginfozd2modulez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2thezd2closurezd2globalzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72473za7,
		BGl_z62sfunzf2Ginfozd2thezd2closurezd2globalzd2setz12z82zzglobaliza7e_ginfoza7,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2nilzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72474za7,
		BGl_z62sfunzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2escapezf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2475z00,
		BGl_z62globalzf2Ginfozd2escapezf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2ctoza2zd2setz12zd2envz90zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72476za7,
		BGl_z62sfunzf2Ginfozd2ctoza2zd2setz12z20zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2typezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2477z00,
		BGl_z62localzf2Ginfozd2typezd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2ctoza2zd2envz50zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72478za7,
		BGl_z62sfunzf2Ginfozd2ctoza2ze0zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2userzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2479z00,
		BGl_z62globalzf2Ginfozd2userzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2nilzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2480z00,
		BGl_z62globalzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2ctozd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72481za7,
		BGl_z62sfunzf2Ginfozd2ctoz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2typezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2482z00,
		BGl_z62globalzf2Ginfozd2typezd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2stackablezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72483za7,
		BGl_z62sfunzf2Ginfozd2stackablez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2localzf2Ginfozd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762makeza7d2localza72484za7,
		BGl_z62makezd2localzf2Ginfoz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2bodyzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72485za7,
		BGl_z62sfunzf2Ginfozd2bodyz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2cfromzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72486za7,
		BGl_z62sfunzf2Ginfozd2cfromz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2boundzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72487za7,
		BGl_z62sfunzf2Ginfozd2boundz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2aliaszd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2488z00,
		BGl_z62globalzf2Ginfozd2aliasz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2integratorzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72489za7,
		BGl_z62sfunzf2Ginfozd2integratorz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2pluggedzd2inzd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72490za7,
		BGl_z62sfunzf2Ginfozd2pluggedzd2inzd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2thezd2closurezd2globalzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72491za7,
		BGl_z62sfunzf2Ginfozd2thezd2closurezd2globalz42zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2strengthzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72492za7,
		BGl_z62sfunzf2Ginfozd2strengthz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2nilzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2493z00,
		BGl_z62localzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2idzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2494z00,
		BGl_z62globalzf2Ginfozd2idz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2stackablezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72495za7,
		BGl_z62sfunzf2Ginfozd2stackablezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2evaluablezf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2496z00,
		BGl_z62globalzf2Ginfozd2evaluablezf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2ownerzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72497za7,
		BGl_z62sfunzf2Ginfozd2ownerz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2predicatezd2ofzd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72498za7,
		BGl_z62sfunzf2Ginfozd2predicatezd2ofzd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2argszd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72499za7,
		BGl_z62sfunzf2Ginfozd2argsz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2imarkzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72500za7,
		BGl_z62sfunzf2Ginfozd2imarkz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2thezd2globalzd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72501za7,
		BGl_z62sfunzf2Ginfozd2thezd2globalzd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2kapturedzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72502za7,
		BGl_z62svarzf2Ginfozd2kapturedzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2umarkzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72503za7,
		BGl_z62sfunzf2Ginfozd2umarkz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2freezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72504za7,
		BGl_z62sfunzf2Ginfozd2freez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2initzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2505z00,
		BGl_z62globalzf2Ginfozd2initzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2dssslzd2keywordszd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72506za7,
		BGl_z62sfunzf2Ginfozd2dssslzd2keywordszd2setz12z50zzglobaliza7e_ginfoza7,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2cfromzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72507za7,
		BGl_z62sfunzf2Ginfozd2cfromzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2100z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2508za7,
		BGl_z62zc3z04anonymousza31598ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2101z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1597za7622509z00,
		BGl_z62lambda1597z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2102z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1596za7622510z00,
		BGl_z62lambda1596z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2103z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2511za7,
		BGl_z62zc3z04anonymousza31607ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2104z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1606za7622512z00,
		BGl_z62lambda1606z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2105z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1605za7622513z00,
		BGl_z62lambda1605z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2106z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2514za7,
		BGl_z62zc3z04anonymousza31623ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2107z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1622za7622515z00,
		BGl_z62lambda1622z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2108z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1621za7622516z00,
		BGl_z62lambda1621z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2109z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2517za7,
		BGl_z62zc3z04anonymousza31650ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2Gzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72518za7,
		BGl_z62sfunzf2Ginfozd2Gzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2thezd2closurezd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72519za7,
		BGl_z62sfunzf2Ginfozd2thezd2closurez90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2valuezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2520z00,
		BGl_z62globalzf2Ginfozd2valuezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2markzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2521z00,
		BGl_z62sexitzf2Ginfozd2markzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2110z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1649za7622522z00,
		BGl_z62lambda1649z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2111z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1648za7622523z00,
		BGl_z62lambda1648z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzglobaliza7e_ginfoza7));
		     ADD_ROOT((void *) (&BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7));
		     ADD_ROOT((void *) (&BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7));
		     ADD_ROOT((void *) (&BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7));
		     ADD_ROOT((void *) (&BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7));
		     ADD_ROOT((void *) (&BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long
		BgL_checksumz00_4512, char *BgL_fromz00_4513)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_ginfoza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_ginfoza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_ginfoza7();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_ginfoza7();
					BGl_cnstzd2initzd2zzglobaliza7e_ginfoza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_ginfoza7();
					BGl_objectzd2initzd2zzglobaliza7e_ginfoza7();
					return BGl_toplevelzd2initzd2zzglobaliza7e_ginfoza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_ginfoza7()
	{
		{	/* Globalize/ginfo.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_ginfo");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_ginfo");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"globalize_ginfo");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"globalize_ginfo");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"globalize_ginfo");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"globalize_ginfo");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"globalize_ginfo");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_ginfoza7()
	{
		{	/* Globalize/ginfo.scm 15 */
			{	/* Globalize/ginfo.scm 15 */
				obj_t BgL_cportz00_4192;

				{	/* Globalize/ginfo.scm 15 */
					obj_t BgL_stringz00_4200;

					BgL_stringz00_4200 = BGl_string2215z00zzglobaliza7e_ginfoza7;
					{	/* Globalize/ginfo.scm 15 */
						obj_t BgL_startz00_4201;

						BgL_startz00_4201 = BINT(((long) 0));
						{	/* Globalize/ginfo.scm 15 */
							obj_t BgL_endz00_4202;

							BgL_endz00_4202 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4200)));
							{	/* Globalize/ginfo.scm 15 */

								BgL_cportz00_4192 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4200, BgL_startz00_4201, BgL_endz00_4202);
				}}}}
				{
					long BgL_iz00_4193;

					BgL_iz00_4193 = ((long) 35);
				BgL_loopz00_4194:
					if ((BgL_iz00_4193 == ((long) -1)))
						{	/* Globalize/ginfo.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/ginfo.scm 15 */
							{	/* Globalize/ginfo.scm 15 */
								obj_t BgL_arg2217z00_4196;

								{	/* Globalize/ginfo.scm 15 */

									{	/* Globalize/ginfo.scm 15 */
										obj_t BgL_locationz00_4198;

										BgL_locationz00_4198 = BBOOL(((bool_t) 0));
										{	/* Globalize/ginfo.scm 15 */

											BgL_arg2217z00_4196 =
												BGl_readz00zz__readerz00(BgL_cportz00_4192,
												BgL_locationz00_4198);
										}
									}
								}
								{	/* Globalize/ginfo.scm 15 */
									int BgL_tmpz00_4539;

									BgL_tmpz00_4539 = (int) (BgL_iz00_4193);
									CNST_TABLE_SET(BgL_tmpz00_4539, BgL_arg2217z00_4196);
							}}
							{	/* Globalize/ginfo.scm 15 */
								int BgL_auxz00_4199;

								BgL_auxz00_4199 = (int) ((BgL_iz00_4193 - ((long) 1)));
								{
									long BgL_iz00_4544;

									BgL_iz00_4544 = (long) (BgL_auxz00_4199);
									BgL_iz00_4193 = BgL_iz00_4544;
									goto BgL_loopz00_4194;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_ginfoza7()
	{
		{	/* Globalize/ginfo.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_ginfoza7()
	{
		{	/* Globalize/ginfo.scm 15 */
			return BUNSPEC;
		}

	}



/* make-sfun/Ginfo */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_makezd2sfunzf2Ginfoz20zzglobaliza7e_ginfoza7(long BgL_arity1271z00_3,
		obj_t BgL_sidezd2effect1272zd2_4, obj_t BgL_predicatezd2of1273zd2_5,
		obj_t BgL_stackzd2allocator1274zd2_6, bool_t BgL_topzf31275zf3_7,
		obj_t BgL_thezd2closure1276zd2_8, obj_t BgL_effect1277z00_9,
		obj_t BgL_failsafe1278z00_10, obj_t BgL_argszd2noescape1279zd2_11,
		obj_t BgL_property1280z00_12, obj_t BgL_args1281z00_13,
		obj_t BgL_argszd2name1282zd2_14, obj_t BgL_body1283z00_15,
		obj_t BgL_class1284z00_16, obj_t BgL_dssslzd2keywords1285zd2_17,
		obj_t BgL_loc1286z00_18, obj_t BgL_optionals1287z00_19,
		obj_t BgL_keys1288z00_20, obj_t BgL_thezd2closurezd2global1289z00_21,
		obj_t BgL_strength1290z00_22, obj_t BgL_stackable1291z00_23,
		bool_t BgL_gzf31292zf3_24, obj_t BgL_cfrom1293z00_25,
		obj_t BgL_cfromza21294za2_26, obj_t BgL_cto1295z00_27,
		obj_t BgL_ctoza21296za2_28, obj_t BgL_efunctions1297z00_29,
		obj_t BgL_integrator1298z00_30, obj_t BgL_imark1299z00_31,
		obj_t BgL_owner1300z00_32, obj_t BgL_integrated1301z00_33,
		obj_t BgL_pluggedzd2in1302zd2_34, long BgL_mark1303z00_35,
		obj_t BgL_freezd2mark1304zd2_36, obj_t BgL_thezd2global1305zd2_37,
		obj_t BgL_kaptured1306z00_38, obj_t BgL_newzd2body1307zd2_39,
		long BgL_bmark1308z00_40, long BgL_umark1309z00_41,
		obj_t BgL_free1310z00_42, obj_t BgL_bound1311z00_43)
	{
		{	/* Globalize/ginfo.sch 218 */
			{	/* Globalize/ginfo.sch 218 */
				BgL_sfunz00_bglt BgL_new1225z00_4204;

				{	/* Globalize/ginfo.sch 218 */
					BgL_sfunz00_bglt BgL_tmp1223z00_4205;
					BgL_sfunzf2ginfozf2_bglt BgL_wide1224z00_4206;

					{
						BgL_sfunz00_bglt BgL_auxz00_4547;

						{	/* Globalize/ginfo.sch 218 */
							BgL_sfunz00_bglt BgL_new1222z00_4207;

							BgL_new1222z00_4207 =
								((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sfunz00_bgl))));
							{	/* Globalize/ginfo.sch 218 */
								long BgL_arg1416z00_4208;

								BgL_arg1416z00_4208 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1222z00_4207),
									BgL_arg1416z00_4208);
							}
							{	/* Globalize/ginfo.sch 218 */
								BgL_objectz00_bglt BgL_tmpz00_4552;

								BgL_tmpz00_4552 = ((BgL_objectz00_bglt) BgL_new1222z00_4207);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4552, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1222z00_4207);
							BgL_auxz00_4547 = BgL_new1222z00_4207;
						}
						BgL_tmp1223z00_4205 = ((BgL_sfunz00_bglt) BgL_auxz00_4547);
					}
					BgL_wide1224z00_4206 =
						((BgL_sfunzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sfunzf2ginfozf2_bgl))));
					{	/* Globalize/ginfo.sch 218 */
						obj_t BgL_auxz00_4560;
						BgL_objectz00_bglt BgL_tmpz00_4558;

						BgL_auxz00_4560 = ((obj_t) BgL_wide1224z00_4206);
						BgL_tmpz00_4558 = ((BgL_objectz00_bglt) BgL_tmp1223z00_4205);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4558, BgL_auxz00_4560);
					}
					((BgL_objectz00_bglt) BgL_tmp1223z00_4205);
					{	/* Globalize/ginfo.sch 218 */
						long BgL_arg1415z00_4209;

						BgL_arg1415z00_4209 =
							BGL_CLASS_NUM(BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1223z00_4205), BgL_arg1415z00_4209);
					}
					BgL_new1225z00_4204 = ((BgL_sfunz00_bglt) BgL_tmp1223z00_4205);
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1225z00_4204)))->BgL_arityz00) =
					((long) BgL_arity1271z00_3), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1225z00_4204)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1272zd2_4), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1225z00_4204)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1273zd2_5), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1225z00_4204)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1274zd2_6), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1225z00_4204)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31275zf3_7), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1225z00_4204)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1276zd2_8), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1225z00_4204)))->
						BgL_effectz00) = ((obj_t) BgL_effect1277z00_9), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1225z00_4204)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1278z00_10), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1225z00_4204)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1279zd2_11), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1225z00_4204)))->
						BgL_argszd2retescapezd2) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1225z00_4204)))->BgL_propertyz00) =
					((obj_t) BgL_property1280z00_12), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1225z00_4204)))->BgL_argsz00) =
					((obj_t) BgL_args1281z00_13), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1225z00_4204)))->BgL_argszd2namezd2) =
					((obj_t) BgL_argszd2name1282zd2_14), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1225z00_4204)))->BgL_bodyz00) =
					((obj_t) BgL_body1283z00_15), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1225z00_4204)))->BgL_classz00) =
					((obj_t) BgL_class1284z00_16), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1225z00_4204)))->BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1285zd2_17), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1225z00_4204)))->BgL_locz00) =
					((obj_t) BgL_loc1286z00_18), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1225z00_4204)))->BgL_optionalsz00) =
					((obj_t) BgL_optionals1287z00_19), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1225z00_4204)))->BgL_keysz00) =
					((obj_t) BgL_keys1288z00_20), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1225z00_4204)))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1289z00_21), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1225z00_4204)))->BgL_strengthz00) =
					((obj_t) BgL_strength1290z00_22), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1225z00_4204)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1291z00_23), BUNSPEC);
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4612;

					{
						obj_t BgL_auxz00_4613;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4614;

							BgL_tmpz00_4614 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4613 = BGL_OBJECT_WIDENING(BgL_tmpz00_4614);
						}
						BgL_auxz00_4612 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4613);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4612))->
							BgL_gzf3zf3) = ((bool_t) BgL_gzf31292zf3_24), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4619;

					{
						obj_t BgL_auxz00_4620;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4621;

							BgL_tmpz00_4621 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4620 = BGL_OBJECT_WIDENING(BgL_tmpz00_4621);
						}
						BgL_auxz00_4619 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4620);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4619))->
							BgL_cfromz00) = ((obj_t) BgL_cfrom1293z00_25), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4626;

					{
						obj_t BgL_auxz00_4627;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4628;

							BgL_tmpz00_4628 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4627 = BGL_OBJECT_WIDENING(BgL_tmpz00_4628);
						}
						BgL_auxz00_4626 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4627);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4626))->
							BgL_cfromza2za2) = ((obj_t) BgL_cfromza21294za2_26), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4633;

					{
						obj_t BgL_auxz00_4634;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4635;

							BgL_tmpz00_4635 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4634 = BGL_OBJECT_WIDENING(BgL_tmpz00_4635);
						}
						BgL_auxz00_4633 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4634);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4633))->BgL_ctoz00) =
						((obj_t) BgL_cto1295z00_27), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4640;

					{
						obj_t BgL_auxz00_4641;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4642;

							BgL_tmpz00_4642 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4641 = BGL_OBJECT_WIDENING(BgL_tmpz00_4642);
						}
						BgL_auxz00_4640 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4641);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4640))->
							BgL_ctoza2za2) = ((obj_t) BgL_ctoza21296za2_28), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4647;

					{
						obj_t BgL_auxz00_4648;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4649;

							BgL_tmpz00_4649 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4648 = BGL_OBJECT_WIDENING(BgL_tmpz00_4649);
						}
						BgL_auxz00_4647 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4648);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4647))->
							BgL_efunctionsz00) = ((obj_t) BgL_efunctions1297z00_29), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4654;

					{
						obj_t BgL_auxz00_4655;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4656;

							BgL_tmpz00_4656 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4655 = BGL_OBJECT_WIDENING(BgL_tmpz00_4656);
						}
						BgL_auxz00_4654 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4655);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4654))->
							BgL_integratorz00) = ((obj_t) BgL_integrator1298z00_30), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4661;

					{
						obj_t BgL_auxz00_4662;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4663;

							BgL_tmpz00_4663 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4662 = BGL_OBJECT_WIDENING(BgL_tmpz00_4663);
						}
						BgL_auxz00_4661 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4662);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4661))->
							BgL_imarkz00) = ((obj_t) BgL_imark1299z00_31), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4668;

					{
						obj_t BgL_auxz00_4669;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4670;

							BgL_tmpz00_4670 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4669 = BGL_OBJECT_WIDENING(BgL_tmpz00_4670);
						}
						BgL_auxz00_4668 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4669);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4668))->
							BgL_ownerz00) = ((obj_t) BgL_owner1300z00_32), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4675;

					{
						obj_t BgL_auxz00_4676;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4677;

							BgL_tmpz00_4677 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4676 = BGL_OBJECT_WIDENING(BgL_tmpz00_4677);
						}
						BgL_auxz00_4675 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4676);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4675))->
							BgL_integratedz00) = ((obj_t) BgL_integrated1301z00_33), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4682;

					{
						obj_t BgL_auxz00_4683;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4684;

							BgL_tmpz00_4684 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4683 = BGL_OBJECT_WIDENING(BgL_tmpz00_4684);
						}
						BgL_auxz00_4682 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4683);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4682))->
							BgL_pluggedzd2inzd2) =
						((obj_t) BgL_pluggedzd2in1302zd2_34), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4689;

					{
						obj_t BgL_auxz00_4690;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4691;

							BgL_tmpz00_4691 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4690 = BGL_OBJECT_WIDENING(BgL_tmpz00_4691);
						}
						BgL_auxz00_4689 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4690);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4689))->
							BgL_markz00) = ((long) BgL_mark1303z00_35), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4696;

					{
						obj_t BgL_auxz00_4697;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4698;

							BgL_tmpz00_4698 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4697 = BGL_OBJECT_WIDENING(BgL_tmpz00_4698);
						}
						BgL_auxz00_4696 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4697);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4696))->
							BgL_freezd2markzd2) =
						((obj_t) BgL_freezd2mark1304zd2_36), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4703;

					{
						obj_t BgL_auxz00_4704;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4705;

							BgL_tmpz00_4705 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4704 = BGL_OBJECT_WIDENING(BgL_tmpz00_4705);
						}
						BgL_auxz00_4703 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4704);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4703))->
							BgL_thezd2globalzd2) =
						((obj_t) BgL_thezd2global1305zd2_37), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4710;

					{
						obj_t BgL_auxz00_4711;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4712;

							BgL_tmpz00_4712 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4711 = BGL_OBJECT_WIDENING(BgL_tmpz00_4712);
						}
						BgL_auxz00_4710 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4711);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4710))->
							BgL_kapturedz00) = ((obj_t) BgL_kaptured1306z00_38), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4717;

					{
						obj_t BgL_auxz00_4718;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4719;

							BgL_tmpz00_4719 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4718 = BGL_OBJECT_WIDENING(BgL_tmpz00_4719);
						}
						BgL_auxz00_4717 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4718);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4717))->
							BgL_newzd2bodyzd2) = ((obj_t) BgL_newzd2body1307zd2_39), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4724;

					{
						obj_t BgL_auxz00_4725;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4726;

							BgL_tmpz00_4726 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4725 = BGL_OBJECT_WIDENING(BgL_tmpz00_4726);
						}
						BgL_auxz00_4724 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4725);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4724))->
							BgL_bmarkz00) = ((long) BgL_bmark1308z00_40), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4731;

					{
						obj_t BgL_auxz00_4732;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4733;

							BgL_tmpz00_4733 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4732 = BGL_OBJECT_WIDENING(BgL_tmpz00_4733);
						}
						BgL_auxz00_4731 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4732);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4731))->
							BgL_umarkz00) = ((long) BgL_umark1309z00_41), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4738;

					{
						obj_t BgL_auxz00_4739;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4740;

							BgL_tmpz00_4740 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4739 = BGL_OBJECT_WIDENING(BgL_tmpz00_4740);
						}
						BgL_auxz00_4738 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4739);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4738))->
							BgL_freez00) = ((obj_t) BgL_free1310z00_42), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4745;

					{
						obj_t BgL_auxz00_4746;

						{	/* Globalize/ginfo.sch 218 */
							BgL_objectz00_bglt BgL_tmpz00_4747;

							BgL_tmpz00_4747 = ((BgL_objectz00_bglt) BgL_new1225z00_4204);
							BgL_auxz00_4746 = BGL_OBJECT_WIDENING(BgL_tmpz00_4747);
						}
						BgL_auxz00_4745 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4746);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4745))->
							BgL_boundz00) = ((obj_t) BgL_bound1311z00_43), BUNSPEC);
				}
				return BgL_new1225z00_4204;
			}
		}

	}



/* &make-sfun/Ginfo */
	BgL_sfunz00_bglt BGl_z62makezd2sfunzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3222, obj_t BgL_arity1271z00_3223,
		obj_t BgL_sidezd2effect1272zd2_3224, obj_t BgL_predicatezd2of1273zd2_3225,
		obj_t BgL_stackzd2allocator1274zd2_3226, obj_t BgL_topzf31275zf3_3227,
		obj_t BgL_thezd2closure1276zd2_3228, obj_t BgL_effect1277z00_3229,
		obj_t BgL_failsafe1278z00_3230, obj_t BgL_argszd2noescape1279zd2_3231,
		obj_t BgL_property1280z00_3232, obj_t BgL_args1281z00_3233,
		obj_t BgL_argszd2name1282zd2_3234, obj_t BgL_body1283z00_3235,
		obj_t BgL_class1284z00_3236, obj_t BgL_dssslzd2keywords1285zd2_3237,
		obj_t BgL_loc1286z00_3238, obj_t BgL_optionals1287z00_3239,
		obj_t BgL_keys1288z00_3240, obj_t BgL_thezd2closurezd2global1289z00_3241,
		obj_t BgL_strength1290z00_3242, obj_t BgL_stackable1291z00_3243,
		obj_t BgL_gzf31292zf3_3244, obj_t BgL_cfrom1293z00_3245,
		obj_t BgL_cfromza21294za2_3246, obj_t BgL_cto1295z00_3247,
		obj_t BgL_ctoza21296za2_3248, obj_t BgL_efunctions1297z00_3249,
		obj_t BgL_integrator1298z00_3250, obj_t BgL_imark1299z00_3251,
		obj_t BgL_owner1300z00_3252, obj_t BgL_integrated1301z00_3253,
		obj_t BgL_pluggedzd2in1302zd2_3254, obj_t BgL_mark1303z00_3255,
		obj_t BgL_freezd2mark1304zd2_3256, obj_t BgL_thezd2global1305zd2_3257,
		obj_t BgL_kaptured1306z00_3258, obj_t BgL_newzd2body1307zd2_3259,
		obj_t BgL_bmark1308z00_3260, obj_t BgL_umark1309z00_3261,
		obj_t BgL_free1310z00_3262, obj_t BgL_bound1311z00_3263)
	{
		{	/* Globalize/ginfo.sch 218 */
			return
				BGl_makezd2sfunzf2Ginfoz20zzglobaliza7e_ginfoza7(
				(long) CINT(BgL_arity1271z00_3223), BgL_sidezd2effect1272zd2_3224,
				BgL_predicatezd2of1273zd2_3225, BgL_stackzd2allocator1274zd2_3226,
				CBOOL(BgL_topzf31275zf3_3227), BgL_thezd2closure1276zd2_3228,
				BgL_effect1277z00_3229, BgL_failsafe1278z00_3230,
				BgL_argszd2noescape1279zd2_3231, BgL_property1280z00_3232,
				BgL_args1281z00_3233, BgL_argszd2name1282zd2_3234, BgL_body1283z00_3235,
				BgL_class1284z00_3236, BgL_dssslzd2keywords1285zd2_3237,
				BgL_loc1286z00_3238, BgL_optionals1287z00_3239, BgL_keys1288z00_3240,
				BgL_thezd2closurezd2global1289z00_3241, BgL_strength1290z00_3242,
				BgL_stackable1291z00_3243, CBOOL(BgL_gzf31292zf3_3244),
				BgL_cfrom1293z00_3245, BgL_cfromza21294za2_3246, BgL_cto1295z00_3247,
				BgL_ctoza21296za2_3248, BgL_efunctions1297z00_3249,
				BgL_integrator1298z00_3250, BgL_imark1299z00_3251,
				BgL_owner1300z00_3252, BgL_integrated1301z00_3253,
				BgL_pluggedzd2in1302zd2_3254, (long) CINT(BgL_mark1303z00_3255),
				BgL_freezd2mark1304zd2_3256, BgL_thezd2global1305zd2_3257,
				BgL_kaptured1306z00_3258, BgL_newzd2body1307zd2_3259,
				(long) CINT(BgL_bmark1308z00_3260), (long) CINT(BgL_umark1309z00_3261),
				BgL_free1310z00_3262, BgL_bound1311z00_3263);
		}

	}



/* sfun/Ginfo? */
	BGL_EXPORTED_DEF bool_t BGl_sfunzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t
		BgL_objz00_44)
	{
		{	/* Globalize/ginfo.sch 219 */
			{	/* Globalize/ginfo.sch 219 */
				obj_t BgL_classz00_4210;

				BgL_classz00_4210 = BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7;
				if (BGL_OBJECTP(BgL_objz00_44))
					{	/* Globalize/ginfo.sch 219 */
						BgL_objectz00_bglt BgL_arg1825z00_4211;

						BgL_arg1825z00_4211 = (BgL_objectz00_bglt) (BgL_objz00_44);
						{	/* Globalize/ginfo.sch 219 */
							bool_t BgL_arg1822z00_4212;
							bool_t BgL_arg1823z00_4213;

							{	/* Globalize/ginfo.sch 219 */
								long BgL_idxz00_4214;

								BgL_idxz00_4214 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4211);
								BgL_arg1822z00_4212 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4214 + ((long) 4))) == BgL_classz00_4210);
							}
							{	/* Globalize/ginfo.sch 219 */
								bool_t BgL_res2089z00_4217;

								{	/* Globalize/ginfo.sch 219 */
									obj_t BgL_oclassz00_4218;

									{	/* Globalize/ginfo.sch 219 */
										long BgL_arg1833z00_4219;

										{	/* Globalize/ginfo.sch 219 */
											long BgL_arg1834z00_4220;

											BgL_arg1834z00_4220 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4211);
											BgL_arg1833z00_4219 = (BgL_arg1834z00_4220 - OBJECT_TYPE);
										}
										BgL_oclassz00_4218 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4219);
									}
									{	/* Globalize/ginfo.sch 219 */
										bool_t BgL__ortest_1110z00_4221;

										BgL__ortest_1110z00_4221 =
											(BgL_classz00_4210 == BgL_oclassz00_4218);
										if (BgL__ortest_1110z00_4221)
											{	/* Globalize/ginfo.sch 219 */
												BgL_res2089z00_4217 = BgL__ortest_1110z00_4221;
											}
										else
											{	/* Globalize/ginfo.sch 219 */
												long BgL_odepthz00_4222;

												BgL_odepthz00_4222 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4218);
												if ((((long) 4) < BgL_odepthz00_4222))
													{	/* Globalize/ginfo.sch 219 */
														obj_t BgL_arg1821z00_4223;

														BgL_arg1821z00_4223 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4218,
															((long) 4));
														BgL_res2089z00_4217 =
															(BgL_arg1821z00_4223 == BgL_classz00_4210);
													}
												else
													{	/* Globalize/ginfo.sch 219 */
														BgL_res2089z00_4217 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4213 = BgL_res2089z00_4217;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4212, BgL_arg1823z00_4213);
						}
					}
				else
					{	/* Globalize/ginfo.sch 219 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sfun/Ginfo? */
	obj_t BGl_z62sfunzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3264,
		obj_t BgL_objz00_3265)
	{
		{	/* Globalize/ginfo.sch 219 */
			return
				BBOOL(BGl_sfunzf2Ginfozf3z01zzglobaliza7e_ginfoza7(BgL_objz00_3265));
		}

	}



/* sfun/Ginfo-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_sfunzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7()
	{
		{	/* Globalize/ginfo.sch 220 */
			{	/* Globalize/ginfo.sch 220 */
				obj_t BgL_classz00_2644;

				BgL_classz00_2644 = BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7;
				{	/* Globalize/ginfo.sch 220 */
					obj_t BgL__ortest_1112z00_2645;

					BgL__ortest_1112z00_2645 = BGL_CLASS_NIL(BgL_classz00_2644);
					if (CBOOL(BgL__ortest_1112z00_2645))
						{	/* Globalize/ginfo.sch 220 */
							return ((BgL_sfunz00_bglt) BgL__ortest_1112z00_2645);
						}
					else
						{	/* Globalize/ginfo.sch 220 */
							return
								((BgL_sfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2644));
						}
				}
			}
		}

	}



/* &sfun/Ginfo-nil */
	BgL_sfunz00_bglt BGl_z62sfunzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3266)
	{
		{	/* Globalize/ginfo.sch 220 */
			return BGl_sfunzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7();
		}

	}



/* sfun/Ginfo-bound */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2boundz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_45)
	{
		{	/* Globalize/ginfo.sch 221 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4786;

				{
					obj_t BgL_auxz00_4787;

					{	/* Globalize/ginfo.sch 221 */
						BgL_objectz00_bglt BgL_tmpz00_4788;

						BgL_tmpz00_4788 = ((BgL_objectz00_bglt) BgL_oz00_45);
						BgL_auxz00_4787 = BGL_OBJECT_WIDENING(BgL_tmpz00_4788);
					}
					BgL_auxz00_4786 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4787);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4786))->BgL_boundz00);
			}
		}

	}



/* &sfun/Ginfo-bound */
	obj_t BGl_z62sfunzf2Ginfozd2boundz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3267, obj_t BgL_oz00_3268)
	{
		{	/* Globalize/ginfo.sch 221 */
			return
				BGl_sfunzf2Ginfozd2boundz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3268));
		}

	}



/* sfun/Ginfo-bound-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2boundzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_46, obj_t BgL_vz00_47)
	{
		{	/* Globalize/ginfo.sch 222 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4795;

				{
					obj_t BgL_auxz00_4796;

					{	/* Globalize/ginfo.sch 222 */
						BgL_objectz00_bglt BgL_tmpz00_4797;

						BgL_tmpz00_4797 = ((BgL_objectz00_bglt) BgL_oz00_46);
						BgL_auxz00_4796 = BGL_OBJECT_WIDENING(BgL_tmpz00_4797);
					}
					BgL_auxz00_4795 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4796);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4795))->
						BgL_boundz00) = ((obj_t) BgL_vz00_47), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-bound-set! */
	obj_t BGl_z62sfunzf2Ginfozd2boundzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3269, obj_t BgL_oz00_3270, obj_t BgL_vz00_3271)
	{
		{	/* Globalize/ginfo.sch 222 */
			return
				BGl_sfunzf2Ginfozd2boundzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3270), BgL_vz00_3271);
		}

	}



/* sfun/Ginfo-free */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2freez20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_48)
	{
		{	/* Globalize/ginfo.sch 223 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4804;

				{
					obj_t BgL_auxz00_4805;

					{	/* Globalize/ginfo.sch 223 */
						BgL_objectz00_bglt BgL_tmpz00_4806;

						BgL_tmpz00_4806 = ((BgL_objectz00_bglt) BgL_oz00_48);
						BgL_auxz00_4805 = BGL_OBJECT_WIDENING(BgL_tmpz00_4806);
					}
					BgL_auxz00_4804 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4805);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4804))->BgL_freez00);
			}
		}

	}



/* &sfun/Ginfo-free */
	obj_t BGl_z62sfunzf2Ginfozd2freez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3272, obj_t BgL_oz00_3273)
	{
		{	/* Globalize/ginfo.sch 223 */
			return
				BGl_sfunzf2Ginfozd2freez20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3273));
		}

	}



/* sfun/Ginfo-free-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2freezd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_49, obj_t BgL_vz00_50)
	{
		{	/* Globalize/ginfo.sch 224 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4813;

				{
					obj_t BgL_auxz00_4814;

					{	/* Globalize/ginfo.sch 224 */
						BgL_objectz00_bglt BgL_tmpz00_4815;

						BgL_tmpz00_4815 = ((BgL_objectz00_bglt) BgL_oz00_49);
						BgL_auxz00_4814 = BGL_OBJECT_WIDENING(BgL_tmpz00_4815);
					}
					BgL_auxz00_4813 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4814);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4813))->
						BgL_freez00) = ((obj_t) BgL_vz00_50), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-free-set! */
	obj_t BGl_z62sfunzf2Ginfozd2freezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3274, obj_t BgL_oz00_3275, obj_t BgL_vz00_3276)
	{
		{	/* Globalize/ginfo.sch 224 */
			return
				BGl_sfunzf2Ginfozd2freezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3275), BgL_vz00_3276);
		}

	}



/* sfun/Ginfo-umark */
	BGL_EXPORTED_DEF long
		BGl_sfunzf2Ginfozd2umarkz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_51)
	{
		{	/* Globalize/ginfo.sch 225 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4822;

				{
					obj_t BgL_auxz00_4823;

					{	/* Globalize/ginfo.sch 225 */
						BgL_objectz00_bglt BgL_tmpz00_4824;

						BgL_tmpz00_4824 = ((BgL_objectz00_bglt) BgL_oz00_51);
						BgL_auxz00_4823 = BGL_OBJECT_WIDENING(BgL_tmpz00_4824);
					}
					BgL_auxz00_4822 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4823);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4822))->BgL_umarkz00);
			}
		}

	}



/* &sfun/Ginfo-umark */
	obj_t BGl_z62sfunzf2Ginfozd2umarkz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3277, obj_t BgL_oz00_3278)
	{
		{	/* Globalize/ginfo.sch 225 */
			return
				BINT(BGl_sfunzf2Ginfozd2umarkz20zzglobaliza7e_ginfoza7(
					((BgL_sfunz00_bglt) BgL_oz00_3278)));
		}

	}



/* sfun/Ginfo-umark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2umarkzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_52, long BgL_vz00_53)
	{
		{	/* Globalize/ginfo.sch 226 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4832;

				{
					obj_t BgL_auxz00_4833;

					{	/* Globalize/ginfo.sch 226 */
						BgL_objectz00_bglt BgL_tmpz00_4834;

						BgL_tmpz00_4834 = ((BgL_objectz00_bglt) BgL_oz00_52);
						BgL_auxz00_4833 = BGL_OBJECT_WIDENING(BgL_tmpz00_4834);
					}
					BgL_auxz00_4832 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4833);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4832))->
						BgL_umarkz00) = ((long) BgL_vz00_53), BUNSPEC);
		}}

	}



/* &sfun/Ginfo-umark-set! */
	obj_t BGl_z62sfunzf2Ginfozd2umarkzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3279, obj_t BgL_oz00_3280, obj_t BgL_vz00_3281)
	{
		{	/* Globalize/ginfo.sch 226 */
			return
				BGl_sfunzf2Ginfozd2umarkzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3280), (long) CINT(BgL_vz00_3281));
		}

	}



/* sfun/Ginfo-bmark */
	BGL_EXPORTED_DEF long
		BGl_sfunzf2Ginfozd2bmarkz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_54)
	{
		{	/* Globalize/ginfo.sch 227 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4842;

				{
					obj_t BgL_auxz00_4843;

					{	/* Globalize/ginfo.sch 227 */
						BgL_objectz00_bglt BgL_tmpz00_4844;

						BgL_tmpz00_4844 = ((BgL_objectz00_bglt) BgL_oz00_54);
						BgL_auxz00_4843 = BGL_OBJECT_WIDENING(BgL_tmpz00_4844);
					}
					BgL_auxz00_4842 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4843);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4842))->BgL_bmarkz00);
			}
		}

	}



/* &sfun/Ginfo-bmark */
	obj_t BGl_z62sfunzf2Ginfozd2bmarkz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3282, obj_t BgL_oz00_3283)
	{
		{	/* Globalize/ginfo.sch 227 */
			return
				BINT(BGl_sfunzf2Ginfozd2bmarkz20zzglobaliza7e_ginfoza7(
					((BgL_sfunz00_bglt) BgL_oz00_3283)));
		}

	}



/* sfun/Ginfo-bmark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2bmarkzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_55, long BgL_vz00_56)
	{
		{	/* Globalize/ginfo.sch 228 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4852;

				{
					obj_t BgL_auxz00_4853;

					{	/* Globalize/ginfo.sch 228 */
						BgL_objectz00_bglt BgL_tmpz00_4854;

						BgL_tmpz00_4854 = ((BgL_objectz00_bglt) BgL_oz00_55);
						BgL_auxz00_4853 = BGL_OBJECT_WIDENING(BgL_tmpz00_4854);
					}
					BgL_auxz00_4852 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4853);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4852))->
						BgL_bmarkz00) = ((long) BgL_vz00_56), BUNSPEC);
		}}

	}



/* &sfun/Ginfo-bmark-set! */
	obj_t BGl_z62sfunzf2Ginfozd2bmarkzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3284, obj_t BgL_oz00_3285, obj_t BgL_vz00_3286)
	{
		{	/* Globalize/ginfo.sch 228 */
			return
				BGl_sfunzf2Ginfozd2bmarkzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3285), (long) CINT(BgL_vz00_3286));
		}

	}



/* sfun/Ginfo-new-body */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2newzd2bodyzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_57)
	{
		{	/* Globalize/ginfo.sch 229 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4862;

				{
					obj_t BgL_auxz00_4863;

					{	/* Globalize/ginfo.sch 229 */
						BgL_objectz00_bglt BgL_tmpz00_4864;

						BgL_tmpz00_4864 = ((BgL_objectz00_bglt) BgL_oz00_57);
						BgL_auxz00_4863 = BGL_OBJECT_WIDENING(BgL_tmpz00_4864);
					}
					BgL_auxz00_4862 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4863);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4862))->
					BgL_newzd2bodyzd2);
			}
		}

	}



/* &sfun/Ginfo-new-body */
	obj_t BGl_z62sfunzf2Ginfozd2newzd2bodyz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3287, obj_t BgL_oz00_3288)
	{
		{	/* Globalize/ginfo.sch 229 */
			return
				BGl_sfunzf2Ginfozd2newzd2bodyzf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3288));
		}

	}



/* sfun/Ginfo-new-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2newzd2bodyzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_58, obj_t BgL_vz00_59)
	{
		{	/* Globalize/ginfo.sch 230 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4871;

				{
					obj_t BgL_auxz00_4872;

					{	/* Globalize/ginfo.sch 230 */
						BgL_objectz00_bglt BgL_tmpz00_4873;

						BgL_tmpz00_4873 = ((BgL_objectz00_bglt) BgL_oz00_58);
						BgL_auxz00_4872 = BGL_OBJECT_WIDENING(BgL_tmpz00_4873);
					}
					BgL_auxz00_4871 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4872);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4871))->
						BgL_newzd2bodyzd2) = ((obj_t) BgL_vz00_59), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-new-body-set! */
	obj_t BGl_z62sfunzf2Ginfozd2newzd2bodyzd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3289, obj_t BgL_oz00_3290, obj_t BgL_vz00_3291)
	{
		{	/* Globalize/ginfo.sch 230 */
			return
				BGl_sfunzf2Ginfozd2newzd2bodyzd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3290), BgL_vz00_3291);
		}

	}



/* sfun/Ginfo-kaptured */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2kapturedz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_60)
	{
		{	/* Globalize/ginfo.sch 231 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4880;

				{
					obj_t BgL_auxz00_4881;

					{	/* Globalize/ginfo.sch 231 */
						BgL_objectz00_bglt BgL_tmpz00_4882;

						BgL_tmpz00_4882 = ((BgL_objectz00_bglt) BgL_oz00_60);
						BgL_auxz00_4881 = BGL_OBJECT_WIDENING(BgL_tmpz00_4882);
					}
					BgL_auxz00_4880 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4881);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4880))->
					BgL_kapturedz00);
			}
		}

	}



/* &sfun/Ginfo-kaptured */
	obj_t BGl_z62sfunzf2Ginfozd2kapturedz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3292, obj_t BgL_oz00_3293)
	{
		{	/* Globalize/ginfo.sch 231 */
			return
				BGl_sfunzf2Ginfozd2kapturedz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3293));
		}

	}



/* sfun/Ginfo-kaptured-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2kapturedzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_61, obj_t BgL_vz00_62)
	{
		{	/* Globalize/ginfo.sch 232 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4889;

				{
					obj_t BgL_auxz00_4890;

					{	/* Globalize/ginfo.sch 232 */
						BgL_objectz00_bglt BgL_tmpz00_4891;

						BgL_tmpz00_4891 = ((BgL_objectz00_bglt) BgL_oz00_61);
						BgL_auxz00_4890 = BGL_OBJECT_WIDENING(BgL_tmpz00_4891);
					}
					BgL_auxz00_4889 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4890);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4889))->
						BgL_kapturedz00) = ((obj_t) BgL_vz00_62), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-kaptured-set! */
	obj_t BGl_z62sfunzf2Ginfozd2kapturedzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3294, obj_t BgL_oz00_3295, obj_t BgL_vz00_3296)
	{
		{	/* Globalize/ginfo.sch 232 */
			return
				BGl_sfunzf2Ginfozd2kapturedzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3295), BgL_vz00_3296);
		}

	}



/* sfun/Ginfo-the-global */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2thezd2globalzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_63)
	{
		{	/* Globalize/ginfo.sch 233 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4898;

				{
					obj_t BgL_auxz00_4899;

					{	/* Globalize/ginfo.sch 233 */
						BgL_objectz00_bglt BgL_tmpz00_4900;

						BgL_tmpz00_4900 = ((BgL_objectz00_bglt) BgL_oz00_63);
						BgL_auxz00_4899 = BGL_OBJECT_WIDENING(BgL_tmpz00_4900);
					}
					BgL_auxz00_4898 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4899);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4898))->
					BgL_thezd2globalzd2);
			}
		}

	}



/* &sfun/Ginfo-the-global */
	obj_t BGl_z62sfunzf2Ginfozd2thezd2globalz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3297, obj_t BgL_oz00_3298)
	{
		{	/* Globalize/ginfo.sch 233 */
			return
				BGl_sfunzf2Ginfozd2thezd2globalzf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3298));
		}

	}



/* sfun/Ginfo-the-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2thezd2globalzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_64, obj_t BgL_vz00_65)
	{
		{	/* Globalize/ginfo.sch 234 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4907;

				{
					obj_t BgL_auxz00_4908;

					{	/* Globalize/ginfo.sch 234 */
						BgL_objectz00_bglt BgL_tmpz00_4909;

						BgL_tmpz00_4909 = ((BgL_objectz00_bglt) BgL_oz00_64);
						BgL_auxz00_4908 = BGL_OBJECT_WIDENING(BgL_tmpz00_4909);
					}
					BgL_auxz00_4907 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4908);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4907))->
						BgL_thezd2globalzd2) = ((obj_t) BgL_vz00_65), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-the-global-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2thezd2globalzd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3299, obj_t BgL_oz00_3300, obj_t BgL_vz00_3301)
	{
		{	/* Globalize/ginfo.sch 234 */
			return
				BGl_sfunzf2Ginfozd2thezd2globalzd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3300), BgL_vz00_3301);
		}

	}



/* sfun/Ginfo-free-mark */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2freezd2markzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_66)
	{
		{	/* Globalize/ginfo.sch 235 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4916;

				{
					obj_t BgL_auxz00_4917;

					{	/* Globalize/ginfo.sch 235 */
						BgL_objectz00_bglt BgL_tmpz00_4918;

						BgL_tmpz00_4918 = ((BgL_objectz00_bglt) BgL_oz00_66);
						BgL_auxz00_4917 = BGL_OBJECT_WIDENING(BgL_tmpz00_4918);
					}
					BgL_auxz00_4916 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4917);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4916))->
					BgL_freezd2markzd2);
			}
		}

	}



/* &sfun/Ginfo-free-mark */
	obj_t BGl_z62sfunzf2Ginfozd2freezd2markz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3302, obj_t BgL_oz00_3303)
	{
		{	/* Globalize/ginfo.sch 235 */
			return
				BGl_sfunzf2Ginfozd2freezd2markzf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3303));
		}

	}



/* sfun/Ginfo-free-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2freezd2markzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_67, obj_t BgL_vz00_68)
	{
		{	/* Globalize/ginfo.sch 236 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4925;

				{
					obj_t BgL_auxz00_4926;

					{	/* Globalize/ginfo.sch 236 */
						BgL_objectz00_bglt BgL_tmpz00_4927;

						BgL_tmpz00_4927 = ((BgL_objectz00_bglt) BgL_oz00_67);
						BgL_auxz00_4926 = BGL_OBJECT_WIDENING(BgL_tmpz00_4927);
					}
					BgL_auxz00_4925 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4926);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4925))->
						BgL_freezd2markzd2) = ((obj_t) BgL_vz00_68), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-free-mark-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2freezd2markzd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3304, obj_t BgL_oz00_3305, obj_t BgL_vz00_3306)
	{
		{	/* Globalize/ginfo.sch 236 */
			return
				BGl_sfunzf2Ginfozd2freezd2markzd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3305), BgL_vz00_3306);
		}

	}



/* sfun/Ginfo-mark */
	BGL_EXPORTED_DEF long
		BGl_sfunzf2Ginfozd2markz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_69)
	{
		{	/* Globalize/ginfo.sch 237 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4934;

				{
					obj_t BgL_auxz00_4935;

					{	/* Globalize/ginfo.sch 237 */
						BgL_objectz00_bglt BgL_tmpz00_4936;

						BgL_tmpz00_4936 = ((BgL_objectz00_bglt) BgL_oz00_69);
						BgL_auxz00_4935 = BGL_OBJECT_WIDENING(BgL_tmpz00_4936);
					}
					BgL_auxz00_4934 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4935);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4934))->BgL_markz00);
			}
		}

	}



/* &sfun/Ginfo-mark */
	obj_t BGl_z62sfunzf2Ginfozd2markz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3307, obj_t BgL_oz00_3308)
	{
		{	/* Globalize/ginfo.sch 237 */
			return
				BINT(BGl_sfunzf2Ginfozd2markz20zzglobaliza7e_ginfoza7(
					((BgL_sfunz00_bglt) BgL_oz00_3308)));
		}

	}



/* sfun/Ginfo-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2markzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_70, long BgL_vz00_71)
	{
		{	/* Globalize/ginfo.sch 238 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4944;

				{
					obj_t BgL_auxz00_4945;

					{	/* Globalize/ginfo.sch 238 */
						BgL_objectz00_bglt BgL_tmpz00_4946;

						BgL_tmpz00_4946 = ((BgL_objectz00_bglt) BgL_oz00_70);
						BgL_auxz00_4945 = BGL_OBJECT_WIDENING(BgL_tmpz00_4946);
					}
					BgL_auxz00_4944 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4945);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4944))->
						BgL_markz00) = ((long) BgL_vz00_71), BUNSPEC);
		}}

	}



/* &sfun/Ginfo-mark-set! */
	obj_t BGl_z62sfunzf2Ginfozd2markzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3309, obj_t BgL_oz00_3310, obj_t BgL_vz00_3311)
	{
		{	/* Globalize/ginfo.sch 238 */
			return
				BGl_sfunzf2Ginfozd2markzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3310), (long) CINT(BgL_vz00_3311));
		}

	}



/* sfun/Ginfo-plugged-in */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2pluggedzd2inzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_72)
	{
		{	/* Globalize/ginfo.sch 239 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4954;

				{
					obj_t BgL_auxz00_4955;

					{	/* Globalize/ginfo.sch 239 */
						BgL_objectz00_bglt BgL_tmpz00_4956;

						BgL_tmpz00_4956 = ((BgL_objectz00_bglt) BgL_oz00_72);
						BgL_auxz00_4955 = BGL_OBJECT_WIDENING(BgL_tmpz00_4956);
					}
					BgL_auxz00_4954 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4955);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4954))->
					BgL_pluggedzd2inzd2);
			}
		}

	}



/* &sfun/Ginfo-plugged-in */
	obj_t BGl_z62sfunzf2Ginfozd2pluggedzd2inz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3312, obj_t BgL_oz00_3313)
	{
		{	/* Globalize/ginfo.sch 239 */
			return
				BGl_sfunzf2Ginfozd2pluggedzd2inzf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3313));
		}

	}



/* sfun/Ginfo-plugged-in-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2pluggedzd2inzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_73, obj_t BgL_vz00_74)
	{
		{	/* Globalize/ginfo.sch 240 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4963;

				{
					obj_t BgL_auxz00_4964;

					{	/* Globalize/ginfo.sch 240 */
						BgL_objectz00_bglt BgL_tmpz00_4965;

						BgL_tmpz00_4965 = ((BgL_objectz00_bglt) BgL_oz00_73);
						BgL_auxz00_4964 = BGL_OBJECT_WIDENING(BgL_tmpz00_4965);
					}
					BgL_auxz00_4963 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4964);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4963))->
						BgL_pluggedzd2inzd2) = ((obj_t) BgL_vz00_74), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-plugged-in-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2pluggedzd2inzd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3314, obj_t BgL_oz00_3315, obj_t BgL_vz00_3316)
	{
		{	/* Globalize/ginfo.sch 240 */
			return
				BGl_sfunzf2Ginfozd2pluggedzd2inzd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3315), BgL_vz00_3316);
		}

	}



/* sfun/Ginfo-integrated */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2integratedz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_75)
	{
		{	/* Globalize/ginfo.sch 241 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4972;

				{
					obj_t BgL_auxz00_4973;

					{	/* Globalize/ginfo.sch 241 */
						BgL_objectz00_bglt BgL_tmpz00_4974;

						BgL_tmpz00_4974 = ((BgL_objectz00_bglt) BgL_oz00_75);
						BgL_auxz00_4973 = BGL_OBJECT_WIDENING(BgL_tmpz00_4974);
					}
					BgL_auxz00_4972 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4973);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4972))->
					BgL_integratedz00);
			}
		}

	}



/* &sfun/Ginfo-integrated */
	obj_t BGl_z62sfunzf2Ginfozd2integratedz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3317, obj_t BgL_oz00_3318)
	{
		{	/* Globalize/ginfo.sch 241 */
			return
				BGl_sfunzf2Ginfozd2integratedz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3318));
		}

	}



/* sfun/Ginfo-integrated-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2integratedzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_76, obj_t BgL_vz00_77)
	{
		{	/* Globalize/ginfo.sch 242 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4981;

				{
					obj_t BgL_auxz00_4982;

					{	/* Globalize/ginfo.sch 242 */
						BgL_objectz00_bglt BgL_tmpz00_4983;

						BgL_tmpz00_4983 = ((BgL_objectz00_bglt) BgL_oz00_76);
						BgL_auxz00_4982 = BGL_OBJECT_WIDENING(BgL_tmpz00_4983);
					}
					BgL_auxz00_4981 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4982);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4981))->
						BgL_integratedz00) = ((obj_t) BgL_vz00_77), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-integrated-set! */
	obj_t BGl_z62sfunzf2Ginfozd2integratedzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3319, obj_t BgL_oz00_3320, obj_t BgL_vz00_3321)
	{
		{	/* Globalize/ginfo.sch 242 */
			return
				BGl_sfunzf2Ginfozd2integratedzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3320), BgL_vz00_3321);
		}

	}



/* sfun/Ginfo-owner */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2ownerz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_78)
	{
		{	/* Globalize/ginfo.sch 243 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4990;

				{
					obj_t BgL_auxz00_4991;

					{	/* Globalize/ginfo.sch 243 */
						BgL_objectz00_bglt BgL_tmpz00_4992;

						BgL_tmpz00_4992 = ((BgL_objectz00_bglt) BgL_oz00_78);
						BgL_auxz00_4991 = BGL_OBJECT_WIDENING(BgL_tmpz00_4992);
					}
					BgL_auxz00_4990 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4991);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4990))->BgL_ownerz00);
			}
		}

	}



/* &sfun/Ginfo-owner */
	obj_t BGl_z62sfunzf2Ginfozd2ownerz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3322, obj_t BgL_oz00_3323)
	{
		{	/* Globalize/ginfo.sch 243 */
			return
				BGl_sfunzf2Ginfozd2ownerz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3323));
		}

	}



/* sfun/Ginfo-owner-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2ownerzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_79, obj_t BgL_vz00_80)
	{
		{	/* Globalize/ginfo.sch 244 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4999;

				{
					obj_t BgL_auxz00_5000;

					{	/* Globalize/ginfo.sch 244 */
						BgL_objectz00_bglt BgL_tmpz00_5001;

						BgL_tmpz00_5001 = ((BgL_objectz00_bglt) BgL_oz00_79);
						BgL_auxz00_5000 = BGL_OBJECT_WIDENING(BgL_tmpz00_5001);
					}
					BgL_auxz00_4999 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5000);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4999))->
						BgL_ownerz00) = ((obj_t) BgL_vz00_80), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-owner-set! */
	obj_t BGl_z62sfunzf2Ginfozd2ownerzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3324, obj_t BgL_oz00_3325, obj_t BgL_vz00_3326)
	{
		{	/* Globalize/ginfo.sch 244 */
			return
				BGl_sfunzf2Ginfozd2ownerzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3325), BgL_vz00_3326);
		}

	}



/* sfun/Ginfo-imark */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2imarkz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_81)
	{
		{	/* Globalize/ginfo.sch 245 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5008;

				{
					obj_t BgL_auxz00_5009;

					{	/* Globalize/ginfo.sch 245 */
						BgL_objectz00_bglt BgL_tmpz00_5010;

						BgL_tmpz00_5010 = ((BgL_objectz00_bglt) BgL_oz00_81);
						BgL_auxz00_5009 = BGL_OBJECT_WIDENING(BgL_tmpz00_5010);
					}
					BgL_auxz00_5008 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5009);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5008))->BgL_imarkz00);
			}
		}

	}



/* &sfun/Ginfo-imark */
	obj_t BGl_z62sfunzf2Ginfozd2imarkz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3327, obj_t BgL_oz00_3328)
	{
		{	/* Globalize/ginfo.sch 245 */
			return
				BGl_sfunzf2Ginfozd2imarkz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3328));
		}

	}



/* sfun/Ginfo-imark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2imarkzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_82, obj_t BgL_vz00_83)
	{
		{	/* Globalize/ginfo.sch 246 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5017;

				{
					obj_t BgL_auxz00_5018;

					{	/* Globalize/ginfo.sch 246 */
						BgL_objectz00_bglt BgL_tmpz00_5019;

						BgL_tmpz00_5019 = ((BgL_objectz00_bglt) BgL_oz00_82);
						BgL_auxz00_5018 = BGL_OBJECT_WIDENING(BgL_tmpz00_5019);
					}
					BgL_auxz00_5017 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5018);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5017))->
						BgL_imarkz00) = ((obj_t) BgL_vz00_83), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-imark-set! */
	obj_t BGl_z62sfunzf2Ginfozd2imarkzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3329, obj_t BgL_oz00_3330, obj_t BgL_vz00_3331)
	{
		{	/* Globalize/ginfo.sch 246 */
			return
				BGl_sfunzf2Ginfozd2imarkzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3330), BgL_vz00_3331);
		}

	}



/* sfun/Ginfo-integrator */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2integratorz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_84)
	{
		{	/* Globalize/ginfo.sch 247 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5026;

				{
					obj_t BgL_auxz00_5027;

					{	/* Globalize/ginfo.sch 247 */
						BgL_objectz00_bglt BgL_tmpz00_5028;

						BgL_tmpz00_5028 = ((BgL_objectz00_bglt) BgL_oz00_84);
						BgL_auxz00_5027 = BGL_OBJECT_WIDENING(BgL_tmpz00_5028);
					}
					BgL_auxz00_5026 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5027);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5026))->
					BgL_integratorz00);
			}
		}

	}



/* &sfun/Ginfo-integrator */
	obj_t BGl_z62sfunzf2Ginfozd2integratorz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3332, obj_t BgL_oz00_3333)
	{
		{	/* Globalize/ginfo.sch 247 */
			return
				BGl_sfunzf2Ginfozd2integratorz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3333));
		}

	}



/* sfun/Ginfo-integrator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2integratorzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_85, obj_t BgL_vz00_86)
	{
		{	/* Globalize/ginfo.sch 248 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5035;

				{
					obj_t BgL_auxz00_5036;

					{	/* Globalize/ginfo.sch 248 */
						BgL_objectz00_bglt BgL_tmpz00_5037;

						BgL_tmpz00_5037 = ((BgL_objectz00_bglt) BgL_oz00_85);
						BgL_auxz00_5036 = BGL_OBJECT_WIDENING(BgL_tmpz00_5037);
					}
					BgL_auxz00_5035 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5036);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5035))->
						BgL_integratorz00) = ((obj_t) BgL_vz00_86), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-integrator-set! */
	obj_t BGl_z62sfunzf2Ginfozd2integratorzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3334, obj_t BgL_oz00_3335, obj_t BgL_vz00_3336)
	{
		{	/* Globalize/ginfo.sch 248 */
			return
				BGl_sfunzf2Ginfozd2integratorzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3335), BgL_vz00_3336);
		}

	}



/* sfun/Ginfo-efunctions */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2efunctionsz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_87)
	{
		{	/* Globalize/ginfo.sch 249 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5044;

				{
					obj_t BgL_auxz00_5045;

					{	/* Globalize/ginfo.sch 249 */
						BgL_objectz00_bglt BgL_tmpz00_5046;

						BgL_tmpz00_5046 = ((BgL_objectz00_bglt) BgL_oz00_87);
						BgL_auxz00_5045 = BGL_OBJECT_WIDENING(BgL_tmpz00_5046);
					}
					BgL_auxz00_5044 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5045);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5044))->
					BgL_efunctionsz00);
			}
		}

	}



/* &sfun/Ginfo-efunctions */
	obj_t BGl_z62sfunzf2Ginfozd2efunctionsz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3337, obj_t BgL_oz00_3338)
	{
		{	/* Globalize/ginfo.sch 249 */
			return
				BGl_sfunzf2Ginfozd2efunctionsz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3338));
		}

	}



/* sfun/Ginfo-efunctions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2efunctionszd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_88, obj_t BgL_vz00_89)
	{
		{	/* Globalize/ginfo.sch 250 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5053;

				{
					obj_t BgL_auxz00_5054;

					{	/* Globalize/ginfo.sch 250 */
						BgL_objectz00_bglt BgL_tmpz00_5055;

						BgL_tmpz00_5055 = ((BgL_objectz00_bglt) BgL_oz00_88);
						BgL_auxz00_5054 = BGL_OBJECT_WIDENING(BgL_tmpz00_5055);
					}
					BgL_auxz00_5053 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5054);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5053))->
						BgL_efunctionsz00) = ((obj_t) BgL_vz00_89), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-efunctions-set! */
	obj_t BGl_z62sfunzf2Ginfozd2efunctionszd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3339, obj_t BgL_oz00_3340, obj_t BgL_vz00_3341)
	{
		{	/* Globalize/ginfo.sch 250 */
			return
				BGl_sfunzf2Ginfozd2efunctionszd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3340), BgL_vz00_3341);
		}

	}



/* sfun/Ginfo-cto* */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2ctoza2z82zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_90)
	{
		{	/* Globalize/ginfo.sch 251 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5062;

				{
					obj_t BgL_auxz00_5063;

					{	/* Globalize/ginfo.sch 251 */
						BgL_objectz00_bglt BgL_tmpz00_5064;

						BgL_tmpz00_5064 = ((BgL_objectz00_bglt) BgL_oz00_90);
						BgL_auxz00_5063 = BGL_OBJECT_WIDENING(BgL_tmpz00_5064);
					}
					BgL_auxz00_5062 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5063);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5062))->
					BgL_ctoza2za2);
			}
		}

	}



/* &sfun/Ginfo-cto* */
	obj_t BGl_z62sfunzf2Ginfozd2ctoza2ze0zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3342, obj_t BgL_oz00_3343)
	{
		{	/* Globalize/ginfo.sch 251 */
			return
				BGl_sfunzf2Ginfozd2ctoza2z82zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3343));
		}

	}



/* sfun/Ginfo-cto*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2ctoza2zd2setz12z42zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_91, obj_t BgL_vz00_92)
	{
		{	/* Globalize/ginfo.sch 252 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5071;

				{
					obj_t BgL_auxz00_5072;

					{	/* Globalize/ginfo.sch 252 */
						BgL_objectz00_bglt BgL_tmpz00_5073;

						BgL_tmpz00_5073 = ((BgL_objectz00_bglt) BgL_oz00_91);
						BgL_auxz00_5072 = BGL_OBJECT_WIDENING(BgL_tmpz00_5073);
					}
					BgL_auxz00_5071 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5072);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5071))->
						BgL_ctoza2za2) = ((obj_t) BgL_vz00_92), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-cto*-set! */
	obj_t BGl_z62sfunzf2Ginfozd2ctoza2zd2setz12z20zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3344, obj_t BgL_oz00_3345, obj_t BgL_vz00_3346)
	{
		{	/* Globalize/ginfo.sch 252 */
			return
				BGl_sfunzf2Ginfozd2ctoza2zd2setz12z42zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3345), BgL_vz00_3346);
		}

	}



/* sfun/Ginfo-cto */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2ctoz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_93)
	{
		{	/* Globalize/ginfo.sch 253 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5080;

				{
					obj_t BgL_auxz00_5081;

					{	/* Globalize/ginfo.sch 253 */
						BgL_objectz00_bglt BgL_tmpz00_5082;

						BgL_tmpz00_5082 = ((BgL_objectz00_bglt) BgL_oz00_93);
						BgL_auxz00_5081 = BGL_OBJECT_WIDENING(BgL_tmpz00_5082);
					}
					BgL_auxz00_5080 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5081);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5080))->BgL_ctoz00);
			}
		}

	}



/* &sfun/Ginfo-cto */
	obj_t BGl_z62sfunzf2Ginfozd2ctoz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3347, obj_t BgL_oz00_3348)
	{
		{	/* Globalize/ginfo.sch 253 */
			return
				BGl_sfunzf2Ginfozd2ctoz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3348));
		}

	}



/* sfun/Ginfo-cto-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2ctozd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_94, obj_t BgL_vz00_95)
	{
		{	/* Globalize/ginfo.sch 254 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5089;

				{
					obj_t BgL_auxz00_5090;

					{	/* Globalize/ginfo.sch 254 */
						BgL_objectz00_bglt BgL_tmpz00_5091;

						BgL_tmpz00_5091 = ((BgL_objectz00_bglt) BgL_oz00_94);
						BgL_auxz00_5090 = BGL_OBJECT_WIDENING(BgL_tmpz00_5091);
					}
					BgL_auxz00_5089 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5090);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5089))->BgL_ctoz00) =
					((obj_t) BgL_vz00_95), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-cto-set! */
	obj_t BGl_z62sfunzf2Ginfozd2ctozd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3349, obj_t BgL_oz00_3350, obj_t BgL_vz00_3351)
	{
		{	/* Globalize/ginfo.sch 254 */
			return
				BGl_sfunzf2Ginfozd2ctozd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3350), BgL_vz00_3351);
		}

	}



/* sfun/Ginfo-cfrom* */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2cfromza2z82zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_96)
	{
		{	/* Globalize/ginfo.sch 255 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5098;

				{
					obj_t BgL_auxz00_5099;

					{	/* Globalize/ginfo.sch 255 */
						BgL_objectz00_bglt BgL_tmpz00_5100;

						BgL_tmpz00_5100 = ((BgL_objectz00_bglt) BgL_oz00_96);
						BgL_auxz00_5099 = BGL_OBJECT_WIDENING(BgL_tmpz00_5100);
					}
					BgL_auxz00_5098 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5099);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5098))->
					BgL_cfromza2za2);
			}
		}

	}



/* &sfun/Ginfo-cfrom* */
	obj_t BGl_z62sfunzf2Ginfozd2cfromza2ze0zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3352, obj_t BgL_oz00_3353)
	{
		{	/* Globalize/ginfo.sch 255 */
			return
				BGl_sfunzf2Ginfozd2cfromza2z82zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3353));
		}

	}



/* sfun/Ginfo-cfrom*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2cfromza2zd2setz12z42zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_97, obj_t BgL_vz00_98)
	{
		{	/* Globalize/ginfo.sch 256 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5107;

				{
					obj_t BgL_auxz00_5108;

					{	/* Globalize/ginfo.sch 256 */
						BgL_objectz00_bglt BgL_tmpz00_5109;

						BgL_tmpz00_5109 = ((BgL_objectz00_bglt) BgL_oz00_97);
						BgL_auxz00_5108 = BGL_OBJECT_WIDENING(BgL_tmpz00_5109);
					}
					BgL_auxz00_5107 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5108);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5107))->
						BgL_cfromza2za2) = ((obj_t) BgL_vz00_98), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-cfrom*-set! */
	obj_t BGl_z62sfunzf2Ginfozd2cfromza2zd2setz12z20zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3354, obj_t BgL_oz00_3355, obj_t BgL_vz00_3356)
	{
		{	/* Globalize/ginfo.sch 256 */
			return
				BGl_sfunzf2Ginfozd2cfromza2zd2setz12z42zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3355), BgL_vz00_3356);
		}

	}



/* sfun/Ginfo-cfrom */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2cfromz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_99)
	{
		{	/* Globalize/ginfo.sch 257 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5116;

				{
					obj_t BgL_auxz00_5117;

					{	/* Globalize/ginfo.sch 257 */
						BgL_objectz00_bglt BgL_tmpz00_5118;

						BgL_tmpz00_5118 = ((BgL_objectz00_bglt) BgL_oz00_99);
						BgL_auxz00_5117 = BGL_OBJECT_WIDENING(BgL_tmpz00_5118);
					}
					BgL_auxz00_5116 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5117);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5116))->BgL_cfromz00);
			}
		}

	}



/* &sfun/Ginfo-cfrom */
	obj_t BGl_z62sfunzf2Ginfozd2cfromz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3357, obj_t BgL_oz00_3358)
	{
		{	/* Globalize/ginfo.sch 257 */
			return
				BGl_sfunzf2Ginfozd2cfromz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3358));
		}

	}



/* sfun/Ginfo-cfrom-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2cfromzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_100, obj_t BgL_vz00_101)
	{
		{	/* Globalize/ginfo.sch 258 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5125;

				{
					obj_t BgL_auxz00_5126;

					{	/* Globalize/ginfo.sch 258 */
						BgL_objectz00_bglt BgL_tmpz00_5127;

						BgL_tmpz00_5127 = ((BgL_objectz00_bglt) BgL_oz00_100);
						BgL_auxz00_5126 = BGL_OBJECT_WIDENING(BgL_tmpz00_5127);
					}
					BgL_auxz00_5125 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5126);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5125))->
						BgL_cfromz00) = ((obj_t) BgL_vz00_101), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-cfrom-set! */
	obj_t BGl_z62sfunzf2Ginfozd2cfromzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3359, obj_t BgL_oz00_3360, obj_t BgL_vz00_3361)
	{
		{	/* Globalize/ginfo.sch 258 */
			return
				BGl_sfunzf2Ginfozd2cfromzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3360), BgL_vz00_3361);
		}

	}



/* sfun/Ginfo-G? */
	BGL_EXPORTED_DEF bool_t
		BGl_sfunzf2Ginfozd2Gzf3zd3zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_102)
	{
		{	/* Globalize/ginfo.sch 259 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5134;

				{
					obj_t BgL_auxz00_5135;

					{	/* Globalize/ginfo.sch 259 */
						BgL_objectz00_bglt BgL_tmpz00_5136;

						BgL_tmpz00_5136 = ((BgL_objectz00_bglt) BgL_oz00_102);
						BgL_auxz00_5135 = BGL_OBJECT_WIDENING(BgL_tmpz00_5136);
					}
					BgL_auxz00_5134 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5135);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5134))->BgL_gzf3zf3);
			}
		}

	}



/* &sfun/Ginfo-G? */
	obj_t BGl_z62sfunzf2Ginfozd2Gzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3362, obj_t BgL_oz00_3363)
	{
		{	/* Globalize/ginfo.sch 259 */
			return
				BBOOL(BGl_sfunzf2Ginfozd2Gzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_sfunz00_bglt) BgL_oz00_3363)));
		}

	}



/* sfun/Ginfo-G?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2Gzf3zd2setz12z13zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_103, bool_t BgL_vz00_104)
	{
		{	/* Globalize/ginfo.sch 260 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5144;

				{
					obj_t BgL_auxz00_5145;

					{	/* Globalize/ginfo.sch 260 */
						BgL_objectz00_bglt BgL_tmpz00_5146;

						BgL_tmpz00_5146 = ((BgL_objectz00_bglt) BgL_oz00_103);
						BgL_auxz00_5145 = BGL_OBJECT_WIDENING(BgL_tmpz00_5146);
					}
					BgL_auxz00_5144 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5145);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5144))->
						BgL_gzf3zf3) = ((bool_t) BgL_vz00_104), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-G?-set! */
	obj_t BGl_z62sfunzf2Ginfozd2Gzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3364, obj_t BgL_oz00_3365, obj_t BgL_vz00_3366)
	{
		{	/* Globalize/ginfo.sch 260 */
			return
				BGl_sfunzf2Ginfozd2Gzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3365), CBOOL(BgL_vz00_3366));
		}

	}



/* sfun/Ginfo-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2stackablez20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_105)
	{
		{	/* Globalize/ginfo.sch 261 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_105)))->BgL_stackablez00);
		}

	}



/* &sfun/Ginfo-stackable */
	obj_t BGl_z62sfunzf2Ginfozd2stackablez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3367, obj_t BgL_oz00_3368)
	{
		{	/* Globalize/ginfo.sch 261 */
			return
				BGl_sfunzf2Ginfozd2stackablez20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3368));
		}

	}



/* sfun/Ginfo-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2stackablezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_106, obj_t BgL_vz00_107)
	{
		{	/* Globalize/ginfo.sch 262 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_106)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_107), BUNSPEC);
		}

	}



/* &sfun/Ginfo-stackable-set! */
	obj_t BGl_z62sfunzf2Ginfozd2stackablezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3369, obj_t BgL_oz00_3370, obj_t BgL_vz00_3371)
	{
		{	/* Globalize/ginfo.sch 262 */
			return
				BGl_sfunzf2Ginfozd2stackablezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3370), BgL_vz00_3371);
		}

	}



/* sfun/Ginfo-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2strengthz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_108)
	{
		{	/* Globalize/ginfo.sch 263 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_108)))->BgL_strengthz00);
		}

	}



/* &sfun/Ginfo-strength */
	obj_t BGl_z62sfunzf2Ginfozd2strengthz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3372, obj_t BgL_oz00_3373)
	{
		{	/* Globalize/ginfo.sch 263 */
			return
				BGl_sfunzf2Ginfozd2strengthz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3373));
		}

	}



/* sfun/Ginfo-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2strengthzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_109, obj_t BgL_vz00_110)
	{
		{	/* Globalize/ginfo.sch 264 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_109)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_110), BUNSPEC);
		}

	}



/* &sfun/Ginfo-strength-set! */
	obj_t BGl_z62sfunzf2Ginfozd2strengthzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3374, obj_t BgL_oz00_3375, obj_t BgL_vz00_3376)
	{
		{	/* Globalize/ginfo.sch 264 */
			return
				BGl_sfunzf2Ginfozd2strengthzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3375), BgL_vz00_3376);
		}

	}



/* sfun/Ginfo-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2thezd2closurezd2globalz20zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_111)
	{
		{	/* Globalize/ginfo.sch 265 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_111)))->BgL_thezd2closurezd2globalz00);
		}

	}



/* &sfun/Ginfo-the-closure-global */
	obj_t
		BGl_z62sfunzf2Ginfozd2thezd2closurezd2globalz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3377, obj_t BgL_oz00_3378)
	{
		{	/* Globalize/ginfo.sch 265 */
			return
				BGl_sfunzf2Ginfozd2thezd2closurezd2globalz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3378));
		}

	}



/* sfun/Ginfo-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2thezd2closurezd2globalzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_112, obj_t BgL_vz00_113)
	{
		{	/* Globalize/ginfo.sch 266 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_112)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_113), BUNSPEC);
		}

	}



/* &sfun/Ginfo-the-closure-global-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2thezd2closurezd2globalzd2setz12z82zzglobaliza7e_ginfoza7
		(obj_t BgL_envz00_3379, obj_t BgL_oz00_3380, obj_t BgL_vz00_3381)
	{
		{	/* Globalize/ginfo.sch 266 */
			return
				BGl_sfunzf2Ginfozd2thezd2closurezd2globalzd2setz12ze0zzglobaliza7e_ginfoza7
				(((BgL_sfunz00_bglt) BgL_oz00_3380), BgL_vz00_3381);
		}

	}



/* sfun/Ginfo-keys */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2keysz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_114)
	{
		{	/* Globalize/ginfo.sch 267 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_114)))->BgL_keysz00);
		}

	}



/* &sfun/Ginfo-keys */
	obj_t BGl_z62sfunzf2Ginfozd2keysz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3382, obj_t BgL_oz00_3383)
	{
		{	/* Globalize/ginfo.sch 267 */
			return
				BGl_sfunzf2Ginfozd2keysz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3383));
		}

	}



/* sfun/Ginfo-optionals */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2optionalsz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_117)
	{
		{	/* Globalize/ginfo.sch 269 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_117)))->BgL_optionalsz00);
		}

	}



/* &sfun/Ginfo-optionals */
	obj_t BGl_z62sfunzf2Ginfozd2optionalsz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3384, obj_t BgL_oz00_3385)
	{
		{	/* Globalize/ginfo.sch 269 */
			return
				BGl_sfunzf2Ginfozd2optionalsz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3385));
		}

	}



/* sfun/Ginfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2locz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_120)
	{
		{	/* Globalize/ginfo.sch 271 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_120)))->BgL_locz00);
		}

	}



/* &sfun/Ginfo-loc */
	obj_t BGl_z62sfunzf2Ginfozd2locz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3386, obj_t BgL_oz00_3387)
	{
		{	/* Globalize/ginfo.sch 271 */
			return
				BGl_sfunzf2Ginfozd2locz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3387));
		}

	}



/* sfun/Ginfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2loczd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_121, obj_t BgL_vz00_122)
	{
		{	/* Globalize/ginfo.sch 272 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_121)))->BgL_locz00) =
				((obj_t) BgL_vz00_122), BUNSPEC);
		}

	}



/* &sfun/Ginfo-loc-set! */
	obj_t BGl_z62sfunzf2Ginfozd2loczd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3388, obj_t BgL_oz00_3389, obj_t BgL_vz00_3390)
	{
		{	/* Globalize/ginfo.sch 272 */
			return
				BGl_sfunzf2Ginfozd2loczd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3389), BgL_vz00_3390);
		}

	}



/* sfun/Ginfo-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2dssslzd2keywordszf2zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_123)
	{
		{	/* Globalize/ginfo.sch 273 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_123)))->BgL_dssslzd2keywordszd2);
		}

	}



/* &sfun/Ginfo-dsssl-keywords */
	obj_t BGl_z62sfunzf2Ginfozd2dssslzd2keywordsz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3391, obj_t BgL_oz00_3392)
	{
		{	/* Globalize/ginfo.sch 273 */
			return
				BGl_sfunzf2Ginfozd2dssslzd2keywordszf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3392));
		}

	}



/* sfun/Ginfo-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2dssslzd2keywordszd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_124, obj_t BgL_vz00_125)
	{
		{	/* Globalize/ginfo.sch 274 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_124)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_125), BUNSPEC);
		}

	}



/* &sfun/Ginfo-dsssl-keywords-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2dssslzd2keywordszd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t BgL_envz00_3393, obj_t BgL_oz00_3394, obj_t BgL_vz00_3395)
	{
		{	/* Globalize/ginfo.sch 274 */
			return
				BGl_sfunzf2Ginfozd2dssslzd2keywordszd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3394), BgL_vz00_3395);
		}

	}



/* sfun/Ginfo-class */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2classz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_126)
	{
		{	/* Globalize/ginfo.sch 275 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_126)))->BgL_classz00);
		}

	}



/* &sfun/Ginfo-class */
	obj_t BGl_z62sfunzf2Ginfozd2classz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3396, obj_t BgL_oz00_3397)
	{
		{	/* Globalize/ginfo.sch 275 */
			return
				BGl_sfunzf2Ginfozd2classz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3397));
		}

	}



/* sfun/Ginfo-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2classzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_127, obj_t BgL_vz00_128)
	{
		{	/* Globalize/ginfo.sch 276 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_127)))->BgL_classz00) =
				((obj_t) BgL_vz00_128), BUNSPEC);
		}

	}



/* &sfun/Ginfo-class-set! */
	obj_t BGl_z62sfunzf2Ginfozd2classzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3398, obj_t BgL_oz00_3399, obj_t BgL_vz00_3400)
	{
		{	/* Globalize/ginfo.sch 276 */
			return
				BGl_sfunzf2Ginfozd2classzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3399), BgL_vz00_3400);
		}

	}



/* sfun/Ginfo-body */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2bodyz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_129)
	{
		{	/* Globalize/ginfo.sch 277 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_129)))->BgL_bodyz00);
		}

	}



/* &sfun/Ginfo-body */
	obj_t BGl_z62sfunzf2Ginfozd2bodyz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3401, obj_t BgL_oz00_3402)
	{
		{	/* Globalize/ginfo.sch 277 */
			return
				BGl_sfunzf2Ginfozd2bodyz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3402));
		}

	}



/* sfun/Ginfo-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2bodyzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_130, obj_t BgL_vz00_131)
	{
		{	/* Globalize/ginfo.sch 278 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_130)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_131), BUNSPEC);
		}

	}



/* &sfun/Ginfo-body-set! */
	obj_t BGl_z62sfunzf2Ginfozd2bodyzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3403, obj_t BgL_oz00_3404, obj_t BgL_vz00_3405)
	{
		{	/* Globalize/ginfo.sch 278 */
			return
				BGl_sfunzf2Ginfozd2bodyzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3404), BgL_vz00_3405);
		}

	}



/* sfun/Ginfo-args-name */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2argszd2namezf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_132)
	{
		{	/* Globalize/ginfo.sch 279 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_132)))->BgL_argszd2namezd2);
		}

	}



/* &sfun/Ginfo-args-name */
	obj_t BGl_z62sfunzf2Ginfozd2argszd2namez90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3406, obj_t BgL_oz00_3407)
	{
		{	/* Globalize/ginfo.sch 279 */
			return
				BGl_sfunzf2Ginfozd2argszd2namezf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3407));
		}

	}



/* sfun/Ginfo-args */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2argsz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_135)
	{
		{	/* Globalize/ginfo.sch 281 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_135)))->BgL_argsz00);
		}

	}



/* &sfun/Ginfo-args */
	obj_t BGl_z62sfunzf2Ginfozd2argsz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3408, obj_t BgL_oz00_3409)
	{
		{	/* Globalize/ginfo.sch 281 */
			return
				BGl_sfunzf2Ginfozd2argsz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3409));
		}

	}



/* sfun/Ginfo-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2argszd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_136, obj_t BgL_vz00_137)
	{
		{	/* Globalize/ginfo.sch 282 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_136)))->BgL_argsz00) =
				((obj_t) BgL_vz00_137), BUNSPEC);
		}

	}



/* &sfun/Ginfo-args-set! */
	obj_t BGl_z62sfunzf2Ginfozd2argszd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3410, obj_t BgL_oz00_3411, obj_t BgL_vz00_3412)
	{
		{	/* Globalize/ginfo.sch 282 */
			return
				BGl_sfunzf2Ginfozd2argszd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3411), BgL_vz00_3412);
		}

	}



/* sfun/Ginfo-property */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2propertyz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_138)
	{
		{	/* Globalize/ginfo.sch 283 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_138)))->BgL_propertyz00);
		}

	}



/* &sfun/Ginfo-property */
	obj_t BGl_z62sfunzf2Ginfozd2propertyz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3413, obj_t BgL_oz00_3414)
	{
		{	/* Globalize/ginfo.sch 283 */
			return
				BGl_sfunzf2Ginfozd2propertyz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3414));
		}

	}



/* sfun/Ginfo-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2propertyzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_139, obj_t BgL_vz00_140)
	{
		{	/* Globalize/ginfo.sch 284 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_139)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_140), BUNSPEC);
		}

	}



/* &sfun/Ginfo-property-set! */
	obj_t BGl_z62sfunzf2Ginfozd2propertyzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3415, obj_t BgL_oz00_3416, obj_t BgL_vz00_3417)
	{
		{	/* Globalize/ginfo.sch 284 */
			return
				BGl_sfunzf2Ginfozd2propertyzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3416), BgL_vz00_3417);
		}

	}



/* sfun/Ginfo-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2argszd2noescapezf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_141)
	{
		{	/* Globalize/ginfo.sch 285 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_141)))->BgL_argszd2noescapezd2);
		}

	}



/* &sfun/Ginfo-args-noescape */
	obj_t BGl_z62sfunzf2Ginfozd2argszd2noescapez90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3418, obj_t BgL_oz00_3419)
	{
		{	/* Globalize/ginfo.sch 285 */
			return
				BGl_sfunzf2Ginfozd2argszd2noescapezf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3419));
		}

	}



/* sfun/Ginfo-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2argszd2noescapezd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_142, obj_t BgL_vz00_143)
	{
		{	/* Globalize/ginfo.sch 286 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_142)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_143), BUNSPEC);
		}

	}



/* &sfun/Ginfo-args-noescape-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2argszd2noescapezd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t BgL_envz00_3420, obj_t BgL_oz00_3421, obj_t BgL_vz00_3422)
	{
		{	/* Globalize/ginfo.sch 286 */
			return
				BGl_sfunzf2Ginfozd2argszd2noescapezd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3421), BgL_vz00_3422);
		}

	}



/* sfun/Ginfo-failsafe */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2failsafez20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_144)
	{
		{	/* Globalize/ginfo.sch 287 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_144)))->BgL_failsafez00);
		}

	}



/* &sfun/Ginfo-failsafe */
	obj_t BGl_z62sfunzf2Ginfozd2failsafez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3423, obj_t BgL_oz00_3424)
	{
		{	/* Globalize/ginfo.sch 287 */
			return
				BGl_sfunzf2Ginfozd2failsafez20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3424));
		}

	}



/* sfun/Ginfo-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2failsafezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_145, obj_t BgL_vz00_146)
	{
		{	/* Globalize/ginfo.sch 288 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_145)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_146), BUNSPEC);
		}

	}



/* &sfun/Ginfo-failsafe-set! */
	obj_t BGl_z62sfunzf2Ginfozd2failsafezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3425, obj_t BgL_oz00_3426, obj_t BgL_vz00_3427)
	{
		{	/* Globalize/ginfo.sch 288 */
			return
				BGl_sfunzf2Ginfozd2failsafezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3426), BgL_vz00_3427);
		}

	}



/* sfun/Ginfo-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2effectz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_147)
	{
		{	/* Globalize/ginfo.sch 289 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_147)))->BgL_effectz00);
		}

	}



/* &sfun/Ginfo-effect */
	obj_t BGl_z62sfunzf2Ginfozd2effectz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3428, obj_t BgL_oz00_3429)
	{
		{	/* Globalize/ginfo.sch 289 */
			return
				BGl_sfunzf2Ginfozd2effectz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3429));
		}

	}



/* sfun/Ginfo-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2effectzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_148, obj_t BgL_vz00_149)
	{
		{	/* Globalize/ginfo.sch 290 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_148)))->BgL_effectz00) =
				((obj_t) BgL_vz00_149), BUNSPEC);
		}

	}



/* &sfun/Ginfo-effect-set! */
	obj_t BGl_z62sfunzf2Ginfozd2effectzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3430, obj_t BgL_oz00_3431, obj_t BgL_vz00_3432)
	{
		{	/* Globalize/ginfo.sch 290 */
			return
				BGl_sfunzf2Ginfozd2effectzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3431), BgL_vz00_3432);
		}

	}



/* sfun/Ginfo-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2thezd2closurezf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_150)
	{
		{	/* Globalize/ginfo.sch 291 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_150)))->BgL_thezd2closurezd2);
		}

	}



/* &sfun/Ginfo-the-closure */
	obj_t BGl_z62sfunzf2Ginfozd2thezd2closurez90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3433, obj_t BgL_oz00_3434)
	{
		{	/* Globalize/ginfo.sch 291 */
			return
				BGl_sfunzf2Ginfozd2thezd2closurezf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3434));
		}

	}



/* sfun/Ginfo-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2thezd2closurezd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_151, obj_t BgL_vz00_152)
	{
		{	/* Globalize/ginfo.sch 292 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_151)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_152), BUNSPEC);
		}

	}



/* &sfun/Ginfo-the-closure-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2thezd2closurezd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3435, obj_t BgL_oz00_3436, obj_t BgL_vz00_3437)
	{
		{	/* Globalize/ginfo.sch 292 */
			return
				BGl_sfunzf2Ginfozd2thezd2closurezd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3436), BgL_vz00_3437);
		}

	}



/* sfun/Ginfo-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_sfunzf2Ginfozd2topzf3zd3zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_153)
	{
		{	/* Globalize/ginfo.sch 293 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_153)))->BgL_topzf3zf3);
		}

	}



/* &sfun/Ginfo-top? */
	obj_t BGl_z62sfunzf2Ginfozd2topzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3438, obj_t BgL_oz00_3439)
	{
		{	/* Globalize/ginfo.sch 293 */
			return
				BBOOL(BGl_sfunzf2Ginfozd2topzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_sfunz00_bglt) BgL_oz00_3439)));
		}

	}



/* sfun/Ginfo-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2topzf3zd2setz12z13zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_154, bool_t BgL_vz00_155)
	{
		{	/* Globalize/ginfo.sch 294 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_154)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_155), BUNSPEC);
		}

	}



/* &sfun/Ginfo-top?-set! */
	obj_t BGl_z62sfunzf2Ginfozd2topzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3440, obj_t BgL_oz00_3441, obj_t BgL_vz00_3442)
	{
		{	/* Globalize/ginfo.sch 294 */
			return
				BGl_sfunzf2Ginfozd2topzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3441), CBOOL(BgL_vz00_3442));
		}

	}



/* sfun/Ginfo-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2stackzd2allocatorzf2zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_156)
	{
		{	/* Globalize/ginfo.sch 295 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_156)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &sfun/Ginfo-stack-allocator */
	obj_t BGl_z62sfunzf2Ginfozd2stackzd2allocatorz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3443, obj_t BgL_oz00_3444)
	{
		{	/* Globalize/ginfo.sch 295 */
			return
				BGl_sfunzf2Ginfozd2stackzd2allocatorzf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3444));
		}

	}



/* sfun/Ginfo-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2stackzd2allocatorzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_157, obj_t BgL_vz00_158)
	{
		{	/* Globalize/ginfo.sch 296 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_157)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_158), BUNSPEC);
		}

	}



/* &sfun/Ginfo-stack-allocator-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2stackzd2allocatorzd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t BgL_envz00_3445, obj_t BgL_oz00_3446, obj_t BgL_vz00_3447)
	{
		{	/* Globalize/ginfo.sch 296 */
			return
				BGl_sfunzf2Ginfozd2stackzd2allocatorzd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3446), BgL_vz00_3447);
		}

	}



/* sfun/Ginfo-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2predicatezd2ofzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_159)
	{
		{	/* Globalize/ginfo.sch 297 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_159)))->BgL_predicatezd2ofzd2);
		}

	}



/* &sfun/Ginfo-predicate-of */
	obj_t BGl_z62sfunzf2Ginfozd2predicatezd2ofz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3448, obj_t BgL_oz00_3449)
	{
		{	/* Globalize/ginfo.sch 297 */
			return
				BGl_sfunzf2Ginfozd2predicatezd2ofzf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3449));
		}

	}



/* sfun/Ginfo-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2predicatezd2ofzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_160, obj_t BgL_vz00_161)
	{
		{	/* Globalize/ginfo.sch 298 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_160)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_161), BUNSPEC);
		}

	}



/* &sfun/Ginfo-predicate-of-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2predicatezd2ofzd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3450, obj_t BgL_oz00_3451, obj_t BgL_vz00_3452)
	{
		{	/* Globalize/ginfo.sch 298 */
			return
				BGl_sfunzf2Ginfozd2predicatezd2ofzd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3451), BgL_vz00_3452);
		}

	}



/* sfun/Ginfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2sidezd2effectzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_162)
	{
		{	/* Globalize/ginfo.sch 299 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_162)))->BgL_sidezd2effectzd2);
		}

	}



/* &sfun/Ginfo-side-effect */
	obj_t BGl_z62sfunzf2Ginfozd2sidezd2effectz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3453, obj_t BgL_oz00_3454)
	{
		{	/* Globalize/ginfo.sch 299 */
			return
				BGl_sfunzf2Ginfozd2sidezd2effectzf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3454));
		}

	}



/* sfun/Ginfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2sidezd2effectzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_163, obj_t BgL_vz00_164)
	{
		{	/* Globalize/ginfo.sch 300 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_163)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_164), BUNSPEC);
		}

	}



/* &sfun/Ginfo-side-effect-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2sidezd2effectzd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3455, obj_t BgL_oz00_3456, obj_t BgL_vz00_3457)
	{
		{	/* Globalize/ginfo.sch 300 */
			return
				BGl_sfunzf2Ginfozd2sidezd2effectzd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3456), BgL_vz00_3457);
		}

	}



/* sfun/Ginfo-arity */
	BGL_EXPORTED_DEF long
		BGl_sfunzf2Ginfozd2arityz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_165)
	{
		{	/* Globalize/ginfo.sch 301 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_165)))->BgL_arityz00);
		}

	}



/* &sfun/Ginfo-arity */
	obj_t BGl_z62sfunzf2Ginfozd2arityz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3458, obj_t BgL_oz00_3459)
	{
		{	/* Globalize/ginfo.sch 301 */
			return
				BINT(BGl_sfunzf2Ginfozd2arityz20zzglobaliza7e_ginfoza7(
					((BgL_sfunz00_bglt) BgL_oz00_3459)));
		}

	}



/* make-svar/Ginfo */
	BGL_EXPORTED_DEF BgL_svarz00_bglt
		BGl_makezd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7(obj_t BgL_loc1264z00_168,
		bool_t BgL_kapturedzf31265zf3_169, long BgL_freezd2mark1266zd2_170,
		long BgL_mark1267z00_171, bool_t BgL_celledzf31268zf3_172,
		bool_t BgL_stackable1269z00_173)
	{
		{	/* Globalize/ginfo.sch 305 */
			{	/* Globalize/ginfo.sch 305 */
				BgL_svarz00_bglt BgL_new1229z00_4224;

				{	/* Globalize/ginfo.sch 305 */
					BgL_svarz00_bglt BgL_tmp1227z00_4225;
					BgL_svarzf2ginfozf2_bglt BgL_wide1228z00_4226;

					{
						BgL_svarz00_bglt BgL_auxz00_5309;

						{	/* Globalize/ginfo.sch 305 */
							BgL_svarz00_bglt BgL_new1226z00_4227;

							BgL_new1226z00_4227 =
								((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_svarz00_bgl))));
							{	/* Globalize/ginfo.sch 305 */
								long BgL_arg1419z00_4228;

								BgL_arg1419z00_4228 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1226z00_4227),
									BgL_arg1419z00_4228);
							}
							{	/* Globalize/ginfo.sch 305 */
								BgL_objectz00_bglt BgL_tmpz00_5314;

								BgL_tmpz00_5314 = ((BgL_objectz00_bglt) BgL_new1226z00_4227);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5314, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1226z00_4227);
							BgL_auxz00_5309 = BgL_new1226z00_4227;
						}
						BgL_tmp1227z00_4225 = ((BgL_svarz00_bglt) BgL_auxz00_5309);
					}
					BgL_wide1228z00_4226 =
						((BgL_svarzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_svarzf2ginfozf2_bgl))));
					{	/* Globalize/ginfo.sch 305 */
						obj_t BgL_auxz00_5322;
						BgL_objectz00_bglt BgL_tmpz00_5320;

						BgL_auxz00_5322 = ((obj_t) BgL_wide1228z00_4226);
						BgL_tmpz00_5320 = ((BgL_objectz00_bglt) BgL_tmp1227z00_4225);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5320, BgL_auxz00_5322);
					}
					((BgL_objectz00_bglt) BgL_tmp1227z00_4225);
					{	/* Globalize/ginfo.sch 305 */
						long BgL_arg1418z00_4229;

						BgL_arg1418z00_4229 =
							BGL_CLASS_NUM(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1227z00_4225), BgL_arg1418z00_4229);
					}
					BgL_new1229z00_4224 = ((BgL_svarz00_bglt) BgL_tmp1227z00_4225);
				}
				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt) BgL_new1229z00_4224)))->BgL_locz00) =
					((obj_t) BgL_loc1264z00_168), BUNSPEC);
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_5332;

					{
						obj_t BgL_auxz00_5333;

						{	/* Globalize/ginfo.sch 305 */
							BgL_objectz00_bglt BgL_tmpz00_5334;

							BgL_tmpz00_5334 = ((BgL_objectz00_bglt) BgL_new1229z00_4224);
							BgL_auxz00_5333 = BGL_OBJECT_WIDENING(BgL_tmpz00_5334);
						}
						BgL_auxz00_5332 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5333);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5332))->
							BgL_kapturedzf3zf3) =
						((bool_t) BgL_kapturedzf31265zf3_169), BUNSPEC);
				}
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_5339;

					{
						obj_t BgL_auxz00_5340;

						{	/* Globalize/ginfo.sch 305 */
							BgL_objectz00_bglt BgL_tmpz00_5341;

							BgL_tmpz00_5341 = ((BgL_objectz00_bglt) BgL_new1229z00_4224);
							BgL_auxz00_5340 = BGL_OBJECT_WIDENING(BgL_tmpz00_5341);
						}
						BgL_auxz00_5339 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5340);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5339))->
							BgL_freezd2markzd2) =
						((long) BgL_freezd2mark1266zd2_170), BUNSPEC);
				}
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_5346;

					{
						obj_t BgL_auxz00_5347;

						{	/* Globalize/ginfo.sch 305 */
							BgL_objectz00_bglt BgL_tmpz00_5348;

							BgL_tmpz00_5348 = ((BgL_objectz00_bglt) BgL_new1229z00_4224);
							BgL_auxz00_5347 = BGL_OBJECT_WIDENING(BgL_tmpz00_5348);
						}
						BgL_auxz00_5346 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5347);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5346))->
							BgL_markz00) = ((long) BgL_mark1267z00_171), BUNSPEC);
				}
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_5353;

					{
						obj_t BgL_auxz00_5354;

						{	/* Globalize/ginfo.sch 305 */
							BgL_objectz00_bglt BgL_tmpz00_5355;

							BgL_tmpz00_5355 = ((BgL_objectz00_bglt) BgL_new1229z00_4224);
							BgL_auxz00_5354 = BGL_OBJECT_WIDENING(BgL_tmpz00_5355);
						}
						BgL_auxz00_5353 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5354);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5353))->
							BgL_celledzf3zf3) = ((bool_t) BgL_celledzf31268zf3_172), BUNSPEC);
				}
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_5360;

					{
						obj_t BgL_auxz00_5361;

						{	/* Globalize/ginfo.sch 305 */
							BgL_objectz00_bglt BgL_tmpz00_5362;

							BgL_tmpz00_5362 = ((BgL_objectz00_bglt) BgL_new1229z00_4224);
							BgL_auxz00_5361 = BGL_OBJECT_WIDENING(BgL_tmpz00_5362);
						}
						BgL_auxz00_5360 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5361);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5360))->
							BgL_stackablez00) = ((bool_t) BgL_stackable1269z00_173), BUNSPEC);
				}
				return BgL_new1229z00_4224;
			}
		}

	}



/* &make-svar/Ginfo */
	BgL_svarz00_bglt BGl_z62makezd2svarzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3460, obj_t BgL_loc1264z00_3461,
		obj_t BgL_kapturedzf31265zf3_3462, obj_t BgL_freezd2mark1266zd2_3463,
		obj_t BgL_mark1267z00_3464, obj_t BgL_celledzf31268zf3_3465,
		obj_t BgL_stackable1269z00_3466)
	{
		{	/* Globalize/ginfo.sch 305 */
			return
				BGl_makezd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7(BgL_loc1264z00_3461,
				CBOOL(BgL_kapturedzf31265zf3_3462),
				(long) CINT(BgL_freezd2mark1266zd2_3463),
				(long) CINT(BgL_mark1267z00_3464),
				CBOOL(BgL_celledzf31268zf3_3465), CBOOL(BgL_stackable1269z00_3466));
		}

	}



/* svar/Ginfo? */
	BGL_EXPORTED_DEF bool_t BGl_svarzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t
		BgL_objz00_174)
	{
		{	/* Globalize/ginfo.sch 306 */
			{	/* Globalize/ginfo.sch 306 */
				obj_t BgL_classz00_4230;

				BgL_classz00_4230 = BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
				if (BGL_OBJECTP(BgL_objz00_174))
					{	/* Globalize/ginfo.sch 306 */
						BgL_objectz00_bglt BgL_arg1825z00_4231;

						BgL_arg1825z00_4231 = (BgL_objectz00_bglt) (BgL_objz00_174);
						{	/* Globalize/ginfo.sch 306 */
							bool_t BgL_arg1822z00_4232;
							bool_t BgL_arg1823z00_4233;

							{	/* Globalize/ginfo.sch 306 */
								long BgL_idxz00_4234;

								BgL_idxz00_4234 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4231);
								BgL_arg1822z00_4232 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4234 + ((long) 3))) == BgL_classz00_4230);
							}
							{	/* Globalize/ginfo.sch 306 */
								bool_t BgL_res2090z00_4237;

								{	/* Globalize/ginfo.sch 306 */
									obj_t BgL_oclassz00_4238;

									{	/* Globalize/ginfo.sch 306 */
										long BgL_arg1833z00_4239;

										{	/* Globalize/ginfo.sch 306 */
											long BgL_arg1834z00_4240;

											BgL_arg1834z00_4240 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4231);
											BgL_arg1833z00_4239 = (BgL_arg1834z00_4240 - OBJECT_TYPE);
										}
										BgL_oclassz00_4238 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4239);
									}
									{	/* Globalize/ginfo.sch 306 */
										bool_t BgL__ortest_1110z00_4241;

										BgL__ortest_1110z00_4241 =
											(BgL_classz00_4230 == BgL_oclassz00_4238);
										if (BgL__ortest_1110z00_4241)
											{	/* Globalize/ginfo.sch 306 */
												BgL_res2090z00_4237 = BgL__ortest_1110z00_4241;
											}
										else
											{	/* Globalize/ginfo.sch 306 */
												long BgL_odepthz00_4242;

												BgL_odepthz00_4242 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4238);
												if ((((long) 3) < BgL_odepthz00_4242))
													{	/* Globalize/ginfo.sch 306 */
														obj_t BgL_arg1821z00_4243;

														BgL_arg1821z00_4243 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4238,
															((long) 3));
														BgL_res2090z00_4237 =
															(BgL_arg1821z00_4243 == BgL_classz00_4230);
													}
												else
													{	/* Globalize/ginfo.sch 306 */
														BgL_res2090z00_4237 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4233 = BgL_res2090z00_4237;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4232, BgL_arg1823z00_4233);
						}
					}
				else
					{	/* Globalize/ginfo.sch 306 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &svar/Ginfo? */
	obj_t BGl_z62svarzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3467,
		obj_t BgL_objz00_3468)
	{
		{	/* Globalize/ginfo.sch 306 */
			return
				BBOOL(BGl_svarzf2Ginfozf3z01zzglobaliza7e_ginfoza7(BgL_objz00_3468));
		}

	}



/* svar/Ginfo-nil */
	BGL_EXPORTED_DEF BgL_svarz00_bglt
		BGl_svarzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7()
	{
		{	/* Globalize/ginfo.sch 307 */
			{	/* Globalize/ginfo.sch 307 */
				obj_t BgL_classz00_2737;

				BgL_classz00_2737 = BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
				{	/* Globalize/ginfo.sch 307 */
					obj_t BgL__ortest_1112z00_2738;

					BgL__ortest_1112z00_2738 = BGL_CLASS_NIL(BgL_classz00_2737);
					if (CBOOL(BgL__ortest_1112z00_2738))
						{	/* Globalize/ginfo.sch 307 */
							return ((BgL_svarz00_bglt) BgL__ortest_1112z00_2738);
						}
					else
						{	/* Globalize/ginfo.sch 307 */
							return
								((BgL_svarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2737));
						}
				}
			}
		}

	}



/* &svar/Ginfo-nil */
	BgL_svarz00_bglt BGl_z62svarzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3469)
	{
		{	/* Globalize/ginfo.sch 307 */
			return BGl_svarzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7();
		}

	}



/* svar/Ginfo-stackable */
	BGL_EXPORTED_DEF bool_t
		BGl_svarzf2Ginfozd2stackablez20zzglobaliza7e_ginfoza7(BgL_svarz00_bglt
		BgL_oz00_175)
	{
		{	/* Globalize/ginfo.sch 308 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5400;

				{
					obj_t BgL_auxz00_5401;

					{	/* Globalize/ginfo.sch 308 */
						BgL_objectz00_bglt BgL_tmpz00_5402;

						BgL_tmpz00_5402 = ((BgL_objectz00_bglt) BgL_oz00_175);
						BgL_auxz00_5401 = BGL_OBJECT_WIDENING(BgL_tmpz00_5402);
					}
					BgL_auxz00_5400 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5401);
				}
				return
					(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5400))->
					BgL_stackablez00);
			}
		}

	}



/* &svar/Ginfo-stackable */
	obj_t BGl_z62svarzf2Ginfozd2stackablez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3470, obj_t BgL_oz00_3471)
	{
		{	/* Globalize/ginfo.sch 308 */
			return
				BBOOL(BGl_svarzf2Ginfozd2stackablez20zzglobaliza7e_ginfoza7(
					((BgL_svarz00_bglt) BgL_oz00_3471)));
		}

	}



/* svar/Ginfo-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Ginfozd2stackablezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_svarz00_bglt BgL_oz00_176, bool_t BgL_vz00_177)
	{
		{	/* Globalize/ginfo.sch 309 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5410;

				{
					obj_t BgL_auxz00_5411;

					{	/* Globalize/ginfo.sch 309 */
						BgL_objectz00_bglt BgL_tmpz00_5412;

						BgL_tmpz00_5412 = ((BgL_objectz00_bglt) BgL_oz00_176);
						BgL_auxz00_5411 = BGL_OBJECT_WIDENING(BgL_tmpz00_5412);
					}
					BgL_auxz00_5410 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5411);
				}
				return
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5410))->
						BgL_stackablez00) = ((bool_t) BgL_vz00_177), BUNSPEC);
			}
		}

	}



/* &svar/Ginfo-stackable-set! */
	obj_t BGl_z62svarzf2Ginfozd2stackablezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3472, obj_t BgL_oz00_3473, obj_t BgL_vz00_3474)
	{
		{	/* Globalize/ginfo.sch 309 */
			return
				BGl_svarzf2Ginfozd2stackablezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_svarz00_bglt) BgL_oz00_3473), CBOOL(BgL_vz00_3474));
		}

	}



/* svar/Ginfo-celled? */
	BGL_EXPORTED_DEF bool_t
		BGl_svarzf2Ginfozd2celledzf3zd3zzglobaliza7e_ginfoza7(BgL_svarz00_bglt
		BgL_oz00_178)
	{
		{	/* Globalize/ginfo.sch 310 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5420;

				{
					obj_t BgL_auxz00_5421;

					{	/* Globalize/ginfo.sch 310 */
						BgL_objectz00_bglt BgL_tmpz00_5422;

						BgL_tmpz00_5422 = ((BgL_objectz00_bglt) BgL_oz00_178);
						BgL_auxz00_5421 = BGL_OBJECT_WIDENING(BgL_tmpz00_5422);
					}
					BgL_auxz00_5420 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5421);
				}
				return
					(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5420))->
					BgL_celledzf3zf3);
			}
		}

	}



/* &svar/Ginfo-celled? */
	obj_t BGl_z62svarzf2Ginfozd2celledzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3475, obj_t BgL_oz00_3476)
	{
		{	/* Globalize/ginfo.sch 310 */
			return
				BBOOL(BGl_svarzf2Ginfozd2celledzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_svarz00_bglt) BgL_oz00_3476)));
		}

	}



/* svar/Ginfo-celled?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Ginfozd2celledzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_svarz00_bglt BgL_oz00_179, bool_t BgL_vz00_180)
	{
		{	/* Globalize/ginfo.sch 311 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5430;

				{
					obj_t BgL_auxz00_5431;

					{	/* Globalize/ginfo.sch 311 */
						BgL_objectz00_bglt BgL_tmpz00_5432;

						BgL_tmpz00_5432 = ((BgL_objectz00_bglt) BgL_oz00_179);
						BgL_auxz00_5431 = BGL_OBJECT_WIDENING(BgL_tmpz00_5432);
					}
					BgL_auxz00_5430 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5431);
				}
				return
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5430))->
						BgL_celledzf3zf3) = ((bool_t) BgL_vz00_180), BUNSPEC);
			}
		}

	}



/* &svar/Ginfo-celled?-set! */
	obj_t BGl_z62svarzf2Ginfozd2celledzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3477, obj_t BgL_oz00_3478, obj_t BgL_vz00_3479)
	{
		{	/* Globalize/ginfo.sch 311 */
			return
				BGl_svarzf2Ginfozd2celledzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_svarz00_bglt) BgL_oz00_3478), CBOOL(BgL_vz00_3479));
		}

	}



/* svar/Ginfo-mark */
	BGL_EXPORTED_DEF long
		BGl_svarzf2Ginfozd2markz20zzglobaliza7e_ginfoza7(BgL_svarz00_bglt
		BgL_oz00_181)
	{
		{	/* Globalize/ginfo.sch 312 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5440;

				{
					obj_t BgL_auxz00_5441;

					{	/* Globalize/ginfo.sch 312 */
						BgL_objectz00_bglt BgL_tmpz00_5442;

						BgL_tmpz00_5442 = ((BgL_objectz00_bglt) BgL_oz00_181);
						BgL_auxz00_5441 = BGL_OBJECT_WIDENING(BgL_tmpz00_5442);
					}
					BgL_auxz00_5440 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5441);
				}
				return
					(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5440))->BgL_markz00);
			}
		}

	}



/* &svar/Ginfo-mark */
	obj_t BGl_z62svarzf2Ginfozd2markz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3480, obj_t BgL_oz00_3481)
	{
		{	/* Globalize/ginfo.sch 312 */
			return
				BINT(BGl_svarzf2Ginfozd2markz20zzglobaliza7e_ginfoza7(
					((BgL_svarz00_bglt) BgL_oz00_3481)));
		}

	}



/* svar/Ginfo-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Ginfozd2markzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_svarz00_bglt
		BgL_oz00_182, long BgL_vz00_183)
	{
		{	/* Globalize/ginfo.sch 313 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5450;

				{
					obj_t BgL_auxz00_5451;

					{	/* Globalize/ginfo.sch 313 */
						BgL_objectz00_bglt BgL_tmpz00_5452;

						BgL_tmpz00_5452 = ((BgL_objectz00_bglt) BgL_oz00_182);
						BgL_auxz00_5451 = BGL_OBJECT_WIDENING(BgL_tmpz00_5452);
					}
					BgL_auxz00_5450 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5451);
				}
				return
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5450))->
						BgL_markz00) = ((long) BgL_vz00_183), BUNSPEC);
		}}

	}



/* &svar/Ginfo-mark-set! */
	obj_t BGl_z62svarzf2Ginfozd2markzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3482, obj_t BgL_oz00_3483, obj_t BgL_vz00_3484)
	{
		{	/* Globalize/ginfo.sch 313 */
			return
				BGl_svarzf2Ginfozd2markzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_svarz00_bglt) BgL_oz00_3483), (long) CINT(BgL_vz00_3484));
		}

	}



/* svar/Ginfo-free-mark */
	BGL_EXPORTED_DEF long
		BGl_svarzf2Ginfozd2freezd2markzf2zzglobaliza7e_ginfoza7(BgL_svarz00_bglt
		BgL_oz00_184)
	{
		{	/* Globalize/ginfo.sch 314 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5460;

				{
					obj_t BgL_auxz00_5461;

					{	/* Globalize/ginfo.sch 314 */
						BgL_objectz00_bglt BgL_tmpz00_5462;

						BgL_tmpz00_5462 = ((BgL_objectz00_bglt) BgL_oz00_184);
						BgL_auxz00_5461 = BGL_OBJECT_WIDENING(BgL_tmpz00_5462);
					}
					BgL_auxz00_5460 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5461);
				}
				return
					(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5460))->
					BgL_freezd2markzd2);
			}
		}

	}



/* &svar/Ginfo-free-mark */
	obj_t BGl_z62svarzf2Ginfozd2freezd2markz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3485, obj_t BgL_oz00_3486)
	{
		{	/* Globalize/ginfo.sch 314 */
			return
				BINT(BGl_svarzf2Ginfozd2freezd2markzf2zzglobaliza7e_ginfoza7(
					((BgL_svarz00_bglt) BgL_oz00_3486)));
		}

	}



/* svar/Ginfo-free-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Ginfozd2freezd2markzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_svarz00_bglt BgL_oz00_185, long BgL_vz00_186)
	{
		{	/* Globalize/ginfo.sch 315 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5470;

				{
					obj_t BgL_auxz00_5471;

					{	/* Globalize/ginfo.sch 315 */
						BgL_objectz00_bglt BgL_tmpz00_5472;

						BgL_tmpz00_5472 = ((BgL_objectz00_bglt) BgL_oz00_185);
						BgL_auxz00_5471 = BGL_OBJECT_WIDENING(BgL_tmpz00_5472);
					}
					BgL_auxz00_5470 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5471);
				}
				return
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5470))->
						BgL_freezd2markzd2) = ((long) BgL_vz00_186), BUNSPEC);
		}}

	}



/* &svar/Ginfo-free-mark-set! */
	obj_t
		BGl_z62svarzf2Ginfozd2freezd2markzd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3487, obj_t BgL_oz00_3488, obj_t BgL_vz00_3489)
	{
		{	/* Globalize/ginfo.sch 315 */
			return
				BGl_svarzf2Ginfozd2freezd2markzd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_svarz00_bglt) BgL_oz00_3488), (long) CINT(BgL_vz00_3489));
		}

	}



/* svar/Ginfo-kaptured? */
	BGL_EXPORTED_DEF bool_t
		BGl_svarzf2Ginfozd2kapturedzf3zd3zzglobaliza7e_ginfoza7(BgL_svarz00_bglt
		BgL_oz00_187)
	{
		{	/* Globalize/ginfo.sch 316 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5480;

				{
					obj_t BgL_auxz00_5481;

					{	/* Globalize/ginfo.sch 316 */
						BgL_objectz00_bglt BgL_tmpz00_5482;

						BgL_tmpz00_5482 = ((BgL_objectz00_bglt) BgL_oz00_187);
						BgL_auxz00_5481 = BGL_OBJECT_WIDENING(BgL_tmpz00_5482);
					}
					BgL_auxz00_5480 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5481);
				}
				return
					(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5480))->
					BgL_kapturedzf3zf3);
			}
		}

	}



/* &svar/Ginfo-kaptured? */
	obj_t BGl_z62svarzf2Ginfozd2kapturedzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3490, obj_t BgL_oz00_3491)
	{
		{	/* Globalize/ginfo.sch 316 */
			return
				BBOOL(BGl_svarzf2Ginfozd2kapturedzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_svarz00_bglt) BgL_oz00_3491)));
		}

	}



/* svar/Ginfo-kaptured?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Ginfozd2kapturedzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_svarz00_bglt BgL_oz00_188, bool_t BgL_vz00_189)
	{
		{	/* Globalize/ginfo.sch 317 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5490;

				{
					obj_t BgL_auxz00_5491;

					{	/* Globalize/ginfo.sch 317 */
						BgL_objectz00_bglt BgL_tmpz00_5492;

						BgL_tmpz00_5492 = ((BgL_objectz00_bglt) BgL_oz00_188);
						BgL_auxz00_5491 = BGL_OBJECT_WIDENING(BgL_tmpz00_5492);
					}
					BgL_auxz00_5490 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5491);
				}
				return
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5490))->
						BgL_kapturedzf3zf3) = ((bool_t) BgL_vz00_189), BUNSPEC);
			}
		}

	}



/* &svar/Ginfo-kaptured?-set! */
	obj_t
		BGl_z62svarzf2Ginfozd2kapturedzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3492, obj_t BgL_oz00_3493, obj_t BgL_vz00_3494)
	{
		{	/* Globalize/ginfo.sch 317 */
			return
				BGl_svarzf2Ginfozd2kapturedzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_svarz00_bglt) BgL_oz00_3493), CBOOL(BgL_vz00_3494));
		}

	}



/* svar/Ginfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Ginfozd2locz20zzglobaliza7e_ginfoza7(BgL_svarz00_bglt
		BgL_oz00_190)
	{
		{	/* Globalize/ginfo.sch 318 */
			return
				(((BgL_svarz00_bglt) COBJECT(
						((BgL_svarz00_bglt) BgL_oz00_190)))->BgL_locz00);
		}

	}



/* &svar/Ginfo-loc */
	obj_t BGl_z62svarzf2Ginfozd2locz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3495, obj_t BgL_oz00_3496)
	{
		{	/* Globalize/ginfo.sch 318 */
			return
				BGl_svarzf2Ginfozd2locz20zzglobaliza7e_ginfoza7(
				((BgL_svarz00_bglt) BgL_oz00_3496));
		}

	}



/* svar/Ginfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Ginfozd2loczd2setz12ze0zzglobaliza7e_ginfoza7(BgL_svarz00_bglt
		BgL_oz00_191, obj_t BgL_vz00_192)
	{
		{	/* Globalize/ginfo.sch 319 */
			return
				((((BgL_svarz00_bglt) COBJECT(
							((BgL_svarz00_bglt) BgL_oz00_191)))->BgL_locz00) =
				((obj_t) BgL_vz00_192), BUNSPEC);
		}

	}



/* &svar/Ginfo-loc-set! */
	obj_t BGl_z62svarzf2Ginfozd2loczd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3497, obj_t BgL_oz00_3498, obj_t BgL_vz00_3499)
	{
		{	/* Globalize/ginfo.sch 319 */
			return
				BGl_svarzf2Ginfozd2loczd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_svarz00_bglt) BgL_oz00_3498), BgL_vz00_3499);
		}

	}



/* make-sexit/Ginfo */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt
		BGl_makezd2sexitzf2Ginfoz20zzglobaliza7e_ginfoza7(obj_t
		BgL_handler1257z00_193, bool_t BgL_detachedzf31258zf3_194,
		bool_t BgL_gzf31259zf3_195, bool_t BgL_kapturedzf31260zf3_196,
		long BgL_freezd2mark1261zd2_197, long BgL_mark1262z00_198)
	{
		{	/* Globalize/ginfo.sch 322 */
			{	/* Globalize/ginfo.sch 322 */
				BgL_sexitz00_bglt BgL_new1233z00_4244;

				{	/* Globalize/ginfo.sch 322 */
					BgL_sexitz00_bglt BgL_tmp1231z00_4245;
					BgL_sexitzf2ginfozf2_bglt BgL_wide1232z00_4246;

					{
						BgL_sexitz00_bglt BgL_auxz00_5508;

						{	/* Globalize/ginfo.sch 322 */
							BgL_sexitz00_bglt BgL_new1230z00_4247;

							BgL_new1230z00_4247 =
								((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sexitz00_bgl))));
							{	/* Globalize/ginfo.sch 322 */
								long BgL_arg1454z00_4248;

								BgL_arg1454z00_4248 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1230z00_4247),
									BgL_arg1454z00_4248);
							}
							{	/* Globalize/ginfo.sch 322 */
								BgL_objectz00_bglt BgL_tmpz00_5513;

								BgL_tmpz00_5513 = ((BgL_objectz00_bglt) BgL_new1230z00_4247);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5513, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1230z00_4247);
							BgL_auxz00_5508 = BgL_new1230z00_4247;
						}
						BgL_tmp1231z00_4245 = ((BgL_sexitz00_bglt) BgL_auxz00_5508);
					}
					BgL_wide1232z00_4246 =
						((BgL_sexitzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sexitzf2ginfozf2_bgl))));
					{	/* Globalize/ginfo.sch 322 */
						obj_t BgL_auxz00_5521;
						BgL_objectz00_bglt BgL_tmpz00_5519;

						BgL_auxz00_5521 = ((obj_t) BgL_wide1232z00_4246);
						BgL_tmpz00_5519 = ((BgL_objectz00_bglt) BgL_tmp1231z00_4245);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5519, BgL_auxz00_5521);
					}
					((BgL_objectz00_bglt) BgL_tmp1231z00_4245);
					{	/* Globalize/ginfo.sch 322 */
						long BgL_arg1430z00_4249;

						BgL_arg1430z00_4249 =
							BGL_CLASS_NUM(BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1231z00_4245), BgL_arg1430z00_4249);
					}
					BgL_new1233z00_4244 = ((BgL_sexitz00_bglt) BgL_tmp1231z00_4245);
				}
				((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt) BgL_new1233z00_4244)))->BgL_handlerz00) =
					((obj_t) BgL_handler1257z00_193), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
									BgL_new1233z00_4244)))->BgL_detachedzf3zf3) =
					((bool_t) BgL_detachedzf31258zf3_194), BUNSPEC);
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5533;

					{
						obj_t BgL_auxz00_5534;

						{	/* Globalize/ginfo.sch 322 */
							BgL_objectz00_bglt BgL_tmpz00_5535;

							BgL_tmpz00_5535 = ((BgL_objectz00_bglt) BgL_new1233z00_4244);
							BgL_auxz00_5534 = BGL_OBJECT_WIDENING(BgL_tmpz00_5535);
						}
						BgL_auxz00_5533 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5534);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5533))->
							BgL_gzf3zf3) = ((bool_t) BgL_gzf31259zf3_195), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5540;

					{
						obj_t BgL_auxz00_5541;

						{	/* Globalize/ginfo.sch 322 */
							BgL_objectz00_bglt BgL_tmpz00_5542;

							BgL_tmpz00_5542 = ((BgL_objectz00_bglt) BgL_new1233z00_4244);
							BgL_auxz00_5541 = BGL_OBJECT_WIDENING(BgL_tmpz00_5542);
						}
						BgL_auxz00_5540 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5541);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5540))->
							BgL_kapturedzf3zf3) =
						((bool_t) BgL_kapturedzf31260zf3_196), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5547;

					{
						obj_t BgL_auxz00_5548;

						{	/* Globalize/ginfo.sch 322 */
							BgL_objectz00_bglt BgL_tmpz00_5549;

							BgL_tmpz00_5549 = ((BgL_objectz00_bglt) BgL_new1233z00_4244);
							BgL_auxz00_5548 = BGL_OBJECT_WIDENING(BgL_tmpz00_5549);
						}
						BgL_auxz00_5547 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5548);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5547))->
							BgL_freezd2markzd2) =
						((long) BgL_freezd2mark1261zd2_197), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5554;

					{
						obj_t BgL_auxz00_5555;

						{	/* Globalize/ginfo.sch 322 */
							BgL_objectz00_bglt BgL_tmpz00_5556;

							BgL_tmpz00_5556 = ((BgL_objectz00_bglt) BgL_new1233z00_4244);
							BgL_auxz00_5555 = BGL_OBJECT_WIDENING(BgL_tmpz00_5556);
						}
						BgL_auxz00_5554 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5555);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5554))->
							BgL_markz00) = ((long) BgL_mark1262z00_198), BUNSPEC);
				}
				return BgL_new1233z00_4244;
			}
		}

	}



/* &make-sexit/Ginfo */
	BgL_sexitz00_bglt BGl_z62makezd2sexitzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3500, obj_t BgL_handler1257z00_3501,
		obj_t BgL_detachedzf31258zf3_3502, obj_t BgL_gzf31259zf3_3503,
		obj_t BgL_kapturedzf31260zf3_3504, obj_t BgL_freezd2mark1261zd2_3505,
		obj_t BgL_mark1262z00_3506)
	{
		{	/* Globalize/ginfo.sch 322 */
			return
				BGl_makezd2sexitzf2Ginfoz20zzglobaliza7e_ginfoza7
				(BgL_handler1257z00_3501, CBOOL(BgL_detachedzf31258zf3_3502),
				CBOOL(BgL_gzf31259zf3_3503), CBOOL(BgL_kapturedzf31260zf3_3504),
				(long) CINT(BgL_freezd2mark1261zd2_3505),
				(long) CINT(BgL_mark1262z00_3506));
		}

	}



/* sexit/Ginfo? */
	BGL_EXPORTED_DEF bool_t BGl_sexitzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t
		BgL_objz00_199)
	{
		{	/* Globalize/ginfo.sch 323 */
			{	/* Globalize/ginfo.sch 323 */
				obj_t BgL_classz00_4250;

				BgL_classz00_4250 = BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7;
				if (BGL_OBJECTP(BgL_objz00_199))
					{	/* Globalize/ginfo.sch 323 */
						BgL_objectz00_bglt BgL_arg1825z00_4251;

						BgL_arg1825z00_4251 = (BgL_objectz00_bglt) (BgL_objz00_199);
						{	/* Globalize/ginfo.sch 323 */
							bool_t BgL_arg1822z00_4252;
							bool_t BgL_arg1823z00_4253;

							{	/* Globalize/ginfo.sch 323 */
								long BgL_idxz00_4254;

								BgL_idxz00_4254 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4251);
								BgL_arg1822z00_4252 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4254 + ((long) 3))) == BgL_classz00_4250);
							}
							{	/* Globalize/ginfo.sch 323 */
								bool_t BgL_res2091z00_4257;

								{	/* Globalize/ginfo.sch 323 */
									obj_t BgL_oclassz00_4258;

									{	/* Globalize/ginfo.sch 323 */
										long BgL_arg1833z00_4259;

										{	/* Globalize/ginfo.sch 323 */
											long BgL_arg1834z00_4260;

											BgL_arg1834z00_4260 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4251);
											BgL_arg1833z00_4259 = (BgL_arg1834z00_4260 - OBJECT_TYPE);
										}
										BgL_oclassz00_4258 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4259);
									}
									{	/* Globalize/ginfo.sch 323 */
										bool_t BgL__ortest_1110z00_4261;

										BgL__ortest_1110z00_4261 =
											(BgL_classz00_4250 == BgL_oclassz00_4258);
										if (BgL__ortest_1110z00_4261)
											{	/* Globalize/ginfo.sch 323 */
												BgL_res2091z00_4257 = BgL__ortest_1110z00_4261;
											}
										else
											{	/* Globalize/ginfo.sch 323 */
												long BgL_odepthz00_4262;

												BgL_odepthz00_4262 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4258);
												if ((((long) 3) < BgL_odepthz00_4262))
													{	/* Globalize/ginfo.sch 323 */
														obj_t BgL_arg1821z00_4263;

														BgL_arg1821z00_4263 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4258,
															((long) 3));
														BgL_res2091z00_4257 =
															(BgL_arg1821z00_4263 == BgL_classz00_4250);
													}
												else
													{	/* Globalize/ginfo.sch 323 */
														BgL_res2091z00_4257 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4253 = BgL_res2091z00_4257;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4252, BgL_arg1823z00_4253);
						}
					}
				else
					{	/* Globalize/ginfo.sch 323 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sexit/Ginfo? */
	obj_t BGl_z62sexitzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3507,
		obj_t BgL_objz00_3508)
	{
		{	/* Globalize/ginfo.sch 323 */
			return
				BBOOL(BGl_sexitzf2Ginfozf3z01zzglobaliza7e_ginfoza7(BgL_objz00_3508));
		}

	}



/* sexit/Ginfo-nil */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt
		BGl_sexitzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7()
	{
		{	/* Globalize/ginfo.sch 324 */
			{	/* Globalize/ginfo.sch 324 */
				obj_t BgL_classz00_2799;

				BgL_classz00_2799 = BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7;
				{	/* Globalize/ginfo.sch 324 */
					obj_t BgL__ortest_1112z00_2800;

					BgL__ortest_1112z00_2800 = BGL_CLASS_NIL(BgL_classz00_2799);
					if (CBOOL(BgL__ortest_1112z00_2800))
						{	/* Globalize/ginfo.sch 324 */
							return ((BgL_sexitz00_bglt) BgL__ortest_1112z00_2800);
						}
					else
						{	/* Globalize/ginfo.sch 324 */
							return
								((BgL_sexitz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2799));
						}
				}
			}
		}

	}



/* &sexit/Ginfo-nil */
	BgL_sexitz00_bglt BGl_z62sexitzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3509)
	{
		{	/* Globalize/ginfo.sch 324 */
			return BGl_sexitzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7();
		}

	}



/* sexit/Ginfo-mark */
	BGL_EXPORTED_DEF long
		BGl_sexitzf2Ginfozd2markz20zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt
		BgL_oz00_200)
	{
		{	/* Globalize/ginfo.sch 325 */
			{
				BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5594;

				{
					obj_t BgL_auxz00_5595;

					{	/* Globalize/ginfo.sch 325 */
						BgL_objectz00_bglt BgL_tmpz00_5596;

						BgL_tmpz00_5596 = ((BgL_objectz00_bglt) BgL_oz00_200);
						BgL_auxz00_5595 = BGL_OBJECT_WIDENING(BgL_tmpz00_5596);
					}
					BgL_auxz00_5594 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5595);
				}
				return
					(((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5594))->BgL_markz00);
			}
		}

	}



/* &sexit/Ginfo-mark */
	obj_t BGl_z62sexitzf2Ginfozd2markz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3510, obj_t BgL_oz00_3511)
	{
		{	/* Globalize/ginfo.sch 325 */
			return
				BINT(BGl_sexitzf2Ginfozd2markz20zzglobaliza7e_ginfoza7(
					((BgL_sexitz00_bglt) BgL_oz00_3511)));
		}

	}



/* sexit/Ginfo-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Ginfozd2markzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt
		BgL_oz00_201, long BgL_vz00_202)
	{
		{	/* Globalize/ginfo.sch 326 */
			{
				BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5604;

				{
					obj_t BgL_auxz00_5605;

					{	/* Globalize/ginfo.sch 326 */
						BgL_objectz00_bglt BgL_tmpz00_5606;

						BgL_tmpz00_5606 = ((BgL_objectz00_bglt) BgL_oz00_201);
						BgL_auxz00_5605 = BGL_OBJECT_WIDENING(BgL_tmpz00_5606);
					}
					BgL_auxz00_5604 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5605);
				}
				return
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5604))->
						BgL_markz00) = ((long) BgL_vz00_202), BUNSPEC);
		}}

	}



/* &sexit/Ginfo-mark-set! */
	obj_t BGl_z62sexitzf2Ginfozd2markzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3512, obj_t BgL_oz00_3513, obj_t BgL_vz00_3514)
	{
		{	/* Globalize/ginfo.sch 326 */
			return
				BGl_sexitzf2Ginfozd2markzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sexitz00_bglt) BgL_oz00_3513), (long) CINT(BgL_vz00_3514));
		}

	}



/* sexit/Ginfo-free-mark */
	BGL_EXPORTED_DEF long
		BGl_sexitzf2Ginfozd2freezd2markzf2zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt
		BgL_oz00_203)
	{
		{	/* Globalize/ginfo.sch 327 */
			{
				BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5614;

				{
					obj_t BgL_auxz00_5615;

					{	/* Globalize/ginfo.sch 327 */
						BgL_objectz00_bglt BgL_tmpz00_5616;

						BgL_tmpz00_5616 = ((BgL_objectz00_bglt) BgL_oz00_203);
						BgL_auxz00_5615 = BGL_OBJECT_WIDENING(BgL_tmpz00_5616);
					}
					BgL_auxz00_5614 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5615);
				}
				return
					(((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5614))->
					BgL_freezd2markzd2);
			}
		}

	}



/* &sexit/Ginfo-free-mark */
	obj_t BGl_z62sexitzf2Ginfozd2freezd2markz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3515, obj_t BgL_oz00_3516)
	{
		{	/* Globalize/ginfo.sch 327 */
			return
				BINT(BGl_sexitzf2Ginfozd2freezd2markzf2zzglobaliza7e_ginfoza7(
					((BgL_sexitz00_bglt) BgL_oz00_3516)));
		}

	}



/* sexit/Ginfo-free-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Ginfozd2freezd2markzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt BgL_oz00_204, long BgL_vz00_205)
	{
		{	/* Globalize/ginfo.sch 328 */
			{
				BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5624;

				{
					obj_t BgL_auxz00_5625;

					{	/* Globalize/ginfo.sch 328 */
						BgL_objectz00_bglt BgL_tmpz00_5626;

						BgL_tmpz00_5626 = ((BgL_objectz00_bglt) BgL_oz00_204);
						BgL_auxz00_5625 = BGL_OBJECT_WIDENING(BgL_tmpz00_5626);
					}
					BgL_auxz00_5624 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5625);
				}
				return
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5624))->
						BgL_freezd2markzd2) = ((long) BgL_vz00_205), BUNSPEC);
		}}

	}



/* &sexit/Ginfo-free-mark-set! */
	obj_t
		BGl_z62sexitzf2Ginfozd2freezd2markzd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3517, obj_t BgL_oz00_3518, obj_t BgL_vz00_3519)
	{
		{	/* Globalize/ginfo.sch 328 */
			return
				BGl_sexitzf2Ginfozd2freezd2markzd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sexitz00_bglt) BgL_oz00_3518), (long) CINT(BgL_vz00_3519));
		}

	}



/* sexit/Ginfo-kaptured? */
	BGL_EXPORTED_DEF bool_t
		BGl_sexitzf2Ginfozd2kapturedzf3zd3zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt
		BgL_oz00_206)
	{
		{	/* Globalize/ginfo.sch 329 */
			{
				BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5634;

				{
					obj_t BgL_auxz00_5635;

					{	/* Globalize/ginfo.sch 329 */
						BgL_objectz00_bglt BgL_tmpz00_5636;

						BgL_tmpz00_5636 = ((BgL_objectz00_bglt) BgL_oz00_206);
						BgL_auxz00_5635 = BGL_OBJECT_WIDENING(BgL_tmpz00_5636);
					}
					BgL_auxz00_5634 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5635);
				}
				return
					(((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5634))->
					BgL_kapturedzf3zf3);
			}
		}

	}



/* &sexit/Ginfo-kaptured? */
	obj_t BGl_z62sexitzf2Ginfozd2kapturedzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3520, obj_t BgL_oz00_3521)
	{
		{	/* Globalize/ginfo.sch 329 */
			return
				BBOOL(BGl_sexitzf2Ginfozd2kapturedzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_sexitz00_bglt) BgL_oz00_3521)));
		}

	}



/* sexit/Ginfo-kaptured?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Ginfozd2kapturedzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt BgL_oz00_207, bool_t BgL_vz00_208)
	{
		{	/* Globalize/ginfo.sch 330 */
			{
				BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5644;

				{
					obj_t BgL_auxz00_5645;

					{	/* Globalize/ginfo.sch 330 */
						BgL_objectz00_bglt BgL_tmpz00_5646;

						BgL_tmpz00_5646 = ((BgL_objectz00_bglt) BgL_oz00_207);
						BgL_auxz00_5645 = BGL_OBJECT_WIDENING(BgL_tmpz00_5646);
					}
					BgL_auxz00_5644 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5645);
				}
				return
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5644))->
						BgL_kapturedzf3zf3) = ((bool_t) BgL_vz00_208), BUNSPEC);
			}
		}

	}



/* &sexit/Ginfo-kaptured?-set! */
	obj_t
		BGl_z62sexitzf2Ginfozd2kapturedzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3522, obj_t BgL_oz00_3523, obj_t BgL_vz00_3524)
	{
		{	/* Globalize/ginfo.sch 330 */
			return
				BGl_sexitzf2Ginfozd2kapturedzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_sexitz00_bglt) BgL_oz00_3523), CBOOL(BgL_vz00_3524));
		}

	}



/* sexit/Ginfo-G? */
	BGL_EXPORTED_DEF bool_t
		BGl_sexitzf2Ginfozd2Gzf3zd3zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt
		BgL_oz00_209)
	{
		{	/* Globalize/ginfo.sch 331 */
			{
				BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5654;

				{
					obj_t BgL_auxz00_5655;

					{	/* Globalize/ginfo.sch 331 */
						BgL_objectz00_bglt BgL_tmpz00_5656;

						BgL_tmpz00_5656 = ((BgL_objectz00_bglt) BgL_oz00_209);
						BgL_auxz00_5655 = BGL_OBJECT_WIDENING(BgL_tmpz00_5656);
					}
					BgL_auxz00_5654 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5655);
				}
				return
					(((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5654))->BgL_gzf3zf3);
			}
		}

	}



/* &sexit/Ginfo-G? */
	obj_t BGl_z62sexitzf2Ginfozd2Gzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3525, obj_t BgL_oz00_3526)
	{
		{	/* Globalize/ginfo.sch 331 */
			return
				BBOOL(BGl_sexitzf2Ginfozd2Gzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_sexitz00_bglt) BgL_oz00_3526)));
		}

	}



/* sexit/Ginfo-G?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Ginfozd2Gzf3zd2setz12z13zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt
		BgL_oz00_210, bool_t BgL_vz00_211)
	{
		{	/* Globalize/ginfo.sch 332 */
			{
				BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5664;

				{
					obj_t BgL_auxz00_5665;

					{	/* Globalize/ginfo.sch 332 */
						BgL_objectz00_bglt BgL_tmpz00_5666;

						BgL_tmpz00_5666 = ((BgL_objectz00_bglt) BgL_oz00_210);
						BgL_auxz00_5665 = BGL_OBJECT_WIDENING(BgL_tmpz00_5666);
					}
					BgL_auxz00_5664 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5665);
				}
				return
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5664))->
						BgL_gzf3zf3) = ((bool_t) BgL_vz00_211), BUNSPEC);
			}
		}

	}



/* &sexit/Ginfo-G?-set! */
	obj_t BGl_z62sexitzf2Ginfozd2Gzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3527, obj_t BgL_oz00_3528, obj_t BgL_vz00_3529)
	{
		{	/* Globalize/ginfo.sch 332 */
			return
				BGl_sexitzf2Ginfozd2Gzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_sexitz00_bglt) BgL_oz00_3528), CBOOL(BgL_vz00_3529));
		}

	}



/* sexit/Ginfo-detached? */
	BGL_EXPORTED_DEF bool_t
		BGl_sexitzf2Ginfozd2detachedzf3zd3zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt
		BgL_oz00_212)
	{
		{	/* Globalize/ginfo.sch 333 */
			return
				(((BgL_sexitz00_bglt) COBJECT(
						((BgL_sexitz00_bglt) BgL_oz00_212)))->BgL_detachedzf3zf3);
		}

	}



/* &sexit/Ginfo-detached? */
	obj_t BGl_z62sexitzf2Ginfozd2detachedzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3530, obj_t BgL_oz00_3531)
	{
		{	/* Globalize/ginfo.sch 333 */
			return
				BBOOL(BGl_sexitzf2Ginfozd2detachedzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_sexitz00_bglt) BgL_oz00_3531)));
		}

	}



/* sexit/Ginfo-detached?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Ginfozd2detachedzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt BgL_oz00_213, bool_t BgL_vz00_214)
	{
		{	/* Globalize/ginfo.sch 334 */
			return
				((((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_213)))->BgL_detachedzf3zf3) =
				((bool_t) BgL_vz00_214), BUNSPEC);
		}

	}



/* &sexit/Ginfo-detached?-set! */
	obj_t
		BGl_z62sexitzf2Ginfozd2detachedzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3532, obj_t BgL_oz00_3533, obj_t BgL_vz00_3534)
	{
		{	/* Globalize/ginfo.sch 334 */
			return
				BGl_sexitzf2Ginfozd2detachedzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_sexitz00_bglt) BgL_oz00_3533), CBOOL(BgL_vz00_3534));
		}

	}



/* sexit/Ginfo-handler */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Ginfozd2handlerz20zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt
		BgL_oz00_215)
	{
		{	/* Globalize/ginfo.sch 335 */
			return
				(((BgL_sexitz00_bglt) COBJECT(
						((BgL_sexitz00_bglt) BgL_oz00_215)))->BgL_handlerz00);
		}

	}



/* &sexit/Ginfo-handler */
	obj_t BGl_z62sexitzf2Ginfozd2handlerz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3535, obj_t BgL_oz00_3536)
	{
		{	/* Globalize/ginfo.sch 335 */
			return
				BGl_sexitzf2Ginfozd2handlerz20zzglobaliza7e_ginfoza7(
				((BgL_sexitz00_bglt) BgL_oz00_3536));
		}

	}



/* sexit/Ginfo-handler-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Ginfozd2handlerzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt BgL_oz00_216, obj_t BgL_vz00_217)
	{
		{	/* Globalize/ginfo.sch 336 */
			return
				((((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_216)))->BgL_handlerz00) =
				((obj_t) BgL_vz00_217), BUNSPEC);
		}

	}



/* &sexit/Ginfo-handler-set! */
	obj_t BGl_z62sexitzf2Ginfozd2handlerzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3537, obj_t BgL_oz00_3538, obj_t BgL_vz00_3539)
	{
		{	/* Globalize/ginfo.sch 336 */
			return
				BGl_sexitzf2Ginfozd2handlerzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sexitz00_bglt) BgL_oz00_3538), BgL_vz00_3539);
		}

	}



/* make-local/Ginfo */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_makezd2localzf2Ginfoz20zzglobaliza7e_ginfoza7(obj_t BgL_id1243z00_218,
		obj_t BgL_name1244z00_219, BgL_typez00_bglt BgL_type1245z00_220,
		BgL_valuez00_bglt BgL_value1246z00_221, obj_t BgL_access1247z00_222,
		obj_t BgL_fastzd2alpha1248zd2_223, obj_t BgL_removable1249z00_224,
		long BgL_occurrence1250z00_225, long BgL_occurrencew1251z00_226,
		bool_t BgL_userzf31252zf3_227, long BgL_key1253z00_228,
		bool_t BgL_escapezf31254zf3_229, bool_t BgL_globaliza7edzf31255z54_230)
	{
		{	/* Globalize/ginfo.sch 339 */
			{	/* Globalize/ginfo.sch 339 */
				BgL_localz00_bglt BgL_new1237z00_4264;

				{	/* Globalize/ginfo.sch 339 */
					BgL_localz00_bglt BgL_tmp1235z00_4265;
					BgL_localzf2ginfozf2_bglt BgL_wide1236z00_4266;

					{
						BgL_localz00_bglt BgL_auxz00_5692;

						{	/* Globalize/ginfo.sch 339 */
							BgL_localz00_bglt BgL_new1234z00_4267;

							BgL_new1234z00_4267 =
								((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							{	/* Globalize/ginfo.sch 339 */
								long BgL_arg1457z00_4268;

								BgL_arg1457z00_4268 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1234z00_4267),
									BgL_arg1457z00_4268);
							}
							{	/* Globalize/ginfo.sch 339 */
								BgL_objectz00_bglt BgL_tmpz00_5697;

								BgL_tmpz00_5697 = ((BgL_objectz00_bglt) BgL_new1234z00_4267);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5697, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1234z00_4267);
							BgL_auxz00_5692 = BgL_new1234z00_4267;
						}
						BgL_tmp1235z00_4265 = ((BgL_localz00_bglt) BgL_auxz00_5692);
					}
					BgL_wide1236z00_4266 =
						((BgL_localzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_localzf2ginfozf2_bgl))));
					{	/* Globalize/ginfo.sch 339 */
						obj_t BgL_auxz00_5705;
						BgL_objectz00_bglt BgL_tmpz00_5703;

						BgL_auxz00_5705 = ((obj_t) BgL_wide1236z00_4266);
						BgL_tmpz00_5703 = ((BgL_objectz00_bglt) BgL_tmp1235z00_4265);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5703, BgL_auxz00_5705);
					}
					((BgL_objectz00_bglt) BgL_tmp1235z00_4265);
					{	/* Globalize/ginfo.sch 339 */
						long BgL_arg1456z00_4269;

						BgL_arg1456z00_4269 =
							BGL_CLASS_NUM(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1235z00_4265), BgL_arg1456z00_4269);
					}
					BgL_new1237z00_4264 = ((BgL_localz00_bglt) BgL_tmp1235z00_4265);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1237z00_4264)))->BgL_idz00) =
					((obj_t) BgL_id1243z00_218), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1237z00_4264)))->BgL_namez00) =
					((obj_t) BgL_name1244z00_219), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1237z00_4264)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1245z00_220), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1237z00_4264)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1246z00_221), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1237z00_4264)))->BgL_accessz00) =
					((obj_t) BgL_access1247z00_222), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1237z00_4264)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1248zd2_223), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1237z00_4264)))->BgL_removablez00) =
					((obj_t) BgL_removable1249z00_224), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1237z00_4264)))->BgL_occurrencez00) =
					((long) BgL_occurrence1250z00_225), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1237z00_4264)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1251z00_226), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1237z00_4264)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31252zf3_227), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1237z00_4264)))->BgL_keyz00) =
					((long) BgL_key1253z00_228), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1237z00_4264)))->BgL_valzd2noescapezd2) =
					((obj_t) BTRUE), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1237z00_4264)))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2ginfozf2_bglt BgL_auxz00_5739;

					{
						obj_t BgL_auxz00_5740;

						{	/* Globalize/ginfo.sch 339 */
							BgL_objectz00_bglt BgL_tmpz00_5741;

							BgL_tmpz00_5741 = ((BgL_objectz00_bglt) BgL_new1237z00_4264);
							BgL_auxz00_5740 = BGL_OBJECT_WIDENING(BgL_tmpz00_5741);
						}
						BgL_auxz00_5739 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5740);
					}
					((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5739))->
							BgL_escapezf3zf3) = ((bool_t) BgL_escapezf31254zf3_229), BUNSPEC);
				}
				{
					BgL_localzf2ginfozf2_bglt BgL_auxz00_5746;

					{
						obj_t BgL_auxz00_5747;

						{	/* Globalize/ginfo.sch 339 */
							BgL_objectz00_bglt BgL_tmpz00_5748;

							BgL_tmpz00_5748 = ((BgL_objectz00_bglt) BgL_new1237z00_4264);
							BgL_auxz00_5747 = BGL_OBJECT_WIDENING(BgL_tmpz00_5748);
						}
						BgL_auxz00_5746 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5747);
					}
					((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5746))->
							BgL_globaliza7edzf3z54) =
						((bool_t) BgL_globaliza7edzf31255z54_230), BUNSPEC);
				}
				return BgL_new1237z00_4264;
			}
		}

	}



/* &make-local/Ginfo */
	BgL_localz00_bglt BGl_z62makezd2localzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3540, obj_t BgL_id1243z00_3541, obj_t BgL_name1244z00_3542,
		obj_t BgL_type1245z00_3543, obj_t BgL_value1246z00_3544,
		obj_t BgL_access1247z00_3545, obj_t BgL_fastzd2alpha1248zd2_3546,
		obj_t BgL_removable1249z00_3547, obj_t BgL_occurrence1250z00_3548,
		obj_t BgL_occurrencew1251z00_3549, obj_t BgL_userzf31252zf3_3550,
		obj_t BgL_key1253z00_3551, obj_t BgL_escapezf31254zf3_3552,
		obj_t BgL_globaliza7edzf31255z54_3553)
	{
		{	/* Globalize/ginfo.sch 339 */
			return
				BGl_makezd2localzf2Ginfoz20zzglobaliza7e_ginfoza7(BgL_id1243z00_3541,
				BgL_name1244z00_3542, ((BgL_typez00_bglt) BgL_type1245z00_3543),
				((BgL_valuez00_bglt) BgL_value1246z00_3544), BgL_access1247z00_3545,
				BgL_fastzd2alpha1248zd2_3546, BgL_removable1249z00_3547,
				(long) CINT(BgL_occurrence1250z00_3548),
				(long) CINT(BgL_occurrencew1251z00_3549),
				CBOOL(BgL_userzf31252zf3_3550), (long) CINT(BgL_key1253z00_3551),
				CBOOL(BgL_escapezf31254zf3_3552),
				CBOOL(BgL_globaliza7edzf31255z54_3553));
		}

	}



/* local/Ginfo? */
	BGL_EXPORTED_DEF bool_t BGl_localzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t
		BgL_objz00_231)
	{
		{	/* Globalize/ginfo.sch 340 */
			{	/* Globalize/ginfo.sch 340 */
				obj_t BgL_classz00_4270;

				BgL_classz00_4270 = BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
				if (BGL_OBJECTP(BgL_objz00_231))
					{	/* Globalize/ginfo.sch 340 */
						BgL_objectz00_bglt BgL_arg1825z00_4271;

						BgL_arg1825z00_4271 = (BgL_objectz00_bglt) (BgL_objz00_231);
						{	/* Globalize/ginfo.sch 340 */
							bool_t BgL_arg1822z00_4272;
							bool_t BgL_arg1823z00_4273;

							{	/* Globalize/ginfo.sch 340 */
								long BgL_idxz00_4274;

								BgL_idxz00_4274 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4271);
								BgL_arg1822z00_4272 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4274 + ((long) 3))) == BgL_classz00_4270);
							}
							{	/* Globalize/ginfo.sch 340 */
								bool_t BgL_res2092z00_4277;

								{	/* Globalize/ginfo.sch 340 */
									obj_t BgL_oclassz00_4278;

									{	/* Globalize/ginfo.sch 340 */
										long BgL_arg1833z00_4279;

										{	/* Globalize/ginfo.sch 340 */
											long BgL_arg1834z00_4280;

											BgL_arg1834z00_4280 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4271);
											BgL_arg1833z00_4279 = (BgL_arg1834z00_4280 - OBJECT_TYPE);
										}
										BgL_oclassz00_4278 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4279);
									}
									{	/* Globalize/ginfo.sch 340 */
										bool_t BgL__ortest_1110z00_4281;

										BgL__ortest_1110z00_4281 =
											(BgL_classz00_4270 == BgL_oclassz00_4278);
										if (BgL__ortest_1110z00_4281)
											{	/* Globalize/ginfo.sch 340 */
												BgL_res2092z00_4277 = BgL__ortest_1110z00_4281;
											}
										else
											{	/* Globalize/ginfo.sch 340 */
												long BgL_odepthz00_4282;

												BgL_odepthz00_4282 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4278);
												if ((((long) 3) < BgL_odepthz00_4282))
													{	/* Globalize/ginfo.sch 340 */
														obj_t BgL_arg1821z00_4283;

														BgL_arg1821z00_4283 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4278,
															((long) 3));
														BgL_res2092z00_4277 =
															(BgL_arg1821z00_4283 == BgL_classz00_4270);
													}
												else
													{	/* Globalize/ginfo.sch 340 */
														BgL_res2092z00_4277 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4273 = BgL_res2092z00_4277;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4272, BgL_arg1823z00_4273);
						}
					}
				else
					{	/* Globalize/ginfo.sch 340 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &local/Ginfo? */
	obj_t BGl_z62localzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3554,
		obj_t BgL_objz00_3555)
	{
		{	/* Globalize/ginfo.sch 340 */
			return
				BBOOL(BGl_localzf2Ginfozf3z01zzglobaliza7e_ginfoza7(BgL_objz00_3555));
		}

	}



/* local/Ginfo-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_localzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7()
	{
		{	/* Globalize/ginfo.sch 341 */
			{	/* Globalize/ginfo.sch 341 */
				obj_t BgL_classz00_2857;

				BgL_classz00_2857 = BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
				{	/* Globalize/ginfo.sch 341 */
					obj_t BgL__ortest_1112z00_2858;

					BgL__ortest_1112z00_2858 = BGL_CLASS_NIL(BgL_classz00_2857);
					if (CBOOL(BgL__ortest_1112z00_2858))
						{	/* Globalize/ginfo.sch 341 */
							return ((BgL_localz00_bglt) BgL__ortest_1112z00_2858);
						}
					else
						{	/* Globalize/ginfo.sch 341 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2857));
						}
				}
			}
		}

	}



/* &local/Ginfo-nil */
	BgL_localz00_bglt BGl_z62localzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3556)
	{
		{	/* Globalize/ginfo.sch 341 */
			return BGl_localzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7();
		}

	}



/* local/Ginfo-globalized? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2Ginfozd2globaliza7edzf3z74zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_232)
	{
		{	/* Globalize/ginfo.sch 342 */
			{
				BgL_localzf2ginfozf2_bglt BgL_auxz00_5789;

				{
					obj_t BgL_auxz00_5790;

					{	/* Globalize/ginfo.sch 342 */
						BgL_objectz00_bglt BgL_tmpz00_5791;

						BgL_tmpz00_5791 = ((BgL_objectz00_bglt) BgL_oz00_232);
						BgL_auxz00_5790 = BGL_OBJECT_WIDENING(BgL_tmpz00_5791);
					}
					BgL_auxz00_5789 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5790);
				}
				return
					(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5789))->
					BgL_globaliza7edzf3z54);
			}
		}

	}



/* &local/Ginfo-globalized? */
	obj_t BGl_z62localzf2Ginfozd2globaliza7edzf3z16zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3557, obj_t BgL_oz00_3558)
	{
		{	/* Globalize/ginfo.sch 342 */
			return
				BBOOL(BGl_localzf2Ginfozd2globaliza7edzf3z74zzglobaliza7e_ginfoza7(
					((BgL_localz00_bglt) BgL_oz00_3558)));
		}

	}



/* local/Ginfo-globalized?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2globaliza7edzf3zd2setz12zb4zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_233, bool_t BgL_vz00_234)
	{
		{	/* Globalize/ginfo.sch 343 */
			{
				BgL_localzf2ginfozf2_bglt BgL_auxz00_5799;

				{
					obj_t BgL_auxz00_5800;

					{	/* Globalize/ginfo.sch 343 */
						BgL_objectz00_bglt BgL_tmpz00_5801;

						BgL_tmpz00_5801 = ((BgL_objectz00_bglt) BgL_oz00_233);
						BgL_auxz00_5800 = BGL_OBJECT_WIDENING(BgL_tmpz00_5801);
					}
					BgL_auxz00_5799 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5800);
				}
				return
					((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5799))->
						BgL_globaliza7edzf3z54) = ((bool_t) BgL_vz00_234), BUNSPEC);
			}
		}

	}



/* &local/Ginfo-globalized?-set! */
	obj_t
		BGl_z62localzf2Ginfozd2globaliza7edzf3zd2setz12zd6zzglobaliza7e_ginfoza7
		(obj_t BgL_envz00_3559, obj_t BgL_oz00_3560, obj_t BgL_vz00_3561)
	{
		{	/* Globalize/ginfo.sch 343 */
			return
				BGl_localzf2Ginfozd2globaliza7edzf3zd2setz12zb4zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3560), CBOOL(BgL_vz00_3561));
		}

	}



/* local/Ginfo-escape? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2Ginfozd2escapezf3zd3zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_235)
	{
		{	/* Globalize/ginfo.sch 344 */
			{
				BgL_localzf2ginfozf2_bglt BgL_auxz00_5809;

				{
					obj_t BgL_auxz00_5810;

					{	/* Globalize/ginfo.sch 344 */
						BgL_objectz00_bglt BgL_tmpz00_5811;

						BgL_tmpz00_5811 = ((BgL_objectz00_bglt) BgL_oz00_235);
						BgL_auxz00_5810 = BGL_OBJECT_WIDENING(BgL_tmpz00_5811);
					}
					BgL_auxz00_5809 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5810);
				}
				return
					(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5809))->
					BgL_escapezf3zf3);
			}
		}

	}



/* &local/Ginfo-escape? */
	obj_t BGl_z62localzf2Ginfozd2escapezf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3562, obj_t BgL_oz00_3563)
	{
		{	/* Globalize/ginfo.sch 344 */
			return
				BBOOL(BGl_localzf2Ginfozd2escapezf3zd3zzglobaliza7e_ginfoza7(
					((BgL_localz00_bglt) BgL_oz00_3563)));
		}

	}



/* local/Ginfo-escape?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2escapezf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_236, bool_t BgL_vz00_237)
	{
		{	/* Globalize/ginfo.sch 345 */
			{
				BgL_localzf2ginfozf2_bglt BgL_auxz00_5819;

				{
					obj_t BgL_auxz00_5820;

					{	/* Globalize/ginfo.sch 345 */
						BgL_objectz00_bglt BgL_tmpz00_5821;

						BgL_tmpz00_5821 = ((BgL_objectz00_bglt) BgL_oz00_236);
						BgL_auxz00_5820 = BGL_OBJECT_WIDENING(BgL_tmpz00_5821);
					}
					BgL_auxz00_5819 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5820);
				}
				return
					((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5819))->
						BgL_escapezf3zf3) = ((bool_t) BgL_vz00_237), BUNSPEC);
			}
		}

	}



/* &local/Ginfo-escape?-set! */
	obj_t BGl_z62localzf2Ginfozd2escapezf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3564, obj_t BgL_oz00_3565, obj_t BgL_vz00_3566)
	{
		{	/* Globalize/ginfo.sch 345 */
			return
				BGl_localzf2Ginfozd2escapezf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3565), CBOOL(BgL_vz00_3566));
		}

	}



/* local/Ginfo-key */
	BGL_EXPORTED_DEF long
		BGl_localzf2Ginfozd2keyz20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_238)
	{
		{	/* Globalize/ginfo.sch 346 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_238)))->BgL_keyz00);
		}

	}



/* &local/Ginfo-key */
	obj_t BGl_z62localzf2Ginfozd2keyz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3567, obj_t BgL_oz00_3568)
	{
		{	/* Globalize/ginfo.sch 346 */
			return
				BINT(BGl_localzf2Ginfozd2keyz20zzglobaliza7e_ginfoza7(
					((BgL_localz00_bglt) BgL_oz00_3568)));
		}

	}



/* local/Ginfo-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2Ginfozd2userzf3zd3zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_241)
	{
		{	/* Globalize/ginfo.sch 348 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_241)))->BgL_userzf3zf3);
		}

	}



/* &local/Ginfo-user? */
	obj_t BGl_z62localzf2Ginfozd2userzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3569, obj_t BgL_oz00_3570)
	{
		{	/* Globalize/ginfo.sch 348 */
			return
				BBOOL(BGl_localzf2Ginfozd2userzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_localz00_bglt) BgL_oz00_3570)));
		}

	}



/* local/Ginfo-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2userzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_242, bool_t BgL_vz00_243)
	{
		{	/* Globalize/ginfo.sch 349 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_242)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_243), BUNSPEC);
		}

	}



/* &local/Ginfo-user?-set! */
	obj_t BGl_z62localzf2Ginfozd2userzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3571, obj_t BgL_oz00_3572, obj_t BgL_vz00_3573)
	{
		{	/* Globalize/ginfo.sch 349 */
			return
				BGl_localzf2Ginfozd2userzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3572), CBOOL(BgL_vz00_3573));
		}

	}



/* local/Ginfo-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_localzf2Ginfozd2occurrencewz20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_244)
	{
		{	/* Globalize/ginfo.sch 350 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_244)))->BgL_occurrencewz00);
		}

	}



/* &local/Ginfo-occurrencew */
	obj_t BGl_z62localzf2Ginfozd2occurrencewz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3574, obj_t BgL_oz00_3575)
	{
		{	/* Globalize/ginfo.sch 350 */
			return
				BINT(BGl_localzf2Ginfozd2occurrencewz20zzglobaliza7e_ginfoza7(
					((BgL_localz00_bglt) BgL_oz00_3575)));
		}

	}



/* local/Ginfo-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2occurrencewzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_245, long BgL_vz00_246)
	{
		{	/* Globalize/ginfo.sch 351 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_245)))->BgL_occurrencewz00) =
				((long) BgL_vz00_246), BUNSPEC);
		}

	}



/* &local/Ginfo-occurrencew-set! */
	obj_t
		BGl_z62localzf2Ginfozd2occurrencewzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3576, obj_t BgL_oz00_3577, obj_t BgL_vz00_3578)
	{
		{	/* Globalize/ginfo.sch 351 */
			return
				BGl_localzf2Ginfozd2occurrencewzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3577), (long) CINT(BgL_vz00_3578));
		}

	}



/* local/Ginfo-occurrence */
	BGL_EXPORTED_DEF long
		BGl_localzf2Ginfozd2occurrencez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_247)
	{
		{	/* Globalize/ginfo.sch 352 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_247)))->BgL_occurrencez00);
		}

	}



/* &local/Ginfo-occurrence */
	obj_t BGl_z62localzf2Ginfozd2occurrencez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3579, obj_t BgL_oz00_3580)
	{
		{	/* Globalize/ginfo.sch 352 */
			return
				BINT(BGl_localzf2Ginfozd2occurrencez20zzglobaliza7e_ginfoza7(
					((BgL_localz00_bglt) BgL_oz00_3580)));
		}

	}



/* local/Ginfo-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2occurrencezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_248, long BgL_vz00_249)
	{
		{	/* Globalize/ginfo.sch 353 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_248)))->BgL_occurrencez00) =
				((long) BgL_vz00_249), BUNSPEC);
		}

	}



/* &local/Ginfo-occurrence-set! */
	obj_t
		BGl_z62localzf2Ginfozd2occurrencezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3581, obj_t BgL_oz00_3582, obj_t BgL_vz00_3583)
	{
		{	/* Globalize/ginfo.sch 353 */
			return
				BGl_localzf2Ginfozd2occurrencezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3582), (long) CINT(BgL_vz00_3583));
		}

	}



/* local/Ginfo-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2removablez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_250)
	{
		{	/* Globalize/ginfo.sch 354 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_250)))->BgL_removablez00);
		}

	}



/* &local/Ginfo-removable */
	obj_t BGl_z62localzf2Ginfozd2removablez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3584, obj_t BgL_oz00_3585)
	{
		{	/* Globalize/ginfo.sch 354 */
			return
				BGl_localzf2Ginfozd2removablez20zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3585));
		}

	}



/* local/Ginfo-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2removablezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_251, obj_t BgL_vz00_252)
	{
		{	/* Globalize/ginfo.sch 355 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_251)))->BgL_removablez00) =
				((obj_t) BgL_vz00_252), BUNSPEC);
		}

	}



/* &local/Ginfo-removable-set! */
	obj_t BGl_z62localzf2Ginfozd2removablezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3586, obj_t BgL_oz00_3587, obj_t BgL_vz00_3588)
	{
		{	/* Globalize/ginfo.sch 355 */
			return
				BGl_localzf2Ginfozd2removablezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3587), BgL_vz00_3588);
		}

	}



/* local/Ginfo-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2fastzd2alphazf2zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_253)
	{
		{	/* Globalize/ginfo.sch 356 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_253)))->BgL_fastzd2alphazd2);
		}

	}



/* &local/Ginfo-fast-alpha */
	obj_t BGl_z62localzf2Ginfozd2fastzd2alphaz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3589, obj_t BgL_oz00_3590)
	{
		{	/* Globalize/ginfo.sch 356 */
			return
				BGl_localzf2Ginfozd2fastzd2alphazf2zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3590));
		}

	}



/* local/Ginfo-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2fastzd2alphazd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_254, obj_t BgL_vz00_255)
	{
		{	/* Globalize/ginfo.sch 357 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_254)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_255), BUNSPEC);
		}

	}



/* &local/Ginfo-fast-alpha-set! */
	obj_t
		BGl_z62localzf2Ginfozd2fastzd2alphazd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3591, obj_t BgL_oz00_3592, obj_t BgL_vz00_3593)
	{
		{	/* Globalize/ginfo.sch 357 */
			return
				BGl_localzf2Ginfozd2fastzd2alphazd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3592), BgL_vz00_3593);
		}

	}



/* local/Ginfo-access */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2accessz20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_256)
	{
		{	/* Globalize/ginfo.sch 358 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_256)))->BgL_accessz00);
		}

	}



/* &local/Ginfo-access */
	obj_t BGl_z62localzf2Ginfozd2accessz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3594, obj_t BgL_oz00_3595)
	{
		{	/* Globalize/ginfo.sch 358 */
			return
				BGl_localzf2Ginfozd2accessz20zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3595));
		}

	}



/* local/Ginfo-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2accesszd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_257, obj_t BgL_vz00_258)
	{
		{	/* Globalize/ginfo.sch 359 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_257)))->BgL_accessz00) =
				((obj_t) BgL_vz00_258), BUNSPEC);
		}

	}



/* &local/Ginfo-access-set! */
	obj_t BGl_z62localzf2Ginfozd2accesszd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3596, obj_t BgL_oz00_3597, obj_t BgL_vz00_3598)
	{
		{	/* Globalize/ginfo.sch 359 */
			return
				BGl_localzf2Ginfozd2accesszd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3597), BgL_vz00_3598);
		}

	}



/* local/Ginfo-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_localzf2Ginfozd2valuez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_259)
	{
		{	/* Globalize/ginfo.sch 360 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_259)))->BgL_valuez00);
		}

	}



/* &local/Ginfo-value */
	BgL_valuez00_bglt BGl_z62localzf2Ginfozd2valuez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3599, obj_t BgL_oz00_3600)
	{
		{	/* Globalize/ginfo.sch 360 */
			return
				BGl_localzf2Ginfozd2valuez20zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3600));
		}

	}



/* local/Ginfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2valuezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_260, BgL_valuez00_bglt BgL_vz00_261)
	{
		{	/* Globalize/ginfo.sch 361 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_260)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_261), BUNSPEC);
		}

	}



/* &local/Ginfo-value-set! */
	obj_t BGl_z62localzf2Ginfozd2valuezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3601, obj_t BgL_oz00_3602, obj_t BgL_vz00_3603)
	{
		{	/* Globalize/ginfo.sch 361 */
			return
				BGl_localzf2Ginfozd2valuezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3602),
				((BgL_valuez00_bglt) BgL_vz00_3603));
		}

	}



/* local/Ginfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_localzf2Ginfozd2typez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_262)
	{
		{	/* Globalize/ginfo.sch 362 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_262)))->BgL_typez00);
		}

	}



/* &local/Ginfo-type */
	BgL_typez00_bglt BGl_z62localzf2Ginfozd2typez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3604, obj_t BgL_oz00_3605)
	{
		{	/* Globalize/ginfo.sch 362 */
			return
				BGl_localzf2Ginfozd2typez20zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3605));
		}

	}



/* local/Ginfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2typezd2setz12ze0zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_263, BgL_typez00_bglt BgL_vz00_264)
	{
		{	/* Globalize/ginfo.sch 363 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_263)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_264), BUNSPEC);
		}

	}



/* &local/Ginfo-type-set! */
	obj_t BGl_z62localzf2Ginfozd2typezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3606, obj_t BgL_oz00_3607, obj_t BgL_vz00_3608)
	{
		{	/* Globalize/ginfo.sch 363 */
			return
				BGl_localzf2Ginfozd2typezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3607),
				((BgL_typez00_bglt) BgL_vz00_3608));
		}

	}



/* local/Ginfo-name */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2namez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_265)
	{
		{	/* Globalize/ginfo.sch 364 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_265)))->BgL_namez00);
		}

	}



/* &local/Ginfo-name */
	obj_t BGl_z62localzf2Ginfozd2namez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3609, obj_t BgL_oz00_3610)
	{
		{	/* Globalize/ginfo.sch 364 */
			return
				BGl_localzf2Ginfozd2namez20zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3610));
		}

	}



/* local/Ginfo-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2namezd2setz12ze0zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_266, obj_t BgL_vz00_267)
	{
		{	/* Globalize/ginfo.sch 365 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_266)))->BgL_namez00) =
				((obj_t) BgL_vz00_267), BUNSPEC);
		}

	}



/* &local/Ginfo-name-set! */
	obj_t BGl_z62localzf2Ginfozd2namezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3611, obj_t BgL_oz00_3612, obj_t BgL_vz00_3613)
	{
		{	/* Globalize/ginfo.sch 365 */
			return
				BGl_localzf2Ginfozd2namezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3612), BgL_vz00_3613);
		}

	}



/* local/Ginfo-id */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2idz20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_268)
	{
		{	/* Globalize/ginfo.sch 366 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_268)))->BgL_idz00);
		}

	}



/* &local/Ginfo-id */
	obj_t BGl_z62localzf2Ginfozd2idz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3614, obj_t BgL_oz00_3615)
	{
		{	/* Globalize/ginfo.sch 366 */
			return
				BGl_localzf2Ginfozd2idz20zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3615));
		}

	}



/* make-global/Ginfo */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2globalzf2Ginfoz20zzglobaliza7e_ginfoza7(obj_t BgL_id1220z00_271,
		obj_t BgL_name1221z00_272, BgL_typez00_bglt BgL_type1222z00_273,
		BgL_valuez00_bglt BgL_value1223z00_274, obj_t BgL_access1224z00_275,
		obj_t BgL_fastzd2alpha1225zd2_276, obj_t BgL_removable1226z00_277,
		long BgL_occurrence1227z00_278, long BgL_occurrencew1228z00_279,
		bool_t BgL_userzf31229zf3_280, obj_t BgL_module1230z00_281,
		obj_t BgL_import1231z00_282, bool_t BgL_evaluablezf31232zf3_283,
		bool_t BgL_evalzf31233zf3_284, obj_t BgL_library1234z00_285,
		obj_t BgL_pragma1235z00_286, obj_t BgL_src1236z00_287,
		obj_t BgL_jvmzd2typezd2name1237z00_288, obj_t BgL_init1238z00_289,
		obj_t BgL_alias1239z00_290, bool_t BgL_escapezf31240zf3_291,
		obj_t BgL_globalzd2closure1241zd2_292)
	{
		{	/* Globalize/ginfo.sch 370 */
			{	/* Globalize/ginfo.sch 370 */
				BgL_globalz00_bglt BgL_new1241z00_4284;

				{	/* Globalize/ginfo.sch 370 */
					BgL_globalz00_bglt BgL_tmp1239z00_4285;
					BgL_globalzf2ginfozf2_bglt BgL_wide1240z00_4286;

					{
						BgL_globalz00_bglt BgL_auxz00_5918;

						{	/* Globalize/ginfo.sch 370 */
							BgL_globalz00_bglt BgL_new1238z00_4287;

							BgL_new1238z00_4287 =
								((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							{	/* Globalize/ginfo.sch 370 */
								long BgL_arg1477z00_4288;

								BgL_arg1477z00_4288 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1238z00_4287),
									BgL_arg1477z00_4288);
							}
							{	/* Globalize/ginfo.sch 370 */
								BgL_objectz00_bglt BgL_tmpz00_5923;

								BgL_tmpz00_5923 = ((BgL_objectz00_bglt) BgL_new1238z00_4287);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5923, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1238z00_4287);
							BgL_auxz00_5918 = BgL_new1238z00_4287;
						}
						BgL_tmp1239z00_4285 = ((BgL_globalz00_bglt) BgL_auxz00_5918);
					}
					BgL_wide1240z00_4286 =
						((BgL_globalzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_globalzf2ginfozf2_bgl))));
					{	/* Globalize/ginfo.sch 370 */
						obj_t BgL_auxz00_5931;
						BgL_objectz00_bglt BgL_tmpz00_5929;

						BgL_auxz00_5931 = ((obj_t) BgL_wide1240z00_4286);
						BgL_tmpz00_5929 = ((BgL_objectz00_bglt) BgL_tmp1239z00_4285);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5929, BgL_auxz00_5931);
					}
					((BgL_objectz00_bglt) BgL_tmp1239z00_4285);
					{	/* Globalize/ginfo.sch 370 */
						long BgL_arg1462z00_4289;

						BgL_arg1462z00_4289 =
							BGL_CLASS_NUM(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1239z00_4285), BgL_arg1462z00_4289);
					}
					BgL_new1241z00_4284 = ((BgL_globalz00_bglt) BgL_tmp1239z00_4285);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1241z00_4284)))->BgL_idz00) =
					((obj_t) BgL_id1220z00_271), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1241z00_4284)))->BgL_namez00) =
					((obj_t) BgL_name1221z00_272), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1241z00_4284)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1222z00_273), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1241z00_4284)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1223z00_274), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1241z00_4284)))->BgL_accessz00) =
					((obj_t) BgL_access1224z00_275), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1241z00_4284)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1225zd2_276), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1241z00_4284)))->BgL_removablez00) =
					((obj_t) BgL_removable1226z00_277), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1241z00_4284)))->BgL_occurrencez00) =
					((long) BgL_occurrence1227z00_278), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1241z00_4284)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1228z00_279), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1241z00_4284)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31229zf3_280), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1241z00_4284)))->BgL_modulez00) =
					((obj_t) BgL_module1230z00_281), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1241z00_4284)))->BgL_importz00) =
					((obj_t) BgL_import1231z00_282), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1241z00_4284)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31232zf3_283), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1241z00_4284)))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31233zf3_284), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1241z00_4284)))->BgL_libraryz00) =
					((obj_t) BgL_library1234z00_285), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1241z00_4284)))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1235z00_286), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1241z00_4284)))->BgL_srcz00) =
					((obj_t) BgL_src1236z00_287), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1241z00_4284)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BgL_jvmzd2typezd2name1237z00_288), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1241z00_4284)))->BgL_initz00) =
					((obj_t) BgL_init1238z00_289), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1241z00_4284)))->BgL_aliasz00) =
					((obj_t) BgL_alias1239z00_290), BUNSPEC);
				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_5979;

					{
						obj_t BgL_auxz00_5980;

						{	/* Globalize/ginfo.sch 370 */
							BgL_objectz00_bglt BgL_tmpz00_5981;

							BgL_tmpz00_5981 = ((BgL_objectz00_bglt) BgL_new1241z00_4284);
							BgL_auxz00_5980 = BGL_OBJECT_WIDENING(BgL_tmpz00_5981);
						}
						BgL_auxz00_5979 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_5980);
					}
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5979))->
							BgL_escapezf3zf3) = ((bool_t) BgL_escapezf31240zf3_291), BUNSPEC);
				}
				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_5986;

					{
						obj_t BgL_auxz00_5987;

						{	/* Globalize/ginfo.sch 370 */
							BgL_objectz00_bglt BgL_tmpz00_5988;

							BgL_tmpz00_5988 = ((BgL_objectz00_bglt) BgL_new1241z00_4284);
							BgL_auxz00_5987 = BGL_OBJECT_WIDENING(BgL_tmpz00_5988);
						}
						BgL_auxz00_5986 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_5987);
					}
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5986))->
							BgL_globalzd2closurezd2) =
						((obj_t) BgL_globalzd2closure1241zd2_292), BUNSPEC);
				}
				return BgL_new1241z00_4284;
			}
		}

	}



/* &make-global/Ginfo */
	BgL_globalz00_bglt BGl_z62makezd2globalzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3616, obj_t BgL_id1220z00_3617, obj_t BgL_name1221z00_3618,
		obj_t BgL_type1222z00_3619, obj_t BgL_value1223z00_3620,
		obj_t BgL_access1224z00_3621, obj_t BgL_fastzd2alpha1225zd2_3622,
		obj_t BgL_removable1226z00_3623, obj_t BgL_occurrence1227z00_3624,
		obj_t BgL_occurrencew1228z00_3625, obj_t BgL_userzf31229zf3_3626,
		obj_t BgL_module1230z00_3627, obj_t BgL_import1231z00_3628,
		obj_t BgL_evaluablezf31232zf3_3629, obj_t BgL_evalzf31233zf3_3630,
		obj_t BgL_library1234z00_3631, obj_t BgL_pragma1235z00_3632,
		obj_t BgL_src1236z00_3633, obj_t BgL_jvmzd2typezd2name1237z00_3634,
		obj_t BgL_init1238z00_3635, obj_t BgL_alias1239z00_3636,
		obj_t BgL_escapezf31240zf3_3637, obj_t BgL_globalzd2closure1241zd2_3638)
	{
		{	/* Globalize/ginfo.sch 370 */
			return
				BGl_makezd2globalzf2Ginfoz20zzglobaliza7e_ginfoza7(BgL_id1220z00_3617,
				BgL_name1221z00_3618, ((BgL_typez00_bglt) BgL_type1222z00_3619),
				((BgL_valuez00_bglt) BgL_value1223z00_3620), BgL_access1224z00_3621,
				BgL_fastzd2alpha1225zd2_3622, BgL_removable1226z00_3623,
				(long) CINT(BgL_occurrence1227z00_3624),
				(long) CINT(BgL_occurrencew1228z00_3625),
				CBOOL(BgL_userzf31229zf3_3626), BgL_module1230z00_3627,
				BgL_import1231z00_3628, CBOOL(BgL_evaluablezf31232zf3_3629),
				CBOOL(BgL_evalzf31233zf3_3630), BgL_library1234z00_3631,
				BgL_pragma1235z00_3632, BgL_src1236z00_3633,
				BgL_jvmzd2typezd2name1237z00_3634, BgL_init1238z00_3635,
				BgL_alias1239z00_3636, CBOOL(BgL_escapezf31240zf3_3637),
				BgL_globalzd2closure1241zd2_3638);
		}

	}



/* global/Ginfo? */
	BGL_EXPORTED_DEF bool_t BGl_globalzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t
		BgL_objz00_293)
	{
		{	/* Globalize/ginfo.sch 371 */
			{	/* Globalize/ginfo.sch 371 */
				obj_t BgL_classz00_4290;

				BgL_classz00_4290 = BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
				if (BGL_OBJECTP(BgL_objz00_293))
					{	/* Globalize/ginfo.sch 371 */
						BgL_objectz00_bglt BgL_arg1825z00_4291;

						BgL_arg1825z00_4291 = (BgL_objectz00_bglt) (BgL_objz00_293);
						{	/* Globalize/ginfo.sch 371 */
							bool_t BgL_arg1822z00_4292;
							bool_t BgL_arg1823z00_4293;

							{	/* Globalize/ginfo.sch 371 */
								long BgL_idxz00_4294;

								BgL_idxz00_4294 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4291);
								BgL_arg1822z00_4292 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4294 + ((long) 3))) == BgL_classz00_4290);
							}
							{	/* Globalize/ginfo.sch 371 */
								bool_t BgL_res2093z00_4297;

								{	/* Globalize/ginfo.sch 371 */
									obj_t BgL_oclassz00_4298;

									{	/* Globalize/ginfo.sch 371 */
										long BgL_arg1833z00_4299;

										{	/* Globalize/ginfo.sch 371 */
											long BgL_arg1834z00_4300;

											BgL_arg1834z00_4300 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4291);
											BgL_arg1833z00_4299 = (BgL_arg1834z00_4300 - OBJECT_TYPE);
										}
										BgL_oclassz00_4298 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4299);
									}
									{	/* Globalize/ginfo.sch 371 */
										bool_t BgL__ortest_1110z00_4301;

										BgL__ortest_1110z00_4301 =
											(BgL_classz00_4290 == BgL_oclassz00_4298);
										if (BgL__ortest_1110z00_4301)
											{	/* Globalize/ginfo.sch 371 */
												BgL_res2093z00_4297 = BgL__ortest_1110z00_4301;
											}
										else
											{	/* Globalize/ginfo.sch 371 */
												long BgL_odepthz00_4302;

												BgL_odepthz00_4302 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4298);
												if ((((long) 3) < BgL_odepthz00_4302))
													{	/* Globalize/ginfo.sch 371 */
														obj_t BgL_arg1821z00_4303;

														BgL_arg1821z00_4303 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4298,
															((long) 3));
														BgL_res2093z00_4297 =
															(BgL_arg1821z00_4303 == BgL_classz00_4290);
													}
												else
													{	/* Globalize/ginfo.sch 371 */
														BgL_res2093z00_4297 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4293 = BgL_res2093z00_4297;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4292, BgL_arg1823z00_4293);
						}
					}
				else
					{	/* Globalize/ginfo.sch 371 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &global/Ginfo? */
	obj_t BGl_z62globalzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3639,
		obj_t BgL_objz00_3640)
	{
		{	/* Globalize/ginfo.sch 371 */
			return
				BBOOL(BGl_globalzf2Ginfozf3z01zzglobaliza7e_ginfoza7(BgL_objz00_3640));
		}

	}



/* global/Ginfo-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_globalzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7()
	{
		{	/* Globalize/ginfo.sch 372 */
			{	/* Globalize/ginfo.sch 372 */
				obj_t BgL_classz00_2911;

				BgL_classz00_2911 = BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
				{	/* Globalize/ginfo.sch 372 */
					obj_t BgL__ortest_1112z00_2912;

					BgL__ortest_1112z00_2912 = BGL_CLASS_NIL(BgL_classz00_2911);
					if (CBOOL(BgL__ortest_1112z00_2912))
						{	/* Globalize/ginfo.sch 372 */
							return ((BgL_globalz00_bglt) BgL__ortest_1112z00_2912);
						}
					else
						{	/* Globalize/ginfo.sch 372 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2911));
						}
				}
			}
		}

	}



/* &global/Ginfo-nil */
	BgL_globalz00_bglt BGl_z62globalzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3641)
	{
		{	/* Globalize/ginfo.sch 372 */
			return BGl_globalzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7();
		}

	}



/* global/Ginfo-global-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2globalzd2closurezf2zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_294)
	{
		{	/* Globalize/ginfo.sch 373 */
			{
				BgL_globalzf2ginfozf2_bglt BgL_auxz00_6029;

				{
					obj_t BgL_auxz00_6030;

					{	/* Globalize/ginfo.sch 373 */
						BgL_objectz00_bglt BgL_tmpz00_6031;

						BgL_tmpz00_6031 = ((BgL_objectz00_bglt) BgL_oz00_294);
						BgL_auxz00_6030 = BGL_OBJECT_WIDENING(BgL_tmpz00_6031);
					}
					BgL_auxz00_6029 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6030);
				}
				return
					(((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6029))->
					BgL_globalzd2closurezd2);
			}
		}

	}



/* &global/Ginfo-global-closure */
	obj_t BGl_z62globalzf2Ginfozd2globalzd2closurez90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3642, obj_t BgL_oz00_3643)
	{
		{	/* Globalize/ginfo.sch 373 */
			return
				BGl_globalzf2Ginfozd2globalzd2closurezf2zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3643));
		}

	}



/* global/Ginfo-global-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2globalzd2closurezd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_295, obj_t BgL_vz00_296)
	{
		{	/* Globalize/ginfo.sch 374 */
			{
				BgL_globalzf2ginfozf2_bglt BgL_auxz00_6038;

				{
					obj_t BgL_auxz00_6039;

					{	/* Globalize/ginfo.sch 374 */
						BgL_objectz00_bglt BgL_tmpz00_6040;

						BgL_tmpz00_6040 = ((BgL_objectz00_bglt) BgL_oz00_295);
						BgL_auxz00_6039 = BGL_OBJECT_WIDENING(BgL_tmpz00_6040);
					}
					BgL_auxz00_6038 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6039);
				}
				return
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6038))->
						BgL_globalzd2closurezd2) = ((obj_t) BgL_vz00_296), BUNSPEC);
			}
		}

	}



/* &global/Ginfo-global-closure-set! */
	obj_t
		BGl_z62globalzf2Ginfozd2globalzd2closurezd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t BgL_envz00_3644, obj_t BgL_oz00_3645, obj_t BgL_vz00_3646)
	{
		{	/* Globalize/ginfo.sch 374 */
			return
				BGl_globalzf2Ginfozd2globalzd2closurezd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3645), BgL_vz00_3646);
		}

	}



/* global/Ginfo-escape? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2Ginfozd2escapezf3zd3zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_297)
	{
		{	/* Globalize/ginfo.sch 375 */
			{
				BgL_globalzf2ginfozf2_bglt BgL_auxz00_6047;

				{
					obj_t BgL_auxz00_6048;

					{	/* Globalize/ginfo.sch 375 */
						BgL_objectz00_bglt BgL_tmpz00_6049;

						BgL_tmpz00_6049 = ((BgL_objectz00_bglt) BgL_oz00_297);
						BgL_auxz00_6048 = BGL_OBJECT_WIDENING(BgL_tmpz00_6049);
					}
					BgL_auxz00_6047 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6048);
				}
				return
					(((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6047))->
					BgL_escapezf3zf3);
			}
		}

	}



/* &global/Ginfo-escape? */
	obj_t BGl_z62globalzf2Ginfozd2escapezf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3647, obj_t BgL_oz00_3648)
	{
		{	/* Globalize/ginfo.sch 375 */
			return
				BBOOL(BGl_globalzf2Ginfozd2escapezf3zd3zzglobaliza7e_ginfoza7(
					((BgL_globalz00_bglt) BgL_oz00_3648)));
		}

	}



/* global/Ginfo-escape?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2escapezf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_298, bool_t BgL_vz00_299)
	{
		{	/* Globalize/ginfo.sch 376 */
			{
				BgL_globalzf2ginfozf2_bglt BgL_auxz00_6057;

				{
					obj_t BgL_auxz00_6058;

					{	/* Globalize/ginfo.sch 376 */
						BgL_objectz00_bglt BgL_tmpz00_6059;

						BgL_tmpz00_6059 = ((BgL_objectz00_bglt) BgL_oz00_298);
						BgL_auxz00_6058 = BGL_OBJECT_WIDENING(BgL_tmpz00_6059);
					}
					BgL_auxz00_6057 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6058);
				}
				return
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6057))->
						BgL_escapezf3zf3) = ((bool_t) BgL_vz00_299), BUNSPEC);
			}
		}

	}



/* &global/Ginfo-escape?-set! */
	obj_t
		BGl_z62globalzf2Ginfozd2escapezf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3649, obj_t BgL_oz00_3650, obj_t BgL_vz00_3651)
	{
		{	/* Globalize/ginfo.sch 376 */
			return
				BGl_globalzf2Ginfozd2escapezf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3650), CBOOL(BgL_vz00_3651));
		}

	}



/* global/Ginfo-alias */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2aliasz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_300)
	{
		{	/* Globalize/ginfo.sch 377 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_300)))->BgL_aliasz00);
		}

	}



/* &global/Ginfo-alias */
	obj_t BGl_z62globalzf2Ginfozd2aliasz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3652, obj_t BgL_oz00_3653)
	{
		{	/* Globalize/ginfo.sch 377 */
			return
				BGl_globalzf2Ginfozd2aliasz20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3653));
		}

	}



/* global/Ginfo-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2aliaszd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_301, obj_t BgL_vz00_302)
	{
		{	/* Globalize/ginfo.sch 378 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_301)))->BgL_aliasz00) =
				((obj_t) BgL_vz00_302), BUNSPEC);
		}

	}



/* &global/Ginfo-alias-set! */
	obj_t BGl_z62globalzf2Ginfozd2aliaszd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3654, obj_t BgL_oz00_3655, obj_t BgL_vz00_3656)
	{
		{	/* Globalize/ginfo.sch 378 */
			return
				BGl_globalzf2Ginfozd2aliaszd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3655), BgL_vz00_3656);
		}

	}



/* global/Ginfo-init */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2initz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_303)
	{
		{	/* Globalize/ginfo.sch 379 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_303)))->BgL_initz00);
		}

	}



/* &global/Ginfo-init */
	obj_t BGl_z62globalzf2Ginfozd2initz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3657, obj_t BgL_oz00_3658)
	{
		{	/* Globalize/ginfo.sch 379 */
			return
				BGl_globalzf2Ginfozd2initz20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3658));
		}

	}



/* global/Ginfo-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2initzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_304, obj_t BgL_vz00_305)
	{
		{	/* Globalize/ginfo.sch 380 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_304)))->BgL_initz00) =
				((obj_t) BgL_vz00_305), BUNSPEC);
		}

	}



/* &global/Ginfo-init-set! */
	obj_t BGl_z62globalzf2Ginfozd2initzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3659, obj_t BgL_oz00_3660, obj_t BgL_vz00_3661)
	{
		{	/* Globalize/ginfo.sch 380 */
			return
				BGl_globalzf2Ginfozd2initzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3660), BgL_vz00_3661);
		}

	}



/* global/Ginfo-jvm-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2jvmzd2typezd2namez20zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_306)
	{
		{	/* Globalize/ginfo.sch 381 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_306)))->BgL_jvmzd2typezd2namez00);
		}

	}



/* &global/Ginfo-jvm-type-name */
	obj_t BGl_z62globalzf2Ginfozd2jvmzd2typezd2namez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3662, obj_t BgL_oz00_3663)
	{
		{	/* Globalize/ginfo.sch 381 */
			return
				BGl_globalzf2Ginfozd2jvmzd2typezd2namez20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3663));
		}

	}



/* global/Ginfo-jvm-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2jvmzd2typezd2namezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_307, obj_t BgL_vz00_308)
	{
		{	/* Globalize/ginfo.sch 382 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_307)))->BgL_jvmzd2typezd2namez00) =
				((obj_t) BgL_vz00_308), BUNSPEC);
		}

	}



/* &global/Ginfo-jvm-type-name-set! */
	obj_t
		BGl_z62globalzf2Ginfozd2jvmzd2typezd2namezd2setz12z82zzglobaliza7e_ginfoza7
		(obj_t BgL_envz00_3664, obj_t BgL_oz00_3665, obj_t BgL_vz00_3666)
	{
		{	/* Globalize/ginfo.sch 382 */
			return
				BGl_globalzf2Ginfozd2jvmzd2typezd2namezd2setz12ze0zzglobaliza7e_ginfoza7
				(((BgL_globalz00_bglt) BgL_oz00_3665), BgL_vz00_3666);
		}

	}



/* global/Ginfo-src */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2srcz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_309)
	{
		{	/* Globalize/ginfo.sch 383 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_309)))->BgL_srcz00);
		}

	}



/* &global/Ginfo-src */
	obj_t BGl_z62globalzf2Ginfozd2srcz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3667, obj_t BgL_oz00_3668)
	{
		{	/* Globalize/ginfo.sch 383 */
			return
				BGl_globalzf2Ginfozd2srcz20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3668));
		}

	}



/* global/Ginfo-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2srczd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_310, obj_t BgL_vz00_311)
	{
		{	/* Globalize/ginfo.sch 384 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_310)))->BgL_srcz00) =
				((obj_t) BgL_vz00_311), BUNSPEC);
		}

	}



/* &global/Ginfo-src-set! */
	obj_t BGl_z62globalzf2Ginfozd2srczd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3669, obj_t BgL_oz00_3670, obj_t BgL_vz00_3671)
	{
		{	/* Globalize/ginfo.sch 384 */
			return
				BGl_globalzf2Ginfozd2srczd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3670), BgL_vz00_3671);
		}

	}



/* global/Ginfo-pragma */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2pragmaz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_312)
	{
		{	/* Globalize/ginfo.sch 385 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_312)))->BgL_pragmaz00);
		}

	}



/* &global/Ginfo-pragma */
	obj_t BGl_z62globalzf2Ginfozd2pragmaz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3672, obj_t BgL_oz00_3673)
	{
		{	/* Globalize/ginfo.sch 385 */
			return
				BGl_globalzf2Ginfozd2pragmaz20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3673));
		}

	}



/* global/Ginfo-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2pragmazd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_313, obj_t BgL_vz00_314)
	{
		{	/* Globalize/ginfo.sch 386 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_313)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_314), BUNSPEC);
		}

	}



/* &global/Ginfo-pragma-set! */
	obj_t BGl_z62globalzf2Ginfozd2pragmazd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3674, obj_t BgL_oz00_3675, obj_t BgL_vz00_3676)
	{
		{	/* Globalize/ginfo.sch 386 */
			return
				BGl_globalzf2Ginfozd2pragmazd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3675), BgL_vz00_3676);
		}

	}



/* global/Ginfo-library */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2libraryz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_315)
	{
		{	/* Globalize/ginfo.sch 387 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_315)))->BgL_libraryz00);
		}

	}



/* &global/Ginfo-library */
	obj_t BGl_z62globalzf2Ginfozd2libraryz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3677, obj_t BgL_oz00_3678)
	{
		{	/* Globalize/ginfo.sch 387 */
			return
				BGl_globalzf2Ginfozd2libraryz20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3678));
		}

	}



/* global/Ginfo-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2libraryzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_316, obj_t BgL_vz00_317)
	{
		{	/* Globalize/ginfo.sch 388 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_316)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_317), BUNSPEC);
		}

	}



/* &global/Ginfo-library-set! */
	obj_t BGl_z62globalzf2Ginfozd2libraryzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3679, obj_t BgL_oz00_3680, obj_t BgL_vz00_3681)
	{
		{	/* Globalize/ginfo.sch 388 */
			return
				BGl_globalzf2Ginfozd2libraryzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3680), BgL_vz00_3681);
		}

	}



/* global/Ginfo-eval? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2Ginfozd2evalzf3zd3zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_318)
	{
		{	/* Globalize/ginfo.sch 389 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_318)))->BgL_evalzf3zf3);
		}

	}



/* &global/Ginfo-eval? */
	obj_t BGl_z62globalzf2Ginfozd2evalzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3682, obj_t BgL_oz00_3683)
	{
		{	/* Globalize/ginfo.sch 389 */
			return
				BBOOL(BGl_globalzf2Ginfozd2evalzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_globalz00_bglt) BgL_oz00_3683)));
		}

	}



/* global/Ginfo-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2evalzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_319, bool_t BgL_vz00_320)
	{
		{	/* Globalize/ginfo.sch 390 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_319)))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_320), BUNSPEC);
		}

	}



/* &global/Ginfo-eval?-set! */
	obj_t BGl_z62globalzf2Ginfozd2evalzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3684, obj_t BgL_oz00_3685, obj_t BgL_vz00_3686)
	{
		{	/* Globalize/ginfo.sch 390 */
			return
				BGl_globalzf2Ginfozd2evalzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3685), CBOOL(BgL_vz00_3686));
		}

	}



/* global/Ginfo-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2Ginfozd2evaluablezf3zd3zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_321)
	{
		{	/* Globalize/ginfo.sch 391 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_321)))->BgL_evaluablezf3zf3);
		}

	}



/* &global/Ginfo-evaluable? */
	obj_t BGl_z62globalzf2Ginfozd2evaluablezf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3687, obj_t BgL_oz00_3688)
	{
		{	/* Globalize/ginfo.sch 391 */
			return
				BBOOL(BGl_globalzf2Ginfozd2evaluablezf3zd3zzglobaliza7e_ginfoza7(
					((BgL_globalz00_bglt) BgL_oz00_3688)));
		}

	}



/* global/Ginfo-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2evaluablezf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_322, bool_t BgL_vz00_323)
	{
		{	/* Globalize/ginfo.sch 392 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_322)))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_323), BUNSPEC);
		}

	}



/* &global/Ginfo-evaluable?-set! */
	obj_t
		BGl_z62globalzf2Ginfozd2evaluablezf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3689, obj_t BgL_oz00_3690, obj_t BgL_vz00_3691)
	{
		{	/* Globalize/ginfo.sch 392 */
			return
				BGl_globalzf2Ginfozd2evaluablezf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3690), CBOOL(BgL_vz00_3691));
		}

	}



/* global/Ginfo-import */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2importz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_324)
	{
		{	/* Globalize/ginfo.sch 393 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_324)))->BgL_importz00);
		}

	}



/* &global/Ginfo-import */
	obj_t BGl_z62globalzf2Ginfozd2importz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3692, obj_t BgL_oz00_3693)
	{
		{	/* Globalize/ginfo.sch 393 */
			return
				BGl_globalzf2Ginfozd2importz20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3693));
		}

	}



/* global/Ginfo-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2importzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_325, obj_t BgL_vz00_326)
	{
		{	/* Globalize/ginfo.sch 394 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_325)))->BgL_importz00) =
				((obj_t) BgL_vz00_326), BUNSPEC);
		}

	}



/* &global/Ginfo-import-set! */
	obj_t BGl_z62globalzf2Ginfozd2importzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3694, obj_t BgL_oz00_3695, obj_t BgL_vz00_3696)
	{
		{	/* Globalize/ginfo.sch 394 */
			return
				BGl_globalzf2Ginfozd2importzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3695), BgL_vz00_3696);
		}

	}



/* global/Ginfo-module */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2modulez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_327)
	{
		{	/* Globalize/ginfo.sch 395 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_327)))->BgL_modulez00);
		}

	}



/* &global/Ginfo-module */
	obj_t BGl_z62globalzf2Ginfozd2modulez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3697, obj_t BgL_oz00_3698)
	{
		{	/* Globalize/ginfo.sch 395 */
			return
				BGl_globalzf2Ginfozd2modulez20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3698));
		}

	}



/* global/Ginfo-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2modulezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_328, obj_t BgL_vz00_329)
	{
		{	/* Globalize/ginfo.sch 396 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_328)))->BgL_modulez00) =
				((obj_t) BgL_vz00_329), BUNSPEC);
		}

	}



/* &global/Ginfo-module-set! */
	obj_t BGl_z62globalzf2Ginfozd2modulezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3699, obj_t BgL_oz00_3700, obj_t BgL_vz00_3701)
	{
		{	/* Globalize/ginfo.sch 396 */
			return
				BGl_globalzf2Ginfozd2modulezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3700), BgL_vz00_3701);
		}

	}



/* global/Ginfo-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2Ginfozd2userzf3zd3zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_330)
	{
		{	/* Globalize/ginfo.sch 397 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_330)))->BgL_userzf3zf3);
		}

	}



/* &global/Ginfo-user? */
	obj_t BGl_z62globalzf2Ginfozd2userzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3702, obj_t BgL_oz00_3703)
	{
		{	/* Globalize/ginfo.sch 397 */
			return
				BBOOL(BGl_globalzf2Ginfozd2userzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_globalz00_bglt) BgL_oz00_3703)));
		}

	}



/* global/Ginfo-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2userzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_331, bool_t BgL_vz00_332)
	{
		{	/* Globalize/ginfo.sch 398 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_331)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_332), BUNSPEC);
		}

	}



/* &global/Ginfo-user?-set! */
	obj_t BGl_z62globalzf2Ginfozd2userzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3704, obj_t BgL_oz00_3705, obj_t BgL_vz00_3706)
	{
		{	/* Globalize/ginfo.sch 398 */
			return
				BGl_globalzf2Ginfozd2userzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3705), CBOOL(BgL_vz00_3706));
		}

	}



/* global/Ginfo-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_globalzf2Ginfozd2occurrencewz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_333)
	{
		{	/* Globalize/ginfo.sch 399 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_333)))->BgL_occurrencewz00);
		}

	}



/* &global/Ginfo-occurrencew */
	obj_t BGl_z62globalzf2Ginfozd2occurrencewz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3707, obj_t BgL_oz00_3708)
	{
		{	/* Globalize/ginfo.sch 399 */
			return
				BINT(BGl_globalzf2Ginfozd2occurrencewz20zzglobaliza7e_ginfoza7(
					((BgL_globalz00_bglt) BgL_oz00_3708)));
		}

	}



/* global/Ginfo-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2occurrencewzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_334, long BgL_vz00_335)
	{
		{	/* Globalize/ginfo.sch 400 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_334)))->BgL_occurrencewz00) =
				((long) BgL_vz00_335), BUNSPEC);
		}

	}



/* &global/Ginfo-occurrencew-set! */
	obj_t
		BGl_z62globalzf2Ginfozd2occurrencewzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3709, obj_t BgL_oz00_3710, obj_t BgL_vz00_3711)
	{
		{	/* Globalize/ginfo.sch 400 */
			return
				BGl_globalzf2Ginfozd2occurrencewzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3710), (long) CINT(BgL_vz00_3711));
		}

	}



/* global/Ginfo-occurrence */
	BGL_EXPORTED_DEF long
		BGl_globalzf2Ginfozd2occurrencez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_336)
	{
		{	/* Globalize/ginfo.sch 401 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_336)))->BgL_occurrencez00);
		}

	}



/* &global/Ginfo-occurrence */
	obj_t BGl_z62globalzf2Ginfozd2occurrencez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3712, obj_t BgL_oz00_3713)
	{
		{	/* Globalize/ginfo.sch 401 */
			return
				BINT(BGl_globalzf2Ginfozd2occurrencez20zzglobaliza7e_ginfoza7(
					((BgL_globalz00_bglt) BgL_oz00_3713)));
		}

	}



/* global/Ginfo-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2occurrencezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_337, long BgL_vz00_338)
	{
		{	/* Globalize/ginfo.sch 402 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_337)))->BgL_occurrencez00) =
				((long) BgL_vz00_338), BUNSPEC);
		}

	}



/* &global/Ginfo-occurrence-set! */
	obj_t
		BGl_z62globalzf2Ginfozd2occurrencezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3714, obj_t BgL_oz00_3715, obj_t BgL_vz00_3716)
	{
		{	/* Globalize/ginfo.sch 402 */
			return
				BGl_globalzf2Ginfozd2occurrencezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3715), (long) CINT(BgL_vz00_3716));
		}

	}



/* global/Ginfo-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2removablez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_339)
	{
		{	/* Globalize/ginfo.sch 403 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_339)))->BgL_removablez00);
		}

	}



/* &global/Ginfo-removable */
	obj_t BGl_z62globalzf2Ginfozd2removablez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3717, obj_t BgL_oz00_3718)
	{
		{	/* Globalize/ginfo.sch 403 */
			return
				BGl_globalzf2Ginfozd2removablez20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3718));
		}

	}



/* global/Ginfo-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2removablezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_340, obj_t BgL_vz00_341)
	{
		{	/* Globalize/ginfo.sch 404 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_340)))->BgL_removablez00) =
				((obj_t) BgL_vz00_341), BUNSPEC);
		}

	}



/* &global/Ginfo-removable-set! */
	obj_t
		BGl_z62globalzf2Ginfozd2removablezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3719, obj_t BgL_oz00_3720, obj_t BgL_vz00_3721)
	{
		{	/* Globalize/ginfo.sch 404 */
			return
				BGl_globalzf2Ginfozd2removablezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3720), BgL_vz00_3721);
		}

	}



/* global/Ginfo-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2fastzd2alphazf2zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_342)
	{
		{	/* Globalize/ginfo.sch 405 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_342)))->BgL_fastzd2alphazd2);
		}

	}



/* &global/Ginfo-fast-alpha */
	obj_t BGl_z62globalzf2Ginfozd2fastzd2alphaz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3722, obj_t BgL_oz00_3723)
	{
		{	/* Globalize/ginfo.sch 405 */
			return
				BGl_globalzf2Ginfozd2fastzd2alphazf2zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3723));
		}

	}



/* global/Ginfo-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2fastzd2alphazd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_343, obj_t BgL_vz00_344)
	{
		{	/* Globalize/ginfo.sch 406 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_343)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_344), BUNSPEC);
		}

	}



/* &global/Ginfo-fast-alpha-set! */
	obj_t
		BGl_z62globalzf2Ginfozd2fastzd2alphazd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3724, obj_t BgL_oz00_3725, obj_t BgL_vz00_3726)
	{
		{	/* Globalize/ginfo.sch 406 */
			return
				BGl_globalzf2Ginfozd2fastzd2alphazd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3725), BgL_vz00_3726);
		}

	}



/* global/Ginfo-access */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2accessz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_345)
	{
		{	/* Globalize/ginfo.sch 407 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_345)))->BgL_accessz00);
		}

	}



/* &global/Ginfo-access */
	obj_t BGl_z62globalzf2Ginfozd2accessz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3727, obj_t BgL_oz00_3728)
	{
		{	/* Globalize/ginfo.sch 407 */
			return
				BGl_globalzf2Ginfozd2accessz20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3728));
		}

	}



/* global/Ginfo-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2accesszd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_346, obj_t BgL_vz00_347)
	{
		{	/* Globalize/ginfo.sch 408 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_346)))->BgL_accessz00) =
				((obj_t) BgL_vz00_347), BUNSPEC);
		}

	}



/* &global/Ginfo-access-set! */
	obj_t BGl_z62globalzf2Ginfozd2accesszd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3729, obj_t BgL_oz00_3730, obj_t BgL_vz00_3731)
	{
		{	/* Globalize/ginfo.sch 408 */
			return
				BGl_globalzf2Ginfozd2accesszd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3730), BgL_vz00_3731);
		}

	}



/* global/Ginfo-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_globalzf2Ginfozd2valuez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_348)
	{
		{	/* Globalize/ginfo.sch 409 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_348)))->BgL_valuez00);
		}

	}



/* &global/Ginfo-value */
	BgL_valuez00_bglt BGl_z62globalzf2Ginfozd2valuez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3732, obj_t BgL_oz00_3733)
	{
		{	/* Globalize/ginfo.sch 409 */
			return
				BGl_globalzf2Ginfozd2valuez20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3733));
		}

	}



/* global/Ginfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2valuezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_349, BgL_valuez00_bglt BgL_vz00_350)
	{
		{	/* Globalize/ginfo.sch 410 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_349)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_350), BUNSPEC);
		}

	}



/* &global/Ginfo-value-set! */
	obj_t BGl_z62globalzf2Ginfozd2valuezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3734, obj_t BgL_oz00_3735, obj_t BgL_vz00_3736)
	{
		{	/* Globalize/ginfo.sch 410 */
			return
				BGl_globalzf2Ginfozd2valuezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3735),
				((BgL_valuez00_bglt) BgL_vz00_3736));
		}

	}



/* global/Ginfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_globalzf2Ginfozd2typez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_351)
	{
		{	/* Globalize/ginfo.sch 411 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_351)))->BgL_typez00);
		}

	}



/* &global/Ginfo-type */
	BgL_typez00_bglt BGl_z62globalzf2Ginfozd2typez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3737, obj_t BgL_oz00_3738)
	{
		{	/* Globalize/ginfo.sch 411 */
			return
				BGl_globalzf2Ginfozd2typez20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3738));
		}

	}



/* global/Ginfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2typezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_352, BgL_typez00_bglt BgL_vz00_353)
	{
		{	/* Globalize/ginfo.sch 412 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_352)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_353), BUNSPEC);
		}

	}



/* &global/Ginfo-type-set! */
	obj_t BGl_z62globalzf2Ginfozd2typezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3739, obj_t BgL_oz00_3740, obj_t BgL_vz00_3741)
	{
		{	/* Globalize/ginfo.sch 412 */
			return
				BGl_globalzf2Ginfozd2typezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3740),
				((BgL_typez00_bglt) BgL_vz00_3741));
		}

	}



/* global/Ginfo-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2namez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_354)
	{
		{	/* Globalize/ginfo.sch 413 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_354)))->BgL_namez00);
		}

	}



/* &global/Ginfo-name */
	obj_t BGl_z62globalzf2Ginfozd2namez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3742, obj_t BgL_oz00_3743)
	{
		{	/* Globalize/ginfo.sch 413 */
			return
				BGl_globalzf2Ginfozd2namez20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3743));
		}

	}



/* global/Ginfo-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2namezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_355, obj_t BgL_vz00_356)
	{
		{	/* Globalize/ginfo.sch 414 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_355)))->BgL_namez00) =
				((obj_t) BgL_vz00_356), BUNSPEC);
		}

	}



/* &global/Ginfo-name-set! */
	obj_t BGl_z62globalzf2Ginfozd2namezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3744, obj_t BgL_oz00_3745, obj_t BgL_vz00_3746)
	{
		{	/* Globalize/ginfo.sch 414 */
			return
				BGl_globalzf2Ginfozd2namezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3745), BgL_vz00_3746);
		}

	}



/* global/Ginfo-id */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2idz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_357)
	{
		{	/* Globalize/ginfo.sch 415 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_357)))->BgL_idz00);
		}

	}



/* &global/Ginfo-id */
	obj_t BGl_z62globalzf2Ginfozd2idz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3747, obj_t BgL_oz00_3748)
	{
		{	/* Globalize/ginfo.sch 415 */
			return
				BGl_globalzf2Ginfozd2idz20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3748));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_ginfoza7()
	{
		{	/* Globalize/ginfo.scm 15 */
			{	/* Globalize/ginfo.scm 20 */
				obj_t BgL_arg1520z00_1743;
				obj_t BgL_arg1524z00_1744;

				{	/* Globalize/ginfo.scm 20 */
					obj_t BgL_v1375z00_1807;

					BgL_v1375z00_1807 = create_vector(((long) 20));
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1554z00_1808;

						BgL_arg1554z00_1808 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc2096z00zzglobaliza7e_ginfoza7,
							BGl_proc2095z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2094z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 0), BgL_arg1554z00_1808);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1570z00_1821;

						BgL_arg1570z00_1821 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc2099z00zzglobaliza7e_ginfoza7,
							BGl_proc2098z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2097z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 1), BgL_arg1570z00_1821);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1585z00_1834;

						BgL_arg1585z00_1834 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc2102z00zzglobaliza7e_ginfoza7,
							BGl_proc2101z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2100z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 2), BgL_arg1585z00_1834);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1601z00_1847;

						BgL_arg1601z00_1847 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc2105z00zzglobaliza7e_ginfoza7,
							BGl_proc2104z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2103z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 3), BgL_arg1601z00_1847);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1612z00_1860;

						BgL_arg1612z00_1860 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc2108z00zzglobaliza7e_ginfoza7,
							BGl_proc2107z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2106z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 4), BgL_arg1612z00_1860);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1632z00_1873;

						BgL_arg1632z00_1873 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc2111z00zzglobaliza7e_ginfoza7,
							BGl_proc2110z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2109z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 5), BgL_arg1632z00_1873);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1652z00_1886;

						BgL_arg1652z00_1886 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc2114z00zzglobaliza7e_ginfoza7,
							BGl_proc2113z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2112z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 6), BgL_arg1652z00_1886);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1665z00_1899;

						BgL_arg1665z00_1899 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									9)), BGl_proc2117z00zzglobaliza7e_ginfoza7,
							BGl_proc2116z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2115z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 7), BgL_arg1665z00_1899);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1679z00_1912;

						BgL_arg1679z00_1912 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc2120z00zzglobaliza7e_ginfoza7,
							BGl_proc2119z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2118z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 8), BgL_arg1679z00_1912);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1699z00_1925;

						BgL_arg1699z00_1925 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc2123z00zzglobaliza7e_ginfoza7,
							BGl_proc2122z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2121z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 9), BgL_arg1699z00_1925);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1715z00_1938;

						BgL_arg1715z00_1938 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									12)), BGl_proc2126z00zzglobaliza7e_ginfoza7,
							BGl_proc2125z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2124z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 10), BgL_arg1715z00_1938);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1728z00_1951;

						BgL_arg1728z00_1951 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									13)), BGl_proc2129z00zzglobaliza7e_ginfoza7,
							BGl_proc2128z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2127z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 14)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 11), BgL_arg1728z00_1951);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1742z00_1964;

						BgL_arg1742z00_1964 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									15)), BGl_proc2132z00zzglobaliza7e_ginfoza7,
							BGl_proc2131z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2130z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 12), BgL_arg1742z00_1964);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1750z00_1977;

						BgL_arg1750z00_1977 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									16)), BGl_proc2135z00zzglobaliza7e_ginfoza7,
							BGl_proc2134z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2133z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 13), BgL_arg1750z00_1977);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1759z00_1990;

						BgL_arg1759z00_1990 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc2138z00zzglobaliza7e_ginfoza7,
							BGl_proc2137z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2136z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 14), BgL_arg1759z00_1990);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1770z00_2003;

						BgL_arg1770z00_2003 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									18)), BGl_proc2141z00zzglobaliza7e_ginfoza7,
							BGl_proc2140z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2139z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 15), BgL_arg1770z00_2003);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1785z00_2016;

						BgL_arg1785z00_2016 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									19)), BGl_proc2144z00zzglobaliza7e_ginfoza7,
							BGl_proc2143z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2142z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 14)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 16), BgL_arg1785z00_2016);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1805z00_2029;

						BgL_arg1805z00_2029 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									20)), BGl_proc2147z00zzglobaliza7e_ginfoza7,
							BGl_proc2146z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2145z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 14)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 17), BgL_arg1805z00_2029);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1817z00_2042;

						BgL_arg1817z00_2042 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									21)), BGl_proc2150z00zzglobaliza7e_ginfoza7,
							BGl_proc2149z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2148z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 18), BgL_arg1817z00_2042);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1842z00_2055;

						BgL_arg1842z00_2055 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc2153z00zzglobaliza7e_ginfoza7,
							BGl_proc2152z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2151z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1375z00_1807, ((long) 19), BgL_arg1842z00_2055);
					}
					BgL_arg1520z00_1743 = BgL_v1375z00_1807;
				}
				{	/* Globalize/ginfo.scm 20 */
					obj_t BgL_v1376z00_2068;

					BgL_v1376z00_2068 = create_vector(((long) 0));
					BgL_arg1524z00_1744 = BgL_v1376z00_2068;
				}
				BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 23)),
					CNST_TABLE_REF(((long) 24)), BGl_sfunz00zzast_varz00, ((long) 7595),
					BGl_proc2157z00zzglobaliza7e_ginfoza7,
					BGl_proc2156z00zzglobaliza7e_ginfoza7, BFALSE,
					BGl_proc2155z00zzglobaliza7e_ginfoza7,
					BGl_proc2154z00zzglobaliza7e_ginfoza7, BgL_arg1520z00_1743,
					BgL_arg1524z00_1744);
			}
			{	/* Globalize/ginfo.scm 62 */
				obj_t BgL_arg1858z00_2077;
				obj_t BgL_arg1862z00_2078;

				{	/* Globalize/ginfo.scm 62 */
					obj_t BgL_v1377z00_2105;

					BgL_v1377z00_2105 = create_vector(((long) 5));
					{	/* Globalize/ginfo.scm 62 */
						obj_t BgL_arg1878z00_2106;

						BgL_arg1878z00_2106 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									25)), BGl_proc2160z00zzglobaliza7e_ginfoza7,
							BGl_proc2159z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2158z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1377z00_2105, ((long) 0), BgL_arg1878z00_2106);
					}
					{	/* Globalize/ginfo.scm 62 */
						obj_t BgL_arg1887z00_2119;

						BgL_arg1887z00_2119 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									15)), BGl_proc2163z00zzglobaliza7e_ginfoza7,
							BGl_proc2162z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2161z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 14)));
						VECTOR_SET(BgL_v1377z00_2105, ((long) 1), BgL_arg1887z00_2119);
					}
					{	/* Globalize/ginfo.scm 62 */
						obj_t BgL_arg1895z00_2132;

						BgL_arg1895z00_2132 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									13)), BGl_proc2166z00zzglobaliza7e_ginfoza7,
							BGl_proc2165z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2164z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 14)));
						VECTOR_SET(BgL_v1377z00_2105, ((long) 2), BgL_arg1895z00_2132);
					}
					{	/* Globalize/ginfo.scm 62 */
						obj_t BgL_arg1904z00_2145;

						BgL_arg1904z00_2145 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									26)), BGl_proc2169z00zzglobaliza7e_ginfoza7,
							BGl_proc2168z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2167z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1377z00_2105, ((long) 3), BgL_arg1904z00_2145);
					}
					{	/* Globalize/ginfo.scm 62 */
						obj_t BgL_arg1911z00_2158;

						BgL_arg1911z00_2158 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									27)), BGl_proc2172z00zzglobaliza7e_ginfoza7,
							BGl_proc2171z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2170z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1377z00_2105, ((long) 4), BgL_arg1911z00_2158);
					}
					BgL_arg1858z00_2077 = BgL_v1377z00_2105;
				}
				{	/* Globalize/ginfo.scm 62 */
					obj_t BgL_v1378z00_2171;

					BgL_v1378z00_2171 = create_vector(((long) 0));
					BgL_arg1862z00_2078 = BgL_v1378z00_2171;
				}
				BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 28)),
					CNST_TABLE_REF(((long) 24)), BGl_svarz00zzast_varz00, ((long) 23020),
					BGl_proc2176z00zzglobaliza7e_ginfoza7,
					BGl_proc2175z00zzglobaliza7e_ginfoza7, BFALSE,
					BGl_proc2174z00zzglobaliza7e_ginfoza7,
					BGl_proc2173z00zzglobaliza7e_ginfoza7, BgL_arg1858z00_2077,
					BgL_arg1862z00_2078);
			}
			{	/* Globalize/ginfo.scm 74 */
				obj_t BgL_arg1923z00_2180;
				obj_t BgL_arg1924z00_2181;

				{	/* Globalize/ginfo.scm 74 */
					obj_t BgL_v1379z00_2208;

					BgL_v1379z00_2208 = create_vector(((long) 4));
					{	/* Globalize/ginfo.scm 74 */
						obj_t BgL_arg1936z00_2209;

						BgL_arg1936z00_2209 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc2179z00zzglobaliza7e_ginfoza7,
							BGl_proc2178z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2177z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1379z00_2208, ((long) 0), BgL_arg1936z00_2209);
					}
					{	/* Globalize/ginfo.scm 74 */
						obj_t BgL_arg1943z00_2222;

						BgL_arg1943z00_2222 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									25)), BGl_proc2182z00zzglobaliza7e_ginfoza7,
							BGl_proc2181z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2180z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1379z00_2208, ((long) 1), BgL_arg1943z00_2222);
					}
					{	/* Globalize/ginfo.scm 74 */
						obj_t BgL_arg1950z00_2235;

						BgL_arg1950z00_2235 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									15)), BGl_proc2185z00zzglobaliza7e_ginfoza7,
							BGl_proc2184z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2183z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 14)));
						VECTOR_SET(BgL_v1379z00_2208, ((long) 2), BgL_arg1950z00_2235);
					}
					{	/* Globalize/ginfo.scm 74 */
						obj_t BgL_arg1957z00_2248;

						BgL_arg1957z00_2248 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									13)), BGl_proc2188z00zzglobaliza7e_ginfoza7,
							BGl_proc2187z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2186z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 14)));
						VECTOR_SET(BgL_v1379z00_2208, ((long) 3), BgL_arg1957z00_2248);
					}
					BgL_arg1923z00_2180 = BgL_v1379z00_2208;
				}
				{	/* Globalize/ginfo.scm 74 */
					obj_t BgL_v1380z00_2261;

					BgL_v1380z00_2261 = create_vector(((long) 0));
					BgL_arg1924z00_2181 = BgL_v1380z00_2261;
				}
				BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 29)),
					CNST_TABLE_REF(((long) 24)), BGl_sexitz00zzast_varz00, ((long) 59541),
					BGl_proc2192z00zzglobaliza7e_ginfoza7,
					BGl_proc2191z00zzglobaliza7e_ginfoza7, BFALSE,
					BGl_proc2190z00zzglobaliza7e_ginfoza7,
					BGl_proc2189z00zzglobaliza7e_ginfoza7, BgL_arg1923z00_2180,
					BgL_arg1924z00_2181);
			}
			{	/* Globalize/ginfo.scm 84 */
				obj_t BgL_arg1968z00_2270;
				obj_t BgL_arg1969z00_2271;

				{	/* Globalize/ginfo.scm 84 */
					obj_t BgL_v1381z00_2307;

					BgL_v1381z00_2307 = create_vector(((long) 2));
					{	/* Globalize/ginfo.scm 84 */
						obj_t BgL_arg1980z00_2308;

						BgL_arg1980z00_2308 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									30)), BGl_proc2195z00zzglobaliza7e_ginfoza7,
							BGl_proc2194z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2193z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1381z00_2307, ((long) 0), BgL_arg1980z00_2308);
					}
					{	/* Globalize/ginfo.scm 84 */
						obj_t BgL_arg1987z00_2321;

						BgL_arg1987z00_2321 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									31)), BGl_proc2198z00zzglobaliza7e_ginfoza7,
							BGl_proc2197z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2196z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1381z00_2307, ((long) 1), BgL_arg1987z00_2321);
					}
					BgL_arg1968z00_2270 = BgL_v1381z00_2307;
				}
				{	/* Globalize/ginfo.scm 84 */
					obj_t BgL_v1382z00_2334;

					BgL_v1382z00_2334 = create_vector(((long) 0));
					BgL_arg1969z00_2271 = BgL_v1382z00_2334;
				}
				BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 32)),
					CNST_TABLE_REF(((long) 24)), BGl_localz00zzast_varz00, ((long) 65245),
					BGl_proc2202z00zzglobaliza7e_ginfoza7,
					BGl_proc2201z00zzglobaliza7e_ginfoza7, BFALSE,
					BGl_proc2200z00zzglobaliza7e_ginfoza7,
					BGl_proc2199z00zzglobaliza7e_ginfoza7, BgL_arg1968z00_2270,
					BgL_arg1969z00_2271);
			}
			{	/* Globalize/ginfo.scm 90 */
				obj_t BgL_arg1999z00_2343;
				obj_t BgL_arg2000z00_2344;

				{	/* Globalize/ginfo.scm 90 */
					obj_t BgL_v1383z00_2387;

					BgL_v1383z00_2387 = create_vector(((long) 2));
					{	/* Globalize/ginfo.scm 90 */
						obj_t BgL_arg2011z00_2388;

						BgL_arg2011z00_2388 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									30)), BGl_proc2205z00zzglobaliza7e_ginfoza7,
							BGl_proc2204z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2203z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1383z00_2387, ((long) 0), BgL_arg2011z00_2388);
					}
					{	/* Globalize/ginfo.scm 90 */
						obj_t BgL_arg2018z00_2401;

						BgL_arg2018z00_2401 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									33)), BGl_proc2208z00zzglobaliza7e_ginfoza7,
							BGl_proc2207z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2206z00zzglobaliza7e_ginfoza7,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1383z00_2387, ((long) 1), BgL_arg2018z00_2401);
					}
					BgL_arg1999z00_2343 = BgL_v1383z00_2387;
				}
				{	/* Globalize/ginfo.scm 90 */
					obj_t BgL_v1384z00_2414;

					BgL_v1384z00_2414 = create_vector(((long) 0));
					BgL_arg2000z00_2344 = BgL_v1384z00_2414;
				}
				return (BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 34)),
						CNST_TABLE_REF(((long) 24)), BGl_globalz00zzast_varz00,
						((long) 29682), BGl_proc2212z00zzglobaliza7e_ginfoza7,
						BGl_proc2211z00zzglobaliza7e_ginfoza7, BFALSE,
						BGl_proc2210z00zzglobaliza7e_ginfoza7,
						BGl_proc2209z00zzglobaliza7e_ginfoza7, BgL_arg1999z00_2343,
						BgL_arg2000z00_2344), BUNSPEC);
		}}

	}



/* &lambda2007 */
	BgL_globalz00_bglt BGl_z62lambda2007z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3868, obj_t BgL_o1221z00_3869)
	{
		{	/* Globalize/ginfo.scm 90 */
			{	/* Globalize/ginfo.scm 90 */
				long BgL_arg2008z00_4305;

				{	/* Globalize/ginfo.scm 90 */
					obj_t BgL_arg2009z00_4306;

					{	/* Globalize/ginfo.scm 90 */
						obj_t BgL_arg2010z00_4307;

						{	/* Globalize/ginfo.scm 90 */
							long BgL_arg1833z00_4308;

							{	/* Globalize/ginfo.scm 90 */
								long BgL_arg1834z00_4309;

								BgL_arg1834z00_4309 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt) BgL_o1221z00_3869)));
								BgL_arg1833z00_4308 = (BgL_arg1834z00_4309 - OBJECT_TYPE);
							}
							BgL_arg2010z00_4307 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_4308);
						}
						BgL_arg2009z00_4306 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2010z00_4307);
					}
					{	/* Globalize/ginfo.scm 90 */
						obj_t BgL_tmpz00_6398;

						BgL_tmpz00_6398 = ((obj_t) BgL_arg2009z00_4306);
						BgL_arg2008z00_4305 = BGL_CLASS_NUM(BgL_tmpz00_6398);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) BgL_o1221z00_3869)), BgL_arg2008z00_4305);
			}
			{	/* Globalize/ginfo.scm 90 */
				BgL_objectz00_bglt BgL_tmpz00_6404;

				BgL_tmpz00_6404 =
					((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1221z00_3869));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6404, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1221z00_3869));
			return ((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1221z00_3869));
		}

	}



/* &<@anonymous:2006> */
	obj_t BGl_z62zc3z04anonymousza32006ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3870, obj_t BgL_new1220z00_3871)
	{
		{	/* Globalize/ginfo.scm 90 */
			{
				BgL_globalz00_bglt BgL_auxz00_6412;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1220z00_3871))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 35))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1220z00_3871))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_6420;

					{	/* Globalize/ginfo.scm 90 */
						obj_t BgL_classz00_4311;

						BgL_classz00_4311 = BGl_typez00zztype_typez00;
						{	/* Globalize/ginfo.scm 90 */
							obj_t BgL__ortest_1112z00_4312;

							BgL__ortest_1112z00_4312 = BGL_CLASS_NIL(BgL_classz00_4311);
							if (CBOOL(BgL__ortest_1112z00_4312))
								{	/* Globalize/ginfo.scm 90 */
									BgL_auxz00_6420 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_4312);
								}
							else
								{	/* Globalize/ginfo.scm 90 */
									BgL_auxz00_6420 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4311));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1220z00_3871))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_6420), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_6430;

					{	/* Globalize/ginfo.scm 90 */
						obj_t BgL_classz00_4313;

						BgL_classz00_4313 = BGl_valuez00zzast_varz00;
						{	/* Globalize/ginfo.scm 90 */
							obj_t BgL__ortest_1112z00_4314;

							BgL__ortest_1112z00_4314 = BGL_CLASS_NIL(BgL_classz00_4313);
							if (CBOOL(BgL__ortest_1112z00_4314))
								{	/* Globalize/ginfo.scm 90 */
									BgL_auxz00_6430 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_4314);
								}
							else
								{	/* Globalize/ginfo.scm 90 */
									BgL_auxz00_6430 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4313));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1220z00_3871))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_6430), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1220z00_3871))))->
						BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1220z00_3871))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1220z00_3871))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1220z00_3871))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1220z00_3871))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1220z00_3871))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1220z00_3871))))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 35))), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1220z00_3871))))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1220z00_3871))))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1220z00_3871))))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1220z00_3871))))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1220z00_3871))))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1220z00_3871))))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1220z00_3871))))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string2213z00zzglobaliza7e_ginfoza7), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1220z00_3871))))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1220z00_3871))))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_6489;

					{
						obj_t BgL_auxz00_6490;

						{	/* Globalize/ginfo.scm 90 */
							BgL_objectz00_bglt BgL_tmpz00_6491;

							BgL_tmpz00_6491 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt) BgL_new1220z00_3871));
							BgL_auxz00_6490 = BGL_OBJECT_WIDENING(BgL_tmpz00_6491);
						}
						BgL_auxz00_6489 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6490);
					}
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6489))->
							BgL_escapezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_6497;

					{
						obj_t BgL_auxz00_6498;

						{	/* Globalize/ginfo.scm 90 */
							BgL_objectz00_bglt BgL_tmpz00_6499;

							BgL_tmpz00_6499 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt) BgL_new1220z00_3871));
							BgL_auxz00_6498 = BGL_OBJECT_WIDENING(BgL_tmpz00_6499);
						}
						BgL_auxz00_6497 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6498);
					}
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6497))->
							BgL_globalzd2closurezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_6412 = ((BgL_globalz00_bglt) BgL_new1220z00_3871);
				return ((obj_t) BgL_auxz00_6412);
			}
		}

	}



/* &lambda2004 */
	BgL_globalz00_bglt BGl_z62lambda2004z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3872, obj_t BgL_o1217z00_3873)
	{
		{	/* Globalize/ginfo.scm 90 */
			{	/* Globalize/ginfo.scm 90 */
				BgL_globalzf2ginfozf2_bglt BgL_wide1219z00_4316;

				BgL_wide1219z00_4316 =
					((BgL_globalzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_globalzf2ginfozf2_bgl))));
				{	/* Globalize/ginfo.scm 90 */
					obj_t BgL_auxz00_6512;
					BgL_objectz00_bglt BgL_tmpz00_6508;

					BgL_auxz00_6512 = ((obj_t) BgL_wide1219z00_4316);
					BgL_tmpz00_6508 =
						((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1217z00_3873)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6508, BgL_auxz00_6512);
				}
				((BgL_objectz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1217z00_3873)));
				{	/* Globalize/ginfo.scm 90 */
					long BgL_arg2005z00_4317;

					BgL_arg2005z00_4317 =
						BGL_CLASS_NUM(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_o1217z00_3873))),
						BgL_arg2005z00_4317);
				}
				return
					((BgL_globalz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1217z00_3873)));
			}
		}

	}



/* &lambda2001 */
	BgL_globalz00_bglt BGl_z62lambda2001z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3874, obj_t BgL_id1195z00_3875, obj_t BgL_name1196z00_3876,
		obj_t BgL_type1197z00_3877, obj_t BgL_value1198z00_3878,
		obj_t BgL_access1199z00_3879, obj_t BgL_fastzd2alpha1200zd2_3880,
		obj_t BgL_removable1201z00_3881, obj_t BgL_occurrence1202z00_3882,
		obj_t BgL_occurrencew1203z00_3883, obj_t BgL_userzf31204zf3_3884,
		obj_t BgL_module1205z00_3885, obj_t BgL_import1206z00_3886,
		obj_t BgL_evaluablezf31207zf3_3887, obj_t BgL_evalzf31208zf3_3888,
		obj_t BgL_library1209z00_3889, obj_t BgL_pragma1210z00_3890,
		obj_t BgL_src1211z00_3891, obj_t BgL_jvmzd2typezd2name1212z00_3892,
		obj_t BgL_init1213z00_3893, obj_t BgL_alias1214z00_3894,
		obj_t BgL_escapezf31215zf3_3895, obj_t BgL_globalzd2closure1216zd2_3896)
	{
		{	/* Globalize/ginfo.scm 90 */
			{	/* Globalize/ginfo.scm 90 */
				long BgL_occurrence1202z00_4321;
				long BgL_occurrencew1203z00_4322;
				bool_t BgL_userzf31204zf3_4323;
				bool_t BgL_evaluablezf31207zf3_4325;
				bool_t BgL_evalzf31208zf3_4326;
				bool_t BgL_escapezf31215zf3_4328;

				BgL_occurrence1202z00_4321 = (long) CINT(BgL_occurrence1202z00_3882);
				BgL_occurrencew1203z00_4322 = (long) CINT(BgL_occurrencew1203z00_3883);
				BgL_userzf31204zf3_4323 = CBOOL(BgL_userzf31204zf3_3884);
				BgL_evaluablezf31207zf3_4325 = CBOOL(BgL_evaluablezf31207zf3_3887);
				BgL_evalzf31208zf3_4326 = CBOOL(BgL_evalzf31208zf3_3888);
				BgL_escapezf31215zf3_4328 = CBOOL(BgL_escapezf31215zf3_3895);
				{	/* Globalize/ginfo.scm 90 */
					BgL_globalz00_bglt BgL_new1265z00_4329;

					{	/* Globalize/ginfo.scm 90 */
						BgL_globalz00_bglt BgL_tmp1263z00_4330;
						BgL_globalzf2ginfozf2_bglt BgL_wide1264z00_4331;

						{
							BgL_globalz00_bglt BgL_auxz00_6532;

							{	/* Globalize/ginfo.scm 90 */
								BgL_globalz00_bglt BgL_new1262z00_4332;

								BgL_new1262z00_4332 =
									((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Globalize/ginfo.scm 90 */
									long BgL_arg2003z00_4333;

									BgL_arg2003z00_4333 =
										BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1262z00_4332),
										BgL_arg2003z00_4333);
								}
								{	/* Globalize/ginfo.scm 90 */
									BgL_objectz00_bglt BgL_tmpz00_6537;

									BgL_tmpz00_6537 = ((BgL_objectz00_bglt) BgL_new1262z00_4332);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6537, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1262z00_4332);
								BgL_auxz00_6532 = BgL_new1262z00_4332;
							}
							BgL_tmp1263z00_4330 = ((BgL_globalz00_bglt) BgL_auxz00_6532);
						}
						BgL_wide1264z00_4331 =
							((BgL_globalzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_globalzf2ginfozf2_bgl))));
						{	/* Globalize/ginfo.scm 90 */
							obj_t BgL_auxz00_6545;
							BgL_objectz00_bglt BgL_tmpz00_6543;

							BgL_auxz00_6545 = ((obj_t) BgL_wide1264z00_4331);
							BgL_tmpz00_6543 = ((BgL_objectz00_bglt) BgL_tmp1263z00_4330);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6543, BgL_auxz00_6545);
						}
						((BgL_objectz00_bglt) BgL_tmp1263z00_4330);
						{	/* Globalize/ginfo.scm 90 */
							long BgL_arg2002z00_4334;

							BgL_arg2002z00_4334 =
								BGL_CLASS_NUM(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1263z00_4330),
								BgL_arg2002z00_4334);
						}
						BgL_new1265z00_4329 = ((BgL_globalz00_bglt) BgL_tmp1263z00_4330);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1265z00_4329)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1195z00_3875)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1265z00_4329)))->BgL_namez00) =
						((obj_t) BgL_name1196z00_3876), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1265z00_4329)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1197z00_3877)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1265z00_4329)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1198z00_3878)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1265z00_4329)))->BgL_accessz00) =
						((obj_t) BgL_access1199z00_3879), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1265z00_4329)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1200zd2_3880), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1265z00_4329)))->BgL_removablez00) =
						((obj_t) BgL_removable1201z00_3881), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1265z00_4329)))->BgL_occurrencez00) =
						((long) BgL_occurrence1202z00_4321), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1265z00_4329)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1203z00_4322), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1265z00_4329)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31204zf3_4323), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1265z00_4329)))->BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1205z00_3885)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1265z00_4329)))->BgL_importz00) =
						((obj_t) BgL_import1206z00_3886), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1265z00_4329)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31207zf3_4325), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1265z00_4329)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31208zf3_4326), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1265z00_4329)))->BgL_libraryz00) =
						((obj_t) BgL_library1209z00_3889), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1265z00_4329)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1210z00_3890), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1265z00_4329)))->BgL_srcz00) =
						((obj_t) BgL_src1211z00_3891), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1265z00_4329)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) ((obj_t) BgL_jvmzd2typezd2name1212z00_3892)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1265z00_4329)))->BgL_initz00) =
						((obj_t) BgL_init1213z00_3893), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1265z00_4329)))->BgL_aliasz00) =
						((obj_t) BgL_alias1214z00_3894), BUNSPEC);
					{
						BgL_globalzf2ginfozf2_bglt BgL_auxz00_6598;

						{
							obj_t BgL_auxz00_6599;

							{	/* Globalize/ginfo.scm 90 */
								BgL_objectz00_bglt BgL_tmpz00_6600;

								BgL_tmpz00_6600 = ((BgL_objectz00_bglt) BgL_new1265z00_4329);
								BgL_auxz00_6599 = BGL_OBJECT_WIDENING(BgL_tmpz00_6600);
							}
							BgL_auxz00_6598 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6599);
						}
						((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6598))->
								BgL_escapezf3zf3) =
							((bool_t) BgL_escapezf31215zf3_4328), BUNSPEC);
					}
					{
						BgL_globalzf2ginfozf2_bglt BgL_auxz00_6605;

						{
							obj_t BgL_auxz00_6606;

							{	/* Globalize/ginfo.scm 90 */
								BgL_objectz00_bglt BgL_tmpz00_6607;

								BgL_tmpz00_6607 = ((BgL_objectz00_bglt) BgL_new1265z00_4329);
								BgL_auxz00_6606 = BGL_OBJECT_WIDENING(BgL_tmpz00_6607);
							}
							BgL_auxz00_6605 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6606);
						}
						((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6605))->
								BgL_globalzd2closurezd2) =
							((obj_t) BgL_globalzd2closure1216zd2_3896), BUNSPEC);
					}
					return BgL_new1265z00_4329;
				}
			}
		}

	}



/* &<@anonymous:2025> */
	obj_t BGl_z62zc3z04anonymousza32025ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3897)
	{
		{	/* Globalize/ginfo.scm 90 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2024 */
	obj_t BGl_z62lambda2024z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3898,
		obj_t BgL_oz00_3899, obj_t BgL_vz00_3900)
	{
		{	/* Globalize/ginfo.scm 90 */
			{
				BgL_globalzf2ginfozf2_bglt BgL_auxz00_6613;

				{
					obj_t BgL_auxz00_6614;

					{	/* Globalize/ginfo.scm 90 */
						BgL_objectz00_bglt BgL_tmpz00_6615;

						BgL_tmpz00_6615 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_3899));
						BgL_auxz00_6614 = BGL_OBJECT_WIDENING(BgL_tmpz00_6615);
					}
					BgL_auxz00_6613 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6614);
				}
				return
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6613))->
						BgL_globalzd2closurezd2) = ((obj_t) BgL_vz00_3900), BUNSPEC);
			}
		}

	}



/* &lambda2023 */
	obj_t BGl_z62lambda2023z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3901,
		obj_t BgL_oz00_3902)
	{
		{	/* Globalize/ginfo.scm 90 */
			{
				BgL_globalzf2ginfozf2_bglt BgL_auxz00_6621;

				{
					obj_t BgL_auxz00_6622;

					{	/* Globalize/ginfo.scm 90 */
						BgL_objectz00_bglt BgL_tmpz00_6623;

						BgL_tmpz00_6623 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_3902));
						BgL_auxz00_6622 = BGL_OBJECT_WIDENING(BgL_tmpz00_6623);
					}
					BgL_auxz00_6621 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6622);
				}
				return
					(((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6621))->
					BgL_globalzd2closurezd2);
			}
		}

	}



/* &<@anonymous:2017> */
	obj_t BGl_z62zc3z04anonymousza32017ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3903)
	{
		{	/* Globalize/ginfo.scm 90 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2016 */
	obj_t BGl_z62lambda2016z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3904,
		obj_t BgL_oz00_3905, obj_t BgL_vz00_3906)
	{
		{	/* Globalize/ginfo.scm 90 */
			{	/* Globalize/ginfo.scm 90 */
				bool_t BgL_vz00_4338;

				BgL_vz00_4338 = CBOOL(BgL_vz00_3906);
				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_6631;

					{
						obj_t BgL_auxz00_6632;

						{	/* Globalize/ginfo.scm 90 */
							BgL_objectz00_bglt BgL_tmpz00_6633;

							BgL_tmpz00_6633 =
								((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_3905));
							BgL_auxz00_6632 = BGL_OBJECT_WIDENING(BgL_tmpz00_6633);
						}
						BgL_auxz00_6631 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6632);
					}
					return
						((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6631))->
							BgL_escapezf3zf3) = ((bool_t) BgL_vz00_4338), BUNSPEC);
				}
			}
		}

	}



/* &lambda2015 */
	obj_t BGl_z62lambda2015z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3907,
		obj_t BgL_oz00_3908)
	{
		{	/* Globalize/ginfo.scm 90 */
			{	/* Globalize/ginfo.scm 90 */
				bool_t BgL_tmpz00_6639;

				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_6640;

					{
						obj_t BgL_auxz00_6641;

						{	/* Globalize/ginfo.scm 90 */
							BgL_objectz00_bglt BgL_tmpz00_6642;

							BgL_tmpz00_6642 =
								((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_3908));
							BgL_auxz00_6641 = BGL_OBJECT_WIDENING(BgL_tmpz00_6642);
						}
						BgL_auxz00_6640 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6641);
					}
					BgL_tmpz00_6639 =
						(((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6640))->
						BgL_escapezf3zf3);
				}
				return BBOOL(BgL_tmpz00_6639);
			}
		}

	}



/* &lambda1976 */
	BgL_localz00_bglt BGl_z62lambda1976z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3909, obj_t BgL_o1193z00_3910)
	{
		{	/* Globalize/ginfo.scm 84 */
			{	/* Globalize/ginfo.scm 84 */
				long BgL_arg1977z00_4341;

				{	/* Globalize/ginfo.scm 84 */
					obj_t BgL_arg1978z00_4342;

					{	/* Globalize/ginfo.scm 84 */
						obj_t BgL_arg1979z00_4343;

						{	/* Globalize/ginfo.scm 84 */
							long BgL_arg1833z00_4344;

							{	/* Globalize/ginfo.scm 84 */
								long BgL_arg1834z00_4345;

								BgL_arg1834z00_4345 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1193z00_3910)));
								BgL_arg1833z00_4344 = (BgL_arg1834z00_4345 - OBJECT_TYPE);
							}
							BgL_arg1979z00_4343 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_4344);
						}
						BgL_arg1978z00_4342 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1979z00_4343);
					}
					{	/* Globalize/ginfo.scm 84 */
						obj_t BgL_tmpz00_6655;

						BgL_tmpz00_6655 = ((obj_t) BgL_arg1978z00_4342);
						BgL_arg1977z00_4341 = BGL_CLASS_NUM(BgL_tmpz00_6655);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1193z00_3910)), BgL_arg1977z00_4341);
			}
			{	/* Globalize/ginfo.scm 84 */
				BgL_objectz00_bglt BgL_tmpz00_6661;

				BgL_tmpz00_6661 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1193z00_3910));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6661, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1193z00_3910));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1193z00_3910));
		}

	}



/* &<@anonymous:1975> */
	obj_t BGl_z62zc3z04anonymousza31975ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3911, obj_t BgL_new1192z00_3912)
	{
		{	/* Globalize/ginfo.scm 84 */
			{
				BgL_localz00_bglt BgL_auxz00_6669;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1192z00_3912))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 35))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1192z00_3912))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_6677;

					{	/* Globalize/ginfo.scm 84 */
						obj_t BgL_classz00_4347;

						BgL_classz00_4347 = BGl_typez00zztype_typez00;
						{	/* Globalize/ginfo.scm 84 */
							obj_t BgL__ortest_1112z00_4348;

							BgL__ortest_1112z00_4348 = BGL_CLASS_NIL(BgL_classz00_4347);
							if (CBOOL(BgL__ortest_1112z00_4348))
								{	/* Globalize/ginfo.scm 84 */
									BgL_auxz00_6677 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_4348);
								}
							else
								{	/* Globalize/ginfo.scm 84 */
									BgL_auxz00_6677 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4347));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1192z00_3912))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_6677), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_6687;

					{	/* Globalize/ginfo.scm 84 */
						obj_t BgL_classz00_4349;

						BgL_classz00_4349 = BGl_valuez00zzast_varz00;
						{	/* Globalize/ginfo.scm 84 */
							obj_t BgL__ortest_1112z00_4350;

							BgL__ortest_1112z00_4350 = BGL_CLASS_NIL(BgL_classz00_4349);
							if (CBOOL(BgL__ortest_1112z00_4350))
								{	/* Globalize/ginfo.scm 84 */
									BgL_auxz00_6687 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_4350);
								}
							else
								{	/* Globalize/ginfo.scm 84 */
									BgL_auxz00_6687 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4349));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1192z00_3912))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_6687), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1192z00_3912))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1192z00_3912))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1192z00_3912))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1192z00_3912))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1192z00_3912))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1192z00_3912))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1192z00_3912))))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1192z00_3912))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1192z00_3912))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2ginfozf2_bglt BgL_auxz00_6724;

					{
						obj_t BgL_auxz00_6725;

						{	/* Globalize/ginfo.scm 84 */
							BgL_objectz00_bglt BgL_tmpz00_6726;

							BgL_tmpz00_6726 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1192z00_3912));
							BgL_auxz00_6725 = BGL_OBJECT_WIDENING(BgL_tmpz00_6726);
						}
						BgL_auxz00_6724 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_6725);
					}
					((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6724))->
							BgL_escapezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_localzf2ginfozf2_bglt BgL_auxz00_6732;

					{
						obj_t BgL_auxz00_6733;

						{	/* Globalize/ginfo.scm 84 */
							BgL_objectz00_bglt BgL_tmpz00_6734;

							BgL_tmpz00_6734 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1192z00_3912));
							BgL_auxz00_6733 = BGL_OBJECT_WIDENING(BgL_tmpz00_6734);
						}
						BgL_auxz00_6732 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_6733);
					}
					((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6732))->
							BgL_globaliza7edzf3z54) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_auxz00_6669 = ((BgL_localz00_bglt) BgL_new1192z00_3912);
				return ((obj_t) BgL_auxz00_6669);
			}
		}

	}



/* &lambda1973 */
	BgL_localz00_bglt BGl_z62lambda1973z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3913, obj_t BgL_o1189z00_3914)
	{
		{	/* Globalize/ginfo.scm 84 */
			{	/* Globalize/ginfo.scm 84 */
				BgL_localzf2ginfozf2_bglt BgL_wide1191z00_4352;

				BgL_wide1191z00_4352 =
					((BgL_localzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2ginfozf2_bgl))));
				{	/* Globalize/ginfo.scm 84 */
					obj_t BgL_auxz00_6747;
					BgL_objectz00_bglt BgL_tmpz00_6743;

					BgL_auxz00_6747 = ((obj_t) BgL_wide1191z00_4352);
					BgL_tmpz00_6743 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1189z00_3914)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6743, BgL_auxz00_6747);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1189z00_3914)));
				{	/* Globalize/ginfo.scm 84 */
					long BgL_arg1974z00_4353;

					BgL_arg1974z00_4353 =
						BGL_CLASS_NUM(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1189z00_3914))), BgL_arg1974z00_4353);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1189z00_3914)));
			}
		}

	}



/* &lambda1970 */
	BgL_localz00_bglt BGl_z62lambda1970z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3915, obj_t BgL_id1174z00_3916, obj_t BgL_name1175z00_3917,
		obj_t BgL_type1176z00_3918, obj_t BgL_value1177z00_3919,
		obj_t BgL_access1178z00_3920, obj_t BgL_fastzd2alpha1179zd2_3921,
		obj_t BgL_removable1180z00_3922, obj_t BgL_occurrence1181z00_3923,
		obj_t BgL_occurrencew1182z00_3924, obj_t BgL_userzf31183zf3_3925,
		obj_t BgL_key1184z00_3926, obj_t BgL_valzd2noescape1185zd2_3927,
		obj_t BgL_volatile1186z00_3928, obj_t BgL_escapezf31187zf3_3929,
		obj_t BgL_globaliza7edzf31188z54_3930)
	{
		{	/* Globalize/ginfo.scm 84 */
			{	/* Globalize/ginfo.scm 84 */
				long BgL_occurrence1181z00_4357;
				long BgL_occurrencew1182z00_4358;
				bool_t BgL_userzf31183zf3_4359;
				long BgL_key1184z00_4360;
				bool_t BgL_volatile1186z00_4361;
				bool_t BgL_escapezf31187zf3_4362;
				bool_t BgL_globaliza7edzf31188z54_4363;

				BgL_occurrence1181z00_4357 = (long) CINT(BgL_occurrence1181z00_3923);
				BgL_occurrencew1182z00_4358 = (long) CINT(BgL_occurrencew1182z00_3924);
				BgL_userzf31183zf3_4359 = CBOOL(BgL_userzf31183zf3_3925);
				BgL_key1184z00_4360 = (long) CINT(BgL_key1184z00_3926);
				BgL_volatile1186z00_4361 = CBOOL(BgL_volatile1186z00_3928);
				BgL_escapezf31187zf3_4362 = CBOOL(BgL_escapezf31187zf3_3929);
				BgL_globaliza7edzf31188z54_4363 =
					CBOOL(BgL_globaliza7edzf31188z54_3930);
				{	/* Globalize/ginfo.scm 84 */
					BgL_localz00_bglt BgL_new1260z00_4364;

					{	/* Globalize/ginfo.scm 84 */
						BgL_localz00_bglt BgL_tmp1258z00_4365;
						BgL_localzf2ginfozf2_bglt BgL_wide1259z00_4366;

						{
							BgL_localz00_bglt BgL_auxz00_6768;

							{	/* Globalize/ginfo.scm 84 */
								BgL_localz00_bglt BgL_new1257z00_4367;

								BgL_new1257z00_4367 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Globalize/ginfo.scm 84 */
									long BgL_arg1972z00_4368;

									BgL_arg1972z00_4368 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1257z00_4367),
										BgL_arg1972z00_4368);
								}
								{	/* Globalize/ginfo.scm 84 */
									BgL_objectz00_bglt BgL_tmpz00_6773;

									BgL_tmpz00_6773 = ((BgL_objectz00_bglt) BgL_new1257z00_4367);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6773, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1257z00_4367);
								BgL_auxz00_6768 = BgL_new1257z00_4367;
							}
							BgL_tmp1258z00_4365 = ((BgL_localz00_bglt) BgL_auxz00_6768);
						}
						BgL_wide1259z00_4366 =
							((BgL_localzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2ginfozf2_bgl))));
						{	/* Globalize/ginfo.scm 84 */
							obj_t BgL_auxz00_6781;
							BgL_objectz00_bglt BgL_tmpz00_6779;

							BgL_auxz00_6781 = ((obj_t) BgL_wide1259z00_4366);
							BgL_tmpz00_6779 = ((BgL_objectz00_bglt) BgL_tmp1258z00_4365);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6779, BgL_auxz00_6781);
						}
						((BgL_objectz00_bglt) BgL_tmp1258z00_4365);
						{	/* Globalize/ginfo.scm 84 */
							long BgL_arg1971z00_4369;

							BgL_arg1971z00_4369 =
								BGL_CLASS_NUM(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1258z00_4365),
								BgL_arg1971z00_4369);
						}
						BgL_new1260z00_4364 = ((BgL_localz00_bglt) BgL_tmp1258z00_4365);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1260z00_4364)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1174z00_3916)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1260z00_4364)))->BgL_namez00) =
						((obj_t) BgL_name1175z00_3917), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1260z00_4364)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1176z00_3918)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1260z00_4364)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1177z00_3919)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1260z00_4364)))->BgL_accessz00) =
						((obj_t) BgL_access1178z00_3920), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1260z00_4364)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1179zd2_3921), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1260z00_4364)))->BgL_removablez00) =
						((obj_t) BgL_removable1180z00_3922), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1260z00_4364)))->BgL_occurrencez00) =
						((long) BgL_occurrence1181z00_4357), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1260z00_4364)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1182z00_4358), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1260z00_4364)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31183zf3_4359), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1260z00_4364)))->BgL_keyz00) =
						((long) BgL_key1184z00_4360), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1260z00_4364)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1185zd2_3927), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1260z00_4364)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1186z00_4361), BUNSPEC);
					{
						BgL_localzf2ginfozf2_bglt BgL_auxz00_6818;

						{
							obj_t BgL_auxz00_6819;

							{	/* Globalize/ginfo.scm 84 */
								BgL_objectz00_bglt BgL_tmpz00_6820;

								BgL_tmpz00_6820 = ((BgL_objectz00_bglt) BgL_new1260z00_4364);
								BgL_auxz00_6819 = BGL_OBJECT_WIDENING(BgL_tmpz00_6820);
							}
							BgL_auxz00_6818 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_6819);
						}
						((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6818))->
								BgL_escapezf3zf3) =
							((bool_t) BgL_escapezf31187zf3_4362), BUNSPEC);
					}
					{
						BgL_localzf2ginfozf2_bglt BgL_auxz00_6825;

						{
							obj_t BgL_auxz00_6826;

							{	/* Globalize/ginfo.scm 84 */
								BgL_objectz00_bglt BgL_tmpz00_6827;

								BgL_tmpz00_6827 = ((BgL_objectz00_bglt) BgL_new1260z00_4364);
								BgL_auxz00_6826 = BGL_OBJECT_WIDENING(BgL_tmpz00_6827);
							}
							BgL_auxz00_6825 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_6826);
						}
						((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6825))->
								BgL_globaliza7edzf3z54) =
							((bool_t) BgL_globaliza7edzf31188z54_4363), BUNSPEC);
					}
					return BgL_new1260z00_4364;
				}
			}
		}

	}



/* &<@anonymous:1993> */
	obj_t BGl_z62zc3z04anonymousza31993ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3931)
	{
		{	/* Globalize/ginfo.scm 84 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1992 */
	obj_t BGl_z62lambda1992z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3932,
		obj_t BgL_oz00_3933, obj_t BgL_vz00_3934)
	{
		{	/* Globalize/ginfo.scm 84 */
			{	/* Globalize/ginfo.scm 84 */
				bool_t BgL_vz00_4371;

				BgL_vz00_4371 = CBOOL(BgL_vz00_3934);
				{
					BgL_localzf2ginfozf2_bglt BgL_auxz00_6834;

					{
						obj_t BgL_auxz00_6835;

						{	/* Globalize/ginfo.scm 84 */
							BgL_objectz00_bglt BgL_tmpz00_6836;

							BgL_tmpz00_6836 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3933));
							BgL_auxz00_6835 = BGL_OBJECT_WIDENING(BgL_tmpz00_6836);
						}
						BgL_auxz00_6834 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_6835);
					}
					return
						((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6834))->
							BgL_globaliza7edzf3z54) = ((bool_t) BgL_vz00_4371), BUNSPEC);
				}
			}
		}

	}



/* &lambda1991 */
	obj_t BGl_z62lambda1991z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3935,
		obj_t BgL_oz00_3936)
	{
		{	/* Globalize/ginfo.scm 84 */
			{	/* Globalize/ginfo.scm 84 */
				bool_t BgL_tmpz00_6842;

				{
					BgL_localzf2ginfozf2_bglt BgL_auxz00_6843;

					{
						obj_t BgL_auxz00_6844;

						{	/* Globalize/ginfo.scm 84 */
							BgL_objectz00_bglt BgL_tmpz00_6845;

							BgL_tmpz00_6845 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3936));
							BgL_auxz00_6844 = BGL_OBJECT_WIDENING(BgL_tmpz00_6845);
						}
						BgL_auxz00_6843 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_6844);
					}
					BgL_tmpz00_6842 =
						(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6843))->
						BgL_globaliza7edzf3z54);
				}
				return BBOOL(BgL_tmpz00_6842);
			}
		}

	}



/* &<@anonymous:1986> */
	obj_t BGl_z62zc3z04anonymousza31986ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3937)
	{
		{	/* Globalize/ginfo.scm 84 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1985 */
	obj_t BGl_z62lambda1985z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3938,
		obj_t BgL_oz00_3939, obj_t BgL_vz00_3940)
	{
		{	/* Globalize/ginfo.scm 84 */
			{	/* Globalize/ginfo.scm 84 */
				bool_t BgL_vz00_4374;

				BgL_vz00_4374 = CBOOL(BgL_vz00_3940);
				{
					BgL_localzf2ginfozf2_bglt BgL_auxz00_6854;

					{
						obj_t BgL_auxz00_6855;

						{	/* Globalize/ginfo.scm 84 */
							BgL_objectz00_bglt BgL_tmpz00_6856;

							BgL_tmpz00_6856 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3939));
							BgL_auxz00_6855 = BGL_OBJECT_WIDENING(BgL_tmpz00_6856);
						}
						BgL_auxz00_6854 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_6855);
					}
					return
						((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6854))->
							BgL_escapezf3zf3) = ((bool_t) BgL_vz00_4374), BUNSPEC);
				}
			}
		}

	}



/* &lambda1984 */
	obj_t BGl_z62lambda1984z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3941,
		obj_t BgL_oz00_3942)
	{
		{	/* Globalize/ginfo.scm 84 */
			{	/* Globalize/ginfo.scm 84 */
				bool_t BgL_tmpz00_6862;

				{
					BgL_localzf2ginfozf2_bglt BgL_auxz00_6863;

					{
						obj_t BgL_auxz00_6864;

						{	/* Globalize/ginfo.scm 84 */
							BgL_objectz00_bglt BgL_tmpz00_6865;

							BgL_tmpz00_6865 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3942));
							BgL_auxz00_6864 = BGL_OBJECT_WIDENING(BgL_tmpz00_6865);
						}
						BgL_auxz00_6863 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_6864);
					}
					BgL_tmpz00_6862 =
						(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6863))->
						BgL_escapezf3zf3);
				}
				return BBOOL(BgL_tmpz00_6862);
			}
		}

	}



/* &lambda1931 */
	BgL_sexitz00_bglt BGl_z62lambda1931z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3943, obj_t BgL_o1172z00_3944)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				long BgL_arg1932z00_4377;

				{	/* Globalize/ginfo.scm 74 */
					obj_t BgL_arg1933z00_4378;

					{	/* Globalize/ginfo.scm 74 */
						obj_t BgL_arg1935z00_4379;

						{	/* Globalize/ginfo.scm 74 */
							long BgL_arg1833z00_4380;

							{	/* Globalize/ginfo.scm 74 */
								long BgL_arg1834z00_4381;

								BgL_arg1834z00_4381 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sexitz00_bglt) BgL_o1172z00_3944)));
								BgL_arg1833z00_4380 = (BgL_arg1834z00_4381 - OBJECT_TYPE);
							}
							BgL_arg1935z00_4379 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_4380);
						}
						BgL_arg1933z00_4378 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1935z00_4379);
					}
					{	/* Globalize/ginfo.scm 74 */
						obj_t BgL_tmpz00_6878;

						BgL_tmpz00_6878 = ((obj_t) BgL_arg1933z00_4378);
						BgL_arg1932z00_4377 = BGL_CLASS_NUM(BgL_tmpz00_6878);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sexitz00_bglt) BgL_o1172z00_3944)), BgL_arg1932z00_4377);
			}
			{	/* Globalize/ginfo.scm 74 */
				BgL_objectz00_bglt BgL_tmpz00_6884;

				BgL_tmpz00_6884 =
					((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_o1172z00_3944));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6884, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_o1172z00_3944));
			return ((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1172z00_3944));
		}

	}



/* &<@anonymous:1930> */
	obj_t BGl_z62zc3z04anonymousza31930ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3945, obj_t BgL_new1171z00_3946)
	{
		{	/* Globalize/ginfo.scm 74 */
			{
				BgL_sexitz00_bglt BgL_auxz00_6892;

				((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt)
									((BgL_sexitz00_bglt) BgL_new1171z00_3946))))->
						BgL_handlerz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt)
										BgL_new1171z00_3946))))->BgL_detachedzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_6899;

					{
						obj_t BgL_auxz00_6900;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_6901;

							BgL_tmpz00_6901 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_new1171z00_3946));
							BgL_auxz00_6900 = BGL_OBJECT_WIDENING(BgL_tmpz00_6901);
						}
						BgL_auxz00_6899 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_6900);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6899))->
							BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_6907;

					{
						obj_t BgL_auxz00_6908;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_6909;

							BgL_tmpz00_6909 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_new1171z00_3946));
							BgL_auxz00_6908 = BGL_OBJECT_WIDENING(BgL_tmpz00_6909);
						}
						BgL_auxz00_6907 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_6908);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6907))->
							BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_6915;

					{
						obj_t BgL_auxz00_6916;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_6917;

							BgL_tmpz00_6917 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_new1171z00_3946));
							BgL_auxz00_6916 = BGL_OBJECT_WIDENING(BgL_tmpz00_6917);
						}
						BgL_auxz00_6915 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_6916);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6915))->
							BgL_freezd2markzd2) = ((long) ((long) 0)), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_6923;

					{
						obj_t BgL_auxz00_6924;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_6925;

							BgL_tmpz00_6925 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_new1171z00_3946));
							BgL_auxz00_6924 = BGL_OBJECT_WIDENING(BgL_tmpz00_6925);
						}
						BgL_auxz00_6923 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_6924);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6923))->
							BgL_markz00) = ((long) ((long) 0)), BUNSPEC);
				}
				BgL_auxz00_6892 = ((BgL_sexitz00_bglt) BgL_new1171z00_3946);
				return ((obj_t) BgL_auxz00_6892);
			}
		}

	}



/* &lambda1928 */
	BgL_sexitz00_bglt BGl_z62lambda1928z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3947, obj_t BgL_o1168z00_3948)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				BgL_sexitzf2ginfozf2_bglt BgL_wide1170z00_4384;

				BgL_wide1170z00_4384 =
					((BgL_sexitzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sexitzf2ginfozf2_bgl))));
				{	/* Globalize/ginfo.scm 74 */
					obj_t BgL_auxz00_6938;
					BgL_objectz00_bglt BgL_tmpz00_6934;

					BgL_auxz00_6938 = ((obj_t) BgL_wide1170z00_4384);
					BgL_tmpz00_6934 =
						((BgL_objectz00_bglt)
						((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1168z00_3948)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6934, BgL_auxz00_6938);
				}
				((BgL_objectz00_bglt)
					((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1168z00_3948)));
				{	/* Globalize/ginfo.scm 74 */
					long BgL_arg1929z00_4385;

					BgL_arg1929z00_4385 =
						BGL_CLASS_NUM(BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sexitz00_bglt)
								((BgL_sexitz00_bglt) BgL_o1168z00_3948))), BgL_arg1929z00_4385);
				}
				return
					((BgL_sexitz00_bglt)
					((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1168z00_3948)));
			}
		}

	}



/* &lambda1925 */
	BgL_sexitz00_bglt BGl_z62lambda1925z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3949, obj_t BgL_handler1162z00_3950,
		obj_t BgL_detachedzf31163zf3_3951, obj_t BgL_gzf31164zf3_3952,
		obj_t BgL_kapturedzf31165zf3_3953, obj_t BgL_freezd2mark1166zd2_3954,
		obj_t BgL_mark1167z00_3955)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				bool_t BgL_detachedzf31163zf3_4386;
				bool_t BgL_gzf31164zf3_4387;
				bool_t BgL_kapturedzf31165zf3_4388;
				long BgL_freezd2mark1166zd2_4389;
				long BgL_mark1167z00_4390;

				BgL_detachedzf31163zf3_4386 = CBOOL(BgL_detachedzf31163zf3_3951);
				BgL_gzf31164zf3_4387 = CBOOL(BgL_gzf31164zf3_3952);
				BgL_kapturedzf31165zf3_4388 = CBOOL(BgL_kapturedzf31165zf3_3953);
				BgL_freezd2mark1166zd2_4389 = (long) CINT(BgL_freezd2mark1166zd2_3954);
				BgL_mark1167z00_4390 = (long) CINT(BgL_mark1167z00_3955);
				{	/* Globalize/ginfo.scm 74 */
					BgL_sexitz00_bglt BgL_new1255z00_4391;

					{	/* Globalize/ginfo.scm 74 */
						BgL_sexitz00_bglt BgL_tmp1253z00_4392;
						BgL_sexitzf2ginfozf2_bglt BgL_wide1254z00_4393;

						{
							BgL_sexitz00_bglt BgL_auxz00_6957;

							{	/* Globalize/ginfo.scm 74 */
								BgL_sexitz00_bglt BgL_new1252z00_4394;

								BgL_new1252z00_4394 =
									((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sexitz00_bgl))));
								{	/* Globalize/ginfo.scm 74 */
									long BgL_arg1927z00_4395;

									BgL_arg1927z00_4395 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1252z00_4394),
										BgL_arg1927z00_4395);
								}
								{	/* Globalize/ginfo.scm 74 */
									BgL_objectz00_bglt BgL_tmpz00_6962;

									BgL_tmpz00_6962 = ((BgL_objectz00_bglt) BgL_new1252z00_4394);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6962, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1252z00_4394);
								BgL_auxz00_6957 = BgL_new1252z00_4394;
							}
							BgL_tmp1253z00_4392 = ((BgL_sexitz00_bglt) BgL_auxz00_6957);
						}
						BgL_wide1254z00_4393 =
							((BgL_sexitzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sexitzf2ginfozf2_bgl))));
						{	/* Globalize/ginfo.scm 74 */
							obj_t BgL_auxz00_6970;
							BgL_objectz00_bglt BgL_tmpz00_6968;

							BgL_auxz00_6970 = ((obj_t) BgL_wide1254z00_4393);
							BgL_tmpz00_6968 = ((BgL_objectz00_bglt) BgL_tmp1253z00_4392);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6968, BgL_auxz00_6970);
						}
						((BgL_objectz00_bglt) BgL_tmp1253z00_4392);
						{	/* Globalize/ginfo.scm 74 */
							long BgL_arg1926z00_4396;

							BgL_arg1926z00_4396 =
								BGL_CLASS_NUM(BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1253z00_4392),
								BgL_arg1926z00_4396);
						}
						BgL_new1255z00_4391 = ((BgL_sexitz00_bglt) BgL_tmp1253z00_4392);
					}
					((((BgL_sexitz00_bglt) COBJECT(
									((BgL_sexitz00_bglt) BgL_new1255z00_4391)))->BgL_handlerz00) =
						((obj_t) BgL_handler1162z00_3950), BUNSPEC);
					((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
										BgL_new1255z00_4391)))->BgL_detachedzf3zf3) =
						((bool_t) BgL_detachedzf31163zf3_4386), BUNSPEC);
					{
						BgL_sexitzf2ginfozf2_bglt BgL_auxz00_6982;

						{
							obj_t BgL_auxz00_6983;

							{	/* Globalize/ginfo.scm 74 */
								BgL_objectz00_bglt BgL_tmpz00_6984;

								BgL_tmpz00_6984 = ((BgL_objectz00_bglt) BgL_new1255z00_4391);
								BgL_auxz00_6983 = BGL_OBJECT_WIDENING(BgL_tmpz00_6984);
							}
							BgL_auxz00_6982 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_6983);
						}
						((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6982))->
								BgL_gzf3zf3) = ((bool_t) BgL_gzf31164zf3_4387), BUNSPEC);
					}
					{
						BgL_sexitzf2ginfozf2_bglt BgL_auxz00_6989;

						{
							obj_t BgL_auxz00_6990;

							{	/* Globalize/ginfo.scm 74 */
								BgL_objectz00_bglt BgL_tmpz00_6991;

								BgL_tmpz00_6991 = ((BgL_objectz00_bglt) BgL_new1255z00_4391);
								BgL_auxz00_6990 = BGL_OBJECT_WIDENING(BgL_tmpz00_6991);
							}
							BgL_auxz00_6989 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_6990);
						}
						((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6989))->
								BgL_kapturedzf3zf3) =
							((bool_t) BgL_kapturedzf31165zf3_4388), BUNSPEC);
					}
					{
						BgL_sexitzf2ginfozf2_bglt BgL_auxz00_6996;

						{
							obj_t BgL_auxz00_6997;

							{	/* Globalize/ginfo.scm 74 */
								BgL_objectz00_bglt BgL_tmpz00_6998;

								BgL_tmpz00_6998 = ((BgL_objectz00_bglt) BgL_new1255z00_4391);
								BgL_auxz00_6997 = BGL_OBJECT_WIDENING(BgL_tmpz00_6998);
							}
							BgL_auxz00_6996 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_6997);
						}
						((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6996))->
								BgL_freezd2markzd2) =
							((long) BgL_freezd2mark1166zd2_4389), BUNSPEC);
					}
					{
						BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7003;

						{
							obj_t BgL_auxz00_7004;

							{	/* Globalize/ginfo.scm 74 */
								BgL_objectz00_bglt BgL_tmpz00_7005;

								BgL_tmpz00_7005 = ((BgL_objectz00_bglt) BgL_new1255z00_4391);
								BgL_auxz00_7004 = BGL_OBJECT_WIDENING(BgL_tmpz00_7005);
							}
							BgL_auxz00_7003 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7004);
						}
						((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7003))->
								BgL_markz00) = ((long) BgL_mark1167z00_4390), BUNSPEC);
					}
					return BgL_new1255z00_4391;
				}
			}
		}

	}



/* &<@anonymous:1963> */
	obj_t BGl_z62zc3z04anonymousza31963ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3956)
	{
		{	/* Globalize/ginfo.scm 74 */
			return BINT(((long) -10));
		}

	}



/* &lambda1962 */
	obj_t BGl_z62lambda1962z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3957,
		obj_t BgL_oz00_3958, obj_t BgL_vz00_3959)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				long BgL_vz00_4398;

				BgL_vz00_4398 = (long) CINT(BgL_vz00_3959);
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7012;

					{
						obj_t BgL_auxz00_7013;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7014;

							BgL_tmpz00_7014 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3958));
							BgL_auxz00_7013 = BGL_OBJECT_WIDENING(BgL_tmpz00_7014);
						}
						BgL_auxz00_7012 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7013);
					}
					return
						((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7012))->
							BgL_markz00) = ((long) BgL_vz00_4398), BUNSPEC);
		}}}

	}



/* &lambda1961 */
	obj_t BGl_z62lambda1961z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3960,
		obj_t BgL_oz00_3961)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				long BgL_tmpz00_7020;

				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7021;

					{
						obj_t BgL_auxz00_7022;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7023;

							BgL_tmpz00_7023 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3961));
							BgL_auxz00_7022 = BGL_OBJECT_WIDENING(BgL_tmpz00_7023);
						}
						BgL_auxz00_7021 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7022);
					}
					BgL_tmpz00_7020 =
						(((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7021))->
						BgL_markz00);
				}
				return BINT(BgL_tmpz00_7020);
			}
		}

	}



/* &<@anonymous:1956> */
	obj_t BGl_z62zc3z04anonymousza31956ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3962)
	{
		{	/* Globalize/ginfo.scm 74 */
			return BINT(((long) -10));
		}

	}



/* &lambda1955 */
	obj_t BGl_z62lambda1955z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3963,
		obj_t BgL_oz00_3964, obj_t BgL_vz00_3965)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				long BgL_vz00_4401;

				BgL_vz00_4401 = (long) CINT(BgL_vz00_3965);
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7032;

					{
						obj_t BgL_auxz00_7033;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7034;

							BgL_tmpz00_7034 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3964));
							BgL_auxz00_7033 = BGL_OBJECT_WIDENING(BgL_tmpz00_7034);
						}
						BgL_auxz00_7032 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7033);
					}
					return
						((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7032))->
							BgL_freezd2markzd2) = ((long) BgL_vz00_4401), BUNSPEC);
		}}}

	}



/* &lambda1954 */
	obj_t BGl_z62lambda1954z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3966,
		obj_t BgL_oz00_3967)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				long BgL_tmpz00_7040;

				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7041;

					{
						obj_t BgL_auxz00_7042;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7043;

							BgL_tmpz00_7043 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3967));
							BgL_auxz00_7042 = BGL_OBJECT_WIDENING(BgL_tmpz00_7043);
						}
						BgL_auxz00_7041 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7042);
					}
					BgL_tmpz00_7040 =
						(((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7041))->
						BgL_freezd2markzd2);
				}
				return BINT(BgL_tmpz00_7040);
			}
		}

	}



/* &<@anonymous:1949> */
	obj_t BGl_z62zc3z04anonymousza31949ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3968)
	{
		{	/* Globalize/ginfo.scm 74 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1948 */
	obj_t BGl_z62lambda1948z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3969,
		obj_t BgL_oz00_3970, obj_t BgL_vz00_3971)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				bool_t BgL_vz00_4404;

				BgL_vz00_4404 = CBOOL(BgL_vz00_3971);
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7052;

					{
						obj_t BgL_auxz00_7053;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7054;

							BgL_tmpz00_7054 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3970));
							BgL_auxz00_7053 = BGL_OBJECT_WIDENING(BgL_tmpz00_7054);
						}
						BgL_auxz00_7052 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7053);
					}
					return
						((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7052))->
							BgL_kapturedzf3zf3) = ((bool_t) BgL_vz00_4404), BUNSPEC);
				}
			}
		}

	}



/* &lambda1947 */
	obj_t BGl_z62lambda1947z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3972,
		obj_t BgL_oz00_3973)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				bool_t BgL_tmpz00_7060;

				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7061;

					{
						obj_t BgL_auxz00_7062;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7063;

							BgL_tmpz00_7063 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3973));
							BgL_auxz00_7062 = BGL_OBJECT_WIDENING(BgL_tmpz00_7063);
						}
						BgL_auxz00_7061 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7062);
					}
					BgL_tmpz00_7060 =
						(((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7061))->
						BgL_kapturedzf3zf3);
				}
				return BBOOL(BgL_tmpz00_7060);
			}
		}

	}



/* &<@anonymous:1942> */
	obj_t BGl_z62zc3z04anonymousza31942ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3974)
	{
		{	/* Globalize/ginfo.scm 74 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1941 */
	obj_t BGl_z62lambda1941z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3975,
		obj_t BgL_oz00_3976, obj_t BgL_vz00_3977)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				bool_t BgL_vz00_4407;

				BgL_vz00_4407 = CBOOL(BgL_vz00_3977);
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7072;

					{
						obj_t BgL_auxz00_7073;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7074;

							BgL_tmpz00_7074 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3976));
							BgL_auxz00_7073 = BGL_OBJECT_WIDENING(BgL_tmpz00_7074);
						}
						BgL_auxz00_7072 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7073);
					}
					return
						((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7072))->
							BgL_gzf3zf3) = ((bool_t) BgL_vz00_4407), BUNSPEC);
				}
			}
		}

	}



/* &lambda1940 */
	obj_t BGl_z62lambda1940z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3978,
		obj_t BgL_oz00_3979)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				bool_t BgL_tmpz00_7080;

				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7081;

					{
						obj_t BgL_auxz00_7082;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7083;

							BgL_tmpz00_7083 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3979));
							BgL_auxz00_7082 = BGL_OBJECT_WIDENING(BgL_tmpz00_7083);
						}
						BgL_auxz00_7081 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7082);
					}
					BgL_tmpz00_7080 =
						(((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7081))->
						BgL_gzf3zf3);
				}
				return BBOOL(BgL_tmpz00_7080);
			}
		}

	}



/* &lambda1871 */
	BgL_svarz00_bglt BGl_z62lambda1871z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3980, obj_t BgL_o1160z00_3981)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				long BgL_arg1872z00_4410;

				{	/* Globalize/ginfo.scm 62 */
					obj_t BgL_arg1875z00_4411;

					{	/* Globalize/ginfo.scm 62 */
						obj_t BgL_arg1877z00_4412;

						{	/* Globalize/ginfo.scm 62 */
							long BgL_arg1833z00_4413;

							{	/* Globalize/ginfo.scm 62 */
								long BgL_arg1834z00_4414;

								BgL_arg1834z00_4414 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_svarz00_bglt) BgL_o1160z00_3981)));
								BgL_arg1833z00_4413 = (BgL_arg1834z00_4414 - OBJECT_TYPE);
							}
							BgL_arg1877z00_4412 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_4413);
						}
						BgL_arg1875z00_4411 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1877z00_4412);
					}
					{	/* Globalize/ginfo.scm 62 */
						obj_t BgL_tmpz00_7096;

						BgL_tmpz00_7096 = ((obj_t) BgL_arg1875z00_4411);
						BgL_arg1872z00_4410 = BGL_CLASS_NUM(BgL_tmpz00_7096);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_svarz00_bglt) BgL_o1160z00_3981)), BgL_arg1872z00_4410);
			}
			{	/* Globalize/ginfo.scm 62 */
				BgL_objectz00_bglt BgL_tmpz00_7102;

				BgL_tmpz00_7102 =
					((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_o1160z00_3981));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7102, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_o1160z00_3981));
			return ((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1160z00_3981));
		}

	}



/* &<@anonymous:1870> */
	obj_t BGl_z62zc3z04anonymousza31870ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3982, obj_t BgL_new1159z00_3983)
	{
		{	/* Globalize/ginfo.scm 62 */
			{
				BgL_svarz00_bglt BgL_auxz00_7110;

				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt)
									((BgL_svarz00_bglt) BgL_new1159z00_3983))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7114;

					{
						obj_t BgL_auxz00_7115;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7116;

							BgL_tmpz00_7116 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1159z00_3983));
							BgL_auxz00_7115 = BGL_OBJECT_WIDENING(BgL_tmpz00_7116);
						}
						BgL_auxz00_7114 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7115);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7114))->
							BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7122;

					{
						obj_t BgL_auxz00_7123;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7124;

							BgL_tmpz00_7124 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1159z00_3983));
							BgL_auxz00_7123 = BGL_OBJECT_WIDENING(BgL_tmpz00_7124);
						}
						BgL_auxz00_7122 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7123);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7122))->
							BgL_freezd2markzd2) = ((long) ((long) 0)), BUNSPEC);
				}
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7130;

					{
						obj_t BgL_auxz00_7131;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7132;

							BgL_tmpz00_7132 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1159z00_3983));
							BgL_auxz00_7131 = BGL_OBJECT_WIDENING(BgL_tmpz00_7132);
						}
						BgL_auxz00_7130 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7131);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7130))->
							BgL_markz00) = ((long) ((long) 0)), BUNSPEC);
				}
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7138;

					{
						obj_t BgL_auxz00_7139;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7140;

							BgL_tmpz00_7140 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1159z00_3983));
							BgL_auxz00_7139 = BGL_OBJECT_WIDENING(BgL_tmpz00_7140);
						}
						BgL_auxz00_7138 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7139);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7138))->
							BgL_celledzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7146;

					{
						obj_t BgL_auxz00_7147;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7148;

							BgL_tmpz00_7148 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1159z00_3983));
							BgL_auxz00_7147 = BGL_OBJECT_WIDENING(BgL_tmpz00_7148);
						}
						BgL_auxz00_7146 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7147);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7146))->
							BgL_stackablez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_auxz00_7110 = ((BgL_svarz00_bglt) BgL_new1159z00_3983);
				return ((obj_t) BgL_auxz00_7110);
			}
		}

	}



/* &lambda1868 */
	BgL_svarz00_bglt BGl_z62lambda1868z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3984, obj_t BgL_o1156z00_3985)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				BgL_svarzf2ginfozf2_bglt BgL_wide1158z00_4417;

				BgL_wide1158z00_4417 =
					((BgL_svarzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_svarzf2ginfozf2_bgl))));
				{	/* Globalize/ginfo.scm 62 */
					obj_t BgL_auxz00_7161;
					BgL_objectz00_bglt BgL_tmpz00_7157;

					BgL_auxz00_7161 = ((obj_t) BgL_wide1158z00_4417);
					BgL_tmpz00_7157 =
						((BgL_objectz00_bglt)
						((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1156z00_3985)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7157, BgL_auxz00_7161);
				}
				((BgL_objectz00_bglt)
					((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1156z00_3985)));
				{	/* Globalize/ginfo.scm 62 */
					long BgL_arg1869z00_4418;

					BgL_arg1869z00_4418 =
						BGL_CLASS_NUM(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_svarz00_bglt)
								((BgL_svarz00_bglt) BgL_o1156z00_3985))), BgL_arg1869z00_4418);
				}
				return
					((BgL_svarz00_bglt)
					((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1156z00_3985)));
			}
		}

	}



/* &lambda1863 */
	BgL_svarz00_bglt BGl_z62lambda1863z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3986, obj_t BgL_loc1150z00_3987,
		obj_t BgL_kapturedzf31151zf3_3988, obj_t BgL_freezd2mark1152zd2_3989,
		obj_t BgL_mark1153z00_3990, obj_t BgL_celledzf31154zf3_3991,
		obj_t BgL_stackable1155z00_3992)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				bool_t BgL_kapturedzf31151zf3_4419;
				long BgL_freezd2mark1152zd2_4420;
				long BgL_mark1153z00_4421;
				bool_t BgL_celledzf31154zf3_4422;
				bool_t BgL_stackable1155z00_4423;

				BgL_kapturedzf31151zf3_4419 = CBOOL(BgL_kapturedzf31151zf3_3988);
				BgL_freezd2mark1152zd2_4420 = (long) CINT(BgL_freezd2mark1152zd2_3989);
				BgL_mark1153z00_4421 = (long) CINT(BgL_mark1153z00_3990);
				BgL_celledzf31154zf3_4422 = CBOOL(BgL_celledzf31154zf3_3991);
				BgL_stackable1155z00_4423 = CBOOL(BgL_stackable1155z00_3992);
				{	/* Globalize/ginfo.scm 62 */
					BgL_svarz00_bglt BgL_new1250z00_4424;

					{	/* Globalize/ginfo.scm 62 */
						BgL_svarz00_bglt BgL_tmp1248z00_4425;
						BgL_svarzf2ginfozf2_bglt BgL_wide1249z00_4426;

						{
							BgL_svarz00_bglt BgL_auxz00_7180;

							{	/* Globalize/ginfo.scm 62 */
								BgL_svarz00_bglt BgL_new1247z00_4427;

								BgL_new1247z00_4427 =
									((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_svarz00_bgl))));
								{	/* Globalize/ginfo.scm 62 */
									long BgL_arg1867z00_4428;

									BgL_arg1867z00_4428 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1247z00_4427),
										BgL_arg1867z00_4428);
								}
								{	/* Globalize/ginfo.scm 62 */
									BgL_objectz00_bglt BgL_tmpz00_7185;

									BgL_tmpz00_7185 = ((BgL_objectz00_bglt) BgL_new1247z00_4427);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7185, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1247z00_4427);
								BgL_auxz00_7180 = BgL_new1247z00_4427;
							}
							BgL_tmp1248z00_4425 = ((BgL_svarz00_bglt) BgL_auxz00_7180);
						}
						BgL_wide1249z00_4426 =
							((BgL_svarzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_svarzf2ginfozf2_bgl))));
						{	/* Globalize/ginfo.scm 62 */
							obj_t BgL_auxz00_7193;
							BgL_objectz00_bglt BgL_tmpz00_7191;

							BgL_auxz00_7193 = ((obj_t) BgL_wide1249z00_4426);
							BgL_tmpz00_7191 = ((BgL_objectz00_bglt) BgL_tmp1248z00_4425);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7191, BgL_auxz00_7193);
						}
						((BgL_objectz00_bglt) BgL_tmp1248z00_4425);
						{	/* Globalize/ginfo.scm 62 */
							long BgL_arg1865z00_4429;

							BgL_arg1865z00_4429 =
								BGL_CLASS_NUM(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1248z00_4425),
								BgL_arg1865z00_4429);
						}
						BgL_new1250z00_4424 = ((BgL_svarz00_bglt) BgL_tmp1248z00_4425);
					}
					((((BgL_svarz00_bglt) COBJECT(
									((BgL_svarz00_bglt) BgL_new1250z00_4424)))->BgL_locz00) =
						((obj_t) BgL_loc1150z00_3987), BUNSPEC);
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_7203;

						{
							obj_t BgL_auxz00_7204;

							{	/* Globalize/ginfo.scm 62 */
								BgL_objectz00_bglt BgL_tmpz00_7205;

								BgL_tmpz00_7205 = ((BgL_objectz00_bglt) BgL_new1250z00_4424);
								BgL_auxz00_7204 = BGL_OBJECT_WIDENING(BgL_tmpz00_7205);
							}
							BgL_auxz00_7203 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7204);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7203))->
								BgL_kapturedzf3zf3) =
							((bool_t) BgL_kapturedzf31151zf3_4419), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_7210;

						{
							obj_t BgL_auxz00_7211;

							{	/* Globalize/ginfo.scm 62 */
								BgL_objectz00_bglt BgL_tmpz00_7212;

								BgL_tmpz00_7212 = ((BgL_objectz00_bglt) BgL_new1250z00_4424);
								BgL_auxz00_7211 = BGL_OBJECT_WIDENING(BgL_tmpz00_7212);
							}
							BgL_auxz00_7210 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7211);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7210))->
								BgL_freezd2markzd2) =
							((long) BgL_freezd2mark1152zd2_4420), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_7217;

						{
							obj_t BgL_auxz00_7218;

							{	/* Globalize/ginfo.scm 62 */
								BgL_objectz00_bglt BgL_tmpz00_7219;

								BgL_tmpz00_7219 = ((BgL_objectz00_bglt) BgL_new1250z00_4424);
								BgL_auxz00_7218 = BGL_OBJECT_WIDENING(BgL_tmpz00_7219);
							}
							BgL_auxz00_7217 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7218);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7217))->
								BgL_markz00) = ((long) BgL_mark1153z00_4421), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_7224;

						{
							obj_t BgL_auxz00_7225;

							{	/* Globalize/ginfo.scm 62 */
								BgL_objectz00_bglt BgL_tmpz00_7226;

								BgL_tmpz00_7226 = ((BgL_objectz00_bglt) BgL_new1250z00_4424);
								BgL_auxz00_7225 = BGL_OBJECT_WIDENING(BgL_tmpz00_7226);
							}
							BgL_auxz00_7224 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7225);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7224))->
								BgL_celledzf3zf3) =
							((bool_t) BgL_celledzf31154zf3_4422), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_7231;

						{
							obj_t BgL_auxz00_7232;

							{	/* Globalize/ginfo.scm 62 */
								BgL_objectz00_bglt BgL_tmpz00_7233;

								BgL_tmpz00_7233 = ((BgL_objectz00_bglt) BgL_new1250z00_4424);
								BgL_auxz00_7232 = BGL_OBJECT_WIDENING(BgL_tmpz00_7233);
							}
							BgL_auxz00_7231 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7232);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7231))->
								BgL_stackablez00) =
							((bool_t) BgL_stackable1155z00_4423), BUNSPEC);
					}
					return BgL_new1250z00_4424;
				}
			}
		}

	}



/* &<@anonymous:1917> */
	obj_t BGl_z62zc3z04anonymousza31917ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3993)
	{
		{	/* Globalize/ginfo.scm 62 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1916 */
	obj_t BGl_z62lambda1916z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3994,
		obj_t BgL_oz00_3995, obj_t BgL_vz00_3996)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				bool_t BgL_vz00_4431;

				BgL_vz00_4431 = CBOOL(BgL_vz00_3996);
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7240;

					{
						obj_t BgL_auxz00_7241;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7242;

							BgL_tmpz00_7242 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3995));
							BgL_auxz00_7241 = BGL_OBJECT_WIDENING(BgL_tmpz00_7242);
						}
						BgL_auxz00_7240 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7241);
					}
					return
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7240))->
							BgL_stackablez00) = ((bool_t) BgL_vz00_4431), BUNSPEC);
				}
			}
		}

	}



/* &lambda1915 */
	obj_t BGl_z62lambda1915z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3997,
		obj_t BgL_oz00_3998)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				bool_t BgL_tmpz00_7248;

				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7249;

					{
						obj_t BgL_auxz00_7250;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7251;

							BgL_tmpz00_7251 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3998));
							BgL_auxz00_7250 = BGL_OBJECT_WIDENING(BgL_tmpz00_7251);
						}
						BgL_auxz00_7249 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7250);
					}
					BgL_tmpz00_7248 =
						(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7249))->
						BgL_stackablez00);
				}
				return BBOOL(BgL_tmpz00_7248);
			}
		}

	}



/* &<@anonymous:1910> */
	obj_t BGl_z62zc3z04anonymousza31910ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3999)
	{
		{	/* Globalize/ginfo.scm 62 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1909 */
	obj_t BGl_z62lambda1909z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4000,
		obj_t BgL_oz00_4001, obj_t BgL_vz00_4002)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				bool_t BgL_vz00_4434;

				BgL_vz00_4434 = CBOOL(BgL_vz00_4002);
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7260;

					{
						obj_t BgL_auxz00_7261;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7262;

							BgL_tmpz00_7262 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_4001));
							BgL_auxz00_7261 = BGL_OBJECT_WIDENING(BgL_tmpz00_7262);
						}
						BgL_auxz00_7260 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7261);
					}
					return
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7260))->
							BgL_celledzf3zf3) = ((bool_t) BgL_vz00_4434), BUNSPEC);
				}
			}
		}

	}



/* &lambda1908 */
	obj_t BGl_z62lambda1908z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4003,
		obj_t BgL_oz00_4004)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				bool_t BgL_tmpz00_7268;

				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7269;

					{
						obj_t BgL_auxz00_7270;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7271;

							BgL_tmpz00_7271 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_4004));
							BgL_auxz00_7270 = BGL_OBJECT_WIDENING(BgL_tmpz00_7271);
						}
						BgL_auxz00_7269 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7270);
					}
					BgL_tmpz00_7268 =
						(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7269))->
						BgL_celledzf3zf3);
				}
				return BBOOL(BgL_tmpz00_7268);
			}
		}

	}



/* &<@anonymous:1901> */
	obj_t BGl_z62zc3z04anonymousza31901ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4005)
	{
		{	/* Globalize/ginfo.scm 62 */
			return BINT(((long) -10));
		}

	}



/* &lambda1900 */
	obj_t BGl_z62lambda1900z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4006,
		obj_t BgL_oz00_4007, obj_t BgL_vz00_4008)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				long BgL_vz00_4437;

				BgL_vz00_4437 = (long) CINT(BgL_vz00_4008);
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7280;

					{
						obj_t BgL_auxz00_7281;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7282;

							BgL_tmpz00_7282 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_4007));
							BgL_auxz00_7281 = BGL_OBJECT_WIDENING(BgL_tmpz00_7282);
						}
						BgL_auxz00_7280 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7281);
					}
					return
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7280))->
							BgL_markz00) = ((long) BgL_vz00_4437), BUNSPEC);
		}}}

	}



/* &lambda1899 */
	obj_t BGl_z62lambda1899z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4009,
		obj_t BgL_oz00_4010)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				long BgL_tmpz00_7288;

				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7289;

					{
						obj_t BgL_auxz00_7290;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7291;

							BgL_tmpz00_7291 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_4010));
							BgL_auxz00_7290 = BGL_OBJECT_WIDENING(BgL_tmpz00_7291);
						}
						BgL_auxz00_7289 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7290);
					}
					BgL_tmpz00_7288 =
						(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7289))->
						BgL_markz00);
				}
				return BINT(BgL_tmpz00_7288);
			}
		}

	}



/* &<@anonymous:1894> */
	obj_t BGl_z62zc3z04anonymousza31894ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4011)
	{
		{	/* Globalize/ginfo.scm 62 */
			return BINT(((long) -10));
		}

	}



/* &lambda1893 */
	obj_t BGl_z62lambda1893z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4012,
		obj_t BgL_oz00_4013, obj_t BgL_vz00_4014)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				long BgL_vz00_4440;

				BgL_vz00_4440 = (long) CINT(BgL_vz00_4014);
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7300;

					{
						obj_t BgL_auxz00_7301;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7302;

							BgL_tmpz00_7302 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_4013));
							BgL_auxz00_7301 = BGL_OBJECT_WIDENING(BgL_tmpz00_7302);
						}
						BgL_auxz00_7300 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7301);
					}
					return
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7300))->
							BgL_freezd2markzd2) = ((long) BgL_vz00_4440), BUNSPEC);
		}}}

	}



/* &lambda1892 */
	obj_t BGl_z62lambda1892z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4015,
		obj_t BgL_oz00_4016)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				long BgL_tmpz00_7308;

				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7309;

					{
						obj_t BgL_auxz00_7310;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7311;

							BgL_tmpz00_7311 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_4016));
							BgL_auxz00_7310 = BGL_OBJECT_WIDENING(BgL_tmpz00_7311);
						}
						BgL_auxz00_7309 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7310);
					}
					BgL_tmpz00_7308 =
						(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7309))->
						BgL_freezd2markzd2);
				}
				return BINT(BgL_tmpz00_7308);
			}
		}

	}



/* &<@anonymous:1886> */
	obj_t BGl_z62zc3z04anonymousza31886ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4017)
	{
		{	/* Globalize/ginfo.scm 62 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1885 */
	obj_t BGl_z62lambda1885z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4018,
		obj_t BgL_oz00_4019, obj_t BgL_vz00_4020)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				bool_t BgL_vz00_4443;

				BgL_vz00_4443 = CBOOL(BgL_vz00_4020);
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7320;

					{
						obj_t BgL_auxz00_7321;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7322;

							BgL_tmpz00_7322 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_4019));
							BgL_auxz00_7321 = BGL_OBJECT_WIDENING(BgL_tmpz00_7322);
						}
						BgL_auxz00_7320 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7321);
					}
					return
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7320))->
							BgL_kapturedzf3zf3) = ((bool_t) BgL_vz00_4443), BUNSPEC);
				}
			}
		}

	}



/* &lambda1884 */
	obj_t BGl_z62lambda1884z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4021,
		obj_t BgL_oz00_4022)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				bool_t BgL_tmpz00_7328;

				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7329;

					{
						obj_t BgL_auxz00_7330;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7331;

							BgL_tmpz00_7331 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_4022));
							BgL_auxz00_7330 = BGL_OBJECT_WIDENING(BgL_tmpz00_7331);
						}
						BgL_auxz00_7329 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7330);
					}
					BgL_tmpz00_7328 =
						(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7329))->
						BgL_kapturedzf3zf3);
				}
				return BBOOL(BgL_tmpz00_7328);
			}
		}

	}



/* &lambda1544 */
	BgL_sfunz00_bglt BGl_z62lambda1544z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4023, obj_t BgL_o1148z00_4024)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				long BgL_arg1548z00_4446;

				{	/* Globalize/ginfo.scm 20 */
					obj_t BgL_arg1551z00_4447;

					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1552z00_4448;

						{	/* Globalize/ginfo.scm 20 */
							long BgL_arg1833z00_4449;

							{	/* Globalize/ginfo.scm 20 */
								long BgL_arg1834z00_4450;

								BgL_arg1834z00_4450 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_o1148z00_4024)));
								BgL_arg1833z00_4449 = (BgL_arg1834z00_4450 - OBJECT_TYPE);
							}
							BgL_arg1552z00_4448 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_4449);
						}
						BgL_arg1551z00_4447 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1552z00_4448);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_tmpz00_7344;

						BgL_tmpz00_7344 = ((obj_t) BgL_arg1551z00_4447);
						BgL_arg1548z00_4446 = BGL_CLASS_NUM(BgL_tmpz00_7344);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) BgL_o1148z00_4024)), BgL_arg1548z00_4446);
			}
			{	/* Globalize/ginfo.scm 20 */
				BgL_objectz00_bglt BgL_tmpz00_7350;

				BgL_tmpz00_7350 =
					((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1148z00_4024));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7350, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1148z00_4024));
			return ((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1148z00_4024));
		}

	}



/* &<@anonymous:1543> */
	obj_t BGl_z62zc3z04anonymousza31543ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4025, obj_t BgL_new1147z00_4026)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunz00_bglt BgL_auxz00_7358;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_new1147z00_4026))))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_propertyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_argszd2namezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_bodyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_dssslzd2keywordszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_optionalsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_keysz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 35))), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1147z00_4026))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7426;

					{
						obj_t BgL_auxz00_7427;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7428;

							BgL_tmpz00_7428 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7427 = BGL_OBJECT_WIDENING(BgL_tmpz00_7428);
						}
						BgL_auxz00_7426 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7427);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7426))->
							BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7434;

					{
						obj_t BgL_auxz00_7435;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7436;

							BgL_tmpz00_7436 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7435 = BGL_OBJECT_WIDENING(BgL_tmpz00_7436);
						}
						BgL_auxz00_7434 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7435);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7434))->
							BgL_cfromz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7442;

					{
						obj_t BgL_auxz00_7443;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7444;

							BgL_tmpz00_7444 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7443 = BGL_OBJECT_WIDENING(BgL_tmpz00_7444);
						}
						BgL_auxz00_7442 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7443);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7442))->
							BgL_cfromza2za2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7450;

					{
						obj_t BgL_auxz00_7451;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7452;

							BgL_tmpz00_7452 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7451 = BGL_OBJECT_WIDENING(BgL_tmpz00_7452);
						}
						BgL_auxz00_7450 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7451);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7450))->BgL_ctoz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7458;

					{
						obj_t BgL_auxz00_7459;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7460;

							BgL_tmpz00_7460 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7459 = BGL_OBJECT_WIDENING(BgL_tmpz00_7460);
						}
						BgL_auxz00_7458 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7459);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7458))->
							BgL_ctoza2za2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7466;

					{
						obj_t BgL_auxz00_7467;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7468;

							BgL_tmpz00_7468 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7467 = BGL_OBJECT_WIDENING(BgL_tmpz00_7468);
						}
						BgL_auxz00_7466 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7467);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7466))->
							BgL_efunctionsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7474;

					{
						obj_t BgL_auxz00_7475;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7476;

							BgL_tmpz00_7476 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7475 = BGL_OBJECT_WIDENING(BgL_tmpz00_7476);
						}
						BgL_auxz00_7474 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7475);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7474))->
							BgL_integratorz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7482;

					{
						obj_t BgL_auxz00_7483;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7484;

							BgL_tmpz00_7484 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7483 = BGL_OBJECT_WIDENING(BgL_tmpz00_7484);
						}
						BgL_auxz00_7482 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7483);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7482))->
							BgL_imarkz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7490;

					{
						obj_t BgL_auxz00_7491;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7492;

							BgL_tmpz00_7492 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7491 = BGL_OBJECT_WIDENING(BgL_tmpz00_7492);
						}
						BgL_auxz00_7490 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7491);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7490))->
							BgL_ownerz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7498;

					{
						obj_t BgL_auxz00_7499;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7500;

							BgL_tmpz00_7500 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7499 = BGL_OBJECT_WIDENING(BgL_tmpz00_7500);
						}
						BgL_auxz00_7498 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7499);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7498))->
							BgL_integratedz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7506;

					{
						obj_t BgL_auxz00_7507;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7508;

							BgL_tmpz00_7508 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7507 = BGL_OBJECT_WIDENING(BgL_tmpz00_7508);
						}
						BgL_auxz00_7506 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7507);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7506))->
							BgL_pluggedzd2inzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7514;

					{
						obj_t BgL_auxz00_7515;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7516;

							BgL_tmpz00_7516 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7515 = BGL_OBJECT_WIDENING(BgL_tmpz00_7516);
						}
						BgL_auxz00_7514 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7515);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7514))->
							BgL_markz00) = ((long) ((long) 0)), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7522;

					{
						obj_t BgL_auxz00_7523;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7524;

							BgL_tmpz00_7524 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7523 = BGL_OBJECT_WIDENING(BgL_tmpz00_7524);
						}
						BgL_auxz00_7522 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7523);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7522))->
							BgL_freezd2markzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7530;

					{
						obj_t BgL_auxz00_7531;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7532;

							BgL_tmpz00_7532 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7531 = BGL_OBJECT_WIDENING(BgL_tmpz00_7532);
						}
						BgL_auxz00_7530 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7531);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7530))->
							BgL_thezd2globalzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7538;

					{
						obj_t BgL_auxz00_7539;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7540;

							BgL_tmpz00_7540 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7539 = BGL_OBJECT_WIDENING(BgL_tmpz00_7540);
						}
						BgL_auxz00_7538 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7539);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7538))->
							BgL_kapturedz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7546;

					{
						obj_t BgL_auxz00_7547;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7548;

							BgL_tmpz00_7548 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7547 = BGL_OBJECT_WIDENING(BgL_tmpz00_7548);
						}
						BgL_auxz00_7546 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7547);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7546))->
							BgL_newzd2bodyzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7554;

					{
						obj_t BgL_auxz00_7555;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7556;

							BgL_tmpz00_7556 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7555 = BGL_OBJECT_WIDENING(BgL_tmpz00_7556);
						}
						BgL_auxz00_7554 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7555);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7554))->
							BgL_bmarkz00) = ((long) ((long) 0)), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7562;

					{
						obj_t BgL_auxz00_7563;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7564;

							BgL_tmpz00_7564 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7563 = BGL_OBJECT_WIDENING(BgL_tmpz00_7564);
						}
						BgL_auxz00_7562 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7563);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7562))->
							BgL_umarkz00) = ((long) ((long) 0)), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7570;

					{
						obj_t BgL_auxz00_7571;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7572;

							BgL_tmpz00_7572 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7571 = BGL_OBJECT_WIDENING(BgL_tmpz00_7572);
						}
						BgL_auxz00_7570 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7571);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7570))->
							BgL_freez00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7578;

					{
						obj_t BgL_auxz00_7579;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7580;

							BgL_tmpz00_7580 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1147z00_4026));
							BgL_auxz00_7579 = BGL_OBJECT_WIDENING(BgL_tmpz00_7580);
						}
						BgL_auxz00_7578 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7579);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7578))->
							BgL_boundz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_7358 = ((BgL_sfunz00_bglt) BgL_new1147z00_4026);
				return ((obj_t) BgL_auxz00_7358);
			}
		}

	}



/* &lambda1537 */
	BgL_sfunz00_bglt BGl_z62lambda1537z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4027, obj_t BgL_o1144z00_4028)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				BgL_sfunzf2ginfozf2_bglt BgL_wide1146z00_4453;

				BgL_wide1146z00_4453 =
					((BgL_sfunzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sfunzf2ginfozf2_bgl))));
				{	/* Globalize/ginfo.scm 20 */
					obj_t BgL_auxz00_7593;
					BgL_objectz00_bglt BgL_tmpz00_7589;

					BgL_auxz00_7593 = ((obj_t) BgL_wide1146z00_4453);
					BgL_tmpz00_7589 =
						((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1144z00_4028)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7589, BgL_auxz00_7593);
				}
				((BgL_objectz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1144z00_4028)));
				{	/* Globalize/ginfo.scm 20 */
					long BgL_arg1542z00_4454;

					BgL_arg1542z00_4454 =
						BGL_CLASS_NUM(BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_o1144z00_4028))), BgL_arg1542z00_4454);
				}
				return
					((BgL_sfunz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1144z00_4028)));
			}
		}

	}



/* &lambda1525 */
	BgL_sfunz00_bglt BGl_z62lambda1525z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4029, obj_t BgL_arity1102z00_4030,
		obj_t BgL_sidezd2effect1103zd2_4031, obj_t BgL_predicatezd2of1104zd2_4032,
		obj_t BgL_stackzd2allocator1105zd2_4033, obj_t BgL_topzf31106zf3_4034,
		obj_t BgL_thezd2closure1107zd2_4035, obj_t BgL_effect1108z00_4036,
		obj_t BgL_failsafe1109z00_4037, obj_t BgL_argszd2noescape1110zd2_4038,
		obj_t BgL_argszd2retescape1111zd2_4039, obj_t BgL_property1112z00_4040,
		obj_t BgL_args1113z00_4041, obj_t BgL_argszd2name1114zd2_4042,
		obj_t BgL_body1115z00_4043, obj_t BgL_class1116z00_4044,
		obj_t BgL_dssslzd2keywords1117zd2_4045, obj_t BgL_loc1118z00_4046,
		obj_t BgL_optionals1119z00_4047, obj_t BgL_keys1120z00_4048,
		obj_t BgL_thezd2closurezd2global1121z00_4049,
		obj_t BgL_strength1122z00_4050, obj_t BgL_stackable1123z00_4051,
		obj_t BgL_gzf31124zf3_4052, obj_t BgL_cfrom1125z00_4053,
		obj_t BgL_cfromza21126za2_4054, obj_t BgL_cto1127z00_4055,
		obj_t BgL_ctoza21128za2_4056, obj_t BgL_efunctions1129z00_4057,
		obj_t BgL_integrator1130z00_4058, obj_t BgL_imark1131z00_4059,
		obj_t BgL_owner1132z00_4060, obj_t BgL_integrated1133z00_4061,
		obj_t BgL_pluggedzd2in1134zd2_4062, obj_t BgL_mark1135z00_4063,
		obj_t BgL_freezd2mark1136zd2_4064, obj_t BgL_thezd2global1137zd2_4065,
		obj_t BgL_kaptured1138z00_4066, obj_t BgL_newzd2body1139zd2_4067,
		obj_t BgL_bmark1140z00_4068, obj_t BgL_umark1141z00_4069,
		obj_t BgL_free1142z00_4070, obj_t BgL_bound1143z00_4071)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				long BgL_arity1102z00_4455;
				bool_t BgL_topzf31106zf3_4456;
				bool_t BgL_gzf31124zf3_4458;
				long BgL_mark1135z00_4459;
				long BgL_bmark1140z00_4460;
				long BgL_umark1141z00_4461;

				BgL_arity1102z00_4455 = (long) CINT(BgL_arity1102z00_4030);
				BgL_topzf31106zf3_4456 = CBOOL(BgL_topzf31106zf3_4034);
				BgL_gzf31124zf3_4458 = CBOOL(BgL_gzf31124zf3_4052);
				BgL_mark1135z00_4459 = (long) CINT(BgL_mark1135z00_4063);
				BgL_bmark1140z00_4460 = (long) CINT(BgL_bmark1140z00_4068);
				BgL_umark1141z00_4461 = (long) CINT(BgL_umark1141z00_4069);
				{	/* Globalize/ginfo.scm 20 */
					BgL_sfunz00_bglt BgL_new1245z00_4462;

					{	/* Globalize/ginfo.scm 20 */
						BgL_sfunz00_bglt BgL_tmp1243z00_4463;
						BgL_sfunzf2ginfozf2_bglt BgL_wide1244z00_4464;

						{
							BgL_sfunz00_bglt BgL_auxz00_7613;

							{	/* Globalize/ginfo.scm 20 */
								BgL_sfunz00_bglt BgL_new1242z00_4465;

								BgL_new1242z00_4465 =
									((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Globalize/ginfo.scm 20 */
									long BgL_arg1536z00_4466;

									BgL_arg1536z00_4466 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1242z00_4465),
										BgL_arg1536z00_4466);
								}
								{	/* Globalize/ginfo.scm 20 */
									BgL_objectz00_bglt BgL_tmpz00_7618;

									BgL_tmpz00_7618 = ((BgL_objectz00_bglt) BgL_new1242z00_4465);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7618, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1242z00_4465);
								BgL_auxz00_7613 = BgL_new1242z00_4465;
							}
							BgL_tmp1243z00_4463 = ((BgL_sfunz00_bglt) BgL_auxz00_7613);
						}
						BgL_wide1244z00_4464 =
							((BgL_sfunzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sfunzf2ginfozf2_bgl))));
						{	/* Globalize/ginfo.scm 20 */
							obj_t BgL_auxz00_7626;
							BgL_objectz00_bglt BgL_tmpz00_7624;

							BgL_auxz00_7626 = ((obj_t) BgL_wide1244z00_4464);
							BgL_tmpz00_7624 = ((BgL_objectz00_bglt) BgL_tmp1243z00_4463);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7624, BgL_auxz00_7626);
						}
						((BgL_objectz00_bglt) BgL_tmp1243z00_4463);
						{	/* Globalize/ginfo.scm 20 */
							long BgL_arg1534z00_4467;

							BgL_arg1534z00_4467 =
								BGL_CLASS_NUM(BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1243z00_4463),
								BgL_arg1534z00_4467);
						}
						BgL_new1245z00_4462 = ((BgL_sfunz00_bglt) BgL_tmp1243z00_4463);
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1245z00_4462)))->BgL_arityz00) =
						((long) BgL_arity1102z00_4455), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1245z00_4462)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1103zd2_4031), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1245z00_4462)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1104zd2_4032), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1245z00_4462)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1105zd2_4033), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1245z00_4462)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31106zf3_4456), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1245z00_4462)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1107zd2_4035), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1245z00_4462)))->BgL_effectz00) =
						((obj_t) BgL_effect1108z00_4036), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1245z00_4462)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1109z00_4037), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1245z00_4462)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1110zd2_4038), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1245z00_4462)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1111zd2_4039), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1245z00_4462)))->BgL_propertyz00) =
						((obj_t) BgL_property1112z00_4040), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1245z00_4462)))->BgL_argsz00) =
						((obj_t) BgL_args1113z00_4041), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1245z00_4462)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1114zd2_4042), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1245z00_4462)))->BgL_bodyz00) =
						((obj_t) BgL_body1115z00_4043), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1245z00_4462)))->BgL_classz00) =
						((obj_t) BgL_class1116z00_4044), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1245z00_4462)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1117zd2_4045), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1245z00_4462)))->BgL_locz00) =
						((obj_t) BgL_loc1118z00_4046), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1245z00_4462)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1119z00_4047), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1245z00_4462)))->BgL_keysz00) =
						((obj_t) BgL_keys1120z00_4048), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1245z00_4462)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1121z00_4049), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1245z00_4462)))->BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1122z00_4050)), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1245z00_4462)))->BgL_stackablez00) =
						((obj_t) BgL_stackable1123z00_4051), BUNSPEC);
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7679;

						{
							obj_t BgL_auxz00_7680;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7681;

								BgL_tmpz00_7681 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7680 = BGL_OBJECT_WIDENING(BgL_tmpz00_7681);
							}
							BgL_auxz00_7679 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7680);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7679))->
								BgL_gzf3zf3) = ((bool_t) BgL_gzf31124zf3_4458), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7686;

						{
							obj_t BgL_auxz00_7687;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7688;

								BgL_tmpz00_7688 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7687 = BGL_OBJECT_WIDENING(BgL_tmpz00_7688);
							}
							BgL_auxz00_7686 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7687);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7686))->
								BgL_cfromz00) = ((obj_t) BgL_cfrom1125z00_4053), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7693;

						{
							obj_t BgL_auxz00_7694;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7695;

								BgL_tmpz00_7695 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7694 = BGL_OBJECT_WIDENING(BgL_tmpz00_7695);
							}
							BgL_auxz00_7693 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7694);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7693))->
								BgL_cfromza2za2) = ((obj_t) BgL_cfromza21126za2_4054), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7700;

						{
							obj_t BgL_auxz00_7701;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7702;

								BgL_tmpz00_7702 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7701 = BGL_OBJECT_WIDENING(BgL_tmpz00_7702);
							}
							BgL_auxz00_7700 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7701);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7700))->
								BgL_ctoz00) = ((obj_t) BgL_cto1127z00_4055), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7707;

						{
							obj_t BgL_auxz00_7708;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7709;

								BgL_tmpz00_7709 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7708 = BGL_OBJECT_WIDENING(BgL_tmpz00_7709);
							}
							BgL_auxz00_7707 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7708);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7707))->
								BgL_ctoza2za2) = ((obj_t) BgL_ctoza21128za2_4056), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7714;

						{
							obj_t BgL_auxz00_7715;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7716;

								BgL_tmpz00_7716 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7715 = BGL_OBJECT_WIDENING(BgL_tmpz00_7716);
							}
							BgL_auxz00_7714 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7715);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7714))->
								BgL_efunctionsz00) =
							((obj_t) BgL_efunctions1129z00_4057), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7721;

						{
							obj_t BgL_auxz00_7722;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7723;

								BgL_tmpz00_7723 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7722 = BGL_OBJECT_WIDENING(BgL_tmpz00_7723);
							}
							BgL_auxz00_7721 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7722);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7721))->
								BgL_integratorz00) =
							((obj_t) BgL_integrator1130z00_4058), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7728;

						{
							obj_t BgL_auxz00_7729;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7730;

								BgL_tmpz00_7730 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7729 = BGL_OBJECT_WIDENING(BgL_tmpz00_7730);
							}
							BgL_auxz00_7728 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7729);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7728))->
								BgL_imarkz00) = ((obj_t) BgL_imark1131z00_4059), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7735;

						{
							obj_t BgL_auxz00_7736;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7737;

								BgL_tmpz00_7737 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7736 = BGL_OBJECT_WIDENING(BgL_tmpz00_7737);
							}
							BgL_auxz00_7735 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7736);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7735))->
								BgL_ownerz00) = ((obj_t) BgL_owner1132z00_4060), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7742;

						{
							obj_t BgL_auxz00_7743;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7744;

								BgL_tmpz00_7744 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7743 = BGL_OBJECT_WIDENING(BgL_tmpz00_7744);
							}
							BgL_auxz00_7742 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7743);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7742))->
								BgL_integratedz00) =
							((obj_t) BgL_integrated1133z00_4061), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7749;

						{
							obj_t BgL_auxz00_7750;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7751;

								BgL_tmpz00_7751 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7750 = BGL_OBJECT_WIDENING(BgL_tmpz00_7751);
							}
							BgL_auxz00_7749 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7750);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7749))->
								BgL_pluggedzd2inzd2) =
							((obj_t) BgL_pluggedzd2in1134zd2_4062), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7756;

						{
							obj_t BgL_auxz00_7757;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7758;

								BgL_tmpz00_7758 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7757 = BGL_OBJECT_WIDENING(BgL_tmpz00_7758);
							}
							BgL_auxz00_7756 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7757);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7756))->
								BgL_markz00) = ((long) BgL_mark1135z00_4459), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7763;

						{
							obj_t BgL_auxz00_7764;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7765;

								BgL_tmpz00_7765 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7764 = BGL_OBJECT_WIDENING(BgL_tmpz00_7765);
							}
							BgL_auxz00_7763 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7764);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7763))->
								BgL_freezd2markzd2) =
							((obj_t) BgL_freezd2mark1136zd2_4064), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7770;

						{
							obj_t BgL_auxz00_7771;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7772;

								BgL_tmpz00_7772 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7771 = BGL_OBJECT_WIDENING(BgL_tmpz00_7772);
							}
							BgL_auxz00_7770 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7771);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7770))->
								BgL_thezd2globalzd2) =
							((obj_t) BgL_thezd2global1137zd2_4065), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7777;

						{
							obj_t BgL_auxz00_7778;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7779;

								BgL_tmpz00_7779 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7778 = BGL_OBJECT_WIDENING(BgL_tmpz00_7779);
							}
							BgL_auxz00_7777 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7778);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7777))->
								BgL_kapturedz00) = ((obj_t) BgL_kaptured1138z00_4066), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7784;

						{
							obj_t BgL_auxz00_7785;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7786;

								BgL_tmpz00_7786 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7785 = BGL_OBJECT_WIDENING(BgL_tmpz00_7786);
							}
							BgL_auxz00_7784 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7785);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7784))->
								BgL_newzd2bodyzd2) =
							((obj_t) BgL_newzd2body1139zd2_4067), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7791;

						{
							obj_t BgL_auxz00_7792;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7793;

								BgL_tmpz00_7793 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7792 = BGL_OBJECT_WIDENING(BgL_tmpz00_7793);
							}
							BgL_auxz00_7791 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7792);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7791))->
								BgL_bmarkz00) = ((long) BgL_bmark1140z00_4460), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7798;

						{
							obj_t BgL_auxz00_7799;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7800;

								BgL_tmpz00_7800 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7799 = BGL_OBJECT_WIDENING(BgL_tmpz00_7800);
							}
							BgL_auxz00_7798 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7799);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7798))->
								BgL_umarkz00) = ((long) BgL_umark1141z00_4461), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7805;

						{
							obj_t BgL_auxz00_7806;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7807;

								BgL_tmpz00_7807 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7806 = BGL_OBJECT_WIDENING(BgL_tmpz00_7807);
							}
							BgL_auxz00_7805 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7806);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7805))->
								BgL_freez00) = ((obj_t) BgL_free1142z00_4070), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7812;

						{
							obj_t BgL_auxz00_7813;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7814;

								BgL_tmpz00_7814 = ((BgL_objectz00_bglt) BgL_new1245z00_4462);
								BgL_auxz00_7813 = BGL_OBJECT_WIDENING(BgL_tmpz00_7814);
							}
							BgL_auxz00_7812 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7813);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7812))->
								BgL_boundz00) = ((obj_t) BgL_bound1143z00_4071), BUNSPEC);
					}
					return BgL_new1245z00_4462;
				}
			}
		}

	}



/* &<@anonymous:1853> */
	obj_t BGl_z62zc3z04anonymousza31853ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4072)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BNIL;
		}

	}



/* &lambda1852 */
	obj_t BGl_z62lambda1852z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4073,
		obj_t BgL_oz00_4074, obj_t BgL_vz00_4075)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7819;

				{
					obj_t BgL_auxz00_7820;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_7821;

						BgL_tmpz00_7821 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4074));
						BgL_auxz00_7820 = BGL_OBJECT_WIDENING(BgL_tmpz00_7821);
					}
					BgL_auxz00_7819 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7820);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7819))->
						BgL_boundz00) = ((obj_t) BgL_vz00_4075), BUNSPEC);
			}
		}

	}



/* &lambda1851 */
	obj_t BGl_z62lambda1851z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4076,
		obj_t BgL_oz00_4077)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7827;

				{
					obj_t BgL_auxz00_7828;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_7829;

						BgL_tmpz00_7829 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4077));
						BgL_auxz00_7828 = BGL_OBJECT_WIDENING(BgL_tmpz00_7829);
					}
					BgL_auxz00_7827 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7828);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7827))->BgL_boundz00);
			}
		}

	}



/* &<@anonymous:1840> */
	obj_t BGl_z62zc3z04anonymousza31840ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4078)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BUNSPEC;
		}

	}



/* &lambda1839 */
	obj_t BGl_z62lambda1839z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4079,
		obj_t BgL_oz00_4080, obj_t BgL_vz00_4081)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7835;

				{
					obj_t BgL_auxz00_7836;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_7837;

						BgL_tmpz00_7837 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4080));
						BgL_auxz00_7836 = BGL_OBJECT_WIDENING(BgL_tmpz00_7837);
					}
					BgL_auxz00_7835 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7836);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7835))->
						BgL_freez00) = ((obj_t) BgL_vz00_4081), BUNSPEC);
			}
		}

	}



/* &lambda1838 */
	obj_t BGl_z62lambda1838z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4082,
		obj_t BgL_oz00_4083)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7843;

				{
					obj_t BgL_auxz00_7844;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_7845;

						BgL_tmpz00_7845 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4083));
						BgL_auxz00_7844 = BGL_OBJECT_WIDENING(BgL_tmpz00_7845);
					}
					BgL_auxz00_7843 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7844);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7843))->BgL_freez00);
			}
		}

	}



/* &<@anonymous:1813> */
	obj_t BGl_z62zc3z04anonymousza31813ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4084)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BINT(((long) -10));
		}

	}



/* &lambda1812 */
	obj_t BGl_z62lambda1812z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4085,
		obj_t BgL_oz00_4086, obj_t BgL_vz00_4087)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				long BgL_vz00_4473;

				BgL_vz00_4473 = (long) CINT(BgL_vz00_4087);
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7853;

					{
						obj_t BgL_auxz00_7854;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7855;

							BgL_tmpz00_7855 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4086));
							BgL_auxz00_7854 = BGL_OBJECT_WIDENING(BgL_tmpz00_7855);
						}
						BgL_auxz00_7853 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7854);
					}
					return
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7853))->
							BgL_umarkz00) = ((long) BgL_vz00_4473), BUNSPEC);
		}}}

	}



/* &lambda1811 */
	obj_t BGl_z62lambda1811z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4088,
		obj_t BgL_oz00_4089)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				long BgL_tmpz00_7861;

				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7862;

					{
						obj_t BgL_auxz00_7863;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7864;

							BgL_tmpz00_7864 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4089));
							BgL_auxz00_7863 = BGL_OBJECT_WIDENING(BgL_tmpz00_7864);
						}
						BgL_auxz00_7862 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7863);
					}
					BgL_tmpz00_7861 =
						(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7862))->
						BgL_umarkz00);
				}
				return BINT(BgL_tmpz00_7861);
			}
		}

	}



/* &<@anonymous:1802> */
	obj_t BGl_z62zc3z04anonymousza31802ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4090)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BINT(((long) -10));
		}

	}



/* &lambda1801 */
	obj_t BGl_z62lambda1801z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4091,
		obj_t BgL_oz00_4092, obj_t BgL_vz00_4093)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				long BgL_vz00_4476;

				BgL_vz00_4476 = (long) CINT(BgL_vz00_4093);
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7873;

					{
						obj_t BgL_auxz00_7874;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7875;

							BgL_tmpz00_7875 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4092));
							BgL_auxz00_7874 = BGL_OBJECT_WIDENING(BgL_tmpz00_7875);
						}
						BgL_auxz00_7873 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7874);
					}
					return
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7873))->
							BgL_bmarkz00) = ((long) BgL_vz00_4476), BUNSPEC);
		}}}

	}



/* &lambda1800 */
	obj_t BGl_z62lambda1800z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4094,
		obj_t BgL_oz00_4095)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				long BgL_tmpz00_7881;

				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7882;

					{
						obj_t BgL_auxz00_7883;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7884;

							BgL_tmpz00_7884 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4095));
							BgL_auxz00_7883 = BGL_OBJECT_WIDENING(BgL_tmpz00_7884);
						}
						BgL_auxz00_7882 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7883);
					}
					BgL_tmpz00_7881 =
						(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7882))->
						BgL_bmarkz00);
				}
				return BINT(BgL_tmpz00_7881);
			}
		}

	}



/* &<@anonymous:1784> */
	obj_t BGl_z62zc3z04anonymousza31784ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4096)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1783 */
	obj_t BGl_z62lambda1783z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4097,
		obj_t BgL_oz00_4098, obj_t BgL_vz00_4099)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7892;

				{
					obj_t BgL_auxz00_7893;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_7894;

						BgL_tmpz00_7894 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4098));
						BgL_auxz00_7893 = BGL_OBJECT_WIDENING(BgL_tmpz00_7894);
					}
					BgL_auxz00_7892 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7893);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7892))->
						BgL_newzd2bodyzd2) = ((obj_t) BgL_vz00_4099), BUNSPEC);
			}
		}

	}



/* &lambda1782 */
	obj_t BGl_z62lambda1782z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4100,
		obj_t BgL_oz00_4101)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7900;

				{
					obj_t BgL_auxz00_7901;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_7902;

						BgL_tmpz00_7902 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4101));
						BgL_auxz00_7901 = BGL_OBJECT_WIDENING(BgL_tmpz00_7902);
					}
					BgL_auxz00_7900 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7901);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7900))->
					BgL_newzd2bodyzd2);
			}
		}

	}



/* &<@anonymous:1766> */
	obj_t BGl_z62zc3z04anonymousza31766ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4102)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1765 */
	obj_t BGl_z62lambda1765z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4103,
		obj_t BgL_oz00_4104, obj_t BgL_vz00_4105)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7909;

				{
					obj_t BgL_auxz00_7910;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_7911;

						BgL_tmpz00_7911 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4104));
						BgL_auxz00_7910 = BGL_OBJECT_WIDENING(BgL_tmpz00_7911);
					}
					BgL_auxz00_7909 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7910);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7909))->
						BgL_kapturedz00) = ((obj_t) BgL_vz00_4105), BUNSPEC);
			}
		}

	}



/* &lambda1764 */
	obj_t BGl_z62lambda1764z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4106,
		obj_t BgL_oz00_4107)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7917;

				{
					obj_t BgL_auxz00_7918;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_7919;

						BgL_tmpz00_7919 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4107));
						BgL_auxz00_7918 = BGL_OBJECT_WIDENING(BgL_tmpz00_7919);
					}
					BgL_auxz00_7917 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7918);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7917))->
					BgL_kapturedz00);
			}
		}

	}



/* &<@anonymous:1756> */
	obj_t BGl_z62zc3z04anonymousza31756ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4108)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1755 */
	obj_t BGl_z62lambda1755z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4109,
		obj_t BgL_oz00_4110, obj_t BgL_vz00_4111)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7926;

				{
					obj_t BgL_auxz00_7927;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_7928;

						BgL_tmpz00_7928 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4110));
						BgL_auxz00_7927 = BGL_OBJECT_WIDENING(BgL_tmpz00_7928);
					}
					BgL_auxz00_7926 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7927);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7926))->
						BgL_thezd2globalzd2) = ((obj_t) BgL_vz00_4111), BUNSPEC);
			}
		}

	}



/* &lambda1754 */
	obj_t BGl_z62lambda1754z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4112,
		obj_t BgL_oz00_4113)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7934;

				{
					obj_t BgL_auxz00_7935;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_7936;

						BgL_tmpz00_7936 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4113));
						BgL_auxz00_7935 = BGL_OBJECT_WIDENING(BgL_tmpz00_7936);
					}
					BgL_auxz00_7934 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7935);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7934))->
					BgL_thezd2globalzd2);
			}
		}

	}



/* &<@anonymous:1749> */
	obj_t BGl_z62zc3z04anonymousza31749ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4114)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BNIL;
		}

	}



/* &lambda1748 */
	obj_t BGl_z62lambda1748z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4115,
		obj_t BgL_oz00_4116, obj_t BgL_vz00_4117)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7942;

				{
					obj_t BgL_auxz00_7943;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_7944;

						BgL_tmpz00_7944 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4116));
						BgL_auxz00_7943 = BGL_OBJECT_WIDENING(BgL_tmpz00_7944);
					}
					BgL_auxz00_7942 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7943);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7942))->
						BgL_freezd2markzd2) = ((obj_t) BgL_vz00_4117), BUNSPEC);
			}
		}

	}



/* &lambda1747 */
	obj_t BGl_z62lambda1747z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4118,
		obj_t BgL_oz00_4119)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7950;

				{
					obj_t BgL_auxz00_7951;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_7952;

						BgL_tmpz00_7952 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4119));
						BgL_auxz00_7951 = BGL_OBJECT_WIDENING(BgL_tmpz00_7952);
					}
					BgL_auxz00_7950 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7951);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7950))->
					BgL_freezd2markzd2);
			}
		}

	}



/* &<@anonymous:1741> */
	obj_t BGl_z62zc3z04anonymousza31741ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4120)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BINT(((long) -10));
		}

	}



/* &lambda1740 */
	obj_t BGl_z62lambda1740z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4121,
		obj_t BgL_oz00_4122, obj_t BgL_vz00_4123)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				long BgL_vz00_4487;

				BgL_vz00_4487 = (long) CINT(BgL_vz00_4123);
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7960;

					{
						obj_t BgL_auxz00_7961;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7962;

							BgL_tmpz00_7962 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4122));
							BgL_auxz00_7961 = BGL_OBJECT_WIDENING(BgL_tmpz00_7962);
						}
						BgL_auxz00_7960 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7961);
					}
					return
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7960))->
							BgL_markz00) = ((long) BgL_vz00_4487), BUNSPEC);
		}}}

	}



/* &lambda1739 */
	obj_t BGl_z62lambda1739z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4124,
		obj_t BgL_oz00_4125)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				long BgL_tmpz00_7968;

				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7969;

					{
						obj_t BgL_auxz00_7970;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7971;

							BgL_tmpz00_7971 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4125));
							BgL_auxz00_7970 = BGL_OBJECT_WIDENING(BgL_tmpz00_7971);
						}
						BgL_auxz00_7969 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7970);
					}
					BgL_tmpz00_7968 =
						(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7969))->
						BgL_markz00);
				}
				return BINT(BgL_tmpz00_7968);
			}
		}

	}



/* &<@anonymous:1726> */
	obj_t BGl_z62zc3z04anonymousza31726ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4126)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BNIL;
		}

	}



/* &lambda1725 */
	obj_t BGl_z62lambda1725z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4127,
		obj_t BgL_oz00_4128, obj_t BgL_vz00_4129)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7978;

				{
					obj_t BgL_auxz00_7979;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_7980;

						BgL_tmpz00_7980 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4128));
						BgL_auxz00_7979 = BGL_OBJECT_WIDENING(BgL_tmpz00_7980);
					}
					BgL_auxz00_7978 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7979);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7978))->
						BgL_pluggedzd2inzd2) = ((obj_t) BgL_vz00_4129), BUNSPEC);
			}
		}

	}



/* &lambda1724 */
	obj_t BGl_z62lambda1724z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4130,
		obj_t BgL_oz00_4131)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7986;

				{
					obj_t BgL_auxz00_7987;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_7988;

						BgL_tmpz00_7988 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4131));
						BgL_auxz00_7987 = BGL_OBJECT_WIDENING(BgL_tmpz00_7988);
					}
					BgL_auxz00_7986 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7987);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7986))->
					BgL_pluggedzd2inzd2);
			}
		}

	}



/* &<@anonymous:1714> */
	obj_t BGl_z62zc3z04anonymousza31714ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4132)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BNIL;
		}

	}



/* &lambda1713 */
	obj_t BGl_z62lambda1713z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4133,
		obj_t BgL_oz00_4134, obj_t BgL_vz00_4135)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7994;

				{
					obj_t BgL_auxz00_7995;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_7996;

						BgL_tmpz00_7996 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4134));
						BgL_auxz00_7995 = BGL_OBJECT_WIDENING(BgL_tmpz00_7996);
					}
					BgL_auxz00_7994 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7995);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7994))->
						BgL_integratedz00) = ((obj_t) BgL_vz00_4135), BUNSPEC);
			}
		}

	}



/* &lambda1712 */
	obj_t BGl_z62lambda1712z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4136,
		obj_t BgL_oz00_4137)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8002;

				{
					obj_t BgL_auxz00_8003;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8004;

						BgL_tmpz00_8004 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4137));
						BgL_auxz00_8003 = BGL_OBJECT_WIDENING(BgL_tmpz00_8004);
					}
					BgL_auxz00_8002 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8003);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8002))->
					BgL_integratedz00);
			}
		}

	}



/* &<@anonymous:1697> */
	obj_t BGl_z62zc3z04anonymousza31697ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4138)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1696 */
	obj_t BGl_z62lambda1696z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4139,
		obj_t BgL_oz00_4140, obj_t BgL_vz00_4141)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8011;

				{
					obj_t BgL_auxz00_8012;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8013;

						BgL_tmpz00_8013 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4140));
						BgL_auxz00_8012 = BGL_OBJECT_WIDENING(BgL_tmpz00_8013);
					}
					BgL_auxz00_8011 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8012);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8011))->
						BgL_ownerz00) = ((obj_t) BgL_vz00_4141), BUNSPEC);
			}
		}

	}



/* &lambda1695 */
	obj_t BGl_z62lambda1695z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4142,
		obj_t BgL_oz00_4143)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8019;

				{
					obj_t BgL_auxz00_8020;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8021;

						BgL_tmpz00_8021 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4143));
						BgL_auxz00_8020 = BGL_OBJECT_WIDENING(BgL_tmpz00_8021);
					}
					BgL_auxz00_8019 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8020);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8019))->BgL_ownerz00);
			}
		}

	}



/* &<@anonymous:1678> */
	obj_t BGl_z62zc3z04anonymousza31678ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4144)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BNIL;
		}

	}



/* &lambda1677 */
	obj_t BGl_z62lambda1677z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4145,
		obj_t BgL_oz00_4146, obj_t BgL_vz00_4147)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8027;

				{
					obj_t BgL_auxz00_8028;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8029;

						BgL_tmpz00_8029 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4146));
						BgL_auxz00_8028 = BGL_OBJECT_WIDENING(BgL_tmpz00_8029);
					}
					BgL_auxz00_8027 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8028);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8027))->
						BgL_imarkz00) = ((obj_t) BgL_vz00_4147), BUNSPEC);
			}
		}

	}



/* &lambda1676 */
	obj_t BGl_z62lambda1676z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4148,
		obj_t BgL_oz00_4149)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8035;

				{
					obj_t BgL_auxz00_8036;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8037;

						BgL_tmpz00_8037 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4149));
						BgL_auxz00_8036 = BGL_OBJECT_WIDENING(BgL_tmpz00_8037);
					}
					BgL_auxz00_8035 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8036);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8035))->BgL_imarkz00);
			}
		}

	}



/* &<@anonymous:1663> */
	obj_t BGl_z62zc3z04anonymousza31663ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4150)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BUNSPEC;
		}

	}



/* &lambda1662 */
	obj_t BGl_z62lambda1662z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4151,
		obj_t BgL_oz00_4152, obj_t BgL_vz00_4153)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8043;

				{
					obj_t BgL_auxz00_8044;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8045;

						BgL_tmpz00_8045 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4152));
						BgL_auxz00_8044 = BGL_OBJECT_WIDENING(BgL_tmpz00_8045);
					}
					BgL_auxz00_8043 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8044);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8043))->
						BgL_integratorz00) = ((obj_t) BgL_vz00_4153), BUNSPEC);
			}
		}

	}



/* &lambda1661 */
	obj_t BGl_z62lambda1661z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4154,
		obj_t BgL_oz00_4155)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8051;

				{
					obj_t BgL_auxz00_8052;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8053;

						BgL_tmpz00_8053 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4155));
						BgL_auxz00_8052 = BGL_OBJECT_WIDENING(BgL_tmpz00_8053);
					}
					BgL_auxz00_8051 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8052);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8051))->
					BgL_integratorz00);
			}
		}

	}



/* &<@anonymous:1650> */
	obj_t BGl_z62zc3z04anonymousza31650ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4156)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BNIL;
		}

	}



/* &lambda1649 */
	obj_t BGl_z62lambda1649z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4157,
		obj_t BgL_oz00_4158, obj_t BgL_vz00_4159)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8059;

				{
					obj_t BgL_auxz00_8060;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8061;

						BgL_tmpz00_8061 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4158));
						BgL_auxz00_8060 = BGL_OBJECT_WIDENING(BgL_tmpz00_8061);
					}
					BgL_auxz00_8059 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8060);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8059))->
						BgL_efunctionsz00) = ((obj_t) BgL_vz00_4159), BUNSPEC);
			}
		}

	}



/* &lambda1648 */
	obj_t BGl_z62lambda1648z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4160,
		obj_t BgL_oz00_4161)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8067;

				{
					obj_t BgL_auxz00_8068;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8069;

						BgL_tmpz00_8069 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4161));
						BgL_auxz00_8068 = BGL_OBJECT_WIDENING(BgL_tmpz00_8069);
					}
					BgL_auxz00_8067 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8068);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8067))->
					BgL_efunctionsz00);
			}
		}

	}



/* &<@anonymous:1623> */
	obj_t BGl_z62zc3z04anonymousza31623ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4162)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1622 */
	obj_t BGl_z62lambda1622z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4163,
		obj_t BgL_oz00_4164, obj_t BgL_vz00_4165)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8076;

				{
					obj_t BgL_auxz00_8077;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8078;

						BgL_tmpz00_8078 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4164));
						BgL_auxz00_8077 = BGL_OBJECT_WIDENING(BgL_tmpz00_8078);
					}
					BgL_auxz00_8076 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8077);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8076))->
						BgL_ctoza2za2) = ((obj_t) BgL_vz00_4165), BUNSPEC);
			}
		}

	}



/* &lambda1621 */
	obj_t BGl_z62lambda1621z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4166,
		obj_t BgL_oz00_4167)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8084;

				{
					obj_t BgL_auxz00_8085;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8086;

						BgL_tmpz00_8086 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4167));
						BgL_auxz00_8085 = BGL_OBJECT_WIDENING(BgL_tmpz00_8086);
					}
					BgL_auxz00_8084 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8085);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8084))->
					BgL_ctoza2za2);
			}
		}

	}



/* &<@anonymous:1607> */
	obj_t BGl_z62zc3z04anonymousza31607ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4168)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BNIL;
		}

	}



/* &lambda1606 */
	obj_t BGl_z62lambda1606z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4169,
		obj_t BgL_oz00_4170, obj_t BgL_vz00_4171)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8092;

				{
					obj_t BgL_auxz00_8093;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8094;

						BgL_tmpz00_8094 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4170));
						BgL_auxz00_8093 = BGL_OBJECT_WIDENING(BgL_tmpz00_8094);
					}
					BgL_auxz00_8092 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8093);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8092))->BgL_ctoz00) =
					((obj_t) BgL_vz00_4171), BUNSPEC);
			}
		}

	}



/* &lambda1605 */
	obj_t BGl_z62lambda1605z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4172,
		obj_t BgL_oz00_4173)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8100;

				{
					obj_t BgL_auxz00_8101;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8102;

						BgL_tmpz00_8102 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4173));
						BgL_auxz00_8101 = BGL_OBJECT_WIDENING(BgL_tmpz00_8102);
					}
					BgL_auxz00_8100 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8101);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8100))->BgL_ctoz00);
			}
		}

	}



/* &<@anonymous:1598> */
	obj_t BGl_z62zc3z04anonymousza31598ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4174)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1597 */
	obj_t BGl_z62lambda1597z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4175,
		obj_t BgL_oz00_4176, obj_t BgL_vz00_4177)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8109;

				{
					obj_t BgL_auxz00_8110;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8111;

						BgL_tmpz00_8111 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4176));
						BgL_auxz00_8110 = BGL_OBJECT_WIDENING(BgL_tmpz00_8111);
					}
					BgL_auxz00_8109 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8110);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8109))->
						BgL_cfromza2za2) = ((obj_t) BgL_vz00_4177), BUNSPEC);
			}
		}

	}



/* &lambda1596 */
	obj_t BGl_z62lambda1596z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4178,
		obj_t BgL_oz00_4179)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8117;

				{
					obj_t BgL_auxz00_8118;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8119;

						BgL_tmpz00_8119 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4179));
						BgL_auxz00_8118 = BGL_OBJECT_WIDENING(BgL_tmpz00_8119);
					}
					BgL_auxz00_8117 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8118);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8117))->
					BgL_cfromza2za2);
			}
		}

	}



/* &<@anonymous:1584> */
	obj_t BGl_z62zc3z04anonymousza31584ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4180)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BNIL;
		}

	}



/* &lambda1583 */
	obj_t BGl_z62lambda1583z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4181,
		obj_t BgL_oz00_4182, obj_t BgL_vz00_4183)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8125;

				{
					obj_t BgL_auxz00_8126;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8127;

						BgL_tmpz00_8127 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4182));
						BgL_auxz00_8126 = BGL_OBJECT_WIDENING(BgL_tmpz00_8127);
					}
					BgL_auxz00_8125 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8126);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8125))->
						BgL_cfromz00) = ((obj_t) BgL_vz00_4183), BUNSPEC);
			}
		}

	}



/* &lambda1582 */
	obj_t BGl_z62lambda1582z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4184,
		obj_t BgL_oz00_4185)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8133;

				{
					obj_t BgL_auxz00_8134;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8135;

						BgL_tmpz00_8135 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4185));
						BgL_auxz00_8134 = BGL_OBJECT_WIDENING(BgL_tmpz00_8135);
					}
					BgL_auxz00_8133 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8134);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8133))->BgL_cfromz00);
			}
		}

	}



/* &<@anonymous:1567> */
	obj_t BGl_z62zc3z04anonymousza31567ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4186)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1566 */
	obj_t BGl_z62lambda1566z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4187,
		obj_t BgL_oz00_4188, obj_t BgL_vz00_4189)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				bool_t BgL_vz00_4510;

				BgL_vz00_4510 = CBOOL(BgL_vz00_4189);
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8143;

					{
						obj_t BgL_auxz00_8144;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_8145;

							BgL_tmpz00_8145 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4188));
							BgL_auxz00_8144 = BGL_OBJECT_WIDENING(BgL_tmpz00_8145);
						}
						BgL_auxz00_8143 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8144);
					}
					return
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8143))->
							BgL_gzf3zf3) = ((bool_t) BgL_vz00_4510), BUNSPEC);
				}
			}
		}

	}



/* &lambda1565 */
	obj_t BGl_z62lambda1565z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4190,
		obj_t BgL_oz00_4191)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				bool_t BgL_tmpz00_8151;

				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8152;

					{
						obj_t BgL_auxz00_8153;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_8154;

							BgL_tmpz00_8154 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4191));
							BgL_auxz00_8153 = BGL_OBJECT_WIDENING(BgL_tmpz00_8154);
						}
						BgL_auxz00_8152 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8153);
					}
					BgL_tmpz00_8151 =
						(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8152))->
						BgL_gzf3zf3);
				}
				return BBOOL(BgL_tmpz00_8151);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_ginfoza7()
	{
		{	/* Globalize/ginfo.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_ginfoza7()
	{
		{	/* Globalize/ginfo.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_ginfoza7()
	{
		{	/* Globalize/ginfo.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2214z00zzglobaliza7e_ginfoza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2214z00zzglobaliza7e_ginfoza7));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2214z00zzglobaliza7e_ginfoza7));
		}

	}

#ifdef __cplusplus
}
#endif
