/*===========================================================================*/
/*   (Globalize/loc2glo.scm)                                                 */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/loc2glo.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_svarzf2ginfozf2_bgl
	{
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
		bool_t BgL_celledzf3zf3;
		bool_t BgL_stackablez00;
	}                      *BgL_svarzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;

	typedef struct BgL_globalzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		obj_t BgL_globalzd2closurezd2;
	}                        *BgL_globalzf2ginfozf2_bglt;


	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96
		(BgL_localz00_bglt);
	static BgL_nodez00_bglt
		BGl_makezd2escapingzd2bodyz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_localz00_bglt, BgL_globalz00_bglt, obj_t, obj_t, BgL_localz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t
		BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96 =
		BUNSPEC;
	extern obj_t BGl_zb2zd2arityz60zztools_argsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static BgL_globalz00_bglt
		BGl_fixzd2nonzd2escapingzd2definitionzd2zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt, BgL_localz00_bglt, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62thezd2globalzb0zzglobaliza7e_localzd2ze3globalz96(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	extern obj_t BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzglobaliza7e_localzd2ze3globalz96(obj_t,
		obj_t);
	extern obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
	extern BgL_nodez00_bglt
		BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_methodz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_thezd2closurezd2zzglobaliza7e_freeza7(BgL_variablez00_bglt,
		obj_t);
	static BgL_globalz00_bglt
		BGl_z62localzd2ze3globalz53zzglobaliza7e_localzd2ze3globalz96(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t
		BGl_importedzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96();
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_localzd2ze3globalz96();
	static BgL_globalz00_bglt
		BGl_fixzd2escapingzd2definitionz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt, BgL_localz00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern bool_t
		BGl_localzd2iszd2methodzf3zf3zzobject_methodz00(BgL_localz00_bglt);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t __cnst[9];


	   
		 
		DEFINE_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl_string1949za700za7za7g1953za7, "globalize_local->global", 23);
	      DEFINE_STRING(BGl_string1950z00zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl_string1950za700za7za7g1954za7,
		"now sfun static & cell-globalize write value procedure-ref env ", 63);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2ze3globalzd2envze3zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl_za762localza7d2za7e3gl1955za7,
		BGl_z62localzd2ze3globalz53zzglobaliza7e_localzd2ze3globalz96, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_thezd2globalzd2envz00zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl_za762theza7d2globalza71956za7,
		BGl_z62thezd2globalzb0zzglobaliza7e_localzd2ze3globalz96, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*)
			(&BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(long
		BgL_checksumz00_2793, char *BgL_fromz00_2794)
	{
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_localzd2ze3globalz96();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96();
					BGl_cnstzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96();
					return BGl_methodzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96()
	{
		{	/* Globalize/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"globalize_local->global");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_localzd2ze3globalz96()
	{
		{	/* Globalize/loc2glo.scm 15 */
			{	/* Globalize/loc2glo.scm 15 */
				obj_t BgL_cportz00_2781;

				{	/* Globalize/loc2glo.scm 15 */
					obj_t BgL_stringz00_2789;

					BgL_stringz00_2789 =
						BGl_string1950z00zzglobaliza7e_localzd2ze3globalz96;
					{	/* Globalize/loc2glo.scm 15 */
						obj_t BgL_startz00_2790;

						BgL_startz00_2790 = BINT(((long) 0));
						{	/* Globalize/loc2glo.scm 15 */
							obj_t BgL_endz00_2791;

							BgL_endz00_2791 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2789)));
							{	/* Globalize/loc2glo.scm 15 */

								BgL_cportz00_2781 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2789, BgL_startz00_2790, BgL_endz00_2791);
				}}}}
				{
					long BgL_iz00_2782;

					BgL_iz00_2782 = ((long) 8);
				BgL_loopz00_2783:
					if ((BgL_iz00_2782 == ((long) -1)))
						{	/* Globalize/loc2glo.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/loc2glo.scm 15 */
							{	/* Globalize/loc2glo.scm 15 */
								obj_t BgL_arg1952z00_2785;

								{	/* Globalize/loc2glo.scm 15 */

									{	/* Globalize/loc2glo.scm 15 */
										obj_t BgL_locationz00_2787;

										BgL_locationz00_2787 = BBOOL(((bool_t) 0));
										{	/* Globalize/loc2glo.scm 15 */

											BgL_arg1952z00_2785 =
												BGl_readz00zz__readerz00(BgL_cportz00_2781,
												BgL_locationz00_2787);
										}
									}
								}
								{	/* Globalize/loc2glo.scm 15 */
									int BgL_tmpz00_2821;

									BgL_tmpz00_2821 = (int) (BgL_iz00_2782);
									CNST_TABLE_SET(BgL_tmpz00_2821, BgL_arg1952z00_2785);
							}}
							{	/* Globalize/loc2glo.scm 15 */
								int BgL_auxz00_2788;

								BgL_auxz00_2788 = (int) ((BgL_iz00_2782 - ((long) 1)));
								{
									long BgL_iz00_2826;

									BgL_iz00_2826 = (long) (BgL_auxz00_2788);
									BgL_iz00_2782 = BgL_iz00_2826;
									goto BgL_loopz00_2783;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_localzd2ze3globalz96()
	{
		{	/* Globalize/loc2glo.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzglobaliza7e_localzd2ze3globalz96(obj_t
		BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1803;

				BgL_headz00_1803 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1804;
					obj_t BgL_tailz00_1805;

					BgL_prevz00_1804 = BgL_headz00_1803;
					BgL_tailz00_1805 = BgL_l1z00_1;
				BgL_loopz00_1806:
					if (PAIRP(BgL_tailz00_1805))
						{
							obj_t BgL_newzd2prevzd2_1808;

							BgL_newzd2prevzd2_1808 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1805), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1804, BgL_newzd2prevzd2_1808);
							{
								obj_t BgL_tailz00_2836;
								obj_t BgL_prevz00_2835;

								BgL_prevz00_2835 = BgL_newzd2prevzd2_1808;
								BgL_tailz00_2836 = CDR(BgL_tailz00_1805);
								BgL_tailz00_1805 = BgL_tailz00_2836;
								BgL_prevz00_1804 = BgL_prevz00_2835;
								goto BgL_loopz00_1806;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1803);
				}
			}
		}

	}



/* default-type */
	obj_t BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96()
	{
		{	/* Globalize/loc2glo.scm 40 */
			{	/* Globalize/loc2glo.scm 41 */
				bool_t BgL_test1960z00_2839;

				if (CBOOL
					(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
					{	/* Globalize/loc2glo.scm 41 */
						BgL_test1960z00_2839 =
							((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2));
					}
				else
					{	/* Globalize/loc2glo.scm 41 */
						BgL_test1960z00_2839 = ((bool_t) 0);
					}
				if (BgL_test1960z00_2839)
					{	/* Globalize/loc2glo.scm 41 */
						return BGl_za2_za2z00zztype_cachez00;
					}
				else
					{	/* Globalize/loc2glo.scm 41 */
						return BGl_za2objza2z00zztype_cachez00;
					}
			}
		}

	}



/* local->global */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt
		BgL_localz00_3)
	{
		{	/* Globalize/loc2glo.scm 46 */
			{	/* Globalize/loc2glo.scm 50 */
				BgL_globalz00_bglt BgL_globalz00_1812;

				BgL_globalz00_1812 =
					BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_3);
				{	/* Globalize/loc2glo.scm 50 */
					obj_t BgL_argsz00_1813;

					BgL_argsz00_1813 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_localz00_3)))->
										BgL_valuez00))))->BgL_argsz00);
					{	/* Globalize/loc2glo.scm 51 */
						BgL_valuez00_bglt BgL_infoz00_1814;

						BgL_infoz00_1814 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_localz00_3)))->BgL_valuez00);
						{	/* Globalize/loc2glo.scm 52 */
							obj_t BgL_newzd2bodyzd2_1815;

							{
								BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2851;

								{
									obj_t BgL_auxz00_2852;

									{	/* Globalize/loc2glo.scm 53 */
										BgL_objectz00_bglt BgL_tmpz00_2853;

										BgL_tmpz00_2853 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_infoz00_1814));
										BgL_auxz00_2852 = BGL_OBJECT_WIDENING(BgL_tmpz00_2853);
									}
									BgL_auxz00_2851 =
										((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2852);
								}
								BgL_newzd2bodyzd2_1815 =
									(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2851))->
									BgL_newzd2bodyzd2);
							}
							{	/* Globalize/loc2glo.scm 53 */
								obj_t BgL_kapturedz00_1816;

								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2859;

									{
										obj_t BgL_auxz00_2860;

										{	/* Globalize/loc2glo.scm 54 */
											BgL_objectz00_bglt BgL_tmpz00_2861;

											BgL_tmpz00_2861 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_infoz00_1814));
											BgL_auxz00_2860 = BGL_OBJECT_WIDENING(BgL_tmpz00_2861);
										}
										BgL_auxz00_2859 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2860);
									}
									BgL_kapturedz00_1816 =
										(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2859))->
										BgL_kapturedz00);
								}
								{	/* Globalize/loc2glo.scm 54 */

									{	/* Globalize/loc2glo.scm 57 */
										bool_t BgL_test1962z00_2867;

										{
											BgL_localzf2ginfozf2_bglt BgL_auxz00_2868;

											{
												obj_t BgL_auxz00_2869;

												{	/* Globalize/loc2glo.scm 57 */
													BgL_objectz00_bglt BgL_tmpz00_2870;

													BgL_tmpz00_2870 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_localz00_3));
													BgL_auxz00_2869 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2870);
												}
												BgL_auxz00_2868 =
													((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2869);
											}
											BgL_test1962z00_2867 =
												(((BgL_localzf2ginfozf2_bglt)
													COBJECT(BgL_auxz00_2868))->BgL_escapezf3zf3);
										}
										if (BgL_test1962z00_2867)
											{	/* Globalize/loc2glo.scm 57 */
												BGl_fixzd2escapingzd2definitionz00zzglobaliza7e_localzd2ze3globalz96
													(BgL_globalz00_1812, BgL_localz00_3, BgL_argsz00_1813,
													BgL_kapturedz00_1816, BgL_newzd2bodyzd2_1815);
											}
										else
											{	/* Globalize/loc2glo.scm 57 */
												BGl_fixzd2nonzd2escapingzd2definitionzd2zzglobaliza7e_localzd2ze3globalz96
													(BgL_globalz00_1812, BgL_localz00_3, BgL_argsz00_1813,
													BgL_kapturedz00_1816, BgL_newzd2bodyzd2_1815);
											}
									}
									return BgL_globalz00_1812;
								}
							}
						}
					}
				}
			}
		}

	}



/* &local->global */
	BgL_globalz00_bglt
		BGl_z62localzd2ze3globalz53zzglobaliza7e_localzd2ze3globalz96(obj_t
		BgL_envz00_2777, obj_t BgL_localz00_2778)
	{
		{	/* Globalize/loc2glo.scm 46 */
			return
				BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96(
				((BgL_localz00_bglt) BgL_localz00_2778));
		}

	}



/* fix-escaping-definition */
	BgL_globalz00_bglt
		BGl_fixzd2escapingzd2definitionz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt BgL_globalz00_5, BgL_localz00_bglt BgL_localz00_6,
		obj_t BgL_argsz00_7, obj_t BgL_kapturedz00_8, obj_t BgL_bodyz00_9)
	{
		{	/* Globalize/loc2glo.scm 84 */
			{	/* Globalize/loc2glo.scm 85 */
				BgL_localz00_bglt BgL_envz00_1819;

				BgL_envz00_1819 =
					BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF(((long) 0)),
					((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00));
				{	/* Globalize/loc2glo.scm 85 */
					obj_t BgL_newzd2freezd2_1820;

					if (NULLP(BgL_kapturedz00_8))
						{	/* Globalize/loc2glo.scm 86 */
							BgL_newzd2freezd2_1820 = BNIL;
						}
					else
						{	/* Globalize/loc2glo.scm 86 */
							obj_t BgL_head1383z00_1952;

							BgL_head1383z00_1952 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1381z00_1954;
								obj_t BgL_tail1384z00_1955;

								BgL_l1381z00_1954 = BgL_kapturedz00_8;
								BgL_tail1384z00_1955 = BgL_head1383z00_1952;
							BgL_zc3z04anonymousza31667ze3z87_1956:
								if (NULLP(BgL_l1381z00_1954))
									{	/* Globalize/loc2glo.scm 86 */
										BgL_newzd2freezd2_1820 = CDR(BgL_head1383z00_1952);
									}
								else
									{	/* Globalize/loc2glo.scm 86 */
										obj_t BgL_newtail1385z00_1958;

										{	/* Globalize/loc2glo.scm 86 */
											BgL_localz00_bglt BgL_arg1676z00_1960;

											{	/* Globalize/loc2glo.scm 86 */
												obj_t BgL_oldz00_1961;

												BgL_oldz00_1961 = CAR(((obj_t) BgL_l1381z00_1954));
												{	/* Globalize/loc2glo.scm 87 */
													BgL_localz00_bglt BgL_newz00_1962;

													{	/* Globalize/loc2glo.scm 88 */
														obj_t BgL_arg1694z00_1975;
														obj_t BgL_arg1695z00_1976;

														BgL_arg1694z00_1975 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_oldz00_1961))))->
															BgL_idz00);
														BgL_arg1695z00_1976 =
															BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96
															();
														BgL_newz00_1962 =
															BGl_makezd2localzd2svarz00zzast_localz00
															(BgL_arg1694z00_1975,
															((BgL_typez00_bglt) BgL_arg1695z00_1976));
													}
													{	/* Globalize/loc2glo.scm 90 */
														bool_t BgL_arg1678z00_1963;

														BgL_arg1678z00_1963 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_oldz00_1961))))->
															BgL_userzf3zf3);
														((((BgL_variablez00_bglt)
																	COBJECT(((BgL_variablez00_bglt)
																			BgL_newz00_1962)))->BgL_userzf3zf3) =
															((bool_t) BgL_arg1678z00_1963), BUNSPEC);
													}
													{	/* Globalize/loc2glo.scm 91 */
														BgL_localzf2ginfozf2_bglt BgL_wide1114z00_1966;

														BgL_wide1114z00_1966 =
															((BgL_localzf2ginfozf2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_localzf2ginfozf2_bgl))));
														{	/* Globalize/loc2glo.scm 91 */
															obj_t BgL_auxz00_2906;
															BgL_objectz00_bglt BgL_tmpz00_2903;

															BgL_auxz00_2906 = ((obj_t) BgL_wide1114z00_1966);
															BgL_tmpz00_2903 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_newz00_1962));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2903,
																BgL_auxz00_2906);
														}
														((BgL_objectz00_bglt)
															((BgL_localz00_bglt) BgL_newz00_1962));
														{	/* Globalize/loc2glo.scm 91 */
															long BgL_arg1679z00_1967;

															BgL_arg1679z00_1967 =
																BGL_CLASS_NUM
																(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																		(BgL_localz00_bglt) BgL_newz00_1962)),
																BgL_arg1679z00_1967);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_newz00_1962));
													}
													{
														BgL_localzf2ginfozf2_bglt BgL_auxz00_2917;

														{
															obj_t BgL_auxz00_2918;

															{	/* Globalize/loc2glo.scm 91 */
																BgL_objectz00_bglt BgL_tmpz00_2919;

																BgL_tmpz00_2919 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt) BgL_newz00_1962));
																BgL_auxz00_2918 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2919);
															}
															BgL_auxz00_2917 =
																((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2918);
														}
														((((BgL_localzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_2917))->BgL_escapezf3zf3) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
													}
													{
														BgL_localzf2ginfozf2_bglt BgL_auxz00_2925;

														{
															obj_t BgL_auxz00_2926;

															{	/* Globalize/loc2glo.scm 91 */
																BgL_objectz00_bglt BgL_tmpz00_2927;

																BgL_tmpz00_2927 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt) BgL_newz00_1962));
																BgL_auxz00_2926 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2927);
															}
															BgL_auxz00_2925 =
																((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2926);
														}
														((((BgL_localzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_2925))->
																BgL_globaliza7edzf3z54) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
													}
													((BgL_localz00_bglt) BgL_newz00_1962);
													{	/* Globalize/loc2glo.scm 92 */
														BgL_svarz00_bglt BgL_tmp1116z00_1969;

														BgL_tmp1116z00_1969 =
															((BgL_svarz00_bglt)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_newz00_1962)))->
																BgL_valuez00));
														{	/* Globalize/loc2glo.scm 92 */
															BgL_svarzf2ginfozf2_bglt BgL_wide1118z00_1971;

															BgL_wide1118z00_1971 =
																((BgL_svarzf2ginfozf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_svarzf2ginfozf2_bgl))));
															{	/* Globalize/loc2glo.scm 92 */
																obj_t BgL_auxz00_2941;
																BgL_objectz00_bglt BgL_tmpz00_2938;

																BgL_auxz00_2941 =
																	((obj_t) BgL_wide1118z00_1971);
																BgL_tmpz00_2938 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1116z00_1969));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2938,
																	BgL_auxz00_2941);
															}
															((BgL_objectz00_bglt)
																((BgL_svarz00_bglt) BgL_tmp1116z00_1969));
															{	/* Globalize/loc2glo.scm 92 */
																long BgL_arg1681z00_1972;

																BgL_arg1681z00_1972 =
																	BGL_CLASS_NUM
																	(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																			(BgL_svarz00_bglt) BgL_tmp1116z00_1969)),
																	BgL_arg1681z00_1972);
															}
															((BgL_svarz00_bglt)
																((BgL_svarz00_bglt) BgL_tmp1116z00_1969));
														}
														{
															BgL_svarzf2ginfozf2_bglt BgL_auxz00_2952;

															{
																obj_t BgL_auxz00_2953;

																{	/* Globalize/loc2glo.scm 93 */
																	BgL_objectz00_bglt BgL_tmpz00_2954;

																	BgL_tmpz00_2954 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1116z00_1969));
																	BgL_auxz00_2953 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2954);
																}
																BgL_auxz00_2952 =
																	((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_2953);
															}
															((((BgL_svarzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2952))->
																	BgL_kapturedzf3zf3) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
														}
														{
															BgL_svarzf2ginfozf2_bglt BgL_auxz00_2960;

															{
																obj_t BgL_auxz00_2961;

																{	/* Globalize/loc2glo.scm 93 */
																	BgL_objectz00_bglt BgL_tmpz00_2962;

																	BgL_tmpz00_2962 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1116z00_1969));
																	BgL_auxz00_2961 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2962);
																}
																BgL_auxz00_2960 =
																	((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_2961);
															}
															((((BgL_svarzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2960))->
																	BgL_freezd2markzd2) =
																((long) ((long) -10)), BUNSPEC);
														}
														{
															BgL_svarzf2ginfozf2_bglt BgL_auxz00_2968;

															{
																obj_t BgL_auxz00_2969;

																{	/* Globalize/loc2glo.scm 93 */
																	BgL_objectz00_bglt BgL_tmpz00_2970;

																	BgL_tmpz00_2970 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1116z00_1969));
																	BgL_auxz00_2969 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2970);
																}
																BgL_auxz00_2968 =
																	((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_2969);
															}
															((((BgL_svarzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2968))->BgL_markz00) =
																((long) ((long) -10)), BUNSPEC);
														}
														{
															BgL_svarzf2ginfozf2_bglt BgL_auxz00_2976;

															{
																obj_t BgL_auxz00_2977;

																{	/* Globalize/loc2glo.scm 93 */
																	BgL_objectz00_bglt BgL_tmpz00_2978;

																	BgL_tmpz00_2978 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1116z00_1969));
																	BgL_auxz00_2977 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2978);
																}
																BgL_auxz00_2976 =
																	((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_2977);
															}
															((((BgL_svarzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2976))->
																	BgL_celledzf3zf3) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														}
														{
															BgL_svarzf2ginfozf2_bglt BgL_auxz00_2984;

															{
																obj_t BgL_auxz00_2985;

																{	/* Globalize/loc2glo.scm 93 */
																	BgL_objectz00_bglt BgL_tmpz00_2986;

																	BgL_tmpz00_2986 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1116z00_1969));
																	BgL_auxz00_2985 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2986);
																}
																BgL_auxz00_2984 =
																	((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_2985);
															}
															((((BgL_svarzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2984))->
																	BgL_stackablez00) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
														}
														((BgL_svarz00_bglt) BgL_tmp1116z00_1969);
													}
													{	/* Globalize/loc2glo.scm 94 */
														obj_t BgL_arg1682z00_1974;

														BgL_arg1682z00_1974 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_oldz00_1961))))->
															BgL_accessz00);
														((((BgL_variablez00_bglt)
																	COBJECT(((BgL_variablez00_bglt)
																			BgL_newz00_1962)))->BgL_accessz00) =
															((obj_t) BgL_arg1682z00_1974), BUNSPEC);
													}
													BgL_arg1676z00_1960 = BgL_newz00_1962;
											}}
											BgL_newtail1385z00_1958 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1676z00_1960), BNIL);
										}
										SET_CDR(BgL_tail1384z00_1955, BgL_newtail1385z00_1958);
										{	/* Globalize/loc2glo.scm 86 */
											obj_t BgL_arg1675z00_1959;

											BgL_arg1675z00_1959 = CDR(((obj_t) BgL_l1381z00_1954));
											{
												obj_t BgL_tail1384z00_3004;
												obj_t BgL_l1381z00_3003;

												BgL_l1381z00_3003 = BgL_arg1675z00_1959;
												BgL_tail1384z00_3004 = BgL_newtail1385z00_1958;
												BgL_tail1384z00_1955 = BgL_tail1384z00_3004;
												BgL_l1381z00_1954 = BgL_l1381z00_3003;
												goto BgL_zc3z04anonymousza31667ze3z87_1956;
											}
										}
									}
							}
						}
					{	/* Globalize/loc2glo.scm 86 */
						obj_t BgL_newzd2argszd2_1821;

						if (NULLP(BgL_argsz00_7))
							{	/* Globalize/loc2glo.scm 97 */
								BgL_newzd2argszd2_1821 = BNIL;
							}
						else
							{	/* Globalize/loc2glo.scm 97 */
								obj_t BgL_head1388z00_1923;

								BgL_head1388z00_1923 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1386z00_1925;
									obj_t BgL_tail1389z00_1926;

									BgL_l1386z00_1925 = BgL_argsz00_7;
									BgL_tail1389z00_1926 = BgL_head1388z00_1923;
								BgL_zc3z04anonymousza31622ze3z87_1927:
									if (NULLP(BgL_l1386z00_1925))
										{	/* Globalize/loc2glo.scm 97 */
											BgL_newzd2argszd2_1821 = CDR(BgL_head1388z00_1923);
										}
									else
										{	/* Globalize/loc2glo.scm 97 */
											obj_t BgL_newtail1390z00_1929;

											{	/* Globalize/loc2glo.scm 97 */
												BgL_localz00_bglt BgL_arg1633z00_1931;

												{	/* Globalize/loc2glo.scm 97 */
													obj_t BgL_oldz00_1932;

													BgL_oldz00_1932 = CAR(((obj_t) BgL_l1386z00_1925));
													{	/* Globalize/loc2glo.scm 98 */
														BgL_localz00_bglt BgL_newz00_1933;

														{	/* Globalize/loc2glo.scm 99 */
															obj_t BgL_arg1660z00_1947;
															obj_t BgL_arg1665z00_1948;

															BgL_arg1660z00_1947 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_oldz00_1932))))->
																BgL_idz00);
															BgL_arg1665z00_1948 =
																BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96
																();
															BgL_newz00_1933 =
																BGl_makezd2localzd2svarz00zzast_localz00
																(BgL_arg1660z00_1947,
																((BgL_typez00_bglt) BgL_arg1665z00_1948));
														}
														{	/* Globalize/loc2glo.scm 101 */
															bool_t BgL_arg1636z00_1934;

															BgL_arg1636z00_1934 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_oldz00_1932))))->
																BgL_userzf3zf3);
															((((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_newz00_1933)))->BgL_userzf3zf3) =
																((bool_t) BgL_arg1636z00_1934), BUNSPEC);
														}
														{	/* Globalize/loc2glo.scm 102 */
															BgL_localzf2ginfozf2_bglt BgL_wide1122z00_1937;

															BgL_wide1122z00_1937 =
																((BgL_localzf2ginfozf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_localzf2ginfozf2_bgl))));
															{	/* Globalize/loc2glo.scm 102 */
																obj_t BgL_auxz00_3028;
																BgL_objectz00_bglt BgL_tmpz00_3025;

																BgL_auxz00_3028 =
																	((obj_t) BgL_wide1122z00_1937);
																BgL_tmpz00_3025 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt) BgL_newz00_1933));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3025,
																	BgL_auxz00_3028);
															}
															((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_newz00_1933));
															{	/* Globalize/loc2glo.scm 102 */
																long BgL_arg1647z00_1938;

																BgL_arg1647z00_1938 =
																	BGL_CLASS_NUM
																	(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																			(BgL_localz00_bglt) BgL_newz00_1933)),
																	BgL_arg1647z00_1938);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_newz00_1933));
														}
														{
															BgL_localzf2ginfozf2_bglt BgL_auxz00_3039;

															{
																obj_t BgL_auxz00_3040;

																{	/* Globalize/loc2glo.scm 102 */
																	BgL_objectz00_bglt BgL_tmpz00_3041;

																	BgL_tmpz00_3041 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt) BgL_newz00_1933));
																	BgL_auxz00_3040 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_3041);
																}
																BgL_auxz00_3039 =
																	((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3040);
															}
															((((BgL_localzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_3039))->
																	BgL_escapezf3zf3) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														}
														{
															BgL_localzf2ginfozf2_bglt BgL_auxz00_3047;

															{
																obj_t BgL_auxz00_3048;

																{	/* Globalize/loc2glo.scm 102 */
																	BgL_objectz00_bglt BgL_tmpz00_3049;

																	BgL_tmpz00_3049 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt) BgL_newz00_1933));
																	BgL_auxz00_3048 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_3049);
																}
																BgL_auxz00_3047 =
																	((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3048);
															}
															((((BgL_localzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_3047))->
																	BgL_globaliza7edzf3z54) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														}
														((BgL_localz00_bglt) BgL_newz00_1933);
														{	/* Globalize/loc2glo.scm 103 */
															BgL_svarz00_bglt BgL_tmp1124z00_1940;

															BgL_tmp1124z00_1940 =
																((BgL_svarz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_newz00_1933)))->BgL_valuez00));
															{	/* Globalize/loc2glo.scm 103 */
																BgL_svarzf2ginfozf2_bglt BgL_wide1126z00_1942;

																BgL_wide1126z00_1942 =
																	((BgL_svarzf2ginfozf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_svarzf2ginfozf2_bgl))));
																{	/* Globalize/loc2glo.scm 103 */
																	obj_t BgL_auxz00_3063;
																	BgL_objectz00_bglt BgL_tmpz00_3060;

																	BgL_auxz00_3063 =
																		((obj_t) BgL_wide1126z00_1942);
																	BgL_tmpz00_3060 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1124z00_1940));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3060,
																		BgL_auxz00_3063);
																}
																((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1124z00_1940));
																{	/* Globalize/loc2glo.scm 103 */
																	long BgL_arg1652z00_1943;

																	BgL_arg1652z00_1943 =
																		BGL_CLASS_NUM
																		(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1124z00_1940)),
																		BgL_arg1652z00_1943);
																}
																((BgL_svarz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1124z00_1940));
															}
															{
																bool_t BgL_auxz00_3081;
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3074;

																{	/* Globalize/loc2glo.scm 104 */
																	BgL_svarz00_bglt BgL_oz00_2445;

																	BgL_oz00_2445 =
																		((BgL_svarz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_oldz00_1932))))->
																			BgL_valuez00));
																	{
																		BgL_svarzf2ginfozf2_bglt BgL_auxz00_3086;

																		{
																			obj_t BgL_auxz00_3087;

																			{	/* Globalize/loc2glo.scm 104 */
																				BgL_objectz00_bglt BgL_tmpz00_3088;

																				BgL_tmpz00_3088 =
																					((BgL_objectz00_bglt) BgL_oz00_2445);
																				BgL_auxz00_3087 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_3088);
																			}
																			BgL_auxz00_3086 =
																				((BgL_svarzf2ginfozf2_bglt)
																				BgL_auxz00_3087);
																		}
																		BgL_auxz00_3081 =
																			(((BgL_svarzf2ginfozf2_bglt)
																				COBJECT(BgL_auxz00_3086))->
																			BgL_kapturedzf3zf3);
																}}
																{
																	obj_t BgL_auxz00_3075;

																	{	/* Globalize/loc2glo.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_3076;

																		BgL_tmpz00_3076 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1124z00_1940));
																		BgL_auxz00_3075 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3076);
																	}
																	BgL_auxz00_3074 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3075);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3074))->
																		BgL_kapturedzf3zf3) =
																	((bool_t) BgL_auxz00_3081), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3094;

																{
																	obj_t BgL_auxz00_3095;

																	{	/* Globalize/loc2glo.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_3096;

																		BgL_tmpz00_3096 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1124z00_1940));
																		BgL_auxz00_3095 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3096);
																	}
																	BgL_auxz00_3094 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3095);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3094))->
																		BgL_freezd2markzd2) =
																	((long) ((long) -10)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3102;

																{
																	obj_t BgL_auxz00_3103;

																	{	/* Globalize/loc2glo.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_3104;

																		BgL_tmpz00_3104 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1124z00_1940));
																		BgL_auxz00_3103 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3104);
																	}
																	BgL_auxz00_3102 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3103);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3102))->BgL_markz00) =
																	((long) ((long) -10)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3110;

																{
																	obj_t BgL_auxz00_3111;

																	{	/* Globalize/loc2glo.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_3112;

																		BgL_tmpz00_3112 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1124z00_1940));
																		BgL_auxz00_3111 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3112);
																	}
																	BgL_auxz00_3110 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3111);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3110))->
																		BgL_celledzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3118;

																{
																	obj_t BgL_auxz00_3119;

																	{	/* Globalize/loc2glo.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_3120;

																		BgL_tmpz00_3120 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1124z00_1940));
																		BgL_auxz00_3119 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3120);
																	}
																	BgL_auxz00_3118 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3119);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3118))->
																		BgL_stackablez00) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
															}
															((BgL_svarz00_bglt) BgL_tmp1124z00_1940);
														}
														{	/* Globalize/loc2glo.scm 106 */
															obj_t BgL_arg1657z00_1946;

															BgL_arg1657z00_1946 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_oldz00_1932))))->
																BgL_accessz00);
															((((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_newz00_1933)))->BgL_accessz00) =
																((obj_t) BgL_arg1657z00_1946), BUNSPEC);
														}
														BgL_arg1633z00_1931 = BgL_newz00_1933;
												}}
												BgL_newtail1390z00_1929 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1633z00_1931), BNIL);
											}
											SET_CDR(BgL_tail1389z00_1926, BgL_newtail1390z00_1929);
											{	/* Globalize/loc2glo.scm 97 */
												obj_t BgL_arg1632z00_1930;

												BgL_arg1632z00_1930 = CDR(((obj_t) BgL_l1386z00_1925));
												{
													obj_t BgL_tail1389z00_3138;
													obj_t BgL_l1386z00_3137;

													BgL_l1386z00_3137 = BgL_arg1632z00_1930;
													BgL_tail1389z00_3138 = BgL_newtail1390z00_1929;
													BgL_tail1389z00_1926 = BgL_tail1389z00_3138;
													BgL_l1386z00_1925 = BgL_l1386z00_3137;
													goto BgL_zc3z04anonymousza31622ze3z87_1927;
												}
											}
										}
								}
							}
						{	/* Globalize/loc2glo.scm 97 */
							BgL_valuez00_bglt BgL_oldzd2funzd2_1822;

							BgL_oldzd2funzd2_1822 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_localz00_6)))->BgL_valuez00);
							{	/* Globalize/loc2glo.scm 109 */
								BgL_sfunz00_bglt BgL_newzd2funzd2_1823;

								{	/* Globalize/loc2glo.scm 110 */
									BgL_sfunz00_bglt BgL_new1130z00_1906;

									{	/* Globalize/loc2glo.scm 111 */
										BgL_sfunz00_bglt BgL_new1144z00_1919;

										BgL_new1144z00_1919 =
											((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sfunz00_bgl))));
										{	/* Globalize/loc2glo.scm 111 */
											long BgL_arg1619z00_1920;

											BgL_arg1619z00_1920 =
												BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1144z00_1919),
												BgL_arg1619z00_1920);
										}
										{	/* Globalize/loc2glo.scm 111 */
											BgL_objectz00_bglt BgL_tmpz00_3145;

											BgL_tmpz00_3145 =
												((BgL_objectz00_bglt) BgL_new1144z00_1919);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3145, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1144z00_1919);
										BgL_new1130z00_1906 = BgL_new1144z00_1919;
									}
									{
										long BgL_auxz00_3149;

										{	/* Globalize/loc2glo.scm 111 */
											long BgL_arg1613z00_1907;

											BgL_arg1613z00_1907 =
												(((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1822))))->
												BgL_arityz00);
											BgL_auxz00_3149 =
												(long)
												CINT(BGl_zb2zd2arityz60zztools_argsz00(BINT
													(BgL_arg1613z00_1907), BINT(((long) 1))));
										}
										((((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt) BgL_new1130z00_1906)))->
												BgL_arityz00) = ((long) BgL_auxz00_3149), BUNSPEC);
									}
									((((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt) BgL_new1130z00_1906)))->
											BgL_sidezd2effectzd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1822)))->BgL_sidezd2effectzd2)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1130z00_1906)))->BgL_predicatezd2ofzd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1822)))->BgL_predicatezd2ofzd2)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1130z00_1906)))->BgL_stackzd2allocatorzd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1822)))->
												BgL_stackzd2allocatorzd2)), BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1130z00_1906)))->BgL_topzf3zf3) =
										((bool_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1822)))->BgL_topzf3zf3)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1130z00_1906)))->BgL_thezd2closurezd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1822)))->BgL_thezd2closurezd2)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1130z00_1906)))->BgL_effectz00) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1822)))->BgL_effectz00)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1130z00_1906)))->BgL_failsafez00) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1822)))->BgL_failsafez00)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1130z00_1906)))->BgL_argszd2noescapezd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1822)))->
												BgL_argszd2noescapezd2)), BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1130z00_1906)))->BgL_argszd2retescapezd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1822)))->
												BgL_argszd2retescapezd2)), BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_propertyz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->BgL_propertyz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_argsz00) =
										((obj_t) MAKE_YOUNG_PAIR(((obj_t) BgL_envz00_1819),
												BgL_newzd2argszd2_1821)), BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_argszd2namezd2) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->BgL_argszd2namezd2)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_bodyz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->BgL_bodyz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_classz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->BgL_classz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_dssslzd2keywordszd2) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->
												BgL_dssslzd2keywordszd2)), BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_locz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->BgL_locz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_optionalsz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->BgL_optionalsz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_keysz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->BgL_keysz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_thezd2closurezd2globalz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->
												BgL_thezd2closurezd2globalz00)), BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_strengthz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->BgL_strengthz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_stackablez00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->BgL_stackablez00)),
										BUNSPEC);
									BgL_newzd2funzd2_1823 = BgL_new1130z00_1906;
								}
								{	/* Globalize/loc2glo.scm 110 */

									{
										BgL_globalzf2ginfozf2_bglt BgL_auxz00_3242;

										{
											obj_t BgL_auxz00_3243;

											{	/* Globalize/loc2glo.scm 114 */
												BgL_objectz00_bglt BgL_tmpz00_3244;

												BgL_tmpz00_3244 =
													((BgL_objectz00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_5));
												BgL_auxz00_3243 = BGL_OBJECT_WIDENING(BgL_tmpz00_3244);
											}
											BgL_auxz00_3242 =
												((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_3243);
										}
										((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3242))->
												BgL_escapezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
									}
									{	/* Globalize/loc2glo.scm 115 */
										BgL_sfunzf2ginfozf2_bglt BgL_wide1147z00_1826;

										BgL_wide1147z00_1826 =
											((BgL_sfunzf2ginfozf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sfunzf2ginfozf2_bgl))));
										{	/* Globalize/loc2glo.scm 115 */
											obj_t BgL_auxz00_3254;
											BgL_objectz00_bglt BgL_tmpz00_3251;

											BgL_auxz00_3254 = ((obj_t) BgL_wide1147z00_1826);
											BgL_tmpz00_3251 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3251, BgL_auxz00_3254);
										}
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
										{	/* Globalize/loc2glo.scm 115 */
											long BgL_arg1462z00_1827;

											BgL_arg1462z00_1827 =
												BGL_CLASS_NUM
												(BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
											BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
														(BgL_sfunz00_bglt) BgL_newzd2funzd2_1823)),
												BgL_arg1462z00_1827);
										}
										((BgL_sfunz00_bglt)
											((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3265;

										{
											obj_t BgL_auxz00_3266;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3267;

												BgL_tmpz00_3267 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3266 = BGL_OBJECT_WIDENING(BgL_tmpz00_3267);
											}
											BgL_auxz00_3265 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3266);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3265))->
												BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3273;

										{
											obj_t BgL_auxz00_3274;

											{	/* Globalize/ginfo.scm 24 */
												BgL_objectz00_bglt BgL_tmpz00_3275;

												BgL_tmpz00_3275 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3274 = BGL_OBJECT_WIDENING(BgL_tmpz00_3275);
											}
											BgL_auxz00_3273 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3274);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3273))->
												BgL_cfromz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3281;

										{
											obj_t BgL_auxz00_3282;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3283;

												BgL_tmpz00_3283 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3282 = BGL_OBJECT_WIDENING(BgL_tmpz00_3283);
											}
											BgL_auxz00_3281 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3282);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3281))->
												BgL_cfromza2za2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3289;

										{
											obj_t BgL_auxz00_3290;

											{	/* Globalize/ginfo.scm 28 */
												BgL_objectz00_bglt BgL_tmpz00_3291;

												BgL_tmpz00_3291 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3290 = BGL_OBJECT_WIDENING(BgL_tmpz00_3291);
											}
											BgL_auxz00_3289 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3290);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3289))->
												BgL_ctoz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3297;

										{
											obj_t BgL_auxz00_3298;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3299;

												BgL_tmpz00_3299 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3298 = BGL_OBJECT_WIDENING(BgL_tmpz00_3299);
											}
											BgL_auxz00_3297 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3298);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3297))->
												BgL_ctoza2za2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3305;

										{
											obj_t BgL_auxz00_3306;

											{	/* Globalize/ginfo.scm 32 */
												BgL_objectz00_bglt BgL_tmpz00_3307;

												BgL_tmpz00_3307 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3306 = BGL_OBJECT_WIDENING(BgL_tmpz00_3307);
											}
											BgL_auxz00_3305 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3306);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3305))->
												BgL_efunctionsz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3313;

										{
											obj_t BgL_auxz00_3314;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3315;

												BgL_tmpz00_3315 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3314 = BGL_OBJECT_WIDENING(BgL_tmpz00_3315);
											}
											BgL_auxz00_3313 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3314);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3313))->
												BgL_integratorz00) = ((obj_t) BUNSPEC), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3321;

										{
											obj_t BgL_auxz00_3322;

											{	/* Globalize/ginfo.scm 36 */
												BgL_objectz00_bglt BgL_tmpz00_3323;

												BgL_tmpz00_3323 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3322 = BGL_OBJECT_WIDENING(BgL_tmpz00_3323);
											}
											BgL_auxz00_3321 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3322);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3321))->
												BgL_imarkz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3329;

										{
											obj_t BgL_auxz00_3330;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3331;

												BgL_tmpz00_3331 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3330 = BGL_OBJECT_WIDENING(BgL_tmpz00_3331);
											}
											BgL_auxz00_3329 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3330);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3329))->
												BgL_ownerz00) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3337;

										{
											obj_t BgL_auxz00_3338;

											{	/* Globalize/ginfo.scm 40 */
												BgL_objectz00_bglt BgL_tmpz00_3339;

												BgL_tmpz00_3339 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3338 = BGL_OBJECT_WIDENING(BgL_tmpz00_3339);
											}
											BgL_auxz00_3337 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3338);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3337))->
												BgL_integratedz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3345;

										{
											obj_t BgL_auxz00_3346;

											{	/* Globalize/ginfo.scm 42 */
												BgL_objectz00_bglt BgL_tmpz00_3347;

												BgL_tmpz00_3347 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3346 = BGL_OBJECT_WIDENING(BgL_tmpz00_3347);
											}
											BgL_auxz00_3345 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3346);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3345))->
												BgL_pluggedzd2inzd2) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3353;

										{
											obj_t BgL_auxz00_3354;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3355;

												BgL_tmpz00_3355 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3354 = BGL_OBJECT_WIDENING(BgL_tmpz00_3355);
											}
											BgL_auxz00_3353 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3354);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3353))->
												BgL_markz00) = ((long) ((long) -10)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3361;

										{
											obj_t BgL_auxz00_3362;

											{	/* Globalize/ginfo.scm 46 */
												BgL_objectz00_bglt BgL_tmpz00_3363;

												BgL_tmpz00_3363 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3362 = BGL_OBJECT_WIDENING(BgL_tmpz00_3363);
											}
											BgL_auxz00_3361 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3362);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3361))->
												BgL_freezd2markzd2) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3369;

										{
											obj_t BgL_auxz00_3370;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3371;

												BgL_tmpz00_3371 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3370 = BGL_OBJECT_WIDENING(BgL_tmpz00_3371);
											}
											BgL_auxz00_3369 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3370);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3369))->
												BgL_thezd2globalzd2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3377;

										{
											obj_t BgL_auxz00_3378;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3379;

												BgL_tmpz00_3379 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3378 = BGL_OBJECT_WIDENING(BgL_tmpz00_3379);
											}
											BgL_auxz00_3377 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3378);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3377))->
												BgL_kapturedz00) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3385;

										{
											obj_t BgL_auxz00_3386;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3387;

												BgL_tmpz00_3387 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3386 = BGL_OBJECT_WIDENING(BgL_tmpz00_3387);
											}
											BgL_auxz00_3385 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3386);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3385))->
												BgL_newzd2bodyzd2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3393;

										{
											obj_t BgL_auxz00_3394;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3395;

												BgL_tmpz00_3395 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3394 = BGL_OBJECT_WIDENING(BgL_tmpz00_3395);
											}
											BgL_auxz00_3393 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3394);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3393))->
												BgL_bmarkz00) = ((long) ((long) -10)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3401;

										{
											obj_t BgL_auxz00_3402;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3403;

												BgL_tmpz00_3403 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3402 = BGL_OBJECT_WIDENING(BgL_tmpz00_3403);
											}
											BgL_auxz00_3401 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3402);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3401))->
												BgL_umarkz00) = ((long) ((long) -10)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3409;

										{
											obj_t BgL_auxz00_3410;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3411;

												BgL_tmpz00_3411 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3410 = BGL_OBJECT_WIDENING(BgL_tmpz00_3411);
											}
											BgL_auxz00_3409 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3410);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3409))->
												BgL_freez00) = ((obj_t) BUNSPEC), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3417;

										{
											obj_t BgL_auxz00_3418;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3419;

												BgL_tmpz00_3419 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3418 = BGL_OBJECT_WIDENING(BgL_tmpz00_3419);
											}
											BgL_auxz00_3417 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3418);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3417))->
												BgL_boundz00) = ((obj_t) BNIL), BUNSPEC);
									}
									((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823);
									{	/* Globalize/loc2glo.scm 117 */
										BgL_svarz00_bglt BgL_tmp1149z00_1829;

										BgL_tmp1149z00_1829 =
											((BgL_svarz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_envz00_1819)))->
												BgL_valuez00));
										{	/* Globalize/loc2glo.scm 117 */
											BgL_svarzf2ginfozf2_bglt BgL_wide1151z00_1831;

											BgL_wide1151z00_1831 =
												((BgL_svarzf2ginfozf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_svarzf2ginfozf2_bgl))));
											{	/* Globalize/loc2glo.scm 117 */
												obj_t BgL_auxz00_3433;
												BgL_objectz00_bglt BgL_tmpz00_3430;

												BgL_auxz00_3433 = ((obj_t) BgL_wide1151z00_1831);
												BgL_tmpz00_3430 =
													((BgL_objectz00_bglt)
													((BgL_svarz00_bglt) BgL_tmp1149z00_1829));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3430,
													BgL_auxz00_3433);
											}
											((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1149z00_1829));
											{	/* Globalize/loc2glo.scm 117 */
												long BgL_arg1477z00_1832;

												BgL_arg1477z00_1832 =
													BGL_CLASS_NUM
													(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_svarz00_bglt) BgL_tmp1149z00_1829)),
													BgL_arg1477z00_1832);
											}
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1149z00_1829));
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3444;

											{
												obj_t BgL_auxz00_3445;

												{	/* Globalize/loc2glo.scm 117 */
													BgL_objectz00_bglt BgL_tmpz00_3446;

													BgL_tmpz00_3446 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1149z00_1829));
													BgL_auxz00_3445 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3446);
												}
												BgL_auxz00_3444 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3445);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3444))->
													BgL_kapturedzf3zf3) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3452;

											{
												obj_t BgL_auxz00_3453;

												{	/* Globalize/loc2glo.scm 117 */
													BgL_objectz00_bglt BgL_tmpz00_3454;

													BgL_tmpz00_3454 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1149z00_1829));
													BgL_auxz00_3453 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3454);
												}
												BgL_auxz00_3452 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3453);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3452))->
													BgL_freezd2markzd2) = ((long) ((long) -10)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3460;

											{
												obj_t BgL_auxz00_3461;

												{	/* Globalize/loc2glo.scm 117 */
													BgL_objectz00_bglt BgL_tmpz00_3462;

													BgL_tmpz00_3462 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1149z00_1829));
													BgL_auxz00_3461 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3462);
												}
												BgL_auxz00_3460 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3461);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3460))->
													BgL_markz00) = ((long) ((long) -10)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3468;

											{
												obj_t BgL_auxz00_3469;

												{	/* Globalize/loc2glo.scm 117 */
													BgL_objectz00_bglt BgL_tmpz00_3470;

													BgL_tmpz00_3470 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1149z00_1829));
													BgL_auxz00_3469 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3470);
												}
												BgL_auxz00_3468 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3469);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3468))->
													BgL_celledzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3476;

											{
												obj_t BgL_auxz00_3477;

												{	/* Globalize/loc2glo.scm 117 */
													BgL_objectz00_bglt BgL_tmpz00_3478;

													BgL_tmpz00_3478 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1149z00_1829));
													BgL_auxz00_3477 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3478);
												}
												BgL_auxz00_3476 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3477);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3476))->
													BgL_stackablez00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
										}
										((BgL_svarz00_bglt) BgL_tmp1149z00_1829);
									}
									{	/* Globalize/loc2glo.scm 118 */
										obj_t BgL_arg1494z00_1834;

										{	/* Globalize/loc2glo.scm 118 */
											BgL_typez00_bglt BgL_arg1496z00_1835;

											BgL_arg1496z00_1835 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_localz00_6)))->
												BgL_typez00);
											if (CBOOL
												(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
												{	/* Globalize/loc2glo.scm 70 */
													BgL_arg1494z00_1834 = ((obj_t) BgL_arg1496z00_1835);
												}
											else
												{	/* Globalize/loc2glo.scm 70 */
													BgL_arg1494z00_1834 = BGl_za2objza2z00zztype_cachez00;
												}
										}
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_5)))->
												BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BgL_arg1494z00_1834)), BUNSPEC);
									}
									((((BgL_sfunz00_bglt) COBJECT(BgL_newzd2funzd2_1823))->
											BgL_thezd2closurezd2globalz00) =
										((obj_t) ((obj_t) BgL_localz00_6)), BUNSPEC);
									{	/* Globalize/loc2glo.scm 121 */
										obj_t BgL_nargsz00_1836;

										BgL_nargsz00_1836 =
											CDR(
											(((BgL_sfunz00_bglt) COBJECT(BgL_newzd2funzd2_1823))->
												BgL_argsz00));
										{	/* Globalize/loc2glo.scm 122 */
											bool_t BgL_test1968z00_3497;

											if (BGl_localzd2iszd2methodzf3zf3zzobject_methodz00
												(BgL_localz00_6))
												{	/* Globalize/loc2glo.scm 123 */
													obj_t BgL_arg1571z00_1875;

													BgL_arg1571z00_1875 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_test1968z00_3497 =
														(((BgL_backendz00_bglt) COBJECT(
																((BgL_backendz00_bglt) BgL_arg1571z00_1875)))->
														BgL_typedzd2funcallzd2);
												}
											else
												{	/* Globalize/loc2glo.scm 122 */
													BgL_test1968z00_3497 = ((bool_t) 0);
												}
											if (BgL_test1968z00_3497)
												{	/* Globalize/loc2glo.scm 122 */
													{	/* Globalize/loc2glo.scm 128 */
														obj_t BgL_arg1520z00_1840;
														BgL_typez00_bglt BgL_arg1524z00_1841;

														BgL_arg1520z00_1840 =
															CAR(((obj_t) BgL_nargsz00_1836));
														BgL_arg1524z00_1841 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			CAR(
																				((obj_t) BgL_argsz00_7))))))->
															BgL_typez00);
														((((BgL_variablez00_bglt)
																	COBJECT(((BgL_variablez00_bglt) (
																				(BgL_localz00_bglt)
																				BgL_arg1520z00_1840))))->BgL_typez00) =
															((BgL_typez00_bglt) BgL_arg1524z00_1841),
															BUNSPEC);
													}
													{	/* Globalize/loc2glo.scm 129 */
														obj_t BgL_g1394z00_1843;
														obj_t BgL_g1395z00_1844;

														BgL_g1394z00_1843 =
															CDR(((obj_t) BgL_nargsz00_1836));
														BgL_g1395z00_1844 = CDR(((obj_t) BgL_argsz00_7));
														{
															obj_t BgL_ll1391z00_1846;
															obj_t BgL_ll1392z00_1847;

															BgL_ll1391z00_1846 = BgL_g1394z00_1843;
															BgL_ll1392z00_1847 = BgL_g1395z00_1844;
														BgL_zc3z04anonymousza31535ze3z87_1848:
															if (NULLP(BgL_ll1391z00_1846))
																{	/* Globalize/loc2glo.scm 134 */
																	((bool_t) 1);
																}
															else
																{	/* Globalize/loc2glo.scm 134 */
																	{	/* Globalize/loc2glo.scm 130 */
																		obj_t BgL_nz00_1850;
																		obj_t BgL_oz00_1851;

																		BgL_nz00_1850 =
																			CAR(((obj_t) BgL_ll1391z00_1846));
																		BgL_oz00_1851 =
																			CAR(((obj_t) BgL_ll1392z00_1847));
																		{	/* Globalize/loc2glo.scm 130 */
																			bool_t BgL_test1971z00_3523;

																			{	/* Globalize/loc2glo.scm 130 */
																				bool_t BgL_test1972z00_3524;

																				{	/* Globalize/loc2glo.scm 130 */
																					BgL_typez00_bglt BgL_arg1563z00_1863;

																					BgL_arg1563z00_1863 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										BgL_oz00_1851))))->
																						BgL_typez00);
																					BgL_test1972z00_3524 =
																						BGl_bigloozd2typezf3z21zztype_typez00
																						(BgL_arg1563z00_1863);
																				}
																				if (BgL_test1972z00_3524)
																					{	/* Globalize/loc2glo.scm 131 */
																						bool_t BgL_test1973z00_3529;

																						{	/* Globalize/loc2glo.scm 131 */
																							BgL_typez00_bglt
																								BgL_arg1555z00_1862;
																							BgL_arg1555z00_1862 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_localz00_bglt)
																												BgL_oz00_1851))))->
																								BgL_typez00);
																							BgL_test1973z00_3529 =
																								(((obj_t) BgL_arg1555z00_1862)
																								==
																								BGl_za2_za2z00zztype_cachez00);
																						}
																						if (BgL_test1973z00_3529)
																							{	/* Globalize/loc2glo.scm 131 */
																								BgL_test1971z00_3523 =
																									((bool_t) 0);
																							}
																						else
																							{	/* Globalize/loc2glo.scm 131 */
																								BgL_test1971z00_3523 =
																									((bool_t) 1);
																							}
																					}
																				else
																					{	/* Globalize/loc2glo.scm 130 */
																						BgL_test1971z00_3523 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test1971z00_3523)
																				{	/* Globalize/loc2glo.scm 132 */
																					BgL_typez00_bglt BgL_arg1554z00_1859;

																					BgL_arg1554z00_1859 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										BgL_oz00_1851))))->
																						BgL_typez00);
																					((((BgL_variablez00_bglt)
																								COBJECT(((BgL_variablez00_bglt)
																										((BgL_localz00_bglt)
																											BgL_nz00_1850))))->
																							BgL_typez00) =
																						((BgL_typez00_bglt)
																							BgL_arg1554z00_1859), BUNSPEC);
																				}
																			else
																				{	/* Globalize/loc2glo.scm 133 */
																					BgL_typez00_bglt BgL_vz00_2521;

																					BgL_vz00_2521 =
																						((BgL_typez00_bglt)
																						BGl_za2objza2z00zztype_cachez00);
																					((((BgL_variablez00_bglt)
																								COBJECT(((BgL_variablez00_bglt)
																										((BgL_localz00_bglt)
																											BgL_nz00_1850))))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) BgL_vz00_2521),
																						BUNSPEC);
																				}
																		}
																	}
																	{	/* Globalize/loc2glo.scm 134 */
																		obj_t BgL_arg1564z00_1864;
																		obj_t BgL_arg1567z00_1865;

																		BgL_arg1564z00_1864 =
																			CDR(((obj_t) BgL_ll1391z00_1846));
																		BgL_arg1567z00_1865 =
																			CDR(((obj_t) BgL_ll1392z00_1847));
																		{
																			obj_t BgL_ll1392z00_3550;
																			obj_t BgL_ll1391z00_3549;

																			BgL_ll1391z00_3549 = BgL_arg1564z00_1864;
																			BgL_ll1392z00_3550 = BgL_arg1567z00_1865;
																			BgL_ll1392z00_1847 = BgL_ll1392z00_3550;
																			BgL_ll1391z00_1846 = BgL_ll1391z00_3549;
																			goto
																				BgL_zc3z04anonymousza31535ze3z87_1848;
																		}
																	}
																}
														}
													}
												}
											else
												{	/* Globalize/loc2glo.scm 122 */
													if (CBOOL
														(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
														{	/* Globalize/loc2glo.scm 135 */
															((bool_t) 0);
														}
													else
														{
															obj_t BgL_l1396z00_1868;

															BgL_l1396z00_1868 = BgL_nargsz00_1836;
														BgL_zc3z04anonymousza31568ze3z87_1869:
															if (PAIRP(BgL_l1396z00_1868))
																{	/* Globalize/loc2glo.scm 136 */
																	{	/* Globalize/loc2glo.scm 137 */
																		obj_t BgL_lz00_1871;

																		BgL_lz00_1871 = CAR(BgL_l1396z00_1868);
																		{	/* Globalize/loc2glo.scm 137 */
																			BgL_typez00_bglt BgL_vz00_2526;

																			BgL_vz00_2526 =
																				((BgL_typez00_bglt)
																				BGl_za2objza2z00zztype_cachez00);
																			((((BgL_variablez00_bglt)
																						COBJECT(((BgL_variablez00_bglt) (
																									(BgL_localz00_bglt)
																									BgL_lz00_1871))))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_2526),
																				BUNSPEC);
																		}
																	}
																	{
																		obj_t BgL_l1396z00_3560;

																		BgL_l1396z00_3560 = CDR(BgL_l1396z00_1868);
																		BgL_l1396z00_1868 = BgL_l1396z00_3560;
																		goto BgL_zc3z04anonymousza31568ze3z87_1869;
																	}
																}
															else
																{	/* Globalize/loc2glo.scm 136 */
																	((bool_t) 1);
																}
														}
												}
										}
									}
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_5)))->
											BgL_valuez00) =
										((BgL_valuez00_bglt) ((BgL_valuez00_bglt)
												BgL_newzd2funzd2_1823)), BUNSPEC);
									{	/* Globalize/loc2glo.scm 145 */
										BgL_nodez00_bglt BgL_arg1581z00_1877;

										{	/* Globalize/loc2glo.scm 145 */
											BgL_nodez00_bglt BgL_arg1582z00_1878;

											{	/* Globalize/loc2glo.scm 145 */
												obj_t BgL_arg1583z00_1879;

												{	/* Globalize/loc2glo.scm 145 */
													obj_t BgL_arg1584z00_1880;
													obj_t BgL_arg1585z00_1881;

													{	/* Globalize/loc2glo.scm 145 */
														obj_t BgL_arg1586z00_1882;

														BgL_arg1586z00_1882 =
															BGl_thezd2closurezd2zzglobaliza7e_freeza7(
															((BgL_variablez00_bglt) BgL_localz00_6), BFALSE);
														BgL_arg1584z00_1880 =
															MAKE_YOUNG_PAIR(BgL_arg1586z00_1882,
															((obj_t) BgL_envz00_1819));
													}
													if (NULLP(BgL_kapturedz00_8))
														{	/* Globalize/loc2glo.scm 146 */
															BgL_arg1585z00_1881 = BNIL;
														}
													else
														{	/* Globalize/loc2glo.scm 146 */
															obj_t BgL_head1400z00_1886;

															{	/* Globalize/loc2glo.scm 146 */
																obj_t BgL_arg1604z00_1902;

																{	/* Globalize/loc2glo.scm 146 */
																	obj_t BgL_arg1606z00_1903;
																	obj_t BgL_arg1612z00_1904;

																	BgL_arg1606z00_1903 =
																		CAR(((obj_t) BgL_kapturedz00_8));
																	BgL_arg1612z00_1904 =
																		CAR(((obj_t) BgL_newzd2freezd2_1820));
																	BgL_arg1604z00_1902 =
																		MAKE_YOUNG_PAIR(BgL_arg1606z00_1903,
																		BgL_arg1612z00_1904);
																}
																BgL_head1400z00_1886 =
																	MAKE_YOUNG_PAIR(BgL_arg1604z00_1902, BNIL);
															}
															{	/* Globalize/loc2glo.scm 146 */
																obj_t BgL_g1404z00_1887;
																obj_t BgL_g1405z00_1888;

																BgL_g1404z00_1887 =
																	CDR(((obj_t) BgL_kapturedz00_8));
																BgL_g1405z00_1888 =
																	CDR(((obj_t) BgL_newzd2freezd2_1820));
																{
																	obj_t BgL_ll1398z00_1890;
																	obj_t BgL_ll1399z00_1891;
																	obj_t BgL_tail1401z00_1892;

																	BgL_ll1398z00_1890 = BgL_g1404z00_1887;
																	BgL_ll1399z00_1891 = BgL_g1405z00_1888;
																	BgL_tail1401z00_1892 = BgL_head1400z00_1886;
																BgL_zc3z04anonymousza31588ze3z87_1893:
																	if (NULLP(BgL_ll1398z00_1890))
																		{	/* Globalize/loc2glo.scm 146 */
																			BgL_arg1585z00_1881 =
																				BgL_head1400z00_1886;
																		}
																	else
																		{	/* Globalize/loc2glo.scm 146 */
																			obj_t BgL_newtail1402z00_1895;

																			{	/* Globalize/loc2glo.scm 146 */
																				obj_t BgL_arg1601z00_1898;

																				{	/* Globalize/loc2glo.scm 146 */
																					obj_t BgL_arg1602z00_1899;
																					obj_t BgL_arg1603z00_1900;

																					BgL_arg1602z00_1899 =
																						CAR(((obj_t) BgL_ll1398z00_1890));
																					BgL_arg1603z00_1900 =
																						CAR(((obj_t) BgL_ll1399z00_1891));
																					BgL_arg1601z00_1898 =
																						MAKE_YOUNG_PAIR(BgL_arg1602z00_1899,
																						BgL_arg1603z00_1900);
																				}
																				BgL_newtail1402z00_1895 =
																					MAKE_YOUNG_PAIR(BgL_arg1601z00_1898,
																					BNIL);
																			}
																			SET_CDR(BgL_tail1401z00_1892,
																				BgL_newtail1402z00_1895);
																			{	/* Globalize/loc2glo.scm 146 */
																				obj_t BgL_arg1595z00_1896;
																				obj_t BgL_arg1597z00_1897;

																				BgL_arg1595z00_1896 =
																					CDR(((obj_t) BgL_ll1398z00_1890));
																				BgL_arg1597z00_1897 =
																					CDR(((obj_t) BgL_ll1399z00_1891));
																				{
																					obj_t BgL_tail1401z00_3596;
																					obj_t BgL_ll1399z00_3595;
																					obj_t BgL_ll1398z00_3594;

																					BgL_ll1398z00_3594 =
																						BgL_arg1595z00_1896;
																					BgL_ll1399z00_3595 =
																						BgL_arg1597z00_1897;
																					BgL_tail1401z00_3596 =
																						BgL_newtail1402z00_1895;
																					BgL_tail1401z00_1892 =
																						BgL_tail1401z00_3596;
																					BgL_ll1399z00_1891 =
																						BgL_ll1399z00_3595;
																					BgL_ll1398z00_1890 =
																						BgL_ll1398z00_3594;
																					goto
																						BgL_zc3z04anonymousza31588ze3z87_1893;
																				}
																			}
																		}
																}
															}
														}
													BgL_arg1583z00_1879 =
														MAKE_YOUNG_PAIR(BgL_arg1584z00_1880,
														BgL_arg1585z00_1881);
												}
												BgL_arg1582z00_1878 =
													BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(
													((BgL_nodez00_bglt) BgL_bodyz00_9),
													((BgL_variablez00_bglt) BgL_localz00_6),
													BgL_arg1583z00_1879);
											}
											BgL_arg1581z00_1877 =
												BGl_makezd2escapingzd2bodyz00zzglobaliza7e_localzd2ze3globalz96
												(BgL_localz00_6, BgL_globalz00_5,
												BgL_newzd2argszd2_1821, BgL_newzd2freezd2_1820,
												BgL_envz00_1819, BgL_arg1582z00_1878);
										}
										((((BgL_sfunz00_bglt) COBJECT(BgL_newzd2funzd2_1823))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1581z00_1877)), BUNSPEC);
									}
									return BgL_globalz00_5;
								}
							}
						}
					}
				}
			}
		}

	}



/* make-escaping-body */
	BgL_nodez00_bglt
		BGl_makezd2escapingzd2bodyz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_localz00_bglt BgL_localz00_10, BgL_globalz00_bglt BgL_globalz00_11,
		obj_t BgL_argsz00_12, obj_t BgL_kapturedz00_13,
		BgL_localz00_bglt BgL_envz00_14, BgL_nodez00_bglt BgL_bodyz00_15)
	{
		{	/* Globalize/loc2glo.scm 152 */
			{	/* Globalize/loc2glo.scm 153 */
				obj_t BgL_stackz00_1978;
				obj_t BgL_locz00_1979;

				{	/* Globalize/loc2glo.scm 153 */
					obj_t BgL_list1748z00_2032;

					BgL_list1748z00_2032 = MAKE_YOUNG_PAIR(((obj_t) BgL_envz00_14), BNIL);
					BgL_stackz00_1978 = BgL_list1748z00_2032;
				}
				BgL_locz00_1979 =
					(((BgL_nodez00_bglt) COBJECT(BgL_bodyz00_15))->BgL_locz00);
				{	/* Globalize/loc2glo.scm 155 */
					BgL_valuez00_bglt BgL_arg1696z00_1980;

					BgL_arg1696z00_1980 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_localz00_10)))->BgL_valuez00);
					((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_arg1696z00_1980)))->BgL_bodyz00) =
						((obj_t) ((obj_t) BgL_bodyz00_15)), BUNSPEC);
				}
				{	/* Globalize/loc2glo.scm 156 */
					BgL_letzd2varzd2_bglt BgL_new1154z00_1981;

					{	/* Globalize/loc2glo.scm 157 */
						BgL_letzd2varzd2_bglt BgL_new1153z00_2030;

						BgL_new1153z00_2030 =
							((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Globalize/loc2glo.scm 157 */
							long BgL_arg1747z00_2031;

							BgL_arg1747z00_2031 =
								BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1153z00_2030),
								BgL_arg1747z00_2031);
						}
						{	/* Globalize/loc2glo.scm 157 */
							BgL_objectz00_bglt BgL_tmpz00_3616;

							BgL_tmpz00_3616 = ((BgL_objectz00_bglt) BgL_new1153z00_2030);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3616, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1153z00_2030);
						BgL_new1154z00_1981 = BgL_new1153z00_2030;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1154z00_1981)))->BgL_locz00) =
						((obj_t) BgL_locz00_1979), BUNSPEC);
					{
						BgL_typez00_bglt BgL_auxz00_3622;

						{	/* Globalize/loc2glo.scm 158 */
							BgL_typez00_bglt BgL_arg1699z00_1982;

							BgL_arg1699z00_1982 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_localz00_10)))->BgL_typez00);
							BgL_auxz00_3622 =
								BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1699z00_1982,
								((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1154z00_1981)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_3622), BUNSPEC);
					}
					((((BgL_nodezf2effectzf2_bglt) COBJECT(
									((BgL_nodezf2effectzf2_bglt) BgL_new1154z00_1981)))->
							BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1154z00_1981)))->BgL_keyz00) =
						((obj_t) BINT(((long) -1))), BUNSPEC);
					{
						obj_t BgL_auxz00_3634;

						{
							obj_t BgL_kapturedz00_1985;
							long BgL_numz00_1986;
							obj_t BgL_resz00_1987;

							BgL_kapturedz00_1985 = BgL_kapturedz00_13;
							BgL_numz00_1986 = ((long) 0);
							BgL_resz00_1987 = BNIL;
						BgL_zc3z04anonymousza31700ze3z87_1988:
							if (NULLP(BgL_kapturedz00_1985))
								{	/* Globalize/loc2glo.scm 162 */
									BgL_auxz00_3634 = bgl_reverse_bang(BgL_resz00_1987);
								}
							else
								{	/* Globalize/loc2glo.scm 164 */
									obj_t BgL_arg1703z00_1990;
									long BgL_arg1706z00_1991;
									obj_t BgL_arg1711z00_1992;

									BgL_arg1703z00_1990 = CDR(((obj_t) BgL_kapturedz00_1985));
									BgL_arg1706z00_1991 = (BgL_numz00_1986 + ((long) 1));
									{	/* Globalize/loc2glo.scm 166 */
										obj_t BgL_arg1712z00_1993;

										{	/* Globalize/loc2glo.scm 166 */
											obj_t BgL_arg1713z00_1994;
											BgL_nodez00_bglt BgL_arg1714z00_1995;

											BgL_arg1713z00_1994 = CAR(((obj_t) BgL_kapturedz00_1985));
											{	/* Globalize/loc2glo.scm 168 */
												obj_t BgL_arg1715z00_1996;

												{	/* Globalize/loc2glo.scm 168 */
													obj_t BgL_arg1716z00_1997;

													{	/* Globalize/loc2glo.scm 168 */
														obj_t BgL_arg1721z00_1998;

														BgL_arg1721z00_1998 =
															MAKE_YOUNG_PAIR(BINT(BgL_numz00_1986), BNIL);
														BgL_arg1716z00_1997 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)),
															BgL_arg1721z00_1998);
													}
													BgL_arg1715z00_1996 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 1)),
														BgL_arg1716z00_1997);
												}
												BgL_arg1714z00_1995 =
													BGl_sexpzd2ze3nodez31zzast_sexpz00
													(BgL_arg1715z00_1996, BgL_stackz00_1978,
													BgL_locz00_1979, CNST_TABLE_REF(((long) 2)));
											}
											BgL_arg1712z00_1993 =
												MAKE_YOUNG_PAIR(BgL_arg1713z00_1994,
												((obj_t) BgL_arg1714z00_1995));
										}
										BgL_arg1711z00_1992 =
											MAKE_YOUNG_PAIR(BgL_arg1712z00_1993, BgL_resz00_1987);
									}
									{
										obj_t BgL_resz00_3656;
										long BgL_numz00_3655;
										obj_t BgL_kapturedz00_3654;

										BgL_kapturedz00_3654 = BgL_arg1703z00_1990;
										BgL_numz00_3655 = BgL_arg1706z00_1991;
										BgL_resz00_3656 = BgL_arg1711z00_1992;
										BgL_resz00_1987 = BgL_resz00_3656;
										BgL_numz00_1986 = BgL_numz00_3655;
										BgL_kapturedz00_1985 = BgL_kapturedz00_3654;
										goto BgL_zc3z04anonymousza31700ze3z87_1988;
									}
								}
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1154z00_1981))->
								BgL_bindingsz00) = ((obj_t) BgL_auxz00_3634), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3658;

						{	/* Globalize/loc2glo.scm 173 */
							BgL_letzd2funzd2_bglt BgL_new1158z00_2000;

							{	/* Globalize/loc2glo.scm 174 */
								BgL_letzd2funzd2_bglt BgL_new1157z00_2028;

								BgL_new1157z00_2028 =
									((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2funzd2_bgl))));
								{	/* Globalize/loc2glo.scm 174 */
									long BgL_arg1746z00_2029;

									{	/* Globalize/loc2glo.scm 174 */
										obj_t BgL_classz00_2552;

										BgL_classz00_2552 = BGl_letzd2funzd2zzast_nodez00;
										BgL_arg1746z00_2029 = BGL_CLASS_NUM(BgL_classz00_2552);
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1157z00_2028),
										BgL_arg1746z00_2029);
								}
								{	/* Globalize/loc2glo.scm 174 */
									BgL_objectz00_bglt BgL_tmpz00_3663;

									BgL_tmpz00_3663 = ((BgL_objectz00_bglt) BgL_new1157z00_2028);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3663, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1157z00_2028);
								BgL_new1158z00_2000 = BgL_new1157z00_2028;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1158z00_2000)))->BgL_locz00) =
								((obj_t) BgL_locz00_1979), BUNSPEC);
							{
								BgL_typez00_bglt BgL_auxz00_3669;

								{	/* Globalize/loc2glo.scm 175 */
									BgL_typez00_bglt BgL_arg1723z00_2001;

									BgL_arg1723z00_2001 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_localz00_10)))->
										BgL_typez00);
									BgL_auxz00_3669 =
										BGl_strictzd2nodezd2typez00zzast_nodez00
										(BgL_arg1723z00_2001,
										((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1158z00_2000)))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_auxz00_3669), BUNSPEC);
							}
							((((BgL_nodezf2effectzf2_bglt) COBJECT(
											((BgL_nodezf2effectzf2_bglt) BgL_new1158z00_2000)))->
									BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1158z00_2000)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							{
								obj_t BgL_auxz00_3681;

								{	/* Globalize/loc2glo.scm 176 */
									obj_t BgL_list1724z00_2002;

									BgL_list1724z00_2002 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_10), BNIL);
									BgL_auxz00_3681 = BgL_list1724z00_2002;
								}
								((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1158z00_2000))->
										BgL_localsz00) = ((obj_t) BgL_auxz00_3681), BUNSPEC);
							}
							{
								BgL_nodez00_bglt BgL_auxz00_3685;

								{	/* Globalize/loc2glo.scm 177 */
									BgL_appz00_bglt BgL_new1160z00_2003;

									{	/* Globalize/loc2glo.scm 178 */
										BgL_appz00_bglt BgL_new1159z00_2026;

										BgL_new1159z00_2026 =
											((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_appz00_bgl))));
										{	/* Globalize/loc2glo.scm 178 */
											long BgL_arg1745z00_2027;

											{	/* Globalize/loc2glo.scm 178 */
												obj_t BgL_classz00_2558;

												BgL_classz00_2558 = BGl_appz00zzast_nodez00;
												BgL_arg1745z00_2027 = BGL_CLASS_NUM(BgL_classz00_2558);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1159z00_2026),
												BgL_arg1745z00_2027);
										}
										{	/* Globalize/loc2glo.scm 178 */
											BgL_objectz00_bglt BgL_tmpz00_3690;

											BgL_tmpz00_3690 =
												((BgL_objectz00_bglt) BgL_new1159z00_2026);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3690, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1159z00_2026);
										BgL_new1160z00_2003 = BgL_new1159z00_2026;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1160z00_2003)))->
											BgL_locz00) = ((obj_t) BgL_locz00_1979), BUNSPEC);
									{
										BgL_typez00_bglt BgL_auxz00_3696;

										{	/* Globalize/loc2glo.scm 179 */
											BgL_typez00_bglt BgL_arg1725z00_2004;

											BgL_arg1725z00_2004 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_localz00_10)))->
												BgL_typez00);
											BgL_auxz00_3696 =
												BGl_strictzd2nodezd2typez00zzast_nodez00
												(BgL_arg1725z00_2004,
												((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1160z00_2003)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_auxz00_3696), BUNSPEC);
									}
									((((BgL_nodezf2effectzf2_bglt) COBJECT(
													((BgL_nodezf2effectzf2_bglt) BgL_new1160z00_2003)))->
											BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_nodezf2effectzf2_bglt)
												COBJECT(((BgL_nodezf2effectzf2_bglt)
														BgL_new1160z00_2003)))->BgL_keyz00) =
										((obj_t) BINT(((long) -1))), BUNSPEC);
									{
										BgL_varz00_bglt BgL_auxz00_3708;

										{	/* Globalize/loc2glo.scm 180 */
											BgL_refz00_bglt BgL_new1162z00_2005;

											{	/* Globalize/loc2glo.scm 181 */
												BgL_refz00_bglt BgL_new1161z00_2007;

												BgL_new1161z00_2007 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Globalize/loc2glo.scm 181 */
													long BgL_arg1728z00_2008;

													{	/* Globalize/loc2glo.scm 181 */
														obj_t BgL_classz00_2563;

														BgL_classz00_2563 = BGl_refz00zzast_nodez00;
														BgL_arg1728z00_2008 =
															BGL_CLASS_NUM(BgL_classz00_2563);
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1161z00_2007),
														BgL_arg1728z00_2008);
												}
												{	/* Globalize/loc2glo.scm 181 */
													BgL_objectz00_bglt BgL_tmpz00_3713;

													BgL_tmpz00_3713 =
														((BgL_objectz00_bglt) BgL_new1161z00_2007);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3713, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1161z00_2007);
												BgL_new1162z00_2005 = BgL_new1161z00_2007;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1162z00_2005)))->
													BgL_locz00) = ((obj_t) BgL_locz00_1979), BUNSPEC);
											{
												BgL_typez00_bglt BgL_auxz00_3719;

												{	/* Globalize/loc2glo.scm 183 */
													BgL_typez00_bglt BgL_arg1726z00_2006;

													BgL_arg1726z00_2006 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_localz00_10)))->
														BgL_typez00);
													BgL_auxz00_3719 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_arg1726z00_2006,
														((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1162z00_2005)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_3719), BUNSPEC);
											}
											((((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_new1162z00_2005)))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_localz00_10)), BUNSPEC);
											BgL_auxz00_3708 = ((BgL_varz00_bglt) BgL_new1162z00_2005);
										}
										((((BgL_appz00_bglt) COBJECT(BgL_new1160z00_2003))->
												BgL_funz00) =
											((BgL_varz00_bglt) BgL_auxz00_3708), BUNSPEC);
									}
									{
										obj_t BgL_auxz00_3731;

										if (NULLP(BgL_argsz00_12))
											{	/* Globalize/loc2glo.scm 185 */
												BgL_auxz00_3731 = BNIL;
											}
										else
											{	/* Globalize/loc2glo.scm 185 */
												obj_t BgL_head1408z00_2011;

												BgL_head1408z00_2011 = MAKE_YOUNG_PAIR(BNIL, BNIL);
												{
													obj_t BgL_l1406z00_2013;
													obj_t BgL_tail1409z00_2014;

													BgL_l1406z00_2013 = BgL_argsz00_12;
													BgL_tail1409z00_2014 = BgL_head1408z00_2011;
												BgL_zc3z04anonymousza31731ze3z87_2015:
													if (NULLP(BgL_l1406z00_2013))
														{	/* Globalize/loc2glo.scm 185 */
															BgL_auxz00_3731 = CDR(BgL_head1408z00_2011);
														}
													else
														{	/* Globalize/loc2glo.scm 185 */
															obj_t BgL_newtail1410z00_2017;

															{	/* Globalize/loc2glo.scm 185 */
																BgL_refz00_bglt BgL_arg1739z00_2019;

																{	/* Globalize/loc2glo.scm 185 */
																	obj_t BgL_vz00_2020;

																	BgL_vz00_2020 =
																		CAR(((obj_t) BgL_l1406z00_2013));
																	{	/* Globalize/loc2glo.scm 186 */
																		BgL_refz00_bglt BgL_new1164z00_2021;

																		{	/* Globalize/loc2glo.scm 190 */
																			BgL_refz00_bglt BgL_new1163z00_2023;

																			BgL_new1163z00_2023 =
																				((BgL_refz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_refz00_bgl))));
																			{	/* Globalize/loc2glo.scm 190 */
																				long BgL_arg1743z00_2024;

																				{	/* Globalize/loc2glo.scm 190 */
																					obj_t BgL_classz00_2570;

																					BgL_classz00_2570 =
																						BGl_refz00zzast_nodez00;
																					BgL_arg1743z00_2024 =
																						BGL_CLASS_NUM(BgL_classz00_2570);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1163z00_2023),
																					BgL_arg1743z00_2024);
																			}
																			{	/* Globalize/loc2glo.scm 190 */
																				BgL_objectz00_bglt BgL_tmpz00_3744;

																				BgL_tmpz00_3744 =
																					((BgL_objectz00_bglt)
																					BgL_new1163z00_2023);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3744,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1163z00_2023);
																			BgL_new1164z00_2021 = BgL_new1163z00_2023;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1164z00_2021)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_1979), BUNSPEC);
																		{
																			BgL_typez00_bglt BgL_auxz00_3750;

																			{	/* Globalize/loc2glo.scm 189 */
																				BgL_typez00_bglt BgL_arg1742z00_2022;

																				BgL_arg1742z00_2022 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								BgL_vz00_2020)))->BgL_typez00);
																				BgL_auxz00_3750 =
																					BGl_strictzd2nodezd2typez00zzast_nodez00
																					(BgL_arg1742z00_2022,
																					((BgL_typez00_bglt)
																						BGl_za2_za2z00zztype_cachez00));
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1164z00_2021)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_auxz00_3750),
																				BUNSPEC);
																		}
																		((((BgL_varz00_bglt) COBJECT(
																						((BgL_varz00_bglt)
																							BgL_new1164z00_2021)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_vz00_2020)), BUNSPEC);
																		BgL_arg1739z00_2019 = BgL_new1164z00_2021;
																}}
																BgL_newtail1410z00_2017 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg1739z00_2019), BNIL);
															}
															SET_CDR(BgL_tail1409z00_2014,
																BgL_newtail1410z00_2017);
															{	/* Globalize/loc2glo.scm 185 */
																obj_t BgL_arg1738z00_2018;

																BgL_arg1738z00_2018 =
																	CDR(((obj_t) BgL_l1406z00_2013));
																{
																	obj_t BgL_tail1409z00_3766;
																	obj_t BgL_l1406z00_3765;

																	BgL_l1406z00_3765 = BgL_arg1738z00_2018;
																	BgL_tail1409z00_3766 =
																		BgL_newtail1410z00_2017;
																	BgL_tail1409z00_2014 = BgL_tail1409z00_3766;
																	BgL_l1406z00_2013 = BgL_l1406z00_3765;
																	goto BgL_zc3z04anonymousza31731ze3z87_2015;
																}
															}
														}
												}
											}
										((((BgL_appz00_bglt) COBJECT(BgL_new1160z00_2003))->
												BgL_argsz00) = ((obj_t) BgL_auxz00_3731), BUNSPEC);
									}
									((((BgL_appz00_bglt) COBJECT(BgL_new1160z00_2003))->
											BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
									BgL_auxz00_3685 = ((BgL_nodez00_bglt) BgL_new1160z00_2003);
								}
								((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1158z00_2000))->
										BgL_bodyz00) =
									((BgL_nodez00_bglt) BgL_auxz00_3685), BUNSPEC);
							}
							BgL_auxz00_3658 = ((BgL_nodez00_bglt) BgL_new1158z00_2000);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1154z00_1981))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3658), BUNSPEC);
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1154z00_1981))->
							BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_new1154z00_1981);
				}
			}
		}

	}



/* fix-non-escaping-definition */
	BgL_globalz00_bglt
		BGl_fixzd2nonzd2escapingzd2definitionzd2zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt BgL_globalz00_16, BgL_localz00_bglt BgL_localz00_17,
		obj_t BgL_argsz00_18, obj_t BgL_kapturedz00_19, obj_t BgL_bodyz00_20)
	{
		{	/* Globalize/loc2glo.scm 196 */
			{	/* Globalize/loc2glo.scm 197 */
				obj_t BgL_addzd2argszd2_2033;

				if (NULLP(BgL_kapturedz00_19))
					{	/* Globalize/loc2glo.scm 197 */
						BgL_addzd2argszd2_2033 = BNIL;
					}
				else
					{	/* Globalize/loc2glo.scm 197 */
						obj_t BgL_head1413z00_2083;

						BgL_head1413z00_2083 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1411z00_2085;
							obj_t BgL_tail1414z00_2086;

							BgL_l1411z00_2085 = BgL_kapturedz00_19;
							BgL_tail1414z00_2086 = BgL_head1413z00_2083;
						BgL_zc3z04anonymousza31791ze3z87_2087:
							if (NULLP(BgL_l1411z00_2085))
								{	/* Globalize/loc2glo.scm 197 */
									BgL_addzd2argszd2_2033 = CDR(BgL_head1413z00_2083);
								}
							else
								{	/* Globalize/loc2glo.scm 197 */
									obj_t BgL_newtail1415z00_2089;

									{	/* Globalize/loc2glo.scm 197 */
										BgL_localz00_bglt BgL_arg1801z00_2091;

										{	/* Globalize/loc2glo.scm 197 */
											obj_t BgL_oldz00_2092;

											BgL_oldz00_2092 = CAR(((obj_t) BgL_l1411z00_2085));
											{	/* Globalize/loc2glo.scm 200 */
												BgL_localz00_bglt BgL_newz00_2093;

												{	/* Globalize/loc2glo.scm 201 */
													obj_t BgL_arg1811z00_2108;
													BgL_typez00_bglt BgL_arg1817z00_2109;

													BgL_arg1811z00_2108 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_oldz00_2092))))->
														BgL_idz00);
													BgL_arg1817z00_2109 =
														(((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt) (
																		(BgL_localz00_bglt) BgL_oldz00_2092))))->
														BgL_typez00);
													BgL_newz00_2093 =
														BGl_makezd2localzd2svarz00zzast_localz00
														(BgL_arg1811z00_2108, BgL_arg1817z00_2109);
												}
												{	/* Globalize/loc2glo.scm 203 */
													bool_t BgL_arg1805z00_2094;

													BgL_arg1805z00_2094 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_oldz00_2092))))->
														BgL_userzf3zf3);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_newz00_2093)))->BgL_userzf3zf3) =
														((bool_t) BgL_arg1805z00_2094), BUNSPEC);
												}
												{	/* Globalize/loc2glo.scm 204 */
													BgL_localzf2ginfozf2_bglt BgL_wide1167z00_2097;

													BgL_wide1167z00_2097 =
														((BgL_localzf2ginfozf2_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_localzf2ginfozf2_bgl))));
													{	/* Globalize/loc2glo.scm 204 */
														obj_t BgL_auxz00_3799;
														BgL_objectz00_bglt BgL_tmpz00_3796;

														BgL_auxz00_3799 = ((obj_t) BgL_wide1167z00_2097);
														BgL_tmpz00_3796 =
															((BgL_objectz00_bglt)
															((BgL_localz00_bglt) BgL_newz00_2093));
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3796,
															BgL_auxz00_3799);
													}
													((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_newz00_2093));
													{	/* Globalize/loc2glo.scm 204 */
														long BgL_arg1807z00_2098;

														BgL_arg1807z00_2098 =
															BGL_CLASS_NUM
															(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
														BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																	(BgL_localz00_bglt) BgL_newz00_2093)),
															BgL_arg1807z00_2098);
													}
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_newz00_2093));
												}
												{
													BgL_localzf2ginfozf2_bglt BgL_auxz00_3810;

													{
														obj_t BgL_auxz00_3811;

														{	/* Globalize/loc2glo.scm 204 */
															BgL_objectz00_bglt BgL_tmpz00_3812;

															BgL_tmpz00_3812 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_newz00_2093));
															BgL_auxz00_3811 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_3812);
														}
														BgL_auxz00_3810 =
															((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3811);
													}
													((((BgL_localzf2ginfozf2_bglt)
																COBJECT(BgL_auxz00_3810))->BgL_escapezf3zf3) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
												}
												{
													BgL_localzf2ginfozf2_bglt BgL_auxz00_3818;

													{
														obj_t BgL_auxz00_3819;

														{	/* Globalize/loc2glo.scm 204 */
															BgL_objectz00_bglt BgL_tmpz00_3820;

															BgL_tmpz00_3820 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_newz00_2093));
															BgL_auxz00_3819 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_3820);
														}
														BgL_auxz00_3818 =
															((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3819);
													}
													((((BgL_localzf2ginfozf2_bglt)
																COBJECT(BgL_auxz00_3818))->
															BgL_globaliza7edzf3z54) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
												}
												((BgL_localz00_bglt) BgL_newz00_2093);
												{	/* Globalize/loc2glo.scm 205 */
													BgL_svarz00_bglt BgL_tmp1169z00_2100;

													BgL_tmp1169z00_2100 =
														((BgL_svarz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt) BgL_newz00_2093)))->
															BgL_valuez00));
													{	/* Globalize/loc2glo.scm 205 */
														BgL_svarzf2ginfozf2_bglt BgL_wide1171z00_2102;

														BgL_wide1171z00_2102 =
															((BgL_svarzf2ginfozf2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_svarzf2ginfozf2_bgl))));
														{	/* Globalize/loc2glo.scm 205 */
															obj_t BgL_auxz00_3834;
															BgL_objectz00_bglt BgL_tmpz00_3831;

															BgL_auxz00_3834 = ((obj_t) BgL_wide1171z00_2102);
															BgL_tmpz00_3831 =
																((BgL_objectz00_bglt)
																((BgL_svarz00_bglt) BgL_tmp1169z00_2100));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3831,
																BgL_auxz00_3834);
														}
														((BgL_objectz00_bglt)
															((BgL_svarz00_bglt) BgL_tmp1169z00_2100));
														{	/* Globalize/loc2glo.scm 205 */
															long BgL_arg1808z00_2103;

															BgL_arg1808z00_2103 =
																BGL_CLASS_NUM
																(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																		(BgL_svarz00_bglt) BgL_tmp1169z00_2100)),
																BgL_arg1808z00_2103);
														}
														((BgL_svarz00_bglt)
															((BgL_svarz00_bglt) BgL_tmp1169z00_2100));
													}
													{
														BgL_svarzf2ginfozf2_bglt BgL_auxz00_3845;

														{
															obj_t BgL_auxz00_3846;

															{	/* Globalize/loc2glo.scm 206 */
																BgL_objectz00_bglt BgL_tmpz00_3847;

																BgL_tmpz00_3847 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1169z00_2100));
																BgL_auxz00_3846 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3847);
															}
															BgL_auxz00_3845 =
																((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3846);
														}
														((((BgL_svarzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_3845))->
																BgL_kapturedzf3zf3) =
															((bool_t) ((bool_t) 1)), BUNSPEC);
													}
													{
														BgL_svarzf2ginfozf2_bglt BgL_auxz00_3853;

														{
															obj_t BgL_auxz00_3854;

															{	/* Globalize/loc2glo.scm 206 */
																BgL_objectz00_bglt BgL_tmpz00_3855;

																BgL_tmpz00_3855 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1169z00_2100));
																BgL_auxz00_3854 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3855);
															}
															BgL_auxz00_3853 =
																((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3854);
														}
														((((BgL_svarzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_3853))->
																BgL_freezd2markzd2) =
															((long) ((long) -10)), BUNSPEC);
													}
													{
														BgL_svarzf2ginfozf2_bglt BgL_auxz00_3861;

														{
															obj_t BgL_auxz00_3862;

															{	/* Globalize/loc2glo.scm 206 */
																BgL_objectz00_bglt BgL_tmpz00_3863;

																BgL_tmpz00_3863 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1169z00_2100));
																BgL_auxz00_3862 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3863);
															}
															BgL_auxz00_3861 =
																((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3862);
														}
														((((BgL_svarzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_3861))->BgL_markz00) =
															((long) ((long) -10)), BUNSPEC);
													}
													{
														BgL_svarzf2ginfozf2_bglt BgL_auxz00_3869;

														{
															obj_t BgL_auxz00_3870;

															{	/* Globalize/loc2glo.scm 206 */
																BgL_objectz00_bglt BgL_tmpz00_3871;

																BgL_tmpz00_3871 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1169z00_2100));
																BgL_auxz00_3870 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3871);
															}
															BgL_auxz00_3869 =
																((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3870);
														}
														((((BgL_svarzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_3869))->BgL_celledzf3zf3) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
													}
													{
														BgL_svarzf2ginfozf2_bglt BgL_auxz00_3877;

														{
															obj_t BgL_auxz00_3878;

															{	/* Globalize/loc2glo.scm 206 */
																BgL_objectz00_bglt BgL_tmpz00_3879;

																BgL_tmpz00_3879 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1169z00_2100));
																BgL_auxz00_3878 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3879);
															}
															BgL_auxz00_3877 =
																((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3878);
														}
														((((BgL_svarzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_3877))->BgL_stackablez00) =
															((bool_t) ((bool_t) 1)), BUNSPEC);
													}
													((BgL_svarz00_bglt) BgL_tmp1169z00_2100);
												}
												{	/* Globalize/loc2glo.scm 208 */
													obj_t BgL_casezd2valuezd2_2105;

													BgL_casezd2valuezd2_2105 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_oldz00_2092))))->
														BgL_accessz00);
													if ((BgL_casezd2valuezd2_2105 ==
															CNST_TABLE_REF(((long) 3))))
														{	/* Globalize/loc2glo.scm 208 */
															{	/* Globalize/loc2glo.scm 211 */
																BgL_typez00_bglt BgL_vz00_2602;

																BgL_vz00_2602 =
																	((BgL_typez00_bglt)
																	BGl_za2cellza2z00zztype_cachez00);
																((((BgL_variablez00_bglt)
																			COBJECT(((BgL_variablez00_bglt)
																					BgL_newz00_2093)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_2602), BUNSPEC);
															}
															{	/* Globalize/loc2glo.scm 212 */
																obj_t BgL_vz00_2604;

																BgL_vz00_2604 = CNST_TABLE_REF(((long) 4));
																((((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_newz00_2093)))->BgL_accessz00) =
																	((obj_t) BgL_vz00_2604), BUNSPEC);
														}}
													else
														{	/* Globalize/loc2glo.scm 208 */
															if (
																(BgL_casezd2valuezd2_2105 ==
																	CNST_TABLE_REF(((long) 4))))
																{	/* Globalize/loc2glo.scm 208 */
																	{	/* Globalize/loc2glo.scm 215 */
																		BgL_typez00_bglt BgL_vz00_2606;

																		BgL_vz00_2606 =
																			((BgL_typez00_bglt)
																			BGl_za2cellza2z00zztype_cachez00);
																		((((BgL_variablez00_bglt)
																					COBJECT(((BgL_variablez00_bglt)
																							BgL_newz00_2093)))->BgL_typez00) =
																			((BgL_typez00_bglt) BgL_vz00_2606),
																			BUNSPEC);
																	}
																	{	/* Globalize/loc2glo.scm 216 */
																		obj_t BgL_vz00_2608;

																		BgL_vz00_2608 = CNST_TABLE_REF(((long) 4));
																		((((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							BgL_newz00_2093)))->
																				BgL_accessz00) =
																			((obj_t) BgL_vz00_2608), BUNSPEC);
																}}
															else
																{	/* Globalize/loc2glo.scm 208 */
																	BUNSPEC;
																}
														}
												}
												BgL_arg1801z00_2091 = BgL_newz00_2093;
											}
										}
										BgL_newtail1415z00_2089 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg1801z00_2091), BNIL);
									}
									SET_CDR(BgL_tail1414z00_2086, BgL_newtail1415z00_2089);
									{	/* Globalize/loc2glo.scm 197 */
										obj_t BgL_arg1799z00_2090;

										BgL_arg1799z00_2090 = CDR(((obj_t) BgL_l1411z00_2085));
										{
											obj_t BgL_tail1414z00_3913;
											obj_t BgL_l1411z00_3912;

											BgL_l1411z00_3912 = BgL_arg1799z00_2090;
											BgL_tail1414z00_3913 = BgL_newtail1415z00_2089;
											BgL_tail1414z00_2086 = BgL_tail1414z00_3913;
											BgL_l1411z00_2085 = BgL_l1411z00_3912;
											goto BgL_zc3z04anonymousza31791ze3z87_2087;
										}
									}
								}
						}
					}
				{	/* Globalize/loc2glo.scm 197 */
					BgL_valuez00_bglt BgL_oldzd2funzd2_2034;

					BgL_oldzd2funzd2_2034 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_localz00_17)))->BgL_valuez00);
					{	/* Globalize/loc2glo.scm 220 */
						BgL_sfunz00_bglt BgL_newzd2funzd2_2035;

						{	/* Globalize/loc2glo.scm 221 */
							BgL_sfunz00_bglt BgL_new1173z00_2064;

							{	/* Globalize/loc2glo.scm 222 */
								BgL_sfunz00_bglt BgL_new1187z00_2079;

								BgL_new1187z00_2079 =
									((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Globalize/loc2glo.scm 222 */
									long BgL_arg1789z00_2080;

									BgL_arg1789z00_2080 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1187z00_2079),
										BgL_arg1789z00_2080);
								}
								{	/* Globalize/loc2glo.scm 222 */
									BgL_objectz00_bglt BgL_tmpz00_3920;

									BgL_tmpz00_3920 = ((BgL_objectz00_bglt) BgL_new1187z00_2079);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3920, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1187z00_2079);
								BgL_new1173z00_2064 = BgL_new1187z00_2079;
							}
							{
								long BgL_auxz00_3924;

								{	/* Globalize/loc2glo.scm 222 */
									long BgL_arg1781z00_2065;
									long BgL_arg1785z00_2066;

									BgL_arg1781z00_2065 =
										(((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt)
													((BgL_sfunz00_bglt) BgL_oldzd2funzd2_2034))))->
										BgL_arityz00);
									BgL_arg1785z00_2066 = bgl_list_length(BgL_kapturedz00_19);
									BgL_auxz00_3924 =
										(long)
										CINT(BGl_zb2zd2arityz60zztools_argsz00(BINT
											(BgL_arg1781z00_2065), BINT(BgL_arg1785z00_2066)));
								}
								((((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt) BgL_new1173z00_2064)))->
										BgL_arityz00) = ((long) BgL_auxz00_3924), BUNSPEC);
							}
							((((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt) BgL_new1173z00_2064)))->
									BgL_sidezd2effectzd2) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2034)))->BgL_sidezd2effectzd2)),
								BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1173z00_2064)))->BgL_predicatezd2ofzd2) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2034)))->BgL_predicatezd2ofzd2)),
								BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1173z00_2064)))->BgL_stackzd2allocatorzd2) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2034)))->BgL_stackzd2allocatorzd2)),
								BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1173z00_2064)))->BgL_topzf3zf3) =
								((bool_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2034)))->BgL_topzf3zf3)), BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1173z00_2064)))->BgL_thezd2closurezd2) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2034)))->BgL_thezd2closurezd2)),
								BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1173z00_2064)))->BgL_effectz00) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2034)))->BgL_effectz00)), BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1173z00_2064)))->BgL_failsafez00) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2034)))->BgL_failsafez00)), BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1173z00_2064)))->BgL_argszd2noescapezd2) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2034)))->BgL_argszd2noescapezd2)),
								BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1173z00_2064)))->BgL_argszd2retescapezd2) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2034)))->BgL_argszd2retescapezd2)),
								BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_propertyz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->BgL_propertyz00)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_3975;

								{	/* Globalize/loc2glo.scm 223 */
									obj_t BgL_arg1788z00_2068;

									BgL_arg1788z00_2068 = bgl_reverse(BgL_addzd2argszd2_2033);
									BgL_auxz00_3975 =
										BGl_appendzd221011zd2zzglobaliza7e_localzd2ze3globalz96
										(BgL_arg1788z00_2068, BgL_argsz00_18);
								}
								((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
										BgL_argsz00) = ((obj_t) BgL_auxz00_3975), BUNSPEC);
							}
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_argszd2namezd2) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->BgL_argszd2namezd2)),
								BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_bodyz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->BgL_bodyz00)), BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_classz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->BgL_classz00)), BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_dssslzd2keywordszd2) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->
										BgL_dssslzd2keywordszd2)), BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->BgL_locz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->BgL_locz00)), BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_optionalsz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->BgL_optionalsz00)),
								BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_keysz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->BgL_keysz00)), BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_thezd2closurezd2globalz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->
										BgL_thezd2closurezd2globalz00)), BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_strengthz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->BgL_strengthz00)),
								BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_stackablez00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->BgL_stackablez00)),
								BUNSPEC);
							BgL_newzd2funzd2_2035 = BgL_new1173z00_2064;
						}
						{	/* Globalize/loc2glo.scm 221 */

							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_4019;

								{
									obj_t BgL_auxz00_4020;

									{	/* Globalize/loc2glo.scm 224 */
										BgL_objectz00_bglt BgL_tmpz00_4021;

										BgL_tmpz00_4021 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_localz00_17));
										BgL_auxz00_4020 = BGL_OBJECT_WIDENING(BgL_tmpz00_4021);
									}
									BgL_auxz00_4019 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4020);
								}
								((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4019))->
										BgL_escapezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_globalzf2ginfozf2_bglt BgL_auxz00_4027;

								{
									obj_t BgL_auxz00_4028;

									{	/* Globalize/loc2glo.scm 225 */
										BgL_objectz00_bglt BgL_tmpz00_4029;

										BgL_tmpz00_4029 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_16));
										BgL_auxz00_4028 = BGL_OBJECT_WIDENING(BgL_tmpz00_4029);
									}
									BgL_auxz00_4027 =
										((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4028);
								}
								((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4027))->
										BgL_escapezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							}
							{	/* Globalize/loc2glo.scm 226 */
								BgL_typez00_bglt BgL_arg1749z00_2036;

								BgL_arg1749z00_2036 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_localz00_17)))->BgL_typez00);
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_globalz00_16)))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_arg1749z00_2036), BUNSPEC);
							}
							{	/* Globalize/loc2glo.scm 229 */
								BgL_nodez00_bglt BgL_arg1750z00_2037;

								{	/* Globalize/loc2glo.scm 229 */
									obj_t BgL_arg1751z00_2038;
									obj_t BgL_arg1752z00_2039;

									{	/* Globalize/loc2glo.scm 228 */
										BgL_sfunz00_bglt BgL_oz00_2627;

										BgL_oz00_2627 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_localz00_17)))->
												BgL_valuez00));
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4042;

											{
												obj_t BgL_auxz00_4043;

												{	/* Globalize/loc2glo.scm 228 */
													BgL_objectz00_bglt BgL_tmpz00_4044;

													BgL_tmpz00_4044 =
														((BgL_objectz00_bglt) BgL_oz00_2627);
													BgL_auxz00_4043 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4044);
												}
												BgL_auxz00_4042 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4043);
											}
											BgL_arg1751z00_2038 =
												(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4042))->
												BgL_newzd2bodyzd2);
									}}
									if (NULLP(BgL_kapturedz00_19))
										{	/* Globalize/loc2glo.scm 231 */
											BgL_arg1752z00_2039 = BNIL;
										}
									else
										{	/* Globalize/loc2glo.scm 231 */
											obj_t BgL_head1418z00_2044;

											{	/* Globalize/loc2glo.scm 231 */
												obj_t BgL_arg1770z00_2060;

												{	/* Globalize/loc2glo.scm 231 */
													obj_t BgL_arg1772z00_2061;
													obj_t BgL_arg1777z00_2062;

													BgL_arg1772z00_2061 =
														CAR(((obj_t) BgL_kapturedz00_19));
													BgL_arg1777z00_2062 =
														CAR(((obj_t) BgL_addzd2argszd2_2033));
													BgL_arg1770z00_2060 =
														MAKE_YOUNG_PAIR(BgL_arg1772z00_2061,
														BgL_arg1777z00_2062);
												}
												BgL_head1418z00_2044 =
													MAKE_YOUNG_PAIR(BgL_arg1770z00_2060, BNIL);
											}
											{	/* Globalize/loc2glo.scm 231 */
												obj_t BgL_g1422z00_2045;
												obj_t BgL_g1423z00_2046;

												BgL_g1422z00_2045 = CDR(((obj_t) BgL_kapturedz00_19));
												BgL_g1423z00_2046 =
													CDR(((obj_t) BgL_addzd2argszd2_2033));
												{
													obj_t BgL_ll1416z00_2048;
													obj_t BgL_ll1417z00_2049;
													obj_t BgL_tail1419z00_2050;

													BgL_ll1416z00_2048 = BgL_g1422z00_2045;
													BgL_ll1417z00_2049 = BgL_g1423z00_2046;
													BgL_tail1419z00_2050 = BgL_head1418z00_2044;
												BgL_zc3z04anonymousza31755ze3z87_2051:
													if (NULLP(BgL_ll1416z00_2048))
														{	/* Globalize/loc2glo.scm 231 */
															BgL_arg1752z00_2039 = BgL_head1418z00_2044;
														}
													else
														{	/* Globalize/loc2glo.scm 231 */
															obj_t BgL_newtail1420z00_2053;

															{	/* Globalize/loc2glo.scm 231 */
																obj_t BgL_arg1762z00_2056;

																{	/* Globalize/loc2glo.scm 231 */
																	obj_t BgL_arg1763z00_2057;
																	obj_t BgL_arg1766z00_2058;

																	BgL_arg1763z00_2057 =
																		CAR(((obj_t) BgL_ll1416z00_2048));
																	BgL_arg1766z00_2058 =
																		CAR(((obj_t) BgL_ll1417z00_2049));
																	BgL_arg1762z00_2056 =
																		MAKE_YOUNG_PAIR(BgL_arg1763z00_2057,
																		BgL_arg1766z00_2058);
																}
																BgL_newtail1420z00_2053 =
																	MAKE_YOUNG_PAIR(BgL_arg1762z00_2056, BNIL);
															}
															SET_CDR(BgL_tail1419z00_2050,
																BgL_newtail1420z00_2053);
															{	/* Globalize/loc2glo.scm 231 */
																obj_t BgL_arg1759z00_2054;
																obj_t BgL_arg1761z00_2055;

																BgL_arg1759z00_2054 =
																	CDR(((obj_t) BgL_ll1416z00_2048));
																BgL_arg1761z00_2055 =
																	CDR(((obj_t) BgL_ll1417z00_2049));
																{
																	obj_t BgL_tail1419z00_4076;
																	obj_t BgL_ll1417z00_4075;
																	obj_t BgL_ll1416z00_4074;

																	BgL_ll1416z00_4074 = BgL_arg1759z00_2054;
																	BgL_ll1417z00_4075 = BgL_arg1761z00_2055;
																	BgL_tail1419z00_4076 =
																		BgL_newtail1420z00_2053;
																	BgL_tail1419z00_2050 = BgL_tail1419z00_4076;
																	BgL_ll1417z00_2049 = BgL_ll1417z00_4075;
																	BgL_ll1416z00_2048 = BgL_ll1416z00_4074;
																	goto BgL_zc3z04anonymousza31755ze3z87_2051;
																}
															}
														}
												}
											}
										}
									BgL_arg1750z00_2037 =
										BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(
										((BgL_nodez00_bglt) BgL_arg1751z00_2038),
										((BgL_variablez00_bglt) BgL_localz00_17),
										BgL_arg1752z00_2039);
								}
								((((BgL_sfunz00_bglt) COBJECT(BgL_newzd2funzd2_2035))->
										BgL_bodyz00) =
									((obj_t) ((obj_t) BgL_arg1750z00_2037)), BUNSPEC);
							}
							((((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_globalz00_16)))->
									BgL_valuez00) =
								((BgL_valuez00_bglt) ((BgL_valuez00_bglt)
										BgL_newzd2funzd2_2035)), BUNSPEC);
							return BgL_globalz00_16;
						}
					}
				}
			}
		}

	}



/* the-global */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt
		BgL_localz00_21)
	{
		{	/* Globalize/loc2glo.scm 241 */
			{	/* Globalize/loc2glo.scm 242 */
				BgL_valuez00_bglt BgL_valuez00_2111;

				BgL_valuez00_2111 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_21)))->BgL_valuez00);
				{	/* Globalize/loc2glo.scm 243 */
					bool_t BgL_test1987z00_4087;

					{	/* Globalize/loc2glo.scm 243 */
						obj_t BgL_arg1858z00_2135;

						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4088;

							{
								obj_t BgL_auxz00_4089;

								{	/* Globalize/loc2glo.scm 243 */
									BgL_objectz00_bglt BgL_tmpz00_4090;

									BgL_tmpz00_4090 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_valuez00_2111));
									BgL_auxz00_4089 = BGL_OBJECT_WIDENING(BgL_tmpz00_4090);
								}
								BgL_auxz00_4088 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4089);
							}
							BgL_arg1858z00_2135 =
								(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4088))->
								BgL_thezd2globalzd2);
						}
						{	/* Globalize/loc2glo.scm 243 */
							obj_t BgL_classz00_2644;

							BgL_classz00_2644 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_arg1858z00_2135))
								{	/* Globalize/loc2glo.scm 243 */
									BgL_objectz00_bglt BgL_arg1825z00_2646;

									BgL_arg1825z00_2646 =
										(BgL_objectz00_bglt) (BgL_arg1858z00_2135);
									{	/* Globalize/loc2glo.scm 243 */
										bool_t BgL_arg1822z00_2649;
										bool_t BgL_arg1823z00_2650;

										{	/* Globalize/loc2glo.scm 243 */
											long BgL_idxz00_2653;

											BgL_idxz00_2653 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2646);
											BgL_arg1822z00_2649 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2653 + ((long) 2))) == BgL_classz00_2644);
										}
										{	/* Globalize/loc2glo.scm 243 */
											bool_t BgL_res1946z00_2675;

											{	/* Globalize/loc2glo.scm 243 */
												obj_t BgL_oclassz00_2661;

												{	/* Globalize/loc2glo.scm 243 */
													long BgL_arg1833z00_2667;

													{	/* Globalize/loc2glo.scm 243 */
														long BgL_arg1834z00_2668;

														BgL_arg1834z00_2668 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2646);
														BgL_arg1833z00_2667 =
															(BgL_arg1834z00_2668 - OBJECT_TYPE);
													}
													BgL_oclassz00_2661 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2667);
												}
												{	/* Globalize/loc2glo.scm 243 */
													bool_t BgL__ortest_1110z00_2662;

													BgL__ortest_1110z00_2662 =
														(BgL_classz00_2644 == BgL_oclassz00_2661);
													if (BgL__ortest_1110z00_2662)
														{	/* Globalize/loc2glo.scm 243 */
															BgL_res1946z00_2675 = BgL__ortest_1110z00_2662;
														}
													else
														{	/* Globalize/loc2glo.scm 243 */
															long BgL_odepthz00_2663;

															BgL_odepthz00_2663 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2661);
															if ((((long) 2) < BgL_odepthz00_2663))
																{	/* Globalize/loc2glo.scm 243 */
																	obj_t BgL_arg1821z00_2665;

																	BgL_arg1821z00_2665 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2661,
																		((long) 2));
																	BgL_res1946z00_2675 =
																		(BgL_arg1821z00_2665 == BgL_classz00_2644);
																}
															else
																{	/* Globalize/loc2glo.scm 243 */
																	BgL_res1946z00_2675 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2650 = BgL_res1946z00_2675;
										}
										BgL_test1987z00_4087 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2649,
											BgL_arg1823z00_2650);
									}
								}
							else
								{	/* Globalize/loc2glo.scm 243 */
									BgL_test1987z00_4087 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test1987z00_4087)
						{
							obj_t BgL_auxz00_4114;

							{
								BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4115;

								{
									obj_t BgL_auxz00_4116;

									{	/* Globalize/loc2glo.scm 244 */
										BgL_objectz00_bglt BgL_tmpz00_4117;

										BgL_tmpz00_4117 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_valuez00_2111));
										BgL_auxz00_4116 = BGL_OBJECT_WIDENING(BgL_tmpz00_4117);
									}
									BgL_auxz00_4115 =
										((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4116);
								}
								BgL_auxz00_4114 =
									(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4115))->
									BgL_thezd2globalzd2);
							}
							return ((BgL_globalz00_bglt) BgL_auxz00_4114);
						}
					else
						{	/* Globalize/loc2glo.scm 245 */
							obj_t BgL_lidz00_2114;

							{	/* Globalize/loc2glo.scm 245 */
								obj_t BgL_arg1854z00_2131;

								{	/* Globalize/loc2glo.scm 245 */
									obj_t BgL_arg1855z00_2132;
									obj_t BgL_arg1856z00_2133;

									{	/* Globalize/loc2glo.scm 245 */
										obj_t BgL_symbolz00_2678;

										BgL_symbolz00_2678 = CNST_TABLE_REF(((long) 5));
										{	/* Globalize/loc2glo.scm 245 */
											obj_t BgL_arg1463z00_2679;

											BgL_arg1463z00_2679 =
												SYMBOL_TO_STRING(BgL_symbolz00_2678);
											BgL_arg1855z00_2132 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1463z00_2679);
									}}
									{	/* Globalize/loc2glo.scm 245 */
										obj_t BgL_arg1857z00_2134;

										BgL_arg1857z00_2134 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_localz00_21)))->
											BgL_idz00);
										{	/* Globalize/loc2glo.scm 245 */
											obj_t BgL_arg1463z00_2682;

											BgL_arg1463z00_2682 =
												SYMBOL_TO_STRING(BgL_arg1857z00_2134);
											BgL_arg1856z00_2133 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1463z00_2682);
									}}
									BgL_arg1854z00_2131 =
										string_append(BgL_arg1855z00_2132, BgL_arg1856z00_2133);
								}
								BgL_lidz00_2114 = bstring_to_symbol(BgL_arg1854z00_2131);
							}
							{	/* Globalize/loc2glo.scm 245 */
								obj_t BgL_idz00_2115;

								{	/* Globalize/loc2glo.scm 246 */
									bool_t BgL_test1991z00_4133;

									{	/* Globalize/loc2glo.scm 246 */
										obj_t BgL_arg1852z00_2130;

										BgL_arg1852z00_2130 =
											BGl_findzd2globalzf2modulez20zzast_envz00(BgL_lidz00_2114,
											BGl_za2moduleza2z00zzmodule_modulez00);
										{	/* Globalize/loc2glo.scm 246 */
											obj_t BgL_classz00_2684;

											BgL_classz00_2684 = BGl_globalz00zzast_varz00;
											if (BGL_OBJECTP(BgL_arg1852z00_2130))
												{	/* Globalize/loc2glo.scm 246 */
													BgL_objectz00_bglt BgL_arg1825z00_2686;

													BgL_arg1825z00_2686 =
														(BgL_objectz00_bglt) (BgL_arg1852z00_2130);
													{	/* Globalize/loc2glo.scm 246 */
														bool_t BgL_arg1822z00_2689;
														bool_t BgL_arg1823z00_2690;

														{	/* Globalize/loc2glo.scm 246 */
															long BgL_idxz00_2693;

															BgL_idxz00_2693 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2686);
															BgL_arg1822z00_2689 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2693 + ((long) 2))) ==
																BgL_classz00_2684);
														}
														{	/* Globalize/loc2glo.scm 246 */
															bool_t BgL_res1947z00_2715;

															{	/* Globalize/loc2glo.scm 246 */
																obj_t BgL_oclassz00_2701;

																{	/* Globalize/loc2glo.scm 246 */
																	long BgL_arg1833z00_2707;

																	{	/* Globalize/loc2glo.scm 246 */
																		long BgL_arg1834z00_2708;

																		BgL_arg1834z00_2708 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2686);
																		BgL_arg1833z00_2707 =
																			(BgL_arg1834z00_2708 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2701 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_2707);
																}
																{	/* Globalize/loc2glo.scm 246 */
																	bool_t BgL__ortest_1110z00_2702;

																	BgL__ortest_1110z00_2702 =
																		(BgL_classz00_2684 == BgL_oclassz00_2701);
																	if (BgL__ortest_1110z00_2702)
																		{	/* Globalize/loc2glo.scm 246 */
																			BgL_res1947z00_2715 =
																				BgL__ortest_1110z00_2702;
																		}
																	else
																		{	/* Globalize/loc2glo.scm 246 */
																			long BgL_odepthz00_2703;

																			BgL_odepthz00_2703 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2701);
																			if ((((long) 2) < BgL_odepthz00_2703))
																				{	/* Globalize/loc2glo.scm 246 */
																					obj_t BgL_arg1821z00_2705;

																					BgL_arg1821z00_2705 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2701, ((long) 2));
																					BgL_res1947z00_2715 =
																						(BgL_arg1821z00_2705 ==
																						BgL_classz00_2684);
																				}
																			else
																				{	/* Globalize/loc2glo.scm 246 */
																					BgL_res1947z00_2715 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_2690 = BgL_res1947z00_2715;
														}
														BgL_test1991z00_4133 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_2689,
															BgL_arg1823z00_2690);
													}
												}
											else
												{	/* Globalize/loc2glo.scm 246 */
													BgL_test1991z00_4133 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test1991z00_4133)
										{	/* Globalize/loc2glo.scm 246 */
											BgL_idz00_2115 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BgL_lidz00_2114);
										}
									else
										{	/* Globalize/loc2glo.scm 246 */
											BgL_idz00_2115 = BgL_lidz00_2114;
										}
								}
								{	/* Globalize/loc2glo.scm 246 */
									BgL_globalz00_bglt BgL_globalz00_2116;

									BgL_globalz00_2116 =
										BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
										(BgL_idz00_2115, BNIL, BNIL,
										BGl_za2moduleza2z00zzmodule_modulez00,
										CNST_TABLE_REF(((long) 6)), CNST_TABLE_REF(((long) 7)),
										CNST_TABLE_REF(((long) 8)), BUNSPEC);
									{	/* Globalize/loc2glo.scm 249 */

										{	/* Globalize/loc2glo.scm 262 */
											BgL_valuez00_bglt BgL_arg1824z00_2117;
											obj_t BgL_arg1837z00_2118;

											BgL_arg1824z00_2117 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_2116)))->
												BgL_valuez00);
											BgL_arg1837z00_2118 =
												(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
															BgL_valuez00_2111)))->BgL_locz00);
											((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
																BgL_arg1824z00_2117)))->BgL_locz00) =
												((obj_t) BgL_arg1837z00_2118), BUNSPEC);
										}
										{	/* Globalize/loc2glo.scm 264 */
											BgL_typez00_bglt BgL_arg1838z00_2119;

											BgL_arg1838z00_2119 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_localz00_21)))->
												BgL_typez00);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_globalz00_2116)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_arg1838z00_2119), BUNSPEC);
										}
										if (
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_localz00_21)))->
												BgL_userzf3zf3))
											{	/* Globalize/loc2glo.scm 266 */
												BFALSE;
											}
										else
											{	/* Globalize/loc2glo.scm 266 */
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_globalz00_2116)))->
														BgL_userzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
											}
										{	/* Globalize/loc2glo.scm 268 */
											BgL_globalzf2ginfozf2_bglt BgL_wide1190z00_2123;

											BgL_wide1190z00_2123 =
												((BgL_globalzf2ginfozf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_globalzf2ginfozf2_bgl))));
											{	/* Globalize/loc2glo.scm 268 */
												obj_t BgL_auxz00_4177;
												BgL_objectz00_bglt BgL_tmpz00_4174;

												BgL_auxz00_4177 = ((obj_t) BgL_wide1190z00_2123);
												BgL_tmpz00_4174 =
													((BgL_objectz00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_2116));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4174,
													BgL_auxz00_4177);
											}
											((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_2116));
											{	/* Globalize/loc2glo.scm 268 */
												long BgL_arg1842z00_2124;

												BgL_arg1842z00_2124 =
													BGL_CLASS_NUM
													(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_globalz00_bglt) BgL_globalz00_2116)),
													BgL_arg1842z00_2124);
											}
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_2116));
										}
										{
											BgL_globalzf2ginfozf2_bglt BgL_auxz00_4188;

											{
												obj_t BgL_auxz00_4189;

												{	/* Globalize/loc2glo.scm 268 */
													BgL_objectz00_bglt BgL_tmpz00_4190;

													BgL_tmpz00_4190 =
														((BgL_objectz00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_2116));
													BgL_auxz00_4189 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4190);
												}
												BgL_auxz00_4188 =
													((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4189);
											}
											((((BgL_globalzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_4188))->BgL_escapezf3zf3) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_globalzf2ginfozf2_bglt BgL_auxz00_4196;

											{
												obj_t BgL_auxz00_4197;

												{	/* Globalize/loc2glo.scm 268 */
													BgL_objectz00_bglt BgL_tmpz00_4198;

													BgL_tmpz00_4198 =
														((BgL_objectz00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_2116));
													BgL_auxz00_4197 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4198);
												}
												BgL_auxz00_4196 =
													((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4197);
											}
											((((BgL_globalzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_4196))->
													BgL_globalzd2closurezd2) = ((obj_t) BFALSE), BUNSPEC);
										}
										((BgL_globalz00_bglt) BgL_globalz00_2116);
										{	/* Globalize/loc2glo.scm 269 */
											BgL_valuez00_bglt BgL_arg1848z00_2126;
											obj_t BgL_arg1849z00_2127;

											BgL_arg1848z00_2126 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_2116)))->
												BgL_valuez00);
											BgL_arg1849z00_2127 =
												(((BgL_funz00_bglt)
													COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																BgL_valuez00_2111))))->BgL_sidezd2effectzd2);
											((((BgL_funz00_bglt)
														COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																	BgL_arg1848z00_2126))))->
													BgL_sidezd2effectzd2) =
												((obj_t) BgL_arg1849z00_2127), BUNSPEC);
										}
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4213;

											{
												obj_t BgL_auxz00_4214;

												{	/* Globalize/loc2glo.scm 271 */
													BgL_objectz00_bglt BgL_tmpz00_4215;

													BgL_tmpz00_4215 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_valuez00_2111));
													BgL_auxz00_4214 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4215);
												}
												BgL_auxz00_4213 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4214);
											}
											((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4213))->
													BgL_thezd2globalzd2) =
												((obj_t) ((obj_t) BgL_globalz00_2116)), BUNSPEC);
										}
										return BgL_globalz00_2116;
									}
								}
							}
						}
				}
			}
		}

	}



/* &the-global */
	BgL_globalz00_bglt
		BGl_z62thezd2globalzb0zzglobaliza7e_localzd2ze3globalz96(obj_t
		BgL_envz00_2779, obj_t BgL_localz00_2780)
	{
		{	/* Globalize/loc2glo.scm 241 */
			return
				BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(
				((BgL_localz00_bglt) BgL_localz00_2780));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_localzd2ze3globalz96()
	{
		{	/* Globalize/loc2glo.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_localzd2ze3globalz96()
	{
		{	/* Globalize/loc2glo.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_localzd2ze3globalz96()
	{
		{	/* Globalize/loc2glo.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96()
	{
		{	/* Globalize/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzobject_methodz00(((long) 493120707),
				BSTRING_TO_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(((long) 2706117),
				BSTRING_TO_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96));
			return
				BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(((long)
					244215788),
				BSTRING_TO_STRING(BGl_string1949z00zzglobaliza7e_localzd2ze3globalz96));
		}

	}

#ifdef __cplusplus
}
#endif
