/*===========================================================================*/
/*   (Globalize/node.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/node.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_svarzf2ginfozf2_bgl
	{
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
		bool_t BgL_celledzf3zf3;
		bool_t BgL_stackablez00;
	}                      *BgL_svarzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12z70zzglobaliza7e_nodeza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_nodeza7 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern BgL_globalz00_bglt
		BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_nodez00_bglt BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2sequence1374za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2app1378za2zzglobaliza7e_nodeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_nodeza7();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_nodeza7();
	static BgL_appz00_bglt
		BGl_azd2makezd2procedurez00zzglobaliza7e_nodeza7(BgL_localz00_bglt);
	static obj_t BGl_makezd2setszd2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t,
		BgL_variablez00_bglt);
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_nodeza7();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static BgL_appz00_bglt
		BGl_azd2procedurezd2setz12z12zzglobaliza7e_nodeza7(obj_t, obj_t, long,
		obj_t, BgL_variablez00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static BgL_localz00_bglt
		BGl_cellzd2variablezd2zzglobaliza7e_nodeza7(BgL_localz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2atom1365za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzglobaliza7e_nodeza7(obj_t, obj_t);
	extern obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_nodeza7();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2conditional1390za2zzglobaliza7e_nodeza7(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2fun1396z70zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static bool_t BGl_celledzf3zf3zzglobaliza7e_nodeza7(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2globaliza7ez12z05zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62gloz121361z70zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2setzd2exzd2it1400za2zzglobaliza7e_nodeza7(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2appzd2ly1380z70zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_cellzd2formalszd2zzglobaliza7e_nodeza7(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2ref1408z70zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2extern1384za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2closurezd2zzglobaliza7e_freeza7(BgL_variablez00_bglt,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2makezd2box1404z70zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2switch1394za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2setz121410z62zzglobaliza7e_nodeza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_gloza2z12zb0zzglobaliza7e_nodeza7(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2kwote1367za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_nodeza7();
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_nodeza7();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_nodeza7();
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_nodeza7();
	static obj_t BGl_celledzd2bindingszd2zzglobaliza7e_nodeza7(obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1402za2zzglobaliza7e_nodeza7(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2cast1386za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2funcall1382za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2var1398z70zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2setq1388za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_makezd2escapingzd2bindingsz00zzglobaliza7e_nodeza7(obj_t,
		BgL_nodez00_bglt, BgL_variablez00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2sync1376za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_globaliza7ezd2localzd2funz12zb5zzglobaliza7e_nodeza7(BgL_localz00_bglt,
		BgL_variablez00_bglt);
	static BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzglobaliza7e_nodeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2closure1372za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2fail1392za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2var1369za2zzglobaliza7e_nodeza7(obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00(BgL_typez00_bglt);
	static obj_t __cnst[10];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezd2globaliza7ez12zd2envzb5zzglobaliza7e_nodeza7,
		BgL_bgl_za762nodeza7d2global2101z00,
		BGl_z62nodezd2globaliza7ez12z05zzglobaliza7e_nodeza7, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2069z00zzglobaliza7e_nodeza7,
		BgL_bgl_string2069za700za7za7g2102za7, "glo!1361", 8);
	      DEFINE_STRING(BGl_string2070z00zzglobaliza7e_nodeza7,
		BgL_bgl_string2070za700za7za7g2103za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2072z00zzglobaliza7e_nodeza7,
		BgL_bgl_string2072za700za7za7g2104za7, "glo!", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2068z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza7121361za7702105za7,
		BGl_z62gloz121361z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2071z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2atom2106za7,
		BGl_z62gloz12zd2atom1365za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2073z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2kwot2107za7,
		BGl_z62gloz12zd2kwote1367za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2074z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2var12108za7,
		BGl_z62gloz12zd2var1369za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2075z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2clos2109za7,
		BGl_z62gloz12zd2closure1372za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2076z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2sequ2110za7,
		BGl_z62gloz12zd2sequence1374za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2077z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2sync2111za7,
		BGl_z62gloz12zd2sync1376za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2078z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2app12112za7,
		BGl_z62gloz12zd2app1378za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2079z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2appza72113z00,
		BGl_z62gloz12zd2appzd2ly1380z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2080z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2func2114za7,
		BGl_z62gloz12zd2funcall1382za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2081z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2exte2115za7,
		BGl_z62gloz12zd2extern1384za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2082z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2cast2116za7,
		BGl_z62gloz12zd2cast1386za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2083z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2setq2117za7,
		BGl_z62gloz12zd2setq1388za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2084z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2cond2118za7,
		BGl_z62gloz12zd2conditional1390za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2085z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2fail2119za7,
		BGl_z62gloz12zd2fail1392za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2086z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2swit2120za7,
		BGl_z62gloz12zd2switch1394za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2087z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2letza72121z00,
		BGl_z62gloz12zd2letzd2fun1396z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2094z00zzglobaliza7e_nodeza7,
		BgL_bgl_string2094za700za7za7g2122za7,
		"Shoud not be here (because of the integration", 45);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2088z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2letza72123z00,
		BGl_z62gloz12zd2letzd2var1398z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2095z00zzglobaliza7e_nodeza7,
		BgL_bgl_string2095za700za7za7g2124za7, "globalize_node", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2089z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2setza72125z00,
		BGl_z62gloz12zd2setzd2exzd2it1400za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2096z00zzglobaliza7e_nodeza7,
		BgL_bgl_string2096za700za7za7g2126za7,
		"aux glo! glo!1361 procedure-set! foreign make-fx-procedure make-va-procedure done (write cell-globalize) cell-globalize ",
		120);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2090z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2jump2127za7,
		BGl_z62gloz12zd2jumpzd2exzd2it1402za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2091z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2make2128za7,
		BGl_z62gloz12zd2makezd2box1404z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2092z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2boxza72129z00,
		BGl_z62gloz12zd2boxzd2ref1408z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2093z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2boxza72130z00,
		BGl_z62gloz12zd2boxzd2setz121410z62zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za770za7za7gl2131za7,
		BGl_z62gloz12z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzglobaliza7e_nodeza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long
		BgL_checksumz00_3788, char *BgL_fromz00_3789)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_nodeza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_nodeza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_nodeza7();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_nodeza7();
					BGl_cnstzd2initzd2zzglobaliza7e_nodeza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_nodeza7();
					BGl_genericzd2initzd2zzglobaliza7e_nodeza7();
					BGl_methodzd2initzd2zzglobaliza7e_nodeza7();
					return BGl_toplevelzd2initzd2zzglobaliza7e_nodeza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_nodeza7()
	{
		{	/* Globalize/node.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "globalize_node");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"globalize_node");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_nodeza7()
	{
		{	/* Globalize/node.scm 17 */
			{	/* Globalize/node.scm 17 */
				obj_t BgL_cportz00_3503;

				{	/* Globalize/node.scm 17 */
					obj_t BgL_stringz00_3511;

					BgL_stringz00_3511 = BGl_string2096z00zzglobaliza7e_nodeza7;
					{	/* Globalize/node.scm 17 */
						obj_t BgL_startz00_3512;

						BgL_startz00_3512 = BINT(((long) 0));
						{	/* Globalize/node.scm 17 */
							obj_t BgL_endz00_3513;

							BgL_endz00_3513 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3511)));
							{	/* Globalize/node.scm 17 */

								BgL_cportz00_3503 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3511, BgL_startz00_3512, BgL_endz00_3513);
				}}}}
				{
					long BgL_iz00_3504;

					BgL_iz00_3504 = ((long) 9);
				BgL_loopz00_3505:
					if ((BgL_iz00_3504 == ((long) -1)))
						{	/* Globalize/node.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/node.scm 17 */
							{	/* Globalize/node.scm 17 */
								obj_t BgL_arg2100z00_3507;

								{	/* Globalize/node.scm 17 */

									{	/* Globalize/node.scm 17 */
										obj_t BgL_locationz00_3509;

										BgL_locationz00_3509 = BBOOL(((bool_t) 0));
										{	/* Globalize/node.scm 17 */

											BgL_arg2100z00_3507 =
												BGl_readz00zz__readerz00(BgL_cportz00_3503,
												BgL_locationz00_3509);
										}
									}
								}
								{	/* Globalize/node.scm 17 */
									int BgL_tmpz00_3819;

									BgL_tmpz00_3819 = (int) (BgL_iz00_3504);
									CNST_TABLE_SET(BgL_tmpz00_3819, BgL_arg2100z00_3507);
							}}
							{	/* Globalize/node.scm 17 */
								int BgL_auxz00_3510;

								BgL_auxz00_3510 = (int) ((BgL_iz00_3504 - ((long) 1)));
								{
									long BgL_iz00_3824;

									BgL_iz00_3824 = (long) (BgL_auxz00_3510);
									BgL_iz00_3504 = BgL_iz00_3824;
									goto BgL_loopz00_3505;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_nodeza7()
	{
		{	/* Globalize/node.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_nodeza7()
	{
		{	/* Globalize/node.scm 17 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzglobaliza7e_nodeza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1760;

				BgL_headz00_1760 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1761;
					obj_t BgL_tailz00_1762;

					BgL_prevz00_1761 = BgL_headz00_1760;
					BgL_tailz00_1762 = BgL_l1z00_1;
				BgL_loopz00_1763:
					if (PAIRP(BgL_tailz00_1762))
						{
							obj_t BgL_newzd2prevzd2_1765;

							BgL_newzd2prevzd2_1765 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1762), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1761, BgL_newzd2prevzd2_1765);
							{
								obj_t BgL_tailz00_3834;
								obj_t BgL_prevz00_3833;

								BgL_prevz00_3833 = BgL_newzd2prevzd2_1765;
								BgL_tailz00_3834 = CDR(BgL_tailz00_1762);
								BgL_tailz00_1762 = BgL_tailz00_3834;
								BgL_prevz00_1761 = BgL_prevz00_3833;
								goto BgL_loopz00_1763;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1760);
				}
			}
		}

	}



/* node-globalize! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(BgL_nodez00_bglt
		BgL_nodez00_3, BgL_variablez00_bglt BgL_integratorz00_4,
		obj_t BgL_whatzf2byza2z50_5)
	{
		{	/* Globalize/node.scm 40 */
			{	/* Globalize/node.scm 44 */
				BgL_valuez00_bglt BgL_funz00_1768;

				BgL_funz00_1768 =
					(((BgL_variablez00_bglt) COBJECT(BgL_integratorz00_4))->BgL_valuez00);
				{	/* Globalize/node.scm 44 */
					obj_t BgL_celledz00_1769;

					{	/* Globalize/node.scm 45 */
						obj_t BgL_arg1496z00_1790;

						BgL_arg1496z00_1790 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1768)))->BgL_argsz00);
						BgL_celledz00_1769 =
							BGl_celledzd2bindingszd2zzglobaliza7e_nodeza7
							(BgL_arg1496z00_1790);
					}
					{	/* Globalize/node.scm 45 */
						obj_t BgL_whatzf2byza2z50_1770;

						BgL_whatzf2byza2z50_1770 =
							BGl_appendzd221011zd2zzglobaliza7e_nodeza7(BgL_celledz00_1769,
							BgL_whatzf2byza2z50_5);
						{	/* Globalize/node.scm 46 */

							{
								obj_t BgL_l1339z00_1772;

								BgL_l1339z00_1772 = BgL_whatzf2byza2z50_1770;
							BgL_zc3z04anonymousza31417ze3z87_1773:
								if (PAIRP(BgL_l1339z00_1772))
									{	/* Globalize/node.scm 48 */
										{	/* Globalize/node.scm 49 */
											obj_t BgL_wzd2bzd2_1775;

											BgL_wzd2bzd2_1775 = CAR(BgL_l1339z00_1772);
											{	/* Globalize/node.scm 49 */
												obj_t BgL_arg1430z00_1776;
												obj_t BgL_arg1454z00_1777;

												BgL_arg1430z00_1776 = CAR(((obj_t) BgL_wzd2bzd2_1775));
												BgL_arg1454z00_1777 = CDR(((obj_t) BgL_wzd2bzd2_1775));
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_arg1430z00_1776))))->
														BgL_fastzd2alphazd2) =
													((obj_t) BgL_arg1454z00_1777), BUNSPEC);
											}
										}
										{
											obj_t BgL_l1339z00_3852;

											BgL_l1339z00_3852 = CDR(BgL_l1339z00_1772);
											BgL_l1339z00_1772 = BgL_l1339z00_3852;
											goto BgL_zc3z04anonymousza31417ze3z87_1773;
										}
									}
								else
									{	/* Globalize/node.scm 48 */
										((bool_t) 1);
									}
							}
							{	/* Globalize/node.scm 51 */
								BgL_nodez00_bglt BgL_resz00_1780;

								BgL_resz00_1780 =
									BGl_cellzd2formalszd2zzglobaliza7e_nodeza7(BgL_celledz00_1769,
									BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_nodez00_3,
										BgL_integratorz00_4));
								{
									obj_t BgL_l1341z00_1782;

									BgL_l1341z00_1782 = BgL_whatzf2byza2z50_1770;
								BgL_zc3z04anonymousza31457ze3z87_1783:
									if (PAIRP(BgL_l1341z00_1782))
										{	/* Globalize/node.scm 53 */
											{	/* Globalize/node.scm 54 */
												obj_t BgL_wzd2bzd2_1785;

												BgL_wzd2bzd2_1785 = CAR(BgL_l1341z00_1782);
												{	/* Globalize/node.scm 54 */
													obj_t BgL_arg1462z00_1786;

													BgL_arg1462z00_1786 =
														CAR(((obj_t) BgL_wzd2bzd2_1785));
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			BgL_arg1462z00_1786))))->
															BgL_fastzd2alphazd2) =
														((obj_t) BUNSPEC), BUNSPEC);
												}
											}
											{
												obj_t BgL_l1341z00_3864;

												BgL_l1341z00_3864 = CDR(BgL_l1341z00_1782);
												BgL_l1341z00_1782 = BgL_l1341z00_3864;
												goto BgL_zc3z04anonymousza31457ze3z87_1783;
											}
										}
									else
										{	/* Globalize/node.scm 53 */
											((bool_t) 1);
										}
								}
								return BgL_resz00_1780;
							}
						}
					}
				}
			}
		}

	}



/* &node-globalize! */
	BgL_nodez00_bglt BGl_z62nodezd2globaliza7ez12z05zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3404, obj_t BgL_nodez00_3405, obj_t BgL_integratorz00_3406,
		obj_t BgL_whatzf2byza2z50_3407)
	{
		{	/* Globalize/node.scm 40 */
			return
				BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(
				((BgL_nodez00_bglt) BgL_nodez00_3405),
				((BgL_variablez00_bglt) BgL_integratorz00_3406),
				BgL_whatzf2byza2z50_3407);
		}

	}



/* celled-bindings */
	obj_t BGl_celledzd2bindingszd2zzglobaliza7e_nodeza7(obj_t BgL_formalsz00_6)
	{
		{	/* Globalize/node.scm 61 */
			{
				obj_t BgL_celledz00_1793;
				obj_t BgL_formalsz00_1794;

				BgL_celledz00_1793 = BNIL;
				BgL_formalsz00_1794 = BgL_formalsz00_6;
			BgL_zc3z04anonymousza31497ze3z87_1795:
				if (NULLP(BgL_formalsz00_1794))
					{	/* Globalize/node.scm 65 */
						return BgL_celledz00_1793;
					}
				else
					{	/* Globalize/node.scm 67 */
						bool_t BgL_test2138z00_3871;

						{	/* Globalize/node.scm 67 */
							obj_t BgL_arg1542z00_1805;

							BgL_arg1542z00_1805 = CAR(((obj_t) BgL_formalsz00_1794));
							BgL_test2138z00_3871 =
								BGl_celledzf3zf3zzglobaliza7e_nodeza7(
								((BgL_variablez00_bglt) BgL_arg1542z00_1805));
						}
						if (BgL_test2138z00_3871)
							{	/* Globalize/node.scm 70 */
								obj_t BgL_ovarz00_1799;

								BgL_ovarz00_1799 = CAR(((obj_t) BgL_formalsz00_1794));
								{	/* Globalize/node.scm 70 */
									BgL_localz00_bglt BgL_nvarz00_1800;

									BgL_nvarz00_1800 =
										BGl_cellzd2variablezd2zzglobaliza7e_nodeza7(
										((BgL_localz00_bglt) BgL_ovarz00_1799));
									{	/* Globalize/node.scm 71 */

										{	/* Globalize/node.scm 72 */
											obj_t BgL_arg1520z00_1801;
											obj_t BgL_arg1524z00_1802;

											{	/* Globalize/node.scm 72 */
												obj_t BgL_arg1534z00_1803;

												BgL_arg1534z00_1803 =
													MAKE_YOUNG_PAIR(BgL_ovarz00_1799,
													((obj_t) BgL_nvarz00_1800));
												BgL_arg1520z00_1801 =
													MAKE_YOUNG_PAIR(BgL_arg1534z00_1803,
													BgL_celledz00_1793);
											}
											BgL_arg1524z00_1802 = CDR(((obj_t) BgL_formalsz00_1794));
											{
												obj_t BgL_formalsz00_3886;
												obj_t BgL_celledz00_3885;

												BgL_celledz00_3885 = BgL_arg1520z00_1801;
												BgL_formalsz00_3886 = BgL_arg1524z00_1802;
												BgL_formalsz00_1794 = BgL_formalsz00_3886;
												BgL_celledz00_1793 = BgL_celledz00_3885;
												goto BgL_zc3z04anonymousza31497ze3z87_1795;
											}
										}
									}
								}
							}
						else
							{	/* Globalize/node.scm 68 */
								obj_t BgL_arg1536z00_1804;

								BgL_arg1536z00_1804 = CDR(((obj_t) BgL_formalsz00_1794));
								{
									obj_t BgL_formalsz00_3889;

									BgL_formalsz00_3889 = BgL_arg1536z00_1804;
									BgL_formalsz00_1794 = BgL_formalsz00_3889;
									goto BgL_zc3z04anonymousza31497ze3z87_1795;
								}
							}
					}
			}
		}

	}



/* cell-variable */
	BgL_localz00_bglt
		BGl_cellzd2variablezd2zzglobaliza7e_nodeza7(BgL_localz00_bglt
		BgL_localz00_7)
	{
		{	/* Globalize/node.scm 77 */
			{	/* Globalize/node.scm 78 */
				BgL_localz00_bglt BgL_varz00_1807;

				{	/* Globalize/node.scm 78 */
					obj_t BgL_arg1551z00_1814;

					BgL_arg1551z00_1814 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_localz00_7)))->BgL_idz00);
					BgL_varz00_1807 =
						BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg1551z00_1814,
						((BgL_typez00_bglt) BGl_za2cellza2z00zztype_cachez00));
				}
				{	/* Globalize/node.scm 79 */
					obj_t BgL_vz00_2577;

					BgL_vz00_2577 = CNST_TABLE_REF(((long) 0));
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1807)))->BgL_accessz00) =
						((obj_t) BgL_vz00_2577), BUNSPEC);
				}
				{	/* Globalize/node.scm 80 */
					bool_t BgL_arg1543z00_1808;

					BgL_arg1543z00_1808 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_localz00_7)))->BgL_userzf3zf3);
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1807)))->BgL_userzf3zf3) =
						((bool_t) BgL_arg1543z00_1808), BUNSPEC);
				}
				{	/* Globalize/node.scm 81 */
					BgL_svarz00_bglt BgL_tmp1111z00_1809;

					BgL_tmp1111z00_1809 =
						((BgL_svarz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1807)))->BgL_valuez00));
					{	/* Globalize/node.scm 81 */
						BgL_svarzf2ginfozf2_bglt BgL_wide1113z00_1811;

						BgL_wide1113z00_1811 =
							((BgL_svarzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_svarzf2ginfozf2_bgl))));
						{	/* Globalize/node.scm 81 */
							obj_t BgL_auxz00_3908;
							BgL_objectz00_bglt BgL_tmpz00_3905;

							BgL_auxz00_3908 = ((obj_t) BgL_wide1113z00_1811);
							BgL_tmpz00_3905 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1111z00_1809));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3905, BgL_auxz00_3908);
						}
						((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1111z00_1809));
						{	/* Globalize/node.scm 81 */
							long BgL_arg1548z00_1812;

							BgL_arg1548z00_1812 =
								BGL_CLASS_NUM(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1111z00_1809)),
								BgL_arg1548z00_1812);
						}
						((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1111z00_1809));
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_3919;

						{
							obj_t BgL_auxz00_3920;

							{	/* Globalize/node.scm 83 */
								BgL_objectz00_bglt BgL_tmpz00_3921;

								BgL_tmpz00_3921 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1111z00_1809));
								BgL_auxz00_3920 = BGL_OBJECT_WIDENING(BgL_tmpz00_3921);
							}
							BgL_auxz00_3919 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3920);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3919))->
								BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_3927;

						{
							obj_t BgL_auxz00_3928;

							{	/* Globalize/node.scm 82 */
								BgL_objectz00_bglt BgL_tmpz00_3929;

								BgL_tmpz00_3929 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1111z00_1809));
								BgL_auxz00_3928 = BGL_OBJECT_WIDENING(BgL_tmpz00_3929);
							}
							BgL_auxz00_3927 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3928);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3927))->
								BgL_freezd2markzd2) = ((long) ((long) -10)), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_3935;

						{
							obj_t BgL_auxz00_3936;

							{	/* Globalize/node.scm 82 */
								BgL_objectz00_bglt BgL_tmpz00_3937;

								BgL_tmpz00_3937 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1111z00_1809));
								BgL_auxz00_3936 = BGL_OBJECT_WIDENING(BgL_tmpz00_3937);
							}
							BgL_auxz00_3935 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3936);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3935))->
								BgL_markz00) = ((long) ((long) -10)), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_3943;

						{
							obj_t BgL_auxz00_3944;

							{	/* Globalize/node.scm 82 */
								BgL_objectz00_bglt BgL_tmpz00_3945;

								BgL_tmpz00_3945 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1111z00_1809));
								BgL_auxz00_3944 = BGL_OBJECT_WIDENING(BgL_tmpz00_3945);
							}
							BgL_auxz00_3943 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3944);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3943))->
								BgL_celledzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_3951;

						{
							obj_t BgL_auxz00_3952;

							{	/* Globalize/node.scm 82 */
								BgL_objectz00_bglt BgL_tmpz00_3953;

								BgL_tmpz00_3953 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1111z00_1809));
								BgL_auxz00_3952 = BGL_OBJECT_WIDENING(BgL_tmpz00_3953);
							}
							BgL_auxz00_3951 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3952);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3951))->
								BgL_stackablez00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					((BgL_svarz00_bglt) BgL_tmp1111z00_1809);
				}
				return BgL_varz00_1807;
			}
		}

	}



/* cell-formals */
	BgL_nodez00_bglt BGl_cellzd2formalszd2zzglobaliza7e_nodeza7(obj_t
		BgL_celledz00_8, BgL_nodez00_bglt BgL_bodyz00_9)
	{
		{	/* Globalize/node.scm 89 */
			if (NULLP(BgL_celledz00_8))
				{	/* Globalize/node.scm 90 */
					return BgL_bodyz00_9;
				}
			else
				{	/* Globalize/node.scm 92 */
					obj_t BgL_locz00_1816;

					BgL_locz00_1816 =
						(((BgL_nodez00_bglt) COBJECT(BgL_bodyz00_9))->BgL_locz00);
					{	/* Globalize/node.scm 93 */
						BgL_letzd2varzd2_bglt BgL_new1117z00_1817;

						{	/* Globalize/node.scm 94 */
							BgL_letzd2varzd2_bglt BgL_new1115z00_1839;

							BgL_new1115z00_1839 =
								((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2varzd2_bgl))));
							{	/* Globalize/node.scm 94 */
								long BgL_arg1583z00_1840;

								BgL_arg1583z00_1840 =
									BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1115z00_1839),
									BgL_arg1583z00_1840);
							}
							{	/* Globalize/node.scm 94 */
								BgL_objectz00_bglt BgL_tmpz00_3967;

								BgL_tmpz00_3967 = ((BgL_objectz00_bglt) BgL_new1115z00_1839);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3967, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1115z00_1839);
							BgL_new1117z00_1817 = BgL_new1115z00_1839;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1117z00_1817)))->BgL_locz00) =
							((obj_t) BgL_locz00_1816), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1117z00_1817)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(BgL_bodyz00_9))->
									BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1117z00_1817)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1117z00_1817)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							obj_t BgL_auxz00_3981;

							{	/* Globalize/node.scm 97 */
								obj_t BgL_l1343z00_1818;

								BgL_l1343z00_1818 = BgL_celledz00_8;
								if (NULLP(BgL_l1343z00_1818))
									{	/* Globalize/node.scm 97 */
										BgL_auxz00_3981 = BNIL;
									}
								else
									{	/* Globalize/node.scm 97 */
										obj_t BgL_head1345z00_1820;

										BgL_head1345z00_1820 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1343z00_1822;
											obj_t BgL_tail1346z00_1823;

											BgL_l1343z00_1822 = BgL_l1343z00_1818;
											BgL_tail1346z00_1823 = BgL_head1345z00_1820;
										BgL_zc3z04anonymousza31554ze3z87_1824:
											if (NULLP(BgL_l1343z00_1822))
												{	/* Globalize/node.scm 97 */
													BgL_auxz00_3981 = CDR(BgL_head1345z00_1820);
												}
											else
												{	/* Globalize/node.scm 97 */
													obj_t BgL_newtail1347z00_1826;

													{	/* Globalize/node.scm 97 */
														obj_t BgL_arg1564z00_1828;

														{	/* Globalize/node.scm 97 */
															obj_t BgL_ozd2nzd2_1829;

															BgL_ozd2nzd2_1829 =
																CAR(((obj_t) BgL_l1343z00_1822));
															{	/* Globalize/node.scm 98 */
																obj_t BgL_arg1567z00_1830;
																BgL_makezd2boxzd2_bglt BgL_arg1570z00_1831;

																BgL_arg1567z00_1830 =
																	CDR(((obj_t) BgL_ozd2nzd2_1829));
																{	/* Globalize/node.scm 100 */
																	BgL_refz00_bglt BgL_arg1571z00_1832;
																	obj_t BgL_arg1578z00_1833;

																	{	/* Globalize/node.scm 100 */
																		BgL_refz00_bglt BgL_new1119z00_1834;

																		{	/* Globalize/node.scm 103 */
																			BgL_refz00_bglt BgL_new1118z00_1836;

																			BgL_new1118z00_1836 =
																				((BgL_refz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_refz00_bgl))));
																			{	/* Globalize/node.scm 103 */
																				long BgL_arg1582z00_1837;

																				{	/* Globalize/node.scm 103 */
																					obj_t BgL_classz00_2600;

																					BgL_classz00_2600 =
																						BGl_refz00zzast_nodez00;
																					BgL_arg1582z00_1837 =
																						BGL_CLASS_NUM(BgL_classz00_2600);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1118z00_1836),
																					BgL_arg1582z00_1837);
																			}
																			{	/* Globalize/node.scm 103 */
																				BgL_objectz00_bglt BgL_tmpz00_3996;

																				BgL_tmpz00_3996 =
																					((BgL_objectz00_bglt)
																					BgL_new1118z00_1836);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3996,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1118z00_1836);
																			BgL_new1119z00_1834 = BgL_new1118z00_1836;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1119z00_1834)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_1816), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1119z00_1834)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((
																						(BgL_variablez00_bglt)
																						COBJECT(((BgL_variablez00_bglt)
																								CAR(((obj_t)
																										BgL_ozd2nzd2_1829)))))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_varz00_bglt)
																					COBJECT(((BgL_varz00_bglt)
																							BgL_new1119z00_1834)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt) CAR(((obj_t)
																							BgL_ozd2nzd2_1829)))), BUNSPEC);
																		BgL_arg1571z00_1832 = BgL_new1119z00_1834;
																	}
																	BgL_arg1578z00_1833 =
																		CAR(((obj_t) BgL_ozd2nzd2_1829));
																	BgL_arg1570z00_1831 =
																		BGl_azd2makezd2cellz00zzglobaliza7e_nodeza7(
																		((BgL_nodez00_bglt) BgL_arg1571z00_1832),
																		((BgL_variablez00_bglt)
																			BgL_arg1578z00_1833));
																}
																BgL_arg1564z00_1828 =
																	MAKE_YOUNG_PAIR(BgL_arg1567z00_1830,
																	((obj_t) BgL_arg1570z00_1831));
														}}
														BgL_newtail1347z00_1826 =
															MAKE_YOUNG_PAIR(BgL_arg1564z00_1828, BNIL);
													}
													SET_CDR(BgL_tail1346z00_1823,
														BgL_newtail1347z00_1826);
													{	/* Globalize/node.scm 97 */
														obj_t BgL_arg1563z00_1827;

														BgL_arg1563z00_1827 =
															CDR(((obj_t) BgL_l1343z00_1822));
														{
															obj_t BgL_tail1346z00_4025;
															obj_t BgL_l1343z00_4024;

															BgL_l1343z00_4024 = BgL_arg1563z00_1827;
															BgL_tail1346z00_4025 = BgL_newtail1347z00_1826;
															BgL_tail1346z00_1823 = BgL_tail1346z00_4025;
															BgL_l1343z00_1822 = BgL_l1343z00_4024;
															goto BgL_zc3z04anonymousza31554ze3z87_1824;
														}
													}
												}
										}
									}
							}
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1117z00_1817))->
									BgL_bindingsz00) = ((obj_t) BgL_auxz00_3981), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1117z00_1817))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_bodyz00_9), BUNSPEC);
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1117z00_1817))->
								BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1117z00_1817);
					}
				}
		}

	}



/* a-make-cell */
	BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzglobaliza7e_nodeza7(BgL_nodez00_bglt BgL_nodez00_10,
		BgL_variablez00_bglt BgL_variablez00_11)
	{
		{	/* Globalize/node.scm 110 */
			{	/* Globalize/node.scm 112 */
				obj_t BgL_vz00_2611;

				BgL_vz00_2611 = CNST_TABLE_REF(((long) 0));
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_variablez00_11))))->BgL_accessz00) =
					((obj_t) BgL_vz00_2611), BUNSPEC);
			}
			{	/* Globalize/node.scm 113 */
				BgL_valuez00_bglt BgL_arg1584z00_1842;

				BgL_arg1584z00_1842 =
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_11))->BgL_valuez00);
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_4035;

					{
						obj_t BgL_auxz00_4036;

						{	/* Globalize/node.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_4037;

							BgL_tmpz00_4037 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_arg1584z00_1842));
							BgL_auxz00_4036 = BGL_OBJECT_WIDENING(BgL_tmpz00_4037);
						}
						BgL_auxz00_4035 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_4036);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4035))->
							BgL_celledzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
			}}
			{	/* Globalize/node.scm 114 */
				BgL_makezd2boxzd2_bglt BgL_new1123z00_1843;

				{	/* Globalize/node.scm 117 */
					BgL_makezd2boxzd2_bglt BgL_new1121z00_1846;

					BgL_new1121z00_1846 =
						((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Globalize/node.scm 117 */
						long BgL_arg1588z00_1847;

						BgL_arg1588z00_1847 = BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1121z00_1846), BgL_arg1588z00_1847);
					}
					{	/* Globalize/node.scm 117 */
						BgL_objectz00_bglt BgL_tmpz00_4047;

						BgL_tmpz00_4047 = ((BgL_objectz00_bglt) BgL_new1121z00_1846);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4047, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1121z00_1846);
					BgL_new1123z00_1843 = BgL_new1121z00_1846;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1123z00_1843)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_10))->BgL_locz00)),
					BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1123z00_1843)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt)
							BGl_za2cellza2z00zztype_cachez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1123z00_1843)))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1123z00_1843)))->BgL_keyz00) =
					((obj_t) BINT(((long) -1))), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1123z00_1843))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_nodez00_10), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4063;

					{	/* Globalize/node.scm 116 */
						BgL_typez00_bglt BgL_arg1585z00_1844;

						BgL_arg1585z00_1844 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_11))->
							BgL_typez00);
						BgL_auxz00_4063 =
							BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
							(BgL_arg1585z00_1844);
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1123z00_1843))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_4063), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_4067;

					{	/* Globalize/node.scm 119 */
						BgL_svarz00_bglt BgL_oz00_2622;

						BgL_oz00_2622 =
							((BgL_svarz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_11))->
								BgL_valuez00));
						{	/* Globalize/node.scm 119 */
							bool_t BgL_tmpz00_4070;

							{
								BgL_svarzf2ginfozf2_bglt BgL_auxz00_4071;

								{
									obj_t BgL_auxz00_4072;

									{	/* Globalize/node.scm 119 */
										BgL_objectz00_bglt BgL_tmpz00_4073;

										BgL_tmpz00_4073 = ((BgL_objectz00_bglt) BgL_oz00_2622);
										BgL_auxz00_4072 = BGL_OBJECT_WIDENING(BgL_tmpz00_4073);
									}
									BgL_auxz00_4071 =
										((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_4072);
								}
								BgL_tmpz00_4070 =
									(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4071))->
									BgL_stackablez00);
							}
							BgL_auxz00_4067 = BBOOL(BgL_tmpz00_4070);
					}}
					((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1123z00_1843))->
							BgL_stackablez00) = ((obj_t) BgL_auxz00_4067), BUNSPEC);
				}
				return BgL_new1123z00_1843;
			}
		}

	}



/* celled? */
	bool_t BGl_celledzf3zf3zzglobaliza7e_nodeza7(BgL_variablez00_bglt
		BgL_variablez00_12)
	{
		{	/* Globalize/node.scm 124 */
			{	/* Globalize/node.scm 125 */
				bool_t BgL_test2142z00_4080;

				{	/* Globalize/node.scm 125 */
					obj_t BgL_classz00_2624;

					BgL_classz00_2624 = BGl_localz00zzast_varz00;
					{	/* Globalize/node.scm 125 */
						BgL_objectz00_bglt BgL_arg1825z00_2626;

						{	/* Globalize/node.scm 125 */
							obj_t BgL_tmpz00_4081;

							BgL_tmpz00_4081 = ((obj_t) BgL_variablez00_12);
							BgL_arg1825z00_2626 = (BgL_objectz00_bglt) (BgL_tmpz00_4081);
						}
						{	/* Globalize/node.scm 125 */
							bool_t BgL_arg1822z00_2629;
							bool_t BgL_arg1823z00_2630;

							{	/* Globalize/node.scm 125 */
								long BgL_idxz00_2633;

								BgL_idxz00_2633 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2626);
								BgL_arg1822z00_2629 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2633 + ((long) 2))) == BgL_classz00_2624);
							}
							{	/* Globalize/node.scm 125 */
								bool_t BgL_res2044z00_2655;

								{	/* Globalize/node.scm 125 */
									obj_t BgL_oclassz00_2641;

									{	/* Globalize/node.scm 125 */
										long BgL_arg1833z00_2647;

										{	/* Globalize/node.scm 125 */
											long BgL_arg1834z00_2648;

											BgL_arg1834z00_2648 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2626);
											BgL_arg1833z00_2647 = (BgL_arg1834z00_2648 - OBJECT_TYPE);
										}
										BgL_oclassz00_2641 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_2647);
									}
									{	/* Globalize/node.scm 125 */
										bool_t BgL__ortest_1110z00_2642;

										BgL__ortest_1110z00_2642 =
											(BgL_classz00_2624 == BgL_oclassz00_2641);
										if (BgL__ortest_1110z00_2642)
											{	/* Globalize/node.scm 125 */
												BgL_res2044z00_2655 = BgL__ortest_1110z00_2642;
											}
										else
											{	/* Globalize/node.scm 125 */
												long BgL_odepthz00_2643;

												BgL_odepthz00_2643 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2641);
												if ((((long) 2) < BgL_odepthz00_2643))
													{	/* Globalize/node.scm 125 */
														obj_t BgL_arg1821z00_2645;

														BgL_arg1821z00_2645 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2641,
															((long) 2));
														BgL_res2044z00_2655 =
															(BgL_arg1821z00_2645 == BgL_classz00_2624);
													}
												else
													{	/* Globalize/node.scm 125 */
														BgL_res2044z00_2655 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_2630 = BgL_res2044z00_2655;
							}
							BgL_test2142z00_4080 =
								BGL_ISA_C_BACKEND(BgL_arg1822z00_2629, BgL_arg1823z00_2630);
						}
					}
				}
				if (BgL_test2142z00_4080)
					{	/* Globalize/node.scm 126 */
						bool_t BgL_test2145z00_4099;

						{	/* Globalize/node.scm 126 */
							BgL_valuez00_bglt BgL_arg1602z00_1855;

							BgL_arg1602z00_1855 =
								(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_12))->
								BgL_valuez00);
							{	/* Globalize/node.scm 126 */
								obj_t BgL_classz00_2657;

								BgL_classz00_2657 = BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
								{	/* Globalize/node.scm 126 */
									BgL_objectz00_bglt BgL_arg1825z00_2659;

									{	/* Globalize/node.scm 126 */
										obj_t BgL_tmpz00_4101;

										BgL_tmpz00_4101 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1602z00_1855));
										BgL_arg1825z00_2659 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4101);
									}
									{	/* Globalize/node.scm 126 */
										bool_t BgL_arg1822z00_2662;
										bool_t BgL_arg1823z00_2663;

										{	/* Globalize/node.scm 126 */
											long BgL_idxz00_2666;

											BgL_idxz00_2666 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2659);
											BgL_arg1822z00_2662 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2666 + ((long) 3))) == BgL_classz00_2657);
										}
										{	/* Globalize/node.scm 126 */
											bool_t BgL_res2045z00_2688;

											{	/* Globalize/node.scm 126 */
												obj_t BgL_oclassz00_2674;

												{	/* Globalize/node.scm 126 */
													long BgL_arg1833z00_2680;

													{	/* Globalize/node.scm 126 */
														long BgL_arg1834z00_2681;

														BgL_arg1834z00_2681 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2659);
														BgL_arg1833z00_2680 =
															(BgL_arg1834z00_2681 - OBJECT_TYPE);
													}
													BgL_oclassz00_2674 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2680);
												}
												{	/* Globalize/node.scm 126 */
													bool_t BgL__ortest_1110z00_2675;

													BgL__ortest_1110z00_2675 =
														(BgL_classz00_2657 == BgL_oclassz00_2674);
													if (BgL__ortest_1110z00_2675)
														{	/* Globalize/node.scm 126 */
															BgL_res2045z00_2688 = BgL__ortest_1110z00_2675;
														}
													else
														{	/* Globalize/node.scm 126 */
															long BgL_odepthz00_2676;

															BgL_odepthz00_2676 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2674);
															if ((((long) 3) < BgL_odepthz00_2676))
																{	/* Globalize/node.scm 126 */
																	obj_t BgL_arg1821z00_2678;

																	BgL_arg1821z00_2678 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2674,
																		((long) 3));
																	BgL_res2045z00_2688 =
																		(BgL_arg1821z00_2678 == BgL_classz00_2657);
																}
															else
																{	/* Globalize/node.scm 126 */
																	BgL_res2045z00_2688 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2663 = BgL_res2045z00_2688;
										}
										BgL_test2145z00_4099 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2662,
											BgL_arg1823z00_2663);
									}
								}
							}
						}
						if (BgL_test2145z00_4099)
							{	/* Globalize/node.scm 127 */
								bool_t BgL__ortest_1126z00_1850;

								{	/* Globalize/node.scm 127 */
									BgL_svarz00_bglt BgL_oz00_2690;

									BgL_oz00_2690 =
										((BgL_svarz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_12))->
											BgL_valuez00));
									{
										BgL_svarzf2ginfozf2_bglt BgL_auxz00_4122;

										{
											obj_t BgL_auxz00_4123;

											{	/* Globalize/node.scm 127 */
												BgL_objectz00_bglt BgL_tmpz00_4124;

												BgL_tmpz00_4124 = ((BgL_objectz00_bglt) BgL_oz00_2690);
												BgL_auxz00_4123 = BGL_OBJECT_WIDENING(BgL_tmpz00_4124);
											}
											BgL_auxz00_4122 =
												((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_4123);
										}
										BgL__ortest_1126z00_1850 =
											(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4122))->
											BgL_celledzf3zf3);
									}
								}
								if (BgL__ortest_1126z00_1850)
									{	/* Globalize/node.scm 127 */
										return BgL__ortest_1126z00_1850;
									}
								else
									{	/* Globalize/node.scm 127 */
										if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
													(((BgL_variablez00_bglt)
															COBJECT(BgL_variablez00_12))->BgL_accessz00),
													CNST_TABLE_REF(((long) 1)))))
											{	/* Globalize/node.scm 129 */
												BgL_svarz00_bglt BgL_oz00_2694;

												BgL_oz00_2694 =
													((BgL_svarz00_bglt)
													(((BgL_variablez00_bglt)
															COBJECT(BgL_variablez00_12))->BgL_valuez00));
												{
													BgL_svarzf2ginfozf2_bglt BgL_auxz00_4137;

													{
														obj_t BgL_auxz00_4138;

														{	/* Globalize/node.scm 129 */
															BgL_objectz00_bglt BgL_tmpz00_4139;

															BgL_tmpz00_4139 =
																((BgL_objectz00_bglt) BgL_oz00_2694);
															BgL_auxz00_4138 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4139);
														}
														BgL_auxz00_4137 =
															((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_4138);
													}
													return
														(((BgL_svarzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_4137))->BgL_kapturedzf3zf3);
												}
											}
										else
											{	/* Globalize/node.scm 128 */
												return ((bool_t) 0);
											}
									}
							}
						else
							{	/* Globalize/node.scm 126 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Globalize/node.scm 125 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* glo*! */
	obj_t BGl_gloza2z12zb0zzglobaliza7e_nodeza7(obj_t BgL_nodeza2za2_59,
		obj_t BgL_integratorz00_60)
	{
		{	/* Globalize/node.scm 496 */
			{
				obj_t BgL_nodeza2za2_1857;

				BgL_nodeza2za2_1857 = BgL_nodeza2za2_59;
			BgL_zc3z04anonymousza31603ze3z87_1858:
				if (NULLP(BgL_nodeza2za2_1857))
					{	/* Globalize/node.scm 498 */
						return CNST_TABLE_REF(((long) 2));
					}
				else
					{	/* Globalize/node.scm 498 */
						{	/* Globalize/node.scm 501 */
							BgL_nodez00_bglt BgL_arg1606z00_1860;

							{	/* Globalize/node.scm 501 */
								obj_t BgL_arg1612z00_1861;

								BgL_arg1612z00_1861 = CAR(((obj_t) BgL_nodeza2za2_1857));
								BgL_arg1606z00_1860 =
									BGl_gloz12z12zzglobaliza7e_nodeza7(
									((BgL_nodez00_bglt) BgL_arg1612z00_1861),
									((BgL_variablez00_bglt) BgL_integratorz00_60));
							}
							{	/* Globalize/node.scm 501 */
								obj_t BgL_auxz00_4154;
								obj_t BgL_tmpz00_4152;

								BgL_auxz00_4154 = ((obj_t) BgL_arg1606z00_1860);
								BgL_tmpz00_4152 = ((obj_t) BgL_nodeza2za2_1857);
								SET_CAR(BgL_tmpz00_4152, BgL_auxz00_4154);
							}
						}
						{	/* Globalize/node.scm 502 */
							obj_t BgL_arg1613z00_1862;

							BgL_arg1613z00_1862 = CDR(((obj_t) BgL_nodeza2za2_1857));
							{
								obj_t BgL_nodeza2za2_4159;

								BgL_nodeza2za2_4159 = BgL_arg1613z00_1862;
								BgL_nodeza2za2_1857 = BgL_nodeza2za2_4159;
								goto BgL_zc3z04anonymousza31603ze3z87_1858;
							}
						}
					}
			}
		}

	}



/* make-escaping-bindings */
	BgL_letzd2varzd2_bglt
		BGl_makezd2escapingzd2bindingsz00zzglobaliza7e_nodeza7(obj_t
		BgL_ebindingsz00_61, BgL_nodez00_bglt BgL_nodez00_62,
		BgL_variablez00_bglt BgL_integratorz00_63)
	{
		{	/* Globalize/node.scm 507 */
			{
				obj_t BgL_ebindingsz00_1867;
				obj_t BgL_bindingsz00_1868;
				obj_t BgL_setsz00_1869;

				BgL_ebindingsz00_1867 = BgL_ebindingsz00_61;
				BgL_bindingsz00_1868 = BNIL;
				BgL_setsz00_1869 = BNIL;
			BgL_zc3z04anonymousza31614ze3z87_1870:
				if (NULLP(BgL_ebindingsz00_1867))
					{	/* Globalize/node.scm 515 */
						BgL_letzd2varzd2_bglt BgL_new1184z00_1872;

						{	/* Globalize/node.scm 516 */
							BgL_letzd2varzd2_bglt BgL_new1183z00_1879;

							BgL_new1183z00_1879 =
								((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2varzd2_bgl))));
							{	/* Globalize/node.scm 516 */
								long BgL_arg1632z00_1880;

								BgL_arg1632z00_1880 =
									BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1183z00_1879),
									BgL_arg1632z00_1880);
							}
							{	/* Globalize/node.scm 516 */
								BgL_objectz00_bglt BgL_tmpz00_4166;

								BgL_tmpz00_4166 = ((BgL_objectz00_bglt) BgL_new1183z00_1879);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4166, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1183z00_1879);
							BgL_new1184z00_1872 = BgL_new1183z00_1879;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1184z00_1872)))->BgL_locz00) =
							((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_62))->
									BgL_locz00)), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1184z00_1872)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT(BgL_nodez00_62))->BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1184z00_1872)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1184z00_1872)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1184z00_1872))->
								BgL_bindingsz00) = ((obj_t) BgL_bindingsz00_1868), BUNSPEC);
						{
							BgL_nodez00_bglt BgL_auxz00_4182;

							if (NULLP(BgL_setsz00_1869))
								{	/* Globalize/node.scm 519 */
									BgL_auxz00_4182 = BgL_nodez00_62;
								}
							else
								{	/* Globalize/node.scm 521 */
									BgL_sequencez00_bglt BgL_new1186z00_1874;

									{	/* Globalize/node.scm 522 */
										BgL_sequencez00_bglt BgL_new1185z00_1877;

										BgL_new1185z00_1877 =
											((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sequencez00_bgl))));
										{	/* Globalize/node.scm 522 */
											long BgL_arg1621z00_1878;

											{	/* Globalize/node.scm 522 */
												obj_t BgL_classz00_2705;

												BgL_classz00_2705 = BGl_sequencez00zzast_nodez00;
												BgL_arg1621z00_1878 = BGL_CLASS_NUM(BgL_classz00_2705);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1185z00_1877),
												BgL_arg1621z00_1878);
										}
										{	/* Globalize/node.scm 522 */
											BgL_objectz00_bglt BgL_tmpz00_4189;

											BgL_tmpz00_4189 =
												((BgL_objectz00_bglt) BgL_new1185z00_1877);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4189, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1185z00_1877);
										BgL_new1186z00_1874 = BgL_new1185z00_1877;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1186z00_1874)))->
											BgL_locz00) =
										((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_62))->
												BgL_locz00)), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1186z00_1874)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_nodez00_bglt)
													COBJECT(BgL_nodez00_62))->BgL_typez00)), BUNSPEC);
									((((BgL_nodezf2effectzf2_bglt)
												COBJECT(((BgL_nodezf2effectzf2_bglt)
														BgL_new1186z00_1874)))->BgL_sidezd2effectzd2) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_nodezf2effectzf2_bglt)
												COBJECT(((BgL_nodezf2effectzf2_bglt)
														BgL_new1186z00_1874)))->BgL_keyz00) =
										((obj_t) BINT(((long) -1))), BUNSPEC);
									{
										obj_t BgL_auxz00_4204;

										{	/* Globalize/node.scm 524 */
											obj_t BgL_arg1619z00_1875;

											{	/* Globalize/node.scm 524 */
												obj_t BgL_list1620z00_1876;

												BgL_list1620z00_1876 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_nodez00_62), BNIL);
												BgL_arg1619z00_1875 = BgL_list1620z00_1876;
											}
											BgL_auxz00_4204 =
												BGl_appendzd221011zd2zzglobaliza7e_nodeza7
												(BgL_setsz00_1869, BgL_arg1619z00_1875);
										}
										((((BgL_sequencez00_bglt) COBJECT(BgL_new1186z00_1874))->
												BgL_nodesz00) = ((obj_t) BgL_auxz00_4204), BUNSPEC);
									}
									((((BgL_sequencez00_bglt) COBJECT(BgL_new1186z00_1874))->
											BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									((((BgL_sequencez00_bglt) COBJECT(BgL_new1186z00_1874))->
											BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
									BgL_auxz00_4182 = ((BgL_nodez00_bglt) BgL_new1186z00_1874);
								}
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1184z00_1872))->
									BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_4182), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1184z00_1872))->
								BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						return BgL_new1184z00_1872;
					}
				else
					{	/* Globalize/node.scm 525 */
						obj_t BgL_localz00_1881;

						BgL_localz00_1881 = CAR(((obj_t) BgL_ebindingsz00_1867));
						{	/* Globalize/node.scm 525 */
							obj_t BgL_newz00_1882;

							{	/* Globalize/node.scm 526 */
								obj_t BgL_arg1668z00_1893;

								BgL_arg1668z00_1893 =
									(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_62))->BgL_locz00);
								BgL_newz00_1882 =
									BGl_thezd2closurezd2zzglobaliza7e_freeza7(
									((BgL_variablez00_bglt) BgL_localz00_1881),
									BgL_arg1668z00_1893);
							}
							{	/* Globalize/node.scm 526 */
								obj_t BgL_nsetsz00_1883;

								{	/* Globalize/node.scm 528 */
									obj_t BgL_arg1660z00_1890;
									obj_t BgL_arg1665z00_1891;

									BgL_arg1660z00_1890 =
										(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_62))->BgL_locz00);
									{	/* Globalize/node.scm 529 */
										BgL_sfunz00_bglt BgL_oz00_2716;

										BgL_oz00_2716 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_localz00_1881))))->
												BgL_valuez00));
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4224;

											{
												obj_t BgL_auxz00_4225;

												{	/* Globalize/node.scm 529 */
													BgL_objectz00_bglt BgL_tmpz00_4226;

													BgL_tmpz00_4226 =
														((BgL_objectz00_bglt) BgL_oz00_2716);
													BgL_auxz00_4225 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4226);
												}
												BgL_auxz00_4224 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4225);
											}
											BgL_arg1665z00_1891 =
												(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4224))->
												BgL_kapturedz00);
										}
									}
									BgL_nsetsz00_1883 =
										BGl_makezd2setszd2zzglobaliza7e_nodeza7(BgL_newz00_1882,
										BgL_arg1660z00_1890, BgL_arg1665z00_1891,
										BgL_integratorz00_63);
								}
								{	/* Globalize/node.scm 527 */

									{	/* Globalize/node.scm 531 */
										obj_t BgL_arg1633z00_1884;
										obj_t BgL_arg1636z00_1885;
										obj_t BgL_arg1647z00_1886;

										BgL_arg1633z00_1884 = CDR(((obj_t) BgL_ebindingsz00_1867));
										{	/* Globalize/node.scm 532 */
											obj_t BgL_arg1652z00_1887;

											{	/* Globalize/node.scm 532 */
												BgL_appz00_bglt BgL_arg1656z00_1888;

												BgL_arg1656z00_1888 =
													BGl_azd2makezd2procedurez00zzglobaliza7e_nodeza7(
													((BgL_localz00_bglt) BgL_localz00_1881));
												BgL_arg1652z00_1887 =
													MAKE_YOUNG_PAIR(BgL_newz00_1882,
													((obj_t) BgL_arg1656z00_1888));
											}
											BgL_arg1636z00_1885 =
												MAKE_YOUNG_PAIR(BgL_arg1652z00_1887,
												BgL_bindingsz00_1868);
										}
										if (NULLP(BgL_nsetsz00_1883))
											{	/* Globalize/node.scm 534 */
												BgL_arg1647z00_1886 = BgL_setsz00_1869;
											}
										else
											{	/* Globalize/node.scm 534 */
												BgL_arg1647z00_1886 =
													MAKE_YOUNG_PAIR(BgL_nsetsz00_1883, BgL_setsz00_1869);
											}
										{
											obj_t BgL_setsz00_4244;
											obj_t BgL_bindingsz00_4243;
											obj_t BgL_ebindingsz00_4242;

											BgL_ebindingsz00_4242 = BgL_arg1633z00_1884;
											BgL_bindingsz00_4243 = BgL_arg1636z00_1885;
											BgL_setsz00_4244 = BgL_arg1647z00_1886;
											BgL_setsz00_1869 = BgL_setsz00_4244;
											BgL_bindingsz00_1868 = BgL_bindingsz00_4243;
											BgL_ebindingsz00_1867 = BgL_ebindingsz00_4242;
											goto BgL_zc3z04anonymousza31614ze3z87_1870;
										}
									}
								}
							}
						}
					}
			}
		}

	}



/* globalize-local-fun! */
	obj_t
		BGl_globaliza7ezd2localzd2funz12zb5zzglobaliza7e_nodeza7(BgL_localz00_bglt
		BgL_localz00_64, BgL_variablez00_bglt BgL_integratorz00_65)
	{
		{	/* Globalize/node.scm 541 */
			{	/* Globalize/node.scm 544 */
				BgL_valuez00_bglt BgL_funz00_1895;

				BgL_funz00_1895 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_64)))->BgL_valuez00);
				{	/* Globalize/node.scm 544 */
					obj_t BgL_obodyz00_1896;

					BgL_obodyz00_1896 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1895)))->BgL_bodyz00);
					{	/* Globalize/node.scm 545 */

						if ((((obj_t) BgL_localz00_64) == ((obj_t) BgL_integratorz00_65)))
							{	/* Globalize/node.scm 547 */
								BgL_nodez00_bglt BgL_arg1675z00_1898;

								BgL_arg1675z00_1898 =
									BGl_gloz12z12zzglobaliza7e_nodeza7(
									((BgL_nodez00_bglt) BgL_obodyz00_1896), BgL_integratorz00_65);
								return
									((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1895)))->BgL_bodyz00) =
									((obj_t) ((obj_t) BgL_arg1675z00_1898)), BUNSPEC);
							}
						else
							{	/* Globalize/node.scm 548 */
								obj_t BgL_celledz00_1899;

								{	/* Globalize/node.scm 548 */
									obj_t BgL_arg1696z00_1919;

									BgL_arg1696z00_1919 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1895)))->BgL_argsz00);
									BgL_celledz00_1899 =
										BGl_celledzd2bindingszd2zzglobaliza7e_nodeza7
										(BgL_arg1696z00_1919);
								}
								{
									obj_t BgL_l1357z00_1901;

									BgL_l1357z00_1901 = BgL_celledz00_1899;
								BgL_zc3z04anonymousza31676ze3z87_1902:
									if (PAIRP(BgL_l1357z00_1901))
										{	/* Globalize/node.scm 549 */
											{	/* Globalize/node.scm 550 */
												obj_t BgL_wzd2bzd2_1904;

												BgL_wzd2bzd2_1904 = CAR(BgL_l1357z00_1901);
												{	/* Globalize/node.scm 550 */
													obj_t BgL_arg1678z00_1905;
													obj_t BgL_arg1679z00_1906;

													BgL_arg1678z00_1905 =
														CAR(((obj_t) BgL_wzd2bzd2_1904));
													BgL_arg1679z00_1906 =
														CDR(((obj_t) BgL_wzd2bzd2_1904));
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			BgL_arg1678z00_1905))))->
															BgL_fastzd2alphazd2) =
														((obj_t) BgL_arg1679z00_1906), BUNSPEC);
												}
											}
											{
												obj_t BgL_l1357z00_4271;

												BgL_l1357z00_4271 = CDR(BgL_l1357z00_1901);
												BgL_l1357z00_1901 = BgL_l1357z00_4271;
												goto BgL_zc3z04anonymousza31676ze3z87_1902;
											}
										}
									else
										{	/* Globalize/node.scm 549 */
											((bool_t) 1);
										}
								}
								{	/* Globalize/node.scm 552 */
									BgL_nodez00_bglt BgL_nbody1z00_1909;

									BgL_nbody1z00_1909 =
										BGl_gloz12z12zzglobaliza7e_nodeza7(
										((BgL_nodez00_bglt) BgL_obodyz00_1896),
										BgL_integratorz00_65);
									{	/* Globalize/node.scm 552 */
										BgL_nodez00_bglt BgL_nbody2z00_1910;

										BgL_nbody2z00_1910 =
											BGl_cellzd2formalszd2zzglobaliza7e_nodeza7
											(BgL_celledz00_1899, BgL_nbody1z00_1909);
										{	/* Globalize/node.scm 553 */

											{
												obj_t BgL_l1359z00_1912;

												BgL_l1359z00_1912 = BgL_celledz00_1899;
											BgL_zc3z04anonymousza31682ze3z87_1913:
												if (PAIRP(BgL_l1359z00_1912))
													{	/* Globalize/node.scm 554 */
														{	/* Globalize/node.scm 555 */
															obj_t BgL_wzd2bzd2_1915;

															BgL_wzd2bzd2_1915 = CAR(BgL_l1359z00_1912);
															{	/* Globalize/node.scm 555 */
																obj_t BgL_arg1694z00_1916;

																BgL_arg1694z00_1916 =
																	CAR(((obj_t) BgL_wzd2bzd2_1915));
																((((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						BgL_arg1694z00_1916))))->
																		BgL_fastzd2alphazd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
															}
														}
														{
															obj_t BgL_l1359z00_4284;

															BgL_l1359z00_4284 = CDR(BgL_l1359z00_1912);
															BgL_l1359z00_1912 = BgL_l1359z00_4284;
															goto BgL_zc3z04anonymousza31682ze3z87_1913;
														}
													}
												else
													{	/* Globalize/node.scm 554 */
														((bool_t) 1);
													}
											}
											return
												((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1895)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_nbody2z00_1910)), BUNSPEC);
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* a-make-procedure */
	BgL_appz00_bglt
		BGl_azd2makezd2procedurez00zzglobaliza7e_nodeza7(BgL_localz00_bglt
		BgL_localz00_66)
	{
		{	/* Globalize/node.scm 562 */
			{	/* Globalize/node.scm 563 */
				BgL_valuez00_bglt BgL_funz00_1920;

				BgL_funz00_1920 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_66)))->BgL_valuez00);
				{	/* Globalize/node.scm 563 */
					long BgL_arityz00_1921;

					BgL_arityz00_1921 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_funz00_1920))))->BgL_arityz00);
					{	/* Globalize/node.scm 564 */
						obj_t BgL_kapturedz00_1922;

						{	/* Globalize/node.scm 565 */
							BgL_sfunz00_bglt BgL_oz00_2736;

							BgL_oz00_2736 =
								((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_localz00_66)))->
									BgL_valuez00));
							{
								BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4297;

								{
									obj_t BgL_auxz00_4298;

									{	/* Globalize/node.scm 565 */
										BgL_objectz00_bglt BgL_tmpz00_4299;

										BgL_tmpz00_4299 = ((BgL_objectz00_bglt) BgL_oz00_2736);
										BgL_auxz00_4298 = BGL_OBJECT_WIDENING(BgL_tmpz00_4299);
									}
									BgL_auxz00_4297 =
										((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4298);
								}
								BgL_kapturedz00_1922 =
									(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4297))->
									BgL_kapturedz00);
						}}
						{	/* Globalize/node.scm 566 */
							obj_t BgL_makezd2pzd2_1924;

							if ((BgL_arityz00_1921 < ((long) 0)))
								{	/* Globalize/node.scm 567 */
									BgL_makezd2pzd2_1924 = CNST_TABLE_REF(((long) 3));
								}
							else
								{	/* Globalize/node.scm 567 */
									BgL_makezd2pzd2_1924 = CNST_TABLE_REF(((long) 4));
								}
							{	/* Globalize/node.scm 567 */
								obj_t BgL_vz00_1925;

								BgL_vz00_1925 =
									BGl_findzd2globalzf2modulez20zzast_envz00
									(BgL_makezd2pzd2_1924, CNST_TABLE_REF(((long) 5)));
								{	/* Globalize/node.scm 568 */

									{	/* Globalize/node.scm 569 */
										BgL_appz00_bglt BgL_new1188z00_1926;

										{	/* Globalize/node.scm 570 */
											BgL_appz00_bglt BgL_new1187z00_1951;

											BgL_new1187z00_1951 =
												((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_appz00_bgl))));
											{	/* Globalize/node.scm 570 */
												long BgL_arg1731z00_1952;

												BgL_arg1731z00_1952 =
													BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1187z00_1951),
													BgL_arg1731z00_1952);
											}
											{	/* Globalize/node.scm 570 */
												BgL_objectz00_bglt BgL_tmpz00_4314;

												BgL_tmpz00_4314 =
													((BgL_objectz00_bglt) BgL_new1187z00_1951);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4314, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1187z00_1951);
											BgL_new1188z00_1926 = BgL_new1187z00_1951;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1188z00_1926)))->
												BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1188z00_1926)))->BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_variablez00_bglt)
														COBJECT(((BgL_variablez00_bglt) BgL_vz00_1925)))->
													BgL_typez00)), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt)
															BgL_new1188z00_1926)))->BgL_sidezd2effectzd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt)
															BgL_new1188z00_1926)))->BgL_keyz00) =
											((obj_t) BINT(((long) -1))), BUNSPEC);
										{
											BgL_varz00_bglt BgL_auxz00_4329;

											{	/* Globalize/node.scm 576 */
												BgL_refz00_bglt BgL_new1190z00_1927;

												{	/* Globalize/node.scm 577 */
													BgL_refz00_bglt BgL_new1189z00_1928;

													BgL_new1189z00_1928 =
														((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_refz00_bgl))));
													{	/* Globalize/node.scm 577 */
														long BgL_arg1699z00_1929;

														{	/* Globalize/node.scm 577 */
															obj_t BgL_classz00_2744;

															BgL_classz00_2744 = BGl_refz00zzast_nodez00;
															BgL_arg1699z00_1929 =
																BGL_CLASS_NUM(BgL_classz00_2744);
														}
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1189z00_1928),
															BgL_arg1699z00_1929);
													}
													{	/* Globalize/node.scm 577 */
														BgL_objectz00_bglt BgL_tmpz00_4334;

														BgL_tmpz00_4334 =
															((BgL_objectz00_bglt) BgL_new1189z00_1928);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4334, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1189z00_1928);
													BgL_new1190z00_1927 = BgL_new1189z00_1928;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1190z00_1927)))->
														BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1190z00_1927)))->BgL_typez00) =
													((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_vz00_1925)))->BgL_typez00)), BUNSPEC);
												((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																	BgL_new1190z00_1927)))->BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_vz00_1925)), BUNSPEC);
												BgL_auxz00_4329 =
													((BgL_varz00_bglt) BgL_new1190z00_1927);
											}
											((((BgL_appz00_bglt) COBJECT(BgL_new1188z00_1926))->
													BgL_funz00) =
												((BgL_varz00_bglt) BgL_auxz00_4329), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_4349;

											{	/* Globalize/node.scm 580 */
												BgL_refz00_bglt BgL_arg1703z00_1930;
												BgL_literalz00_bglt BgL_arg1706z00_1931;
												BgL_literalz00_bglt BgL_arg1711z00_1932;

												{	/* Globalize/node.scm 580 */
													BgL_refz00_bglt BgL_new1192z00_1936;

													{	/* Globalize/node.scm 581 */
														BgL_refz00_bglt BgL_new1191z00_1938;

														BgL_new1191z00_1938 =
															((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_refz00_bgl))));
														{	/* Globalize/node.scm 581 */
															long BgL_arg1716z00_1939;

															{	/* Globalize/node.scm 581 */
																obj_t BgL_classz00_2749;

																BgL_classz00_2749 = BGl_refz00zzast_nodez00;
																BgL_arg1716z00_1939 =
																	BGL_CLASS_NUM(BgL_classz00_2749);
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1191z00_1938),
																BgL_arg1716z00_1939);
														}
														{	/* Globalize/node.scm 581 */
															BgL_objectz00_bglt BgL_tmpz00_4354;

															BgL_tmpz00_4354 =
																((BgL_objectz00_bglt) BgL_new1191z00_1938);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4354, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1191z00_1938);
														BgL_new1192z00_1936 = BgL_new1191z00_1938;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1192z00_1936)))->
															BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
													{
														BgL_typez00_bglt BgL_auxz00_4360;

														{	/* Globalize/node.scm 582 */
															BgL_globalz00_bglt BgL_arg1715z00_1937;

															BgL_arg1715z00_1937 =
																BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96
																(BgL_localz00_66);
															BgL_auxz00_4360 =
																(((BgL_variablez00_bglt)
																	COBJECT(((BgL_variablez00_bglt)
																			BgL_arg1715z00_1937)))->BgL_typez00);
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1192z00_1936)))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_auxz00_4360), BUNSPEC);
													}
													((((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_new1192z00_1936)))->
															BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96
																(BgL_localz00_66))), BUNSPEC);
													BgL_arg1703z00_1930 = BgL_new1192z00_1936;
												}
												{	/* Globalize/node.scm 584 */
													BgL_literalz00_bglt BgL_new1194z00_1940;

													{	/* Globalize/node.scm 585 */
														BgL_literalz00_bglt BgL_new1193z00_1941;

														BgL_new1193z00_1941 =
															((BgL_literalz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_literalz00_bgl))));
														{	/* Globalize/node.scm 585 */
															long BgL_arg1721z00_1942;

															{	/* Globalize/node.scm 585 */
																obj_t BgL_classz00_2754;

																BgL_classz00_2754 = BGl_literalz00zzast_nodez00;
																BgL_arg1721z00_1942 =
																	BGL_CLASS_NUM(BgL_classz00_2754);
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1193z00_1941),
																BgL_arg1721z00_1942);
														}
														{	/* Globalize/node.scm 585 */
															BgL_objectz00_bglt BgL_tmpz00_4374;

															BgL_tmpz00_4374 =
																((BgL_objectz00_bglt) BgL_new1193z00_1941);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4374, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1193z00_1941);
														BgL_new1194z00_1940 = BgL_new1193z00_1941;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1194z00_1940)))->
															BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1194z00_1940)))->BgL_typez00) =
														((BgL_typez00_bglt)
															BGl_getzd2typezd2atomz00zztype_typeofz00(BINT
																(BgL_arityz00_1921))), BUNSPEC);
													((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
																		BgL_new1194z00_1940)))->BgL_valuez00) =
														((obj_t) BINT(BgL_arityz00_1921)), BUNSPEC);
													BgL_arg1706z00_1931 = BgL_new1194z00_1940;
												}
												{	/* Globalize/node.scm 588 */
													BgL_literalz00_bglt BgL_new1196z00_1943;

													{	/* Globalize/node.scm 589 */
														BgL_literalz00_bglt BgL_new1195z00_1944;

														BgL_new1195z00_1944 =
															((BgL_literalz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_literalz00_bgl))));
														{	/* Globalize/node.scm 589 */
															long BgL_arg1723z00_1945;

															{	/* Globalize/node.scm 589 */
																obj_t BgL_classz00_2758;

																BgL_classz00_2758 = BGl_literalz00zzast_nodez00;
																BgL_arg1723z00_1945 =
																	BGL_CLASS_NUM(BgL_classz00_2758);
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1195z00_1944),
																BgL_arg1723z00_1945);
														}
														{	/* Globalize/node.scm 589 */
															BgL_objectz00_bglt BgL_tmpz00_4391;

															BgL_tmpz00_4391 =
																((BgL_objectz00_bglt) BgL_new1195z00_1944);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4391, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1195z00_1944);
														BgL_new1196z00_1943 = BgL_new1195z00_1944;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1196z00_1943)))->
															BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1196z00_1943)))->BgL_typez00) =
														((BgL_typez00_bglt)
															BGl_getzd2typezd2atomz00zztype_typeofz00(BINT((
																		(long) 1)))), BUNSPEC);
													((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
																		BgL_new1196z00_1943)))->BgL_valuez00) =
														((obj_t)
															BINT(bgl_list_length(BgL_kapturedz00_1922))),
														BUNSPEC);
													BgL_arg1711z00_1932 = BgL_new1196z00_1943;
												}
												{	/* Globalize/node.scm 580 */
													obj_t BgL_list1712z00_1933;

													{	/* Globalize/node.scm 580 */
														obj_t BgL_arg1713z00_1934;

														{	/* Globalize/node.scm 580 */
															obj_t BgL_arg1714z00_1935;

															BgL_arg1714z00_1935 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1711z00_1932), BNIL);
															BgL_arg1713z00_1934 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1706z00_1931),
																BgL_arg1714z00_1935);
														}
														BgL_list1712z00_1933 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1703z00_1930),
															BgL_arg1713z00_1934);
													}
													BgL_auxz00_4349 = BgL_list1712z00_1933;
											}}
											((((BgL_appz00_bglt) COBJECT(BgL_new1188z00_1926))->
													BgL_argsz00) = ((obj_t) BgL_auxz00_4349), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_4412;

											if (
												((((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_funz00_1920)))->
														BgL_stackablez00) == BTRUE))
												{	/* Globalize/node.scm 573 */
													BgL_valuez00_bglt BgL_gvz00_1948;

													BgL_gvz00_1948 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_vz00_1925))))->
														BgL_valuez00);
													{	/* Globalize/node.scm 574 */
														bool_t BgL_test2159z00_4420;

														{	/* Globalize/node.scm 574 */
															obj_t BgL_classz00_2765;

															BgL_classz00_2765 = BGl_funz00zzast_varz00;
															{	/* Globalize/node.scm 574 */
																BgL_objectz00_bglt BgL_arg1825z00_2767;

																{	/* Globalize/node.scm 574 */
																	obj_t BgL_tmpz00_4421;

																	BgL_tmpz00_4421 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_gvz00_1948));
																	BgL_arg1825z00_2767 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_4421);
																}
																{	/* Globalize/node.scm 574 */
																	bool_t BgL_arg1822z00_2770;
																	bool_t BgL_arg1823z00_2771;

																	{	/* Globalize/node.scm 574 */
																		long BgL_idxz00_2774;

																		BgL_idxz00_2774 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_2767);
																		{	/* Globalize/node.scm 574 */
																			obj_t BgL_arg1819z00_2775;

																			{	/* Globalize/node.scm 574 */
																				long BgL_arg1820z00_2776;

																				BgL_arg1820z00_2776 =
																					(BgL_idxz00_2774 + ((long) 2));
																				{	/* Globalize/node.scm 574 */
																					obj_t BgL_vectorz00_2778;

																					BgL_vectorz00_2778 =
																						BGl_za2inheritancesza2z00zz__objectz00;
																					BgL_arg1819z00_2775 =
																						VECTOR_REF(BgL_vectorz00_2778,
																						BgL_arg1820z00_2776);
																			}}
																			BgL_arg1822z00_2770 =
																				(BgL_arg1819z00_2775 ==
																				BgL_classz00_2765);
																	}}
																	{	/* Globalize/node.scm 574 */
																		bool_t BgL_res2048z00_2796;

																		{	/* Globalize/node.scm 574 */
																			obj_t BgL_oclassz00_2782;

																			{	/* Globalize/node.scm 574 */
																				long BgL_arg1833z00_2788;

																				{	/* Globalize/node.scm 574 */
																					long BgL_arg1834z00_2789;

																					BgL_arg1834z00_2789 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_2767);
																					BgL_arg1833z00_2788 =
																						(BgL_arg1834z00_2789 - OBJECT_TYPE);
																				}
																				{	/* Globalize/node.scm 574 */
																					obj_t BgL_vectorz00_2793;

																					BgL_vectorz00_2793 =
																						BGl_za2classesza2z00zz__objectz00;
																					BgL_oclassz00_2782 =
																						VECTOR_REF(BgL_vectorz00_2793,
																						BgL_arg1833z00_2788);
																			}}
																			{	/* Globalize/node.scm 574 */
																				bool_t BgL__ortest_1110z00_2783;

																				BgL__ortest_1110z00_2783 =
																					(BgL_classz00_2765 ==
																					BgL_oclassz00_2782);
																				if (BgL__ortest_1110z00_2783)
																					{	/* Globalize/node.scm 574 */
																						BgL_res2048z00_2796 =
																							BgL__ortest_1110z00_2783;
																					}
																				else
																					{	/* Globalize/node.scm 574 */
																						long BgL_odepthz00_2784;

																						BgL_odepthz00_2784 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2782);
																						if ((((long) 2) <
																								BgL_odepthz00_2784))
																							{	/* Globalize/node.scm 574 */
																								obj_t BgL_arg1821z00_2786;

																								BgL_arg1821z00_2786 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2782,
																									((long) 2));
																								BgL_res2048z00_2796 =
																									(BgL_arg1821z00_2786 ==
																									BgL_classz00_2765);
																							}
																						else
																							{	/* Globalize/node.scm 574 */
																								BgL_res2048z00_2796 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_2771 = BgL_res2048z00_2796;
																	}
																	BgL_test2159z00_4420 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_2770,
																		BgL_arg1823z00_2771);
																}
															}
														}
														if (BgL_test2159z00_4420)
															{	/* Globalize/node.scm 574 */
																BgL_auxz00_4412 =
																	(((BgL_funz00_bglt) COBJECT(
																			((BgL_funz00_bglt) BgL_gvz00_1948)))->
																	BgL_stackzd2allocatorzd2);
															}
														else
															{	/* Globalize/node.scm 574 */
																BgL_auxz00_4412 = BFALSE;
															}
													}
												}
											else
												{	/* Globalize/node.scm 572 */
													BgL_auxz00_4412 = BFALSE;
												}
											((((BgL_appz00_bglt) COBJECT(BgL_new1188z00_1926))->
													BgL_stackablez00) =
												((obj_t) BgL_auxz00_4412), BUNSPEC);
										}
										return BgL_new1188z00_1926;
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* make-sets */
	obj_t BGl_makezd2setszd2zzglobaliza7e_nodeza7(obj_t BgL_newz00_67,
		obj_t BgL_locz00_68, obj_t BgL_kapturedz00_69,
		BgL_variablez00_bglt BgL_integratorz00_70)
	{
		{	/* Globalize/node.scm 596 */
			if (NULLP(BgL_kapturedz00_69))
				{	/* Globalize/node.scm 597 */
					return BNIL;
				}
			else
				{
					obj_t BgL_kapturedz00_1958;
					long BgL_indicez00_1959;
					obj_t BgL_setsz00_1960;

					{
						BgL_sequencez00_bglt BgL_auxz00_4445;

						BgL_kapturedz00_1958 = BgL_kapturedz00_69;
						BgL_indicez00_1959 = ((long) 0);
						BgL_setsz00_1960 = BNIL;
					BgL_zc3z04anonymousza31740ze3z87_1961:
						if (NULLP(BgL_kapturedz00_1958))
							{	/* Globalize/node.scm 603 */
								BgL_sequencez00_bglt BgL_new1199z00_1963;

								{	/* Globalize/node.scm 604 */
									BgL_sequencez00_bglt BgL_new1198z00_1965;

									BgL_new1198z00_1965 =
										((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_sequencez00_bgl))));
									{	/* Globalize/node.scm 604 */
										long BgL_arg1743z00_1966;

										BgL_arg1743z00_1966 =
											BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1198z00_1965),
											BgL_arg1743z00_1966);
									}
									{	/* Globalize/node.scm 604 */
										BgL_objectz00_bglt BgL_tmpz00_4452;

										BgL_tmpz00_4452 =
											((BgL_objectz00_bglt) BgL_new1198z00_1965);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4452, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1198z00_1965);
									BgL_new1199z00_1963 = BgL_new1198z00_1965;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1199z00_1963)))->
										BgL_locz00) = ((obj_t) BgL_locz00_68), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1199z00_1963)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_nodez00_bglt)
												COBJECT(((BgL_nodez00_bglt) CAR(((obj_t)
																BgL_setsz00_1960)))))->BgL_typez00)), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1199z00_1963)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1199z00_1963)))->BgL_keyz00) =
									((obj_t) BINT(((long) -1))), BUNSPEC);
								((((BgL_sequencez00_bglt) COBJECT(BgL_new1199z00_1963))->
										BgL_nodesz00) =
									((obj_t) bgl_reverse_bang(BgL_setsz00_1960)), BUNSPEC);
								((((BgL_sequencez00_bglt) COBJECT(BgL_new1199z00_1963))->
										BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
								((((BgL_sequencez00_bglt) COBJECT(BgL_new1199z00_1963))->
										BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
								BgL_auxz00_4445 = BgL_new1199z00_1963;
							}
						else
							{	/* Globalize/node.scm 607 */
								obj_t BgL_arg1745z00_1967;
								long BgL_arg1746z00_1968;
								obj_t BgL_arg1747z00_1969;

								BgL_arg1745z00_1967 = CDR(((obj_t) BgL_kapturedz00_1958));
								BgL_arg1746z00_1968 = (BgL_indicez00_1959 + ((long) 1));
								{	/* Globalize/node.scm 612 */
									BgL_appz00_bglt BgL_arg1748z00_1970;

									{	/* Globalize/node.scm 612 */
										obj_t BgL_arg1749z00_1971;

										BgL_arg1749z00_1971 = CAR(((obj_t) BgL_kapturedz00_1958));
										BgL_arg1748z00_1970 =
											BGl_azd2procedurezd2setz12z12zzglobaliza7e_nodeza7
											(BgL_locz00_68, BgL_newz00_67, BgL_indicez00_1959,
											BgL_arg1749z00_1971, BgL_integratorz00_70);
									}
									BgL_arg1747z00_1969 =
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_arg1748z00_1970), BgL_setsz00_1960);
								}
								{
									obj_t BgL_setsz00_4483;
									long BgL_indicez00_4482;
									obj_t BgL_kapturedz00_4481;

									BgL_kapturedz00_4481 = BgL_arg1745z00_1967;
									BgL_indicez00_4482 = BgL_arg1746z00_1968;
									BgL_setsz00_4483 = BgL_arg1747z00_1969;
									BgL_setsz00_1960 = BgL_setsz00_4483;
									BgL_indicez00_1959 = BgL_indicez00_4482;
									BgL_kapturedz00_1958 = BgL_kapturedz00_4481;
									goto BgL_zc3z04anonymousza31740ze3z87_1961;
								}
							}
						return ((obj_t) BgL_auxz00_4445);
					}
				}
		}

	}



/* a-procedure-set! */
	BgL_appz00_bglt BGl_azd2procedurezd2setz12z12zzglobaliza7e_nodeza7(obj_t
		BgL_locz00_71, obj_t BgL_newz00_72, long BgL_indicez00_73,
		obj_t BgL_kapturedz00_74, BgL_variablez00_bglt BgL_integratorz00_75)
	{
		{	/* Globalize/node.scm 619 */
			{
				obj_t BgL_varz00_1997;

				{	/* Globalize/node.scm 625 */
					obj_t BgL_vfz00_1974;
					obj_t BgL_vaz00_1975;

					BgL_vfz00_1974 =
						BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								6)), CNST_TABLE_REF(((long) 5)));
					BgL_varz00_1997 = BgL_kapturedz00_74;
				BgL_zc3z04anonymousza31771ze3z87_1998:
					{	/* Globalize/node.scm 621 */
						obj_t BgL_alphaz00_1999;

						BgL_alphaz00_1999 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1997)))->
							BgL_fastzd2alphazd2);
						{	/* Globalize/node.scm 622 */
							bool_t BgL_test2164z00_4490;

							{	/* Globalize/node.scm 622 */
								obj_t BgL_classz00_2808;

								BgL_classz00_2808 = BGl_localz00zzast_varz00;
								if (BGL_OBJECTP(BgL_alphaz00_1999))
									{	/* Globalize/node.scm 622 */
										BgL_objectz00_bglt BgL_arg1825z00_2810;

										BgL_arg1825z00_2810 =
											(BgL_objectz00_bglt) (BgL_alphaz00_1999);
										{	/* Globalize/node.scm 622 */
											bool_t BgL_arg1822z00_2813;
											bool_t BgL_arg1823z00_2814;

											{	/* Globalize/node.scm 622 */
												long BgL_idxz00_2817;

												BgL_idxz00_2817 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2810);
												BgL_arg1822z00_2813 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2817 + ((long) 2))) ==
													BgL_classz00_2808);
											}
											{	/* Globalize/node.scm 622 */
												bool_t BgL_res2049z00_2839;

												{	/* Globalize/node.scm 622 */
													obj_t BgL_oclassz00_2825;

													{	/* Globalize/node.scm 622 */
														long BgL_arg1833z00_2831;

														{	/* Globalize/node.scm 622 */
															long BgL_arg1834z00_2832;

															BgL_arg1834z00_2832 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2810);
															BgL_arg1833z00_2831 =
																(BgL_arg1834z00_2832 - OBJECT_TYPE);
														}
														BgL_oclassz00_2825 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2831);
													}
													{	/* Globalize/node.scm 622 */
														bool_t BgL__ortest_1110z00_2826;

														BgL__ortest_1110z00_2826 =
															(BgL_classz00_2808 == BgL_oclassz00_2825);
														if (BgL__ortest_1110z00_2826)
															{	/* Globalize/node.scm 622 */
																BgL_res2049z00_2839 = BgL__ortest_1110z00_2826;
															}
														else
															{	/* Globalize/node.scm 622 */
																long BgL_odepthz00_2827;

																BgL_odepthz00_2827 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2825);
																if ((((long) 2) < BgL_odepthz00_2827))
																	{	/* Globalize/node.scm 622 */
																		obj_t BgL_arg1821z00_2829;

																		BgL_arg1821z00_2829 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2825, ((long) 2));
																		BgL_res2049z00_2839 =
																			(BgL_arg1821z00_2829 ==
																			BgL_classz00_2808);
																	}
																else
																	{	/* Globalize/node.scm 622 */
																		BgL_res2049z00_2839 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2814 = BgL_res2049z00_2839;
											}
											BgL_test2164z00_4490 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2813,
												BgL_arg1823z00_2814);
										}
									}
								else
									{	/* Globalize/node.scm 622 */
										BgL_test2164z00_4490 = ((bool_t) 0);
									}
							}
							if (BgL_test2164z00_4490)
								{
									obj_t BgL_varz00_4509;

									BgL_varz00_4509 = BgL_alphaz00_1999;
									BgL_varz00_1997 = BgL_varz00_4509;
									goto BgL_zc3z04anonymousza31771ze3z87_1998;
								}
							else
								{	/* Globalize/node.scm 622 */
									BgL_vaz00_1975 = BgL_varz00_1997;
								}
						}
					}
					{	/* Globalize/node.scm 627 */
						BgL_appz00_bglt BgL_new1201z00_1976;

						{	/* Globalize/node.scm 628 */
							BgL_appz00_bglt BgL_new1200z00_1995;

							BgL_new1200z00_1995 =
								((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appz00_bgl))));
							{	/* Globalize/node.scm 628 */
								long BgL_arg1770z00_1996;

								BgL_arg1770z00_1996 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1200z00_1995),
									BgL_arg1770z00_1996);
							}
							{	/* Globalize/node.scm 628 */
								BgL_objectz00_bglt BgL_tmpz00_4514;

								BgL_tmpz00_4514 = ((BgL_objectz00_bglt) BgL_new1200z00_1995);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4514, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1200z00_1995);
							BgL_new1201z00_1976 = BgL_new1200z00_1995;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1201z00_1976)))->BgL_locz00) =
							((obj_t) BgL_locz00_71), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1201z00_1976)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_variablez00_bglt)
										COBJECT(((BgL_variablez00_bglt) BgL_vfz00_1974)))->
									BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1201z00_1976)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1201z00_1976)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							BgL_varz00_bglt BgL_auxz00_4529;

							{	/* Globalize/node.scm 630 */
								BgL_refz00_bglt BgL_new1203z00_1977;

								{	/* Globalize/node.scm 631 */
									BgL_refz00_bglt BgL_new1202z00_1978;

									BgL_new1202z00_1978 =
										((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_refz00_bgl))));
									{	/* Globalize/node.scm 631 */
										long BgL_arg1750z00_1979;

										{	/* Globalize/node.scm 631 */
											obj_t BgL_classz00_2845;

											BgL_classz00_2845 = BGl_refz00zzast_nodez00;
											BgL_arg1750z00_1979 = BGL_CLASS_NUM(BgL_classz00_2845);
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1202z00_1978),
											BgL_arg1750z00_1979);
									}
									{	/* Globalize/node.scm 631 */
										BgL_objectz00_bglt BgL_tmpz00_4534;

										BgL_tmpz00_4534 =
											((BgL_objectz00_bglt) BgL_new1202z00_1978);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4534, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1202z00_1978);
									BgL_new1203z00_1977 = BgL_new1202z00_1978;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1203z00_1977)))->
										BgL_locz00) = ((obj_t) BgL_locz00_71), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1203z00_1977)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_variablez00_bglt)
												COBJECT(((BgL_variablez00_bglt) BgL_vfz00_1974)))->
											BgL_typez00)), BUNSPEC);
								((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
													BgL_new1203z00_1977)))->BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
											BgL_vfz00_1974)), BUNSPEC);
								BgL_auxz00_4529 = ((BgL_varz00_bglt) BgL_new1203z00_1977);
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1201z00_1976))->BgL_funz00) =
								((BgL_varz00_bglt) BgL_auxz00_4529), BUNSPEC);
						}
						{
							obj_t BgL_auxz00_4549;

							{	/* Globalize/node.scm 634 */
								BgL_refz00_bglt BgL_arg1751z00_1980;
								BgL_literalz00_bglt BgL_arg1752z00_1981;
								BgL_refz00_bglt BgL_arg1753z00_1982;

								{	/* Globalize/node.scm 634 */
									BgL_refz00_bglt BgL_new1205z00_1986;

									{	/* Globalize/node.scm 635 */
										BgL_refz00_bglt BgL_new1204z00_1987;

										BgL_new1204z00_1987 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Globalize/node.scm 635 */
											long BgL_arg1762z00_1988;

											{	/* Globalize/node.scm 635 */
												obj_t BgL_classz00_2850;

												BgL_classz00_2850 = BGl_refz00zzast_nodez00;
												BgL_arg1762z00_1988 = BGL_CLASS_NUM(BgL_classz00_2850);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1204z00_1987),
												BgL_arg1762z00_1988);
										}
										{	/* Globalize/node.scm 635 */
											BgL_objectz00_bglt BgL_tmpz00_4554;

											BgL_tmpz00_4554 =
												((BgL_objectz00_bglt) BgL_new1204z00_1987);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4554, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1204z00_1987);
										BgL_new1205z00_1986 = BgL_new1204z00_1987;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1205z00_1986)))->
											BgL_locz00) = ((obj_t) BgL_locz00_71), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1205z00_1986)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) BgL_newz00_72)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1205z00_1986)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_newz00_72)), BUNSPEC);
									BgL_arg1751z00_1980 = BgL_new1205z00_1986;
								}
								{	/* Globalize/node.scm 638 */
									BgL_literalz00_bglt BgL_new1207z00_1989;

									{	/* Globalize/node.scm 639 */
										BgL_literalz00_bglt BgL_new1206z00_1990;

										BgL_new1206z00_1990 =
											((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_literalz00_bgl))));
										{	/* Globalize/node.scm 639 */
											long BgL_arg1763z00_1991;

											{	/* Globalize/node.scm 639 */
												obj_t BgL_classz00_2855;

												BgL_classz00_2855 = BGl_literalz00zzast_nodez00;
												BgL_arg1763z00_1991 = BGL_CLASS_NUM(BgL_classz00_2855);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1206z00_1990),
												BgL_arg1763z00_1991);
										}
										{	/* Globalize/node.scm 639 */
											BgL_objectz00_bglt BgL_tmpz00_4571;

											BgL_tmpz00_4571 =
												((BgL_objectz00_bglt) BgL_new1206z00_1990);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4571, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1206z00_1990);
										BgL_new1207z00_1989 = BgL_new1206z00_1990;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1207z00_1989)))->
											BgL_locz00) = ((obj_t) BgL_locz00_71), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1207z00_1989)))->BgL_typez00) =
										((BgL_typez00_bglt)
											BGl_getzd2typezd2atomz00zztype_typeofz00(BINT
												(BgL_indicez00_73))), BUNSPEC);
									((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
														BgL_new1207z00_1989)))->BgL_valuez00) =
										((obj_t) BINT(BgL_indicez00_73)), BUNSPEC);
									BgL_arg1752z00_1981 = BgL_new1207z00_1989;
								}
								{	/* Globalize/node.scm 642 */

									{	/* Globalize/node.scm 643 */
										BgL_refz00_bglt BgL_new1209z00_1992;

										{	/* Globalize/node.scm 644 */
											BgL_refz00_bglt BgL_new1208z00_1993;

											BgL_new1208z00_1993 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Globalize/node.scm 644 */
												long BgL_arg1766z00_1994;

												{	/* Globalize/node.scm 644 */
													obj_t BgL_classz00_2859;

													BgL_classz00_2859 = BGl_refz00zzast_nodez00;
													BgL_arg1766z00_1994 =
														BGL_CLASS_NUM(BgL_classz00_2859);
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1208z00_1993),
													BgL_arg1766z00_1994);
											}
											{	/* Globalize/node.scm 644 */
												BgL_objectz00_bglt BgL_tmpz00_4588;

												BgL_tmpz00_4588 =
													((BgL_objectz00_bglt) BgL_new1208z00_1993);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4588, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1208z00_1993);
											BgL_new1209z00_1992 = BgL_new1208z00_1993;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1209z00_1992)))->
												BgL_locz00) = ((obj_t) BgL_locz00_71), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1209z00_1992)))->BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_variablez00_bglt)
														COBJECT(((BgL_variablez00_bglt) BgL_vaz00_1975)))->
													BgL_typez00)), BUNSPEC);
										((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
															BgL_new1209z00_1992)))->BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BgL_vaz00_1975)), BUNSPEC);
										BgL_arg1753z00_1982 = BgL_new1209z00_1992;
								}}
								{	/* Globalize/node.scm 634 */
									obj_t BgL_list1754z00_1983;

									{	/* Globalize/node.scm 634 */
										obj_t BgL_arg1759z00_1984;

										{	/* Globalize/node.scm 634 */
											obj_t BgL_arg1761z00_1985;

											BgL_arg1761z00_1985 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1753z00_1982), BNIL);
											BgL_arg1759z00_1984 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg1752z00_1981), BgL_arg1761z00_1985);
										}
										BgL_list1754z00_1983 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg1751z00_1980), BgL_arg1759z00_1984);
									}
									BgL_auxz00_4549 = BgL_list1754z00_1983;
							}}
							((((BgL_appz00_bglt) COBJECT(BgL_new1201z00_1976))->BgL_argsz00) =
								((obj_t) BgL_auxz00_4549), BUNSPEC);
						}
						((((BgL_appz00_bglt) COBJECT(BgL_new1201z00_1976))->
								BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
						return BgL_new1201z00_1976;
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_nodeza7()
	{
		{	/* Globalize/node.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_nodeza7()
	{
		{	/* Globalize/node.scm 17 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_proc2068z00zzglobaliza7e_nodeza7, BGl_nodez00zzast_nodez00,
				BGl_string2069z00zzglobaliza7e_nodeza7);
		}

	}



/* &glo!1361 */
	obj_t BGl_z62gloz121361z70zzglobaliza7e_nodeza7(obj_t BgL_envz00_3409,
		obj_t BgL_nodez00_3410, obj_t BgL_integratorz00_3411)
	{
		{	/* Globalize/node.scm 134 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 7)),
				BGl_string2070z00zzglobaliza7e_nodeza7,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_3410)));
		}

	}



/* glo! */
	BgL_nodez00_bglt BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_nodez00_bglt
		BgL_nodez00_13, BgL_variablez00_bglt BgL_integratorz00_14)
	{
		{	/* Globalize/node.scm 134 */
			{	/* Globalize/node.scm 134 */
				obj_t BgL_method1363z00_2007;

				{	/* Globalize/node.scm 134 */
					obj_t BgL_res2055z00_2895;

					{	/* Globalize/node.scm 134 */
						long BgL_objzd2classzd2numz00_2866;

						BgL_objzd2classzd2numz00_2866 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_13));
						{	/* Globalize/node.scm 134 */
							obj_t BgL_arg1829z00_2867;

							BgL_arg1829z00_2867 =
								PROCEDURE_REF(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
								(int) (((long) 1)));
							{	/* Globalize/node.scm 134 */
								int BgL_offsetz00_2870;

								BgL_offsetz00_2870 = (int) (BgL_objzd2classzd2numz00_2866);
								{	/* Globalize/node.scm 134 */
									long BgL_offsetz00_2871;

									BgL_offsetz00_2871 =
										((long) (BgL_offsetz00_2870) - OBJECT_TYPE);
									{	/* Globalize/node.scm 134 */
										long BgL_modz00_2872;

										BgL_modz00_2872 =
											(BgL_offsetz00_2871 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Globalize/node.scm 134 */
											long BgL_restz00_2874;

											BgL_restz00_2874 =
												(BgL_offsetz00_2871 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Globalize/node.scm 134 */

												{	/* Globalize/node.scm 134 */
													obj_t BgL_bucketz00_2876;

													BgL_bucketz00_2876 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2867), BgL_modz00_2872);
													BgL_res2055z00_2895 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2876), BgL_restz00_2874);
					}}}}}}}}
					BgL_method1363z00_2007 = BgL_res2055z00_2895;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1363z00_2007) (BgL_method1363z00_2007,
						((obj_t) BgL_nodez00_13), ((obj_t) BgL_integratorz00_14), BEOA));
			}
		}

	}



/* &glo! */
	BgL_nodez00_bglt BGl_z62gloz12z70zzglobaliza7e_nodeza7(obj_t BgL_envz00_3412,
		obj_t BgL_nodez00_3413, obj_t BgL_integratorz00_3414)
	{
		{	/* Globalize/node.scm 134 */
			return
				BGl_gloz12z12zzglobaliza7e_nodeza7(
				((BgL_nodez00_bglt) BgL_nodez00_3413),
				((BgL_variablez00_bglt) BgL_integratorz00_3414));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_nodeza7()
	{
		{	/* Globalize/node.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_atomz00zzast_nodez00,
				BGl_proc2071z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_kwotez00zzast_nodez00,
				BGl_proc2073z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_varz00zzast_nodez00,
				BGl_proc2074z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_closurez00zzast_nodez00,
				BGl_proc2075z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_sequencez00zzast_nodez00,
				BGl_proc2076z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_syncz00zzast_nodez00,
				BGl_proc2077z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_appz00zzast_nodez00,
				BGl_proc2078z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2079z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_funcallz00zzast_nodez00,
				BGl_proc2080z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_externz00zzast_nodez00,
				BGl_proc2081z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_castz00zzast_nodez00,
				BGl_proc2082z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_setqz00zzast_nodez00,
				BGl_proc2083z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc2084z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_failz00zzast_nodez00,
				BGl_proc2085z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_switchz00zzast_nodez00,
				BGl_proc2086z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2087z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2088z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2089z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2090z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2091z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2092z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2093z00zzglobaliza7e_nodeza7,
				BGl_string2072z00zzglobaliza7e_nodeza7);
		}

	}



/* &glo!-box-set!1410 */
	BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2setz121410z62zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3437, obj_t BgL_nodez00_3438, obj_t BgL_integratorz00_3439)
	{
		{	/* Globalize/node.scm 487 */
			{
				BgL_varz00_bglt BgL_auxz00_4672;

				{	/* Globalize/node.scm 489 */
					BgL_varz00_bglt BgL_arg1972z00_3518;

					BgL_arg1972z00_3518 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3438)))->BgL_varz00);
					BgL_auxz00_4672 =
						((BgL_varz00_bglt)
						BGl_gloz12z12zzglobaliza7e_nodeza7(
							((BgL_nodez00_bglt) BgL_arg1972z00_3518),
							((BgL_variablez00_bglt) BgL_integratorz00_3439)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3438)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_4672), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4681;

				{	/* Globalize/node.scm 490 */
					BgL_nodez00_bglt BgL_arg1973z00_3519;

					BgL_arg1973z00_3519 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3438)))->BgL_valuez00);
					BgL_auxz00_4681 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1973z00_3519,
						((BgL_variablez00_bglt) BgL_integratorz00_3439));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3438)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4681), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3438));
		}

	}



/* &glo!-box-ref1408 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2ref1408z70zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3440, obj_t BgL_nodez00_3441, obj_t BgL_integratorz00_3442)
	{
		{	/* Globalize/node.scm 479 */
			{
				BgL_varz00_bglt BgL_auxz00_4690;

				{	/* Globalize/node.scm 481 */
					BgL_varz00_bglt BgL_arg1971z00_3521;

					BgL_arg1971z00_3521 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3441)))->BgL_varz00);
					BgL_auxz00_4690 =
						((BgL_varz00_bglt)
						BGl_gloz12z12zzglobaliza7e_nodeza7(
							((BgL_nodez00_bglt) BgL_arg1971z00_3521),
							((BgL_variablez00_bglt) BgL_integratorz00_3442)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3441)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_4690), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3441));
		}

	}



/* &glo!-make-box1404 */
	BgL_nodez00_bglt BGl_z62gloz12zd2makezd2box1404z70zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3443, obj_t BgL_nodez00_3444, obj_t BgL_integratorz00_3445)
	{
		{	/* Globalize/node.scm 471 */
			{
				BgL_nodez00_bglt BgL_auxz00_4701;

				{	/* Globalize/node.scm 473 */
					BgL_nodez00_bglt BgL_arg1970z00_3523;

					BgL_arg1970z00_3523 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3444)))->BgL_valuez00);
					BgL_auxz00_4701 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1970z00_3523,
						((BgL_variablez00_bglt) BgL_integratorz00_3445));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3444)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4701), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3444));
		}

	}



/* &glo!-jump-ex-it1402 */
	BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1402za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3446, obj_t BgL_nodez00_3447, obj_t BgL_integratorz00_3448)
	{
		{	/* Globalize/node.scm 462 */
			{
				BgL_nodez00_bglt BgL_auxz00_4710;

				{	/* Globalize/node.scm 464 */
					BgL_nodez00_bglt BgL_arg1968z00_3525;

					BgL_arg1968z00_3525 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3447)))->BgL_exitz00);
					BgL_auxz00_4710 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1968z00_3525,
						((BgL_variablez00_bglt) BgL_integratorz00_3448));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3447)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4710), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4717;

				{	/* Globalize/node.scm 465 */
					BgL_nodez00_bglt BgL_arg1969z00_3526;

					BgL_arg1969z00_3526 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3447)))->
						BgL_valuez00);
					BgL_auxz00_4717 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1969z00_3526,
						((BgL_variablez00_bglt) BgL_integratorz00_3448));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3447)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_4717), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3447));
		}

	}



/* &glo!-set-ex-it1400 */
	BgL_nodez00_bglt
		BGl_z62gloz12zd2setzd2exzd2it1400za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3449, obj_t BgL_nodez00_3450, obj_t BgL_integratorz00_3451)
	{
		{	/* Globalize/node.scm 446 */
			{	/* Globalize/node.scm 448 */
				obj_t BgL_hdlgz00_3528;

				BgL_hdlgz00_3528 =
					(((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																(((BgL_setzd2exzd2itz00_bglt) COBJECT(
																			((BgL_setzd2exzd2itz00_bglt)
																				BgL_nodez00_3450)))->BgL_varz00)))->
														BgL_variablez00)))))->BgL_valuez00))))->
					BgL_handlerz00);
				{	/* Globalize/node.scm 453 */
					bool_t BgL_test2168z00_4734;

					{	/* Globalize/node.scm 453 */
						BgL_sfunz00_bglt BgL_oz00_3529;

						BgL_oz00_3529 =
							((BgL_sfunz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_hdlgz00_3528))))->BgL_valuez00));
						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4739;

							{
								obj_t BgL_auxz00_4740;

								{	/* Globalize/node.scm 453 */
									BgL_objectz00_bglt BgL_tmpz00_4741;

									BgL_tmpz00_4741 = ((BgL_objectz00_bglt) BgL_oz00_3529);
									BgL_auxz00_4740 = BGL_OBJECT_WIDENING(BgL_tmpz00_4741);
								}
								BgL_auxz00_4739 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4740);
							}
							BgL_test2168z00_4734 =
								(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4739))->
								BgL_gzf3zf3);
						}
					}
					if (BgL_test2168z00_4734)
						{	/* Globalize/node.scm 454 */
							BgL_valuez00_bglt BgL_arg1958z00_3530;

							BgL_arg1958z00_3530 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt)
												(((BgL_varz00_bglt) COBJECT(
															(((BgL_setzd2exzd2itz00_bglt) COBJECT(
																		((BgL_setzd2exzd2itz00_bglt)
																			BgL_nodez00_3450)))->BgL_varz00)))->
													BgL_variablez00)))))->BgL_valuez00);
							((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
												BgL_arg1958z00_3530)))->BgL_detachedzf3zf3) =
								((bool_t) ((bool_t) 1)), BUNSPEC);
						}
					else
						{	/* Globalize/node.scm 453 */
							BFALSE;
						}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4754;

					{	/* Globalize/node.scm 455 */
						BgL_nodez00_bglt BgL_arg1962z00_3531;

						BgL_arg1962z00_3531 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3450)))->
							BgL_bodyz00);
						BgL_auxz00_4754 =
							BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1962z00_3531,
							((BgL_variablez00_bglt) BgL_integratorz00_3451));
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3450)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_4754), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4761;

					{	/* Globalize/node.scm 456 */
						BgL_nodez00_bglt BgL_arg1964z00_3532;

						BgL_arg1964z00_3532 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3450)))->
							BgL_onexitz00);
						BgL_auxz00_4761 =
							BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1964z00_3532,
							((BgL_variablez00_bglt) BgL_integratorz00_3451));
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3450)))->
							BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4761), BUNSPEC);
				}
				return
					((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3450));
			}
		}

	}



/* &glo!-let-var1398 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2var1398z70zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3452, obj_t BgL_nodez00_3453, obj_t BgL_integratorz00_3454)
	{
		{	/* Globalize/node.scm 421 */
			{	/* Globalize/node.scm 423 */
				obj_t BgL_g1353z00_3534;

				BgL_g1353z00_3534 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3453)))->BgL_bindingsz00);
				{
					obj_t BgL_l1351z00_3536;

					BgL_l1351z00_3536 = BgL_g1353z00_3534;
				BgL_zc3z04anonymousza31943ze3z87_3535:
					if (PAIRP(BgL_l1351z00_3536))
						{	/* Globalize/node.scm 423 */
							{	/* Globalize/node.scm 424 */
								obj_t BgL_bindingz00_3537;

								BgL_bindingz00_3537 = CAR(BgL_l1351z00_3536);
								{	/* Globalize/node.scm 424 */
									obj_t BgL_varz00_3538;
									obj_t BgL_valz00_3539;

									BgL_varz00_3538 = CAR(((obj_t) BgL_bindingz00_3537));
									BgL_valz00_3539 = CDR(((obj_t) BgL_bindingz00_3537));
									{	/* Globalize/node.scm 426 */
										BgL_nodez00_bglt BgL_arg1945z00_3540;

										BgL_arg1945z00_3540 =
											BGl_gloz12z12zzglobaliza7e_nodeza7(
											((BgL_nodez00_bglt) BgL_valz00_3539),
											((BgL_variablez00_bglt) BgL_integratorz00_3454));
										{	/* Globalize/node.scm 426 */
											obj_t BgL_auxz00_4784;
											obj_t BgL_tmpz00_4782;

											BgL_auxz00_4784 = ((obj_t) BgL_arg1945z00_3540);
											BgL_tmpz00_4782 = ((obj_t) BgL_bindingz00_3537);
											SET_CDR(BgL_tmpz00_4782, BgL_auxz00_4784);
										}
									}
									if (BGl_celledzf3zf3zzglobaliza7e_nodeza7(
											((BgL_variablez00_bglt) BgL_varz00_3538)))
										{	/* Globalize/node.scm 428 */
											BgL_localz00_bglt BgL_nvarz00_3541;

											BgL_nvarz00_3541 =
												BGl_cellzd2variablezd2zzglobaliza7e_nodeza7(
												((BgL_localz00_bglt) BgL_varz00_3538));
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_3538))))->
													BgL_fastzd2alphazd2) =
												((obj_t) ((obj_t) BgL_nvarz00_3541)), BUNSPEC);
											{	/* Globalize/node.scm 431 */
												BgL_makezd2boxzd2_bglt BgL_arg1947z00_3542;

												{	/* Globalize/node.scm 431 */
													obj_t BgL_arg1948z00_3543;

													BgL_arg1948z00_3543 =
														CDR(((obj_t) BgL_bindingz00_3537));
													BgL_arg1947z00_3542 =
														BGl_azd2makezd2cellz00zzglobaliza7e_nodeza7(
														((BgL_nodez00_bglt) BgL_arg1948z00_3543),
														((BgL_variablez00_bglt) BgL_varz00_3538));
												}
												{	/* Globalize/node.scm 430 */
													obj_t BgL_auxz00_4803;
													obj_t BgL_tmpz00_4801;

													BgL_auxz00_4803 = ((obj_t) BgL_arg1947z00_3542);
													BgL_tmpz00_4801 = ((obj_t) BgL_bindingz00_3537);
													SET_CDR(BgL_tmpz00_4801, BgL_auxz00_4803);
												}
											}
										}
									else
										{	/* Globalize/node.scm 427 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1351z00_4806;

								BgL_l1351z00_4806 = CDR(BgL_l1351z00_3536);
								BgL_l1351z00_3536 = BgL_l1351z00_4806;
								goto BgL_zc3z04anonymousza31943ze3z87_3535;
							}
						}
					else
						{	/* Globalize/node.scm 423 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4808;

				{	/* Globalize/node.scm 433 */
					BgL_nodez00_bglt BgL_arg1950z00_3544;

					BgL_arg1950z00_3544 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3453)))->BgL_bodyz00);
					BgL_auxz00_4808 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1950z00_3544,
						((BgL_variablez00_bglt) BgL_integratorz00_3454));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3453)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4808), BUNSPEC);
			}
			{	/* Globalize/node.scm 434 */
				obj_t BgL_g1356z00_3545;

				BgL_g1356z00_3545 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3453)))->BgL_bindingsz00);
				{
					obj_t BgL_l1354z00_3547;

					BgL_l1354z00_3547 = BgL_g1356z00_3545;
				BgL_zc3z04anonymousza31951ze3z87_3546:
					if (PAIRP(BgL_l1354z00_3547))
						{	/* Globalize/node.scm 434 */
							{	/* Globalize/node.scm 435 */
								obj_t BgL_bindingz00_3548;

								BgL_bindingz00_3548 = CAR(BgL_l1354z00_3547);
								{	/* Globalize/node.scm 435 */
									obj_t BgL_varz00_3549;

									BgL_varz00_3549 = CAR(((obj_t) BgL_bindingz00_3548));
									if (BGl_celledzf3zf3zzglobaliza7e_nodeza7(
											((BgL_variablez00_bglt) BgL_varz00_3549)))
										{	/* Globalize/node.scm 437 */
											BgL_localz00_bglt BgL_nvarz00_3550;

											BgL_nvarz00_3550 =
												BGl_cellzd2variablezd2zzglobaliza7e_nodeza7(
												((BgL_localz00_bglt) BgL_varz00_3549));
											{	/* Globalize/node.scm 438 */
												obj_t BgL_arg1954z00_3551;

												BgL_arg1954z00_3551 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_3549)))->
													BgL_fastzd2alphazd2);
												{	/* Globalize/node.scm 438 */
													obj_t BgL_tmpz00_4829;

													BgL_tmpz00_4829 = ((obj_t) BgL_bindingz00_3548);
													SET_CAR(BgL_tmpz00_4829, BgL_arg1954z00_3551);
												}
											}
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_3549))))->
													BgL_fastzd2alphazd2) = ((obj_t) BUNSPEC), BUNSPEC);
										}
									else
										{	/* Globalize/node.scm 436 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1354z00_4835;

								BgL_l1354z00_4835 = CDR(BgL_l1354z00_3547);
								BgL_l1354z00_3547 = BgL_l1354z00_4835;
								goto BgL_zc3z04anonymousza31951ze3z87_3546;
							}
						}
					else
						{	/* Globalize/node.scm 434 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_3453));
		}

	}



/* &glo!-let-fun1396 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2fun1396z70zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3455, obj_t BgL_nodez00_3456, obj_t BgL_integratorz00_3457)
	{
		{	/* Globalize/node.scm 379 */
			{
				BgL_nodez00_bglt BgL_auxz00_4839;

				{	/* Globalize/node.scm 381 */
					BgL_nodez00_bglt BgL_arg1917z00_3553;

					BgL_arg1917z00_3553 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3456)))->BgL_bodyz00);
					BgL_auxz00_4839 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1917z00_3553,
						((BgL_variablez00_bglt) BgL_integratorz00_3457));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3456)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4839), BUNSPEC);
			}
			{
				obj_t BgL_obindingsz00_3555;
				obj_t BgL_nbindingsz00_3556;
				obj_t BgL_ebindingsz00_3557;

				{	/* Globalize/node.scm 382 */
					obj_t BgL_arg1918z00_3568;

					BgL_arg1918z00_3568 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3456)))->BgL_localsz00);
					{
						BgL_nodezf2effectzf2_bglt BgL_auxz00_4848;

						BgL_obindingsz00_3555 = BgL_arg1918z00_3568;
						BgL_nbindingsz00_3556 = BNIL;
						BgL_ebindingsz00_3557 = BNIL;
					BgL_liipz00_3554:
						if (NULLP(BgL_obindingsz00_3555))
							{	/* Globalize/node.scm 393 */
								((((BgL_letzd2funzd2_bglt) COBJECT(
												((BgL_letzd2funzd2_bglt) BgL_nodez00_3456)))->
										BgL_localsz00) = ((obj_t) BgL_nbindingsz00_3556), BUNSPEC);
								if (NULLP(BgL_ebindingsz00_3557))
									{	/* Globalize/node.scm 395 */
										BgL_auxz00_4848 =
											((BgL_nodezf2effectzf2_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nodez00_3456));
									}
								else
									{	/* Globalize/node.scm 395 */
										BgL_auxz00_4848 =
											((BgL_nodezf2effectzf2_bglt)
											BGl_makezd2escapingzd2bindingsz00zzglobaliza7e_nodeza7
											(BgL_ebindingsz00_3557,
												((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt)
														BgL_nodez00_3456)),
												((BgL_variablez00_bglt) BgL_integratorz00_3457)));
									}
							}
						else
							{	/* Globalize/node.scm 398 */
								bool_t BgL_test2175z00_4862;

								if (
									(CAR(
											((obj_t) BgL_obindingsz00_3555)) ==
										BgL_integratorz00_3457))
									{	/* Globalize/node.scm 398 */
										BgL_test2175z00_4862 = ((bool_t) 0);
									}
								else
									{	/* Globalize/node.scm 399 */
										BgL_localz00_bglt BgL_oz00_3558;

										BgL_oz00_3558 =
											((BgL_localz00_bglt)
											CAR(((obj_t) BgL_obindingsz00_3555)));
										{
											BgL_localzf2ginfozf2_bglt BgL_auxz00_4870;

											{
												obj_t BgL_auxz00_4871;

												{	/* Globalize/node.scm 399 */
													BgL_objectz00_bglt BgL_tmpz00_4872;

													BgL_tmpz00_4872 =
														((BgL_objectz00_bglt) BgL_oz00_3558);
													BgL_auxz00_4871 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4872);
												}
												BgL_auxz00_4870 =
													((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4871);
											}
											BgL_test2175z00_4862 =
												(((BgL_localzf2ginfozf2_bglt)
													COBJECT(BgL_auxz00_4870))->BgL_escapezf3zf3);
										}
									}
								if (BgL_test2175z00_4862)
									{	/* Globalize/node.scm 400 */
										obj_t BgL_arg1929z00_3559;
										obj_t BgL_arg1930z00_3560;

										BgL_arg1929z00_3559 = CDR(((obj_t) BgL_obindingsz00_3555));
										{	/* Globalize/node.scm 402 */
											obj_t BgL_arg1931z00_3561;

											BgL_arg1931z00_3561 =
												CAR(((obj_t) BgL_obindingsz00_3555));
											BgL_arg1930z00_3560 =
												MAKE_YOUNG_PAIR(BgL_arg1931z00_3561,
												BgL_ebindingsz00_3557);
										}
										{
											obj_t BgL_ebindingsz00_4883;
											obj_t BgL_obindingsz00_4882;

											BgL_obindingsz00_4882 = BgL_arg1929z00_3559;
											BgL_ebindingsz00_4883 = BgL_arg1930z00_3560;
											BgL_ebindingsz00_3557 = BgL_ebindingsz00_4883;
											BgL_obindingsz00_3555 = BgL_obindingsz00_4882;
											goto BgL_liipz00_3554;
										}
									}
								else
									{	/* Globalize/node.scm 398 */
										if (
											(CAR(
													((obj_t) BgL_obindingsz00_3555)) ==
												BgL_integratorz00_3457))
											{	/* Globalize/node.scm 403 */
												{	/* Globalize/node.scm 407 */
													obj_t BgL_arg1935z00_3562;

													{	/* Globalize/node.scm 407 */
														obj_t BgL_arg1936z00_3563;

														BgL_arg1936z00_3563 =
															CAR(((obj_t) BgL_obindingsz00_3555));
														BgL_arg1935z00_3562 =
															BGl_shapez00zztools_shapez00(BgL_arg1936z00_3563);
													}
													BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF
														(((long) 8)),
														BGl_string2094z00zzglobaliza7e_nodeza7,
														BgL_arg1935z00_3562);
												}
												{	/* Globalize/node.scm 408 */
													obj_t BgL_arg1937z00_3564;

													BgL_arg1937z00_3564 =
														CDR(((obj_t) BgL_obindingsz00_3555));
													{
														obj_t BgL_obindingsz00_4895;

														BgL_obindingsz00_4895 = BgL_arg1937z00_3564;
														BgL_obindingsz00_3555 = BgL_obindingsz00_4895;
														goto BgL_liipz00_3554;
													}
												}
											}
										else
											{	/* Globalize/node.scm 412 */
												obj_t BgL_localz00_3565;

												BgL_localz00_3565 =
													CAR(((obj_t) BgL_obindingsz00_3555));
												BGl_globaliza7ezd2localzd2funz12zb5zzglobaliza7e_nodeza7
													(((BgL_localz00_bglt) BgL_localz00_3565),
													((BgL_variablez00_bglt) BgL_integratorz00_3457));
												{	/* Globalize/node.scm 414 */
													obj_t BgL_arg1938z00_3566;
													obj_t BgL_arg1939z00_3567;

													BgL_arg1938z00_3566 =
														CDR(((obj_t) BgL_obindingsz00_3555));
													BgL_arg1939z00_3567 =
														MAKE_YOUNG_PAIR(BgL_localz00_3565,
														BgL_nbindingsz00_3556);
													{
														obj_t BgL_nbindingsz00_4905;
														obj_t BgL_obindingsz00_4904;

														BgL_obindingsz00_4904 = BgL_arg1938z00_3566;
														BgL_nbindingsz00_4905 = BgL_arg1939z00_3567;
														BgL_nbindingsz00_3556 = BgL_nbindingsz00_4905;
														BgL_obindingsz00_3555 = BgL_obindingsz00_4904;
														goto BgL_liipz00_3554;
													}
												}
											}
									}
							}
						return ((BgL_nodez00_bglt) BgL_auxz00_4848);
					}
				}
			}
		}

	}



/* &glo!-switch1394 */
	BgL_nodez00_bglt BGl_z62gloz12zd2switch1394za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3458, obj_t BgL_nodez00_3459, obj_t BgL_integratorz00_3460)
	{
		{	/* Globalize/node.scm 368 */
			{
				BgL_nodez00_bglt BgL_auxz00_4907;

				{	/* Globalize/node.scm 370 */
					BgL_nodez00_bglt BgL_arg1910z00_3570;

					BgL_arg1910z00_3570 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3459)))->BgL_testz00);
					BgL_auxz00_4907 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1910z00_3570,
						((BgL_variablez00_bglt) BgL_integratorz00_3460));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3459)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4907), BUNSPEC);
			}
			{	/* Globalize/node.scm 371 */
				obj_t BgL_g1350z00_3571;

				BgL_g1350z00_3571 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3459)))->BgL_clausesz00);
				{
					obj_t BgL_l1348z00_3573;

					BgL_l1348z00_3573 = BgL_g1350z00_3571;
				BgL_zc3z04anonymousza31911ze3z87_3572:
					if (PAIRP(BgL_l1348z00_3573))
						{	/* Globalize/node.scm 371 */
							{	/* Globalize/node.scm 372 */
								obj_t BgL_clausez00_3574;

								BgL_clausez00_3574 = CAR(BgL_l1348z00_3573);
								{	/* Globalize/node.scm 372 */
									BgL_nodez00_bglt BgL_arg1913z00_3575;

									{	/* Globalize/node.scm 372 */
										obj_t BgL_arg1914z00_3576;

										BgL_arg1914z00_3576 = CDR(((obj_t) BgL_clausez00_3574));
										BgL_arg1913z00_3575 =
											BGl_gloz12z12zzglobaliza7e_nodeza7(
											((BgL_nodez00_bglt) BgL_arg1914z00_3576),
											((BgL_variablez00_bglt) BgL_integratorz00_3460));
									}
									{	/* Globalize/node.scm 372 */
										obj_t BgL_auxz00_4926;
										obj_t BgL_tmpz00_4924;

										BgL_auxz00_4926 = ((obj_t) BgL_arg1913z00_3575);
										BgL_tmpz00_4924 = ((obj_t) BgL_clausez00_3574);
										SET_CDR(BgL_tmpz00_4924, BgL_auxz00_4926);
									}
								}
							}
							{
								obj_t BgL_l1348z00_4929;

								BgL_l1348z00_4929 = CDR(BgL_l1348z00_3573);
								BgL_l1348z00_3573 = BgL_l1348z00_4929;
								goto BgL_zc3z04anonymousza31911ze3z87_3572;
							}
						}
					else
						{	/* Globalize/node.scm 371 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_3459));
		}

	}



/* &glo!-fail1392 */
	BgL_nodez00_bglt BGl_z62gloz12zd2fail1392za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3461, obj_t BgL_nodez00_3462, obj_t BgL_integratorz00_3463)
	{
		{	/* Globalize/node.scm 358 */
			{
				BgL_nodez00_bglt BgL_auxz00_4933;

				{	/* Globalize/node.scm 360 */
					BgL_nodez00_bglt BgL_arg1907z00_3578;

					BgL_arg1907z00_3578 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3462)))->BgL_procz00);
					BgL_auxz00_4933 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1907z00_3578,
						((BgL_variablez00_bglt) BgL_integratorz00_3463));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3462)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4933), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4940;

				{	/* Globalize/node.scm 361 */
					BgL_nodez00_bglt BgL_arg1908z00_3579;

					BgL_arg1908z00_3579 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3462)))->BgL_msgz00);
					BgL_auxz00_4940 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1908z00_3579,
						((BgL_variablez00_bglt) BgL_integratorz00_3463));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3462)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4940), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4947;

				{	/* Globalize/node.scm 362 */
					BgL_nodez00_bglt BgL_arg1909z00_3580;

					BgL_arg1909z00_3580 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3462)))->BgL_objz00);
					BgL_auxz00_4947 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1909z00_3580,
						((BgL_variablez00_bglt) BgL_integratorz00_3463));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3462)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4947), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_3462));
		}

	}



/* &glo!-conditional1390 */
	BgL_nodez00_bglt BGl_z62gloz12zd2conditional1390za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3464, obj_t BgL_nodez00_3465, obj_t BgL_integratorz00_3466)
	{
		{	/* Globalize/node.scm 348 */
			{
				BgL_nodez00_bglt BgL_auxz00_4956;

				{	/* Globalize/node.scm 350 */
					BgL_nodez00_bglt BgL_arg1904z00_3582;

					BgL_arg1904z00_3582 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3465)))->BgL_testz00);
					BgL_auxz00_4956 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1904z00_3582,
						((BgL_variablez00_bglt) BgL_integratorz00_3466));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3465)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4956), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4963;

				{	/* Globalize/node.scm 351 */
					BgL_nodez00_bglt BgL_arg1905z00_3583;

					BgL_arg1905z00_3583 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3465)))->BgL_truez00);
					BgL_auxz00_4963 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1905z00_3583,
						((BgL_variablez00_bglt) BgL_integratorz00_3466));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3465)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4963), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4970;

				{	/* Globalize/node.scm 352 */
					BgL_nodez00_bglt BgL_arg1906z00_3584;

					BgL_arg1906z00_3584 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3465)))->BgL_falsez00);
					BgL_auxz00_4970 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1906z00_3584,
						((BgL_variablez00_bglt) BgL_integratorz00_3466));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3465)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4970), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_3465));
		}

	}



/* &glo!-setq1388 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setq1388za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3467, obj_t BgL_nodez00_3468, obj_t BgL_integratorz00_3469)
	{
		{	/* Globalize/node.scm 310 */
			{
				BgL_nodez00_bglt BgL_auxz00_4979;

				{	/* Globalize/node.scm 312 */
					BgL_nodez00_bglt BgL_arg1880z00_3586;

					BgL_arg1880z00_3586 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3468)))->BgL_valuez00);
					BgL_auxz00_4979 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1880z00_3586,
						((BgL_variablez00_bglt) BgL_integratorz00_3469));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3468)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4979), BUNSPEC);
			}
			{	/* Globalize/node.scm 313 */
				BgL_variablez00_bglt BgL_varz00_3587;

				BgL_varz00_3587 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setqz00_bglt) COBJECT(
										((BgL_setqz00_bglt) BgL_nodez00_3468)))->BgL_varz00)))->
					BgL_variablez00);
				{	/* Globalize/node.scm 313 */
					BgL_typez00_bglt BgL_vtypez00_3588;

					BgL_vtypez00_3588 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_3587))->BgL_typez00);
					{	/* Globalize/node.scm 314 */

						{	/* Globalize/node.scm 315 */
							obj_t BgL_g1154z00_3589;

							BgL_g1154z00_3589 =
								(((BgL_variablez00_bglt) COBJECT(BgL_varz00_3587))->
								BgL_fastzd2alphazd2);
							{
								obj_t BgL_varz00_3591;
								obj_t BgL_alphaz00_3592;

								BgL_varz00_3591 = ((obj_t) BgL_varz00_3587);
								BgL_alphaz00_3592 = BgL_g1154z00_3589;
							BgL_loopz00_3590:
								{	/* Globalize/node.scm 317 */
									bool_t BgL_test2179z00_4991;

									{	/* Globalize/node.scm 317 */
										obj_t BgL_classz00_3593;

										BgL_classz00_3593 = BGl_localz00zzast_varz00;
										if (BGL_OBJECTP(BgL_alphaz00_3592))
											{	/* Globalize/node.scm 317 */
												BgL_objectz00_bglt BgL_arg1825z00_3594;

												BgL_arg1825z00_3594 =
													(BgL_objectz00_bglt) (BgL_alphaz00_3592);
												{	/* Globalize/node.scm 317 */
													bool_t BgL_arg1822z00_3595;
													bool_t BgL_arg1823z00_3596;

													{	/* Globalize/node.scm 317 */
														long BgL_idxz00_3597;

														BgL_idxz00_3597 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3594);
														BgL_arg1822z00_3595 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3597 + ((long) 2))) ==
															BgL_classz00_3593);
													}
													{	/* Globalize/node.scm 317 */
														bool_t BgL_res2061z00_3600;

														{	/* Globalize/node.scm 317 */
															obj_t BgL_oclassz00_3601;

															{	/* Globalize/node.scm 317 */
																long BgL_arg1833z00_3602;

																{	/* Globalize/node.scm 317 */
																	long BgL_arg1834z00_3603;

																	BgL_arg1834z00_3603 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3594);
																	BgL_arg1833z00_3602 =
																		(BgL_arg1834z00_3603 - OBJECT_TYPE);
																}
																BgL_oclassz00_3601 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3602);
															}
															{	/* Globalize/node.scm 317 */
																bool_t BgL__ortest_1110z00_3604;

																BgL__ortest_1110z00_3604 =
																	(BgL_classz00_3593 == BgL_oclassz00_3601);
																if (BgL__ortest_1110z00_3604)
																	{	/* Globalize/node.scm 317 */
																		BgL_res2061z00_3600 =
																			BgL__ortest_1110z00_3604;
																	}
																else
																	{	/* Globalize/node.scm 317 */
																		long BgL_odepthz00_3605;

																		BgL_odepthz00_3605 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3601);
																		if ((((long) 2) < BgL_odepthz00_3605))
																			{	/* Globalize/node.scm 317 */
																				obj_t BgL_arg1821z00_3606;

																				BgL_arg1821z00_3606 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3601, ((long) 2));
																				BgL_res2061z00_3600 =
																					(BgL_arg1821z00_3606 ==
																					BgL_classz00_3593);
																			}
																		else
																			{	/* Globalize/node.scm 317 */
																				BgL_res2061z00_3600 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3596 = BgL_res2061z00_3600;
													}
													BgL_test2179z00_4991 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3595,
														BgL_arg1823z00_3596);
												}
											}
										else
											{	/* Globalize/node.scm 317 */
												BgL_test2179z00_4991 = ((bool_t) 0);
											}
									}
									if (BgL_test2179z00_4991)
										{	/* Globalize/node.scm 317 */
											{	/* Globalize/node.scm 319 */
												BgL_varz00_bglt BgL_arg1883z00_3607;

												BgL_arg1883z00_3607 =
													(((BgL_setqz00_bglt) COBJECT(
															((BgL_setqz00_bglt) BgL_nodez00_3468)))->
													BgL_varz00);
												((((BgL_varz00_bglt) COBJECT(BgL_arg1883z00_3607))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_alphaz00_3592)), BUNSPEC);
											}
											{	/* Globalize/node.scm 320 */
												obj_t BgL_arg1884z00_3608;

												BgL_arg1884z00_3608 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_alphaz00_3592)))->
													BgL_fastzd2alphazd2);
												{
													obj_t BgL_alphaz00_5017;
													obj_t BgL_varz00_5016;

													BgL_varz00_5016 = BgL_alphaz00_3592;
													BgL_alphaz00_5017 = BgL_arg1884z00_3608;
													BgL_alphaz00_3592 = BgL_alphaz00_5017;
													BgL_varz00_3591 = BgL_varz00_5016;
													goto BgL_loopz00_3590;
												}
											}
										}
									else
										{	/* Globalize/node.scm 321 */
											BgL_variablez00_bglt BgL_varz00_3609;

											BgL_varz00_3609 =
												(((BgL_varz00_bglt) COBJECT(
														(((BgL_setqz00_bglt) COBJECT(
																	((BgL_setqz00_bglt) BgL_nodez00_3468)))->
															BgL_varz00)))->BgL_variablez00);
											{	/* Globalize/node.scm 322 */
												bool_t BgL_test2183z00_5021;

												{	/* Globalize/node.scm 322 */
													bool_t BgL_test2184z00_5022;

													{	/* Globalize/node.scm 322 */
														obj_t BgL_classz00_3610;

														BgL_classz00_3610 = BGl_localz00zzast_varz00;
														{	/* Globalize/node.scm 322 */
															BgL_objectz00_bglt BgL_arg1825z00_3611;

															{	/* Globalize/node.scm 322 */
																obj_t BgL_tmpz00_5023;

																BgL_tmpz00_5023 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_varz00_3609));
																BgL_arg1825z00_3611 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_5023);
															}
															{	/* Globalize/node.scm 322 */
																bool_t BgL_arg1822z00_3612;
																bool_t BgL_arg1823z00_3613;

																{	/* Globalize/node.scm 322 */
																	long BgL_idxz00_3614;

																	BgL_idxz00_3614 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_3611);
																	BgL_arg1822z00_3612 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3614 + ((long) 2))) ==
																		BgL_classz00_3610);
																}
																{	/* Globalize/node.scm 322 */
																	bool_t BgL_res2062z00_3617;

																	{	/* Globalize/node.scm 322 */
																		obj_t BgL_oclassz00_3618;

																		{	/* Globalize/node.scm 322 */
																			long BgL_arg1833z00_3619;

																			{	/* Globalize/node.scm 322 */
																				long BgL_arg1834z00_3620;

																				BgL_arg1834z00_3620 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_3611);
																				BgL_arg1833z00_3619 =
																					(BgL_arg1834z00_3620 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3618 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_3619);
																		}
																		{	/* Globalize/node.scm 322 */
																			bool_t BgL__ortest_1110z00_3621;

																			BgL__ortest_1110z00_3621 =
																				(BgL_classz00_3610 ==
																				BgL_oclassz00_3618);
																			if (BgL__ortest_1110z00_3621)
																				{	/* Globalize/node.scm 322 */
																					BgL_res2062z00_3617 =
																						BgL__ortest_1110z00_3621;
																				}
																			else
																				{	/* Globalize/node.scm 322 */
																					long BgL_odepthz00_3622;

																					BgL_odepthz00_3622 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_3618);
																					if ((((long) 2) < BgL_odepthz00_3622))
																						{	/* Globalize/node.scm 322 */
																							obj_t BgL_arg1821z00_3623;

																							BgL_arg1821z00_3623 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_3618,
																								((long) 2));
																							BgL_res2062z00_3617 =
																								(BgL_arg1821z00_3623 ==
																								BgL_classz00_3610);
																						}
																					else
																						{	/* Globalize/node.scm 322 */
																							BgL_res2062z00_3617 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_3613 = BgL_res2062z00_3617;
																}
																BgL_test2184z00_5022 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_3612,
																	BgL_arg1823z00_3613);
															}
														}
													}
													if (BgL_test2184z00_5022)
														{	/* Globalize/node.scm 322 */
															BgL_test2183z00_5021 =
																BGl_celledzf3zf3zzglobaliza7e_nodeza7
																(BgL_varz00_3609);
														}
													else
														{	/* Globalize/node.scm 322 */
															BgL_test2183z00_5021 = ((bool_t) 0);
														}
												}
												if (BgL_test2183z00_5021)
													{	/* Globalize/node.scm 323 */
														BgL_localz00_bglt BgL_azd2varzd2_3624;
														obj_t BgL_locz00_3625;

														BgL_azd2varzd2_3624 =
															BGl_makezd2localzd2svarz00zzast_localz00
															(CNST_TABLE_REF(((long) 9)),
															((BgL_typez00_bglt)
																BGl_za2objza2z00zztype_cachez00));
														BgL_locz00_3625 =
															(((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) ((BgL_setqz00_bglt)
																			BgL_nodez00_3468))))->BgL_locz00);
														{	/* Globalize/node.scm 325 */
															obj_t BgL_vz00_3626;

															BgL_vz00_3626 = CNST_TABLE_REF(((long) 0));
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_3609))))->BgL_accessz00) =
																((obj_t) BgL_vz00_3626), BUNSPEC);
														}
														{	/* Globalize/node.scm 326 */
															bool_t BgL_arg1887z00_3627;

															BgL_arg1887z00_3627 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_varz00_3609))))->
																BgL_userzf3zf3);
															((((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_azd2varzd2_3624)))->
																	BgL_userzf3zf3) =
																((bool_t) BgL_arg1887z00_3627), BUNSPEC);
														}
														{	/* Globalize/node.scm 327 */
															BgL_varz00_bglt BgL_arg1888z00_3628;

															BgL_arg1888z00_3628 =
																(((BgL_setqz00_bglt) COBJECT(
																		((BgL_setqz00_bglt) BgL_nodez00_3468)))->
																BgL_varz00);
															{	/* Globalize/node.scm 327 */
																BgL_typez00_bglt BgL_vz00_3629;

																BgL_vz00_3629 =
																	((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_arg1888z00_3628)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_3629), BUNSPEC);
														}}
														{	/* Globalize/node.scm 328 */
															BgL_svarz00_bglt BgL_tmp1155z00_3630;

															BgL_tmp1155z00_3630 =
																((BgL_svarz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_azd2varzd2_3624)))->BgL_valuez00));
															{	/* Globalize/node.scm 328 */
																BgL_svarzf2ginfozf2_bglt BgL_wide1157z00_3631;

																BgL_wide1157z00_3631 =
																	((BgL_svarzf2ginfozf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_svarzf2ginfozf2_bgl))));
																{	/* Globalize/node.scm 328 */
																	obj_t BgL_auxz00_5070;
																	BgL_objectz00_bglt BgL_tmpz00_5067;

																	BgL_auxz00_5070 =
																		((obj_t) BgL_wide1157z00_3631);
																	BgL_tmpz00_5067 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1155z00_3630));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5067,
																		BgL_auxz00_5070);
																}
																((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1155z00_3630));
																{	/* Globalize/node.scm 328 */
																	long BgL_arg1890z00_3632;

																	BgL_arg1890z00_3632 =
																		BGL_CLASS_NUM
																		(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1155z00_3630)),
																		BgL_arg1890z00_3632);
																}
																((BgL_svarz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1155z00_3630));
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_5081;

																{
																	obj_t BgL_auxz00_5082;

																	{	/* Globalize/node.scm 329 */
																		BgL_objectz00_bglt BgL_tmpz00_5083;

																		BgL_tmpz00_5083 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1155z00_3630));
																		BgL_auxz00_5082 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5083);
																	}
																	BgL_auxz00_5081 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_5082);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_5081))->
																		BgL_kapturedzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_5089;

																{
																	obj_t BgL_auxz00_5090;

																	{	/* Globalize/node.scm 329 */
																		BgL_objectz00_bglt BgL_tmpz00_5091;

																		BgL_tmpz00_5091 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1155z00_3630));
																		BgL_auxz00_5090 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5091);
																	}
																	BgL_auxz00_5089 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_5090);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_5089))->
																		BgL_freezd2markzd2) =
																	((long) ((long) -10)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_5097;

																{
																	obj_t BgL_auxz00_5098;

																	{	/* Globalize/node.scm 329 */
																		BgL_objectz00_bglt BgL_tmpz00_5099;

																		BgL_tmpz00_5099 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1155z00_3630));
																		BgL_auxz00_5098 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5099);
																	}
																	BgL_auxz00_5097 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_5098);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_5097))->BgL_markz00) =
																	((long) ((long) -10)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_5105;

																{
																	obj_t BgL_auxz00_5106;

																	{	/* Globalize/node.scm 329 */
																		BgL_objectz00_bglt BgL_tmpz00_5107;

																		BgL_tmpz00_5107 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1155z00_3630));
																		BgL_auxz00_5106 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5107);
																	}
																	BgL_auxz00_5105 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_5106);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_5105))->
																		BgL_celledzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_5113;

																{
																	obj_t BgL_auxz00_5114;

																	{	/* Globalize/node.scm 329 */
																		BgL_objectz00_bglt BgL_tmpz00_5115;

																		BgL_tmpz00_5115 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1155z00_3630));
																		BgL_auxz00_5114 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5115);
																	}
																	BgL_auxz00_5113 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_5114);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_5113))->
																		BgL_stackablez00) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
															}
															((BgL_svarz00_bglt) BgL_tmp1155z00_3630);
														}
														{	/* Globalize/node.scm 330 */
															BgL_letzd2varzd2_bglt BgL_new1160z00_3633;

															{	/* Globalize/node.scm 331 */
																BgL_letzd2varzd2_bglt BgL_new1159z00_3634;

																BgL_new1159z00_3634 =
																	((BgL_letzd2varzd2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_letzd2varzd2_bgl))));
																{	/* Globalize/node.scm 331 */
																	long BgL_arg1897z00_3635;

																	BgL_arg1897z00_3635 =
																		BGL_CLASS_NUM
																		(BGl_letzd2varzd2zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			BgL_new1159z00_3634),
																		BgL_arg1897z00_3635);
																}
																{	/* Globalize/node.scm 331 */
																	BgL_objectz00_bglt BgL_tmpz00_5126;

																	BgL_tmpz00_5126 =
																		((BgL_objectz00_bglt) BgL_new1159z00_3634);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5126,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1159z00_3634);
																BgL_new1160z00_3633 = BgL_new1159z00_3634;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1160z00_3633)))->BgL_locz00) =
																((obj_t) BgL_locz00_3625), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1160z00_3633)))->BgL_typez00) =
																((BgL_typez00_bglt) ((BgL_typez00_bglt)
																		BGl_za2unspecza2z00zztype_cachez00)),
																BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1160z00_3633)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1160z00_3633)))->BgL_keyz00) =
																((obj_t) BINT(((long) -1))), BUNSPEC);
															{
																obj_t BgL_auxz00_5140;

																{	/* Globalize/node.scm 333 */
																	obj_t BgL_arg1891z00_3636;

																	{	/* Globalize/node.scm 333 */
																		BgL_nodez00_bglt BgL_arg1894z00_3637;

																		BgL_arg1894z00_3637 =
																			(((BgL_setqz00_bglt) COBJECT(
																					((BgL_setqz00_bglt)
																						BgL_nodez00_3468)))->BgL_valuez00);
																		BgL_arg1891z00_3636 =
																			MAKE_YOUNG_PAIR(((obj_t)
																				BgL_azd2varzd2_3624),
																			((obj_t) BgL_arg1894z00_3637));
																	}
																	{	/* Globalize/node.scm 333 */
																		obj_t BgL_list1892z00_3638;

																		BgL_list1892z00_3638 =
																			MAKE_YOUNG_PAIR(BgL_arg1891z00_3636,
																			BNIL);
																		BgL_auxz00_5140 = BgL_list1892z00_3638;
																}}
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1160z00_3633))->
																		BgL_bindingsz00) =
																	((obj_t) BgL_auxz00_5140), BUNSPEC);
															}
															{
																BgL_nodez00_bglt BgL_auxz00_5148;

																{	/* Globalize/node.scm 334 */
																	BgL_boxzd2setz12zc0_bglt BgL_new1162z00_3639;

																	{	/* Globalize/node.scm 335 */
																		BgL_boxzd2setz12zc0_bglt
																			BgL_new1161z00_3640;
																		BgL_new1161z00_3640 =
																			((BgL_boxzd2setz12zc0_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_boxzd2setz12zc0_bgl))));
																		{	/* Globalize/node.scm 335 */
																			long BgL_arg1896z00_3641;

																			{	/* Globalize/node.scm 335 */
																				obj_t BgL_classz00_3642;

																				BgL_classz00_3642 =
																					BGl_boxzd2setz12zc0zzast_nodez00;
																				BgL_arg1896z00_3641 =
																					BGL_CLASS_NUM(BgL_classz00_3642);
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1161z00_3640),
																				BgL_arg1896z00_3641);
																		}
																		{	/* Globalize/node.scm 335 */
																			BgL_objectz00_bglt BgL_tmpz00_5153;

																			BgL_tmpz00_5153 =
																				((BgL_objectz00_bglt)
																				BgL_new1161z00_3640);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5153,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1161z00_3640);
																		BgL_new1162z00_3639 = BgL_new1161z00_3640;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1162z00_3639)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_3625), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1162z00_3639)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2unspecza2z00zztype_cachez00)),
																		BUNSPEC);
																	((((BgL_boxzd2setz12zc0_bglt)
																				COBJECT(BgL_new1162z00_3639))->
																			BgL_varz00) =
																		((BgL_varz00_bglt) (((BgL_setqz00_bglt)
																					COBJECT(((BgL_setqz00_bglt)
																							BgL_nodez00_3468)))->BgL_varz00)),
																		BUNSPEC);
																	{
																		BgL_nodez00_bglt BgL_auxz00_5165;

																		{	/* Globalize/node.scm 339 */
																			BgL_refz00_bglt BgL_new1164z00_3643;

																			{	/* Globalize/node.scm 340 */
																				BgL_refz00_bglt BgL_new1163z00_3644;

																				BgL_new1163z00_3644 =
																					((BgL_refz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_refz00_bgl))));
																				{	/* Globalize/node.scm 340 */
																					long BgL_arg1895z00_3645;

																					{	/* Globalize/node.scm 340 */
																						obj_t BgL_classz00_3646;

																						BgL_classz00_3646 =
																							BGl_refz00zzast_nodez00;
																						BgL_arg1895z00_3645 =
																							BGL_CLASS_NUM(BgL_classz00_3646);
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1163z00_3644),
																						BgL_arg1895z00_3645);
																				}
																				{	/* Globalize/node.scm 340 */
																					BgL_objectz00_bglt BgL_tmpz00_5170;

																					BgL_tmpz00_5170 =
																						((BgL_objectz00_bglt)
																						BgL_new1163z00_3644);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_5170, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1163z00_3644);
																				BgL_new1164z00_3643 =
																					BgL_new1163z00_3644;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1164z00_3643)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_3625), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1164z00_3643)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((
																							(BgL_variablez00_bglt)
																							COBJECT(((BgL_variablez00_bglt)
																									BgL_azd2varzd2_3624)))->
																						BgL_typez00)), BUNSPEC);
																			((((BgL_varz00_bglt)
																						COBJECT(((BgL_varz00_bglt)
																								BgL_new1164z00_3643)))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_azd2varzd2_3624)), BUNSPEC);
																			BgL_auxz00_5165 =
																				((BgL_nodez00_bglt)
																				BgL_new1164z00_3643);
																		}
																		((((BgL_boxzd2setz12zc0_bglt)
																					COBJECT(BgL_new1162z00_3639))->
																				BgL_valuez00) =
																			((BgL_nodez00_bglt) BgL_auxz00_5165),
																			BUNSPEC);
																	}
																	((((BgL_boxzd2setz12zc0_bglt)
																				COBJECT(BgL_new1162z00_3639))->
																			BgL_vtypez00) =
																		((BgL_typez00_bglt)
																			BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																			(BgL_vtypez00_3588)), BUNSPEC);
																	BgL_auxz00_5148 =
																		((BgL_nodez00_bglt) BgL_new1162z00_3639);
																}
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1160z00_3633))->
																		BgL_bodyz00) =
																	((BgL_nodez00_bglt) BgL_auxz00_5148),
																	BUNSPEC);
															}
															((((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_new1160z00_3633))->
																	BgL_removablezf3zf3) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
															return ((BgL_nodez00_bglt) BgL_new1160z00_3633);
														}
													}
												else
													{	/* Globalize/node.scm 322 */
														return
															((BgL_nodez00_bglt)
															((BgL_setqz00_bglt) BgL_nodez00_3468));
													}
											}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &glo!-cast1386 */
	BgL_nodez00_bglt BGl_z62gloz12zd2cast1386za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3470, obj_t BgL_nodez00_3471, obj_t BgL_integratorz00_3472)
	{
		{	/* Globalize/node.scm 302 */
			{	/* Globalize/node.scm 304 */
				BgL_nodez00_bglt BgL_arg1878z00_3648;

				BgL_arg1878z00_3648 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_3471)))->BgL_argz00);
				BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1878z00_3648,
					((BgL_variablez00_bglt) BgL_integratorz00_3472));
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_3471));
		}

	}



/* &glo!-extern1384 */
	BgL_nodez00_bglt BGl_z62gloz12zd2extern1384za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3473, obj_t BgL_nodez00_3474, obj_t BgL_integratorz00_3475)
	{
		{	/* Globalize/node.scm 294 */
			BGl_gloza2z12zb0zzglobaliza7e_nodeza7(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_3474)))->BgL_exprza2za2),
				BgL_integratorz00_3475);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_3474));
		}

	}



/* &glo!-funcall1382 */
	BgL_nodez00_bglt BGl_z62gloz12zd2funcall1382za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3476, obj_t BgL_nodez00_3477, obj_t BgL_integratorz00_3478)
	{
		{	/* Globalize/node.scm 285 */
			{
				BgL_nodez00_bglt BgL_auxz00_5205;

				{	/* Globalize/node.scm 287 */
					BgL_nodez00_bglt BgL_arg1872z00_3651;

					BgL_arg1872z00_3651 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3477)))->BgL_funz00);
					BgL_auxz00_5205 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1872z00_3651,
						((BgL_variablez00_bglt) BgL_integratorz00_3478));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3477)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5205), BUNSPEC);
			}
			BGl_gloza2z12zb0zzglobaliza7e_nodeza7(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_3477)))->BgL_argsz00),
				BgL_integratorz00_3478);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_3477));
		}

	}



/* &glo!-app-ly1380 */
	BgL_nodez00_bglt BGl_z62gloz12zd2appzd2ly1380z70zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3479, obj_t BgL_nodez00_3480, obj_t BgL_integratorz00_3481)
	{
		{	/* Globalize/node.scm 276 */
			{
				BgL_nodez00_bglt BgL_auxz00_5217;

				{	/* Globalize/node.scm 278 */
					BgL_nodez00_bglt BgL_arg1870z00_3653;

					BgL_arg1870z00_3653 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3480)))->BgL_funz00);
					BgL_auxz00_5217 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1870z00_3653,
						((BgL_variablez00_bglt) BgL_integratorz00_3481));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3480)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5217), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5224;

				{	/* Globalize/node.scm 279 */
					BgL_nodez00_bglt BgL_arg1871z00_3654;

					BgL_arg1871z00_3654 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3480)))->BgL_argz00);
					BgL_auxz00_5224 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1871z00_3654,
						((BgL_variablez00_bglt) BgL_integratorz00_3481));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3480)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5224), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3480));
		}

	}



/* &glo!-app1378 */
	BgL_nodez00_bglt BGl_z62gloz12zd2app1378za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3482, obj_t BgL_nodez00_3483, obj_t BgL_integratorz00_3484)
	{
		{	/* Globalize/node.scm 211 */
			{	/* Globalize/node.scm 213 */
				BgL_variablez00_bglt BgL_funz00_3656;

				BgL_funz00_3656 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3483)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Globalize/node.scm 213 */
					BgL_valuez00_bglt BgL_infoz00_3657;

					BgL_infoz00_3657 =
						(((BgL_variablez00_bglt) COBJECT(BgL_funz00_3656))->BgL_valuez00);
					{	/* Globalize/node.scm 214 */

						{	/* Globalize/node.scm 223 */
							bool_t BgL_test2187z00_5237;

							{	/* Globalize/node.scm 223 */
								bool_t BgL_test2188z00_5238;

								{	/* Globalize/node.scm 223 */
									obj_t BgL_classz00_3658;

									BgL_classz00_3658 = BGl_localz00zzast_varz00;
									{	/* Globalize/node.scm 223 */
										BgL_objectz00_bglt BgL_arg1825z00_3659;

										{	/* Globalize/node.scm 223 */
											obj_t BgL_tmpz00_5239;

											BgL_tmpz00_5239 =
												((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3656));
											BgL_arg1825z00_3659 =
												(BgL_objectz00_bglt) (BgL_tmpz00_5239);
										}
										{	/* Globalize/node.scm 223 */
											bool_t BgL_arg1822z00_3660;
											bool_t BgL_arg1823z00_3661;

											{	/* Globalize/node.scm 223 */
												long BgL_idxz00_3662;

												BgL_idxz00_3662 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3659);
												BgL_arg1822z00_3660 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3662 + ((long) 2))) ==
													BgL_classz00_3658);
											}
											{	/* Globalize/node.scm 223 */
												bool_t BgL_res2058z00_3665;

												{	/* Globalize/node.scm 223 */
													obj_t BgL_oclassz00_3666;

													{	/* Globalize/node.scm 223 */
														long BgL_arg1833z00_3667;

														{	/* Globalize/node.scm 223 */
															long BgL_arg1834z00_3668;

															BgL_arg1834z00_3668 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3659);
															BgL_arg1833z00_3667 =
																(BgL_arg1834z00_3668 - OBJECT_TYPE);
														}
														BgL_oclassz00_3666 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_3667);
													}
													{	/* Globalize/node.scm 223 */
														bool_t BgL__ortest_1110z00_3669;

														BgL__ortest_1110z00_3669 =
															(BgL_classz00_3658 == BgL_oclassz00_3666);
														if (BgL__ortest_1110z00_3669)
															{	/* Globalize/node.scm 223 */
																BgL_res2058z00_3665 = BgL__ortest_1110z00_3669;
															}
														else
															{	/* Globalize/node.scm 223 */
																long BgL_odepthz00_3670;

																BgL_odepthz00_3670 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3666);
																if ((((long) 2) < BgL_odepthz00_3670))
																	{	/* Globalize/node.scm 223 */
																		obj_t BgL_arg1821z00_3671;

																		BgL_arg1821z00_3671 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3666, ((long) 2));
																		BgL_res2058z00_3665 =
																			(BgL_arg1821z00_3671 ==
																			BgL_classz00_3658);
																	}
																else
																	{	/* Globalize/node.scm 223 */
																		BgL_res2058z00_3665 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_3661 = BgL_res2058z00_3665;
											}
											BgL_test2188z00_5238 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_3660,
												BgL_arg1823z00_3661);
										}
									}
								}
								if (BgL_test2188z00_5238)
									{	/* Globalize/node.scm 224 */
										bool_t BgL_test2191z00_5258;

										if ((((obj_t) BgL_funz00_3656) == BgL_integratorz00_3484))
											{	/* Globalize/node.scm 225 */
												bool_t BgL_test2193z00_5262;

												{
													BgL_localzf2ginfozf2_bglt BgL_auxz00_5263;

													{
														obj_t BgL_auxz00_5264;

														{	/* Globalize/node.scm 225 */
															BgL_objectz00_bglt BgL_tmpz00_5265;

															BgL_tmpz00_5265 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_funz00_3656));
															BgL_auxz00_5264 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5265);
														}
														BgL_auxz00_5263 =
															((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5264);
													}
													BgL_test2193z00_5262 =
														(((BgL_localzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_5263))->BgL_escapezf3zf3);
												}
												if (BgL_test2193z00_5262)
													{	/* Globalize/node.scm 225 */
														BgL_test2191z00_5258 = ((bool_t) 0);
													}
												else
													{	/* Globalize/node.scm 225 */
														BgL_test2191z00_5258 = ((bool_t) 1);
													}
											}
										else
											{	/* Globalize/node.scm 224 */
												BgL_test2191z00_5258 = ((bool_t) 1);
											}
										if (BgL_test2191z00_5258)
											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5271;

												{
													obj_t BgL_auxz00_5272;

													{	/* Globalize/node.scm 226 */
														BgL_objectz00_bglt BgL_tmpz00_5273;

														BgL_tmpz00_5273 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_infoz00_3657));
														BgL_auxz00_5272 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5273);
													}
													BgL_auxz00_5271 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5272);
												}
												BgL_test2187z00_5237 =
													(((BgL_sfunzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_5271))->BgL_gzf3zf3);
											}
										else
											{	/* Globalize/node.scm 224 */
												BgL_test2187z00_5237 = ((bool_t) 0);
											}
									}
								else
									{	/* Globalize/node.scm 223 */
										BgL_test2187z00_5237 = ((bool_t) 0);
									}
							}
							if (BgL_test2187z00_5237)
								{	/* Globalize/node.scm 228 */
									BgL_refz00_bglt BgL_arg1817z00_3672;

									{	/* Globalize/node.scm 228 */
										BgL_refz00_bglt BgL_new1139z00_3673;

										{	/* Globalize/node.scm 229 */
											BgL_refz00_bglt BgL_new1138z00_3674;

											BgL_new1138z00_3674 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Globalize/node.scm 229 */
												long BgL_arg1818z00_3675;

												BgL_arg1818z00_3675 =
													BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1138z00_3674),
													BgL_arg1818z00_3675);
											}
											{	/* Globalize/node.scm 229 */
												BgL_objectz00_bglt BgL_tmpz00_5283;

												BgL_tmpz00_5283 =
													((BgL_objectz00_bglt) BgL_new1138z00_3674);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5283, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1138z00_3674);
											BgL_new1139z00_3673 = BgL_new1138z00_3674;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1139z00_3673)))->
												BgL_locz00) =
											((obj_t) (((BgL_nodez00_bglt)
														COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																	BgL_nodez00_3483))))->BgL_locz00)), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1139z00_3673)))->BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_nodez00_bglt)
														COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																	BgL_nodez00_3483))))->BgL_typez00)), BUNSPEC);
										((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
															BgL_new1139z00_3673)))->BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(
														((BgL_localz00_bglt) BgL_funz00_3656)))), BUNSPEC);
										BgL_arg1817z00_3672 = BgL_new1139z00_3673;
									}
									((((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_3483)))->BgL_funz00) =
										((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1817z00_3672)),
										BUNSPEC);
								}
							else
								{	/* Globalize/node.scm 223 */
									BFALSE;
								}
						}
						{
							obj_t BgL_nodesz00_3677;

							BgL_nodesz00_3677 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3483)))->BgL_argsz00);
						BgL_liipz00_3676:
							if (NULLP(BgL_nodesz00_3677))
								{	/* Globalize/node.scm 235 */
									CNST_TABLE_REF(((long) 2));
								}
							else
								{	/* Globalize/node.scm 235 */
									{	/* Globalize/node.scm 238 */
										BgL_nodez00_bglt BgL_arg1837z00_3678;

										{	/* Globalize/node.scm 238 */
											obj_t BgL_arg1838z00_3679;

											BgL_arg1838z00_3679 = CAR(((obj_t) BgL_nodesz00_3677));
											BgL_arg1837z00_3678 =
												BGl_gloz12z12zzglobaliza7e_nodeza7(
												((BgL_nodez00_bglt) BgL_arg1838z00_3679),
												((BgL_variablez00_bglt) BgL_integratorz00_3484));
										}
										{	/* Globalize/node.scm 238 */
											obj_t BgL_auxz00_5315;
											obj_t BgL_tmpz00_5313;

											BgL_auxz00_5315 = ((obj_t) BgL_arg1837z00_3678);
											BgL_tmpz00_5313 = ((obj_t) BgL_nodesz00_3677);
											SET_CAR(BgL_tmpz00_5313, BgL_auxz00_5315);
										}
									}
									{	/* Globalize/node.scm 239 */
										obj_t BgL_arg1839z00_3680;

										BgL_arg1839z00_3680 = CDR(((obj_t) BgL_nodesz00_3677));
										{
											obj_t BgL_nodesz00_5320;

											BgL_nodesz00_5320 = BgL_arg1839z00_3680;
											BgL_nodesz00_3677 = BgL_nodesz00_5320;
											goto BgL_liipz00_3676;
										}
									}
								}
						}
						{	/* Globalize/node.scm 241 */
							bool_t BgL_test2195z00_5323;

							{	/* Globalize/node.scm 241 */
								bool_t BgL_test2196z00_5324;

								{	/* Globalize/node.scm 241 */
									obj_t BgL_classz00_3681;

									BgL_classz00_3681 = BGl_globalz00zzast_varz00;
									{	/* Globalize/node.scm 241 */
										BgL_objectz00_bglt BgL_arg1825z00_3682;

										{	/* Globalize/node.scm 241 */
											obj_t BgL_tmpz00_5325;

											BgL_tmpz00_5325 =
												((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3656));
											BgL_arg1825z00_3682 =
												(BgL_objectz00_bglt) (BgL_tmpz00_5325);
										}
										{	/* Globalize/node.scm 241 */
											bool_t BgL_arg1822z00_3683;
											bool_t BgL_arg1823z00_3684;

											{	/* Globalize/node.scm 241 */
												long BgL_idxz00_3685;

												BgL_idxz00_3685 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3682);
												BgL_arg1822z00_3683 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3685 + ((long) 2))) ==
													BgL_classz00_3681);
											}
											{	/* Globalize/node.scm 241 */
												bool_t BgL_res2059z00_3688;

												{	/* Globalize/node.scm 241 */
													obj_t BgL_oclassz00_3689;

													{	/* Globalize/node.scm 241 */
														long BgL_arg1833z00_3690;

														{	/* Globalize/node.scm 241 */
															long BgL_arg1834z00_3691;

															BgL_arg1834z00_3691 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3682);
															BgL_arg1833z00_3690 =
																(BgL_arg1834z00_3691 - OBJECT_TYPE);
														}
														BgL_oclassz00_3689 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_3690);
													}
													{	/* Globalize/node.scm 241 */
														bool_t BgL__ortest_1110z00_3692;

														BgL__ortest_1110z00_3692 =
															(BgL_classz00_3681 == BgL_oclassz00_3689);
														if (BgL__ortest_1110z00_3692)
															{	/* Globalize/node.scm 241 */
																BgL_res2059z00_3688 = BgL__ortest_1110z00_3692;
															}
														else
															{	/* Globalize/node.scm 241 */
																long BgL_odepthz00_3693;

																BgL_odepthz00_3693 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3689);
																if ((((long) 2) < BgL_odepthz00_3693))
																	{	/* Globalize/node.scm 241 */
																		obj_t BgL_arg1821z00_3694;

																		BgL_arg1821z00_3694 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3689, ((long) 2));
																		BgL_res2059z00_3688 =
																			(BgL_arg1821z00_3694 ==
																			BgL_classz00_3681);
																	}
																else
																	{	/* Globalize/node.scm 241 */
																		BgL_res2059z00_3688 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_3684 = BgL_res2059z00_3688;
											}
											BgL_test2196z00_5324 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_3683,
												BgL_arg1823z00_3684);
										}
									}
								}
								if (BgL_test2196z00_5324)
									{	/* Globalize/node.scm 241 */
										BgL_test2195z00_5323 = ((bool_t) 1);
									}
								else
									{	/* Globalize/node.scm 242 */
										bool_t BgL_test2199z00_5344;

										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5345;

											{
												obj_t BgL_auxz00_5346;

												{	/* Globalize/node.scm 242 */
													BgL_objectz00_bglt BgL_tmpz00_5347;

													BgL_tmpz00_5347 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_infoz00_3657));
													BgL_auxz00_5346 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5347);
												}
												BgL_auxz00_5345 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5346);
											}
											BgL_test2199z00_5344 =
												(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5345))->
												BgL_gzf3zf3);
										}
										if (BgL_test2199z00_5344)
											{	/* Globalize/node.scm 242 */
												if (
													(((obj_t) BgL_funz00_3656) == BgL_integratorz00_3484))
													{
														BgL_localzf2ginfozf2_bglt BgL_auxz00_5356;

														{
															obj_t BgL_auxz00_5357;

															{	/* Globalize/node.scm 244 */
																BgL_objectz00_bglt BgL_tmpz00_5358;

																BgL_tmpz00_5358 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt) BgL_funz00_3656));
																BgL_auxz00_5357 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5358);
															}
															BgL_auxz00_5356 =
																((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5357);
														}
														BgL_test2195z00_5323 =
															(((BgL_localzf2ginfozf2_bglt)
																COBJECT(BgL_auxz00_5356))->BgL_escapezf3zf3);
													}
												else
													{	/* Globalize/node.scm 243 */
														BgL_test2195z00_5323 = ((bool_t) 0);
													}
											}
										else
											{	/* Globalize/node.scm 242 */
												BgL_test2195z00_5323 = ((bool_t) 1);
											}
									}
							}
							if (BgL_test2195z00_5323)
								{	/* Globalize/node.scm 241 */
									CNST_TABLE_REF(((long) 2));
								}
							else
								{	/* Globalize/node.scm 246 */
									bool_t BgL_test2201z00_5365;

									{
										BgL_localzf2ginfozf2_bglt BgL_auxz00_5366;

										{
											obj_t BgL_auxz00_5367;

											{	/* Globalize/node.scm 246 */
												BgL_objectz00_bglt BgL_tmpz00_5368;

												BgL_tmpz00_5368 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt) BgL_funz00_3656));
												BgL_auxz00_5367 = BGL_OBJECT_WIDENING(BgL_tmpz00_5368);
											}
											BgL_auxz00_5366 =
												((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5367);
										}
										BgL_test2201z00_5365 =
											(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5366))->
											BgL_escapezf3zf3);
									}
									if (BgL_test2201z00_5365)
										{
											obj_t BgL_auxz00_5374;

											{	/* Globalize/node.scm 249 */
												BgL_nodez00_bglt BgL_arg1848z00_3695;
												obj_t BgL_arg1849z00_3696;

												{	/* Globalize/node.scm 249 */
													BgL_refz00_bglt BgL_arg1850z00_3697;

													{	/* Globalize/node.scm 249 */
														BgL_refz00_bglt BgL_new1142z00_3698;

														{	/* Globalize/node.scm 252 */
															BgL_refz00_bglt BgL_new1141z00_3699;

															BgL_new1141z00_3699 =
																((BgL_refz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_refz00_bgl))));
															{	/* Globalize/node.scm 252 */
																long BgL_arg1856z00_3700;

																{	/* Globalize/node.scm 252 */
																	obj_t BgL_classz00_3701;

																	BgL_classz00_3701 = BGl_refz00zzast_nodez00;
																	BgL_arg1856z00_3700 =
																		BGL_CLASS_NUM(BgL_classz00_3701);
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1141z00_3699),
																	BgL_arg1856z00_3700);
															}
															{	/* Globalize/node.scm 252 */
																BgL_objectz00_bglt BgL_tmpz00_5380;

																BgL_tmpz00_5380 =
																	((BgL_objectz00_bglt) BgL_new1141z00_3699);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5380,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1141z00_3699);
															BgL_new1142z00_3698 = BgL_new1141z00_3699;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1142z00_3698)))->
																BgL_locz00) =
															((obj_t) (((BgL_nodez00_bglt)
																		COBJECT(((BgL_nodez00_bglt) (
																					(BgL_appz00_bglt)
																					BgL_nodez00_3483))))->BgL_locz00)),
															BUNSPEC);
														{
															BgL_typez00_bglt BgL_auxz00_5389;

															{	/* Globalize/node.scm 251 */
																obj_t BgL_arg1852z00_3702;

																{	/* Globalize/node.scm 251 */
																	obj_t BgL_arg1854z00_3703;

																	BgL_arg1854z00_3703 =
																		(((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					((BgL_appz00_bglt)
																						BgL_nodez00_3483))))->BgL_locz00);
																	BgL_arg1852z00_3702 =
																		BGl_thezd2closurezd2zzglobaliza7e_freeza7
																		(BgL_funz00_3656, BgL_arg1854z00_3703);
																}
																BgL_auxz00_5389 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_arg1852z00_3702)))->BgL_typez00);
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1142z00_3698)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_auxz00_5389), BUNSPEC);
														}
														{
															BgL_variablez00_bglt BgL_auxz00_5398;

															{	/* Globalize/node.scm 252 */
																obj_t BgL_arg1855z00_3704;

																BgL_arg1855z00_3704 =
																	(((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				((BgL_appz00_bglt)
																					BgL_nodez00_3483))))->BgL_locz00);
																BgL_auxz00_5398 =
																	((BgL_variablez00_bglt)
																	BGl_thezd2closurezd2zzglobaliza7e_freeza7
																	(BgL_funz00_3656, BgL_arg1855z00_3704));
															}
															((((BgL_varz00_bglt) COBJECT(
																			((BgL_varz00_bglt)
																				BgL_new1142z00_3698)))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) BgL_auxz00_5398),
																BUNSPEC);
														}
														BgL_arg1850z00_3697 = BgL_new1142z00_3698;
													}
													BgL_arg1848z00_3695 =
														BGl_gloz12z12zzglobaliza7e_nodeza7(
														((BgL_nodez00_bglt) BgL_arg1850z00_3697),
														((BgL_variablez00_bglt) BgL_integratorz00_3484));
												}
												BgL_arg1849z00_3696 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_3483)))->
													BgL_argsz00);
												BgL_auxz00_5374 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1848z00_3695),
													BgL_arg1849z00_3696);
											}
											((((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_3483)))->
													BgL_argsz00) = ((obj_t) BgL_auxz00_5374), BUNSPEC);
										}
									else
										{	/* Globalize/node.scm 258 */
											obj_t BgL_g1143z00_3705;

											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5414;

												{
													obj_t BgL_auxz00_5415;

													{	/* Globalize/node.scm 259 */
														BgL_objectz00_bglt BgL_tmpz00_5416;

														BgL_tmpz00_5416 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_infoz00_3657));
														BgL_auxz00_5415 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5416);
													}
													BgL_auxz00_5414 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5415);
												}
												BgL_g1143z00_3705 =
													(((BgL_sfunzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_5414))->BgL_kapturedz00);
											}
											{
												obj_t BgL_newzd2actualszd2_3707;
												obj_t BgL_kapturedz00_3708;

												BgL_newzd2actualszd2_3707 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_3483)))->
													BgL_argsz00);
												BgL_kapturedz00_3708 = BgL_g1143z00_3705;
											BgL_loopz00_3706:
												if (NULLP(BgL_kapturedz00_3708))
													{	/* Globalize/node.scm 260 */
														((((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_3483)))->
																BgL_argsz00) =
															((obj_t) BgL_newzd2actualszd2_3707), BUNSPEC);
													}
												else
													{	/* Globalize/node.scm 262 */
														obj_t BgL_kapz00_3709;

														BgL_kapz00_3709 =
															CAR(((obj_t) BgL_kapturedz00_3708));
														{	/* Globalize/node.scm 262 */
															obj_t BgL_alphaz00_3710;

															BgL_alphaz00_3710 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_kapz00_3709))))->
																BgL_fastzd2alphazd2);
															{	/* Globalize/node.scm 263 */
																obj_t BgL_varz00_3711;

																{	/* Globalize/node.scm 264 */
																	bool_t BgL_test2203z00_5431;

																	{	/* Globalize/node.scm 264 */
																		obj_t BgL_classz00_3712;

																		BgL_classz00_3712 =
																			BGl_localz00zzast_varz00;
																		if (BGL_OBJECTP(BgL_alphaz00_3710))
																			{	/* Globalize/node.scm 264 */
																				BgL_objectz00_bglt BgL_arg1825z00_3713;

																				BgL_arg1825z00_3713 =
																					(BgL_objectz00_bglt)
																					(BgL_alphaz00_3710);
																				{	/* Globalize/node.scm 264 */
																					bool_t BgL_arg1822z00_3714;
																					bool_t BgL_arg1823z00_3715;

																					{	/* Globalize/node.scm 264 */
																						long BgL_idxz00_3716;

																						BgL_idxz00_3716 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1825z00_3713);
																						BgL_arg1822z00_3714 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_3716 +
																									((long) 2))) ==
																							BgL_classz00_3712);
																					}
																					{	/* Globalize/node.scm 264 */
																						bool_t BgL_res2060z00_3719;

																						{	/* Globalize/node.scm 264 */
																							obj_t BgL_oclassz00_3720;

																							{	/* Globalize/node.scm 264 */
																								long BgL_arg1833z00_3721;

																								{	/* Globalize/node.scm 264 */
																									long BgL_arg1834z00_3722;

																									BgL_arg1834z00_3722 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1825z00_3713);
																									BgL_arg1833z00_3721 =
																										(BgL_arg1834z00_3722 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_3720 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1833z00_3721);
																							}
																							{	/* Globalize/node.scm 264 */
																								bool_t BgL__ortest_1110z00_3723;

																								BgL__ortest_1110z00_3723 =
																									(BgL_classz00_3712 ==
																									BgL_oclassz00_3720);
																								if (BgL__ortest_1110z00_3723)
																									{	/* Globalize/node.scm 264 */
																										BgL_res2060z00_3719 =
																											BgL__ortest_1110z00_3723;
																									}
																								else
																									{	/* Globalize/node.scm 264 */
																										long BgL_odepthz00_3724;

																										BgL_odepthz00_3724 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_3720);
																										if ((((long) 2) <
																												BgL_odepthz00_3724))
																											{	/* Globalize/node.scm 264 */
																												obj_t
																													BgL_arg1821z00_3725;
																												BgL_arg1821z00_3725 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_3720,
																													((long) 2));
																												BgL_res2060z00_3719 =
																													(BgL_arg1821z00_3725
																													== BgL_classz00_3712);
																											}
																										else
																											{	/* Globalize/node.scm 264 */
																												BgL_res2060z00_3719 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_arg1823z00_3715 =
																							BgL_res2060z00_3719;
																					}
																					BgL_test2203z00_5431 =
																						BGL_ISA_C_BACKEND
																						(BgL_arg1822z00_3714,
																						BgL_arg1823z00_3715);
																				}
																			}
																		else
																			{	/* Globalize/node.scm 264 */
																				BgL_test2203z00_5431 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2203z00_5431)
																		{	/* Globalize/node.scm 264 */
																			BgL_varz00_3711 = BgL_alphaz00_3710;
																		}
																	else
																		{	/* Globalize/node.scm 264 */
																			BgL_varz00_3711 = BgL_kapz00_3709;
																		}
																}
																{	/* Globalize/node.scm 264 */

																	{	/* Globalize/node.scm 265 */
																		obj_t BgL_arg1862z00_3726;
																		obj_t BgL_arg1863z00_3727;

																		{	/* Globalize/node.scm 265 */
																			BgL_refz00_bglt BgL_arg1865z00_3728;

																			{	/* Globalize/node.scm 265 */
																				BgL_refz00_bglt BgL_new1145z00_3729;

																				{	/* Globalize/node.scm 268 */
																					BgL_refz00_bglt BgL_new1144z00_3730;

																					BgL_new1144z00_3730 =
																						((BgL_refz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_refz00_bgl))));
																					{	/* Globalize/node.scm 268 */
																						long BgL_arg1867z00_3731;

																						BgL_arg1867z00_3731 =
																							BGL_CLASS_NUM
																							(BGl_refz00zzast_nodez00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1144z00_3730),
																							BgL_arg1867z00_3731);
																					}
																					{	/* Globalize/node.scm 268 */
																						BgL_objectz00_bglt BgL_tmpz00_5454;

																						BgL_tmpz00_5454 =
																							((BgL_objectz00_bglt)
																							BgL_new1144z00_3730);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_5454, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1144z00_3730);
																					BgL_new1145z00_3729 =
																						BgL_new1144z00_3730;
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1145z00_3729)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_nodez00_bglt)
																								COBJECT(((BgL_nodez00_bglt) (
																											(BgL_appz00_bglt)
																											BgL_nodez00_3483))))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_new1145z00_3729)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) ((
																								(BgL_variablez00_bglt)
																								COBJECT(((BgL_variablez00_bglt)
																										BgL_varz00_3711)))->
																							BgL_typez00)), BUNSPEC);
																				((((BgL_varz00_bglt)
																							COBJECT(((BgL_varz00_bglt)
																									BgL_new1145z00_3729)))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt) (
																							(BgL_variablez00_bglt)
																							BgL_varz00_3711)), BUNSPEC);
																				BgL_arg1865z00_3728 =
																					BgL_new1145z00_3729;
																			}
																			BgL_arg1862z00_3726 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_arg1865z00_3728),
																				BgL_newzd2actualszd2_3707);
																		}
																		BgL_arg1863z00_3727 =
																			CDR(((obj_t) BgL_kapturedz00_3708));
																		{
																			obj_t BgL_kapturedz00_5475;
																			obj_t BgL_newzd2actualszd2_5474;

																			BgL_newzd2actualszd2_5474 =
																				BgL_arg1862z00_3726;
																			BgL_kapturedz00_5475 =
																				BgL_arg1863z00_3727;
																			BgL_kapturedz00_3708 =
																				BgL_kapturedz00_5475;
																			BgL_newzd2actualszd2_3707 =
																				BgL_newzd2actualszd2_5474;
																			goto BgL_loopz00_3706;
																		}
																	}
																}
															}
														}
													}
											}
										}
								}
						}
						return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3483));
					}
				}
			}
		}

	}



/* &glo!-sync1376 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sync1376za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3485, obj_t BgL_nodez00_3486, obj_t BgL_integratorz00_3487)
	{
		{	/* Globalize/node.scm 201 */
			{
				BgL_nodez00_bglt BgL_auxz00_5480;

				{	/* Globalize/node.scm 203 */
					BgL_nodez00_bglt BgL_arg1808z00_3733;

					BgL_arg1808z00_3733 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3486)))->BgL_mutexz00);
					BgL_auxz00_5480 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1808z00_3733,
						((BgL_variablez00_bglt) BgL_integratorz00_3487));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3486)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5480), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5487;

				{	/* Globalize/node.scm 204 */
					BgL_nodez00_bglt BgL_arg1810z00_3734;

					BgL_arg1810z00_3734 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3486)))->BgL_prelockz00);
					BgL_auxz00_5487 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1810z00_3734,
						((BgL_variablez00_bglt) BgL_integratorz00_3487));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3486)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5487), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5494;

				{	/* Globalize/node.scm 205 */
					BgL_nodez00_bglt BgL_arg1811z00_3735;

					BgL_arg1811z00_3735 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3486)))->BgL_bodyz00);
					BgL_auxz00_5494 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1811z00_3735,
						((BgL_variablez00_bglt) BgL_integratorz00_3487));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3486)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5494), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_3486));
		}

	}



/* &glo!-sequence1374 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sequence1374za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3488, obj_t BgL_nodez00_3489, obj_t BgL_integratorz00_3490)
	{
		{	/* Globalize/node.scm 193 */
			BGl_gloza2z12zb0zzglobaliza7e_nodeza7(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_3489)))->BgL_nodesz00),
				BgL_integratorz00_3490);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_3489));
		}

	}



/* &glo!-closure1372 */
	BgL_nodez00_bglt BGl_z62gloz12zd2closure1372za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3491, obj_t BgL_nodez00_3492, obj_t BgL_integratorz00_3493)
	{
		{	/* Globalize/node.scm 182 */
			{	/* Globalize/node.scm 184 */
				BgL_refz00_bglt BgL_arg1789z00_3738;

				{	/* Globalize/node.scm 184 */
					BgL_refz00_bglt BgL_new1134z00_3739;

					{	/* Globalize/node.scm 185 */
						BgL_refz00_bglt BgL_new1132z00_3740;

						BgL_new1132z00_3740 =
							((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_refz00_bgl))));
						{	/* Globalize/node.scm 185 */
							long BgL_arg1805z00_3741;

							BgL_arg1805z00_3741 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1132z00_3740),
								BgL_arg1805z00_3741);
						}
						{	/* Globalize/node.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_5512;

							BgL_tmpz00_5512 = ((BgL_objectz00_bglt) BgL_new1132z00_3740);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5512, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1132z00_3740);
						BgL_new1134z00_3739 = BgL_new1132z00_3740;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1134z00_3739)))->BgL_locz00) =
						((obj_t) (((BgL_nodez00_bglt)
									COBJECT(((BgL_nodez00_bglt) ((BgL_closurez00_bglt)
												BgL_nodez00_3492))))->BgL_locz00)), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1134z00_3739)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2procedureza2z00zztype_cachez00)), BUNSPEC);
					{
						BgL_variablez00_bglt BgL_auxz00_5524;

						{	/* Globalize/node.scm 187 */
							BgL_variablez00_bglt BgL_arg1799z00_3742;
							obj_t BgL_arg1801z00_3743;

							BgL_arg1799z00_3742 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt)
											((BgL_closurez00_bglt) BgL_nodez00_3492))))->
								BgL_variablez00);
							BgL_arg1801z00_3743 =
								(((BgL_nodez00_bglt)
									COBJECT(((BgL_nodez00_bglt) ((BgL_closurez00_bglt)
												BgL_nodez00_3492))))->BgL_locz00);
							BgL_auxz00_5524 =
								((BgL_variablez00_bglt)
								BGl_thezd2closurezd2zzglobaliza7e_freeza7(BgL_arg1799z00_3742,
									BgL_arg1801z00_3743));
						}
						((((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_new1134z00_3739)))->
								BgL_variablez00) =
							((BgL_variablez00_bglt) BgL_auxz00_5524), BUNSPEC);
					}
					BgL_arg1789z00_3738 = BgL_new1134z00_3739;
				}
				return
					BGl_gloz12z12zzglobaliza7e_nodeza7(
					((BgL_nodez00_bglt) BgL_arg1789z00_3738),
					((BgL_variablez00_bglt) BgL_integratorz00_3493));
			}
		}

	}



/* &glo!-var1369 */
	BgL_nodez00_bglt BGl_z62gloz12zd2var1369za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3494, obj_t BgL_nodez00_3495, obj_t BgL_integratorz00_3496)
	{
		{	/* Globalize/node.scm 151 */
			{	/* Globalize/node.scm 152 */
				BgL_variablez00_bglt BgL_variablez00_3745;

				BgL_variablez00_3745 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_3495)))->BgL_variablez00);
				{	/* Globalize/node.scm 152 */
					BgL_typez00_bglt BgL_vtypez00_3746;

					BgL_vtypez00_3746 =
						(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_3745))->
						BgL_typez00);
					{	/* Globalize/node.scm 153 */

						{
							obj_t BgL_variablez00_3748;

							BgL_variablez00_3748 = ((obj_t) BgL_variablez00_3745);
						BgL_loopz00_3747:
							{	/* Globalize/node.scm 155 */
								obj_t BgL_alphaz00_3749;

								BgL_alphaz00_3749 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_variablez00_3748)))->
									BgL_fastzd2alphazd2);
								{	/* Globalize/node.scm 157 */
									bool_t BgL_test2207z00_5543;

									{	/* Globalize/node.scm 157 */
										obj_t BgL_classz00_3750;

										BgL_classz00_3750 = BGl_localz00zzast_varz00;
										if (BGL_OBJECTP(BgL_alphaz00_3749))
											{	/* Globalize/node.scm 157 */
												BgL_objectz00_bglt BgL_arg1825z00_3751;

												BgL_arg1825z00_3751 =
													(BgL_objectz00_bglt) (BgL_alphaz00_3749);
												{	/* Globalize/node.scm 157 */
													bool_t BgL_arg1822z00_3752;
													bool_t BgL_arg1823z00_3753;

													{	/* Globalize/node.scm 157 */
														long BgL_idxz00_3754;

														BgL_idxz00_3754 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3751);
														BgL_arg1822z00_3752 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3754 + ((long) 2))) ==
															BgL_classz00_3750);
													}
													{	/* Globalize/node.scm 157 */
														bool_t BgL_res2056z00_3757;

														{	/* Globalize/node.scm 157 */
															obj_t BgL_oclassz00_3758;

															{	/* Globalize/node.scm 157 */
																long BgL_arg1833z00_3759;

																{	/* Globalize/node.scm 157 */
																	long BgL_arg1834z00_3760;

																	BgL_arg1834z00_3760 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3751);
																	BgL_arg1833z00_3759 =
																		(BgL_arg1834z00_3760 - OBJECT_TYPE);
																}
																BgL_oclassz00_3758 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3759);
															}
															{	/* Globalize/node.scm 157 */
																bool_t BgL__ortest_1110z00_3761;

																BgL__ortest_1110z00_3761 =
																	(BgL_classz00_3750 == BgL_oclassz00_3758);
																if (BgL__ortest_1110z00_3761)
																	{	/* Globalize/node.scm 157 */
																		BgL_res2056z00_3757 =
																			BgL__ortest_1110z00_3761;
																	}
																else
																	{	/* Globalize/node.scm 157 */
																		long BgL_odepthz00_3762;

																		BgL_odepthz00_3762 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3758);
																		if ((((long) 2) < BgL_odepthz00_3762))
																			{	/* Globalize/node.scm 157 */
																				obj_t BgL_arg1821z00_3763;

																				BgL_arg1821z00_3763 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3758, ((long) 2));
																				BgL_res2056z00_3757 =
																					(BgL_arg1821z00_3763 ==
																					BgL_classz00_3750);
																			}
																		else
																			{	/* Globalize/node.scm 157 */
																				BgL_res2056z00_3757 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3753 = BgL_res2056z00_3757;
													}
													BgL_test2207z00_5543 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3752,
														BgL_arg1823z00_3753);
												}
											}
										else
											{	/* Globalize/node.scm 157 */
												BgL_test2207z00_5543 = ((bool_t) 0);
											}
									}
									if (BgL_test2207z00_5543)
										{	/* Globalize/node.scm 157 */
											((((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_3495)))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_alphaz00_3749)), BUNSPEC);
											{	/* Globalize/node.scm 159 */
												BgL_typez00_bglt BgL_arg1781z00_3764;

												BgL_arg1781z00_3764 =
													BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
													(BgL_vtypez00_3746);
												((((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
																		BgL_nodez00_3495))))->BgL_typez00) =
													((BgL_typez00_bglt) BgL_arg1781z00_3764), BUNSPEC);
											}
											{
												obj_t BgL_variablez00_5569;

												BgL_variablez00_5569 = BgL_alphaz00_3749;
												BgL_variablez00_3748 = BgL_variablez00_5569;
												goto BgL_loopz00_3747;
											}
										}
									else
										{	/* Globalize/node.scm 161 */
											bool_t BgL_test2211z00_5570;

											{	/* Globalize/node.scm 161 */
												obj_t BgL_classz00_3765;

												BgL_classz00_3765 = BGl_globalz00zzast_varz00;
												if (BGL_OBJECTP(BgL_variablez00_3748))
													{	/* Globalize/node.scm 161 */
														BgL_objectz00_bglt BgL_arg1825z00_3766;

														BgL_arg1825z00_3766 =
															(BgL_objectz00_bglt) (BgL_variablez00_3748);
														{	/* Globalize/node.scm 161 */
															bool_t BgL_arg1822z00_3767;
															bool_t BgL_arg1823z00_3768;

															{	/* Globalize/node.scm 161 */
																long BgL_idxz00_3769;

																BgL_idxz00_3769 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_3766);
																BgL_arg1822z00_3767 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3769 + ((long) 2))) ==
																	BgL_classz00_3765);
															}
															{	/* Globalize/node.scm 161 */
																bool_t BgL_res2057z00_3772;

																{	/* Globalize/node.scm 161 */
																	obj_t BgL_oclassz00_3773;

																	{	/* Globalize/node.scm 161 */
																		long BgL_arg1833z00_3774;

																		{	/* Globalize/node.scm 161 */
																			long BgL_arg1834z00_3775;

																			BgL_arg1834z00_3775 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_3766);
																			BgL_arg1833z00_3774 =
																				(BgL_arg1834z00_3775 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3773 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_3774);
																	}
																	{	/* Globalize/node.scm 161 */
																		bool_t BgL__ortest_1110z00_3776;

																		BgL__ortest_1110z00_3776 =
																			(BgL_classz00_3765 == BgL_oclassz00_3773);
																		if (BgL__ortest_1110z00_3776)
																			{	/* Globalize/node.scm 161 */
																				BgL_res2057z00_3772 =
																					BgL__ortest_1110z00_3776;
																			}
																		else
																			{	/* Globalize/node.scm 161 */
																				long BgL_odepthz00_3777;

																				BgL_odepthz00_3777 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_3773);
																				if ((((long) 2) < BgL_odepthz00_3777))
																					{	/* Globalize/node.scm 161 */
																						obj_t BgL_arg1821z00_3778;

																						BgL_arg1821z00_3778 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_3773, ((long) 2));
																						BgL_res2057z00_3772 =
																							(BgL_arg1821z00_3778 ==
																							BgL_classz00_3765);
																					}
																				else
																					{	/* Globalize/node.scm 161 */
																						BgL_res2057z00_3772 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_3768 = BgL_res2057z00_3772;
															}
															BgL_test2211z00_5570 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_3767,
																BgL_arg1823z00_3768);
														}
													}
												else
													{	/* Globalize/node.scm 161 */
														BgL_test2211z00_5570 = ((bool_t) 0);
													}
											}
											if (BgL_test2211z00_5570)
												{	/* Globalize/node.scm 161 */
													return
														((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_3495));
												}
											else
												{	/* Globalize/node.scm 161 */
													if (BGl_celledzf3zf3zzglobaliza7e_nodeza7(
															((BgL_variablez00_bglt) BgL_variablez00_3748)))
														{	/* Globalize/node.scm 165 */
															BgL_typez00_bglt BgL_vtypez00_3779;
															BgL_typez00_bglt BgL_ntypez00_3780;

															BgL_vtypez00_3779 =
																BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																(BgL_vtypez00_3746);
															{	/* Globalize/node.scm 166 */
																BgL_typez00_bglt BgL_arg1788z00_3781;

																BgL_arg1788z00_3781 =
																	(((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				((BgL_varz00_bglt)
																					BgL_nodez00_3495))))->BgL_typez00);
																BgL_ntypez00_3780 =
																	BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																	(BgL_arg1788z00_3781);
															}
															{	/* Globalize/node.scm 168 */
																BgL_typez00_bglt BgL_vz00_3782;

																BgL_vz00_3782 =
																	((BgL_typez00_bglt)
																	BGl_za2cellza2z00zztype_cachez00);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt) (
																						(BgL_varz00_bglt)
																						BgL_nodez00_3495))))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_3782), BUNSPEC);
															}
															{	/* Globalize/node.scm 169 */
																BgL_boxzd2refzd2_bglt BgL_new1130z00_3783;

																{	/* Globalize/node.scm 170 */
																	BgL_boxzd2refzd2_bglt BgL_new1129z00_3784;

																	BgL_new1129z00_3784 =
																		((BgL_boxzd2refzd2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_boxzd2refzd2_bgl))));
																	{	/* Globalize/node.scm 170 */
																		long BgL_arg1785z00_3785;

																		BgL_arg1785z00_3785 =
																			BGL_CLASS_NUM
																			(BGl_boxzd2refzd2zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1129z00_3784),
																			BgL_arg1785z00_3785);
																	}
																	{	/* Globalize/node.scm 170 */
																		BgL_objectz00_bglt BgL_tmpz00_5607;

																		BgL_tmpz00_5607 =
																			((BgL_objectz00_bglt)
																			BgL_new1129z00_3784);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5607,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1129z00_3784);
																	BgL_new1130z00_3783 = BgL_new1129z00_3784;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1130z00_3783)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt) (
																							(BgL_varz00_bglt)
																							BgL_nodez00_3495))))->
																			BgL_locz00)), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1130z00_3783)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_ntypez00_3780),
																	BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1130z00_3783)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1130z00_3783)))->BgL_keyz00) =
																	((obj_t) BINT(((long) -1))), BUNSPEC);
																((((BgL_boxzd2refzd2_bglt)
																			COBJECT(BgL_new1130z00_3783))->
																		BgL_varz00) =
																	((BgL_varz00_bglt) ((BgL_varz00_bglt)
																			BgL_nodez00_3495)), BUNSPEC);
																((((BgL_boxzd2refzd2_bglt)
																			COBJECT(BgL_new1130z00_3783))->
																		BgL_vtypez00) =
																	((BgL_typez00_bglt) BgL_vtypez00_3779),
																	BUNSPEC);
																return ((BgL_nodez00_bglt) BgL_new1130z00_3783);
															}
														}
													else
														{	/* Globalize/node.scm 163 */
															return
																((BgL_nodez00_bglt)
																((BgL_varz00_bglt) BgL_nodez00_3495));
														}
												}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &glo!-kwote1367 */
	BgL_nodez00_bglt BGl_z62gloz12zd2kwote1367za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3497, obj_t BgL_nodez00_3498, obj_t BgL_integratorz00_3499)
	{
		{	/* Globalize/node.scm 145 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_3498));
		}

	}



/* &glo!-atom1365 */
	BgL_nodez00_bglt BGl_z62gloz12zd2atom1365za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3500, obj_t BgL_nodez00_3501, obj_t BgL_integratorz00_3502)
	{
		{	/* Globalize/node.scm 139 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_3501));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_nodeza7()
	{
		{	/* Globalize/node.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2095z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2095z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2095z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2095z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2095z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2095z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2095z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string2095z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string2095z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2095z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2095z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(((long) 244215788),
				BSTRING_TO_STRING(BGl_string2095z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(((long)
					115338080),
				BSTRING_TO_STRING(BGl_string2095z00zzglobaliza7e_nodeza7));
			return BGl_modulezd2initializa7ationz75zztools_errorz00(((long)
					300504031),
				BSTRING_TO_STRING(BGl_string2095z00zzglobaliza7e_nodeza7));
		}

	}

#ifdef __cplusplus
}
#endif
