/*===========================================================================*/
/*   (Initflow/walk.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Initflow/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2iflowzf2_bgl
	{
	}                      *BgL_sfunzf2iflowzf2_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzinitflow_walkz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_sfunzf2iflowzf2zzinitflow_walkz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzinitflow_walkz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2letzd2va1365zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2letzd2fu1363zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinitflow_walkz00();
	static obj_t BGl_z62initflowzd2nodezd2var1335z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2node1332zb0zzinitflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzinitflow_walkz00();
	static obj_t BGl_z62initflowzd2walkz12za2zzinitflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2appzd2ly1343zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinitflow_walkz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2funcal1345z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2setzd2ex1367zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2app1341z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_initflowzd2funzd2zzinitflow_walkz00(BgL_variablez00_bglt,
		bool_t);
	static obj_t BGl_z62initflowzd2nodezb0zzinitflow_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_EXPORTED_DECL obj_t BGl_initflowzd2walkz12zc0zzinitflow_walkz00(obj_t);
	static obj_t BGl_lubz00zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2extern1347z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2switch1355z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62initflowzd2nodezd2condit1351z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2boxzd2re1359zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinitflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	extern obj_t BGl_getzd2classzd2typez00zztype_cachez00();
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2makezd2b1357zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinitflow_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00();
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinitflow_walkz00();
	static obj_t BGl_gczd2rootszd2initz00zzinitflow_walkz00();
	static obj_t BGl_z62initflowzd2nodezd2jumpzd2e1369zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_nodez00_bglt,
		bool_t);
	static obj_t BGl_z62initflowzd2nodezd2boxzd2se1361zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31726ze3ze5zzinitflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static BgL_sfunz00_bglt BGl_z62lambda1717z62zzinitflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_sfunz00_bglt BGl_z62lambda1724z62zzinitflow_walkz00(obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1727z62zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2setq1349z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2sync1339z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_initflowzd2nodeza2z70zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2sequen1337z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2fail1353z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STRING(BGl_string2040z00zzinitflow_walkz00,
		BgL_bgl_string2040za700za7za7i2081za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2046z00zzinitflow_walkz00,
		BgL_bgl_string2046za700za7za7i2082za7, "initflow-node1332", 17);
	      DEFINE_STRING(BGl_string2048z00zzinitflow_walkz00,
		BgL_bgl_string2048za700za7za7i2083za7, "initflow-node", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2041z00zzinitflow_walkz00,
		BgL_bgl_za762lambda1727za7622084z00, BGl_z62lambda1727z62zzinitflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2042z00zzinitflow_walkz00,
		BgL_bgl_za762za7c3za704anonymo2085za7,
		BGl_z62zc3z04anonymousza31726ze3ze5zzinitflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2043z00zzinitflow_walkz00,
		BgL_bgl_za762lambda1724za7622086z00, BGl_z62lambda1724z62zzinitflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2044z00zzinitflow_walkz00,
		BgL_bgl_za762lambda1717za7622087z00, BGl_z62lambda1717z62zzinitflow_walkz00,
		0L, BUNSPEC, 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2045z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2088z00,
		BGl_z62initflowzd2node1332zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2047z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2089z00,
		BGl_z62initflowzd2nodezd2var1335z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2049z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2090z00,
		BGl_z62initflowzd2nodezd2sequen1337z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2050z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2091z00,
		BGl_z62initflowzd2nodezd2sync1339z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2051z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2092z00,
		BGl_z62initflowzd2nodezd2app1341z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2052z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2093z00,
		BGl_z62initflowzd2nodezd2appzd2ly1343zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2053z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2094z00,
		BGl_z62initflowzd2nodezd2funcal1345z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2054z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2095z00,
		BGl_z62initflowzd2nodezd2extern1347z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2055z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2096z00,
		BGl_z62initflowzd2nodezd2setq1349z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2056z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2097z00,
		BGl_z62initflowzd2nodezd2condit1351z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2057z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2098z00,
		BGl_z62initflowzd2nodezd2fail1353z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2058z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2099z00,
		BGl_z62initflowzd2nodezd2switch1355z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2059z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2100z00,
		BGl_z62initflowzd2nodezd2makezd2b1357zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2066z00zzinitflow_walkz00,
		BgL_bgl_string2066za700za7za7i2101za7,
		"Typed global variable used before initialized", 45);
	      DEFINE_STRING(BGl_string2067z00zzinitflow_walkz00,
		BgL_bgl_string2067za700za7za7i2102za7, "initflow_walk", 13);
	      DEFINE_STRING(BGl_string2068z00zzinitflow_walkz00,
		BgL_bgl_string2068za700za7za7i2103za7,
		"no-init-flow _ initflow_walk sfun/iflow (object-init toplevel-init generic-init method-init) read pass-started ",
		111);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2060z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2104z00,
		BGl_z62initflowzd2nodezd2boxzd2re1359zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2061z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2105z00,
		BGl_z62initflowzd2nodezd2boxzd2se1361zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2062z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2106z00,
		BGl_z62initflowzd2nodezd2letzd2fu1363zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2063z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2107z00,
		BGl_z62initflowzd2nodezd2letzd2va1365zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2064z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2108z00,
		BGl_z62initflowzd2nodezd2setzd2ex1367zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2065z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2109z00,
		BGl_z62initflowzd2nodezd2jumpzd2e1369zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initflowzd2walkz12zd2envz12zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2wa2110z00,
		BGl_z62initflowzd2walkz12za2zzinitflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2111z00,
		BGl_z62initflowzd2nodezb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2032z00zzinitflow_walkz00,
		BgL_bgl_string2032za700za7za7i2112za7, "Initflow", 8);
	      DEFINE_STRING(BGl_string2033z00zzinitflow_walkz00,
		BgL_bgl_string2033za700za7za7i2113za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2034z00zzinitflow_walkz00,
		BgL_bgl_string2034za700za7za7i2114za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2035z00zzinitflow_walkz00,
		BgL_bgl_string2035za700za7za7i2115za7, "      uninitialized globals : ",
		30);
	      DEFINE_STRING(BGl_string2036z00zzinitflow_walkz00,
		BgL_bgl_string2036za700za7za7i2116za7, " error", 6);
	      DEFINE_STRING(BGl_string2037z00zzinitflow_walkz00,
		BgL_bgl_string2037za700za7za7i2117za7, "s", 1);
	      DEFINE_STRING(BGl_string2038z00zzinitflow_walkz00,
		BgL_bgl_string2038za700za7za7i2118za7, "", 0);
	      DEFINE_STRING(BGl_string2039z00zzinitflow_walkz00,
		BgL_bgl_string2039za700za7za7i2119za7, " occured, ending ...", 20);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinitflow_walkz00));
		     ADD_ROOT((void *) (&BGl_sfunzf2iflowzf2zzinitflow_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinitflow_walkz00(long
		BgL_checksumz00_3087, char *BgL_fromz00_3088)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinitflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzinitflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinitflow_walkz00();
					BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00();
					BGl_cnstzd2initzd2zzinitflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzinitflow_walkz00();
					BGl_objectzd2initzd2zzinitflow_walkz00();
					BGl_genericzd2initzd2zzinitflow_walkz00();
					BGl_methodzd2initzd2zzinitflow_walkz00();
					return BGl_toplevelzd2initzd2zzinitflow_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00()
	{
		{	/* Initflow/walk.scm 27 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"initflow_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinitflow_walkz00()
	{
		{	/* Initflow/walk.scm 27 */
			{	/* Initflow/walk.scm 27 */
				obj_t BgL_cportz00_2879;

				{	/* Initflow/walk.scm 27 */
					obj_t BgL_stringz00_2887;

					BgL_stringz00_2887 = BGl_string2068z00zzinitflow_walkz00;
					{	/* Initflow/walk.scm 27 */
						obj_t BgL_startz00_2888;

						BgL_startz00_2888 = BINT(((long) 0));
						{	/* Initflow/walk.scm 27 */
							obj_t BgL_endz00_2889;

							BgL_endz00_2889 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2887)));
							{	/* Initflow/walk.scm 27 */

								BgL_cportz00_2879 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2887, BgL_startz00_2888, BgL_endz00_2889);
				}}}}
				{
					long BgL_iz00_2880;

					BgL_iz00_2880 = ((long) 6);
				BgL_loopz00_2881:
					if ((BgL_iz00_2880 == ((long) -1)))
						{	/* Initflow/walk.scm 27 */
							return BUNSPEC;
						}
					else
						{	/* Initflow/walk.scm 27 */
							{	/* Initflow/walk.scm 27 */
								obj_t BgL_arg2071z00_2883;

								{	/* Initflow/walk.scm 27 */

									{	/* Initflow/walk.scm 27 */
										obj_t BgL_locationz00_2885;

										BgL_locationz00_2885 = BBOOL(((bool_t) 0));
										{	/* Initflow/walk.scm 27 */

											BgL_arg2071z00_2883 =
												BGl_readz00zz__readerz00(BgL_cportz00_2879,
												BgL_locationz00_2885);
										}
									}
								}
								{	/* Initflow/walk.scm 27 */
									int BgL_tmpz00_3121;

									BgL_tmpz00_3121 = (int) (BgL_iz00_2880);
									CNST_TABLE_SET(BgL_tmpz00_3121, BgL_arg2071z00_2883);
							}}
							{	/* Initflow/walk.scm 27 */
								int BgL_auxz00_2886;

								BgL_auxz00_2886 = (int) ((BgL_iz00_2880 - ((long) 1)));
								{
									long BgL_iz00_3126;

									BgL_iz00_3126 = (long) (BgL_auxz00_2886);
									BgL_iz00_2880 = BgL_iz00_3126;
									goto BgL_loopz00_2881;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinitflow_walkz00()
	{
		{	/* Initflow/walk.scm 27 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinitflow_walkz00()
	{
		{	/* Initflow/walk.scm 27 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzinitflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1475;

				BgL_headz00_1475 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1476;
					obj_t BgL_tailz00_1477;

					BgL_prevz00_1476 = BgL_headz00_1475;
					BgL_tailz00_1477 = BgL_l1z00_1;
				BgL_loopz00_1478:
					if (PAIRP(BgL_tailz00_1477))
						{
							obj_t BgL_newzd2prevzd2_1480;

							BgL_newzd2prevzd2_1480 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1477), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1476, BgL_newzd2prevzd2_1480);
							{
								obj_t BgL_tailz00_3136;
								obj_t BgL_prevz00_3135;

								BgL_prevz00_3135 = BgL_newzd2prevzd2_1480;
								BgL_tailz00_3136 = CDR(BgL_tailz00_1477);
								BgL_tailz00_1477 = BgL_tailz00_3136;
								BgL_prevz00_1476 = BgL_prevz00_3135;
								goto BgL_loopz00_1478;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1475);
				}
			}
		}

	}



/* initflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_initflowzd2walkz12zc0zzinitflow_walkz00(obj_t
		BgL_globalsz00_80)
	{
		{	/* Initflow/walk.scm 48 */
			{	/* Initflow/walk.scm 49 */
				obj_t BgL_list1384z00_1489;

				{	/* Initflow/walk.scm 49 */
					obj_t BgL_arg1385z00_1490;

					{	/* Initflow/walk.scm 49 */
						obj_t BgL_arg1386z00_1491;

						BgL_arg1386z00_1491 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1385z00_1490 =
							MAKE_YOUNG_PAIR(BGl_string2032z00zzinitflow_walkz00,
							BgL_arg1386z00_1491);
					}
					BgL_list1384z00_1489 =
						MAKE_YOUNG_PAIR(BGl_string2033z00zzinitflow_walkz00,
						BgL_arg1385z00_1490);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1384z00_1489);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2032z00zzinitflow_walkz00;
			{	/* Initflow/walk.scm 49 */
				obj_t BgL_g1143z00_1492;

				BgL_g1143z00_1492 = BNIL;
				{
					obj_t BgL_hooksz00_1495;
					obj_t BgL_hnamesz00_1496;

					BgL_hooksz00_1495 = BgL_g1143z00_1492;
					BgL_hnamesz00_1496 = BNIL;
				BgL_zc3z04anonymousza31387ze3z87_1497:
					if (NULLP(BgL_hooksz00_1495))
						{	/* Initflow/walk.scm 49 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Initflow/walk.scm 49 */
							bool_t BgL_test2124z00_3149;

							{	/* Initflow/walk.scm 49 */
								obj_t BgL_fun1417z00_1504;

								BgL_fun1417z00_1504 = CAR(((obj_t) BgL_hooksz00_1495));
								BgL_test2124z00_3149 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1417z00_1504)
									(BgL_fun1417z00_1504, BEOA));
							}
							if (BgL_test2124z00_3149)
								{	/* Initflow/walk.scm 49 */
									obj_t BgL_arg1400z00_1501;
									obj_t BgL_arg1401z00_1502;

									BgL_arg1400z00_1501 = CDR(((obj_t) BgL_hooksz00_1495));
									BgL_arg1401z00_1502 = CDR(((obj_t) BgL_hnamesz00_1496));
									{
										obj_t BgL_hnamesz00_3161;
										obj_t BgL_hooksz00_3160;

										BgL_hooksz00_3160 = BgL_arg1400z00_1501;
										BgL_hnamesz00_3161 = BgL_arg1401z00_1502;
										BgL_hnamesz00_1496 = BgL_hnamesz00_3161;
										BgL_hooksz00_1495 = BgL_hooksz00_3160;
										goto BgL_zc3z04anonymousza31387ze3z87_1497;
									}
								}
							else
								{	/* Initflow/walk.scm 49 */
									obj_t BgL_arg1415z00_1503;

									BgL_arg1415z00_1503 = CAR(((obj_t) BgL_hnamesz00_1496));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2032z00zzinitflow_walkz00,
										BGl_string2034z00zzinitflow_walkz00, BgL_arg1415z00_1503);
								}
						}
				}
			}
			{
				obj_t BgL_l1289z00_1508;

				BgL_l1289z00_1508 = BgL_globalsz00_80;
			BgL_zc3z04anonymousza31419ze3z87_1509:
				if (PAIRP(BgL_l1289z00_1508))
					{	/* Initflow/walk.scm 53 */
						{	/* Initflow/walk.scm 54 */
							obj_t BgL_gz00_1511;

							BgL_gz00_1511 = CAR(BgL_l1289z00_1508);
							if (
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_1511))))->
										BgL_accessz00) == CNST_TABLE_REF(((long) 1))))
								{	/* Initflow/walk.scm 55 */
									BgL_valuez00_bglt BgL_valuez00_1514;

									BgL_valuez00_1514 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_1511))))->
										BgL_valuez00);
									{	/* Initflow/walk.scm 56 */
										bool_t BgL_test2127z00_3177;

										{	/* Initflow/walk.scm 56 */
											obj_t BgL_classz00_2200;

											BgL_classz00_2200 = BGl_sfunz00zzast_varz00;
											{	/* Initflow/walk.scm 56 */
												BgL_objectz00_bglt BgL_arg1825z00_2202;

												{	/* Initflow/walk.scm 56 */
													obj_t BgL_tmpz00_3178;

													BgL_tmpz00_3178 =
														((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_1514));
													BgL_arg1825z00_2202 =
														(BgL_objectz00_bglt) (BgL_tmpz00_3178);
												}
												{	/* Initflow/walk.scm 56 */
													bool_t BgL_arg1822z00_2205;
													bool_t BgL_arg1823z00_2206;

													{	/* Initflow/walk.scm 56 */
														long BgL_idxz00_2209;

														BgL_idxz00_2209 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2202);
														BgL_arg1822z00_2205 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2209 + ((long) 3))) ==
															BgL_classz00_2200);
													}
													{	/* Initflow/walk.scm 56 */
														bool_t BgL_res2010z00_2231;

														{	/* Initflow/walk.scm 56 */
															obj_t BgL_oclassz00_2217;

															{	/* Initflow/walk.scm 56 */
																long BgL_arg1833z00_2223;

																{	/* Initflow/walk.scm 56 */
																	long BgL_arg1834z00_2224;

																	BgL_arg1834z00_2224 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2202);
																	BgL_arg1833z00_2223 =
																		(BgL_arg1834z00_2224 - OBJECT_TYPE);
																}
																BgL_oclassz00_2217 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2223);
															}
															{	/* Initflow/walk.scm 56 */
																bool_t BgL__ortest_1110z00_2218;

																BgL__ortest_1110z00_2218 =
																	(BgL_classz00_2200 == BgL_oclassz00_2217);
																if (BgL__ortest_1110z00_2218)
																	{	/* Initflow/walk.scm 56 */
																		BgL_res2010z00_2231 =
																			BgL__ortest_1110z00_2218;
																	}
																else
																	{	/* Initflow/walk.scm 56 */
																		long BgL_odepthz00_2219;

																		BgL_odepthz00_2219 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2217);
																		if ((((long) 3) < BgL_odepthz00_2219))
																			{	/* Initflow/walk.scm 56 */
																				obj_t BgL_arg1821z00_2221;

																				BgL_arg1821z00_2221 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2217, ((long) 3));
																				BgL_res2010z00_2231 =
																					(BgL_arg1821z00_2221 ==
																					BgL_classz00_2200);
																			}
																		else
																			{	/* Initflow/walk.scm 56 */
																				BgL_res2010z00_2231 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2206 = BgL_res2010z00_2231;
													}
													BgL_test2127z00_3177 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2205,
														BgL_arg1823z00_2206);
												}
											}
										}
										if (BgL_test2127z00_3177)
											{	/* Initflow/walk.scm 56 */
												((((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_gz00_1511)))->
														BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
											}
										else
											{	/* Initflow/walk.scm 56 */
												BFALSE;
											}
									}
								}
							else
								{	/* Initflow/walk.scm 54 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l1289z00_3199;

							BgL_l1289z00_3199 = CDR(BgL_l1289z00_1508);
							BgL_l1289z00_1508 = BgL_l1289z00_3199;
							goto BgL_zc3z04anonymousza31419ze3z87_1509;
						}
					}
				else
					{	/* Initflow/walk.scm 53 */
						((bool_t) 1);
					}
			}
			{	/* Initflow/walk.scm 60 */
				obj_t BgL_g1304z00_1519;

				BgL_g1304z00_1519 = CNST_TABLE_REF(((long) 2));
				{
					obj_t BgL_l1302z00_1521;

					BgL_l1302z00_1521 = BgL_g1304z00_1519;
				BgL_zc3z04anonymousza31457ze3z87_1522:
					if (PAIRP(BgL_l1302z00_1521))
						{	/* Initflow/walk.scm 72 */
							{	/* Initflow/walk.scm 61 */
								obj_t BgL_idz00_1524;

								BgL_idz00_1524 = CAR(BgL_l1302z00_1521);
								{	/* Initflow/walk.scm 61 */
									obj_t BgL_rootz00_1525;

									BgL_rootz00_1525 =
										BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1524,
										BGl_za2moduleza2z00zzmodule_modulez00);
									{	/* Initflow/walk.scm 62 */
										bool_t BgL_test2131z00_3206;

										{	/* Initflow/walk.scm 62 */
											obj_t BgL_classz00_2235;

											BgL_classz00_2235 = BGl_globalz00zzast_varz00;
											if (BGL_OBJECTP(BgL_rootz00_1525))
												{	/* Initflow/walk.scm 62 */
													BgL_objectz00_bglt BgL_arg1825z00_2237;

													BgL_arg1825z00_2237 =
														(BgL_objectz00_bglt) (BgL_rootz00_1525);
													{	/* Initflow/walk.scm 62 */
														bool_t BgL_arg1822z00_2240;
														bool_t BgL_arg1823z00_2241;

														{	/* Initflow/walk.scm 62 */
															long BgL_idxz00_2244;

															BgL_idxz00_2244 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2237);
															BgL_arg1822z00_2240 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2244 + ((long) 2))) ==
																BgL_classz00_2235);
														}
														{	/* Initflow/walk.scm 62 */
															bool_t BgL_res2011z00_2266;

															{	/* Initflow/walk.scm 62 */
																obj_t BgL_oclassz00_2252;

																{	/* Initflow/walk.scm 62 */
																	long BgL_arg1833z00_2258;

																	{	/* Initflow/walk.scm 62 */
																		long BgL_arg1834z00_2259;

																		BgL_arg1834z00_2259 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2237);
																		BgL_arg1833z00_2258 =
																			(BgL_arg1834z00_2259 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2252 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_2258);
																}
																{	/* Initflow/walk.scm 62 */
																	bool_t BgL__ortest_1110z00_2253;

																	BgL__ortest_1110z00_2253 =
																		(BgL_classz00_2235 == BgL_oclassz00_2252);
																	if (BgL__ortest_1110z00_2253)
																		{	/* Initflow/walk.scm 62 */
																			BgL_res2011z00_2266 =
																				BgL__ortest_1110z00_2253;
																		}
																	else
																		{	/* Initflow/walk.scm 62 */
																			long BgL_odepthz00_2254;

																			BgL_odepthz00_2254 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2252);
																			if ((((long) 2) < BgL_odepthz00_2254))
																				{	/* Initflow/walk.scm 62 */
																					obj_t BgL_arg1821z00_2256;

																					BgL_arg1821z00_2256 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2252, ((long) 2));
																					BgL_res2011z00_2266 =
																						(BgL_arg1821z00_2256 ==
																						BgL_classz00_2235);
																				}
																			else
																				{	/* Initflow/walk.scm 62 */
																					BgL_res2011z00_2266 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_2241 = BgL_res2011z00_2266;
														}
														BgL_test2131z00_3206 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_2240,
															BgL_arg1823z00_2241);
													}
												}
											else
												{	/* Initflow/walk.scm 62 */
													BgL_test2131z00_3206 = ((bool_t) 0);
												}
										}
										if (BgL_test2131z00_3206)
											{	/* Initflow/walk.scm 62 */
												BGl_initflowzd2funzd2zzinitflow_walkz00(
													((BgL_variablez00_bglt) BgL_rootz00_1525),
													((bool_t) 1));
												{	/* Initflow/walk.scm 64 */
													obj_t BgL_lz00_1527;

													{	/* Initflow/walk.scm 64 */
														obj_t BgL_hook1295z00_1549;

														BgL_hook1295z00_1549 =
															MAKE_YOUNG_PAIR(BFALSE, BNIL);
														{
															obj_t BgL_l1292z00_1551;
															obj_t BgL_h1293z00_1552;

															BgL_l1292z00_1551 = BgL_globalsz00_80;
															BgL_h1293z00_1552 = BgL_hook1295z00_1549;
														BgL_zc3z04anonymousza31537ze3z87_1553:
															if (NULLP(BgL_l1292z00_1551))
																{	/* Initflow/walk.scm 64 */
																	BgL_lz00_1527 = CDR(BgL_hook1295z00_1549);
																}
															else
																{	/* Initflow/walk.scm 64 */
																	bool_t BgL_test2136z00_3231;

																	{	/* Initflow/walk.scm 65 */
																		obj_t BgL_gz00_1566;

																		BgL_gz00_1566 =
																			CAR(((obj_t) BgL_l1292z00_1551));
																		{	/* Initflow/walk.scm 65 */
																			bool_t BgL_test2137z00_3234;

																			{	/* Initflow/walk.scm 65 */
																				BgL_valuez00_bglt BgL_arg1567z00_1570;

																				BgL_arg1567z00_1570 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_gz00_1566))))->
																					BgL_valuez00);
																				{	/* Initflow/walk.scm 65 */
																					obj_t BgL_classz00_2270;

																					BgL_classz00_2270 =
																						BGl_sfunz00zzast_varz00;
																					{	/* Initflow/walk.scm 65 */
																						BgL_objectz00_bglt
																							BgL_arg1825z00_2272;
																						{	/* Initflow/walk.scm 65 */
																							obj_t BgL_tmpz00_3238;

																							BgL_tmpz00_3238 =
																								((obj_t)
																								((BgL_objectz00_bglt)
																									BgL_arg1567z00_1570));
																							BgL_arg1825z00_2272 =
																								(BgL_objectz00_bglt)
																								(BgL_tmpz00_3238);
																						}
																						{	/* Initflow/walk.scm 65 */
																							bool_t BgL_arg1822z00_2275;
																							bool_t BgL_arg1823z00_2276;

																							{	/* Initflow/walk.scm 65 */
																								long BgL_idxz00_2279;

																								BgL_idxz00_2279 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1825z00_2272);
																								BgL_arg1822z00_2275 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_2279 +
																											((long) 3))) ==
																									BgL_classz00_2270);
																							}
																							{	/* Initflow/walk.scm 65 */
																								bool_t BgL_res2012z00_2301;

																								{	/* Initflow/walk.scm 65 */
																									obj_t BgL_oclassz00_2287;

																									{	/* Initflow/walk.scm 65 */
																										long BgL_arg1833z00_2293;

																										{	/* Initflow/walk.scm 65 */
																											long BgL_arg1834z00_2294;

																											BgL_arg1834z00_2294 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1825z00_2272);
																											BgL_arg1833z00_2293 =
																												(BgL_arg1834z00_2294 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_2287 =
																											VECTOR_REF
																											(BGl_za2classesza2z00zz__objectz00,
																											BgL_arg1833z00_2293);
																									}
																									{	/* Initflow/walk.scm 65 */
																										bool_t
																											BgL__ortest_1110z00_2288;
																										BgL__ortest_1110z00_2288 =
																											(BgL_classz00_2270 ==
																											BgL_oclassz00_2287);
																										if (BgL__ortest_1110z00_2288)
																											{	/* Initflow/walk.scm 65 */
																												BgL_res2012z00_2301 =
																													BgL__ortest_1110z00_2288;
																											}
																										else
																											{	/* Initflow/walk.scm 65 */
																												long BgL_odepthz00_2289;

																												BgL_odepthz00_2289 =
																													BGL_CLASS_DEPTH
																													(BgL_oclassz00_2287);
																												if ((((long) 3) <
																														BgL_odepthz00_2289))
																													{	/* Initflow/walk.scm 65 */
																														obj_t
																															BgL_arg1821z00_2291;
																														BgL_arg1821z00_2291
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_oclassz00_2287,
																															((long) 3));
																														BgL_res2012z00_2301
																															=
																															(BgL_arg1821z00_2291
																															==
																															BgL_classz00_2270);
																													}
																												else
																													{	/* Initflow/walk.scm 65 */
																														BgL_res2012z00_2301
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_arg1823z00_2276 =
																									BgL_res2012z00_2301;
																							}
																							BgL_test2137z00_3234 =
																								BGL_ISA_C_BACKEND
																								(BgL_arg1822z00_2275,
																								BgL_arg1823z00_2276);
																						}
																					}
																				}
																			}
																			if (BgL_test2137z00_3234)
																				{	/* Initflow/walk.scm 65 */
																					BgL_test2136z00_3231 = ((bool_t) 0);
																				}
																			else
																				{	/* Initflow/walk.scm 65 */
																					if (
																						((((BgL_globalz00_bglt) COBJECT(
																										((BgL_globalz00_bglt)
																											BgL_gz00_1566)))->
																								BgL_initz00) == BTRUE))
																						{	/* Initflow/walk.scm 66 */
																							BgL_test2136z00_3231 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Initflow/walk.scm 66 */
																							BgL_test2136z00_3231 =
																								((bool_t) 1);
																						}
																				}
																		}
																	}
																	if (BgL_test2136z00_3231)
																		{	/* Initflow/walk.scm 64 */
																			obj_t BgL_nh1294z00_1562;

																			{	/* Initflow/walk.scm 64 */
																				obj_t BgL_arg1555z00_1564;

																				BgL_arg1555z00_1564 =
																					CAR(((obj_t) BgL_l1292z00_1551));
																				BgL_nh1294z00_1562 =
																					MAKE_YOUNG_PAIR(BgL_arg1555z00_1564,
																					BNIL);
																			}
																			SET_CDR(BgL_h1293z00_1552,
																				BgL_nh1294z00_1562);
																			{	/* Initflow/walk.scm 64 */
																				obj_t BgL_arg1554z00_1563;

																				BgL_arg1554z00_1563 =
																					CDR(((obj_t) BgL_l1292z00_1551));
																				{
																					obj_t BgL_h1293z00_3268;
																					obj_t BgL_l1292z00_3267;

																					BgL_l1292z00_3267 =
																						BgL_arg1554z00_1563;
																					BgL_h1293z00_3268 =
																						BgL_nh1294z00_1562;
																					BgL_h1293z00_1552 = BgL_h1293z00_3268;
																					BgL_l1292z00_1551 = BgL_l1292z00_3267;
																					goto
																						BgL_zc3z04anonymousza31537ze3z87_1553;
																				}
																			}
																		}
																	else
																		{	/* Initflow/walk.scm 64 */
																			obj_t BgL_arg1563z00_1565;

																			BgL_arg1563z00_1565 =
																				CDR(((obj_t) BgL_l1292z00_1551));
																			{
																				obj_t BgL_l1292z00_3271;

																				BgL_l1292z00_3271 = BgL_arg1563z00_1565;
																				BgL_l1292z00_1551 = BgL_l1292z00_3271;
																				goto
																					BgL_zc3z04anonymousza31537ze3z87_1553;
																			}
																		}
																}
														}
													}
													if (PAIRP(BgL_lz00_1527))
														{	/* Initflow/walk.scm 70 */
															obj_t BgL_arg1462z00_1529;

															{	/* Initflow/walk.scm 70 */
																obj_t BgL_head1298z00_1535;

																BgL_head1298z00_1535 =
																	MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00
																	(CAR(BgL_lz00_1527)), BNIL);
																{	/* Initflow/walk.scm 70 */
																	obj_t BgL_g1301z00_1536;

																	BgL_g1301z00_1536 = CDR(BgL_lz00_1527);
																	{
																		obj_t BgL_l1296z00_1538;
																		obj_t BgL_tail1299z00_1539;

																		BgL_l1296z00_1538 = BgL_g1301z00_1536;
																		BgL_tail1299z00_1539 = BgL_head1298z00_1535;
																	BgL_zc3z04anonymousza31496ze3z87_1540:
																		if (NULLP(BgL_l1296z00_1538))
																			{	/* Initflow/walk.scm 70 */
																				BgL_arg1462z00_1529 =
																					BgL_head1298z00_1535;
																			}
																		else
																			{	/* Initflow/walk.scm 70 */
																				obj_t BgL_newtail1300z00_1542;

																				{	/* Initflow/walk.scm 70 */
																					obj_t BgL_arg1520z00_1544;

																					{	/* Initflow/walk.scm 70 */
																						obj_t BgL_arg1524z00_1545;

																						BgL_arg1524z00_1545 =
																							CAR(((obj_t) BgL_l1296z00_1538));
																						BgL_arg1520z00_1544 =
																							BGl_shapez00zztools_shapez00
																							(BgL_arg1524z00_1545);
																					}
																					BgL_newtail1300z00_1542 =
																						MAKE_YOUNG_PAIR(BgL_arg1520z00_1544,
																						BNIL);
																				}
																				SET_CDR(BgL_tail1299z00_1539,
																					BgL_newtail1300z00_1542);
																				{	/* Initflow/walk.scm 70 */
																					obj_t BgL_arg1500z00_1543;

																					BgL_arg1500z00_1543 =
																						CDR(((obj_t) BgL_l1296z00_1538));
																					{
																						obj_t BgL_tail1299z00_3288;
																						obj_t BgL_l1296z00_3287;

																						BgL_l1296z00_3287 =
																							BgL_arg1500z00_1543;
																						BgL_tail1299z00_3288 =
																							BgL_newtail1300z00_1542;
																						BgL_tail1299z00_1539 =
																							BgL_tail1299z00_3288;
																						BgL_l1296z00_1538 =
																							BgL_l1296z00_3287;
																						goto
																							BgL_zc3z04anonymousza31496ze3z87_1540;
																					}
																				}
																			}
																	}
																}
															}
															{	/* Initflow/walk.scm 69 */
																obj_t BgL_list1463z00_1530;

																{	/* Initflow/walk.scm 69 */
																	obj_t BgL_arg1477z00_1531;

																	{	/* Initflow/walk.scm 69 */
																		obj_t BgL_arg1494z00_1532;

																		BgL_arg1494z00_1532 =
																			MAKE_YOUNG_PAIR(BCHAR(((unsigned char)
																					10)), BNIL);
																		BgL_arg1477z00_1531 =
																			MAKE_YOUNG_PAIR(BgL_arg1462z00_1529,
																			BgL_arg1494z00_1532);
																	}
																	BgL_list1463z00_1530 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2035z00zzinitflow_walkz00,
																		BgL_arg1477z00_1531);
																}
																BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
																	BgL_list1463z00_1530);
														}}
													else
														{	/* Initflow/walk.scm 68 */
															BFALSE;
														}
												}
											}
										else
											{	/* Initflow/walk.scm 62 */
												BFALSE;
											}
									}
								}
							}
							{
								obj_t BgL_l1302z00_3295;

								BgL_l1302z00_3295 = CDR(BgL_l1302z00_1521);
								BgL_l1302z00_1521 = BgL_l1302z00_3295;
								goto BgL_zc3z04anonymousza31457ze3z87_1522;
							}
						}
					else
						{	/* Initflow/walk.scm 72 */
							((bool_t) 1);
						}
				}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Initflow/walk.scm 74 */
					{	/* Initflow/walk.scm 74 */
						obj_t BgL_port1305z00_1576;

						{	/* Initflow/walk.scm 74 */
							obj_t BgL_tmpz00_3300;

							BgL_tmpz00_3300 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1305z00_1576 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3300);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1305z00_1576);
						bgl_display_string(BGl_string2036z00zzinitflow_walkz00,
							BgL_port1305z00_1576);
						{	/* Initflow/walk.scm 74 */
							obj_t BgL_arg1578z00_1577;

							{	/* Initflow/walk.scm 74 */
								bool_t BgL_test2144z00_3305;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Initflow/walk.scm 74 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Initflow/walk.scm 74 */
												BgL_test2144z00_3305 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Initflow/walk.scm 74 */
												BgL_test2144z00_3305 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Initflow/walk.scm 74 */
										BgL_test2144z00_3305 = ((bool_t) 0);
									}
								if (BgL_test2144z00_3305)
									{	/* Initflow/walk.scm 74 */
										BgL_arg1578z00_1577 = BGl_string2037z00zzinitflow_walkz00;
									}
								else
									{	/* Initflow/walk.scm 74 */
										BgL_arg1578z00_1577 = BGl_string2038z00zzinitflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1578z00_1577, BgL_port1305z00_1576);
						}
						bgl_display_string(BGl_string2039z00zzinitflow_walkz00,
							BgL_port1305z00_1576);
						bgl_display_char(((unsigned char) 10), BgL_port1305z00_1576);
					}
					{	/* Initflow/walk.scm 74 */
						obj_t BgL_list1583z00_1583;

						BgL_list1583z00_1583 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1583z00_1583);
					}
				}
			else
				{	/* Initflow/walk.scm 74 */
					obj_t BgL_g1147z00_1584;

					BgL_g1147z00_1584 = BNIL;
					{
						obj_t BgL_hooksz00_1587;
						obj_t BgL_hnamesz00_1588;

						BgL_hooksz00_1587 = BgL_g1147z00_1584;
						BgL_hnamesz00_1588 = BNIL;
					BgL_zc3z04anonymousza31584ze3z87_1589:
						if (NULLP(BgL_hooksz00_1587))
							{	/* Initflow/walk.scm 74 */
								return BgL_globalsz00_80;
							}
						else
							{	/* Initflow/walk.scm 74 */
								bool_t BgL_test2148z00_3322;

								{	/* Initflow/walk.scm 74 */
									obj_t BgL_fun1603z00_1596;

									BgL_fun1603z00_1596 = CAR(((obj_t) BgL_hooksz00_1587));
									BgL_test2148z00_3322 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1603z00_1596)
										(BgL_fun1603z00_1596, BEOA));
								}
								if (BgL_test2148z00_3322)
									{	/* Initflow/walk.scm 74 */
										obj_t BgL_arg1595z00_1593;
										obj_t BgL_arg1597z00_1594;

										BgL_arg1595z00_1593 = CDR(((obj_t) BgL_hooksz00_1587));
										BgL_arg1597z00_1594 = CDR(((obj_t) BgL_hnamesz00_1588));
										{
											obj_t BgL_hnamesz00_3334;
											obj_t BgL_hooksz00_3333;

											BgL_hooksz00_3333 = BgL_arg1595z00_1593;
											BgL_hnamesz00_3334 = BgL_arg1597z00_1594;
											BgL_hnamesz00_1588 = BgL_hnamesz00_3334;
											BgL_hooksz00_1587 = BgL_hooksz00_3333;
											goto BgL_zc3z04anonymousza31584ze3z87_1589;
										}
									}
								else
									{	/* Initflow/walk.scm 74 */
										obj_t BgL_arg1601z00_1595;

										BgL_arg1601z00_1595 = CAR(((obj_t) BgL_hnamesz00_1588));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2040z00zzinitflow_walkz00, BgL_arg1601z00_1595);
									}
							}
					}
				}
		}

	}



/* &initflow-walk! */
	obj_t BGl_z62initflowzd2walkz12za2zzinitflow_walkz00(obj_t BgL_envz00_2765,
		obj_t BgL_globalsz00_2766)
	{
		{	/* Initflow/walk.scm 48 */
			return BGl_initflowzd2walkz12zc0zzinitflow_walkz00(BgL_globalsz00_2766);
		}

	}



/* initflow-fun */
	obj_t BGl_initflowzd2funzd2zzinitflow_walkz00(BgL_variablez00_bglt
		BgL_varz00_81, bool_t BgL_ez00_82)
	{
		{	/* Initflow/walk.scm 79 */
			{	/* Initflow/walk.scm 80 */
				BgL_valuez00_bglt BgL_fz00_1599;

				BgL_fz00_1599 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_81))->BgL_valuez00);
				{	/* Initflow/walk.scm 82 */
					bool_t BgL_test2149z00_3340;

					{	/* Initflow/walk.scm 82 */
						obj_t BgL_arg1619z00_1609;

						BgL_arg1619z00_1609 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_fz00_1599)))->BgL_bodyz00);
						{	/* Initflow/walk.scm 82 */
							obj_t BgL_classz00_2329;

							BgL_classz00_2329 = BGl_nodez00zzast_nodez00;
							if (BGL_OBJECTP(BgL_arg1619z00_1609))
								{	/* Initflow/walk.scm 82 */
									BgL_objectz00_bglt BgL_arg1825z00_2331;

									BgL_arg1825z00_2331 =
										(BgL_objectz00_bglt) (BgL_arg1619z00_1609);
									{	/* Initflow/walk.scm 82 */
										bool_t BgL_arg1822z00_2334;
										bool_t BgL_arg1823z00_2335;

										{	/* Initflow/walk.scm 82 */
											long BgL_idxz00_2338;

											BgL_idxz00_2338 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2331);
											BgL_arg1822z00_2334 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2338 + ((long) 1))) == BgL_classz00_2329);
										}
										{	/* Initflow/walk.scm 82 */
											bool_t BgL_res2014z00_2360;

											{	/* Initflow/walk.scm 82 */
												obj_t BgL_oclassz00_2346;

												{	/* Initflow/walk.scm 82 */
													long BgL_arg1833z00_2352;

													{	/* Initflow/walk.scm 82 */
														long BgL_arg1834z00_2353;

														BgL_arg1834z00_2353 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2331);
														BgL_arg1833z00_2352 =
															(BgL_arg1834z00_2353 - OBJECT_TYPE);
													}
													BgL_oclassz00_2346 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2352);
												}
												{	/* Initflow/walk.scm 82 */
													bool_t BgL__ortest_1110z00_2347;

													BgL__ortest_1110z00_2347 =
														(BgL_classz00_2329 == BgL_oclassz00_2346);
													if (BgL__ortest_1110z00_2347)
														{	/* Initflow/walk.scm 82 */
															BgL_res2014z00_2360 = BgL__ortest_1110z00_2347;
														}
													else
														{	/* Initflow/walk.scm 82 */
															long BgL_odepthz00_2348;

															BgL_odepthz00_2348 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2346);
															if ((((long) 1) < BgL_odepthz00_2348))
																{	/* Initflow/walk.scm 82 */
																	obj_t BgL_arg1821z00_2350;

																	BgL_arg1821z00_2350 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2346,
																		((long) 1));
																	BgL_res2014z00_2360 =
																		(BgL_arg1821z00_2350 == BgL_classz00_2329);
																}
															else
																{	/* Initflow/walk.scm 82 */
																	BgL_res2014z00_2360 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2335 = BgL_res2014z00_2360;
										}
										BgL_test2149z00_3340 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2334,
											BgL_arg1823z00_2335);
									}
								}
							else
								{	/* Initflow/walk.scm 82 */
									BgL_test2149z00_3340 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test2149z00_3340)
						{	/* Initflow/walk.scm 84 */
							bool_t BgL_test2153z00_3361;

							{	/* Initflow/walk.scm 84 */
								obj_t BgL_classz00_2361;

								BgL_classz00_2361 = BGl_sfunzf2iflowzf2zzinitflow_walkz00;
								{	/* Initflow/walk.scm 84 */
									obj_t BgL_oclassz00_2363;

									{	/* Initflow/walk.scm 84 */
										long BgL_arg1833z00_2365;

										{	/* Initflow/walk.scm 84 */
											long BgL_arg1834z00_2366;

											BgL_arg1834z00_2366 =
												BGL_OBJECT_CLASS_NUM(
												((BgL_objectz00_bglt) BgL_fz00_1599));
											BgL_arg1833z00_2365 = (BgL_arg1834z00_2366 - OBJECT_TYPE);
										}
										BgL_oclassz00_2363 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_2365);
									}
									BgL_test2153z00_3361 =
										(BgL_oclassz00_2363 == BgL_classz00_2361);
							}}
							if (BgL_test2153z00_3361)
								{	/* Initflow/walk.scm 84 */
									return BNIL;
								}
							else
								{	/* Initflow/walk.scm 84 */
									{	/* Initflow/walk.scm 87 */
										BgL_sfunzf2iflowzf2_bglt BgL_wide1151z00_1605;

										BgL_wide1151z00_1605 =
											((BgL_sfunzf2iflowzf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sfunzf2iflowzf2_bgl))));
										{	/* Initflow/walk.scm 87 */
											obj_t BgL_auxz00_3372;
											BgL_objectz00_bglt BgL_tmpz00_3368;

											BgL_auxz00_3372 = ((obj_t) BgL_wide1151z00_1605);
											BgL_tmpz00_3368 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_fz00_1599)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3368, BgL_auxz00_3372);
										}
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_fz00_1599)));
										{	/* Initflow/walk.scm 87 */
											long BgL_arg1612z00_1606;

											BgL_arg1612z00_1606 =
												BGL_CLASS_NUM(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_fz00_1599))),
												BgL_arg1612z00_1606);
										}
										((BgL_sfunz00_bglt)
											((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_fz00_1599)));
									}
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_fz00_1599));
									{	/* Initflow/walk.scm 88 */
										obj_t BgL_arg1613z00_1608;

										BgL_arg1613z00_1608 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_fz00_1599)))->BgL_bodyz00);
										return
											BGl_initflowzd2nodezd2zzinitflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg1613z00_1608), BgL_ez00_82);
									}
								}
						}
					else
						{	/* Initflow/walk.scm 82 */
							return BNIL;
						}
				}
			}
		}

	}



/* initflow-node* */
	obj_t BGl_initflowzd2nodeza2z70zzinitflow_walkz00(obj_t BgL_nodesz00_87,
		obj_t BgL_ez00_88)
	{
		{	/* Initflow/walk.scm 124 */
			{
				obj_t BgL_nodesz00_1612;
				obj_t BgL_isz00_1613;

				BgL_nodesz00_1612 = BgL_nodesz00_87;
				BgL_isz00_1613 = BNIL;
			BgL_zc3z04anonymousza31620ze3z87_1614:
				if (NULLP(BgL_nodesz00_1612))
					{	/* Initflow/walk.scm 127 */
						if (CBOOL(BgL_ez00_88))
							{	/* Initflow/walk.scm 128 */
								{
									obj_t BgL_l1306z00_1617;

									BgL_l1306z00_1617 = BgL_isz00_1613;
								BgL_zc3z04anonymousza31622ze3z87_1618:
									if (PAIRP(BgL_l1306z00_1617))
										{	/* Initflow/walk.scm 130 */
											{	/* Initflow/walk.scm 131 */
												obj_t BgL_gz00_1620;

												BgL_gz00_1620 = CAR(BgL_l1306z00_1617);
												if (
													((((BgL_globalz00_bglt) COBJECT(
																	((BgL_globalz00_bglt) BgL_gz00_1620)))->
															BgL_initz00) == BUNSPEC))
													{	/* Initflow/walk.scm 131 */
														((((BgL_globalz00_bglt) COBJECT(
																		((BgL_globalz00_bglt) BgL_gz00_1620)))->
																BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
													}
												else
													{	/* Initflow/walk.scm 131 */
														BFALSE;
													}
											}
											{
												obj_t BgL_l1306z00_3405;

												BgL_l1306z00_3405 = CDR(BgL_l1306z00_1617);
												BgL_l1306z00_1617 = BgL_l1306z00_3405;
												goto BgL_zc3z04anonymousza31622ze3z87_1618;
											}
										}
									else
										{	/* Initflow/walk.scm 130 */
											((bool_t) 1);
										}
								}
								return BNIL;
							}
						else
							{	/* Initflow/walk.scm 135 */
								obj_t BgL_hook1312z00_1626;

								BgL_hook1312z00_1626 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
								{
									obj_t BgL_l1309z00_1628;
									obj_t BgL_h1310z00_1629;

									BgL_l1309z00_1628 = BgL_isz00_1613;
									BgL_h1310z00_1629 = BgL_hook1312z00_1626;
								BgL_zc3z04anonymousza31648ze3z87_1630:
									if (NULLP(BgL_l1309z00_1628))
										{	/* Initflow/walk.scm 135 */
											return CDR(BgL_hook1312z00_1626);
										}
									else
										{	/* Initflow/walk.scm 135 */
											if (CBOOL(
													(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt)
																	CAR(
																		((obj_t) BgL_l1309z00_1628)))))->
														BgL_initz00)))
												{	/* Initflow/walk.scm 135 */
													obj_t BgL_nh1311z00_1634;

													{	/* Initflow/walk.scm 135 */
														obj_t BgL_arg1657z00_1636;

														BgL_arg1657z00_1636 =
															CAR(((obj_t) BgL_l1309z00_1628));
														BgL_nh1311z00_1634 =
															MAKE_YOUNG_PAIR(BgL_arg1657z00_1636, BNIL);
													}
													SET_CDR(BgL_h1310z00_1629, BgL_nh1311z00_1634);
													{	/* Initflow/walk.scm 135 */
														obj_t BgL_arg1656z00_1635;

														BgL_arg1656z00_1635 =
															CDR(((obj_t) BgL_l1309z00_1628));
														{
															obj_t BgL_h1310z00_3424;
															obj_t BgL_l1309z00_3423;

															BgL_l1309z00_3423 = BgL_arg1656z00_1635;
															BgL_h1310z00_3424 = BgL_nh1311z00_1634;
															BgL_h1310z00_1629 = BgL_h1310z00_3424;
															BgL_l1309z00_1628 = BgL_l1309z00_3423;
															goto BgL_zc3z04anonymousza31648ze3z87_1630;
														}
													}
												}
											else
												{	/* Initflow/walk.scm 135 */
													obj_t BgL_arg1660z00_1637;

													BgL_arg1660z00_1637 =
														CDR(((obj_t) BgL_l1309z00_1628));
													{
														obj_t BgL_l1309z00_3427;

														BgL_l1309z00_3427 = BgL_arg1660z00_1637;
														BgL_l1309z00_1628 = BgL_l1309z00_3427;
														goto BgL_zc3z04anonymousza31648ze3z87_1630;
													}
												}
										}
								}
							}
					}
				else
					{	/* Initflow/walk.scm 136 */
						obj_t BgL_iz00_1640;

						{	/* Initflow/walk.scm 136 */
							obj_t BgL_arg1675z00_1643;

							BgL_arg1675z00_1643 = CAR(((obj_t) BgL_nodesz00_1612));
							BgL_iz00_1640 =
								BGl_initflowzd2nodezd2zzinitflow_walkz00(
								((BgL_nodez00_bglt) BgL_arg1675z00_1643), ((bool_t) 0));
						}
						{	/* Initflow/walk.scm 137 */
							obj_t BgL_arg1667z00_1641;
							obj_t BgL_arg1668z00_1642;

							BgL_arg1667z00_1641 = CDR(((obj_t) BgL_nodesz00_1612));
							BgL_arg1668z00_1642 =
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_iz00_1640,
								BgL_isz00_1613);
							{
								obj_t BgL_isz00_3436;
								obj_t BgL_nodesz00_3435;

								BgL_nodesz00_3435 = BgL_arg1667z00_1641;
								BgL_isz00_3436 = BgL_arg1668z00_1642;
								BgL_isz00_1613 = BgL_isz00_3436;
								BgL_nodesz00_1612 = BgL_nodesz00_3435;
								goto BgL_zc3z04anonymousza31620ze3z87_1614;
							}
						}
					}
			}
		}

	}



/* lub */
	obj_t BGl_lubz00zzinitflow_walkz00(obj_t BgL_isz00_103, obj_t BgL_ez00_104)
	{
		{	/* Initflow/walk.scm 216 */
			if (NULLP(BgL_isz00_103))
				{	/* Initflow/walk.scm 217 */
					return BNIL;
				}
			else
				{	/* Initflow/walk.scm 219 */
					obj_t BgL_lubz00_1646;

					BgL_lubz00_1646 = BNIL;
					{	/* Initflow/walk.scm 220 */
						obj_t BgL_g1319z00_1647;

						BgL_g1319z00_1647 = CAR(((obj_t) BgL_isz00_103));
						{
							obj_t BgL_l1317z00_1649;

							BgL_l1317z00_1649 = BgL_g1319z00_1647;
						BgL_zc3z04anonymousza31677ze3z87_1650:
							if (PAIRP(BgL_l1317z00_1649))
								{	/* Initflow/walk.scm 226 */
									{	/* Initflow/walk.scm 221 */
										obj_t BgL_gz00_1652;

										BgL_gz00_1652 = CAR(BgL_l1317z00_1649);
										{	/* Initflow/walk.scm 221 */
											bool_t BgL_test2162z00_3444;

											if (
												((((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_gz00_1652)))->
														BgL_initz00) == BUNSPEC))
												{
													obj_t BgL_l1313z00_1670;

													BgL_l1313z00_1670 = CDR(((obj_t) BgL_isz00_103));
												BgL_zc3z04anonymousza31697ze3z87_1671:
													if (NULLP(BgL_l1313z00_1670))
														{	/* Initflow/walk.scm 222 */
															BgL_test2162z00_3444 = ((bool_t) 1);
														}
													else
														{	/* Initflow/walk.scm 222 */
															if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_gz00_1652,
																		CAR(((obj_t) BgL_l1313z00_1670)))))
																{
																	obj_t BgL_l1313z00_3456;

																	BgL_l1313z00_3456 =
																		CDR(((obj_t) BgL_l1313z00_1670));
																	BgL_l1313z00_1670 = BgL_l1313z00_3456;
																	goto BgL_zc3z04anonymousza31697ze3z87_1671;
																}
															else
																{	/* Initflow/walk.scm 222 */
																	BgL_test2162z00_3444 = ((bool_t) 0);
																}
														}
												}
											else
												{	/* Initflow/walk.scm 221 */
													BgL_test2162z00_3444 = ((bool_t) 0);
												}
											if (BgL_test2162z00_3444)
												{	/* Initflow/walk.scm 221 */
													if (CBOOL(BgL_ez00_104))
														{	/* Initflow/walk.scm 223 */
															((((BgL_globalz00_bglt) COBJECT(
																			((BgL_globalz00_bglt) BgL_gz00_1652)))->
																	BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
														}
													else
														{	/* Initflow/walk.scm 223 */
															BgL_lubz00_1646 =
																MAKE_YOUNG_PAIR(BgL_gz00_1652, BgL_lubz00_1646);
														}
												}
											else
												{	/* Initflow/walk.scm 221 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l1317z00_3466;

										BgL_l1317z00_3466 = CDR(BgL_l1317z00_1649);
										BgL_l1317z00_1649 = BgL_l1317z00_3466;
										goto BgL_zc3z04anonymousza31677ze3z87_1650;
									}
								}
							else
								{	/* Initflow/walk.scm 226 */
									((bool_t) 1);
								}
						}
					}
					return BgL_lubz00_1646;
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinitflow_walkz00()
	{
		{	/* Initflow/walk.scm 27 */
			{	/* Initflow/walk.scm 42 */
				obj_t BgL_arg1715z00_1685;
				obj_t BgL_arg1716z00_1686;

				{	/* Initflow/walk.scm 42 */
					obj_t BgL_v1330z00_1729;

					BgL_v1330z00_1729 = create_vector(((long) 0));
					BgL_arg1715z00_1685 = BgL_v1330z00_1729;
				}
				{	/* Initflow/walk.scm 42 */
					obj_t BgL_v1331z00_1730;

					BgL_v1331z00_1730 = create_vector(((long) 0));
					BgL_arg1716z00_1686 = BgL_v1331z00_1730;
				}
				return (BGl_sfunzf2iflowzf2zzinitflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
						CNST_TABLE_REF(((long) 4)), BGl_sfunz00zzast_varz00, ((long) 37049),
						BGl_proc2044z00zzinitflow_walkz00,
						BGl_proc2043z00zzinitflow_walkz00, BFALSE,
						BGl_proc2042z00zzinitflow_walkz00,
						BGl_proc2041z00zzinitflow_walkz00, BgL_arg1715z00_1685,
						BgL_arg1716z00_1686), BUNSPEC);
		}}

	}



/* &lambda1727 */
	BgL_sfunz00_bglt BGl_z62lambda1727z62zzinitflow_walkz00(obj_t BgL_envz00_2771,
		obj_t BgL_o1130z00_2772)
	{
		{	/* Initflow/walk.scm 42 */
			{	/* Initflow/walk.scm 42 */
				long BgL_arg1728z00_2892;

				{	/* Initflow/walk.scm 42 */
					obj_t BgL_arg1729z00_2893;

					{	/* Initflow/walk.scm 42 */
						obj_t BgL_arg1731z00_2894;

						{	/* Initflow/walk.scm 42 */
							long BgL_arg1833z00_2895;

							{	/* Initflow/walk.scm 42 */
								long BgL_arg1834z00_2896;

								BgL_arg1834z00_2896 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_o1130z00_2772)));
								BgL_arg1833z00_2895 = (BgL_arg1834z00_2896 - OBJECT_TYPE);
							}
							BgL_arg1731z00_2894 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_2895);
						}
						BgL_arg1729z00_2893 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1731z00_2894);
					}
					{	/* Initflow/walk.scm 42 */
						obj_t BgL_tmpz00_3479;

						BgL_tmpz00_3479 = ((obj_t) BgL_arg1729z00_2893);
						BgL_arg1728z00_2892 = BGL_CLASS_NUM(BgL_tmpz00_3479);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) BgL_o1130z00_2772)), BgL_arg1728z00_2892);
			}
			{	/* Initflow/walk.scm 42 */
				BgL_objectz00_bglt BgL_tmpz00_3485;

				BgL_tmpz00_3485 =
					((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1130z00_2772));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3485, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1130z00_2772));
			return ((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1130z00_2772));
		}

	}



/* &<@anonymous:1726> */
	obj_t BGl_z62zc3z04anonymousza31726ze3ze5zzinitflow_walkz00(obj_t
		BgL_envz00_2773, obj_t BgL_new1129z00_2774)
	{
		{	/* Initflow/walk.scm 42 */
			{
				BgL_sfunz00_bglt BgL_auxz00_3493;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_new1129z00_2774))))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_propertyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_argszd2namezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_bodyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_dssslzd2keywordszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_optionalsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_keysz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2774))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_3493 = ((BgL_sfunz00_bglt) BgL_new1129z00_2774);
				return ((obj_t) BgL_auxz00_3493);
			}
		}

	}



/* &lambda1724 */
	BgL_sfunz00_bglt BGl_z62lambda1724z62zzinitflow_walkz00(obj_t BgL_envz00_2775,
		obj_t BgL_o1125z00_2776)
	{
		{	/* Initflow/walk.scm 42 */
			{	/* Initflow/walk.scm 42 */
				BgL_sfunzf2iflowzf2_bglt BgL_wide1127z00_2899;

				BgL_wide1127z00_2899 =
					((BgL_sfunzf2iflowzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sfunzf2iflowzf2_bgl))));
				{	/* Initflow/walk.scm 42 */
					obj_t BgL_auxz00_3568;
					BgL_objectz00_bglt BgL_tmpz00_3564;

					BgL_auxz00_3568 = ((obj_t) BgL_wide1127z00_2899);
					BgL_tmpz00_3564 =
						((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1125z00_2776)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3564, BgL_auxz00_3568);
				}
				((BgL_objectz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1125z00_2776)));
				{	/* Initflow/walk.scm 42 */
					long BgL_arg1725z00_2900;

					BgL_arg1725z00_2900 =
						BGL_CLASS_NUM(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_o1125z00_2776))), BgL_arg1725z00_2900);
				}
				return
					((BgL_sfunz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1125z00_2776)));
			}
		}

	}



/* &lambda1717 */
	BgL_sfunz00_bglt BGl_z62lambda1717z62zzinitflow_walkz00(obj_t BgL_envz00_2777,
		obj_t BgL_arity1103z00_2778, obj_t BgL_sidezd2effect1104zd2_2779,
		obj_t BgL_predicatezd2of1105zd2_2780,
		obj_t BgL_stackzd2allocator1106zd2_2781, obj_t BgL_topzf31107zf3_2782,
		obj_t BgL_thezd2closure1108zd2_2783, obj_t BgL_effect1109z00_2784,
		obj_t BgL_failsafe1110z00_2785, obj_t BgL_argszd2noescape1111zd2_2786,
		obj_t BgL_argszd2retescape1112zd2_2787, obj_t BgL_property1113z00_2788,
		obj_t BgL_args1114z00_2789, obj_t BgL_argszd2name1115zd2_2790,
		obj_t BgL_body1116z00_2791, obj_t BgL_class1117z00_2792,
		obj_t BgL_dssslzd2keywords1118zd2_2793, obj_t BgL_loc1119z00_2794,
		obj_t BgL_optionals1120z00_2795, obj_t BgL_keys1121z00_2796,
		obj_t BgL_thezd2closurezd2global1122z00_2797,
		obj_t BgL_strength1123z00_2798, obj_t BgL_stackable1124z00_2799)
	{
		{	/* Initflow/walk.scm 42 */
			{	/* Initflow/walk.scm 42 */
				long BgL_arity1103z00_2901;
				bool_t BgL_topzf31107zf3_2902;

				BgL_arity1103z00_2901 = (long) CINT(BgL_arity1103z00_2778);
				BgL_topzf31107zf3_2902 = CBOOL(BgL_topzf31107zf3_2782);
				{	/* Initflow/walk.scm 42 */
					BgL_sfunz00_bglt BgL_new1176z00_2904;

					{	/* Initflow/walk.scm 42 */
						BgL_sfunz00_bglt BgL_tmp1174z00_2905;
						BgL_sfunzf2iflowzf2_bglt BgL_wide1175z00_2906;

						{
							BgL_sfunz00_bglt BgL_auxz00_3584;

							{	/* Initflow/walk.scm 42 */
								BgL_sfunz00_bglt BgL_new1173z00_2907;

								BgL_new1173z00_2907 =
									((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Initflow/walk.scm 42 */
									long BgL_arg1723z00_2908;

									BgL_arg1723z00_2908 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1173z00_2907),
										BgL_arg1723z00_2908);
								}
								{	/* Initflow/walk.scm 42 */
									BgL_objectz00_bglt BgL_tmpz00_3589;

									BgL_tmpz00_3589 = ((BgL_objectz00_bglt) BgL_new1173z00_2907);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3589, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1173z00_2907);
								BgL_auxz00_3584 = BgL_new1173z00_2907;
							}
							BgL_tmp1174z00_2905 = ((BgL_sfunz00_bglt) BgL_auxz00_3584);
						}
						BgL_wide1175z00_2906 =
							((BgL_sfunzf2iflowzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sfunzf2iflowzf2_bgl))));
						{	/* Initflow/walk.scm 42 */
							obj_t BgL_auxz00_3597;
							BgL_objectz00_bglt BgL_tmpz00_3595;

							BgL_auxz00_3597 = ((obj_t) BgL_wide1175z00_2906);
							BgL_tmpz00_3595 = ((BgL_objectz00_bglt) BgL_tmp1174z00_2905);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3595, BgL_auxz00_3597);
						}
						((BgL_objectz00_bglt) BgL_tmp1174z00_2905);
						{	/* Initflow/walk.scm 42 */
							long BgL_arg1721z00_2909;

							BgL_arg1721z00_2909 =
								BGL_CLASS_NUM(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1174z00_2905),
								BgL_arg1721z00_2909);
						}
						BgL_new1176z00_2904 = ((BgL_sfunz00_bglt) BgL_tmp1174z00_2905);
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1176z00_2904)))->BgL_arityz00) =
						((long) BgL_arity1103z00_2901), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1176z00_2904)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1104zd2_2779), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1176z00_2904)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1105zd2_2780), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1176z00_2904)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1106zd2_2781), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1176z00_2904)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31107zf3_2902), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1176z00_2904)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1108zd2_2783), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1176z00_2904)))->BgL_effectz00) =
						((obj_t) BgL_effect1109z00_2784), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1176z00_2904)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1110z00_2785), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1176z00_2904)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1111zd2_2786), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1176z00_2904)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1112zd2_2787), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_2904)))->BgL_propertyz00) =
						((obj_t) BgL_property1113z00_2788), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_2904)))->BgL_argsz00) =
						((obj_t) BgL_args1114z00_2789), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_2904)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1115zd2_2790), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_2904)))->BgL_bodyz00) =
						((obj_t) BgL_body1116z00_2791), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_2904)))->BgL_classz00) =
						((obj_t) BgL_class1117z00_2792), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_2904)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1118zd2_2793), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_2904)))->BgL_locz00) =
						((obj_t) BgL_loc1119z00_2794), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_2904)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1120z00_2795), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_2904)))->BgL_keysz00) =
						((obj_t) BgL_keys1121z00_2796), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_2904)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1122z00_2797), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_2904)))->BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1123z00_2798)), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_2904)))->BgL_stackablez00) =
						((obj_t) BgL_stackable1124z00_2799), BUNSPEC);
					return BgL_new1176z00_2904;
				}
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinitflow_walkz00()
	{
		{	/* Initflow/walk.scm 27 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_proc2045z00zzinitflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2046z00zzinitflow_walkz00);
		}

	}



/* &initflow-node1332 */
	obj_t BGl_z62initflowzd2node1332zb0zzinitflow_walkz00(obj_t BgL_envz00_2801,
		obj_t BgL_nodez00_2802, obj_t BgL_ez00_2803)
	{
		{	/* Initflow/walk.scm 93 */
			return BNIL;
		}

	}



/* initflow-node */
	obj_t BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_83, bool_t BgL_ez00_84)
	{
		{	/* Initflow/walk.scm 93 */
			{	/* Initflow/walk.scm 93 */
				obj_t BgL_method1333z00_1740;

				{	/* Initflow/walk.scm 93 */
					obj_t BgL_res2019z00_2458;

					{	/* Initflow/walk.scm 93 */
						long BgL_objzd2classzd2numz00_2429;

						BgL_objzd2classzd2numz00_2429 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_83));
						{	/* Initflow/walk.scm 93 */
							obj_t BgL_arg1829z00_2430;

							BgL_arg1829z00_2430 =
								PROCEDURE_REF(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
								(int) (((long) 1)));
							{	/* Initflow/walk.scm 93 */
								int BgL_offsetz00_2433;

								BgL_offsetz00_2433 = (int) (BgL_objzd2classzd2numz00_2429);
								{	/* Initflow/walk.scm 93 */
									long BgL_offsetz00_2434;

									BgL_offsetz00_2434 =
										((long) (BgL_offsetz00_2433) - OBJECT_TYPE);
									{	/* Initflow/walk.scm 93 */
										long BgL_modz00_2435;

										BgL_modz00_2435 =
											(BgL_offsetz00_2434 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Initflow/walk.scm 93 */
											long BgL_restz00_2437;

											BgL_restz00_2437 =
												(BgL_offsetz00_2434 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Initflow/walk.scm 93 */

												{	/* Initflow/walk.scm 93 */
													obj_t BgL_bucketz00_2439;

													BgL_bucketz00_2439 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2430), BgL_modz00_2435);
													BgL_res2019z00_2458 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2439), BgL_restz00_2437);
					}}}}}}}}
					BgL_method1333z00_1740 = BgL_res2019z00_2458;
				}
				return
					PROCEDURE_ENTRY(BgL_method1333z00_1740) (BgL_method1333z00_1740,
					((obj_t) BgL_nodez00_83), BBOOL(BgL_ez00_84), BEOA);
			}
		}

	}



/* &initflow-node */
	obj_t BGl_z62initflowzd2nodezb0zzinitflow_walkz00(obj_t BgL_envz00_2804,
		obj_t BgL_nodez00_2805, obj_t BgL_ez00_2806)
	{
		{	/* Initflow/walk.scm 93 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2805), CBOOL(BgL_ez00_2806));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinitflow_walkz00()
	{
		{	/* Initflow/walk.scm 27 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2047z00zzinitflow_walkz00,
				BGl_string2048z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2049z00zzinitflow_walkz00,
				BGl_string2048z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2050z00zzinitflow_walkz00,
				BGl_string2048z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2051z00zzinitflow_walkz00,
				BGl_string2048z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2052z00zzinitflow_walkz00,
				BGl_string2048z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2053z00zzinitflow_walkz00,
				BGl_string2048z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2054z00zzinitflow_walkz00,
				BGl_string2048z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2055z00zzinitflow_walkz00,
				BGl_string2048z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2056z00zzinitflow_walkz00,
				BGl_string2048z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2057z00zzinitflow_walkz00,
				BGl_string2048z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_switchz00zzast_nodez00, BGl_proc2058z00zzinitflow_walkz00,
				BGl_string2048z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2059z00zzinitflow_walkz00,
				BGl_string2048z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2060z00zzinitflow_walkz00,
				BGl_string2048z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2061z00zzinitflow_walkz00,
				BGl_string2048z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2062z00zzinitflow_walkz00,
				BGl_string2048z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2063z00zzinitflow_walkz00,
				BGl_string2048z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2064z00zzinitflow_walkz00,
				BGl_string2048z00zzinitflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2065z00zzinitflow_walkz00,
				BGl_string2048z00zzinitflow_walkz00);
		}

	}



/* &initflow-node-jump-e1369 */
	obj_t BGl_z62initflowzd2nodezd2jumpzd2e1369zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2825, obj_t BgL_nodez00_2826, obj_t BgL_ez00_2827)
	{
		{	/* Initflow/walk.scm 306 */
			{	/* Initflow/walk.scm 307 */
				obj_t BgL_res2072z00_2918;

				{	/* Initflow/walk.scm 308 */
					obj_t BgL_arg1947z00_2913;

					{	/* Initflow/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg1948z00_2914;
						BgL_nodez00_bglt BgL_arg1949z00_2915;

						BgL_arg1948z00_2914 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2826)))->
							BgL_exitz00);
						BgL_arg1949z00_2915 =
							(((BgL_jumpzd2exzd2itz00_bglt)
								COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2826)))->
							BgL_valuez00);
						{	/* Initflow/walk.scm 308 */
							obj_t BgL_list1950z00_2916;

							{	/* Initflow/walk.scm 308 */
								obj_t BgL_arg1951z00_2917;

								BgL_arg1951z00_2917 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg1949z00_2915), BNIL);
								BgL_list1950z00_2916 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg1948z00_2914), BgL_arg1951z00_2917);
							}
							BgL_arg1947z00_2913 = BgL_list1950z00_2916;
						}
					}
					BgL_res2072z00_2918 =
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg1947z00_2913,
						BgL_ez00_2827);
				}
				return BgL_res2072z00_2918;
			}
		}

	}



/* &initflow-node-set-ex1367 */
	obj_t BGl_z62initflowzd2nodezd2setzd2ex1367zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2828, obj_t BgL_nodez00_2829, obj_t BgL_ez00_2830)
	{
		{	/* Initflow/walk.scm 298 */
			BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2829)))->BgL_onexitz00),
				CBOOL(BgL_ez00_2830));
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2829)))->BgL_bodyz00),
				CBOOL(BgL_ez00_2830));
		}

	}



/* &initflow-node-let-va1365 */
	obj_t BGl_z62initflowzd2nodezd2letzd2va1365zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2831, obj_t BgL_nodez00_2832, obj_t BgL_ez00_2833)
	{
		{	/* Initflow/walk.scm 289 */
			{	/* Initflow/walk.scm 290 */
				obj_t BgL_res2073z00_2933;

				{	/* Initflow/walk.scm 291 */
					obj_t BgL_isz00_2921;

					{	/* Initflow/walk.scm 291 */
						obj_t BgL_l1325z00_2922;

						BgL_l1325z00_2922 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2832)))->
							BgL_bindingsz00);
						if (NULLP(BgL_l1325z00_2922))
							{	/* Initflow/walk.scm 291 */
								BgL_isz00_2921 = BNIL;
							}
						else
							{	/* Initflow/walk.scm 291 */
								obj_t BgL_head1327z00_2923;

								BgL_head1327z00_2923 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1325z00_2925;
									obj_t BgL_tail1328z00_2926;

									BgL_l1325z00_2925 = BgL_l1325z00_2922;
									BgL_tail1328z00_2926 = BgL_head1327z00_2923;
								BgL_zc3z04anonymousza31940ze3z87_2924:
									if (NULLP(BgL_l1325z00_2925))
										{	/* Initflow/walk.scm 291 */
											BgL_isz00_2921 = CDR(BgL_head1327z00_2923);
										}
									else
										{	/* Initflow/walk.scm 291 */
											obj_t BgL_newtail1329z00_2927;

											{	/* Initflow/walk.scm 291 */
												obj_t BgL_arg1943z00_2928;

												{	/* Initflow/walk.scm 291 */
													obj_t BgL_bz00_2929;

													BgL_bz00_2929 = CAR(((obj_t) BgL_l1325z00_2925));
													{	/* Initflow/walk.scm 291 */
														obj_t BgL_arg1944z00_2930;

														BgL_arg1944z00_2930 = CDR(((obj_t) BgL_bz00_2929));
														BgL_arg1943z00_2928 =
															BGl_initflowzd2nodezd2zzinitflow_walkz00(
															((BgL_nodez00_bglt) BgL_arg1944z00_2930),
															CBOOL(BgL_ez00_2833));
													}
												}
												BgL_newtail1329z00_2927 =
													MAKE_YOUNG_PAIR(BgL_arg1943z00_2928, BNIL);
											}
											SET_CDR(BgL_tail1328z00_2926, BgL_newtail1329z00_2927);
											{	/* Initflow/walk.scm 291 */
												obj_t BgL_arg1942z00_2931;

												BgL_arg1942z00_2931 = CDR(((obj_t) BgL_l1325z00_2925));
												{
													obj_t BgL_tail1328z00_3741;
													obj_t BgL_l1325z00_3740;

													BgL_l1325z00_3740 = BgL_arg1942z00_2931;
													BgL_tail1328z00_3741 = BgL_newtail1329z00_2927;
													BgL_tail1328z00_2926 = BgL_tail1328z00_3741;
													BgL_l1325z00_2925 = BgL_l1325z00_3740;
													goto BgL_zc3z04anonymousza31940ze3z87_2924;
												}
											}
										}
								}
							}
					}
					{	/* Initflow/walk.scm 291 */
						obj_t BgL_lubz00_2932;

						BgL_lubz00_2932 =
							BGl_lubz00zzinitflow_walkz00(BgL_isz00_2921, BgL_ez00_2833);
						{	/* Initflow/walk.scm 292 */

							BgL_res2073z00_2933 =
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_lubz00_2932,
								BGl_initflowzd2nodezd2zzinitflow_walkz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2832)))->
										BgL_bodyz00), CBOOL(BgL_ez00_2833)));
						}
					}
				}
				return BgL_res2073z00_2933;
			}
		}

	}



/* &initflow-node-let-fu1363 */
	obj_t BGl_z62initflowzd2nodezd2letzd2fu1363zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2834, obj_t BgL_nodez00_2835, obj_t BgL_ez00_2836)
	{
		{	/* Initflow/walk.scm 282 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2835)))->BgL_bodyz00),
				CBOOL(BgL_ez00_2836));
		}

	}



/* &initflow-node-box-se1361 */
	obj_t BGl_z62initflowzd2nodezd2boxzd2se1361zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2837, obj_t BgL_nodez00_2838, obj_t BgL_ez00_2839)
	{
		{	/* Initflow/walk.scm 275 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2838)))->BgL_valuez00),
				CBOOL(BgL_ez00_2839));
		}

	}



/* &initflow-node-box-re1359 */
	obj_t BGl_z62initflowzd2nodezd2boxzd2re1359zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2840, obj_t BgL_nodez00_2841, obj_t BgL_ez00_2842)
	{
		{	/* Initflow/walk.scm 268 */
			{	/* Initflow/walk.scm 270 */
				BgL_varz00_bglt BgL_arg1933z00_2937;

				BgL_arg1933z00_2937 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2841)))->BgL_varz00);
				return
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					((BgL_nodez00_bglt) BgL_arg1933z00_2937), CBOOL(BgL_ez00_2842));
			}
		}

	}



/* &initflow-node-make-b1357 */
	obj_t BGl_z62initflowzd2nodezd2makezd2b1357zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2843, obj_t BgL_nodez00_2844, obj_t BgL_ez00_2845)
	{
		{	/* Initflow/walk.scm 261 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2844)))->BgL_valuez00),
				CBOOL(BgL_ez00_2845));
		}

	}



/* &initflow-node-switch1355 */
	obj_t BGl_z62initflowzd2nodezd2switch1355z62zzinitflow_walkz00(obj_t
		BgL_envz00_2846, obj_t BgL_nodez00_2847, obj_t BgL_ez00_2848)
	{
		{	/* Initflow/walk.scm 251 */
			{	/* Initflow/walk.scm 252 */
				obj_t BgL_res2074z00_2952;

				{	/* Initflow/walk.scm 253 */
					obj_t BgL_i0z00_2940;

					BgL_i0z00_2940 =
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2847)))->BgL_testz00),
						CBOOL(BgL_ez00_2848));
					{	/* Initflow/walk.scm 254 */
						obj_t BgL_isz00_2941;

						{	/* Initflow/walk.scm 254 */
							obj_t BgL_l1320z00_2942;

							BgL_l1320z00_2942 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_2847)))->BgL_clausesz00);
							if (NULLP(BgL_l1320z00_2942))
								{	/* Initflow/walk.scm 254 */
									BgL_isz00_2941 = BNIL;
								}
							else
								{	/* Initflow/walk.scm 254 */
									obj_t BgL_head1322z00_2943;

									BgL_head1322z00_2943 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1320z00_2945;
										obj_t BgL_tail1323z00_2946;

										BgL_l1320z00_2945 = BgL_l1320z00_2942;
										BgL_tail1323z00_2946 = BgL_head1322z00_2943;
									BgL_zc3z04anonymousza31925ze3z87_2944:
										if (NULLP(BgL_l1320z00_2945))
											{	/* Initflow/walk.scm 254 */
												BgL_isz00_2941 = CDR(BgL_head1322z00_2943);
											}
										else
											{	/* Initflow/walk.scm 254 */
												obj_t BgL_newtail1324z00_2947;

												{	/* Initflow/walk.scm 254 */
													obj_t BgL_arg1929z00_2948;

													{	/* Initflow/walk.scm 254 */
														obj_t BgL_cz00_2949;

														BgL_cz00_2949 = CAR(((obj_t) BgL_l1320z00_2945));
														{	/* Initflow/walk.scm 254 */
															obj_t BgL_arg1930z00_2950;

															BgL_arg1930z00_2950 =
																CDR(((obj_t) BgL_cz00_2949));
															BgL_arg1929z00_2948 =
																BGl_initflowzd2nodezd2zzinitflow_walkz00(
																((BgL_nodez00_bglt) BgL_arg1930z00_2950),
																((bool_t) 0));
														}
													}
													BgL_newtail1324z00_2947 =
														MAKE_YOUNG_PAIR(BgL_arg1929z00_2948, BNIL);
												}
												SET_CDR(BgL_tail1323z00_2946, BgL_newtail1324z00_2947);
												{	/* Initflow/walk.scm 254 */
													obj_t BgL_arg1927z00_2951;

													BgL_arg1927z00_2951 =
														CDR(((obj_t) BgL_l1320z00_2945));
													{
														obj_t BgL_tail1323z00_3788;
														obj_t BgL_l1320z00_3787;

														BgL_l1320z00_3787 = BgL_arg1927z00_2951;
														BgL_tail1323z00_3788 = BgL_newtail1324z00_2947;
														BgL_tail1323z00_2946 = BgL_tail1323z00_3788;
														BgL_l1320z00_2945 = BgL_l1320z00_3787;
														goto BgL_zc3z04anonymousza31925ze3z87_2944;
													}
												}
											}
									}
								}
						}
						BgL_res2074z00_2952 =
							BGl_appendzd221011zd2zzinitflow_walkz00
							(BGl_lubz00zzinitflow_walkz00(BgL_isz00_2941, BgL_ez00_2848),
							BgL_i0z00_2940);
					}
				}
				return BgL_res2074z00_2952;
			}
		}

	}



/* &initflow-node-fail1353 */
	obj_t BGl_z62initflowzd2nodezd2fail1353z62zzinitflow_walkz00(obj_t
		BgL_envz00_2849, obj_t BgL_nodez00_2850, obj_t BgL_ez00_2851)
	{
		{	/* Initflow/walk.scm 244 */
			{	/* Initflow/walk.scm 245 */
				obj_t BgL_res2075z00_2961;

				{	/* Initflow/walk.scm 246 */
					obj_t BgL_arg1914z00_2954;

					{	/* Initflow/walk.scm 246 */
						BgL_nodez00_bglt BgL_arg1916z00_2955;
						BgL_nodez00_bglt BgL_arg1917z00_2956;
						BgL_nodez00_bglt BgL_arg1918z00_2957;

						BgL_arg1916z00_2955 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2850)))->BgL_procz00);
						BgL_arg1917z00_2956 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2850)))->BgL_msgz00);
						BgL_arg1918z00_2957 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2850)))->BgL_objz00);
						{	/* Initflow/walk.scm 246 */
							obj_t BgL_list1919z00_2958;

							{	/* Initflow/walk.scm 246 */
								obj_t BgL_arg1920z00_2959;

								{	/* Initflow/walk.scm 246 */
									obj_t BgL_arg1922z00_2960;

									BgL_arg1922z00_2960 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg1918z00_2957), BNIL);
									BgL_arg1920z00_2959 =
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_arg1917z00_2956), BgL_arg1922z00_2960);
								}
								BgL_list1919z00_2958 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg1916z00_2955), BgL_arg1920z00_2959);
							}
							BgL_arg1914z00_2954 = BgL_list1919z00_2958;
						}
					}
					BgL_res2075z00_2961 =
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg1914z00_2954,
						BgL_ez00_2851);
				}
				return BgL_res2075z00_2961;
			}
		}

	}



/* &initflow-node-condit1351 */
	obj_t BGl_z62initflowzd2nodezd2condit1351z62zzinitflow_walkz00(obj_t
		BgL_envz00_2852, obj_t BgL_nodez00_2853, obj_t BgL_ez00_2854)
	{
		{	/* Initflow/walk.scm 232 */
			{	/* Initflow/walk.scm 233 */
				obj_t BgL_res2076z00_2970;

				{	/* Initflow/walk.scm 234 */
					obj_t BgL_i0z00_2963;

					BgL_i0z00_2963 =
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2853)))->BgL_testz00),
						CBOOL(BgL_ez00_2854));
					{	/* Initflow/walk.scm 236 */
						obj_t BgL_i1z00_2964;
						obj_t BgL_i2z00_2965;

						BgL_i1z00_2964 =
							BGl_initflowzd2nodezd2zzinitflow_walkz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2853)))->
								BgL_truez00), ((bool_t) 0));
						BgL_i2z00_2965 =
							BGl_initflowzd2nodezd2zzinitflow_walkz00(((
									(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
											BgL_nodez00_2853)))->BgL_falsez00), ((bool_t) 0));
						{	/* Initflow/walk.scm 239 */
							obj_t BgL_arg1907z00_2966;

							{	/* Initflow/walk.scm 239 */
								obj_t BgL_arg1908z00_2967;

								{	/* Initflow/walk.scm 239 */
									obj_t BgL_list1909z00_2968;

									{	/* Initflow/walk.scm 239 */
										obj_t BgL_arg1910z00_2969;

										BgL_arg1910z00_2969 = MAKE_YOUNG_PAIR(BgL_i2z00_2965, BNIL);
										BgL_list1909z00_2968 =
											MAKE_YOUNG_PAIR(BgL_i1z00_2964, BgL_arg1910z00_2969);
									}
									BgL_arg1908z00_2967 = BgL_list1909z00_2968;
								}
								BgL_arg1907z00_2966 =
									BGl_lubz00zzinitflow_walkz00(BgL_arg1908z00_2967,
									BgL_ez00_2854);
							}
							BgL_res2076z00_2970 =
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_arg1907z00_2966,
								BgL_i0z00_2963);
						}
					}
				}
				return BgL_res2076z00_2970;
			}
		}

	}



/* &initflow-node-setq1349 */
	obj_t BGl_z62initflowzd2nodezd2setq1349z62zzinitflow_walkz00(obj_t
		BgL_envz00_2855, obj_t BgL_nodez00_2856, obj_t BgL_ez00_2857)
	{
		{	/* Initflow/walk.scm 199 */
			{	/* Initflow/walk.scm 201 */
				obj_t BgL_isz00_2972;
				BgL_variablez00_bglt BgL_vz00_2973;

				BgL_isz00_2972 =
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2856)))->BgL_valuez00),
					CBOOL(BgL_ez00_2857));
				BgL_vz00_2973 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setqz00_bglt) COBJECT(
										((BgL_setqz00_bglt) BgL_nodez00_2856)))->BgL_varz00)))->
					BgL_variablez00);
				{	/* Initflow/walk.scm 203 */
					bool_t BgL_test2171z00_3825;

					{	/* Initflow/walk.scm 203 */
						bool_t BgL_test2172z00_3826;

						{	/* Initflow/walk.scm 203 */
							obj_t BgL_classz00_2974;

							BgL_classz00_2974 = BGl_globalz00zzast_varz00;
							{	/* Initflow/walk.scm 203 */
								BgL_objectz00_bglt BgL_arg1825z00_2975;

								{	/* Initflow/walk.scm 203 */
									obj_t BgL_tmpz00_3827;

									BgL_tmpz00_3827 =
										((obj_t) ((BgL_objectz00_bglt) BgL_vz00_2973));
									BgL_arg1825z00_2975 = (BgL_objectz00_bglt) (BgL_tmpz00_3827);
								}
								{	/* Initflow/walk.scm 203 */
									bool_t BgL_arg1822z00_2976;
									bool_t BgL_arg1823z00_2977;

									{	/* Initflow/walk.scm 203 */
										long BgL_idxz00_2978;

										BgL_idxz00_2978 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2975);
										BgL_arg1822z00_2976 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2978 + ((long) 2))) == BgL_classz00_2974);
									}
									{	/* Initflow/walk.scm 203 */
										bool_t BgL_res2025z00_2981;

										{	/* Initflow/walk.scm 203 */
											obj_t BgL_oclassz00_2982;

											{	/* Initflow/walk.scm 203 */
												long BgL_arg1833z00_2983;

												{	/* Initflow/walk.scm 203 */
													long BgL_arg1834z00_2984;

													BgL_arg1834z00_2984 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2975);
													BgL_arg1833z00_2983 =
														(BgL_arg1834z00_2984 - OBJECT_TYPE);
												}
												BgL_oclassz00_2982 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2983);
											}
											{	/* Initflow/walk.scm 203 */
												bool_t BgL__ortest_1110z00_2985;

												BgL__ortest_1110z00_2985 =
													(BgL_classz00_2974 == BgL_oclassz00_2982);
												if (BgL__ortest_1110z00_2985)
													{	/* Initflow/walk.scm 203 */
														BgL_res2025z00_2981 = BgL__ortest_1110z00_2985;
													}
												else
													{	/* Initflow/walk.scm 203 */
														long BgL_odepthz00_2986;

														BgL_odepthz00_2986 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2982);
														if ((((long) 2) < BgL_odepthz00_2986))
															{	/* Initflow/walk.scm 203 */
																obj_t BgL_arg1821z00_2987;

																BgL_arg1821z00_2987 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2982,
																	((long) 2));
																BgL_res2025z00_2981 =
																	(BgL_arg1821z00_2987 == BgL_classz00_2974);
															}
														else
															{	/* Initflow/walk.scm 203 */
																BgL_res2025z00_2981 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2977 = BgL_res2025z00_2981;
									}
									BgL_test2172z00_3826 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2976, BgL_arg1823z00_2977);
								}
							}
						}
						if (BgL_test2172z00_3826)
							{	/* Initflow/walk.scm 203 */
								if (
									((((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_vz00_2973)))->
											BgL_initz00) == BUNSPEC))
									{	/* Initflow/walk.scm 205 */
										obj_t BgL_arg1901z00_2988;

										BgL_arg1901z00_2988 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_vz00_2973)))->
											BgL_modulez00);
										BgL_test2171z00_3825 =
											(BgL_arg1901z00_2988 ==
											BGl_za2moduleza2z00zzmodule_modulez00);
									}
								else
									{	/* Initflow/walk.scm 204 */
										BgL_test2171z00_3825 = ((bool_t) 0);
									}
							}
						else
							{	/* Initflow/walk.scm 203 */
								BgL_test2171z00_3825 = ((bool_t) 0);
							}
					}
					if (BgL_test2171z00_3825)
						{	/* Initflow/walk.scm 203 */
							if (CBOOL(BgL_ez00_2857))
								{	/* Initflow/walk.scm 206 */
									((((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_vz00_2973)))->BgL_initz00) =
										((obj_t) BTRUE), BUNSPEC);
									return BNIL;
								}
							else
								{	/* Initflow/walk.scm 206 */
									return
										MAKE_YOUNG_PAIR(((obj_t) BgL_vz00_2973), BgL_isz00_2972);
								}
						}
					else
						{	/* Initflow/walk.scm 203 */
							return BgL_isz00_2972;
						}
				}
			}
		}

	}



/* &initflow-node-extern1347 */
	obj_t BGl_z62initflowzd2nodezd2extern1347z62zzinitflow_walkz00(obj_t
		BgL_envz00_2858, obj_t BgL_nodez00_2859, obj_t BgL_ez00_2860)
	{
		{	/* Initflow/walk.scm 192 */
			{	/* Initflow/walk.scm 193 */
				obj_t BgL_res2077z00_2990;

				BgL_res2077z00_2990 =
					BGl_initflowzd2nodeza2z70zzinitflow_walkz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2859)))->BgL_exprza2za2),
					BgL_ez00_2860);
				return BgL_res2077z00_2990;
			}
		}

	}



/* &initflow-node-funcal1345 */
	obj_t BGl_z62initflowzd2nodezd2funcal1345z62zzinitflow_walkz00(obj_t
		BgL_envz00_2861, obj_t BgL_nodez00_2862, obj_t BgL_ez00_2863)
	{
		{	/* Initflow/walk.scm 185 */
			{	/* Initflow/walk.scm 186 */
				obj_t BgL_res2078z00_2995;

				{	/* Initflow/walk.scm 187 */
					obj_t BgL_arg1887z00_2992;

					{	/* Initflow/walk.scm 187 */
						BgL_nodez00_bglt BgL_arg1888z00_2993;
						obj_t BgL_arg1890z00_2994;

						BgL_arg1888z00_2993 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2862)))->BgL_funz00);
						BgL_arg1890z00_2994 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2862)))->BgL_argsz00);
						BgL_arg1887z00_2992 =
							MAKE_YOUNG_PAIR(
							((obj_t) BgL_arg1888z00_2993), BgL_arg1890z00_2994);
					}
					BgL_res2078z00_2995 =
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg1887z00_2992,
						BgL_ez00_2863);
				}
				return BgL_res2078z00_2995;
			}
		}

	}



/* &initflow-node-app-ly1343 */
	obj_t BGl_z62initflowzd2nodezd2appzd2ly1343zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2864, obj_t BgL_nodez00_2865, obj_t BgL_ez00_2866)
	{
		{	/* Initflow/walk.scm 178 */
			{	/* Initflow/walk.scm 179 */
				obj_t BgL_res2079z00_3002;

				{	/* Initflow/walk.scm 180 */
					obj_t BgL_arg1882z00_2997;

					{	/* Initflow/walk.scm 180 */
						BgL_nodez00_bglt BgL_arg1883z00_2998;
						BgL_nodez00_bglt BgL_arg1884z00_2999;

						BgL_arg1883z00_2998 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2865)))->BgL_funz00);
						BgL_arg1884z00_2999 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2865)))->BgL_argz00);
						{	/* Initflow/walk.scm 180 */
							obj_t BgL_list1885z00_3000;

							{	/* Initflow/walk.scm 180 */
								obj_t BgL_arg1886z00_3001;

								BgL_arg1886z00_3001 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg1884z00_2999), BNIL);
								BgL_list1885z00_3000 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg1883z00_2998), BgL_arg1886z00_3001);
							}
							BgL_arg1882z00_2997 = BgL_list1885z00_3000;
						}
					}
					BgL_res2079z00_3002 =
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg1882z00_2997,
						BgL_ez00_2866);
				}
				return BgL_res2079z00_3002;
			}
		}

	}



/* &initflow-node-app1341 */
	obj_t BGl_z62initflowzd2nodezd2app1341z62zzinitflow_walkz00(obj_t
		BgL_envz00_2867, obj_t BgL_nodez00_2868, obj_t BgL_ez00_2869)
	{
		{	/* Initflow/walk.scm 164 */
			{	/* Initflow/walk.scm 166 */
				BgL_variablez00_bglt BgL_vz00_3004;

				BgL_vz00_3004 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2868)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Initflow/walk.scm 166 */
					BgL_valuez00_bglt BgL_fz00_3005;

					BgL_fz00_3005 =
						(((BgL_variablez00_bglt) COBJECT(BgL_vz00_3004))->BgL_valuez00);
					{	/* Initflow/walk.scm 167 */

						{	/* Initflow/walk.scm 168 */
							bool_t BgL_test2177z00_3882;

							{	/* Initflow/walk.scm 168 */
								bool_t BgL_test2178z00_3883;

								{	/* Initflow/walk.scm 168 */
									obj_t BgL_classz00_3006;

									BgL_classz00_3006 = BGl_sfunz00zzast_varz00;
									{	/* Initflow/walk.scm 168 */
										BgL_objectz00_bglt BgL_arg1825z00_3007;

										{	/* Initflow/walk.scm 168 */
											obj_t BgL_tmpz00_3884;

											BgL_tmpz00_3884 =
												((obj_t) ((BgL_objectz00_bglt) BgL_fz00_3005));
											BgL_arg1825z00_3007 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3884);
										}
										{	/* Initflow/walk.scm 168 */
											bool_t BgL_arg1822z00_3008;
											bool_t BgL_arg1823z00_3009;

											{	/* Initflow/walk.scm 168 */
												long BgL_idxz00_3010;

												BgL_idxz00_3010 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3007);
												BgL_arg1822z00_3008 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3010 + ((long) 3))) ==
													BgL_classz00_3006);
											}
											{	/* Initflow/walk.scm 168 */
												bool_t BgL_res2022z00_3013;

												{	/* Initflow/walk.scm 168 */
													obj_t BgL_oclassz00_3014;

													{	/* Initflow/walk.scm 168 */
														long BgL_arg1833z00_3015;

														{	/* Initflow/walk.scm 168 */
															long BgL_arg1834z00_3016;

															BgL_arg1834z00_3016 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3007);
															BgL_arg1833z00_3015 =
																(BgL_arg1834z00_3016 - OBJECT_TYPE);
														}
														BgL_oclassz00_3014 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_3015);
													}
													{	/* Initflow/walk.scm 168 */
														bool_t BgL__ortest_1110z00_3017;

														BgL__ortest_1110z00_3017 =
															(BgL_classz00_3006 == BgL_oclassz00_3014);
														if (BgL__ortest_1110z00_3017)
															{	/* Initflow/walk.scm 168 */
																BgL_res2022z00_3013 = BgL__ortest_1110z00_3017;
															}
														else
															{	/* Initflow/walk.scm 168 */
																long BgL_odepthz00_3018;

																BgL_odepthz00_3018 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3014);
																if ((((long) 3) < BgL_odepthz00_3018))
																	{	/* Initflow/walk.scm 168 */
																		obj_t BgL_arg1821z00_3019;

																		BgL_arg1821z00_3019 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3014, ((long) 3));
																		BgL_res2022z00_3013 =
																			(BgL_arg1821z00_3019 ==
																			BgL_classz00_3006);
																	}
																else
																	{	/* Initflow/walk.scm 168 */
																		BgL_res2022z00_3013 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_3009 = BgL_res2022z00_3013;
											}
											BgL_test2178z00_3883 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_3008,
												BgL_arg1823z00_3009);
										}
									}
								}
								if (BgL_test2178z00_3883)
									{	/* Initflow/walk.scm 168 */
										BgL_test2177z00_3882 =
											CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(CNST_TABLE_REF(((long) 6)),
												(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
																BgL_fz00_3005)))->BgL_propertyz00)));
									}
								else
									{	/* Initflow/walk.scm 168 */
										BgL_test2177z00_3882 = ((bool_t) 0);
									}
							}
							if (BgL_test2177z00_3882)
								{	/* Initflow/walk.scm 168 */
									return BNIL;
								}
							else
								{	/* Initflow/walk.scm 170 */
									obj_t BgL_isz00_3020;

									BgL_isz00_3020 =
										BGl_initflowzd2nodeza2z70zzinitflow_walkz00(
										(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_2868)))->BgL_argsz00),
										BgL_ez00_2869);
									{	/* Initflow/walk.scm 171 */
										bool_t BgL_test2181z00_3911;

										{	/* Initflow/walk.scm 171 */
											obj_t BgL_classz00_3021;

											BgL_classz00_3021 = BGl_sfunz00zzast_varz00;
											{	/* Initflow/walk.scm 171 */
												BgL_objectz00_bglt BgL_arg1825z00_3022;

												{	/* Initflow/walk.scm 171 */
													obj_t BgL_tmpz00_3912;

													BgL_tmpz00_3912 =
														((obj_t) ((BgL_objectz00_bglt) BgL_fz00_3005));
													BgL_arg1825z00_3022 =
														(BgL_objectz00_bglt) (BgL_tmpz00_3912);
												}
												{	/* Initflow/walk.scm 171 */
													bool_t BgL_arg1822z00_3023;
													bool_t BgL_arg1823z00_3024;

													{	/* Initflow/walk.scm 171 */
														long BgL_idxz00_3025;

														BgL_idxz00_3025 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3022);
														BgL_arg1822z00_3023 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3025 + ((long) 3))) ==
															BgL_classz00_3021);
													}
													{	/* Initflow/walk.scm 171 */
														bool_t BgL_res2023z00_3028;

														{	/* Initflow/walk.scm 171 */
															obj_t BgL_oclassz00_3029;

															{	/* Initflow/walk.scm 171 */
																long BgL_arg1833z00_3030;

																{	/* Initflow/walk.scm 171 */
																	long BgL_arg1834z00_3031;

																	BgL_arg1834z00_3031 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3022);
																	BgL_arg1833z00_3030 =
																		(BgL_arg1834z00_3031 - OBJECT_TYPE);
																}
																BgL_oclassz00_3029 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3030);
															}
															{	/* Initflow/walk.scm 171 */
																bool_t BgL__ortest_1110z00_3032;

																BgL__ortest_1110z00_3032 =
																	(BgL_classz00_3021 == BgL_oclassz00_3029);
																if (BgL__ortest_1110z00_3032)
																	{	/* Initflow/walk.scm 171 */
																		BgL_res2023z00_3028 =
																			BgL__ortest_1110z00_3032;
																	}
																else
																	{	/* Initflow/walk.scm 171 */
																		long BgL_odepthz00_3033;

																		BgL_odepthz00_3033 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3029);
																		if ((((long) 3) < BgL_odepthz00_3033))
																			{	/* Initflow/walk.scm 171 */
																				obj_t BgL_arg1821z00_3034;

																				BgL_arg1821z00_3034 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3029, ((long) 3));
																				BgL_res2023z00_3028 =
																					(BgL_arg1821z00_3034 ==
																					BgL_classz00_3021);
																			}
																		else
																			{	/* Initflow/walk.scm 171 */
																				BgL_res2023z00_3028 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3024 = BgL_res2023z00_3028;
													}
													BgL_test2181z00_3911 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3023,
														BgL_arg1823z00_3024);
												}
											}
										}
										if (BgL_test2181z00_3911)
											{	/* Initflow/walk.scm 171 */
												return
													BGl_appendzd221011zd2zzinitflow_walkz00
													(BGl_initflowzd2funzd2zzinitflow_walkz00
													(BgL_vz00_3004, CBOOL(BgL_ez00_2869)),
													BgL_isz00_3020);
											}
										else
											{	/* Initflow/walk.scm 171 */
												return BgL_isz00_3020;
											}
									}
								}
						}
					}
				}
			}
		}

	}



/* &initflow-node-sync1339 */
	obj_t BGl_z62initflowzd2nodezd2sync1339z62zzinitflow_walkz00(obj_t
		BgL_envz00_2870, obj_t BgL_nodez00_2871, obj_t BgL_ez00_2872)
	{
		{	/* Initflow/walk.scm 155 */
			BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2871)))->BgL_mutexz00),
				CBOOL(BgL_ez00_2872));
			BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2871)))->BgL_prelockz00),
				CBOOL(BgL_ez00_2872));
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2871)))->BgL_bodyz00),
				CBOOL(BgL_ez00_2872));
		}

	}



/* &initflow-node-sequen1337 */
	obj_t BGl_z62initflowzd2nodezd2sequen1337z62zzinitflow_walkz00(obj_t
		BgL_envz00_2873, obj_t BgL_nodez00_2874, obj_t BgL_ez00_2875)
	{
		{	/* Initflow/walk.scm 142 */
			{	/* Initflow/walk.scm 143 */
				obj_t BgL_res2080z00_3044;

				{
					obj_t BgL_nodesz00_3038;
					obj_t BgL_isz00_3039;

					BgL_nodesz00_3038 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2874)))->BgL_nodesz00);
					BgL_isz00_3039 = BNIL;
				BgL_loopz00_3037:
					if (NULLP(BgL_nodesz00_3038))
						{	/* Initflow/walk.scm 146 */
							BgL_res2080z00_3044 = BgL_isz00_3039;
						}
					else
						{	/* Initflow/walk.scm 148 */
							obj_t BgL_iz00_3040;

							{	/* Initflow/walk.scm 148 */
								obj_t BgL_arg1865z00_3041;

								BgL_arg1865z00_3041 = CAR(((obj_t) BgL_nodesz00_3038));
								BgL_iz00_3040 =
									BGl_initflowzd2nodezd2zzinitflow_walkz00(
									((BgL_nodez00_bglt) BgL_arg1865z00_3041),
									CBOOL(BgL_ez00_2875));
							}
							{	/* Initflow/walk.scm 149 */
								obj_t BgL_arg1862z00_3042;
								obj_t BgL_arg1863z00_3043;

								BgL_arg1862z00_3042 = CDR(((obj_t) BgL_nodesz00_3038));
								BgL_arg1863z00_3043 =
									BGl_appendzd221011zd2zzinitflow_walkz00(BgL_iz00_3040,
									BgL_isz00_3039);
								{
									obj_t BgL_isz00_3957;
									obj_t BgL_nodesz00_3956;

									BgL_nodesz00_3956 = BgL_arg1862z00_3042;
									BgL_isz00_3957 = BgL_arg1863z00_3043;
									BgL_isz00_3039 = BgL_isz00_3957;
									BgL_nodesz00_3038 = BgL_nodesz00_3956;
									goto BgL_loopz00_3037;
								}
							}
						}
				}
				return BgL_res2080z00_3044;
			}
		}

	}



/* &initflow-node-var1335 */
	obj_t BGl_z62initflowzd2nodezd2var1335z62zzinitflow_walkz00(obj_t
		BgL_envz00_2876, obj_t BgL_nodez00_2877, obj_t BgL_ez00_2878)
	{
		{	/* Initflow/walk.scm 99 */
			{	/* Initflow/walk.scm 101 */
				bool_t BgL_test2185z00_3960;

				{	/* Initflow/walk.scm 101 */
					bool_t BgL_test2186z00_3961;

					{	/* Initflow/walk.scm 101 */
						BgL_variablez00_bglt BgL_arg1842z00_3046;

						BgL_arg1842z00_3046 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_nodez00_2877)))->BgL_variablez00);
						{	/* Initflow/walk.scm 101 */
							obj_t BgL_classz00_3047;

							BgL_classz00_3047 = BGl_globalz00zzast_varz00;
							{	/* Initflow/walk.scm 101 */
								BgL_objectz00_bglt BgL_arg1825z00_3048;

								{	/* Initflow/walk.scm 101 */
									obj_t BgL_tmpz00_3964;

									BgL_tmpz00_3964 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1842z00_3046));
									BgL_arg1825z00_3048 = (BgL_objectz00_bglt) (BgL_tmpz00_3964);
								}
								{	/* Initflow/walk.scm 101 */
									bool_t BgL_arg1822z00_3049;
									bool_t BgL_arg1823z00_3050;

									{	/* Initflow/walk.scm 101 */
										long BgL_idxz00_3051;

										BgL_idxz00_3051 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3048);
										BgL_arg1822z00_3049 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3051 + ((long) 2))) == BgL_classz00_3047);
									}
									{	/* Initflow/walk.scm 101 */
										bool_t BgL_res2020z00_3054;

										{	/* Initflow/walk.scm 101 */
											obj_t BgL_oclassz00_3055;

											{	/* Initflow/walk.scm 101 */
												long BgL_arg1833z00_3056;

												{	/* Initflow/walk.scm 101 */
													long BgL_arg1834z00_3057;

													BgL_arg1834z00_3057 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3048);
													BgL_arg1833z00_3056 =
														(BgL_arg1834z00_3057 - OBJECT_TYPE);
												}
												BgL_oclassz00_3055 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_3056);
											}
											{	/* Initflow/walk.scm 101 */
												bool_t BgL__ortest_1110z00_3058;

												BgL__ortest_1110z00_3058 =
													(BgL_classz00_3047 == BgL_oclassz00_3055);
												if (BgL__ortest_1110z00_3058)
													{	/* Initflow/walk.scm 101 */
														BgL_res2020z00_3054 = BgL__ortest_1110z00_3058;
													}
												else
													{	/* Initflow/walk.scm 101 */
														long BgL_odepthz00_3059;

														BgL_odepthz00_3059 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3055);
														if ((((long) 2) < BgL_odepthz00_3059))
															{	/* Initflow/walk.scm 101 */
																obj_t BgL_arg1821z00_3060;

																BgL_arg1821z00_3060 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3055,
																	((long) 2));
																BgL_res2020z00_3054 =
																	(BgL_arg1821z00_3060 == BgL_classz00_3047);
															}
														else
															{	/* Initflow/walk.scm 101 */
																BgL_res2020z00_3054 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_3050 = BgL_res2020z00_3054;
									}
									BgL_test2186z00_3961 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_3049, BgL_arg1823z00_3050);
								}
							}
						}
					}
					if (BgL_test2186z00_3961)
						{	/* Initflow/walk.scm 101 */
							if (
								((((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2877)))->
														BgL_variablez00))))->BgL_initz00) == BUNSPEC))
								{	/* Initflow/walk.scm 103 */
									obj_t BgL_arg1824z00_3061;

									BgL_arg1824z00_3061 =
										(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2877)))->
														BgL_variablez00))))->BgL_modulez00);
									BgL_test2185z00_3960 =
										(BgL_arg1824z00_3061 ==
										BGl_za2moduleza2z00zzmodule_modulez00);
								}
							else
								{	/* Initflow/walk.scm 102 */
									BgL_test2185z00_3960 = ((bool_t) 0);
								}
						}
					else
						{	/* Initflow/walk.scm 101 */
							BgL_test2185z00_3960 = ((bool_t) 0);
						}
				}
				if (BgL_test2185z00_3960)
					{	/* Initflow/walk.scm 101 */
						{	/* Initflow/walk.scm 104 */
							BgL_variablez00_bglt BgL_arg1751z00_3062;

							BgL_arg1751z00_3062 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2877)))->BgL_variablez00);
							((((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_arg1751z00_3062)))->
									BgL_initz00) = ((obj_t) BFALSE), BUNSPEC);
						}
						{	/* Initflow/walk.scm 106 */
							bool_t BgL_test2190z00_3998;

							{	/* Initflow/walk.scm 106 */
								BgL_typez00_bglt BgL_arg1817z00_3063;

								BgL_arg1817z00_3063 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2877)))->
														BgL_variablez00)))))->BgL_typez00);
								BgL_test2190z00_3998 =
									(((obj_t) BgL_arg1817z00_3063) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_test2190z00_3998)
								{	/* Initflow/walk.scm 107 */
									BgL_variablez00_bglt BgL_arg1759z00_3064;

									BgL_arg1759z00_3064 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_2877)))->
										BgL_variablez00);
									{	/* Initflow/walk.scm 107 */
										BgL_typez00_bglt BgL_vz00_3065;

										BgL_vz00_3065 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_arg1759z00_3064))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_3065), BUNSPEC);
									}
								}
							else
								{	/* Initflow/walk.scm 108 */
									bool_t BgL_test2191z00_4012;

									{	/* Initflow/walk.scm 108 */
										BgL_typez00_bglt BgL_arg1810z00_3066;

										BgL_arg1810z00_3066 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt)
															(((BgL_varz00_bglt) COBJECT(
																		((BgL_varz00_bglt) BgL_nodez00_2877)))->
																BgL_variablez00)))))->BgL_typez00);
										BgL_test2191z00_4012 =
											(((obj_t) BgL_arg1810z00_3066) ==
											BGl_za2objza2z00zztype_cachez00);
									}
									if (BgL_test2191z00_4012)
										{	/* Initflow/walk.scm 108 */
											BUNSPEC;
										}
									else
										{	/* Initflow/walk.scm 110 */
											bool_t BgL_test2192z00_4020;

											{	/* Initflow/walk.scm 110 */
												bool_t BgL_test2193z00_4021;

												{	/* Initflow/walk.scm 110 */
													BgL_variablez00_bglt BgL_arg1808z00_3067;

													BgL_arg1808z00_3067 =
														(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2877)))->
														BgL_variablez00);
													BgL_test2193z00_4021 =
														BGl_globalzd2readzd2onlyzf3zf3zzast_varz00((
															(BgL_globalz00_bglt) BgL_arg1808z00_3067));
												}
												if (BgL_test2193z00_4021)
													{	/* Initflow/walk.scm 111 */
														BgL_typez00_bglt BgL_arg1801z00_3068;
														obj_t BgL_arg1805z00_3069;

														BgL_arg1801z00_3068 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt)
																			(((BgL_varz00_bglt) COBJECT(
																						((BgL_varz00_bglt)
																							BgL_nodez00_2877)))->
																				BgL_variablez00)))))->BgL_typez00);
														BgL_arg1805z00_3069 =
															BGl_getzd2classzd2typez00zztype_cachez00();
														BgL_test2192z00_4020 =
															(((obj_t) BgL_arg1801z00_3068) ==
															BgL_arg1805z00_3069);
													}
												else
													{	/* Initflow/walk.scm 110 */
														BgL_test2192z00_4020 = ((bool_t) 0);
													}
											}
											if (BgL_test2192z00_4020)
												{	/* Initflow/walk.scm 110 */
													BUNSPEC;
												}
											else
												{	/* Initflow/walk.scm 114 */
													obj_t BgL_arg1785z00_3070;
													obj_t BgL_arg1788z00_3071;

													BgL_arg1785z00_3070 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt)
																	((BgL_varz00_bglt) BgL_nodez00_2877))))->
														BgL_locz00);
													BgL_arg1788z00_3071 =
														(((BgL_variablez00_bglt) COBJECT((((BgL_varz00_bglt)
																		COBJECT(((BgL_varz00_bglt)
																				BgL_nodez00_2877)))->
																	BgL_variablez00)))->BgL_idz00);
													BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_arg1785z00_3070,
														BGl_za2moduleza2z00zzmodule_modulez00,
														BGl_string2066z00zzinitflow_walkz00,
														BgL_arg1788z00_3071, BNIL);
												}
										}
								}
						}
					}
				else
					{	/* Initflow/walk.scm 101 */
						BFALSE;
					}
			}
			{	/* Initflow/walk.scm 117 */
				bool_t BgL_test2194z00_4041;

				{	/* Initflow/walk.scm 117 */
					BgL_valuez00_bglt BgL_arg1854z00_3072;

					BgL_arg1854z00_3072 =
						(((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_2877)))->
									BgL_variablez00)))->BgL_valuez00);
					{	/* Initflow/walk.scm 117 */
						obj_t BgL_classz00_3073;

						BgL_classz00_3073 = BGl_sfunz00zzast_varz00;
						{	/* Initflow/walk.scm 117 */
							BgL_objectz00_bglt BgL_arg1825z00_3074;

							{	/* Initflow/walk.scm 117 */
								obj_t BgL_tmpz00_4045;

								BgL_tmpz00_4045 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1854z00_3072));
								BgL_arg1825z00_3074 = (BgL_objectz00_bglt) (BgL_tmpz00_4045);
							}
							{	/* Initflow/walk.scm 117 */
								bool_t BgL_arg1822z00_3075;
								bool_t BgL_arg1823z00_3076;

								{	/* Initflow/walk.scm 117 */
									long BgL_idxz00_3077;

									BgL_idxz00_3077 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3074);
									BgL_arg1822z00_3075 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3077 + ((long) 3))) == BgL_classz00_3073);
								}
								{	/* Initflow/walk.scm 117 */
									bool_t BgL_res2021z00_3080;

									{	/* Initflow/walk.scm 117 */
										obj_t BgL_oclassz00_3081;

										{	/* Initflow/walk.scm 117 */
											long BgL_arg1833z00_3082;

											{	/* Initflow/walk.scm 117 */
												long BgL_arg1834z00_3083;

												BgL_arg1834z00_3083 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3074);
												BgL_arg1833z00_3082 =
													(BgL_arg1834z00_3083 - OBJECT_TYPE);
											}
											BgL_oclassz00_3081 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3082);
										}
										{	/* Initflow/walk.scm 117 */
											bool_t BgL__ortest_1110z00_3084;

											BgL__ortest_1110z00_3084 =
												(BgL_classz00_3073 == BgL_oclassz00_3081);
											if (BgL__ortest_1110z00_3084)
												{	/* Initflow/walk.scm 117 */
													BgL_res2021z00_3080 = BgL__ortest_1110z00_3084;
												}
											else
												{	/* Initflow/walk.scm 117 */
													long BgL_odepthz00_3085;

													BgL_odepthz00_3085 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3081);
													if ((((long) 3) < BgL_odepthz00_3085))
														{	/* Initflow/walk.scm 117 */
															obj_t BgL_arg1821z00_3086;

															BgL_arg1821z00_3086 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3081,
																((long) 3));
															BgL_res2021z00_3080 =
																(BgL_arg1821z00_3086 == BgL_classz00_3073);
														}
													else
														{	/* Initflow/walk.scm 117 */
															BgL_res2021z00_3080 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3076 = BgL_res2021z00_3080;
								}
								BgL_test2194z00_4041 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3075, BgL_arg1823z00_3076);
							}
						}
					}
				}
				if (BgL_test2194z00_4041)
					{	/* Initflow/walk.scm 117 */
						return
							BGl_initflowzd2funzd2zzinitflow_walkz00(
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2877)))->BgL_variablez00),
							CBOOL(BgL_ez00_2878));
					}
				else
					{	/* Initflow/walk.scm 117 */
						return BNIL;
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinitflow_walkz00()
	{
		{	/* Initflow/walk.scm 27 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2067z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2067z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2067z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2067z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2067z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2067z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2067z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2067z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2067z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2067z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2067z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2067z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2067z00zzinitflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2067z00zzinitflow_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
