/*===========================================================================*/
/*   (Inline/inline.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/inline.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


	BGL_EXPORTED_DECL long
		BGl_isfunzd2arityzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2dssslzd2keywordsz00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2recursivezd2callsz00zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2strengthzb0zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2tailreczd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt BGl_makezd2isfunzd2zzinline_inlinez00(long,
		obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_nodez00_bglt,
		obj_t, bool_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2effectzd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_returnz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2propertyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_inlinez00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t
		BGl_isfunzd2tailreczd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt, long,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2argszd2namez00zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2app1313z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2argszd2namez62zzinline_inlinez00(obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62makezd2isfunzb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62isfunzd2classzd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62isfunzd2originalzd2bodyz62zzinline_inlinez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31598ze3ze5zzinline_inlinez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2predicatezd2ofz00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2classzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2recursivezd2callsz62zzinline_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzinline_inlinez00();
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2cast1321z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setzd2exzd2i1336z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2conditio1325z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00;
	static obj_t BGl_z62isfunzd2failsafezd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2setz121348za2zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinline_inlinez00();
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2strengthzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2makezd2box1344zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62isfunzf3z91zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setq1323z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_inlinez00();
	static BgL_nodez00_bglt
		BGl_disablezd2inliningz12zc0zzinline_inlinez00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sync1311z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2fun1331zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2fail1327z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62isfunzd2arityzb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2jumpzd2exzd21338z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2effectzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2keyszd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2optionalszd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2optionalszb0zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2sidezd2effectz00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_isfunzd2originalzd2bodyz00zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_methodzd2initzd2zzinline_inlinez00();
	extern bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt,
		long, long, obj_t);
	static obj_t BGl_z62isfunzd2keyszb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_sfunz00_bglt BGl_z62isfunzd2nilzb0zzinline_inlinez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sequence1309z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62isfunzd2classzb0zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2loczd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2kfactorza2z00zzinline_walkz00;
	static obj_t
		BGl_z62isfunzd2dssslzd2keywordszd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2bodyzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2failsafezd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2loczb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62inlinezd2nodezb0zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurez00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2predicatezd2ofzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_isfunzd2topzf3z21zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2bodyzb0zzinline_inlinez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt BGl_isfunzd2nilzd2zzinline_inlinez00();
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurezd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62isfunzd2thezd2closurezd2globalzd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_isfunz00zzinline_inlinez00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62disablezd2inliningz12zd2le1352z70zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2topzf3z43zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2sidezd2effectzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62inlinezd2sfunz12za2zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2dssslzd2keywordszd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62inlinezd2node1300zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62isfunzd2recursivezd2callszd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2loczd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2funcall1317z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2kwote1307z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2loczd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2tailreczd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2topzf3zd2setz12ze1zzinline_inlinez00(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2argszd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62disablezd2inliningz12za2zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2topzf3zd2setz12z83zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2var1334zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31607ze3ze5zzinline_inlinez00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62isfunzd2strengthzd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2effectzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2argszb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2failsafezb0zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzinline_inlinez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_inlinez00();
	static obj_t BGl_z62isfunzd2tailreczb0zzinline_inlinez00(obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2ref1346zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62isfunzd2predicatezd2ofz62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_inlinez00();
	static obj_t BGl_gczd2rootszd2initz00zzinline_inlinez00();
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2stackzd2allocatorzd2setz12zc0zzinline_inlinez00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2sidezd2effectz62zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2atom1303z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2retblock1340z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62isfunzd2effectzb0zzinline_inlinez00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt,
		long, obj_t);
	static obj_t BGl_z62lambda1605z62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1606z62zzinline_inlinez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2stackzd2allocatorz00zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2propertyzb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_za2inlinezd2modeza2zd2zzinline_walkz00;
	static obj_t
		BGl_z62isfunzd2stackzd2allocatorzd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31564ze3ze5zzinline_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2propertyzd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62isfunzd2thezd2closurezd2setz12za2zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62isfunzd2thezd2closurezd2globalzb0zzinline_inlinez00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2appzd2ly1315zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62isfunzd2thezd2closurez62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62disablezd2inliningz121349za2zzinline_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2sidezd2effectzd2setz12za2zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1553z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1556z62zzinline_inlinez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2failsafezd2zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_switchz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2setz12z12zzinline_inlinez00
		(BgL_sfunz00_bglt, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1565z62zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2strengthzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2stackzd2allocatorz62zzinline_inlinez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_isfunzf3zf3zzinline_inlinez00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2var1305z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2classzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2propertyzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda1583z62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1584z62zzinline_inlinez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2bodyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2bodyzd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62isfunzd2predicatezd2ofzd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2dssslzd2keywordsz62zzinline_inlinez00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2extern1319z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2return1342z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2argszd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62lambda1596z62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1597z62zzinline_inlinez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62isfunzd2argszd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2switch1329z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t __cnst[16];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2031z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2043z00,
		BGl_z62inlinezd2nodezd2jumpzd2exzd21338z62zzinline_inlinez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2032z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2044z00,
		BGl_z62inlinezd2nodezd2retblock1340z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2033z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2045z00,
		BGl_z62inlinezd2nodezd2return1342z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2040z00zzinline_inlinez00,
		BgL_bgl_string2040za700za7za7i2046za7,
		"read (noinline) noinline inline-node1300 _ inline_inline isfun bool tailrec obj recursive-calls original-body done static cgen all ",
		131);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2034z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2047z00,
		BGl_z62inlinezd2nodezd2makezd2box1344zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2035z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2048z00,
		BGl_z62inlinezd2nodezd2boxzd2ref1346zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2036z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2049z00,
		BGl_z62inlinezd2nodezd2boxzd2setz121348za2zzinline_inlinez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2037z00zzinline_inlinez00,
		BgL_bgl_za762disableza7d2inl2050z00,
		BGl_z62disablezd2inliningz12zd2le1352z70zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2keyszd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2keysza72051za7,
		BGl_z62isfunzd2keyszb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2052za7,
		BGl_z62isfunzd2thezd2closurez62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2argszd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2argsza72053za7,
		BGl_z62isfunzd2argszd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2nilzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2nilza7b2054za7,
		BGl_z62isfunzd2nilzb0zzinline_inlinez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2classzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2class2055z00,
		BGl_z62isfunzd2classzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2effectzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2effec2056z00,
		BGl_z62isfunzd2effectzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2classzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2class2057z00,
		BGl_z62isfunzd2classzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2propertyzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2prope2058z00,
		BGl_z62isfunzd2propertyzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2bodyzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2bodyza72059za7,
		BGl_z62isfunzd2bodyzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2sfunz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2sfun2060z00,
		BGl_z62inlinezd2sfunz12za2zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2strengthzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stren2061z00,
		BGl_z62isfunzd2strengthzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2failsafezd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2fails2062z00,
		BGl_z62isfunzd2failsafezd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2predicatezd2ofzd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2predi2063z00,
		BGl_z62isfunzd2predicatezd2ofzd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2strengthzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stren2064z00,
		BGl_z62isfunzd2strengthzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2topzf3zd2setz12zd2envz33zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2topza7f2065za7,
		BGl_z62isfunzd2topzf3zd2setz12z83zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2066za7,
		BGl_z62isfunzd2thezd2closurezd2setz12za2zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2arityzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2arity2067z00,
		BGl_z62isfunzd2arityzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzf3zd2envz21zzinline_inlinez00,
		BgL_bgl_za762isfunza7f3za791za7za72068za7,
		BGl_z62isfunzf3z91zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2bodyzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2bodyza72069za7,
		BGl_z62isfunzd2bodyzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2070z00,
		BGl_z62inlinezd2nodezb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2sidezd2effectzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2sideza72071za7,
		BGl_z62isfunzd2sidezd2effectz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_disablezd2inliningz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762disableza7d2inl2072z00,
		BGl_z62disablezd2inliningz12za2zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2argszd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2argsza72073za7,
		BGl_z62isfunzd2argszb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2recursivezd2callszd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2recur2074z00,
		BGl_z62isfunzd2recursivezd2callszd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2failsafezd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2fails2075z00,
		BGl_z62isfunzd2failsafezb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2globalzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2076za7,
		BGl_z62isfunzd2thezd2closurezd2globalzd2setz12z70zzinline_inlinez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2stackzd2allocatorzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stack2077z00,
		BGl_z62isfunzd2stackzd2allocatorz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2globalzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2078za7,
		BGl_z62isfunzd2thezd2closurezd2globalzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2loczd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2locza7b2079za7,
		BGl_z62isfunzd2loczb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2originalzd2bodyzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2origi2080z00,
		BGl_z62isfunzd2originalzd2bodyz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2nodeza2z12zd2envzb0zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2081z00,
		BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2optionalszd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2optio2082z00,
		BGl_z62isfunzd2optionalszb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2argszd2namezd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2argsza72083za7,
		BGl_z62isfunzd2argszd2namez62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2stackzd2allocatorzd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stack2084z00,
		BGl_z62isfunzd2stackzd2allocatorzd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1996z00zzinline_inlinez00,
		BgL_bgl_za762lambda1584za7622085z00, BGl_z62lambda1584z62zzinline_inlinez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1997z00zzinline_inlinez00,
		BgL_bgl_za762lambda1583za7622086z00, BGl_z62lambda1583z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1998z00zzinline_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2087za7,
		BGl_z62zc3z04anonymousza31598ze3ze5zzinline_inlinez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1999z00zzinline_inlinez00,
		BgL_bgl_za762lambda1597za7622088z00, BGl_z62lambda1597z62zzinline_inlinez00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2predicatezd2ofzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2predi2089z00,
		BGl_z62isfunzd2predicatezd2ofz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2recursivezd2callszd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2recur2090z00,
		BGl_z62isfunzd2recursivezd2callsz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2effectzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2effec2091z00,
		BGl_z62isfunzd2effectzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2dssslzd2keywordszd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2dsssl2092z00,
		BGl_z62isfunzd2dssslzd2keywordszd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2tailreczd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2tailr2093z00,
		BGl_z62isfunzd2tailreczb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2propertyzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2prope2094z00,
		BGl_z62isfunzd2propertyzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2loczd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2locza7d2095za7,
		BGl_z62isfunzd2loczd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2sidezd2effectzd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2sideza72096za7,
		BGl_z62isfunzd2sidezd2effectzd2setz12za2zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2009z00zzinline_inlinez00,
		BgL_bgl_string2009za700za7za7i2097za7, "inline-node1300", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2000z00zzinline_inlinez00,
		BgL_bgl_za762lambda1596za7622098z00, BGl_z62lambda1596z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2001z00zzinline_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2099za7,
		BGl_z62zc3z04anonymousza31607ze3ze5zzinline_inlinez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2002z00zzinline_inlinez00,
		BgL_bgl_za762lambda1606za7622100z00, BGl_z62lambda1606z62zzinline_inlinez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2003z00zzinline_inlinez00,
		BgL_bgl_za762lambda1605za7622101z00, BGl_z62lambda1605z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2004z00zzinline_inlinez00,
		BgL_bgl_za762lambda1565za7622102z00, BGl_z62lambda1565z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2topzf3zd2envzf3zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2topza7f2103za7,
		BGl_z62isfunzd2topzf3z43zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2011z00zzinline_inlinez00,
		BgL_bgl_string2011za700za7za7i2104za7, "disable-inlining!1349", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2005z00zzinline_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2105za7,
		BGl_z62zc3z04anonymousza31564ze3ze5zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2012z00zzinline_inlinez00,
		BgL_bgl_string2012za700za7za7i2106za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2006z00zzinline_inlinez00,
		BgL_bgl_za762lambda1556za7622107z00, BGl_z62lambda1556z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2007z00zzinline_inlinez00,
		BgL_bgl_za762lambda1553za7622108z00, BGl_z62lambda1553z62zzinline_inlinez00,
		0L, BUNSPEC, 25);
	      DEFINE_STRING(BGl_string2014z00zzinline_inlinez00,
		BgL_bgl_string2014za700za7za7i2109za7, "inline-node", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2008z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2110z00,
		BGl_z62inlinezd2node1300zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2010z00zzinline_inlinez00,
		BgL_bgl_za762disableza7d2inl2111z00,
		BGl_z62disablezd2inliningz121349za2zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2013z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2112z00,
		BGl_z62inlinezd2nodezd2atom1303z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2015z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2113z00,
		BGl_z62inlinezd2nodezd2var1305z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2016z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2114z00,
		BGl_z62inlinezd2nodezd2kwote1307z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2017z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2115z00,
		BGl_z62inlinezd2nodezd2sequence1309z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2018z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2116z00,
		BGl_z62inlinezd2nodezd2sync1311z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2019z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2117z00,
		BGl_z62inlinezd2nodezd2app1313z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2dssslzd2keywordszd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2dsssl2118z00,
		BGl_z62isfunzd2dssslzd2keywordsz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2020z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2119z00,
		BGl_z62inlinezd2nodezd2appzd2ly1315zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2021z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2120z00,
		BGl_z62inlinezd2nodezd2funcall1317z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2022z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2121z00,
		BGl_z62inlinezd2nodezd2extern1319z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2023z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2122z00,
		BGl_z62inlinezd2nodezd2cast1321z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2024z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2123z00,
		BGl_z62inlinezd2nodezd2setq1323z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2025z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2124z00,
		BGl_z62inlinezd2nodezd2conditio1325z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2026z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2125z00,
		BGl_z62inlinezd2nodezd2fail1327z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2027z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2126z00,
		BGl_z62inlinezd2nodezd2switch1329z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2028z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2127z00,
		BGl_z62inlinezd2nodezd2letzd2fun1331zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2029z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2128z00,
		BGl_z62inlinezd2nodezd2letzd2var1334zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2038z00zzinline_inlinez00,
		BgL_bgl_string2038za700za7za7i2129za7, "disable-inlining!::node", 23);
	      DEFINE_STRING(BGl_string2039z00zzinline_inlinez00,
		BgL_bgl_string2039za700za7za7i2130za7, "inline_inline", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2tailreczd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2tailr2131z00,
		BGl_z62isfunzd2tailreczd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2isfunzd2envz00zzinline_inlinez00,
		BgL_bgl_za762makeza7d2isfunza72132za7,
		BGl_z62makezd2isfunzb0zzinline_inlinez00, 0L, BUNSPEC, 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2030z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2133z00,
		BGl_z62inlinezd2nodezd2setzd2exzd2i1336z62zzinline_inlinez00, 0L, BUNSPEC,
		3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinline_inlinez00));
		     ADD_ROOT((void *) (&BGl_isfunz00zzinline_inlinez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long
		BgL_checksumz00_3309, char *BgL_fromz00_3310)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_inlinez00))
				{
					BGl_requirezd2initializa7ationz75zzinline_inlinez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_inlinez00();
					BGl_libraryzd2moduleszd2initz00zzinline_inlinez00();
					BGl_cnstzd2initzd2zzinline_inlinez00();
					BGl_importedzd2moduleszd2initz00zzinline_inlinez00();
					BGl_objectzd2initzd2zzinline_inlinez00();
					BGl_genericzd2initzd2zzinline_inlinez00();
					BGl_methodzd2initzd2zzinline_inlinez00();
					return BGl_toplevelzd2initzd2zzinline_inlinez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_inlinez00()
	{
		{	/* Inline/inline.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_inline");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_inlinez00()
	{
		{	/* Inline/inline.scm 15 */
			{	/* Inline/inline.scm 15 */
				obj_t BgL_cportz00_3107;

				{	/* Inline/inline.scm 15 */
					obj_t BgL_stringz00_3115;

					BgL_stringz00_3115 = BGl_string2040z00zzinline_inlinez00;
					{	/* Inline/inline.scm 15 */
						obj_t BgL_startz00_3116;

						BgL_startz00_3116 = BINT(((long) 0));
						{	/* Inline/inline.scm 15 */
							obj_t BgL_endz00_3117;

							BgL_endz00_3117 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3115)));
							{	/* Inline/inline.scm 15 */

								BgL_cportz00_3107 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3115, BgL_startz00_3116, BgL_endz00_3117);
				}}}}
				{
					long BgL_iz00_3108;

					BgL_iz00_3108 = ((long) 15);
				BgL_loopz00_3109:
					if ((BgL_iz00_3108 == ((long) -1)))
						{	/* Inline/inline.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/inline.scm 15 */
							{	/* Inline/inline.scm 15 */
								obj_t BgL_arg2042z00_3111;

								{	/* Inline/inline.scm 15 */

									{	/* Inline/inline.scm 15 */
										obj_t BgL_locationz00_3113;

										BgL_locationz00_3113 = BBOOL(((bool_t) 0));
										{	/* Inline/inline.scm 15 */

											BgL_arg2042z00_3111 =
												BGl_readz00zz__readerz00(BgL_cportz00_3107,
												BgL_locationz00_3113);
										}
									}
								}
								{	/* Inline/inline.scm 15 */
									int BgL_tmpz00_3341;

									BgL_tmpz00_3341 = (int) (BgL_iz00_3108);
									CNST_TABLE_SET(BgL_tmpz00_3341, BgL_arg2042z00_3111);
							}}
							{	/* Inline/inline.scm 15 */
								int BgL_auxz00_3114;

								BgL_auxz00_3114 = (int) ((BgL_iz00_3108 - ((long) 1)));
								{
									long BgL_iz00_3346;

									BgL_iz00_3346 = (long) (BgL_auxz00_3114);
									BgL_iz00_3108 = BgL_iz00_3346;
									goto BgL_loopz00_3109;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_inlinez00()
	{
		{	/* Inline/inline.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_inlinez00()
	{
		{	/* Inline/inline.scm 15 */
			return BUNSPEC;
		}

	}



/* make-isfun */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt BGl_makezd2isfunzd2zzinline_inlinez00(long
		BgL_arity1127z00_3, obj_t BgL_sidezd2effect1128zd2_4,
		obj_t BgL_predicatezd2of1129zd2_5, obj_t BgL_stackzd2allocator1130zd2_6,
		bool_t BgL_topzf31131zf3_7, obj_t BgL_thezd2closure1132zd2_8,
		obj_t BgL_effect1133z00_9, obj_t BgL_failsafe1134z00_10,
		obj_t BgL_property1135z00_11, obj_t BgL_args1136z00_12,
		obj_t BgL_argszd2name1137zd2_13, obj_t BgL_body1138z00_14,
		obj_t BgL_class1139z00_15, obj_t BgL_dssslzd2keywords1140zd2_16,
		obj_t BgL_loc1141z00_17, obj_t BgL_optionals1142z00_18,
		obj_t BgL_keys1143z00_19, obj_t BgL_thezd2closurezd2global1144z00_20,
		obj_t BgL_strength1145z00_21,
		BgL_nodez00_bglt BgL_originalzd2body1146zd2_22,
		obj_t BgL_recursivezd2calls1147zd2_23, bool_t BgL_tailrec1148z00_24)
	{
		{	/* Inline/inline.sch 60 */
			{	/* Inline/inline.sch 60 */
				BgL_sfunz00_bglt BgL_new1149z00_3119;

				{	/* Inline/inline.sch 60 */
					BgL_sfunz00_bglt BgL_tmp1147z00_3120;
					BgL_isfunz00_bglt BgL_wide1148z00_3121;

					{
						BgL_sfunz00_bglt BgL_auxz00_3349;

						{	/* Inline/inline.sch 60 */
							BgL_sfunz00_bglt BgL_new1146z00_3122;

							BgL_new1146z00_3122 =
								((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sfunz00_bgl))));
							{	/* Inline/inline.sch 60 */
								long BgL_arg1361z00_3123;

								BgL_arg1361z00_3123 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1146z00_3122),
									BgL_arg1361z00_3123);
							}
							{	/* Inline/inline.sch 60 */
								BgL_objectz00_bglt BgL_tmpz00_3354;

								BgL_tmpz00_3354 = ((BgL_objectz00_bglt) BgL_new1146z00_3122);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3354, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1146z00_3122);
							BgL_auxz00_3349 = BgL_new1146z00_3122;
						}
						BgL_tmp1147z00_3120 = ((BgL_sfunz00_bglt) BgL_auxz00_3349);
					}
					BgL_wide1148z00_3121 =
						((BgL_isfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_isfunz00_bgl))));
					{	/* Inline/inline.sch 60 */
						obj_t BgL_auxz00_3362;
						BgL_objectz00_bglt BgL_tmpz00_3360;

						BgL_auxz00_3362 = ((obj_t) BgL_wide1148z00_3121);
						BgL_tmpz00_3360 = ((BgL_objectz00_bglt) BgL_tmp1147z00_3120);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3360, BgL_auxz00_3362);
					}
					((BgL_objectz00_bglt) BgL_tmp1147z00_3120);
					{	/* Inline/inline.sch 60 */
						long BgL_arg1358z00_3124;

						BgL_arg1358z00_3124 = BGL_CLASS_NUM(BGl_isfunz00zzinline_inlinez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1147z00_3120), BgL_arg1358z00_3124);
					}
					BgL_new1149z00_3119 = ((BgL_sfunz00_bglt) BgL_tmp1147z00_3120);
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1149z00_3119)))->BgL_arityz00) =
					((long) BgL_arity1127z00_3), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1149z00_3119)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1128zd2_4), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1149z00_3119)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1129zd2_5), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1149z00_3119)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1130zd2_6), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1149z00_3119)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31131zf3_7), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1149z00_3119)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1132zd2_8), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1149z00_3119)))->
						BgL_effectz00) = ((obj_t) BgL_effect1133z00_9), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1149z00_3119)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1134z00_10), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1149z00_3119)))->
						BgL_argszd2noescapezd2) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1149z00_3119)))->
						BgL_argszd2retescapezd2) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1149z00_3119)))->BgL_propertyz00) =
					((obj_t) BgL_property1135z00_11), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1149z00_3119)))->BgL_argsz00) =
					((obj_t) BgL_args1136z00_12), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1149z00_3119)))->BgL_argszd2namezd2) =
					((obj_t) BgL_argszd2name1137zd2_13), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1149z00_3119)))->BgL_bodyz00) =
					((obj_t) BgL_body1138z00_14), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1149z00_3119)))->BgL_classz00) =
					((obj_t) BgL_class1139z00_15), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1149z00_3119)))->BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1140zd2_16), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1149z00_3119)))->BgL_locz00) =
					((obj_t) BgL_loc1141z00_17), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1149z00_3119)))->BgL_optionalsz00) =
					((obj_t) BgL_optionals1142z00_18), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1149z00_3119)))->BgL_keysz00) =
					((obj_t) BgL_keys1143z00_19), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1149z00_3119)))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1144z00_20), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1149z00_3119)))->BgL_strengthz00) =
					((obj_t) BgL_strength1145z00_21), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1149z00_3119)))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_isfunz00_bglt BgL_auxz00_3414;

					{
						obj_t BgL_auxz00_3415;

						{	/* Inline/inline.sch 60 */
							BgL_objectz00_bglt BgL_tmpz00_3416;

							BgL_tmpz00_3416 = ((BgL_objectz00_bglt) BgL_new1149z00_3119);
							BgL_auxz00_3415 = BGL_OBJECT_WIDENING(BgL_tmpz00_3416);
						}
						BgL_auxz00_3414 = ((BgL_isfunz00_bglt) BgL_auxz00_3415);
					}
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3414))->
							BgL_originalzd2bodyzd2) =
						((BgL_nodez00_bglt) BgL_originalzd2body1146zd2_22), BUNSPEC);
				}
				{
					BgL_isfunz00_bglt BgL_auxz00_3421;

					{
						obj_t BgL_auxz00_3422;

						{	/* Inline/inline.sch 60 */
							BgL_objectz00_bglt BgL_tmpz00_3423;

							BgL_tmpz00_3423 = ((BgL_objectz00_bglt) BgL_new1149z00_3119);
							BgL_auxz00_3422 = BGL_OBJECT_WIDENING(BgL_tmpz00_3423);
						}
						BgL_auxz00_3421 = ((BgL_isfunz00_bglt) BgL_auxz00_3422);
					}
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3421))->
							BgL_recursivezd2callszd2) =
						((obj_t) BgL_recursivezd2calls1147zd2_23), BUNSPEC);
				}
				{
					BgL_isfunz00_bglt BgL_auxz00_3428;

					{
						obj_t BgL_auxz00_3429;

						{	/* Inline/inline.sch 60 */
							BgL_objectz00_bglt BgL_tmpz00_3430;

							BgL_tmpz00_3430 = ((BgL_objectz00_bglt) BgL_new1149z00_3119);
							BgL_auxz00_3429 = BGL_OBJECT_WIDENING(BgL_tmpz00_3430);
						}
						BgL_auxz00_3428 = ((BgL_isfunz00_bglt) BgL_auxz00_3429);
					}
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3428))->BgL_tailrecz00) =
						((bool_t) BgL_tailrec1148z00_24), BUNSPEC);
				}
				return BgL_new1149z00_3119;
			}
		}

	}



/* &make-isfun */
	BgL_sfunz00_bglt BGl_z62makezd2isfunzb0zzinline_inlinez00(obj_t
		BgL_envz00_2785, obj_t BgL_arity1127z00_2786,
		obj_t BgL_sidezd2effect1128zd2_2787, obj_t BgL_predicatezd2of1129zd2_2788,
		obj_t BgL_stackzd2allocator1130zd2_2789, obj_t BgL_topzf31131zf3_2790,
		obj_t BgL_thezd2closure1132zd2_2791, obj_t BgL_effect1133z00_2792,
		obj_t BgL_failsafe1134z00_2793, obj_t BgL_property1135z00_2794,
		obj_t BgL_args1136z00_2795, obj_t BgL_argszd2name1137zd2_2796,
		obj_t BgL_body1138z00_2797, obj_t BgL_class1139z00_2798,
		obj_t BgL_dssslzd2keywords1140zd2_2799, obj_t BgL_loc1141z00_2800,
		obj_t BgL_optionals1142z00_2801, obj_t BgL_keys1143z00_2802,
		obj_t BgL_thezd2closurezd2global1144z00_2803,
		obj_t BgL_strength1145z00_2804, obj_t BgL_originalzd2body1146zd2_2805,
		obj_t BgL_recursivezd2calls1147zd2_2806, obj_t BgL_tailrec1148z00_2807)
	{
		{	/* Inline/inline.sch 60 */
			return
				BGl_makezd2isfunzd2zzinline_inlinez00(
				(long) CINT(BgL_arity1127z00_2786), BgL_sidezd2effect1128zd2_2787,
				BgL_predicatezd2of1129zd2_2788, BgL_stackzd2allocator1130zd2_2789,
				CBOOL(BgL_topzf31131zf3_2790), BgL_thezd2closure1132zd2_2791,
				BgL_effect1133z00_2792, BgL_failsafe1134z00_2793,
				BgL_property1135z00_2794, BgL_args1136z00_2795,
				BgL_argszd2name1137zd2_2796, BgL_body1138z00_2797,
				BgL_class1139z00_2798, BgL_dssslzd2keywords1140zd2_2799,
				BgL_loc1141z00_2800, BgL_optionals1142z00_2801, BgL_keys1143z00_2802,
				BgL_thezd2closurezd2global1144z00_2803, BgL_strength1145z00_2804,
				((BgL_nodez00_bglt) BgL_originalzd2body1146zd2_2805),
				BgL_recursivezd2calls1147zd2_2806, CBOOL(BgL_tailrec1148z00_2807));
		}

	}



/* isfun? */
	BGL_EXPORTED_DEF bool_t BGl_isfunzf3zf3zzinline_inlinez00(obj_t BgL_objz00_25)
	{
		{	/* Inline/inline.sch 61 */
			{	/* Inline/inline.sch 61 */
				obj_t BgL_classz00_3125;

				BgL_classz00_3125 = BGl_isfunz00zzinline_inlinez00;
				if (BGL_OBJECTP(BgL_objz00_25))
					{	/* Inline/inline.sch 61 */
						BgL_objectz00_bglt BgL_arg1825z00_3126;

						BgL_arg1825z00_3126 = (BgL_objectz00_bglt) (BgL_objz00_25);
						{	/* Inline/inline.sch 61 */
							bool_t BgL_arg1822z00_3127;
							bool_t BgL_arg1823z00_3128;

							{	/* Inline/inline.sch 61 */
								long BgL_idxz00_3129;

								BgL_idxz00_3129 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3126);
								BgL_arg1822z00_3127 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3129 + ((long) 4))) == BgL_classz00_3125);
							}
							{	/* Inline/inline.sch 61 */
								bool_t BgL_res1974z00_3132;

								{	/* Inline/inline.sch 61 */
									obj_t BgL_oclassz00_3133;

									{	/* Inline/inline.sch 61 */
										long BgL_arg1833z00_3134;

										{	/* Inline/inline.sch 61 */
											long BgL_arg1834z00_3135;

											BgL_arg1834z00_3135 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3126);
											BgL_arg1833z00_3134 = (BgL_arg1834z00_3135 - OBJECT_TYPE);
										}
										BgL_oclassz00_3133 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3134);
									}
									{	/* Inline/inline.sch 61 */
										bool_t BgL__ortest_1110z00_3136;

										BgL__ortest_1110z00_3136 =
											(BgL_classz00_3125 == BgL_oclassz00_3133);
										if (BgL__ortest_1110z00_3136)
											{	/* Inline/inline.sch 61 */
												BgL_res1974z00_3132 = BgL__ortest_1110z00_3136;
											}
										else
											{	/* Inline/inline.sch 61 */
												long BgL_odepthz00_3137;

												BgL_odepthz00_3137 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3133);
												if ((((long) 4) < BgL_odepthz00_3137))
													{	/* Inline/inline.sch 61 */
														obj_t BgL_arg1821z00_3138;

														BgL_arg1821z00_3138 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3133,
															((long) 4));
														BgL_res1974z00_3132 =
															(BgL_arg1821z00_3138 == BgL_classz00_3125);
													}
												else
													{	/* Inline/inline.sch 61 */
														BgL_res1974z00_3132 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3128 = BgL_res1974z00_3132;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3127, BgL_arg1823z00_3128);
						}
					}
				else
					{	/* Inline/inline.sch 61 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &isfun? */
	obj_t BGl_z62isfunzf3z91zzinline_inlinez00(obj_t BgL_envz00_2808,
		obj_t BgL_objz00_2809)
	{
		{	/* Inline/inline.sch 61 */
			return BBOOL(BGl_isfunzf3zf3zzinline_inlinez00(BgL_objz00_2809));
		}

	}



/* isfun-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt BGl_isfunzd2nilzd2zzinline_inlinez00()
	{
		{	/* Inline/inline.sch 62 */
			{	/* Inline/inline.sch 62 */
				obj_t BgL_classz00_2232;

				BgL_classz00_2232 = BGl_isfunz00zzinline_inlinez00;
				{	/* Inline/inline.sch 62 */
					obj_t BgL__ortest_1112z00_2233;

					BgL__ortest_1112z00_2233 = BGL_CLASS_NIL(BgL_classz00_2232);
					if (CBOOL(BgL__ortest_1112z00_2233))
						{	/* Inline/inline.sch 62 */
							return ((BgL_sfunz00_bglt) BgL__ortest_1112z00_2233);
						}
					else
						{	/* Inline/inline.sch 62 */
							return
								((BgL_sfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2232));
						}
				}
			}
		}

	}



/* &isfun-nil */
	BgL_sfunz00_bglt BGl_z62isfunzd2nilzb0zzinline_inlinez00(obj_t
		BgL_envz00_2810)
	{
		{	/* Inline/inline.sch 62 */
			return BGl_isfunzd2nilzd2zzinline_inlinez00();
		}

	}



/* isfun-tailrec */
	BGL_EXPORTED_DEF bool_t
		BGl_isfunzd2tailreczd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_26)
	{
		{	/* Inline/inline.sch 63 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3467;

				{
					obj_t BgL_auxz00_3468;

					{	/* Inline/inline.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_3469;

						BgL_tmpz00_3469 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_3468 = BGL_OBJECT_WIDENING(BgL_tmpz00_3469);
					}
					BgL_auxz00_3467 = ((BgL_isfunz00_bglt) BgL_auxz00_3468);
				}
				return (((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3467))->BgL_tailrecz00);
			}
		}

	}



/* &isfun-tailrec */
	obj_t BGl_z62isfunzd2tailreczb0zzinline_inlinez00(obj_t BgL_envz00_2811,
		obj_t BgL_oz00_2812)
	{
		{	/* Inline/inline.sch 63 */
			return
				BBOOL(BGl_isfunzd2tailreczd2zzinline_inlinez00(
					((BgL_sfunz00_bglt) BgL_oz00_2812)));
		}

	}



/* isfun-tailrec-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2tailreczd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_27, bool_t BgL_vz00_28)
	{
		{	/* Inline/inline.sch 64 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3477;

				{
					obj_t BgL_auxz00_3478;

					{	/* Inline/inline.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_3479;

						BgL_tmpz00_3479 = ((BgL_objectz00_bglt) BgL_oz00_27);
						BgL_auxz00_3478 = BGL_OBJECT_WIDENING(BgL_tmpz00_3479);
					}
					BgL_auxz00_3477 = ((BgL_isfunz00_bglt) BgL_auxz00_3478);
				}
				return
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3477))->BgL_tailrecz00) =
					((bool_t) BgL_vz00_28), BUNSPEC);
			}
		}

	}



/* &isfun-tailrec-set! */
	obj_t BGl_z62isfunzd2tailreczd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2813, obj_t BgL_oz00_2814, obj_t BgL_vz00_2815)
	{
		{	/* Inline/inline.sch 64 */
			return
				BGl_isfunzd2tailreczd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2814), CBOOL(BgL_vz00_2815));
		}

	}



/* isfun-recursive-calls */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2recursivezd2callsz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_29)
	{
		{	/* Inline/inline.sch 65 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3487;

				{
					obj_t BgL_auxz00_3488;

					{	/* Inline/inline.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_3489;

						BgL_tmpz00_3489 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_3488 = BGL_OBJECT_WIDENING(BgL_tmpz00_3489);
					}
					BgL_auxz00_3487 = ((BgL_isfunz00_bglt) BgL_auxz00_3488);
				}
				return
					(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3487))->
					BgL_recursivezd2callszd2);
			}
		}

	}



/* &isfun-recursive-calls */
	obj_t BGl_z62isfunzd2recursivezd2callsz62zzinline_inlinez00(obj_t
		BgL_envz00_2816, obj_t BgL_oz00_2817)
	{
		{	/* Inline/inline.sch 65 */
			return
				BGl_isfunzd2recursivezd2callsz00zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2817));
		}

	}



/* isfun-recursive-calls-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_30, obj_t BgL_vz00_31)
	{
		{	/* Inline/inline.sch 66 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3496;

				{
					obj_t BgL_auxz00_3497;

					{	/* Inline/inline.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_3498;

						BgL_tmpz00_3498 = ((BgL_objectz00_bglt) BgL_oz00_30);
						BgL_auxz00_3497 = BGL_OBJECT_WIDENING(BgL_tmpz00_3498);
					}
					BgL_auxz00_3496 = ((BgL_isfunz00_bglt) BgL_auxz00_3497);
				}
				return
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3496))->
						BgL_recursivezd2callszd2) = ((obj_t) BgL_vz00_31), BUNSPEC);
			}
		}

	}



/* &isfun-recursive-calls-set! */
	obj_t BGl_z62isfunzd2recursivezd2callszd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2818, obj_t BgL_oz00_2819, obj_t BgL_vz00_2820)
	{
		{	/* Inline/inline.sch 66 */
			return
				BGl_isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2819), BgL_vz00_2820);
		}

	}



/* isfun-original-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_isfunzd2originalzd2bodyz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_32)
	{
		{	/* Inline/inline.sch 67 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3505;

				{
					obj_t BgL_auxz00_3506;

					{	/* Inline/inline.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_3507;

						BgL_tmpz00_3507 = ((BgL_objectz00_bglt) BgL_oz00_32);
						BgL_auxz00_3506 = BGL_OBJECT_WIDENING(BgL_tmpz00_3507);
					}
					BgL_auxz00_3505 = ((BgL_isfunz00_bglt) BgL_auxz00_3506);
				}
				return
					(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3505))->
					BgL_originalzd2bodyzd2);
			}
		}

	}



/* &isfun-original-body */
	BgL_nodez00_bglt BGl_z62isfunzd2originalzd2bodyz62zzinline_inlinez00(obj_t
		BgL_envz00_2821, obj_t BgL_oz00_2822)
	{
		{	/* Inline/inline.sch 67 */
			return
				BGl_isfunzd2originalzd2bodyz00zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2822));
		}

	}



/* isfun-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2strengthzd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_35)
	{
		{	/* Inline/inline.sch 69 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_35)))->BgL_strengthz00);
		}

	}



/* &isfun-strength */
	obj_t BGl_z62isfunzd2strengthzb0zzinline_inlinez00(obj_t BgL_envz00_2823,
		obj_t BgL_oz00_2824)
	{
		{	/* Inline/inline.sch 69 */
			return
				BGl_isfunzd2strengthzd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2824));
		}

	}



/* isfun-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2strengthzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_36, obj_t BgL_vz00_37)
	{
		{	/* Inline/inline.sch 70 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_36)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_37), BUNSPEC);
		}

	}



/* &isfun-strength-set! */
	obj_t BGl_z62isfunzd2strengthzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2825, obj_t BgL_oz00_2826, obj_t BgL_vz00_2827)
	{
		{	/* Inline/inline.sch 70 */
			return
				BGl_isfunzd2strengthzd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2826), BgL_vz00_2827);
		}

	}



/* isfun-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_38)
	{
		{	/* Inline/inline.sch 71 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_38)))->BgL_thezd2closurezd2globalz00);
		}

	}



/* &isfun-the-closure-global */
	obj_t BGl_z62isfunzd2thezd2closurezd2globalzb0zzinline_inlinez00(obj_t
		BgL_envz00_2828, obj_t BgL_oz00_2829)
	{
		{	/* Inline/inline.sch 71 */
			return
				BGl_isfunzd2thezd2closurezd2globalzd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2829));
		}

	}



/* isfun-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2setz12z12zzinline_inlinez00
		(BgL_sfunz00_bglt BgL_oz00_39, obj_t BgL_vz00_40)
	{
		{	/* Inline/inline.sch 72 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_39)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_40), BUNSPEC);
		}

	}



/* &isfun-the-closure-global-set! */
	obj_t
		BGl_z62isfunzd2thezd2closurezd2globalzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2830, obj_t BgL_oz00_2831, obj_t BgL_vz00_2832)
	{
		{	/* Inline/inline.sch 72 */
			return
				BGl_isfunzd2thezd2closurezd2globalzd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2831), BgL_vz00_2832);
		}

	}



/* isfun-keys */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2keyszd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_41)
	{
		{	/* Inline/inline.sch 73 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_41)))->BgL_keysz00);
		}

	}



/* &isfun-keys */
	obj_t BGl_z62isfunzd2keyszb0zzinline_inlinez00(obj_t BgL_envz00_2833,
		obj_t BgL_oz00_2834)
	{
		{	/* Inline/inline.sch 73 */
			return
				BGl_isfunzd2keyszd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2834));
		}

	}



/* isfun-optionals */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2optionalszd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_44)
	{
		{	/* Inline/inline.sch 75 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_44)))->BgL_optionalsz00);
		}

	}



/* &isfun-optionals */
	obj_t BGl_z62isfunzd2optionalszb0zzinline_inlinez00(obj_t BgL_envz00_2835,
		obj_t BgL_oz00_2836)
	{
		{	/* Inline/inline.sch 75 */
			return
				BGl_isfunzd2optionalszd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2836));
		}

	}



/* isfun-loc */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2loczd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_47)
	{
		{	/* Inline/inline.sch 77 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_47)))->BgL_locz00);
		}

	}



/* &isfun-loc */
	obj_t BGl_z62isfunzd2loczb0zzinline_inlinez00(obj_t BgL_envz00_2837,
		obj_t BgL_oz00_2838)
	{
		{	/* Inline/inline.sch 77 */
			return
				BGl_isfunzd2loczd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2838));
		}

	}



/* isfun-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2loczd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_48,
		obj_t BgL_vz00_49)
	{
		{	/* Inline/inline.sch 78 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_48)))->BgL_locz00) =
				((obj_t) BgL_vz00_49), BUNSPEC);
		}

	}



/* &isfun-loc-set! */
	obj_t BGl_z62isfunzd2loczd2setz12z70zzinline_inlinez00(obj_t BgL_envz00_2839,
		obj_t BgL_oz00_2840, obj_t BgL_vz00_2841)
	{
		{	/* Inline/inline.sch 78 */
			return
				BGl_isfunzd2loczd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2840), BgL_vz00_2841);
		}

	}



/* isfun-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2dssslzd2keywordsz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_50)
	{
		{	/* Inline/inline.sch 79 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_50)))->BgL_dssslzd2keywordszd2);
		}

	}



/* &isfun-dsssl-keywords */
	obj_t BGl_z62isfunzd2dssslzd2keywordsz62zzinline_inlinez00(obj_t
		BgL_envz00_2842, obj_t BgL_oz00_2843)
	{
		{	/* Inline/inline.sch 79 */
			return
				BGl_isfunzd2dssslzd2keywordsz00zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2843));
		}

	}



/* isfun-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2dssslzd2keywordszd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_51, obj_t BgL_vz00_52)
	{
		{	/* Inline/inline.sch 80 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_51)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_52), BUNSPEC);
		}

	}



/* &isfun-dsssl-keywords-set! */
	obj_t BGl_z62isfunzd2dssslzd2keywordszd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2844, obj_t BgL_oz00_2845, obj_t BgL_vz00_2846)
	{
		{	/* Inline/inline.sch 80 */
			return
				BGl_isfunzd2dssslzd2keywordszd2setz12zc0zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2845), BgL_vz00_2846);
		}

	}



/* isfun-class */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2classzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_53)
	{
		{	/* Inline/inline.sch 81 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_53)))->BgL_classz00);
		}

	}



/* &isfun-class */
	obj_t BGl_z62isfunzd2classzb0zzinline_inlinez00(obj_t BgL_envz00_2847,
		obj_t BgL_oz00_2848)
	{
		{	/* Inline/inline.sch 81 */
			return
				BGl_isfunzd2classzd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2848));
		}

	}



/* isfun-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2classzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_54, obj_t BgL_vz00_55)
	{
		{	/* Inline/inline.sch 82 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_54)))->BgL_classz00) =
				((obj_t) BgL_vz00_55), BUNSPEC);
		}

	}



/* &isfun-class-set! */
	obj_t BGl_z62isfunzd2classzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2849, obj_t BgL_oz00_2850, obj_t BgL_vz00_2851)
	{
		{	/* Inline/inline.sch 82 */
			return
				BGl_isfunzd2classzd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2850), BgL_vz00_2851);
		}

	}



/* isfun-body */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2bodyzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_56)
	{
		{	/* Inline/inline.sch 83 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_56)))->BgL_bodyz00);
		}

	}



/* &isfun-body */
	obj_t BGl_z62isfunzd2bodyzb0zzinline_inlinez00(obj_t BgL_envz00_2852,
		obj_t BgL_oz00_2853)
	{
		{	/* Inline/inline.sch 83 */
			return
				BGl_isfunzd2bodyzd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2853));
		}

	}



/* isfun-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2bodyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_57,
		obj_t BgL_vz00_58)
	{
		{	/* Inline/inline.sch 84 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_57)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_58), BUNSPEC);
		}

	}



/* &isfun-body-set! */
	obj_t BGl_z62isfunzd2bodyzd2setz12z70zzinline_inlinez00(obj_t BgL_envz00_2854,
		obj_t BgL_oz00_2855, obj_t BgL_vz00_2856)
	{
		{	/* Inline/inline.sch 84 */
			return
				BGl_isfunzd2bodyzd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2855), BgL_vz00_2856);
		}

	}



/* isfun-args-name */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2argszd2namez00zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_59)
	{
		{	/* Inline/inline.sch 85 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_59)))->BgL_argszd2namezd2);
		}

	}



/* &isfun-args-name */
	obj_t BGl_z62isfunzd2argszd2namez62zzinline_inlinez00(obj_t BgL_envz00_2857,
		obj_t BgL_oz00_2858)
	{
		{	/* Inline/inline.sch 85 */
			return
				BGl_isfunzd2argszd2namez00zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2858));
		}

	}



/* isfun-args */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2argszd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_62)
	{
		{	/* Inline/inline.sch 87 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_62)))->BgL_argsz00);
		}

	}



/* &isfun-args */
	obj_t BGl_z62isfunzd2argszb0zzinline_inlinez00(obj_t BgL_envz00_2859,
		obj_t BgL_oz00_2860)
	{
		{	/* Inline/inline.sch 87 */
			return
				BGl_isfunzd2argszd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2860));
		}

	}



/* isfun-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2argszd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_63,
		obj_t BgL_vz00_64)
	{
		{	/* Inline/inline.sch 88 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_63)))->BgL_argsz00) =
				((obj_t) BgL_vz00_64), BUNSPEC);
		}

	}



/* &isfun-args-set! */
	obj_t BGl_z62isfunzd2argszd2setz12z70zzinline_inlinez00(obj_t BgL_envz00_2861,
		obj_t BgL_oz00_2862, obj_t BgL_vz00_2863)
	{
		{	/* Inline/inline.sch 88 */
			return
				BGl_isfunzd2argszd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2862), BgL_vz00_2863);
		}

	}



/* isfun-property */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2propertyzd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_65)
	{
		{	/* Inline/inline.sch 89 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_65)))->BgL_propertyz00);
		}

	}



/* &isfun-property */
	obj_t BGl_z62isfunzd2propertyzb0zzinline_inlinez00(obj_t BgL_envz00_2864,
		obj_t BgL_oz00_2865)
	{
		{	/* Inline/inline.sch 89 */
			return
				BGl_isfunzd2propertyzd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2865));
		}

	}



/* isfun-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2propertyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_66, obj_t BgL_vz00_67)
	{
		{	/* Inline/inline.sch 90 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_66)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_67), BUNSPEC);
		}

	}



/* &isfun-property-set! */
	obj_t BGl_z62isfunzd2propertyzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2866, obj_t BgL_oz00_2867, obj_t BgL_vz00_2868)
	{
		{	/* Inline/inline.sch 90 */
			return
				BGl_isfunzd2propertyzd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2867), BgL_vz00_2868);
		}

	}



/* isfun-failsafe */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2failsafezd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_68)
	{
		{	/* Inline/inline.sch 91 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_68)))->BgL_failsafez00);
		}

	}



/* &isfun-failsafe */
	obj_t BGl_z62isfunzd2failsafezb0zzinline_inlinez00(obj_t BgL_envz00_2869,
		obj_t BgL_oz00_2870)
	{
		{	/* Inline/inline.sch 91 */
			return
				BGl_isfunzd2failsafezd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2870));
		}

	}



/* isfun-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2failsafezd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_69, obj_t BgL_vz00_70)
	{
		{	/* Inline/inline.sch 92 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_69)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_70), BUNSPEC);
		}

	}



/* &isfun-failsafe-set! */
	obj_t BGl_z62isfunzd2failsafezd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2871, obj_t BgL_oz00_2872, obj_t BgL_vz00_2873)
	{
		{	/* Inline/inline.sch 92 */
			return
				BGl_isfunzd2failsafezd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2872), BgL_vz00_2873);
		}

	}



/* isfun-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2effectzd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_71)
	{
		{	/* Inline/inline.sch 93 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_71)))->BgL_effectz00);
		}

	}



/* &isfun-effect */
	obj_t BGl_z62isfunzd2effectzb0zzinline_inlinez00(obj_t BgL_envz00_2874,
		obj_t BgL_oz00_2875)
	{
		{	/* Inline/inline.sch 93 */
			return
				BGl_isfunzd2effectzd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2875));
		}

	}



/* isfun-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2effectzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_72, obj_t BgL_vz00_73)
	{
		{	/* Inline/inline.sch 94 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_72)))->BgL_effectz00) =
				((obj_t) BgL_vz00_73), BUNSPEC);
		}

	}



/* &isfun-effect-set! */
	obj_t BGl_z62isfunzd2effectzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2876, obj_t BgL_oz00_2877, obj_t BgL_vz00_2878)
	{
		{	/* Inline/inline.sch 94 */
			return
				BGl_isfunzd2effectzd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2877), BgL_vz00_2878);
		}

	}



/* isfun-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurez00zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_74)
	{
		{	/* Inline/inline.sch 95 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_74)))->BgL_thezd2closurezd2);
		}

	}



/* &isfun-the-closure */
	obj_t BGl_z62isfunzd2thezd2closurez62zzinline_inlinez00(obj_t BgL_envz00_2879,
		obj_t BgL_oz00_2880)
	{
		{	/* Inline/inline.sch 95 */
			return
				BGl_isfunzd2thezd2closurez00zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2880));
		}

	}



/* isfun-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurezd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_75, obj_t BgL_vz00_76)
	{
		{	/* Inline/inline.sch 96 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_75)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_76), BUNSPEC);
		}

	}



/* &isfun-the-closure-set! */
	obj_t BGl_z62isfunzd2thezd2closurezd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2881, obj_t BgL_oz00_2882, obj_t BgL_vz00_2883)
	{
		{	/* Inline/inline.sch 96 */
			return
				BGl_isfunzd2thezd2closurezd2setz12zc0zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2882), BgL_vz00_2883);
		}

	}



/* isfun-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_isfunzd2topzf3z21zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_77)
	{
		{	/* Inline/inline.sch 97 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_77)))->BgL_topzf3zf3);
		}

	}



/* &isfun-top? */
	obj_t BGl_z62isfunzd2topzf3z43zzinline_inlinez00(obj_t BgL_envz00_2884,
		obj_t BgL_oz00_2885)
	{
		{	/* Inline/inline.sch 97 */
			return
				BBOOL(BGl_isfunzd2topzf3z21zzinline_inlinez00(
					((BgL_sfunz00_bglt) BgL_oz00_2885)));
		}

	}



/* isfun-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2topzf3zd2setz12ze1zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_78, bool_t BgL_vz00_79)
	{
		{	/* Inline/inline.sch 98 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_78)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_79), BUNSPEC);
		}

	}



/* &isfun-top?-set! */
	obj_t BGl_z62isfunzd2topzf3zd2setz12z83zzinline_inlinez00(obj_t
		BgL_envz00_2886, obj_t BgL_oz00_2887, obj_t BgL_vz00_2888)
	{
		{	/* Inline/inline.sch 98 */
			return
				BGl_isfunzd2topzf3zd2setz12ze1zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2887), CBOOL(BgL_vz00_2888));
		}

	}



/* isfun-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2stackzd2allocatorz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_80)
	{
		{	/* Inline/inline.sch 99 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_80)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &isfun-stack-allocator */
	obj_t BGl_z62isfunzd2stackzd2allocatorz62zzinline_inlinez00(obj_t
		BgL_envz00_2889, obj_t BgL_oz00_2890)
	{
		{	/* Inline/inline.sch 99 */
			return
				BGl_isfunzd2stackzd2allocatorz00zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2890));
		}

	}



/* isfun-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2stackzd2allocatorzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_81, obj_t BgL_vz00_82)
	{
		{	/* Inline/inline.sch 100 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_81)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_82), BUNSPEC);
		}

	}



/* &isfun-stack-allocator-set! */
	obj_t BGl_z62isfunzd2stackzd2allocatorzd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2891, obj_t BgL_oz00_2892, obj_t BgL_vz00_2893)
	{
		{	/* Inline/inline.sch 100 */
			return
				BGl_isfunzd2stackzd2allocatorzd2setz12zc0zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2892), BgL_vz00_2893);
		}

	}



/* isfun-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2predicatezd2ofz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_83)
	{
		{	/* Inline/inline.sch 101 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_83)))->BgL_predicatezd2ofzd2);
		}

	}



/* &isfun-predicate-of */
	obj_t BGl_z62isfunzd2predicatezd2ofz62zzinline_inlinez00(obj_t
		BgL_envz00_2894, obj_t BgL_oz00_2895)
	{
		{	/* Inline/inline.sch 101 */
			return
				BGl_isfunzd2predicatezd2ofz00zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2895));
		}

	}



/* isfun-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2predicatezd2ofzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_84, obj_t BgL_vz00_85)
	{
		{	/* Inline/inline.sch 102 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_84)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_85), BUNSPEC);
		}

	}



/* &isfun-predicate-of-set! */
	obj_t BGl_z62isfunzd2predicatezd2ofzd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2896, obj_t BgL_oz00_2897, obj_t BgL_vz00_2898)
	{
		{	/* Inline/inline.sch 102 */
			return
				BGl_isfunzd2predicatezd2ofzd2setz12zc0zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2897), BgL_vz00_2898);
		}

	}



/* isfun-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2sidezd2effectz00zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_86)
	{
		{	/* Inline/inline.sch 103 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_86)))->BgL_sidezd2effectzd2);
		}

	}



/* &isfun-side-effect */
	obj_t BGl_z62isfunzd2sidezd2effectz62zzinline_inlinez00(obj_t BgL_envz00_2899,
		obj_t BgL_oz00_2900)
	{
		{	/* Inline/inline.sch 103 */
			return
				BGl_isfunzd2sidezd2effectz00zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2900));
		}

	}



/* isfun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2sidezd2effectzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_87, obj_t BgL_vz00_88)
	{
		{	/* Inline/inline.sch 104 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_87)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_88), BUNSPEC);
		}

	}



/* &isfun-side-effect-set! */
	obj_t BGl_z62isfunzd2sidezd2effectzd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2901, obj_t BgL_oz00_2902, obj_t BgL_vz00_2903)
	{
		{	/* Inline/inline.sch 104 */
			return
				BGl_isfunzd2sidezd2effectzd2setz12zc0zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2902), BgL_vz00_2903);
		}

	}



/* isfun-arity */
	BGL_EXPORTED_DEF long BGl_isfunzd2arityzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_89)
	{
		{	/* Inline/inline.sch 105 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_89)))->BgL_arityz00);
		}

	}



/* &isfun-arity */
	obj_t BGl_z62isfunzd2arityzb0zzinline_inlinez00(obj_t BgL_envz00_2904,
		obj_t BgL_oz00_2905)
	{
		{	/* Inline/inline.sch 105 */
			return
				BINT(BGl_isfunzd2arityzd2zzinline_inlinez00(
					((BgL_sfunz00_bglt) BgL_oz00_2905)));
		}

	}



/* inline-sfun! */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt
		BgL_variablez00_92, long BgL_kfactorz00_93, obj_t BgL_stackz00_94)
	{
		{	/* Inline/inline.scm 38 */
			{	/* Inline/inline.scm 42 */
				BgL_valuez00_bglt BgL_sfunz00_1527;

				BgL_sfunz00_1527 =
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_92))->BgL_valuez00);
				{	/* Inline/inline.scm 42 */
					BgL_sfunz00_bglt BgL_isfunz00_1528;

					{	/* Inline/inline.scm 43 */
						obj_t BgL_classz00_2240;

						BgL_classz00_2240 = BGl_isfunz00zzinline_inlinez00;
						((bool_t) 0);
					}
					{	/* Inline/inline.scm 45 */
						BgL_isfunz00_bglt BgL_wide1152z00_1565;

						BgL_wide1152z00_1565 =
							((BgL_isfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_isfunz00_bgl))));
						{	/* Inline/inline.scm 45 */
							obj_t BgL_auxz00_3659;
							BgL_objectz00_bglt BgL_tmpz00_3655;

							BgL_auxz00_3659 = ((obj_t) BgL_wide1152z00_1565);
							BgL_tmpz00_3655 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1527)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3655, BgL_auxz00_3659);
						}
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1527)));
						{	/* Inline/inline.scm 45 */
							long BgL_arg1500z00_1566;

							BgL_arg1500z00_1566 =
								BGL_CLASS_NUM(BGl_isfunz00zzinline_inlinez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt)
										((BgL_sfunz00_bglt) BgL_sfunz00_1527))),
								BgL_arg1500z00_1566);
						}
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1527)));
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_3673;

						{
							obj_t BgL_auxz00_3674;

							{	/* Inline/inline.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_3675;

								BgL_tmpz00_3675 =
									((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1527)));
								BgL_auxz00_3674 = BGL_OBJECT_WIDENING(BgL_tmpz00_3675);
							}
							BgL_auxz00_3673 = ((BgL_isfunz00_bglt) BgL_auxz00_3674);
						}
						((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3673))->
								BgL_originalzd2bodyzd2) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) BgL_sfunz00_1527)))->
										BgL_bodyz00))), BUNSPEC);
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_3685;

						{
							obj_t BgL_auxz00_3686;

							{	/* Inline/inline.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_3687;

								BgL_tmpz00_3687 =
									((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1527)));
								BgL_auxz00_3686 = BGL_OBJECT_WIDENING(BgL_tmpz00_3687);
							}
							BgL_auxz00_3685 = ((BgL_isfunz00_bglt) BgL_auxz00_3686);
						}
						((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3685))->
								BgL_recursivezd2callszd2) = ((obj_t) BUNSPEC), BUNSPEC);
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_3694;

						{
							obj_t BgL_auxz00_3695;

							{	/* Inline/inline.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_3696;

								BgL_tmpz00_3696 =
									((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1527)));
								BgL_auxz00_3695 = BGL_OBJECT_WIDENING(BgL_tmpz00_3696);
							}
							BgL_auxz00_3694 = ((BgL_isfunz00_bglt) BgL_auxz00_3695);
						}
						((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3694))->BgL_tailrecz00) =
							((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					BgL_isfunz00_1528 =
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1527));
					{	/* Inline/inline.scm 43 */
						BgL_nodez00_bglt BgL_ozd2bodyzd2_1529;

						{
							BgL_isfunz00_bglt BgL_auxz00_3705;

							{
								obj_t BgL_auxz00_3706;

								{	/* Inline/inline.scm 46 */
									BgL_objectz00_bglt BgL_tmpz00_3707;

									BgL_tmpz00_3707 = ((BgL_objectz00_bglt) BgL_isfunz00_1528);
									BgL_auxz00_3706 = BGL_OBJECT_WIDENING(BgL_tmpz00_3707);
								}
								BgL_auxz00_3705 = ((BgL_isfunz00_bglt) BgL_auxz00_3706);
							}
							BgL_ozd2bodyzd2_1529 =
								(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3705))->
								BgL_originalzd2bodyzd2);
						}
						{	/* Inline/inline.scm 46 */
							BgL_nodez00_bglt BgL_inlzd2bodyzd2_1530;

							{	/* Inline/inline.scm 47 */
								bool_t BgL_test2140z00_3712;

								{	/* Inline/inline.scm 48 */
									long BgL_arg1477z00_1559;

									BgL_arg1477z00_1559 =
										(((long) 1) +
										bgl_list_length(
											(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_sfunz00_1527)))->
												BgL_argsz00)));
									BgL_test2140z00_3712 =
										BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_92,
										(long) CINT(BGl_za2kfactorza2z00zzinline_walkz00),
										BgL_arg1477z00_1559, BNIL);
								}
								if (BgL_test2140z00_3712)
									{	/* Inline/inline.scm 47 */
										BgL_inlzd2bodyzd2_1530 =
											BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL, BFALSE,
											BgL_ozd2bodyzd2_1529);
									}
								else
									{	/* Inline/inline.scm 47 */
										BgL_inlzd2bodyzd2_1530 = BgL_ozd2bodyzd2_1529;
									}
							}
							{	/* Inline/inline.scm 47 */

								{	/* Inline/inline.scm 57 */
									BgL_nodez00_bglt BgL_arg1363z00_1531;

									{	/* Inline/inline.scm 57 */
										bool_t BgL_test2141z00_3720;

										if (
											(BGl_za2inlinezd2modeza2zd2zzinline_walkz00 ==
												CNST_TABLE_REF(((long) 0))))
											{	/* Inline/inline.scm 57 */
												BgL_test2141z00_3720 = ((bool_t) 1);
											}
										else
											{	/* Inline/inline.scm 58 */
												bool_t BgL_test2143z00_3724;

												if (
													((((BgL_variablez00_bglt)
																COBJECT(BgL_variablez00_92))->
															BgL_occurrencez00) > ((long) 0)))
													{	/* Inline/inline.scm 58 */
														BgL_test2143z00_3724 = ((bool_t) 1);
													}
												else
													{	/* Inline/inline.scm 58 */
														BgL_test2143z00_3724 =
															(
															(((BgL_variablez00_bglt)
																	COBJECT(BgL_variablez00_92))->
																BgL_removablez00) ==
															CNST_TABLE_REF(((long) 1)));
													}
												if (BgL_test2143z00_3724)
													{	/* Inline/inline.scm 58 */
														BgL_test2141z00_3720 = ((bool_t) 1);
													}
												else
													{	/* Inline/inline.scm 60 */
														bool_t BgL_test2145z00_3731;

														{	/* Inline/inline.scm 60 */
															obj_t BgL_classz00_2287;

															BgL_classz00_2287 = BGl_globalz00zzast_varz00;
															{	/* Inline/inline.scm 60 */
																BgL_objectz00_bglt BgL_arg1825z00_2289;

																{	/* Inline/inline.scm 60 */
																	obj_t BgL_tmpz00_3732;

																	BgL_tmpz00_3732 =
																		((obj_t) BgL_variablez00_92);
																	BgL_arg1825z00_2289 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_3732);
																}
																{	/* Inline/inline.scm 60 */
																	bool_t BgL_arg1822z00_2292;
																	bool_t BgL_arg1823z00_2293;

																	{	/* Inline/inline.scm 60 */
																		long BgL_idxz00_2296;

																		BgL_idxz00_2296 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_2289);
																		BgL_arg1822z00_2292 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2296 + ((long) 2))) ==
																			BgL_classz00_2287);
																	}
																	{	/* Inline/inline.scm 60 */
																		bool_t BgL_res1976z00_2318;

																		{	/* Inline/inline.scm 60 */
																			obj_t BgL_oclassz00_2304;

																			{	/* Inline/inline.scm 60 */
																				long BgL_arg1833z00_2310;

																				{	/* Inline/inline.scm 60 */
																					long BgL_arg1834z00_2311;

																					BgL_arg1834z00_2311 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_2289);
																					BgL_arg1833z00_2310 =
																						(BgL_arg1834z00_2311 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2304 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_2310);
																			}
																			{	/* Inline/inline.scm 60 */
																				bool_t BgL__ortest_1110z00_2305;

																				BgL__ortest_1110z00_2305 =
																					(BgL_classz00_2287 ==
																					BgL_oclassz00_2304);
																				if (BgL__ortest_1110z00_2305)
																					{	/* Inline/inline.scm 60 */
																						BgL_res1976z00_2318 =
																							BgL__ortest_1110z00_2305;
																					}
																				else
																					{	/* Inline/inline.scm 60 */
																						long BgL_odepthz00_2306;

																						BgL_odepthz00_2306 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2304);
																						if ((((long) 2) <
																								BgL_odepthz00_2306))
																							{	/* Inline/inline.scm 60 */
																								obj_t BgL_arg1821z00_2308;

																								BgL_arg1821z00_2308 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2304,
																									((long) 2));
																								BgL_res1976z00_2318 =
																									(BgL_arg1821z00_2308 ==
																									BgL_classz00_2287);
																							}
																						else
																							{	/* Inline/inline.scm 60 */
																								BgL_res1976z00_2318 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_2293 = BgL_res1976z00_2318;
																	}
																	BgL_test2145z00_3731 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_2292,
																		BgL_arg1823z00_2293);
																}
															}
														}
														if (BgL_test2145z00_3731)
															{	/* Inline/inline.scm 60 */
																if (
																	((((BgL_globalz00_bglt) COBJECT(
																					((BgL_globalz00_bglt)
																						BgL_variablez00_92)))->
																			BgL_importz00) ==
																		CNST_TABLE_REF(((long) 2))))
																	{	/* Inline/inline.scm 61 */
																		BgL_test2141z00_3720 = ((bool_t) 0);
																	}
																else
																	{	/* Inline/inline.scm 61 */
																		BgL_test2141z00_3720 = ((bool_t) 1);
																	}
															}
														else
															{	/* Inline/inline.scm 60 */
																BgL_test2141z00_3720 = ((bool_t) 0);
															}
													}
											}
										if (BgL_test2141z00_3720)
											{	/* Inline/inline.scm 62 */
												obj_t BgL_arg1418z00_1546;

												BgL_arg1418z00_1546 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_variablez00_92), BgL_stackz00_94);
												BgL_arg1363z00_1531 =
													BGl_inlinezd2nodezd2zzinline_inlinez00
													(BgL_inlzd2bodyzd2_1530, BgL_kfactorz00_93,
													BgL_arg1418z00_1546);
											}
										else
											{	/* Inline/inline.scm 57 */
												BgL_arg1363z00_1531 = BgL_inlzd2bodyzd2_1530;
											}
									}
									((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_1527)))->
											BgL_bodyz00) =
										((obj_t) ((obj_t) BgL_arg1363z00_1531)), BUNSPEC);
								}
							}
						}
					}
				}
			}
			return BNIL;
		}

	}



/* &inline-sfun! */
	obj_t BGl_z62inlinezd2sfunz12za2zzinline_inlinez00(obj_t BgL_envz00_2906,
		obj_t BgL_variablez00_2907, obj_t BgL_kfactorz00_2908,
		obj_t BgL_stackz00_2909)
	{
		{	/* Inline/inline.scm 38 */
			return
				BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
				((BgL_variablez00_bglt) BgL_variablez00_2907),
				(long) CINT(BgL_kfactorz00_2908), BgL_stackz00_2909);
		}

	}



/* inline-node*! */
	BGL_EXPORTED_DEF obj_t BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t
		BgL_nodeza2za2_167, obj_t BgL_kfactorz00_168, obj_t BgL_stackz00_169)
	{
		{	/* Inline/inline.scm 294 */
		BGl_inlinezd2nodeza2z12z62zzinline_inlinez00:
			if (NULLP(BgL_nodeza2za2_167))
				{	/* Inline/inline.scm 295 */
					return CNST_TABLE_REF(((long) 3));
				}
			else
				{	/* Inline/inline.scm 295 */
					{	/* Inline/inline.scm 298 */
						BgL_nodez00_bglt BgL_arg1520z00_1569;

						{	/* Inline/inline.scm 298 */
							obj_t BgL_arg1524z00_1570;

							BgL_arg1524z00_1570 = CAR(((obj_t) BgL_nodeza2za2_167));
							BgL_arg1520z00_1569 =
								BGl_inlinezd2nodezd2zzinline_inlinez00(
								((BgL_nodez00_bglt) BgL_arg1524z00_1570),
								(long) CINT(BgL_kfactorz00_168), BgL_stackz00_169);
						}
						{	/* Inline/inline.scm 298 */
							obj_t BgL_auxz00_3774;
							obj_t BgL_tmpz00_3772;

							BgL_auxz00_3774 = ((obj_t) BgL_arg1520z00_1569);
							BgL_tmpz00_3772 = ((obj_t) BgL_nodeza2za2_167);
							SET_CAR(BgL_tmpz00_3772, BgL_auxz00_3774);
					}}
					{	/* Inline/inline.scm 299 */
						obj_t BgL_arg1534z00_1571;

						BgL_arg1534z00_1571 = CDR(((obj_t) BgL_nodeza2za2_167));
						{
							obj_t BgL_nodeza2za2_3779;

							BgL_nodeza2za2_3779 = BgL_arg1534z00_1571;
							BgL_nodeza2za2_167 = BgL_nodeza2za2_3779;
							goto BGl_inlinezd2nodeza2z12z62zzinline_inlinez00;
						}
					}
				}
		}

	}



/* &inline-node*! */
	obj_t BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00(obj_t BgL_envz00_2910,
		obj_t BgL_nodeza2za2_2911, obj_t BgL_kfactorz00_2912,
		obj_t BgL_stackz00_2913)
	{
		{	/* Inline/inline.scm 294 */
			return
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(BgL_nodeza2za2_2911,
				BgL_kfactorz00_2912, BgL_stackz00_2913);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_inlinez00()
	{
		{	/* Inline/inline.scm 15 */
			{	/* Inline/inline.scm 28 */
				obj_t BgL_arg1551z00_1576;
				obj_t BgL_arg1552z00_1577;

				{	/* Inline/inline.scm 28 */
					obj_t BgL_v1298z00_1623;

					BgL_v1298z00_1623 = create_vector(((long) 3));
					{	/* Inline/inline.scm 28 */
						obj_t BgL_arg1578z00_1624;

						BgL_arg1578z00_1624 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc1997z00zzinline_inlinez00,
							BGl_proc1996z00zzinline_inlinez00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1298z00_1623, ((long) 0), BgL_arg1578z00_1624);
					}
					{	/* Inline/inline.scm 28 */
						obj_t BgL_arg1585z00_1634;

						BgL_arg1585z00_1634 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc2000z00zzinline_inlinez00,
							BGl_proc1999z00zzinline_inlinez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1998z00zzinline_inlinez00,
							CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1298z00_1623, ((long) 1), BgL_arg1585z00_1634);
					}
					{	/* Inline/inline.scm 28 */
						obj_t BgL_arg1601z00_1647;

						BgL_arg1601z00_1647 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc2003z00zzinline_inlinez00,
							BGl_proc2002z00zzinline_inlinez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2001z00zzinline_inlinez00,
							CNST_TABLE_REF(((long) 8)));
						VECTOR_SET(BgL_v1298z00_1623, ((long) 2), BgL_arg1601z00_1647);
					}
					BgL_arg1551z00_1576 = BgL_v1298z00_1623;
				}
				{	/* Inline/inline.scm 28 */
					obj_t BgL_v1299z00_1660;

					BgL_v1299z00_1660 = create_vector(((long) 0));
					BgL_arg1552z00_1577 = BgL_v1299z00_1660;
				}
				return (BGl_isfunz00zzinline_inlinez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 9)),
						CNST_TABLE_REF(((long) 10)), BGl_sfunz00zzast_varz00,
						((long) 31916), BGl_proc2007z00zzinline_inlinez00,
						BGl_proc2006z00zzinline_inlinez00, BFALSE,
						BGl_proc2005z00zzinline_inlinez00,
						BGl_proc2004z00zzinline_inlinez00, BgL_arg1551z00_1576,
						BgL_arg1552z00_1577), BUNSPEC);
		}}

	}



/* &lambda1565 */
	BgL_sfunz00_bglt BGl_z62lambda1565z62zzinline_inlinez00(obj_t BgL_envz00_2926,
		obj_t BgL_o1131z00_2927)
	{
		{	/* Inline/inline.scm 28 */
			{	/* Inline/inline.scm 28 */
				long BgL_arg1567z00_3140;

				{	/* Inline/inline.scm 28 */
					obj_t BgL_arg1570z00_3141;

					{	/* Inline/inline.scm 28 */
						obj_t BgL_arg1571z00_3142;

						{	/* Inline/inline.scm 28 */
							long BgL_arg1833z00_3143;

							{	/* Inline/inline.scm 28 */
								long BgL_arg1834z00_3144;

								BgL_arg1834z00_3144 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_o1131z00_2927)));
								BgL_arg1833z00_3143 = (BgL_arg1834z00_3144 - OBJECT_TYPE);
							}
							BgL_arg1571z00_3142 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_3143);
						}
						BgL_arg1570z00_3141 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1571z00_3142);
					}
					{	/* Inline/inline.scm 28 */
						obj_t BgL_tmpz00_3803;

						BgL_tmpz00_3803 = ((obj_t) BgL_arg1570z00_3141);
						BgL_arg1567z00_3140 = BGL_CLASS_NUM(BgL_tmpz00_3803);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) BgL_o1131z00_2927)), BgL_arg1567z00_3140);
			}
			{	/* Inline/inline.scm 28 */
				BgL_objectz00_bglt BgL_tmpz00_3809;

				BgL_tmpz00_3809 =
					((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1131z00_2927));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3809, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1131z00_2927));
			return ((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1131z00_2927));
		}

	}



/* &<@anonymous:1564> */
	obj_t BGl_z62zc3z04anonymousza31564ze3ze5zzinline_inlinez00(obj_t
		BgL_envz00_2928, obj_t BgL_new1130z00_2929)
	{
		{	/* Inline/inline.scm 28 */
			{
				BgL_sfunz00_bglt BgL_auxz00_3817;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_new1130z00_2929))))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_propertyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_argszd2namezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_bodyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_dssslzd2keywordszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_optionalsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_keysz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 11))), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2929))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_3892;
					BgL_isfunz00_bglt BgL_auxz00_3885;

					{	/* Inline/inline.scm 28 */
						obj_t BgL_classz00_3146;

						BgL_classz00_3146 = BGl_nodez00zzast_nodez00;
						{	/* Inline/inline.scm 28 */
							obj_t BgL__ortest_1112z00_3147;

							BgL__ortest_1112z00_3147 = BGL_CLASS_NIL(BgL_classz00_3146);
							if (CBOOL(BgL__ortest_1112z00_3147))
								{	/* Inline/inline.scm 28 */
									BgL_auxz00_3892 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_3147);
								}
							else
								{	/* Inline/inline.scm 28 */
									BgL_auxz00_3892 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3146));
								}
						}
					}
					{
						obj_t BgL_auxz00_3886;

						{	/* Inline/inline.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3887;

							BgL_tmpz00_3887 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1130z00_2929));
							BgL_auxz00_3886 = BGL_OBJECT_WIDENING(BgL_tmpz00_3887);
						}
						BgL_auxz00_3885 = ((BgL_isfunz00_bglt) BgL_auxz00_3886);
					}
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3885))->
							BgL_originalzd2bodyzd2) =
						((BgL_nodez00_bglt) BgL_auxz00_3892), BUNSPEC);
				}
				{
					BgL_isfunz00_bglt BgL_auxz00_3900;

					{
						obj_t BgL_auxz00_3901;

						{	/* Inline/inline.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3902;

							BgL_tmpz00_3902 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1130z00_2929));
							BgL_auxz00_3901 = BGL_OBJECT_WIDENING(BgL_tmpz00_3902);
						}
						BgL_auxz00_3900 = ((BgL_isfunz00_bglt) BgL_auxz00_3901);
					}
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3900))->
							BgL_recursivezd2callszd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_isfunz00_bglt BgL_auxz00_3908;

					{
						obj_t BgL_auxz00_3909;

						{	/* Inline/inline.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3910;

							BgL_tmpz00_3910 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1130z00_2929));
							BgL_auxz00_3909 = BGL_OBJECT_WIDENING(BgL_tmpz00_3910);
						}
						BgL_auxz00_3908 = ((BgL_isfunz00_bglt) BgL_auxz00_3909);
					}
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3908))->BgL_tailrecz00) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_auxz00_3817 = ((BgL_sfunz00_bglt) BgL_new1130z00_2929);
				return ((obj_t) BgL_auxz00_3817);
			}
		}

	}



/* &lambda1556 */
	BgL_sfunz00_bglt BGl_z62lambda1556z62zzinline_inlinez00(obj_t BgL_envz00_2930,
		obj_t BgL_o1127z00_2931)
	{
		{	/* Inline/inline.scm 28 */
			{	/* Inline/inline.scm 28 */
				BgL_isfunz00_bglt BgL_wide1129z00_3149;

				BgL_wide1129z00_3149 =
					((BgL_isfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_isfunz00_bgl))));
				{	/* Inline/inline.scm 28 */
					obj_t BgL_auxz00_3923;
					BgL_objectz00_bglt BgL_tmpz00_3919;

					BgL_auxz00_3923 = ((obj_t) BgL_wide1129z00_3149);
					BgL_tmpz00_3919 =
						((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1127z00_2931)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3919, BgL_auxz00_3923);
				}
				((BgL_objectz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1127z00_2931)));
				{	/* Inline/inline.scm 28 */
					long BgL_arg1563z00_3150;

					BgL_arg1563z00_3150 = BGL_CLASS_NUM(BGl_isfunz00zzinline_inlinez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_o1127z00_2931))), BgL_arg1563z00_3150);
				}
				return
					((BgL_sfunz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1127z00_2931)));
			}
		}

	}



/* &lambda1553 */
	BgL_sfunz00_bglt BGl_z62lambda1553z62zzinline_inlinez00(obj_t BgL_envz00_2932,
		obj_t BgL_arity1102z00_2933, obj_t BgL_sidezd2effect1103zd2_2934,
		obj_t BgL_predicatezd2of1104zd2_2935,
		obj_t BgL_stackzd2allocator1105zd2_2936, obj_t BgL_topzf31106zf3_2937,
		obj_t BgL_thezd2closure1107zd2_2938, obj_t BgL_effect1108z00_2939,
		obj_t BgL_failsafe1109z00_2940, obj_t BgL_argszd2noescape1110zd2_2941,
		obj_t BgL_argszd2retescape1111zd2_2942, obj_t BgL_property1112z00_2943,
		obj_t BgL_args1113z00_2944, obj_t BgL_argszd2name1114zd2_2945,
		obj_t BgL_body1115z00_2946, obj_t BgL_class1116z00_2947,
		obj_t BgL_dssslzd2keywords1117zd2_2948, obj_t BgL_loc1118z00_2949,
		obj_t BgL_optionals1119z00_2950, obj_t BgL_keys1120z00_2951,
		obj_t BgL_thezd2closurezd2global1121z00_2952,
		obj_t BgL_strength1122z00_2953, obj_t BgL_stackable1123z00_2954,
		obj_t BgL_originalzd2body1124zd2_2955,
		obj_t BgL_recursivezd2calls1125zd2_2956, obj_t BgL_tailrec1126z00_2957)
	{
		{	/* Inline/inline.scm 28 */
			{	/* Inline/inline.scm 28 */
				long BgL_arity1102z00_3151;
				bool_t BgL_topzf31106zf3_3152;
				bool_t BgL_tailrec1126z00_3155;

				BgL_arity1102z00_3151 = (long) CINT(BgL_arity1102z00_2933);
				BgL_topzf31106zf3_3152 = CBOOL(BgL_topzf31106zf3_2937);
				BgL_tailrec1126z00_3155 = CBOOL(BgL_tailrec1126z00_2957);
				{	/* Inline/inline.scm 28 */
					BgL_sfunz00_bglt BgL_new1175z00_3156;

					{	/* Inline/inline.scm 28 */
						BgL_sfunz00_bglt BgL_tmp1173z00_3157;
						BgL_isfunz00_bglt BgL_wide1174z00_3158;

						{
							BgL_sfunz00_bglt BgL_auxz00_3940;

							{	/* Inline/inline.scm 28 */
								BgL_sfunz00_bglt BgL_new1172z00_3159;

								BgL_new1172z00_3159 =
									((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Inline/inline.scm 28 */
									long BgL_arg1555z00_3160;

									BgL_arg1555z00_3160 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1172z00_3159),
										BgL_arg1555z00_3160);
								}
								{	/* Inline/inline.scm 28 */
									BgL_objectz00_bglt BgL_tmpz00_3945;

									BgL_tmpz00_3945 = ((BgL_objectz00_bglt) BgL_new1172z00_3159);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3945, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1172z00_3159);
								BgL_auxz00_3940 = BgL_new1172z00_3159;
							}
							BgL_tmp1173z00_3157 = ((BgL_sfunz00_bglt) BgL_auxz00_3940);
						}
						BgL_wide1174z00_3158 =
							((BgL_isfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_isfunz00_bgl))));
						{	/* Inline/inline.scm 28 */
							obj_t BgL_auxz00_3953;
							BgL_objectz00_bglt BgL_tmpz00_3951;

							BgL_auxz00_3953 = ((obj_t) BgL_wide1174z00_3158);
							BgL_tmpz00_3951 = ((BgL_objectz00_bglt) BgL_tmp1173z00_3157);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3951, BgL_auxz00_3953);
						}
						((BgL_objectz00_bglt) BgL_tmp1173z00_3157);
						{	/* Inline/inline.scm 28 */
							long BgL_arg1554z00_3161;

							BgL_arg1554z00_3161 =
								BGL_CLASS_NUM(BGl_isfunz00zzinline_inlinez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1173z00_3157),
								BgL_arg1554z00_3161);
						}
						BgL_new1175z00_3156 = ((BgL_sfunz00_bglt) BgL_tmp1173z00_3157);
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1175z00_3156)))->BgL_arityz00) =
						((long) BgL_arity1102z00_3151), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1175z00_3156)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1103zd2_2934), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1175z00_3156)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1104zd2_2935), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1175z00_3156)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1105zd2_2936), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1175z00_3156)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31106zf3_3152), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1175z00_3156)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1107zd2_2938), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1175z00_3156)))->BgL_effectz00) =
						((obj_t) BgL_effect1108z00_2939), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1175z00_3156)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1109z00_2940), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1175z00_3156)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1110zd2_2941), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1175z00_3156)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1111zd2_2942), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_3156)))->BgL_propertyz00) =
						((obj_t) BgL_property1112z00_2943), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_3156)))->BgL_argsz00) =
						((obj_t) BgL_args1113z00_2944), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_3156)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1114zd2_2945), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_3156)))->BgL_bodyz00) =
						((obj_t) BgL_body1115z00_2946), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_3156)))->BgL_classz00) =
						((obj_t) BgL_class1116z00_2947), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_3156)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1117zd2_2948), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_3156)))->BgL_locz00) =
						((obj_t) BgL_loc1118z00_2949), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_3156)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1119z00_2950), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_3156)))->BgL_keysz00) =
						((obj_t) BgL_keys1120z00_2951), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_3156)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1121z00_2952), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_3156)))->BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1122z00_2953)), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_3156)))->BgL_stackablez00) =
						((obj_t) BgL_stackable1123z00_2954), BUNSPEC);
					{
						BgL_isfunz00_bglt BgL_auxz00_4006;

						{
							obj_t BgL_auxz00_4007;

							{	/* Inline/inline.scm 28 */
								BgL_objectz00_bglt BgL_tmpz00_4008;

								BgL_tmpz00_4008 = ((BgL_objectz00_bglt) BgL_new1175z00_3156);
								BgL_auxz00_4007 = BGL_OBJECT_WIDENING(BgL_tmpz00_4008);
							}
							BgL_auxz00_4006 = ((BgL_isfunz00_bglt) BgL_auxz00_4007);
						}
						((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_4006))->
								BgL_originalzd2bodyzd2) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
									BgL_originalzd2body1124zd2_2955)), BUNSPEC);
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_4014;

						{
							obj_t BgL_auxz00_4015;

							{	/* Inline/inline.scm 28 */
								BgL_objectz00_bglt BgL_tmpz00_4016;

								BgL_tmpz00_4016 = ((BgL_objectz00_bglt) BgL_new1175z00_3156);
								BgL_auxz00_4015 = BGL_OBJECT_WIDENING(BgL_tmpz00_4016);
							}
							BgL_auxz00_4014 = ((BgL_isfunz00_bglt) BgL_auxz00_4015);
						}
						((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_4014))->
								BgL_recursivezd2callszd2) =
							((obj_t) BgL_recursivezd2calls1125zd2_2956), BUNSPEC);
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_4021;

						{
							obj_t BgL_auxz00_4022;

							{	/* Inline/inline.scm 28 */
								BgL_objectz00_bglt BgL_tmpz00_4023;

								BgL_tmpz00_4023 = ((BgL_objectz00_bglt) BgL_new1175z00_3156);
								BgL_auxz00_4022 = BGL_OBJECT_WIDENING(BgL_tmpz00_4023);
							}
							BgL_auxz00_4021 = ((BgL_isfunz00_bglt) BgL_auxz00_4022);
						}
						((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_4021))->BgL_tailrecz00) =
							((bool_t) BgL_tailrec1126z00_3155), BUNSPEC);
					}
					return BgL_new1175z00_3156;
				}
			}
		}

	}



/* &<@anonymous:1607> */
	obj_t BGl_z62zc3z04anonymousza31607ze3ze5zzinline_inlinez00(obj_t
		BgL_envz00_2958)
	{
		{	/* Inline/inline.scm 28 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1606 */
	obj_t BGl_z62lambda1606z62zzinline_inlinez00(obj_t BgL_envz00_2959,
		obj_t BgL_oz00_2960, obj_t BgL_vz00_2961)
	{
		{	/* Inline/inline.scm 28 */
			{	/* Inline/inline.scm 28 */
				bool_t BgL_vz00_3163;

				BgL_vz00_3163 = CBOOL(BgL_vz00_2961);
				{
					BgL_isfunz00_bglt BgL_auxz00_4030;

					{
						obj_t BgL_auxz00_4031;

						{	/* Inline/inline.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_4032;

							BgL_tmpz00_4032 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2960));
							BgL_auxz00_4031 = BGL_OBJECT_WIDENING(BgL_tmpz00_4032);
						}
						BgL_auxz00_4030 = ((BgL_isfunz00_bglt) BgL_auxz00_4031);
					}
					return
						((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_4030))->BgL_tailrecz00) =
						((bool_t) BgL_vz00_3163), BUNSPEC);
				}
			}
		}

	}



/* &lambda1605 */
	obj_t BGl_z62lambda1605z62zzinline_inlinez00(obj_t BgL_envz00_2962,
		obj_t BgL_oz00_2963)
	{
		{	/* Inline/inline.scm 28 */
			{	/* Inline/inline.scm 28 */
				bool_t BgL_tmpz00_4038;

				{
					BgL_isfunz00_bglt BgL_auxz00_4039;

					{
						obj_t BgL_auxz00_4040;

						{	/* Inline/inline.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_4041;

							BgL_tmpz00_4041 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2963));
							BgL_auxz00_4040 = BGL_OBJECT_WIDENING(BgL_tmpz00_4041);
						}
						BgL_auxz00_4039 = ((BgL_isfunz00_bglt) BgL_auxz00_4040);
					}
					BgL_tmpz00_4038 =
						(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_4039))->BgL_tailrecz00);
				}
				return BBOOL(BgL_tmpz00_4038);
			}
		}

	}



/* &<@anonymous:1598> */
	obj_t BGl_z62zc3z04anonymousza31598ze3ze5zzinline_inlinez00(obj_t
		BgL_envz00_2964)
	{
		{	/* Inline/inline.scm 28 */
			return BUNSPEC;
		}

	}



/* &lambda1597 */
	obj_t BGl_z62lambda1597z62zzinline_inlinez00(obj_t BgL_envz00_2965,
		obj_t BgL_oz00_2966, obj_t BgL_vz00_2967)
	{
		{	/* Inline/inline.scm 28 */
			{
				BgL_isfunz00_bglt BgL_auxz00_4048;

				{
					obj_t BgL_auxz00_4049;

					{	/* Inline/inline.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_4050;

						BgL_tmpz00_4050 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2966));
						BgL_auxz00_4049 = BGL_OBJECT_WIDENING(BgL_tmpz00_4050);
					}
					BgL_auxz00_4048 = ((BgL_isfunz00_bglt) BgL_auxz00_4049);
				}
				return
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_4048))->
						BgL_recursivezd2callszd2) = ((obj_t) BgL_vz00_2967), BUNSPEC);
			}
		}

	}



/* &lambda1596 */
	obj_t BGl_z62lambda1596z62zzinline_inlinez00(obj_t BgL_envz00_2968,
		obj_t BgL_oz00_2969)
	{
		{	/* Inline/inline.scm 28 */
			{
				BgL_isfunz00_bglt BgL_auxz00_4056;

				{
					obj_t BgL_auxz00_4057;

					{	/* Inline/inline.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_4058;

						BgL_tmpz00_4058 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2969));
						BgL_auxz00_4057 = BGL_OBJECT_WIDENING(BgL_tmpz00_4058);
					}
					BgL_auxz00_4056 = ((BgL_isfunz00_bglt) BgL_auxz00_4057);
				}
				return
					(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_4056))->
					BgL_recursivezd2callszd2);
			}
		}

	}



/* &lambda1584 */
	obj_t BGl_z62lambda1584z62zzinline_inlinez00(obj_t BgL_envz00_2970,
		obj_t BgL_oz00_2971, obj_t BgL_vz00_2972)
	{
		{	/* Inline/inline.scm 28 */
			{
				BgL_isfunz00_bglt BgL_auxz00_4064;

				{
					obj_t BgL_auxz00_4065;

					{	/* Inline/inline.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_4066;

						BgL_tmpz00_4066 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2971));
						BgL_auxz00_4065 = BGL_OBJECT_WIDENING(BgL_tmpz00_4066);
					}
					BgL_auxz00_4064 = ((BgL_isfunz00_bglt) BgL_auxz00_4065);
				}
				return
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_4064))->
						BgL_originalzd2bodyzd2) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_2972)), BUNSPEC);
			}
		}

	}



/* &lambda1583 */
	BgL_nodez00_bglt BGl_z62lambda1583z62zzinline_inlinez00(obj_t BgL_envz00_2973,
		obj_t BgL_oz00_2974)
	{
		{	/* Inline/inline.scm 28 */
			{
				BgL_isfunz00_bglt BgL_auxz00_4073;

				{
					obj_t BgL_auxz00_4074;

					{	/* Inline/inline.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_4075;

						BgL_tmpz00_4075 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2974));
						BgL_auxz00_4074 = BGL_OBJECT_WIDENING(BgL_tmpz00_4075);
					}
					BgL_auxz00_4073 = ((BgL_isfunz00_bglt) BgL_auxz00_4074);
				}
				return
					(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_4073))->
					BgL_originalzd2bodyzd2);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_inlinez00()
	{
		{	/* Inline/inline.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_proc2008z00zzinline_inlinez00, BGl_nodez00zzast_nodez00,
				BGl_string2009z00zzinline_inlinez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_disablezd2inliningz12zd2envz12zzinline_inlinez00,
				BGl_proc2010z00zzinline_inlinez00, BGl_nodez00zzast_nodez00,
				BGl_string2011z00zzinline_inlinez00);
		}

	}



/* &disable-inlining!1349 */
	obj_t BGl_z62disablezd2inliningz121349za2zzinline_inlinez00(obj_t
		BgL_envz00_2979, obj_t BgL_nz00_2980)
	{
		{	/* Inline/inline.scm 304 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nz00_2980),
					BGl_disablezd2inliningz12zd2envz12zzinline_inlinez00));
		}

	}



/* &inline-node1300 */
	obj_t BGl_z62inlinezd2node1300zb0zzinline_inlinez00(obj_t BgL_envz00_2981,
		obj_t BgL_nodez00_2982, obj_t BgL_kfactorz00_2983, obj_t BgL_stackz00_2984)
	{
		{	/* Inline/inline.scm 70 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 12)),
				BGl_string2012z00zzinline_inlinez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2982)));
		}

	}



/* inline-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt BgL_nodez00_95,
		long BgL_kfactorz00_96, obj_t BgL_stackz00_97)
	{
		{	/* Inline/inline.scm 70 */
			{	/* Inline/inline.scm 70 */
				obj_t BgL_method1301z00_1686;

				{	/* Inline/inline.scm 70 */
					obj_t BgL_res1981z00_2402;

					{	/* Inline/inline.scm 70 */
						long BgL_objzd2classzd2numz00_2373;

						BgL_objzd2classzd2numz00_2373 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_95));
						{	/* Inline/inline.scm 70 */
							obj_t BgL_arg1829z00_2374;

							BgL_arg1829z00_2374 =
								PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
								(int) (((long) 1)));
							{	/* Inline/inline.scm 70 */
								int BgL_offsetz00_2377;

								BgL_offsetz00_2377 = (int) (BgL_objzd2classzd2numz00_2373);
								{	/* Inline/inline.scm 70 */
									long BgL_offsetz00_2378;

									BgL_offsetz00_2378 =
										((long) (BgL_offsetz00_2377) - OBJECT_TYPE);
									{	/* Inline/inline.scm 70 */
										long BgL_modz00_2379;

										BgL_modz00_2379 =
											(BgL_offsetz00_2378 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Inline/inline.scm 70 */
											long BgL_restz00_2381;

											BgL_restz00_2381 =
												(BgL_offsetz00_2378 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Inline/inline.scm 70 */

												{	/* Inline/inline.scm 70 */
													obj_t BgL_bucketz00_2383;

													BgL_bucketz00_2383 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2374), BgL_modz00_2379);
													BgL_res1981z00_2402 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2383), BgL_restz00_2381);
					}}}}}}}}
					BgL_method1301z00_1686 = BgL_res1981z00_2402;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1301z00_1686) (BgL_method1301z00_1686,
						((obj_t) BgL_nodez00_95),
						BINT(BgL_kfactorz00_96), BgL_stackz00_97, BEOA));
			}
		}

	}



/* &inline-node */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezb0zzinline_inlinez00(obj_t
		BgL_envz00_2985, obj_t BgL_nodez00_2986, obj_t BgL_kfactorz00_2987,
		obj_t BgL_stackz00_2988)
	{
		{	/* Inline/inline.scm 70 */
			return
				BGl_inlinezd2nodezd2zzinline_inlinez00(
				((BgL_nodez00_bglt) BgL_nodez00_2986),
				(long) CINT(BgL_kfactorz00_2987), BgL_stackz00_2988);
		}

	}



/* disable-inlining! */
	BgL_nodez00_bglt
		BGl_disablezd2inliningz12zc0zzinline_inlinez00(BgL_nodez00_bglt
		BgL_nz00_170)
	{
		{	/* Inline/inline.scm 304 */
			{	/* Inline/inline.scm 304 */
				obj_t BgL_method1350z00_1687;

				{	/* Inline/inline.scm 304 */
					obj_t BgL_res1986z00_2433;

					{	/* Inline/inline.scm 304 */
						long BgL_objzd2classzd2numz00_2404;

						BgL_objzd2classzd2numz00_2404 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_170));
						{	/* Inline/inline.scm 304 */
							obj_t BgL_arg1829z00_2405;

							BgL_arg1829z00_2405 =
								PROCEDURE_REF
								(BGl_disablezd2inliningz12zd2envz12zzinline_inlinez00,
								(int) (((long) 1)));
							{	/* Inline/inline.scm 304 */
								int BgL_offsetz00_2408;

								BgL_offsetz00_2408 = (int) (BgL_objzd2classzd2numz00_2404);
								{	/* Inline/inline.scm 304 */
									long BgL_offsetz00_2409;

									BgL_offsetz00_2409 =
										((long) (BgL_offsetz00_2408) - OBJECT_TYPE);
									{	/* Inline/inline.scm 304 */
										long BgL_modz00_2410;

										BgL_modz00_2410 =
											(BgL_offsetz00_2409 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Inline/inline.scm 304 */
											long BgL_restz00_2412;

											BgL_restz00_2412 =
												(BgL_offsetz00_2409 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Inline/inline.scm 304 */

												{	/* Inline/inline.scm 304 */
													obj_t BgL_bucketz00_2414;

													BgL_bucketz00_2414 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2405), BgL_modz00_2410);
													BgL_res1986z00_2433 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2414), BgL_restz00_2412);
					}}}}}}}}
					BgL_method1350z00_1687 = BgL_res1986z00_2433;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1350z00_1687) (BgL_method1350z00_1687,
						((obj_t) BgL_nz00_170), BEOA));
			}
		}

	}



/* &disable-inlining! */
	BgL_nodez00_bglt BGl_z62disablezd2inliningz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2976, obj_t BgL_nz00_2977)
	{
		{	/* Inline/inline.scm 304 */
			return
				BGl_disablezd2inliningz12zc0zzinline_inlinez00(
				((BgL_nodez00_bglt) BgL_nz00_2977));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_inlinez00()
	{
		{	/* Inline/inline.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_atomz00zzast_nodez00,
				BGl_proc2013z00zzinline_inlinez00, BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_varz00zzast_nodez00,
				BGl_proc2015z00zzinline_inlinez00, BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_kwotez00zzast_nodez00, BGl_proc2016z00zzinline_inlinez00,
				BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2017z00zzinline_inlinez00,
				BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_syncz00zzast_nodez00,
				BGl_proc2018z00zzinline_inlinez00, BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_appz00zzast_nodez00,
				BGl_proc2019z00zzinline_inlinez00, BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2020z00zzinline_inlinez00,
				BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_funcallz00zzast_nodez00, BGl_proc2021z00zzinline_inlinez00,
				BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_externz00zzast_nodez00, BGl_proc2022z00zzinline_inlinez00,
				BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_castz00zzast_nodez00,
				BGl_proc2023z00zzinline_inlinez00, BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_setqz00zzast_nodez00,
				BGl_proc2024z00zzinline_inlinez00, BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2025z00zzinline_inlinez00,
				BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_failz00zzast_nodez00,
				BGl_proc2026z00zzinline_inlinez00, BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_switchz00zzast_nodez00, BGl_proc2027z00zzinline_inlinez00,
				BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2028z00zzinline_inlinez00,
				BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2029z00zzinline_inlinez00,
				BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2030z00zzinline_inlinez00,
				BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2031z00zzinline_inlinez00,
				BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_retblockz00zzast_nodez00, BGl_proc2032z00zzinline_inlinez00,
				BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_returnz00zzast_nodez00, BGl_proc2033z00zzinline_inlinez00,
				BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2034z00zzinline_inlinez00,
				BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2035z00zzinline_inlinez00,
				BGl_string2014z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2036z00zzinline_inlinez00,
				BGl_string2014z00zzinline_inlinez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_disablezd2inliningz12zd2envz12zzinline_inlinez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2037z00zzinline_inlinez00,
				BGl_string2038z00zzinline_inlinez00);
		}

	}



/* &disable-inlining!-le1352 */
	BgL_nodez00_bglt
		BGl_z62disablezd2inliningz12zd2le1352z70zzinline_inlinez00(obj_t
		BgL_envz00_3013, obj_t BgL_nz00_3014)
	{
		{	/* Inline/inline.scm 310 */
			{
				obj_t BgL_bodyz00_3175;

				{	/* Inline/inline.scm 318 */
					obj_t BgL_g1297z00_3190;

					BgL_g1297z00_3190 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_3014)))->BgL_localsz00);
					{
						obj_t BgL_l1295z00_3192;

						BgL_l1295z00_3192 = BgL_g1297z00_3190;
					BgL_zc3z04anonymousza31896ze3z87_3191:
						if (PAIRP(BgL_l1295z00_3192))
							{	/* Inline/inline.scm 318 */
								{	/* Inline/inline.scm 319 */
									obj_t BgL_funz00_3193;

									BgL_funz00_3193 = CAR(BgL_l1295z00_3192);
									{	/* Inline/inline.scm 320 */
										BgL_sfunz00_bglt BgL_i1168z00_3194;

										BgL_i1168z00_3194 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_funz00_3193))))->
												BgL_valuez00));
										{	/* Inline/inline.scm 321 */
											obj_t BgL_arg1898z00_3195;

											BgL_arg1898z00_3195 =
												(((BgL_sfunz00_bglt) COBJECT(BgL_i1168z00_3194))->
												BgL_bodyz00);
											BGl_disablezd2inliningz12zc0zzinline_inlinez00((
													(BgL_nodez00_bglt) BgL_arg1898z00_3195));
										}
										{	/* Inline/inline.scm 322 */
											bool_t BgL_test2152z00_4196;

											{	/* Inline/inline.scm 322 */
												obj_t BgL_tmpz00_4197;

												BgL_bodyz00_3175 =
													(((BgL_sfunz00_bglt) COBJECT(BgL_i1168z00_3194))->
													BgL_bodyz00);
												{	/* Inline/inline.scm 313 */
													bool_t BgL_test2153z00_4198;

													{	/* Inline/inline.scm 313 */
														obj_t BgL_classz00_3176;

														BgL_classz00_3176 = BGl_sequencez00zzast_nodez00;
														if (BGL_OBJECTP(BgL_bodyz00_3175))
															{	/* Inline/inline.scm 313 */
																BgL_objectz00_bglt BgL_arg1825z00_3177;

																BgL_arg1825z00_3177 =
																	(BgL_objectz00_bglt) (BgL_bodyz00_3175);
																{	/* Inline/inline.scm 313 */
																	bool_t BgL_arg1822z00_3178;
																	bool_t BgL_arg1823z00_3179;

																	{	/* Inline/inline.scm 313 */
																		long BgL_idxz00_3180;

																		BgL_idxz00_3180 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_3177);
																		BgL_arg1822z00_3178 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3180 + ((long) 3))) ==
																			BgL_classz00_3176);
																	}
																	{	/* Inline/inline.scm 313 */
																		bool_t BgL_res1990z00_3183;

																		{	/* Inline/inline.scm 313 */
																			obj_t BgL_oclassz00_3184;

																			{	/* Inline/inline.scm 313 */
																				long BgL_arg1833z00_3185;

																				{	/* Inline/inline.scm 313 */
																					long BgL_arg1834z00_3186;

																					BgL_arg1834z00_3186 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_3177);
																					BgL_arg1833z00_3185 =
																						(BgL_arg1834z00_3186 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3184 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_3185);
																			}
																			{	/* Inline/inline.scm 313 */
																				bool_t BgL__ortest_1110z00_3187;

																				BgL__ortest_1110z00_3187 =
																					(BgL_classz00_3176 ==
																					BgL_oclassz00_3184);
																				if (BgL__ortest_1110z00_3187)
																					{	/* Inline/inline.scm 313 */
																						BgL_res1990z00_3183 =
																							BgL__ortest_1110z00_3187;
																					}
																				else
																					{	/* Inline/inline.scm 313 */
																						long BgL_odepthz00_3188;

																						BgL_odepthz00_3188 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_3184);
																						if ((((long) 3) <
																								BgL_odepthz00_3188))
																							{	/* Inline/inline.scm 313 */
																								obj_t BgL_arg1821z00_3189;

																								BgL_arg1821z00_3189 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_3184,
																									((long) 3));
																								BgL_res1990z00_3183 =
																									(BgL_arg1821z00_3189 ==
																									BgL_classz00_3176);
																							}
																						else
																							{	/* Inline/inline.scm 313 */
																								BgL_res1990z00_3183 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_3179 = BgL_res1990z00_3183;
																	}
																	BgL_test2153z00_4198 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_3178,
																		BgL_arg1823z00_3179);
																}
															}
														else
															{	/* Inline/inline.scm 313 */
																BgL_test2153z00_4198 = ((bool_t) 0);
															}
													}
													if (BgL_test2153z00_4198)
														{	/* Inline/inline.scm 313 */
															BgL_tmpz00_4197 =
																BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																(CNST_TABLE_REF(((long) 13)),
																(((BgL_sequencez00_bglt)
																		COBJECT(((BgL_sequencez00_bglt)
																				BgL_bodyz00_3175)))->BgL_metaz00));
														}
													else
														{	/* Inline/inline.scm 313 */
															BgL_tmpz00_4197 = BFALSE;
														}
												}
												BgL_test2152z00_4196 = CBOOL(BgL_tmpz00_4197);
											}
											if (BgL_test2152z00_4196)
												{	/* Inline/inline.scm 322 */
													BFALSE;
												}
											else
												{	/* Inline/inline.scm 323 */
													BgL_nodez00_bglt BgL_i1169z00_3196;

													BgL_i1169z00_3196 =
														((BgL_nodez00_bglt)
														(((BgL_sfunz00_bglt) COBJECT(BgL_i1168z00_3194))->
															BgL_bodyz00));
													{
														obj_t BgL_auxz00_4225;

														{	/* Inline/inline.scm 325 */
															BgL_sequencez00_bglt BgL_new1171z00_3197;

															{	/* Inline/inline.scm 328 */
																BgL_sequencez00_bglt BgL_new1170z00_3198;

																BgL_new1170z00_3198 =
																	((BgL_sequencez00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_sequencez00_bgl))));
																{	/* Inline/inline.scm 328 */
																	long BgL_arg1906z00_3199;

																	{	/* Inline/inline.scm 328 */
																		obj_t BgL_classz00_3200;

																		BgL_classz00_3200 =
																			BGl_sequencez00zzast_nodez00;
																		BgL_arg1906z00_3199 =
																			BGL_CLASS_NUM(BgL_classz00_3200);
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1170z00_3198),
																		BgL_arg1906z00_3199);
																}
																{	/* Inline/inline.scm 328 */
																	BgL_objectz00_bglt BgL_tmpz00_4230;

																	BgL_tmpz00_4230 =
																		((BgL_objectz00_bglt) BgL_new1170z00_3198);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4230,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1170z00_3198);
																BgL_new1171z00_3197 = BgL_new1170z00_3198;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1171z00_3197)))->BgL_locz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1171z00_3197)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																			COBJECT(BgL_i1169z00_3196))->
																		BgL_typez00)), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1171z00_3197)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1171z00_3197)))->BgL_keyz00) =
																((obj_t) BINT(((long) -1))), BUNSPEC);
															{
																obj_t BgL_auxz00_4244;

																{	/* Inline/inline.scm 326 */
																	obj_t BgL_arg1904z00_3201;

																	BgL_arg1904z00_3201 =
																		(((BgL_sfunz00_bglt)
																			COBJECT(BgL_i1168z00_3194))->BgL_bodyz00);
																	{	/* Inline/inline.scm 326 */
																		obj_t BgL_list1905z00_3202;

																		BgL_list1905z00_3202 =
																			MAKE_YOUNG_PAIR(BgL_arg1904z00_3201,
																			BNIL);
																		BgL_auxz00_4244 = BgL_list1905z00_3202;
																}}
																((((BgL_sequencez00_bglt)
																			COBJECT(BgL_new1171z00_3197))->
																		BgL_nodesz00) =
																	((obj_t) BgL_auxz00_4244), BUNSPEC);
															}
															((((BgL_sequencez00_bglt)
																		COBJECT(BgL_new1171z00_3197))->
																	BgL_unsafez00) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
															((((BgL_sequencez00_bglt)
																		COBJECT(BgL_new1171z00_3197))->
																	BgL_metaz00) =
																((obj_t) CNST_TABLE_REF(((long) 14))), BUNSPEC);
															BgL_auxz00_4225 = ((obj_t) BgL_new1171z00_3197);
														}
														((((BgL_sfunz00_bglt) COBJECT(BgL_i1168z00_3194))->
																BgL_bodyz00) =
															((obj_t) BgL_auxz00_4225), BUNSPEC);
								}}}}}
								{
									obj_t BgL_l1295z00_4253;

									BgL_l1295z00_4253 = CDR(BgL_l1295z00_3192);
									BgL_l1295z00_3192 = BgL_l1295z00_4253;
									goto BgL_zc3z04anonymousza31896ze3z87_3191;
								}
							}
						else
							{	/* Inline/inline.scm 318 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4255;

					{	/* Inline/inline.scm 330 */
						BgL_nodez00_bglt BgL_arg1909z00_3203;

						BgL_arg1909z00_3203 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_3014)))->BgL_bodyz00);
						BgL_auxz00_4255 =
							BGl_disablezd2inliningz12zc0zzinline_inlinez00
							(BgL_arg1909z00_3203);
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_3014)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4255), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_3014));
			}
		}

	}



/* &inline-node-box-set!1348 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2setz121348za2zzinline_inlinez00(obj_t
		BgL_envz00_3015, obj_t BgL_nodez00_3016, obj_t BgL_kfactorz00_3017,
		obj_t BgL_stackz00_3018)
	{
		{	/* Inline/inline.scm 285 */
			{
				BgL_varz00_bglt BgL_auxz00_4263;

				{	/* Inline/inline.scm 287 */
					BgL_varz00_bglt BgL_arg1894z00_3205;

					BgL_arg1894z00_3205 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3016)))->BgL_varz00);
					BgL_auxz00_4263 =
						((BgL_varz00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00(
							((BgL_nodez00_bglt) BgL_arg1894z00_3205),
							(long) CINT(BgL_kfactorz00_3017), BgL_stackz00_3018));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3016)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_4263), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4272;

				{	/* Inline/inline.scm 288 */
					BgL_nodez00_bglt BgL_arg1895z00_3206;

					BgL_arg1895z00_3206 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3016)))->BgL_valuez00);
					BgL_auxz00_4272 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1895z00_3206,
						(long) CINT(BgL_kfactorz00_3017), BgL_stackz00_3018);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3016)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4272), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3016));
		}

	}



/* &inline-node-box-ref1346 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2ref1346zb0zzinline_inlinez00(obj_t
		BgL_envz00_3019, obj_t BgL_nodez00_3020, obj_t BgL_kfactorz00_3021,
		obj_t BgL_stackz00_3022)
	{
		{	/* Inline/inline.scm 278 */
			{	/* Inline/inline.scm 279 */
				BgL_nodez00_bglt BgL_arg1891z00_3208;

				{	/* Inline/inline.scm 279 */
					BgL_varz00_bglt BgL_arg1892z00_3209;

					BgL_arg1892z00_3209 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3020)))->BgL_varz00);
					BgL_arg1891z00_3208 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(
						((BgL_nodez00_bglt) BgL_arg1892z00_3209),
						(long) CINT(BgL_kfactorz00_3021), BgL_stackz00_3022);
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3020)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1891z00_3208)), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3020));
		}

	}



/* &inline-node-make-box1344 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2makezd2box1344zb0zzinline_inlinez00(obj_t
		BgL_envz00_3023, obj_t BgL_nodez00_3024, obj_t BgL_kfactorz00_3025,
		obj_t BgL_stackz00_3026)
	{
		{	/* Inline/inline.scm 271 */
			((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3024)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_makezd2boxzd2_bglt)
								COBJECT(((BgL_makezd2boxzd2_bglt) BgL_nodez00_3024)))->
							BgL_valuez00), (long) CINT(BgL_kfactorz00_3025),
						BgL_stackz00_3026)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3024));
		}

	}



/* &inline-node-return1342 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2return1342z62zzinline_inlinez00(obj_t
		BgL_envz00_3027, obj_t BgL_nodez00_3028, obj_t BgL_kfactorz00_3029,
		obj_t BgL_stackz00_3030)
	{
		{	/* Inline/inline.scm 264 */
			((((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_nodez00_3028)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_returnz00_bglt)
								COBJECT(((BgL_returnz00_bglt) BgL_nodez00_3028)))->
							BgL_valuez00), (long) CINT(BgL_kfactorz00_3029),
						BgL_stackz00_3030)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nodez00_3028));
		}

	}



/* &inline-node-retblock1340 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2retblock1340z62zzinline_inlinez00(obj_t
		BgL_envz00_3031, obj_t BgL_nodez00_3032, obj_t BgL_kfactorz00_3033,
		obj_t BgL_stackz00_3034)
	{
		{	/* Inline/inline.scm 257 */
			((((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nodez00_3032)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_retblockz00_bglt)
								COBJECT(((BgL_retblockz00_bglt) BgL_nodez00_3032)))->
							BgL_bodyz00), (long) CINT(BgL_kfactorz00_3033),
						BgL_stackz00_3034)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nodez00_3032));
		}

	}



/* &inline-node-jump-ex-1338 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2jumpzd2exzd21338z62zzinline_inlinez00(obj_t
		BgL_envz00_3035, obj_t BgL_nodez00_3036, obj_t BgL_kfactorz00_3037,
		obj_t BgL_stackz00_3038)
	{
		{	/* Inline/inline.scm 248 */
			{
				BgL_nodez00_bglt BgL_auxz00_4315;

				{	/* Inline/inline.scm 250 */
					BgL_nodez00_bglt BgL_arg1882z00_3214;

					BgL_arg1882z00_3214 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3036)))->BgL_exitz00);
					BgL_auxz00_4315 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1882z00_3214,
						(long) CINT(BgL_kfactorz00_3037), BgL_stackz00_3038);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3036)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4315), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4322;

				{	/* Inline/inline.scm 251 */
					BgL_nodez00_bglt BgL_arg1883z00_3215;

					BgL_arg1883z00_3215 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3036)))->
						BgL_valuez00);
					BgL_auxz00_4322 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1883z00_3215,
						(long) CINT(BgL_kfactorz00_3037), BgL_stackz00_3038);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3036)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_4322), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3036));
		}

	}



/* &inline-node-set-ex-i1336 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setzd2exzd2i1336z62zzinline_inlinez00(obj_t
		BgL_envz00_3039, obj_t BgL_nodez00_3040, obj_t BgL_kfactorz00_3041,
		obj_t BgL_stackz00_3042)
	{
		{	/* Inline/inline.scm 240 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3040)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3040)))->
							BgL_bodyz00), (long) CINT(BgL_kfactorz00_3041),
						BgL_stackz00_3042)), BUNSPEC);
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_3040)))->BgL_onexitz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3040)))->
							BgL_onexitz00), (long) CINT(BgL_kfactorz00_3041),
						BgL_stackz00_3042)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_3040));
		}

	}



/* &inline-node-let-var1334 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2var1334zb0zzinline_inlinez00(obj_t
		BgL_envz00_3043, obj_t BgL_nodez00_3044, obj_t BgL_kfactorz00_3045,
		obj_t BgL_stackz00_3046)
	{
		{	/* Inline/inline.scm 228 */
			{	/* Inline/inline.scm 229 */
				obj_t BgL_g1294z00_3218;

				BgL_g1294z00_3218 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3044)))->BgL_bindingsz00);
				{
					obj_t BgL_l1292z00_3220;

					BgL_l1292z00_3220 = BgL_g1294z00_3218;
				BgL_zc3z04anonymousza31864ze3z87_3219:
					if (PAIRP(BgL_l1292z00_3220))
						{	/* Inline/inline.scm 233 */
							{	/* Inline/inline.scm 231 */
								obj_t BgL_bindingz00_3221;

								BgL_bindingz00_3221 = CAR(BgL_l1292z00_3220);
								{	/* Inline/inline.scm 232 */
									BgL_nodez00_bglt BgL_arg1867z00_3222;

									{	/* Inline/inline.scm 232 */
										obj_t BgL_arg1869z00_3223;

										BgL_arg1869z00_3223 = CDR(((obj_t) BgL_bindingz00_3221));
										BgL_arg1867z00_3222 =
											BGl_inlinezd2nodezd2zzinline_inlinez00(
											((BgL_nodez00_bglt) BgL_arg1869z00_3223),
											(long) CINT(BgL_kfactorz00_3045), BgL_stackz00_3046);
									}
									{	/* Inline/inline.scm 232 */
										obj_t BgL_auxz00_4357;
										obj_t BgL_tmpz00_4355;

										BgL_auxz00_4357 = ((obj_t) BgL_arg1867z00_3222);
										BgL_tmpz00_4355 = ((obj_t) BgL_bindingz00_3221);
										SET_CDR(BgL_tmpz00_4355, BgL_auxz00_4357);
							}}}
							{
								obj_t BgL_l1292z00_4360;

								BgL_l1292z00_4360 = CDR(BgL_l1292z00_3220);
								BgL_l1292z00_3220 = BgL_l1292z00_4360;
								goto BgL_zc3z04anonymousza31864ze3z87_3219;
							}
						}
					else
						{	/* Inline/inline.scm 233 */
							((bool_t) 1);
						}
				}
			}
			((((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3044)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_letzd2varzd2_bglt)
								COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_3044)))->
							BgL_bodyz00), (long) CINT(BgL_kfactorz00_3045),
						BgL_stackz00_3046)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_3044));
		}

	}



/* &inline-node-let-fun1331 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2fun1331zb0zzinline_inlinez00(obj_t
		BgL_envz00_3047, obj_t BgL_nodez00_3048, obj_t BgL_kfactorz00_3049,
		obj_t BgL_stackz00_3050)
	{
		{	/* Inline/inline.scm 213 */
			{	/* Inline/inline.scm 217 */
				obj_t BgL_g1291z00_3225;

				BgL_g1291z00_3225 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3048)))->BgL_localsz00);
				{
					obj_t BgL_l1289z00_3227;

					BgL_l1289z00_3227 = BgL_g1291z00_3225;
				BgL_zc3z04anonymousza31856ze3z87_3226:
					if (PAIRP(BgL_l1289z00_3227))
						{	/* Inline/inline.scm 219 */
							{	/* Inline/inline.scm 218 */
								obj_t BgL_localz00_3228;

								BgL_localz00_3228 = CAR(BgL_l1289z00_3227);
								BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
									((BgL_variablez00_bglt) BgL_localz00_3228),
									(long) CINT(BgL_kfactorz00_3049), BgL_stackz00_3050);
							}
							{
								obj_t BgL_l1289z00_4378;

								BgL_l1289z00_4378 = CDR(BgL_l1289z00_3227);
								BgL_l1289z00_3227 = BgL_l1289z00_4378;
								goto BgL_zc3z04anonymousza31856ze3z87_3226;
							}
						}
					else
						{	/* Inline/inline.scm 219 */
							((bool_t) 1);
						}
				}
			}
			((((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3048)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_letzd2funzd2_bglt)
								COBJECT(((BgL_letzd2funzd2_bglt) BgL_nodez00_3048)))->
							BgL_bodyz00), (long) CINT(BgL_kfactorz00_3049),
						BgL_stackz00_3050)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_3048));
		}

	}



/* &inline-node-switch1329 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2switch1329z62zzinline_inlinez00(obj_t
		BgL_envz00_3051, obj_t BgL_nodez00_3052, obj_t BgL_kfactorz00_3053,
		obj_t BgL_stackz00_3054)
	{
		{	/* Inline/inline.scm 203 */
			((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3052)))->BgL_testz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_switchz00_bglt)
								COBJECT(((BgL_switchz00_bglt) BgL_nodez00_3052)))->BgL_testz00),
						(long) CINT(BgL_kfactorz00_3053), BgL_stackz00_3054)), BUNSPEC);
			{	/* Inline/inline.scm 205 */
				obj_t BgL_g1288z00_3230;

				BgL_g1288z00_3230 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3052)))->BgL_clausesz00);
				{
					obj_t BgL_l1286z00_3232;

					BgL_l1286z00_3232 = BgL_g1288z00_3230;
				BgL_zc3z04anonymousza31849ze3z87_3231:
					if (PAIRP(BgL_l1286z00_3232))
						{	/* Inline/inline.scm 207 */
							{	/* Inline/inline.scm 206 */
								obj_t BgL_clausez00_3233;

								BgL_clausez00_3233 = CAR(BgL_l1286z00_3232);
								{	/* Inline/inline.scm 206 */
									BgL_nodez00_bglt BgL_arg1852z00_3234;

									{	/* Inline/inline.scm 206 */
										obj_t BgL_arg1854z00_3235;

										BgL_arg1854z00_3235 = CDR(((obj_t) BgL_clausez00_3233));
										BgL_arg1852z00_3234 =
											BGl_inlinezd2nodezd2zzinline_inlinez00(
											((BgL_nodez00_bglt) BgL_arg1854z00_3235),
											(long) CINT(BgL_kfactorz00_3053), BgL_stackz00_3054);
									}
									{	/* Inline/inline.scm 206 */
										obj_t BgL_auxz00_4406;
										obj_t BgL_tmpz00_4404;

										BgL_auxz00_4406 = ((obj_t) BgL_arg1852z00_3234);
										BgL_tmpz00_4404 = ((obj_t) BgL_clausez00_3233);
										SET_CDR(BgL_tmpz00_4404, BgL_auxz00_4406);
							}}}
							{
								obj_t BgL_l1286z00_4409;

								BgL_l1286z00_4409 = CDR(BgL_l1286z00_3232);
								BgL_l1286z00_3232 = BgL_l1286z00_4409;
								goto BgL_zc3z04anonymousza31849ze3z87_3231;
							}
						}
					else
						{	/* Inline/inline.scm 207 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_3052));
		}

	}



/* &inline-node-fail1327 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2fail1327z62zzinline_inlinez00(obj_t
		BgL_envz00_3055, obj_t BgL_nodez00_3056, obj_t BgL_kfactorz00_3057,
		obj_t BgL_stackz00_3058)
	{
		{	/* Inline/inline.scm 193 */
			{
				BgL_nodez00_bglt BgL_auxz00_4413;

				{	/* Inline/inline.scm 195 */
					BgL_nodez00_bglt BgL_arg1837z00_3237;

					BgL_arg1837z00_3237 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3056)))->BgL_procz00);
					BgL_auxz00_4413 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1837z00_3237,
						(long) CINT(BgL_kfactorz00_3057), BgL_stackz00_3058);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3056)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4413), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4420;

				{	/* Inline/inline.scm 196 */
					BgL_nodez00_bglt BgL_arg1838z00_3238;

					BgL_arg1838z00_3238 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3056)))->BgL_msgz00);
					BgL_auxz00_4420 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1838z00_3238,
						(long) CINT(BgL_kfactorz00_3057), BgL_stackz00_3058);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3056)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4420), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4427;

				{	/* Inline/inline.scm 197 */
					BgL_nodez00_bglt BgL_arg1839z00_3239;

					BgL_arg1839z00_3239 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3056)))->BgL_objz00);
					BgL_auxz00_4427 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1839z00_3239,
						(long) CINT(BgL_kfactorz00_3057), BgL_stackz00_3058);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3056)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4427), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_3056));
		}

	}



/* &inline-node-conditio1325 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2conditio1325z62zzinline_inlinez00(obj_t
		BgL_envz00_3059, obj_t BgL_nodez00_3060, obj_t BgL_kfactorz00_3061,
		obj_t BgL_stackz00_3062)
	{
		{	/* Inline/inline.scm 181 */
			{
				BgL_nodez00_bglt BgL_auxz00_4436;

				{	/* Tools/trace.sch 53 */
					BgL_nodez00_bglt BgL_arg1817z00_3241;

					BgL_arg1817z00_3241 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3060)))->BgL_testz00);
					BgL_auxz00_4436 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1817z00_3241,
						(long) CINT(BgL_kfactorz00_3061), BgL_stackz00_3062);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3060)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4436), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4443;

				{	/* Tools/trace.sch 53 */
					BgL_nodez00_bglt BgL_arg1818z00_3242;

					BgL_arg1818z00_3242 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3060)))->BgL_truez00);
					BgL_auxz00_4443 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1818z00_3242,
						(long) CINT(BgL_kfactorz00_3061), BgL_stackz00_3062);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3060)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4443), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4450;

				{	/* Tools/trace.sch 53 */
					BgL_nodez00_bglt BgL_arg1824z00_3243;

					BgL_arg1824z00_3243 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3060)))->BgL_falsez00);
					BgL_auxz00_4450 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1824z00_3243,
						(long) CINT(BgL_kfactorz00_3061), BgL_stackz00_3062);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3060)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4450), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_3060));
		}

	}



/* &inline-node-setq1323 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2setq1323z62zzinline_inlinez00(obj_t
		BgL_envz00_3063, obj_t BgL_nodez00_3064, obj_t BgL_kfactorz00_3065,
		obj_t BgL_stackz00_3066)
	{
		{	/* Inline/inline.scm 174 */
			((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_3064)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_setqz00_bglt)
								COBJECT(((BgL_setqz00_bglt) BgL_nodez00_3064)))->BgL_valuez00),
						(long) CINT(BgL_kfactorz00_3065), BgL_stackz00_3066)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_3064));
		}

	}



/* &inline-node-cast1321 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2cast1321z62zzinline_inlinez00(obj_t
		BgL_envz00_3067, obj_t BgL_nodez00_3068, obj_t BgL_kfactorz00_3069,
		obj_t BgL_stackz00_3070)
	{
		{	/* Inline/inline.scm 167 */
			((((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_3068)))->BgL_argz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_castz00_bglt)
								COBJECT(((BgL_castz00_bglt) BgL_nodez00_3068)))->BgL_argz00),
						(long) CINT(BgL_kfactorz00_3069), BgL_stackz00_3070)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_3068));
		}

	}



/* &inline-node-extern1319 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2extern1319z62zzinline_inlinez00(obj_t
		BgL_envz00_3071, obj_t BgL_nodez00_3072, obj_t BgL_kfactorz00_3073,
		obj_t BgL_stackz00_3074)
	{
		{	/* Inline/inline.scm 160 */
			BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_3072)))->BgL_exprza2za2),
				BgL_kfactorz00_3073, BgL_stackz00_3074);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_3072));
		}

	}



/* &inline-node-funcall1317 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2funcall1317z62zzinline_inlinez00(obj_t
		BgL_envz00_3075, obj_t BgL_nodez00_3076, obj_t BgL_kfactorz00_3077,
		obj_t BgL_stackz00_3078)
	{
		{	/* Inline/inline.scm 150 */
			BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 =
				ADDFX(BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00,
				BINT(((long) 1)));
			((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_3076)))->BgL_funz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_funcallz00_bglt)
								COBJECT(((BgL_funcallz00_bglt) BgL_nodez00_3076)))->BgL_funz00),
						(long) CINT(BgL_kfactorz00_3077), BgL_stackz00_3078)), BUNSPEC);
			BGl_inlinezd2nodeza2z12z62zzinline_inlinez00((((BgL_funcallz00_bglt)
						COBJECT(((BgL_funcallz00_bglt) BgL_nodez00_3076)))->BgL_argsz00),
				BgL_kfactorz00_3077, BgL_stackz00_3078);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_3076));
		}

	}



/* &inline-node-app-ly1315 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2appzd2ly1315zb0zzinline_inlinez00(obj_t
		BgL_envz00_3079, obj_t BgL_nodez00_3080, obj_t BgL_kfactorz00_3081,
		obj_t BgL_stackz00_3082)
	{
		{	/* Inline/inline.scm 141 */
			{
				BgL_nodez00_bglt BgL_auxz00_4493;

				{	/* Inline/inline.scm 143 */
					BgL_nodez00_bglt BgL_arg1785z00_3249;

					BgL_arg1785z00_3249 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3080)))->BgL_funz00);
					BgL_auxz00_4493 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1785z00_3249,
						(long) CINT(BgL_kfactorz00_3081), BgL_stackz00_3082);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3080)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4493), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4500;

				{	/* Inline/inline.scm 144 */
					BgL_nodez00_bglt BgL_arg1788z00_3250;

					BgL_arg1788z00_3250 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3080)))->BgL_argz00);
					BgL_auxz00_4500 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1788z00_3250,
						(long) CINT(BgL_kfactorz00_3081), BgL_stackz00_3082);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3080)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4500), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3080));
		}

	}



/* &inline-node-app1313 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2app1313z62zzinline_inlinez00(obj_t
		BgL_envz00_3083, obj_t BgL_nodez00_3084, obj_t BgL_kfactorz00_3085,
		obj_t BgL_stackz00_3086)
	{
		{	/* Inline/inline.scm 134 */
			BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_3084)))->BgL_argsz00),
				BgL_kfactorz00_3085, BgL_stackz00_3086);
			return BGl_inlinezd2appzd2zzinline_appz00(((BgL_appz00_bglt)
					BgL_nodez00_3084), (long) CINT(BgL_kfactorz00_3085),
				BgL_stackz00_3086);
		}

	}



/* &inline-node-sync1311 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2sync1311z62zzinline_inlinez00(obj_t
		BgL_envz00_3087, obj_t BgL_nodez00_3088, obj_t BgL_kfactorz00_3089,
		obj_t BgL_stackz00_3090)
	{
		{	/* Inline/inline.scm 125 */
			((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3088)))->BgL_mutexz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3088)))->BgL_mutexz00),
						(long) CINT(BgL_kfactorz00_3089), BgL_stackz00_3090)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3088)))->
					BgL_prelockz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3088)))->
							BgL_prelockz00), (long) CINT(BgL_kfactorz00_3089),
						BgL_stackz00_3090)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3088)))->
					BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3088)))->BgL_bodyz00),
						(long) CINT(BgL_kfactorz00_3089), BgL_stackz00_3090)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_3088));
		}

	}



/* &inline-node-sequence1309 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sequence1309z62zzinline_inlinez00(obj_t
		BgL_envz00_3091, obj_t BgL_nodez00_3092, obj_t BgL_kfactorz00_3093,
		obj_t BgL_stackz00_3094)
	{
		{	/* Inline/inline.scm 113 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF(((long)
								13)),
						(((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_nodez00_3092)))->BgL_metaz00))))
				{	/* Tools/trace.sch 53 */
					((obj_t)
						BGl_disablezd2inliningz12zc0zzinline_inlinez00(
							((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_3092))));
				}
			else
				{	/* Tools/trace.sch 53 */
					BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
						(((BgL_sequencez00_bglt) COBJECT(
									((BgL_sequencez00_bglt) BgL_nodez00_3092)))->BgL_nodesz00),
						BgL_kfactorz00_3093, BgL_stackz00_3094);
				}
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_3092));
		}

	}



/* &inline-node-kwote1307 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2kwote1307z62zzinline_inlinez00(obj_t
		BgL_envz00_3095, obj_t BgL_nodez00_3096, obj_t BgL_kfactorz00_3097,
		obj_t BgL_stackz00_3098)
	{
		{	/* Inline/inline.scm 107 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_3096));
		}

	}



/* &inline-node-var1305 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2var1305z62zzinline_inlinez00(obj_t
		BgL_envz00_3099, obj_t BgL_nodez00_3100, obj_t BgL_kfactorz00_3101,
		obj_t BgL_stackz00_3102)
	{
		{	/* Inline/inline.scm 81 */
			{	/* Inline/inline.scm 83 */
				bool_t BgL_test2161z00_4552;

				if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) > ((long) 0)))
					{	/* Inline/inline.scm 84 */
						bool_t BgL_test2163z00_4556;

						{	/* Inline/inline.scm 84 */
							BgL_variablez00_bglt BgL_arg1752z00_3257;

							BgL_arg1752z00_3257 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_3100)))->BgL_variablez00);
							{	/* Inline/inline.scm 84 */
								obj_t BgL_classz00_3258;

								BgL_classz00_3258 = BGl_globalz00zzast_varz00;
								{	/* Inline/inline.scm 84 */
									BgL_objectz00_bglt BgL_arg1825z00_3259;

									{	/* Inline/inline.scm 84 */
										obj_t BgL_tmpz00_4559;

										BgL_tmpz00_4559 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1752z00_3257));
										BgL_arg1825z00_3259 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4559);
									}
									{	/* Inline/inline.scm 84 */
										bool_t BgL_arg1822z00_3260;
										bool_t BgL_arg1823z00_3261;

										{	/* Inline/inline.scm 84 */
											long BgL_idxz00_3262;

											BgL_idxz00_3262 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3259);
											BgL_arg1822z00_3260 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3262 + ((long) 2))) == BgL_classz00_3258);
										}
										{	/* Inline/inline.scm 84 */
											bool_t BgL_res1987z00_3265;

											{	/* Inline/inline.scm 84 */
												obj_t BgL_oclassz00_3266;

												{	/* Inline/inline.scm 84 */
													long BgL_arg1833z00_3267;

													{	/* Inline/inline.scm 84 */
														long BgL_arg1834z00_3268;

														BgL_arg1834z00_3268 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3259);
														BgL_arg1833z00_3267 =
															(BgL_arg1834z00_3268 - OBJECT_TYPE);
													}
													BgL_oclassz00_3266 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_3267);
												}
												{	/* Inline/inline.scm 84 */
													bool_t BgL__ortest_1110z00_3269;

													BgL__ortest_1110z00_3269 =
														(BgL_classz00_3258 == BgL_oclassz00_3266);
													if (BgL__ortest_1110z00_3269)
														{	/* Inline/inline.scm 84 */
															BgL_res1987z00_3265 = BgL__ortest_1110z00_3269;
														}
													else
														{	/* Inline/inline.scm 84 */
															long BgL_odepthz00_3270;

															BgL_odepthz00_3270 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3266);
															if ((((long) 2) < BgL_odepthz00_3270))
																{	/* Inline/inline.scm 84 */
																	obj_t BgL_arg1821z00_3271;

																	BgL_arg1821z00_3271 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3266,
																		((long) 2));
																	BgL_res1987z00_3265 =
																		(BgL_arg1821z00_3271 == BgL_classz00_3258);
																}
															else
																{	/* Inline/inline.scm 84 */
																	BgL_res1987z00_3265 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_3261 = BgL_res1987z00_3265;
										}
										BgL_test2163z00_4556 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_3260,
											BgL_arg1823z00_3261);
									}
								}
							}
						}
						if (BgL_test2163z00_4556)
							{	/* Inline/inline.scm 84 */
								if (
									((((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_nodez00_3100)))->
															BgL_variablez00))))->BgL_importz00) ==
										CNST_TABLE_REF(((long) 2))))
									{	/* Inline/inline.scm 85 */
										if (
											(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt)
															(((BgL_varz00_bglt) COBJECT(
																		((BgL_varz00_bglt) BgL_nodez00_3100)))->
																BgL_variablez00))))->BgL_evalzf3zf3))
											{	/* Inline/inline.scm 86 */
												BgL_test2161z00_4552 = ((bool_t) 0);
											}
										else
											{	/* Inline/inline.scm 87 */
												bool_t BgL__ortest_1156z00_3272;

												BgL__ortest_1156z00_3272 =
													(
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt)
																		(((BgL_varz00_bglt) COBJECT(
																					((BgL_varz00_bglt)
																						BgL_nodez00_3100)))->
																			BgL_variablez00)))))->BgL_accessz00) ==
													CNST_TABLE_REF(((long) 15)));
												if (BgL__ortest_1156z00_3272)
													{	/* Inline/inline.scm 87 */
														BgL_test2161z00_4552 = BgL__ortest_1156z00_3272;
													}
												else
													{	/* Inline/inline.scm 87 */
														if (
															((((BgL_globalz00_bglt) COBJECT(
																			((BgL_globalz00_bglt)
																				(((BgL_varz00_bglt) COBJECT(
																							((BgL_varz00_bglt)
																								BgL_nodez00_3100)))->
																					BgL_variablez00))))->BgL_initz00) ==
																BTRUE))
															{	/* Inline/inline.scm 88 */
																BgL_test2161z00_4552 =
																	(
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						(((BgL_varz00_bglt) COBJECT(
																									((BgL_varz00_bglt)
																										BgL_nodez00_3100)))->
																							BgL_variablez00)))))->
																		BgL_occurrencewz00) == ((long) 1));
															}
														else
															{	/* Inline/inline.scm 88 */
																BgL_test2161z00_4552 = ((bool_t) 0);
															}
													}
											}
									}
								else
									{	/* Inline/inline.scm 85 */
										BgL_test2161z00_4552 = ((bool_t) 0);
									}
							}
						else
							{	/* Inline/inline.scm 84 */
								BgL_test2161z00_4552 = ((bool_t) 0);
							}
					}
				else
					{	/* Inline/inline.scm 83 */
						BgL_test2161z00_4552 = ((bool_t) 0);
					}
				if (BgL_test2161z00_4552)
					{	/* Inline/inline.scm 91 */
						bool_t BgL_test2170z00_4610;

						{	/* Inline/inline.scm 91 */
							bool_t BgL_test2171z00_4611;

							{	/* Inline/inline.scm 91 */
								obj_t BgL_arg1738z00_3274;

								BgL_arg1738z00_3274 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt)
												(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_3100)))->
													BgL_variablez00))))->BgL_srcz00);
								{	/* Inline/inline.scm 91 */
									obj_t BgL_classz00_3275;

									BgL_classz00_3275 = BGl_atomz00zzast_nodez00;
									if (BGL_OBJECTP(BgL_arg1738z00_3274))
										{	/* Inline/inline.scm 91 */
											BgL_objectz00_bglt BgL_arg1825z00_3276;

											BgL_arg1825z00_3276 =
												(BgL_objectz00_bglt) (BgL_arg1738z00_3274);
											{	/* Inline/inline.scm 91 */
												bool_t BgL_arg1822z00_3277;
												bool_t BgL_arg1823z00_3278;

												{	/* Inline/inline.scm 91 */
													long BgL_idxz00_3279;

													BgL_idxz00_3279 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3276);
													BgL_arg1822z00_3277 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3279 + ((long) 2))) ==
														BgL_classz00_3275);
												}
												{	/* Inline/inline.scm 91 */
													bool_t BgL_res1988z00_3282;

													{	/* Inline/inline.scm 91 */
														obj_t BgL_oclassz00_3283;

														{	/* Inline/inline.scm 91 */
															long BgL_arg1833z00_3284;

															{	/* Inline/inline.scm 91 */
																long BgL_arg1834z00_3285;

																BgL_arg1834z00_3285 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3276);
																BgL_arg1833z00_3284 =
																	(BgL_arg1834z00_3285 - OBJECT_TYPE);
															}
															BgL_oclassz00_3283 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_3284);
														}
														{	/* Inline/inline.scm 91 */
															bool_t BgL__ortest_1110z00_3286;

															BgL__ortest_1110z00_3286 =
																(BgL_classz00_3275 == BgL_oclassz00_3283);
															if (BgL__ortest_1110z00_3286)
																{	/* Inline/inline.scm 91 */
																	BgL_res1988z00_3282 =
																		BgL__ortest_1110z00_3286;
																}
															else
																{	/* Inline/inline.scm 91 */
																	long BgL_odepthz00_3287;

																	BgL_odepthz00_3287 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_3283);
																	if ((((long) 2) < BgL_odepthz00_3287))
																		{	/* Inline/inline.scm 91 */
																			obj_t BgL_arg1821z00_3288;

																			BgL_arg1821z00_3288 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_3283, ((long) 2));
																			BgL_res1988z00_3282 =
																				(BgL_arg1821z00_3288 ==
																				BgL_classz00_3275);
																		}
																	else
																		{	/* Inline/inline.scm 91 */
																			BgL_res1988z00_3282 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_3278 = BgL_res1988z00_3282;
												}
												BgL_test2171z00_4611 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_3277,
													BgL_arg1823z00_3278);
											}
										}
									else
										{	/* Inline/inline.scm 91 */
											BgL_test2171z00_4611 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test2171z00_4611)
								{	/* Inline/inline.scm 93 */
									bool_t BgL_test2175z00_4634;

									{	/* Inline/inline.scm 93 */
										obj_t BgL_tmpz00_4635;

										BgL_tmpz00_4635 =
											(((BgL_atomz00_bglt) COBJECT(
													((BgL_atomz00_bglt)
														(((BgL_globalz00_bglt) COBJECT(
																	((BgL_globalz00_bglt)
																		(((BgL_varz00_bglt) COBJECT(
																					((BgL_varz00_bglt)
																						BgL_nodez00_3100)))->
																			BgL_variablez00))))->BgL_srcz00))))->
											BgL_valuez00);
										BgL_test2175z00_4634 = BIGNUMP(BgL_tmpz00_4635);
									}
									if (BgL_test2175z00_4634)
										{	/* Inline/inline.scm 93 */
											BgL_test2170z00_4610 = ((bool_t) 0);
										}
									else
										{	/* Inline/inline.scm 93 */
											BgL_test2170z00_4610 = ((bool_t) 1);
										}
								}
							else
								{	/* Inline/inline.scm 91 */
									BgL_test2170z00_4610 = ((bool_t) 0);
								}
						}
						if (BgL_test2170z00_4610)
							{	/* Inline/inline.scm 91 */
								{	/* Inline/inline.scm 96 */
									obj_t BgL_arg1703z00_3289;
									obj_t BgL_arg1706z00_3290;

									BgL_arg1703z00_3289 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_varz00_bglt) BgL_nodez00_3100))))->BgL_locz00);
									BgL_arg1706z00_3290 =
										(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_3100)))->
														BgL_variablez00))))->BgL_srcz00);
									return BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL,
										BgL_arg1703z00_3289,
										((BgL_nodez00_bglt) BgL_arg1706z00_3290));
								}
							}
						else
							{	/* Inline/inline.scm 97 */
								bool_t BgL_test2176z00_4652;

								{	/* Inline/inline.scm 97 */
									bool_t BgL_test2177z00_4653;

									{	/* Inline/inline.scm 97 */
										obj_t BgL_arg1726z00_3291;

										BgL_arg1726z00_3291 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_nodez00_3100)))->
															BgL_variablez00))))->BgL_srcz00);
										{	/* Inline/inline.scm 97 */
											obj_t BgL_classz00_3292;

											BgL_classz00_3292 = BGl_kwotez00zzast_nodez00;
											if (BGL_OBJECTP(BgL_arg1726z00_3291))
												{	/* Inline/inline.scm 97 */
													BgL_objectz00_bglt BgL_arg1825z00_3293;

													BgL_arg1825z00_3293 =
														(BgL_objectz00_bglt) (BgL_arg1726z00_3291);
													{	/* Inline/inline.scm 97 */
														bool_t BgL_arg1822z00_3294;
														bool_t BgL_arg1823z00_3295;

														{	/* Inline/inline.scm 97 */
															long BgL_idxz00_3296;

															BgL_idxz00_3296 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3293);
															BgL_arg1822z00_3294 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_3296 + ((long) 2))) ==
																BgL_classz00_3292);
														}
														{	/* Inline/inline.scm 97 */
															bool_t BgL_res1989z00_3299;

															{	/* Inline/inline.scm 97 */
																obj_t BgL_oclassz00_3300;

																{	/* Inline/inline.scm 97 */
																	long BgL_arg1833z00_3301;

																	{	/* Inline/inline.scm 97 */
																		long BgL_arg1834z00_3302;

																		BgL_arg1834z00_3302 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3293);
																		BgL_arg1833z00_3301 =
																			(BgL_arg1834z00_3302 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_3300 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_3301);
																}
																{	/* Inline/inline.scm 97 */
																	bool_t BgL__ortest_1110z00_3303;

																	BgL__ortest_1110z00_3303 =
																		(BgL_classz00_3292 == BgL_oclassz00_3300);
																	if (BgL__ortest_1110z00_3303)
																		{	/* Inline/inline.scm 97 */
																			BgL_res1989z00_3299 =
																				BgL__ortest_1110z00_3303;
																		}
																	else
																		{	/* Inline/inline.scm 97 */
																			long BgL_odepthz00_3304;

																			BgL_odepthz00_3304 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_3300);
																			if ((((long) 2) < BgL_odepthz00_3304))
																				{	/* Inline/inline.scm 97 */
																					obj_t BgL_arg1821z00_3305;

																					BgL_arg1821z00_3305 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_3300, ((long) 2));
																					BgL_res1989z00_3299 =
																						(BgL_arg1821z00_3305 ==
																						BgL_classz00_3292);
																				}
																			else
																				{	/* Inline/inline.scm 97 */
																					BgL_res1989z00_3299 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_3295 = BgL_res1989z00_3299;
														}
														BgL_test2177z00_4653 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_3294,
															BgL_arg1823z00_3295);
													}
												}
											else
												{	/* Inline/inline.scm 97 */
													BgL_test2177z00_4653 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test2177z00_4653)
										{	/* Inline/inline.scm 97 */
											BgL_test2176z00_4652 =
												(BGl_za2inlinezd2modeza2zd2zzinline_walkz00 ==
												CNST_TABLE_REF(((long) 0)));
										}
									else
										{	/* Inline/inline.scm 97 */
											BgL_test2176z00_4652 = ((bool_t) 0);
										}
								}
								if (BgL_test2176z00_4652)
									{	/* Inline/inline.scm 97 */
										{	/* Inline/inline.scm 99 */
											obj_t BgL_arg1721z00_3306;
											obj_t BgL_arg1723z00_3307;

											BgL_arg1721z00_3306 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_varz00_bglt) BgL_nodez00_3100))))->
												BgL_locz00);
											BgL_arg1723z00_3307 =
												(((BgL_globalz00_bglt)
													COBJECT(((BgL_globalz00_bglt) (((BgL_varz00_bglt)
																	COBJECT(((BgL_varz00_bglt)
																			BgL_nodez00_3100)))->BgL_variablez00))))->
												BgL_srcz00);
											return BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL,
												BgL_arg1721z00_3306,
												((BgL_nodez00_bglt) BgL_arg1723z00_3307));
										}
									}
								else
									{	/* Inline/inline.scm 97 */
										return
											((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_3100));
									}
							}
					}
				else
					{	/* Inline/inline.scm 83 */
						return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_3100));
					}
			}
		}

	}



/* &inline-node-atom1303 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2atom1303z62zzinline_inlinez00(obj_t
		BgL_envz00_3103, obj_t BgL_nodez00_3104, obj_t BgL_kfactorz00_3105,
		obj_t BgL_stackz00_3106)
	{
		{	/* Inline/inline.scm 75 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_3104));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_inlinez00()
	{
		{	/* Inline/inline.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2039z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2039z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2039z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2039z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string2039z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzinline_appz00(((long) 148760855),
				BSTRING_TO_STRING(BGl_string2039z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 53595773),
				BSTRING_TO_STRING(BGl_string2039z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2039z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(((long) 343174225),
				BSTRING_TO_STRING(BGl_string2039z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2039z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2039z00zzinline_inlinez00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2039z00zzinline_inlinez00));
		}

	}

#ifdef __cplusplus
}
#endif
