/*===========================================================================*/
/*   (Inline/recursion.scm)                                                  */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/recursion.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


	BGL_EXPORTED_DECL bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
	extern obj_t BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31579ze3ze5zzinline_recursionz00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzinline_recursionz00 = BUNSPEC;
	extern obj_t BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt,
		long, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern bool_t BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzinline_recursionz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern bool_t BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinline_recursionz00();
	static obj_t BGl_objectzd2initzd2zzinline_recursionz00();
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt, BgL_localz00_bglt,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62findzd2recursivezd2callsz62zzinline_recursionz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t,
		BgL_typez00_bglt, BgL_sfunz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzinline_recursionz00(obj_t, obj_t);
	static obj_t
		BGl_findzd2recursivezd2callsz00zzinline_recursionz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_recursionz00();
	extern bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt,
		long, long, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62findzd2recursivezd2calls1302z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1304z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1306z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1308z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1310z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_alphatiza7ezd2sanszd2closureza7zzast_alphatiza7eza7(obj_t, obj_t, obj_t,
		BgL_nodez00_bglt, BgL_variablez00_bglt);
	static obj_t
		BGl_z62findzd2recursivezd2calls1312z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1314z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1316z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1318z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t
		BGl_z62findzd2recursivezd2calls1320z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1322z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1324z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1326z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62findzd2recursivezd2calls1328z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long,
		obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1330z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1332z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1334z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1336z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_svarz00zzast_varz00;
	extern BgL_appz00_bglt
		BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	extern obj_t BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_recursionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_variantz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt);
	static obj_t BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62findzd2recursivezd2calls1299z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62iszd2recursivezf3z43zzinline_recursionz00(obj_t, obj_t);
	static obj_t
		BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2appzd2recursivez62zzinline_recursionz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzinline_recursionz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_recursionz00();
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_recursionz00();
	static obj_t BGl_gczd2rootszd2initz00zzinline_recursionz00();
	static BgL_letzd2funzd2_bglt
		BGl_plainzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt,
		BgL_nodez00_bglt, BgL_localz00_bglt, BgL_appz00_bglt, obj_t);
	extern obj_t BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_unrollzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt,
		BgL_nodez00_bglt, BgL_localz00_bglt, obj_t, BgL_appz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static bool_t BGl_tailreczf3zf3zzinline_recursionz00(BgL_variablez00_bglt);
	extern obj_t BGl_switchz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string1967z00zzinline_recursionz00,
		BgL_bgl_string1967za700za7za7i1997za7, "simple", 6);
	      DEFINE_STRING(BGl_string1968z00zzinline_recursionz00,
		BgL_bgl_string1968za700za7za7i1998za7, " (recursive)", 12);
	      DEFINE_STRING(BGl_string1969z00zzinline_recursionz00,
		BgL_bgl_string1969za700za7za7i1999za7, " --> ", 5);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2000z00,
		BGl_z62findzd2recursivezd2callsz62zzinline_recursionz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1970z00zzinline_recursionz00,
		BgL_bgl_string1970za700za7za7i2001za7, "         ", 9);
	      DEFINE_STRING(BGl_string1971z00zzinline_recursionz00,
		BgL_bgl_string1971za700za7za7i2002za7, "unrolling", 9);
	      DEFINE_STRING(BGl_string1973z00zzinline_recursionz00,
		BgL_bgl_string1973za700za7za7i2003za7, "find-recursive-calls1299", 24);
	      DEFINE_STRING(BGl_string1975z00zzinline_recursionz00,
		BgL_bgl_string1975za700za7za7i2004za7, "find-recursive-calls", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1972z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2005z00,
		BGl_z62findzd2recursivezd2calls1299z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1974z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2006z00,
		BGl_z62findzd2recursivezd2calls1302z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1976z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2007z00,
		BGl_z62findzd2recursivezd2calls1304z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1977z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2008z00,
		BGl_z62findzd2recursivezd2calls1306z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1978z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2009z00,
		BGl_z62findzd2recursivezd2calls1308z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1979z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2010z00,
		BGl_z62findzd2recursivezd2calls1310z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1980z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2011z00,
		BGl_z62findzd2recursivezd2calls1312z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1981z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2012z00,
		BGl_z62findzd2recursivezd2calls1314z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1982z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2013z00,
		BGl_z62findzd2recursivezd2calls1316z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1983z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2014z00,
		BGl_z62findzd2recursivezd2calls1318z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1984z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2015z00,
		BGl_z62findzd2recursivezd2calls1320z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1985z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2016z00,
		BGl_z62findzd2recursivezd2calls1322z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1986z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2017z00,
		BGl_z62findzd2recursivezd2calls1324z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STRING(BGl_string1993z00zzinline_recursionz00,
		BgL_bgl_string1993za700za7za7i2018za7, "inline_recursion", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1987z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2019z00,
		BGl_z62findzd2recursivezd2calls1326z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STRING(BGl_string1994z00zzinline_recursionz00,
		BgL_bgl_string1994za700za7za7i2020za7, "(sifun sgfun) sfun ", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1988z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2021z00,
		BGl_z62findzd2recursivezd2calls1328z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1989z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2022z00,
		BGl_z62findzd2recursivezd2calls1330z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1990z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2023z00,
		BGl_z62findzd2recursivezd2calls1332z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1991z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2024z00,
		BGl_z62findzd2recursivezd2calls1334z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1992z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2025z00,
		BGl_z62findzd2recursivezd2calls1336z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2appzd2recursivezd2envzd2zzinline_recursionz00,
		BgL_bgl_za762inlineza7d2appza72026za7,
		BGl_z62inlinezd2appzd2recursivez62zzinline_recursionz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_iszd2recursivezf3zd2envzf3zzinline_recursionz00,
		BgL_bgl_za762isza7d2recursiv2027z00,
		BGl_z62iszd2recursivezf3z43zzinline_recursionz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinline_recursionz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzinline_recursionz00(long
		BgL_checksumz00_3101, char *BgL_fromz00_3102)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_recursionz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_recursionz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_recursionz00();
					BGl_libraryzd2moduleszd2initz00zzinline_recursionz00();
					BGl_cnstzd2initzd2zzinline_recursionz00();
					BGl_importedzd2moduleszd2initz00zzinline_recursionz00();
					BGl_genericzd2initzd2zzinline_recursionz00();
					BGl_methodzd2initzd2zzinline_recursionz00();
					return BGl_toplevelzd2initzd2zzinline_recursionz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_recursionz00()
	{
		{	/* Inline/recursion.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_recursion");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_recursionz00()
	{
		{	/* Inline/recursion.scm 15 */
			{	/* Inline/recursion.scm 15 */
				obj_t BgL_cportz00_2968;

				{	/* Inline/recursion.scm 15 */
					obj_t BgL_stringz00_2976;

					BgL_stringz00_2976 = BGl_string1994z00zzinline_recursionz00;
					{	/* Inline/recursion.scm 15 */
						obj_t BgL_startz00_2977;

						BgL_startz00_2977 = BINT(((long) 0));
						{	/* Inline/recursion.scm 15 */
							obj_t BgL_endz00_2978;

							BgL_endz00_2978 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2976)));
							{	/* Inline/recursion.scm 15 */

								BgL_cportz00_2968 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2976, BgL_startz00_2977, BgL_endz00_2978);
				}}}}
				{
					long BgL_iz00_2969;

					BgL_iz00_2969 = ((long) 1);
				BgL_loopz00_2970:
					if ((BgL_iz00_2969 == ((long) -1)))
						{	/* Inline/recursion.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/recursion.scm 15 */
							{	/* Inline/recursion.scm 15 */
								obj_t BgL_arg1996z00_2972;

								{	/* Inline/recursion.scm 15 */

									{	/* Inline/recursion.scm 15 */
										obj_t BgL_locationz00_2974;

										BgL_locationz00_2974 = BBOOL(((bool_t) 0));
										{	/* Inline/recursion.scm 15 */

											BgL_arg1996z00_2972 =
												BGl_readz00zz__readerz00(BgL_cportz00_2968,
												BgL_locationz00_2974);
										}
									}
								}
								{	/* Inline/recursion.scm 15 */
									int BgL_tmpz00_3134;

									BgL_tmpz00_3134 = (int) (BgL_iz00_2969);
									CNST_TABLE_SET(BgL_tmpz00_3134, BgL_arg1996z00_2972);
							}}
							{	/* Inline/recursion.scm 15 */
								int BgL_auxz00_2975;

								BgL_auxz00_2975 = (int) ((BgL_iz00_2969 - ((long) 1)));
								{
									long BgL_iz00_3139;

									BgL_iz00_3139 = (long) (BgL_auxz00_2975);
									BgL_iz00_2969 = BgL_iz00_3139;
									goto BgL_loopz00_2970;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_recursionz00()
	{
		{	/* Inline/recursion.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_recursionz00()
	{
		{	/* Inline/recursion.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzinline_recursionz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1576;

				BgL_headz00_1576 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1577;
					obj_t BgL_tailz00_1578;

					BgL_prevz00_1577 = BgL_headz00_1576;
					BgL_tailz00_1578 = BgL_l1z00_1;
				BgL_loopz00_1579:
					if (PAIRP(BgL_tailz00_1578))
						{
							obj_t BgL_newzd2prevzd2_1581;

							BgL_newzd2prevzd2_1581 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1578), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1577, BgL_newzd2prevzd2_1581);
							{
								obj_t BgL_tailz00_3149;
								obj_t BgL_prevz00_3148;

								BgL_prevz00_3148 = BgL_newzd2prevzd2_1581;
								BgL_tailz00_3149 = CDR(BgL_tailz00_1578);
								BgL_tailz00_1578 = BgL_tailz00_3149;
								BgL_prevz00_1577 = BgL_prevz00_3148;
								goto BgL_loopz00_1579;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1576);
				}
			}
		}

	}



/* inline-app-recursive */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_3, long BgL_kfactorz00_4, obj_t BgL_stackz00_5)
	{
		{	/* Inline/recursion.scm 41 */
			{	/* Inline/recursion.scm 42 */
				BgL_varz00_bglt BgL_funz00_1584;

				BgL_funz00_1584 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_3)))->BgL_funz00);
				{	/* Inline/recursion.scm 42 */
					BgL_variablez00_bglt BgL_calleez00_1585;

					BgL_calleez00_1585 =
						(((BgL_varz00_bglt) COBJECT(BgL_funz00_1584))->BgL_variablez00);
					{	/* Inline/recursion.scm 43 */

						if (BGl_tailreczf3zf3zzinline_recursionz00(BgL_calleez00_1585))
							{	/* Inline/recursion.scm 45 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t) BgL_calleez00_1585), BgL_stackz00_5)))
									{	/* Inline/recursion.scm 47 */
										return
											BGl_inlinezd2appzd2simplez00zzinline_simplez00
											(BgL_nodez00_3, BgL_kfactorz00_4, BgL_stackz00_5,
											BGl_string1967z00zzinline_recursionz00);
									}
								else
									{	/* Inline/recursion.scm 47 */
										return
											((BgL_nodez00_bglt)
											BGl_inlinezd2appzd2labelsz00zzinline_recursionz00
											(BgL_nodez00_3, BgL_kfactorz00_4, BgL_stackz00_5));
									}
							}
						else
							{	/* Inline/recursion.scm 45 */
								return BgL_nodez00_3;
							}
					}
				}
			}
		}

	}



/* &inline-app-recursive */
	BgL_nodez00_bglt BGl_z62inlinezd2appzd2recursivez62zzinline_recursionz00(obj_t
		BgL_envz00_2839, obj_t BgL_nodez00_2840, obj_t BgL_kfactorz00_2841,
		obj_t BgL_stackz00_2842)
	{
		{	/* Inline/recursion.scm 41 */
			return
				BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(
				((BgL_nodez00_bglt) BgL_nodez00_2840),
				(long) CINT(BgL_kfactorz00_2841), BgL_stackz00_2842);
		}

	}



/* tailrec? */
	bool_t BGl_tailreczf3zf3zzinline_recursionz00(BgL_variablez00_bglt
		BgL_varz00_6)
	{
		{	/* Inline/recursion.scm 62 */
			{	/* Inline/recursion.scm 63 */
				bool_t BgL_test2033z00_3167;

				{	/* Inline/recursion.scm 63 */
					BgL_valuez00_bglt BgL_arg1350z00_1591;

					BgL_arg1350z00_1591 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_6))->BgL_valuez00);
					{	/* Inline/recursion.scm 63 */
						obj_t BgL_classz00_2222;

						BgL_classz00_2222 = BGl_isfunz00zzinline_inlinez00;
						{	/* Inline/recursion.scm 63 */
							BgL_objectz00_bglt BgL_arg1825z00_2224;

							{	/* Inline/recursion.scm 63 */
								obj_t BgL_tmpz00_3169;

								BgL_tmpz00_3169 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1350z00_1591));
								BgL_arg1825z00_2224 = (BgL_objectz00_bglt) (BgL_tmpz00_3169);
							}
							{	/* Inline/recursion.scm 63 */
								bool_t BgL_arg1822z00_2227;
								bool_t BgL_arg1823z00_2228;

								{	/* Inline/recursion.scm 63 */
									long BgL_idxz00_2231;

									BgL_idxz00_2231 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2224);
									BgL_arg1822z00_2227 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2231 + ((long) 4))) == BgL_classz00_2222);
								}
								{	/* Inline/recursion.scm 63 */
									bool_t BgL_res1943z00_2253;

									{	/* Inline/recursion.scm 63 */
										obj_t BgL_oclassz00_2239;

										{	/* Inline/recursion.scm 63 */
											long BgL_arg1833z00_2245;

											{	/* Inline/recursion.scm 63 */
												long BgL_arg1834z00_2246;

												BgL_arg1834z00_2246 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2224);
												BgL_arg1833z00_2245 =
													(BgL_arg1834z00_2246 - OBJECT_TYPE);
											}
											BgL_oclassz00_2239 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2245);
										}
										{	/* Inline/recursion.scm 63 */
											bool_t BgL__ortest_1110z00_2240;

											BgL__ortest_1110z00_2240 =
												(BgL_classz00_2222 == BgL_oclassz00_2239);
											if (BgL__ortest_1110z00_2240)
												{	/* Inline/recursion.scm 63 */
													BgL_res1943z00_2253 = BgL__ortest_1110z00_2240;
												}
											else
												{	/* Inline/recursion.scm 63 */
													long BgL_odepthz00_2241;

													BgL_odepthz00_2241 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2239);
													if ((((long) 4) < BgL_odepthz00_2241))
														{	/* Inline/recursion.scm 63 */
															obj_t BgL_arg1821z00_2243;

															BgL_arg1821z00_2243 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2239,
																((long) 4));
															BgL_res1943z00_2253 =
																(BgL_arg1821z00_2243 == BgL_classz00_2222);
														}
													else
														{	/* Inline/recursion.scm 63 */
															BgL_res1943z00_2253 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2228 = BgL_res1943z00_2253;
								}
								BgL_test2033z00_3167 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2227, BgL_arg1823z00_2228);
							}
						}
					}
				}
				if (BgL_test2033z00_3167)
					{	/* Inline/recursion.scm 64 */
						BgL_sfunz00_bglt BgL_i1108z00_1590;

						BgL_i1108z00_1590 =
							((BgL_sfunz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(BgL_varz00_6))->BgL_valuez00));
						{
							BgL_isfunz00_bglt BgL_auxz00_3190;

							{
								obj_t BgL_auxz00_3191;

								{	/* Inline/recursion.scm 64 */
									BgL_objectz00_bglt BgL_tmpz00_3192;

									BgL_tmpz00_3192 = ((BgL_objectz00_bglt) BgL_i1108z00_1590);
									BgL_auxz00_3191 = BGL_OBJECT_WIDENING(BgL_tmpz00_3192);
								}
								BgL_auxz00_3190 = ((BgL_isfunz00_bglt) BgL_auxz00_3191);
							}
							return
								(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3190))->
								BgL_tailrecz00);
						}
					}
				else
					{	/* Inline/recursion.scm 63 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* inline-app-labels */
	obj_t BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_7, long BgL_kfactorz00_8, obj_t BgL_stackz00_9)
	{
		{	/* Inline/recursion.scm 72 */
			{	/* Inline/recursion.scm 73 */
				BgL_variablez00_bglt BgL_variablez00_1592;

				BgL_variablez00_1592 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_7)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Inline/recursion.scm 73 */
					BgL_localz00_bglt BgL_localz00_1593;

					{	/* Inline/recursion.scm 74 */
						obj_t BgL_arg1551z00_1717;
						BgL_typez00_bglt BgL_arg1552z00_1718;
						BgL_valuez00_bglt BgL_arg1554z00_1719;

						BgL_arg1551z00_1717 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_1592))->
							BgL_idz00);
						BgL_arg1552z00_1718 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_1592))->
							BgL_typez00);
						BgL_arg1554z00_1719 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_1592))->
							BgL_valuez00);
						BgL_localz00_1593 =
							BGl_makezd2localzd2sfunz00zzast_localz00(BgL_arg1551z00_1717,
							BgL_arg1552z00_1718, ((BgL_sfunz00_bglt) BgL_arg1554z00_1719));
					}
					{	/* Inline/recursion.scm 74 */
						BgL_valuez00_bglt BgL_oldzd2sfunzd2_1594;

						BgL_oldzd2sfunzd2_1594 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_1592))->
							BgL_valuez00);
						{	/* Inline/recursion.scm 77 */
							obj_t BgL_oldzd2bodyzd2_1595;

							{	/* Inline/recursion.scm 78 */
								bool_t BgL_test2036z00_3206;

								{	/* Inline/recursion.scm 78 */
									obj_t BgL_classz00_2262;

									BgL_classz00_2262 = BGl_isfunz00zzinline_inlinez00;
									{	/* Inline/recursion.scm 78 */
										BgL_objectz00_bglt BgL_arg1825z00_2264;

										{	/* Inline/recursion.scm 78 */
											obj_t BgL_tmpz00_3207;

											BgL_tmpz00_3207 =
												((obj_t) ((BgL_objectz00_bglt) BgL_oldzd2sfunzd2_1594));
											BgL_arg1825z00_2264 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3207);
										}
										{	/* Inline/recursion.scm 78 */
											bool_t BgL_arg1822z00_2267;
											bool_t BgL_arg1823z00_2268;

											{	/* Inline/recursion.scm 78 */
												long BgL_idxz00_2271;

												BgL_idxz00_2271 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2264);
												BgL_arg1822z00_2267 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2271 + ((long) 4))) ==
													BgL_classz00_2262);
											}
											{	/* Inline/recursion.scm 78 */
												bool_t BgL_res1944z00_2293;

												{	/* Inline/recursion.scm 78 */
													obj_t BgL_oclassz00_2279;

													{	/* Inline/recursion.scm 78 */
														long BgL_arg1833z00_2285;

														{	/* Inline/recursion.scm 78 */
															long BgL_arg1834z00_2286;

															BgL_arg1834z00_2286 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2264);
															BgL_arg1833z00_2285 =
																(BgL_arg1834z00_2286 - OBJECT_TYPE);
														}
														BgL_oclassz00_2279 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2285);
													}
													{	/* Inline/recursion.scm 78 */
														bool_t BgL__ortest_1110z00_2280;

														BgL__ortest_1110z00_2280 =
															(BgL_classz00_2262 == BgL_oclassz00_2279);
														if (BgL__ortest_1110z00_2280)
															{	/* Inline/recursion.scm 78 */
																BgL_res1944z00_2293 = BgL__ortest_1110z00_2280;
															}
														else
															{	/* Inline/recursion.scm 78 */
																long BgL_odepthz00_2281;

																BgL_odepthz00_2281 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2279);
																if ((((long) 4) < BgL_odepthz00_2281))
																	{	/* Inline/recursion.scm 78 */
																		obj_t BgL_arg1821z00_2283;

																		BgL_arg1821z00_2283 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2279, ((long) 4));
																		BgL_res1944z00_2293 =
																			(BgL_arg1821z00_2283 ==
																			BgL_classz00_2262);
																	}
																else
																	{	/* Inline/recursion.scm 78 */
																		BgL_res1944z00_2293 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2268 = BgL_res1944z00_2293;
											}
											BgL_test2036z00_3206 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2267,
												BgL_arg1823z00_2268);
										}
									}
								}
								if (BgL_test2036z00_3206)
									{
										BgL_nodez00_bglt BgL_auxz00_3226;

										{
											BgL_isfunz00_bglt BgL_auxz00_3227;

											{
												obj_t BgL_auxz00_3228;

												{	/* Inline/recursion.scm 79 */
													BgL_objectz00_bglt BgL_tmpz00_3229;

													BgL_tmpz00_3229 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_oldzd2sfunzd2_1594));
													BgL_auxz00_3228 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3229);
												}
												BgL_auxz00_3227 = ((BgL_isfunz00_bglt) BgL_auxz00_3228);
											}
											BgL_auxz00_3226 =
												(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3227))->
												BgL_originalzd2bodyzd2);
										}
										BgL_oldzd2bodyzd2_1595 = ((obj_t) BgL_auxz00_3226);
									}
								else
									{	/* Inline/recursion.scm 78 */
										BgL_oldzd2bodyzd2_1595 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_oldzd2sfunzd2_1594)))->
											BgL_bodyz00);
									}
							}
							{	/* Inline/recursion.scm 78 */
								obj_t BgL_reczd2callszd2_1596;

								{	/* Inline/recursion.scm 81 */
									obj_t BgL_arg1548z00_1715;

									BgL_arg1548z00_1715 = MAKE_YOUNG_CELL(BTRUE);
									BgL_reczd2callszd2_1596 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_oldzd2bodyzd2_1595),
										BgL_variablez00_1592, BTRUE, BgL_arg1548z00_1715);
								}
								{	/* Inline/recursion.scm 81 */
									obj_t BgL_oldzd2argszd2_1597;

									BgL_oldzd2argszd2_1597 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_oldzd2sfunzd2_1594)))->
										BgL_argsz00);
									{	/* Inline/recursion.scm 82 */
										obj_t BgL_invzd2argszd2_1598;

										BgL_invzd2argszd2_1598 =
											BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_7,
											BgL_variablez00_1592, BgL_reczd2callszd2_1596);
										{	/* Inline/recursion.scm 83 */
											obj_t BgL_varzd2argszd2_1599;

											BgL_varzd2argszd2_1599 =
												BGl_variantzd2argszd2zzinline_variantz00
												(BgL_variablez00_1592);
											{	/* Inline/recursion.scm 84 */
												obj_t BgL_newzd2argszd2_1600;

												if (NULLP(BgL_varzd2argszd2_1599))
													{	/* Inline/recursion.scm 85 */
														BgL_newzd2argszd2_1600 = BNIL;
													}
												else
													{	/* Inline/recursion.scm 85 */
														obj_t BgL_head1283z00_1699;

														BgL_head1283z00_1699 = MAKE_YOUNG_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l1281z00_1701;
															obj_t BgL_tail1284z00_1702;

															BgL_l1281z00_1701 = BgL_varzd2argszd2_1599;
															BgL_tail1284z00_1702 = BgL_head1283z00_1699;
														BgL_zc3z04anonymousza31526ze3z87_1703:
															if (NULLP(BgL_l1281z00_1701))
																{	/* Inline/recursion.scm 85 */
																	BgL_newzd2argszd2_1600 =
																		CDR(BgL_head1283z00_1699);
																}
															else
																{	/* Inline/recursion.scm 85 */
																	obj_t BgL_newtail1285z00_1705;

																	{	/* Inline/recursion.scm 85 */
																		BgL_localz00_bglt BgL_arg1536z00_1707;

																		{	/* Inline/recursion.scm 85 */
																			obj_t BgL_lz00_1708;

																			BgL_lz00_1708 =
																				CAR(((obj_t) BgL_l1281z00_1701));
																			{	/* Inline/recursion.scm 86 */
																				BgL_svarz00_bglt BgL_arg1542z00_1709;

																				{	/* Inline/recursion.scm 86 */
																					BgL_svarz00_bglt
																						BgL_duplicated1111z00_1710;
																					BgL_svarz00_bglt BgL_new1109z00_1711;

																					BgL_duplicated1111z00_1710 =
																						((BgL_svarz00_bglt)
																						(((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										((BgL_localz00_bglt)
																											BgL_lz00_1708))))->
																							BgL_valuez00));
																					{	/* Inline/recursion.scm 86 */
																						BgL_svarz00_bglt
																							BgL_new1112z00_1712;
																						BgL_new1112z00_1712 =
																							((BgL_svarz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_svarz00_bgl))));
																						{	/* Inline/recursion.scm 86 */
																							long BgL_arg1543z00_1713;

																							BgL_arg1543z00_1713 =
																								BGL_CLASS_NUM
																								(BGl_svarz00zzast_varz00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new1112z00_1712),
																								BgL_arg1543z00_1713);
																						}
																						{	/* Inline/recursion.scm 86 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_3261;
																							BgL_tmpz00_3261 =
																								((BgL_objectz00_bglt)
																								BgL_new1112z00_1712);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_3261, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1112z00_1712);
																						BgL_new1109z00_1711 =
																							BgL_new1112z00_1712;
																					}
																					((((BgL_svarz00_bglt)
																								COBJECT(BgL_new1109z00_1711))->
																							BgL_locz00) =
																						((obj_t) (((BgL_svarz00_bglt)
																									COBJECT
																									(BgL_duplicated1111z00_1710))->
																								BgL_locz00)), BUNSPEC);
																					BgL_arg1542z00_1709 =
																						BgL_new1109z00_1711;
																				}
																				BgL_arg1536z00_1707 =
																					BGl_clonezd2localzd2zzast_localz00(
																					((BgL_localz00_bglt) BgL_lz00_1708),
																					((BgL_valuez00_bglt)
																						BgL_arg1542z00_1709));
																		}}
																		BgL_newtail1285z00_1705 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg1536z00_1707), BNIL);
																	}
																	SET_CDR(BgL_tail1284z00_1702,
																		BgL_newtail1285z00_1705);
																	{	/* Inline/recursion.scm 85 */
																		obj_t BgL_arg1534z00_1706;

																		BgL_arg1534z00_1706 =
																			CDR(((obj_t) BgL_l1281z00_1701));
																		{
																			obj_t BgL_tail1284z00_3276;
																			obj_t BgL_l1281z00_3275;

																			BgL_l1281z00_3275 = BgL_arg1534z00_1706;
																			BgL_tail1284z00_3276 =
																				BgL_newtail1285z00_1705;
																			BgL_tail1284z00_1702 =
																				BgL_tail1284z00_3276;
																			BgL_l1281z00_1701 = BgL_l1281z00_3275;
																			goto
																				BgL_zc3z04anonymousza31526ze3z87_1703;
																		}
																	}
																}
														}
													}
												{	/* Inline/recursion.scm 85 */
													obj_t BgL_substitutez00_1601;

													{	/* Inline/recursion.scm 88 */
														obj_t BgL_arg1524z00_1696;

														BgL_arg1524z00_1696 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_7)))->
															BgL_argsz00);
														BgL_substitutez00_1601 =
															BGl_substitutionsz00zzinline_variantz00
															(BgL_variablez00_1592, BgL_arg1524z00_1696,
															BgL_newzd2argszd2_1600);
													}
													{	/* Inline/recursion.scm 88 */
														obj_t BgL_svgzd2callszd2argsz00_1602;

														if (NULLP(BgL_reczd2callszd2_1596))
															{	/* Inline/recursion.scm 89 */
																BgL_svgzd2callszd2argsz00_1602 = BNIL;
															}
														else
															{	/* Inline/recursion.scm 89 */
																obj_t BgL_head1288z00_1685;

																BgL_head1288z00_1685 =
																	MAKE_YOUNG_PAIR(BNIL, BNIL);
																{
																	obj_t BgL_l1286z00_1687;
																	obj_t BgL_tail1289z00_1688;

																	BgL_l1286z00_1687 = BgL_reczd2callszd2_1596;
																	BgL_tail1289z00_1688 = BgL_head1288z00_1685;
																BgL_zc3z04anonymousza31496ze3z87_1689:
																	if (NULLP(BgL_l1286z00_1687))
																		{	/* Inline/recursion.scm 89 */
																			BgL_svgzd2callszd2argsz00_1602 =
																				CDR(BgL_head1288z00_1685);
																		}
																	else
																		{	/* Inline/recursion.scm 89 */
																			obj_t BgL_newtail1290z00_1691;

																			{	/* Inline/recursion.scm 89 */
																				obj_t BgL_arg1520z00_1693;

																				BgL_arg1520z00_1693 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								CAR(
																									((obj_t)
																										BgL_l1286z00_1687)))))->
																					BgL_argsz00);
																				BgL_newtail1290z00_1691 =
																					MAKE_YOUNG_PAIR(BgL_arg1520z00_1693,
																					BNIL);
																			}
																			SET_CDR(BgL_tail1289z00_1688,
																				BgL_newtail1290z00_1691);
																			{	/* Inline/recursion.scm 89 */
																				obj_t BgL_arg1500z00_1692;

																				BgL_arg1500z00_1692 =
																					CDR(((obj_t) BgL_l1286z00_1687));
																				{
																					obj_t BgL_tail1289z00_3295;
																					obj_t BgL_l1286z00_3294;

																					BgL_l1286z00_3294 =
																						BgL_arg1500z00_1692;
																					BgL_tail1289z00_3295 =
																						BgL_newtail1290z00_1691;
																					BgL_tail1289z00_1688 =
																						BgL_tail1289z00_3295;
																					BgL_l1286z00_1687 = BgL_l1286z00_3294;
																					goto
																						BgL_zc3z04anonymousza31496ze3z87_1689;
																				}
																			}
																		}
																}
															}
														{	/* Inline/recursion.scm 89 */
															bool_t BgL_removez12z12_1603;

															{
																obj_t BgL_l1291z00_1677;

																BgL_l1291z00_1677 = BgL_reczd2callszd2_1596;
															BgL_zc3z04anonymousza31463ze3z87_1678:
																if (PAIRP(BgL_l1291z00_1677))
																	{	/* Inline/recursion.scm 90 */
																		{	/* Inline/recursion.scm 90 */
																			obj_t BgL_arg1477z00_1680;

																			BgL_arg1477z00_1680 =
																				CAR(BgL_l1291z00_1677);
																			BGl_removezd2invariantzd2argsz12z12zzinline_variantz00
																				(((BgL_appz00_bglt)
																					BgL_arg1477z00_1680));
																		}
																		{
																			obj_t BgL_l1291z00_3301;

																			BgL_l1291z00_3301 =
																				CDR(BgL_l1291z00_1677);
																			BgL_l1291z00_1677 = BgL_l1291z00_3301;
																			goto
																				BgL_zc3z04anonymousza31463ze3z87_1678;
																		}
																	}
																else
																	{	/* Inline/recursion.scm 90 */
																		BgL_removez12z12_1603 = ((bool_t) 1);
																	}
															}
															{	/* Inline/recursion.scm 90 */
																obj_t BgL_ilocz00_1604;

																{	/* Inline/recursion.scm 91 */
																	bool_t BgL_test2044z00_3303;

																	{	/* Inline/recursion.scm 91 */
																		obj_t BgL_classz00_2315;

																		BgL_classz00_2315 =
																			BGl_globalz00zzast_varz00;
																		{	/* Inline/recursion.scm 91 */
																			BgL_objectz00_bglt BgL_arg1825z00_2317;

																			{	/* Inline/recursion.scm 91 */
																				obj_t BgL_tmpz00_3304;

																				BgL_tmpz00_3304 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_variablez00_1592));
																				BgL_arg1825z00_2317 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_3304);
																			}
																			{	/* Inline/recursion.scm 91 */
																				bool_t BgL_arg1822z00_2320;
																				bool_t BgL_arg1823z00_2321;

																				{	/* Inline/recursion.scm 91 */
																					long BgL_idxz00_2324;

																					BgL_idxz00_2324 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_2317);
																					BgL_arg1822z00_2320 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2324 + ((long) 2))) ==
																						BgL_classz00_2315);
																				}
																				{	/* Inline/recursion.scm 91 */
																					bool_t BgL_res1945z00_2346;

																					{	/* Inline/recursion.scm 91 */
																						obj_t BgL_oclassz00_2332;

																						{	/* Inline/recursion.scm 91 */
																							long BgL_arg1833z00_2338;

																							{	/* Inline/recursion.scm 91 */
																								long BgL_arg1834z00_2339;

																								BgL_arg1834z00_2339 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_2317);
																								BgL_arg1833z00_2338 =
																									(BgL_arg1834z00_2339 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2332 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_2338);
																						}
																						{	/* Inline/recursion.scm 91 */
																							bool_t BgL__ortest_1110z00_2333;

																							BgL__ortest_1110z00_2333 =
																								(BgL_classz00_2315 ==
																								BgL_oclassz00_2332);
																							if (BgL__ortest_1110z00_2333)
																								{	/* Inline/recursion.scm 91 */
																									BgL_res1945z00_2346 =
																										BgL__ortest_1110z00_2333;
																								}
																							else
																								{	/* Inline/recursion.scm 91 */
																									long BgL_odepthz00_2334;

																									BgL_odepthz00_2334 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2332);
																									if ((((long) 2) <
																											BgL_odepthz00_2334))
																										{	/* Inline/recursion.scm 91 */
																											obj_t BgL_arg1821z00_2336;

																											BgL_arg1821z00_2336 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2332,
																												((long) 2));
																											BgL_res1945z00_2346 =
																												(BgL_arg1821z00_2336 ==
																												BgL_classz00_2315);
																										}
																									else
																										{	/* Inline/recursion.scm 91 */
																											BgL_res1945z00_2346 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_2321 =
																						BgL_res1945z00_2346;
																				}
																				BgL_test2044z00_3303 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_2320,
																					BgL_arg1823z00_2321);
																			}
																		}
																	}
																	if (BgL_test2044z00_3303)
																		{	/* Inline/recursion.scm 92 */
																			bool_t BgL_test2047z00_3323;

																			{	/* Inline/recursion.scm 92 */
																				obj_t BgL_arg1462z00_1675;

																				BgL_arg1462z00_1675 =
																					(((BgL_globalz00_bglt) COBJECT(
																							((BgL_globalz00_bglt)
																								BgL_variablez00_1592)))->
																					BgL_modulez00);
																				BgL_test2047z00_3323 =
																					(BgL_arg1462z00_1675 ==
																					BGl_za2moduleza2z00zzmodule_modulez00);
																			}
																			if (BgL_test2047z00_3323)
																				{	/* Inline/recursion.scm 92 */
																					BgL_ilocz00_1604 = BFALSE;
																				}
																			else
																				{	/* Inline/recursion.scm 92 */
																					BgL_ilocz00_1604 =
																						(((BgL_nodez00_bglt)
																							COBJECT(BgL_nodez00_7))->
																						BgL_locz00);
																				}
																		}
																	else
																		{	/* Inline/recursion.scm 91 */
																			BgL_ilocz00_1604 = BFALSE;
																		}
																}
																{	/* Inline/recursion.scm 91 */
																	BgL_nodez00_bglt BgL_newzd2bodyzd2_1605;

																	if (NULLP(BgL_invzd2argszd2_1598))
																		{	/* Inline/recursion.scm 96 */
																			obj_t BgL_arg1430z00_1669;
																			obj_t BgL_arg1454z00_1670;

																			BgL_arg1430z00_1669 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_variablez00_1592),
																				BgL_oldzd2argszd2_1597);
																			BgL_arg1454z00_1670 =
																				MAKE_YOUNG_PAIR(((obj_t)
																					BgL_localz00_1593),
																				BgL_substitutez00_1601);
																			BgL_newzd2bodyzd2_1605 =
																				BGl_alphatiza7eza7zzast_alphatiza7eza7
																				(BgL_arg1430z00_1669,
																				BgL_arg1454z00_1670, BgL_ilocz00_1604,
																				((BgL_nodez00_bglt)
																					BgL_oldzd2bodyzd2_1595));
																		}
																	else
																		{	/* Inline/recursion.scm 103 */
																			obj_t BgL_arg1456z00_1671;
																			obj_t BgL_arg1457z00_1672;

																			BgL_arg1456z00_1671 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_variablez00_1592),
																				BgL_oldzd2argszd2_1597);
																			BgL_arg1457z00_1672 =
																				MAKE_YOUNG_PAIR(((obj_t)
																					BgL_localz00_1593),
																				BgL_substitutez00_1601);
																			BgL_newzd2bodyzd2_1605 =
																				BGl_alphatiza7ezd2sanszd2closureza7zzast_alphatiza7eza7
																				(BgL_arg1456z00_1671,
																				BgL_arg1457z00_1672, BgL_ilocz00_1604,
																				((BgL_nodez00_bglt)
																					BgL_oldzd2bodyzd2_1595),
																				BgL_variablez00_1592);
																		}
																	{	/* Inline/recursion.scm 94 */
																		bool_t BgL_restorez12z12_1606;

																		{
																			obj_t BgL_ll1293z00_1659;
																			obj_t BgL_ll1294z00_1660;

																			BgL_ll1293z00_1659 =
																				BgL_reczd2callszd2_1596;
																			BgL_ll1294z00_1660 =
																				BgL_svgzd2callszd2argsz00_1602;
																		BgL_zc3z04anonymousza31416ze3z87_1661:
																			if (NULLP(BgL_ll1293z00_1659))
																				{	/* Inline/recursion.scm 108 */
																					BgL_restorez12z12_1606 = ((bool_t) 1);
																				}
																			else
																				{	/* Inline/recursion.scm 108 */
																					{	/* Inline/recursion.scm 109 */
																						obj_t BgL_appz00_1663;
																						obj_t BgL_argsz00_1664;

																						BgL_appz00_1663 =
																							CAR(((obj_t) BgL_ll1293z00_1659));
																						BgL_argsz00_1664 =
																							CAR(((obj_t) BgL_ll1294z00_1660));
																						((((BgL_appz00_bglt) COBJECT(
																										((BgL_appz00_bglt)
																											BgL_appz00_1663)))->
																								BgL_argsz00) =
																							((obj_t) BgL_argsz00_1664),
																							BUNSPEC);
																					}
																					{	/* Inline/recursion.scm 108 */
																						obj_t BgL_arg1418z00_1665;
																						obj_t BgL_arg1419z00_1666;

																						BgL_arg1418z00_1665 =
																							CDR(((obj_t) BgL_ll1293z00_1659));
																						BgL_arg1419z00_1666 =
																							CDR(((obj_t) BgL_ll1294z00_1660));
																						{
																							obj_t BgL_ll1294z00_3355;
																							obj_t BgL_ll1293z00_3354;

																							BgL_ll1293z00_3354 =
																								BgL_arg1418z00_1665;
																							BgL_ll1294z00_3355 =
																								BgL_arg1419z00_1666;
																							BgL_ll1294z00_1660 =
																								BgL_ll1294z00_3355;
																							BgL_ll1293z00_1659 =
																								BgL_ll1293z00_3354;
																							goto
																								BgL_zc3z04anonymousza31416ze3z87_1661;
																						}
																					}
																				}
																		}
																		{	/* Inline/recursion.scm 108 */
																			BgL_sfunz00_bglt BgL_newzd2sfunzd2_1607;

																			{	/* Inline/recursion.scm 112 */
																				BgL_sfunz00_bglt BgL_new1115z00_1646;

																				{	/* Inline/recursion.scm 112 */
																					BgL_sfunz00_bglt BgL_new1129z00_1656;

																					BgL_new1129z00_1656 =
																						((BgL_sfunz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_sfunz00_bgl))));
																					{	/* Inline/recursion.scm 112 */
																						long BgL_arg1415z00_1657;

																						BgL_arg1415z00_1657 =
																							BGL_CLASS_NUM
																							(BGl_sfunz00zzast_varz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1129z00_1656),
																							BgL_arg1415z00_1657);
																					}
																					{	/* Inline/recursion.scm 112 */
																						BgL_objectz00_bglt BgL_tmpz00_3360;

																						BgL_tmpz00_3360 =
																							((BgL_objectz00_bglt)
																							BgL_new1129z00_1656);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_3360, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1129z00_1656);
																					BgL_new1115z00_1646 =
																						BgL_new1129z00_1656;
																				}
																				((((BgL_funz00_bglt) COBJECT(
																								((BgL_funz00_bglt)
																									BgL_new1115z00_1646)))->
																						BgL_arityz00) =
																					((long) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_arityz00)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1115z00_1646)))->
																						BgL_sidezd2effectzd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_sidezd2effectzd2)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1115z00_1646)))->
																						BgL_predicatezd2ofzd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_predicatezd2ofzd2)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1115z00_1646)))->
																						BgL_stackzd2allocatorzd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_stackzd2allocatorzd2)),
																					BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1115z00_1646)))->
																						BgL_topzf3zf3) =
																					((bool_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_topzf3zf3)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1115z00_1646)))->
																						BgL_thezd2closurezd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_thezd2closurezd2)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1115z00_1646)))->
																						BgL_effectz00) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_effectz00)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1115z00_1646)))->
																						BgL_failsafez00) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_failsafez00)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1115z00_1646)))->
																						BgL_argszd2noescapezd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_argszd2noescapezd2)),
																					BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1115z00_1646)))->
																						BgL_argszd2retescapezd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_argszd2retescapezd2)),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1115z00_1646))->
																						BgL_propertyz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1594))))->
																							BgL_propertyz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1115z00_1646))->
																						BgL_argsz00) =
																					((obj_t) BgL_newzd2argszd2_1600),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1115z00_1646))->
																						BgL_argszd2namezd2) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1594))))->
																							BgL_argszd2namezd2)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1115z00_1646))->
																						BgL_bodyz00) =
																					((obj_t) ((obj_t)
																							BgL_newzd2bodyzd2_1605)),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1115z00_1646))->
																						BgL_classz00) =
																					((obj_t) CNST_TABLE_REF(((long) 0))),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1115z00_1646))->
																						BgL_dssslzd2keywordszd2) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1594))))->
																							BgL_dssslzd2keywordszd2)),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1115z00_1646))->
																						BgL_locz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1594))))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1115z00_1646))->
																						BgL_optionalsz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1594))))->
																							BgL_optionalsz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1115z00_1646))->
																						BgL_keysz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1594))))->
																							BgL_keysz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1115z00_1646))->
																						BgL_thezd2closurezd2globalz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1594))))->
																							BgL_thezd2closurezd2globalz00)),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1115z00_1646))->
																						BgL_strengthz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1594))))->
																							BgL_strengthz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1115z00_1646))->
																						BgL_stackablez00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1594))))->
																							BgL_stackablez00)), BUNSPEC);
																				BgL_newzd2sfunzd2_1607 =
																					BgL_new1115z00_1646;
																			}
																			{	/* Inline/recursion.scm 112 */
																				obj_t BgL_newzd2kfactorzd2_1608;

																				BgL_newzd2kfactorzd2_1608 =
																					PROCEDURE_ENTRY
																					(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00)
																					(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00,
																					BINT(BgL_kfactorz00_8), BEOA);
																				{	/* Inline/recursion.scm 116 */

																					{
																						obj_t BgL_ll1296z00_1610;
																						obj_t BgL_ll1297z00_1611;

																						BgL_ll1296z00_1610 =
																							BgL_newzd2argszd2_1600;
																						BgL_ll1297z00_1611 =
																							BgL_varzd2argszd2_1599;
																					BgL_zc3z04anonymousza31351ze3z87_1612:
																						if (NULLP
																							(BgL_ll1296z00_1610))
																							{	/* Inline/recursion.scm 118 */
																								((bool_t) 1);
																							}
																						else
																							{	/* Inline/recursion.scm 118 */
																								{	/* Inline/recursion.scm 119 */
																									obj_t BgL_newz00_1614;
																									obj_t BgL_oldz00_1615;

																									BgL_newz00_1614 =
																										CAR(
																										((obj_t)
																											BgL_ll1296z00_1610));
																									BgL_oldz00_1615 =
																										CAR(((obj_t)
																											BgL_ll1297z00_1611));
																									{	/* Inline/recursion.scm 119 */
																										bool_t BgL_arg1354z00_1616;

																										BgL_arg1354z00_1616 =
																											(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															BgL_oldz00_1615))))->
																											BgL_userzf3zf3);
																										((((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_localz00_bglt) BgL_newz00_1614))))->BgL_userzf3zf3) = ((bool_t) BgL_arg1354z00_1616), BUNSPEC);
																									}
																								}
																								{	/* Inline/recursion.scm 118 */
																									obj_t BgL_arg1357z00_1617;
																									obj_t BgL_arg1358z00_1618;

																									BgL_arg1357z00_1617 =
																										CDR(
																										((obj_t)
																											BgL_ll1296z00_1610));
																									BgL_arg1358z00_1618 =
																										CDR(((obj_t)
																											BgL_ll1297z00_1611));
																									{
																										obj_t BgL_ll1297z00_3467;
																										obj_t BgL_ll1296z00_3466;

																										BgL_ll1296z00_3466 =
																											BgL_arg1357z00_1617;
																										BgL_ll1297z00_3467 =
																											BgL_arg1358z00_1618;
																										BgL_ll1297z00_1611 =
																											BgL_ll1297z00_3467;
																										BgL_ll1296z00_1610 =
																											BgL_ll1296z00_3466;
																										goto
																											BgL_zc3z04anonymousza31351ze3z87_1612;
																									}
																								}
																							}
																					}
																					{	/* Inline/recursion.scm 124 */
																						bool_t BgL_arg1361z00_1620;

																						{	/* Inline/recursion.scm 124 */
																							bool_t BgL_test2051z00_3468;

																							{	/* Inline/recursion.scm 124 */
																								obj_t BgL_classz00_2365;

																								BgL_classz00_2365 =
																									BGl_globalz00zzast_varz00;
																								{	/* Inline/recursion.scm 124 */
																									BgL_objectz00_bglt
																										BgL_arg1825z00_2367;
																									{	/* Inline/recursion.scm 124 */
																										obj_t BgL_tmpz00_3469;

																										BgL_tmpz00_3469 =
																											((obj_t)
																											((BgL_objectz00_bglt)
																												BgL_variablez00_1592));
																										BgL_arg1825z00_2367 =
																											(BgL_objectz00_bglt)
																											(BgL_tmpz00_3469);
																									}
																									{	/* Inline/recursion.scm 124 */
																										bool_t BgL_arg1822z00_2370;
																										bool_t BgL_arg1823z00_2371;

																										{	/* Inline/recursion.scm 124 */
																											long BgL_idxz00_2374;

																											BgL_idxz00_2374 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1825z00_2367);
																											BgL_arg1822z00_2370 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_2374 +
																														((long) 2))) ==
																												BgL_classz00_2365);
																										}
																										{	/* Inline/recursion.scm 124 */
																											bool_t
																												BgL_res1946z00_2396;
																											{	/* Inline/recursion.scm 124 */
																												obj_t
																													BgL_oclassz00_2382;
																												{	/* Inline/recursion.scm 124 */
																													long
																														BgL_arg1833z00_2388;
																													{	/* Inline/recursion.scm 124 */
																														long
																															BgL_arg1834z00_2389;
																														BgL_arg1834z00_2389
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1825z00_2367);
																														BgL_arg1833z00_2388
																															=
																															(BgL_arg1834z00_2389
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_2382 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1833z00_2388);
																												}
																												{	/* Inline/recursion.scm 124 */
																													bool_t
																														BgL__ortest_1110z00_2383;
																													BgL__ortest_1110z00_2383
																														=
																														(BgL_classz00_2365
																														==
																														BgL_oclassz00_2382);
																													if (BgL__ortest_1110z00_2383)
																														{	/* Inline/recursion.scm 124 */
																															BgL_res1946z00_2396
																																=
																																BgL__ortest_1110z00_2383;
																														}
																													else
																														{	/* Inline/recursion.scm 124 */
																															long
																																BgL_odepthz00_2384;
																															BgL_odepthz00_2384
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_2382);
																															if ((((long) 2) <
																																	BgL_odepthz00_2384))
																																{	/* Inline/recursion.scm 124 */
																																	obj_t
																																		BgL_arg1821z00_2386;
																																	BgL_arg1821z00_2386
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_2382,
																																		((long) 2));
																																	BgL_res1946z00_2396
																																		=
																																		(BgL_arg1821z00_2386
																																		==
																																		BgL_classz00_2365);
																																}
																															else
																																{	/* Inline/recursion.scm 124 */
																																	BgL_res1946z00_2396
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_arg1823z00_2371 =
																												BgL_res1946z00_2396;
																										}
																										BgL_test2051z00_3468 =
																											BGL_ISA_C_BACKEND
																											(BgL_arg1822z00_2370,
																											BgL_arg1823z00_2371);
																									}
																								}
																							}
																							if (BgL_test2051z00_3468)
																								{	/* Inline/recursion.scm 124 */
																									BgL_arg1361z00_1620 =
																										(((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													((BgL_globalz00_bglt)
																														BgL_variablez00_1592))))->
																										BgL_userzf3zf3);
																								}
																							else
																								{	/* Inline/recursion.scm 126 */
																									bool_t BgL_test2054z00_3491;

																									{	/* Inline/recursion.scm 126 */
																										obj_t BgL_classz00_2398;

																										BgL_classz00_2398 =
																											BGl_localz00zzast_varz00;
																										{	/* Inline/recursion.scm 126 */
																											BgL_objectz00_bglt
																												BgL_arg1825z00_2400;
																											{	/* Inline/recursion.scm 126 */
																												obj_t BgL_tmpz00_3492;

																												BgL_tmpz00_3492 =
																													((obj_t)
																													((BgL_objectz00_bglt)
																														BgL_variablez00_1592));
																												BgL_arg1825z00_2400 =
																													(BgL_objectz00_bglt)
																													(BgL_tmpz00_3492);
																											}
																											{	/* Inline/recursion.scm 126 */
																												bool_t
																													BgL_arg1822z00_2403;
																												bool_t
																													BgL_arg1823z00_2404;
																												{	/* Inline/recursion.scm 126 */
																													long BgL_idxz00_2407;

																													BgL_idxz00_2407 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1825z00_2400);
																													BgL_arg1822z00_2403 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_2407 +
																																((long) 2))) ==
																														BgL_classz00_2398);
																												}
																												{	/* Inline/recursion.scm 126 */
																													bool_t
																														BgL_res1947z00_2429;
																													{	/* Inline/recursion.scm 126 */
																														obj_t
																															BgL_oclassz00_2415;
																														{	/* Inline/recursion.scm 126 */
																															long
																																BgL_arg1833z00_2421;
																															{	/* Inline/recursion.scm 126 */
																																long
																																	BgL_arg1834z00_2422;
																																BgL_arg1834z00_2422
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1825z00_2400);
																																BgL_arg1833z00_2421
																																	=
																																	(BgL_arg1834z00_2422
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_2415
																																=
																																VECTOR_REF
																																(BGl_za2classesza2z00zz__objectz00,
																																BgL_arg1833z00_2421);
																														}
																														{	/* Inline/recursion.scm 126 */
																															bool_t
																																BgL__ortest_1110z00_2416;
																															BgL__ortest_1110z00_2416
																																=
																																(BgL_classz00_2398
																																==
																																BgL_oclassz00_2415);
																															if (BgL__ortest_1110z00_2416)
																																{	/* Inline/recursion.scm 126 */
																																	BgL_res1947z00_2429
																																		=
																																		BgL__ortest_1110z00_2416;
																																}
																															else
																																{	/* Inline/recursion.scm 126 */
																																	long
																																		BgL_odepthz00_2417;
																																	BgL_odepthz00_2417
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_oclassz00_2415);
																																	if ((((long)
																																				2) <
																																			BgL_odepthz00_2417))
																																		{	/* Inline/recursion.scm 126 */
																																			obj_t
																																				BgL_arg1821z00_2419;
																																			BgL_arg1821z00_2419
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_oclassz00_2415,
																																				((long)
																																					2));
																																			BgL_res1947z00_2429
																																				=
																																				(BgL_arg1821z00_2419
																																				==
																																				BgL_classz00_2398);
																																		}
																																	else
																																		{	/* Inline/recursion.scm 126 */
																																			BgL_res1947z00_2429
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_arg1823z00_2404 =
																														BgL_res1947z00_2429;
																												}
																												BgL_test2054z00_3491 =
																													BGL_ISA_C_BACKEND
																													(BgL_arg1822z00_2403,
																													BgL_arg1823z00_2404);
																											}
																										}
																									}
																									if (BgL_test2054z00_3491)
																										{	/* Inline/recursion.scm 126 */
																											BgL_arg1361z00_1620 =
																												(((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_localz00_bglt) BgL_variablez00_1592))))->BgL_userzf3zf3);
																										}
																									else
																										{	/* Inline/recursion.scm 126 */
																											BgL_arg1361z00_1620 =
																												((bool_t) 0);
																										}
																								}
																						}
																						((((BgL_variablez00_bglt) COBJECT(
																										((BgL_variablez00_bglt)
																											BgL_localz00_1593)))->
																								BgL_userzf3zf3) =
																							((bool_t) BgL_arg1361z00_1620),
																							BUNSPEC);
																					}
																					((((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										BgL_localz00_1593)))->
																							BgL_valuez00) =
																						((BgL_valuez00_bglt) (
																								(BgL_valuez00_bglt)
																								BgL_newzd2sfunzd2_1607)),
																						BUNSPEC);
																					if (CBOOL
																						(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																							((((BgL_sfunz00_bglt)
																										COBJECT(((BgL_sfunz00_bglt)
																												BgL_oldzd2sfunzd2_1594)))->
																									BgL_classz00),
																								CNST_TABLE_REF(((long) 1)))))
																						{	/* Inline/recursion.scm 139 */
																							BFALSE;
																						}
																					else
																						{	/* Inline/recursion.scm 139 */
																							if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(((long) 3)), BGl_za2verboseza2z00zzengine_paramz00))
																								{	/* Inline/recursion.scm 141 */
																									obj_t BgL_arg1367z00_1627;
																									obj_t BgL_arg1369z00_1628;

																									BgL_arg1367z00_1627 =
																										BGl_shapez00zztools_shapez00
																										(((obj_t)
																											BgL_variablez00_1592));
																									BgL_arg1369z00_1628 =
																										BGl_currentzd2functionzd2zztools_errorz00
																										();
																									{	/* Inline/recursion.scm 140 */
																										obj_t BgL_list1370z00_1629;

																										{	/* Inline/recursion.scm 140 */
																											obj_t BgL_arg1371z00_1630;

																											{	/* Inline/recursion.scm 140 */
																												obj_t
																													BgL_arg1380z00_1631;
																												{	/* Inline/recursion.scm 140 */
																													obj_t
																														BgL_arg1381z00_1632;
																													{	/* Inline/recursion.scm 140 */
																														obj_t
																															BgL_arg1382z00_1633;
																														{	/* Inline/recursion.scm 140 */
																															obj_t
																																BgL_arg1383z00_1634;
																															BgL_arg1383z00_1634
																																=
																																MAKE_YOUNG_PAIR
																																(BCHAR((
																																		(unsigned
																																			char)
																																		10)), BNIL);
																															BgL_arg1382z00_1633
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_string1968z00zzinline_recursionz00,
																																BgL_arg1383z00_1634);
																														}
																														BgL_arg1381z00_1632
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1369z00_1628,
																															BgL_arg1382z00_1633);
																													}
																													BgL_arg1380z00_1631 =
																														MAKE_YOUNG_PAIR
																														(BGl_string1969z00zzinline_recursionz00,
																														BgL_arg1381z00_1632);
																												}
																												BgL_arg1371z00_1630 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1367z00_1627,
																													BgL_arg1380z00_1631);
																											}
																											BgL_list1370z00_1629 =
																												MAKE_YOUNG_PAIR
																												(BGl_string1970z00zzinline_recursionz00,
																												BgL_arg1371z00_1630);
																										}
																										BGl_verbosez00zztools_speekz00
																											(BINT(((long) 3)),
																											BgL_list1370z00_1629);
																								}}
																							else
																								{	/* Inline/recursion.scm 140 */
																									BUNSPEC;
																								}
																						}
																					BGl_inlinezd2sfunz12zc0zzinline_inlinez00
																						(((BgL_variablez00_bglt)
																							BgL_localz00_1593),
																						(long)
																						CINT(BgL_newzd2kfactorzd2_1608),
																						BgL_stackz00_9);
																					{	/* Inline/recursion.scm 150 */
																						BgL_appz00_bglt
																							BgL_newzd2callzd2_1636;
																						long BgL_callzd2siza7ez75_1637;

																						BgL_newzd2callzd2_1636 =
																							BGl_removezd2invariantzd2argsz12z12zzinline_variantz00
																							(((BgL_appz00_bglt)
																								BgL_nodez00_7));
																						BgL_callzd2siza7ez75_1637 =
																							(((long) 1) +
																							bgl_list_length(((
																										(BgL_appz00_bglt)
																										COBJECT(((BgL_appz00_bglt)
																												BgL_nodez00_7)))->
																									BgL_argsz00)));
																						{	/* Inline/recursion.scm 152 */
																							bool_t BgL_test2059z00_3549;

																							if (CBOOL
																								(BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00))
																								{	/* Inline/recursion.scm 152 */
																									if (BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_1592))
																										{	/* Inline/recursion.scm 153 */
																											if (BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_1592))
																												{	/* Inline/recursion.scm 156 */
																													BgL_test2059z00_3549 =
																														((bool_t) 0);
																												}
																											else
																												{	/* Inline/recursion.scm 156 */
																													BgL_test2059z00_3549 =
																														BGl_inlinezd2appzf3z21zzinline_appz00
																														(((BgL_variablez00_bglt) BgL_localz00_1593), (long) CINT(BgL_newzd2kfactorzd2_1608), BgL_callzd2siza7ez75_1637, BgL_stackz00_9);
																										}}
																									else
																										{	/* Inline/recursion.scm 153 */
																											BgL_test2059z00_3549 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Inline/recursion.scm 152 */
																									BgL_test2059z00_3549 =
																										((bool_t) 0);
																								}
																							if (BgL_test2059z00_3549)
																								{	/* Inline/recursion.scm 152 */
																									return
																										BGl_unrollzd2callzd2zzinline_recursionz00
																										(BgL_variablez00_1592,
																										BgL_nodez00_7,
																										BgL_localz00_1593,
																										BgL_newzd2kfactorzd2_1608,
																										BgL_newzd2callzd2_1636,
																										BgL_stackz00_9);
																								}
																							else
																								{	/* Inline/recursion.scm 152 */
																									return
																										((obj_t)
																										BGl_plainzd2callzd2zzinline_recursionz00
																										(BgL_variablez00_1592,
																											BgL_nodez00_7,
																											BgL_localz00_1593,
																											BgL_newzd2callzd2_1636,
																											BgL_stackz00_9));
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* plain-call */
	BgL_letzd2funzd2_bglt
		BGl_plainzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt
		BgL_variablez00_10, BgL_nodez00_bglt BgL_nodez00_11,
		BgL_localz00_bglt BgL_localz00_12, BgL_appz00_bglt BgL_newzd2callzd2_13,
		obj_t BgL_stackz00_14)
	{
		{	/* Inline/recursion.scm 164 */
			BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_10);
			{	/* Inline/recursion.scm 174 */
				obj_t BgL_ilocz00_1721;

				{	/* Inline/recursion.scm 174 */
					bool_t BgL_test2063z00_3563;

					{	/* Inline/recursion.scm 174 */
						obj_t BgL_classz00_2438;

						BgL_classz00_2438 = BGl_globalz00zzast_varz00;
						{	/* Inline/recursion.scm 174 */
							BgL_objectz00_bglt BgL_arg1825z00_2440;

							{	/* Inline/recursion.scm 174 */
								obj_t BgL_tmpz00_3564;

								BgL_tmpz00_3564 =
									((obj_t) ((BgL_objectz00_bglt) BgL_variablez00_10));
								BgL_arg1825z00_2440 = (BgL_objectz00_bglt) (BgL_tmpz00_3564);
							}
							{	/* Inline/recursion.scm 174 */
								bool_t BgL_arg1822z00_2443;
								bool_t BgL_arg1823z00_2444;

								{	/* Inline/recursion.scm 174 */
									long BgL_idxz00_2447;

									BgL_idxz00_2447 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2440);
									BgL_arg1822z00_2443 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2447 + ((long) 2))) == BgL_classz00_2438);
								}
								{	/* Inline/recursion.scm 174 */
									bool_t BgL_res1948z00_2469;

									{	/* Inline/recursion.scm 174 */
										obj_t BgL_oclassz00_2455;

										{	/* Inline/recursion.scm 174 */
											long BgL_arg1833z00_2461;

											{	/* Inline/recursion.scm 174 */
												long BgL_arg1834z00_2462;

												BgL_arg1834z00_2462 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2440);
												BgL_arg1833z00_2461 =
													(BgL_arg1834z00_2462 - OBJECT_TYPE);
											}
											BgL_oclassz00_2455 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2461);
										}
										{	/* Inline/recursion.scm 174 */
											bool_t BgL__ortest_1110z00_2456;

											BgL__ortest_1110z00_2456 =
												(BgL_classz00_2438 == BgL_oclassz00_2455);
											if (BgL__ortest_1110z00_2456)
												{	/* Inline/recursion.scm 174 */
													BgL_res1948z00_2469 = BgL__ortest_1110z00_2456;
												}
											else
												{	/* Inline/recursion.scm 174 */
													long BgL_odepthz00_2457;

													BgL_odepthz00_2457 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2455);
													if ((((long) 2) < BgL_odepthz00_2457))
														{	/* Inline/recursion.scm 174 */
															obj_t BgL_arg1821z00_2459;

															BgL_arg1821z00_2459 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2455,
																((long) 2));
															BgL_res1948z00_2469 =
																(BgL_arg1821z00_2459 == BgL_classz00_2438);
														}
													else
														{	/* Inline/recursion.scm 174 */
															BgL_res1948z00_2469 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2444 = BgL_res1948z00_2469;
								}
								BgL_test2063z00_3563 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2443, BgL_arg1823z00_2444);
							}
						}
					}
					if (BgL_test2063z00_3563)
						{	/* Inline/recursion.scm 175 */
							bool_t BgL_test2066z00_3583;

							{	/* Inline/recursion.scm 175 */
								obj_t BgL_arg1570z00_1732;

								BgL_arg1570z00_1732 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_variablez00_10)))->
									BgL_modulez00);
								BgL_test2066z00_3583 =
									(BgL_arg1570z00_1732 ==
									BGl_za2moduleza2z00zzmodule_modulez00);
							}
							if (BgL_test2066z00_3583)
								{	/* Inline/recursion.scm 175 */
									BgL_ilocz00_1721 = BFALSE;
								}
							else
								{	/* Inline/recursion.scm 175 */
									BgL_ilocz00_1721 =
										(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_11))->BgL_locz00);
								}
						}
					else
						{	/* Inline/recursion.scm 174 */
							BgL_ilocz00_1721 = BFALSE;
						}
				}
				{	/* Inline/recursion.scm 177 */
					BgL_letzd2funzd2_bglt BgL_new1135z00_1722;

					{	/* Inline/recursion.scm 178 */
						BgL_letzd2funzd2_bglt BgL_new1134z00_1728;

						BgL_new1134z00_1728 =
							((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2funzd2_bgl))));
						{	/* Inline/recursion.scm 178 */
							long BgL_arg1567z00_1729;

							BgL_arg1567z00_1729 =
								BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1134z00_1728),
								BgL_arg1567z00_1729);
						}
						{	/* Inline/recursion.scm 178 */
							BgL_objectz00_bglt BgL_tmpz00_3592;

							BgL_tmpz00_3592 = ((BgL_objectz00_bglt) BgL_new1134z00_1728);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3592, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1134z00_1728);
						BgL_new1135z00_1722 = BgL_new1134z00_1728;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1135z00_1722)))->BgL_locz00) =
						((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_11))->
								BgL_locz00)), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1135z00_1722)))->BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_11))->
								BgL_typez00)), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1135z00_1722)))->BgL_sidezd2effectzd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1135z00_1722)))->BgL_keyz00) =
						((obj_t) BINT(((long) -1))), BUNSPEC);
					{
						obj_t BgL_auxz00_3607;

						{	/* Inline/recursion.scm 180 */
							obj_t BgL_list1556z00_1723;

							BgL_list1556z00_1723 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_12), BNIL);
							BgL_auxz00_3607 = BgL_list1556z00_1723;
						}
						((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1135z00_1722))->
								BgL_localsz00) = ((obj_t) BgL_auxz00_3607), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3611;

						{	/* Inline/recursion.scm 181 */
							obj_t BgL_arg1563z00_1724;
							obj_t BgL_arg1564z00_1725;

							{	/* Inline/recursion.scm 181 */
								obj_t BgL_list1565z00_1726;

								BgL_list1565z00_1726 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_variablez00_10), BNIL);
								BgL_arg1563z00_1724 = BgL_list1565z00_1726;
							}
							{	/* Inline/recursion.scm 181 */
								obj_t BgL_list1566z00_1727;

								BgL_list1566z00_1727 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_12), BNIL);
								BgL_arg1564z00_1725 = BgL_list1566z00_1727;
							}
							BgL_auxz00_3611 =
								BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_arg1563z00_1724,
								BgL_arg1564z00_1725, BgL_ilocz00_1721,
								((BgL_nodez00_bglt) BgL_newzd2callzd2_13));
						}
						((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1135z00_1722))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3611), BUNSPEC);
					}
					return BgL_new1135z00_1722;
				}
			}
		}

	}



/* unroll-call */
	obj_t BGl_unrollzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt
		BgL_variablez00_15, BgL_nodez00_bglt BgL_nodez00_16,
		BgL_localz00_bglt BgL_localz00_17, obj_t BgL_kfactorz00_18,
		BgL_appz00_bglt BgL_callz00_19, obj_t BgL_stackz00_20)
	{
		{	/* Inline/recursion.scm 187 */
			{	/* Inline/recursion.scm 193 */
				obj_t BgL_ilocz00_1733;

				{	/* Inline/recursion.scm 193 */
					bool_t BgL_test2067z00_3619;

					{	/* Inline/recursion.scm 193 */
						obj_t BgL_classz00_2481;

						BgL_classz00_2481 = BGl_globalz00zzast_varz00;
						{	/* Inline/recursion.scm 193 */
							BgL_objectz00_bglt BgL_arg1825z00_2483;

							{	/* Inline/recursion.scm 193 */
								obj_t BgL_tmpz00_3620;

								BgL_tmpz00_3620 =
									((obj_t) ((BgL_objectz00_bglt) BgL_variablez00_15));
								BgL_arg1825z00_2483 = (BgL_objectz00_bglt) (BgL_tmpz00_3620);
							}
							{	/* Inline/recursion.scm 193 */
								bool_t BgL_arg1822z00_2486;
								bool_t BgL_arg1823z00_2487;

								{	/* Inline/recursion.scm 193 */
									long BgL_idxz00_2490;

									BgL_idxz00_2490 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2483);
									BgL_arg1822z00_2486 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2490 + ((long) 2))) == BgL_classz00_2481);
								}
								{	/* Inline/recursion.scm 193 */
									bool_t BgL_res1952z00_2512;

									{	/* Inline/recursion.scm 193 */
										obj_t BgL_oclassz00_2498;

										{	/* Inline/recursion.scm 193 */
											long BgL_arg1833z00_2504;

											{	/* Inline/recursion.scm 193 */
												long BgL_arg1834z00_2505;

												BgL_arg1834z00_2505 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2483);
												BgL_arg1833z00_2504 =
													(BgL_arg1834z00_2505 - OBJECT_TYPE);
											}
											BgL_oclassz00_2498 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2504);
										}
										{	/* Inline/recursion.scm 193 */
											bool_t BgL__ortest_1110z00_2499;

											BgL__ortest_1110z00_2499 =
												(BgL_classz00_2481 == BgL_oclassz00_2498);
											if (BgL__ortest_1110z00_2499)
												{	/* Inline/recursion.scm 193 */
													BgL_res1952z00_2512 = BgL__ortest_1110z00_2499;
												}
											else
												{	/* Inline/recursion.scm 193 */
													long BgL_odepthz00_2500;

													BgL_odepthz00_2500 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2498);
													if ((((long) 2) < BgL_odepthz00_2500))
														{	/* Inline/recursion.scm 193 */
															obj_t BgL_arg1821z00_2502;

															BgL_arg1821z00_2502 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2498,
																((long) 2));
															BgL_res1952z00_2512 =
																(BgL_arg1821z00_2502 == BgL_classz00_2481);
														}
													else
														{	/* Inline/recursion.scm 193 */
															BgL_res1952z00_2512 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2487 = BgL_res1952z00_2512;
								}
								BgL_test2067z00_3619 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2486, BgL_arg1823z00_2487);
							}
						}
					}
					if (BgL_test2067z00_3619)
						{	/* Inline/recursion.scm 194 */
							bool_t BgL_test2070z00_3639;

							{	/* Inline/recursion.scm 194 */
								obj_t BgL_arg1588z00_1756;

								BgL_arg1588z00_1756 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_variablez00_15)))->
									BgL_modulez00);
								BgL_test2070z00_3639 =
									(BgL_arg1588z00_1756 ==
									BGl_za2moduleza2z00zzmodule_modulez00);
							}
							if (BgL_test2070z00_3639)
								{	/* Inline/recursion.scm 194 */
									BgL_ilocz00_1733 = BFALSE;
								}
							else
								{	/* Inline/recursion.scm 194 */
									BgL_ilocz00_1733 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_callz00_19)))->BgL_locz00);
								}
						}
					else
						{	/* Inline/recursion.scm 193 */
							BgL_ilocz00_1733 = BFALSE;
						}
				}
				{	/* Inline/recursion.scm 193 */
					BgL_nodez00_bglt BgL_newzd2callzd2_1734;

					{	/* Inline/recursion.scm 196 */
						obj_t BgL_arg1584z00_1750;
						obj_t BgL_arg1585z00_1751;

						{	/* Inline/recursion.scm 196 */
							obj_t BgL_list1586z00_1752;

							BgL_list1586z00_1752 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_variablez00_15), BNIL);
							BgL_arg1584z00_1750 = BgL_list1586z00_1752;
						}
						{	/* Inline/recursion.scm 196 */
							obj_t BgL_list1587z00_1753;

							BgL_list1587z00_1753 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_17), BNIL);
							BgL_arg1585z00_1751 = BgL_list1587z00_1753;
						}
						BgL_newzd2callzd2_1734 =
							BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_arg1584z00_1750,
							BgL_arg1585z00_1751, BgL_ilocz00_1733,
							((BgL_nodez00_bglt) BgL_callz00_19));
					}
					{	/* Inline/recursion.scm 197 */
						BgL_nodez00_bglt BgL_newzd2bodyzd2_1736;

						{	/* Inline/recursion.scm 200 */
							obj_t BgL_arg1582z00_1748;

							BgL_arg1582z00_1748 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_17), BgL_stackz00_20);
							BgL_newzd2bodyzd2_1736 =
								BGl_inlinezd2appzd2simplez00zzinline_simplez00
								(BgL_newzd2callzd2_1734, (long) CINT(BgL_kfactorz00_18),
								BgL_arg1582z00_1748, BGl_string1971z00zzinline_recursionz00);
						}
						{	/* Inline/recursion.scm 198 */

							BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_15);
							{	/* Inline/recursion.scm 209 */
								obj_t BgL__z00_1737;

								{	/* Inline/recursion.scm 213 */
									BgL_nodez00_bglt BgL_arg1571z00_1739;

									{	/* Inline/recursion.scm 213 */
										obj_t BgL_zc3z04anonymousza31579ze3z87_2843;

										BgL_zc3z04anonymousza31579ze3z87_2843 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31579ze3ze5zzinline_recursionz00,
											(int) (((long) 1)), (int) (((long) 1)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31579ze3z87_2843,
											(int) (((long) 0)), ((obj_t) BgL_localz00_17));
										BgL_arg1571z00_1739 =
											BGl_nestzd2loopz12zc0zzinline_loopz00
											(BgL_newzd2bodyzd2_1736, BgL_localz00_17,
											BgL_zc3z04anonymousza31579ze3z87_2843);
									}
									BgL__z00_1737 =
										BGl_nodezd2csez12zc0zzreduce_csez00(BgL_arg1571z00_1739,
										BNIL);
								}
								{	/* Inline/recursion.scm 210 */
									obj_t BgL_nodez00_1738;

									{	/* Inline/recursion.scm 210 */
										obj_t BgL_tmpz00_2526;

										{	/* Inline/recursion.scm 210 */
											int BgL_tmpz00_3664;

											BgL_tmpz00_3664 = (int) (((long) 1));
											BgL_tmpz00_2526 = BGL_MVALUES_VAL(BgL_tmpz00_3664);
										}
										{	/* Inline/recursion.scm 210 */
											int BgL_tmpz00_3667;

											BgL_tmpz00_3667 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_3667, BUNSPEC);
										}
										BgL_nodez00_1738 = BgL_tmpz00_2526;
									}
									return BgL_nodez00_1738;
								}
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1579> */
	obj_t BGl_z62zc3z04anonymousza31579ze3ze5zzinline_recursionz00(obj_t
		BgL_envz00_2844, obj_t BgL_nodez00_2846)
	{
		{	/* Inline/recursion.scm 212 */
			{	/* Inline/recursion.scm 213 */
				BgL_localz00_bglt BgL_localz00_2845;

				BgL_localz00_2845 =
					((BgL_localz00_bglt)
					PROCEDURE_REF(BgL_envz00_2844, (int) (((long) 0))));
				{
					BgL_letzd2funzd2_bglt BgL_auxz00_3673;

					{	/* Inline/recursion.scm 213 */
						BgL_letzd2funzd2_bglt BgL_new1139z00_2980;

						{	/* Inline/recursion.scm 214 */
							BgL_letzd2funzd2_bglt BgL_new1138z00_2981;

							BgL_new1138z00_2981 =
								((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2funzd2_bgl))));
							{	/* Inline/recursion.scm 214 */
								long BgL_arg1581z00_2982;

								BgL_arg1581z00_2982 =
									BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1138z00_2981),
									BgL_arg1581z00_2982);
							}
							{	/* Inline/recursion.scm 214 */
								BgL_objectz00_bglt BgL_tmpz00_3678;

								BgL_tmpz00_3678 = ((BgL_objectz00_bglt) BgL_new1138z00_2981);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3678, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1138z00_2981);
							BgL_new1139z00_2980 = BgL_new1138z00_2981;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1139z00_2980)))->BgL_locz00) =
							((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_nodez00_2846)))->BgL_locz00)), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1139z00_2980)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) BgL_nodez00_2846)))->
									BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1139z00_2980)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1139z00_2980)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							obj_t BgL_auxz00_3695;

							{	/* Inline/recursion.scm 217 */
								obj_t BgL_list1580z00_2983;

								BgL_list1580z00_2983 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_2845), BNIL);
								BgL_auxz00_3695 = BgL_list1580z00_2983;
							}
							((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1139z00_2980))->
									BgL_localsz00) = ((obj_t) BgL_auxz00_3695), BUNSPEC);
						}
						((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1139z00_2980))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nodez00_2846)),
							BUNSPEC);
						BgL_auxz00_3673 = BgL_new1139z00_2980;
					}
					return ((obj_t) BgL_auxz00_3673);
				}
			}
		}

	}



/* is-recursive? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt
		BgL_varz00_21)
	{
		{	/* Inline/recursion.scm 224 */
			{	/* Inline/recursion.scm 226 */
				BgL_valuez00_bglt BgL_sfunz00_1757;

				BgL_sfunz00_1757 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_21))->BgL_valuez00);
				{	/* Inline/recursion.scm 227 */
					bool_t BgL_test2071z00_3703;

					{	/* Inline/recursion.scm 227 */
						obj_t BgL_classz00_2528;

						BgL_classz00_2528 = BGl_isfunz00zzinline_inlinez00;
						{	/* Inline/recursion.scm 227 */
							BgL_objectz00_bglt BgL_arg1825z00_2530;

							{	/* Inline/recursion.scm 227 */
								obj_t BgL_tmpz00_3704;

								BgL_tmpz00_3704 =
									((obj_t) ((BgL_objectz00_bglt) BgL_sfunz00_1757));
								BgL_arg1825z00_2530 = (BgL_objectz00_bglt) (BgL_tmpz00_3704);
							}
							{	/* Inline/recursion.scm 227 */
								bool_t BgL_arg1822z00_2533;
								bool_t BgL_arg1823z00_2534;

								{	/* Inline/recursion.scm 227 */
									long BgL_idxz00_2537;

									BgL_idxz00_2537 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2530);
									BgL_arg1822z00_2533 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2537 + ((long) 4))) == BgL_classz00_2528);
								}
								{	/* Inline/recursion.scm 227 */
									bool_t BgL_res1956z00_2559;

									{	/* Inline/recursion.scm 227 */
										obj_t BgL_oclassz00_2545;

										{	/* Inline/recursion.scm 227 */
											long BgL_arg1833z00_2551;

											{	/* Inline/recursion.scm 227 */
												long BgL_arg1834z00_2552;

												BgL_arg1834z00_2552 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2530);
												BgL_arg1833z00_2551 =
													(BgL_arg1834z00_2552 - OBJECT_TYPE);
											}
											BgL_oclassz00_2545 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2551);
										}
										{	/* Inline/recursion.scm 227 */
											bool_t BgL__ortest_1110z00_2546;

											BgL__ortest_1110z00_2546 =
												(BgL_classz00_2528 == BgL_oclassz00_2545);
											if (BgL__ortest_1110z00_2546)
												{	/* Inline/recursion.scm 227 */
													BgL_res1956z00_2559 = BgL__ortest_1110z00_2546;
												}
											else
												{	/* Inline/recursion.scm 227 */
													long BgL_odepthz00_2547;

													BgL_odepthz00_2547 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2545);
													if ((((long) 4) < BgL_odepthz00_2547))
														{	/* Inline/recursion.scm 227 */
															obj_t BgL_arg1821z00_2549;

															BgL_arg1821z00_2549 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2545,
																((long) 4));
															BgL_res1956z00_2559 =
																(BgL_arg1821z00_2549 == BgL_classz00_2528);
														}
													else
														{	/* Inline/recursion.scm 227 */
															BgL_res1956z00_2559 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2534 = BgL_res1956z00_2559;
								}
								BgL_test2071z00_3703 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2533, BgL_arg1823z00_2534);
							}
						}
					}
					if (BgL_test2071z00_3703)
						{	/* Inline/recursion.scm 236 */
							bool_t BgL_test2074z00_3723;

							{	/* Inline/recursion.scm 236 */
								obj_t BgL_arg1604z00_1768;

								{
									BgL_isfunz00_bglt BgL_auxz00_3724;

									{
										obj_t BgL_auxz00_3725;

										{	/* Inline/recursion.scm 236 */
											BgL_objectz00_bglt BgL_tmpz00_3726;

											BgL_tmpz00_3726 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1757));
											BgL_auxz00_3725 = BGL_OBJECT_WIDENING(BgL_tmpz00_3726);
										}
										BgL_auxz00_3724 = ((BgL_isfunz00_bglt) BgL_auxz00_3725);
									}
									BgL_arg1604z00_1768 =
										(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3724))->
										BgL_recursivezd2callszd2);
								}
								BgL_test2074z00_3723 = PAIRP(BgL_arg1604z00_1768);
							}
							if (BgL_test2074z00_3723)
								{	/* Inline/recursion.scm 236 */
									return ((bool_t) 1);
								}
							else
								{	/* Inline/recursion.scm 238 */
									bool_t BgL_test2075z00_3733;

									{	/* Inline/recursion.scm 238 */
										obj_t BgL_arg1603z00_1767;

										{
											BgL_isfunz00_bglt BgL_auxz00_3734;

											{
												obj_t BgL_auxz00_3735;

												{	/* Inline/recursion.scm 238 */
													BgL_objectz00_bglt BgL_tmpz00_3736;

													BgL_tmpz00_3736 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1757));
													BgL_auxz00_3735 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3736);
												}
												BgL_auxz00_3734 = ((BgL_isfunz00_bglt) BgL_auxz00_3735);
											}
											BgL_arg1603z00_1767 =
												(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3734))->
												BgL_recursivezd2callszd2);
										}
										BgL_test2075z00_3733 = NULLP(BgL_arg1603z00_1767);
									}
									if (BgL_test2075z00_3733)
										{	/* Inline/recursion.scm 238 */
											return ((bool_t) 0);
										}
									else
										{	/* Inline/recursion.scm 241 */
											obj_t BgL_trecz00_1763;

											BgL_trecz00_1763 = MAKE_YOUNG_CELL(BTRUE);
											{	/* Inline/recursion.scm 241 */
												obj_t BgL_callsz00_1764;

												{	/* Inline/recursion.scm 243 */
													BgL_nodez00_bglt BgL_arg1602z00_1766;

													{
														BgL_isfunz00_bglt BgL_auxz00_3744;

														{
															obj_t BgL_auxz00_3745;

															{	/* Inline/recursion.scm 243 */
																BgL_objectz00_bglt BgL_tmpz00_3746;

																BgL_tmpz00_3746 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_sfunz00_1757));
																BgL_auxz00_3745 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3746);
															}
															BgL_auxz00_3744 =
																((BgL_isfunz00_bglt) BgL_auxz00_3745);
														}
														BgL_arg1602z00_1766 =
															(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3744))->
															BgL_originalzd2bodyzd2);
													}
													BgL_callsz00_1764 =
														BGl_findzd2recursivezd2callsz00zzinline_recursionz00
														(BgL_arg1602z00_1766, BgL_varz00_21, BTRUE,
														BgL_trecz00_1763);
												}
												{	/* Inline/recursion.scm 242 */

													{	/* Inline/recursion.scm 244 */
														obj_t BgL_arg1601z00_1765;

														BgL_arg1601z00_1765 = CELL_REF(BgL_trecz00_1763);
														{	/* Inline/recursion.scm 244 */
															bool_t BgL_vz00_2568;

															BgL_vz00_2568 = CBOOL(BgL_arg1601z00_1765);
															{
																BgL_isfunz00_bglt BgL_auxz00_3755;

																{
																	obj_t BgL_auxz00_3756;

																	{	/* Inline/recursion.scm 244 */
																		BgL_objectz00_bglt BgL_tmpz00_3757;

																		BgL_tmpz00_3757 =
																			((BgL_objectz00_bglt)
																			((BgL_sfunz00_bglt) BgL_sfunz00_1757));
																		BgL_auxz00_3756 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3757);
																	}
																	BgL_auxz00_3755 =
																		((BgL_isfunz00_bglt) BgL_auxz00_3756);
																}
																((((BgL_isfunz00_bglt)
																			COBJECT(BgL_auxz00_3755))->
																		BgL_tailrecz00) =
																	((bool_t) BgL_vz00_2568), BUNSPEC);
															}
														}
													}
													{
														BgL_isfunz00_bglt BgL_auxz00_3763;

														{
															obj_t BgL_auxz00_3764;

															{	/* Inline/recursion.scm 245 */
																BgL_objectz00_bglt BgL_tmpz00_3765;

																BgL_tmpz00_3765 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_sfunz00_1757));
																BgL_auxz00_3764 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3765);
															}
															BgL_auxz00_3763 =
																((BgL_isfunz00_bglt) BgL_auxz00_3764);
														}
														((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3763))->
																BgL_recursivezd2callszd2) =
															((obj_t) BgL_callsz00_1764), BUNSPEC);
													}
													return PAIRP(BgL_callsz00_1764);
												}
											}
										}
								}
						}
					else
						{	/* Inline/recursion.scm 228 */
							obj_t BgL_trecz00_1769;

							BgL_trecz00_1769 = MAKE_YOUNG_CELL(BTRUE);
							{	/* Inline/recursion.scm 228 */
								obj_t BgL_callsz00_1770;

								{	/* Inline/recursion.scm 229 */
									obj_t BgL_arg1612z00_1776;

									BgL_arg1612z00_1776 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_sfunz00_1757)))->BgL_bodyz00);
									BgL_callsz00_1770 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_arg1612z00_1776), BgL_varz00_21,
										BTRUE, BgL_trecz00_1769);
								}
								{	/* Inline/recursion.scm 229 */

									{	/* Inline/recursion.scm 230 */
										BgL_isfunz00_bglt BgL_wide1142z00_1773;

										BgL_wide1142z00_1773 =
											((BgL_isfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_isfunz00_bgl))));
										{	/* Inline/recursion.scm 230 */
											obj_t BgL_auxz00_3782;
											BgL_objectz00_bglt BgL_tmpz00_3778;

											BgL_auxz00_3782 = ((obj_t) BgL_wide1142z00_1773);
											BgL_tmpz00_3778 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_sfunz00_1757)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3778, BgL_auxz00_3782);
										}
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1757)));
										{	/* Inline/recursion.scm 230 */
											long BgL_arg1606z00_1774;

											BgL_arg1606z00_1774 =
												BGL_CLASS_NUM(BGl_isfunz00zzinline_inlinez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1757))),
												BgL_arg1606z00_1774);
										}
										((BgL_sfunz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1757)));
									}
									{
										BgL_isfunz00_bglt BgL_auxz00_3796;

										{
											obj_t BgL_auxz00_3797;

											{	/* Inline/recursion.scm 232 */
												BgL_objectz00_bglt BgL_tmpz00_3798;

												BgL_tmpz00_3798 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1757)));
												BgL_auxz00_3797 = BGL_OBJECT_WIDENING(BgL_tmpz00_3798);
											}
											BgL_auxz00_3796 = ((BgL_isfunz00_bglt) BgL_auxz00_3797);
										}
										((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3796))->
												BgL_originalzd2bodyzd2) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt) ((
															(BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
																	BgL_sfunz00_1757)))->BgL_bodyz00))), BUNSPEC);
									}
									{
										BgL_isfunz00_bglt BgL_auxz00_3808;

										{
											obj_t BgL_auxz00_3809;

											{	/* Inline/recursion.scm 233 */
												BgL_objectz00_bglt BgL_tmpz00_3810;

												BgL_tmpz00_3810 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1757)));
												BgL_auxz00_3809 = BGL_OBJECT_WIDENING(BgL_tmpz00_3810);
											}
											BgL_auxz00_3808 = ((BgL_isfunz00_bglt) BgL_auxz00_3809);
										}
										((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3808))->
												BgL_recursivezd2callszd2) =
											((obj_t) BgL_callsz00_1770), BUNSPEC);
									}
									{
										BgL_isfunz00_bglt BgL_auxz00_3817;

										{
											obj_t BgL_auxz00_3818;

											{	/* Inline/recursion.scm 231 */
												BgL_objectz00_bglt BgL_tmpz00_3819;

												BgL_tmpz00_3819 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1757)));
												BgL_auxz00_3818 = BGL_OBJECT_WIDENING(BgL_tmpz00_3819);
											}
											BgL_auxz00_3817 = ((BgL_isfunz00_bglt) BgL_auxz00_3818);
										}
										((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3817))->
												BgL_tailrecz00) =
											((bool_t) CBOOL(CELL_REF(BgL_trecz00_1769))), BUNSPEC);
									}
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1757));
									return PAIRP(BgL_callsz00_1770);
								}
							}
						}
				}
			}
		}

	}



/* &is-recursive? */
	obj_t BGl_z62iszd2recursivezf3z43zzinline_recursionz00(obj_t BgL_envz00_2847,
		obj_t BgL_varz00_2848)
	{
		{	/* Inline/recursion.scm 224 */
			return
				BBOOL(BGl_iszd2recursivezf3z21zzinline_recursionz00(
					((BgL_variablez00_bglt) BgL_varz00_2848)));
		}

	}



/* find-recursive-calls* */
	obj_t BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(obj_t
		BgL_nodeza2za2_98, obj_t BgL_varz00_99, obj_t BgL_tailz00_100,
		obj_t BgL_tresz00_101)
	{
		{	/* Inline/recursion.scm 411 */
			{
				obj_t BgL_nodeza2za2_1779;
				obj_t BgL_callsz00_1780;

				BgL_nodeza2za2_1779 = BgL_nodeza2za2_98;
				BgL_callsz00_1780 = BNIL;
			BgL_zc3z04anonymousza31613ze3z87_1781:
				if (NULLP(BgL_nodeza2za2_1779))
					{	/* Inline/recursion.scm 415 */
						return BgL_callsz00_1780;
					}
				else
					{	/* Inline/recursion.scm 415 */
						if (NULLP(CDR(((obj_t) BgL_nodeza2za2_1779))))
							{	/* Inline/recursion.scm 418 */
								obj_t BgL_arg1632z00_1785;

								{	/* Inline/recursion.scm 418 */
									obj_t BgL_arg1633z00_1786;

									BgL_arg1633z00_1786 = CAR(((obj_t) BgL_nodeza2za2_1779));
									BgL_arg1632z00_1785 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_arg1633z00_1786),
										((BgL_variablez00_bglt) BgL_varz00_99), BgL_tailz00_100,
										BgL_tresz00_101);
								}
								return
									BGl_appendzd221011zd2zzinline_recursionz00
									(BgL_arg1632z00_1785, BgL_callsz00_1780);
							}
						else
							{	/* Inline/recursion.scm 420 */
								obj_t BgL_arg1636z00_1787;
								obj_t BgL_arg1647z00_1788;

								BgL_arg1636z00_1787 = CDR(((obj_t) BgL_nodeza2za2_1779));
								{	/* Inline/recursion.scm 421 */
									obj_t BgL_arg1652z00_1789;

									{	/* Inline/recursion.scm 421 */
										obj_t BgL_arg1656z00_1790;

										BgL_arg1656z00_1790 = CAR(((obj_t) BgL_nodeza2za2_1779));
										BgL_arg1652z00_1789 =
											BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
											((BgL_nodez00_bglt) BgL_arg1656z00_1790),
											((BgL_variablez00_bglt) BgL_varz00_99), BFALSE,
											BgL_tresz00_101);
									}
									BgL_arg1647z00_1788 =
										BGl_appendzd221011zd2zzinline_recursionz00
										(BgL_arg1652z00_1789, BgL_callsz00_1780);
								}
								{
									obj_t BgL_callsz00_3855;
									obj_t BgL_nodeza2za2_3854;

									BgL_nodeza2za2_3854 = BgL_arg1636z00_1787;
									BgL_callsz00_3855 = BgL_arg1647z00_1788;
									BgL_callsz00_1780 = BgL_callsz00_3855;
									BgL_nodeza2za2_1779 = BgL_nodeza2za2_3854;
									goto BgL_zc3z04anonymousza31613ze3z87_1781;
								}
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_recursionz00()
	{
		{	/* Inline/recursion.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_recursionz00()
	{
		{	/* Inline/recursion.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_proc1972z00zzinline_recursionz00, BGl_nodez00zzast_nodez00,
				BGl_string1973z00zzinline_recursionz00);
		}

	}



/* &find-recursive-calls1299 */
	obj_t BGl_z62findzd2recursivezd2calls1299z62zzinline_recursionz00(obj_t
		BgL_envz00_2850, obj_t BgL_nodez00_2851, obj_t BgL_varz00_2852,
		obj_t BgL_tailz00_2853, obj_t BgL_tresz00_2854)
	{
		{	/* Inline/recursion.scm 251 */
			return BNIL;
		}

	}



/* find-recursive-calls */
	obj_t BGl_findzd2recursivezd2callsz00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_22, BgL_variablez00_bglt BgL_varz00_23, obj_t BgL_tailz00_24,
		obj_t BgL_tresz00_25)
	{
		{	/* Inline/recursion.scm 251 */
			{	/* Inline/recursion.scm 251 */
				obj_t BgL_method1300z00_1800;

				{	/* Inline/recursion.scm 251 */
					obj_t BgL_res1961z00_2616;

					{	/* Inline/recursion.scm 251 */
						long BgL_objzd2classzd2numz00_2587;

						BgL_objzd2classzd2numz00_2587 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_22));
						{	/* Inline/recursion.scm 251 */
							obj_t BgL_arg1829z00_2588;

							BgL_arg1829z00_2588 =
								PROCEDURE_REF
								(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
								(int) (((long) 1)));
							{	/* Inline/recursion.scm 251 */
								int BgL_offsetz00_2591;

								BgL_offsetz00_2591 = (int) (BgL_objzd2classzd2numz00_2587);
								{	/* Inline/recursion.scm 251 */
									long BgL_offsetz00_2592;

									BgL_offsetz00_2592 =
										((long) (BgL_offsetz00_2591) - OBJECT_TYPE);
									{	/* Inline/recursion.scm 251 */
										long BgL_modz00_2593;

										BgL_modz00_2593 =
											(BgL_offsetz00_2592 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Inline/recursion.scm 251 */
											long BgL_restz00_2595;

											BgL_restz00_2595 =
												(BgL_offsetz00_2592 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Inline/recursion.scm 251 */

												{	/* Inline/recursion.scm 251 */
													obj_t BgL_bucketz00_2597;

													BgL_bucketz00_2597 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2588), BgL_modz00_2593);
													BgL_res1961z00_2616 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2597), BgL_restz00_2595);
					}}}}}}}}
					BgL_method1300z00_1800 = BgL_res1961z00_2616;
				}
				return
					PROCEDURE_ENTRY(BgL_method1300z00_1800) (BgL_method1300z00_1800,
					((obj_t) BgL_nodez00_22),
					((obj_t) BgL_varz00_23), BgL_tailz00_24, BgL_tresz00_25, BEOA);
			}
		}

	}



/* &find-recursive-calls */
	obj_t BGl_z62findzd2recursivezd2callsz62zzinline_recursionz00(obj_t
		BgL_envz00_2855, obj_t BgL_nodez00_2856, obj_t BgL_varz00_2857,
		obj_t BgL_tailz00_2858, obj_t BgL_tresz00_2859)
	{
		{	/* Inline/recursion.scm 251 */
			return
				BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
				((BgL_nodez00_bglt) BgL_nodez00_2856),
				((BgL_variablez00_bglt) BgL_varz00_2857), BgL_tailz00_2858,
				BgL_tresz00_2859);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_recursionz00()
	{
		{	/* Inline/recursion.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1974z00zzinline_recursionz00,
				BGl_string1975z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_syncz00zzast_nodez00, BGl_proc1976z00zzinline_recursionz00,
				BGl_string1975z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_appz00zzast_nodez00, BGl_proc1977z00zzinline_recursionz00,
				BGl_string1975z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1978z00zzinline_recursionz00,
				BGl_string1975z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1979z00zzinline_recursionz00,
				BGl_string1975z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_externz00zzast_nodez00, BGl_proc1980z00zzinline_recursionz00,
				BGl_string1975z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_castz00zzast_nodez00, BGl_proc1981z00zzinline_recursionz00,
				BGl_string1975z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_setqz00zzast_nodez00, BGl_proc1982z00zzinline_recursionz00,
				BGl_string1975z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1983z00zzinline_recursionz00,
				BGl_string1975z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_failz00zzast_nodez00, BGl_proc1984z00zzinline_recursionz00,
				BGl_string1975z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_switchz00zzast_nodez00, BGl_proc1985z00zzinline_recursionz00,
				BGl_string1975z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1986z00zzinline_recursionz00,
				BGl_string1975z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1987z00zzinline_recursionz00,
				BGl_string1975z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1988z00zzinline_recursionz00,
				BGl_string1975z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1989z00zzinline_recursionz00,
				BGl_string1975z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1990z00zzinline_recursionz00,
				BGl_string1975z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1991z00zzinline_recursionz00,
				BGl_string1975z00zzinline_recursionz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1992z00zzinline_recursionz00,
				BGl_string1975z00zzinline_recursionz00);
		}

	}



/* &find-recursive-calls1336 */
	obj_t BGl_z62findzd2recursivezd2calls1336z62zzinline_recursionz00(obj_t
		BgL_envz00_2878, obj_t BgL_nodez00_2879, obj_t BgL_vz00_2880,
		obj_t BgL_tailz00_2881, obj_t BgL_tresz00_2882)
	{
		{	/* Inline/recursion.scm 403 */
			{	/* Inline/recursion.scm 405 */
				obj_t BgL_arg1863z00_2987;
				obj_t BgL_arg1865z00_2988;

				{	/* Inline/recursion.scm 405 */
					BgL_varz00_bglt BgL_arg1867z00_2989;

					BgL_arg1867z00_2989 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2879)))->BgL_varz00);
					BgL_arg1863z00_2987 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
						((BgL_nodez00_bglt) BgL_arg1867z00_2989),
						((BgL_variablez00_bglt) BgL_vz00_2880), BFALSE, BgL_tresz00_2882);
				}
				{	/* Inline/recursion.scm 406 */
					BgL_nodez00_bglt BgL_arg1869z00_2990;

					BgL_arg1869z00_2990 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2879)))->BgL_valuez00);
					BgL_arg1865z00_2988 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1869z00_2990, ((BgL_variablez00_bglt) BgL_vz00_2880),
						BFALSE, BgL_tresz00_2882);
				}
				return
					BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg1863z00_2987,
					BgL_arg1865z00_2988);
			}
		}

	}



/* &find-recursive-calls1334 */
	obj_t BGl_z62findzd2recursivezd2calls1334z62zzinline_recursionz00(obj_t
		BgL_envz00_2883, obj_t BgL_nodez00_2884, obj_t BgL_varz00_2885,
		obj_t BgL_tailz00_2886, obj_t BgL_tresz00_2887)
	{
		{	/* Inline/recursion.scm 397 */
			{	/* Inline/recursion.scm 398 */
				BgL_varz00_bglt BgL_arg1862z00_2992;

				BgL_arg1862z00_2992 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2884)))->BgL_varz00);
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
					((BgL_nodez00_bglt) BgL_arg1862z00_2992),
					((BgL_variablez00_bglt) BgL_varz00_2885), BFALSE, BgL_tresz00_2887);
			}
		}

	}



/* &find-recursive-calls1332 */
	obj_t BGl_z62findzd2recursivezd2calls1332z62zzinline_recursionz00(obj_t
		BgL_envz00_2888, obj_t BgL_nodez00_2889, obj_t BgL_varz00_2890,
		obj_t BgL_tailz00_2891, obj_t BgL_tresz00_2892)
	{
		{	/* Inline/recursion.scm 391 */
			{	/* Inline/recursion.scm 392 */
				BgL_nodez00_bglt BgL_arg1858z00_2994;

				BgL_arg1858z00_2994 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2889)))->BgL_valuez00);
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00
					(BgL_arg1858z00_2994, ((BgL_variablez00_bglt) BgL_varz00_2890),
					BFALSE, BgL_tresz00_2892);
			}
		}

	}



/* &find-recursive-calls1330 */
	obj_t BGl_z62findzd2recursivezd2calls1330z62zzinline_recursionz00(obj_t
		BgL_envz00_2893, obj_t BgL_nodez00_2894, obj_t BgL_vz00_2895,
		obj_t BgL_tailz00_2896, obj_t BgL_tresz00_2897)
	{
		{	/* Inline/recursion.scm 383 */
			{	/* Inline/recursion.scm 385 */
				obj_t BgL_arg1854z00_2996;
				obj_t BgL_arg1855z00_2997;

				{	/* Inline/recursion.scm 385 */
					BgL_nodez00_bglt BgL_arg1856z00_2998;

					BgL_arg1856z00_2998 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2894)))->BgL_exitz00);
					BgL_arg1854z00_2996 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1856z00_2998, ((BgL_variablez00_bglt) BgL_vz00_2895),
						BFALSE, BgL_tresz00_2897);
				}
				{	/* Inline/recursion.scm 386 */
					BgL_nodez00_bglt BgL_arg1857z00_2999;

					BgL_arg1857z00_2999 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2894)))->
						BgL_valuez00);
					BgL_arg1855z00_2997 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1857z00_2999, ((BgL_variablez00_bglt) BgL_vz00_2895),
						BFALSE, BgL_tresz00_2897);
				}
				return
					BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg1854z00_2996,
					BgL_arg1855z00_2997);
			}
		}

	}



/* &find-recursive-calls1328 */
	obj_t BGl_z62findzd2recursivezd2calls1328z62zzinline_recursionz00(obj_t
		BgL_envz00_2898, obj_t BgL_nodez00_2899, obj_t BgL_varz00_2900,
		obj_t BgL_tailz00_2901, obj_t BgL_tresz00_2902)
	{
		{	/* Inline/recursion.scm 376 */
			{	/* Inline/recursion.scm 377 */
				BgL_nodez00_bglt BgL_arg1849z00_3001;
				obj_t BgL_arg1850z00_3002;

				BgL_arg1849z00_3001 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2899)))->BgL_bodyz00);
				{	/* Inline/recursion.scm 378 */
					BgL_nodez00_bglt BgL_arg1852z00_3003;

					BgL_arg1852z00_3003 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2899)))->
						BgL_onexitz00);
					BgL_arg1850z00_3002 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1852z00_3003, ((BgL_variablez00_bglt) BgL_varz00_2900),
						BFALSE, BgL_tresz00_2902);
				}
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00
					(BgL_arg1849z00_3001, ((BgL_variablez00_bglt) BgL_varz00_2900),
					BFALSE, BgL_arg1850z00_3002);
			}
		}

	}



/* &find-recursive-calls1326 */
	obj_t BGl_z62findzd2recursivezd2calls1326z62zzinline_recursionz00(obj_t
		BgL_envz00_2903, obj_t BgL_nodez00_2904, obj_t BgL_varz00_2905,
		obj_t BgL_tailz00_2906, obj_t BgL_tresz00_2907)
	{
		{	/* Inline/recursion.scm 364 */
			{	/* Inline/recursion.scm 365 */
				obj_t BgL_g1156z00_3005;
				obj_t BgL_g1157z00_3006;

				BgL_g1156z00_3005 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2904)))->BgL_bindingsz00);
				{	/* Inline/recursion.scm 366 */
					BgL_nodez00_bglt BgL_arg1848z00_3007;

					BgL_arg1848z00_3007 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2904)))->BgL_bodyz00);
					BgL_g1157z00_3006 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1848z00_3007, ((BgL_variablez00_bglt) BgL_varz00_2905),
						BgL_tailz00_2906, BgL_tresz00_2907);
				}
				{
					obj_t BgL_bindingsz00_3009;
					obj_t BgL_callsz00_3010;

					BgL_bindingsz00_3009 = BgL_g1156z00_3005;
					BgL_callsz00_3010 = BgL_g1157z00_3006;
				BgL_loopz00_3008:
					if (NULLP(BgL_bindingsz00_3009))
						{	/* Inline/recursion.scm 367 */
							return BgL_callsz00_3010;
						}
					else
						{	/* Inline/recursion.scm 369 */
							obj_t BgL_arg1824z00_3011;
							obj_t BgL_arg1837z00_3012;

							BgL_arg1824z00_3011 = CDR(((obj_t) BgL_bindingsz00_3009));
							{	/* Inline/recursion.scm 371 */
								obj_t BgL_arg1838z00_3013;

								{	/* Inline/recursion.scm 371 */
									obj_t BgL_arg1839z00_3014;

									{	/* Inline/recursion.scm 371 */
										obj_t BgL_pairz00_3015;

										BgL_pairz00_3015 = CAR(((obj_t) BgL_bindingsz00_3009));
										BgL_arg1839z00_3014 = CDR(BgL_pairz00_3015);
									}
									BgL_arg1838z00_3013 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_arg1839z00_3014),
										((BgL_variablez00_bglt) BgL_varz00_2905), BFALSE,
										BgL_tresz00_2907);
								}
								BgL_arg1837z00_3012 =
									BGl_appendzd221011zd2zzinline_recursionz00(BgL_callsz00_3010,
									BgL_arg1838z00_3013);
							}
							{
								obj_t BgL_callsz00_3966;
								obj_t BgL_bindingsz00_3965;

								BgL_bindingsz00_3965 = BgL_arg1824z00_3011;
								BgL_callsz00_3966 = BgL_arg1837z00_3012;
								BgL_callsz00_3010 = BgL_callsz00_3966;
								BgL_bindingsz00_3009 = BgL_bindingsz00_3965;
								goto BgL_loopz00_3008;
							}
						}
				}
			}
		}

	}



/* &find-recursive-calls1324 */
	obj_t BGl_z62findzd2recursivezd2calls1324z62zzinline_recursionz00(obj_t
		BgL_envz00_2908, obj_t BgL_nodez00_2909, obj_t BgL_varz00_2910,
		obj_t BgL_tailz00_2911, obj_t BgL_tresz00_2912)
	{
		{	/* Inline/recursion.scm 350 */
			{	/* Inline/recursion.scm 351 */
				obj_t BgL_g1154z00_3017;
				obj_t BgL_g1155z00_3018;

				BgL_g1154z00_3017 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2909)))->BgL_localsz00);
				{	/* Inline/recursion.scm 352 */
					BgL_nodez00_bglt BgL_arg1818z00_3019;

					BgL_arg1818z00_3019 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2909)))->BgL_bodyz00);
					BgL_g1155z00_3018 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1818z00_3019, ((BgL_variablez00_bglt) BgL_varz00_2910),
						BgL_tailz00_2911, BgL_tresz00_2912);
				}
				{
					obj_t BgL_localsz00_3021;
					obj_t BgL_callsz00_3022;

					BgL_localsz00_3021 = BgL_g1154z00_3017;
					BgL_callsz00_3022 = BgL_g1155z00_3018;
				BgL_loopz00_3020:
					if (NULLP(BgL_localsz00_3021))
						{	/* Inline/recursion.scm 353 */
							return BgL_callsz00_3022;
						}
					else
						{	/* Inline/recursion.scm 355 */
							obj_t BgL_arg1805z00_3023;
							obj_t BgL_arg1807z00_3024;

							BgL_arg1805z00_3023 = CDR(((obj_t) BgL_localsz00_3021));
							{	/* Inline/recursion.scm 358 */
								obj_t BgL_arg1808z00_3025;

								{	/* Inline/recursion.scm 358 */
									obj_t BgL_arg1810z00_3026;

									BgL_arg1810z00_3026 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt)
																		CAR(
																			((obj_t) BgL_localsz00_3021))))))->
														BgL_valuez00))))->BgL_bodyz00);
									BgL_arg1808z00_3025 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00((
											(BgL_nodez00_bglt) BgL_arg1810z00_3026),
										((BgL_variablez00_bglt) BgL_varz00_2910), BTRUE,
										BgL_tresz00_2912);
								}
								BgL_arg1807z00_3024 =
									BGl_appendzd221011zd2zzinline_recursionz00(BgL_callsz00_3022,
									BgL_arg1808z00_3025);
							}
							{
								obj_t BgL_callsz00_3989;
								obj_t BgL_localsz00_3988;

								BgL_localsz00_3988 = BgL_arg1805z00_3023;
								BgL_callsz00_3989 = BgL_arg1807z00_3024;
								BgL_callsz00_3022 = BgL_callsz00_3989;
								BgL_localsz00_3021 = BgL_localsz00_3988;
								goto BgL_loopz00_3020;
							}
						}
				}
			}
		}

	}



/* &find-recursive-calls1322 */
	obj_t BGl_z62findzd2recursivezd2calls1322z62zzinline_recursionz00(obj_t
		BgL_envz00_2913, obj_t BgL_nodez00_2914, obj_t BgL_varz00_2915,
		obj_t BgL_tailz00_2916, obj_t BgL_tresz00_2917)
	{
		{	/* Inline/recursion.scm 338 */
			{	/* Inline/recursion.scm 339 */
				obj_t BgL_g1149z00_3028;
				obj_t BgL_g1150z00_3029;

				BgL_g1149z00_3028 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2914)))->BgL_clausesz00);
				{	/* Inline/recursion.scm 340 */
					BgL_nodez00_bglt BgL_arg1799z00_3030;

					BgL_arg1799z00_3030 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2914)))->BgL_testz00);
					BgL_g1150z00_3029 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1799z00_3030, ((BgL_variablez00_bglt) BgL_varz00_2915),
						BFALSE, BgL_tresz00_2917);
				}
				{
					obj_t BgL_clausesz00_3032;
					obj_t BgL_callsz00_3033;

					BgL_clausesz00_3032 = BgL_g1149z00_3028;
					BgL_callsz00_3033 = BgL_g1150z00_3029;
				BgL_loopz00_3031:
					if (NULLP(BgL_clausesz00_3032))
						{	/* Inline/recursion.scm 341 */
							return BgL_callsz00_3033;
						}
					else
						{	/* Inline/recursion.scm 343 */
							obj_t BgL_arg1777z00_3034;
							obj_t BgL_arg1781z00_3035;

							BgL_arg1777z00_3034 = CDR(((obj_t) BgL_clausesz00_3032));
							{	/* Inline/recursion.scm 344 */
								obj_t BgL_arg1785z00_3036;

								{	/* Inline/recursion.scm 344 */
									obj_t BgL_arg1788z00_3037;

									{	/* Inline/recursion.scm 344 */
										obj_t BgL_pairz00_3038;

										BgL_pairz00_3038 = CAR(((obj_t) BgL_clausesz00_3032));
										BgL_arg1788z00_3037 = CDR(BgL_pairz00_3038);
									}
									BgL_arg1785z00_3036 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_arg1788z00_3037),
										((BgL_variablez00_bglt) BgL_varz00_2915), BgL_tailz00_2916,
										BgL_tresz00_2917);
								}
								BgL_arg1781z00_3035 =
									BGl_appendzd221011zd2zzinline_recursionz00
									(BgL_arg1785z00_3036, BgL_callsz00_3033);
							}
							{
								obj_t BgL_callsz00_4008;
								obj_t BgL_clausesz00_4007;

								BgL_clausesz00_4007 = BgL_arg1777z00_3034;
								BgL_callsz00_4008 = BgL_arg1781z00_3035;
								BgL_callsz00_3033 = BgL_callsz00_4008;
								BgL_clausesz00_3032 = BgL_clausesz00_4007;
								goto BgL_loopz00_3031;
							}
						}
				}
			}
		}

	}



/* &find-recursive-calls1320 */
	obj_t BGl_z62findzd2recursivezd2calls1320z62zzinline_recursionz00(obj_t
		BgL_envz00_2918, obj_t BgL_nodez00_2919, obj_t BgL_varz00_2920,
		obj_t BgL_tailz00_2921, obj_t BgL_tresz00_2922)
	{
		{	/* Inline/recursion.scm 329 */
			{	/* Inline/recursion.scm 331 */
				obj_t BgL_arg1752z00_3040;
				obj_t BgL_arg1753z00_3041;
				obj_t BgL_arg1759z00_3042;

				{	/* Inline/recursion.scm 331 */
					BgL_nodez00_bglt BgL_arg1763z00_3043;

					BgL_arg1763z00_3043 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2919)))->BgL_procz00);
					BgL_arg1752z00_3040 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1763z00_3043, ((BgL_variablez00_bglt) BgL_varz00_2920),
						BFALSE, BgL_tresz00_2922);
				}
				{	/* Inline/recursion.scm 332 */
					BgL_nodez00_bglt BgL_arg1766z00_3044;

					BgL_arg1766z00_3044 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2919)))->BgL_msgz00);
					BgL_arg1753z00_3041 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1766z00_3044, ((BgL_variablez00_bglt) BgL_varz00_2920),
						BFALSE, BgL_tresz00_2922);
				}
				{	/* Inline/recursion.scm 333 */
					BgL_nodez00_bglt BgL_arg1770z00_3045;

					BgL_arg1770z00_3045 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2919)))->BgL_objz00);
					BgL_arg1759z00_3042 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1770z00_3045, ((BgL_variablez00_bglt) BgL_varz00_2920),
						BFALSE, BgL_tresz00_2922);
				}
				{	/* Inline/recursion.scm 331 */
					obj_t BgL_list1760z00_3046;

					{	/* Inline/recursion.scm 331 */
						obj_t BgL_arg1761z00_3047;

						{	/* Inline/recursion.scm 331 */
							obj_t BgL_arg1762z00_3048;

							BgL_arg1762z00_3048 = MAKE_YOUNG_PAIR(BgL_arg1759z00_3042, BNIL);
							BgL_arg1761z00_3047 =
								MAKE_YOUNG_PAIR(BgL_arg1753z00_3041, BgL_arg1762z00_3048);
						}
						BgL_list1760z00_3046 =
							MAKE_YOUNG_PAIR(BgL_arg1752z00_3040, BgL_arg1761z00_3047);
					}
					return
						BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list1760z00_3046);
				}
			}
		}

	}



/* &find-recursive-calls1318 */
	obj_t BGl_z62findzd2recursivezd2calls1318z62zzinline_recursionz00(obj_t
		BgL_envz00_2923, obj_t BgL_nodez00_2924, obj_t BgL_varz00_2925,
		obj_t BgL_tailz00_2926, obj_t BgL_tresz00_2927)
	{
		{	/* Inline/recursion.scm 320 */
			{	/* Inline/recursion.scm 322 */
				obj_t BgL_arg1742z00_3050;
				obj_t BgL_arg1743z00_3051;
				obj_t BgL_arg1745z00_3052;

				{	/* Inline/recursion.scm 322 */
					BgL_nodez00_bglt BgL_arg1749z00_3053;

					BgL_arg1749z00_3053 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2924)))->BgL_testz00);
					BgL_arg1742z00_3050 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1749z00_3053, ((BgL_variablez00_bglt) BgL_varz00_2925),
						BFALSE, BgL_tresz00_2927);
				}
				{	/* Inline/recursion.scm 323 */
					BgL_nodez00_bglt BgL_arg1750z00_3054;

					BgL_arg1750z00_3054 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2924)))->BgL_truez00);
					BgL_arg1743z00_3051 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1750z00_3054, ((BgL_variablez00_bglt) BgL_varz00_2925),
						BgL_tailz00_2926, BgL_tresz00_2927);
				}
				{	/* Inline/recursion.scm 324 */
					BgL_nodez00_bglt BgL_arg1751z00_3055;

					BgL_arg1751z00_3055 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2924)))->BgL_falsez00);
					BgL_arg1745z00_3052 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1751z00_3055, ((BgL_variablez00_bglt) BgL_varz00_2925),
						BgL_tailz00_2926, BgL_tresz00_2927);
				}
				{	/* Inline/recursion.scm 322 */
					obj_t BgL_list1746z00_3056;

					{	/* Inline/recursion.scm 322 */
						obj_t BgL_arg1747z00_3057;

						{	/* Inline/recursion.scm 322 */
							obj_t BgL_arg1748z00_3058;

							BgL_arg1748z00_3058 = MAKE_YOUNG_PAIR(BgL_arg1745z00_3052, BNIL);
							BgL_arg1747z00_3057 =
								MAKE_YOUNG_PAIR(BgL_arg1743z00_3051, BgL_arg1748z00_3058);
						}
						BgL_list1746z00_3056 =
							MAKE_YOUNG_PAIR(BgL_arg1742z00_3050, BgL_arg1747z00_3057);
					}
					return
						BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list1746z00_3056);
				}
			}
		}

	}



/* &find-recursive-calls1316 */
	obj_t BGl_z62findzd2recursivezd2calls1316z62zzinline_recursionz00(obj_t
		BgL_envz00_2928, obj_t BgL_nodez00_2929, obj_t BgL_varz00_2930,
		obj_t BgL_tailz00_2931, obj_t BgL_tresz00_2932)
	{
		{	/* Inline/recursion.scm 314 */
			{	/* Inline/recursion.scm 315 */
				BgL_nodez00_bglt BgL_arg1739z00_3060;

				BgL_arg1739z00_3060 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2929)))->BgL_valuez00);
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00
					(BgL_arg1739z00_3060, ((BgL_variablez00_bglt) BgL_varz00_2930),
					BFALSE, BgL_tresz00_2932);
			}
		}

	}



/* &find-recursive-calls1314 */
	obj_t BGl_z62findzd2recursivezd2calls1314z62zzinline_recursionz00(obj_t
		BgL_envz00_2933, obj_t BgL_nodez00_2934, obj_t BgL_varz00_2935,
		obj_t BgL_tailz00_2936, obj_t BgL_tresz00_2937)
	{
		{	/* Inline/recursion.scm 308 */
			{	/* Inline/recursion.scm 309 */
				BgL_nodez00_bglt BgL_arg1738z00_3062;

				BgL_arg1738z00_3062 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2934)))->BgL_argz00);
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00
					(BgL_arg1738z00_3062, ((BgL_variablez00_bglt) BgL_varz00_2935),
					BFALSE, BgL_tresz00_2937);
			}
		}

	}



/* &find-recursive-calls1312 */
	obj_t BGl_z62findzd2recursivezd2calls1312z62zzinline_recursionz00(obj_t
		BgL_envz00_2938, obj_t BgL_nodez00_2939, obj_t BgL_varz00_2940,
		obj_t BgL_tailz00_2941, obj_t BgL_tresz00_2942)
	{
		{	/* Inline/recursion.scm 302 */
			return
				BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2939)))->BgL_exprza2za2),
				BgL_varz00_2940, BFALSE, BgL_tresz00_2942);
		}

	}



/* &find-recursive-calls1310 */
	obj_t BGl_z62findzd2recursivezd2calls1310z62zzinline_recursionz00(obj_t
		BgL_envz00_2943, obj_t BgL_nodez00_2944, obj_t BgL_varz00_2945,
		obj_t BgL_tailz00_2946, obj_t BgL_tresz00_2947)
	{
		{	/* Inline/recursion.scm 294 */
			{	/* Inline/recursion.scm 296 */
				obj_t BgL_arg1725z00_3065;
				obj_t BgL_arg1726z00_3066;

				{	/* Inline/recursion.scm 296 */
					BgL_nodez00_bglt BgL_arg1728z00_3067;

					BgL_arg1728z00_3067 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2944)))->BgL_funz00);
					BgL_arg1725z00_3065 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1728z00_3067, ((BgL_variablez00_bglt) BgL_varz00_2945),
						BFALSE, BgL_tresz00_2947);
				}
				BgL_arg1726z00_3066 =
					BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2944)))->BgL_argsz00),
					BgL_varz00_2945, BFALSE, BgL_tresz00_2947);
				return BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg1725z00_3065,
					BgL_arg1726z00_3066);
			}
		}

	}



/* &find-recursive-calls1308 */
	obj_t BGl_z62findzd2recursivezd2calls1308z62zzinline_recursionz00(obj_t
		BgL_envz00_2948, obj_t BgL_nodez00_2949, obj_t BgL_varz00_2950,
		obj_t BgL_tailz00_2951, obj_t BgL_tresz00_2952)
	{
		{	/* Inline/recursion.scm 286 */
			{	/* Inline/recursion.scm 288 */
				obj_t BgL_arg1715z00_3069;
				obj_t BgL_arg1716z00_3070;

				{	/* Inline/recursion.scm 288 */
					BgL_nodez00_bglt BgL_arg1721z00_3071;

					BgL_arg1721z00_3071 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2949)))->BgL_funz00);
					BgL_arg1715z00_3069 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1721z00_3071, ((BgL_variablez00_bglt) BgL_varz00_2950),
						BFALSE, BgL_tresz00_2952);
				}
				{	/* Inline/recursion.scm 289 */
					BgL_nodez00_bglt BgL_arg1723z00_3072;

					BgL_arg1723z00_3072 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2949)))->BgL_argz00);
					BgL_arg1716z00_3070 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1723z00_3072, ((BgL_variablez00_bglt) BgL_varz00_2950),
						BFALSE, BgL_tresz00_2952);
				}
				return
					BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg1715z00_3069,
					BgL_arg1716z00_3070);
			}
		}

	}



/* &find-recursive-calls1306 */
	obj_t BGl_z62findzd2recursivezd2calls1306z62zzinline_recursionz00(obj_t
		BgL_envz00_2953, obj_t BgL_nodez00_2954, obj_t BgL_varz00_2955,
		obj_t BgL_tailz00_2956, obj_t BgL_tresz00_2957)
	{
		{	/* Inline/recursion.scm 274 */
			{	/* Inline/recursion.scm 276 */
				obj_t BgL_argszd2callszd2_3074;

				BgL_argszd2callszd2_3074 =
					BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2954)))->BgL_argsz00),
					BgL_varz00_2955, BgL_tailz00_2956, BgL_tresz00_2957);
				{	/* Inline/recursion.scm 277 */
					bool_t BgL_test2081z00_4072;

					{	/* Inline/recursion.scm 277 */
						bool_t BgL_test2082z00_4073;

						{	/* Inline/recursion.scm 277 */
							BgL_varz00_bglt BgL_arg1713z00_3075;

							BgL_arg1713z00_3075 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2954)))->BgL_funz00);
							{	/* Inline/recursion.scm 277 */
								obj_t BgL_classz00_3076;

								BgL_classz00_3076 = BGl_varz00zzast_nodez00;
								{	/* Inline/recursion.scm 277 */
									BgL_objectz00_bglt BgL_arg1825z00_3077;

									{	/* Inline/recursion.scm 277 */
										obj_t BgL_tmpz00_4076;

										BgL_tmpz00_4076 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1713z00_3075));
										BgL_arg1825z00_3077 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4076);
									}
									{	/* Inline/recursion.scm 277 */
										bool_t BgL_arg1822z00_3078;
										bool_t BgL_arg1823z00_3079;

										{	/* Inline/recursion.scm 277 */
											long BgL_idxz00_3080;

											BgL_idxz00_3080 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3077);
											BgL_arg1822z00_3078 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3080 + ((long) 2))) == BgL_classz00_3076);
										}
										{	/* Inline/recursion.scm 277 */
											bool_t BgL_res1962z00_3083;

											{	/* Inline/recursion.scm 277 */
												obj_t BgL_oclassz00_3084;

												{	/* Inline/recursion.scm 277 */
													long BgL_arg1833z00_3085;

													{	/* Inline/recursion.scm 277 */
														long BgL_arg1834z00_3086;

														BgL_arg1834z00_3086 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3077);
														BgL_arg1833z00_3085 =
															(BgL_arg1834z00_3086 - OBJECT_TYPE);
													}
													BgL_oclassz00_3084 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_3085);
												}
												{	/* Inline/recursion.scm 277 */
													bool_t BgL__ortest_1110z00_3087;

													BgL__ortest_1110z00_3087 =
														(BgL_classz00_3076 == BgL_oclassz00_3084);
													if (BgL__ortest_1110z00_3087)
														{	/* Inline/recursion.scm 277 */
															BgL_res1962z00_3083 = BgL__ortest_1110z00_3087;
														}
													else
														{	/* Inline/recursion.scm 277 */
															long BgL_odepthz00_3088;

															BgL_odepthz00_3088 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3084);
															if ((((long) 2) < BgL_odepthz00_3088))
																{	/* Inline/recursion.scm 277 */
																	obj_t BgL_arg1821z00_3089;

																	BgL_arg1821z00_3089 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3084,
																		((long) 2));
																	BgL_res1962z00_3083 =
																		(BgL_arg1821z00_3089 == BgL_classz00_3076);
																}
															else
																{	/* Inline/recursion.scm 277 */
																	BgL_res1962z00_3083 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_3079 = BgL_res1962z00_3083;
										}
										BgL_test2082z00_4073 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_3078,
											BgL_arg1823z00_3079);
									}
								}
							}
						}
						if (BgL_test2082z00_4073)
							{	/* Inline/recursion.scm 277 */
								BgL_test2081z00_4072 =
									(
									((obj_t)
										(((BgL_varz00_bglt) COBJECT(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2954)))->
														BgL_funz00)))->BgL_variablez00)) ==
									BgL_varz00_2955);
							}
						else
							{	/* Inline/recursion.scm 277 */
								BgL_test2081z00_4072 = ((bool_t) 0);
							}
					}
					if (BgL_test2081z00_4072)
						{	/* Inline/recursion.scm 277 */
							if (CBOOL(BgL_tailz00_2956))
								{	/* Inline/recursion.scm 279 */
									BFALSE;
								}
							else
								{	/* Inline/recursion.scm 279 */
									CELL_SET(((obj_t) BgL_tresz00_2957), BFALSE);
								}
							return
								MAKE_YOUNG_PAIR(
								((obj_t)
									((BgL_appz00_bglt) BgL_nodez00_2954)),
								BgL_argszd2callszd2_3074);
						}
					else
						{	/* Inline/recursion.scm 277 */
							return BgL_argszd2callszd2_3074;
						}
				}
			}
		}

	}



/* &find-recursive-calls1304 */
	obj_t BGl_z62findzd2recursivezd2calls1304z62zzinline_recursionz00(obj_t
		BgL_envz00_2958, obj_t BgL_nodez00_2959, obj_t BgL_varz00_2960,
		obj_t BgL_tailz00_2961, obj_t BgL_tresz00_2962)
	{
		{	/* Inline/recursion.scm 263 */
			{	/* Inline/recursion.scm 264 */
				obj_t BgL_arg1667z00_3091;
				obj_t BgL_arg1668z00_3092;
				obj_t BgL_arg1675z00_3093;

				{	/* Inline/recursion.scm 264 */
					BgL_nodez00_bglt BgL_arg1681z00_3094;

					BgL_arg1681z00_3094 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2959)))->BgL_mutexz00);
					BgL_arg1667z00_3091 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1681z00_3094, ((BgL_variablez00_bglt) BgL_varz00_2960),
						BFALSE, BgL_tresz00_2962);
				}
				{	/* Inline/recursion.scm 265 */
					BgL_nodez00_bglt BgL_arg1682z00_3095;

					BgL_arg1682z00_3095 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2959)))->BgL_prelockz00);
					BgL_arg1668z00_3092 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1682z00_3095, ((BgL_variablez00_bglt) BgL_varz00_2960),
						BFALSE, BgL_tresz00_2962);
				}
				{	/* Inline/recursion.scm 266 */
					BgL_nodez00_bglt BgL_arg1694z00_3096;

					BgL_arg1694z00_3096 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2959)))->BgL_bodyz00);
					BgL_arg1675z00_3093 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1694z00_3096, ((BgL_variablez00_bglt) BgL_varz00_2960),
						BFALSE, BgL_tresz00_2962);
				}
				{	/* Inline/recursion.scm 264 */
					obj_t BgL_list1676z00_3097;

					{	/* Inline/recursion.scm 264 */
						obj_t BgL_arg1678z00_3098;

						{	/* Inline/recursion.scm 264 */
							obj_t BgL_arg1679z00_3099;

							BgL_arg1679z00_3099 = MAKE_YOUNG_PAIR(BgL_arg1675z00_3093, BNIL);
							BgL_arg1678z00_3098 =
								MAKE_YOUNG_PAIR(BgL_arg1668z00_3092, BgL_arg1679z00_3099);
						}
						BgL_list1676z00_3097 =
							MAKE_YOUNG_PAIR(BgL_arg1667z00_3091, BgL_arg1678z00_3098);
					}
					return
						BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list1676z00_3097);
				}
			}
		}

	}



/* &find-recursive-calls1302 */
	obj_t BGl_z62findzd2recursivezd2calls1302z62zzinline_recursionz00(obj_t
		BgL_envz00_2963, obj_t BgL_nodez00_2964, obj_t BgL_varz00_2965,
		obj_t BgL_tailz00_2966, obj_t BgL_tresz00_2967)
	{
		{	/* Inline/recursion.scm 257 */
			return
				BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2964)))->BgL_nodesz00),
				BgL_varz00_2965, BgL_tailz00_2966, BgL_tresz00_2967);
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_recursionz00()
	{
		{	/* Inline/recursion.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1993z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string1993z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1993z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1993z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1993z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1993z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 53595773),
				BSTRING_TO_STRING(BGl_string1993z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1993z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1993z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1993z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1993z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1993z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string1993z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_simplez00(((long) 221468907),
				BSTRING_TO_STRING(BGl_string1993z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_variantz00(((long) 347990278),
				BSTRING_TO_STRING(BGl_string1993z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_loopz00(((long) 342478691),
				BSTRING_TO_STRING(BGl_string1993z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_appz00(((long) 148760855),
				BSTRING_TO_STRING(BGl_string1993z00zzinline_recursionz00));
			return
				BGl_modulezd2initializa7ationz75zzreduce_csez00(((long) 347839157),
				BSTRING_TO_STRING(BGl_string1993z00zzinline_recursionz00));
		}

	}

#ifdef __cplusplus
}
#endif
