/*===========================================================================*/
/*   (Inline/size.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/size.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_siza7edzd2sequencez75_bgl
	{
		long BgL_siza7eza7;
	}                            *BgL_siza7edzd2sequencez75_bglt;

	typedef struct BgL_siza7edzd2syncz75_bgl
	{
		long BgL_siza7eza7;
	}                        *BgL_siza7edzd2syncz75_bglt;

	typedef struct BgL_siza7edzd2switchz75_bgl
	{
		long BgL_siza7eza7;
	}                          *BgL_siza7edzd2switchz75_bglt;

	typedef struct BgL_siza7edzd2letzd2funza7_bgl
	{
		long BgL_siza7eza7;
	}                             *BgL_siza7edzd2letzd2funza7_bglt;

	typedef struct BgL_siza7edzd2letzd2varza7_bgl
	{
		long BgL_siza7eza7;
	}                             *BgL_siza7edzd2letzd2varza7_bglt;


	static obj_t BGl_z62zc3z04anonymousza31676ze3ze5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1771z62zzinline_siza7eza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1772z62zzinline_siza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1696z62zzinline_siza7eza7(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62lambda1697z62zzinline_siza7eza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_returnz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_siza7eza7 = BUNSPEC;
	static obj_t BGl_siza7edzd2syncz75zzinline_siza7eza7 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t
		BGl_z62nodezd2siza7ezd2siza7edzd2sequ1396zb0zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62nodezd2siza7ezd2conditiona1417zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2sequence1394zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzinline_siza7eza7();
	static obj_t BGl_z62nodezd2siza7ezd2cast1410zc5zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_getenvz00zz__osz00(obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2funcall1408zc5zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinline_siza7eza7();
	static obj_t BGl_z62nodezd2siza7ezd2app1402zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2setq1415zc5zzinline_siza7eza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_siza7eza7();
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2retblock1438zc5zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62nodezd2siza7ezd2fail1419zc5zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62nodezd2siza7ezd2letzd2var1430z17zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2var1390zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_siza7edzd2letzd2varza7zzinline_siza7eza7 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2boxzd2ref1445z17zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_siza7eza7();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd2siza7e1382z17zzinline_siza7eza7(obj_t, obj_t);
	BGL_IMPORT obj_t make_string(long, unsigned char);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62nodezd2siza7ezd2sync1398zc5zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62nodezd2siza7ezd2jumpzd2exzd2it1436zc5zzinline_siza7eza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static long BGl_mz00zzinline_siza7eza7;
	static obj_t BGl_z62nodezd2siza7ez17zzinline_siza7eza7(obj_t, obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2appzd2ly1404z17zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_siza7edzd2switchz75zzinline_siza7eza7 = BUNSPEC;
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31607ze3ze5zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_siza7edzd2sequencez75zzinline_siza7eza7 = BUNSPEC;
	BGL_EXPORTED_DECL long
		BGl_nodezd2siza7ez75zzinline_siza7eza7(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31722ze3ze5zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinline_siza7eza7();
	static obj_t BGl_z62nodezd2siza7ezd2kwote1392zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_siza7eza7();
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_siza7eza7();
	static obj_t BGl_gczd2rootszd2initz00zzinline_siza7eza7();
	static obj_t
		BGl_z62nodezd2siza7ezd2boxzd2setz121447z05zzinline_siza7eza7(obj_t, obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2extern1413zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2makezd2box1442z17zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2return1440zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_syncz00_bglt BGl_z62lambda1602z62zzinline_siza7eza7(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_syncz00_bglt BGl_z62lambda1605z62zzinline_siza7eza7(obj_t, obj_t);
	static BgL_syncz00_bglt BGl_z62lambda1608z62zzinline_siza7eza7(obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62nodezd2siza7ezd2switch1421zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62nodezd2siza7ezd2siza7edzd2letzd21427z62zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31564ze3ze5zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t
		BGl_z62nodezd2siza7ezd2siza7edzd2letzd21432z62zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1633z62zzinline_siza7eza7(obj_t, obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda1714z62zzinline_siza7eza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda1553z62zzinline_siza7eza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1634z62zzinline_siza7eza7(obj_t, obj_t, obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda1717z62zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda1556z62zzinline_siza7eza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2letzd2fun1425z17zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62nodezd2siza7ezd2setzd2exzd2it1434zc5zzinline_siza7eza7(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_letzd2funzd2_bglt BGl_z62lambda1723z62zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda1565z62zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62nodezd2siza7ezd2siza7edzd2sync1400zb0zzinline_siza7eza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62lambda1739z62zzinline_siza7eza7(obj_t, obj_t);
	static obj_t BGl_siza7edzd2letzd2funza7zzinline_siza7eza7 = BUNSPEC;
	static obj_t BGl_z62lambda1740z62zzinline_siza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31754ze3ze5zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_switchz00_bglt BGl_z62lambda1661z62zzinline_siza7eza7(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1583z62zzinline_siza7eza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1584z62zzinline_siza7eza7(obj_t, obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda1668z62zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda1749z62zzinline_siza7eza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2siza7ezd2siza7edzd2swit1423zb0zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62nodezd2siza7ezd2atom1388zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda1752z62zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda1755z62zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_switchz00_bglt BGl_z62lambda1677z62zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t __cnst[9];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2036z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1584za7622108z00, BGl_z62lambda1584z62zzinline_siza7eza7,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2037z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1583za7622109z00, BGl_z62lambda1583z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2038z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1565za7622110z00, BGl_z62lambda1565z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2039z00zzinline_siza7eza7,
		BgL_bgl_za762za7c3za704anonymo2111za7,
		BGl_z62zc3z04anonymousza31564ze3ze5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2040z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1556za7622112z00, BGl_z62lambda1556z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2041z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1553za7622113z00, BGl_z62lambda1553z62zzinline_siza7eza7,
		0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2042z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1634za7622114z00, BGl_z62lambda1634z62zzinline_siza7eza7,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2043z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1633za7622115z00, BGl_z62lambda1633z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2044z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1608za7622116z00, BGl_z62lambda1608z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2045z00zzinline_siza7eza7,
		BgL_bgl_za762za7c3za704anonymo2117za7,
		BGl_z62zc3z04anonymousza31607ze3ze5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2046z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1605za7622118z00, BGl_z62lambda1605z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2047z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1602za7622119z00, BGl_z62lambda1602z62zzinline_siza7eza7,
		0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2048z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1697za7622120z00, BGl_z62lambda1697z62zzinline_siza7eza7,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2049z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1696za7622121z00, BGl_z62lambda1696z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2050z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1677za7622122z00, BGl_z62lambda1677z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2051z00zzinline_siza7eza7,
		BgL_bgl_za762za7c3za704anonymo2123za7,
		BGl_z62zc3z04anonymousza31676ze3ze5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2052z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1668za7622124z00, BGl_z62lambda1668z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2053z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1661za7622125z00, BGl_z62lambda1661z62zzinline_siza7eza7,
		0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2054z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1740za7622126z00, BGl_z62lambda1740z62zzinline_siza7eza7,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2055z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1739za7622127z00, BGl_z62lambda1739z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2056z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1723za7622128z00, BGl_z62lambda1723z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2057z00zzinline_siza7eza7,
		BgL_bgl_za762za7c3za704anonymo2129za7,
		BGl_z62zc3z04anonymousza31722ze3ze5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2058z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1717za7622130z00, BGl_z62lambda1717z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2059z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1714za7622131z00, BGl_z62lambda1714z62zzinline_siza7eza7,
		0L, BUNSPEC, 7);
	      DEFINE_STRING(BGl_string2067z00zzinline_siza7eza7,
		BgL_bgl_string2067za700za7za7i2132za7, "node-size1382", 13);
	      DEFINE_STRING(BGl_string2068z00zzinline_siza7eza7,
		BgL_bgl_string2068za700za7za7i2133za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2060z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1772za7622134z00, BGl_z62lambda1772z62zzinline_siza7eza7,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2061z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1771za7622135z00, BGl_z62lambda1771z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2062z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1755za7622136z00, BGl_z62lambda1755z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2063z00zzinline_siza7eza7,
		BgL_bgl_za762za7c3za704anonymo2137za7,
		BGl_z62zc3z04anonymousza31754ze3ze5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2070z00zzinline_siza7eza7,
		BgL_bgl_string2070za700za7za7i2138za7, "node-size", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2064z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1752za7622139z00, BGl_z62lambda1752z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2065z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1749za7622140z00, BGl_z62lambda1749z62zzinline_siza7eza7,
		0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2066z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2141za7,
		BGl_z62nodezd2siza7e1382z17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2069z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2142za7,
		BGl_z62nodezd2siza7ezd2atom1388zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2071z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2143za7,
		BGl_z62nodezd2siza7ezd2var1390zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2072z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2144za7,
		BGl_z62nodezd2siza7ezd2kwote1392zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2073z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2145za7,
		BGl_z62nodezd2siza7ezd2sequence1394zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2074z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2146za7,
		BGl_z62nodezd2siza7ezd2siza7edzd2sequ1396zb0zzinline_siza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2075z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2147za7,
		BGl_z62nodezd2siza7ezd2sync1398zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2076z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2148za7,
		BGl_z62nodezd2siza7ezd2siza7edzd2sync1400zb0zzinline_siza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2077z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2149za7,
		BGl_z62nodezd2siza7ezd2app1402zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2078z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2150za7,
		BGl_z62nodezd2siza7ezd2appzd2ly1404z17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2079z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2151za7,
		BGl_z62nodezd2siza7ezd2funcall1408zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2080z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2152za7,
		BGl_z62nodezd2siza7ezd2cast1410zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2081z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2153za7,
		BGl_z62nodezd2siza7ezd2extern1413zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2082z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2154za7,
		BGl_z62nodezd2siza7ezd2setq1415zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2083z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2155za7,
		BGl_z62nodezd2siza7ezd2conditiona1417zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2084z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2156za7,
		BGl_z62nodezd2siza7ezd2fail1419zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2085z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2157za7,
		BGl_z62nodezd2siza7ezd2switch1421zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2086z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2158za7,
		BGl_z62nodezd2siza7ezd2siza7edzd2swit1423zb0zzinline_siza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2087z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2159za7,
		BGl_z62nodezd2siza7ezd2letzd2fun1425z17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2088z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2160za7,
		BGl_z62nodezd2siza7ezd2siza7edzd2letzd21427z62zzinline_siza7eza7, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2089z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2161za7,
		BGl_z62nodezd2siza7ezd2letzd2var1430z17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2098z00zzinline_siza7eza7,
		BgL_bgl_string2098za700za7za7i2162za7, "INLINESZ", 8);
	      DEFINE_STRING(BGl_string2099z00zzinline_siza7eza7,
		BgL_bgl_string2099za700za7za7i2163za7, ">>> inline-size node=", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2090z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2164za7,
		BGl_z62nodezd2siza7ezd2siza7edzd2letzd21432z62zzinline_siza7eza7, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2091z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2165za7,
		BGl_z62nodezd2siza7ezd2setzd2exzd2it1434zc5zzinline_siza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2092z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2166za7,
		BGl_z62nodezd2siza7ezd2jumpzd2exzd2it1436zc5zzinline_siza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2093z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2167za7,
		BGl_z62nodezd2siza7ezd2retblock1438zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2094z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2168za7,
		BGl_z62nodezd2siza7ezd2return1440zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2095z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2169za7,
		BGl_z62nodezd2siza7ezd2makezd2box1442z17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2096z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2170za7,
		BGl_z62nodezd2siza7ezd2boxzd2ref1445z17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2097z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2171za7,
		BGl_z62nodezd2siza7ezd2boxzd2setz121447z05zzinline_siza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2172za7,
		BGl_z62nodezd2siza7ez17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2100z00zzinline_siza7eza7,
		BgL_bgl_string2100za700za7za7i2173za7, "--- inline-size node=", 21);
	      DEFINE_STRING(BGl_string2101z00zzinline_siza7eza7,
		BgL_bgl_string2101za700za7za7i2174za7, " size=", 6);
	      DEFINE_STRING(BGl_string2102z00zzinline_siza7eza7,
		BgL_bgl_string2102za700za7za7i2175za7, " null=", 6);
	      DEFINE_STRING(BGl_string2103z00zzinline_siza7eza7,
		BgL_bgl_string2103za700za7za7i2176za7, "<<< inline-size node=", 21);
	      DEFINE_STRING(BGl_string2104z00zzinline_siza7eza7,
		BgL_bgl_string2104za700za7za7i2177za7, "inline_size", 11);
	      DEFINE_STRING(BGl_string2105z00zzinline_siza7eza7,
		BgL_bgl_string2105za700za7za7i2178za7,
		"node-size1382 sized-let-var sized-let-fun sized-switch sized-sync inline_size sized-sequence long size ",
		103);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinline_siza7eza7));
		     ADD_ROOT((void *) (&BGl_siza7edzd2syncz75zzinline_siza7eza7));
		     ADD_ROOT((void *) (&BGl_siza7edzd2letzd2varza7zzinline_siza7eza7));
		     ADD_ROOT((void *) (&BGl_siza7edzd2switchz75zzinline_siza7eza7));
		     ADD_ROOT((void *) (&BGl_siza7edzd2sequencez75zzinline_siza7eza7));
		     ADD_ROOT((void *) (&BGl_siza7edzd2letzd2funza7zzinline_siza7eza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long
		BgL_checksumz00_3172, char *BgL_fromz00_3173)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_siza7eza7))
				{
					BGl_requirezd2initializa7ationz75zzinline_siza7eza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_siza7eza7();
					BGl_libraryzd2moduleszd2initz00zzinline_siza7eza7();
					BGl_cnstzd2initzd2zzinline_siza7eza7();
					BGl_importedzd2moduleszd2initz00zzinline_siza7eza7();
					BGl_objectzd2initzd2zzinline_siza7eza7();
					BGl_genericzd2initzd2zzinline_siza7eza7();
					BGl_methodzd2initzd2zzinline_siza7eza7();
					return BGl_toplevelzd2initzd2zzinline_siza7eza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_siza7eza7()
	{
		{	/* Inline/size.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"inline_size");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"inline_size");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_size");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_size");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_size");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_siza7eza7()
	{
		{	/* Inline/size.scm 15 */
			{	/* Inline/size.scm 15 */
				obj_t BgL_cportz00_2883;

				{	/* Inline/size.scm 15 */
					obj_t BgL_stringz00_2891;

					BgL_stringz00_2891 = BGl_string2105z00zzinline_siza7eza7;
					{	/* Inline/size.scm 15 */
						obj_t BgL_startz00_2892;

						BgL_startz00_2892 = BINT(((long) 0));
						{	/* Inline/size.scm 15 */
							obj_t BgL_endz00_2893;

							BgL_endz00_2893 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2891)));
							{	/* Inline/size.scm 15 */

								BgL_cportz00_2883 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2891, BgL_startz00_2892, BgL_endz00_2893);
				}}}}
				{
					long BgL_iz00_2884;

					BgL_iz00_2884 = ((long) 8);
				BgL_loopz00_2885:
					if ((BgL_iz00_2884 == ((long) -1)))
						{	/* Inline/size.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/size.scm 15 */
							{	/* Inline/size.scm 15 */
								obj_t BgL_arg2107z00_2887;

								{	/* Inline/size.scm 15 */

									{	/* Inline/size.scm 15 */
										obj_t BgL_locationz00_2889;

										BgL_locationz00_2889 = BBOOL(((bool_t) 0));
										{	/* Inline/size.scm 15 */

											BgL_arg2107z00_2887 =
												BGl_readz00zz__readerz00(BgL_cportz00_2883,
												BgL_locationz00_2889);
										}
									}
								}
								{	/* Inline/size.scm 15 */
									int BgL_tmpz00_3206;

									BgL_tmpz00_3206 = (int) (BgL_iz00_2884);
									CNST_TABLE_SET(BgL_tmpz00_3206, BgL_arg2107z00_2887);
							}}
							{	/* Inline/size.scm 15 */
								int BgL_auxz00_2890;

								BgL_auxz00_2890 = (int) ((BgL_iz00_2884 - ((long) 1)));
								{
									long BgL_iz00_3211;

									BgL_iz00_3211 = (long) (BgL_auxz00_2890);
									BgL_iz00_2884 = BgL_iz00_3211;
									goto BgL_loopz00_2885;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_siza7eza7()
	{
		{	/* Inline/size.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_siza7eza7()
	{
		{	/* Inline/size.scm 15 */
			BGl_mz00zzinline_siza7eza7 = ((long) 0);
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_siza7eza7()
	{
		{	/* Inline/size.scm 15 */
			{	/* Inline/size.scm 22 */
				obj_t BgL_arg1551z00_1564;
				obj_t BgL_arg1552z00_1565;

				{	/* Inline/size.scm 22 */
					obj_t BgL_v1372z00_1594;

					BgL_v1372z00_1594 = create_vector(((long) 1));
					{	/* Inline/size.scm 22 */
						obj_t BgL_arg1578z00_1595;

						BgL_arg1578z00_1595 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc2037z00zzinline_siza7eza7,
							BGl_proc2036z00zzinline_siza7eza7, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1372z00_1594, ((long) 0), BgL_arg1578z00_1595);
					}
					BgL_arg1551z00_1564 = BgL_v1372z00_1594;
				}
				{	/* Inline/size.scm 22 */
					obj_t BgL_v1373z00_1605;

					BgL_v1373z00_1605 = create_vector(((long) 0));
					BgL_arg1552z00_1565 = BgL_v1373z00_1605;
				}
				BGl_siza7edzd2sequencez75zzinline_siza7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 2)),
					CNST_TABLE_REF(((long) 3)), BGl_sequencez00zzast_nodez00,
					((long) 10745), BGl_proc2041z00zzinline_siza7eza7,
					BGl_proc2040z00zzinline_siza7eza7, BFALSE,
					BGl_proc2039z00zzinline_siza7eza7, BGl_proc2038z00zzinline_siza7eza7,
					BgL_arg1551z00_1564, BgL_arg1552z00_1565);
			}
			{	/* Inline/size.scm 23 */
				obj_t BgL_arg1597z00_1614;
				obj_t BgL_arg1601z00_1615;

				{	/* Inline/size.scm 23 */
					obj_t BgL_v1374z00_1642;

					BgL_v1374z00_1642 = create_vector(((long) 1));
					{	/* Inline/size.scm 23 */
						obj_t BgL_arg1620z00_1643;

						BgL_arg1620z00_1643 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc2043z00zzinline_siza7eza7,
							BGl_proc2042z00zzinline_siza7eza7, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1374z00_1642, ((long) 0), BgL_arg1620z00_1643);
					}
					BgL_arg1597z00_1614 = BgL_v1374z00_1642;
				}
				{	/* Inline/size.scm 23 */
					obj_t BgL_v1375z00_1653;

					BgL_v1375z00_1653 = create_vector(((long) 0));
					BgL_arg1601z00_1615 = BgL_v1375z00_1653;
				}
				BGl_siza7edzd2syncz75zzinline_siza7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 4)),
					CNST_TABLE_REF(((long) 3)), BGl_syncz00zzast_nodez00, ((long) 41409),
					BGl_proc2047z00zzinline_siza7eza7, BGl_proc2046z00zzinline_siza7eza7,
					BFALSE, BGl_proc2045z00zzinline_siza7eza7,
					BGl_proc2044z00zzinline_siza7eza7, BgL_arg1597z00_1614,
					BgL_arg1601z00_1615);
			}
			{	/* Inline/size.scm 24 */
				obj_t BgL_arg1657z00_1662;
				obj_t BgL_arg1660z00_1663;

				{	/* Inline/size.scm 24 */
					obj_t BgL_v1376z00_1692;

					BgL_v1376z00_1692 = create_vector(((long) 1));
					{	/* Inline/size.scm 24 */
						obj_t BgL_arg1682z00_1693;

						BgL_arg1682z00_1693 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc2049z00zzinline_siza7eza7,
							BGl_proc2048z00zzinline_siza7eza7, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1376z00_1692, ((long) 0), BgL_arg1682z00_1693);
					}
					BgL_arg1657z00_1662 = BgL_v1376z00_1692;
				}
				{	/* Inline/size.scm 24 */
					obj_t BgL_v1377z00_1703;

					BgL_v1377z00_1703 = create_vector(((long) 0));
					BgL_arg1660z00_1663 = BgL_v1377z00_1703;
				}
				BGl_siza7edzd2switchz75zzinline_siza7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 5)),
					CNST_TABLE_REF(((long) 3)), BGl_switchz00zzast_nodez00,
					((long) 37483), BGl_proc2053z00zzinline_siza7eza7,
					BGl_proc2052z00zzinline_siza7eza7, BFALSE,
					BGl_proc2051z00zzinline_siza7eza7, BGl_proc2050z00zzinline_siza7eza7,
					BgL_arg1657z00_1662, BgL_arg1660z00_1663);
			}
			{	/* Inline/size.scm 25 */
				obj_t BgL_arg1712z00_1712;
				obj_t BgL_arg1713z00_1713;

				{	/* Inline/size.scm 25 */
					obj_t BgL_v1378z00_1741;

					BgL_v1378z00_1741 = create_vector(((long) 1));
					{	/* Inline/size.scm 25 */
						obj_t BgL_arg1729z00_1742;

						BgL_arg1729z00_1742 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc2055z00zzinline_siza7eza7,
							BGl_proc2054z00zzinline_siza7eza7, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1378z00_1741, ((long) 0), BgL_arg1729z00_1742);
					}
					BgL_arg1712z00_1712 = BgL_v1378z00_1741;
				}
				{	/* Inline/size.scm 25 */
					obj_t BgL_v1379z00_1752;

					BgL_v1379z00_1752 = create_vector(((long) 0));
					BgL_arg1713z00_1713 = BgL_v1379z00_1752;
				}
				BGl_siza7edzd2letzd2funza7zzinline_siza7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 6)),
					CNST_TABLE_REF(((long) 3)), BGl_letzd2funzd2zzast_nodez00,
					((long) 7325), BGl_proc2059z00zzinline_siza7eza7,
					BGl_proc2058z00zzinline_siza7eza7, BFALSE,
					BGl_proc2057z00zzinline_siza7eza7, BGl_proc2056z00zzinline_siza7eza7,
					BgL_arg1712z00_1712, BgL_arg1713z00_1713);
			}
			{	/* Inline/size.scm 26 */
				obj_t BgL_arg1747z00_1761;
				obj_t BgL_arg1748z00_1762;

				{	/* Inline/size.scm 26 */
					obj_t BgL_v1380z00_1791;

					BgL_v1380z00_1791 = create_vector(((long) 1));
					{	/* Inline/size.scm 26 */
						obj_t BgL_arg1763z00_1792;

						BgL_arg1763z00_1792 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc2061z00zzinline_siza7eza7,
							BGl_proc2060z00zzinline_siza7eza7, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1380z00_1791, ((long) 0), BgL_arg1763z00_1792);
					}
					BgL_arg1747z00_1761 = BgL_v1380z00_1791;
				}
				{	/* Inline/size.scm 26 */
					obj_t BgL_v1381z00_1802;

					BgL_v1381z00_1802 = create_vector(((long) 0));
					BgL_arg1748z00_1762 = BgL_v1381z00_1802;
				}
				return (BGl_siza7edzd2letzd2varza7zzinline_siza7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 7)),
						CNST_TABLE_REF(((long) 3)), BGl_letzd2varzd2zzast_nodez00,
						((long) 20381), BGl_proc2065z00zzinline_siza7eza7,
						BGl_proc2064z00zzinline_siza7eza7, BFALSE,
						BGl_proc2063z00zzinline_siza7eza7,
						BGl_proc2062z00zzinline_siza7eza7, BgL_arg1747z00_1761,
						BgL_arg1748z00_1762), BUNSPEC);
		}}

	}



/* &lambda1755 */
	BgL_letzd2varzd2_bglt BGl_z62lambda1755z62zzinline_siza7eza7(obj_t
		BgL_envz00_2697, obj_t BgL_o1167z00_2698)
	{
		{	/* Inline/size.scm 26 */
			{	/* Inline/size.scm 26 */
				long BgL_arg1759z00_2896;

				{	/* Inline/size.scm 26 */
					obj_t BgL_arg1761z00_2897;

					{	/* Inline/size.scm 26 */
						obj_t BgL_arg1762z00_2898;

						{	/* Inline/size.scm 26 */
							long BgL_arg1833z00_2899;

							{	/* Inline/size.scm 26 */
								long BgL_arg1834z00_2900;

								BgL_arg1834z00_2900 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_o1167z00_2698)));
								BgL_arg1833z00_2899 = (BgL_arg1834z00_2900 - OBJECT_TYPE);
							}
							BgL_arg1762z00_2898 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_2899);
						}
						BgL_arg1761z00_2897 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1762z00_2898);
					}
					{	/* Inline/size.scm 26 */
						obj_t BgL_tmpz00_3265;

						BgL_tmpz00_3265 = ((obj_t) BgL_arg1761z00_2897);
						BgL_arg1759z00_2896 = BGL_CLASS_NUM(BgL_tmpz00_3265);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_letzd2varzd2_bglt) BgL_o1167z00_2698)), BgL_arg1759z00_2896);
			}
			{	/* Inline/size.scm 26 */
				BgL_objectz00_bglt BgL_tmpz00_3271;

				BgL_tmpz00_3271 =
					((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_o1167z00_2698));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3271, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_o1167z00_2698));
			return
				((BgL_letzd2varzd2_bglt) ((BgL_letzd2varzd2_bglt) BgL_o1167z00_2698));
		}

	}



/* &<@anonymous:1754> */
	obj_t BGl_z62zc3z04anonymousza31754ze3ze5zzinline_siza7eza7(obj_t
		BgL_envz00_2699, obj_t BgL_new1166z00_2700)
	{
		{	/* Inline/size.scm 26 */
			{
				BgL_letzd2varzd2_bglt BgL_auxz00_3279;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1166z00_2700))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3283;

					{	/* Inline/size.scm 26 */
						obj_t BgL_classz00_2902;

						BgL_classz00_2902 = BGl_typez00zztype_typez00;
						{	/* Inline/size.scm 26 */
							obj_t BgL__ortest_1112z00_2903;

							BgL__ortest_1112z00_2903 = BGL_CLASS_NIL(BgL_classz00_2902);
							if (CBOOL(BgL__ortest_1112z00_2903))
								{	/* Inline/size.scm 26 */
									BgL_auxz00_3283 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_2903);
								}
							else
								{	/* Inline/size.scm 26 */
									BgL_auxz00_3283 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2902));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_new1166z00_2700))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3283), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1166z00_2700))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_new1166z00_2700))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2varzd2_bglt)
							COBJECT(((BgL_letzd2varzd2_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_new1166z00_2700))))->BgL_bindingsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_3302;

					{	/* Inline/size.scm 26 */
						obj_t BgL_classz00_2904;

						BgL_classz00_2904 = BGl_nodez00zzast_nodez00;
						{	/* Inline/size.scm 26 */
							obj_t BgL__ortest_1112z00_2905;

							BgL__ortest_1112z00_2905 = BGL_CLASS_NIL(BgL_classz00_2904);
							if (CBOOL(BgL__ortest_1112z00_2905))
								{	/* Inline/size.scm 26 */
									BgL_auxz00_3302 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_2905);
								}
							else
								{	/* Inline/size.scm 26 */
									BgL_auxz00_3302 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2904));
								}
						}
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt)
										((BgL_letzd2varzd2_bglt) BgL_new1166z00_2700))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3302), BUNSPEC);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1166z00_2700))))->
						BgL_removablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_3315;

					{
						obj_t BgL_auxz00_3316;

						{	/* Inline/size.scm 26 */
							BgL_objectz00_bglt BgL_tmpz00_3317;

							BgL_tmpz00_3317 =
								((BgL_objectz00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_new1166z00_2700));
							BgL_auxz00_3316 = BGL_OBJECT_WIDENING(BgL_tmpz00_3317);
						}
						BgL_auxz00_3315 =
							((BgL_siza7edzd2letzd2varza7_bglt) BgL_auxz00_3316);
					}
					((((BgL_siza7edzd2letzd2varza7_bglt) COBJECT(BgL_auxz00_3315))->
							BgL_siza7eza7) = ((long) ((long) 0)), BUNSPEC);
				}
				BgL_auxz00_3279 = ((BgL_letzd2varzd2_bglt) BgL_new1166z00_2700);
				return ((obj_t) BgL_auxz00_3279);
			}
		}

	}



/* &lambda1752 */
	BgL_letzd2varzd2_bglt BGl_z62lambda1752z62zzinline_siza7eza7(obj_t
		BgL_envz00_2701, obj_t BgL_o1163z00_2702)
	{
		{	/* Inline/size.scm 26 */
			{	/* Inline/size.scm 26 */
				BgL_siza7edzd2letzd2varza7_bglt BgL_wide1165z00_2907;

				BgL_wide1165z00_2907 =
					((BgL_siza7edzd2letzd2varza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_siza7edzd2letzd2varza7_bgl))));
				{	/* Inline/size.scm 26 */
					obj_t BgL_auxz00_3330;
					BgL_objectz00_bglt BgL_tmpz00_3326;

					BgL_auxz00_3330 = ((obj_t) BgL_wide1165z00_2907);
					BgL_tmpz00_3326 =
						((BgL_objectz00_bglt)
						((BgL_letzd2varzd2_bglt)
							((BgL_letzd2varzd2_bglt) BgL_o1163z00_2702)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3326, BgL_auxz00_3330);
				}
				((BgL_objectz00_bglt)
					((BgL_letzd2varzd2_bglt)
						((BgL_letzd2varzd2_bglt) BgL_o1163z00_2702)));
				{	/* Inline/size.scm 26 */
					long BgL_arg1753z00_2908;

					BgL_arg1753z00_2908 =
						BGL_CLASS_NUM(BGl_siza7edzd2letzd2varza7zzinline_siza7eza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_letzd2varzd2_bglt)
								((BgL_letzd2varzd2_bglt) BgL_o1163z00_2702))),
						BgL_arg1753z00_2908);
				}
				return
					((BgL_letzd2varzd2_bglt)
					((BgL_letzd2varzd2_bglt)
						((BgL_letzd2varzd2_bglt) BgL_o1163z00_2702)));
			}
		}

	}



/* &lambda1749 */
	BgL_letzd2varzd2_bglt BGl_z62lambda1749z62zzinline_siza7eza7(obj_t
		BgL_envz00_2703, obj_t BgL_loc1155z00_2704, obj_t BgL_type1156z00_2705,
		obj_t BgL_sidezd2effect1157zd2_2706, obj_t BgL_key1158z00_2707,
		obj_t BgL_bindings1159z00_2708, obj_t BgL_body1160z00_2709,
		obj_t BgL_removablezf31161zf3_2710, obj_t BgL_siza7e1162za7_2711)
	{
		{	/* Inline/size.scm 26 */
			{	/* Inline/size.scm 26 */
				bool_t BgL_removablezf31161zf3_2911;
				long BgL_siza7e1162za7_2912;

				BgL_removablezf31161zf3_2911 = CBOOL(BgL_removablezf31161zf3_2710);
				BgL_siza7e1162za7_2912 = (long) CINT(BgL_siza7e1162za7_2711);
				{	/* Inline/size.scm 26 */
					BgL_letzd2varzd2_bglt BgL_new1253z00_2913;

					{	/* Inline/size.scm 26 */
						BgL_letzd2varzd2_bglt BgL_tmp1251z00_2914;
						BgL_siza7edzd2letzd2varza7_bglt BgL_wide1252z00_2915;

						{
							BgL_letzd2varzd2_bglt BgL_auxz00_3346;

							{	/* Inline/size.scm 26 */
								BgL_letzd2varzd2_bglt BgL_new1250z00_2916;

								BgL_new1250z00_2916 =
									((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2varzd2_bgl))));
								{	/* Inline/size.scm 26 */
									long BgL_arg1751z00_2917;

									BgL_arg1751z00_2917 =
										BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1250z00_2916),
										BgL_arg1751z00_2917);
								}
								{	/* Inline/size.scm 26 */
									BgL_objectz00_bglt BgL_tmpz00_3351;

									BgL_tmpz00_3351 = ((BgL_objectz00_bglt) BgL_new1250z00_2916);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3351, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1250z00_2916);
								BgL_auxz00_3346 = BgL_new1250z00_2916;
							}
							BgL_tmp1251z00_2914 = ((BgL_letzd2varzd2_bglt) BgL_auxz00_3346);
						}
						BgL_wide1252z00_2915 =
							((BgL_siza7edzd2letzd2varza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_siza7edzd2letzd2varza7_bgl))));
						{	/* Inline/size.scm 26 */
							obj_t BgL_auxz00_3359;
							BgL_objectz00_bglt BgL_tmpz00_3357;

							BgL_auxz00_3359 = ((obj_t) BgL_wide1252z00_2915);
							BgL_tmpz00_3357 = ((BgL_objectz00_bglt) BgL_tmp1251z00_2914);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3357, BgL_auxz00_3359);
						}
						((BgL_objectz00_bglt) BgL_tmp1251z00_2914);
						{	/* Inline/size.scm 26 */
							long BgL_arg1750z00_2918;

							BgL_arg1750z00_2918 =
								BGL_CLASS_NUM(BGl_siza7edzd2letzd2varza7zzinline_siza7eza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1251z00_2914),
								BgL_arg1750z00_2918);
						}
						BgL_new1253z00_2913 = ((BgL_letzd2varzd2_bglt) BgL_tmp1251z00_2914);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1253z00_2913)))->BgL_locz00) =
						((obj_t) BgL_loc1155z00_2704), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1253z00_2913)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1156z00_2705)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1253z00_2913)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1157zd2_2706), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1253z00_2913)))->BgL_keyz00) =
						((obj_t) BgL_key1158z00_2707), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_new1253z00_2913)))->BgL_bindingsz00) =
						((obj_t) BgL_bindings1159z00_2708), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_new1253z00_2913)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1160z00_2709)),
						BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_new1253z00_2913)))->BgL_removablezf3zf3) =
						((bool_t) BgL_removablezf31161zf3_2911), BUNSPEC);
					{
						BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_3383;

						{
							obj_t BgL_auxz00_3384;

							{	/* Inline/size.scm 26 */
								BgL_objectz00_bglt BgL_tmpz00_3385;

								BgL_tmpz00_3385 = ((BgL_objectz00_bglt) BgL_new1253z00_2913);
								BgL_auxz00_3384 = BGL_OBJECT_WIDENING(BgL_tmpz00_3385);
							}
							BgL_auxz00_3383 =
								((BgL_siza7edzd2letzd2varza7_bglt) BgL_auxz00_3384);
						}
						((((BgL_siza7edzd2letzd2varza7_bglt) COBJECT(BgL_auxz00_3383))->
								BgL_siza7eza7) = ((long) BgL_siza7e1162za7_2912), BUNSPEC);
					}
					return BgL_new1253z00_2913;
				}
			}
		}

	}



/* &lambda1772 */
	obj_t BGl_z62lambda1772z62zzinline_siza7eza7(obj_t BgL_envz00_2712,
		obj_t BgL_oz00_2713, obj_t BgL_vz00_2714)
	{
		{	/* Inline/size.scm 26 */
			{	/* Inline/size.scm 26 */
				long BgL_vz00_2920;

				BgL_vz00_2920 = (long) CINT(BgL_vz00_2714);
				{
					BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_3391;

					{
						obj_t BgL_auxz00_3392;

						{	/* Inline/size.scm 26 */
							BgL_objectz00_bglt BgL_tmpz00_3393;

							BgL_tmpz00_3393 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_2713));
							BgL_auxz00_3392 = BGL_OBJECT_WIDENING(BgL_tmpz00_3393);
						}
						BgL_auxz00_3391 =
							((BgL_siza7edzd2letzd2varza7_bglt) BgL_auxz00_3392);
					}
					return
						((((BgL_siza7edzd2letzd2varza7_bglt) COBJECT(BgL_auxz00_3391))->
							BgL_siza7eza7) = ((long) BgL_vz00_2920), BUNSPEC);
		}}}

	}



/* &lambda1771 */
	obj_t BGl_z62lambda1771z62zzinline_siza7eza7(obj_t BgL_envz00_2715,
		obj_t BgL_oz00_2716)
	{
		{	/* Inline/size.scm 26 */
			{	/* Inline/size.scm 26 */
				long BgL_tmpz00_3399;

				{
					BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_3400;

					{
						obj_t BgL_auxz00_3401;

						{	/* Inline/size.scm 26 */
							BgL_objectz00_bglt BgL_tmpz00_3402;

							BgL_tmpz00_3402 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_2716));
							BgL_auxz00_3401 = BGL_OBJECT_WIDENING(BgL_tmpz00_3402);
						}
						BgL_auxz00_3400 =
							((BgL_siza7edzd2letzd2varza7_bglt) BgL_auxz00_3401);
					}
					BgL_tmpz00_3399 =
						(((BgL_siza7edzd2letzd2varza7_bglt) COBJECT(BgL_auxz00_3400))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_3399);
			}
		}

	}



/* &lambda1723 */
	BgL_letzd2funzd2_bglt BGl_z62lambda1723z62zzinline_siza7eza7(obj_t
		BgL_envz00_2717, obj_t BgL_o1153z00_2718)
	{
		{	/* Inline/size.scm 25 */
			{	/* Inline/size.scm 25 */
				long BgL_arg1725z00_2923;

				{	/* Inline/size.scm 25 */
					obj_t BgL_arg1726z00_2924;

					{	/* Inline/size.scm 25 */
						obj_t BgL_arg1728z00_2925;

						{	/* Inline/size.scm 25 */
							long BgL_arg1833z00_2926;

							{	/* Inline/size.scm 25 */
								long BgL_arg1834z00_2927;

								BgL_arg1834z00_2927 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_o1153z00_2718)));
								BgL_arg1833z00_2926 = (BgL_arg1834z00_2927 - OBJECT_TYPE);
							}
							BgL_arg1728z00_2925 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_2926);
						}
						BgL_arg1726z00_2924 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1728z00_2925);
					}
					{	/* Inline/size.scm 25 */
						obj_t BgL_tmpz00_3415;

						BgL_tmpz00_3415 = ((obj_t) BgL_arg1726z00_2924);
						BgL_arg1725z00_2923 = BGL_CLASS_NUM(BgL_tmpz00_3415);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_letzd2funzd2_bglt) BgL_o1153z00_2718)), BgL_arg1725z00_2923);
			}
			{	/* Inline/size.scm 25 */
				BgL_objectz00_bglt BgL_tmpz00_3421;

				BgL_tmpz00_3421 =
					((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_o1153z00_2718));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3421, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_o1153z00_2718));
			return
				((BgL_letzd2funzd2_bglt) ((BgL_letzd2funzd2_bglt) BgL_o1153z00_2718));
		}

	}



/* &<@anonymous:1722> */
	obj_t BGl_z62zc3z04anonymousza31722ze3ze5zzinline_siza7eza7(obj_t
		BgL_envz00_2719, obj_t BgL_new1152z00_2720)
	{
		{	/* Inline/size.scm 25 */
			{
				BgL_letzd2funzd2_bglt BgL_auxz00_3429;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1152z00_2720))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3433;

					{	/* Inline/size.scm 25 */
						obj_t BgL_classz00_2929;

						BgL_classz00_2929 = BGl_typez00zztype_typez00;
						{	/* Inline/size.scm 25 */
							obj_t BgL__ortest_1112z00_2930;

							BgL__ortest_1112z00_2930 = BGL_CLASS_NIL(BgL_classz00_2929);
							if (CBOOL(BgL__ortest_1112z00_2930))
								{	/* Inline/size.scm 25 */
									BgL_auxz00_3433 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_2930);
								}
							else
								{	/* Inline/size.scm 25 */
									BgL_auxz00_3433 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2929));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_new1152z00_2720))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3433), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1152z00_2720))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_new1152z00_2720))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2funzd2_bglt)
							COBJECT(((BgL_letzd2funzd2_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_new1152z00_2720))))->BgL_localsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_3452;

					{	/* Inline/size.scm 25 */
						obj_t BgL_classz00_2931;

						BgL_classz00_2931 = BGl_nodez00zzast_nodez00;
						{	/* Inline/size.scm 25 */
							obj_t BgL__ortest_1112z00_2932;

							BgL__ortest_1112z00_2932 = BGL_CLASS_NIL(BgL_classz00_2931);
							if (CBOOL(BgL__ortest_1112z00_2932))
								{	/* Inline/size.scm 25 */
									BgL_auxz00_3452 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_2932);
								}
							else
								{	/* Inline/size.scm 25 */
									BgL_auxz00_3452 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2931));
								}
						}
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt)
										((BgL_letzd2funzd2_bglt) BgL_new1152z00_2720))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3452), BUNSPEC);
				}
				{
					BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_3462;

					{
						obj_t BgL_auxz00_3463;

						{	/* Inline/size.scm 25 */
							BgL_objectz00_bglt BgL_tmpz00_3464;

							BgL_tmpz00_3464 =
								((BgL_objectz00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_new1152z00_2720));
							BgL_auxz00_3463 = BGL_OBJECT_WIDENING(BgL_tmpz00_3464);
						}
						BgL_auxz00_3462 =
							((BgL_siza7edzd2letzd2funza7_bglt) BgL_auxz00_3463);
					}
					((((BgL_siza7edzd2letzd2funza7_bglt) COBJECT(BgL_auxz00_3462))->
							BgL_siza7eza7) = ((long) ((long) 0)), BUNSPEC);
				}
				BgL_auxz00_3429 = ((BgL_letzd2funzd2_bglt) BgL_new1152z00_2720);
				return ((obj_t) BgL_auxz00_3429);
			}
		}

	}



/* &lambda1717 */
	BgL_letzd2funzd2_bglt BGl_z62lambda1717z62zzinline_siza7eza7(obj_t
		BgL_envz00_2721, obj_t BgL_o1149z00_2722)
	{
		{	/* Inline/size.scm 25 */
			{	/* Inline/size.scm 25 */
				BgL_siza7edzd2letzd2funza7_bglt BgL_wide1151z00_2934;

				BgL_wide1151z00_2934 =
					((BgL_siza7edzd2letzd2funza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_siza7edzd2letzd2funza7_bgl))));
				{	/* Inline/size.scm 25 */
					obj_t BgL_auxz00_3477;
					BgL_objectz00_bglt BgL_tmpz00_3473;

					BgL_auxz00_3477 = ((obj_t) BgL_wide1151z00_2934);
					BgL_tmpz00_3473 =
						((BgL_objectz00_bglt)
						((BgL_letzd2funzd2_bglt)
							((BgL_letzd2funzd2_bglt) BgL_o1149z00_2722)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3473, BgL_auxz00_3477);
				}
				((BgL_objectz00_bglt)
					((BgL_letzd2funzd2_bglt)
						((BgL_letzd2funzd2_bglt) BgL_o1149z00_2722)));
				{	/* Inline/size.scm 25 */
					long BgL_arg1721z00_2935;

					BgL_arg1721z00_2935 =
						BGL_CLASS_NUM(BGl_siza7edzd2letzd2funza7zzinline_siza7eza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_letzd2funzd2_bglt)
								((BgL_letzd2funzd2_bglt) BgL_o1149z00_2722))),
						BgL_arg1721z00_2935);
				}
				return
					((BgL_letzd2funzd2_bglt)
					((BgL_letzd2funzd2_bglt)
						((BgL_letzd2funzd2_bglt) BgL_o1149z00_2722)));
			}
		}

	}



/* &lambda1714 */
	BgL_letzd2funzd2_bglt BGl_z62lambda1714z62zzinline_siza7eza7(obj_t
		BgL_envz00_2723, obj_t BgL_loc1142z00_2724, obj_t BgL_type1143z00_2725,
		obj_t BgL_sidezd2effect1144zd2_2726, obj_t BgL_key1145z00_2727,
		obj_t BgL_locals1146z00_2728, obj_t BgL_body1147z00_2729,
		obj_t BgL_siza7e1148za7_2730)
	{
		{	/* Inline/size.scm 25 */
			{	/* Inline/size.scm 25 */
				long BgL_siza7e1148za7_2938;

				BgL_siza7e1148za7_2938 = (long) CINT(BgL_siza7e1148za7_2730);
				{	/* Inline/size.scm 25 */
					BgL_letzd2funzd2_bglt BgL_new1248z00_2939;

					{	/* Inline/size.scm 25 */
						BgL_letzd2funzd2_bglt BgL_tmp1246z00_2940;
						BgL_siza7edzd2letzd2funza7_bglt BgL_wide1247z00_2941;

						{
							BgL_letzd2funzd2_bglt BgL_auxz00_3492;

							{	/* Inline/size.scm 25 */
								BgL_letzd2funzd2_bglt BgL_new1245z00_2942;

								BgL_new1245z00_2942 =
									((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2funzd2_bgl))));
								{	/* Inline/size.scm 25 */
									long BgL_arg1716z00_2943;

									BgL_arg1716z00_2943 =
										BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1245z00_2942),
										BgL_arg1716z00_2943);
								}
								{	/* Inline/size.scm 25 */
									BgL_objectz00_bglt BgL_tmpz00_3497;

									BgL_tmpz00_3497 = ((BgL_objectz00_bglt) BgL_new1245z00_2942);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3497, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1245z00_2942);
								BgL_auxz00_3492 = BgL_new1245z00_2942;
							}
							BgL_tmp1246z00_2940 = ((BgL_letzd2funzd2_bglt) BgL_auxz00_3492);
						}
						BgL_wide1247z00_2941 =
							((BgL_siza7edzd2letzd2funza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_siza7edzd2letzd2funza7_bgl))));
						{	/* Inline/size.scm 25 */
							obj_t BgL_auxz00_3505;
							BgL_objectz00_bglt BgL_tmpz00_3503;

							BgL_auxz00_3505 = ((obj_t) BgL_wide1247z00_2941);
							BgL_tmpz00_3503 = ((BgL_objectz00_bglt) BgL_tmp1246z00_2940);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3503, BgL_auxz00_3505);
						}
						((BgL_objectz00_bglt) BgL_tmp1246z00_2940);
						{	/* Inline/size.scm 25 */
							long BgL_arg1715z00_2944;

							BgL_arg1715z00_2944 =
								BGL_CLASS_NUM(BGl_siza7edzd2letzd2funza7zzinline_siza7eza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1246z00_2940),
								BgL_arg1715z00_2944);
						}
						BgL_new1248z00_2939 = ((BgL_letzd2funzd2_bglt) BgL_tmp1246z00_2940);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1248z00_2939)))->BgL_locz00) =
						((obj_t) BgL_loc1142z00_2724), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1248z00_2939)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1143z00_2725)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1248z00_2939)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1144zd2_2726), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1248z00_2939)))->BgL_keyz00) =
						((obj_t) BgL_key1145z00_2727), BUNSPEC);
					((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
										BgL_new1248z00_2939)))->BgL_localsz00) =
						((obj_t) BgL_locals1146z00_2728), BUNSPEC);
					((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
										BgL_new1248z00_2939)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1147z00_2729)),
						BUNSPEC);
					{
						BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_3527;

						{
							obj_t BgL_auxz00_3528;

							{	/* Inline/size.scm 25 */
								BgL_objectz00_bglt BgL_tmpz00_3529;

								BgL_tmpz00_3529 = ((BgL_objectz00_bglt) BgL_new1248z00_2939);
								BgL_auxz00_3528 = BGL_OBJECT_WIDENING(BgL_tmpz00_3529);
							}
							BgL_auxz00_3527 =
								((BgL_siza7edzd2letzd2funza7_bglt) BgL_auxz00_3528);
						}
						((((BgL_siza7edzd2letzd2funza7_bglt) COBJECT(BgL_auxz00_3527))->
								BgL_siza7eza7) = ((long) BgL_siza7e1148za7_2938), BUNSPEC);
					}
					return BgL_new1248z00_2939;
				}
			}
		}

	}



/* &lambda1740 */
	obj_t BGl_z62lambda1740z62zzinline_siza7eza7(obj_t BgL_envz00_2731,
		obj_t BgL_oz00_2732, obj_t BgL_vz00_2733)
	{
		{	/* Inline/size.scm 25 */
			{	/* Inline/size.scm 25 */
				long BgL_vz00_2946;

				BgL_vz00_2946 = (long) CINT(BgL_vz00_2733);
				{
					BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_3535;

					{
						obj_t BgL_auxz00_3536;

						{	/* Inline/size.scm 25 */
							BgL_objectz00_bglt BgL_tmpz00_3537;

							BgL_tmpz00_3537 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_2732));
							BgL_auxz00_3536 = BGL_OBJECT_WIDENING(BgL_tmpz00_3537);
						}
						BgL_auxz00_3535 =
							((BgL_siza7edzd2letzd2funza7_bglt) BgL_auxz00_3536);
					}
					return
						((((BgL_siza7edzd2letzd2funza7_bglt) COBJECT(BgL_auxz00_3535))->
							BgL_siza7eza7) = ((long) BgL_vz00_2946), BUNSPEC);
		}}}

	}



/* &lambda1739 */
	obj_t BGl_z62lambda1739z62zzinline_siza7eza7(obj_t BgL_envz00_2734,
		obj_t BgL_oz00_2735)
	{
		{	/* Inline/size.scm 25 */
			{	/* Inline/size.scm 25 */
				long BgL_tmpz00_3543;

				{
					BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_3544;

					{
						obj_t BgL_auxz00_3545;

						{	/* Inline/size.scm 25 */
							BgL_objectz00_bglt BgL_tmpz00_3546;

							BgL_tmpz00_3546 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_2735));
							BgL_auxz00_3545 = BGL_OBJECT_WIDENING(BgL_tmpz00_3546);
						}
						BgL_auxz00_3544 =
							((BgL_siza7edzd2letzd2funza7_bglt) BgL_auxz00_3545);
					}
					BgL_tmpz00_3543 =
						(((BgL_siza7edzd2letzd2funza7_bglt) COBJECT(BgL_auxz00_3544))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_3543);
			}
		}

	}



/* &lambda1677 */
	BgL_switchz00_bglt BGl_z62lambda1677z62zzinline_siza7eza7(obj_t
		BgL_envz00_2736, obj_t BgL_o1140z00_2737)
	{
		{	/* Inline/size.scm 24 */
			{	/* Inline/size.scm 24 */
				long BgL_arg1678z00_2949;

				{	/* Inline/size.scm 24 */
					obj_t BgL_arg1679z00_2950;

					{	/* Inline/size.scm 24 */
						obj_t BgL_arg1681z00_2951;

						{	/* Inline/size.scm 24 */
							long BgL_arg1833z00_2952;

							{	/* Inline/size.scm 24 */
								long BgL_arg1834z00_2953;

								BgL_arg1834z00_2953 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_switchz00_bglt) BgL_o1140z00_2737)));
								BgL_arg1833z00_2952 = (BgL_arg1834z00_2953 - OBJECT_TYPE);
							}
							BgL_arg1681z00_2951 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_2952);
						}
						BgL_arg1679z00_2950 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1681z00_2951);
					}
					{	/* Inline/size.scm 24 */
						obj_t BgL_tmpz00_3559;

						BgL_tmpz00_3559 = ((obj_t) BgL_arg1679z00_2950);
						BgL_arg1678z00_2949 = BGL_CLASS_NUM(BgL_tmpz00_3559);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) BgL_o1140z00_2737)), BgL_arg1678z00_2949);
			}
			{	/* Inline/size.scm 24 */
				BgL_objectz00_bglt BgL_tmpz00_3565;

				BgL_tmpz00_3565 =
					((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_o1140z00_2737));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3565, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_o1140z00_2737));
			return ((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1140z00_2737));
		}

	}



/* &<@anonymous:1676> */
	obj_t BGl_z62zc3z04anonymousza31676ze3ze5zzinline_siza7eza7(obj_t
		BgL_envz00_2738, obj_t BgL_new1139z00_2739)
	{
		{	/* Inline/size.scm 24 */
			{
				BgL_switchz00_bglt BgL_auxz00_3573;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_switchz00_bglt) BgL_new1139z00_2739))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3577;

					{	/* Inline/size.scm 24 */
						obj_t BgL_classz00_2955;

						BgL_classz00_2955 = BGl_typez00zztype_typez00;
						{	/* Inline/size.scm 24 */
							obj_t BgL__ortest_1112z00_2956;

							BgL__ortest_1112z00_2956 = BGL_CLASS_NIL(BgL_classz00_2955);
							if (CBOOL(BgL__ortest_1112z00_2956))
								{	/* Inline/size.scm 24 */
									BgL_auxz00_3577 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_2956);
								}
							else
								{	/* Inline/size.scm 24 */
									BgL_auxz00_3577 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2955));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_switchz00_bglt) BgL_new1139z00_2739))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3577), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_switchz00_bglt) BgL_new1139z00_2739))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_switchz00_bglt)
										BgL_new1139z00_2739))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_3593;

					{	/* Inline/size.scm 24 */
						obj_t BgL_classz00_2957;

						BgL_classz00_2957 = BGl_nodez00zzast_nodez00;
						{	/* Inline/size.scm 24 */
							obj_t BgL__ortest_1112z00_2958;

							BgL__ortest_1112z00_2958 = BGL_CLASS_NIL(BgL_classz00_2957);
							if (CBOOL(BgL__ortest_1112z00_2958))
								{	/* Inline/size.scm 24 */
									BgL_auxz00_3593 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_2958);
								}
							else
								{	/* Inline/size.scm 24 */
									BgL_auxz00_3593 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2957));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_new1139z00_2739))))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_3593), BUNSPEC);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt)
									((BgL_switchz00_bglt) BgL_new1139z00_2739))))->
						BgL_clausesz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3606;

					{	/* Inline/size.scm 24 */
						obj_t BgL_classz00_2959;

						BgL_classz00_2959 = BGl_typez00zztype_typez00;
						{	/* Inline/size.scm 24 */
							obj_t BgL__ortest_1112z00_2960;

							BgL__ortest_1112z00_2960 = BGL_CLASS_NIL(BgL_classz00_2959);
							if (CBOOL(BgL__ortest_1112z00_2960))
								{	/* Inline/size.scm 24 */
									BgL_auxz00_3606 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_2960);
								}
							else
								{	/* Inline/size.scm 24 */
									BgL_auxz00_3606 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2959));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_new1139z00_2739))))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_3606), BUNSPEC);
				}
				{
					BgL_siza7edzd2switchz75_bglt BgL_auxz00_3616;

					{
						obj_t BgL_auxz00_3617;

						{	/* Inline/size.scm 24 */
							BgL_objectz00_bglt BgL_tmpz00_3618;

							BgL_tmpz00_3618 =
								((BgL_objectz00_bglt)
								((BgL_switchz00_bglt) BgL_new1139z00_2739));
							BgL_auxz00_3617 = BGL_OBJECT_WIDENING(BgL_tmpz00_3618);
						}
						BgL_auxz00_3616 = ((BgL_siza7edzd2switchz75_bglt) BgL_auxz00_3617);
					}
					((((BgL_siza7edzd2switchz75_bglt) COBJECT(BgL_auxz00_3616))->
							BgL_siza7eza7) = ((long) ((long) 0)), BUNSPEC);
				}
				BgL_auxz00_3573 = ((BgL_switchz00_bglt) BgL_new1139z00_2739);
				return ((obj_t) BgL_auxz00_3573);
			}
		}

	}



/* &lambda1668 */
	BgL_switchz00_bglt BGl_z62lambda1668z62zzinline_siza7eza7(obj_t
		BgL_envz00_2740, obj_t BgL_o1136z00_2741)
	{
		{	/* Inline/size.scm 24 */
			{	/* Inline/size.scm 24 */
				BgL_siza7edzd2switchz75_bglt BgL_wide1138z00_2962;

				BgL_wide1138z00_2962 =
					((BgL_siza7edzd2switchz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_siza7edzd2switchz75_bgl))));
				{	/* Inline/size.scm 24 */
					obj_t BgL_auxz00_3631;
					BgL_objectz00_bglt BgL_tmpz00_3627;

					BgL_auxz00_3631 = ((obj_t) BgL_wide1138z00_2962);
					BgL_tmpz00_3627 =
						((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1136z00_2741)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3627, BgL_auxz00_3631);
				}
				((BgL_objectz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1136z00_2741)));
				{	/* Inline/size.scm 24 */
					long BgL_arg1675z00_2963;

					BgL_arg1675z00_2963 =
						BGL_CLASS_NUM(BGl_siza7edzd2switchz75zzinline_siza7eza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_o1136z00_2741))),
						BgL_arg1675z00_2963);
				}
				return
					((BgL_switchz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1136z00_2741)));
			}
		}

	}



/* &lambda1661 */
	BgL_switchz00_bglt BGl_z62lambda1661z62zzinline_siza7eza7(obj_t
		BgL_envz00_2742, obj_t BgL_loc1128z00_2743, obj_t BgL_type1129z00_2744,
		obj_t BgL_sidezd2effect1130zd2_2745, obj_t BgL_key1131z00_2746,
		obj_t BgL_test1132z00_2747, obj_t BgL_clauses1133z00_2748,
		obj_t BgL_itemzd2type1134zd2_2749, obj_t BgL_siza7e1135za7_2750)
	{
		{	/* Inline/size.scm 24 */
			{	/* Inline/size.scm 24 */
				long BgL_siza7e1135za7_2967;

				BgL_siza7e1135za7_2967 = (long) CINT(BgL_siza7e1135za7_2750);
				{	/* Inline/size.scm 24 */
					BgL_switchz00_bglt BgL_new1243z00_2968;

					{	/* Inline/size.scm 24 */
						BgL_switchz00_bglt BgL_tmp1241z00_2969;
						BgL_siza7edzd2switchz75_bglt BgL_wide1242z00_2970;

						{
							BgL_switchz00_bglt BgL_auxz00_3646;

							{	/* Inline/size.scm 24 */
								BgL_switchz00_bglt BgL_new1240z00_2971;

								BgL_new1240z00_2971 =
									((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_switchz00_bgl))));
								{	/* Inline/size.scm 24 */
									long BgL_arg1667z00_2972;

									BgL_arg1667z00_2972 =
										BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1240z00_2971),
										BgL_arg1667z00_2972);
								}
								{	/* Inline/size.scm 24 */
									BgL_objectz00_bglt BgL_tmpz00_3651;

									BgL_tmpz00_3651 = ((BgL_objectz00_bglt) BgL_new1240z00_2971);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3651, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1240z00_2971);
								BgL_auxz00_3646 = BgL_new1240z00_2971;
							}
							BgL_tmp1241z00_2969 = ((BgL_switchz00_bglt) BgL_auxz00_3646);
						}
						BgL_wide1242z00_2970 =
							((BgL_siza7edzd2switchz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_siza7edzd2switchz75_bgl))));
						{	/* Inline/size.scm 24 */
							obj_t BgL_auxz00_3659;
							BgL_objectz00_bglt BgL_tmpz00_3657;

							BgL_auxz00_3659 = ((obj_t) BgL_wide1242z00_2970);
							BgL_tmpz00_3657 = ((BgL_objectz00_bglt) BgL_tmp1241z00_2969);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3657, BgL_auxz00_3659);
						}
						((BgL_objectz00_bglt) BgL_tmp1241z00_2969);
						{	/* Inline/size.scm 24 */
							long BgL_arg1665z00_2973;

							BgL_arg1665z00_2973 =
								BGL_CLASS_NUM(BGl_siza7edzd2switchz75zzinline_siza7eza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1241z00_2969),
								BgL_arg1665z00_2973);
						}
						BgL_new1243z00_2968 = ((BgL_switchz00_bglt) BgL_tmp1241z00_2969);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1243z00_2968)))->BgL_locz00) =
						((obj_t) BgL_loc1128z00_2743), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1243z00_2968)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1129z00_2744)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1243z00_2968)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1130zd2_2745), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1243z00_2968)))->BgL_keyz00) =
						((obj_t) BgL_key1131z00_2746), BUNSPEC);
					((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
										BgL_new1243z00_2968)))->BgL_testz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1132z00_2747)),
						BUNSPEC);
					((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
										BgL_new1243z00_2968)))->BgL_clausesz00) =
						((obj_t) BgL_clauses1133z00_2748), BUNSPEC);
					((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
										BgL_new1243z00_2968)))->BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BgL_itemzd2type1134zd2_2749)), BUNSPEC);
					{
						BgL_siza7edzd2switchz75_bglt BgL_auxz00_3684;

						{
							obj_t BgL_auxz00_3685;

							{	/* Inline/size.scm 24 */
								BgL_objectz00_bglt BgL_tmpz00_3686;

								BgL_tmpz00_3686 = ((BgL_objectz00_bglt) BgL_new1243z00_2968);
								BgL_auxz00_3685 = BGL_OBJECT_WIDENING(BgL_tmpz00_3686);
							}
							BgL_auxz00_3684 =
								((BgL_siza7edzd2switchz75_bglt) BgL_auxz00_3685);
						}
						((((BgL_siza7edzd2switchz75_bglt) COBJECT(BgL_auxz00_3684))->
								BgL_siza7eza7) = ((long) BgL_siza7e1135za7_2967), BUNSPEC);
					}
					return BgL_new1243z00_2968;
				}
			}
		}

	}



/* &lambda1697 */
	obj_t BGl_z62lambda1697z62zzinline_siza7eza7(obj_t BgL_envz00_2751,
		obj_t BgL_oz00_2752, obj_t BgL_vz00_2753)
	{
		{	/* Inline/size.scm 24 */
			{	/* Inline/size.scm 24 */
				long BgL_vz00_2975;

				BgL_vz00_2975 = (long) CINT(BgL_vz00_2753);
				{
					BgL_siza7edzd2switchz75_bglt BgL_auxz00_3692;

					{
						obj_t BgL_auxz00_3693;

						{	/* Inline/size.scm 24 */
							BgL_objectz00_bglt BgL_tmpz00_3694;

							BgL_tmpz00_3694 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_2752));
							BgL_auxz00_3693 = BGL_OBJECT_WIDENING(BgL_tmpz00_3694);
						}
						BgL_auxz00_3692 = ((BgL_siza7edzd2switchz75_bglt) BgL_auxz00_3693);
					}
					return
						((((BgL_siza7edzd2switchz75_bglt) COBJECT(BgL_auxz00_3692))->
							BgL_siza7eza7) = ((long) BgL_vz00_2975), BUNSPEC);
		}}}

	}



/* &lambda1696 */
	obj_t BGl_z62lambda1696z62zzinline_siza7eza7(obj_t BgL_envz00_2754,
		obj_t BgL_oz00_2755)
	{
		{	/* Inline/size.scm 24 */
			{	/* Inline/size.scm 24 */
				long BgL_tmpz00_3700;

				{
					BgL_siza7edzd2switchz75_bglt BgL_auxz00_3701;

					{
						obj_t BgL_auxz00_3702;

						{	/* Inline/size.scm 24 */
							BgL_objectz00_bglt BgL_tmpz00_3703;

							BgL_tmpz00_3703 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_2755));
							BgL_auxz00_3702 = BGL_OBJECT_WIDENING(BgL_tmpz00_3703);
						}
						BgL_auxz00_3701 = ((BgL_siza7edzd2switchz75_bglt) BgL_auxz00_3702);
					}
					BgL_tmpz00_3700 =
						(((BgL_siza7edzd2switchz75_bglt) COBJECT(BgL_auxz00_3701))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_3700);
			}
		}

	}



/* &lambda1608 */
	BgL_syncz00_bglt BGl_z62lambda1608z62zzinline_siza7eza7(obj_t BgL_envz00_2756,
		obj_t BgL_o1126z00_2757)
	{
		{	/* Inline/size.scm 23 */
			{	/* Inline/size.scm 23 */
				long BgL_arg1612z00_2978;

				{	/* Inline/size.scm 23 */
					obj_t BgL_arg1613z00_2979;

					{	/* Inline/size.scm 23 */
						obj_t BgL_arg1619z00_2980;

						{	/* Inline/size.scm 23 */
							long BgL_arg1833z00_2981;

							{	/* Inline/size.scm 23 */
								long BgL_arg1834z00_2982;

								BgL_arg1834z00_2982 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_syncz00_bglt) BgL_o1126z00_2757)));
								BgL_arg1833z00_2981 = (BgL_arg1834z00_2982 - OBJECT_TYPE);
							}
							BgL_arg1619z00_2980 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_2981);
						}
						BgL_arg1613z00_2979 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1619z00_2980);
					}
					{	/* Inline/size.scm 23 */
						obj_t BgL_tmpz00_3716;

						BgL_tmpz00_3716 = ((obj_t) BgL_arg1613z00_2979);
						BgL_arg1612z00_2978 = BGL_CLASS_NUM(BgL_tmpz00_3716);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_syncz00_bglt) BgL_o1126z00_2757)), BgL_arg1612z00_2978);
			}
			{	/* Inline/size.scm 23 */
				BgL_objectz00_bglt BgL_tmpz00_3722;

				BgL_tmpz00_3722 =
					((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_o1126z00_2757));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3722, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_o1126z00_2757));
			return ((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1126z00_2757));
		}

	}



/* &<@anonymous:1607> */
	obj_t BGl_z62zc3z04anonymousza31607ze3ze5zzinline_siza7eza7(obj_t
		BgL_envz00_2758, obj_t BgL_new1125z00_2759)
	{
		{	/* Inline/size.scm 23 */
			{
				BgL_syncz00_bglt BgL_auxz00_3730;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_new1125z00_2759))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3734;

					{	/* Inline/size.scm 23 */
						obj_t BgL_classz00_2984;

						BgL_classz00_2984 = BGl_typez00zztype_typez00;
						{	/* Inline/size.scm 23 */
							obj_t BgL__ortest_1112z00_2985;

							BgL__ortest_1112z00_2985 = BGL_CLASS_NIL(BgL_classz00_2984);
							if (CBOOL(BgL__ortest_1112z00_2985))
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3734 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_2985);
								}
							else
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3734 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2984));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_syncz00_bglt) BgL_new1125z00_2759))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3734), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3744;

					{	/* Inline/size.scm 23 */
						obj_t BgL_classz00_2986;

						BgL_classz00_2986 = BGl_nodez00zzast_nodez00;
						{	/* Inline/size.scm 23 */
							obj_t BgL__ortest_1112z00_2987;

							BgL__ortest_1112z00_2987 = BGL_CLASS_NIL(BgL_classz00_2986);
							if (CBOOL(BgL__ortest_1112z00_2987))
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3744 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_2987);
								}
							else
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3744 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2986));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt)
										((BgL_syncz00_bglt) BgL_new1125z00_2759))))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3744), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3754;

					{	/* Inline/size.scm 23 */
						obj_t BgL_classz00_2988;

						BgL_classz00_2988 = BGl_nodez00zzast_nodez00;
						{	/* Inline/size.scm 23 */
							obj_t BgL__ortest_1112z00_2989;

							BgL__ortest_1112z00_2989 = BGL_CLASS_NIL(BgL_classz00_2988);
							if (CBOOL(BgL__ortest_1112z00_2989))
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3754 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_2989);
								}
							else
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3754 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2988));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt)
										((BgL_syncz00_bglt) BgL_new1125z00_2759))))->
							BgL_prelockz00) = ((BgL_nodez00_bglt) BgL_auxz00_3754), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3764;

					{	/* Inline/size.scm 23 */
						obj_t BgL_classz00_2990;

						BgL_classz00_2990 = BGl_nodez00zzast_nodez00;
						{	/* Inline/size.scm 23 */
							obj_t BgL__ortest_1112z00_2991;

							BgL__ortest_1112z00_2991 = BGL_CLASS_NIL(BgL_classz00_2990);
							if (CBOOL(BgL__ortest_1112z00_2991))
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3764 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_2991);
								}
							else
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3764 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2990));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt)
										((BgL_syncz00_bglt) BgL_new1125z00_2759))))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3764), BUNSPEC);
				}
				{
					BgL_siza7edzd2syncz75_bglt BgL_auxz00_3774;

					{
						obj_t BgL_auxz00_3775;

						{	/* Inline/size.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_3776;

							BgL_tmpz00_3776 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_new1125z00_2759));
							BgL_auxz00_3775 = BGL_OBJECT_WIDENING(BgL_tmpz00_3776);
						}
						BgL_auxz00_3774 = ((BgL_siza7edzd2syncz75_bglt) BgL_auxz00_3775);
					}
					((((BgL_siza7edzd2syncz75_bglt) COBJECT(BgL_auxz00_3774))->
							BgL_siza7eza7) = ((long) ((long) 0)), BUNSPEC);
				}
				BgL_auxz00_3730 = ((BgL_syncz00_bglt) BgL_new1125z00_2759);
				return ((obj_t) BgL_auxz00_3730);
			}
		}

	}



/* &lambda1605 */
	BgL_syncz00_bglt BGl_z62lambda1605z62zzinline_siza7eza7(obj_t BgL_envz00_2760,
		obj_t BgL_o1122z00_2761)
	{
		{	/* Inline/size.scm 23 */
			{	/* Inline/size.scm 23 */
				BgL_siza7edzd2syncz75_bglt BgL_wide1124z00_2993;

				BgL_wide1124z00_2993 =
					((BgL_siza7edzd2syncz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_siza7edzd2syncz75_bgl))));
				{	/* Inline/size.scm 23 */
					obj_t BgL_auxz00_3789;
					BgL_objectz00_bglt BgL_tmpz00_3785;

					BgL_auxz00_3789 = ((obj_t) BgL_wide1124z00_2993);
					BgL_tmpz00_3785 =
						((BgL_objectz00_bglt)
						((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1122z00_2761)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3785, BgL_auxz00_3789);
				}
				((BgL_objectz00_bglt)
					((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1122z00_2761)));
				{	/* Inline/size.scm 23 */
					long BgL_arg1606z00_2994;

					BgL_arg1606z00_2994 =
						BGL_CLASS_NUM(BGl_siza7edzd2syncz75zzinline_siza7eza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_syncz00_bglt)
								((BgL_syncz00_bglt) BgL_o1122z00_2761))), BgL_arg1606z00_2994);
				}
				return
					((BgL_syncz00_bglt)
					((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1122z00_2761)));
			}
		}

	}



/* &lambda1602 */
	BgL_syncz00_bglt BGl_z62lambda1602z62zzinline_siza7eza7(obj_t BgL_envz00_2762,
		obj_t BgL_loc1116z00_2763, obj_t BgL_type1117z00_2764,
		obj_t BgL_mutex1118z00_2765, obj_t BgL_prelock1119z00_2766,
		obj_t BgL_body1120z00_2767, obj_t BgL_siza7e1121za7_2768)
	{
		{	/* Inline/size.scm 23 */
			{	/* Inline/size.scm 23 */
				long BgL_siza7e1121za7_2999;

				BgL_siza7e1121za7_2999 = (long) CINT(BgL_siza7e1121za7_2768);
				{	/* Inline/size.scm 23 */
					BgL_syncz00_bglt BgL_new1238z00_3000;

					{	/* Inline/size.scm 23 */
						BgL_syncz00_bglt BgL_tmp1236z00_3001;
						BgL_siza7edzd2syncz75_bglt BgL_wide1237z00_3002;

						{
							BgL_syncz00_bglt BgL_auxz00_3804;

							{	/* Inline/size.scm 23 */
								BgL_syncz00_bglt BgL_new1235z00_3003;

								BgL_new1235z00_3003 =
									((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_syncz00_bgl))));
								{	/* Inline/size.scm 23 */
									long BgL_arg1604z00_3004;

									BgL_arg1604z00_3004 = BGL_CLASS_NUM(BGl_syncz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1235z00_3003),
										BgL_arg1604z00_3004);
								}
								{	/* Inline/size.scm 23 */
									BgL_objectz00_bglt BgL_tmpz00_3809;

									BgL_tmpz00_3809 = ((BgL_objectz00_bglt) BgL_new1235z00_3003);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3809, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1235z00_3003);
								BgL_auxz00_3804 = BgL_new1235z00_3003;
							}
							BgL_tmp1236z00_3001 = ((BgL_syncz00_bglt) BgL_auxz00_3804);
						}
						BgL_wide1237z00_3002 =
							((BgL_siza7edzd2syncz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_siza7edzd2syncz75_bgl))));
						{	/* Inline/size.scm 23 */
							obj_t BgL_auxz00_3817;
							BgL_objectz00_bglt BgL_tmpz00_3815;

							BgL_auxz00_3817 = ((obj_t) BgL_wide1237z00_3002);
							BgL_tmpz00_3815 = ((BgL_objectz00_bglt) BgL_tmp1236z00_3001);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3815, BgL_auxz00_3817);
						}
						((BgL_objectz00_bglt) BgL_tmp1236z00_3001);
						{	/* Inline/size.scm 23 */
							long BgL_arg1603z00_3005;

							BgL_arg1603z00_3005 =
								BGL_CLASS_NUM(BGl_siza7edzd2syncz75zzinline_siza7eza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1236z00_3001),
								BgL_arg1603z00_3005);
						}
						BgL_new1238z00_3000 = ((BgL_syncz00_bglt) BgL_tmp1236z00_3001);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1238z00_3000)))->BgL_locz00) =
						((obj_t) BgL_loc1116z00_2763), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1238z00_3000)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1117z00_2764)),
						BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
										BgL_new1238z00_3000)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_mutex1118z00_2765)),
						BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
										BgL_new1238z00_3000)))->BgL_prelockz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_prelock1119z00_2766)),
						BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
										BgL_new1238z00_3000)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1120z00_2767)),
						BUNSPEC);
					{
						BgL_siza7edzd2syncz75_bglt BgL_auxz00_3839;

						{
							obj_t BgL_auxz00_3840;

							{	/* Inline/size.scm 23 */
								BgL_objectz00_bglt BgL_tmpz00_3841;

								BgL_tmpz00_3841 = ((BgL_objectz00_bglt) BgL_new1238z00_3000);
								BgL_auxz00_3840 = BGL_OBJECT_WIDENING(BgL_tmpz00_3841);
							}
							BgL_auxz00_3839 = ((BgL_siza7edzd2syncz75_bglt) BgL_auxz00_3840);
						}
						((((BgL_siza7edzd2syncz75_bglt) COBJECT(BgL_auxz00_3839))->
								BgL_siza7eza7) = ((long) BgL_siza7e1121za7_2999), BUNSPEC);
					}
					return BgL_new1238z00_3000;
				}
			}
		}

	}



/* &lambda1634 */
	obj_t BGl_z62lambda1634z62zzinline_siza7eza7(obj_t BgL_envz00_2769,
		obj_t BgL_oz00_2770, obj_t BgL_vz00_2771)
	{
		{	/* Inline/size.scm 23 */
			{	/* Inline/size.scm 23 */
				long BgL_vz00_3007;

				BgL_vz00_3007 = (long) CINT(BgL_vz00_2771);
				{
					BgL_siza7edzd2syncz75_bglt BgL_auxz00_3847;

					{
						obj_t BgL_auxz00_3848;

						{	/* Inline/size.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_3849;

							BgL_tmpz00_3849 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_2770));
							BgL_auxz00_3848 = BGL_OBJECT_WIDENING(BgL_tmpz00_3849);
						}
						BgL_auxz00_3847 = ((BgL_siza7edzd2syncz75_bglt) BgL_auxz00_3848);
					}
					return
						((((BgL_siza7edzd2syncz75_bglt) COBJECT(BgL_auxz00_3847))->
							BgL_siza7eza7) = ((long) BgL_vz00_3007), BUNSPEC);
		}}}

	}



/* &lambda1633 */
	obj_t BGl_z62lambda1633z62zzinline_siza7eza7(obj_t BgL_envz00_2772,
		obj_t BgL_oz00_2773)
	{
		{	/* Inline/size.scm 23 */
			{	/* Inline/size.scm 23 */
				long BgL_tmpz00_3855;

				{
					BgL_siza7edzd2syncz75_bglt BgL_auxz00_3856;

					{
						obj_t BgL_auxz00_3857;

						{	/* Inline/size.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_3858;

							BgL_tmpz00_3858 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_2773));
							BgL_auxz00_3857 = BGL_OBJECT_WIDENING(BgL_tmpz00_3858);
						}
						BgL_auxz00_3856 = ((BgL_siza7edzd2syncz75_bglt) BgL_auxz00_3857);
					}
					BgL_tmpz00_3855 =
						(((BgL_siza7edzd2syncz75_bglt) COBJECT(BgL_auxz00_3856))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_3855);
			}
		}

	}



/* &lambda1565 */
	BgL_sequencez00_bglt BGl_z62lambda1565z62zzinline_siza7eza7(obj_t
		BgL_envz00_2774, obj_t BgL_o1114z00_2775)
	{
		{	/* Inline/size.scm 22 */
			{	/* Inline/size.scm 22 */
				long BgL_arg1567z00_3010;

				{	/* Inline/size.scm 22 */
					obj_t BgL_arg1570z00_3011;

					{	/* Inline/size.scm 22 */
						obj_t BgL_arg1571z00_3012;

						{	/* Inline/size.scm 22 */
							long BgL_arg1833z00_3013;

							{	/* Inline/size.scm 22 */
								long BgL_arg1834z00_3014;

								BgL_arg1834z00_3014 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt) BgL_o1114z00_2775)));
								BgL_arg1833z00_3013 = (BgL_arg1834z00_3014 - OBJECT_TYPE);
							}
							BgL_arg1571z00_3012 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_3013);
						}
						BgL_arg1570z00_3011 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1571z00_3012);
					}
					{	/* Inline/size.scm 22 */
						obj_t BgL_tmpz00_3871;

						BgL_tmpz00_3871 = ((obj_t) BgL_arg1570z00_3011);
						BgL_arg1567z00_3010 = BGL_CLASS_NUM(BgL_tmpz00_3871);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sequencez00_bglt) BgL_o1114z00_2775)), BgL_arg1567z00_3010);
			}
			{	/* Inline/size.scm 22 */
				BgL_objectz00_bglt BgL_tmpz00_3877;

				BgL_tmpz00_3877 =
					((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_o1114z00_2775));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3877, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_o1114z00_2775));
			return
				((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_o1114z00_2775));
		}

	}



/* &<@anonymous:1564> */
	obj_t BGl_z62zc3z04anonymousza31564ze3ze5zzinline_siza7eza7(obj_t
		BgL_envz00_2776, obj_t BgL_new1113z00_2777)
	{
		{	/* Inline/size.scm 22 */
			{
				BgL_sequencez00_bglt BgL_auxz00_3885;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_sequencez00_bglt) BgL_new1113z00_2777))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3889;

					{	/* Inline/size.scm 22 */
						obj_t BgL_classz00_3016;

						BgL_classz00_3016 = BGl_typez00zztype_typez00;
						{	/* Inline/size.scm 22 */
							obj_t BgL__ortest_1112z00_3017;

							BgL__ortest_1112z00_3017 = BGL_CLASS_NIL(BgL_classz00_3016);
							if (CBOOL(BgL__ortest_1112z00_3017))
								{	/* Inline/size.scm 22 */
									BgL_auxz00_3889 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_3017);
								}
							else
								{	/* Inline/size.scm 22 */
									BgL_auxz00_3889 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3016));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_sequencez00_bglt) BgL_new1113z00_2777))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3889), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_sequencez00_bglt) BgL_new1113z00_2777))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_sequencez00_bglt)
										BgL_new1113z00_2777))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sequencez00_bglt)
							COBJECT(((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
										BgL_new1113z00_2777))))->BgL_nodesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_sequencez00_bglt)
							COBJECT(((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
										BgL_new1113z00_2777))))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_sequencez00_bglt)
							COBJECT(((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
										BgL_new1113z00_2777))))->BgL_metaz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_siza7edzd2sequencez75_bglt BgL_auxz00_3914;

					{
						obj_t BgL_auxz00_3915;

						{	/* Inline/size.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_3916;

							BgL_tmpz00_3916 =
								((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt) BgL_new1113z00_2777));
							BgL_auxz00_3915 = BGL_OBJECT_WIDENING(BgL_tmpz00_3916);
						}
						BgL_auxz00_3914 =
							((BgL_siza7edzd2sequencez75_bglt) BgL_auxz00_3915);
					}
					((((BgL_siza7edzd2sequencez75_bglt) COBJECT(BgL_auxz00_3914))->
							BgL_siza7eza7) = ((long) ((long) 0)), BUNSPEC);
				}
				BgL_auxz00_3885 = ((BgL_sequencez00_bglt) BgL_new1113z00_2777);
				return ((obj_t) BgL_auxz00_3885);
			}
		}

	}



/* &lambda1556 */
	BgL_sequencez00_bglt BGl_z62lambda1556z62zzinline_siza7eza7(obj_t
		BgL_envz00_2778, obj_t BgL_o1110z00_2779)
	{
		{	/* Inline/size.scm 22 */
			{	/* Inline/size.scm 22 */
				BgL_siza7edzd2sequencez75_bglt BgL_wide1112z00_3019;

				BgL_wide1112z00_3019 =
					((BgL_siza7edzd2sequencez75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_siza7edzd2sequencez75_bgl))));
				{	/* Inline/size.scm 22 */
					obj_t BgL_auxz00_3929;
					BgL_objectz00_bglt BgL_tmpz00_3925;

					BgL_auxz00_3929 = ((obj_t) BgL_wide1112z00_3019);
					BgL_tmpz00_3925 =
						((BgL_objectz00_bglt)
						((BgL_sequencez00_bglt)
							((BgL_sequencez00_bglt) BgL_o1110z00_2779)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3925, BgL_auxz00_3929);
				}
				((BgL_objectz00_bglt)
					((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_o1110z00_2779)));
				{	/* Inline/size.scm 22 */
					long BgL_arg1563z00_3020;

					BgL_arg1563z00_3020 =
						BGL_CLASS_NUM(BGl_siza7edzd2sequencez75zzinline_siza7eza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sequencez00_bglt)
								((BgL_sequencez00_bglt) BgL_o1110z00_2779))),
						BgL_arg1563z00_3020);
				}
				return
					((BgL_sequencez00_bglt)
					((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_o1110z00_2779)));
			}
		}

	}



/* &lambda1553 */
	BgL_sequencez00_bglt BGl_z62lambda1553z62zzinline_siza7eza7(obj_t
		BgL_envz00_2780, obj_t BgL_loc1102z00_2781, obj_t BgL_type1103z00_2782,
		obj_t BgL_sidezd2effect1104zd2_2783, obj_t BgL_key1105z00_2784,
		obj_t BgL_nodes1106z00_2785, obj_t BgL_unsafe1107z00_2786,
		obj_t BgL_meta1108z00_2787, obj_t BgL_siza7e1109za7_2788)
	{
		{	/* Inline/size.scm 22 */
			{	/* Inline/size.scm 22 */
				bool_t BgL_unsafe1107z00_3023;
				long BgL_siza7e1109za7_3025;

				BgL_unsafe1107z00_3023 = CBOOL(BgL_unsafe1107z00_2786);
				BgL_siza7e1109za7_3025 = (long) CINT(BgL_siza7e1109za7_2788);
				{	/* Inline/size.scm 22 */
					BgL_sequencez00_bglt BgL_new1233z00_3026;

					{	/* Inline/size.scm 22 */
						BgL_sequencez00_bglt BgL_tmp1231z00_3027;
						BgL_siza7edzd2sequencez75_bglt BgL_wide1232z00_3028;

						{
							BgL_sequencez00_bglt BgL_auxz00_3945;

							{	/* Inline/size.scm 22 */
								BgL_sequencez00_bglt BgL_new1230z00_3029;

								BgL_new1230z00_3029 =
									((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sequencez00_bgl))));
								{	/* Inline/size.scm 22 */
									long BgL_arg1555z00_3030;

									BgL_arg1555z00_3030 =
										BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1230z00_3029),
										BgL_arg1555z00_3030);
								}
								{	/* Inline/size.scm 22 */
									BgL_objectz00_bglt BgL_tmpz00_3950;

									BgL_tmpz00_3950 = ((BgL_objectz00_bglt) BgL_new1230z00_3029);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3950, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1230z00_3029);
								BgL_auxz00_3945 = BgL_new1230z00_3029;
							}
							BgL_tmp1231z00_3027 = ((BgL_sequencez00_bglt) BgL_auxz00_3945);
						}
						BgL_wide1232z00_3028 =
							((BgL_siza7edzd2sequencez75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_siza7edzd2sequencez75_bgl))));
						{	/* Inline/size.scm 22 */
							obj_t BgL_auxz00_3958;
							BgL_objectz00_bglt BgL_tmpz00_3956;

							BgL_auxz00_3958 = ((obj_t) BgL_wide1232z00_3028);
							BgL_tmpz00_3956 = ((BgL_objectz00_bglt) BgL_tmp1231z00_3027);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3956, BgL_auxz00_3958);
						}
						((BgL_objectz00_bglt) BgL_tmp1231z00_3027);
						{	/* Inline/size.scm 22 */
							long BgL_arg1554z00_3031;

							BgL_arg1554z00_3031 =
								BGL_CLASS_NUM(BGl_siza7edzd2sequencez75zzinline_siza7eza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1231z00_3027),
								BgL_arg1554z00_3031);
						}
						BgL_new1233z00_3026 = ((BgL_sequencez00_bglt) BgL_tmp1231z00_3027);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1233z00_3026)))->BgL_locz00) =
						((obj_t) BgL_loc1102z00_2781), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1233z00_3026)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1103z00_2782)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1233z00_3026)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1104zd2_2783), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1233z00_3026)))->BgL_keyz00) =
						((obj_t) BgL_key1105z00_2784), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_new1233z00_3026)))->BgL_nodesz00) =
						((obj_t) ((obj_t) BgL_nodes1106z00_2785)), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_new1233z00_3026)))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1107z00_3023), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_new1233z00_3026)))->BgL_metaz00) =
						((obj_t) ((obj_t) BgL_meta1108z00_2787)), BUNSPEC);
					{
						BgL_siza7edzd2sequencez75_bglt BgL_auxz00_3983;

						{
							obj_t BgL_auxz00_3984;

							{	/* Inline/size.scm 22 */
								BgL_objectz00_bglt BgL_tmpz00_3985;

								BgL_tmpz00_3985 = ((BgL_objectz00_bglt) BgL_new1233z00_3026);
								BgL_auxz00_3984 = BGL_OBJECT_WIDENING(BgL_tmpz00_3985);
							}
							BgL_auxz00_3983 =
								((BgL_siza7edzd2sequencez75_bglt) BgL_auxz00_3984);
						}
						((((BgL_siza7edzd2sequencez75_bglt) COBJECT(BgL_auxz00_3983))->
								BgL_siza7eza7) = ((long) BgL_siza7e1109za7_3025), BUNSPEC);
					}
					return BgL_new1233z00_3026;
				}
			}
		}

	}



/* &lambda1584 */
	obj_t BGl_z62lambda1584z62zzinline_siza7eza7(obj_t BgL_envz00_2789,
		obj_t BgL_oz00_2790, obj_t BgL_vz00_2791)
	{
		{	/* Inline/size.scm 22 */
			{	/* Inline/size.scm 22 */
				long BgL_vz00_3033;

				BgL_vz00_3033 = (long) CINT(BgL_vz00_2791);
				{
					BgL_siza7edzd2sequencez75_bglt BgL_auxz00_3991;

					{
						obj_t BgL_auxz00_3992;

						{	/* Inline/size.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_3993;

							BgL_tmpz00_3993 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_2790));
							BgL_auxz00_3992 = BGL_OBJECT_WIDENING(BgL_tmpz00_3993);
						}
						BgL_auxz00_3991 =
							((BgL_siza7edzd2sequencez75_bglt) BgL_auxz00_3992);
					}
					return
						((((BgL_siza7edzd2sequencez75_bglt) COBJECT(BgL_auxz00_3991))->
							BgL_siza7eza7) = ((long) BgL_vz00_3033), BUNSPEC);
		}}}

	}



/* &lambda1583 */
	obj_t BGl_z62lambda1583z62zzinline_siza7eza7(obj_t BgL_envz00_2792,
		obj_t BgL_oz00_2793)
	{
		{	/* Inline/size.scm 22 */
			{	/* Inline/size.scm 22 */
				long BgL_tmpz00_3999;

				{
					BgL_siza7edzd2sequencez75_bglt BgL_auxz00_4000;

					{
						obj_t BgL_auxz00_4001;

						{	/* Inline/size.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_4002;

							BgL_tmpz00_4002 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_2793));
							BgL_auxz00_4001 = BGL_OBJECT_WIDENING(BgL_tmpz00_4002);
						}
						BgL_auxz00_4000 =
							((BgL_siza7edzd2sequencez75_bglt) BgL_auxz00_4001);
					}
					BgL_tmpz00_3999 =
						(((BgL_siza7edzd2sequencez75_bglt) COBJECT(BgL_auxz00_4000))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_3999);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_siza7eza7()
	{
		{	/* Inline/size.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_proc2066z00zzinline_siza7eza7, BGl_nodez00zzast_nodez00,
				BGl_string2067z00zzinline_siza7eza7);
		}

	}



/* &node-size1382 */
	obj_t BGl_z62nodezd2siza7e1382z17zzinline_siza7eza7(obj_t BgL_envz00_2795,
		obj_t BgL_nodez00_2796)
	{
		{	/* Inline/size.scm 33 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 8)),
				BGl_string2068z00zzinline_siza7eza7,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2796)));
		}

	}



/* node-size */
	BGL_EXPORTED_DEF long BGl_nodezd2siza7ez75zzinline_siza7eza7(BgL_nodez00_bglt
		BgL_nodez00_152)
	{
		{	/* Inline/size.scm 33 */
			{	/* Inline/size.scm 33 */
				obj_t BgL_method1385z00_1811;

				{	/* Inline/size.scm 33 */
					obj_t BgL_res2035z00_2497;

					{	/* Inline/size.scm 33 */
						long BgL_objzd2classzd2numz00_2468;

						BgL_objzd2classzd2numz00_2468 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_152));
						{	/* Inline/size.scm 33 */
							obj_t BgL_arg1829z00_2469;

							BgL_arg1829z00_2469 =
								PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
								(int) (((long) 1)));
							{	/* Inline/size.scm 33 */
								int BgL_offsetz00_2472;

								BgL_offsetz00_2472 = (int) (BgL_objzd2classzd2numz00_2468);
								{	/* Inline/size.scm 33 */
									long BgL_offsetz00_2473;

									BgL_offsetz00_2473 =
										((long) (BgL_offsetz00_2472) - OBJECT_TYPE);
									{	/* Inline/size.scm 33 */
										long BgL_modz00_2474;

										BgL_modz00_2474 =
											(BgL_offsetz00_2473 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Inline/size.scm 33 */
											long BgL_restz00_2476;

											BgL_restz00_2476 =
												(BgL_offsetz00_2473 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Inline/size.scm 33 */

												{	/* Inline/size.scm 33 */
													obj_t BgL_bucketz00_2478;

													BgL_bucketz00_2478 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2469), BgL_modz00_2474);
													BgL_res2035z00_2497 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2478), BgL_restz00_2476);
					}}}}}}}}
					BgL_method1385z00_1811 = BgL_res2035z00_2497;
				}
				return
					(long)
					CINT(PROCEDURE_ENTRY(BgL_method1385z00_1811) (BgL_method1385z00_1811,
						((obj_t) BgL_nodez00_152), BEOA));
		}}

	}



/* &node-size */
	obj_t BGl_z62nodezd2siza7ez17zzinline_siza7eza7(obj_t BgL_envz00_2797,
		obj_t BgL_nodez00_2798)
	{
		{	/* Inline/size.scm 33 */
			return
				BINT(BGl_nodezd2siza7ez75zzinline_siza7eza7(
					((BgL_nodez00_bglt) BgL_nodez00_2798)));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_siza7eza7()
	{
		{	/* Inline/size.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_atomz00zzast_nodez00,
				BGl_proc2069z00zzinline_siza7eza7, BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_varz00zzast_nodez00,
				BGl_proc2071z00zzinline_siza7eza7, BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_kwotez00zzast_nodez00, BGl_proc2072z00zzinline_siza7eza7,
				BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_sequencez00zzast_nodez00, BGl_proc2073z00zzinline_siza7eza7,
				BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_siza7edzd2sequencez75zzinline_siza7eza7,
				BGl_proc2074z00zzinline_siza7eza7, BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_syncz00zzast_nodez00,
				BGl_proc2075z00zzinline_siza7eza7, BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_siza7edzd2syncz75zzinline_siza7eza7,
				BGl_proc2076z00zzinline_siza7eza7, BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_appz00zzast_nodez00,
				BGl_proc2077z00zzinline_siza7eza7, BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2078z00zzinline_siza7eza7,
				BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_funcallz00zzast_nodez00, BGl_proc2079z00zzinline_siza7eza7,
				BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_castz00zzast_nodez00,
				BGl_proc2080z00zzinline_siza7eza7, BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_externz00zzast_nodez00, BGl_proc2081z00zzinline_siza7eza7,
				BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_setqz00zzast_nodez00,
				BGl_proc2082z00zzinline_siza7eza7, BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc2083z00zzinline_siza7eza7,
				BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_failz00zzast_nodez00,
				BGl_proc2084z00zzinline_siza7eza7, BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_switchz00zzast_nodez00, BGl_proc2085z00zzinline_siza7eza7,
				BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_siza7edzd2switchz75zzinline_siza7eza7,
				BGl_proc2086z00zzinline_siza7eza7, BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2087z00zzinline_siza7eza7,
				BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_siza7edzd2letzd2funza7zzinline_siza7eza7,
				BGl_proc2088z00zzinline_siza7eza7, BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2089z00zzinline_siza7eza7,
				BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_siza7edzd2letzd2varza7zzinline_siza7eza7,
				BGl_proc2090z00zzinline_siza7eza7, BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2091z00zzinline_siza7eza7,
				BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2092z00zzinline_siza7eza7,
				BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_retblockz00zzast_nodez00, BGl_proc2093z00zzinline_siza7eza7,
				BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_returnz00zzast_nodez00, BGl_proc2094z00zzinline_siza7eza7,
				BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2095z00zzinline_siza7eza7,
				BGl_string2070z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2096z00zzinline_siza7eza7,
				BGl_string2070z00zzinline_siza7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2097z00zzinline_siza7eza7,
				BGl_string2070z00zzinline_siza7eza7);
		}

	}



/* &node-size-box-set!1447 */
	obj_t BGl_z62nodezd2siza7ezd2boxzd2setz121447z05zzinline_siza7eza7(obj_t
		BgL_envz00_2827, obj_t BgL_nodez00_2828)
	{
		{	/* Inline/size.scm 272 */
			return
				BINT(
				(((long) 2) +
					BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2828)))->
							BgL_valuez00))));
		}

	}



/* &node-size-box-ref1445 */
	obj_t BGl_z62nodezd2siza7ezd2boxzd2ref1445z17zzinline_siza7eza7(obj_t
		BgL_envz00_2829, obj_t BgL_nodez00_2830)
	{
		{	/* Inline/size.scm 266 */
			return BINT(((long) 2));
		}

	}



/* &node-size-make-box1442 */
	obj_t BGl_z62nodezd2siza7ezd2makezd2box1442z17zzinline_siza7eza7(obj_t
		BgL_envz00_2831, obj_t BgL_nodez00_2832)
	{
		{	/* Inline/size.scm 260 */
			return
				BINT(
				(((long) 1) +
					BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_2832)))->
							BgL_valuez00))));
		}

	}



/* &node-size-return1440 */
	obj_t BGl_z62nodezd2siza7ezd2return1440zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2833, obj_t BgL_nodez00_2834)
	{
		{	/* Inline/size.scm 253 */
			return
				BINT(BGl_nodezd2siza7ez75zzinline_siza7eza7(
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2834)))->BgL_valuez00)));
		}

	}



/* &node-size-retblock1438 */
	obj_t BGl_z62nodezd2siza7ezd2retblock1438zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2835, obj_t BgL_nodez00_2836)
	{
		{	/* Inline/size.scm 246 */
			return
				BINT(BGl_nodezd2siza7ez75zzinline_siza7eza7(
					(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2836)))->BgL_bodyz00)));
		}

	}



/* &node-size-jump-ex-it1436 */
	obj_t BGl_z62nodezd2siza7ezd2jumpzd2exzd2it1436zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2837, obj_t BgL_nodez00_2838)
	{
		{	/* Inline/size.scm 238 */
			return
				BINT(
				(((long) 1) +
					(BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
										((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2838)))->
								BgL_exitz00)) +
						BGl_nodezd2siza7ez75zzinline_siza7eza7(((
									(BgL_jumpzd2exzd2itz00_bglt)
									COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2838)))->
								BgL_valuez00)))));
		}

	}



/* &node-size-set-ex-it1434 */
	obj_t BGl_z62nodezd2siza7ezd2setzd2exzd2it1434zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2839, obj_t BgL_nodez00_2840)
	{
		{	/* Inline/size.scm 230 */
			return
				BINT(
				(((long) 1) +
					(BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2840)))->
								BgL_bodyz00)) +
						BGl_nodezd2siza7ez75zzinline_siza7eza7((((BgL_setzd2exzd2itz00_bglt)
									COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2840)))->
								BgL_onexitz00)))));
		}

	}



/* &node-size-sized-let-1432 */
	obj_t BGl_z62nodezd2siza7ezd2siza7edzd2letzd21432z62zzinline_siza7eza7(obj_t
		BgL_envz00_2841, obj_t BgL_nodez00_2842)
	{
		{	/* Inline/size.scm 224 */
			{	/* Inline/size.scm 225 */
				long BgL_tmpz00_4113;

				{
					BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_4114;

					{
						obj_t BgL_auxz00_4115;

						{	/* Inline/size.scm 225 */
							BgL_objectz00_bglt BgL_tmpz00_4116;

							BgL_tmpz00_4116 =
								((BgL_objectz00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2842));
							BgL_auxz00_4115 = BGL_OBJECT_WIDENING(BgL_tmpz00_4116);
						}
						BgL_auxz00_4114 =
							((BgL_siza7edzd2letzd2varza7_bglt) BgL_auxz00_4115);
					}
					BgL_tmpz00_4113 =
						(((BgL_siza7edzd2letzd2varza7_bglt) COBJECT(BgL_auxz00_4114))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_4113);
			}
		}

	}



/* &node-size-let-var1430 */
	obj_t BGl_z62nodezd2siza7ezd2letzd2var1430z17zzinline_siza7eza7(obj_t
		BgL_envz00_2843, obj_t BgL_nodez00_2844)
	{
		{	/* Inline/size.scm 211 */
			{	/* Inline/size.scm 212 */
				long BgL_tmpz00_4123;

				{	/* Inline/size.scm 212 */
					obj_t BgL_g1222z00_3045;
					long BgL_g1223z00_3046;

					BgL_g1222z00_3045 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2844)))->BgL_bindingsz00);
					BgL_g1223z00_3046 =
						BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2844)))->BgL_bodyz00));
					{
						obj_t BgL_bindingsz00_3048;
						long BgL_siza7eza7_3049;

						BgL_bindingsz00_3048 = BgL_g1222z00_3045;
						BgL_siza7eza7_3049 = BgL_g1223z00_3046;
					BgL_loopz00_3047:
						if (NULLP(BgL_bindingsz00_3048))
							{	/* Inline/size.scm 214 */
								{	/* Inline/size.scm 216 */
									BgL_siza7edzd2letzd2varza7_bglt BgL_wide1226z00_3050;

									BgL_wide1226z00_3050 =
										((BgL_siza7edzd2letzd2varza7_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_siza7edzd2letzd2varza7_bgl))));
									{	/* Inline/size.scm 216 */
										obj_t BgL_auxz00_4136;
										BgL_objectz00_bglt BgL_tmpz00_4132;

										BgL_auxz00_4136 = ((obj_t) BgL_wide1226z00_3050);
										BgL_tmpz00_4132 =
											((BgL_objectz00_bglt)
											((BgL_letzd2varzd2_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2844)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4132, BgL_auxz00_4136);
									}
									((BgL_objectz00_bglt)
										((BgL_letzd2varzd2_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2844)));
									{	/* Inline/size.scm 216 */
										long BgL_arg1949z00_3051;

										BgL_arg1949z00_3051 =
											BGL_CLASS_NUM
											(BGl_siza7edzd2letzd2varza7zzinline_siza7eza7);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_letzd2varzd2_bglt) ((BgL_letzd2varzd2_bglt)
														BgL_nodez00_2844))), BgL_arg1949z00_3051);
									}
									((BgL_letzd2varzd2_bglt)
										((BgL_letzd2varzd2_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2844)));
								}
								{
									BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_4150;

									{
										obj_t BgL_auxz00_4151;

										{	/* Inline/size.scm 216 */
											BgL_objectz00_bglt BgL_tmpz00_4152;

											BgL_tmpz00_4152 =
												((BgL_objectz00_bglt)
												((BgL_letzd2varzd2_bglt)
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2844)));
											BgL_auxz00_4151 = BGL_OBJECT_WIDENING(BgL_tmpz00_4152);
										}
										BgL_auxz00_4150 =
											((BgL_siza7edzd2letzd2varza7_bglt) BgL_auxz00_4151);
									}
									((((BgL_siza7edzd2letzd2varza7_bglt)
												COBJECT(BgL_auxz00_4150))->BgL_siza7eza7) =
										((long) BgL_siza7eza7_3049), BUNSPEC);
								}
								((BgL_letzd2varzd2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2844));
								BgL_tmpz00_4123 = BgL_siza7eza7_3049;
							}
						else
							{	/* Inline/size.scm 218 */
								obj_t BgL_arg1950z00_3052;
								long BgL_arg1951z00_3053;

								BgL_arg1950z00_3052 = CDR(((obj_t) BgL_bindingsz00_3048));
								{	/* Inline/size.scm 219 */
									long BgL_arg1952z00_3054;

									{	/* Inline/size.scm 219 */
										obj_t BgL_arg1953z00_3055;

										{	/* Inline/size.scm 219 */
											obj_t BgL_pairz00_3056;

											BgL_pairz00_3056 = CAR(((obj_t) BgL_bindingsz00_3048));
											BgL_arg1953z00_3055 = CDR(BgL_pairz00_3056);
										}
										BgL_arg1952z00_3054 =
											BGl_nodezd2siza7ez75zzinline_siza7eza7(
											((BgL_nodez00_bglt) BgL_arg1953z00_3055));
									}
									BgL_arg1951z00_3053 =
										(BgL_siza7eza7_3049 + BgL_arg1952z00_3054);
								}
								{
									long BgL_siza7eza7_4170;
									obj_t BgL_bindingsz00_4169;

									BgL_bindingsz00_4169 = BgL_arg1950z00_3052;
									BgL_siza7eza7_4170 = BgL_arg1951z00_3053;
									BgL_siza7eza7_3049 = BgL_siza7eza7_4170;
									BgL_bindingsz00_3048 = BgL_bindingsz00_4169;
									goto BgL_loopz00_3047;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4123);
			}
		}

	}



/* &node-size-sized-let-1427 */
	obj_t BGl_z62nodezd2siza7ezd2siza7edzd2letzd21427z62zzinline_siza7eza7(obj_t
		BgL_envz00_2845, obj_t BgL_nodez00_2846)
	{
		{	/* Inline/size.scm 205 */
			{	/* Inline/size.scm 206 */
				long BgL_tmpz00_4172;

				{
					BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_4173;

					{
						obj_t BgL_auxz00_4174;

						{	/* Inline/size.scm 206 */
							BgL_objectz00_bglt BgL_tmpz00_4175;

							BgL_tmpz00_4175 =
								((BgL_objectz00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2846));
							BgL_auxz00_4174 = BGL_OBJECT_WIDENING(BgL_tmpz00_4175);
						}
						BgL_auxz00_4173 =
							((BgL_siza7edzd2letzd2funza7_bglt) BgL_auxz00_4174);
					}
					BgL_tmpz00_4172 =
						(((BgL_siza7edzd2letzd2funza7_bglt) COBJECT(BgL_auxz00_4173))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_4172);
			}
		}

	}



/* &node-size-let-fun1425 */
	obj_t BGl_z62nodezd2siza7ezd2letzd2fun1425z17zzinline_siza7eza7(obj_t
		BgL_envz00_2847, obj_t BgL_nodez00_2848)
	{
		{	/* Inline/size.scm 190 */
			{	/* Inline/size.scm 191 */
				long BgL_tmpz00_4182;

				{	/* Inline/size.scm 191 */
					obj_t BgL_g1216z00_3059;
					long BgL_g1217z00_3060;

					BgL_g1216z00_3059 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2848)))->BgL_localsz00);
					BgL_g1217z00_3060 =
						(bgl_list_length(
							(((BgL_letzd2funzd2_bglt) COBJECT(
										((BgL_letzd2funzd2_bglt) BgL_nodez00_2848)))->
								BgL_localsz00)) +
						BGl_nodezd2siza7ez75zzinline_siza7eza7((((BgL_letzd2funzd2_bglt)
									COBJECT(((BgL_letzd2funzd2_bglt) BgL_nodez00_2848)))->
								BgL_bodyz00)));
					{
						obj_t BgL_localsz00_3062;
						long BgL_siza7eza7_3063;

						BgL_localsz00_3062 = BgL_g1216z00_3059;
						BgL_siza7eza7_3063 = BgL_g1217z00_3060;
					BgL_loopz00_3061:
						if (NULLP(BgL_localsz00_3062))
							{	/* Inline/size.scm 194 */
								{	/* Inline/size.scm 196 */
									BgL_siza7edzd2letzd2funza7_bglt BgL_wide1220z00_3064;

									BgL_wide1220z00_3064 =
										((BgL_siza7edzd2letzd2funza7_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_siza7edzd2letzd2funza7_bgl))));
									{	/* Inline/size.scm 196 */
										obj_t BgL_auxz00_4199;
										BgL_objectz00_bglt BgL_tmpz00_4195;

										BgL_auxz00_4199 = ((obj_t) BgL_wide1220z00_3064);
										BgL_tmpz00_4195 =
											((BgL_objectz00_bglt)
											((BgL_letzd2funzd2_bglt)
												((BgL_letzd2funzd2_bglt) BgL_nodez00_2848)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4195, BgL_auxz00_4199);
									}
									((BgL_objectz00_bglt)
										((BgL_letzd2funzd2_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nodez00_2848)));
									{	/* Inline/size.scm 196 */
										long BgL_arg1935z00_3065;

										BgL_arg1935z00_3065 =
											BGL_CLASS_NUM
											(BGl_siza7edzd2letzd2funza7zzinline_siza7eza7);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_letzd2funzd2_bglt) ((BgL_letzd2funzd2_bglt)
														BgL_nodez00_2848))), BgL_arg1935z00_3065);
									}
									((BgL_letzd2funzd2_bglt)
										((BgL_letzd2funzd2_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nodez00_2848)));
								}
								{
									BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_4213;

									{
										obj_t BgL_auxz00_4214;

										{	/* Inline/size.scm 196 */
											BgL_objectz00_bglt BgL_tmpz00_4215;

											BgL_tmpz00_4215 =
												((BgL_objectz00_bglt)
												((BgL_letzd2funzd2_bglt)
													((BgL_letzd2funzd2_bglt) BgL_nodez00_2848)));
											BgL_auxz00_4214 = BGL_OBJECT_WIDENING(BgL_tmpz00_4215);
										}
										BgL_auxz00_4213 =
											((BgL_siza7edzd2letzd2funza7_bglt) BgL_auxz00_4214);
									}
									((((BgL_siza7edzd2letzd2funza7_bglt)
												COBJECT(BgL_auxz00_4213))->BgL_siza7eza7) =
										((long) BgL_siza7eza7_3063), BUNSPEC);
								}
								((BgL_letzd2funzd2_bglt)
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2848));
								BgL_tmpz00_4182 = (((long) 1) + BgL_siza7eza7_3063);
							}
						else
							{	/* Inline/size.scm 198 */
								obj_t BgL_arg1936z00_3066;
								long BgL_arg1937z00_3067;

								BgL_arg1936z00_3066 = CDR(((obj_t) BgL_localsz00_3062));
								{	/* Inline/size.scm 200 */
									long BgL_arg1938z00_3068;

									{	/* Inline/size.scm 200 */
										long BgL_arg1939z00_3069;

										{	/* Inline/size.scm 200 */
											obj_t BgL_arg1940z00_3070;

											BgL_arg1940z00_3070 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				CAR(
																					((obj_t) BgL_localsz00_3062))))))->
																BgL_valuez00))))->BgL_bodyz00);
											BgL_arg1939z00_3069 =
												BGl_nodezd2siza7ez75zzinline_siza7eza7((
													(BgL_nodez00_bglt) BgL_arg1940z00_3070));
										}
										BgL_arg1938z00_3068 = (((long) 1) + BgL_arg1939z00_3069);
									}
									BgL_arg1937z00_3067 =
										(BgL_siza7eza7_3063 + BgL_arg1938z00_3068);
								}
								{
									long BgL_siza7eza7_4239;
									obj_t BgL_localsz00_4238;

									BgL_localsz00_4238 = BgL_arg1936z00_3066;
									BgL_siza7eza7_4239 = BgL_arg1937z00_3067;
									BgL_siza7eza7_3063 = BgL_siza7eza7_4239;
									BgL_localsz00_3062 = BgL_localsz00_4238;
									goto BgL_loopz00_3061;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4182);
			}
		}

	}



/* &node-size-sized-swit1423 */
	obj_t BGl_z62nodezd2siza7ezd2siza7edzd2swit1423zb0zzinline_siza7eza7(obj_t
		BgL_envz00_2849, obj_t BgL_nodez00_2850)
	{
		{	/* Inline/size.scm 184 */
			{	/* Inline/size.scm 185 */
				long BgL_tmpz00_4241;

				{
					BgL_siza7edzd2switchz75_bglt BgL_auxz00_4242;

					{
						obj_t BgL_auxz00_4243;

						{	/* Inline/size.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_4244;

							BgL_tmpz00_4244 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2850));
							BgL_auxz00_4243 = BGL_OBJECT_WIDENING(BgL_tmpz00_4244);
						}
						BgL_auxz00_4242 = ((BgL_siza7edzd2switchz75_bglt) BgL_auxz00_4243);
					}
					BgL_tmpz00_4241 =
						(((BgL_siza7edzd2switchz75_bglt) COBJECT(BgL_auxz00_4242))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_4241);
			}
		}

	}



/* &node-size-switch1421 */
	obj_t BGl_z62nodezd2siza7ezd2switch1421zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2851, obj_t BgL_nodez00_2852)
	{
		{	/* Inline/size.scm 168 */
			{	/* Inline/size.scm 169 */
				long BgL_tmpz00_4251;

				{	/* Inline/size.scm 169 */
					obj_t BgL_g1210z00_3073;
					long BgL_g1211z00_3074;

					BgL_g1210z00_3073 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2852)))->BgL_clausesz00);
					BgL_g1211z00_3074 =
						(((long) 1) +
						BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_2852)))->BgL_testz00)));
					{
						obj_t BgL_clausesz00_3076;
						long BgL_siza7eza7_3077;

						BgL_clausesz00_3076 = BgL_g1210z00_3073;
						BgL_siza7eza7_3077 = BgL_g1211z00_3074;
					BgL_loopz00_3075:
						if (NULLP(BgL_clausesz00_3076))
							{	/* Inline/size.scm 171 */
								{	/* Inline/size.scm 173 */
									BgL_siza7edzd2switchz75_bglt BgL_wide1214z00_3078;

									BgL_wide1214z00_3078 =
										((BgL_siza7edzd2switchz75_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_siza7edzd2switchz75_bgl))));
									{	/* Inline/size.scm 173 */
										obj_t BgL_auxz00_4265;
										BgL_objectz00_bglt BgL_tmpz00_4261;

										BgL_auxz00_4265 = ((obj_t) BgL_wide1214z00_3078);
										BgL_tmpz00_4261 =
											((BgL_objectz00_bglt)
											((BgL_switchz00_bglt)
												((BgL_switchz00_bglt) BgL_nodez00_2852)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4261, BgL_auxz00_4265);
									}
									((BgL_objectz00_bglt)
										((BgL_switchz00_bglt)
											((BgL_switchz00_bglt) BgL_nodez00_2852)));
									{	/* Inline/size.scm 173 */
										long BgL_arg1913z00_3079;

										BgL_arg1913z00_3079 =
											BGL_CLASS_NUM(BGl_siza7edzd2switchz75zzinline_siza7eza7);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_switchz00_bglt)
													((BgL_switchz00_bglt) BgL_nodez00_2852))),
											BgL_arg1913z00_3079);
									}
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt)
											((BgL_switchz00_bglt) BgL_nodez00_2852)));
								}
								{
									BgL_siza7edzd2switchz75_bglt BgL_auxz00_4279;

									{
										obj_t BgL_auxz00_4280;

										{	/* Inline/size.scm 173 */
											BgL_objectz00_bglt BgL_tmpz00_4281;

											BgL_tmpz00_4281 =
												((BgL_objectz00_bglt)
												((BgL_switchz00_bglt)
													((BgL_switchz00_bglt) BgL_nodez00_2852)));
											BgL_auxz00_4280 = BGL_OBJECT_WIDENING(BgL_tmpz00_4281);
										}
										BgL_auxz00_4279 =
											((BgL_siza7edzd2switchz75_bglt) BgL_auxz00_4280);
									}
									((((BgL_siza7edzd2switchz75_bglt) COBJECT(BgL_auxz00_4279))->
											BgL_siza7eza7) = ((long) BgL_siza7eza7_3077), BUNSPEC);
								}
								((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2852));
								BgL_tmpz00_4251 = BgL_siza7eza7_3077;
							}
						else
							{	/* Inline/size.scm 175 */
								obj_t BgL_arg1914z00_3080;
								long BgL_arg1916z00_3081;

								BgL_arg1914z00_3080 = CDR(((obj_t) BgL_clausesz00_3076));
								{	/* Inline/size.scm 176 */
									long BgL_arg1917z00_3082;

									{	/* Inline/size.scm 176 */
										long BgL_arg1918z00_3083;
										long BgL_arg1919z00_3084;

										{	/* Inline/size.scm 176 */
											bool_t BgL_test2196z00_4292;

											{	/* Inline/size.scm 176 */
												obj_t BgL_tmpz00_4293;

												{	/* Inline/size.scm 176 */
													obj_t BgL_pairz00_3085;

													BgL_pairz00_3085 = CAR(((obj_t) BgL_clausesz00_3076));
													BgL_tmpz00_4293 = CAR(BgL_pairz00_3085);
												}
												BgL_test2196z00_4292 = PAIRP(BgL_tmpz00_4293);
											}
											if (BgL_test2196z00_4292)
												{	/* Inline/size.scm 177 */
													obj_t BgL_auxz00_4298;

													{	/* Inline/size.scm 177 */
														obj_t BgL_pairz00_3086;

														BgL_pairz00_3086 =
															CAR(((obj_t) BgL_clausesz00_3076));
														BgL_auxz00_4298 = CAR(BgL_pairz00_3086);
													}
													BgL_arg1918z00_3083 =
														bgl_list_length(BgL_auxz00_4298);
												}
											else
												{	/* Inline/size.scm 176 */
													BgL_arg1918z00_3083 = ((long) 1);
										}}
										{	/* Inline/size.scm 179 */
											obj_t BgL_arg1929z00_3087;

											{	/* Inline/size.scm 179 */
												obj_t BgL_pairz00_3088;

												BgL_pairz00_3088 = CAR(((obj_t) BgL_clausesz00_3076));
												BgL_arg1929z00_3087 = CDR(BgL_pairz00_3088);
											}
											BgL_arg1919z00_3084 =
												BGl_nodezd2siza7ez75zzinline_siza7eza7(
												((BgL_nodez00_bglt) BgL_arg1929z00_3087));
										}
										BgL_arg1917z00_3082 =
											(BgL_arg1918z00_3083 + BgL_arg1919z00_3084);
									}
									BgL_arg1916z00_3081 =
										(BgL_siza7eza7_3077 + BgL_arg1917z00_3082);
								}
								{
									long BgL_siza7eza7_4311;
									obj_t BgL_clausesz00_4310;

									BgL_clausesz00_4310 = BgL_arg1914z00_3080;
									BgL_siza7eza7_4311 = BgL_arg1916z00_3081;
									BgL_siza7eza7_3077 = BgL_siza7eza7_4311;
									BgL_clausesz00_3076 = BgL_clausesz00_4310;
									goto BgL_loopz00_3075;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4251);
			}
		}

	}



/* &node-size-fail1419 */
	obj_t BGl_z62nodezd2siza7ezd2fail1419zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2853, obj_t BgL_nodez00_2854)
	{
		{	/* Inline/size.scm 159 */
			{	/* Inline/size.scm 160 */
				long BgL_tmpz00_4313;

				{	/* Inline/size.scm 160 */
					long BgL_proczd2siza7ez75_3090;

					BgL_proczd2siza7ez75_3090 =
						BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2854)))->BgL_procz00));
					{	/* Inline/size.scm 160 */
						long BgL_msgzd2siza7ez75_3091;

						BgL_msgzd2siza7ez75_3091 =
							BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_failz00_bglt) COBJECT(
										((BgL_failz00_bglt) BgL_nodez00_2854)))->BgL_msgz00));
						{	/* Inline/size.scm 161 */
							long BgL_objzd2siza7ez75_3092;

							BgL_objzd2siza7ez75_3092 =
								BGl_nodezd2siza7ez75zzinline_siza7eza7(
								(((BgL_failz00_bglt) COBJECT(
											((BgL_failz00_bglt) BgL_nodez00_2854)))->BgL_objz00));
							{	/* Inline/size.scm 162 */

								BgL_tmpz00_4313 =
									(((long) 2) +
									(BgL_proczd2siza7ez75_3090 +
										(BgL_msgzd2siza7ez75_3091 + BgL_objzd2siza7ez75_3092)));
				}}}}
				return BINT(BgL_tmpz00_4313);
			}
		}

	}



/* &node-size-conditiona1417 */
	obj_t BGl_z62nodezd2siza7ezd2conditiona1417zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2855, obj_t BgL_nodez00_2856)
	{
		{	/* Inline/size.scm 150 */
			{	/* Inline/size.scm 151 */
				long BgL_tmpz00_4327;

				{	/* Inline/size.scm 151 */
					long BgL_testzd2siza7ez75_3094;

					BgL_testzd2siza7ez75_3094 =
						BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2856)))->BgL_testz00));
					{	/* Inline/size.scm 151 */
						long BgL_truezd2siza7ez75_3095;

						BgL_truezd2siza7ez75_3095 =
							BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2856)))->
								BgL_truez00));
						{	/* Inline/size.scm 152 */
							long BgL_falsezd2siza7ez75_3096;

							BgL_falsezd2siza7ez75_3096 =
								BGl_nodezd2siza7ez75zzinline_siza7eza7(
								(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2856)))->
									BgL_falsez00));
							{	/* Inline/size.scm 153 */

								BgL_tmpz00_4327 =
									(((long) 1) +
									(BgL_testzd2siza7ez75_3094 +
										(BgL_truezd2siza7ez75_3095 + BgL_falsezd2siza7ez75_3096)));
				}}}}
				return BINT(BgL_tmpz00_4327);
			}
		}

	}



/* &node-size-setq1415 */
	obj_t BGl_z62nodezd2siza7ezd2setq1415zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2857, obj_t BgL_nodez00_2858)
	{
		{	/* Inline/size.scm 144 */
			return
				BINT(
				(((long) 2) +
					BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_2858)))->BgL_valuez00))));
		}

	}



/* &node-size-extern1413 */
	obj_t BGl_z62nodezd2siza7ezd2extern1413zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2859, obj_t BgL_nodez00_2860)
	{
		{	/* Inline/size.scm 134 */
			{	/* Inline/size.scm 135 */
				long BgL_tmpz00_4346;

				{	/* Inline/size.scm 135 */
					obj_t BgL_g1209z00_3099;

					BgL_g1209z00_3099 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2860)))->BgL_exprza2za2);
					{
						obj_t BgL_argsz00_3101;
						long BgL_siza7eza7_3102;

						BgL_argsz00_3101 = BgL_g1209z00_3099;
						BgL_siza7eza7_3102 = ((long) 1);
					BgL_loopz00_3100:
						if (NULLP(BgL_argsz00_3101))
							{	/* Inline/size.scm 137 */
								BgL_tmpz00_4346 = BgL_siza7eza7_3102;
							}
						else
							{	/* Inline/size.scm 139 */
								obj_t BgL_arg1890z00_3103;
								long BgL_arg1891z00_3104;

								BgL_arg1890z00_3103 = CDR(((obj_t) BgL_argsz00_3101));
								{	/* Inline/size.scm 139 */
									long BgL_arg1892z00_3105;

									{	/* Inline/size.scm 139 */
										obj_t BgL_arg1894z00_3106;

										BgL_arg1894z00_3106 = CAR(((obj_t) BgL_argsz00_3101));
										BgL_arg1892z00_3105 =
											BGl_nodezd2siza7ez75zzinline_siza7eza7(
											((BgL_nodez00_bglt) BgL_arg1894z00_3106));
									}
									BgL_arg1891z00_3104 =
										(BgL_siza7eza7_3102 + BgL_arg1892z00_3105);
								}
								{
									long BgL_siza7eza7_4359;
									obj_t BgL_argsz00_4358;

									BgL_argsz00_4358 = BgL_arg1890z00_3103;
									BgL_siza7eza7_4359 = BgL_arg1891z00_3104;
									BgL_siza7eza7_3102 = BgL_siza7eza7_4359;
									BgL_argsz00_3101 = BgL_argsz00_4358;
									goto BgL_loopz00_3100;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4346);
			}
		}

	}



/* &node-size-cast1410 */
	obj_t BGl_z62nodezd2siza7ezd2cast1410zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2861, obj_t BgL_nodez00_2862)
	{
		{	/* Inline/size.scm 127 */
			return
				BINT(BGl_nodezd2siza7ez75zzinline_siza7eza7(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2862)))->BgL_argz00)));
		}

	}



/* &node-size-funcall1408 */
	obj_t BGl_z62nodezd2siza7ezd2funcall1408zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2863, obj_t BgL_nodez00_2864)
	{
		{	/* Inline/size.scm 117 */
			{	/* Inline/size.scm 118 */
				long BgL_tmpz00_4365;

				{	/* Inline/size.scm 118 */
					obj_t BgL_g1205z00_3109;
					long BgL_g1206z00_3110;

					BgL_g1205z00_3109 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2864)))->BgL_argsz00);
					BgL_g1206z00_3110 =
						BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2864)))->BgL_funz00));
					{
						obj_t BgL_argsz00_3112;
						long BgL_siza7eza7_3113;

						BgL_argsz00_3112 = BgL_g1205z00_3109;
						BgL_siza7eza7_3113 = BgL_g1206z00_3110;
					BgL_loopz00_3111:
						if (NULLP(BgL_argsz00_3112))
							{	/* Inline/size.scm 120 */
								BgL_tmpz00_4365 = BgL_siza7eza7_3113;
							}
						else
							{	/* Inline/size.scm 122 */
								obj_t BgL_arg1882z00_3114;
								long BgL_arg1883z00_3115;

								BgL_arg1882z00_3114 = CDR(((obj_t) BgL_argsz00_3112));
								{	/* Inline/size.scm 122 */
									long BgL_arg1884z00_3116;

									{	/* Inline/size.scm 122 */
										obj_t BgL_arg1885z00_3117;

										BgL_arg1885z00_3117 = CAR(((obj_t) BgL_argsz00_3112));
										BgL_arg1884z00_3116 =
											BGl_nodezd2siza7ez75zzinline_siza7eza7(
											((BgL_nodez00_bglt) BgL_arg1885z00_3117));
									}
									BgL_arg1883z00_3115 =
										(BgL_siza7eza7_3113 + BgL_arg1884z00_3116);
								}
								{
									long BgL_siza7eza7_4381;
									obj_t BgL_argsz00_4380;

									BgL_argsz00_4380 = BgL_arg1882z00_3114;
									BgL_siza7eza7_4381 = BgL_arg1883z00_3115;
									BgL_siza7eza7_3113 = BgL_siza7eza7_4381;
									BgL_argsz00_3112 = BgL_argsz00_4380;
									goto BgL_loopz00_3111;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4365);
			}
		}

	}



/* &node-size-app-ly1404 */
	obj_t BGl_z62nodezd2siza7ezd2appzd2ly1404z17zzinline_siza7eza7(obj_t
		BgL_envz00_2865, obj_t BgL_nodez00_2866)
	{
		{	/* Inline/size.scm 111 */
			return
				BINT(
				(((long) 1) +
					(BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_2866)))->BgL_funz00)) +
						BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_2866)))->
								BgL_argz00)))));
		}

	}



/* &node-size-app1402 */
	obj_t BGl_z62nodezd2siza7ezd2app1402zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2867, obj_t BgL_nodez00_2868)
	{
		{	/* Inline/size.scm 91 */
			{	/* Inline/size.scm 92 */
				long BgL_tmpz00_4392;

				if (CBOOL(BGl_getenvz00zz__osz00(BGl_string2098z00zzinline_siza7eza7)))
					{	/* Inline/size.scm 92 */
						BGl_mz00zzinline_siza7eza7 =
							(BGl_mz00zzinline_siza7eza7 + ((long) 1));
						{	/* Inline/size.scm 94 */
							obj_t BgL_port1363z00_3120;

							{	/* Inline/size.scm 94 */
								obj_t BgL_tmpz00_4397;

								BgL_tmpz00_4397 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_port1363z00_3120 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4397);
							}
							bgl_display_obj(make_string(BGl_mz00zzinline_siza7eza7,
									((unsigned char) ' ')), BgL_port1363z00_3120);
							bgl_display_string(BGl_string2099z00zzinline_siza7eza7,
								BgL_port1363z00_3120);
							{	/* Inline/size.scm 94 */
								obj_t BgL_arg1838z00_3121;

								BgL_arg1838z00_3121 =
									BGl_shapez00zztools_shapez00(
									((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2868)));
								bgl_display_obj(BgL_arg1838z00_3121, BgL_port1363z00_3120);
							}
							bgl_display_char(((unsigned char) 10), BgL_port1363z00_3120);
					}}
				else
					{	/* Inline/size.scm 92 */
						BFALSE;
					}
				{	/* Inline/size.scm 95 */
					obj_t BgL_g1203z00_3122;
					long BgL_g1204z00_3123;

					BgL_g1203z00_3122 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2868)))->BgL_argsz00);
					{	/* Inline/size.scm 96 */
						BgL_varz00_bglt BgL_arg1870z00_3124;

						BgL_arg1870z00_3124 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_2868)))->BgL_funz00);
						BgL_g1204z00_3123 =
							BGl_nodezd2siza7ez75zzinline_siza7eza7(
							((BgL_nodez00_bglt) BgL_arg1870z00_3124));
					}
					{
						obj_t BgL_argsz00_3126;
						long BgL_siza7eza7_3127;

						BgL_argsz00_3126 = BgL_g1203z00_3122;
						BgL_siza7eza7_3127 = BgL_g1204z00_3123;
					BgL_loopz00_3125:
						if (CBOOL(BGl_getenvz00zz__osz00
								(BGl_string2098z00zzinline_siza7eza7)))
							{	/* Inline/size.scm 98 */
								obj_t BgL_port1370z00_3128;

								{	/* Inline/size.scm 98 */
									obj_t BgL_tmpz00_4417;

									BgL_tmpz00_4417 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_port1370z00_3128 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4417);
								}
								bgl_display_obj(make_string(BGl_mz00zzinline_siza7eza7,
										((unsigned char) ' ')), BgL_port1370z00_3128);
								bgl_display_string(BGl_string2100z00zzinline_siza7eza7,
									BgL_port1370z00_3128);
								{	/* Inline/size.scm 98 */
									obj_t BgL_arg1848z00_3129;

									if (NULLP(BgL_argsz00_3126))
										{	/* Inline/size.scm 98 */
											BgL_arg1848z00_3129 = BNIL;
										}
									else
										{	/* Inline/size.scm 98 */
											obj_t BgL_head1366z00_3130;

											{	/* Inline/size.scm 98 */
												obj_t BgL_arg1856z00_3131;

												{	/* Inline/size.scm 98 */
													obj_t BgL_arg1857z00_3132;

													BgL_arg1857z00_3132 = CAR(((obj_t) BgL_argsz00_3126));
													BgL_arg1856z00_3131 =
														BGl_shapez00zztools_shapez00(BgL_arg1857z00_3132);
												}
												BgL_head1366z00_3130 =
													MAKE_YOUNG_PAIR(BgL_arg1856z00_3131, BNIL);
											}
											{	/* Inline/size.scm 98 */
												obj_t BgL_g1369z00_3133;

												BgL_g1369z00_3133 = CDR(((obj_t) BgL_argsz00_3126));
												{
													obj_t BgL_l1364z00_3135;
													obj_t BgL_tail1367z00_3136;

													BgL_l1364z00_3135 = BgL_g1369z00_3133;
													BgL_tail1367z00_3136 = BgL_head1366z00_3130;
												BgL_zc3z04anonymousza31850ze3z87_3134:
													if (NULLP(BgL_l1364z00_3135))
														{	/* Inline/size.scm 98 */
															BgL_arg1848z00_3129 = BgL_head1366z00_3130;
														}
													else
														{	/* Inline/size.scm 98 */
															obj_t BgL_newtail1368z00_3137;

															{	/* Inline/size.scm 98 */
																obj_t BgL_arg1854z00_3138;

																{	/* Inline/size.scm 98 */
																	obj_t BgL_arg1855z00_3139;

																	BgL_arg1855z00_3139 =
																		CAR(((obj_t) BgL_l1364z00_3135));
																	BgL_arg1854z00_3138 =
																		BGl_shapez00zztools_shapez00
																		(BgL_arg1855z00_3139);
																}
																BgL_newtail1368z00_3137 =
																	MAKE_YOUNG_PAIR(BgL_arg1854z00_3138, BNIL);
															}
															SET_CDR(BgL_tail1367z00_3136,
																BgL_newtail1368z00_3137);
															{	/* Inline/size.scm 98 */
																obj_t BgL_arg1852z00_3140;

																BgL_arg1852z00_3140 =
																	CDR(((obj_t) BgL_l1364z00_3135));
																{
																	obj_t BgL_tail1367z00_4441;
																	obj_t BgL_l1364z00_4440;

																	BgL_l1364z00_4440 = BgL_arg1852z00_3140;
																	BgL_tail1367z00_4441 =
																		BgL_newtail1368z00_3137;
																	BgL_tail1367z00_3136 = BgL_tail1367z00_4441;
																	BgL_l1364z00_3135 = BgL_l1364z00_4440;
																	goto BgL_zc3z04anonymousza31850ze3z87_3134;
																}
															}
														}
												}
											}
										}
									bgl_display_obj(BgL_arg1848z00_3129, BgL_port1370z00_3128);
								}
								bgl_display_string(BGl_string2101z00zzinline_siza7eza7,
									BgL_port1370z00_3128);
								bgl_display_obj(BINT(BgL_siza7eza7_3127), BgL_port1370z00_3128);
								bgl_display_string(BGl_string2102z00zzinline_siza7eza7,
									BgL_port1370z00_3128);
								{	/* Inline/size.scm 98 */
									bool_t BgL_arg1858z00_3141;

									BgL_arg1858z00_3141 = NULLP(BgL_argsz00_3126);
									bgl_display_obj(BBOOL(BgL_arg1858z00_3141),
										BgL_port1370z00_3128);
								}
								bgl_display_char(((unsigned char) 10), BgL_port1370z00_3128);
							}
						else
							{	/* Inline/size.scm 97 */
								BFALSE;
							}
						if (NULLP(BgL_argsz00_3126))
							{	/* Inline/size.scm 99 */
								if (CBOOL(BGl_getenvz00zz__osz00
										(BGl_string2098z00zzinline_siza7eza7)))
									{	/* Inline/size.scm 101 */
										{	/* Inline/size.scm 102 */
											obj_t BgL_port1371z00_3142;

											{	/* Inline/size.scm 102 */
												obj_t BgL_tmpz00_4456;

												BgL_tmpz00_4456 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_port1371z00_3142 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4456);
											}
											bgl_display_obj(make_string(BGl_mz00zzinline_siza7eza7,
													((unsigned char) ' ')), BgL_port1371z00_3142);
											bgl_display_string(BGl_string2103z00zzinline_siza7eza7,
												BgL_port1371z00_3142);
											bgl_display_obj(BINT(BgL_siza7eza7_3127),
												BgL_port1371z00_3142);
											bgl_display_char(((unsigned char) 10),
												BgL_port1371z00_3142);
										}
										BGl_mz00zzinline_siza7eza7 =
											(BGl_mz00zzinline_siza7eza7 - ((long) 1));
									}
								else
									{	/* Inline/size.scm 101 */
										BFALSE;
									}
								BgL_tmpz00_4392 = BgL_siza7eza7_3127;
							}
						else
							{	/* Inline/size.scm 106 */
								obj_t BgL_arg1863z00_3143;
								long BgL_arg1865z00_3144;

								BgL_arg1863z00_3143 = CDR(((obj_t) BgL_argsz00_3126));
								{	/* Inline/size.scm 106 */
									long BgL_arg1867z00_3145;

									{	/* Inline/size.scm 106 */
										obj_t BgL_arg1869z00_3146;

										BgL_arg1869z00_3146 = CAR(((obj_t) BgL_argsz00_3126));
										BgL_arg1867z00_3145 =
											BGl_nodezd2siza7ez75zzinline_siza7eza7(
											((BgL_nodez00_bglt) BgL_arg1869z00_3146));
									}
									BgL_arg1865z00_3144 =
										(BgL_siza7eza7_3127 + BgL_arg1867z00_3145);
								}
								{
									long BgL_siza7eza7_4474;
									obj_t BgL_argsz00_4473;

									BgL_argsz00_4473 = BgL_arg1863z00_3143;
									BgL_siza7eza7_4474 = BgL_arg1865z00_3144;
									BgL_siza7eza7_3127 = BgL_siza7eza7_4474;
									BgL_argsz00_3126 = BgL_argsz00_4473;
									goto BgL_loopz00_3125;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4392);
			}
		}

	}



/* &node-size-sized-sync1400 */
	obj_t BGl_z62nodezd2siza7ezd2siza7edzd2sync1400zb0zzinline_siza7eza7(obj_t
		BgL_envz00_2869, obj_t BgL_nodez00_2870)
	{
		{	/* Inline/size.scm 85 */
			{	/* Inline/size.scm 86 */
				long BgL_tmpz00_4476;

				{
					BgL_siza7edzd2syncz75_bglt BgL_auxz00_4477;

					{
						obj_t BgL_auxz00_4478;

						{	/* Inline/size.scm 86 */
							BgL_objectz00_bglt BgL_tmpz00_4479;

							BgL_tmpz00_4479 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2870));
							BgL_auxz00_4478 = BGL_OBJECT_WIDENING(BgL_tmpz00_4479);
						}
						BgL_auxz00_4477 = ((BgL_siza7edzd2syncz75_bglt) BgL_auxz00_4478);
					}
					BgL_tmpz00_4476 =
						(((BgL_siza7edzd2syncz75_bglt) COBJECT(BgL_auxz00_4477))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_4476);
			}
		}

	}



/* &node-size-sync1398 */
	obj_t BGl_z62nodezd2siza7ezd2sync1398zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2871, obj_t BgL_nodez00_2872)
	{
		{	/* Inline/size.scm 74 */
			{	/* Inline/size.scm 75 */
				obj_t BgL_siza7eza7_3149;

				{	/* Inline/size.scm 76 */
					obj_t BgL_arg1805z00_3150;

					{	/* Inline/size.scm 76 */
						long BgL_arg1807z00_3151;
						obj_t BgL_arg1808z00_3152;

						BgL_arg1807z00_3151 =
							BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_2872)))->BgL_mutexz00));
						{	/* Inline/size.scm 77 */
							long BgL_arg1811z00_3153;
							long BgL_arg1817z00_3154;

							BgL_arg1811z00_3153 =
								BGl_nodezd2siza7ez75zzinline_siza7eza7(
								(((BgL_syncz00_bglt) COBJECT(
											((BgL_syncz00_bglt) BgL_nodez00_2872)))->BgL_prelockz00));
							BgL_arg1817z00_3154 =
								BGl_nodezd2siza7ez75zzinline_siza7eza7(
								(((BgL_syncz00_bglt) COBJECT(
											((BgL_syncz00_bglt) BgL_nodez00_2872)))->BgL_bodyz00));
							BgL_arg1808z00_3152 =
								BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(BgL_arg1811z00_3153),
								BINT(BgL_arg1817z00_3154));
						}
						BgL_arg1805z00_3150 =
							BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(BgL_arg1807z00_3151),
							BgL_arg1808z00_3152);
					}
					BgL_siza7eza7_3149 =
						BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(((long) 1)),
						BgL_arg1805z00_3150);
				}
				{	/* Inline/size.scm 79 */
					BgL_siza7edzd2syncz75_bglt BgL_wide1196z00_3155;

					BgL_wide1196z00_3155 =
						((BgL_siza7edzd2syncz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_siza7edzd2syncz75_bgl))));
					{	/* Inline/size.scm 79 */
						obj_t BgL_auxz00_4507;
						BgL_objectz00_bglt BgL_tmpz00_4503;

						BgL_auxz00_4507 = ((obj_t) BgL_wide1196z00_3155);
						BgL_tmpz00_4503 =
							((BgL_objectz00_bglt)
							((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2872)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4503, BgL_auxz00_4507);
					}
					((BgL_objectz00_bglt)
						((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2872)));
					{	/* Inline/size.scm 79 */
						long BgL_arg1801z00_3156;

						BgL_arg1801z00_3156 =
							BGL_CLASS_NUM(BGl_siza7edzd2syncz75zzinline_siza7eza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_syncz00_bglt)
									((BgL_syncz00_bglt) BgL_nodez00_2872))), BgL_arg1801z00_3156);
					}
					((BgL_syncz00_bglt)
						((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2872)));
				}
				{
					BgL_siza7edzd2syncz75_bglt BgL_auxz00_4521;

					{
						obj_t BgL_auxz00_4522;

						{	/* Inline/size.scm 79 */
							BgL_objectz00_bglt BgL_tmpz00_4523;

							BgL_tmpz00_4523 =
								((BgL_objectz00_bglt)
								((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2872)));
							BgL_auxz00_4522 = BGL_OBJECT_WIDENING(BgL_tmpz00_4523);
						}
						BgL_auxz00_4521 = ((BgL_siza7edzd2syncz75_bglt) BgL_auxz00_4522);
					}
					((((BgL_siza7edzd2syncz75_bglt) COBJECT(BgL_auxz00_4521))->
							BgL_siza7eza7) =
						((long) (long) CINT(BgL_siza7eza7_3149)), BUNSPEC);
				}
				((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2872));
				return BgL_siza7eza7_3149;
			}
		}

	}



/* &node-size-sized-sequ1396 */
	obj_t BGl_z62nodezd2siza7ezd2siza7edzd2sequ1396zb0zzinline_siza7eza7(obj_t
		BgL_envz00_2873, obj_t BgL_nodez00_2874)
	{
		{	/* Inline/size.scm 68 */
			{	/* Inline/size.scm 69 */
				long BgL_tmpz00_4533;

				{
					BgL_siza7edzd2sequencez75_bglt BgL_auxz00_4534;

					{
						obj_t BgL_auxz00_4535;

						{	/* Inline/size.scm 69 */
							BgL_objectz00_bglt BgL_tmpz00_4536;

							BgL_tmpz00_4536 =
								((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt) BgL_nodez00_2874));
							BgL_auxz00_4535 = BGL_OBJECT_WIDENING(BgL_tmpz00_4536);
						}
						BgL_auxz00_4534 =
							((BgL_siza7edzd2sequencez75_bglt) BgL_auxz00_4535);
					}
					BgL_tmpz00_4533 =
						(((BgL_siza7edzd2sequencez75_bglt) COBJECT(BgL_auxz00_4534))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_4533);
			}
		}

	}



/* &node-size-sequence1394 */
	obj_t BGl_z62nodezd2siza7ezd2sequence1394zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2875, obj_t BgL_nodez00_2876)
	{
		{	/* Inline/size.scm 56 */
			{	/* Inline/size.scm 57 */
				long BgL_tmpz00_4543;

				{	/* Inline/size.scm 57 */
					obj_t BgL_g1189z00_3159;

					BgL_g1189z00_3159 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2876)))->BgL_nodesz00);
					{
						obj_t BgL_nodesz00_3161;
						long BgL_siza7eza7_3162;

						BgL_nodesz00_3161 = BgL_g1189z00_3159;
						BgL_siza7eza7_3162 = ((long) 0);
					BgL_loopz00_3160:
						if (NULLP(BgL_nodesz00_3161))
							{	/* Inline/size.scm 59 */
								{	/* Inline/size.scm 61 */
									BgL_siza7edzd2sequencez75_bglt BgL_wide1192z00_3163;

									BgL_wide1192z00_3163 =
										((BgL_siza7edzd2sequencez75_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_siza7edzd2sequencez75_bgl))));
									{	/* Inline/size.scm 61 */
										obj_t BgL_auxz00_4553;
										BgL_objectz00_bglt BgL_tmpz00_4549;

										BgL_auxz00_4553 = ((obj_t) BgL_wide1192z00_3163);
										BgL_tmpz00_4549 =
											((BgL_objectz00_bglt)
											((BgL_sequencez00_bglt)
												((BgL_sequencez00_bglt) BgL_nodez00_2876)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4549, BgL_auxz00_4553);
									}
									((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nodez00_2876)));
									{	/* Inline/size.scm 61 */
										long BgL_arg1781z00_3164;

										BgL_arg1781z00_3164 =
											BGL_CLASS_NUM
											(BGl_siza7edzd2sequencez75zzinline_siza7eza7);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
														BgL_nodez00_2876))), BgL_arg1781z00_3164);
									}
									((BgL_sequencez00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nodez00_2876)));
								}
								{
									BgL_siza7edzd2sequencez75_bglt BgL_auxz00_4567;

									{
										obj_t BgL_auxz00_4568;

										{	/* Inline/size.scm 61 */
											BgL_objectz00_bglt BgL_tmpz00_4569;

											BgL_tmpz00_4569 =
												((BgL_objectz00_bglt)
												((BgL_sequencez00_bglt)
													((BgL_sequencez00_bglt) BgL_nodez00_2876)));
											BgL_auxz00_4568 = BGL_OBJECT_WIDENING(BgL_tmpz00_4569);
										}
										BgL_auxz00_4567 =
											((BgL_siza7edzd2sequencez75_bglt) BgL_auxz00_4568);
									}
									((((BgL_siza7edzd2sequencez75_bglt)
												COBJECT(BgL_auxz00_4567))->BgL_siza7eza7) =
										((long) BgL_siza7eza7_3162), BUNSPEC);
								}
								((BgL_sequencez00_bglt)
									((BgL_sequencez00_bglt) BgL_nodez00_2876));
								BgL_tmpz00_4543 = BgL_siza7eza7_3162;
							}
						else
							{	/* Inline/size.scm 63 */
								obj_t BgL_arg1785z00_3165;
								long BgL_arg1788z00_3166;

								BgL_arg1785z00_3165 = CDR(((obj_t) BgL_nodesz00_3161));
								{	/* Inline/size.scm 63 */
									long BgL_arg1789z00_3167;

									{	/* Inline/size.scm 63 */
										obj_t BgL_arg1799z00_3168;

										BgL_arg1799z00_3168 = CAR(((obj_t) BgL_nodesz00_3161));
										BgL_arg1789z00_3167 =
											BGl_nodezd2siza7ez75zzinline_siza7eza7(
											((BgL_nodez00_bglt) BgL_arg1799z00_3168));
									}
									BgL_arg1788z00_3166 =
										(BgL_siza7eza7_3162 + BgL_arg1789z00_3167);
								}
								{
									long BgL_siza7eza7_4586;
									obj_t BgL_nodesz00_4585;

									BgL_nodesz00_4585 = BgL_arg1785z00_3165;
									BgL_siza7eza7_4586 = BgL_arg1788z00_3166;
									BgL_siza7eza7_3162 = BgL_siza7eza7_4586;
									BgL_nodesz00_3161 = BgL_nodesz00_4585;
									goto BgL_loopz00_3160;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4543);
			}
		}

	}



/* &node-size-kwote1392 */
	obj_t BGl_z62nodezd2siza7ezd2kwote1392zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2877, obj_t BgL_nodez00_2878)
	{
		{	/* Inline/size.scm 50 */
			return BINT(((long) 1));
		}

	}



/* &node-size-var1390 */
	obj_t BGl_z62nodezd2siza7ezd2var1390zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2879, obj_t BgL_nodez00_2880)
	{
		{	/* Inline/size.scm 44 */
			return BINT(((long) 1));
		}

	}



/* &node-size-atom1388 */
	obj_t BGl_z62nodezd2siza7ezd2atom1388zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2881, obj_t BgL_nodez00_2882)
	{
		{	/* Inline/size.scm 38 */
			return BINT(((long) 1));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_siza7eza7()
	{
		{	/* Inline/size.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2104z00zzinline_siza7eza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2104z00zzinline_siza7eza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2104z00zzinline_siza7eza7));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2104z00zzinline_siza7eza7));
		}

	}

#ifdef __cplusplus
}
#endif
