/*===========================================================================*/
/*   (Integrate/node.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/node.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
		obj_t BgL_xhdlz00;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62integratezd2celledzf3z43zzintegrate_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12z70zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_nodez00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2atom1310za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2conditional1334za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzintegrate_nodez00();
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	static obj_t BGl_objectzd2initzd2zzintegrate_nodez00();
	extern obj_t BGl_sfunzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2fun1340z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62gloz121307z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2appzd2ly1324z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_localz00_bglt
		BGl_cellzd2variablezd2zzintegrate_nodez00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzintegrate_nodez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_nodez00();
	static obj_t BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2extern1328za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2switch1338za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t,
		BgL_nodez00_bglt);
	static BgL_nodez00_bglt BGl_z62gloz12zd2kwote1312za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2setzd2exzd2it1344za2zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2funcall1326za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2cast1330za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2var1342z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2setq1332za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt);
	static BgL_nodez00_bglt BGl_z62gloz12zd2sync1320za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2closure1316za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2fail1336za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_nodez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00();
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_nodez00();
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2ref1350z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2makezd2box1348z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2setz121352z62zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2var1314za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1346za2zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static obj_t
		BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt,
		BgL_variablez00_bglt);
	static BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2sequence1318za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2app1322za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_gloz12zd2envzc0zzintegrate_nodez00,
		BgL_bgl_za762gloza712za770za7za7in1996za7,
		BGl_z62gloz12z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1958z00zzintegrate_nodez00,
		BgL_bgl_string1958za700za7za7i1997za7, "glo!1307", 8);
	      DEFINE_STRING(BGl_string1959z00zzintegrate_nodez00,
		BgL_bgl_string1959za700za7za7i1998za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1961z00zzintegrate_nodez00,
		BgL_bgl_string1961za700za7za7i1999za7, "glo!", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1957z00zzintegrate_nodez00,
		BgL_bgl_za762gloza7121307za7702000za7,
		BGl_z62gloz121307z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1960z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2atom2001za7,
		BGl_z62gloz12zd2atom1310za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1962z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2kwot2002za7,
		BGl_z62gloz12zd2kwote1312za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1963z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2var12003za7,
		BGl_z62gloz12zd2var1314za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1964z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2clos2004za7,
		BGl_z62gloz12zd2closure1316za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1965z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2sequ2005za7,
		BGl_z62gloz12zd2sequence1318za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1966z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2sync2006za7,
		BGl_z62gloz12zd2sync1320za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1967z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2app12007za7,
		BGl_z62gloz12zd2app1322za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1968z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2appza72008z00,
		BGl_z62gloz12zd2appzd2ly1324z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1969z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2func2009za7,
		BGl_z62gloz12zd2funcall1326za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1970z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2exte2010za7,
		BGl_z62gloz12zd2extern1328za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1971z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2cast2011za7,
		BGl_z62gloz12zd2cast1330za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1972z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2setq2012za7,
		BGl_z62gloz12zd2setq1332za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1973z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2cond2013za7,
		BGl_z62gloz12zd2conditional1334za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1974z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2fail2014za7,
		BGl_z62gloz12zd2fail1336za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1975z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2swit2015za7,
		BGl_z62gloz12zd2switch1338za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1976z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2letza72016z00,
		BGl_z62gloz12zd2letzd2fun1340z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1983z00zzintegrate_nodez00,
		BgL_bgl_string1983za700za7za7i2017za7, "box-ref=", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1977z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2letza72018z00,
		BGl_z62gloz12zd2letzd2var1342z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1984z00zzintegrate_nodez00,
		BgL_bgl_string1984za700za7za7i2019za7, ":", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1978z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2setza72020z00,
		BGl_z62gloz12zd2setzd2exzd2it1344za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1985z00zzintegrate_nodez00,
		BgL_bgl_string1985za700za7za7i2021za7, ",", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1979z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2jump2022za7,
		BGl_z62gloz12zd2jumpzd2exzd2it1346za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2celledzf3zd2envzf3zzintegrate_nodez00,
		BgL_bgl_za762integrateza7d2c2023z00,
		BGl_z62integratezd2celledzf3z43zzintegrate_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1986z00zzintegrate_nodez00,
		BgL_bgl_string1986za700za7za7i2024za7, "Integrate/node.scm", 18);
	      DEFINE_STRING(BGl_string1987z00zzintegrate_nodez00,
		BgL_bgl_string1987za700za7za7i2025za7, "access=", 7);
	      DEFINE_STRING(BGl_string1988z00zzintegrate_nodez00,
		BgL_bgl_string1988za700za7za7i2026za7, "integration", 11);
	      DEFINE_STRING(BGl_string1989z00zzintegrate_nodez00,
		BgL_bgl_string1989za700za7za7i2027za7, "box-ref", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2globaliza7ez12zd2envzb5zzintegrate_nodez00,
		BgL_bgl_za762integrateza7d2g2028z00,
		BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1980z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2make2029za7,
		BGl_z62gloz12zd2makezd2box1348z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1981z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2boxza72030z00,
		BGl_z62gloz12zd2boxzd2ref1350z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1982z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2boxza72031z00,
		BGl_z62gloz12zd2boxzd2setz121352z62zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1990z00zzintegrate_nodez00,
		BgL_bgl_string1990za700za7za7i2032za7, "node-free", 9);
	      DEFINE_STRING(BGl_string1991z00zzintegrate_nodez00,
		BgL_bgl_string1991za700za7za7i2033za7, "Unexepected `closure' node", 26);
	      DEFINE_STRING(BGl_string1992z00zzintegrate_nodez00,
		BgL_bgl_string1992za700za7za7i2034za7, "integrate_node", 14);
	      DEFINE_STRING(BGl_string1993z00zzintegrate_nodez00,
		BgL_bgl_string1993za700za7za7i2035za7,
		"aux glo!1307 done (write cell-integrate) cell-integrate ", 56);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_nodez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long
		BgL_checksumz00_3284, char *BgL_fromz00_3285)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_nodez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_nodez00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00();
					BGl_cnstzd2initzd2zzintegrate_nodez00();
					BGl_importedzd2moduleszd2initz00zzintegrate_nodez00();
					BGl_genericzd2initzd2zzintegrate_nodez00();
					BGl_methodzd2initzd2zzintegrate_nodez00();
					return BGl_toplevelzd2initzd2zzintegrate_nodez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00()
	{
		{	/* Integrate/node.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_node");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_nodez00()
	{
		{	/* Integrate/node.scm 15 */
			{	/* Integrate/node.scm 15 */
				obj_t BgL_cportz00_3011;

				{	/* Integrate/node.scm 15 */
					obj_t BgL_stringz00_3019;

					BgL_stringz00_3019 = BGl_string1993z00zzintegrate_nodez00;
					{	/* Integrate/node.scm 15 */
						obj_t BgL_startz00_3020;

						BgL_startz00_3020 = BINT(((long) 0));
						{	/* Integrate/node.scm 15 */
							obj_t BgL_endz00_3021;

							BgL_endz00_3021 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3019)));
							{	/* Integrate/node.scm 15 */

								BgL_cportz00_3011 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3019, BgL_startz00_3020, BgL_endz00_3021);
				}}}}
				{
					long BgL_iz00_3012;

					BgL_iz00_3012 = ((long) 4);
				BgL_loopz00_3013:
					if ((BgL_iz00_3012 == ((long) -1)))
						{	/* Integrate/node.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/node.scm 15 */
							{	/* Integrate/node.scm 15 */
								obj_t BgL_arg1995z00_3015;

								{	/* Integrate/node.scm 15 */

									{	/* Integrate/node.scm 15 */
										obj_t BgL_locationz00_3017;

										BgL_locationz00_3017 = BBOOL(((bool_t) 0));
										{	/* Integrate/node.scm 15 */

											BgL_arg1995z00_3015 =
												BGl_readz00zz__readerz00(BgL_cportz00_3011,
												BgL_locationz00_3017);
										}
									}
								}
								{	/* Integrate/node.scm 15 */
									int BgL_tmpz00_3316;

									BgL_tmpz00_3316 = (int) (BgL_iz00_3012);
									CNST_TABLE_SET(BgL_tmpz00_3316, BgL_arg1995z00_3015);
							}}
							{	/* Integrate/node.scm 15 */
								int BgL_auxz00_3018;

								BgL_auxz00_3018 = (int) ((BgL_iz00_3012 - ((long) 1)));
								{
									long BgL_iz00_3321;

									BgL_iz00_3321 = (long) (BgL_auxz00_3018);
									BgL_iz00_3012 = BgL_iz00_3321;
									goto BgL_loopz00_3013;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_nodez00()
	{
		{	/* Integrate/node.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00()
	{
		{	/* Integrate/node.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_nodez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1619;

				BgL_headz00_1619 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1620;
					obj_t BgL_tailz00_1621;

					BgL_prevz00_1620 = BgL_headz00_1619;
					BgL_tailz00_1621 = BgL_l1z00_1;
				BgL_loopz00_1622:
					if (PAIRP(BgL_tailz00_1621))
						{
							obj_t BgL_newzd2prevzd2_1624;

							BgL_newzd2prevzd2_1624 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1621), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1620, BgL_newzd2prevzd2_1624);
							{
								obj_t BgL_tailz00_3331;
								obj_t BgL_prevz00_3330;

								BgL_prevz00_3330 = BgL_newzd2prevzd2_1624;
								BgL_tailz00_3331 = CDR(BgL_tailz00_1621);
								BgL_tailz00_1621 = BgL_tailz00_3331;
								BgL_prevz00_1620 = BgL_prevz00_3330;
								goto BgL_loopz00_1622;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1619);
				}
			}
		}

	}



/* integrate-globalize! */
	BGL_EXPORTED_DEF obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt
		BgL_astz00_3, BgL_variablez00_bglt BgL_integratorz00_4,
		obj_t BgL_whatzf2byza2z50_5)
	{
		{	/* Integrate/node.scm 36 */
			{	/* Integrate/node.scm 42 */
				BgL_valuez00_bglt BgL_funz00_1627;

				BgL_funz00_1627 =
					(((BgL_variablez00_bglt) COBJECT(BgL_integratorz00_4))->BgL_valuez00);
				{	/* Integrate/node.scm 42 */
					obj_t BgL_celledz00_1628;

					{	/* Integrate/node.scm 43 */
						obj_t BgL_arg1371z00_1649;

						BgL_arg1371z00_1649 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1627)))->BgL_argsz00);
						BgL_celledz00_1628 =
							BGl_celledzd2bindingszd2zzintegrate_nodez00(BgL_arg1371z00_1649);
					}
					{	/* Integrate/node.scm 43 */
						obj_t BgL_whatzf2byza2z50_1629;

						BgL_whatzf2byza2z50_1629 =
							BGl_appendzd221011zd2zzintegrate_nodez00(BgL_celledz00_1628,
							BgL_whatzf2byza2z50_5);
						{	/* Integrate/node.scm 44 */

							{
								obj_t BgL_l1282z00_1631;

								BgL_l1282z00_1631 = BgL_whatzf2byza2z50_1629;
							BgL_zc3z04anonymousza31358ze3z87_1632:
								if (PAIRP(BgL_l1282z00_1631))
									{	/* Integrate/node.scm 46 */
										{	/* Integrate/node.scm 47 */
											obj_t BgL_wzd2bzd2_1634;

											BgL_wzd2bzd2_1634 = CAR(BgL_l1282z00_1631);
											{	/* Integrate/node.scm 47 */
												obj_t BgL_arg1361z00_1635;
												obj_t BgL_arg1363z00_1636;

												BgL_arg1361z00_1635 = CAR(((obj_t) BgL_wzd2bzd2_1634));
												BgL_arg1363z00_1636 = CDR(((obj_t) BgL_wzd2bzd2_1634));
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_arg1361z00_1635))))->
														BgL_fastzd2alphazd2) =
													((obj_t) BgL_arg1363z00_1636), BUNSPEC);
											}
										}
										{
											obj_t BgL_l1282z00_3349;

											BgL_l1282z00_3349 = CDR(BgL_l1282z00_1631);
											BgL_l1282z00_1631 = BgL_l1282z00_3349;
											goto BgL_zc3z04anonymousza31358ze3z87_1632;
										}
									}
								else
									{	/* Integrate/node.scm 46 */
										((bool_t) 1);
									}
							}
							{	/* Integrate/node.scm 49 */
								BgL_nodez00_bglt BgL_resz00_1639;

								BgL_resz00_1639 =
									BGl_cellzd2formalszd2zzintegrate_nodez00(BgL_celledz00_1628,
									BGl_gloz12z12zzintegrate_nodez00(BgL_astz00_3,
										BgL_integratorz00_4));
								{
									obj_t BgL_l1284z00_1641;

									BgL_l1284z00_1641 = BgL_whatzf2byza2z50_1629;
								BgL_zc3z04anonymousza31365ze3z87_1642:
									if (PAIRP(BgL_l1284z00_1641))
										{	/* Integrate/node.scm 51 */
											{	/* Integrate/node.scm 52 */
												obj_t BgL_wzd2bzd2_1644;

												BgL_wzd2bzd2_1644 = CAR(BgL_l1284z00_1641);
												{	/* Integrate/node.scm 52 */
													obj_t BgL_arg1367z00_1645;

													BgL_arg1367z00_1645 =
														CAR(((obj_t) BgL_wzd2bzd2_1644));
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			BgL_arg1367z00_1645))))->
															BgL_fastzd2alphazd2) =
														((obj_t) BUNSPEC), BUNSPEC);
												}
											}
											{
												obj_t BgL_l1284z00_3361;

												BgL_l1284z00_3361 = CDR(BgL_l1284z00_1641);
												BgL_l1284z00_1641 = BgL_l1284z00_3361;
												goto BgL_zc3z04anonymousza31365ze3z87_1642;
											}
										}
									else
										{	/* Integrate/node.scm 51 */
											((bool_t) 1);
										}
								}
								return ((obj_t) BgL_resz00_1639);
							}
						}
					}
				}
			}
		}

	}



/* &integrate-globalize! */
	obj_t BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00(obj_t
		BgL_envz00_2910, obj_t BgL_astz00_2911, obj_t BgL_integratorz00_2912,
		obj_t BgL_whatzf2byza2z50_2913)
	{
		{	/* Integrate/node.scm 36 */
			return
				BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(
				((BgL_nodez00_bglt) BgL_astz00_2911),
				((BgL_variablez00_bglt) BgL_integratorz00_2912),
				BgL_whatzf2byza2z50_2913);
		}

	}



/* celled-bindings */
	obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t BgL_formalsz00_6)
	{
		{	/* Integrate/node.scm 59 */
			{
				obj_t BgL_celledz00_1652;
				obj_t BgL_formalsz00_1653;

				BgL_celledz00_1652 = BNIL;
				BgL_formalsz00_1653 = BgL_formalsz00_6;
			BgL_zc3z04anonymousza31372ze3z87_1654:
				if (NULLP(BgL_formalsz00_1653))
					{	/* Integrate/node.scm 63 */
						return BgL_celledz00_1652;
					}
				else
					{	/* Integrate/node.scm 65 */
						bool_t BgL_test2042z00_3369;

						{	/* Integrate/node.scm 65 */
							obj_t BgL_arg1418z00_1664;

							BgL_arg1418z00_1664 = CAR(((obj_t) BgL_formalsz00_1653));
							BgL_test2042z00_3369 =
								BGl_integratezd2celledzf3z21zzintegrate_nodez00(
								((BgL_localz00_bglt) BgL_arg1418z00_1664));
						}
						if (BgL_test2042z00_3369)
							{	/* Integrate/node.scm 68 */
								obj_t BgL_ovarz00_1658;

								BgL_ovarz00_1658 = CAR(((obj_t) BgL_formalsz00_1653));
								{	/* Integrate/node.scm 68 */
									BgL_localz00_bglt BgL_nvarz00_1659;

									BgL_nvarz00_1659 =
										BGl_cellzd2variablezd2zzintegrate_nodez00(
										((BgL_localz00_bglt) BgL_ovarz00_1658));
									{	/* Integrate/node.scm 69 */

										{	/* Integrate/node.scm 70 */
											obj_t BgL_arg1400z00_1660;
											obj_t BgL_arg1401z00_1661;

											{	/* Integrate/node.scm 70 */
												obj_t BgL_arg1415z00_1662;

												BgL_arg1415z00_1662 =
													MAKE_YOUNG_PAIR(BgL_ovarz00_1658,
													((obj_t) BgL_nvarz00_1659));
												BgL_arg1400z00_1660 =
													MAKE_YOUNG_PAIR(BgL_arg1415z00_1662,
													BgL_celledz00_1652);
											}
											BgL_arg1401z00_1661 = CDR(((obj_t) BgL_formalsz00_1653));
											{
												obj_t BgL_formalsz00_3384;
												obj_t BgL_celledz00_3383;

												BgL_celledz00_3383 = BgL_arg1400z00_1660;
												BgL_formalsz00_3384 = BgL_arg1401z00_1661;
												BgL_formalsz00_1653 = BgL_formalsz00_3384;
												BgL_celledz00_1652 = BgL_celledz00_3383;
												goto BgL_zc3z04anonymousza31372ze3z87_1654;
											}
										}
									}
								}
							}
						else
							{	/* Integrate/node.scm 66 */
								obj_t BgL_arg1416z00_1663;

								BgL_arg1416z00_1663 = CDR(((obj_t) BgL_formalsz00_1653));
								{
									obj_t BgL_formalsz00_3387;

									BgL_formalsz00_3387 = BgL_arg1416z00_1663;
									BgL_formalsz00_1653 = BgL_formalsz00_3387;
									goto BgL_zc3z04anonymousza31372ze3z87_1654;
								}
							}
					}
			}
		}

	}



/* cell-variable */
	BgL_localz00_bglt BGl_cellzd2variablezd2zzintegrate_nodez00(BgL_localz00_bglt
		BgL_localz00_7)
	{
		{	/* Integrate/node.scm 75 */
			{	/* Integrate/node.scm 76 */
				BgL_localz00_bglt BgL_varz00_1666;

				{	/* Integrate/node.scm 76 */
					obj_t BgL_arg1430z00_1672;

					BgL_arg1430z00_1672 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_localz00_7)))->BgL_idz00);
					BgL_varz00_1666 =
						BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg1430z00_1672,
						((BgL_typez00_bglt) BGl_za2cellza2z00zztype_cachez00));
				}
				{	/* Integrate/node.scm 77 */
					obj_t BgL_vz00_2273;

					BgL_vz00_2273 = CNST_TABLE_REF(((long) 0));
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1666)))->BgL_accessz00) =
						((obj_t) BgL_vz00_2273), BUNSPEC);
				}
				{	/* Integrate/node.scm 78 */
					BgL_svarz00_bglt BgL_tmp1109z00_1667;

					BgL_tmp1109z00_1667 =
						((BgL_svarz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1666)))->BgL_valuez00));
					{	/* Integrate/node.scm 78 */
						BgL_svarzf2iinfozf2_bglt BgL_wide1111z00_1669;

						BgL_wide1111z00_1669 =
							((BgL_svarzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_svarzf2iinfozf2_bgl))));
						{	/* Integrate/node.scm 78 */
							obj_t BgL_auxz00_3402;
							BgL_objectz00_bglt BgL_tmpz00_3399;

							BgL_auxz00_3402 = ((obj_t) BgL_wide1111z00_1669);
							BgL_tmpz00_3399 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1109z00_1667));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3399, BgL_auxz00_3402);
						}
						((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1109z00_1667));
						{	/* Integrate/node.scm 78 */
							long BgL_arg1419z00_1670;

							BgL_arg1419z00_1670 =
								BGL_CLASS_NUM(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1109z00_1667)),
								BgL_arg1419z00_1670);
						}
						((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1109z00_1667));
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_3413;

						{
							obj_t BgL_auxz00_3414;

							{	/* Integrate/node.scm 79 */
								BgL_objectz00_bglt BgL_tmpz00_3415;

								BgL_tmpz00_3415 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1109z00_1667));
								BgL_auxz00_3414 = BGL_OBJECT_WIDENING(BgL_tmpz00_3415);
							}
							BgL_auxz00_3413 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3414);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3413))->
								BgL_fzd2markzd2) = ((obj_t) BUNSPEC), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_3421;

						{
							obj_t BgL_auxz00_3422;

							{	/* Integrate/node.scm 79 */
								BgL_objectz00_bglt BgL_tmpz00_3423;

								BgL_tmpz00_3423 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1109z00_1667));
								BgL_auxz00_3422 = BGL_OBJECT_WIDENING(BgL_tmpz00_3423);
							}
							BgL_auxz00_3421 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3422);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3421))->
								BgL_uzd2markzd2) = ((obj_t) BUNSPEC), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_3429;

						{
							obj_t BgL_auxz00_3430;

							{	/* Integrate/node.scm 80 */
								BgL_objectz00_bglt BgL_tmpz00_3431;

								BgL_tmpz00_3431 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1109z00_1667));
								BgL_auxz00_3430 = BGL_OBJECT_WIDENING(BgL_tmpz00_3431);
							}
							BgL_auxz00_3429 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3430);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3429))->
								BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_3437;

						{
							obj_t BgL_auxz00_3438;

							{	/* Integrate/node.scm 79 */
								BgL_objectz00_bglt BgL_tmpz00_3439;

								BgL_tmpz00_3439 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1109z00_1667));
								BgL_auxz00_3438 = BGL_OBJECT_WIDENING(BgL_tmpz00_3439);
							}
							BgL_auxz00_3437 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3438);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3437))->
								BgL_celledzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_3445;

						{
							obj_t BgL_auxz00_3446;

							{	/* Integrate/node.scm 79 */
								BgL_objectz00_bglt BgL_tmpz00_3447;

								BgL_tmpz00_3447 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1109z00_1667));
								BgL_auxz00_3446 = BGL_OBJECT_WIDENING(BgL_tmpz00_3447);
							}
							BgL_auxz00_3445 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3446);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3445))->
								BgL_xhdlz00) = ((obj_t) BFALSE), BUNSPEC);
					}
					((BgL_svarz00_bglt) BgL_tmp1109z00_1667);
				}
				return BgL_varz00_1666;
			}
		}

	}



/* cell-formals */
	BgL_nodez00_bglt BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t
		BgL_celledz00_8, BgL_nodez00_bglt BgL_bodyz00_9)
	{
		{	/* Integrate/node.scm 86 */
			if (NULLP(BgL_celledz00_8))
				{	/* Integrate/node.scm 87 */
					return BgL_bodyz00_9;
				}
			else
				{	/* Integrate/node.scm 89 */
					obj_t BgL_locz00_1674;

					BgL_locz00_1674 =
						(((BgL_nodez00_bglt) COBJECT(BgL_bodyz00_9))->BgL_locz00);
					{	/* Integrate/node.scm 90 */
						BgL_letzd2varzd2_bglt BgL_new1114z00_1675;

						{	/* Integrate/node.scm 91 */
							BgL_letzd2varzd2_bglt BgL_new1113z00_1697;

							BgL_new1113z00_1697 =
								((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2varzd2_bgl))));
							{	/* Integrate/node.scm 91 */
								long BgL_arg1500z00_1698;

								BgL_arg1500z00_1698 =
									BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1113z00_1697),
									BgL_arg1500z00_1698);
							}
							{	/* Integrate/node.scm 91 */
								BgL_objectz00_bglt BgL_tmpz00_3461;

								BgL_tmpz00_3461 = ((BgL_objectz00_bglt) BgL_new1113z00_1697);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3461, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1113z00_1697);
							BgL_new1114z00_1675 = BgL_new1113z00_1697;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1114z00_1675)))->BgL_locz00) =
							((obj_t) BgL_locz00_1674), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1114z00_1675)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(BgL_bodyz00_9))->
									BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1114z00_1675)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1114z00_1675)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							obj_t BgL_auxz00_3475;

							{	/* Integrate/node.scm 94 */
								obj_t BgL_l1286z00_1676;

								BgL_l1286z00_1676 = BgL_celledz00_8;
								if (NULLP(BgL_l1286z00_1676))
									{	/* Integrate/node.scm 94 */
										BgL_auxz00_3475 = BNIL;
									}
								else
									{	/* Integrate/node.scm 94 */
										obj_t BgL_head1288z00_1678;

										BgL_head1288z00_1678 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1286z00_1680;
											obj_t BgL_tail1289z00_1681;

											BgL_l1286z00_1680 = BgL_l1286z00_1676;
											BgL_tail1289z00_1681 = BgL_head1288z00_1678;
										BgL_zc3z04anonymousza31433ze3z87_1682:
											if (NULLP(BgL_l1286z00_1680))
												{	/* Integrate/node.scm 94 */
													BgL_auxz00_3475 = CDR(BgL_head1288z00_1678);
												}
											else
												{	/* Integrate/node.scm 94 */
													obj_t BgL_newtail1290z00_1684;

													{	/* Integrate/node.scm 94 */
														obj_t BgL_arg1456z00_1686;

														{	/* Integrate/node.scm 94 */
															obj_t BgL_ozd2nzd2_1687;

															BgL_ozd2nzd2_1687 =
																CAR(((obj_t) BgL_l1286z00_1680));
															{	/* Integrate/node.scm 95 */
																obj_t BgL_arg1457z00_1688;
																BgL_makezd2boxzd2_bglt BgL_arg1462z00_1689;

																BgL_arg1457z00_1688 =
																	CDR(((obj_t) BgL_ozd2nzd2_1687));
																{	/* Integrate/node.scm 96 */
																	BgL_refz00_bglt BgL_arg1477z00_1690;
																	obj_t BgL_arg1494z00_1691;

																	{	/* Integrate/node.scm 96 */
																		BgL_refz00_bglt BgL_new1117z00_1692;

																		{	/* Integrate/node.scm 99 */
																			BgL_refz00_bglt BgL_new1115z00_1694;

																			BgL_new1115z00_1694 =
																				((BgL_refz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_refz00_bgl))));
																			{	/* Integrate/node.scm 99 */
																				long BgL_arg1497z00_1695;

																				{	/* Integrate/node.scm 99 */
																					obj_t BgL_classz00_2293;

																					BgL_classz00_2293 =
																						BGl_refz00zzast_nodez00;
																					BgL_arg1497z00_1695 =
																						BGL_CLASS_NUM(BgL_classz00_2293);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1115z00_1694),
																					BgL_arg1497z00_1695);
																			}
																			{	/* Integrate/node.scm 99 */
																				BgL_objectz00_bglt BgL_tmpz00_3490;

																				BgL_tmpz00_3490 =
																					((BgL_objectz00_bglt)
																					BgL_new1115z00_1694);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3490,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1115z00_1694);
																			BgL_new1117z00_1692 = BgL_new1115z00_1694;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1117z00_1692)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_1674), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1117z00_1692)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((
																						(BgL_variablez00_bglt)
																						COBJECT(((BgL_variablez00_bglt)
																								CAR(((obj_t)
																										BgL_ozd2nzd2_1687)))))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_varz00_bglt)
																					COBJECT(((BgL_varz00_bglt)
																							BgL_new1117z00_1692)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt) CAR(((obj_t)
																							BgL_ozd2nzd2_1687)))), BUNSPEC);
																		BgL_arg1477z00_1690 = BgL_new1117z00_1692;
																	}
																	BgL_arg1494z00_1691 =
																		CAR(((obj_t) BgL_ozd2nzd2_1687));
																	BgL_arg1462z00_1689 =
																		BGl_azd2makezd2cellz00zzintegrate_nodez00(
																		((BgL_nodez00_bglt) BgL_arg1477z00_1690),
																		((BgL_variablez00_bglt)
																			BgL_arg1494z00_1691));
																}
																BgL_arg1456z00_1686 =
																	MAKE_YOUNG_PAIR(BgL_arg1457z00_1688,
																	((obj_t) BgL_arg1462z00_1689));
														}}
														BgL_newtail1290z00_1684 =
															MAKE_YOUNG_PAIR(BgL_arg1456z00_1686, BNIL);
													}
													SET_CDR(BgL_tail1289z00_1681,
														BgL_newtail1290z00_1684);
													{	/* Integrate/node.scm 94 */
														obj_t BgL_arg1454z00_1685;

														BgL_arg1454z00_1685 =
															CDR(((obj_t) BgL_l1286z00_1680));
														{
															obj_t BgL_tail1289z00_3519;
															obj_t BgL_l1286z00_3518;

															BgL_l1286z00_3518 = BgL_arg1454z00_1685;
															BgL_tail1289z00_3519 = BgL_newtail1290z00_1684;
															BgL_tail1289z00_1681 = BgL_tail1289z00_3519;
															BgL_l1286z00_1680 = BgL_l1286z00_3518;
															goto BgL_zc3z04anonymousza31433ze3z87_1682;
														}
													}
												}
										}
									}
							}
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1114z00_1675))->
									BgL_bindingsz00) = ((obj_t) BgL_auxz00_3475), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1114z00_1675))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_bodyz00_9), BUNSPEC);
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1114z00_1675))->
								BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1114z00_1675);
					}
				}
		}

	}



/* a-make-cell */
	BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt BgL_nodez00_10,
		BgL_variablez00_bglt BgL_variablez00_11)
	{
		{	/* Integrate/node.scm 106 */
			{	/* Integrate/node.scm 110 */
				obj_t BgL_vz00_2304;

				BgL_vz00_2304 = CNST_TABLE_REF(((long) 0));
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_variablez00_11))))->BgL_accessz00) =
					((obj_t) BgL_vz00_2304), BUNSPEC);
			}
			{	/* Integrate/node.scm 111 */
				BgL_valuez00_bglt BgL_arg1520z00_1700;

				BgL_arg1520z00_1700 =
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_11))->BgL_valuez00);
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_3529;

					{
						obj_t BgL_auxz00_3530;

						{	/* Integrate/node.scm 111 */
							BgL_objectz00_bglt BgL_tmpz00_3531;

							BgL_tmpz00_3531 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_arg1520z00_1700));
							BgL_auxz00_3530 = BGL_OBJECT_WIDENING(BgL_tmpz00_3531);
						}
						BgL_auxz00_3529 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3530);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3529))->
							BgL_celledzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
			}}
			{	/* Integrate/node.scm 112 */
				BgL_makezd2boxzd2_bglt BgL_new1120z00_1701;

				{	/* Integrate/node.scm 115 */
					BgL_makezd2boxzd2_bglt BgL_new1119z00_1703;

					BgL_new1119z00_1703 =
						((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Integrate/node.scm 115 */
						long BgL_arg1534z00_1704;

						BgL_arg1534z00_1704 = BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1119z00_1703), BgL_arg1534z00_1704);
					}
					{	/* Integrate/node.scm 115 */
						BgL_objectz00_bglt BgL_tmpz00_3541;

						BgL_tmpz00_3541 = ((BgL_objectz00_bglt) BgL_new1119z00_1703);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3541, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1119z00_1703);
					BgL_new1120z00_1701 = BgL_new1119z00_1703;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1120z00_1701)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_10))->BgL_locz00)),
					BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1120z00_1701)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt)
							BGl_za2cellza2z00zztype_cachez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1120z00_1701)))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1120z00_1701)))->BgL_keyz00) =
					((obj_t) BINT(((long) -1))), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1120z00_1701))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_nodez00_10), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3557;

					{	/* Integrate/node.scm 114 */
						BgL_typez00_bglt BgL_arg1524z00_1702;

						BgL_arg1524z00_1702 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_11))->
							BgL_typez00);
						BgL_auxz00_3557 =
							BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_arg1524z00_1702);
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1120z00_1701))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_3557), BUNSPEC);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1120z00_1701))->
						BgL_stackablez00) = ((obj_t) BTRUE), BUNSPEC);
				return BgL_new1120z00_1701;
			}
		}

	}



/* integrate-celled? */
	BGL_EXPORTED_DEF bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt
		BgL_variablez00_12)
	{
		{	/* Integrate/node.scm 122 */
			{	/* Integrate/node.scm 133 */
				bool_t BgL_test2046z00_3562;

				{	/* Integrate/node.scm 133 */
					BgL_valuez00_bglt BgL_arg1548z00_1711;

					BgL_arg1548z00_1711 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_variablez00_12)))->BgL_valuez00);
					{	/* Integrate/node.scm 133 */
						obj_t BgL_classz00_2315;

						BgL_classz00_2315 = BGl_svarzf2Iinfozf2zzintegrate_infoz00;
						{	/* Integrate/node.scm 133 */
							BgL_objectz00_bglt BgL_arg1825z00_2317;

							{	/* Integrate/node.scm 133 */
								obj_t BgL_tmpz00_3565;

								BgL_tmpz00_3565 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1548z00_1711));
								BgL_arg1825z00_2317 = (BgL_objectz00_bglt) (BgL_tmpz00_3565);
							}
							{	/* Integrate/node.scm 133 */
								bool_t BgL_arg1822z00_2320;
								bool_t BgL_arg1823z00_2321;

								{	/* Integrate/node.scm 133 */
									long BgL_idxz00_2324;

									BgL_idxz00_2324 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2317);
									BgL_arg1822z00_2320 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2324 + ((long) 3))) == BgL_classz00_2315);
								}
								{	/* Integrate/node.scm 133 */
									bool_t BgL_res1938z00_2346;

									{	/* Integrate/node.scm 133 */
										obj_t BgL_oclassz00_2332;

										{	/* Integrate/node.scm 133 */
											long BgL_arg1833z00_2338;

											{	/* Integrate/node.scm 133 */
												long BgL_arg1834z00_2339;

												BgL_arg1834z00_2339 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2317);
												BgL_arg1833z00_2338 =
													(BgL_arg1834z00_2339 - OBJECT_TYPE);
											}
											BgL_oclassz00_2332 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2338);
										}
										{	/* Integrate/node.scm 133 */
											bool_t BgL__ortest_1110z00_2333;

											BgL__ortest_1110z00_2333 =
												(BgL_classz00_2315 == BgL_oclassz00_2332);
											if (BgL__ortest_1110z00_2333)
												{	/* Integrate/node.scm 133 */
													BgL_res1938z00_2346 = BgL__ortest_1110z00_2333;
												}
											else
												{	/* Integrate/node.scm 133 */
													long BgL_odepthz00_2334;

													BgL_odepthz00_2334 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2332);
													if ((((long) 3) < BgL_odepthz00_2334))
														{	/* Integrate/node.scm 133 */
															obj_t BgL_arg1821z00_2336;

															BgL_arg1821z00_2336 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2332,
																((long) 3));
															BgL_res1938z00_2346 =
																(BgL_arg1821z00_2336 == BgL_classz00_2315);
														}
													else
														{	/* Integrate/node.scm 133 */
															BgL_res1938z00_2346 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2321 = BgL_res1938z00_2346;
								}
								BgL_test2046z00_3562 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2320, BgL_arg1823z00_2321);
							}
						}
					}
				}
				if (BgL_test2046z00_3562)
					{	/* Integrate/node.scm 134 */
						bool_t BgL__ortest_1122z00_1706;

						{	/* Integrate/node.scm 134 */
							BgL_svarz00_bglt BgL_oz00_2348;

							BgL_oz00_2348 =
								((BgL_svarz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_variablez00_12)))->
									BgL_valuez00));
							{
								BgL_svarzf2iinfozf2_bglt BgL_auxz00_3587;

								{
									obj_t BgL_auxz00_3588;

									{	/* Integrate/node.scm 134 */
										BgL_objectz00_bglt BgL_tmpz00_3589;

										BgL_tmpz00_3589 = ((BgL_objectz00_bglt) BgL_oz00_2348);
										BgL_auxz00_3588 = BGL_OBJECT_WIDENING(BgL_tmpz00_3589);
									}
									BgL_auxz00_3587 =
										((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3588);
								}
								BgL__ortest_1122z00_1706 =
									(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3587))->
									BgL_celledzf3zf3);
							}
						}
						if (BgL__ortest_1122z00_1706)
							{	/* Integrate/node.scm 134 */
								return BgL__ortest_1122z00_1706;
							}
						else
							{	/* Integrate/node.scm 134 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_variablez00_12)))->
												BgL_accessz00), CNST_TABLE_REF(((long) 1)))))
									{	/* Integrate/node.scm 136 */
										BgL_svarz00_bglt BgL_oz00_2352;

										BgL_oz00_2352 =
											((BgL_svarz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_variablez00_12)))->
												BgL_valuez00));
										{
											BgL_svarzf2iinfozf2_bglt BgL_auxz00_3604;

											{
												obj_t BgL_auxz00_3605;

												{	/* Integrate/node.scm 136 */
													BgL_objectz00_bglt BgL_tmpz00_3606;

													BgL_tmpz00_3606 =
														((BgL_objectz00_bglt) BgL_oz00_2352);
													BgL_auxz00_3605 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3606);
												}
												BgL_auxz00_3604 =
													((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3605);
											}
											return
												(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3604))->
												BgL_kapturedzf3zf3);
										}
									}
								else
									{	/* Integrate/node.scm 135 */
										return ((bool_t) 0);
									}
							}
					}
				else
					{	/* Integrate/node.scm 133 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &integrate-celled? */
	obj_t BGl_z62integratezd2celledzf3z43zzintegrate_nodez00(obj_t
		BgL_envz00_2914, obj_t BgL_variablez00_2915)
	{
		{	/* Integrate/node.scm 122 */
			return
				BBOOL(BGl_integratezd2celledzf3z21zzintegrate_nodez00(
					((BgL_localz00_bglt) BgL_variablez00_2915)));
		}

	}



/* glo*! */
	obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t BgL_nodeza2za2_59,
		obj_t BgL_integratorz00_60)
	{
		{	/* Integrate/node.scm 439 */
			{
				obj_t BgL_nodeza2za2_1713;

				BgL_nodeza2za2_1713 = BgL_nodeza2za2_59;
			BgL_zc3z04anonymousza31549ze3z87_1714:
				if (NULLP(BgL_nodeza2za2_1713))
					{	/* Integrate/node.scm 441 */
						return CNST_TABLE_REF(((long) 2));
					}
				else
					{	/* Integrate/node.scm 441 */
						{	/* Integrate/node.scm 444 */
							BgL_nodez00_bglt BgL_arg1551z00_1716;

							{	/* Integrate/node.scm 444 */
								obj_t BgL_arg1552z00_1717;

								BgL_arg1552z00_1717 = CAR(((obj_t) BgL_nodeza2za2_1713));
								BgL_arg1551z00_1716 =
									BGl_gloz12z12zzintegrate_nodez00(
									((BgL_nodez00_bglt) BgL_arg1552z00_1717),
									((BgL_variablez00_bglt) BgL_integratorz00_60));
							}
							{	/* Integrate/node.scm 444 */
								obj_t BgL_auxz00_3624;
								obj_t BgL_tmpz00_3622;

								BgL_auxz00_3624 = ((obj_t) BgL_arg1551z00_1716);
								BgL_tmpz00_3622 = ((obj_t) BgL_nodeza2za2_1713);
								SET_CAR(BgL_tmpz00_3622, BgL_auxz00_3624);
							}
						}
						{	/* Integrate/node.scm 445 */
							obj_t BgL_arg1554z00_1718;

							BgL_arg1554z00_1718 = CDR(((obj_t) BgL_nodeza2za2_1713));
							{
								obj_t BgL_nodeza2za2_3629;

								BgL_nodeza2za2_3629 = BgL_arg1554z00_1718;
								BgL_nodeza2za2_1713 = BgL_nodeza2za2_3629;
								goto BgL_zc3z04anonymousza31549ze3z87_1714;
							}
						}
					}
			}
		}

	}



/* globalize-local-fun! */
	obj_t BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt
		BgL_localz00_61, BgL_variablez00_bglt BgL_integratorz00_62)
	{
		{	/* Integrate/node.scm 450 */
			{	/* Integrate/node.scm 453 */
				BgL_valuez00_bglt BgL_funz00_1720;

				BgL_funz00_1720 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_61)))->BgL_valuez00);
				{	/* Integrate/node.scm 453 */
					obj_t BgL_obodyz00_1721;

					BgL_obodyz00_1721 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1720)))->BgL_bodyz00);
					{	/* Integrate/node.scm 454 */

						if ((((obj_t) BgL_localz00_61) == ((obj_t) BgL_integratorz00_62)))
							{	/* Integrate/node.scm 457 */
								BgL_nodez00_bglt BgL_arg1563z00_1723;

								BgL_arg1563z00_1723 =
									BGl_gloz12z12zzintegrate_nodez00(
									((BgL_nodez00_bglt) BgL_obodyz00_1721), BgL_integratorz00_62);
								return
									((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1720)))->BgL_bodyz00) =
									((obj_t) ((obj_t) BgL_arg1563z00_1723)), BUNSPEC);
							}
						else
							{	/* Integrate/node.scm 458 */
								bool_t BgL_test2053z00_3643;

								{	/* Integrate/node.scm 458 */
									bool_t BgL_test2054z00_3644;

									{	/* Integrate/node.scm 458 */
										obj_t BgL_classz00_2360;

										BgL_classz00_2360 = BGl_sfunzf2Iinfozf2zzintegrate_infoz00;
										{	/* Integrate/node.scm 458 */
											BgL_objectz00_bglt BgL_arg1825z00_2362;

											{	/* Integrate/node.scm 458 */
												obj_t BgL_tmpz00_3645;

												BgL_tmpz00_3645 =
													((obj_t) ((BgL_objectz00_bglt) BgL_funz00_1720));
												BgL_arg1825z00_2362 =
													(BgL_objectz00_bglt) (BgL_tmpz00_3645);
											}
											{	/* Integrate/node.scm 458 */
												bool_t BgL_arg1822z00_2365;
												bool_t BgL_arg1823z00_2366;

												{	/* Integrate/node.scm 458 */
													long BgL_idxz00_2369;

													BgL_idxz00_2369 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2362);
													BgL_arg1822z00_2365 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2369 + ((long) 4))) ==
														BgL_classz00_2360);
												}
												{	/* Integrate/node.scm 458 */
													bool_t BgL_res1939z00_2391;

													{	/* Integrate/node.scm 458 */
														obj_t BgL_oclassz00_2377;

														{	/* Integrate/node.scm 458 */
															long BgL_arg1833z00_2383;

															{	/* Integrate/node.scm 458 */
																long BgL_arg1834z00_2384;

																BgL_arg1834z00_2384 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2362);
																BgL_arg1833z00_2383 =
																	(BgL_arg1834z00_2384 - OBJECT_TYPE);
															}
															BgL_oclassz00_2377 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_2383);
														}
														{	/* Integrate/node.scm 458 */
															bool_t BgL__ortest_1110z00_2378;

															BgL__ortest_1110z00_2378 =
																(BgL_classz00_2360 == BgL_oclassz00_2377);
															if (BgL__ortest_1110z00_2378)
																{	/* Integrate/node.scm 458 */
																	BgL_res1939z00_2391 =
																		BgL__ortest_1110z00_2378;
																}
															else
																{	/* Integrate/node.scm 458 */
																	long BgL_odepthz00_2379;

																	BgL_odepthz00_2379 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2377);
																	if ((((long) 4) < BgL_odepthz00_2379))
																		{	/* Integrate/node.scm 458 */
																			obj_t BgL_arg1821z00_2381;

																			BgL_arg1821z00_2381 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2377, ((long) 4));
																			BgL_res1939z00_2391 =
																				(BgL_arg1821z00_2381 ==
																				BgL_classz00_2360);
																		}
																	else
																		{	/* Integrate/node.scm 458 */
																			BgL_res1939z00_2391 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_2366 = BgL_res1939z00_2391;
												}
												BgL_test2054z00_3644 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_2365,
													BgL_arg1823z00_2366);
											}
										}
									}
									if (BgL_test2054z00_3644)
										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3664;

											{
												obj_t BgL_auxz00_3665;

												{	/* Integrate/node.scm 458 */
													BgL_objectz00_bglt BgL_tmpz00_3666;

													BgL_tmpz00_3666 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_1720));
													BgL_auxz00_3665 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3666);
												}
												BgL_auxz00_3664 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3665);
											}
											BgL_test2053z00_3643 =
												(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3664))->
												BgL_gzf3zf3);
										}
									else
										{	/* Integrate/node.scm 458 */
											BgL_test2053z00_3643 = ((bool_t) 0);
										}
								}
								if (BgL_test2053z00_3643)
									{	/* Integrate/node.scm 458 */
										return BUNSPEC;
									}
								else
									{	/* Integrate/node.scm 461 */
										obj_t BgL_celledz00_1726;

										{	/* Integrate/node.scm 461 */
											obj_t BgL_arg1583z00_1746;

											BgL_arg1583z00_1746 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_1720)))->
												BgL_argsz00);
											BgL_celledz00_1726 =
												BGl_celledzd2bindingszd2zzintegrate_nodez00
												(BgL_arg1583z00_1746);
										}
										{
											obj_t BgL_l1303z00_1728;

											BgL_l1303z00_1728 = BgL_celledz00_1726;
										BgL_zc3z04anonymousza31567ze3z87_1729:
											if (PAIRP(BgL_l1303z00_1728))
												{	/* Integrate/node.scm 462 */
													{	/* Integrate/node.scm 463 */
														obj_t BgL_wzd2bzd2_1731;

														BgL_wzd2bzd2_1731 = CAR(BgL_l1303z00_1728);
														{	/* Integrate/node.scm 463 */
															obj_t BgL_arg1570z00_1732;
															obj_t BgL_arg1571z00_1733;

															BgL_arg1570z00_1732 =
																CAR(((obj_t) BgL_wzd2bzd2_1731));
															BgL_arg1571z00_1733 =
																CDR(((obj_t) BgL_wzd2bzd2_1731));
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_arg1570z00_1732)))->
																	BgL_fastzd2alphazd2) =
																((obj_t) BgL_arg1571z00_1733), BUNSPEC);
														}
													}
													{
														obj_t BgL_l1303z00_3684;

														BgL_l1303z00_3684 = CDR(BgL_l1303z00_1728);
														BgL_l1303z00_1728 = BgL_l1303z00_3684;
														goto BgL_zc3z04anonymousza31567ze3z87_1729;
													}
												}
											else
												{	/* Integrate/node.scm 462 */
													((bool_t) 1);
												}
										}
										{	/* Integrate/node.scm 465 */
											BgL_nodez00_bglt BgL_nbody1z00_1736;

											BgL_nbody1z00_1736 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_obodyz00_1721),
												BgL_integratorz00_62);
											{	/* Integrate/node.scm 465 */
												BgL_nodez00_bglt BgL_nbody2z00_1737;

												BgL_nbody2z00_1737 =
													BGl_cellzd2formalszd2zzintegrate_nodez00
													(BgL_celledz00_1726, BgL_nbody1z00_1736);
												{	/* Integrate/node.scm 466 */

													{
														obj_t BgL_l1305z00_1739;

														BgL_l1305z00_1739 = BgL_celledz00_1726;
													BgL_zc3z04anonymousza31579ze3z87_1740:
														if (PAIRP(BgL_l1305z00_1739))
															{	/* Integrate/node.scm 467 */
																{	/* Integrate/node.scm 468 */
																	obj_t BgL_wzd2bzd2_1742;

																	BgL_wzd2bzd2_1742 = CAR(BgL_l1305z00_1739);
																	{	/* Integrate/node.scm 468 */
																		obj_t BgL_arg1581z00_1743;

																		BgL_arg1581z00_1743 =
																			CAR(((obj_t) BgL_wzd2bzd2_1742));
																		((((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							BgL_arg1581z00_1743)))->
																				BgL_fastzd2alphazd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																	}
																}
																{
																	obj_t BgL_l1305z00_3696;

																	BgL_l1305z00_3696 = CDR(BgL_l1305z00_1739);
																	BgL_l1305z00_1739 = BgL_l1305z00_3696;
																	goto BgL_zc3z04anonymousza31579ze3z87_1740;
																}
															}
														else
															{	/* Integrate/node.scm 467 */
																((bool_t) 1);
															}
													}
													return
														((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_funz00_1720)))->
															BgL_bodyz00) =
														((obj_t) ((obj_t) BgL_nbody2z00_1737)), BUNSPEC);
												}
											}
										}
									}
							}
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_nodez00()
	{
		{	/* Integrate/node.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_nodez00()
	{
		{	/* Integrate/node.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_proc1957z00zzintegrate_nodez00, BGl_nodez00zzast_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
		}

	}



/* &glo!1307 */
	obj_t BGl_z62gloz121307z70zzintegrate_nodez00(obj_t BgL_envz00_2917,
		obj_t BgL_nodez00_2918, obj_t BgL_integratorz00_2919)
	{
		{	/* Integrate/node.scm 141 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 3)),
				BGl_string1959z00zzintegrate_nodez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2918)));
		}

	}



/* glo! */
	BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt
		BgL_nodez00_13, BgL_variablez00_bglt BgL_integratorz00_14)
	{
		{	/* Integrate/node.scm 141 */
			{	/* Integrate/node.scm 141 */
				obj_t BgL_method1308z00_1753;

				{	/* Integrate/node.scm 141 */
					obj_t BgL_res1944z00_2435;

					{	/* Integrate/node.scm 141 */
						long BgL_objzd2classzd2numz00_2406;

						BgL_objzd2classzd2numz00_2406 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_13));
						{	/* Integrate/node.scm 141 */
							obj_t BgL_arg1829z00_2407;

							BgL_arg1829z00_2407 =
								PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00,
								(int) (((long) 1)));
							{	/* Integrate/node.scm 141 */
								int BgL_offsetz00_2410;

								BgL_offsetz00_2410 = (int) (BgL_objzd2classzd2numz00_2406);
								{	/* Integrate/node.scm 141 */
									long BgL_offsetz00_2411;

									BgL_offsetz00_2411 =
										((long) (BgL_offsetz00_2410) - OBJECT_TYPE);
									{	/* Integrate/node.scm 141 */
										long BgL_modz00_2412;

										BgL_modz00_2412 =
											(BgL_offsetz00_2411 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Integrate/node.scm 141 */
											long BgL_restz00_2414;

											BgL_restz00_2414 =
												(BgL_offsetz00_2411 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Integrate/node.scm 141 */

												{	/* Integrate/node.scm 141 */
													obj_t BgL_bucketz00_2416;

													BgL_bucketz00_2416 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2407), BgL_modz00_2412);
													BgL_res1944z00_2435 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2416), BgL_restz00_2414);
					}}}}}}}}
					BgL_method1308z00_1753 = BgL_res1944z00_2435;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1308z00_1753) (BgL_method1308z00_1753,
						((obj_t) BgL_nodez00_13), ((obj_t) BgL_integratorz00_14), BEOA));
			}
		}

	}



/* &glo! */
	BgL_nodez00_bglt BGl_z62gloz12z70zzintegrate_nodez00(obj_t BgL_envz00_2920,
		obj_t BgL_nodez00_2921, obj_t BgL_integratorz00_2922)
	{
		{	/* Integrate/node.scm 141 */
			return
				BGl_gloz12z12zzintegrate_nodez00(
				((BgL_nodez00_bglt) BgL_nodez00_2921),
				((BgL_variablez00_bglt) BgL_integratorz00_2922));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_nodez00()
	{
		{	/* Integrate/node.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_atomz00zzast_nodez00,
				BGl_proc1960z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_kwotez00zzast_nodez00,
				BGl_proc1962z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_varz00zzast_nodez00,
				BGl_proc1963z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_closurez00zzast_nodez00,
				BGl_proc1964z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_sequencez00zzast_nodez00,
				BGl_proc1965z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_syncz00zzast_nodez00,
				BGl_proc1966z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appz00zzast_nodez00,
				BGl_proc1967z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc1968z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_funcallz00zzast_nodez00,
				BGl_proc1969z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_externz00zzast_nodez00,
				BGl_proc1970z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_castz00zzast_nodez00,
				BGl_proc1971z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_setqz00zzast_nodez00,
				BGl_proc1972z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1973z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_failz00zzast_nodez00,
				BGl_proc1974z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_switchz00zzast_nodez00,
				BGl_proc1975z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc1976z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1977z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1978z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1979z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc1980z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc1981z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1982z00zzintegrate_nodez00,
				BGl_string1961z00zzintegrate_nodez00);
		}

	}



/* &glo!-box-set!1352 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2setz121352z62zzintegrate_nodez00(obj_t
		BgL_envz00_2945, obj_t BgL_nodez00_2946, obj_t BgL_integratorz00_2947)
	{
		{	/* Integrate/node.scm 429 */
			{
				BgL_varz00_bglt BgL_auxz00_3764;

				{	/* Tools/trace.sch 53 */
					BgL_varz00_bglt BgL_arg1856z00_3026;

					BgL_arg1856z00_3026 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2946)))->BgL_varz00);
					BgL_auxz00_3764 =
						((BgL_varz00_bglt)
						BGl_gloz12z12zzintegrate_nodez00(
							((BgL_nodez00_bglt) BgL_arg1856z00_3026),
							((BgL_variablez00_bglt) BgL_integratorz00_2947)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2946)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3764), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3773;

				{	/* Tools/trace.sch 53 */
					BgL_nodez00_bglt BgL_arg1857z00_3027;

					BgL_arg1857z00_3027 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2946)))->BgL_valuez00);
					BgL_auxz00_3773 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1857z00_3027,
						((BgL_variablez00_bglt) BgL_integratorz00_2947));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2946)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3773), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2946));
		}

	}



/* &glo!-box-ref1350 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2ref1350z70zzintegrate_nodez00(obj_t
		BgL_envz00_2948, obj_t BgL_nodez00_2949, obj_t BgL_integratorz00_2950)
	{
		{	/* Integrate/node.scm 415 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_test2059z00_3782;

				{	/* Tools/trace.sch 53 */
					BgL_variablez00_bglt BgL_arg1852z00_3029;

					BgL_arg1852z00_3029 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_boxzd2refzd2_bglt) COBJECT(
											((BgL_boxzd2refzd2_bglt) BgL_nodez00_2949)))->
									BgL_varz00)))->BgL_variablez00);
					BgL_test2059z00_3782 =
						BGl_integratezd2celledzf3z21zzintegrate_nodez00(((BgL_localz00_bglt)
							BgL_arg1852z00_3029));
				}
				if (BgL_test2059z00_3782)
					{	/* Tools/trace.sch 53 */
						BgL_variablez00_bglt BgL_vz00_3030;

						BgL_vz00_3030 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_boxzd2refzd2_bglt) COBJECT(
												((BgL_boxzd2refzd2_bglt) BgL_nodez00_2949)))->
										BgL_varz00)))->BgL_variablez00);
						{	/* Tools/trace.sch 53 */
							obj_t BgL_arg1801z00_3031;
							obj_t BgL_arg1805z00_3032;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_3791;

								BgL_tmpz00_3791 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg1801z00_3031 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3791);
							}
							BgL_arg1805z00_3032 =
								BGl_shapez00zztools_shapez00(
								((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2949)));
							{	/* Tools/trace.sch 53 */
								obj_t BgL_list1806z00_3033;

								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1807z00_3034;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1808z00_3035;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1810z00_3036;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_arg1811z00_3037;

												{	/* Tools/trace.sch 53 */
													obj_t BgL_arg1817z00_3038;

													BgL_arg1817z00_3038 =
														MAKE_YOUNG_PAIR(BgL_arg1805z00_3032, BNIL);
													BgL_arg1811z00_3037 =
														MAKE_YOUNG_PAIR
														(BGl_string1983z00zzintegrate_nodez00,
														BgL_arg1817z00_3038);
												}
												BgL_arg1810z00_3036 =
													MAKE_YOUNG_PAIR(BGl_string1984z00zzintegrate_nodez00,
													BgL_arg1811z00_3037);
											}
											BgL_arg1808z00_3035 =
												MAKE_YOUNG_PAIR(BINT(((long) 420)),
												BgL_arg1810z00_3036);
										}
										BgL_arg1807z00_3034 =
											MAKE_YOUNG_PAIR(BGl_string1985z00zzintegrate_nodez00,
											BgL_arg1808z00_3035);
									}
									BgL_list1806z00_3033 =
										MAKE_YOUNG_PAIR(BGl_string1986z00zzintegrate_nodez00,
										BgL_arg1807z00_3034);
								}
								BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1801z00_3031,
									BgL_list1806z00_3033);
						}}
						{	/* Tools/trace.sch 53 */
							obj_t BgL_arg1818z00_3039;
							obj_t BgL_arg1824z00_3040;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_3805;

								BgL_tmpz00_3805 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg1818z00_3039 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3805);
							}
							BgL_arg1824z00_3040 =
								(((BgL_variablez00_bglt) COBJECT(BgL_vz00_3030))->
								BgL_accessz00);
							{	/* Tools/trace.sch 53 */
								obj_t BgL_list1825z00_3041;

								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1837z00_3042;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1838z00_3043;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1839z00_3044;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_arg1842z00_3045;

												{	/* Tools/trace.sch 53 */
													obj_t BgL_arg1848z00_3046;

													BgL_arg1848z00_3046 =
														MAKE_YOUNG_PAIR(BgL_arg1824z00_3040, BNIL);
													BgL_arg1842z00_3045 =
														MAKE_YOUNG_PAIR
														(BGl_string1987z00zzintegrate_nodez00,
														BgL_arg1848z00_3046);
												}
												BgL_arg1839z00_3044 =
													MAKE_YOUNG_PAIR(BGl_string1984z00zzintegrate_nodez00,
													BgL_arg1842z00_3045);
											}
											BgL_arg1838z00_3043 =
												MAKE_YOUNG_PAIR(BINT(((long) 421)),
												BgL_arg1839z00_3044);
										}
										BgL_arg1837z00_3042 =
											MAKE_YOUNG_PAIR(BGl_string1985z00zzintegrate_nodez00,
											BgL_arg1838z00_3043);
									}
									BgL_list1825z00_3041 =
										MAKE_YOUNG_PAIR(BGl_string1986z00zzintegrate_nodez00,
										BgL_arg1837z00_3042);
								}
								BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1818z00_3039,
									BgL_list1825z00_3041);
						}}
						{	/* Tools/trace.sch 53 */
							obj_t BgL_arg1849z00_3047;

							BgL_arg1849z00_3047 =
								BGl_shapez00zztools_shapez00(
								((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2949)));
							BGl_errorz00zz__errorz00(BGl_string1988z00zzintegrate_nodez00,
								BGl_string1989z00zzintegrate_nodez00, BgL_arg1849z00_3047);
					}}
				else
					{	/* Tools/trace.sch 53 */
						BFALSE;
					}
			}
			{
				BgL_varz00_bglt BgL_auxz00_3821;

				{	/* Tools/trace.sch 53 */
					BgL_varz00_bglt BgL_arg1855z00_3048;

					BgL_arg1855z00_3048 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2949)))->BgL_varz00);
					BgL_auxz00_3821 =
						((BgL_varz00_bglt)
						BGl_gloz12z12zzintegrate_nodez00(
							((BgL_nodez00_bglt) BgL_arg1855z00_3048),
							((BgL_variablez00_bglt) BgL_integratorz00_2950)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2949)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3821), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2949));
		}

	}



/* &glo!-make-box1348 */
	BgL_nodez00_bglt BGl_z62gloz12zd2makezd2box1348z70zzintegrate_nodez00(obj_t
		BgL_envz00_2951, obj_t BgL_nodez00_2952, obj_t BgL_integratorz00_2953)
	{
		{	/* Integrate/node.scm 407 */
			{
				BgL_nodez00_bglt BgL_auxz00_3832;

				{	/* Integrate/node.scm 409 */
					BgL_nodez00_bglt BgL_arg1788z00_3050;

					BgL_arg1788z00_3050 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2952)))->BgL_valuez00);
					BgL_auxz00_3832 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1788z00_3050,
						((BgL_variablez00_bglt) BgL_integratorz00_2953));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2952)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3832), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2952));
		}

	}



/* &glo!-jump-ex-it1346 */
	BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1346za2zzintegrate_nodez00(obj_t
		BgL_envz00_2954, obj_t BgL_nodez00_2955, obj_t BgL_integratorz00_2956)
	{
		{	/* Integrate/node.scm 398 */
			{
				BgL_nodez00_bglt BgL_auxz00_3841;

				{	/* Integrate/node.scm 400 */
					BgL_nodez00_bglt BgL_arg1781z00_3052;

					BgL_arg1781z00_3052 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2955)))->BgL_exitz00);
					BgL_auxz00_3841 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1781z00_3052,
						((BgL_variablez00_bglt) BgL_integratorz00_2956));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2955)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3841), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3848;

				{	/* Integrate/node.scm 401 */
					BgL_nodez00_bglt BgL_arg1785z00_3053;

					BgL_arg1785z00_3053 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2955)))->
						BgL_valuez00);
					BgL_auxz00_3848 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1785z00_3053,
						((BgL_variablez00_bglt) BgL_integratorz00_2956));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2955)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3848), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2955));
		}

	}



/* &glo!-set-ex-it1344 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setzd2exzd2it1344za2zzintegrate_nodez00(obj_t
		BgL_envz00_2957, obj_t BgL_nodez00_2958, obj_t BgL_integratorz00_2959)
	{
		{	/* Integrate/node.scm 389 */
			{
				BgL_nodez00_bglt BgL_auxz00_3857;

				{	/* Integrate/node.scm 391 */
					BgL_nodez00_bglt BgL_arg1772z00_3055;

					BgL_arg1772z00_3055 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2958)))->
						BgL_onexitz00);
					BgL_auxz00_3857 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1772z00_3055,
						((BgL_variablez00_bglt) BgL_integratorz00_2959));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2958)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3857), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3864;

				{	/* Integrate/node.scm 392 */
					BgL_nodez00_bglt BgL_arg1777z00_3056;

					BgL_arg1777z00_3056 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2958)))->BgL_bodyz00);
					BgL_auxz00_3864 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1777z00_3056,
						((BgL_variablez00_bglt) BgL_integratorz00_2959));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2958)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3864), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2958));
		}

	}



/* &glo!-let-var1342 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2var1342z70zzintegrate_nodez00(obj_t
		BgL_envz00_2960, obj_t BgL_nodez00_2961, obj_t BgL_integratorz00_2962)
	{
		{	/* Integrate/node.scm 364 */
			{	/* Integrate/node.scm 366 */
				obj_t BgL_g1299z00_3058;

				BgL_g1299z00_3058 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2961)))->BgL_bindingsz00);
				{
					obj_t BgL_l1297z00_3060;

					BgL_l1297z00_3060 = BgL_g1299z00_3058;
				BgL_zc3z04anonymousza31748ze3z87_3059:
					if (PAIRP(BgL_l1297z00_3060))
						{	/* Integrate/node.scm 366 */
							{	/* Integrate/node.scm 367 */
								obj_t BgL_bindingz00_3061;

								BgL_bindingz00_3061 = CAR(BgL_l1297z00_3060);
								{	/* Integrate/node.scm 367 */
									obj_t BgL_varz00_3062;
									obj_t BgL_valz00_3063;

									BgL_varz00_3062 = CAR(((obj_t) BgL_bindingz00_3061));
									BgL_valz00_3063 = CDR(((obj_t) BgL_bindingz00_3061));
									{	/* Integrate/node.scm 369 */
										BgL_nodez00_bglt BgL_arg1750z00_3064;

										BgL_arg1750z00_3064 =
											BGl_gloz12z12zzintegrate_nodez00(
											((BgL_nodez00_bglt) BgL_valz00_3063),
											((BgL_variablez00_bglt) BgL_integratorz00_2962));
										{	/* Integrate/node.scm 369 */
											obj_t BgL_auxz00_3887;
											obj_t BgL_tmpz00_3885;

											BgL_auxz00_3887 = ((obj_t) BgL_arg1750z00_3064);
											BgL_tmpz00_3885 = ((obj_t) BgL_bindingz00_3061);
											SET_CDR(BgL_tmpz00_3885, BgL_auxz00_3887);
										}
									}
									if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
											((BgL_localz00_bglt) BgL_varz00_3062)))
										{	/* Integrate/node.scm 371 */
											BgL_localz00_bglt BgL_nvarz00_3065;

											BgL_nvarz00_3065 =
												BGl_cellzd2variablezd2zzintegrate_nodez00(
												((BgL_localz00_bglt) BgL_varz00_3062));
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_3062))))->
													BgL_fastzd2alphazd2) =
												((obj_t) ((obj_t) BgL_nvarz00_3065)), BUNSPEC);
											{	/* Integrate/node.scm 374 */
												BgL_makezd2boxzd2_bglt BgL_arg1752z00_3066;

												{	/* Integrate/node.scm 374 */
													obj_t BgL_arg1753z00_3067;

													BgL_arg1753z00_3067 =
														CDR(((obj_t) BgL_bindingz00_3061));
													BgL_arg1752z00_3066 =
														BGl_azd2makezd2cellz00zzintegrate_nodez00(
														((BgL_nodez00_bglt) BgL_arg1753z00_3067),
														((BgL_variablez00_bglt) BgL_varz00_3062));
												}
												{	/* Integrate/node.scm 373 */
													obj_t BgL_auxz00_3906;
													obj_t BgL_tmpz00_3904;

													BgL_auxz00_3906 = ((obj_t) BgL_arg1752z00_3066);
													BgL_tmpz00_3904 = ((obj_t) BgL_bindingz00_3061);
													SET_CDR(BgL_tmpz00_3904, BgL_auxz00_3906);
												}
											}
										}
									else
										{	/* Integrate/node.scm 370 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1297z00_3909;

								BgL_l1297z00_3909 = CDR(BgL_l1297z00_3060);
								BgL_l1297z00_3060 = BgL_l1297z00_3909;
								goto BgL_zc3z04anonymousza31748ze3z87_3059;
							}
						}
					else
						{	/* Integrate/node.scm 366 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3911;

				{	/* Integrate/node.scm 376 */
					BgL_nodez00_bglt BgL_arg1761z00_3068;

					BgL_arg1761z00_3068 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2961)))->BgL_bodyz00);
					BgL_auxz00_3911 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1761z00_3068,
						((BgL_variablez00_bglt) BgL_integratorz00_2962));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2961)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3911), BUNSPEC);
			}
			{	/* Integrate/node.scm 377 */
				obj_t BgL_g1302z00_3069;

				BgL_g1302z00_3069 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2961)))->BgL_bindingsz00);
				{
					obj_t BgL_l1300z00_3071;

					BgL_l1300z00_3071 = BgL_g1302z00_3069;
				BgL_zc3z04anonymousza31762ze3z87_3070:
					if (PAIRP(BgL_l1300z00_3071))
						{	/* Integrate/node.scm 377 */
							{	/* Integrate/node.scm 378 */
								obj_t BgL_bindingz00_3072;

								BgL_bindingz00_3072 = CAR(BgL_l1300z00_3071);
								{	/* Integrate/node.scm 378 */
									obj_t BgL_varz00_3073;

									BgL_varz00_3073 = CAR(((obj_t) BgL_bindingz00_3072));
									if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
											((BgL_localz00_bglt) BgL_varz00_3073)))
										{	/* Integrate/node.scm 380 */
											BgL_localz00_bglt BgL_nvarz00_3074;

											BgL_nvarz00_3074 =
												BGl_cellzd2variablezd2zzintegrate_nodez00(
												((BgL_localz00_bglt) BgL_varz00_3073));
											{	/* Integrate/node.scm 381 */
												obj_t BgL_arg1766z00_3075;

												BgL_arg1766z00_3075 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_3073)))->
													BgL_fastzd2alphazd2);
												{	/* Integrate/node.scm 381 */
													obj_t BgL_tmpz00_3932;

													BgL_tmpz00_3932 = ((obj_t) BgL_bindingz00_3072);
													SET_CAR(BgL_tmpz00_3932, BgL_arg1766z00_3075);
												}
											}
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_3073))))->
													BgL_fastzd2alphazd2) = ((obj_t) BUNSPEC), BUNSPEC);
										}
									else
										{	/* Integrate/node.scm 379 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1300z00_3938;

								BgL_l1300z00_3938 = CDR(BgL_l1300z00_3071);
								BgL_l1300z00_3071 = BgL_l1300z00_3938;
								goto BgL_zc3z04anonymousza31762ze3z87_3070;
							}
						}
					else
						{	/* Integrate/node.scm 377 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2961));
		}

	}



/* &glo!-let-fun1340 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2fun1340z70zzintegrate_nodez00(obj_t
		BgL_envz00_2963, obj_t BgL_nodez00_2964, obj_t BgL_integratorz00_2965)
	{
		{	/* Integrate/node.scm 353 */
			{
				BgL_nodez00_bglt BgL_auxz00_3942;

				{	/* Integrate/node.scm 355 */
					BgL_nodez00_bglt BgL_arg1743z00_3077;

					BgL_arg1743z00_3077 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2964)))->BgL_bodyz00);
					BgL_auxz00_3942 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1743z00_3077,
						((BgL_variablez00_bglt) BgL_integratorz00_2965));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2964)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3942), BUNSPEC);
			}
			{	/* Integrate/node.scm 356 */
				obj_t BgL_g1296z00_3078;

				BgL_g1296z00_3078 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2964)))->BgL_localsz00);
				{
					obj_t BgL_l1294z00_3080;

					BgL_l1294z00_3080 = BgL_g1296z00_3078;
				BgL_zc3z04anonymousza31744ze3z87_3079:
					if (PAIRP(BgL_l1294z00_3080))
						{	/* Integrate/node.scm 356 */
							{	/* Integrate/node.scm 357 */
								obj_t BgL_localz00_3081;

								BgL_localz00_3081 = CAR(BgL_l1294z00_3080);
								BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(
									((BgL_localz00_bglt) BgL_localz00_3081),
									((BgL_variablez00_bglt) BgL_integratorz00_2965));
							}
							{
								obj_t BgL_l1294z00_3957;

								BgL_l1294z00_3957 = CDR(BgL_l1294z00_3080);
								BgL_l1294z00_3080 = BgL_l1294z00_3957;
								goto BgL_zc3z04anonymousza31744ze3z87_3079;
							}
						}
					else
						{	/* Integrate/node.scm 356 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2964));
		}

	}



/* &glo!-switch1338 */
	BgL_nodez00_bglt BGl_z62gloz12zd2switch1338za2zzintegrate_nodez00(obj_t
		BgL_envz00_2966, obj_t BgL_nodez00_2967, obj_t BgL_integratorz00_2968)
	{
		{	/* Integrate/node.scm 342 */
			{
				BgL_nodez00_bglt BgL_auxz00_3961;

				{	/* Integrate/node.scm 344 */
					BgL_nodez00_bglt BgL_arg1731z00_3083;

					BgL_arg1731z00_3083 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2967)))->BgL_testz00);
					BgL_auxz00_3961 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1731z00_3083,
						((BgL_variablez00_bglt) BgL_integratorz00_2968));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2967)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3961), BUNSPEC);
			}
			{	/* Integrate/node.scm 345 */
				obj_t BgL_g1293z00_3084;

				BgL_g1293z00_3084 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2967)))->BgL_clausesz00);
				{
					obj_t BgL_l1291z00_3086;

					BgL_l1291z00_3086 = BgL_g1293z00_3084;
				BgL_zc3z04anonymousza31732ze3z87_3085:
					if (PAIRP(BgL_l1291z00_3086))
						{	/* Integrate/node.scm 345 */
							{	/* Integrate/node.scm 346 */
								obj_t BgL_clausez00_3087;

								BgL_clausez00_3087 = CAR(BgL_l1291z00_3086);
								{	/* Integrate/node.scm 346 */
									BgL_nodez00_bglt BgL_arg1738z00_3088;

									{	/* Integrate/node.scm 346 */
										obj_t BgL_arg1739z00_3089;

										BgL_arg1739z00_3089 = CDR(((obj_t) BgL_clausez00_3087));
										BgL_arg1738z00_3088 =
											BGl_gloz12z12zzintegrate_nodez00(
											((BgL_nodez00_bglt) BgL_arg1739z00_3089),
											((BgL_variablez00_bglt) BgL_integratorz00_2968));
									}
									{	/* Integrate/node.scm 346 */
										obj_t BgL_auxz00_3980;
										obj_t BgL_tmpz00_3978;

										BgL_auxz00_3980 = ((obj_t) BgL_arg1738z00_3088);
										BgL_tmpz00_3978 = ((obj_t) BgL_clausez00_3087);
										SET_CDR(BgL_tmpz00_3978, BgL_auxz00_3980);
									}
								}
							}
							{
								obj_t BgL_l1291z00_3983;

								BgL_l1291z00_3983 = CDR(BgL_l1291z00_3086);
								BgL_l1291z00_3086 = BgL_l1291z00_3983;
								goto BgL_zc3z04anonymousza31732ze3z87_3085;
							}
						}
					else
						{	/* Integrate/node.scm 345 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2967));
		}

	}



/* &glo!-fail1336 */
	BgL_nodez00_bglt BGl_z62gloz12zd2fail1336za2zzintegrate_nodez00(obj_t
		BgL_envz00_2969, obj_t BgL_nodez00_2970, obj_t BgL_integratorz00_2971)
	{
		{	/* Integrate/node.scm 332 */
			{
				BgL_nodez00_bglt BgL_auxz00_3987;

				{	/* Integrate/node.scm 334 */
					BgL_nodez00_bglt BgL_arg1726z00_3091;

					BgL_arg1726z00_3091 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2970)))->BgL_procz00);
					BgL_auxz00_3987 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1726z00_3091,
						((BgL_variablez00_bglt) BgL_integratorz00_2971));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2970)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3987), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3994;

				{	/* Integrate/node.scm 335 */
					BgL_nodez00_bglt BgL_arg1728z00_3092;

					BgL_arg1728z00_3092 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2970)))->BgL_msgz00);
					BgL_auxz00_3994 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1728z00_3092,
						((BgL_variablez00_bglt) BgL_integratorz00_2971));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2970)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3994), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4001;

				{	/* Integrate/node.scm 336 */
					BgL_nodez00_bglt BgL_arg1729z00_3093;

					BgL_arg1729z00_3093 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2970)))->BgL_objz00);
					BgL_auxz00_4001 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1729z00_3093,
						((BgL_variablez00_bglt) BgL_integratorz00_2971));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2970)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4001), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2970));
		}

	}



/* &glo!-conditional1334 */
	BgL_nodez00_bglt BGl_z62gloz12zd2conditional1334za2zzintegrate_nodez00(obj_t
		BgL_envz00_2972, obj_t BgL_nodez00_2973, obj_t BgL_integratorz00_2974)
	{
		{	/* Integrate/node.scm 322 */
			{
				BgL_nodez00_bglt BgL_auxz00_4010;

				{	/* Integrate/node.scm 324 */
					BgL_nodez00_bglt BgL_arg1721z00_3095;

					BgL_arg1721z00_3095 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2973)))->BgL_testz00);
					BgL_auxz00_4010 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1721z00_3095,
						((BgL_variablez00_bglt) BgL_integratorz00_2974));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2973)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4010), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4017;

				{	/* Integrate/node.scm 325 */
					BgL_nodez00_bglt BgL_arg1723z00_3096;

					BgL_arg1723z00_3096 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2973)))->BgL_truez00);
					BgL_auxz00_4017 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1723z00_3096,
						((BgL_variablez00_bglt) BgL_integratorz00_2974));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2973)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4017), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4024;

				{	/* Integrate/node.scm 326 */
					BgL_nodez00_bglt BgL_arg1725z00_3097;

					BgL_arg1725z00_3097 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2973)))->BgL_falsez00);
					BgL_auxz00_4024 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1725z00_3097,
						((BgL_variablez00_bglt) BgL_integratorz00_2974));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2973)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4024), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2973));
		}

	}



/* &glo!-setq1332 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setq1332za2zzintegrate_nodez00(obj_t
		BgL_envz00_2975, obj_t BgL_nodez00_2976, obj_t BgL_integratorz00_2977)
	{
		{	/* Integrate/node.scm 285 */
			{
				BgL_nodez00_bglt BgL_auxz00_4033;

				{	/* Integrate/node.scm 287 */
					BgL_nodez00_bglt BgL_arg1681z00_3099;

					BgL_arg1681z00_3099 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2976)))->BgL_valuez00);
					BgL_auxz00_4033 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1681z00_3099,
						((BgL_variablez00_bglt) BgL_integratorz00_2977));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2976)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4033), BUNSPEC);
			}
			{	/* Integrate/node.scm 288 */
				BgL_variablez00_bglt BgL_varz00_3100;

				BgL_varz00_3100 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setqz00_bglt) COBJECT(
										((BgL_setqz00_bglt) BgL_nodez00_2976)))->BgL_varz00)))->
					BgL_variablez00);
				{	/* Integrate/node.scm 288 */
					BgL_typez00_bglt BgL_vtypez00_3101;

					BgL_vtypez00_3101 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_3100))->BgL_typez00);
					{	/* Integrate/node.scm 289 */

						{	/* Integrate/node.scm 290 */
							obj_t BgL_g1140z00_3102;

							BgL_g1140z00_3102 =
								(((BgL_variablez00_bglt) COBJECT(BgL_varz00_3100))->
								BgL_fastzd2alphazd2);
							{
								obj_t BgL_varz00_3104;
								obj_t BgL_alphaz00_3105;

								BgL_varz00_3104 = ((obj_t) BgL_varz00_3100);
								BgL_alphaz00_3105 = BgL_g1140z00_3102;
							BgL_loopz00_3103:
								{	/* Integrate/node.scm 292 */
									bool_t BgL_test2066z00_4045;

									{	/* Integrate/node.scm 292 */
										obj_t BgL_classz00_3106;

										BgL_classz00_3106 = BGl_localz00zzast_varz00;
										if (BGL_OBJECTP(BgL_alphaz00_3105))
											{	/* Integrate/node.scm 292 */
												BgL_objectz00_bglt BgL_arg1825z00_3107;

												BgL_arg1825z00_3107 =
													(BgL_objectz00_bglt) (BgL_alphaz00_3105);
												{	/* Integrate/node.scm 292 */
													bool_t BgL_arg1822z00_3108;
													bool_t BgL_arg1823z00_3109;

													{	/* Integrate/node.scm 292 */
														long BgL_idxz00_3110;

														BgL_idxz00_3110 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3107);
														BgL_arg1822z00_3108 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3110 + ((long) 2))) ==
															BgL_classz00_3106);
													}
													{	/* Integrate/node.scm 292 */
														bool_t BgL_res1950z00_3113;

														{	/* Integrate/node.scm 292 */
															obj_t BgL_oclassz00_3114;

															{	/* Integrate/node.scm 292 */
																long BgL_arg1833z00_3115;

																{	/* Integrate/node.scm 292 */
																	long BgL_arg1834z00_3116;

																	BgL_arg1834z00_3116 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3107);
																	BgL_arg1833z00_3115 =
																		(BgL_arg1834z00_3116 - OBJECT_TYPE);
																}
																BgL_oclassz00_3114 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3115);
															}
															{	/* Integrate/node.scm 292 */
																bool_t BgL__ortest_1110z00_3117;

																BgL__ortest_1110z00_3117 =
																	(BgL_classz00_3106 == BgL_oclassz00_3114);
																if (BgL__ortest_1110z00_3117)
																	{	/* Integrate/node.scm 292 */
																		BgL_res1950z00_3113 =
																			BgL__ortest_1110z00_3117;
																	}
																else
																	{	/* Integrate/node.scm 292 */
																		long BgL_odepthz00_3118;

																		BgL_odepthz00_3118 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3114);
																		if ((((long) 2) < BgL_odepthz00_3118))
																			{	/* Integrate/node.scm 292 */
																				obj_t BgL_arg1821z00_3119;

																				BgL_arg1821z00_3119 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3114, ((long) 2));
																				BgL_res1950z00_3113 =
																					(BgL_arg1821z00_3119 ==
																					BgL_classz00_3106);
																			}
																		else
																			{	/* Integrate/node.scm 292 */
																				BgL_res1950z00_3113 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3109 = BgL_res1950z00_3113;
													}
													BgL_test2066z00_4045 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3108,
														BgL_arg1823z00_3109);
												}
											}
										else
											{	/* Integrate/node.scm 292 */
												BgL_test2066z00_4045 = ((bool_t) 0);
											}
									}
									if (BgL_test2066z00_4045)
										{	/* Integrate/node.scm 292 */
											{	/* Integrate/node.scm 294 */
												BgL_varz00_bglt BgL_arg1694z00_3120;

												BgL_arg1694z00_3120 =
													(((BgL_setqz00_bglt) COBJECT(
															((BgL_setqz00_bglt) BgL_nodez00_2976)))->
													BgL_varz00);
												((((BgL_varz00_bglt) COBJECT(BgL_arg1694z00_3120))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_alphaz00_3105)), BUNSPEC);
											}
											{	/* Integrate/node.scm 295 */
												obj_t BgL_arg1695z00_3121;

												BgL_arg1695z00_3121 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_alphaz00_3105)))->
													BgL_fastzd2alphazd2);
												{
													obj_t BgL_alphaz00_4071;
													obj_t BgL_varz00_4070;

													BgL_varz00_4070 = BgL_alphaz00_3105;
													BgL_alphaz00_4071 = BgL_arg1695z00_3121;
													BgL_alphaz00_3105 = BgL_alphaz00_4071;
													BgL_varz00_3104 = BgL_varz00_4070;
													goto BgL_loopz00_3103;
												}
											}
										}
									else
										{	/* Integrate/node.scm 296 */
											BgL_variablez00_bglt BgL_varz00_3122;

											BgL_varz00_3122 =
												(((BgL_varz00_bglt) COBJECT(
														(((BgL_setqz00_bglt) COBJECT(
																	((BgL_setqz00_bglt) BgL_nodez00_2976)))->
															BgL_varz00)))->BgL_variablez00);
											{	/* Integrate/node.scm 297 */
												bool_t BgL_test2070z00_4075;

												{	/* Integrate/node.scm 297 */
													bool_t BgL_test2071z00_4076;

													{	/* Integrate/node.scm 297 */
														obj_t BgL_classz00_3123;

														BgL_classz00_3123 = BGl_localz00zzast_varz00;
														{	/* Integrate/node.scm 297 */
															BgL_objectz00_bglt BgL_arg1825z00_3124;

															{	/* Integrate/node.scm 297 */
																obj_t BgL_tmpz00_4077;

																BgL_tmpz00_4077 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_varz00_3122));
																BgL_arg1825z00_3124 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_4077);
															}
															{	/* Integrate/node.scm 297 */
																bool_t BgL_arg1822z00_3125;
																bool_t BgL_arg1823z00_3126;

																{	/* Integrate/node.scm 297 */
																	long BgL_idxz00_3127;

																	BgL_idxz00_3127 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_3124);
																	BgL_arg1822z00_3125 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3127 + ((long) 2))) ==
																		BgL_classz00_3123);
																}
																{	/* Integrate/node.scm 297 */
																	bool_t BgL_res1951z00_3130;

																	{	/* Integrate/node.scm 297 */
																		obj_t BgL_oclassz00_3131;

																		{	/* Integrate/node.scm 297 */
																			long BgL_arg1833z00_3132;

																			{	/* Integrate/node.scm 297 */
																				long BgL_arg1834z00_3133;

																				BgL_arg1834z00_3133 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_3124);
																				BgL_arg1833z00_3132 =
																					(BgL_arg1834z00_3133 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3131 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_3132);
																		}
																		{	/* Integrate/node.scm 297 */
																			bool_t BgL__ortest_1110z00_3134;

																			BgL__ortest_1110z00_3134 =
																				(BgL_classz00_3123 ==
																				BgL_oclassz00_3131);
																			if (BgL__ortest_1110z00_3134)
																				{	/* Integrate/node.scm 297 */
																					BgL_res1951z00_3130 =
																						BgL__ortest_1110z00_3134;
																				}
																			else
																				{	/* Integrate/node.scm 297 */
																					long BgL_odepthz00_3135;

																					BgL_odepthz00_3135 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_3131);
																					if ((((long) 2) < BgL_odepthz00_3135))
																						{	/* Integrate/node.scm 297 */
																							obj_t BgL_arg1821z00_3136;

																							BgL_arg1821z00_3136 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_3131,
																								((long) 2));
																							BgL_res1951z00_3130 =
																								(BgL_arg1821z00_3136 ==
																								BgL_classz00_3123);
																						}
																					else
																						{	/* Integrate/node.scm 297 */
																							BgL_res1951z00_3130 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_3126 = BgL_res1951z00_3130;
																}
																BgL_test2071z00_4076 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_3125,
																	BgL_arg1823z00_3126);
															}
														}
													}
													if (BgL_test2071z00_4076)
														{	/* Integrate/node.scm 297 */
															BgL_test2070z00_4075 =
																BGl_integratezd2celledzf3z21zzintegrate_nodez00(
																((BgL_localz00_bglt) BgL_varz00_3122));
														}
													else
														{	/* Integrate/node.scm 297 */
															BgL_test2070z00_4075 = ((bool_t) 0);
														}
												}
												if (BgL_test2070z00_4075)
													{	/* Integrate/node.scm 298 */
														BgL_localz00_bglt BgL_azd2varzd2_3137;
														obj_t BgL_locz00_3138;

														BgL_azd2varzd2_3137 =
															BGl_makezd2localzd2svarz00zzast_localz00
															(CNST_TABLE_REF(((long) 4)),
															((BgL_typez00_bglt)
																BGl_za2objza2z00zztype_cachez00));
														BgL_locz00_3138 =
															(((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) ((BgL_setqz00_bglt)
																			BgL_nodez00_2976))))->BgL_locz00);
														{	/* Integrate/node.scm 300 */
															obj_t BgL_vz00_3139;

															BgL_vz00_3139 = CNST_TABLE_REF(((long) 0));
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_3122))))->BgL_accessz00) =
																((obj_t) BgL_vz00_3139), BUNSPEC);
														}
														{	/* Integrate/node.scm 301 */
															BgL_varz00_bglt BgL_arg1699z00_3140;

															BgL_arg1699z00_3140 =
																(((BgL_setqz00_bglt) COBJECT(
																		((BgL_setqz00_bglt) BgL_nodez00_2976)))->
																BgL_varz00);
															{	/* Integrate/node.scm 301 */
																BgL_typez00_bglt BgL_vz00_3141;

																BgL_vz00_3141 =
																	((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_arg1699z00_3140)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_3141), BUNSPEC);
														}}
														{	/* Integrate/node.scm 302 */
															BgL_svarz00_bglt BgL_tmp1141z00_3142;

															BgL_tmp1141z00_3142 =
																((BgL_svarz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_azd2varzd2_3137)))->BgL_valuez00));
															{	/* Integrate/node.scm 302 */
																BgL_svarzf2iinfozf2_bglt BgL_wide1143z00_3143;

																BgL_wide1143z00_3143 =
																	((BgL_svarzf2iinfozf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_svarzf2iinfozf2_bgl))));
																{	/* Integrate/node.scm 302 */
																	obj_t BgL_auxz00_4120;
																	BgL_objectz00_bglt BgL_tmpz00_4117;

																	BgL_auxz00_4120 =
																		((obj_t) BgL_wide1143z00_3143);
																	BgL_tmpz00_4117 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1141z00_3142));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4117,
																		BgL_auxz00_4120);
																}
																((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1141z00_3142));
																{	/* Integrate/node.scm 302 */
																	long BgL_arg1703z00_3144;

																	BgL_arg1703z00_3144 =
																		BGL_CLASS_NUM
																		(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1141z00_3142)),
																		BgL_arg1703z00_3144);
																}
																((BgL_svarz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1141z00_3142));
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_4131;

																{
																	obj_t BgL_auxz00_4132;

																	{	/* Integrate/node.scm 303 */
																		BgL_objectz00_bglt BgL_tmpz00_4133;

																		BgL_tmpz00_4133 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1141z00_3142));
																		BgL_auxz00_4132 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4133);
																	}
																	BgL_auxz00_4131 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_4132);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_4131))->
																		BgL_fzd2markzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_4139;

																{
																	obj_t BgL_auxz00_4140;

																	{	/* Integrate/node.scm 303 */
																		BgL_objectz00_bglt BgL_tmpz00_4141;

																		BgL_tmpz00_4141 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1141z00_3142));
																		BgL_auxz00_4140 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4141);
																	}
																	BgL_auxz00_4139 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_4140);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_4139))->
																		BgL_uzd2markzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_4147;

																{
																	obj_t BgL_auxz00_4148;

																	{	/* Integrate/node.scm 303 */
																		BgL_objectz00_bglt BgL_tmpz00_4149;

																		BgL_tmpz00_4149 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1141z00_3142));
																		BgL_auxz00_4148 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4149);
																	}
																	BgL_auxz00_4147 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_4148);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_4147))->
																		BgL_kapturedzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_4155;

																{
																	obj_t BgL_auxz00_4156;

																	{	/* Integrate/node.scm 303 */
																		BgL_objectz00_bglt BgL_tmpz00_4157;

																		BgL_tmpz00_4157 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1141z00_3142));
																		BgL_auxz00_4156 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4157);
																	}
																	BgL_auxz00_4155 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_4156);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_4155))->
																		BgL_celledzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_4163;

																{
																	obj_t BgL_auxz00_4164;

																	{	/* Integrate/node.scm 303 */
																		BgL_objectz00_bglt BgL_tmpz00_4165;

																		BgL_tmpz00_4165 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1141z00_3142));
																		BgL_auxz00_4164 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4165);
																	}
																	BgL_auxz00_4163 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_4164);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_4163))->BgL_xhdlz00) =
																	((obj_t) BFALSE), BUNSPEC);
															}
															((BgL_svarz00_bglt) BgL_tmp1141z00_3142);
														}
														{	/* Integrate/node.scm 304 */
															BgL_letzd2varzd2_bglt BgL_new1146z00_3145;

															{	/* Integrate/node.scm 305 */
																BgL_letzd2varzd2_bglt BgL_new1145z00_3146;

																BgL_new1145z00_3146 =
																	((BgL_letzd2varzd2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_letzd2varzd2_bgl))));
																{	/* Integrate/node.scm 305 */
																	long BgL_arg1714z00_3147;

																	BgL_arg1714z00_3147 =
																		BGL_CLASS_NUM
																		(BGl_letzd2varzd2zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			BgL_new1145z00_3146),
																		BgL_arg1714z00_3147);
																}
																{	/* Integrate/node.scm 305 */
																	BgL_objectz00_bglt BgL_tmpz00_4176;

																	BgL_tmpz00_4176 =
																		((BgL_objectz00_bglt) BgL_new1145z00_3146);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4176,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1145z00_3146);
																BgL_new1146z00_3145 = BgL_new1145z00_3146;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1146z00_3145)))->BgL_locz00) =
																((obj_t) BgL_locz00_3138), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1146z00_3145)))->BgL_typez00) =
																((BgL_typez00_bglt) ((BgL_typez00_bglt)
																		BGl_za2unspecza2z00zztype_cachez00)),
																BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1146z00_3145)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1146z00_3145)))->BgL_keyz00) =
																((obj_t) BINT(((long) -1))), BUNSPEC);
															{
																obj_t BgL_auxz00_4190;

																{	/* Integrate/node.scm 307 */
																	obj_t BgL_arg1706z00_3148;

																	{	/* Integrate/node.scm 307 */
																		BgL_nodez00_bglt BgL_arg1711z00_3149;

																		BgL_arg1711z00_3149 =
																			(((BgL_setqz00_bglt) COBJECT(
																					((BgL_setqz00_bglt)
																						BgL_nodez00_2976)))->BgL_valuez00);
																		BgL_arg1706z00_3148 =
																			MAKE_YOUNG_PAIR(((obj_t)
																				BgL_azd2varzd2_3137),
																			((obj_t) BgL_arg1711z00_3149));
																	}
																	{	/* Integrate/node.scm 307 */
																		obj_t BgL_list1707z00_3150;

																		BgL_list1707z00_3150 =
																			MAKE_YOUNG_PAIR(BgL_arg1706z00_3148,
																			BNIL);
																		BgL_auxz00_4190 = BgL_list1707z00_3150;
																}}
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1146z00_3145))->
																		BgL_bindingsz00) =
																	((obj_t) BgL_auxz00_4190), BUNSPEC);
															}
															{
																BgL_nodez00_bglt BgL_auxz00_4198;

																{	/* Integrate/node.scm 308 */
																	BgL_boxzd2setz12zc0_bglt BgL_new1148z00_3151;

																	{	/* Integrate/node.scm 309 */
																		BgL_boxzd2setz12zc0_bglt
																			BgL_new1147z00_3152;
																		BgL_new1147z00_3152 =
																			((BgL_boxzd2setz12zc0_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_boxzd2setz12zc0_bgl))));
																		{	/* Integrate/node.scm 309 */
																			long BgL_arg1713z00_3153;

																			{	/* Integrate/node.scm 309 */
																				obj_t BgL_classz00_3154;

																				BgL_classz00_3154 =
																					BGl_boxzd2setz12zc0zzast_nodez00;
																				BgL_arg1713z00_3153 =
																					BGL_CLASS_NUM(BgL_classz00_3154);
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1147z00_3152),
																				BgL_arg1713z00_3153);
																		}
																		{	/* Integrate/node.scm 309 */
																			BgL_objectz00_bglt BgL_tmpz00_4203;

																			BgL_tmpz00_4203 =
																				((BgL_objectz00_bglt)
																				BgL_new1147z00_3152);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4203,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1147z00_3152);
																		BgL_new1148z00_3151 = BgL_new1147z00_3152;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1148z00_3151)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_3138), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1148z00_3151)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2unspecza2z00zztype_cachez00)),
																		BUNSPEC);
																	((((BgL_boxzd2setz12zc0_bglt)
																				COBJECT(BgL_new1148z00_3151))->
																			BgL_varz00) =
																		((BgL_varz00_bglt) (((BgL_setqz00_bglt)
																					COBJECT(((BgL_setqz00_bglt)
																							BgL_nodez00_2976)))->BgL_varz00)),
																		BUNSPEC);
																	{
																		BgL_nodez00_bglt BgL_auxz00_4215;

																		{	/* Integrate/node.scm 313 */
																			BgL_refz00_bglt BgL_new1150z00_3155;

																			{	/* Integrate/node.scm 314 */
																				BgL_refz00_bglt BgL_new1149z00_3156;

																				BgL_new1149z00_3156 =
																					((BgL_refz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_refz00_bgl))));
																				{	/* Integrate/node.scm 314 */
																					long BgL_arg1712z00_3157;

																					{	/* Integrate/node.scm 314 */
																						obj_t BgL_classz00_3158;

																						BgL_classz00_3158 =
																							BGl_refz00zzast_nodez00;
																						BgL_arg1712z00_3157 =
																							BGL_CLASS_NUM(BgL_classz00_3158);
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1149z00_3156),
																						BgL_arg1712z00_3157);
																				}
																				{	/* Integrate/node.scm 314 */
																					BgL_objectz00_bglt BgL_tmpz00_4220;

																					BgL_tmpz00_4220 =
																						((BgL_objectz00_bglt)
																						BgL_new1149z00_3156);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_4220, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1149z00_3156);
																				BgL_new1150z00_3155 =
																					BgL_new1149z00_3156;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1150z00_3155)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_3138), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1150z00_3155)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((
																							(BgL_variablez00_bglt)
																							COBJECT(((BgL_variablez00_bglt)
																									BgL_azd2varzd2_3137)))->
																						BgL_typez00)), BUNSPEC);
																			((((BgL_varz00_bglt)
																						COBJECT(((BgL_varz00_bglt)
																								BgL_new1150z00_3155)))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_azd2varzd2_3137)), BUNSPEC);
																			BgL_auxz00_4215 =
																				((BgL_nodez00_bglt)
																				BgL_new1150z00_3155);
																		}
																		((((BgL_boxzd2setz12zc0_bglt)
																					COBJECT(BgL_new1148z00_3151))->
																				BgL_valuez00) =
																			((BgL_nodez00_bglt) BgL_auxz00_4215),
																			BUNSPEC);
																	}
																	((((BgL_boxzd2setz12zc0_bglt)
																				COBJECT(BgL_new1148z00_3151))->
																			BgL_vtypez00) =
																		((BgL_typez00_bglt)
																			BGl_getzd2bigloozd2typez00zztype_cachez00
																			(BgL_vtypez00_3101)), BUNSPEC);
																	BgL_auxz00_4198 =
																		((BgL_nodez00_bglt) BgL_new1148z00_3151);
																}
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1146z00_3145))->
																		BgL_bodyz00) =
																	((BgL_nodez00_bglt) BgL_auxz00_4198),
																	BUNSPEC);
															}
															((((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_new1146z00_3145))->
																	BgL_removablezf3zf3) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
															return ((BgL_nodez00_bglt) BgL_new1146z00_3145);
														}
													}
												else
													{	/* Integrate/node.scm 297 */
														return
															((BgL_nodez00_bglt)
															((BgL_setqz00_bglt) BgL_nodez00_2976));
													}
											}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &glo!-cast1330 */
	BgL_nodez00_bglt BGl_z62gloz12zd2cast1330za2zzintegrate_nodez00(obj_t
		BgL_envz00_2978, obj_t BgL_nodez00_2979, obj_t BgL_integratorz00_2980)
	{
		{	/* Integrate/node.scm 277 */
			{	/* Integrate/node.scm 279 */
				BgL_nodez00_bglt BgL_arg1679z00_3160;

				BgL_arg1679z00_3160 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2979)))->BgL_argz00);
				BGl_gloz12z12zzintegrate_nodez00(BgL_arg1679z00_3160,
					((BgL_variablez00_bglt) BgL_integratorz00_2980));
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2979));
		}

	}



/* &glo!-extern1328 */
	BgL_nodez00_bglt BGl_z62gloz12zd2extern1328za2zzintegrate_nodez00(obj_t
		BgL_envz00_2981, obj_t BgL_nodez00_2982, obj_t BgL_integratorz00_2983)
	{
		{	/* Integrate/node.scm 269 */
			BGl_gloza2z12zb0zzintegrate_nodez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2982)))->BgL_exprza2za2),
				BgL_integratorz00_2983);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2982));
		}

	}



/* &glo!-funcall1326 */
	BgL_nodez00_bglt BGl_z62gloz12zd2funcall1326za2zzintegrate_nodez00(obj_t
		BgL_envz00_2984, obj_t BgL_nodez00_2985, obj_t BgL_integratorz00_2986)
	{
		{	/* Integrate/node.scm 260 */
			{
				BgL_nodez00_bglt BgL_auxz00_4255;

				{	/* Integrate/node.scm 262 */
					BgL_nodez00_bglt BgL_arg1675z00_3163;

					BgL_arg1675z00_3163 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2985)))->BgL_funz00);
					BgL_auxz00_4255 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1675z00_3163,
						((BgL_variablez00_bglt) BgL_integratorz00_2986));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2985)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4255), BUNSPEC);
			}
			BGl_gloza2z12zb0zzintegrate_nodez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2985)))->BgL_argsz00),
				BgL_integratorz00_2986);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2985));
		}

	}



/* &glo!-app-ly1324 */
	BgL_nodez00_bglt BGl_z62gloz12zd2appzd2ly1324z70zzintegrate_nodez00(obj_t
		BgL_envz00_2987, obj_t BgL_nodez00_2988, obj_t BgL_integratorz00_2989)
	{
		{	/* Integrate/node.scm 251 */
			{
				BgL_nodez00_bglt BgL_auxz00_4267;

				{	/* Integrate/node.scm 253 */
					BgL_nodez00_bglt BgL_arg1667z00_3165;

					BgL_arg1667z00_3165 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2988)))->BgL_funz00);
					BgL_auxz00_4267 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1667z00_3165,
						((BgL_variablez00_bglt) BgL_integratorz00_2989));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2988)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4267), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4274;

				{	/* Integrate/node.scm 254 */
					BgL_nodez00_bglt BgL_arg1668z00_3166;

					BgL_arg1668z00_3166 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2988)))->BgL_argz00);
					BgL_auxz00_4274 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1668z00_3166,
						((BgL_variablez00_bglt) BgL_integratorz00_2989));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2988)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4274), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2988));
		}

	}



/* &glo!-app1322 */
	BgL_nodez00_bglt BGl_z62gloz12zd2app1322za2zzintegrate_nodez00(obj_t
		BgL_envz00_2990, obj_t BgL_nodez00_2991, obj_t BgL_integratorz00_2992)
	{
		{	/* Integrate/node.scm 211 */
			{	/* Integrate/node.scm 213 */
				BgL_variablez00_bglt BgL_funz00_3168;

				BgL_funz00_3168 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2991)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Integrate/node.scm 213 */
					BgL_valuez00_bglt BgL_infoz00_3169;

					BgL_infoz00_3169 =
						(((BgL_variablez00_bglt) COBJECT(BgL_funz00_3168))->BgL_valuez00);
					{	/* Integrate/node.scm 214 */

						{	/* Integrate/node.scm 216 */
							bool_t BgL_test2074z00_4287;

							{	/* Integrate/node.scm 216 */
								bool_t BgL_test2075z00_4288;

								{	/* Integrate/node.scm 216 */
									obj_t BgL_classz00_3170;

									BgL_classz00_3170 = BGl_localz00zzast_varz00;
									{	/* Integrate/node.scm 216 */
										BgL_objectz00_bglt BgL_arg1825z00_3171;

										{	/* Integrate/node.scm 216 */
											obj_t BgL_tmpz00_4289;

											BgL_tmpz00_4289 =
												((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3168));
											BgL_arg1825z00_3171 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4289);
										}
										{	/* Integrate/node.scm 216 */
											bool_t BgL_arg1822z00_3172;
											bool_t BgL_arg1823z00_3173;

											{	/* Integrate/node.scm 216 */
												long BgL_idxz00_3174;

												BgL_idxz00_3174 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3171);
												BgL_arg1822z00_3172 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3174 + ((long) 2))) ==
													BgL_classz00_3170);
											}
											{	/* Integrate/node.scm 216 */
												bool_t BgL_res1947z00_3177;

												{	/* Integrate/node.scm 216 */
													obj_t BgL_oclassz00_3178;

													{	/* Integrate/node.scm 216 */
														long BgL_arg1833z00_3179;

														{	/* Integrate/node.scm 216 */
															long BgL_arg1834z00_3180;

															BgL_arg1834z00_3180 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3171);
															BgL_arg1833z00_3179 =
																(BgL_arg1834z00_3180 - OBJECT_TYPE);
														}
														BgL_oclassz00_3178 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_3179);
													}
													{	/* Integrate/node.scm 216 */
														bool_t BgL__ortest_1110z00_3181;

														BgL__ortest_1110z00_3181 =
															(BgL_classz00_3170 == BgL_oclassz00_3178);
														if (BgL__ortest_1110z00_3181)
															{	/* Integrate/node.scm 216 */
																BgL_res1947z00_3177 = BgL__ortest_1110z00_3181;
															}
														else
															{	/* Integrate/node.scm 216 */
																long BgL_odepthz00_3182;

																BgL_odepthz00_3182 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3178);
																if ((((long) 2) < BgL_odepthz00_3182))
																	{	/* Integrate/node.scm 216 */
																		obj_t BgL_arg1821z00_3183;

																		BgL_arg1821z00_3183 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3178, ((long) 2));
																		BgL_res1947z00_3177 =
																			(BgL_arg1821z00_3183 ==
																			BgL_classz00_3170);
																	}
																else
																	{	/* Integrate/node.scm 216 */
																		BgL_res1947z00_3177 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_3173 = BgL_res1947z00_3177;
											}
											BgL_test2075z00_4288 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_3172,
												BgL_arg1823z00_3173);
										}
									}
								}
								if (BgL_test2075z00_4288)
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4308;

										{
											obj_t BgL_auxz00_4309;

											{	/* Integrate/node.scm 216 */
												BgL_objectz00_bglt BgL_tmpz00_4310;

												BgL_tmpz00_4310 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_infoz00_3169));
												BgL_auxz00_4309 = BGL_OBJECT_WIDENING(BgL_tmpz00_4310);
											}
											BgL_auxz00_4308 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4309);
										}
										BgL_test2074z00_4287 =
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4308))->
											BgL_gzf3zf3);
									}
								else
									{	/* Integrate/node.scm 216 */
										BgL_test2074z00_4287 = ((bool_t) 0);
									}
							}
							if (BgL_test2074z00_4287)
								{	/* Integrate/node.scm 218 */
									BgL_refz00_bglt BgL_arg1612z00_3184;

									{	/* Integrate/node.scm 218 */
										BgL_refz00_bglt BgL_new1130z00_3185;

										{	/* Integrate/node.scm 219 */
											BgL_refz00_bglt BgL_new1129z00_3186;

											BgL_new1129z00_3186 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Integrate/node.scm 219 */
												long BgL_arg1619z00_3187;

												BgL_arg1619z00_3187 =
													BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1129z00_3186),
													BgL_arg1619z00_3187);
											}
											{	/* Integrate/node.scm 219 */
												BgL_objectz00_bglt BgL_tmpz00_4320;

												BgL_tmpz00_4320 =
													((BgL_objectz00_bglt) BgL_new1129z00_3186);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4320, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1129z00_3186);
											BgL_new1130z00_3185 = BgL_new1129z00_3186;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1130z00_3185)))->
												BgL_locz00) =
											((obj_t) (((BgL_nodez00_bglt)
														COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																	BgL_nodez00_2991))))->BgL_locz00)), BUNSPEC);
										{
											BgL_typez00_bglt BgL_auxz00_4329;

											{	/* Integrate/node.scm 220 */
												obj_t BgL_arg1613z00_3188;

												BgL_arg1613z00_3188 =
													BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
													((BgL_localz00_bglt) BgL_funz00_3168));
												BgL_auxz00_4329 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_arg1613z00_3188)))->
													BgL_typez00);
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1130z00_3185)))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_auxz00_4329), BUNSPEC);
										}
										((((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_new1130z00_3185)))->
												BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31((
															(BgL_localz00_bglt) BgL_funz00_3168)))), BUNSPEC);
										BgL_arg1612z00_3184 = BgL_new1130z00_3185;
									}
									((((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_2991)))->BgL_funz00) =
										((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1612z00_3184)),
										BUNSPEC);
								}
							else
								{	/* Integrate/node.scm 216 */
									BFALSE;
								}
						}
						{
							obj_t BgL_nodesz00_3190;

							BgL_nodesz00_3190 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2991)))->BgL_argsz00);
						BgL_liipz00_3189:
							if (NULLP(BgL_nodesz00_3190))
								{	/* Integrate/node.scm 225 */
									CNST_TABLE_REF(((long) 2));
								}
							else
								{	/* Integrate/node.scm 225 */
									{	/* Integrate/node.scm 228 */
										BgL_nodez00_bglt BgL_arg1632z00_3191;

										{	/* Integrate/node.scm 228 */
											obj_t BgL_arg1633z00_3192;

											BgL_arg1633z00_3192 = CAR(((obj_t) BgL_nodesz00_3190));
											BgL_arg1632z00_3191 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_arg1633z00_3192),
												((BgL_variablez00_bglt) BgL_integratorz00_2992));
										}
										{	/* Integrate/node.scm 228 */
											obj_t BgL_auxz00_4354;
											obj_t BgL_tmpz00_4352;

											BgL_auxz00_4354 = ((obj_t) BgL_arg1632z00_3191);
											BgL_tmpz00_4352 = ((obj_t) BgL_nodesz00_3190);
											SET_CAR(BgL_tmpz00_4352, BgL_auxz00_4354);
										}
									}
									{	/* Integrate/node.scm 229 */
										obj_t BgL_arg1636z00_3193;

										BgL_arg1636z00_3193 = CDR(((obj_t) BgL_nodesz00_3190));
										{
											obj_t BgL_nodesz00_4359;

											BgL_nodesz00_4359 = BgL_arg1636z00_3193;
											BgL_nodesz00_3190 = BgL_nodesz00_4359;
											goto BgL_liipz00_3189;
										}
									}
								}
						}
						{	/* Integrate/node.scm 230 */
							bool_t BgL_test2079z00_4362;

							{	/* Integrate/node.scm 230 */
								bool_t BgL_test2080z00_4363;

								{	/* Integrate/node.scm 230 */
									obj_t BgL_classz00_3194;

									BgL_classz00_3194 = BGl_globalz00zzast_varz00;
									{	/* Integrate/node.scm 230 */
										BgL_objectz00_bglt BgL_arg1825z00_3195;

										{	/* Integrate/node.scm 230 */
											obj_t BgL_tmpz00_4364;

											BgL_tmpz00_4364 =
												((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3168));
											BgL_arg1825z00_3195 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4364);
										}
										{	/* Integrate/node.scm 230 */
											bool_t BgL_arg1822z00_3196;
											bool_t BgL_arg1823z00_3197;

											{	/* Integrate/node.scm 230 */
												long BgL_idxz00_3198;

												BgL_idxz00_3198 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3195);
												BgL_arg1822z00_3196 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3198 + ((long) 2))) ==
													BgL_classz00_3194);
											}
											{	/* Integrate/node.scm 230 */
												bool_t BgL_res1948z00_3201;

												{	/* Integrate/node.scm 230 */
													obj_t BgL_oclassz00_3202;

													{	/* Integrate/node.scm 230 */
														long BgL_arg1833z00_3203;

														{	/* Integrate/node.scm 230 */
															long BgL_arg1834z00_3204;

															BgL_arg1834z00_3204 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3195);
															BgL_arg1833z00_3203 =
																(BgL_arg1834z00_3204 - OBJECT_TYPE);
														}
														BgL_oclassz00_3202 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_3203);
													}
													{	/* Integrate/node.scm 230 */
														bool_t BgL__ortest_1110z00_3205;

														BgL__ortest_1110z00_3205 =
															(BgL_classz00_3194 == BgL_oclassz00_3202);
														if (BgL__ortest_1110z00_3205)
															{	/* Integrate/node.scm 230 */
																BgL_res1948z00_3201 = BgL__ortest_1110z00_3205;
															}
														else
															{	/* Integrate/node.scm 230 */
																long BgL_odepthz00_3206;

																BgL_odepthz00_3206 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3202);
																if ((((long) 2) < BgL_odepthz00_3206))
																	{	/* Integrate/node.scm 230 */
																		obj_t BgL_arg1821z00_3207;

																		BgL_arg1821z00_3207 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3202, ((long) 2));
																		BgL_res1948z00_3201 =
																			(BgL_arg1821z00_3207 ==
																			BgL_classz00_3194);
																	}
																else
																	{	/* Integrate/node.scm 230 */
																		BgL_res1948z00_3201 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_3197 = BgL_res1948z00_3201;
											}
											BgL_test2080z00_4363 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_3196,
												BgL_arg1823z00_3197);
										}
									}
								}
								if (BgL_test2080z00_4363)
									{	/* Integrate/node.scm 230 */
										BgL_test2079z00_4362 = ((bool_t) 1);
									}
								else
									{	/* Integrate/node.scm 230 */
										bool_t BgL_test2083z00_4383;

										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4384;

											{
												obj_t BgL_auxz00_4385;

												{	/* Integrate/node.scm 230 */
													BgL_objectz00_bglt BgL_tmpz00_4386;

													BgL_tmpz00_4386 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_infoz00_3169));
													BgL_auxz00_4385 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4386);
												}
												BgL_auxz00_4384 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4385);
											}
											BgL_test2083z00_4383 =
												(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4384))->
												BgL_gzf3zf3);
										}
										if (BgL_test2083z00_4383)
											{	/* Integrate/node.scm 230 */
												BgL_test2079z00_4362 = ((bool_t) 0);
											}
										else
											{	/* Integrate/node.scm 230 */
												BgL_test2079z00_4362 = ((bool_t) 1);
											}
									}
							}
							if (BgL_test2079z00_4362)
								{	/* Integrate/node.scm 230 */
									BFALSE;
								}
							else
								{	/* Integrate/node.scm 233 */
									obj_t BgL_g1131z00_3208;

									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4392;

										{
											obj_t BgL_auxz00_4393;

											{	/* Integrate/node.scm 234 */
												BgL_objectz00_bglt BgL_tmpz00_4394;

												BgL_tmpz00_4394 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_infoz00_3169));
												BgL_auxz00_4393 = BGL_OBJECT_WIDENING(BgL_tmpz00_4394);
											}
											BgL_auxz00_4392 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4393);
										}
										BgL_g1131z00_3208 =
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4392))->
											BgL_kapturedz00);
									}
									{
										obj_t BgL_newzd2actualszd2_3210;
										obj_t BgL_kapturedz00_3211;

										BgL_newzd2actualszd2_3210 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_2991)))->BgL_argsz00);
										BgL_kapturedz00_3211 = BgL_g1131z00_3208;
									BgL_loopz00_3209:
										if (NULLP(BgL_kapturedz00_3211))
											{	/* Integrate/node.scm 235 */
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2991)))->
														BgL_argsz00) =
													((obj_t) BgL_newzd2actualszd2_3210), BUNSPEC);
											}
										else
											{	/* Integrate/node.scm 237 */
												obj_t BgL_kapz00_3212;

												BgL_kapz00_3212 = CAR(((obj_t) BgL_kapturedz00_3211));
												{	/* Integrate/node.scm 237 */
													obj_t BgL_alphaz00_3213;

													BgL_alphaz00_3213 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_kapz00_3212))))->
														BgL_fastzd2alphazd2);
													{	/* Integrate/node.scm 238 */
														obj_t BgL_varz00_3214;

														{	/* Integrate/node.scm 239 */
															bool_t BgL_test2085z00_4409;

															{	/* Integrate/node.scm 239 */
																obj_t BgL_classz00_3215;

																BgL_classz00_3215 = BGl_localz00zzast_varz00;
																if (BGL_OBJECTP(BgL_alphaz00_3213))
																	{	/* Integrate/node.scm 239 */
																		BgL_objectz00_bglt BgL_arg1825z00_3216;

																		BgL_arg1825z00_3216 =
																			(BgL_objectz00_bglt) (BgL_alphaz00_3213);
																		{	/* Integrate/node.scm 239 */
																			bool_t BgL_arg1822z00_3217;
																			bool_t BgL_arg1823z00_3218;

																			{	/* Integrate/node.scm 239 */
																				long BgL_idxz00_3219;

																				BgL_idxz00_3219 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1825z00_3216);
																				BgL_arg1822z00_3217 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_3219 + ((long) 2))) ==
																					BgL_classz00_3215);
																			}
																			{	/* Integrate/node.scm 239 */
																				bool_t BgL_res1949z00_3222;

																				{	/* Integrate/node.scm 239 */
																					obj_t BgL_oclassz00_3223;

																					{	/* Integrate/node.scm 239 */
																						long BgL_arg1833z00_3224;

																						{	/* Integrate/node.scm 239 */
																							long BgL_arg1834z00_3225;

																							BgL_arg1834z00_3225 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1825z00_3216);
																							BgL_arg1833z00_3224 =
																								(BgL_arg1834z00_3225 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_3223 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1833z00_3224);
																					}
																					{	/* Integrate/node.scm 239 */
																						bool_t BgL__ortest_1110z00_3226;

																						BgL__ortest_1110z00_3226 =
																							(BgL_classz00_3215 ==
																							BgL_oclassz00_3223);
																						if (BgL__ortest_1110z00_3226)
																							{	/* Integrate/node.scm 239 */
																								BgL_res1949z00_3222 =
																									BgL__ortest_1110z00_3226;
																							}
																						else
																							{	/* Integrate/node.scm 239 */
																								long BgL_odepthz00_3227;

																								BgL_odepthz00_3227 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_3223);
																								if ((((long) 2) <
																										BgL_odepthz00_3227))
																									{	/* Integrate/node.scm 239 */
																										obj_t BgL_arg1821z00_3228;

																										BgL_arg1821z00_3228 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_3223,
																											((long) 2));
																										BgL_res1949z00_3222 =
																											(BgL_arg1821z00_3228 ==
																											BgL_classz00_3215);
																									}
																								else
																									{	/* Integrate/node.scm 239 */
																										BgL_res1949z00_3222 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_arg1823z00_3218 =
																					BgL_res1949z00_3222;
																			}
																			BgL_test2085z00_4409 =
																				BGL_ISA_C_BACKEND(BgL_arg1822z00_3217,
																				BgL_arg1823z00_3218);
																		}
																	}
																else
																	{	/* Integrate/node.scm 239 */
																		BgL_test2085z00_4409 = ((bool_t) 0);
																	}
															}
															if (BgL_test2085z00_4409)
																{	/* Integrate/node.scm 239 */
																	BgL_varz00_3214 = BgL_alphaz00_3213;
																}
															else
																{	/* Integrate/node.scm 239 */
																	BgL_varz00_3214 = BgL_kapz00_3212;
																}
														}
														{	/* Integrate/node.scm 239 */

															{	/* Integrate/node.scm 240 */
																obj_t BgL_arg1652z00_3229;
																obj_t BgL_arg1656z00_3230;

																{	/* Integrate/node.scm 240 */
																	BgL_refz00_bglt BgL_arg1657z00_3231;

																	{	/* Integrate/node.scm 240 */
																		BgL_refz00_bglt BgL_new1134z00_3232;

																		{	/* Integrate/node.scm 243 */
																			BgL_refz00_bglt BgL_new1132z00_3233;

																			BgL_new1132z00_3233 =
																				((BgL_refz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_refz00_bgl))));
																			{	/* Integrate/node.scm 243 */
																				long BgL_arg1660z00_3234;

																				BgL_arg1660z00_3234 =
																					BGL_CLASS_NUM
																					(BGl_refz00zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1132z00_3233),
																					BgL_arg1660z00_3234);
																			}
																			{	/* Integrate/node.scm 243 */
																				BgL_objectz00_bglt BgL_tmpz00_4432;

																				BgL_tmpz00_4432 =
																					((BgL_objectz00_bglt)
																					BgL_new1132z00_3233);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4432,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1132z00_3233);
																			BgL_new1134z00_3232 = BgL_new1132z00_3233;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1134z00_3232)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt) (
																									(BgL_appz00_bglt)
																									BgL_nodez00_2991))))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1134z00_3232)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((
																						(BgL_variablez00_bglt)
																						COBJECT(((BgL_variablez00_bglt)
																								BgL_varz00_3214)))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_varz00_bglt)
																					COBJECT(((BgL_varz00_bglt)
																							BgL_new1134z00_3232)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_varz00_3214)), BUNSPEC);
																		BgL_arg1657z00_3231 = BgL_new1134z00_3232;
																	}
																	BgL_arg1652z00_3229 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1657z00_3231),
																		BgL_newzd2actualszd2_3210);
																}
																BgL_arg1656z00_3230 =
																	CDR(((obj_t) BgL_kapturedz00_3211));
																{
																	obj_t BgL_kapturedz00_4453;
																	obj_t BgL_newzd2actualszd2_4452;

																	BgL_newzd2actualszd2_4452 =
																		BgL_arg1652z00_3229;
																	BgL_kapturedz00_4453 = BgL_arg1656z00_3230;
																	BgL_kapturedz00_3211 = BgL_kapturedz00_4453;
																	BgL_newzd2actualszd2_3210 =
																		BgL_newzd2actualszd2_4452;
																	goto BgL_loopz00_3209;
																}
															}
														}
													}
												}
											}
									}
								}
						}
						return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2991));
					}
				}
			}
		}

	}



/* &glo!-sync1320 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sync1320za2zzintegrate_nodez00(obj_t
		BgL_envz00_2993, obj_t BgL_nodez00_2994, obj_t BgL_integratorz00_2995)
	{
		{	/* Integrate/node.scm 201 */
			{
				BgL_nodez00_bglt BgL_auxz00_4458;

				{	/* Integrate/node.scm 203 */
					BgL_nodez00_bglt BgL_arg1602z00_3236;

					BgL_arg1602z00_3236 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2994)))->BgL_mutexz00);
					BgL_auxz00_4458 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1602z00_3236,
						((BgL_variablez00_bglt) BgL_integratorz00_2995));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2994)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4458), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4465;

				{	/* Integrate/node.scm 204 */
					BgL_nodez00_bglt BgL_arg1603z00_3237;

					BgL_arg1603z00_3237 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2994)))->BgL_prelockz00);
					BgL_auxz00_4465 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1603z00_3237,
						((BgL_variablez00_bglt) BgL_integratorz00_2995));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2994)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4465), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4472;

				{	/* Integrate/node.scm 205 */
					BgL_nodez00_bglt BgL_arg1604z00_3238;

					BgL_arg1604z00_3238 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2994)))->BgL_bodyz00);
					BgL_auxz00_4472 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1604z00_3238,
						((BgL_variablez00_bglt) BgL_integratorz00_2995));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2994)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4472), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2994));
		}

	}



/* &glo!-sequence1318 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sequence1318za2zzintegrate_nodez00(obj_t
		BgL_envz00_2996, obj_t BgL_nodez00_2997, obj_t BgL_integratorz00_2998)
	{
		{	/* Integrate/node.scm 193 */
			BGl_gloza2z12zb0zzintegrate_nodez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2997)))->BgL_nodesz00),
				BgL_integratorz00_2998);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2997));
		}

	}



/* &glo!-closure1316 */
	BgL_nodez00_bglt BGl_z62gloz12zd2closure1316za2zzintegrate_nodez00(obj_t
		BgL_envz00_2999, obj_t BgL_nodez00_3000, obj_t BgL_integratorz00_3001)
	{
		{	/* Integrate/node.scm 187 */
			{	/* Integrate/node.scm 188 */
				obj_t BgL_arg1597z00_3241;

				BgL_arg1597z00_3241 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_3000)));
				return
					((BgL_nodez00_bglt)
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string1990z00zzintegrate_nodez00,
						BGl_string1991z00zzintegrate_nodez00, BgL_arg1597z00_3241));
			}
		}

	}



/* &glo!-var1314 */
	BgL_nodez00_bglt BGl_z62gloz12zd2var1314za2zzintegrate_nodez00(obj_t
		BgL_envz00_3002, obj_t BgL_nodez00_3003, obj_t BgL_integratorz00_3004)
	{
		{	/* Integrate/node.scm 158 */
			{	/* Integrate/node.scm 159 */
				BgL_variablez00_bglt BgL_variablez00_3243;

				BgL_variablez00_3243 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_3003)))->BgL_variablez00);
				{	/* Integrate/node.scm 159 */
					BgL_typez00_bglt BgL_vtypez00_3244;

					BgL_vtypez00_3244 =
						(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_3243))->
						BgL_typez00);
					{	/* Integrate/node.scm 160 */

						{
							obj_t BgL_variablez00_3246;

							BgL_variablez00_3246 = ((obj_t) BgL_variablez00_3243);
						BgL_loopz00_3245:
							{	/* Integrate/node.scm 162 */
								obj_t BgL_alphaz00_3247;

								BgL_alphaz00_3247 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_variablez00_3246)))->
									BgL_fastzd2alphazd2);
								{	/* Integrate/node.scm 164 */
									bool_t BgL_test2089z00_4496;

									{	/* Integrate/node.scm 164 */
										obj_t BgL_classz00_3248;

										BgL_classz00_3248 = BGl_localz00zzast_varz00;
										if (BGL_OBJECTP(BgL_alphaz00_3247))
											{	/* Integrate/node.scm 164 */
												BgL_objectz00_bglt BgL_arg1825z00_3249;

												BgL_arg1825z00_3249 =
													(BgL_objectz00_bglt) (BgL_alphaz00_3247);
												{	/* Integrate/node.scm 164 */
													bool_t BgL_arg1822z00_3250;
													bool_t BgL_arg1823z00_3251;

													{	/* Integrate/node.scm 164 */
														long BgL_idxz00_3252;

														BgL_idxz00_3252 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3249);
														BgL_arg1822z00_3250 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3252 + ((long) 2))) ==
															BgL_classz00_3248);
													}
													{	/* Integrate/node.scm 164 */
														bool_t BgL_res1945z00_3255;

														{	/* Integrate/node.scm 164 */
															obj_t BgL_oclassz00_3256;

															{	/* Integrate/node.scm 164 */
																long BgL_arg1833z00_3257;

																{	/* Integrate/node.scm 164 */
																	long BgL_arg1834z00_3258;

																	BgL_arg1834z00_3258 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3249);
																	BgL_arg1833z00_3257 =
																		(BgL_arg1834z00_3258 - OBJECT_TYPE);
																}
																BgL_oclassz00_3256 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3257);
															}
															{	/* Integrate/node.scm 164 */
																bool_t BgL__ortest_1110z00_3259;

																BgL__ortest_1110z00_3259 =
																	(BgL_classz00_3248 == BgL_oclassz00_3256);
																if (BgL__ortest_1110z00_3259)
																	{	/* Integrate/node.scm 164 */
																		BgL_res1945z00_3255 =
																			BgL__ortest_1110z00_3259;
																	}
																else
																	{	/* Integrate/node.scm 164 */
																		long BgL_odepthz00_3260;

																		BgL_odepthz00_3260 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3256);
																		if ((((long) 2) < BgL_odepthz00_3260))
																			{	/* Integrate/node.scm 164 */
																				obj_t BgL_arg1821z00_3261;

																				BgL_arg1821z00_3261 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3256, ((long) 2));
																				BgL_res1945z00_3255 =
																					(BgL_arg1821z00_3261 ==
																					BgL_classz00_3248);
																			}
																		else
																			{	/* Integrate/node.scm 164 */
																				BgL_res1945z00_3255 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3251 = BgL_res1945z00_3255;
													}
													BgL_test2089z00_4496 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3250,
														BgL_arg1823z00_3251);
												}
											}
										else
											{	/* Integrate/node.scm 164 */
												BgL_test2089z00_4496 = ((bool_t) 0);
											}
									}
									if (BgL_test2089z00_4496)
										{	/* Integrate/node.scm 164 */
											((((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_3003)))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_alphaz00_3247)), BUNSPEC);
											{	/* Integrate/node.scm 166 */
												BgL_typez00_bglt BgL_arg1588z00_3262;

												BgL_arg1588z00_3262 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_alphaz00_3247)))->
													BgL_typez00);
												((((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
																		BgL_nodez00_3003))))->BgL_typez00) =
													((BgL_typez00_bglt) BgL_arg1588z00_3262), BUNSPEC);
											}
											{
												obj_t BgL_variablez00_4523;

												BgL_variablez00_4523 = BgL_alphaz00_3247;
												BgL_variablez00_3246 = BgL_variablez00_4523;
												goto BgL_loopz00_3245;
											}
										}
									else
										{	/* Integrate/node.scm 168 */
											bool_t BgL_test2093z00_4524;

											{	/* Integrate/node.scm 168 */
												obj_t BgL_classz00_3263;

												BgL_classz00_3263 = BGl_globalz00zzast_varz00;
												if (BGL_OBJECTP(BgL_variablez00_3246))
													{	/* Integrate/node.scm 168 */
														BgL_objectz00_bglt BgL_arg1825z00_3264;

														BgL_arg1825z00_3264 =
															(BgL_objectz00_bglt) (BgL_variablez00_3246);
														{	/* Integrate/node.scm 168 */
															bool_t BgL_arg1822z00_3265;
															bool_t BgL_arg1823z00_3266;

															{	/* Integrate/node.scm 168 */
																long BgL_idxz00_3267;

																BgL_idxz00_3267 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_3264);
																BgL_arg1822z00_3265 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3267 + ((long) 2))) ==
																	BgL_classz00_3263);
															}
															{	/* Integrate/node.scm 168 */
																bool_t BgL_res1946z00_3270;

																{	/* Integrate/node.scm 168 */
																	obj_t BgL_oclassz00_3271;

																	{	/* Integrate/node.scm 168 */
																		long BgL_arg1833z00_3272;

																		{	/* Integrate/node.scm 168 */
																			long BgL_arg1834z00_3273;

																			BgL_arg1834z00_3273 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_3264);
																			BgL_arg1833z00_3272 =
																				(BgL_arg1834z00_3273 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3271 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_3272);
																	}
																	{	/* Integrate/node.scm 168 */
																		bool_t BgL__ortest_1110z00_3274;

																		BgL__ortest_1110z00_3274 =
																			(BgL_classz00_3263 == BgL_oclassz00_3271);
																		if (BgL__ortest_1110z00_3274)
																			{	/* Integrate/node.scm 168 */
																				BgL_res1946z00_3270 =
																					BgL__ortest_1110z00_3274;
																			}
																		else
																			{	/* Integrate/node.scm 168 */
																				long BgL_odepthz00_3275;

																				BgL_odepthz00_3275 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_3271);
																				if ((((long) 2) < BgL_odepthz00_3275))
																					{	/* Integrate/node.scm 168 */
																						obj_t BgL_arg1821z00_3276;

																						BgL_arg1821z00_3276 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_3271, ((long) 2));
																						BgL_res1946z00_3270 =
																							(BgL_arg1821z00_3276 ==
																							BgL_classz00_3263);
																					}
																				else
																					{	/* Integrate/node.scm 168 */
																						BgL_res1946z00_3270 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_3266 = BgL_res1946z00_3270;
															}
															BgL_test2093z00_4524 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_3265,
																BgL_arg1823z00_3266);
														}
													}
												else
													{	/* Integrate/node.scm 168 */
														BgL_test2093z00_4524 = ((bool_t) 0);
													}
											}
											if (BgL_test2093z00_4524)
												{	/* Integrate/node.scm 168 */
													return
														((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_3003));
												}
											else
												{	/* Integrate/node.scm 168 */
													if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
															((BgL_localz00_bglt) BgL_variablez00_3246)))
														{	/* Integrate/node.scm 172 */
															BgL_typez00_bglt BgL_vtypez00_3277;

															BgL_vtypez00_3277 =
																BGl_getzd2bigloozd2typez00zztype_cachez00
																(BgL_vtypez00_3244);
															{	/* Integrate/node.scm 174 */
																BgL_typez00_bglt BgL_vz00_3278;

																BgL_vz00_3278 =
																	((BgL_typez00_bglt)
																	BGl_za2cellza2z00zztype_cachez00);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt) (
																						(BgL_varz00_bglt)
																						BgL_nodez00_3003))))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_3278), BUNSPEC);
															}
															{	/* Integrate/node.scm 175 */
																BgL_boxzd2refzd2_bglt BgL_new1125z00_3279;

																{	/* Integrate/node.scm 176 */
																	BgL_boxzd2refzd2_bglt BgL_new1124z00_3280;

																	BgL_new1124z00_3280 =
																		((BgL_boxzd2refzd2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_boxzd2refzd2_bgl))));
																	{	/* Integrate/node.scm 176 */
																		long BgL_arg1595z00_3281;

																		BgL_arg1595z00_3281 =
																			BGL_CLASS_NUM
																			(BGl_boxzd2refzd2zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1124z00_3280),
																			BgL_arg1595z00_3281);
																	}
																	{	/* Integrate/node.scm 176 */
																		BgL_objectz00_bglt BgL_tmpz00_4557;

																		BgL_tmpz00_4557 =
																			((BgL_objectz00_bglt)
																			BgL_new1124z00_3280);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4557,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1124z00_3280);
																	BgL_new1125z00_3279 = BgL_new1124z00_3280;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1125z00_3279)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt) (
																							(BgL_varz00_bglt)
																							BgL_nodez00_3003))))->
																			BgL_locz00)), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1125z00_3279)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vtypez00_3277),
																	BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1125z00_3279)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1125z00_3279)))->BgL_keyz00) =
																	((obj_t) BINT(((long) -1))), BUNSPEC);
																((((BgL_boxzd2refzd2_bglt)
																			COBJECT(BgL_new1125z00_3279))->
																		BgL_varz00) =
																	((BgL_varz00_bglt) ((BgL_varz00_bglt)
																			BgL_nodez00_3003)), BUNSPEC);
																((((BgL_boxzd2refzd2_bglt)
																			COBJECT(BgL_new1125z00_3279))->
																		BgL_vtypez00) =
																	((BgL_typez00_bglt) BgL_vtypez00_3277),
																	BUNSPEC);
																return ((BgL_nodez00_bglt) BgL_new1125z00_3279);
															}
														}
													else
														{	/* Integrate/node.scm 170 */
															return
																((BgL_nodez00_bglt)
																((BgL_varz00_bglt) BgL_nodez00_3003));
														}
												}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &glo!-kwote1312 */
	BgL_nodez00_bglt BGl_z62gloz12zd2kwote1312za2zzintegrate_nodez00(obj_t
		BgL_envz00_3005, obj_t BgL_nodez00_3006, obj_t BgL_integratorz00_3007)
	{
		{	/* Integrate/node.scm 152 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_3006));
		}

	}



/* &glo!-atom1310 */
	BgL_nodez00_bglt BGl_z62gloz12zd2atom1310za2zzintegrate_nodez00(obj_t
		BgL_envz00_3008, obj_t BgL_nodez00_3009, obj_t BgL_integratorz00_3010)
	{
		{	/* Integrate/node.scm 146 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_3009));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00()
	{
		{	/* Integrate/node.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1992z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1992z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1992z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1992z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1992z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1992z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1992z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1992z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1992z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1992z00zzintegrate_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(((long)
					143977554), BSTRING_TO_STRING(BGl_string1992z00zzintegrate_nodez00));
		}

	}

#ifdef __cplusplus
}
#endif
