/*===========================================================================*/
/*   (Liveness/liveness.scm)                                                 */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Liveness/liveness.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2livenesszf2_bgl
	{
		int BgL_z52countz52;
	}                          *BgL_localzf2livenesszf2_bglt;

	typedef struct BgL_literalzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_literalzf2livenesszf2_bglt;

	typedef struct BgL_refzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                        *BgL_refzf2livenesszf2_bglt;

	typedef struct BgL_closurezf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_closurezf2livenesszf2_bglt;

	typedef struct BgL_kwotezf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                          *BgL_kwotezf2livenesszf2_bglt;

	typedef struct BgL_sequencezf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_sequencezf2livenesszf2_bglt;

	typedef struct BgL_appzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                        *BgL_appzf2livenesszf2_bglt;

	typedef struct BgL_appzd2lyzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_appzd2lyzf2livenessz20_bglt;

	typedef struct BgL_funcallzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_funcallzf2livenesszf2_bglt;

	typedef struct BgL_pragmazf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_pragmazf2livenesszf2_bglt;

	typedef struct BgL_getfieldzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_getfieldzf2livenesszf2_bglt;

	typedef struct BgL_setfieldzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_setfieldzf2livenesszf2_bglt;

	typedef struct BgL_wideningzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_wideningzf2livenesszf2_bglt;

	typedef struct BgL_newzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                        *BgL_newzf2livenesszf2_bglt;

	typedef struct BgL_valloczf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_valloczf2livenesszf2_bglt;

	typedef struct BgL_vrefzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_vrefzf2livenesszf2_bglt;

	typedef struct BgL_vsetz12zf2livenessze0_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_vsetz12zf2livenessze0_bglt;

	typedef struct BgL_vlengthzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_vlengthzf2livenesszf2_bglt;

	typedef struct BgL_instanceofzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                               *BgL_instanceofzf2livenesszf2_bglt;

	typedef struct BgL_castzd2nullzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                *BgL_castzd2nullzf2livenessz20_bglt;

	typedef struct BgL_castzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_castzf2livenesszf2_bglt;

	typedef struct BgL_setqzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_setqzf2livenesszf2_bglt;

	typedef struct BgL_conditionalzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                *BgL_conditionalzf2livenesszf2_bglt;

	typedef struct BgL_failzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_failzf2livenesszf2_bglt;

	typedef struct BgL_switchzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_switchzf2livenesszf2_bglt;

	typedef struct BgL_letzd2funzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                              *BgL_letzd2funzf2livenessz20_bglt;

	typedef struct BgL_letzd2varzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                              *BgL_letzd2varzf2livenessz20_bglt;

	typedef struct BgL_setzd2exzd2itzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                  *BgL_setzd2exzd2itzf2livenesszf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                   *BgL_jumpzd2exzd2itzf2livenesszf2_bglt;

	typedef struct BgL_synczf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_synczf2livenesszf2_bglt;

	typedef struct BgL_retblockzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_retblockzf2livenesszf2_bglt;

	typedef struct BgL_returnzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_returnzf2livenesszf2_bglt;

	typedef struct BgL_makezd2boxzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                               *BgL_makezd2boxzf2livenessz20_bglt;

	typedef struct BgL_boxzd2refzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                              *BgL_boxzd2refzf2livenessz20_bglt;

	typedef struct BgL_boxzd2setz12zf2livenessz32_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                 *BgL_boxzd2setz12zf2livenessz32_bglt;


	extern obj_t BGl_funcallzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_z62defusezd2valloc1946zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2sequencezf2live1876z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2getfieldzf2live1918z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2jumpzd2exzd2itzf2liv2065z42zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2sequencezf2live1874z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t
		BGl_z62inoutzd2switchzf2livenes2033z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2synczf2liveness2116z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2getfieldzf2live1916z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2instanceofzf2li1982z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2refzf2liveness1852z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2literal1840zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2new1938zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2instanceofzf2li1980z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2appzf2liveness1884z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzliveness_livenessz00 =
		BUNSPEC;
	extern obj_t BGl_letzd2funzf2livenessz20zzliveness_typesz00;
	static obj_t
		BGl_z62inoutzd2valloczf2livenes1952z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t
		BGl_z62inoutz12zd2setfieldzf2live1926z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_newz00zzast_nodez00;
	static obj_t
		BGl_z62defusezd2setfieldzf2live1924z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	static obj_t
		BGl_z62inoutzd2vrefzf2liveness1960z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t
		BGl_z62inoutz12zd2failzf2liveness2023z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62defusezd2vsetz121962za2zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2failzf2liveness2021z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2setzd2exzd2itzf2live2057z42zzliveness_livenessz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2newzf2liveness1942z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_refzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_kwotezf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_disjonctionz00zzliveness_setz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzliveness_livenessz00();
	static obj_t BGl_z62defusezd2instanceof1978zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2extern1904zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2valloczf2livene1948z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t
		BGl_z62inoutzd2instanceofzf2liv1984z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2funcallzf2liven1900z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2vlengthzf2livene1976z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2valloczf2livene1950z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_literalzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_conditionalzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_wideningzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_z62defusezd2retblock2067zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2boxzd2refzf2livene2098z90zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzliveness_livenessz00();
	extern obj_t BGl_getfieldz00zzast_nodez00;
	extern obj_t BGl_addz00zzliveness_setz00(BgL_localz00_bglt, obj_t);
	static obj_t
		BGl_z62inoutzd2setfieldzf2liven1928z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2setzd2exzd2it2051zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzliveness_livenessz00();
	static obj_t BGl_z62defusezd2appzd2ly1888z62zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_instanceofzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_boxzd2refzf2livenessz20zzliveness_typesz00;
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62livenesszd2livezb0zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static bool_t BGl_inoutza2z12zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2funcallzf2livene1902z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2jumpzd2exzd2it2059zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2setq2002zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_inoutz12z12zzliveness_livenessz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62defusezd2vref1954zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2closure1856zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2setqzf2liveness2006z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2wideningzf2live1934z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2setqzf2liveness2004z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2funcall1896zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2widening1930zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2wideningzf2live1932z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2letzd2fun2035z62zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_intersectionz00zzliveness_setz00(obj_t);
	static obj_t
		BGl_z62inoutz12zd2appzd2lyzf2livene1892z82zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	static obj_t
		BGl_z62inoutzd2conditionalzf2li2017z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2appzd2lyzf2livene1890z90zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2conditional2010zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2pragmazf2livenes1912z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2retblockzf2live2069z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2letzd2funzf2livene2041z90zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2fail2019zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2retblockzf2live2071z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzliveness_livenessz00();
	extern obj_t BGl_externz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_typeof(obj_t);
	static obj_t BGl_z62defusezd2sync2108zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2sequence1872zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2funcallzf2liven1898z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2boxzd2setz12zf2liven2106z82zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_localzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_letzd2varzf2livenessz20zzliveness_typesz00;
	static obj_t
		BGl_z62inoutz12zd2synczf2liveness2113z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2sequencezf2liven1878z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2vsetz12zf2livenes1966z42zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2synczf2liveness2110z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2vsetz12zf2livenes1964z50zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_vsetz12zf2livenessze0zzliveness_typesz00;
	static obj_t
		BGl_z62inoutz12zd2vlengthzf2liven1974z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2vrefzf2liveness1958z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2vlengthzf2liven1972z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2vrefzf2liveness1956z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_vlengthzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62inoutzd2kwotezf2liveness1870z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2boxzd2setz122100z70zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62defusezd2pragma1906zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2letzd2funzf2liven2039z82zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_defusez00zzliveness_livenessz00(BgL_nodez00_bglt);
	static obj_t BGl_z62defusezd2app1880zb0zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_newzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62defusezd2letzd2funzf2liven2037z90zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2makezd2boxzf2live2088z82zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_unionz00zzliveness_setz00(obj_t);
	static obj_t
		BGl_z62defusezd2makezd2boxzf2live2086z90zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	extern obj_t BGl_switchzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_retblockzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_defusezd2seqzd2zzliveness_livenessz00(obj_t);
	static obj_t BGl_z62inoutz12z70zzliveness_livenessz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2wideningzf2liven1936z42zzliveness_livenessz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzliveness_livenessz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzliveness_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzliveness_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t
		BGl_z62defusezd2switchzf2livene2029z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_defuseza2za2zzliveness_livenessz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_livenesszd2livezd2zzliveness_livenessz00(BgL_nodez00_bglt);
	extern obj_t BGl_appzd2lyzf2livenessz20zzliveness_typesz00;
	static obj_t BGl_z62defusezd2kwote1864zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2switchzf2livene2031z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_inoutz00zzliveness_livenessz00(BgL_nodez00_bglt);
	static obj_t BGl_z62defuse1833z62zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2returnzf2livenes2081z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_wideningz00zzast_nodez00;
	static obj_t BGl_z62livenesszd2sfunz12za2zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2ref1848zb0zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_vrefzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62inoutz12zd2literalzf2liven1844z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t
		BGl_z62inoutz12zd2boxzd2refzf2liven2096z82zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2literalzf2liven1842z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_valloczf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62defusezd2boxzd2refzf2liven2094z90zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62inoutzd2refzf2liveness1854z42zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t
		BGl_z62inoutz12zd2boxzd2setz12zf2live2104z90zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t
		BGl_z62inoutzd2retblockzf2liven2073z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2refzf2liveness1850z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62inoutzd2appzf2liveness1886z42zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2boxzd2setz12zf2live2102z82zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_returnzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62defusezd2appzf2liveness1882z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzliveness_livenessz00();
	static obj_t
		BGl_z62inoutzd2failzf2liveness2025z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2getfield1914zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2kwotezf2livenes1868z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2pragmazf2livene1908z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzliveness_livenessz00();
	static obj_t BGl_gczd2rootszd2initz00zzliveness_livenessz00();
	static obj_t BGl_z62defusezd2makezd2box2083z62zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2kwotezf2livenes1866z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2letzd2var2043z62zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_failzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62inoutz12zd2pragmazf2livene1910z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2letzd2varzf2livene2049z90zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static obj_t
		BGl_z62inoutz12zd2jumpzd2exzd2itzf2li2063z50zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2returnzf2livene2079z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2switch2027zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2jumpzd2exzd2itzf2li2061z42zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzf2livenessz20zzliveness_typesz00;
	static obj_t
		BGl_z62defusezd2returnzf2livene2077z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62inoutz62zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62inoutzd2newzf2liveness1944z42zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62defusezd2newzf2liveness1940z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2closurezf2livene1862z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2castzf2liveness2000z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2setzd2exzd2itzf2liv2055z50zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t
		BGl_z62inoutzd2appzd2lyzf2livenes1894z90zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2setzd2exzd2itzf2liv2053z42zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2castzd2nullzf2live1992z90zzliveness_livenessz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_livenesszd2sfunz12zc0zzliveness_livenessz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62defusezd2vlength1970zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2conditionalzf2l2014z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62defusezd2return2075zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2getfieldzf2liven1920z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2conditionalzf2l2012z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_castzd2nullzf2livenessz20zzliveness_typesz00;
	static obj_t
		BGl_z62inoutzd2makezd2boxzf2liven2090z90zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	extern obj_t BGl_sequencezf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	extern obj_t BGl_setqzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62defusezd2castzd2nullzf2liv1988z90zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_z62defusez62zzliveness_livenessz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2castzd2nullzf2liv1990z82zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62inoutz121835z70zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2setfield1922zb0zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_closurezf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62inoutzd2setqzf2liveness2008z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62inout1837z62zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2closurezf2liven1858z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_pragmazf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_synczf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_z62defusezd2castzd2null1986z62zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2closurezf2liven1860z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2boxzd2ref2092z62zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2letzd2varzf2liven2047z82zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2castzf2liveness1998z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2letzd2varzf2liven2045z90zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_z62defusezd2castzf2liveness1996z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_getfieldzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_castzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	extern obj_t BGl_setfieldzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_z62defusezd2cast1994zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2literalzf2livene1846z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2vsetz12zf2liveness1968z50zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3003z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2appza73125za7,
		BGl_z62defusezd2appzd2ly1888z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3004z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2appza73126za7,
		BGl_z62defusezd2appzd2lyzf2livene1890z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3005z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ap3127za7,
		BGl_z62inoutz12zd2appzd2lyzf2livene1892z82zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3006z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2appza7d3128za7,
		BGl_z62inoutzd2appzd2lyzf2livenes1894z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3007z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2func3129z00,
		BGl_z62defusezd2funcall1896zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3008z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2func3130z00,
		BGl_z62defusezd2funcallzf2liven1898z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3009z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2fu3131za7,
		BGl_z62inoutz12zd2funcallzf2liven1900z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3010z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2funca3132z00,
		BGl_z62inoutzd2funcallzf2livene1902z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3011z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2exte3133z00,
		BGl_z62defusezd2extern1904zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3012z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2prag3134z00,
		BGl_z62defusezd2pragma1906zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3013z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2prag3135z00,
		BGl_z62defusezd2pragmazf2livene1908z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3014z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2pr3136za7,
		BGl_z62inoutz12zd2pragmazf2livene1910z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3015z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2pragm3137z00,
		BGl_z62inoutzd2pragmazf2livenes1912z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3016z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2getf3138z00,
		BGl_z62defusezd2getfield1914zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3017z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2getf3139z00,
		BGl_z62defusezd2getfieldzf2live1916z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3018z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ge3140za7,
		BGl_z62inoutz12zd2getfieldzf2live1918z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3019z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2getfi3141z00,
		BGl_z62inoutzd2getfieldzf2liven1920z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3100z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2make3142z00,
		BGl_z62defusezd2makezd2box2083z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3101z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2make3143z00,
		BGl_z62defusezd2makezd2boxzf2live2086z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3020z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2setf3144z00,
		BGl_z62defusezd2setfield1922zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3102z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ma3145za7,
		BGl_z62inoutz12zd2makezd2boxzf2live2088z82zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3021z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2setf3146z00,
		BGl_z62defusezd2setfieldzf2live1924z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3103z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2makeza73147za7,
		BGl_z62inoutzd2makezd2boxzf2liven2090z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3022z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2se3148za7,
		BGl_z62inoutz12zd2setfieldzf2live1926z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3104z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2boxza73149za7,
		BGl_z62defusezd2boxzd2ref2092z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3023z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2setfi3150z00,
		BGl_z62inoutzd2setfieldzf2liven1928z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3105z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2boxza73151za7,
		BGl_z62defusezd2boxzd2refzf2liven2094z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3024z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2wide3152z00,
		BGl_z62defusezd2widening1930zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3106z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2bo3153za7,
		BGl_z62inoutz12zd2boxzd2refzf2liven2096z82zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3025z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2wide3154z00,
		BGl_z62defusezd2wideningzf2live1932z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3107z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2boxza7d3155za7,
		BGl_z62inoutzd2boxzd2refzf2livene2098z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3026z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2wi3156za7,
		BGl_z62inoutz12zd2wideningzf2live1934z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3108z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2boxza73157za7,
		BGl_z62defusezd2boxzd2setz122100z70zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3027z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2widen3158z00,
		BGl_z62inoutzd2wideningzf2liven1936z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3109z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2boxza73159za7,
		BGl_z62defusezd2boxzd2setz12zf2live2102z82zzliveness_livenessz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3028z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2new13160z00,
		BGl_z62defusezd2new1938zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3116z00zzliveness_livenessz00,
		BgL_bgl_string3116za700za7za7l3161za7, "inout set-exit o=", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3029z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2newza73162za7,
		BGl_z62defusezd2newzf2liveness1940z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string3117z00zzliveness_livenessz00,
		BgL_bgl_string3117za700za7za7l3163za7, " use=", 5);
	      DEFINE_STRING(BGl_string3118z00zzliveness_livenessz00,
		BgL_bgl_string3118za700za7za7l3164za7, " def=", 5);
	      DEFINE_STRING(BGl_string3119z00zzliveness_livenessz00,
		BgL_bgl_string3119za700za7za7l3165za7, " o=", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3110z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2bo3166za7,
		BGl_z62inoutz12zd2boxzd2setz12zf2live2104z90zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3111z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2boxza7d3167za7,
		BGl_z62inoutzd2boxzd2setz12zf2liven2106z82zzliveness_livenessz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3030z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ne3168za7,
		BGl_z62inoutz12zd2newzf2liveness1942z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3112z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2sync3169z00,
		BGl_z62defusezd2sync2108zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3031z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2newza7f3170za7,
		BGl_z62inoutzd2newzf2liveness1944z42zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3113z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2sync3171z00,
		BGl_z62defusezd2synczf2liveness2110z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3032z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vall3172z00,
		BGl_z62defusezd2valloc1946zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3120z00zzliveness_livenessz00,
		BgL_bgl_string3120za700za7za7l3173za7, " ", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3114z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2sy3174za7,
		BGl_z62inoutz12zd2synczf2liveness2113z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3033z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vall3175z00,
		BGl_z62defusezd2valloczf2livene1948z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string3121z00zzliveness_livenessz00,
		BgL_bgl_string3121za700za7za7l3176za7, "inout ", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3115z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2syncza73177za7,
		BGl_z62inoutzd2synczf2liveness2116z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3034z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2va3178za7,
		BGl_z62inoutz12zd2valloczf2livene1950z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string3122z00zzliveness_livenessz00,
		BgL_bgl_string3122za700za7za7l3179za7, " in=", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3035z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2vallo3180z00,
		BGl_z62inoutzd2valloczf2livenes1952z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string3123z00zzliveness_livenessz00,
		BgL_bgl_string3123za700za7za7l3181za7, "  inout ", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3036z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vref3182z00,
		BGl_z62defusezd2vref1954zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3124z00zzliveness_livenessz00,
		BgL_bgl_string3124za700za7za7l3183za7, "liveness_liveness", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3037z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vref3184z00,
		BGl_z62defusezd2vrefzf2liveness1956z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3038z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2vr3185za7,
		BGl_z62inoutz12zd2vrefzf2liveness1958z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3039z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2vrefza73186za7,
		BGl_z62inoutzd2vrefzf2liveness1960z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3040z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vset3187z00,
		BGl_z62defusezd2vsetz121962za2zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3041z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vset3188z00,
		BGl_z62defusezd2vsetz12zf2livenes1964z50zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3042z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2vs3189za7,
		BGl_z62inoutz12zd2vsetz12zf2livenes1966z42zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3043z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2vsetza73190za7,
		BGl_z62inoutzd2vsetz12zf2liveness1968z50zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3044z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vlen3191z00,
		BGl_z62defusezd2vlength1970zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3045z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vlen3192z00,
		BGl_z62defusezd2vlengthzf2liven1972z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3046z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2vl3193za7,
		BGl_z62inoutz12zd2vlengthzf2liven1974z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3047z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2vleng3194z00,
		BGl_z62inoutzd2vlengthzf2livene1976z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3048z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2inst3195z00,
		BGl_z62defusezd2instanceof1978zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3049z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2inst3196z00,
		BGl_z62defusezd2instanceofzf2li1980z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_livenesszd2sfunz12zd2envz12zzliveness_livenessz00,
		BgL_bgl_za762livenessza7d2sf3197z00,
		BGl_z62livenesszd2sfunz12za2zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3050z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2in3198za7,
		BGl_z62inoutz12zd2instanceofzf2li1982z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3051z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2insta3199z00,
		BGl_z62inoutzd2instanceofzf2liv1984z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3052z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2cast3200z00,
		BGl_z62defusezd2castzd2null1986z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3053z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2cast3201z00,
		BGl_z62defusezd2castzd2nullzf2liv1988z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3054z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ca3202za7,
		BGl_z62inoutz12zd2castzd2nullzf2liv1990z82zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3055z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2castza73203za7,
		BGl_z62inoutzd2castzd2nullzf2live1992z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3056z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2cast3204z00,
		BGl_z62defusezd2cast1994zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3057z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2cast3205z00,
		BGl_z62defusezd2castzf2liveness1996z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3058z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ca3206za7,
		BGl_z62inoutz12zd2castzf2liveness1998z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3059z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2castza73207za7,
		BGl_z62inoutzd2castzf2liveness2000z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3060z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2setq3208z00,
		BGl_z62defusezd2setq2002zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3061z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2setq3209z00,
		BGl_z62defusezd2setqzf2liveness2004z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3062z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2se3210za7,
		BGl_z62inoutz12zd2setqzf2liveness2006z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3063z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2setqza73211za7,
		BGl_z62inoutzd2setqzf2liveness2008z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3064z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2cond3212z00,
		BGl_z62defusezd2conditional2010zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3065z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2cond3213z00,
		BGl_z62defusezd2conditionalzf2l2012z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3066z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2co3214za7,
		BGl_z62inoutz12zd2conditionalzf2l2014z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3067z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2condi3215z00,
		BGl_z62inoutzd2conditionalzf2li2017z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3068z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2fail3216z00,
		BGl_z62defusezd2fail2019zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3069z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2fail3217z00,
		BGl_z62defusezd2failzf2liveness2021z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3070z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2fa3218za7,
		BGl_z62inoutz12zd2failzf2liveness2023z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3071z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2failza73219za7,
		BGl_z62inoutzd2failzf2liveness2025z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3072z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2swit3220z00,
		BGl_z62defusezd2switch2027zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3073z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2swit3221z00,
		BGl_z62defusezd2switchzf2livene2029z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3074z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2sw3222za7,
		BGl_z62inoutz12zd2switchzf2livene2031z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3075z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2switc3223z00,
		BGl_z62inoutzd2switchzf2livenes2033z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3076z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2letza73224za7,
		BGl_z62defusezd2letzd2fun2035z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3077z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2letza73225za7,
		BGl_z62defusezd2letzd2funzf2liven2037z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3078z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2le3226za7,
		BGl_z62inoutz12zd2letzd2funzf2liven2039z82zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za770za7za73227za7,
		BGl_z62inoutz12z70zzliveness_livenessz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3079z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2letza7d3228za7,
		BGl_z62inoutzd2letzd2funzf2livene2041z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3080z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2letza73229za7,
		BGl_z62defusezd2letzd2var2043z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3081z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2letza73230za7,
		BGl_z62defusezd2letzd2varzf2liven2045z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3082z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2le3231za7,
		BGl_z62inoutz12zd2letzd2varzf2liven2047z82zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3083z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2letza7d3232za7,
		BGl_z62inoutzd2letzd2varzf2livene2049z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3084z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2setza73233za7,
		BGl_z62defusezd2setzd2exzd2it2051zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3085z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2setza73234za7,
		BGl_z62defusezd2setzd2exzd2itzf2liv2053z42zzliveness_livenessz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3086z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2se3235za7,
		BGl_z62inoutz12zd2setzd2exzd2itzf2liv2055z50zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3087z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2setza7d3236za7,
		BGl_z62inoutzd2setzd2exzd2itzf2live2057z42zzliveness_livenessz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3088z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2jump3237z00,
		BGl_z62defusezd2jumpzd2exzd2it2059zb0zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3089z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2jump3238z00,
		BGl_z62defusezd2jumpzd2exzd2itzf2li2061z42zzliveness_livenessz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3090z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ju3239za7,
		BGl_z62inoutz12zd2jumpzd2exzd2itzf2li2063z50zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3091z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2jumpza73240za7,
		BGl_z62inoutzd2jumpzd2exzd2itzf2liv2065z42zzliveness_livenessz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3092z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2retb3241z00,
		BGl_z62defusezd2retblock2067zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3093z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2retb3242z00,
		BGl_z62defusezd2retblockzf2live2069z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3094z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2re3243za7,
		BGl_z62inoutz12zd2retblockzf2live2071z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3095z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2retbl3244z00,
		BGl_z62inoutzd2retblockzf2liven2073z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3096z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2retu3245z00,
		BGl_z62defusezd2return2075zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3097z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2retu3246z00,
		BGl_z62defusezd2returnzf2livene2077z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3098z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2re3247za7,
		BGl_z62inoutz12zd2returnzf2livene2079z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3099z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2retur3248z00,
		BGl_z62inoutzd2returnzf2livenes2081z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_livenesszd2livezd2envz00zzliveness_livenessz00,
		BgL_bgl_za762livenessza7d2li3249z00,
		BGl_z62livenesszd2livezb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_inoutzd2envzd2zzliveness_livenessz00,
		BgL_bgl_za762inoutza762za7za7liv3250z00,
		BGl_z62inoutz62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2968z00zzliveness_livenessz00,
		BgL_bgl_string2968za700za7za7l3251za7, "in=", 3);
	      DEFINE_STRING(BGl_string2969z00zzliveness_livenessz00,
		BgL_bgl_string2969za700za7za7l3252za7, "out=", 4);
	      DEFINE_STRING(BGl_string2971z00zzliveness_livenessz00,
		BgL_bgl_string2971za700za7za7l3253za7, "defuse1833", 10);
	      DEFINE_STRING(BGl_string2973z00zzliveness_livenessz00,
		BgL_bgl_string2973za700za7za7l3254za7, "inout!1835", 10);
	      DEFINE_STRING(BGl_string2975z00zzliveness_livenessz00,
		BgL_bgl_string2975za700za7za7l3255za7, "inout1837", 9);
	      DEFINE_STRING(BGl_string2977z00zzliveness_livenessz00,
		BgL_bgl_string2977za700za7za7l3256za7, "defuse", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2970z00zzliveness_livenessz00,
		BgL_bgl_za762defuse1833za7623257z00,
		BGl_z62defuse1833z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2972z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7121835za73258za7,
		BGl_z62inoutz121835z70zzliveness_livenessz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2980z00zzliveness_livenessz00,
		BgL_bgl_string2980za700za7za7l3259za7, "inout!", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2974z00zzliveness_livenessz00,
		BgL_bgl_za762inout1837za762za73260za7,
		BGl_z62inout1837z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2982z00zzliveness_livenessz00,
		BgL_bgl_string2982za700za7za7l3261za7, "inout", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2976z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2lite3262z00,
		BGl_z62defusezd2literal1840zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2978z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2lite3263z00,
		BGl_z62defusezd2literalzf2liven1842z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2979z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2li3264za7,
		BGl_z62inoutz12zd2literalzf2liven1844z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2981z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2liter3265z00,
		BGl_z62inoutzd2literalzf2livene1846z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2983z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2ref13266z00,
		BGl_z62defusezd2ref1848zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2984z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2refza73267za7,
		BGl_z62defusezd2refzf2liveness1850z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2985z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2re3268za7,
		BGl_z62inoutz12zd2refzf2liveness1852z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2986z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2refza7f3269za7,
		BGl_z62inoutzd2refzf2liveness1854z42zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2987z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2clos3270z00,
		BGl_z62defusezd2closure1856zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2988z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2clos3271z00,
		BGl_z62defusezd2closurezf2liven1858z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2989z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2cl3272za7,
		BGl_z62inoutz12zd2closurezf2liven1860z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2990z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2closu3273z00,
		BGl_z62inoutzd2closurezf2livene1862z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2991z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2kwot3274z00,
		BGl_z62defusezd2kwote1864zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2992z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2kwot3275z00,
		BGl_z62defusezd2kwotezf2livenes1866z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2993z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2kw3276za7,
		BGl_z62inoutz12zd2kwotezf2livenes1868z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2994z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2kwote3277z00,
		BGl_z62inoutzd2kwotezf2liveness1870z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2995z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2sequ3278z00,
		BGl_z62defusezd2sequence1872zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2996z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2sequ3279z00,
		BGl_z62defusezd2sequencezf2live1874z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2997z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2se3280za7,
		BGl_z62inoutz12zd2sequencezf2live1876z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2998z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2seque3281z00,
		BGl_z62inoutzd2sequencezf2liven1878z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2999z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2app13282z00,
		BGl_z62defusezd2app1880zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_defusezd2envzd2zzliveness_livenessz00,
		BgL_bgl_za762defuseza762za7za7li3283z00,
		BGl_z62defusez62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3000z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2appza73284za7,
		BGl_z62defusezd2appzf2liveness1882z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3001z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ap3285za7,
		BGl_z62inoutz12zd2appzf2liveness1884z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3002z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2appza7f3286za7,
		BGl_z62inoutzd2appzf2liveness1886z42zzliveness_livenessz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzliveness_livenessz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzliveness_livenessz00(long
		BgL_checksumz00_6234, char *BgL_fromz00_6235)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzliveness_livenessz00))
				{
					BGl_requirezd2initializa7ationz75zzliveness_livenessz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzliveness_livenessz00();
					BGl_libraryzd2moduleszd2initz00zzliveness_livenessz00();
					BGl_importedzd2moduleszd2initz00zzliveness_livenessz00();
					BGl_genericzd2initzd2zzliveness_livenessz00();
					BGl_methodzd2initzd2zzliveness_livenessz00();
					return BGl_toplevelzd2initzd2zzliveness_livenessz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzliveness_livenessz00()
	{
		{	/* Liveness/liveness.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0),
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"liveness_liveness");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzliveness_livenessz00()
	{
		{	/* Liveness/liveness.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzliveness_livenessz00()
	{
		{	/* Liveness/liveness.scm 15 */
			return BUNSPEC;
		}

	}



/* liveness-sfun! */
	BGL_EXPORTED_DEF obj_t
		BGl_livenesszd2sfunz12zc0zzliveness_livenessz00(BgL_sfunz00_bglt
		BgL_valuez00_3)
	{
		{	/* Liveness/liveness.scm 43 */
			{	/* Liveness/liveness.scm 45 */
				obj_t BgL_g1548z00_1546;

				BgL_g1548z00_1546 =
					(((BgL_sfunz00_bglt) COBJECT(BgL_valuez00_3))->BgL_argsz00);
				{
					obj_t BgL_l1546z00_1548;

					BgL_l1546z00_1548 = BgL_g1548z00_1546;
				BgL_zc3z04anonymousza32120ze3z87_1549:
					if (PAIRP(BgL_l1546z00_1548))
						{	/* Liveness/liveness.scm 45 */
							{	/* Liveness/liveness.scm 45 */
								obj_t BgL_lz00_1551;

								BgL_lz00_1551 = CAR(BgL_l1546z00_1548);
								{	/* Liveness/liveness.scm 45 */
									BgL_localzf2livenesszf2_bglt BgL_wide1144z00_1554;

									BgL_wide1144z00_1554 =
										((BgL_localzf2livenesszf2_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_localzf2livenesszf2_bgl))));
									{	/* Liveness/liveness.scm 45 */
										obj_t BgL_auxz00_6264;
										BgL_objectz00_bglt BgL_tmpz00_6260;

										BgL_auxz00_6264 = ((obj_t) BgL_wide1144z00_1554);
										BgL_tmpz00_6260 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_lz00_1551)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6260, BgL_auxz00_6264);
									}
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_lz00_1551)));
									{	/* Liveness/liveness.scm 45 */
										long BgL_arg2122z00_1555;

										BgL_arg2122z00_1555 =
											BGL_CLASS_NUM(BGl_localzf2livenesszf2zzliveness_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_lz00_1551))),
											BgL_arg2122z00_1555);
									}
									((BgL_localz00_bglt)
										((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_lz00_1551)));
								}
								{
									BgL_localzf2livenesszf2_bglt BgL_auxz00_6278;

									{
										obj_t BgL_auxz00_6279;

										{	/* Liveness/liveness.scm 45 */
											BgL_objectz00_bglt BgL_tmpz00_6280;

											BgL_tmpz00_6280 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_lz00_1551)));
											BgL_auxz00_6279 = BGL_OBJECT_WIDENING(BgL_tmpz00_6280);
										}
										BgL_auxz00_6278 =
											((BgL_localzf2livenesszf2_bglt) BgL_auxz00_6279);
									}
									((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_6278))->
											BgL_z52countz52) = ((int) (int) (((long) 0))), BUNSPEC);
								}
								((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_lz00_1551));
							}
							{
								obj_t BgL_l1546z00_6290;

								BgL_l1546z00_6290 = CDR(BgL_l1546z00_1548);
								BgL_l1546z00_1548 = BgL_l1546z00_6290;
								goto BgL_zc3z04anonymousza32120ze3z87_1549;
							}
						}
					else
						{	/* Liveness/liveness.scm 45 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 46 */
				obj_t BgL_arg2124z00_1559;

				BgL_arg2124z00_1559 =
					(((BgL_sfunz00_bglt) COBJECT(BgL_valuez00_3))->BgL_bodyz00);
				BGl_defusez00zzliveness_livenessz00(
					((BgL_nodez00_bglt) BgL_arg2124z00_1559));
			}
			{	/* Liveness/liveness.scm 47 */
				obj_t BgL_arg2125z00_1560;

				BgL_arg2125z00_1560 =
					(((BgL_sfunz00_bglt) COBJECT(BgL_valuez00_3))->BgL_bodyz00);
				return
					BGl_inoutz12z12zzliveness_livenessz00(
					((BgL_nodez00_bglt) BgL_arg2125z00_1560), BNIL);
			}
		}

	}



/* &liveness-sfun! */
	obj_t BGl_z62livenesszd2sfunz12za2zzliveness_livenessz00(obj_t
		BgL_envz00_4638, obj_t BgL_valuez00_4639)
	{
		{	/* Liveness/liveness.scm 43 */
			return
				BGl_livenesszd2sfunz12zc0zzliveness_livenessz00(
				((BgL_sfunz00_bglt) BgL_valuez00_4639));
		}

	}



/* liveness-live */
	BGL_EXPORTED_DEF obj_t
		BGl_livenesszd2livezd2zzliveness_livenessz00(BgL_nodez00_bglt BgL_nodez00_5)
	{
		{	/* Liveness/liveness.scm 61 */
			{	/* Liveness/liveness.scm 62 */
				obj_t BgL_inz00_1561;

				BgL_inz00_1561 = BGl_inoutz00zzliveness_livenessz00(BgL_nodez00_5);
				{	/* Liveness/liveness.scm 63 */
					obj_t BgL_outz00_1562;

					{	/* Liveness/liveness.scm 64 */
						obj_t BgL_tmpz00_3663;

						{	/* Liveness/liveness.scm 64 */
							int BgL_tmpz00_6301;

							BgL_tmpz00_6301 = (int) (((long) 1));
							BgL_tmpz00_3663 = BGL_MVALUES_VAL(BgL_tmpz00_6301);
						}
						{	/* Liveness/liveness.scm 64 */
							int BgL_tmpz00_6304;

							BgL_tmpz00_6304 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6304, BUNSPEC);
						}
						BgL_outz00_1562 = BgL_tmpz00_3663;
					}
					{	/* Liveness/liveness.scm 64 */
						obj_t BgL_arg2126z00_1563;

						BgL_arg2126z00_1563 = BGl_shapez00zztools_shapez00(BgL_inz00_1561);
						{	/* Liveness/liveness.scm 64 */
							obj_t BgL_list2127z00_1564;

							{	/* Liveness/liveness.scm 64 */
								obj_t BgL_arg2128z00_1565;

								BgL_arg2128z00_1565 =
									MAKE_YOUNG_PAIR(BgL_arg2126z00_1563, BNIL);
								BgL_list2127z00_1564 =
									MAKE_YOUNG_PAIR(BGl_string2968z00zzliveness_livenessz00,
									BgL_arg2128z00_1565);
							} ((bool_t) 0);
					}}
					{	/* Liveness/liveness.scm 65 */
						obj_t BgL_arg2129z00_1566;

						BgL_arg2129z00_1566 = BGl_shapez00zztools_shapez00(BgL_outz00_1562);
						{	/* Liveness/liveness.scm 65 */
							obj_t BgL_list2130z00_1567;

							{	/* Liveness/liveness.scm 65 */
								obj_t BgL_arg2131z00_1568;

								BgL_arg2131z00_1568 =
									MAKE_YOUNG_PAIR(BgL_arg2129z00_1566, BNIL);
								BgL_list2130z00_1567 =
									MAKE_YOUNG_PAIR(BGl_string2969z00zzliveness_livenessz00,
									BgL_arg2131z00_1568);
							} ((bool_t) 0);
					}}
					{	/* Liveness/liveness.scm 66 */
						obj_t BgL_list2132z00_1569;

						{	/* Liveness/liveness.scm 66 */
							obj_t BgL_arg2133z00_1570;

							BgL_arg2133z00_1570 = MAKE_YOUNG_PAIR(BgL_outz00_1562, BNIL);
							BgL_list2132z00_1569 =
								MAKE_YOUNG_PAIR(BgL_inz00_1561, BgL_arg2133z00_1570);
						}
						return BGl_intersectionz00zzliveness_setz00(BgL_list2132z00_1569);
					}
				}
			}
		}

	}



/* &liveness-live */
	obj_t BGl_z62livenesszd2livezb0zzliveness_livenessz00(obj_t BgL_envz00_4640,
		obj_t BgL_nodez00_4641)
	{
		{	/* Liveness/liveness.scm 61 */
			return
				BGl_livenesszd2livezd2zzliveness_livenessz00(
				((BgL_nodez00_bglt) BgL_nodez00_4641));
		}

	}



/* defuse* */
	obj_t BGl_defuseza2za2zzliveness_livenessz00(obj_t BgL_nodesz00_6,
		obj_t BgL_defz00_7, obj_t BgL_usez00_8)
	{
		{	/* Liveness/liveness.scm 71 */
			{
				obj_t BgL_nodesz00_1572;
				obj_t BgL_defz00_1573;
				obj_t BgL_usez00_1574;

				BgL_nodesz00_1572 = BgL_nodesz00_6;
				BgL_defz00_1573 = BgL_defz00_7;
				BgL_usez00_1574 = BgL_usez00_8;
			BgL_zc3z04anonymousza32134ze3z87_1575:
				if (NULLP(BgL_nodesz00_1572))
					{	/* Liveness/liveness.scm 75 */
						{	/* Liveness/liveness.scm 76 */
							int BgL_tmpz00_6320;

							BgL_tmpz00_6320 = (int) (((long) 2));
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6320);
						}
						{	/* Liveness/liveness.scm 76 */
							int BgL_tmpz00_6323;

							BgL_tmpz00_6323 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6323, BgL_usez00_1574);
						}
						return BgL_defz00_1573;
					}
				else
					{	/* Liveness/liveness.scm 77 */
						obj_t BgL_dz00_1579;

						{	/* Liveness/liveness.scm 78 */
							obj_t BgL_arg2143z00_1588;

							BgL_arg2143z00_1588 = CAR(((obj_t) BgL_nodesz00_1572));
							BgL_dz00_1579 =
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2143z00_1588));
						}
						{	/* Liveness/liveness.scm 78 */
							obj_t BgL_uz00_1580;

							{	/* Liveness/liveness.scm 79 */
								obj_t BgL_tmpz00_3665;

								{	/* Liveness/liveness.scm 79 */
									int BgL_tmpz00_6330;

									BgL_tmpz00_6330 = (int) (((long) 1));
									BgL_tmpz00_3665 = BGL_MVALUES_VAL(BgL_tmpz00_6330);
								}
								{	/* Liveness/liveness.scm 79 */
									int BgL_tmpz00_6333;

									BgL_tmpz00_6333 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_6333, BUNSPEC);
								}
								BgL_uz00_1580 = BgL_tmpz00_3665;
							}
							{	/* Liveness/liveness.scm 79 */
								obj_t BgL_arg2136z00_1581;
								obj_t BgL_arg2137z00_1582;
								obj_t BgL_arg2138z00_1583;

								BgL_arg2136z00_1581 = CDR(((obj_t) BgL_nodesz00_1572));
								{	/* Liveness/liveness.scm 79 */
									obj_t BgL_list2139z00_1584;

									{	/* Liveness/liveness.scm 79 */
										obj_t BgL_arg2140z00_1585;

										BgL_arg2140z00_1585 =
											MAKE_YOUNG_PAIR(BgL_defz00_1573, BNIL);
										BgL_list2139z00_1584 =
											MAKE_YOUNG_PAIR(BgL_dz00_1579, BgL_arg2140z00_1585);
									}
									BgL_arg2137z00_1582 =
										BGl_unionz00zzliveness_setz00(BgL_list2139z00_1584);
								}
								{	/* Liveness/liveness.scm 79 */
									obj_t BgL_list2141z00_1586;

									{	/* Liveness/liveness.scm 79 */
										obj_t BgL_arg2142z00_1587;

										BgL_arg2142z00_1587 =
											MAKE_YOUNG_PAIR(BgL_usez00_1574, BNIL);
										BgL_list2141z00_1586 =
											MAKE_YOUNG_PAIR(BgL_uz00_1580, BgL_arg2142z00_1587);
									}
									BgL_arg2138z00_1583 =
										BGl_unionz00zzliveness_setz00(BgL_list2141z00_1586);
								}
								{
									obj_t BgL_usez00_6346;
									obj_t BgL_defz00_6345;
									obj_t BgL_nodesz00_6344;

									BgL_nodesz00_6344 = BgL_arg2136z00_1581;
									BgL_defz00_6345 = BgL_arg2137z00_1582;
									BgL_usez00_6346 = BgL_arg2138z00_1583;
									BgL_usez00_1574 = BgL_usez00_6346;
									BgL_defz00_1573 = BgL_defz00_6345;
									BgL_nodesz00_1572 = BgL_nodesz00_6344;
									goto BgL_zc3z04anonymousza32134ze3z87_1575;
								}
							}
						}
					}
			}
		}

	}



/* defuse-seq */
	obj_t BGl_defusezd2seqzd2zzliveness_livenessz00(obj_t BgL_nodesz00_9)
	{
		{	/* Liveness/liveness.scm 84 */
			{
				obj_t BgL_nodesz00_1593;
				obj_t BgL_defz00_1594;
				obj_t BgL_usez00_1595;

				BgL_nodesz00_1593 = BgL_nodesz00_9;
				BgL_defz00_1594 = BNIL;
				BgL_usez00_1595 = BNIL;
			BgL_zc3z04anonymousza32144ze3z87_1596:
				if (NULLP(BgL_nodesz00_1593))
					{	/* Liveness/liveness.scm 88 */
						{	/* Liveness/liveness.scm 89 */
							int BgL_tmpz00_6349;

							BgL_tmpz00_6349 = (int) (((long) 2));
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6349);
						}
						{	/* Liveness/liveness.scm 89 */
							int BgL_tmpz00_6352;

							BgL_tmpz00_6352 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6352, BgL_usez00_1595);
						}
						return BgL_defz00_1594;
					}
				else
					{	/* Liveness/liveness.scm 90 */
						obj_t BgL_dz00_1600;

						{	/* Liveness/liveness.scm 91 */
							obj_t BgL_arg2155z00_1610;

							BgL_arg2155z00_1610 = CAR(((obj_t) BgL_nodesz00_1593));
							BgL_dz00_1600 =
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2155z00_1610));
						}
						{	/* Liveness/liveness.scm 91 */
							obj_t BgL_uz00_1601;

							{	/* Liveness/liveness.scm 92 */
								obj_t BgL_tmpz00_3668;

								{	/* Liveness/liveness.scm 92 */
									int BgL_tmpz00_6359;

									BgL_tmpz00_6359 = (int) (((long) 1));
									BgL_tmpz00_3668 = BGL_MVALUES_VAL(BgL_tmpz00_6359);
								}
								{	/* Liveness/liveness.scm 92 */
									int BgL_tmpz00_6362;

									BgL_tmpz00_6362 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_6362, BUNSPEC);
								}
								BgL_uz00_1601 = BgL_tmpz00_3668;
							}
							{	/* Liveness/liveness.scm 92 */
								obj_t BgL_arg2146z00_1602;
								obj_t BgL_arg2148z00_1603;
								obj_t BgL_arg2149z00_1604;

								BgL_arg2146z00_1602 = CDR(((obj_t) BgL_nodesz00_1593));
								{	/* Liveness/liveness.scm 93 */
									obj_t BgL_list2150z00_1605;

									{	/* Liveness/liveness.scm 93 */
										obj_t BgL_arg2151z00_1606;

										BgL_arg2151z00_1606 = MAKE_YOUNG_PAIR(BgL_dz00_1600, BNIL);
										BgL_list2150z00_1605 =
											MAKE_YOUNG_PAIR(BgL_defz00_1594, BgL_arg2151z00_1606);
									}
									BgL_arg2148z00_1603 =
										BGl_unionz00zzliveness_setz00(BgL_list2150z00_1605);
								}
								{	/* Liveness/liveness.scm 94 */
									obj_t BgL_arg2152z00_1607;

									BgL_arg2152z00_1607 =
										BGl_disjonctionz00zzliveness_setz00(BgL_uz00_1601,
										BgL_defz00_1594);
									{	/* Liveness/liveness.scm 94 */
										obj_t BgL_list2153z00_1608;

										{	/* Liveness/liveness.scm 94 */
											obj_t BgL_arg2154z00_1609;

											BgL_arg2154z00_1609 =
												MAKE_YOUNG_PAIR(BgL_arg2152z00_1607, BNIL);
											BgL_list2153z00_1608 =
												MAKE_YOUNG_PAIR(BgL_usez00_1595, BgL_arg2154z00_1609);
										}
										BgL_arg2149z00_1604 =
											BGl_unionz00zzliveness_setz00(BgL_list2153z00_1608);
								}}
								{
									obj_t BgL_usez00_6376;
									obj_t BgL_defz00_6375;
									obj_t BgL_nodesz00_6374;

									BgL_nodesz00_6374 = BgL_arg2146z00_1602;
									BgL_defz00_6375 = BgL_arg2148z00_1603;
									BgL_usez00_6376 = BgL_arg2149z00_1604;
									BgL_usez00_1595 = BgL_usez00_6376;
									BgL_defz00_1594 = BgL_defz00_6375;
									BgL_nodesz00_1593 = BgL_nodesz00_6374;
									goto BgL_zc3z04anonymousza32144ze3z87_1596;
								}
							}
						}
					}
			}
		}

	}



/* inout*! */
	bool_t BGl_inoutza2z12zb0zzliveness_livenessz00(obj_t BgL_nodesz00_10,
		obj_t BgL_outz00_11)
	{
		{	/* Liveness/liveness.scm 99 */
			{	/* Liveness/liveness.scm 100 */
				obj_t BgL_g1149z00_1612;

				BgL_g1149z00_1612 = bgl_reverse(BgL_nodesz00_10);
				{
					obj_t BgL_sedonz00_1614;
					obj_t BgL_outz00_1615;

					BgL_sedonz00_1614 = BgL_g1149z00_1612;
					BgL_outz00_1615 = BgL_outz00_11;
				BgL_zc3z04anonymousza32156ze3z87_1616:
					if (PAIRP(BgL_sedonz00_1614))
						{	/* Liveness/liveness.scm 103 */
							obj_t BgL_ninz00_1618;

							{	/* Liveness/liveness.scm 104 */
								obj_t BgL_arg2159z00_1621;

								BgL_arg2159z00_1621 = CAR(BgL_sedonz00_1614);
								BgL_ninz00_1618 =
									BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_arg2159z00_1621), BgL_outz00_1615);
							}
							{	/* Liveness/liveness.scm 104 */
								obj_t BgL_noutz00_1619;

								{	/* Liveness/liveness.scm 105 */
									obj_t BgL_tmpz00_3671;

									{	/* Liveness/liveness.scm 105 */
										int BgL_tmpz00_6383;

										BgL_tmpz00_6383 = (int) (((long) 1));
										BgL_tmpz00_3671 = BGL_MVALUES_VAL(BgL_tmpz00_6383);
									}
									{	/* Liveness/liveness.scm 105 */
										int BgL_tmpz00_6386;

										BgL_tmpz00_6386 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_6386, BUNSPEC);
									}
									BgL_noutz00_1619 = BgL_tmpz00_3671;
								}
								{
									obj_t BgL_outz00_6391;
									obj_t BgL_sedonz00_6389;

									BgL_sedonz00_6389 = CDR(BgL_sedonz00_1614);
									BgL_outz00_6391 = BgL_ninz00_1618;
									BgL_outz00_1615 = BgL_outz00_6391;
									BgL_sedonz00_1614 = BgL_sedonz00_6389;
									goto BgL_zc3z04anonymousza32156ze3z87_1616;
								}
							}
						}
					else
						{	/* Liveness/liveness.scm 102 */
							return ((bool_t) 0);
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzliveness_livenessz00()
	{
		{	/* Liveness/liveness.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzliveness_livenessz00()
	{
		{	/* Liveness/liveness.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_proc2970z00zzliveness_livenessz00, BGl_nodez00zzast_nodez00,
				BGl_string2971z00zzliveness_livenessz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_proc2972z00zzliveness_livenessz00, BGl_nodez00zzast_nodez00,
				BGl_string2973z00zzliveness_livenessz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_proc2974z00zzliveness_livenessz00, BGl_nodez00zzast_nodez00,
				BGl_string2975z00zzliveness_livenessz00);
		}

	}



/* &inout1837 */
	obj_t BGl_z62inout1837z62zzliveness_livenessz00(obj_t BgL_envz00_4645,
		obj_t BgL_nz00_4646)
	{
		{	/* Liveness/liveness.scm 119 */
			{	/* Liveness/liveness.scm 120 */
				int BgL_tmpz00_6395;

				BgL_tmpz00_6395 = (int) (((long) 2));
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6395);
			}
			{	/* Liveness/liveness.scm 120 */
				int BgL_tmpz00_6398;

				BgL_tmpz00_6398 = (int) (((long) 1));
				BGL_MVALUES_VAL_SET(BgL_tmpz00_6398, BNIL);
			}
			return BNIL;
		}

	}



/* &inout!1835 */
	obj_t BGl_z62inoutz121835z70zzliveness_livenessz00(obj_t BgL_envz00_4647,
		obj_t BgL_nz00_4648, obj_t BgL_outz00_4649)
	{
		{	/* Liveness/liveness.scm 116 */
			{	/* Liveness/liveness.scm 117 */
				int BgL_tmpz00_6401;

				BgL_tmpz00_6401 = (int) (((long) 2));
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6401);
			}
			{	/* Liveness/liveness.scm 117 */
				int BgL_tmpz00_6404;

				BgL_tmpz00_6404 = (int) (((long) 1));
				BGL_MVALUES_VAL_SET(BgL_tmpz00_6404, BgL_outz00_4649);
			}
			return BNIL;
		}

	}



/* &defuse1833 */
	obj_t BGl_z62defuse1833z62zzliveness_livenessz00(obj_t BgL_envz00_4650,
		obj_t BgL_nz00_4651)
	{
		{	/* Liveness/liveness.scm 113 */
			{	/* Liveness/liveness.scm 114 */
				int BgL_tmpz00_6407;

				BgL_tmpz00_6407 = (int) (((long) 2));
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6407);
			}
			{	/* Liveness/liveness.scm 114 */
				int BgL_tmpz00_6410;

				BgL_tmpz00_6410 = (int) (((long) 1));
				BGL_MVALUES_VAL_SET(BgL_tmpz00_6410, BNIL);
			}
			return BNIL;
		}

	}



/* defuse */
	obj_t BGl_defusez00zzliveness_livenessz00(BgL_nodez00_bglt BgL_nz00_12)
	{
		{	/* Liveness/liveness.scm 113 */
			{	/* Liveness/liveness.scm 113 */
				obj_t BgL_method1834z00_1642;

				{	/* Liveness/liveness.scm 113 */
					obj_t BgL_res2951z00_3705;

					{	/* Liveness/liveness.scm 113 */
						long BgL_objzd2classzd2numz00_3676;

						BgL_objzd2classzd2numz00_3676 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_12));
						{	/* Liveness/liveness.scm 113 */
							obj_t BgL_arg1829z00_3677;

							BgL_arg1829z00_3677 =
								PROCEDURE_REF(BGl_defusezd2envzd2zzliveness_livenessz00,
								(int) (((long) 1)));
							{	/* Liveness/liveness.scm 113 */
								int BgL_offsetz00_3680;

								BgL_offsetz00_3680 = (int) (BgL_objzd2classzd2numz00_3676);
								{	/* Liveness/liveness.scm 113 */
									long BgL_offsetz00_3681;

									BgL_offsetz00_3681 =
										((long) (BgL_offsetz00_3680) - OBJECT_TYPE);
									{	/* Liveness/liveness.scm 113 */
										long BgL_modz00_3682;

										BgL_modz00_3682 =
											(BgL_offsetz00_3681 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Liveness/liveness.scm 113 */
											long BgL_restz00_3684;

											BgL_restz00_3684 =
												(BgL_offsetz00_3681 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Liveness/liveness.scm 113 */

												{	/* Liveness/liveness.scm 113 */
													obj_t BgL_bucketz00_3686;

													BgL_bucketz00_3686 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3677), BgL_modz00_3682);
													BgL_res2951z00_3705 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3686), BgL_restz00_3684);
					}}}}}}}}
					BgL_method1834z00_1642 = BgL_res2951z00_3705;
				}
				return
					PROCEDURE_ENTRY(BgL_method1834z00_1642) (BgL_method1834z00_1642,
					((obj_t) BgL_nz00_12), BEOA);
			}
		}

	}



/* &defuse */
	obj_t BGl_z62defusez62zzliveness_livenessz00(obj_t BgL_envz00_4652,
		obj_t BgL_nz00_4653)
	{
		{	/* Liveness/liveness.scm 113 */
			return
				BGl_defusez00zzliveness_livenessz00(((BgL_nodez00_bglt) BgL_nz00_4653));
		}

	}



/* inout! */
	obj_t BGl_inoutz12z12zzliveness_livenessz00(BgL_nodez00_bglt BgL_nz00_13,
		obj_t BgL_outz00_14)
	{
		{	/* Liveness/liveness.scm 116 */
			{	/* Liveness/liveness.scm 116 */
				obj_t BgL_method1836z00_1643;

				{	/* Liveness/liveness.scm 116 */
					obj_t BgL_res2956z00_3736;

					{	/* Liveness/liveness.scm 116 */
						long BgL_objzd2classzd2numz00_3707;

						BgL_objzd2classzd2numz00_3707 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_13));
						{	/* Liveness/liveness.scm 116 */
							obj_t BgL_arg1829z00_3708;

							BgL_arg1829z00_3708 =
								PROCEDURE_REF(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
								(int) (((long) 1)));
							{	/* Liveness/liveness.scm 116 */
								int BgL_offsetz00_3711;

								BgL_offsetz00_3711 = (int) (BgL_objzd2classzd2numz00_3707);
								{	/* Liveness/liveness.scm 116 */
									long BgL_offsetz00_3712;

									BgL_offsetz00_3712 =
										((long) (BgL_offsetz00_3711) - OBJECT_TYPE);
									{	/* Liveness/liveness.scm 116 */
										long BgL_modz00_3713;

										BgL_modz00_3713 =
											(BgL_offsetz00_3712 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Liveness/liveness.scm 116 */
											long BgL_restz00_3715;

											BgL_restz00_3715 =
												(BgL_offsetz00_3712 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Liveness/liveness.scm 116 */

												{	/* Liveness/liveness.scm 116 */
													obj_t BgL_bucketz00_3717;

													BgL_bucketz00_3717 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3708), BgL_modz00_3713);
													BgL_res2956z00_3736 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3717), BgL_restz00_3715);
					}}}}}}}}
					BgL_method1836z00_1643 = BgL_res2956z00_3736;
				}
				return
					PROCEDURE_ENTRY(BgL_method1836z00_1643) (BgL_method1836z00_1643,
					((obj_t) BgL_nz00_13), BgL_outz00_14, BEOA);
			}
		}

	}



/* &inout! */
	obj_t BGl_z62inoutz12z70zzliveness_livenessz00(obj_t BgL_envz00_4654,
		obj_t BgL_nz00_4655, obj_t BgL_outz00_4656)
	{
		{	/* Liveness/liveness.scm 116 */
			return
				BGl_inoutz12z12zzliveness_livenessz00(
				((BgL_nodez00_bglt) BgL_nz00_4655), BgL_outz00_4656);
		}

	}



/* inout */
	obj_t BGl_inoutz00zzliveness_livenessz00(BgL_nodez00_bglt BgL_nz00_15)
	{
		{	/* Liveness/liveness.scm 119 */
			{	/* Liveness/liveness.scm 119 */
				obj_t BgL_method1838z00_1644;

				{	/* Liveness/liveness.scm 119 */
					obj_t BgL_res2961z00_3767;

					{	/* Liveness/liveness.scm 119 */
						long BgL_objzd2classzd2numz00_3738;

						BgL_objzd2classzd2numz00_3738 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_15));
						{	/* Liveness/liveness.scm 119 */
							obj_t BgL_arg1829z00_3739;

							BgL_arg1829z00_3739 =
								PROCEDURE_REF(BGl_inoutzd2envzd2zzliveness_livenessz00,
								(int) (((long) 1)));
							{	/* Liveness/liveness.scm 119 */
								int BgL_offsetz00_3742;

								BgL_offsetz00_3742 = (int) (BgL_objzd2classzd2numz00_3738);
								{	/* Liveness/liveness.scm 119 */
									long BgL_offsetz00_3743;

									BgL_offsetz00_3743 =
										((long) (BgL_offsetz00_3742) - OBJECT_TYPE);
									{	/* Liveness/liveness.scm 119 */
										long BgL_modz00_3744;

										BgL_modz00_3744 =
											(BgL_offsetz00_3743 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Liveness/liveness.scm 119 */
											long BgL_restz00_3746;

											BgL_restz00_3746 =
												(BgL_offsetz00_3743 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Liveness/liveness.scm 119 */

												{	/* Liveness/liveness.scm 119 */
													obj_t BgL_bucketz00_3748;

													BgL_bucketz00_3748 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3739), BgL_modz00_3744);
													BgL_res2961z00_3767 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3748), BgL_restz00_3746);
					}}}}}}}}
					BgL_method1838z00_1644 = BgL_res2961z00_3767;
				}
				return
					PROCEDURE_ENTRY(BgL_method1838z00_1644) (BgL_method1838z00_1644,
					((obj_t) BgL_nz00_15), BEOA);
			}
		}

	}



/* &inout */
	obj_t BGl_z62inoutz62zzliveness_livenessz00(obj_t BgL_envz00_4657,
		obj_t BgL_nz00_4658)
	{
		{	/* Liveness/liveness.scm 119 */
			return
				BGl_inoutz00zzliveness_livenessz00(((BgL_nodez00_bglt) BgL_nz00_4658));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzliveness_livenessz00()
	{
		{	/* Liveness/liveness.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_literalz00zzast_nodez00,
				BGl_proc2976z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_literalzf2livenesszf2zzliveness_typesz00,
				BGl_proc2978z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_literalzf2livenesszf2zzliveness_typesz00,
				BGl_proc2979z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_literalzf2livenesszf2zzliveness_typesz00,
				BGl_proc2981z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_refz00zzast_nodez00,
				BGl_proc2983z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_refzf2livenesszf2zzliveness_typesz00,
				BGl_proc2984z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_refzf2livenesszf2zzliveness_typesz00,
				BGl_proc2985z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_refzf2livenesszf2zzliveness_typesz00,
				BGl_proc2986z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_closurez00zzast_nodez00,
				BGl_proc2987z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_closurezf2livenesszf2zzliveness_typesz00,
				BGl_proc2988z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_closurezf2livenesszf2zzliveness_typesz00,
				BGl_proc2989z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_closurezf2livenesszf2zzliveness_typesz00,
				BGl_proc2990z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_kwotez00zzast_nodez00,
				BGl_proc2991z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_kwotezf2livenesszf2zzliveness_typesz00,
				BGl_proc2992z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_kwotezf2livenesszf2zzliveness_typesz00,
				BGl_proc2993z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_kwotezf2livenesszf2zzliveness_typesz00,
				BGl_proc2994z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2995z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_sequencezf2livenesszf2zzliveness_typesz00,
				BGl_proc2996z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_sequencezf2livenesszf2zzliveness_typesz00,
				BGl_proc2997z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_sequencezf2livenesszf2zzliveness_typesz00,
				BGl_proc2998z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_appz00zzast_nodez00,
				BGl_proc2999z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_appzf2livenesszf2zzliveness_typesz00,
				BGl_proc3000z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_appzf2livenesszf2zzliveness_typesz00,
				BGl_proc3001z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_appzf2livenesszf2zzliveness_typesz00,
				BGl_proc3002z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3003z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_appzd2lyzf2livenessz20zzliveness_typesz00,
				BGl_proc3004z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_appzd2lyzf2livenessz20zzliveness_typesz00,
				BGl_proc3005z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_appzd2lyzf2livenessz20zzliveness_typesz00,
				BGl_proc3006z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3007z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_funcallzf2livenesszf2zzliveness_typesz00,
				BGl_proc3008z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_funcallzf2livenesszf2zzliveness_typesz00,
				BGl_proc3009z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_funcallzf2livenesszf2zzliveness_typesz00,
				BGl_proc3010z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_externz00zzast_nodez00,
				BGl_proc3011z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_pragmaz00zzast_nodez00,
				BGl_proc3012z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_pragmazf2livenesszf2zzliveness_typesz00,
				BGl_proc3013z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_pragmazf2livenesszf2zzliveness_typesz00,
				BGl_proc3014z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_pragmazf2livenesszf2zzliveness_typesz00,
				BGl_proc3015z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_getfieldz00zzast_nodez00, BGl_proc3016z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_getfieldzf2livenesszf2zzliveness_typesz00,
				BGl_proc3017z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_getfieldzf2livenesszf2zzliveness_typesz00,
				BGl_proc3018z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_getfieldzf2livenesszf2zzliveness_typesz00,
				BGl_proc3019z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_setfieldz00zzast_nodez00, BGl_proc3020z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_setfieldzf2livenesszf2zzliveness_typesz00,
				BGl_proc3021z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_setfieldzf2livenesszf2zzliveness_typesz00,
				BGl_proc3022z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_setfieldzf2livenesszf2zzliveness_typesz00,
				BGl_proc3023z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_wideningz00zzast_nodez00, BGl_proc3024z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_wideningzf2livenesszf2zzliveness_typesz00,
				BGl_proc3025z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_wideningzf2livenesszf2zzliveness_typesz00,
				BGl_proc3026z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_wideningzf2livenesszf2zzliveness_typesz00,
				BGl_proc3027z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_newz00zzast_nodez00,
				BGl_proc3028z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_newzf2livenesszf2zzliveness_typesz00,
				BGl_proc3029z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_newzf2livenesszf2zzliveness_typesz00,
				BGl_proc3030z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_newzf2livenesszf2zzliveness_typesz00,
				BGl_proc3031z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_vallocz00zzast_nodez00,
				BGl_proc3032z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_valloczf2livenesszf2zzliveness_typesz00,
				BGl_proc3033z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_valloczf2livenesszf2zzliveness_typesz00,
				BGl_proc3034z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_valloczf2livenesszf2zzliveness_typesz00,
				BGl_proc3035z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_vrefz00zzast_nodez00,
				BGl_proc3036z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_vrefzf2livenesszf2zzliveness_typesz00,
				BGl_proc3037z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_vrefzf2livenesszf2zzliveness_typesz00,
				BGl_proc3038z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_vrefzf2livenesszf2zzliveness_typesz00,
				BGl_proc3039z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc3040z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_vsetz12zf2livenessze0zzliveness_typesz00,
				BGl_proc3041z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_vsetz12zf2livenessze0zzliveness_typesz00,
				BGl_proc3042z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_vsetz12zf2livenessze0zzliveness_typesz00,
				BGl_proc3043z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_vlengthz00zzast_nodez00,
				BGl_proc3044z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_vlengthzf2livenesszf2zzliveness_typesz00,
				BGl_proc3045z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_vlengthzf2livenesszf2zzliveness_typesz00,
				BGl_proc3046z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_vlengthzf2livenesszf2zzliveness_typesz00,
				BGl_proc3047z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc3048z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_instanceofzf2livenesszf2zzliveness_typesz00,
				BGl_proc3049z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_instanceofzf2livenesszf2zzliveness_typesz00,
				BGl_proc3050z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_instanceofzf2livenesszf2zzliveness_typesz00,
				BGl_proc3051z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_castzd2nullzd2zzast_nodez00, BGl_proc3052z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_castzd2nullzf2livenessz20zzliveness_typesz00,
				BGl_proc3053z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_castzd2nullzf2livenessz20zzliveness_typesz00,
				BGl_proc3054z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_castzd2nullzf2livenessz20zzliveness_typesz00,
				BGl_proc3055z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_castz00zzast_nodez00,
				BGl_proc3056z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_castzf2livenesszf2zzliveness_typesz00,
				BGl_proc3057z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_castzf2livenesszf2zzliveness_typesz00,
				BGl_proc3058z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_castzf2livenesszf2zzliveness_typesz00,
				BGl_proc3059z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_setqz00zzast_nodez00,
				BGl_proc3060z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_setqzf2livenesszf2zzliveness_typesz00,
				BGl_proc3061z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_setqzf2livenesszf2zzliveness_typesz00,
				BGl_proc3062z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_setqzf2livenesszf2zzliveness_typesz00,
				BGl_proc3063z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3064z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_conditionalzf2livenesszf2zzliveness_typesz00,
				BGl_proc3065z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_conditionalzf2livenesszf2zzliveness_typesz00,
				BGl_proc3066z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_conditionalzf2livenesszf2zzliveness_typesz00,
				BGl_proc3067z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_failz00zzast_nodez00,
				BGl_proc3068z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_failzf2livenesszf2zzliveness_typesz00,
				BGl_proc3069z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_failzf2livenesszf2zzliveness_typesz00,
				BGl_proc3070z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_failzf2livenesszf2zzliveness_typesz00,
				BGl_proc3071z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_switchz00zzast_nodez00,
				BGl_proc3072z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_switchzf2livenesszf2zzliveness_typesz00,
				BGl_proc3073z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_switchzf2livenesszf2zzliveness_typesz00,
				BGl_proc3074z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_switchzf2livenesszf2zzliveness_typesz00,
				BGl_proc3075z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3076z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_letzd2funzf2livenessz20zzliveness_typesz00,
				BGl_proc3077z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_letzd2funzf2livenessz20zzliveness_typesz00,
				BGl_proc3078z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_letzd2funzf2livenessz20zzliveness_typesz00,
				BGl_proc3079z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3080z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_letzd2varzf2livenessz20zzliveness_typesz00,
				BGl_proc3081z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_letzd2varzf2livenessz20zzliveness_typesz00,
				BGl_proc3082z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_letzd2varzf2livenessz20zzliveness_typesz00,
				BGl_proc3083z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3084z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00,
				BGl_proc3085z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00,
				BGl_proc3086z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00,
				BGl_proc3087z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3088z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00,
				BGl_proc3089z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00,
				BGl_proc3090z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00,
				BGl_proc3091z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_retblockz00zzast_nodez00, BGl_proc3092z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_retblockzf2livenesszf2zzliveness_typesz00,
				BGl_proc3093z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_retblockzf2livenesszf2zzliveness_typesz00,
				BGl_proc3094z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_retblockzf2livenesszf2zzliveness_typesz00,
				BGl_proc3095z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_returnz00zzast_nodez00,
				BGl_proc3096z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_returnzf2livenesszf2zzliveness_typesz00,
				BGl_proc3097z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_returnzf2livenesszf2zzliveness_typesz00,
				BGl_proc3098z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_returnzf2livenesszf2zzliveness_typesz00,
				BGl_proc3099z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3100z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_makezd2boxzf2livenessz20zzliveness_typesz00,
				BGl_proc3101z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_makezd2boxzf2livenessz20zzliveness_typesz00,
				BGl_proc3102z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_makezd2boxzf2livenessz20zzliveness_typesz00,
				BGl_proc3103z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3104z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_boxzd2refzf2livenessz20zzliveness_typesz00,
				BGl_proc3105z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_boxzd2refzf2livenessz20zzliveness_typesz00,
				BGl_proc3106z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_boxzd2refzf2livenessz20zzliveness_typesz00,
				BGl_proc3107z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3108z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00,
				BGl_proc3109z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00,
				BGl_proc3110z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00,
				BGl_proc3111z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_syncz00zzast_nodez00,
				BGl_proc3112z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_synczf2livenesszf2zzliveness_typesz00,
				BGl_proc3113z00zzliveness_livenessz00,
				BGl_string2977z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_synczf2livenesszf2zzliveness_typesz00,
				BGl_proc3114z00zzliveness_livenessz00,
				BGl_string2980z00zzliveness_livenessz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_synczf2livenesszf2zzliveness_typesz00,
				BGl_proc3115z00zzliveness_livenessz00,
				BGl_string2982z00zzliveness_livenessz00);
		}

	}



/* &inout-sync/liveness2116 */
	obj_t BGl_z62inoutzd2synczf2liveness2116z42zzliveness_livenessz00(obj_t
		BgL_envz00_4796, obj_t BgL_nz00_4797)
	{
		{	/* Liveness/liveness.scm 1115 */
			{	/* Liveness/liveness.scm 1117 */
				obj_t BgL_val0_1831z00_5108;
				obj_t BgL_val1_1832z00_5109;

				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_6647;

					{
						obj_t BgL_auxz00_6648;

						{	/* Liveness/liveness.scm 1117 */
							BgL_objectz00_bglt BgL_tmpz00_6649;

							BgL_tmpz00_6649 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4797));
							BgL_auxz00_6648 = BGL_OBJECT_WIDENING(BgL_tmpz00_6649);
						}
						BgL_auxz00_6647 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6648);
					}
					BgL_val0_1831z00_5108 =
						(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6647))->
						BgL_inz00);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_6655;

					{
						obj_t BgL_auxz00_6656;

						{	/* Liveness/liveness.scm 1117 */
							BgL_objectz00_bglt BgL_tmpz00_6657;

							BgL_tmpz00_6657 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4797));
							BgL_auxz00_6656 = BGL_OBJECT_WIDENING(BgL_tmpz00_6657);
						}
						BgL_auxz00_6655 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6656);
					}
					BgL_val1_1832z00_5109 =
						(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6655))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1117 */
					int BgL_tmpz00_6663;

					BgL_tmpz00_6663 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6663);
				}
				{	/* Liveness/liveness.scm 1117 */
					int BgL_tmpz00_6666;

					BgL_tmpz00_6666 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6666, BgL_val1_1832z00_5109);
				}
				return BgL_val0_1831z00_5108;
			}
		}

	}



/* &inout!-sync/liveness2113 */
	obj_t BGl_z62inoutz12zd2synczf2liveness2113z50zzliveness_livenessz00(obj_t
		BgL_envz00_4798, obj_t BgL_nz00_4799, obj_t BgL_oz00_4800)
	{
		{	/* Liveness/liveness.scm 1108 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_6669;

				{
					obj_t BgL_auxz00_6670;

					{	/* Liveness/liveness.scm 1110 */
						BgL_objectz00_bglt BgL_tmpz00_6671;

						BgL_tmpz00_6671 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4799));
						BgL_auxz00_6670 = BGL_OBJECT_WIDENING(BgL_tmpz00_6671);
					}
					BgL_auxz00_6669 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6670);
				}
				((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6669))->
						BgL_outz00) = ((obj_t) BgL_oz00_4800), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_6684;
				BgL_synczf2livenesszf2_bglt BgL_auxz00_6677;

				{	/* Liveness/liveness.scm 1111 */
					obj_t BgL_arg2849z00_5111;
					obj_t BgL_arg2850z00_5112;

					{
						BgL_synczf2livenesszf2_bglt BgL_auxz00_6685;

						{
							obj_t BgL_auxz00_6686;

							{	/* Liveness/liveness.scm 1111 */
								BgL_objectz00_bglt BgL_tmpz00_6687;

								BgL_tmpz00_6687 =
									((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4799));
								BgL_auxz00_6686 = BGL_OBJECT_WIDENING(BgL_tmpz00_6687);
							}
							BgL_auxz00_6685 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6686);
						}
						BgL_arg2849z00_5111 =
							(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6685))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 1111 */
						obj_t BgL_arg2853z00_5113;
						obj_t BgL_arg2854z00_5114;

						{
							BgL_synczf2livenesszf2_bglt BgL_auxz00_6693;

							{
								obj_t BgL_auxz00_6694;

								{	/* Liveness/liveness.scm 1111 */
									BgL_objectz00_bglt BgL_tmpz00_6695;

									BgL_tmpz00_6695 =
										((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4799));
									BgL_auxz00_6694 = BGL_OBJECT_WIDENING(BgL_tmpz00_6695);
								}
								BgL_auxz00_6693 =
									((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6694);
							}
							BgL_arg2853z00_5113 =
								(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6693))->
								BgL_outz00);
						}
						{
							BgL_synczf2livenesszf2_bglt BgL_auxz00_6701;

							{
								obj_t BgL_auxz00_6702;

								{	/* Liveness/liveness.scm 1111 */
									BgL_objectz00_bglt BgL_tmpz00_6703;

									BgL_tmpz00_6703 =
										((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4799));
									BgL_auxz00_6702 = BGL_OBJECT_WIDENING(BgL_tmpz00_6703);
								}
								BgL_auxz00_6701 =
									((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6702);
							}
							BgL_arg2854z00_5114 =
								(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6701))->
								BgL_defz00);
						}
						BgL_arg2850z00_5112 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2853z00_5113,
							BgL_arg2854z00_5114);
					}
					{	/* Liveness/liveness.scm 1111 */
						obj_t BgL_list2851z00_5115;

						{	/* Liveness/liveness.scm 1111 */
							obj_t BgL_arg2852z00_5116;

							BgL_arg2852z00_5116 = MAKE_YOUNG_PAIR(BgL_arg2850z00_5112, BNIL);
							BgL_list2851z00_5115 =
								MAKE_YOUNG_PAIR(BgL_arg2849z00_5111, BgL_arg2852z00_5116);
						}
						BgL_auxz00_6684 =
							BGl_unionz00zzliveness_setz00(BgL_list2851z00_5115);
					}
				}
				{
					obj_t BgL_auxz00_6678;

					{	/* Liveness/liveness.scm 1111 */
						BgL_objectz00_bglt BgL_tmpz00_6679;

						BgL_tmpz00_6679 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4799));
						BgL_auxz00_6678 = BGL_OBJECT_WIDENING(BgL_tmpz00_6679);
					}
					BgL_auxz00_6677 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6678);
				}
				((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6677))->BgL_inz00) =
					((obj_t) BgL_auxz00_6684), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 1112 */
				BgL_nodez00_bglt BgL_arg2855z00_5117;

				BgL_arg2855z00_5117 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt)
								((BgL_syncz00_bglt) BgL_nz00_4799))))->BgL_bodyz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2855z00_5117,
					BgL_oz00_4800);
			}
			{	/* Liveness/liveness.scm 1113 */
				obj_t BgL_val0_1829z00_5118;
				obj_t BgL_val1_1830z00_5119;

				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_6718;

					{
						obj_t BgL_auxz00_6719;

						{	/* Liveness/liveness.scm 1113 */
							BgL_objectz00_bglt BgL_tmpz00_6720;

							BgL_tmpz00_6720 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4799));
							BgL_auxz00_6719 = BGL_OBJECT_WIDENING(BgL_tmpz00_6720);
						}
						BgL_auxz00_6718 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6719);
					}
					BgL_val0_1829z00_5118 =
						(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6718))->
						BgL_inz00);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_6726;

					{
						obj_t BgL_auxz00_6727;

						{	/* Liveness/liveness.scm 1113 */
							BgL_objectz00_bglt BgL_tmpz00_6728;

							BgL_tmpz00_6728 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4799));
							BgL_auxz00_6727 = BGL_OBJECT_WIDENING(BgL_tmpz00_6728);
						}
						BgL_auxz00_6726 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6727);
					}
					BgL_val1_1830z00_5119 =
						(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6726))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1113 */
					int BgL_tmpz00_6734;

					BgL_tmpz00_6734 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6734);
				}
				{	/* Liveness/liveness.scm 1113 */
					int BgL_tmpz00_6737;

					BgL_tmpz00_6737 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6737, BgL_val1_1830z00_5119);
				}
				return BgL_val0_1829z00_5118;
			}
		}

	}



/* &defuse-sync/liveness2110 */
	obj_t BGl_z62defusezd2synczf2liveness2110z42zzliveness_livenessz00(obj_t
		BgL_envz00_4801, obj_t BgL_nz00_4802)
	{
		{	/* Liveness/liveness.scm 1104 */
			{	/* Liveness/liveness.scm 1106 */
				obj_t BgL_val0_1827z00_5121;
				obj_t BgL_val1_1828z00_5122;

				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_6740;

					{
						obj_t BgL_auxz00_6741;

						{	/* Liveness/liveness.scm 1106 */
							BgL_objectz00_bglt BgL_tmpz00_6742;

							BgL_tmpz00_6742 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4802));
							BgL_auxz00_6741 = BGL_OBJECT_WIDENING(BgL_tmpz00_6742);
						}
						BgL_auxz00_6740 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6741);
					}
					BgL_val0_1827z00_5121 =
						(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6740))->
						BgL_defz00);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_6748;

					{
						obj_t BgL_auxz00_6749;

						{	/* Liveness/liveness.scm 1106 */
							BgL_objectz00_bglt BgL_tmpz00_6750;

							BgL_tmpz00_6750 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4802));
							BgL_auxz00_6749 = BGL_OBJECT_WIDENING(BgL_tmpz00_6750);
						}
						BgL_auxz00_6748 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6749);
					}
					BgL_val1_1828z00_5122 =
						(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6748))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 1106 */
					int BgL_tmpz00_6756;

					BgL_tmpz00_6756 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6756);
				}
				{	/* Liveness/liveness.scm 1106 */
					int BgL_tmpz00_6759;

					BgL_tmpz00_6759 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6759, BgL_val1_1828z00_5122);
				}
				return BgL_val0_1827z00_5121;
			}
		}

	}



/* &defuse-sync2108 */
	obj_t BGl_z62defusezd2sync2108zb0zzliveness_livenessz00(obj_t BgL_envz00_4803,
		obj_t BgL_nz00_4804)
	{
		{	/* Liveness/liveness.scm 1095 */
			{	/* Liveness/liveness.scm 1097 */
				obj_t BgL_defz00_5124;

				{	/* Liveness/liveness.scm 1098 */
					obj_t BgL_arg2842z00_5125;

					{	/* Liveness/liveness.scm 1098 */
						BgL_nodez00_bglt BgL_arg2843z00_5126;
						BgL_nodez00_bglt BgL_arg2844z00_5127;
						BgL_nodez00_bglt BgL_arg2845z00_5128;

						BgL_arg2843z00_5126 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_4804)))->BgL_prelockz00);
						BgL_arg2844z00_5127 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_4804)))->BgL_mutexz00);
						BgL_arg2845z00_5128 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_4804)))->BgL_bodyz00);
						{	/* Liveness/liveness.scm 1098 */
							obj_t BgL_list2846z00_5129;

							{	/* Liveness/liveness.scm 1098 */
								obj_t BgL_arg2847z00_5130;

								{	/* Liveness/liveness.scm 1098 */
									obj_t BgL_arg2848z00_5131;

									BgL_arg2848z00_5131 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg2845z00_5128), BNIL);
									BgL_arg2847z00_5130 =
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_arg2844z00_5127), BgL_arg2848z00_5131);
								}
								BgL_list2846z00_5129 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg2843z00_5126), BgL_arg2847z00_5130);
							}
							BgL_arg2842z00_5125 = BgL_list2846z00_5129;
						}
					}
					BgL_defz00_5124 =
						BGl_defusezd2seqzd2zzliveness_livenessz00(BgL_arg2842z00_5125);
				}
				{	/* Liveness/liveness.scm 1098 */
					obj_t BgL_usez00_5132;

					{	/* Liveness/liveness.scm 1099 */
						obj_t BgL_tmpz00_5133;

						{	/* Liveness/liveness.scm 1099 */
							int BgL_tmpz00_6775;

							BgL_tmpz00_6775 = (int) (((long) 1));
							BgL_tmpz00_5133 = BGL_MVALUES_VAL(BgL_tmpz00_6775);
						}
						{	/* Liveness/liveness.scm 1099 */
							int BgL_tmpz00_6778;

							BgL_tmpz00_6778 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6778, BUNSPEC);
						}
						BgL_usez00_5132 = BgL_tmpz00_5133;
					}
					{	/* Liveness/liveness.scm 1100 */
						BgL_syncz00_bglt BgL_arg2840z00_5134;

						{	/* Liveness/liveness.scm 1100 */
							BgL_synczf2livenesszf2_bglt BgL_wide1433z00_5135;

							BgL_wide1433z00_5135 =
								((BgL_synczf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_synczf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 1100 */
								obj_t BgL_auxz00_6786;
								BgL_objectz00_bglt BgL_tmpz00_6782;

								BgL_auxz00_6786 = ((obj_t) BgL_wide1433z00_5135);
								BgL_tmpz00_6782 =
									((BgL_objectz00_bglt)
									((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4804)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6782, BgL_auxz00_6786);
							}
							((BgL_objectz00_bglt)
								((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4804)));
							{	/* Liveness/liveness.scm 1100 */
								long BgL_arg2841z00_5136;

								BgL_arg2841z00_5136 =
									BGL_CLASS_NUM(BGl_synczf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_syncz00_bglt)
											((BgL_syncz00_bglt) BgL_nz00_4804))),
									BgL_arg2841z00_5136);
							}
							((BgL_syncz00_bglt)
								((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4804)));
						}
						{
							BgL_synczf2livenesszf2_bglt BgL_auxz00_6800;

							{
								obj_t BgL_auxz00_6801;

								{	/* Liveness/liveness.scm 1101 */
									BgL_objectz00_bglt BgL_tmpz00_6802;

									BgL_tmpz00_6802 =
										((BgL_objectz00_bglt)
										((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4804)));
									BgL_auxz00_6801 = BGL_OBJECT_WIDENING(BgL_tmpz00_6802);
								}
								BgL_auxz00_6800 =
									((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6801);
							}
							((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6800))->
									BgL_defz00) = ((obj_t) BgL_defz00_5124), BUNSPEC);
						}
						{
							BgL_synczf2livenesszf2_bglt BgL_auxz00_6809;

							{
								obj_t BgL_auxz00_6810;

								{	/* Liveness/liveness.scm 1102 */
									BgL_objectz00_bglt BgL_tmpz00_6811;

									BgL_tmpz00_6811 =
										((BgL_objectz00_bglt)
										((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4804)));
									BgL_auxz00_6810 = BGL_OBJECT_WIDENING(BgL_tmpz00_6811);
								}
								BgL_auxz00_6809 =
									((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6810);
							}
							((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6809))->
									BgL_usez00) = ((obj_t) BgL_usez00_5132), BUNSPEC);
						}
						{
							BgL_synczf2livenesszf2_bglt BgL_auxz00_6818;

							{
								obj_t BgL_auxz00_6819;

								{	/* Liveness/liveness.scm 1098 */
									BgL_objectz00_bglt BgL_tmpz00_6820;

									BgL_tmpz00_6820 =
										((BgL_objectz00_bglt)
										((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4804)));
									BgL_auxz00_6819 = BGL_OBJECT_WIDENING(BgL_tmpz00_6820);
								}
								BgL_auxz00_6818 =
									((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6819);
							}
							((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6818))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_synczf2livenesszf2_bglt BgL_auxz00_6827;

							{
								obj_t BgL_auxz00_6828;

								{	/* Liveness/liveness.scm 1098 */
									BgL_objectz00_bglt BgL_tmpz00_6829;

									BgL_tmpz00_6829 =
										((BgL_objectz00_bglt)
										((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4804)));
									BgL_auxz00_6828 = BGL_OBJECT_WIDENING(BgL_tmpz00_6829);
								}
								BgL_auxz00_6827 =
									((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6828);
							}
							((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6827))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2840z00_5134 =
							((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4804));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2840z00_5134));
					}
				}
			}
		}

	}



/* &inout-box-set!/liven2106 */
	obj_t BGl_z62inoutzd2boxzd2setz12zf2liven2106z82zzliveness_livenessz00(obj_t
		BgL_envz00_4805, obj_t BgL_nz00_4806)
	{
		{	/* Liveness/liveness.scm 1088 */
			{	/* Liveness/liveness.scm 1090 */
				obj_t BgL_val0_1825z00_5138;
				obj_t BgL_val1_1826z00_5139;

				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6840;

					{
						obj_t BgL_auxz00_6841;

						{	/* Liveness/liveness.scm 1090 */
							BgL_objectz00_bglt BgL_tmpz00_6842;

							BgL_tmpz00_6842 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4806));
							BgL_auxz00_6841 = BGL_OBJECT_WIDENING(BgL_tmpz00_6842);
						}
						BgL_auxz00_6840 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6841);
					}
					BgL_val0_1825z00_5138 =
						(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6840))->
						BgL_inz00);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6848;

					{
						obj_t BgL_auxz00_6849;

						{	/* Liveness/liveness.scm 1090 */
							BgL_objectz00_bglt BgL_tmpz00_6850;

							BgL_tmpz00_6850 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4806));
							BgL_auxz00_6849 = BGL_OBJECT_WIDENING(BgL_tmpz00_6850);
						}
						BgL_auxz00_6848 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6849);
					}
					BgL_val1_1826z00_5139 =
						(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6848))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1090 */
					int BgL_tmpz00_6856;

					BgL_tmpz00_6856 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6856);
				}
				{	/* Liveness/liveness.scm 1090 */
					int BgL_tmpz00_6859;

					BgL_tmpz00_6859 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6859, BgL_val1_1826z00_5139);
				}
				return BgL_val0_1825z00_5138;
			}
		}

	}



/* &inout!-box-set!/live2104 */
	obj_t BGl_z62inoutz12zd2boxzd2setz12zf2live2104z90zzliveness_livenessz00(obj_t
		BgL_envz00_4807, obj_t BgL_nz00_4808, obj_t BgL_oz00_4809)
	{
		{	/* Liveness/liveness.scm 1081 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6862;

				{
					obj_t BgL_auxz00_6863;

					{	/* Liveness/liveness.scm 1083 */
						BgL_objectz00_bglt BgL_tmpz00_6864;

						BgL_tmpz00_6864 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4808));
						BgL_auxz00_6863 = BGL_OBJECT_WIDENING(BgL_tmpz00_6864);
					}
					BgL_auxz00_6862 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6863);
				}
				((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6862))->
						BgL_outz00) = ((obj_t) BgL_oz00_4809), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_6877;
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6870;

				{	/* Liveness/liveness.scm 1084 */
					obj_t BgL_arg2830z00_5141;
					obj_t BgL_arg2833z00_5142;

					{
						BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6878;

						{
							obj_t BgL_auxz00_6879;

							{	/* Liveness/liveness.scm 1084 */
								BgL_objectz00_bglt BgL_tmpz00_6880;

								BgL_tmpz00_6880 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4808));
								BgL_auxz00_6879 = BGL_OBJECT_WIDENING(BgL_tmpz00_6880);
							}
							BgL_auxz00_6878 =
								((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6879);
						}
						BgL_arg2830z00_5141 =
							(((BgL_boxzd2setz12zf2livenessz32_bglt)
								COBJECT(BgL_auxz00_6878))->BgL_usez00);
					}
					{	/* Liveness/liveness.scm 1084 */
						obj_t BgL_arg2837z00_5143;
						obj_t BgL_arg2838z00_5144;

						{
							BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6886;

							{
								obj_t BgL_auxz00_6887;

								{	/* Liveness/liveness.scm 1084 */
									BgL_objectz00_bglt BgL_tmpz00_6888;

									BgL_tmpz00_6888 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4808));
									BgL_auxz00_6887 = BGL_OBJECT_WIDENING(BgL_tmpz00_6888);
								}
								BgL_auxz00_6886 =
									((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6887);
							}
							BgL_arg2837z00_5143 =
								(((BgL_boxzd2setz12zf2livenessz32_bglt)
									COBJECT(BgL_auxz00_6886))->BgL_outz00);
						}
						{
							BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6894;

							{
								obj_t BgL_auxz00_6895;

								{	/* Liveness/liveness.scm 1084 */
									BgL_objectz00_bglt BgL_tmpz00_6896;

									BgL_tmpz00_6896 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4808));
									BgL_auxz00_6895 = BGL_OBJECT_WIDENING(BgL_tmpz00_6896);
								}
								BgL_auxz00_6894 =
									((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6895);
							}
							BgL_arg2838z00_5144 =
								(((BgL_boxzd2setz12zf2livenessz32_bglt)
									COBJECT(BgL_auxz00_6894))->BgL_defz00);
						}
						BgL_arg2833z00_5142 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2837z00_5143,
							BgL_arg2838z00_5144);
					}
					{	/* Liveness/liveness.scm 1084 */
						obj_t BgL_list2834z00_5145;

						{	/* Liveness/liveness.scm 1084 */
							obj_t BgL_arg2836z00_5146;

							BgL_arg2836z00_5146 = MAKE_YOUNG_PAIR(BgL_arg2833z00_5142, BNIL);
							BgL_list2834z00_5145 =
								MAKE_YOUNG_PAIR(BgL_arg2830z00_5141, BgL_arg2836z00_5146);
						}
						BgL_auxz00_6877 =
							BGl_unionz00zzliveness_setz00(BgL_list2834z00_5145);
					}
				}
				{
					obj_t BgL_auxz00_6871;

					{	/* Liveness/liveness.scm 1084 */
						BgL_objectz00_bglt BgL_tmpz00_6872;

						BgL_tmpz00_6872 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4808));
						BgL_auxz00_6871 = BGL_OBJECT_WIDENING(BgL_tmpz00_6872);
					}
					BgL_auxz00_6870 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6871);
				}
				((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6870))->
						BgL_inz00) = ((obj_t) BgL_auxz00_6877), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 1085 */
				BgL_nodez00_bglt BgL_arg2839z00_5147;

				BgL_arg2839z00_5147 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4808))))->BgL_valuez00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2839z00_5147,
					BgL_oz00_4809);
			}
			{	/* Liveness/liveness.scm 1086 */
				obj_t BgL_val0_1823z00_5148;
				obj_t BgL_val1_1824z00_5149;

				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6911;

					{
						obj_t BgL_auxz00_6912;

						{	/* Liveness/liveness.scm 1086 */
							BgL_objectz00_bglt BgL_tmpz00_6913;

							BgL_tmpz00_6913 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4808));
							BgL_auxz00_6912 = BGL_OBJECT_WIDENING(BgL_tmpz00_6913);
						}
						BgL_auxz00_6911 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6912);
					}
					BgL_val0_1823z00_5148 =
						(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6911))->
						BgL_inz00);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6919;

					{
						obj_t BgL_auxz00_6920;

						{	/* Liveness/liveness.scm 1086 */
							BgL_objectz00_bglt BgL_tmpz00_6921;

							BgL_tmpz00_6921 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4808));
							BgL_auxz00_6920 = BGL_OBJECT_WIDENING(BgL_tmpz00_6921);
						}
						BgL_auxz00_6919 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6920);
					}
					BgL_val1_1824z00_5149 =
						(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6919))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1086 */
					int BgL_tmpz00_6927;

					BgL_tmpz00_6927 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6927);
				}
				{	/* Liveness/liveness.scm 1086 */
					int BgL_tmpz00_6930;

					BgL_tmpz00_6930 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6930, BgL_val1_1824z00_5149);
				}
				return BgL_val0_1823z00_5148;
			}
		}

	}



/* &defuse-box-set!/live2102 */
	obj_t BGl_z62defusezd2boxzd2setz12zf2live2102z82zzliveness_livenessz00(obj_t
		BgL_envz00_4810, obj_t BgL_nz00_4811)
	{
		{	/* Liveness/liveness.scm 1077 */
			{	/* Liveness/liveness.scm 1079 */
				obj_t BgL_val0_1821z00_5151;
				obj_t BgL_val1_1822z00_5152;

				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6933;

					{
						obj_t BgL_auxz00_6934;

						{	/* Liveness/liveness.scm 1079 */
							BgL_objectz00_bglt BgL_tmpz00_6935;

							BgL_tmpz00_6935 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4811));
							BgL_auxz00_6934 = BGL_OBJECT_WIDENING(BgL_tmpz00_6935);
						}
						BgL_auxz00_6933 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6934);
					}
					BgL_val0_1821z00_5151 =
						(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6933))->
						BgL_defz00);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6941;

					{
						obj_t BgL_auxz00_6942;

						{	/* Liveness/liveness.scm 1079 */
							BgL_objectz00_bglt BgL_tmpz00_6943;

							BgL_tmpz00_6943 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4811));
							BgL_auxz00_6942 = BGL_OBJECT_WIDENING(BgL_tmpz00_6943);
						}
						BgL_auxz00_6941 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6942);
					}
					BgL_val1_1822z00_5152 =
						(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6941))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 1079 */
					int BgL_tmpz00_6949;

					BgL_tmpz00_6949 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6949);
				}
				{	/* Liveness/liveness.scm 1079 */
					int BgL_tmpz00_6952;

					BgL_tmpz00_6952 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6952, BgL_val1_1822z00_5152);
				}
				return BgL_val0_1821z00_5151;
			}
		}

	}



/* &defuse-box-set!2100 */
	obj_t BGl_z62defusezd2boxzd2setz122100z70zzliveness_livenessz00(obj_t
		BgL_envz00_4812, obj_t BgL_nz00_4813)
	{
		{	/* Liveness/liveness.scm 1066 */
			{	/* Liveness/liveness.scm 1068 */
				obj_t BgL_defvaluez00_5154;

				BgL_defvaluez00_5154 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4813)))->BgL_valuez00));
				{	/* Liveness/liveness.scm 1069 */
					obj_t BgL_usevaluez00_5155;

					{	/* Liveness/liveness.scm 1070 */
						obj_t BgL_tmpz00_5156;

						{	/* Liveness/liveness.scm 1070 */
							int BgL_tmpz00_6958;

							BgL_tmpz00_6958 = (int) (((long) 1));
							BgL_tmpz00_5156 = BGL_MVALUES_VAL(BgL_tmpz00_6958);
						}
						{	/* Liveness/liveness.scm 1070 */
							int BgL_tmpz00_6961;

							BgL_tmpz00_6961 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6961, BUNSPEC);
						}
						BgL_usevaluez00_5155 = BgL_tmpz00_5156;
					}
					{	/* Liveness/liveness.scm 1070 */
						obj_t BgL_defvarz00_5157;

						{	/* Liveness/liveness.scm 1071 */
							BgL_varz00_bglt BgL_arg2828z00_5158;

							BgL_arg2828z00_5158 =
								(((BgL_boxzd2setz12zc0_bglt) COBJECT(
										((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4813)))->BgL_varz00);
							BgL_defvarz00_5157 =
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2828z00_5158));
						}
						{	/* Liveness/liveness.scm 1071 */
							obj_t BgL_usevarz00_5159;

							{	/* Liveness/liveness.scm 1072 */
								obj_t BgL_tmpz00_5160;

								{	/* Liveness/liveness.scm 1072 */
									int BgL_tmpz00_6968;

									BgL_tmpz00_6968 = (int) (((long) 1));
									BgL_tmpz00_5160 = BGL_MVALUES_VAL(BgL_tmpz00_6968);
								}
								{	/* Liveness/liveness.scm 1072 */
									int BgL_tmpz00_6971;

									BgL_tmpz00_6971 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_6971, BUNSPEC);
								}
								BgL_usevarz00_5159 = BgL_tmpz00_5160;
							}
							{	/* Liveness/liveness.scm 1073 */
								BgL_boxzd2setz12zc0_bglt BgL_arg2822z00_5161;

								{	/* Liveness/liveness.scm 1073 */
									BgL_boxzd2setz12zf2livenessz32_bglt BgL_wide1425z00_5162;

									BgL_wide1425z00_5162 =
										((BgL_boxzd2setz12zf2livenessz32_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_boxzd2setz12zf2livenessz32_bgl))));
									{	/* Liveness/liveness.scm 1073 */
										obj_t BgL_auxz00_6979;
										BgL_objectz00_bglt BgL_tmpz00_6975;

										BgL_auxz00_6979 = ((obj_t) BgL_wide1425z00_5162);
										BgL_tmpz00_6975 =
											((BgL_objectz00_bglt)
											((BgL_boxzd2setz12zc0_bglt)
												((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4813)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6975, BgL_auxz00_6979);
									}
									((BgL_objectz00_bglt)
										((BgL_boxzd2setz12zc0_bglt)
											((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4813)));
									{	/* Liveness/liveness.scm 1073 */
										long BgL_arg2823z00_5163;

										BgL_arg2823z00_5163 =
											BGL_CLASS_NUM
											(BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_boxzd2setz12zc0_bglt) ((BgL_boxzd2setz12zc0_bglt)
														BgL_nz00_4813))), BgL_arg2823z00_5163);
									}
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt)
											((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4813)));
								}
								{
									obj_t BgL_auxz00_7001;
									BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6993;

									{	/* Liveness/liveness.scm 1074 */
										obj_t BgL_list2824z00_5164;

										{	/* Liveness/liveness.scm 1074 */
											obj_t BgL_arg2825z00_5165;

											BgL_arg2825z00_5165 =
												MAKE_YOUNG_PAIR(BgL_defvarz00_5157, BNIL);
											BgL_list2824z00_5164 =
												MAKE_YOUNG_PAIR(BgL_defvaluez00_5154,
												BgL_arg2825z00_5165);
										}
										BgL_auxz00_7001 =
											BGl_unionz00zzliveness_setz00(BgL_list2824z00_5164);
									}
									{
										obj_t BgL_auxz00_6994;

										{	/* Liveness/liveness.scm 1074 */
											BgL_objectz00_bglt BgL_tmpz00_6995;

											BgL_tmpz00_6995 =
												((BgL_objectz00_bglt)
												((BgL_boxzd2setz12zc0_bglt)
													((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4813)));
											BgL_auxz00_6994 = BGL_OBJECT_WIDENING(BgL_tmpz00_6995);
										}
										BgL_auxz00_6993 =
											((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6994);
									}
									((((BgL_boxzd2setz12zf2livenessz32_bglt)
												COBJECT(BgL_auxz00_6993))->BgL_defz00) =
										((obj_t) BgL_auxz00_7001), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_7014;
									BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_7006;

									{	/* Liveness/liveness.scm 1075 */
										obj_t BgL_list2826z00_5166;

										{	/* Liveness/liveness.scm 1075 */
											obj_t BgL_arg2827z00_5167;

											BgL_arg2827z00_5167 =
												MAKE_YOUNG_PAIR(BgL_usevarz00_5159, BNIL);
											BgL_list2826z00_5166 =
												MAKE_YOUNG_PAIR(BgL_usevaluez00_5155,
												BgL_arg2827z00_5167);
										}
										BgL_auxz00_7014 =
											BGl_unionz00zzliveness_setz00(BgL_list2826z00_5166);
									}
									{
										obj_t BgL_auxz00_7007;

										{	/* Liveness/liveness.scm 1075 */
											BgL_objectz00_bglt BgL_tmpz00_7008;

											BgL_tmpz00_7008 =
												((BgL_objectz00_bglt)
												((BgL_boxzd2setz12zc0_bglt)
													((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4813)));
											BgL_auxz00_7007 = BGL_OBJECT_WIDENING(BgL_tmpz00_7008);
										}
										BgL_auxz00_7006 =
											((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_7007);
									}
									((((BgL_boxzd2setz12zf2livenessz32_bglt)
												COBJECT(BgL_auxz00_7006))->BgL_usez00) =
										((obj_t) BgL_auxz00_7014), BUNSPEC);
								}
								{
									BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_7019;

									{
										obj_t BgL_auxz00_7020;

										{	/* Liveness/liveness.scm 1071 */
											BgL_objectz00_bglt BgL_tmpz00_7021;

											BgL_tmpz00_7021 =
												((BgL_objectz00_bglt)
												((BgL_boxzd2setz12zc0_bglt)
													((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4813)));
											BgL_auxz00_7020 = BGL_OBJECT_WIDENING(BgL_tmpz00_7021);
										}
										BgL_auxz00_7019 =
											((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_7020);
									}
									((((BgL_boxzd2setz12zf2livenessz32_bglt)
												COBJECT(BgL_auxz00_7019))->BgL_inz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								{
									BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_7028;

									{
										obj_t BgL_auxz00_7029;

										{	/* Liveness/liveness.scm 1071 */
											BgL_objectz00_bglt BgL_tmpz00_7030;

											BgL_tmpz00_7030 =
												((BgL_objectz00_bglt)
												((BgL_boxzd2setz12zc0_bglt)
													((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4813)));
											BgL_auxz00_7029 = BGL_OBJECT_WIDENING(BgL_tmpz00_7030);
										}
										BgL_auxz00_7028 =
											((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_7029);
									}
									((((BgL_boxzd2setz12zf2livenessz32_bglt)
												COBJECT(BgL_auxz00_7028))->BgL_outz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								BgL_arg2822z00_5161 =
									((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4813));
								return
									BGl_defusez00zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_arg2822z00_5161));
							}
						}
					}
				}
			}
		}

	}



/* &inout-box-ref/livene2098 */
	obj_t BGl_z62inoutzd2boxzd2refzf2livene2098z90zzliveness_livenessz00(obj_t
		BgL_envz00_4814, obj_t BgL_nz00_4815)
	{
		{	/* Liveness/liveness.scm 1059 */
			{	/* Liveness/liveness.scm 1061 */
				obj_t BgL_val0_1819z00_5169;
				obj_t BgL_val1_1820z00_5170;

				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7041;

					{
						obj_t BgL_auxz00_7042;

						{	/* Liveness/liveness.scm 1061 */
							BgL_objectz00_bglt BgL_tmpz00_7043;

							BgL_tmpz00_7043 =
								((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4815));
							BgL_auxz00_7042 = BGL_OBJECT_WIDENING(BgL_tmpz00_7043);
						}
						BgL_auxz00_7041 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7042);
					}
					BgL_val0_1819z00_5169 =
						(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7041))->
						BgL_inz00);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7049;

					{
						obj_t BgL_auxz00_7050;

						{	/* Liveness/liveness.scm 1061 */
							BgL_objectz00_bglt BgL_tmpz00_7051;

							BgL_tmpz00_7051 =
								((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4815));
							BgL_auxz00_7050 = BGL_OBJECT_WIDENING(BgL_tmpz00_7051);
						}
						BgL_auxz00_7049 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7050);
					}
					BgL_val1_1820z00_5170 =
						(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7049))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1061 */
					int BgL_tmpz00_7057;

					BgL_tmpz00_7057 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7057);
				}
				{	/* Liveness/liveness.scm 1061 */
					int BgL_tmpz00_7060;

					BgL_tmpz00_7060 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7060, BgL_val1_1820z00_5170);
				}
				return BgL_val0_1819z00_5169;
			}
		}

	}



/* &inout!-box-ref/liven2096 */
	obj_t BGl_z62inoutz12zd2boxzd2refzf2liven2096z82zzliveness_livenessz00(obj_t
		BgL_envz00_4816, obj_t BgL_nz00_4817, obj_t BgL_oz00_4818)
	{
		{	/* Liveness/liveness.scm 1052 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7063;

				{
					obj_t BgL_auxz00_7064;

					{	/* Liveness/liveness.scm 1054 */
						BgL_objectz00_bglt BgL_tmpz00_7065;

						BgL_tmpz00_7065 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4817));
						BgL_auxz00_7064 = BGL_OBJECT_WIDENING(BgL_tmpz00_7065);
					}
					BgL_auxz00_7063 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7064);
				}
				((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7063))->
						BgL_outz00) = ((obj_t) BgL_oz00_4818), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_7078;
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7071;

				{	/* Liveness/liveness.scm 1055 */
					obj_t BgL_arg2795z00_5172;
					obj_t BgL_arg2796z00_5173;

					{
						BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7079;

						{
							obj_t BgL_auxz00_7080;

							{	/* Liveness/liveness.scm 1055 */
								BgL_objectz00_bglt BgL_tmpz00_7081;

								BgL_tmpz00_7081 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nz00_4817));
								BgL_auxz00_7080 = BGL_OBJECT_WIDENING(BgL_tmpz00_7081);
							}
							BgL_auxz00_7079 =
								((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7080);
						}
						BgL_arg2795z00_5172 =
							(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7079))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 1055 */
						obj_t BgL_arg2819z00_5174;
						obj_t BgL_arg2820z00_5175;

						{
							BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7087;

							{
								obj_t BgL_auxz00_7088;

								{	/* Liveness/liveness.scm 1055 */
									BgL_objectz00_bglt BgL_tmpz00_7089;

									BgL_tmpz00_7089 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nz00_4817));
									BgL_auxz00_7088 = BGL_OBJECT_WIDENING(BgL_tmpz00_7089);
								}
								BgL_auxz00_7087 =
									((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7088);
							}
							BgL_arg2819z00_5174 =
								(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7087))->
								BgL_outz00);
						}
						{
							BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7095;

							{
								obj_t BgL_auxz00_7096;

								{	/* Liveness/liveness.scm 1055 */
									BgL_objectz00_bglt BgL_tmpz00_7097;

									BgL_tmpz00_7097 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nz00_4817));
									BgL_auxz00_7096 = BGL_OBJECT_WIDENING(BgL_tmpz00_7097);
								}
								BgL_auxz00_7095 =
									((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7096);
							}
							BgL_arg2820z00_5175 =
								(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7095))->
								BgL_defz00);
						}
						BgL_arg2796z00_5173 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2819z00_5174,
							BgL_arg2820z00_5175);
					}
					{	/* Liveness/liveness.scm 1055 */
						obj_t BgL_list2797z00_5176;

						{	/* Liveness/liveness.scm 1055 */
							obj_t BgL_arg2803z00_5177;

							BgL_arg2803z00_5177 = MAKE_YOUNG_PAIR(BgL_arg2796z00_5173, BNIL);
							BgL_list2797z00_5176 =
								MAKE_YOUNG_PAIR(BgL_arg2795z00_5172, BgL_arg2803z00_5177);
						}
						BgL_auxz00_7078 =
							BGl_unionz00zzliveness_setz00(BgL_list2797z00_5176);
					}
				}
				{
					obj_t BgL_auxz00_7072;

					{	/* Liveness/liveness.scm 1055 */
						BgL_objectz00_bglt BgL_tmpz00_7073;

						BgL_tmpz00_7073 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4817));
						BgL_auxz00_7072 = BGL_OBJECT_WIDENING(BgL_tmpz00_7073);
					}
					BgL_auxz00_7071 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7072);
				}
				((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7071))->
						BgL_inz00) = ((obj_t) BgL_auxz00_7078), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 1056 */
				BgL_varz00_bglt BgL_arg2821z00_5178;

				BgL_arg2821z00_5178 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nz00_4817))))->BgL_varz00);
				BGl_inoutz12z12zzliveness_livenessz00(
					((BgL_nodez00_bglt) BgL_arg2821z00_5178), BgL_oz00_4818);
			}
			{	/* Liveness/liveness.scm 1057 */
				obj_t BgL_val0_1817z00_5179;
				obj_t BgL_val1_1818z00_5180;

				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7113;

					{
						obj_t BgL_auxz00_7114;

						{	/* Liveness/liveness.scm 1057 */
							BgL_objectz00_bglt BgL_tmpz00_7115;

							BgL_tmpz00_7115 =
								((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4817));
							BgL_auxz00_7114 = BGL_OBJECT_WIDENING(BgL_tmpz00_7115);
						}
						BgL_auxz00_7113 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7114);
					}
					BgL_val0_1817z00_5179 =
						(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7113))->
						BgL_inz00);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7121;

					{
						obj_t BgL_auxz00_7122;

						{	/* Liveness/liveness.scm 1057 */
							BgL_objectz00_bglt BgL_tmpz00_7123;

							BgL_tmpz00_7123 =
								((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4817));
							BgL_auxz00_7122 = BGL_OBJECT_WIDENING(BgL_tmpz00_7123);
						}
						BgL_auxz00_7121 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7122);
					}
					BgL_val1_1818z00_5180 =
						(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7121))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1057 */
					int BgL_tmpz00_7129;

					BgL_tmpz00_7129 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7129);
				}
				{	/* Liveness/liveness.scm 1057 */
					int BgL_tmpz00_7132;

					BgL_tmpz00_7132 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7132, BgL_val1_1818z00_5180);
				}
				return BgL_val0_1817z00_5179;
			}
		}

	}



/* &defuse-box-ref/liven2094 */
	obj_t BGl_z62defusezd2boxzd2refzf2liven2094z90zzliveness_livenessz00(obj_t
		BgL_envz00_4819, obj_t BgL_nz00_4820)
	{
		{	/* Liveness/liveness.scm 1048 */
			{	/* Liveness/liveness.scm 1050 */
				obj_t BgL_val0_1815z00_5182;
				obj_t BgL_val1_1816z00_5183;

				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7135;

					{
						obj_t BgL_auxz00_7136;

						{	/* Liveness/liveness.scm 1050 */
							BgL_objectz00_bglt BgL_tmpz00_7137;

							BgL_tmpz00_7137 =
								((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4820));
							BgL_auxz00_7136 = BGL_OBJECT_WIDENING(BgL_tmpz00_7137);
						}
						BgL_auxz00_7135 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7136);
					}
					BgL_val0_1815z00_5182 =
						(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7135))->
						BgL_defz00);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7143;

					{
						obj_t BgL_auxz00_7144;

						{	/* Liveness/liveness.scm 1050 */
							BgL_objectz00_bglt BgL_tmpz00_7145;

							BgL_tmpz00_7145 =
								((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4820));
							BgL_auxz00_7144 = BGL_OBJECT_WIDENING(BgL_tmpz00_7145);
						}
						BgL_auxz00_7143 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7144);
					}
					BgL_val1_1816z00_5183 =
						(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7143))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 1050 */
					int BgL_tmpz00_7151;

					BgL_tmpz00_7151 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7151);
				}
				{	/* Liveness/liveness.scm 1050 */
					int BgL_tmpz00_7154;

					BgL_tmpz00_7154 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7154, BgL_val1_1816z00_5183);
				}
				return BgL_val0_1815z00_5182;
			}
		}

	}



/* &defuse-box-ref2092 */
	obj_t BGl_z62defusezd2boxzd2ref2092z62zzliveness_livenessz00(obj_t
		BgL_envz00_4821, obj_t BgL_nz00_4822)
	{
		{	/* Liveness/liveness.scm 1039 */
			{	/* Liveness/liveness.scm 1041 */
				obj_t BgL_defz00_5185;

				{	/* Liveness/liveness.scm 1042 */
					BgL_varz00_bglt BgL_arg2793z00_5186;

					BgL_arg2793z00_5186 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_4822)))->BgL_varz00);
					BgL_defz00_5185 =
						BGl_defusez00zzliveness_livenessz00(
						((BgL_nodez00_bglt) BgL_arg2793z00_5186));
				}
				{	/* Liveness/liveness.scm 1042 */
					obj_t BgL_usez00_5187;

					{	/* Liveness/liveness.scm 1043 */
						obj_t BgL_tmpz00_5188;

						{	/* Liveness/liveness.scm 1043 */
							int BgL_tmpz00_7161;

							BgL_tmpz00_7161 = (int) (((long) 1));
							BgL_tmpz00_5188 = BGL_MVALUES_VAL(BgL_tmpz00_7161);
						}
						{	/* Liveness/liveness.scm 1043 */
							int BgL_tmpz00_7164;

							BgL_tmpz00_7164 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7164, BUNSPEC);
						}
						BgL_usez00_5187 = BgL_tmpz00_5188;
					}
					{	/* Liveness/liveness.scm 1044 */
						BgL_boxzd2refzd2_bglt BgL_arg2790z00_5189;

						{	/* Liveness/liveness.scm 1044 */
							BgL_boxzd2refzf2livenessz20_bglt BgL_wide1417z00_5190;

							BgL_wide1417z00_5190 =
								((BgL_boxzd2refzf2livenessz20_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2refzf2livenessz20_bgl))));
							{	/* Liveness/liveness.scm 1044 */
								obj_t BgL_auxz00_7172;
								BgL_objectz00_bglt BgL_tmpz00_7168;

								BgL_auxz00_7172 = ((obj_t) BgL_wide1417z00_5190);
								BgL_tmpz00_7168 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nz00_4822)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7168, BgL_auxz00_7172);
							}
							((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nz00_4822)));
							{	/* Liveness/liveness.scm 1044 */
								long BgL_arg2792z00_5191;

								BgL_arg2792z00_5191 =
									BGL_CLASS_NUM(BGl_boxzd2refzf2livenessz20zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nz00_4822))),
									BgL_arg2792z00_5191);
							}
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nz00_4822)));
						}
						{
							BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7186;

							{
								obj_t BgL_auxz00_7187;

								{	/* Liveness/liveness.scm 1046 */
									BgL_objectz00_bglt BgL_tmpz00_7188;

									BgL_tmpz00_7188 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nz00_4822)));
									BgL_auxz00_7187 = BGL_OBJECT_WIDENING(BgL_tmpz00_7188);
								}
								BgL_auxz00_7186 =
									((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7187);
							}
							((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7186))->
									BgL_defz00) = ((obj_t) BgL_defz00_5185), BUNSPEC);
						}
						{
							BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7195;

							{
								obj_t BgL_auxz00_7196;

								{	/* Liveness/liveness.scm 1045 */
									BgL_objectz00_bglt BgL_tmpz00_7197;

									BgL_tmpz00_7197 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nz00_4822)));
									BgL_auxz00_7196 = BGL_OBJECT_WIDENING(BgL_tmpz00_7197);
								}
								BgL_auxz00_7195 =
									((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7196);
							}
							((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7195))->
									BgL_usez00) = ((obj_t) BgL_usez00_5187), BUNSPEC);
						}
						{
							BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7204;

							{
								obj_t BgL_auxz00_7205;

								{	/* Liveness/liveness.scm 1042 */
									BgL_objectz00_bglt BgL_tmpz00_7206;

									BgL_tmpz00_7206 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nz00_4822)));
									BgL_auxz00_7205 = BGL_OBJECT_WIDENING(BgL_tmpz00_7206);
								}
								BgL_auxz00_7204 =
									((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7205);
							}
							((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7204))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7213;

							{
								obj_t BgL_auxz00_7214;

								{	/* Liveness/liveness.scm 1042 */
									BgL_objectz00_bglt BgL_tmpz00_7215;

									BgL_tmpz00_7215 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nz00_4822)));
									BgL_auxz00_7214 = BGL_OBJECT_WIDENING(BgL_tmpz00_7215);
								}
								BgL_auxz00_7213 =
									((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7214);
							}
							((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7213))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2790z00_5189 =
							((BgL_boxzd2refzd2_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4822));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2790z00_5189));
					}
				}
			}
		}

	}



/* &inout-make-box/liven2090 */
	obj_t BGl_z62inoutzd2makezd2boxzf2liven2090z90zzliveness_livenessz00(obj_t
		BgL_envz00_4823, obj_t BgL_nz00_4824)
	{
		{	/* Liveness/liveness.scm 1032 */
			{	/* Liveness/liveness.scm 1034 */
				obj_t BgL_val0_1813z00_5193;
				obj_t BgL_val1_1814z00_5194;

				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7226;

					{
						obj_t BgL_auxz00_7227;

						{	/* Liveness/liveness.scm 1034 */
							BgL_objectz00_bglt BgL_tmpz00_7228;

							BgL_tmpz00_7228 =
								((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4824));
							BgL_auxz00_7227 = BGL_OBJECT_WIDENING(BgL_tmpz00_7228);
						}
						BgL_auxz00_7226 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7227);
					}
					BgL_val0_1813z00_5193 =
						(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7226))->
						BgL_inz00);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7234;

					{
						obj_t BgL_auxz00_7235;

						{	/* Liveness/liveness.scm 1034 */
							BgL_objectz00_bglt BgL_tmpz00_7236;

							BgL_tmpz00_7236 =
								((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4824));
							BgL_auxz00_7235 = BGL_OBJECT_WIDENING(BgL_tmpz00_7236);
						}
						BgL_auxz00_7234 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7235);
					}
					BgL_val1_1814z00_5194 =
						(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7234))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1034 */
					int BgL_tmpz00_7242;

					BgL_tmpz00_7242 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7242);
				}
				{	/* Liveness/liveness.scm 1034 */
					int BgL_tmpz00_7245;

					BgL_tmpz00_7245 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7245, BgL_val1_1814z00_5194);
				}
				return BgL_val0_1813z00_5193;
			}
		}

	}



/* &inout!-make-box/live2088 */
	obj_t BGl_z62inoutz12zd2makezd2boxzf2live2088z82zzliveness_livenessz00(obj_t
		BgL_envz00_4825, obj_t BgL_nz00_4826, obj_t BgL_oz00_4827)
	{
		{	/* Liveness/liveness.scm 1025 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7248;

				{
					obj_t BgL_auxz00_7249;

					{	/* Liveness/liveness.scm 1027 */
						BgL_objectz00_bglt BgL_tmpz00_7250;

						BgL_tmpz00_7250 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4826));
						BgL_auxz00_7249 = BGL_OBJECT_WIDENING(BgL_tmpz00_7250);
					}
					BgL_auxz00_7248 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7249);
				}
				((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7248))->
						BgL_outz00) = ((obj_t) BgL_oz00_4827), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_7263;
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7256;

				{	/* Liveness/liveness.scm 1028 */
					obj_t BgL_arg2782z00_5196;
					obj_t BgL_arg2783z00_5197;

					{
						BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7264;

						{
							obj_t BgL_auxz00_7265;

							{	/* Liveness/liveness.scm 1028 */
								BgL_objectz00_bglt BgL_tmpz00_7266;

								BgL_tmpz00_7266 =
									((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nz00_4826));
								BgL_auxz00_7265 = BGL_OBJECT_WIDENING(BgL_tmpz00_7266);
							}
							BgL_auxz00_7264 =
								((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7265);
						}
						BgL_arg2782z00_5196 =
							(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7264))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 1028 */
						obj_t BgL_arg2786z00_5198;
						obj_t BgL_arg2788z00_5199;

						{
							BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7272;

							{
								obj_t BgL_auxz00_7273;

								{	/* Liveness/liveness.scm 1028 */
									BgL_objectz00_bglt BgL_tmpz00_7274;

									BgL_tmpz00_7274 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nz00_4826));
									BgL_auxz00_7273 = BGL_OBJECT_WIDENING(BgL_tmpz00_7274);
								}
								BgL_auxz00_7272 =
									((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7273);
							}
							BgL_arg2786z00_5198 =
								(((BgL_makezd2boxzf2livenessz20_bglt)
									COBJECT(BgL_auxz00_7272))->BgL_outz00);
						}
						{
							BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7280;

							{
								obj_t BgL_auxz00_7281;

								{	/* Liveness/liveness.scm 1028 */
									BgL_objectz00_bglt BgL_tmpz00_7282;

									BgL_tmpz00_7282 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nz00_4826));
									BgL_auxz00_7281 = BGL_OBJECT_WIDENING(BgL_tmpz00_7282);
								}
								BgL_auxz00_7280 =
									((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7281);
							}
							BgL_arg2788z00_5199 =
								(((BgL_makezd2boxzf2livenessz20_bglt)
									COBJECT(BgL_auxz00_7280))->BgL_defz00);
						}
						BgL_arg2783z00_5197 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2786z00_5198,
							BgL_arg2788z00_5199);
					}
					{	/* Liveness/liveness.scm 1028 */
						obj_t BgL_list2784z00_5200;

						{	/* Liveness/liveness.scm 1028 */
							obj_t BgL_arg2785z00_5201;

							BgL_arg2785z00_5201 = MAKE_YOUNG_PAIR(BgL_arg2783z00_5197, BNIL);
							BgL_list2784z00_5200 =
								MAKE_YOUNG_PAIR(BgL_arg2782z00_5196, BgL_arg2785z00_5201);
						}
						BgL_auxz00_7263 =
							BGl_unionz00zzliveness_setz00(BgL_list2784z00_5200);
					}
				}
				{
					obj_t BgL_auxz00_7257;

					{	/* Liveness/liveness.scm 1028 */
						BgL_objectz00_bglt BgL_tmpz00_7258;

						BgL_tmpz00_7258 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4826));
						BgL_auxz00_7257 = BGL_OBJECT_WIDENING(BgL_tmpz00_7258);
					}
					BgL_auxz00_7256 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7257);
				}
				((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7256))->
						BgL_inz00) = ((obj_t) BgL_auxz00_7263), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 1029 */
				BgL_nodez00_bglt BgL_arg2789z00_5202;

				BgL_arg2789z00_5202 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nz00_4826))))->BgL_valuez00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2789z00_5202,
					BgL_oz00_4827);
			}
			{	/* Liveness/liveness.scm 1030 */
				obj_t BgL_val0_1811z00_5203;
				obj_t BgL_val1_1812z00_5204;

				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7297;

					{
						obj_t BgL_auxz00_7298;

						{	/* Liveness/liveness.scm 1030 */
							BgL_objectz00_bglt BgL_tmpz00_7299;

							BgL_tmpz00_7299 =
								((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4826));
							BgL_auxz00_7298 = BGL_OBJECT_WIDENING(BgL_tmpz00_7299);
						}
						BgL_auxz00_7297 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7298);
					}
					BgL_val0_1811z00_5203 =
						(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7297))->
						BgL_inz00);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7305;

					{
						obj_t BgL_auxz00_7306;

						{	/* Liveness/liveness.scm 1030 */
							BgL_objectz00_bglt BgL_tmpz00_7307;

							BgL_tmpz00_7307 =
								((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4826));
							BgL_auxz00_7306 = BGL_OBJECT_WIDENING(BgL_tmpz00_7307);
						}
						BgL_auxz00_7305 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7306);
					}
					BgL_val1_1812z00_5204 =
						(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7305))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1030 */
					int BgL_tmpz00_7313;

					BgL_tmpz00_7313 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7313);
				}
				{	/* Liveness/liveness.scm 1030 */
					int BgL_tmpz00_7316;

					BgL_tmpz00_7316 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7316, BgL_val1_1812z00_5204);
				}
				return BgL_val0_1811z00_5203;
			}
		}

	}



/* &defuse-make-box/live2086 */
	obj_t BGl_z62defusezd2makezd2boxzf2live2086z90zzliveness_livenessz00(obj_t
		BgL_envz00_4828, obj_t BgL_nz00_4829)
	{
		{	/* Liveness/liveness.scm 1021 */
			{	/* Liveness/liveness.scm 1023 */
				obj_t BgL_val0_1809z00_5206;
				obj_t BgL_val1_1810z00_5207;

				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7319;

					{
						obj_t BgL_auxz00_7320;

						{	/* Liveness/liveness.scm 1023 */
							BgL_objectz00_bglt BgL_tmpz00_7321;

							BgL_tmpz00_7321 =
								((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4829));
							BgL_auxz00_7320 = BGL_OBJECT_WIDENING(BgL_tmpz00_7321);
						}
						BgL_auxz00_7319 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7320);
					}
					BgL_val0_1809z00_5206 =
						(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7319))->
						BgL_defz00);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7327;

					{
						obj_t BgL_auxz00_7328;

						{	/* Liveness/liveness.scm 1023 */
							BgL_objectz00_bglt BgL_tmpz00_7329;

							BgL_tmpz00_7329 =
								((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4829));
							BgL_auxz00_7328 = BGL_OBJECT_WIDENING(BgL_tmpz00_7329);
						}
						BgL_auxz00_7327 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7328);
					}
					BgL_val1_1810z00_5207 =
						(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7327))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 1023 */
					int BgL_tmpz00_7335;

					BgL_tmpz00_7335 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7335);
				}
				{	/* Liveness/liveness.scm 1023 */
					int BgL_tmpz00_7338;

					BgL_tmpz00_7338 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7338, BgL_val1_1810z00_5207);
				}
				return BgL_val0_1809z00_5206;
			}
		}

	}



/* &defuse-make-box2083 */
	obj_t BGl_z62defusezd2makezd2box2083z62zzliveness_livenessz00(obj_t
		BgL_envz00_4830, obj_t BgL_nz00_4831)
	{
		{	/* Liveness/liveness.scm 1012 */
			{	/* Liveness/liveness.scm 1014 */
				obj_t BgL_defz00_5209;

				BgL_defz00_5209 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_4831)))->BgL_valuez00));
				{	/* Liveness/liveness.scm 1015 */
					obj_t BgL_usez00_5210;

					{	/* Liveness/liveness.scm 1016 */
						obj_t BgL_tmpz00_5211;

						{	/* Liveness/liveness.scm 1016 */
							int BgL_tmpz00_7344;

							BgL_tmpz00_7344 = (int) (((long) 1));
							BgL_tmpz00_5211 = BGL_MVALUES_VAL(BgL_tmpz00_7344);
						}
						{	/* Liveness/liveness.scm 1016 */
							int BgL_tmpz00_7347;

							BgL_tmpz00_7347 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7347, BUNSPEC);
						}
						BgL_usez00_5210 = BgL_tmpz00_5211;
					}
					{	/* Liveness/liveness.scm 1017 */
						BgL_makezd2boxzd2_bglt BgL_arg2778z00_5212;

						{	/* Liveness/liveness.scm 1017 */
							BgL_makezd2boxzf2livenessz20_bglt BgL_wide1409z00_5213;

							BgL_wide1409z00_5213 =
								((BgL_makezd2boxzf2livenessz20_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzf2livenessz20_bgl))));
							{	/* Liveness/liveness.scm 1017 */
								obj_t BgL_auxz00_7355;
								BgL_objectz00_bglt BgL_tmpz00_7351;

								BgL_auxz00_7355 = ((obj_t) BgL_wide1409z00_5213);
								BgL_tmpz00_7351 =
									((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nz00_4831)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7351, BgL_auxz00_7355);
							}
							((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nz00_4831)));
							{	/* Liveness/liveness.scm 1017 */
								long BgL_arg2779z00_5214;

								BgL_arg2779z00_5214 =
									BGL_CLASS_NUM
									(BGl_makezd2boxzf2livenessz20zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
											(BgL_makezd2boxzd2_bglt) ((BgL_makezd2boxzd2_bglt)
												BgL_nz00_4831))), BgL_arg2779z00_5214);
							}
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nz00_4831)));
						}
						{
							BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7369;

							{
								obj_t BgL_auxz00_7370;

								{	/* Liveness/liveness.scm 1018 */
									BgL_objectz00_bglt BgL_tmpz00_7371;

									BgL_tmpz00_7371 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nz00_4831)));
									BgL_auxz00_7370 = BGL_OBJECT_WIDENING(BgL_tmpz00_7371);
								}
								BgL_auxz00_7369 =
									((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7370);
							}
							((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7369))->
									BgL_defz00) = ((obj_t) BgL_defz00_5209), BUNSPEC);
						}
						{
							BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7378;

							{
								obj_t BgL_auxz00_7379;

								{	/* Liveness/liveness.scm 1019 */
									BgL_objectz00_bglt BgL_tmpz00_7380;

									BgL_tmpz00_7380 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nz00_4831)));
									BgL_auxz00_7379 = BGL_OBJECT_WIDENING(BgL_tmpz00_7380);
								}
								BgL_auxz00_7378 =
									((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7379);
							}
							((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7378))->
									BgL_usez00) = ((obj_t) BgL_usez00_5210), BUNSPEC);
						}
						{
							BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7387;

							{
								obj_t BgL_auxz00_7388;

								{	/* Liveness/liveness.scm 1015 */
									BgL_objectz00_bglt BgL_tmpz00_7389;

									BgL_tmpz00_7389 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nz00_4831)));
									BgL_auxz00_7388 = BGL_OBJECT_WIDENING(BgL_tmpz00_7389);
								}
								BgL_auxz00_7387 =
									((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7388);
							}
							((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7387))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7396;

							{
								obj_t BgL_auxz00_7397;

								{	/* Liveness/liveness.scm 1015 */
									BgL_objectz00_bglt BgL_tmpz00_7398;

									BgL_tmpz00_7398 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nz00_4831)));
									BgL_auxz00_7397 = BGL_OBJECT_WIDENING(BgL_tmpz00_7398);
								}
								BgL_auxz00_7396 =
									((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7397);
							}
							((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7396))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2778z00_5212 =
							((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nz00_4831));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2778z00_5212));
					}
				}
			}
		}

	}



/* &inout-return/livenes2081 */
	obj_t BGl_z62inoutzd2returnzf2livenes2081z42zzliveness_livenessz00(obj_t
		BgL_envz00_4832, obj_t BgL_nz00_4833)
	{
		{	/* Liveness/liveness.scm 1005 */
			{	/* Liveness/liveness.scm 1007 */
				obj_t BgL_val0_1807z00_5216;
				obj_t BgL_val1_1808z00_5217;

				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_7409;

					{
						obj_t BgL_auxz00_7410;

						{	/* Liveness/liveness.scm 1007 */
							BgL_objectz00_bglt BgL_tmpz00_7411;

							BgL_tmpz00_7411 =
								((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4833));
							BgL_auxz00_7410 = BGL_OBJECT_WIDENING(BgL_tmpz00_7411);
						}
						BgL_auxz00_7409 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7410);
					}
					BgL_val0_1807z00_5216 =
						(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7409))->
						BgL_inz00);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_7417;

					{
						obj_t BgL_auxz00_7418;

						{	/* Liveness/liveness.scm 1007 */
							BgL_objectz00_bglt BgL_tmpz00_7419;

							BgL_tmpz00_7419 =
								((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4833));
							BgL_auxz00_7418 = BGL_OBJECT_WIDENING(BgL_tmpz00_7419);
						}
						BgL_auxz00_7417 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7418);
					}
					BgL_val1_1808z00_5217 =
						(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7417))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1007 */
					int BgL_tmpz00_7425;

					BgL_tmpz00_7425 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7425);
				}
				{	/* Liveness/liveness.scm 1007 */
					int BgL_tmpz00_7428;

					BgL_tmpz00_7428 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7428, BgL_val1_1808z00_5217);
				}
				return BgL_val0_1807z00_5216;
			}
		}

	}



/* &inout!-return/livene2079 */
	obj_t BGl_z62inoutz12zd2returnzf2livene2079z50zzliveness_livenessz00(obj_t
		BgL_envz00_4834, obj_t BgL_nz00_4835, obj_t BgL_oz00_4836)
	{
		{	/* Liveness/liveness.scm 998 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_7431;

				{
					obj_t BgL_auxz00_7432;

					{	/* Liveness/liveness.scm 1000 */
						BgL_objectz00_bglt BgL_tmpz00_7433;

						BgL_tmpz00_7433 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4835));
						BgL_auxz00_7432 = BGL_OBJECT_WIDENING(BgL_tmpz00_7433);
					}
					BgL_auxz00_7431 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7432);
				}
				((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7431))->
						BgL_outz00) = ((obj_t) BgL_oz00_4836), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_7446;
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_7439;

				{	/* Liveness/liveness.scm 1001 */
					obj_t BgL_arg2768z00_5219;
					obj_t BgL_arg2771z00_5220;

					{
						BgL_returnzf2livenesszf2_bglt BgL_auxz00_7447;

						{
							obj_t BgL_auxz00_7448;

							{	/* Liveness/liveness.scm 1001 */
								BgL_objectz00_bglt BgL_tmpz00_7449;

								BgL_tmpz00_7449 =
									((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4835));
								BgL_auxz00_7448 = BGL_OBJECT_WIDENING(BgL_tmpz00_7449);
							}
							BgL_auxz00_7447 =
								((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7448);
						}
						BgL_arg2768z00_5219 =
							(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7447))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 1001 */
						obj_t BgL_arg2775z00_5221;
						obj_t BgL_arg2776z00_5222;

						{
							BgL_returnzf2livenesszf2_bglt BgL_auxz00_7455;

							{
								obj_t BgL_auxz00_7456;

								{	/* Liveness/liveness.scm 1001 */
									BgL_objectz00_bglt BgL_tmpz00_7457;

									BgL_tmpz00_7457 =
										((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4835));
									BgL_auxz00_7456 = BGL_OBJECT_WIDENING(BgL_tmpz00_7457);
								}
								BgL_auxz00_7455 =
									((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7456);
							}
							BgL_arg2775z00_5221 =
								(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7455))->
								BgL_outz00);
						}
						{
							BgL_returnzf2livenesszf2_bglt BgL_auxz00_7463;

							{
								obj_t BgL_auxz00_7464;

								{	/* Liveness/liveness.scm 1001 */
									BgL_objectz00_bglt BgL_tmpz00_7465;

									BgL_tmpz00_7465 =
										((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4835));
									BgL_auxz00_7464 = BGL_OBJECT_WIDENING(BgL_tmpz00_7465);
								}
								BgL_auxz00_7463 =
									((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7464);
							}
							BgL_arg2776z00_5222 =
								(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7463))->
								BgL_defz00);
						}
						BgL_arg2771z00_5220 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2775z00_5221,
							BgL_arg2776z00_5222);
					}
					{	/* Liveness/liveness.scm 1001 */
						obj_t BgL_list2772z00_5223;

						{	/* Liveness/liveness.scm 1001 */
							obj_t BgL_arg2773z00_5224;

							BgL_arg2773z00_5224 = MAKE_YOUNG_PAIR(BgL_arg2771z00_5220, BNIL);
							BgL_list2772z00_5223 =
								MAKE_YOUNG_PAIR(BgL_arg2768z00_5219, BgL_arg2773z00_5224);
						}
						BgL_auxz00_7446 =
							BGl_unionz00zzliveness_setz00(BgL_list2772z00_5223);
					}
				}
				{
					obj_t BgL_auxz00_7440;

					{	/* Liveness/liveness.scm 1001 */
						BgL_objectz00_bglt BgL_tmpz00_7441;

						BgL_tmpz00_7441 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4835));
						BgL_auxz00_7440 = BGL_OBJECT_WIDENING(BgL_tmpz00_7441);
					}
					BgL_auxz00_7439 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7440);
				}
				((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7439))->
						BgL_inz00) = ((obj_t) BgL_auxz00_7446), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 1002 */
				BgL_nodez00_bglt BgL_arg2777z00_5225;

				BgL_arg2777z00_5225 =
					(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt)
								((BgL_returnz00_bglt) BgL_nz00_4835))))->BgL_valuez00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2777z00_5225,
					BgL_oz00_4836);
			}
			{	/* Liveness/liveness.scm 1003 */
				obj_t BgL_val0_1805z00_5226;
				obj_t BgL_val1_1806z00_5227;

				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_7480;

					{
						obj_t BgL_auxz00_7481;

						{	/* Liveness/liveness.scm 1003 */
							BgL_objectz00_bglt BgL_tmpz00_7482;

							BgL_tmpz00_7482 =
								((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4835));
							BgL_auxz00_7481 = BGL_OBJECT_WIDENING(BgL_tmpz00_7482);
						}
						BgL_auxz00_7480 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7481);
					}
					BgL_val0_1805z00_5226 =
						(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7480))->
						BgL_inz00);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_7488;

					{
						obj_t BgL_auxz00_7489;

						{	/* Liveness/liveness.scm 1003 */
							BgL_objectz00_bglt BgL_tmpz00_7490;

							BgL_tmpz00_7490 =
								((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4835));
							BgL_auxz00_7489 = BGL_OBJECT_WIDENING(BgL_tmpz00_7490);
						}
						BgL_auxz00_7488 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7489);
					}
					BgL_val1_1806z00_5227 =
						(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7488))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1003 */
					int BgL_tmpz00_7496;

					BgL_tmpz00_7496 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7496);
				}
				{	/* Liveness/liveness.scm 1003 */
					int BgL_tmpz00_7499;

					BgL_tmpz00_7499 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7499, BgL_val1_1806z00_5227);
				}
				return BgL_val0_1805z00_5226;
			}
		}

	}



/* &defuse-return/livene2077 */
	obj_t BGl_z62defusezd2returnzf2livene2077z42zzliveness_livenessz00(obj_t
		BgL_envz00_4837, obj_t BgL_nz00_4838)
	{
		{	/* Liveness/liveness.scm 994 */
			{	/* Liveness/liveness.scm 996 */
				obj_t BgL_val0_1803z00_5229;
				obj_t BgL_val1_1804z00_5230;

				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_7502;

					{
						obj_t BgL_auxz00_7503;

						{	/* Liveness/liveness.scm 996 */
							BgL_objectz00_bglt BgL_tmpz00_7504;

							BgL_tmpz00_7504 =
								((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4838));
							BgL_auxz00_7503 = BGL_OBJECT_WIDENING(BgL_tmpz00_7504);
						}
						BgL_auxz00_7502 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7503);
					}
					BgL_val0_1803z00_5229 =
						(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7502))->
						BgL_defz00);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_7510;

					{
						obj_t BgL_auxz00_7511;

						{	/* Liveness/liveness.scm 996 */
							BgL_objectz00_bglt BgL_tmpz00_7512;

							BgL_tmpz00_7512 =
								((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4838));
							BgL_auxz00_7511 = BGL_OBJECT_WIDENING(BgL_tmpz00_7512);
						}
						BgL_auxz00_7510 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7511);
					}
					BgL_val1_1804z00_5230 =
						(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7510))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 996 */
					int BgL_tmpz00_7518;

					BgL_tmpz00_7518 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7518);
				}
				{	/* Liveness/liveness.scm 996 */
					int BgL_tmpz00_7521;

					BgL_tmpz00_7521 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7521, BgL_val1_1804z00_5230);
				}
				return BgL_val0_1803z00_5229;
			}
		}

	}



/* &defuse-return2075 */
	obj_t BGl_z62defusezd2return2075zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4839, obj_t BgL_nz00_4840)
	{
		{	/* Liveness/liveness.scm 985 */
			{	/* Liveness/liveness.scm 987 */
				obj_t BgL_defz00_5232;

				BgL_defz00_5232 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_4840)))->BgL_valuez00));
				{	/* Liveness/liveness.scm 988 */
					obj_t BgL_usez00_5233;

					{	/* Liveness/liveness.scm 989 */
						obj_t BgL_tmpz00_5234;

						{	/* Liveness/liveness.scm 989 */
							int BgL_tmpz00_7527;

							BgL_tmpz00_7527 = (int) (((long) 1));
							BgL_tmpz00_5234 = BGL_MVALUES_VAL(BgL_tmpz00_7527);
						}
						{	/* Liveness/liveness.scm 989 */
							int BgL_tmpz00_7530;

							BgL_tmpz00_7530 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7530, BUNSPEC);
						}
						BgL_usez00_5233 = BgL_tmpz00_5234;
					}
					{	/* Liveness/liveness.scm 990 */
						BgL_returnz00_bglt BgL_arg2754z00_5235;

						{	/* Liveness/liveness.scm 990 */
							BgL_returnzf2livenesszf2_bglt BgL_wide1401z00_5236;

							BgL_wide1401z00_5236 =
								((BgL_returnzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_returnzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 990 */
								obj_t BgL_auxz00_7538;
								BgL_objectz00_bglt BgL_tmpz00_7534;

								BgL_auxz00_7538 = ((obj_t) BgL_wide1401z00_5236);
								BgL_tmpz00_7534 =
									((BgL_objectz00_bglt)
									((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4840)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7534, BgL_auxz00_7538);
							}
							((BgL_objectz00_bglt)
								((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4840)));
							{	/* Liveness/liveness.scm 990 */
								long BgL_arg2762z00_5237;

								BgL_arg2762z00_5237 =
									BGL_CLASS_NUM(BGl_returnzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_returnz00_bglt)
											((BgL_returnz00_bglt) BgL_nz00_4840))),
									BgL_arg2762z00_5237);
							}
							((BgL_returnz00_bglt)
								((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4840)));
						}
						{
							BgL_returnzf2livenesszf2_bglt BgL_auxz00_7552;

							{
								obj_t BgL_auxz00_7553;

								{	/* Liveness/liveness.scm 991 */
									BgL_objectz00_bglt BgL_tmpz00_7554;

									BgL_tmpz00_7554 =
										((BgL_objectz00_bglt)
										((BgL_returnz00_bglt)
											((BgL_returnz00_bglt) BgL_nz00_4840)));
									BgL_auxz00_7553 = BGL_OBJECT_WIDENING(BgL_tmpz00_7554);
								}
								BgL_auxz00_7552 =
									((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7553);
							}
							((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7552))->
									BgL_defz00) = ((obj_t) BgL_defz00_5232), BUNSPEC);
						}
						{
							BgL_returnzf2livenesszf2_bglt BgL_auxz00_7561;

							{
								obj_t BgL_auxz00_7562;

								{	/* Liveness/liveness.scm 992 */
									BgL_objectz00_bglt BgL_tmpz00_7563;

									BgL_tmpz00_7563 =
										((BgL_objectz00_bglt)
										((BgL_returnz00_bglt)
											((BgL_returnz00_bglt) BgL_nz00_4840)));
									BgL_auxz00_7562 = BGL_OBJECT_WIDENING(BgL_tmpz00_7563);
								}
								BgL_auxz00_7561 =
									((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7562);
							}
							((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7561))->
									BgL_usez00) = ((obj_t) BgL_usez00_5233), BUNSPEC);
						}
						{
							BgL_returnzf2livenesszf2_bglt BgL_auxz00_7570;

							{
								obj_t BgL_auxz00_7571;

								{	/* Liveness/liveness.scm 988 */
									BgL_objectz00_bglt BgL_tmpz00_7572;

									BgL_tmpz00_7572 =
										((BgL_objectz00_bglt)
										((BgL_returnz00_bglt)
											((BgL_returnz00_bglt) BgL_nz00_4840)));
									BgL_auxz00_7571 = BGL_OBJECT_WIDENING(BgL_tmpz00_7572);
								}
								BgL_auxz00_7570 =
									((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7571);
							}
							((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7570))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_returnzf2livenesszf2_bglt BgL_auxz00_7579;

							{
								obj_t BgL_auxz00_7580;

								{	/* Liveness/liveness.scm 988 */
									BgL_objectz00_bglt BgL_tmpz00_7581;

									BgL_tmpz00_7581 =
										((BgL_objectz00_bglt)
										((BgL_returnz00_bglt)
											((BgL_returnz00_bglt) BgL_nz00_4840)));
									BgL_auxz00_7580 = BGL_OBJECT_WIDENING(BgL_tmpz00_7581);
								}
								BgL_auxz00_7579 =
									((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7580);
							}
							((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7579))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2754z00_5235 =
							((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4840));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2754z00_5235));
					}
				}
			}
		}

	}



/* &inout-retblock/liven2073 */
	obj_t BGl_z62inoutzd2retblockzf2liven2073z42zzliveness_livenessz00(obj_t
		BgL_envz00_4841, obj_t BgL_nz00_4842)
	{
		{	/* Liveness/liveness.scm 978 */
			{	/* Liveness/liveness.scm 980 */
				obj_t BgL_val0_1801z00_5239;
				obj_t BgL_val1_1802z00_5240;

				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7592;

					{
						obj_t BgL_auxz00_7593;

						{	/* Liveness/liveness.scm 980 */
							BgL_objectz00_bglt BgL_tmpz00_7594;

							BgL_tmpz00_7594 =
								((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4842));
							BgL_auxz00_7593 = BGL_OBJECT_WIDENING(BgL_tmpz00_7594);
						}
						BgL_auxz00_7592 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7593);
					}
					BgL_val0_1801z00_5239 =
						(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7592))->
						BgL_inz00);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7600;

					{
						obj_t BgL_auxz00_7601;

						{	/* Liveness/liveness.scm 980 */
							BgL_objectz00_bglt BgL_tmpz00_7602;

							BgL_tmpz00_7602 =
								((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4842));
							BgL_auxz00_7601 = BGL_OBJECT_WIDENING(BgL_tmpz00_7602);
						}
						BgL_auxz00_7600 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7601);
					}
					BgL_val1_1802z00_5240 =
						(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7600))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 980 */
					int BgL_tmpz00_7608;

					BgL_tmpz00_7608 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7608);
				}
				{	/* Liveness/liveness.scm 980 */
					int BgL_tmpz00_7611;

					BgL_tmpz00_7611 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7611, BgL_val1_1802z00_5240);
				}
				return BgL_val0_1801z00_5239;
			}
		}

	}



/* &inout!-retblock/live2071 */
	obj_t BGl_z62inoutz12zd2retblockzf2live2071z50zzliveness_livenessz00(obj_t
		BgL_envz00_4843, obj_t BgL_nz00_4844, obj_t BgL_oz00_4845)
	{
		{	/* Liveness/liveness.scm 971 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7614;

				{
					obj_t BgL_auxz00_7615;

					{	/* Liveness/liveness.scm 973 */
						BgL_objectz00_bglt BgL_tmpz00_7616;

						BgL_tmpz00_7616 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4844));
						BgL_auxz00_7615 = BGL_OBJECT_WIDENING(BgL_tmpz00_7616);
					}
					BgL_auxz00_7614 = ((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7615);
				}
				((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7614))->
						BgL_outz00) = ((obj_t) BgL_oz00_4845), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_7629;
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7622;

				{	/* Liveness/liveness.scm 974 */
					obj_t BgL_arg2744z00_5242;
					obj_t BgL_arg2745z00_5243;

					{
						BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7630;

						{
							obj_t BgL_auxz00_7631;

							{	/* Liveness/liveness.scm 974 */
								BgL_objectz00_bglt BgL_tmpz00_7632;

								BgL_tmpz00_7632 =
									((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4844));
								BgL_auxz00_7631 = BGL_OBJECT_WIDENING(BgL_tmpz00_7632);
							}
							BgL_auxz00_7630 =
								((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7631);
						}
						BgL_arg2744z00_5242 =
							(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7630))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 974 */
						obj_t BgL_arg2749z00_5244;
						obj_t BgL_arg2750z00_5245;

						{
							BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7638;

							{
								obj_t BgL_auxz00_7639;

								{	/* Liveness/liveness.scm 974 */
									BgL_objectz00_bglt BgL_tmpz00_7640;

									BgL_tmpz00_7640 =
										((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt) BgL_nz00_4844));
									BgL_auxz00_7639 = BGL_OBJECT_WIDENING(BgL_tmpz00_7640);
								}
								BgL_auxz00_7638 =
									((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7639);
							}
							BgL_arg2749z00_5244 =
								(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7638))->
								BgL_outz00);
						}
						{
							BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7646;

							{
								obj_t BgL_auxz00_7647;

								{	/* Liveness/liveness.scm 974 */
									BgL_objectz00_bglt BgL_tmpz00_7648;

									BgL_tmpz00_7648 =
										((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt) BgL_nz00_4844));
									BgL_auxz00_7647 = BGL_OBJECT_WIDENING(BgL_tmpz00_7648);
								}
								BgL_auxz00_7646 =
									((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7647);
							}
							BgL_arg2750z00_5245 =
								(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7646))->
								BgL_defz00);
						}
						BgL_arg2745z00_5243 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2749z00_5244,
							BgL_arg2750z00_5245);
					}
					{	/* Liveness/liveness.scm 974 */
						obj_t BgL_list2746z00_5246;

						{	/* Liveness/liveness.scm 974 */
							obj_t BgL_arg2747z00_5247;

							BgL_arg2747z00_5247 = MAKE_YOUNG_PAIR(BgL_arg2745z00_5243, BNIL);
							BgL_list2746z00_5246 =
								MAKE_YOUNG_PAIR(BgL_arg2744z00_5242, BgL_arg2747z00_5247);
						}
						BgL_auxz00_7629 =
							BGl_unionz00zzliveness_setz00(BgL_list2746z00_5246);
					}
				}
				{
					obj_t BgL_auxz00_7623;

					{	/* Liveness/liveness.scm 974 */
						BgL_objectz00_bglt BgL_tmpz00_7624;

						BgL_tmpz00_7624 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4844));
						BgL_auxz00_7623 = BGL_OBJECT_WIDENING(BgL_tmpz00_7624);
					}
					BgL_auxz00_7622 = ((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7623);
				}
				((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7622))->
						BgL_inz00) = ((obj_t) BgL_auxz00_7629), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 975 */
				BgL_nodez00_bglt BgL_arg2751z00_5248;

				BgL_arg2751z00_5248 =
					(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt)
								((BgL_retblockz00_bglt) BgL_nz00_4844))))->BgL_bodyz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2751z00_5248,
					BgL_oz00_4845);
			}
			{	/* Liveness/liveness.scm 976 */
				obj_t BgL_val0_1799z00_5249;
				obj_t BgL_val1_1800z00_5250;

				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7663;

					{
						obj_t BgL_auxz00_7664;

						{	/* Liveness/liveness.scm 976 */
							BgL_objectz00_bglt BgL_tmpz00_7665;

							BgL_tmpz00_7665 =
								((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4844));
							BgL_auxz00_7664 = BGL_OBJECT_WIDENING(BgL_tmpz00_7665);
						}
						BgL_auxz00_7663 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7664);
					}
					BgL_val0_1799z00_5249 =
						(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7663))->
						BgL_inz00);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7671;

					{
						obj_t BgL_auxz00_7672;

						{	/* Liveness/liveness.scm 976 */
							BgL_objectz00_bglt BgL_tmpz00_7673;

							BgL_tmpz00_7673 =
								((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4844));
							BgL_auxz00_7672 = BGL_OBJECT_WIDENING(BgL_tmpz00_7673);
						}
						BgL_auxz00_7671 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7672);
					}
					BgL_val1_1800z00_5250 =
						(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7671))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 976 */
					int BgL_tmpz00_7679;

					BgL_tmpz00_7679 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7679);
				}
				{	/* Liveness/liveness.scm 976 */
					int BgL_tmpz00_7682;

					BgL_tmpz00_7682 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7682, BgL_val1_1800z00_5250);
				}
				return BgL_val0_1799z00_5249;
			}
		}

	}



/* &defuse-retblock/live2069 */
	obj_t BGl_z62defusezd2retblockzf2live2069z42zzliveness_livenessz00(obj_t
		BgL_envz00_4846, obj_t BgL_nz00_4847)
	{
		{	/* Liveness/liveness.scm 967 */
			{	/* Liveness/liveness.scm 969 */
				obj_t BgL_val0_1797z00_5252;
				obj_t BgL_val1_1798z00_5253;

				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7685;

					{
						obj_t BgL_auxz00_7686;

						{	/* Liveness/liveness.scm 969 */
							BgL_objectz00_bglt BgL_tmpz00_7687;

							BgL_tmpz00_7687 =
								((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4847));
							BgL_auxz00_7686 = BGL_OBJECT_WIDENING(BgL_tmpz00_7687);
						}
						BgL_auxz00_7685 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7686);
					}
					BgL_val0_1797z00_5252 =
						(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7685))->
						BgL_defz00);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7693;

					{
						obj_t BgL_auxz00_7694;

						{	/* Liveness/liveness.scm 969 */
							BgL_objectz00_bglt BgL_tmpz00_7695;

							BgL_tmpz00_7695 =
								((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4847));
							BgL_auxz00_7694 = BGL_OBJECT_WIDENING(BgL_tmpz00_7695);
						}
						BgL_auxz00_7693 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7694);
					}
					BgL_val1_1798z00_5253 =
						(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7693))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 969 */
					int BgL_tmpz00_7701;

					BgL_tmpz00_7701 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7701);
				}
				{	/* Liveness/liveness.scm 969 */
					int BgL_tmpz00_7704;

					BgL_tmpz00_7704 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7704, BgL_val1_1798z00_5253);
				}
				return BgL_val0_1797z00_5252;
			}
		}

	}



/* &defuse-retblock2067 */
	obj_t BGl_z62defusezd2retblock2067zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4848, obj_t BgL_nz00_4849)
	{
		{	/* Liveness/liveness.scm 958 */
			{	/* Liveness/liveness.scm 960 */
				obj_t BgL_defz00_5255;

				BgL_defz00_5255 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_4849)))->BgL_bodyz00));
				{	/* Liveness/liveness.scm 961 */
					obj_t BgL_usez00_5256;

					{	/* Liveness/liveness.scm 962 */
						obj_t BgL_tmpz00_5257;

						{	/* Liveness/liveness.scm 962 */
							int BgL_tmpz00_7710;

							BgL_tmpz00_7710 = (int) (((long) 1));
							BgL_tmpz00_5257 = BGL_MVALUES_VAL(BgL_tmpz00_7710);
						}
						{	/* Liveness/liveness.scm 962 */
							int BgL_tmpz00_7713;

							BgL_tmpz00_7713 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7713, BUNSPEC);
						}
						BgL_usez00_5256 = BgL_tmpz00_5257;
					}
					{	/* Liveness/liveness.scm 963 */
						BgL_retblockz00_bglt BgL_arg2740z00_5258;

						{	/* Liveness/liveness.scm 963 */
							BgL_retblockzf2livenesszf2_bglt BgL_wide1393z00_5259;

							BgL_wide1393z00_5259 =
								((BgL_retblockzf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_retblockzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 963 */
								obj_t BgL_auxz00_7721;
								BgL_objectz00_bglt BgL_tmpz00_7717;

								BgL_auxz00_7721 = ((obj_t) BgL_wide1393z00_5259);
								BgL_tmpz00_7717 =
									((BgL_objectz00_bglt)
									((BgL_retblockz00_bglt)
										((BgL_retblockz00_bglt) BgL_nz00_4849)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7717, BgL_auxz00_7721);
							}
							((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt)
									((BgL_retblockz00_bglt) BgL_nz00_4849)));
							{	/* Liveness/liveness.scm 963 */
								long BgL_arg2741z00_5260;

								BgL_arg2741z00_5260 =
									BGL_CLASS_NUM(BGl_retblockzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt)
											((BgL_retblockz00_bglt) BgL_nz00_4849))),
									BgL_arg2741z00_5260);
							}
							((BgL_retblockz00_bglt)
								((BgL_retblockz00_bglt)
									((BgL_retblockz00_bglt) BgL_nz00_4849)));
						}
						{
							BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7735;

							{
								obj_t BgL_auxz00_7736;

								{	/* Liveness/liveness.scm 964 */
									BgL_objectz00_bglt BgL_tmpz00_7737;

									BgL_tmpz00_7737 =
										((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt)
											((BgL_retblockz00_bglt) BgL_nz00_4849)));
									BgL_auxz00_7736 = BGL_OBJECT_WIDENING(BgL_tmpz00_7737);
								}
								BgL_auxz00_7735 =
									((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7736);
							}
							((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7735))->
									BgL_defz00) = ((obj_t) BgL_defz00_5255), BUNSPEC);
						}
						{
							BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7744;

							{
								obj_t BgL_auxz00_7745;

								{	/* Liveness/liveness.scm 965 */
									BgL_objectz00_bglt BgL_tmpz00_7746;

									BgL_tmpz00_7746 =
										((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt)
											((BgL_retblockz00_bglt) BgL_nz00_4849)));
									BgL_auxz00_7745 = BGL_OBJECT_WIDENING(BgL_tmpz00_7746);
								}
								BgL_auxz00_7744 =
									((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7745);
							}
							((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7744))->
									BgL_usez00) = ((obj_t) BgL_usez00_5256), BUNSPEC);
						}
						{
							BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7753;

							{
								obj_t BgL_auxz00_7754;

								{	/* Liveness/liveness.scm 961 */
									BgL_objectz00_bglt BgL_tmpz00_7755;

									BgL_tmpz00_7755 =
										((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt)
											((BgL_retblockz00_bglt) BgL_nz00_4849)));
									BgL_auxz00_7754 = BGL_OBJECT_WIDENING(BgL_tmpz00_7755);
								}
								BgL_auxz00_7753 =
									((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7754);
							}
							((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7753))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7762;

							{
								obj_t BgL_auxz00_7763;

								{	/* Liveness/liveness.scm 961 */
									BgL_objectz00_bglt BgL_tmpz00_7764;

									BgL_tmpz00_7764 =
										((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt)
											((BgL_retblockz00_bglt) BgL_nz00_4849)));
									BgL_auxz00_7763 = BGL_OBJECT_WIDENING(BgL_tmpz00_7764);
								}
								BgL_auxz00_7762 =
									((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7763);
							}
							((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7762))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2740z00_5258 =
							((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4849));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2740z00_5258));
					}
				}
			}
		}

	}



/* &inout-jump-ex-it/liv2065 */
	obj_t BGl_z62inoutzd2jumpzd2exzd2itzf2liv2065z42zzliveness_livenessz00(obj_t
		BgL_envz00_4850, obj_t BgL_nz00_4851)
	{
		{	/* Liveness/liveness.scm 951 */
			{	/* Liveness/liveness.scm 953 */
				obj_t BgL_val0_1795z00_5262;
				obj_t BgL_val1_1796z00_5263;

				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7775;

					{
						obj_t BgL_auxz00_7776;

						{	/* Liveness/liveness.scm 953 */
							BgL_objectz00_bglt BgL_tmpz00_7777;

							BgL_tmpz00_7777 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4851));
							BgL_auxz00_7776 = BGL_OBJECT_WIDENING(BgL_tmpz00_7777);
						}
						BgL_auxz00_7775 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7776);
					}
					BgL_val0_1795z00_5262 =
						(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_7775))->BgL_inz00);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7783;

					{
						obj_t BgL_auxz00_7784;

						{	/* Liveness/liveness.scm 953 */
							BgL_objectz00_bglt BgL_tmpz00_7785;

							BgL_tmpz00_7785 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4851));
							BgL_auxz00_7784 = BGL_OBJECT_WIDENING(BgL_tmpz00_7785);
						}
						BgL_auxz00_7783 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7784);
					}
					BgL_val1_1796z00_5263 =
						(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_7783))->BgL_outz00);
				}
				{	/* Liveness/liveness.scm 953 */
					int BgL_tmpz00_7791;

					BgL_tmpz00_7791 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7791);
				}
				{	/* Liveness/liveness.scm 953 */
					int BgL_tmpz00_7794;

					BgL_tmpz00_7794 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7794, BgL_val1_1796z00_5263);
				}
				return BgL_val0_1795z00_5262;
			}
		}

	}



/* &inout!-jump-ex-it/li2063 */
	obj_t BGl_z62inoutz12zd2jumpzd2exzd2itzf2li2063z50zzliveness_livenessz00(obj_t
		BgL_envz00_4852, obj_t BgL_nz00_4853, obj_t BgL_oz00_4854)
	{
		{	/* Liveness/liveness.scm 944 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7797;

				{
					obj_t BgL_auxz00_7798;

					{	/* Liveness/liveness.scm 946 */
						BgL_objectz00_bglt BgL_tmpz00_7799;

						BgL_tmpz00_7799 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4853));
						BgL_auxz00_7798 = BGL_OBJECT_WIDENING(BgL_tmpz00_7799);
					}
					BgL_auxz00_7797 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7798);
				}
				((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7797))->
						BgL_outz00) = ((obj_t) BgL_oz00_4854), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_7812;
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7805;

				{	/* Liveness/liveness.scm 947 */
					obj_t BgL_arg2728z00_5265;
					obj_t BgL_arg2730z00_5266;

					{
						BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7813;

						{
							obj_t BgL_auxz00_7814;

							{	/* Liveness/liveness.scm 947 */
								BgL_objectz00_bglt BgL_tmpz00_7815;

								BgL_tmpz00_7815 =
									((BgL_objectz00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4853));
								BgL_auxz00_7814 = BGL_OBJECT_WIDENING(BgL_tmpz00_7815);
							}
							BgL_auxz00_7813 =
								((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7814);
						}
						BgL_arg2728z00_5265 =
							(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_7813))->BgL_usez00);
					}
					{	/* Liveness/liveness.scm 947 */
						obj_t BgL_arg2736z00_5267;
						obj_t BgL_arg2737z00_5268;

						{
							BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7821;

							{
								obj_t BgL_auxz00_7822;

								{	/* Liveness/liveness.scm 947 */
									BgL_objectz00_bglt BgL_tmpz00_7823;

									BgL_tmpz00_7823 =
										((BgL_objectz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4853));
									BgL_auxz00_7822 = BGL_OBJECT_WIDENING(BgL_tmpz00_7823);
								}
								BgL_auxz00_7821 =
									((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7822);
							}
							BgL_arg2736z00_5267 =
								(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_7821))->BgL_outz00);
						}
						{
							BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7829;

							{
								obj_t BgL_auxz00_7830;

								{	/* Liveness/liveness.scm 947 */
									BgL_objectz00_bglt BgL_tmpz00_7831;

									BgL_tmpz00_7831 =
										((BgL_objectz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4853));
									BgL_auxz00_7830 = BGL_OBJECT_WIDENING(BgL_tmpz00_7831);
								}
								BgL_auxz00_7829 =
									((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7830);
							}
							BgL_arg2737z00_5268 =
								(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_7829))->BgL_defz00);
						}
						BgL_arg2730z00_5266 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2736z00_5267,
							BgL_arg2737z00_5268);
					}
					{	/* Liveness/liveness.scm 947 */
						obj_t BgL_list2731z00_5269;

						{	/* Liveness/liveness.scm 947 */
							obj_t BgL_arg2735z00_5270;

							BgL_arg2735z00_5270 = MAKE_YOUNG_PAIR(BgL_arg2730z00_5266, BNIL);
							BgL_list2731z00_5269 =
								MAKE_YOUNG_PAIR(BgL_arg2728z00_5265, BgL_arg2735z00_5270);
						}
						BgL_auxz00_7812 =
							BGl_unionz00zzliveness_setz00(BgL_list2731z00_5269);
					}
				}
				{
					obj_t BgL_auxz00_7806;

					{	/* Liveness/liveness.scm 947 */
						BgL_objectz00_bglt BgL_tmpz00_7807;

						BgL_tmpz00_7807 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4853));
						BgL_auxz00_7806 = BGL_OBJECT_WIDENING(BgL_tmpz00_7807);
					}
					BgL_auxz00_7805 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7806);
				}
				((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7805))->
						BgL_inz00) = ((obj_t) BgL_auxz00_7812), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 948 */
				BgL_nodez00_bglt BgL_arg2738z00_5271;

				BgL_arg2738z00_5271 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4853))))->BgL_valuez00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2738z00_5271,
					BgL_oz00_4854);
			}
			{	/* Liveness/liveness.scm 949 */
				obj_t BgL_val0_1793z00_5272;
				obj_t BgL_val1_1794z00_5273;

				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7846;

					{
						obj_t BgL_auxz00_7847;

						{	/* Liveness/liveness.scm 949 */
							BgL_objectz00_bglt BgL_tmpz00_7848;

							BgL_tmpz00_7848 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4853));
							BgL_auxz00_7847 = BGL_OBJECT_WIDENING(BgL_tmpz00_7848);
						}
						BgL_auxz00_7846 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7847);
					}
					BgL_val0_1793z00_5272 =
						(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_7846))->BgL_inz00);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7854;

					{
						obj_t BgL_auxz00_7855;

						{	/* Liveness/liveness.scm 949 */
							BgL_objectz00_bglt BgL_tmpz00_7856;

							BgL_tmpz00_7856 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4853));
							BgL_auxz00_7855 = BGL_OBJECT_WIDENING(BgL_tmpz00_7856);
						}
						BgL_auxz00_7854 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7855);
					}
					BgL_val1_1794z00_5273 =
						(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_7854))->BgL_outz00);
				}
				{	/* Liveness/liveness.scm 949 */
					int BgL_tmpz00_7862;

					BgL_tmpz00_7862 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7862);
				}
				{	/* Liveness/liveness.scm 949 */
					int BgL_tmpz00_7865;

					BgL_tmpz00_7865 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7865, BgL_val1_1794z00_5273);
				}
				return BgL_val0_1793z00_5272;
			}
		}

	}



/* &defuse-jump-ex-it/li2061 */
	obj_t BGl_z62defusezd2jumpzd2exzd2itzf2li2061z42zzliveness_livenessz00(obj_t
		BgL_envz00_4855, obj_t BgL_nz00_4856)
	{
		{	/* Liveness/liveness.scm 940 */
			{	/* Liveness/liveness.scm 942 */
				obj_t BgL_val0_1791z00_5275;
				obj_t BgL_val1_1792z00_5276;

				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7868;

					{
						obj_t BgL_auxz00_7869;

						{	/* Liveness/liveness.scm 942 */
							BgL_objectz00_bglt BgL_tmpz00_7870;

							BgL_tmpz00_7870 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4856));
							BgL_auxz00_7869 = BGL_OBJECT_WIDENING(BgL_tmpz00_7870);
						}
						BgL_auxz00_7868 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7869);
					}
					BgL_val0_1791z00_5275 =
						(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_7868))->BgL_defz00);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7876;

					{
						obj_t BgL_auxz00_7877;

						{	/* Liveness/liveness.scm 942 */
							BgL_objectz00_bglt BgL_tmpz00_7878;

							BgL_tmpz00_7878 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4856));
							BgL_auxz00_7877 = BGL_OBJECT_WIDENING(BgL_tmpz00_7878);
						}
						BgL_auxz00_7876 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7877);
					}
					BgL_val1_1792z00_5276 =
						(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_7876))->BgL_usez00);
				}
				{	/* Liveness/liveness.scm 942 */
					int BgL_tmpz00_7884;

					BgL_tmpz00_7884 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7884);
				}
				{	/* Liveness/liveness.scm 942 */
					int BgL_tmpz00_7887;

					BgL_tmpz00_7887 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7887, BgL_val1_1792z00_5276);
				}
				return BgL_val0_1791z00_5275;
			}
		}

	}



/* &defuse-jump-ex-it2059 */
	obj_t BGl_z62defusezd2jumpzd2exzd2it2059zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4857, obj_t BgL_nz00_4858)
	{
		{	/* Liveness/liveness.scm 929 */
			{	/* Liveness/liveness.scm 931 */
				obj_t BgL_defexitz00_5278;

				BgL_defexitz00_5278 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4858)))->BgL_exitz00));
				{	/* Liveness/liveness.scm 932 */
					obj_t BgL_useexitz00_5279;

					{	/* Liveness/liveness.scm 933 */
						obj_t BgL_tmpz00_5280;

						{	/* Liveness/liveness.scm 933 */
							int BgL_tmpz00_7893;

							BgL_tmpz00_7893 = (int) (((long) 1));
							BgL_tmpz00_5280 = BGL_MVALUES_VAL(BgL_tmpz00_7893);
						}
						{	/* Liveness/liveness.scm 933 */
							int BgL_tmpz00_7896;

							BgL_tmpz00_7896 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7896, BUNSPEC);
						}
						BgL_useexitz00_5279 = BgL_tmpz00_5280;
					}
					{	/* Liveness/liveness.scm 933 */
						obj_t BgL_defvaluez00_5281;

						BgL_defvaluez00_5281 =
							BGl_defusez00zzliveness_livenessz00(
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
										((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4858)))->
								BgL_valuez00));
						{	/* Liveness/liveness.scm 934 */
							obj_t BgL_usevaluez00_5282;

							{	/* Liveness/liveness.scm 935 */
								obj_t BgL_tmpz00_5283;

								{	/* Liveness/liveness.scm 935 */
									int BgL_tmpz00_7902;

									BgL_tmpz00_7902 = (int) (((long) 1));
									BgL_tmpz00_5283 = BGL_MVALUES_VAL(BgL_tmpz00_7902);
								}
								{	/* Liveness/liveness.scm 935 */
									int BgL_tmpz00_7905;

									BgL_tmpz00_7905 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_7905, BUNSPEC);
								}
								BgL_usevaluez00_5282 = BgL_tmpz00_5283;
							}
							{	/* Liveness/liveness.scm 936 */
								BgL_jumpzd2exzd2itz00_bglt BgL_arg2720z00_5284;

								{	/* Liveness/liveness.scm 936 */
									BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_wide1385z00_5285;

									BgL_wide1385z00_5285 =
										((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_jumpzd2exzd2itzf2livenesszf2_bgl))));
									{	/* Liveness/liveness.scm 936 */
										obj_t BgL_auxz00_7913;
										BgL_objectz00_bglt BgL_tmpz00_7909;

										BgL_auxz00_7913 = ((obj_t) BgL_wide1385z00_5285);
										BgL_tmpz00_7909 =
											((BgL_objectz00_bglt)
											((BgL_jumpzd2exzd2itz00_bglt)
												((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4858)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7909, BgL_auxz00_7913);
									}
									((BgL_objectz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt)
											((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4858)));
									{	/* Liveness/liveness.scm 936 */
										long BgL_arg2721z00_5286;

										BgL_arg2721z00_5286 =
											BGL_CLASS_NUM
											(BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_jumpzd2exzd2itz00_bglt) (
														(BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4858))),
											BgL_arg2721z00_5286);
									}
									((BgL_jumpzd2exzd2itz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt)
											((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4858)));
								}
								{
									obj_t BgL_auxz00_7935;
									BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7927;

									{	/* Liveness/liveness.scm 937 */
										obj_t BgL_list2722z00_5287;

										{	/* Liveness/liveness.scm 937 */
											obj_t BgL_arg2723z00_5288;

											BgL_arg2723z00_5288 =
												MAKE_YOUNG_PAIR(BgL_defvaluez00_5281, BNIL);
											BgL_list2722z00_5287 =
												MAKE_YOUNG_PAIR(BgL_defexitz00_5278,
												BgL_arg2723z00_5288);
										}
										BgL_auxz00_7935 =
											BGl_unionz00zzliveness_setz00(BgL_list2722z00_5287);
									}
									{
										obj_t BgL_auxz00_7928;

										{	/* Liveness/liveness.scm 937 */
											BgL_objectz00_bglt BgL_tmpz00_7929;

											BgL_tmpz00_7929 =
												((BgL_objectz00_bglt)
												((BgL_jumpzd2exzd2itz00_bglt)
													((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4858)));
											BgL_auxz00_7928 = BGL_OBJECT_WIDENING(BgL_tmpz00_7929);
										}
										BgL_auxz00_7927 =
											((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7928);
									}
									((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_7927))->BgL_defz00) =
										((obj_t) BgL_auxz00_7935), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_7948;
									BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7940;

									{	/* Liveness/liveness.scm 938 */
										obj_t BgL_list2724z00_5289;

										{	/* Liveness/liveness.scm 938 */
											obj_t BgL_arg2725z00_5290;

											BgL_arg2725z00_5290 =
												MAKE_YOUNG_PAIR(BgL_usevaluez00_5282, BNIL);
											BgL_list2724z00_5289 =
												MAKE_YOUNG_PAIR(BgL_useexitz00_5279,
												BgL_arg2725z00_5290);
										}
										BgL_auxz00_7948 =
											BGl_unionz00zzliveness_setz00(BgL_list2724z00_5289);
									}
									{
										obj_t BgL_auxz00_7941;

										{	/* Liveness/liveness.scm 938 */
											BgL_objectz00_bglt BgL_tmpz00_7942;

											BgL_tmpz00_7942 =
												((BgL_objectz00_bglt)
												((BgL_jumpzd2exzd2itz00_bglt)
													((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4858)));
											BgL_auxz00_7941 = BGL_OBJECT_WIDENING(BgL_tmpz00_7942);
										}
										BgL_auxz00_7940 =
											((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7941);
									}
									((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_7940))->BgL_usez00) =
										((obj_t) BgL_auxz00_7948), BUNSPEC);
								}
								{
									BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7953;

									{
										obj_t BgL_auxz00_7954;

										{	/* Liveness/liveness.scm 934 */
											BgL_objectz00_bglt BgL_tmpz00_7955;

											BgL_tmpz00_7955 =
												((BgL_objectz00_bglt)
												((BgL_jumpzd2exzd2itz00_bglt)
													((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4858)));
											BgL_auxz00_7954 = BGL_OBJECT_WIDENING(BgL_tmpz00_7955);
										}
										BgL_auxz00_7953 =
											((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7954);
									}
									((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_7953))->BgL_inz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								{
									BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7962;

									{
										obj_t BgL_auxz00_7963;

										{	/* Liveness/liveness.scm 934 */
											BgL_objectz00_bglt BgL_tmpz00_7964;

											BgL_tmpz00_7964 =
												((BgL_objectz00_bglt)
												((BgL_jumpzd2exzd2itz00_bglt)
													((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4858)));
											BgL_auxz00_7963 = BGL_OBJECT_WIDENING(BgL_tmpz00_7964);
										}
										BgL_auxz00_7962 =
											((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7963);
									}
									((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_7962))->BgL_outz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								BgL_arg2720z00_5284 =
									((BgL_jumpzd2exzd2itz00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4858));
								return
									BGl_defusez00zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_arg2720z00_5284));
							}
						}
					}
				}
			}
		}

	}



/* &inout-set-ex-it/live2057 */
	obj_t BGl_z62inoutzd2setzd2exzd2itzf2live2057z42zzliveness_livenessz00(obj_t
		BgL_envz00_4859, obj_t BgL_nz00_4860)
	{
		{	/* Liveness/liveness.scm 922 */
			{	/* Liveness/liveness.scm 924 */
				obj_t BgL_val0_1789z00_5292;
				obj_t BgL_val1_1790z00_5293;

				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7975;

					{
						obj_t BgL_auxz00_7976;

						{	/* Liveness/liveness.scm 924 */
							BgL_objectz00_bglt BgL_tmpz00_7977;

							BgL_tmpz00_7977 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4860));
							BgL_auxz00_7976 = BGL_OBJECT_WIDENING(BgL_tmpz00_7977);
						}
						BgL_auxz00_7975 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7976);
					}
					BgL_val0_1789z00_5292 =
						(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7975))->
						BgL_inz00);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7983;

					{
						obj_t BgL_auxz00_7984;

						{	/* Liveness/liveness.scm 924 */
							BgL_objectz00_bglt BgL_tmpz00_7985;

							BgL_tmpz00_7985 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4860));
							BgL_auxz00_7984 = BGL_OBJECT_WIDENING(BgL_tmpz00_7985);
						}
						BgL_auxz00_7983 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7984);
					}
					BgL_val1_1790z00_5293 =
						(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7983))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 924 */
					int BgL_tmpz00_7991;

					BgL_tmpz00_7991 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7991);
				}
				{	/* Liveness/liveness.scm 924 */
					int BgL_tmpz00_7994;

					BgL_tmpz00_7994 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7994, BgL_val1_1790z00_5293);
				}
				return BgL_val0_1789z00_5292;
			}
		}

	}



/* &inout!-set-ex-it/liv2055 */
	obj_t BGl_z62inoutz12zd2setzd2exzd2itzf2liv2055z50zzliveness_livenessz00(obj_t
		BgL_envz00_4861, obj_t BgL_nz00_4862, obj_t BgL_oz00_4863)
	{
		{	/* Liveness/liveness.scm 914 */
			{	/* Liveness/liveness.scm 916 */
				obj_t BgL_arg2708z00_5295;

				BgL_arg2708z00_5295 = BGl_shapez00zztools_shapez00(BgL_oz00_4863);
				{	/* Liveness/liveness.scm 916 */
					obj_t BgL_list2709z00_5296;

					{	/* Liveness/liveness.scm 916 */
						obj_t BgL_arg2710z00_5297;

						BgL_arg2710z00_5297 = MAKE_YOUNG_PAIR(BgL_arg2708z00_5295, BNIL);
						BgL_list2709z00_5296 =
							MAKE_YOUNG_PAIR(BGl_string3116z00zzliveness_livenessz00,
							BgL_arg2710z00_5297);
					}
					((bool_t) 0);
				}
			}
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8000;

				{
					obj_t BgL_auxz00_8001;

					{	/* Liveness/liveness.scm 917 */
						BgL_objectz00_bglt BgL_tmpz00_8002;

						BgL_tmpz00_8002 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4862));
						BgL_auxz00_8001 = BGL_OBJECT_WIDENING(BgL_tmpz00_8002);
					}
					BgL_auxz00_8000 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_8001);
				}
				((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8000))->
						BgL_outz00) = ((obj_t) BgL_oz00_4863), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_8015;
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8008;

				{	/* Liveness/liveness.scm 918 */
					obj_t BgL_arg2712z00_5298;
					obj_t BgL_arg2714z00_5299;

					{
						BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8016;

						{
							obj_t BgL_auxz00_8017;

							{	/* Liveness/liveness.scm 918 */
								BgL_objectz00_bglt BgL_tmpz00_8018;

								BgL_tmpz00_8018 =
									((BgL_objectz00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4862));
								BgL_auxz00_8017 = BGL_OBJECT_WIDENING(BgL_tmpz00_8018);
							}
							BgL_auxz00_8016 =
								((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_8017);
						}
						BgL_arg2712z00_5298 =
							(((BgL_setzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_8016))->BgL_usez00);
					}
					{	/* Liveness/liveness.scm 918 */
						obj_t BgL_arg2717z00_5300;
						obj_t BgL_arg2718z00_5301;

						{
							BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8024;

							{
								obj_t BgL_auxz00_8025;

								{	/* Liveness/liveness.scm 918 */
									BgL_objectz00_bglt BgL_tmpz00_8026;

									BgL_tmpz00_8026 =
										((BgL_objectz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4862));
									BgL_auxz00_8025 = BGL_OBJECT_WIDENING(BgL_tmpz00_8026);
								}
								BgL_auxz00_8024 =
									((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_8025);
							}
							BgL_arg2717z00_5300 =
								(((BgL_setzd2exzd2itzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_8024))->BgL_outz00);
						}
						{
							BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8032;

							{
								obj_t BgL_auxz00_8033;

								{	/* Liveness/liveness.scm 918 */
									BgL_objectz00_bglt BgL_tmpz00_8034;

									BgL_tmpz00_8034 =
										((BgL_objectz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4862));
									BgL_auxz00_8033 = BGL_OBJECT_WIDENING(BgL_tmpz00_8034);
								}
								BgL_auxz00_8032 =
									((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_8033);
							}
							BgL_arg2718z00_5301 =
								(((BgL_setzd2exzd2itzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_8032))->BgL_defz00);
						}
						BgL_arg2714z00_5299 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2717z00_5300,
							BgL_arg2718z00_5301);
					}
					{	/* Liveness/liveness.scm 918 */
						obj_t BgL_list2715z00_5302;

						{	/* Liveness/liveness.scm 918 */
							obj_t BgL_arg2716z00_5303;

							BgL_arg2716z00_5303 = MAKE_YOUNG_PAIR(BgL_arg2714z00_5299, BNIL);
							BgL_list2715z00_5302 =
								MAKE_YOUNG_PAIR(BgL_arg2712z00_5298, BgL_arg2716z00_5303);
						}
						BgL_auxz00_8015 =
							BGl_unionz00zzliveness_setz00(BgL_list2715z00_5302);
					}
				}
				{
					obj_t BgL_auxz00_8009;

					{	/* Liveness/liveness.scm 918 */
						BgL_objectz00_bglt BgL_tmpz00_8010;

						BgL_tmpz00_8010 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4862));
						BgL_auxz00_8009 = BGL_OBJECT_WIDENING(BgL_tmpz00_8010);
					}
					BgL_auxz00_8008 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_8009);
				}
				((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8008))->
						BgL_inz00) = ((obj_t) BgL_auxz00_8015), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 919 */
				BgL_nodez00_bglt BgL_arg2719z00_5304;

				BgL_arg2719z00_5304 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4862))))->BgL_bodyz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2719z00_5304,
					BgL_oz00_4863);
			}
			{	/* Liveness/liveness.scm 920 */
				obj_t BgL_val0_1787z00_5305;
				obj_t BgL_val1_1788z00_5306;

				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8049;

					{
						obj_t BgL_auxz00_8050;

						{	/* Liveness/liveness.scm 920 */
							BgL_objectz00_bglt BgL_tmpz00_8051;

							BgL_tmpz00_8051 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4862));
							BgL_auxz00_8050 = BGL_OBJECT_WIDENING(BgL_tmpz00_8051);
						}
						BgL_auxz00_8049 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_8050);
					}
					BgL_val0_1787z00_5305 =
						(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8049))->
						BgL_inz00);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8057;

					{
						obj_t BgL_auxz00_8058;

						{	/* Liveness/liveness.scm 920 */
							BgL_objectz00_bglt BgL_tmpz00_8059;

							BgL_tmpz00_8059 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4862));
							BgL_auxz00_8058 = BGL_OBJECT_WIDENING(BgL_tmpz00_8059);
						}
						BgL_auxz00_8057 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_8058);
					}
					BgL_val1_1788z00_5306 =
						(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8057))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 920 */
					int BgL_tmpz00_8065;

					BgL_tmpz00_8065 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8065);
				}
				{	/* Liveness/liveness.scm 920 */
					int BgL_tmpz00_8068;

					BgL_tmpz00_8068 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8068, BgL_val1_1788z00_5306);
				}
				return BgL_val0_1787z00_5305;
			}
		}

	}



/* &defuse-set-ex-it/liv2053 */
	obj_t BGl_z62defusezd2setzd2exzd2itzf2liv2053z42zzliveness_livenessz00(obj_t
		BgL_envz00_4864, obj_t BgL_nz00_4865)
	{
		{	/* Liveness/liveness.scm 910 */
			{	/* Liveness/liveness.scm 912 */
				obj_t BgL_val0_1785z00_5308;
				obj_t BgL_val1_1786z00_5309;

				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8071;

					{
						obj_t BgL_auxz00_8072;

						{	/* Liveness/liveness.scm 912 */
							BgL_objectz00_bglt BgL_tmpz00_8073;

							BgL_tmpz00_8073 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4865));
							BgL_auxz00_8072 = BGL_OBJECT_WIDENING(BgL_tmpz00_8073);
						}
						BgL_auxz00_8071 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_8072);
					}
					BgL_val0_1785z00_5308 =
						(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8071))->
						BgL_defz00);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8079;

					{
						obj_t BgL_auxz00_8080;

						{	/* Liveness/liveness.scm 912 */
							BgL_objectz00_bglt BgL_tmpz00_8081;

							BgL_tmpz00_8081 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4865));
							BgL_auxz00_8080 = BGL_OBJECT_WIDENING(BgL_tmpz00_8081);
						}
						BgL_auxz00_8079 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_8080);
					}
					BgL_val1_1786z00_5309 =
						(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8079))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 912 */
					int BgL_tmpz00_8087;

					BgL_tmpz00_8087 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8087);
				}
				{	/* Liveness/liveness.scm 912 */
					int BgL_tmpz00_8090;

					BgL_tmpz00_8090 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8090, BgL_val1_1786z00_5309);
				}
				return BgL_val0_1785z00_5308;
			}
		}

	}



/* &defuse-set-ex-it2051 */
	obj_t BGl_z62defusezd2setzd2exzd2it2051zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4866, obj_t BgL_nz00_4867)
	{
		{	/* Liveness/liveness.scm 895 */
			{	/* Liveness/liveness.scm 897 */
				BgL_varz00_bglt BgL_i1370z00_5311;

				BgL_i1370z00_5311 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4867)))->BgL_varz00);
				{	/* Liveness/liveness.scm 898 */
					BgL_localz00_bglt BgL_tmp1371z00_5312;

					BgL_tmp1371z00_5312 =
						((BgL_localz00_bglt)
						(((BgL_varz00_bglt) COBJECT(BgL_i1370z00_5311))->BgL_variablez00));
					{	/* Liveness/liveness.scm 898 */
						BgL_localzf2livenesszf2_bglt BgL_wide1373z00_5313;

						BgL_wide1373z00_5313 =
							((BgL_localzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2livenesszf2_bgl))));
						{	/* Liveness/liveness.scm 898 */
							obj_t BgL_auxz00_8101;
							BgL_objectz00_bglt BgL_tmpz00_8098;

							BgL_auxz00_8101 = ((obj_t) BgL_wide1373z00_5313);
							BgL_tmpz00_8098 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_tmp1371z00_5312));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8098, BgL_auxz00_8101);
						}
						((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_tmp1371z00_5312));
						{	/* Liveness/liveness.scm 898 */
							long BgL_arg2688z00_5314;

							BgL_arg2688z00_5314 =
								BGL_CLASS_NUM(BGl_localzf2livenesszf2zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_tmp1371z00_5312)),
								BgL_arg2688z00_5314);
						}
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_tmp1371z00_5312));
					}
					{
						BgL_localzf2livenesszf2_bglt BgL_auxz00_8112;

						{
							obj_t BgL_auxz00_8113;

							{	/* Liveness/liveness.scm 898 */
								BgL_objectz00_bglt BgL_tmpz00_8114;

								BgL_tmpz00_8114 =
									((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_tmp1371z00_5312));
								BgL_auxz00_8113 = BGL_OBJECT_WIDENING(BgL_tmpz00_8114);
							}
							BgL_auxz00_8112 =
								((BgL_localzf2livenesszf2_bglt) BgL_auxz00_8113);
						}
						((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8112))->
								BgL_z52countz52) = ((int) (int) (((long) 0))), BUNSPEC);
					}
					((BgL_localz00_bglt) BgL_tmp1371z00_5312);
			}}
			{	/* Liveness/liveness.scm 899 */
				obj_t BgL_defvarz00_5315;

				{	/* Liveness/liveness.scm 900 */
					BgL_varz00_bglt BgL_arg2706z00_5316;

					BgL_arg2706z00_5316 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4867)))->BgL_varz00);
					BgL_defvarz00_5315 =
						BGl_defusez00zzliveness_livenessz00(
						((BgL_nodez00_bglt) BgL_arg2706z00_5316));
				}
				{	/* Liveness/liveness.scm 900 */
					obj_t BgL_usevarz00_5317;

					{	/* Liveness/liveness.scm 901 */
						obj_t BgL_tmpz00_5318;

						{	/* Liveness/liveness.scm 901 */
							int BgL_tmpz00_8126;

							BgL_tmpz00_8126 = (int) (((long) 1));
							BgL_tmpz00_5318 = BGL_MVALUES_VAL(BgL_tmpz00_8126);
						}
						{	/* Liveness/liveness.scm 901 */
							int BgL_tmpz00_8129;

							BgL_tmpz00_8129 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_8129, BUNSPEC);
						}
						BgL_usevarz00_5317 = BgL_tmpz00_5318;
					}
					{	/* Liveness/liveness.scm 901 */
						obj_t BgL_defbodyz00_5319;

						BgL_defbodyz00_5319 =
							BGl_defusez00zzliveness_livenessz00(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4867)))->
								BgL_bodyz00));
						{	/* Liveness/liveness.scm 902 */
							obj_t BgL_usebodyz00_5320;

							{	/* Liveness/liveness.scm 903 */
								obj_t BgL_tmpz00_5321;

								{	/* Liveness/liveness.scm 903 */
									int BgL_tmpz00_8135;

									BgL_tmpz00_8135 = (int) (((long) 1));
									BgL_tmpz00_5321 = BGL_MVALUES_VAL(BgL_tmpz00_8135);
								}
								{	/* Liveness/liveness.scm 903 */
									int BgL_tmpz00_8138;

									BgL_tmpz00_8138 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_8138, BUNSPEC);
								}
								BgL_usebodyz00_5320 = BgL_tmpz00_5321;
							}
							{	/* Liveness/liveness.scm 903 */
								obj_t BgL_defonxz00_5322;

								BgL_defonxz00_5322 =
									BGl_defusez00zzliveness_livenessz00(
									(((BgL_setzd2exzd2itz00_bglt) COBJECT(
												((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4867)))->
										BgL_onexitz00));
								{	/* Liveness/liveness.scm 904 */
									obj_t BgL_useonxz00_5323;

									{	/* Liveness/liveness.scm 905 */
										obj_t BgL_tmpz00_5324;

										{	/* Liveness/liveness.scm 905 */
											int BgL_tmpz00_8144;

											BgL_tmpz00_8144 = (int) (((long) 1));
											BgL_tmpz00_5324 = BGL_MVALUES_VAL(BgL_tmpz00_8144);
										}
										{	/* Liveness/liveness.scm 905 */
											int BgL_tmpz00_8147;

											BgL_tmpz00_8147 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_8147, BUNSPEC);
										}
										BgL_useonxz00_5323 = BgL_tmpz00_5324;
									}
									{	/* Liveness/liveness.scm 906 */
										BgL_setzd2exzd2itz00_bglt BgL_arg2689z00_5325;

										{	/* Liveness/liveness.scm 906 */
											BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_wide1377z00_5326;

											BgL_wide1377z00_5326 =
												((BgL_setzd2exzd2itzf2livenesszf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_setzd2exzd2itzf2livenesszf2_bgl))));
											{	/* Liveness/liveness.scm 906 */
												obj_t BgL_auxz00_8155;
												BgL_objectz00_bglt BgL_tmpz00_8151;

												BgL_auxz00_8155 = ((obj_t) BgL_wide1377z00_5326);
												BgL_tmpz00_8151 =
													((BgL_objectz00_bglt)
													((BgL_setzd2exzd2itz00_bglt)
														((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4867)));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8151,
													BgL_auxz00_8155);
											}
											((BgL_objectz00_bglt)
												((BgL_setzd2exzd2itz00_bglt)
													((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4867)));
											{	/* Liveness/liveness.scm 906 */
												long BgL_arg2690z00_5327;

												BgL_arg2690z00_5327 =
													BGL_CLASS_NUM
													(BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_setzd2exzd2itz00_bglt) (
																(BgL_setzd2exzd2itz00_bglt) BgL_nz00_4867))),
													BgL_arg2690z00_5327);
											}
											((BgL_setzd2exzd2itz00_bglt)
												((BgL_setzd2exzd2itz00_bglt)
													((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4867)));
										}
										{
											obj_t BgL_auxz00_8177;
											BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8169;

											{	/* Liveness/liveness.scm 907 */
												obj_t BgL_arg2691z00_5328;

												{	/* Liveness/liveness.scm 907 */
													obj_t BgL_list2694z00_5329;

													{	/* Liveness/liveness.scm 907 */
														obj_t BgL_arg2695z00_5330;

														BgL_arg2695z00_5330 =
															MAKE_YOUNG_PAIR(BgL_defonxz00_5322, BNIL);
														BgL_list2694z00_5329 =
															MAKE_YOUNG_PAIR(BgL_defbodyz00_5319,
															BgL_arg2695z00_5330);
													}
													BgL_arg2691z00_5328 =
														BGl_intersectionz00zzliveness_setz00
														(BgL_list2694z00_5329);
												}
												{	/* Liveness/liveness.scm 907 */
													obj_t BgL_list2692z00_5331;

													{	/* Liveness/liveness.scm 907 */
														obj_t BgL_arg2693z00_5332;

														BgL_arg2693z00_5332 =
															MAKE_YOUNG_PAIR(BgL_arg2691z00_5328, BNIL);
														BgL_list2692z00_5331 =
															MAKE_YOUNG_PAIR(BgL_defvarz00_5315,
															BgL_arg2693z00_5332);
													}
													BgL_auxz00_8177 =
														BGl_unionz00zzliveness_setz00(BgL_list2692z00_5331);
											}}
											{
												obj_t BgL_auxz00_8170;

												{	/* Liveness/liveness.scm 907 */
													BgL_objectz00_bglt BgL_tmpz00_8171;

													BgL_tmpz00_8171 =
														((BgL_objectz00_bglt)
														((BgL_setzd2exzd2itz00_bglt)
															((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4867)));
													BgL_auxz00_8170 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8171);
												}
												BgL_auxz00_8169 =
													((BgL_setzd2exzd2itzf2livenesszf2_bglt)
													BgL_auxz00_8170);
											}
											((((BgL_setzd2exzd2itzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_8169))->BgL_defz00) =
												((obj_t) BgL_auxz00_8177), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_8193;
											BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8185;

											{	/* Liveness/liveness.scm 908 */
												obj_t BgL_arg2696z00_5333;

												{	/* Liveness/liveness.scm 908 */
													obj_t BgL_arg2700z00_5334;

													{	/* Liveness/liveness.scm 908 */
														obj_t BgL_list2701z00_5335;

														{	/* Liveness/liveness.scm 908 */
															obj_t BgL_arg2703z00_5336;

															BgL_arg2703z00_5336 =
																MAKE_YOUNG_PAIR(BgL_useonxz00_5323, BNIL);
															BgL_list2701z00_5335 =
																MAKE_YOUNG_PAIR(BgL_usebodyz00_5320,
																BgL_arg2703z00_5336);
														}
														BgL_arg2700z00_5334 =
															BGl_unionz00zzliveness_setz00
															(BgL_list2701z00_5335);
													}
													BgL_arg2696z00_5333 =
														BGl_disjonctionz00zzliveness_setz00
														(BgL_arg2700z00_5334, BgL_defvarz00_5315);
												}
												{	/* Liveness/liveness.scm 908 */
													obj_t BgL_list2697z00_5337;

													{	/* Liveness/liveness.scm 908 */
														obj_t BgL_arg2699z00_5338;

														BgL_arg2699z00_5338 =
															MAKE_YOUNG_PAIR(BgL_arg2696z00_5333, BNIL);
														BgL_list2697z00_5337 =
															MAKE_YOUNG_PAIR(BgL_usevarz00_5317,
															BgL_arg2699z00_5338);
													}
													BgL_auxz00_8193 =
														BGl_unionz00zzliveness_setz00(BgL_list2697z00_5337);
											}}
											{
												obj_t BgL_auxz00_8186;

												{	/* Liveness/liveness.scm 908 */
													BgL_objectz00_bglt BgL_tmpz00_8187;

													BgL_tmpz00_8187 =
														((BgL_objectz00_bglt)
														((BgL_setzd2exzd2itz00_bglt)
															((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4867)));
													BgL_auxz00_8186 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8187);
												}
												BgL_auxz00_8185 =
													((BgL_setzd2exzd2itzf2livenesszf2_bglt)
													BgL_auxz00_8186);
											}
											((((BgL_setzd2exzd2itzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_8185))->BgL_usez00) =
												((obj_t) BgL_auxz00_8193), BUNSPEC);
										}
										{
											BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8202;

											{
												obj_t BgL_auxz00_8203;

												{	/* Liveness/liveness.scm 904 */
													BgL_objectz00_bglt BgL_tmpz00_8204;

													BgL_tmpz00_8204 =
														((BgL_objectz00_bglt)
														((BgL_setzd2exzd2itz00_bglt)
															((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4867)));
													BgL_auxz00_8203 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8204);
												}
												BgL_auxz00_8202 =
													((BgL_setzd2exzd2itzf2livenesszf2_bglt)
													BgL_auxz00_8203);
											}
											((((BgL_setzd2exzd2itzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_8202))->BgL_inz00) =
												((obj_t) BNIL), BUNSPEC);
										}
										{
											BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8211;

											{
												obj_t BgL_auxz00_8212;

												{	/* Liveness/liveness.scm 904 */
													BgL_objectz00_bglt BgL_tmpz00_8213;

													BgL_tmpz00_8213 =
														((BgL_objectz00_bglt)
														((BgL_setzd2exzd2itz00_bglt)
															((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4867)));
													BgL_auxz00_8212 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8213);
												}
												BgL_auxz00_8211 =
													((BgL_setzd2exzd2itzf2livenesszf2_bglt)
													BgL_auxz00_8212);
											}
											((((BgL_setzd2exzd2itzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_8211))->BgL_outz00) =
												((obj_t) BNIL), BUNSPEC);
										}
										BgL_arg2689z00_5325 =
											((BgL_setzd2exzd2itz00_bglt)
											((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4867));
										return
											BGl_defusez00zzliveness_livenessz00(
											((BgL_nodez00_bglt) BgL_arg2689z00_5325));
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &inout-let-var/livene2049 */
	obj_t BGl_z62inoutzd2letzd2varzf2livene2049z90zzliveness_livenessz00(obj_t
		BgL_envz00_4868, obj_t BgL_nz00_4869)
	{
		{	/* Liveness/liveness.scm 888 */
			{	/* Liveness/liveness.scm 890 */
				obj_t BgL_val0_1783z00_5340;
				obj_t BgL_val1_1784z00_5341;

				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8224;

					{
						obj_t BgL_auxz00_8225;

						{	/* Liveness/liveness.scm 890 */
							BgL_objectz00_bglt BgL_tmpz00_8226;

							BgL_tmpz00_8226 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4869));
							BgL_auxz00_8225 = BGL_OBJECT_WIDENING(BgL_tmpz00_8226);
						}
						BgL_auxz00_8224 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8225);
					}
					BgL_val0_1783z00_5340 =
						(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8224))->
						BgL_inz00);
				}
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8232;

					{
						obj_t BgL_auxz00_8233;

						{	/* Liveness/liveness.scm 890 */
							BgL_objectz00_bglt BgL_tmpz00_8234;

							BgL_tmpz00_8234 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4869));
							BgL_auxz00_8233 = BGL_OBJECT_WIDENING(BgL_tmpz00_8234);
						}
						BgL_auxz00_8232 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8233);
					}
					BgL_val1_1784z00_5341 =
						(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8232))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 890 */
					int BgL_tmpz00_8240;

					BgL_tmpz00_8240 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8240);
				}
				{	/* Liveness/liveness.scm 890 */
					int BgL_tmpz00_8243;

					BgL_tmpz00_8243 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8243, BgL_val1_1784z00_5341);
				}
				return BgL_val0_1783z00_5340;
			}
		}

	}



/* &inout!-let-var/liven2047 */
	obj_t BGl_z62inoutz12zd2letzd2varzf2liven2047z82zzliveness_livenessz00(obj_t
		BgL_envz00_4870, obj_t BgL_nz00_4871, obj_t BgL_oz00_4872)
	{
		{	/* Liveness/liveness.scm 872 */
			{	/* Liveness/liveness.scm 874 */
				obj_t BgL_arg2634z00_5343;
				obj_t BgL_arg2636z00_5344;
				obj_t BgL_arg2638z00_5345;
				obj_t BgL_arg2639z00_5346;
				obj_t BgL_arg2640z00_5347;

				BgL_arg2634z00_5343 =
					bgl_typeof(((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nz00_4871)));
				{	/* Liveness/liveness.scm 874 */
					obj_t BgL_arg2654z00_5348;

					{	/* Liveness/liveness.scm 874 */
						obj_t BgL_l1772z00_5349;

						BgL_l1772z00_5349 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nz00_4871))))->
							BgL_bindingsz00);
						if (NULLP(BgL_l1772z00_5349))
							{	/* Liveness/liveness.scm 874 */
								BgL_arg2654z00_5348 = BNIL;
							}
						else
							{	/* Liveness/liveness.scm 874 */
								obj_t BgL_head1774z00_5350;

								{	/* Liveness/liveness.scm 874 */
									obj_t BgL_arg2661z00_5351;

									{	/* Liveness/liveness.scm 874 */
										obj_t BgL_pairz00_5352;

										BgL_pairz00_5352 = CAR(((obj_t) BgL_l1772z00_5349));
										BgL_arg2661z00_5351 = CAR(BgL_pairz00_5352);
									}
									BgL_head1774z00_5350 =
										MAKE_YOUNG_PAIR(BgL_arg2661z00_5351, BNIL);
								}
								{	/* Liveness/liveness.scm 874 */
									obj_t BgL_g1777z00_5353;

									BgL_g1777z00_5353 = CDR(((obj_t) BgL_l1772z00_5349));
									{
										obj_t BgL_l1772z00_5355;
										obj_t BgL_tail1775z00_5356;

										BgL_l1772z00_5355 = BgL_g1777z00_5353;
										BgL_tail1775z00_5356 = BgL_head1774z00_5350;
									BgL_zc3z04anonymousza32656ze3z87_5354:
										if (NULLP(BgL_l1772z00_5355))
											{	/* Liveness/liveness.scm 874 */
												BgL_arg2654z00_5348 = BgL_head1774z00_5350;
											}
										else
											{	/* Liveness/liveness.scm 874 */
												obj_t BgL_newtail1776z00_5357;

												{	/* Liveness/liveness.scm 874 */
													obj_t BgL_arg2659z00_5358;

													{	/* Liveness/liveness.scm 874 */
														obj_t BgL_pairz00_5359;

														BgL_pairz00_5359 = CAR(((obj_t) BgL_l1772z00_5355));
														BgL_arg2659z00_5358 = CAR(BgL_pairz00_5359);
													}
													BgL_newtail1776z00_5357 =
														MAKE_YOUNG_PAIR(BgL_arg2659z00_5358, BNIL);
												}
												SET_CDR(BgL_tail1775z00_5356, BgL_newtail1776z00_5357);
												{	/* Liveness/liveness.scm 874 */
													obj_t BgL_arg2658z00_5360;

													BgL_arg2658z00_5360 =
														CDR(((obj_t) BgL_l1772z00_5355));
													{
														obj_t BgL_tail1775z00_8270;
														obj_t BgL_l1772z00_8269;

														BgL_l1772z00_8269 = BgL_arg2658z00_5360;
														BgL_tail1775z00_8270 = BgL_newtail1776z00_5357;
														BgL_tail1775z00_5356 = BgL_tail1775z00_8270;
														BgL_l1772z00_5355 = BgL_l1772z00_8269;
														goto BgL_zc3z04anonymousza32656ze3z87_5354;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg2636z00_5344 =
						BGl_shapez00zztools_shapez00(BgL_arg2654z00_5348);
				}
				BgL_arg2638z00_5345 = BGl_shapez00zztools_shapez00(BgL_oz00_4872);
				{	/* Liveness/liveness.scm 875 */
					obj_t BgL_arg2663z00_5361;

					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8273;

						{
							obj_t BgL_auxz00_8274;

							{	/* Liveness/liveness.scm 875 */
								BgL_objectz00_bglt BgL_tmpz00_8275;

								BgL_tmpz00_8275 =
									((BgL_objectz00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nz00_4871));
								BgL_auxz00_8274 = BGL_OBJECT_WIDENING(BgL_tmpz00_8275);
							}
							BgL_auxz00_8273 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8274);
						}
						BgL_arg2663z00_5361 =
							(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8273))->
							BgL_defz00);
					}
					BgL_arg2639z00_5346 =
						BGl_shapez00zztools_shapez00(BgL_arg2663z00_5361);
				}
				{	/* Liveness/liveness.scm 875 */
					obj_t BgL_arg2664z00_5362;

					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8282;

						{
							obj_t BgL_auxz00_8283;

							{	/* Liveness/liveness.scm 875 */
								BgL_objectz00_bglt BgL_tmpz00_8284;

								BgL_tmpz00_8284 =
									((BgL_objectz00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nz00_4871));
								BgL_auxz00_8283 = BGL_OBJECT_WIDENING(BgL_tmpz00_8284);
							}
							BgL_auxz00_8282 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8283);
						}
						BgL_arg2664z00_5362 =
							(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8282))->
							BgL_usez00);
					}
					BgL_arg2640z00_5347 =
						BGl_shapez00zztools_shapez00(BgL_arg2664z00_5362);
				}
				{	/* Liveness/liveness.scm 874 */
					obj_t BgL_list2641z00_5363;

					{	/* Liveness/liveness.scm 874 */
						obj_t BgL_arg2642z00_5364;

						{	/* Liveness/liveness.scm 874 */
							obj_t BgL_arg2644z00_5365;

							{	/* Liveness/liveness.scm 874 */
								obj_t BgL_arg2646z00_5366;

								{	/* Liveness/liveness.scm 874 */
									obj_t BgL_arg2647z00_5367;

									{	/* Liveness/liveness.scm 874 */
										obj_t BgL_arg2648z00_5368;

										{	/* Liveness/liveness.scm 874 */
											obj_t BgL_arg2649z00_5369;

											{	/* Liveness/liveness.scm 874 */
												obj_t BgL_arg2650z00_5370;

												{	/* Liveness/liveness.scm 874 */
													obj_t BgL_arg2652z00_5371;

													{	/* Liveness/liveness.scm 874 */
														obj_t BgL_arg2653z00_5372;

														BgL_arg2653z00_5372 =
															MAKE_YOUNG_PAIR(BgL_arg2640z00_5347, BNIL);
														BgL_arg2652z00_5371 =
															MAKE_YOUNG_PAIR
															(BGl_string3117z00zzliveness_livenessz00,
															BgL_arg2653z00_5372);
													}
													BgL_arg2650z00_5370 =
														MAKE_YOUNG_PAIR(BgL_arg2639z00_5346,
														BgL_arg2652z00_5371);
												}
												BgL_arg2649z00_5369 =
													MAKE_YOUNG_PAIR
													(BGl_string3118z00zzliveness_livenessz00,
													BgL_arg2650z00_5370);
											}
											BgL_arg2648z00_5368 =
												MAKE_YOUNG_PAIR(BgL_arg2638z00_5345,
												BgL_arg2649z00_5369);
										}
										BgL_arg2647z00_5367 =
											MAKE_YOUNG_PAIR(BGl_string3119z00zzliveness_livenessz00,
											BgL_arg2648z00_5368);
									}
									BgL_arg2646z00_5366 =
										MAKE_YOUNG_PAIR(BgL_arg2636z00_5344, BgL_arg2647z00_5367);
								}
								BgL_arg2644z00_5365 =
									MAKE_YOUNG_PAIR(BGl_string3120z00zzliveness_livenessz00,
									BgL_arg2646z00_5366);
							}
							BgL_arg2642z00_5364 =
								MAKE_YOUNG_PAIR(BgL_arg2634z00_5343, BgL_arg2644z00_5365);
						}
						BgL_list2641z00_5363 =
							MAKE_YOUNG_PAIR(BGl_string3121z00zzliveness_livenessz00,
							BgL_arg2642z00_5364);
					}
					((bool_t) 0);
				}
			}
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8301;

				{
					obj_t BgL_auxz00_8302;

					{	/* Liveness/liveness.scm 876 */
						BgL_objectz00_bglt BgL_tmpz00_8303;

						BgL_tmpz00_8303 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4871));
						BgL_auxz00_8302 = BGL_OBJECT_WIDENING(BgL_tmpz00_8303);
					}
					BgL_auxz00_8301 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8302);
				}
				((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8301))->
						BgL_outz00) = ((obj_t) BgL_oz00_4872), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_8316;
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8309;

				{	/* Liveness/liveness.scm 877 */
					obj_t BgL_arg2666z00_5373;
					obj_t BgL_arg2667z00_5374;

					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8317;

						{
							obj_t BgL_auxz00_8318;

							{	/* Liveness/liveness.scm 877 */
								BgL_objectz00_bglt BgL_tmpz00_8319;

								BgL_tmpz00_8319 =
									((BgL_objectz00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nz00_4871));
								BgL_auxz00_8318 = BGL_OBJECT_WIDENING(BgL_tmpz00_8319);
							}
							BgL_auxz00_8317 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8318);
						}
						BgL_arg2666z00_5373 =
							(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8317))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 877 */
						obj_t BgL_arg2671z00_5375;
						obj_t BgL_arg2673z00_5376;

						{
							BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8325;

							{
								obj_t BgL_auxz00_8326;

								{	/* Liveness/liveness.scm 877 */
									BgL_objectz00_bglt BgL_tmpz00_8327;

									BgL_tmpz00_8327 =
										((BgL_objectz00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nz00_4871));
									BgL_auxz00_8326 = BGL_OBJECT_WIDENING(BgL_tmpz00_8327);
								}
								BgL_auxz00_8325 =
									((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8326);
							}
							BgL_arg2671z00_5375 =
								(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8325))->
								BgL_outz00);
						}
						{
							BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8333;

							{
								obj_t BgL_auxz00_8334;

								{	/* Liveness/liveness.scm 877 */
									BgL_objectz00_bglt BgL_tmpz00_8335;

									BgL_tmpz00_8335 =
										((BgL_objectz00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nz00_4871));
									BgL_auxz00_8334 = BGL_OBJECT_WIDENING(BgL_tmpz00_8335);
								}
								BgL_auxz00_8333 =
									((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8334);
							}
							BgL_arg2673z00_5376 =
								(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8333))->
								BgL_defz00);
						}
						BgL_arg2667z00_5374 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2671z00_5375,
							BgL_arg2673z00_5376);
					}
					{	/* Liveness/liveness.scm 877 */
						obj_t BgL_list2668z00_5377;

						{	/* Liveness/liveness.scm 877 */
							obj_t BgL_arg2669z00_5378;

							BgL_arg2669z00_5378 = MAKE_YOUNG_PAIR(BgL_arg2667z00_5374, BNIL);
							BgL_list2668z00_5377 =
								MAKE_YOUNG_PAIR(BgL_arg2666z00_5373, BgL_arg2669z00_5378);
						}
						BgL_auxz00_8316 =
							BGl_unionz00zzliveness_setz00(BgL_list2668z00_5377);
					}
				}
				{
					obj_t BgL_auxz00_8310;

					{	/* Liveness/liveness.scm 877 */
						BgL_objectz00_bglt BgL_tmpz00_8311;

						BgL_tmpz00_8311 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4871));
						BgL_auxz00_8310 = BGL_OBJECT_WIDENING(BgL_tmpz00_8311);
					}
					BgL_auxz00_8309 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8310);
				}
				((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8309))->
						BgL_inz00) = ((obj_t) BgL_auxz00_8316), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 878 */
				obj_t BgL_arg2674z00_5379;
				obj_t BgL_arg2675z00_5380;

				BgL_arg2674z00_5379 =
					bgl_typeof(((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nz00_4871)));
				{	/* Liveness/liveness.scm 878 */
					obj_t BgL_arg2680z00_5381;

					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8349;

						{
							obj_t BgL_auxz00_8350;

							{	/* Liveness/liveness.scm 878 */
								BgL_objectz00_bglt BgL_tmpz00_8351;

								BgL_tmpz00_8351 =
									((BgL_objectz00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nz00_4871));
								BgL_auxz00_8350 = BGL_OBJECT_WIDENING(BgL_tmpz00_8351);
							}
							BgL_auxz00_8349 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8350);
						}
						BgL_arg2680z00_5381 =
							(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8349))->
							BgL_inz00);
					}
					BgL_arg2675z00_5380 =
						BGl_shapez00zztools_shapez00(BgL_arg2680z00_5381);
				}
				{	/* Liveness/liveness.scm 878 */
					obj_t BgL_list2676z00_5382;

					{	/* Liveness/liveness.scm 878 */
						obj_t BgL_arg2677z00_5383;

						{	/* Liveness/liveness.scm 878 */
							obj_t BgL_arg2678z00_5384;

							{	/* Liveness/liveness.scm 878 */
								obj_t BgL_arg2679z00_5385;

								BgL_arg2679z00_5385 =
									MAKE_YOUNG_PAIR(BgL_arg2675z00_5380, BNIL);
								BgL_arg2678z00_5384 =
									MAKE_YOUNG_PAIR(BGl_string3122z00zzliveness_livenessz00,
									BgL_arg2679z00_5385);
							}
							BgL_arg2677z00_5383 =
								MAKE_YOUNG_PAIR(BgL_arg2674z00_5379, BgL_arg2678z00_5384);
						}
						BgL_list2676z00_5382 =
							MAKE_YOUNG_PAIR(BGl_string3123z00zzliveness_livenessz00,
							BgL_arg2677z00_5383);
					}
					((bool_t) 0);
				}
			}
			{	/* Liveness/liveness.scm 879 */
				obj_t BgL_defz00_5386;

				{	/* Liveness/liveness.scm 880 */
					BgL_nodez00_bglt BgL_arg2687z00_5387;

					BgL_arg2687z00_5387 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nz00_4871))))->BgL_bodyz00);
					BgL_defz00_5386 =
						BGl_defusez00zzliveness_livenessz00(BgL_arg2687z00_5387);
				}
				{	/* Liveness/liveness.scm 880 */
					obj_t BgL_usez00_5388;

					{	/* Liveness/liveness.scm 881 */
						obj_t BgL_tmpz00_5389;

						{	/* Liveness/liveness.scm 881 */
							int BgL_tmpz00_8366;

							BgL_tmpz00_8366 = (int) (((long) 1));
							BgL_tmpz00_5389 = BGL_MVALUES_VAL(BgL_tmpz00_8366);
						}
						{	/* Liveness/liveness.scm 881 */
							int BgL_tmpz00_8369;

							BgL_tmpz00_8369 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_8369, BUNSPEC);
						}
						BgL_usez00_5388 = BgL_tmpz00_5389;
					}
					{	/* Liveness/liveness.scm 881 */
						obj_t BgL_inz00_5390;

						{	/* Liveness/liveness.scm 882 */
							BgL_nodez00_bglt BgL_arg2685z00_5391;
							obj_t BgL_arg2686z00_5392;

							BgL_arg2685z00_5391 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nz00_4871))))->BgL_bodyz00);
							{
								BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8375;

								{
									obj_t BgL_auxz00_8376;

									{	/* Liveness/liveness.scm 882 */
										BgL_objectz00_bglt BgL_tmpz00_8377;

										BgL_tmpz00_8377 =
											((BgL_objectz00_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nz00_4871));
										BgL_auxz00_8376 = BGL_OBJECT_WIDENING(BgL_tmpz00_8377);
									}
									BgL_auxz00_8375 =
										((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8376);
								}
								BgL_arg2686z00_5392 =
									(((BgL_letzd2varzf2livenessz20_bglt)
										COBJECT(BgL_auxz00_8375))->BgL_outz00);
							}
							BgL_inz00_5390 =
								BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2685z00_5391,
								BgL_arg2686z00_5392);
						}
						{	/* Liveness/liveness.scm 882 */
							obj_t BgL_outz00_5393;

							{	/* Liveness/liveness.scm 883 */
								obj_t BgL_tmpz00_5394;

								{	/* Liveness/liveness.scm 883 */
									int BgL_tmpz00_8384;

									BgL_tmpz00_8384 = (int) (((long) 1));
									BgL_tmpz00_5394 = BGL_MVALUES_VAL(BgL_tmpz00_8384);
								}
								{	/* Liveness/liveness.scm 883 */
									int BgL_tmpz00_8387;

									BgL_tmpz00_8387 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_8387, BUNSPEC);
								}
								BgL_outz00_5393 = BgL_tmpz00_5394;
							}
							{	/* Liveness/liveness.scm 883 */
								obj_t BgL_g1780z00_5395;

								BgL_g1780z00_5395 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nz00_4871))))->
									BgL_bindingsz00);
								{
									obj_t BgL_l1778z00_5397;

									BgL_l1778z00_5397 = BgL_g1780z00_5395;
								BgL_zc3z04anonymousza32681ze3z87_5396:
									if (PAIRP(BgL_l1778z00_5397))
										{	/* Liveness/liveness.scm 883 */
											{	/* Liveness/liveness.scm 884 */
												obj_t BgL_bz00_5398;

												BgL_bz00_5398 = CAR(BgL_l1778z00_5397);
												{	/* Liveness/liveness.scm 884 */
													obj_t BgL_arg2683z00_5399;

													BgL_arg2683z00_5399 = CDR(((obj_t) BgL_bz00_5398));
													BGl_inoutz12z12zzliveness_livenessz00(
														((BgL_nodez00_bglt) BgL_arg2683z00_5399),
														BgL_inz00_5390);
												}
											}
											{
												obj_t BgL_l1778z00_8400;

												BgL_l1778z00_8400 = CDR(BgL_l1778z00_5397);
												BgL_l1778z00_5397 = BgL_l1778z00_8400;
												goto BgL_zc3z04anonymousza32681ze3z87_5396;
											}
										}
									else
										{	/* Liveness/liveness.scm 883 */
											((bool_t) 1);
										}
								}
							}
						}
					}
				}
			}
			{	/* Liveness/liveness.scm 886 */
				obj_t BgL_val0_1781z00_5400;
				obj_t BgL_val1_1782z00_5401;

				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8402;

					{
						obj_t BgL_auxz00_8403;

						{	/* Liveness/liveness.scm 886 */
							BgL_objectz00_bglt BgL_tmpz00_8404;

							BgL_tmpz00_8404 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4871));
							BgL_auxz00_8403 = BGL_OBJECT_WIDENING(BgL_tmpz00_8404);
						}
						BgL_auxz00_8402 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8403);
					}
					BgL_val0_1781z00_5400 =
						(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8402))->
						BgL_inz00);
				}
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8410;

					{
						obj_t BgL_auxz00_8411;

						{	/* Liveness/liveness.scm 886 */
							BgL_objectz00_bglt BgL_tmpz00_8412;

							BgL_tmpz00_8412 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4871));
							BgL_auxz00_8411 = BGL_OBJECT_WIDENING(BgL_tmpz00_8412);
						}
						BgL_auxz00_8410 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8411);
					}
					BgL_val1_1782z00_5401 =
						(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8410))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 886 */
					int BgL_tmpz00_8418;

					BgL_tmpz00_8418 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8418);
				}
				{	/* Liveness/liveness.scm 886 */
					int BgL_tmpz00_8421;

					BgL_tmpz00_8421 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8421, BgL_val1_1782z00_5401);
				}
				return BgL_val0_1781z00_5400;
			}
		}

	}



/* &defuse-let-var/liven2045 */
	obj_t BGl_z62defusezd2letzd2varzf2liven2045z90zzliveness_livenessz00(obj_t
		BgL_envz00_4873, obj_t BgL_nz00_4874)
	{
		{	/* Liveness/liveness.scm 868 */
			{	/* Liveness/liveness.scm 870 */
				obj_t BgL_val0_1770z00_5403;
				obj_t BgL_val1_1771z00_5404;

				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8424;

					{
						obj_t BgL_auxz00_8425;

						{	/* Liveness/liveness.scm 870 */
							BgL_objectz00_bglt BgL_tmpz00_8426;

							BgL_tmpz00_8426 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4874));
							BgL_auxz00_8425 = BGL_OBJECT_WIDENING(BgL_tmpz00_8426);
						}
						BgL_auxz00_8424 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8425);
					}
					BgL_val0_1770z00_5403 =
						(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8424))->
						BgL_defz00);
				}
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8432;

					{
						obj_t BgL_auxz00_8433;

						{	/* Liveness/liveness.scm 870 */
							BgL_objectz00_bglt BgL_tmpz00_8434;

							BgL_tmpz00_8434 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4874));
							BgL_auxz00_8433 = BGL_OBJECT_WIDENING(BgL_tmpz00_8434);
						}
						BgL_auxz00_8432 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8433);
					}
					BgL_val1_1771z00_5404 =
						(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8432))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 870 */
					int BgL_tmpz00_8440;

					BgL_tmpz00_8440 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8440);
				}
				{	/* Liveness/liveness.scm 870 */
					int BgL_tmpz00_8443;

					BgL_tmpz00_8443 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8443, BgL_val1_1771z00_5404);
				}
				return BgL_val0_1770z00_5403;
			}
		}

	}



/* &defuse-let-var2043 */
	obj_t BGl_z62defusezd2letzd2var2043z62zzliveness_livenessz00(obj_t
		BgL_envz00_4875, obj_t BgL_nz00_4876)
	{
		{	/* Liveness/liveness.scm 846 */
			{	/* Liveness/liveness.scm 850 */
				obj_t BgL_defbindingsz00_5406;
				obj_t BgL_usebindingsz00_5407;

				BgL_defbindingsz00_5406 = BNIL;
				BgL_usebindingsz00_5407 = BNIL;
				{	/* Liveness/liveness.scm 852 */
					obj_t BgL_g1766z00_5408;

					BgL_g1766z00_5408 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_4876)))->BgL_bindingsz00);
					{
						obj_t BgL_l1764z00_5410;

						BgL_l1764z00_5410 = BgL_g1766z00_5408;
					BgL_zc3z04anonymousza32611ze3z87_5409:
						if (PAIRP(BgL_l1764z00_5410))
							{	/* Liveness/liveness.scm 852 */
								{	/* Liveness/liveness.scm 853 */
									obj_t BgL_bz00_5411;

									BgL_bz00_5411 = CAR(BgL_l1764z00_5410);
									{	/* Liveness/liveness.scm 853 */
										BgL_localz00_bglt BgL_tmp1358z00_5412;

										BgL_tmp1358z00_5412 =
											((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_5411)));
										{	/* Liveness/liveness.scm 853 */
											BgL_localzf2livenesszf2_bglt BgL_wide1360z00_5413;

											BgL_wide1360z00_5413 =
												((BgL_localzf2livenesszf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_localzf2livenesszf2_bgl))));
											{	/* Liveness/liveness.scm 853 */
												obj_t BgL_auxz00_8458;
												BgL_objectz00_bglt BgL_tmpz00_8455;

												BgL_auxz00_8458 = ((obj_t) BgL_wide1360z00_5413);
												BgL_tmpz00_8455 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt) BgL_tmp1358z00_5412));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8455,
													BgL_auxz00_8458);
											}
											((BgL_objectz00_bglt)
												((BgL_localz00_bglt) BgL_tmp1358z00_5412));
											{	/* Liveness/liveness.scm 853 */
												long BgL_arg2613z00_5414;

												BgL_arg2613z00_5414 =
													BGL_CLASS_NUM
													(BGl_localzf2livenesszf2zzliveness_typesz00);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_localz00_bglt) BgL_tmp1358z00_5412)),
													BgL_arg2613z00_5414);
											}
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_tmp1358z00_5412));
										}
										{
											BgL_localzf2livenesszf2_bglt BgL_auxz00_8469;

											{
												obj_t BgL_auxz00_8470;

												{	/* Liveness/liveness.scm 853 */
													BgL_objectz00_bglt BgL_tmpz00_8471;

													BgL_tmpz00_8471 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_tmp1358z00_5412));
													BgL_auxz00_8470 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8471);
												}
												BgL_auxz00_8469 =
													((BgL_localzf2livenesszf2_bglt) BgL_auxz00_8470);
											}
											((((BgL_localzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_8469))->BgL_z52countz52) =
												((int) (int) (((long) 0))), BUNSPEC);
										}
										((BgL_localz00_bglt) BgL_tmp1358z00_5412);
								}}
								{
									obj_t BgL_l1764z00_8479;

									BgL_l1764z00_8479 = CDR(BgL_l1764z00_5410);
									BgL_l1764z00_5410 = BgL_l1764z00_8479;
									goto BgL_zc3z04anonymousza32611ze3z87_5409;
								}
							}
						else
							{	/* Liveness/liveness.scm 852 */
								((bool_t) 1);
							}
					}
				}
				{	/* Liveness/liveness.scm 855 */
					obj_t BgL_g1769z00_5415;

					BgL_g1769z00_5415 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_4876)))->BgL_bindingsz00);
					{
						obj_t BgL_l1767z00_5417;

						BgL_l1767z00_5417 = BgL_g1769z00_5415;
					BgL_zc3z04anonymousza32616ze3z87_5416:
						if (PAIRP(BgL_l1767z00_5417))
							{	/* Liveness/liveness.scm 855 */
								{	/* Liveness/liveness.scm 856 */
									obj_t BgL_bz00_5418;

									BgL_bz00_5418 = CAR(BgL_l1767z00_5417);
									{	/* Liveness/liveness.scm 856 */
										obj_t BgL_defz00_5419;

										{	/* Liveness/liveness.scm 857 */
											obj_t BgL_arg2623z00_5420;

											BgL_arg2623z00_5420 = CDR(((obj_t) BgL_bz00_5418));
											BgL_defz00_5419 =
												BGl_defusez00zzliveness_livenessz00(
												((BgL_nodez00_bglt) BgL_arg2623z00_5420));
										}
										{	/* Liveness/liveness.scm 857 */
											obj_t BgL_usez00_5421;

											{	/* Liveness/liveness.scm 858 */
												obj_t BgL_tmpz00_5422;

												{	/* Liveness/liveness.scm 858 */
													int BgL_tmpz00_8490;

													BgL_tmpz00_8490 = (int) (((long) 1));
													BgL_tmpz00_5422 = BGL_MVALUES_VAL(BgL_tmpz00_8490);
												}
												{	/* Liveness/liveness.scm 858 */
													int BgL_tmpz00_8493;

													BgL_tmpz00_8493 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_tmpz00_8493, BUNSPEC);
												}
												BgL_usez00_5421 = BgL_tmpz00_5422;
											}
											{	/* Liveness/liveness.scm 858 */
												obj_t BgL_list2618z00_5423;

												{	/* Liveness/liveness.scm 858 */
													obj_t BgL_arg2619z00_5424;

													BgL_arg2619z00_5424 =
														MAKE_YOUNG_PAIR(BgL_defbindingsz00_5406, BNIL);
													BgL_list2618z00_5423 =
														MAKE_YOUNG_PAIR(BgL_defz00_5419,
														BgL_arg2619z00_5424);
												}
												BgL_defbindingsz00_5406 =
													BGl_unionz00zzliveness_setz00(BgL_list2618z00_5423);
											}
											{	/* Liveness/liveness.scm 859 */
												obj_t BgL_list2620z00_5425;

												{	/* Liveness/liveness.scm 859 */
													obj_t BgL_arg2622z00_5426;

													BgL_arg2622z00_5426 =
														MAKE_YOUNG_PAIR(BgL_usebindingsz00_5407, BNIL);
													BgL_list2620z00_5425 =
														MAKE_YOUNG_PAIR(BgL_usez00_5421,
														BgL_arg2622z00_5426);
												}
												BgL_usebindingsz00_5407 =
													BGl_unionz00zzliveness_setz00(BgL_list2620z00_5425);
								}}}}
								{
									obj_t BgL_l1767z00_8502;

									BgL_l1767z00_8502 = CDR(BgL_l1767z00_5417);
									BgL_l1767z00_5417 = BgL_l1767z00_8502;
									goto BgL_zc3z04anonymousza32616ze3z87_5416;
								}
							}
						else
							{	/* Liveness/liveness.scm 855 */
								((bool_t) 1);
							}
					}
				}
				{	/* Liveness/liveness.scm 861 */
					obj_t BgL_defbodyz00_5427;

					BgL_defbodyz00_5427 =
						BGl_defusez00zzliveness_livenessz00(
						(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_4876)))->BgL_bodyz00));
					{	/* Liveness/liveness.scm 862 */
						obj_t BgL_usebodyz00_5428;

						{	/* Liveness/liveness.scm 863 */
							obj_t BgL_tmpz00_5429;

							{	/* Liveness/liveness.scm 863 */
								int BgL_tmpz00_8507;

								BgL_tmpz00_8507 = (int) (((long) 1));
								BgL_tmpz00_5429 = BGL_MVALUES_VAL(BgL_tmpz00_8507);
							}
							{	/* Liveness/liveness.scm 863 */
								int BgL_tmpz00_8510;

								BgL_tmpz00_8510 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_8510, BUNSPEC);
							}
							BgL_usebodyz00_5428 = BgL_tmpz00_5429;
						}
						{	/* Liveness/liveness.scm 864 */
							BgL_letzd2varzd2_bglt BgL_arg2625z00_5430;

							{	/* Liveness/liveness.scm 864 */
								BgL_letzd2varzf2livenessz20_bglt BgL_wide1364z00_5431;

								BgL_wide1364z00_5431 =
									((BgL_letzd2varzf2livenessz20_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2varzf2livenessz20_bgl))));
								{	/* Liveness/liveness.scm 864 */
									obj_t BgL_auxz00_8518;
									BgL_objectz00_bglt BgL_tmpz00_8514;

									BgL_auxz00_8518 = ((obj_t) BgL_wide1364z00_5431);
									BgL_tmpz00_8514 =
										((BgL_objectz00_bglt)
										((BgL_letzd2varzd2_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nz00_4876)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8514, BgL_auxz00_8518);
								}
								((BgL_objectz00_bglt)
									((BgL_letzd2varzd2_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nz00_4876)));
								{	/* Liveness/liveness.scm 864 */
									long BgL_arg2626z00_5432;

									BgL_arg2626z00_5432 =
										BGL_CLASS_NUM
										(BGl_letzd2varzf2livenessz20zzliveness_typesz00);
									BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
												(BgL_letzd2varzd2_bglt) ((BgL_letzd2varzd2_bglt)
													BgL_nz00_4876))), BgL_arg2626z00_5432);
								}
								((BgL_letzd2varzd2_bglt)
									((BgL_letzd2varzd2_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nz00_4876)));
							}
							{
								obj_t BgL_auxz00_8540;
								BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8532;

								{	/* Liveness/liveness.scm 865 */
									obj_t BgL_list2627z00_5433;

									{	/* Liveness/liveness.scm 865 */
										obj_t BgL_arg2628z00_5434;

										BgL_arg2628z00_5434 =
											MAKE_YOUNG_PAIR(BgL_defbodyz00_5427, BNIL);
										BgL_list2627z00_5433 =
											MAKE_YOUNG_PAIR(BgL_defbindingsz00_5406,
											BgL_arg2628z00_5434);
									}
									BgL_auxz00_8540 =
										BGl_unionz00zzliveness_setz00(BgL_list2627z00_5433);
								}
								{
									obj_t BgL_auxz00_8533;

									{	/* Liveness/liveness.scm 865 */
										BgL_objectz00_bglt BgL_tmpz00_8534;

										BgL_tmpz00_8534 =
											((BgL_objectz00_bglt)
											((BgL_letzd2varzd2_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nz00_4876)));
										BgL_auxz00_8533 = BGL_OBJECT_WIDENING(BgL_tmpz00_8534);
									}
									BgL_auxz00_8532 =
										((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8533);
								}
								((((BgL_letzd2varzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8532))->BgL_defz00) =
									((obj_t) BgL_auxz00_8540), BUNSPEC);
							}
							{
								obj_t BgL_auxz00_8553;
								BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8545;

								{	/* Liveness/liveness.scm 866 */
									obj_t BgL_arg2630z00_5435;

									BgL_arg2630z00_5435 =
										BGl_disjonctionz00zzliveness_setz00(BgL_usebodyz00_5428,
										BgL_defbindingsz00_5406);
									{	/* Liveness/liveness.scm 866 */
										obj_t BgL_list2631z00_5436;

										{	/* Liveness/liveness.scm 866 */
											obj_t BgL_arg2632z00_5437;

											BgL_arg2632z00_5437 =
												MAKE_YOUNG_PAIR(BgL_arg2630z00_5435, BNIL);
											BgL_list2631z00_5436 =
												MAKE_YOUNG_PAIR(BgL_usebindingsz00_5407,
												BgL_arg2632z00_5437);
										}
										BgL_auxz00_8553 =
											BGl_unionz00zzliveness_setz00(BgL_list2631z00_5436);
								}}
								{
									obj_t BgL_auxz00_8546;

									{	/* Liveness/liveness.scm 866 */
										BgL_objectz00_bglt BgL_tmpz00_8547;

										BgL_tmpz00_8547 =
											((BgL_objectz00_bglt)
											((BgL_letzd2varzd2_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nz00_4876)));
										BgL_auxz00_8546 = BGL_OBJECT_WIDENING(BgL_tmpz00_8547);
									}
									BgL_auxz00_8545 =
										((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8546);
								}
								((((BgL_letzd2varzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8545))->BgL_usez00) =
									((obj_t) BgL_auxz00_8553), BUNSPEC);
							}
							{
								BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8559;

								{
									obj_t BgL_auxz00_8560;

									{	/* Liveness/liveness.scm 862 */
										BgL_objectz00_bglt BgL_tmpz00_8561;

										BgL_tmpz00_8561 =
											((BgL_objectz00_bglt)
											((BgL_letzd2varzd2_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nz00_4876)));
										BgL_auxz00_8560 = BGL_OBJECT_WIDENING(BgL_tmpz00_8561);
									}
									BgL_auxz00_8559 =
										((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8560);
								}
								((((BgL_letzd2varzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8559))->BgL_inz00) =
									((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8568;

								{
									obj_t BgL_auxz00_8569;

									{	/* Liveness/liveness.scm 862 */
										BgL_objectz00_bglt BgL_tmpz00_8570;

										BgL_tmpz00_8570 =
											((BgL_objectz00_bglt)
											((BgL_letzd2varzd2_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nz00_4876)));
										BgL_auxz00_8569 = BGL_OBJECT_WIDENING(BgL_tmpz00_8570);
									}
									BgL_auxz00_8568 =
										((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8569);
								}
								((((BgL_letzd2varzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8568))->BgL_outz00) =
									((obj_t) BNIL), BUNSPEC);
							}
							BgL_arg2625z00_5430 =
								((BgL_letzd2varzd2_bglt)
								((BgL_letzd2varzd2_bglt) BgL_nz00_4876));
							return
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2625z00_5430));
						}
					}
				}
			}
		}

	}



/* &inout-let-fun/livene2041 */
	obj_t BGl_z62inoutzd2letzd2funzf2livene2041z90zzliveness_livenessz00(obj_t
		BgL_envz00_4877, obj_t BgL_nz00_4878)
	{
		{	/* Liveness/liveness.scm 839 */
			{	/* Liveness/liveness.scm 841 */
				obj_t BgL_val0_1762z00_5439;
				obj_t BgL_val1_1763z00_5440;

				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8581;

					{
						obj_t BgL_auxz00_8582;

						{	/* Liveness/liveness.scm 841 */
							BgL_objectz00_bglt BgL_tmpz00_8583;

							BgL_tmpz00_8583 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4878));
							BgL_auxz00_8582 = BGL_OBJECT_WIDENING(BgL_tmpz00_8583);
						}
						BgL_auxz00_8581 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8582);
					}
					BgL_val0_1762z00_5439 =
						(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8581))->
						BgL_inz00);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8589;

					{
						obj_t BgL_auxz00_8590;

						{	/* Liveness/liveness.scm 841 */
							BgL_objectz00_bglt BgL_tmpz00_8591;

							BgL_tmpz00_8591 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4878));
							BgL_auxz00_8590 = BGL_OBJECT_WIDENING(BgL_tmpz00_8591);
						}
						BgL_auxz00_8589 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8590);
					}
					BgL_val1_1763z00_5440 =
						(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8589))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 841 */
					int BgL_tmpz00_8597;

					BgL_tmpz00_8597 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8597);
				}
				{	/* Liveness/liveness.scm 841 */
					int BgL_tmpz00_8600;

					BgL_tmpz00_8600 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8600, BgL_val1_1763z00_5440);
				}
				return BgL_val0_1762z00_5439;
			}
		}

	}



/* &inout!-let-fun/liven2039 */
	obj_t BGl_z62inoutz12zd2letzd2funzf2liven2039z82zzliveness_livenessz00(obj_t
		BgL_envz00_4879, obj_t BgL_nz00_4880, obj_t BgL_oz00_4881)
	{
		{	/* Liveness/liveness.scm 826 */
			{	/* Liveness/liveness.scm 828 */
				obj_t BgL_arg2588z00_5442;
				obj_t BgL_arg2590z00_5443;
				obj_t BgL_arg2591z00_5444;

				BgL_arg2588z00_5442 =
					bgl_typeof(((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nz00_4880)));
				{	/* Liveness/liveness.scm 828 */
					obj_t BgL_arg2599z00_5445;

					BgL_arg2599z00_5445 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt)
									((BgL_letzd2funzd2_bglt) BgL_nz00_4880))))->BgL_localsz00);
					BgL_arg2590z00_5443 =
						BGl_shapez00zztools_shapez00(BgL_arg2599z00_5445);
				}
				BgL_arg2591z00_5444 = BGl_shapez00zztools_shapez00(BgL_oz00_4881);
				{	/* Liveness/liveness.scm 828 */
					obj_t BgL_list2592z00_5446;

					{	/* Liveness/liveness.scm 828 */
						obj_t BgL_arg2593z00_5447;

						{	/* Liveness/liveness.scm 828 */
							obj_t BgL_arg2594z00_5448;

							{	/* Liveness/liveness.scm 828 */
								obj_t BgL_arg2595z00_5449;

								{	/* Liveness/liveness.scm 828 */
									obj_t BgL_arg2597z00_5450;

									{	/* Liveness/liveness.scm 828 */
										obj_t BgL_arg2598z00_5451;

										BgL_arg2598z00_5451 =
											MAKE_YOUNG_PAIR(BgL_arg2591z00_5444, BNIL);
										BgL_arg2597z00_5450 =
											MAKE_YOUNG_PAIR(BGl_string3119z00zzliveness_livenessz00,
											BgL_arg2598z00_5451);
									}
									BgL_arg2595z00_5449 =
										MAKE_YOUNG_PAIR(BgL_arg2590z00_5443, BgL_arg2597z00_5450);
								}
								BgL_arg2594z00_5448 =
									MAKE_YOUNG_PAIR(BGl_string3120z00zzliveness_livenessz00,
									BgL_arg2595z00_5449);
							}
							BgL_arg2593z00_5447 =
								MAKE_YOUNG_PAIR(BgL_arg2588z00_5442, BgL_arg2594z00_5448);
						}
						BgL_list2592z00_5446 =
							MAKE_YOUNG_PAIR(BGl_string3121z00zzliveness_livenessz00,
							BgL_arg2593z00_5447);
					}
					((bool_t) 0);
				}
			}
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8617;

				{
					obj_t BgL_auxz00_8618;

					{	/* Liveness/liveness.scm 829 */
						BgL_objectz00_bglt BgL_tmpz00_8619;

						BgL_tmpz00_8619 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4880));
						BgL_auxz00_8618 = BGL_OBJECT_WIDENING(BgL_tmpz00_8619);
					}
					BgL_auxz00_8617 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8618);
				}
				((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8617))->
						BgL_outz00) = ((obj_t) BgL_oz00_4881), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_8632;
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8625;

				{	/* Liveness/liveness.scm 830 */
					obj_t BgL_arg2600z00_5452;
					obj_t BgL_arg2601z00_5453;

					{
						BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8633;

						{
							obj_t BgL_auxz00_8634;

							{	/* Liveness/liveness.scm 830 */
								BgL_objectz00_bglt BgL_tmpz00_8635;

								BgL_tmpz00_8635 =
									((BgL_objectz00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_nz00_4880));
								BgL_auxz00_8634 = BGL_OBJECT_WIDENING(BgL_tmpz00_8635);
							}
							BgL_auxz00_8633 =
								((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8634);
						}
						BgL_arg2600z00_5452 =
							(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8633))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 830 */
						obj_t BgL_arg2604z00_5454;
						obj_t BgL_arg2605z00_5455;

						{
							BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8641;

							{
								obj_t BgL_auxz00_8642;

								{	/* Liveness/liveness.scm 830 */
									BgL_objectz00_bglt BgL_tmpz00_8643;

									BgL_tmpz00_8643 =
										((BgL_objectz00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nz00_4880));
									BgL_auxz00_8642 = BGL_OBJECT_WIDENING(BgL_tmpz00_8643);
								}
								BgL_auxz00_8641 =
									((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8642);
							}
							BgL_arg2604z00_5454 =
								(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8641))->
								BgL_outz00);
						}
						{
							BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8649;

							{
								obj_t BgL_auxz00_8650;

								{	/* Liveness/liveness.scm 830 */
									BgL_objectz00_bglt BgL_tmpz00_8651;

									BgL_tmpz00_8651 =
										((BgL_objectz00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nz00_4880));
									BgL_auxz00_8650 = BGL_OBJECT_WIDENING(BgL_tmpz00_8651);
								}
								BgL_auxz00_8649 =
									((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8650);
							}
							BgL_arg2605z00_5455 =
								(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8649))->
								BgL_defz00);
						}
						BgL_arg2601z00_5453 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2604z00_5454,
							BgL_arg2605z00_5455);
					}
					{	/* Liveness/liveness.scm 830 */
						obj_t BgL_list2602z00_5456;

						{	/* Liveness/liveness.scm 830 */
							obj_t BgL_arg2603z00_5457;

							BgL_arg2603z00_5457 = MAKE_YOUNG_PAIR(BgL_arg2601z00_5453, BNIL);
							BgL_list2602z00_5456 =
								MAKE_YOUNG_PAIR(BgL_arg2600z00_5452, BgL_arg2603z00_5457);
						}
						BgL_auxz00_8632 =
							BGl_unionz00zzliveness_setz00(BgL_list2602z00_5456);
					}
				}
				{
					obj_t BgL_auxz00_8626;

					{	/* Liveness/liveness.scm 830 */
						BgL_objectz00_bglt BgL_tmpz00_8627;

						BgL_tmpz00_8627 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4880));
						BgL_auxz00_8626 = BGL_OBJECT_WIDENING(BgL_tmpz00_8627);
					}
					BgL_auxz00_8625 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8626);
				}
				((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8625))->
						BgL_inz00) = ((obj_t) BgL_auxz00_8632), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 831 */
				obj_t BgL_g1759z00_5458;

				BgL_g1759z00_5458 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt)
								((BgL_letzd2funzd2_bglt) BgL_nz00_4880))))->BgL_localsz00);
				{
					obj_t BgL_l1757z00_5460;

					BgL_l1757z00_5460 = BgL_g1759z00_5458;
				BgL_zc3z04anonymousza32606ze3z87_5459:
					if (PAIRP(BgL_l1757z00_5460))
						{	/* Liveness/liveness.scm 831 */
							{	/* Liveness/liveness.scm 832 */
								obj_t BgL_funz00_5461;

								BgL_funz00_5461 = CAR(BgL_l1757z00_5460);
								{	/* Liveness/liveness.scm 833 */
									BgL_sfunz00_bglt BgL_i1355z00_5462;

									BgL_i1355z00_5462 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_funz00_5461))))->
											BgL_valuez00));
									{	/* Liveness/liveness.scm 834 */
										obj_t BgL_arg2608z00_5463;

										BgL_arg2608z00_5463 =
											(((BgL_sfunz00_bglt) COBJECT(BgL_i1355z00_5462))->
											BgL_bodyz00);
										BGl_inoutz12z12zzliveness_livenessz00(((BgL_nodez00_bglt)
												BgL_arg2608z00_5463), BgL_oz00_4881);
									}
								}
							}
							{
								obj_t BgL_l1757z00_8675;

								BgL_l1757z00_8675 = CDR(BgL_l1757z00_5460);
								BgL_l1757z00_5460 = BgL_l1757z00_8675;
								goto BgL_zc3z04anonymousza32606ze3z87_5459;
							}
						}
					else
						{	/* Liveness/liveness.scm 831 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 836 */
				BgL_nodez00_bglt BgL_arg2610z00_5464;

				BgL_arg2610z00_5464 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt)
								((BgL_letzd2funzd2_bglt) BgL_nz00_4880))))->BgL_bodyz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2610z00_5464,
					BgL_oz00_4881);
			}
			{	/* Liveness/liveness.scm 837 */
				obj_t BgL_val0_1760z00_5465;
				obj_t BgL_val1_1761z00_5466;

				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8681;

					{
						obj_t BgL_auxz00_8682;

						{	/* Liveness/liveness.scm 837 */
							BgL_objectz00_bglt BgL_tmpz00_8683;

							BgL_tmpz00_8683 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4880));
							BgL_auxz00_8682 = BGL_OBJECT_WIDENING(BgL_tmpz00_8683);
						}
						BgL_auxz00_8681 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8682);
					}
					BgL_val0_1760z00_5465 =
						(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8681))->
						BgL_inz00);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8689;

					{
						obj_t BgL_auxz00_8690;

						{	/* Liveness/liveness.scm 837 */
							BgL_objectz00_bglt BgL_tmpz00_8691;

							BgL_tmpz00_8691 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4880));
							BgL_auxz00_8690 = BGL_OBJECT_WIDENING(BgL_tmpz00_8691);
						}
						BgL_auxz00_8689 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8690);
					}
					BgL_val1_1761z00_5466 =
						(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8689))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 837 */
					int BgL_tmpz00_8697;

					BgL_tmpz00_8697 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8697);
				}
				{	/* Liveness/liveness.scm 837 */
					int BgL_tmpz00_8700;

					BgL_tmpz00_8700 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8700, BgL_val1_1761z00_5466);
				}
				return BgL_val0_1760z00_5465;
			}
		}

	}



/* &defuse-let-fun/liven2037 */
	obj_t BGl_z62defusezd2letzd2funzf2liven2037z90zzliveness_livenessz00(obj_t
		BgL_envz00_4882, obj_t BgL_nz00_4883)
	{
		{	/* Liveness/liveness.scm 822 */
			{	/* Liveness/liveness.scm 824 */
				obj_t BgL_val0_1755z00_5468;
				obj_t BgL_val1_1756z00_5469;

				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8703;

					{
						obj_t BgL_auxz00_8704;

						{	/* Liveness/liveness.scm 824 */
							BgL_objectz00_bglt BgL_tmpz00_8705;

							BgL_tmpz00_8705 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4883));
							BgL_auxz00_8704 = BGL_OBJECT_WIDENING(BgL_tmpz00_8705);
						}
						BgL_auxz00_8703 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8704);
					}
					BgL_val0_1755z00_5468 =
						(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8703))->
						BgL_defz00);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8711;

					{
						obj_t BgL_auxz00_8712;

						{	/* Liveness/liveness.scm 824 */
							BgL_objectz00_bglt BgL_tmpz00_8713;

							BgL_tmpz00_8713 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4883));
							BgL_auxz00_8712 = BGL_OBJECT_WIDENING(BgL_tmpz00_8713);
						}
						BgL_auxz00_8711 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8712);
					}
					BgL_val1_1756z00_5469 =
						(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8711))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 824 */
					int BgL_tmpz00_8719;

					BgL_tmpz00_8719 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8719);
				}
				{	/* Liveness/liveness.scm 824 */
					int BgL_tmpz00_8722;

					BgL_tmpz00_8722 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8722, BgL_val1_1756z00_5469);
				}
				return BgL_val0_1755z00_5468;
			}
		}

	}



/* &defuse-let-fun2035 */
	obj_t BGl_z62defusezd2letzd2fun2035z62zzliveness_livenessz00(obj_t
		BgL_envz00_4884, obj_t BgL_nz00_4885)
	{
		{	/* Liveness/liveness.scm 799 */
			{	/* Liveness/liveness.scm 803 */
				obj_t BgL_defbindingsz00_5471;
				obj_t BgL_usebindingsz00_5472;

				BgL_defbindingsz00_5471 = BNIL;
				BgL_usebindingsz00_5472 = BNIL;
				{	/* Liveness/liveness.scm 805 */
					obj_t BgL_g1751z00_5473;

					BgL_g1751z00_5473 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_4885)))->BgL_localsz00);
					{
						obj_t BgL_l1749z00_5475;

						BgL_l1749z00_5475 = BgL_g1751z00_5473;
					BgL_zc3z04anonymousza32564ze3z87_5474:
						if (PAIRP(BgL_l1749z00_5475))
							{	/* Liveness/liveness.scm 805 */
								{	/* Liveness/liveness.scm 806 */
									obj_t BgL_funz00_5476;

									BgL_funz00_5476 = CAR(BgL_l1749z00_5475);
									{	/* Liveness/liveness.scm 806 */
										BgL_localzf2livenesszf2_bglt BgL_wide1345z00_5477;

										BgL_wide1345z00_5477 =
											((BgL_localzf2livenesszf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_localzf2livenesszf2_bgl))));
										{	/* Liveness/liveness.scm 806 */
											obj_t BgL_auxz00_8735;
											BgL_objectz00_bglt BgL_tmpz00_8731;

											BgL_auxz00_8735 = ((obj_t) BgL_wide1345z00_5477);
											BgL_tmpz00_8731 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_funz00_5476)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8731, BgL_auxz00_8735);
										}
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_funz00_5476)));
										{	/* Liveness/liveness.scm 806 */
											long BgL_arg2567z00_5478;

											BgL_arg2567z00_5478 =
												BGL_CLASS_NUM
												(BGl_localzf2livenesszf2zzliveness_typesz00);
											BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
														(BgL_localz00_bglt) ((BgL_localz00_bglt)
															BgL_funz00_5476))), BgL_arg2567z00_5478);
										}
										((BgL_localz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_funz00_5476)));
									}
									{
										BgL_localzf2livenesszf2_bglt BgL_auxz00_8749;

										{
											obj_t BgL_auxz00_8750;

											{	/* Liveness/liveness.scm 806 */
												BgL_objectz00_bglt BgL_tmpz00_8751;

												BgL_tmpz00_8751 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_funz00_5476)));
												BgL_auxz00_8750 = BGL_OBJECT_WIDENING(BgL_tmpz00_8751);
											}
											BgL_auxz00_8749 =
												((BgL_localzf2livenesszf2_bglt) BgL_auxz00_8750);
										}
										((((BgL_localzf2livenesszf2_bglt)
													COBJECT(BgL_auxz00_8749))->BgL_z52countz52) =
											((int) (int) (((long) 0))), BUNSPEC);
									}
									((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_funz00_5476));
								}
								{
									obj_t BgL_l1749z00_8761;

									BgL_l1749z00_8761 = CDR(BgL_l1749z00_5475);
									BgL_l1749z00_5475 = BgL_l1749z00_8761;
									goto BgL_zc3z04anonymousza32564ze3z87_5474;
								}
							}
						else
							{	/* Liveness/liveness.scm 805 */
								((bool_t) 1);
							}
					}
				}
				{	/* Liveness/liveness.scm 808 */
					obj_t BgL_g1754z00_5479;

					BgL_g1754z00_5479 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_4885)))->BgL_localsz00);
					{
						obj_t BgL_l1752z00_5481;

						BgL_l1752z00_5481 = BgL_g1754z00_5479;
					BgL_zc3z04anonymousza32569ze3z87_5480:
						if (PAIRP(BgL_l1752z00_5481))
							{	/* Liveness/liveness.scm 808 */
								{	/* Liveness/liveness.scm 809 */
									obj_t BgL_funz00_5482;

									BgL_funz00_5482 = CAR(BgL_l1752z00_5481);
									{	/* Liveness/liveness.scm 809 */
										obj_t BgL_defz00_5483;

										{	/* Liveness/liveness.scm 811 */
											BgL_valuez00_bglt BgL_arg2578z00_5484;

											BgL_arg2578z00_5484 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_funz00_5482))))->
												BgL_valuez00);
											BgL_defz00_5483 =
												BGl_livenesszd2sfunz12zc0zzliveness_livenessz00((
													(BgL_sfunz00_bglt) BgL_arg2578z00_5484));
										}
										{	/* Liveness/liveness.scm 810 */
											obj_t BgL_usez00_5485;

											{	/* Liveness/liveness.scm 812 */
												obj_t BgL_tmpz00_5486;

												{	/* Liveness/liveness.scm 812 */
													int BgL_tmpz00_8773;

													BgL_tmpz00_8773 = (int) (((long) 1));
													BgL_tmpz00_5486 = BGL_MVALUES_VAL(BgL_tmpz00_8773);
												}
												{	/* Liveness/liveness.scm 812 */
													int BgL_tmpz00_8776;

													BgL_tmpz00_8776 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_tmpz00_8776, BUNSPEC);
												}
												BgL_usez00_5485 = BgL_tmpz00_5486;
											}
											{	/* Liveness/liveness.scm 812 */
												obj_t BgL_list2571z00_5487;

												{	/* Liveness/liveness.scm 812 */
													obj_t BgL_arg2573z00_5488;

													BgL_arg2573z00_5488 =
														MAKE_YOUNG_PAIR(BgL_defbindingsz00_5471, BNIL);
													BgL_list2571z00_5487 =
														MAKE_YOUNG_PAIR(BgL_defz00_5483,
														BgL_arg2573z00_5488);
												}
												BgL_defbindingsz00_5471 =
													BGl_unionz00zzliveness_setz00(BgL_list2571z00_5487);
											}
											{	/* Liveness/liveness.scm 813 */
												obj_t BgL_list2574z00_5489;

												{	/* Liveness/liveness.scm 813 */
													obj_t BgL_arg2576z00_5490;

													BgL_arg2576z00_5490 =
														MAKE_YOUNG_PAIR(BgL_usebindingsz00_5472, BNIL);
													BgL_list2574z00_5489 =
														MAKE_YOUNG_PAIR(BgL_usez00_5485,
														BgL_arg2576z00_5490);
												}
												BgL_usebindingsz00_5472 =
													BGl_unionz00zzliveness_setz00(BgL_list2574z00_5489);
								}}}}
								{
									obj_t BgL_l1752z00_8785;

									BgL_l1752z00_8785 = CDR(BgL_l1752z00_5481);
									BgL_l1752z00_5481 = BgL_l1752z00_8785;
									goto BgL_zc3z04anonymousza32569ze3z87_5480;
								}
							}
						else
							{	/* Liveness/liveness.scm 808 */
								((bool_t) 1);
							}
					}
				}
				{	/* Liveness/liveness.scm 815 */
					obj_t BgL_defbodyz00_5491;

					BgL_defbodyz00_5491 =
						BGl_defusez00zzliveness_livenessz00(
						(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_4885)))->BgL_bodyz00));
					{	/* Liveness/liveness.scm 816 */
						obj_t BgL_usebodyz00_5492;

						{	/* Liveness/liveness.scm 817 */
							obj_t BgL_tmpz00_5493;

							{	/* Liveness/liveness.scm 817 */
								int BgL_tmpz00_8790;

								BgL_tmpz00_8790 = (int) (((long) 1));
								BgL_tmpz00_5493 = BGL_MVALUES_VAL(BgL_tmpz00_8790);
							}
							{	/* Liveness/liveness.scm 817 */
								int BgL_tmpz00_8793;

								BgL_tmpz00_8793 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_8793, BUNSPEC);
							}
							BgL_usebodyz00_5492 = BgL_tmpz00_5493;
						}
						{	/* Liveness/liveness.scm 818 */
							BgL_letzd2funzd2_bglt BgL_arg2580z00_5494;

							{	/* Liveness/liveness.scm 818 */
								BgL_letzd2funzf2livenessz20_bglt BgL_wide1350z00_5495;

								BgL_wide1350z00_5495 =
									((BgL_letzd2funzf2livenessz20_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2funzf2livenessz20_bgl))));
								{	/* Liveness/liveness.scm 818 */
									obj_t BgL_auxz00_8801;
									BgL_objectz00_bglt BgL_tmpz00_8797;

									BgL_auxz00_8801 = ((obj_t) BgL_wide1350z00_5495);
									BgL_tmpz00_8797 =
										((BgL_objectz00_bglt)
										((BgL_letzd2funzd2_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nz00_4885)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8797, BgL_auxz00_8801);
								}
								((BgL_objectz00_bglt)
									((BgL_letzd2funzd2_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nz00_4885)));
								{	/* Liveness/liveness.scm 818 */
									long BgL_arg2581z00_5496;

									BgL_arg2581z00_5496 =
										BGL_CLASS_NUM
										(BGl_letzd2funzf2livenessz20zzliveness_typesz00);
									BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
												(BgL_letzd2funzd2_bglt) ((BgL_letzd2funzd2_bglt)
													BgL_nz00_4885))), BgL_arg2581z00_5496);
								}
								((BgL_letzd2funzd2_bglt)
									((BgL_letzd2funzd2_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nz00_4885)));
							}
							{
								obj_t BgL_auxz00_8823;
								BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8815;

								{	/* Liveness/liveness.scm 819 */
									obj_t BgL_list2582z00_5497;

									{	/* Liveness/liveness.scm 819 */
										obj_t BgL_arg2583z00_5498;

										BgL_arg2583z00_5498 =
											MAKE_YOUNG_PAIR(BgL_defbindingsz00_5471, BNIL);
										BgL_list2582z00_5497 =
											MAKE_YOUNG_PAIR(BgL_defbodyz00_5491, BgL_arg2583z00_5498);
									}
									BgL_auxz00_8823 =
										BGl_unionz00zzliveness_setz00(BgL_list2582z00_5497);
								}
								{
									obj_t BgL_auxz00_8816;

									{	/* Liveness/liveness.scm 819 */
										BgL_objectz00_bglt BgL_tmpz00_8817;

										BgL_tmpz00_8817 =
											((BgL_objectz00_bglt)
											((BgL_letzd2funzd2_bglt)
												((BgL_letzd2funzd2_bglt) BgL_nz00_4885)));
										BgL_auxz00_8816 = BGL_OBJECT_WIDENING(BgL_tmpz00_8817);
									}
									BgL_auxz00_8815 =
										((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8816);
								}
								((((BgL_letzd2funzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8815))->BgL_defz00) =
									((obj_t) BgL_auxz00_8823), BUNSPEC);
							}
							{
								obj_t BgL_auxz00_8836;
								BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8828;

								{	/* Liveness/liveness.scm 820 */
									obj_t BgL_list2584z00_5499;

									{	/* Liveness/liveness.scm 820 */
										obj_t BgL_arg2585z00_5500;

										BgL_arg2585z00_5500 =
											MAKE_YOUNG_PAIR(BgL_usebindingsz00_5472, BNIL);
										BgL_list2584z00_5499 =
											MAKE_YOUNG_PAIR(BgL_usebodyz00_5492, BgL_arg2585z00_5500);
									}
									BgL_auxz00_8836 =
										BGl_unionz00zzliveness_setz00(BgL_list2584z00_5499);
								}
								{
									obj_t BgL_auxz00_8829;

									{	/* Liveness/liveness.scm 820 */
										BgL_objectz00_bglt BgL_tmpz00_8830;

										BgL_tmpz00_8830 =
											((BgL_objectz00_bglt)
											((BgL_letzd2funzd2_bglt)
												((BgL_letzd2funzd2_bglt) BgL_nz00_4885)));
										BgL_auxz00_8829 = BGL_OBJECT_WIDENING(BgL_tmpz00_8830);
									}
									BgL_auxz00_8828 =
										((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8829);
								}
								((((BgL_letzd2funzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8828))->BgL_usez00) =
									((obj_t) BgL_auxz00_8836), BUNSPEC);
							}
							{
								BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8841;

								{
									obj_t BgL_auxz00_8842;

									{	/* Liveness/liveness.scm 816 */
										BgL_objectz00_bglt BgL_tmpz00_8843;

										BgL_tmpz00_8843 =
											((BgL_objectz00_bglt)
											((BgL_letzd2funzd2_bglt)
												((BgL_letzd2funzd2_bglt) BgL_nz00_4885)));
										BgL_auxz00_8842 = BGL_OBJECT_WIDENING(BgL_tmpz00_8843);
									}
									BgL_auxz00_8841 =
										((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8842);
								}
								((((BgL_letzd2funzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8841))->BgL_inz00) =
									((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8850;

								{
									obj_t BgL_auxz00_8851;

									{	/* Liveness/liveness.scm 816 */
										BgL_objectz00_bglt BgL_tmpz00_8852;

										BgL_tmpz00_8852 =
											((BgL_objectz00_bglt)
											((BgL_letzd2funzd2_bglt)
												((BgL_letzd2funzd2_bglt) BgL_nz00_4885)));
										BgL_auxz00_8851 = BGL_OBJECT_WIDENING(BgL_tmpz00_8852);
									}
									BgL_auxz00_8850 =
										((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8851);
								}
								((((BgL_letzd2funzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8850))->BgL_outz00) =
									((obj_t) BNIL), BUNSPEC);
							}
							BgL_arg2580z00_5494 =
								((BgL_letzd2funzd2_bglt)
								((BgL_letzd2funzd2_bglt) BgL_nz00_4885));
							return
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2580z00_5494));
						}
					}
				}
			}
		}

	}



/* &inout-switch/livenes2033 */
	obj_t BGl_z62inoutzd2switchzf2livenes2033z42zzliveness_livenessz00(obj_t
		BgL_envz00_4886, obj_t BgL_nz00_4887)
	{
		{	/* Liveness/liveness.scm 792 */
			{	/* Liveness/liveness.scm 794 */
				obj_t BgL_val0_1747z00_5502;
				obj_t BgL_val1_1748z00_5503;

				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_8863;

					{
						obj_t BgL_auxz00_8864;

						{	/* Liveness/liveness.scm 794 */
							BgL_objectz00_bglt BgL_tmpz00_8865;

							BgL_tmpz00_8865 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4887));
							BgL_auxz00_8864 = BGL_OBJECT_WIDENING(BgL_tmpz00_8865);
						}
						BgL_auxz00_8863 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8864);
					}
					BgL_val0_1747z00_5502 =
						(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8863))->
						BgL_inz00);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_8871;

					{
						obj_t BgL_auxz00_8872;

						{	/* Liveness/liveness.scm 794 */
							BgL_objectz00_bglt BgL_tmpz00_8873;

							BgL_tmpz00_8873 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4887));
							BgL_auxz00_8872 = BGL_OBJECT_WIDENING(BgL_tmpz00_8873);
						}
						BgL_auxz00_8871 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8872);
					}
					BgL_val1_1748z00_5503 =
						(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8871))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 794 */
					int BgL_tmpz00_8879;

					BgL_tmpz00_8879 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8879);
				}
				{	/* Liveness/liveness.scm 794 */
					int BgL_tmpz00_8882;

					BgL_tmpz00_8882 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8882, BgL_val1_1748z00_5503);
				}
				return BgL_val0_1747z00_5502;
			}
		}

	}



/* &inout!-switch/livene2031 */
	obj_t BGl_z62inoutz12zd2switchzf2livene2031z50zzliveness_livenessz00(obj_t
		BgL_envz00_4888, obj_t BgL_nz00_4889, obj_t BgL_oz00_4890)
	{
		{	/* Liveness/liveness.scm 782 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_8885;

				{
					obj_t BgL_auxz00_8886;

					{	/* Liveness/liveness.scm 784 */
						BgL_objectz00_bglt BgL_tmpz00_8887;

						BgL_tmpz00_8887 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4889));
						BgL_auxz00_8886 = BGL_OBJECT_WIDENING(BgL_tmpz00_8887);
					}
					BgL_auxz00_8885 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8886);
				}
				((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8885))->
						BgL_outz00) = ((obj_t) BgL_oz00_4890), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_8900;
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_8893;

				{	/* Liveness/liveness.scm 785 */
					obj_t BgL_arg2547z00_5505;
					obj_t BgL_arg2548z00_5506;

					{
						BgL_switchzf2livenesszf2_bglt BgL_auxz00_8901;

						{
							obj_t BgL_auxz00_8902;

							{	/* Liveness/liveness.scm 785 */
								BgL_objectz00_bglt BgL_tmpz00_8903;

								BgL_tmpz00_8903 =
									((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4889));
								BgL_auxz00_8902 = BGL_OBJECT_WIDENING(BgL_tmpz00_8903);
							}
							BgL_auxz00_8901 =
								((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8902);
						}
						BgL_arg2547z00_5505 =
							(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8901))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 785 */
						obj_t BgL_arg2552z00_5507;
						obj_t BgL_arg2557z00_5508;

						{
							BgL_switchzf2livenesszf2_bglt BgL_auxz00_8909;

							{
								obj_t BgL_auxz00_8910;

								{	/* Liveness/liveness.scm 785 */
									BgL_objectz00_bglt BgL_tmpz00_8911;

									BgL_tmpz00_8911 =
										((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4889));
									BgL_auxz00_8910 = BGL_OBJECT_WIDENING(BgL_tmpz00_8911);
								}
								BgL_auxz00_8909 =
									((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8910);
							}
							BgL_arg2552z00_5507 =
								(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8909))->
								BgL_outz00);
						}
						{
							BgL_switchzf2livenesszf2_bglt BgL_auxz00_8917;

							{
								obj_t BgL_auxz00_8918;

								{	/* Liveness/liveness.scm 785 */
									BgL_objectz00_bglt BgL_tmpz00_8919;

									BgL_tmpz00_8919 =
										((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4889));
									BgL_auxz00_8918 = BGL_OBJECT_WIDENING(BgL_tmpz00_8919);
								}
								BgL_auxz00_8917 =
									((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8918);
							}
							BgL_arg2557z00_5508 =
								(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8917))->
								BgL_defz00);
						}
						BgL_arg2548z00_5506 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2552z00_5507,
							BgL_arg2557z00_5508);
					}
					{	/* Liveness/liveness.scm 785 */
						obj_t BgL_list2549z00_5509;

						{	/* Liveness/liveness.scm 785 */
							obj_t BgL_arg2551z00_5510;

							BgL_arg2551z00_5510 = MAKE_YOUNG_PAIR(BgL_arg2548z00_5506, BNIL);
							BgL_list2549z00_5509 =
								MAKE_YOUNG_PAIR(BgL_arg2547z00_5505, BgL_arg2551z00_5510);
						}
						BgL_auxz00_8900 =
							BGl_unionz00zzliveness_setz00(BgL_list2549z00_5509);
					}
				}
				{
					obj_t BgL_auxz00_8894;

					{	/* Liveness/liveness.scm 785 */
						BgL_objectz00_bglt BgL_tmpz00_8895;

						BgL_tmpz00_8895 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4889));
						BgL_auxz00_8894 = BGL_OBJECT_WIDENING(BgL_tmpz00_8895);
					}
					BgL_auxz00_8893 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8894);
				}
				((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8893))->
						BgL_inz00) = ((obj_t) BgL_auxz00_8900), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 788 */
				BgL_nodez00_bglt BgL_arg2559z00_5511;

				BgL_arg2559z00_5511 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_nz00_4889))))->BgL_testz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2559z00_5511,
					BgL_oz00_4890);
			}
			{	/* Liveness/liveness.scm 789 */
				obj_t BgL_g1744z00_5512;

				BgL_g1744z00_5512 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_nz00_4889))))->BgL_clausesz00);
				{
					obj_t BgL_l1742z00_5514;

					BgL_l1742z00_5514 = BgL_g1744z00_5512;
				BgL_zc3z04anonymousza32560ze3z87_5513:
					if (PAIRP(BgL_l1742z00_5514))
						{	/* Liveness/liveness.scm 789 */
							{	/* Liveness/liveness.scm 789 */
								obj_t BgL_cz00_5515;

								BgL_cz00_5515 = CAR(BgL_l1742z00_5514);
								{	/* Liveness/liveness.scm 789 */
									obj_t BgL_arg2562z00_5516;

									BgL_arg2562z00_5516 = CDR(((obj_t) BgL_cz00_5515));
									BGl_inoutz12z12zzliveness_livenessz00(
										((BgL_nodez00_bglt) BgL_arg2562z00_5516), BgL_oz00_4890);
								}
							}
							{
								obj_t BgL_l1742z00_8944;

								BgL_l1742z00_8944 = CDR(BgL_l1742z00_5514);
								BgL_l1742z00_5514 = BgL_l1742z00_8944;
								goto BgL_zc3z04anonymousza32560ze3z87_5513;
							}
						}
					else
						{	/* Liveness/liveness.scm 789 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 790 */
				obj_t BgL_val0_1745z00_5517;
				obj_t BgL_val1_1746z00_5518;

				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_8946;

					{
						obj_t BgL_auxz00_8947;

						{	/* Liveness/liveness.scm 790 */
							BgL_objectz00_bglt BgL_tmpz00_8948;

							BgL_tmpz00_8948 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4889));
							BgL_auxz00_8947 = BGL_OBJECT_WIDENING(BgL_tmpz00_8948);
						}
						BgL_auxz00_8946 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8947);
					}
					BgL_val0_1745z00_5517 =
						(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8946))->
						BgL_inz00);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_8954;

					{
						obj_t BgL_auxz00_8955;

						{	/* Liveness/liveness.scm 790 */
							BgL_objectz00_bglt BgL_tmpz00_8956;

							BgL_tmpz00_8956 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4889));
							BgL_auxz00_8955 = BGL_OBJECT_WIDENING(BgL_tmpz00_8956);
						}
						BgL_auxz00_8954 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8955);
					}
					BgL_val1_1746z00_5518 =
						(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8954))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 790 */
					int BgL_tmpz00_8962;

					BgL_tmpz00_8962 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8962);
				}
				{	/* Liveness/liveness.scm 790 */
					int BgL_tmpz00_8965;

					BgL_tmpz00_8965 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8965, BgL_val1_1746z00_5518);
				}
				return BgL_val0_1745z00_5517;
			}
		}

	}



/* &defuse-switch/livene2029 */
	obj_t BGl_z62defusezd2switchzf2livene2029z42zzliveness_livenessz00(obj_t
		BgL_envz00_4891, obj_t BgL_nz00_4892)
	{
		{	/* Liveness/liveness.scm 778 */
			{	/* Liveness/liveness.scm 780 */
				obj_t BgL_val0_1740z00_5520;
				obj_t BgL_val1_1741z00_5521;

				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_8968;

					{
						obj_t BgL_auxz00_8969;

						{	/* Liveness/liveness.scm 780 */
							BgL_objectz00_bglt BgL_tmpz00_8970;

							BgL_tmpz00_8970 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4892));
							BgL_auxz00_8969 = BGL_OBJECT_WIDENING(BgL_tmpz00_8970);
						}
						BgL_auxz00_8968 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8969);
					}
					BgL_val0_1740z00_5520 =
						(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8968))->
						BgL_defz00);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_8976;

					{
						obj_t BgL_auxz00_8977;

						{	/* Liveness/liveness.scm 780 */
							BgL_objectz00_bglt BgL_tmpz00_8978;

							BgL_tmpz00_8978 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4892));
							BgL_auxz00_8977 = BGL_OBJECT_WIDENING(BgL_tmpz00_8978);
						}
						BgL_auxz00_8976 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8977);
					}
					BgL_val1_1741z00_5521 =
						(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8976))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 780 */
					int BgL_tmpz00_8984;

					BgL_tmpz00_8984 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8984);
				}
				{	/* Liveness/liveness.scm 780 */
					int BgL_tmpz00_8987;

					BgL_tmpz00_8987 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8987, BgL_val1_1741z00_5521);
				}
				return BgL_val0_1740z00_5520;
			}
		}

	}



/* &defuse-switch2027 */
	obj_t BGl_z62defusezd2switch2027zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4893, obj_t BgL_nz00_4894)
	{
		{	/* Liveness/liveness.scm 760 */
			{	/* Liveness/liveness.scm 762 */
				obj_t BgL_deftestz00_5523;

				BgL_deftestz00_5523 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_4894)))->BgL_testz00));
				{	/* Liveness/liveness.scm 763 */
					obj_t BgL_usetestz00_5524;

					{	/* Liveness/liveness.scm 765 */
						obj_t BgL_tmpz00_5525;

						{	/* Liveness/liveness.scm 765 */
							int BgL_tmpz00_8993;

							BgL_tmpz00_8993 = (int) (((long) 1));
							BgL_tmpz00_5525 = BGL_MVALUES_VAL(BgL_tmpz00_8993);
						}
						{	/* Liveness/liveness.scm 765 */
							int BgL_tmpz00_8996;

							BgL_tmpz00_8996 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_8996, BUNSPEC);
						}
						BgL_usetestz00_5524 = BgL_tmpz00_5525;
					}
					{	/* Liveness/liveness.scm 765 */
						obj_t BgL_defsz00_5526;
						obj_t BgL_usesz00_5527;

						BgL_defsz00_5526 = BNIL;
						BgL_usesz00_5527 = BNIL;
						{	/* Liveness/liveness.scm 767 */
							obj_t BgL_g1739z00_5528;

							BgL_g1739z00_5528 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nz00_4894)))->BgL_clausesz00);
							{
								obj_t BgL_l1737z00_5530;

								BgL_l1737z00_5530 = BgL_g1739z00_5528;
							BgL_zc3z04anonymousza32522ze3z87_5529:
								if (PAIRP(BgL_l1737z00_5530))
									{	/* Liveness/liveness.scm 767 */
										{	/* Liveness/liveness.scm 768 */
											obj_t BgL_clausez00_5531;

											BgL_clausez00_5531 = CAR(BgL_l1737z00_5530);
											{	/* Liveness/liveness.scm 768 */
												obj_t BgL_defz00_5532;

												{	/* Liveness/liveness.scm 769 */
													obj_t BgL_arg2525z00_5533;

													BgL_arg2525z00_5533 =
														CDR(((obj_t) BgL_clausez00_5531));
													BgL_defz00_5532 =
														BGl_defusez00zzliveness_livenessz00(
														((BgL_nodez00_bglt) BgL_arg2525z00_5533));
												}
												{	/* Liveness/liveness.scm 769 */
													obj_t BgL_usez00_5534;

													{	/* Liveness/liveness.scm 770 */
														obj_t BgL_tmpz00_5535;

														{	/* Liveness/liveness.scm 770 */
															int BgL_tmpz00_9008;

															BgL_tmpz00_9008 = (int) (((long) 1));
															BgL_tmpz00_5535 =
																BGL_MVALUES_VAL(BgL_tmpz00_9008);
														}
														{	/* Liveness/liveness.scm 770 */
															int BgL_tmpz00_9011;

															BgL_tmpz00_9011 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_9011, BUNSPEC);
														}
														BgL_usez00_5534 = BgL_tmpz00_5535;
													}
													BgL_defsz00_5526 =
														MAKE_YOUNG_PAIR(BgL_defz00_5532, BgL_defsz00_5526);
													BgL_usesz00_5527 =
														MAKE_YOUNG_PAIR(BgL_usez00_5534, BgL_usesz00_5527);
										}}}
										{
											obj_t BgL_l1737z00_9016;

											BgL_l1737z00_9016 = CDR(BgL_l1737z00_5530);
											BgL_l1737z00_5530 = BgL_l1737z00_9016;
											goto BgL_zc3z04anonymousza32522ze3z87_5529;
										}
									}
								else
									{	/* Liveness/liveness.scm 767 */
										((bool_t) 1);
									}
							}
						}
						{	/* Liveness/liveness.scm 774 */
							BgL_switchz00_bglt BgL_arg2527z00_5536;

							{	/* Liveness/liveness.scm 774 */
								BgL_switchzf2livenesszf2_bglt BgL_wide1337z00_5537;

								BgL_wide1337z00_5537 =
									((BgL_switchzf2livenesszf2_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_switchzf2livenesszf2_bgl))));
								{	/* Liveness/liveness.scm 774 */
									obj_t BgL_auxz00_9023;
									BgL_objectz00_bglt BgL_tmpz00_9019;

									BgL_auxz00_9023 = ((obj_t) BgL_wide1337z00_5537);
									BgL_tmpz00_9019 =
										((BgL_objectz00_bglt)
										((BgL_switchz00_bglt)
											((BgL_switchz00_bglt) BgL_nz00_4894)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9019, BgL_auxz00_9023);
								}
								((BgL_objectz00_bglt)
									((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4894)));
								{	/* Liveness/liveness.scm 774 */
									long BgL_arg2530z00_5538;

									BgL_arg2530z00_5538 =
										BGL_CLASS_NUM(BGl_switchzf2livenesszf2zzliveness_typesz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_switchz00_bglt)
												((BgL_switchz00_bglt) BgL_nz00_4894))),
										BgL_arg2530z00_5538);
								}
								((BgL_switchz00_bglt)
									((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4894)));
							}
							{
								obj_t BgL_auxz00_9045;
								BgL_switchzf2livenesszf2_bglt BgL_auxz00_9037;

								{	/* Liveness/liveness.scm 775 */
									obj_t BgL_arg2531z00_5539;

									{	/* Liveness/liveness.scm 775 */
										obj_t BgL_runner2536z00_5540;

										BgL_runner2536z00_5540 = BgL_defsz00_5526;
										BgL_arg2531z00_5539 =
											BGl_intersectionz00zzliveness_setz00
											(BgL_runner2536z00_5540);
									}
									{	/* Liveness/liveness.scm 775 */
										obj_t BgL_list2532z00_5541;

										{	/* Liveness/liveness.scm 775 */
											obj_t BgL_arg2535z00_5542;

											BgL_arg2535z00_5542 =
												MAKE_YOUNG_PAIR(BgL_arg2531z00_5539, BNIL);
											BgL_list2532z00_5541 =
												MAKE_YOUNG_PAIR(BgL_deftestz00_5523,
												BgL_arg2535z00_5542);
										}
										BgL_auxz00_9045 =
											BGl_unionz00zzliveness_setz00(BgL_list2532z00_5541);
								}}
								{
									obj_t BgL_auxz00_9038;

									{	/* Liveness/liveness.scm 775 */
										BgL_objectz00_bglt BgL_tmpz00_9039;

										BgL_tmpz00_9039 =
											((BgL_objectz00_bglt)
											((BgL_switchz00_bglt)
												((BgL_switchz00_bglt) BgL_nz00_4894)));
										BgL_auxz00_9038 = BGL_OBJECT_WIDENING(BgL_tmpz00_9039);
									}
									BgL_auxz00_9037 =
										((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_9038);
								}
								((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9037))->
										BgL_defz00) = ((obj_t) BgL_auxz00_9045), BUNSPEC);
							}
							{
								obj_t BgL_auxz00_9059;
								BgL_switchzf2livenesszf2_bglt BgL_auxz00_9051;

								{	/* Liveness/liveness.scm 776 */
									obj_t BgL_arg2537z00_5543;

									{	/* Liveness/liveness.scm 776 */
										obj_t BgL_arg2542z00_5544;

										{	/* Liveness/liveness.scm 776 */
											obj_t BgL_runner2543z00_5545;

											BgL_runner2543z00_5545 = BgL_usesz00_5527;
											BgL_arg2542z00_5544 =
												BGl_unionz00zzliveness_setz00(BgL_runner2543z00_5545);
										}
										BgL_arg2537z00_5543 =
											BGl_disjonctionz00zzliveness_setz00(BgL_arg2542z00_5544,
											BgL_deftestz00_5523);
									}
									{	/* Liveness/liveness.scm 776 */
										obj_t BgL_list2538z00_5546;

										{	/* Liveness/liveness.scm 776 */
											obj_t BgL_arg2541z00_5547;

											BgL_arg2541z00_5547 =
												MAKE_YOUNG_PAIR(BgL_arg2537z00_5543, BNIL);
											BgL_list2538z00_5546 =
												MAKE_YOUNG_PAIR(BgL_usetestz00_5524,
												BgL_arg2541z00_5547);
										}
										BgL_auxz00_9059 =
											BGl_unionz00zzliveness_setz00(BgL_list2538z00_5546);
								}}
								{
									obj_t BgL_auxz00_9052;

									{	/* Liveness/liveness.scm 776 */
										BgL_objectz00_bglt BgL_tmpz00_9053;

										BgL_tmpz00_9053 =
											((BgL_objectz00_bglt)
											((BgL_switchz00_bglt)
												((BgL_switchz00_bglt) BgL_nz00_4894)));
										BgL_auxz00_9052 = BGL_OBJECT_WIDENING(BgL_tmpz00_9053);
									}
									BgL_auxz00_9051 =
										((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_9052);
								}
								((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9051))->
										BgL_usez00) = ((obj_t) BgL_auxz00_9059), BUNSPEC);
							}
							{
								BgL_switchzf2livenesszf2_bglt BgL_auxz00_9066;

								{
									obj_t BgL_auxz00_9067;

									{	/* Liveness/liveness.scm 765 */
										BgL_objectz00_bglt BgL_tmpz00_9068;

										BgL_tmpz00_9068 =
											((BgL_objectz00_bglt)
											((BgL_switchz00_bglt)
												((BgL_switchz00_bglt) BgL_nz00_4894)));
										BgL_auxz00_9067 = BGL_OBJECT_WIDENING(BgL_tmpz00_9068);
									}
									BgL_auxz00_9066 =
										((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_9067);
								}
								((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9066))->
										BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_switchzf2livenesszf2_bglt BgL_auxz00_9075;

								{
									obj_t BgL_auxz00_9076;

									{	/* Liveness/liveness.scm 765 */
										BgL_objectz00_bglt BgL_tmpz00_9077;

										BgL_tmpz00_9077 =
											((BgL_objectz00_bglt)
											((BgL_switchz00_bglt)
												((BgL_switchz00_bglt) BgL_nz00_4894)));
										BgL_auxz00_9076 = BGL_OBJECT_WIDENING(BgL_tmpz00_9077);
									}
									BgL_auxz00_9075 =
										((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_9076);
								}
								((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9075))->
										BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
							}
							BgL_arg2527z00_5536 =
								((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4894));
							return
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2527z00_5536));
						}
					}
				}
			}
		}

	}



/* &inout-fail/liveness2025 */
	obj_t BGl_z62inoutzd2failzf2liveness2025z42zzliveness_livenessz00(obj_t
		BgL_envz00_4895, obj_t BgL_nz00_4896)
	{
		{	/* Liveness/liveness.scm 753 */
			{	/* Liveness/liveness.scm 755 */
				obj_t BgL_val0_1735z00_5549;
				obj_t BgL_val1_1736z00_5550;

				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_9088;

					{
						obj_t BgL_auxz00_9089;

						{	/* Liveness/liveness.scm 755 */
							BgL_objectz00_bglt BgL_tmpz00_9090;

							BgL_tmpz00_9090 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4896));
							BgL_auxz00_9089 = BGL_OBJECT_WIDENING(BgL_tmpz00_9090);
						}
						BgL_auxz00_9088 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9089);
					}
					BgL_val0_1735z00_5549 =
						(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9088))->
						BgL_inz00);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_9096;

					{
						obj_t BgL_auxz00_9097;

						{	/* Liveness/liveness.scm 755 */
							BgL_objectz00_bglt BgL_tmpz00_9098;

							BgL_tmpz00_9098 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4896));
							BgL_auxz00_9097 = BGL_OBJECT_WIDENING(BgL_tmpz00_9098);
						}
						BgL_auxz00_9096 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9097);
					}
					BgL_val1_1736z00_5550 =
						(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9096))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 755 */
					int BgL_tmpz00_9104;

					BgL_tmpz00_9104 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9104);
				}
				{	/* Liveness/liveness.scm 755 */
					int BgL_tmpz00_9107;

					BgL_tmpz00_9107 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9107, BgL_val1_1736z00_5550);
				}
				return BgL_val0_1735z00_5549;
			}
		}

	}



/* &inout!-fail/liveness2023 */
	obj_t BGl_z62inoutz12zd2failzf2liveness2023z50zzliveness_livenessz00(obj_t
		BgL_envz00_4897, obj_t BgL_nz00_4898, obj_t BgL_oz00_4899)
	{
		{	/* Liveness/liveness.scm 744 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_9110;

				{
					obj_t BgL_auxz00_9111;

					{	/* Liveness/liveness.scm 746 */
						BgL_objectz00_bglt BgL_tmpz00_9112;

						BgL_tmpz00_9112 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4898));
						BgL_auxz00_9111 = BGL_OBJECT_WIDENING(BgL_tmpz00_9112);
					}
					BgL_auxz00_9110 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9111);
				}
				((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9110))->
						BgL_outz00) = ((obj_t) BgL_oz00_4899), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_9125;
				BgL_failzf2livenesszf2_bglt BgL_auxz00_9118;

				{	/* Liveness/liveness.scm 747 */
					obj_t BgL_arg2504z00_5552;
					obj_t BgL_arg2506z00_5553;

					{
						BgL_failzf2livenesszf2_bglt BgL_auxz00_9126;

						{
							obj_t BgL_auxz00_9127;

							{	/* Liveness/liveness.scm 747 */
								BgL_objectz00_bglt BgL_tmpz00_9128;

								BgL_tmpz00_9128 =
									((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4898));
								BgL_auxz00_9127 = BGL_OBJECT_WIDENING(BgL_tmpz00_9128);
							}
							BgL_auxz00_9126 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9127);
						}
						BgL_arg2504z00_5552 =
							(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9126))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 747 */
						obj_t BgL_arg2513z00_5554;
						obj_t BgL_arg2514z00_5555;

						{
							BgL_failzf2livenesszf2_bglt BgL_auxz00_9134;

							{
								obj_t BgL_auxz00_9135;

								{	/* Liveness/liveness.scm 747 */
									BgL_objectz00_bglt BgL_tmpz00_9136;

									BgL_tmpz00_9136 =
										((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4898));
									BgL_auxz00_9135 = BGL_OBJECT_WIDENING(BgL_tmpz00_9136);
								}
								BgL_auxz00_9134 =
									((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9135);
							}
							BgL_arg2513z00_5554 =
								(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9134))->
								BgL_outz00);
						}
						{
							BgL_failzf2livenesszf2_bglt BgL_auxz00_9142;

							{
								obj_t BgL_auxz00_9143;

								{	/* Liveness/liveness.scm 747 */
									BgL_objectz00_bglt BgL_tmpz00_9144;

									BgL_tmpz00_9144 =
										((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4898));
									BgL_auxz00_9143 = BGL_OBJECT_WIDENING(BgL_tmpz00_9144);
								}
								BgL_auxz00_9142 =
									((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9143);
							}
							BgL_arg2514z00_5555 =
								(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9142))->
								BgL_defz00);
						}
						BgL_arg2506z00_5553 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2513z00_5554,
							BgL_arg2514z00_5555);
					}
					{	/* Liveness/liveness.scm 747 */
						obj_t BgL_list2507z00_5556;

						{	/* Liveness/liveness.scm 747 */
							obj_t BgL_arg2509z00_5557;

							BgL_arg2509z00_5557 = MAKE_YOUNG_PAIR(BgL_arg2506z00_5553, BNIL);
							BgL_list2507z00_5556 =
								MAKE_YOUNG_PAIR(BgL_arg2504z00_5552, BgL_arg2509z00_5557);
						}
						BgL_auxz00_9125 =
							BGl_unionz00zzliveness_setz00(BgL_list2507z00_5556);
					}
				}
				{
					obj_t BgL_auxz00_9119;

					{	/* Liveness/liveness.scm 747 */
						BgL_objectz00_bglt BgL_tmpz00_9120;

						BgL_tmpz00_9120 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4898));
						BgL_auxz00_9119 = BGL_OBJECT_WIDENING(BgL_tmpz00_9120);
					}
					BgL_auxz00_9118 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9119);
				}
				((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9118))->BgL_inz00) =
					((obj_t) BgL_auxz00_9125), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 748 */
				BgL_nodez00_bglt BgL_arg2519z00_5558;

				BgL_arg2519z00_5558 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt)
								((BgL_failz00_bglt) BgL_nz00_4898))))->BgL_procz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2519z00_5558,
					BgL_oz00_4899);
			}
			{	/* Liveness/liveness.scm 749 */
				BgL_nodez00_bglt BgL_arg2520z00_5559;

				BgL_arg2520z00_5559 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt)
								((BgL_failz00_bglt) BgL_nz00_4898))))->BgL_msgz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2520z00_5559,
					BgL_oz00_4899);
			}
			{	/* Liveness/liveness.scm 750 */
				BgL_nodez00_bglt BgL_arg2521z00_5560;

				BgL_arg2521z00_5560 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt)
								((BgL_failz00_bglt) BgL_nz00_4898))))->BgL_objz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2521z00_5560,
					BgL_oz00_4899);
			}
			{	/* Liveness/liveness.scm 751 */
				obj_t BgL_val0_1733z00_5561;
				obj_t BgL_val1_1734z00_5562;

				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_9167;

					{
						obj_t BgL_auxz00_9168;

						{	/* Liveness/liveness.scm 751 */
							BgL_objectz00_bglt BgL_tmpz00_9169;

							BgL_tmpz00_9169 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4898));
							BgL_auxz00_9168 = BGL_OBJECT_WIDENING(BgL_tmpz00_9169);
						}
						BgL_auxz00_9167 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9168);
					}
					BgL_val0_1733z00_5561 =
						(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9167))->
						BgL_inz00);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_9175;

					{
						obj_t BgL_auxz00_9176;

						{	/* Liveness/liveness.scm 751 */
							BgL_objectz00_bglt BgL_tmpz00_9177;

							BgL_tmpz00_9177 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4898));
							BgL_auxz00_9176 = BGL_OBJECT_WIDENING(BgL_tmpz00_9177);
						}
						BgL_auxz00_9175 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9176);
					}
					BgL_val1_1734z00_5562 =
						(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9175))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 751 */
					int BgL_tmpz00_9183;

					BgL_tmpz00_9183 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9183);
				}
				{	/* Liveness/liveness.scm 751 */
					int BgL_tmpz00_9186;

					BgL_tmpz00_9186 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9186, BgL_val1_1734z00_5562);
				}
				return BgL_val0_1733z00_5561;
			}
		}

	}



/* &defuse-fail/liveness2021 */
	obj_t BGl_z62defusezd2failzf2liveness2021z42zzliveness_livenessz00(obj_t
		BgL_envz00_4900, obj_t BgL_nz00_4901)
	{
		{	/* Liveness/liveness.scm 740 */
			{	/* Liveness/liveness.scm 742 */
				obj_t BgL_val0_1731z00_5564;
				obj_t BgL_val1_1732z00_5565;

				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_9189;

					{
						obj_t BgL_auxz00_9190;

						{	/* Liveness/liveness.scm 742 */
							BgL_objectz00_bglt BgL_tmpz00_9191;

							BgL_tmpz00_9191 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4901));
							BgL_auxz00_9190 = BGL_OBJECT_WIDENING(BgL_tmpz00_9191);
						}
						BgL_auxz00_9189 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9190);
					}
					BgL_val0_1731z00_5564 =
						(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9189))->
						BgL_defz00);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_9197;

					{
						obj_t BgL_auxz00_9198;

						{	/* Liveness/liveness.scm 742 */
							BgL_objectz00_bglt BgL_tmpz00_9199;

							BgL_tmpz00_9199 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4901));
							BgL_auxz00_9198 = BGL_OBJECT_WIDENING(BgL_tmpz00_9199);
						}
						BgL_auxz00_9197 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9198);
					}
					BgL_val1_1732z00_5565 =
						(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9197))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 742 */
					int BgL_tmpz00_9205;

					BgL_tmpz00_9205 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9205);
				}
				{	/* Liveness/liveness.scm 742 */
					int BgL_tmpz00_9208;

					BgL_tmpz00_9208 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9208, BgL_val1_1732z00_5565);
				}
				return BgL_val0_1731z00_5564;
			}
		}

	}



/* &defuse-fail2019 */
	obj_t BGl_z62defusezd2fail2019zb0zzliveness_livenessz00(obj_t BgL_envz00_4902,
		obj_t BgL_nz00_4903)
	{
		{	/* Liveness/liveness.scm 727 */
			{	/* Liveness/liveness.scm 729 */
				obj_t BgL_defprocz00_5567;

				BgL_defprocz00_5567 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_4903)))->BgL_procz00));
				{	/* Liveness/liveness.scm 730 */
					obj_t BgL_useprocz00_5568;

					{	/* Liveness/liveness.scm 731 */
						obj_t BgL_tmpz00_5569;

						{	/* Liveness/liveness.scm 731 */
							int BgL_tmpz00_9214;

							BgL_tmpz00_9214 = (int) (((long) 1));
							BgL_tmpz00_5569 = BGL_MVALUES_VAL(BgL_tmpz00_9214);
						}
						{	/* Liveness/liveness.scm 731 */
							int BgL_tmpz00_9217;

							BgL_tmpz00_9217 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_9217, BUNSPEC);
						}
						BgL_useprocz00_5568 = BgL_tmpz00_5569;
					}
					{	/* Liveness/liveness.scm 731 */
						obj_t BgL_defmsgz00_5570;

						BgL_defmsgz00_5570 =
							BGl_defusez00zzliveness_livenessz00(
							(((BgL_failz00_bglt) COBJECT(
										((BgL_failz00_bglt) BgL_nz00_4903)))->BgL_msgz00));
						{	/* Liveness/liveness.scm 732 */
							obj_t BgL_usemsgz00_5571;

							{	/* Liveness/liveness.scm 733 */
								obj_t BgL_tmpz00_5572;

								{	/* Liveness/liveness.scm 733 */
									int BgL_tmpz00_9223;

									BgL_tmpz00_9223 = (int) (((long) 1));
									BgL_tmpz00_5572 = BGL_MVALUES_VAL(BgL_tmpz00_9223);
								}
								{	/* Liveness/liveness.scm 733 */
									int BgL_tmpz00_9226;

									BgL_tmpz00_9226 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_9226, BUNSPEC);
								}
								BgL_usemsgz00_5571 = BgL_tmpz00_5572;
							}
							{	/* Liveness/liveness.scm 733 */
								obj_t BgL_defobjz00_5573;

								BgL_defobjz00_5573 =
									BGl_defusez00zzliveness_livenessz00(
									(((BgL_failz00_bglt) COBJECT(
												((BgL_failz00_bglt) BgL_nz00_4903)))->BgL_objz00));
								{	/* Liveness/liveness.scm 734 */
									obj_t BgL_useobjz00_5574;

									{	/* Liveness/liveness.scm 735 */
										obj_t BgL_tmpz00_5575;

										{	/* Liveness/liveness.scm 735 */
											int BgL_tmpz00_9232;

											BgL_tmpz00_9232 = (int) (((long) 1));
											BgL_tmpz00_5575 = BGL_MVALUES_VAL(BgL_tmpz00_9232);
										}
										{	/* Liveness/liveness.scm 735 */
											int BgL_tmpz00_9235;

											BgL_tmpz00_9235 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_9235, BUNSPEC);
										}
										BgL_useobjz00_5574 = BgL_tmpz00_5575;
									}
									{	/* Liveness/liveness.scm 736 */
										BgL_failz00_bglt BgL_arg2491z00_5576;

										{	/* Liveness/liveness.scm 736 */
											BgL_failzf2livenesszf2_bglt BgL_wide1329z00_5577;

											BgL_wide1329z00_5577 =
												((BgL_failzf2livenesszf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_failzf2livenesszf2_bgl))));
											{	/* Liveness/liveness.scm 736 */
												obj_t BgL_auxz00_9243;
												BgL_objectz00_bglt BgL_tmpz00_9239;

												BgL_auxz00_9243 = ((obj_t) BgL_wide1329z00_5577);
												BgL_tmpz00_9239 =
													((BgL_objectz00_bglt)
													((BgL_failz00_bglt)
														((BgL_failz00_bglt) BgL_nz00_4903)));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9239,
													BgL_auxz00_9243);
											}
											((BgL_objectz00_bglt)
												((BgL_failz00_bglt)
													((BgL_failz00_bglt) BgL_nz00_4903)));
											{	/* Liveness/liveness.scm 736 */
												long BgL_arg2492z00_5578;

												BgL_arg2492z00_5578 =
													BGL_CLASS_NUM
													(BGl_failzf2livenesszf2zzliveness_typesz00);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_failz00_bglt) ((BgL_failz00_bglt)
																BgL_nz00_4903))), BgL_arg2492z00_5578);
											}
											((BgL_failz00_bglt)
												((BgL_failz00_bglt)
													((BgL_failz00_bglt) BgL_nz00_4903)));
										}
										{
											obj_t BgL_auxz00_9265;
											BgL_failzf2livenesszf2_bglt BgL_auxz00_9257;

											{	/* Liveness/liveness.scm 737 */
												obj_t BgL_list2493z00_5579;

												{	/* Liveness/liveness.scm 737 */
													obj_t BgL_arg2494z00_5580;

													{	/* Liveness/liveness.scm 737 */
														obj_t BgL_arg2495z00_5581;

														BgL_arg2495z00_5581 =
															MAKE_YOUNG_PAIR(BgL_defobjz00_5573, BNIL);
														BgL_arg2494z00_5580 =
															MAKE_YOUNG_PAIR(BgL_defmsgz00_5570,
															BgL_arg2495z00_5581);
													}
													BgL_list2493z00_5579 =
														MAKE_YOUNG_PAIR(BgL_defprocz00_5567,
														BgL_arg2494z00_5580);
												}
												BgL_auxz00_9265 =
													BGl_unionz00zzliveness_setz00(BgL_list2493z00_5579);
											}
											{
												obj_t BgL_auxz00_9258;

												{	/* Liveness/liveness.scm 737 */
													BgL_objectz00_bglt BgL_tmpz00_9259;

													BgL_tmpz00_9259 =
														((BgL_objectz00_bglt)
														((BgL_failz00_bglt)
															((BgL_failz00_bglt) BgL_nz00_4903)));
													BgL_auxz00_9258 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9259);
												}
												BgL_auxz00_9257 =
													((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9258);
											}
											((((BgL_failzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_9257))->BgL_defz00) =
												((obj_t) BgL_auxz00_9265), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_9279;
											BgL_failzf2livenesszf2_bglt BgL_auxz00_9271;

											{	/* Liveness/liveness.scm 738 */
												obj_t BgL_list2496z00_5582;

												{	/* Liveness/liveness.scm 738 */
													obj_t BgL_arg2499z00_5583;

													{	/* Liveness/liveness.scm 738 */
														obj_t BgL_arg2500z00_5584;

														BgL_arg2500z00_5584 =
															MAKE_YOUNG_PAIR(BgL_useobjz00_5574, BNIL);
														BgL_arg2499z00_5583 =
															MAKE_YOUNG_PAIR(BgL_usemsgz00_5571,
															BgL_arg2500z00_5584);
													}
													BgL_list2496z00_5582 =
														MAKE_YOUNG_PAIR(BgL_useprocz00_5568,
														BgL_arg2499z00_5583);
												}
												BgL_auxz00_9279 =
													BGl_unionz00zzliveness_setz00(BgL_list2496z00_5582);
											}
											{
												obj_t BgL_auxz00_9272;

												{	/* Liveness/liveness.scm 738 */
													BgL_objectz00_bglt BgL_tmpz00_9273;

													BgL_tmpz00_9273 =
														((BgL_objectz00_bglt)
														((BgL_failz00_bglt)
															((BgL_failz00_bglt) BgL_nz00_4903)));
													BgL_auxz00_9272 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9273);
												}
												BgL_auxz00_9271 =
													((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9272);
											}
											((((BgL_failzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_9271))->BgL_usez00) =
												((obj_t) BgL_auxz00_9279), BUNSPEC);
										}
										{
											BgL_failzf2livenesszf2_bglt BgL_auxz00_9285;

											{
												obj_t BgL_auxz00_9286;

												{	/* Liveness/liveness.scm 734 */
													BgL_objectz00_bglt BgL_tmpz00_9287;

													BgL_tmpz00_9287 =
														((BgL_objectz00_bglt)
														((BgL_failz00_bglt)
															((BgL_failz00_bglt) BgL_nz00_4903)));
													BgL_auxz00_9286 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9287);
												}
												BgL_auxz00_9285 =
													((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9286);
											}
											((((BgL_failzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_9285))->BgL_inz00) =
												((obj_t) BNIL), BUNSPEC);
										}
										{
											BgL_failzf2livenesszf2_bglt BgL_auxz00_9294;

											{
												obj_t BgL_auxz00_9295;

												{	/* Liveness/liveness.scm 734 */
													BgL_objectz00_bglt BgL_tmpz00_9296;

													BgL_tmpz00_9296 =
														((BgL_objectz00_bglt)
														((BgL_failz00_bglt)
															((BgL_failz00_bglt) BgL_nz00_4903)));
													BgL_auxz00_9295 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9296);
												}
												BgL_auxz00_9294 =
													((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9295);
											}
											((((BgL_failzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_9294))->BgL_outz00) =
												((obj_t) BNIL), BUNSPEC);
										}
										BgL_arg2491z00_5576 =
											((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4903));
										return
											BGl_defusez00zzliveness_livenessz00(
											((BgL_nodez00_bglt) BgL_arg2491z00_5576));
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &inout-conditional/li2017 */
	obj_t BGl_z62inoutzd2conditionalzf2li2017z42zzliveness_livenessz00(obj_t
		BgL_envz00_4904, obj_t BgL_nz00_4905)
	{
		{	/* Liveness/liveness.scm 720 */
			{	/* Liveness/liveness.scm 722 */
				obj_t BgL_val0_1729z00_5586;
				obj_t BgL_val1_1730z00_5587;

				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9307;

					{
						obj_t BgL_auxz00_9308;

						{	/* Liveness/liveness.scm 722 */
							BgL_objectz00_bglt BgL_tmpz00_9309;

							BgL_tmpz00_9309 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4905));
							BgL_auxz00_9308 = BGL_OBJECT_WIDENING(BgL_tmpz00_9309);
						}
						BgL_auxz00_9307 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9308);
					}
					BgL_val0_1729z00_5586 =
						(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9307))->
						BgL_inz00);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9315;

					{
						obj_t BgL_auxz00_9316;

						{	/* Liveness/liveness.scm 722 */
							BgL_objectz00_bglt BgL_tmpz00_9317;

							BgL_tmpz00_9317 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4905));
							BgL_auxz00_9316 = BGL_OBJECT_WIDENING(BgL_tmpz00_9317);
						}
						BgL_auxz00_9315 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9316);
					}
					BgL_val1_1730z00_5587 =
						(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9315))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 722 */
					int BgL_tmpz00_9323;

					BgL_tmpz00_9323 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9323);
				}
				{	/* Liveness/liveness.scm 722 */
					int BgL_tmpz00_9326;

					BgL_tmpz00_9326 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9326, BgL_val1_1730z00_5587);
				}
				return BgL_val0_1729z00_5586;
			}
		}

	}



/* &inout!-conditional/l2014 */
	obj_t BGl_z62inoutz12zd2conditionalzf2l2014z50zzliveness_livenessz00(obj_t
		BgL_envz00_4906, obj_t BgL_nz00_4907, obj_t BgL_oz00_4908)
	{
		{	/* Liveness/liveness.scm 707 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9329;

				{
					obj_t BgL_auxz00_9330;

					{	/* Liveness/liveness.scm 709 */
						BgL_objectz00_bglt BgL_tmpz00_9331;

						BgL_tmpz00_9331 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_nz00_4907));
						BgL_auxz00_9330 = BGL_OBJECT_WIDENING(BgL_tmpz00_9331);
					}
					BgL_auxz00_9329 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9330);
				}
				((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9329))->
						BgL_outz00) = ((obj_t) BgL_oz00_4908), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 710 */
				BgL_nodez00_bglt BgL_arg2470z00_5589;

				BgL_arg2470z00_5589 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4907))))->BgL_truez00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2470z00_5589,
					BgL_oz00_4908);
			}
			{	/* Liveness/liveness.scm 711 */
				BgL_nodez00_bglt BgL_arg2471z00_5590;

				BgL_arg2471z00_5590 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4907))))->BgL_falsez00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2471z00_5590,
					BgL_oz00_4908);
			}
			{	/* Liveness/liveness.scm 712 */
				obj_t BgL_tdefz00_5591;

				{	/* Liveness/liveness.scm 713 */
					BgL_nodez00_bglt BgL_arg2481z00_5592;

					BgL_arg2481z00_5592 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt)
									((BgL_conditionalz00_bglt) BgL_nz00_4907))))->BgL_truez00);
					BgL_tdefz00_5591 =
						BGl_defusez00zzliveness_livenessz00(BgL_arg2481z00_5592);
				}
				{	/* Liveness/liveness.scm 713 */
					obj_t BgL_tusez00_5593;

					{	/* Liveness/liveness.scm 714 */
						obj_t BgL_tmpz00_5594;

						{	/* Liveness/liveness.scm 714 */
							int BgL_tmpz00_9349;

							BgL_tmpz00_9349 = (int) (((long) 1));
							BgL_tmpz00_5594 = BGL_MVALUES_VAL(BgL_tmpz00_9349);
						}
						{	/* Liveness/liveness.scm 714 */
							int BgL_tmpz00_9352;

							BgL_tmpz00_9352 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_9352, BUNSPEC);
						}
						BgL_tusez00_5593 = BgL_tmpz00_5594;
					}
					{	/* Liveness/liveness.scm 714 */
						obj_t BgL_fdefz00_5595;

						{	/* Liveness/liveness.scm 715 */
							BgL_nodez00_bglt BgL_arg2479z00_5596;

							BgL_arg2479z00_5596 =
								(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt)
											((BgL_conditionalz00_bglt) BgL_nz00_4907))))->
								BgL_falsez00);
							BgL_fdefz00_5595 =
								BGl_defusez00zzliveness_livenessz00(BgL_arg2479z00_5596);
						}
						{	/* Liveness/liveness.scm 715 */
							obj_t BgL_fusez00_5597;

							{	/* Liveness/liveness.scm 716 */
								obj_t BgL_tmpz00_5598;

								{	/* Liveness/liveness.scm 716 */
									int BgL_tmpz00_9359;

									BgL_tmpz00_9359 = (int) (((long) 1));
									BgL_tmpz00_5598 = BGL_MVALUES_VAL(BgL_tmpz00_9359);
								}
								{	/* Liveness/liveness.scm 716 */
									int BgL_tmpz00_9362;

									BgL_tmpz00_9362 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_9362, BUNSPEC);
								}
								BgL_fusez00_5597 = BgL_tmpz00_5598;
							}
							{	/* Liveness/liveness.scm 716 */
								BgL_nodez00_bglt BgL_arg2472z00_5599;
								obj_t BgL_arg2473z00_5600;

								BgL_arg2472z00_5599 =
									(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt)
												((BgL_conditionalz00_bglt) BgL_nz00_4907))))->
									BgL_testz00);
								{	/* Liveness/liveness.scm 716 */
									obj_t BgL_arg2475z00_5601;
									obj_t BgL_arg2476z00_5602;

									{
										BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9368;

										{
											obj_t BgL_auxz00_9369;

											{	/* Liveness/liveness.scm 716 */
												BgL_objectz00_bglt BgL_tmpz00_9370;

												BgL_tmpz00_9370 =
													((BgL_objectz00_bglt)
													((BgL_conditionalz00_bglt) BgL_nz00_4907));
												BgL_auxz00_9369 = BGL_OBJECT_WIDENING(BgL_tmpz00_9370);
											}
											BgL_auxz00_9368 =
												((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9369);
										}
										BgL_arg2475z00_5601 =
											(((BgL_conditionalzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_9368))->BgL_outz00);
									}
									{	/* Liveness/liveness.scm 716 */
										obj_t BgL_list2477z00_5603;

										{	/* Liveness/liveness.scm 716 */
											obj_t BgL_arg2478z00_5604;

											BgL_arg2478z00_5604 =
												MAKE_YOUNG_PAIR(BgL_fdefz00_5595, BNIL);
											BgL_list2477z00_5603 =
												MAKE_YOUNG_PAIR(BgL_tdefz00_5591, BgL_arg2478z00_5604);
										}
										BgL_arg2476z00_5602 =
											BGl_intersectionz00zzliveness_setz00
											(BgL_list2477z00_5603);
									}
									BgL_arg2473z00_5600 =
										BGl_disjonctionz00zzliveness_setz00(BgL_arg2475z00_5601,
										BgL_arg2476z00_5602);
								}
								BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2472z00_5599,
									BgL_arg2473z00_5600);
			}}}}}
			{
				obj_t BgL_auxz00_9388;
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9381;

				{	/* Liveness/liveness.scm 717 */
					obj_t BgL_arg2483z00_5605;
					obj_t BgL_arg2484z00_5606;

					{
						BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9389;

						{
							obj_t BgL_auxz00_9390;

							{	/* Liveness/liveness.scm 717 */
								BgL_objectz00_bglt BgL_tmpz00_9391;

								BgL_tmpz00_9391 =
									((BgL_objectz00_bglt)
									((BgL_conditionalz00_bglt) BgL_nz00_4907));
								BgL_auxz00_9390 = BGL_OBJECT_WIDENING(BgL_tmpz00_9391);
							}
							BgL_auxz00_9389 =
								((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9390);
						}
						BgL_arg2483z00_5605 =
							(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9389))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 717 */
						obj_t BgL_arg2487z00_5607;
						obj_t BgL_arg2489z00_5608;

						{
							BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9397;

							{
								obj_t BgL_auxz00_9398;

								{	/* Liveness/liveness.scm 717 */
									BgL_objectz00_bglt BgL_tmpz00_9399;

									BgL_tmpz00_9399 =
										((BgL_objectz00_bglt)
										((BgL_conditionalz00_bglt) BgL_nz00_4907));
									BgL_auxz00_9398 = BGL_OBJECT_WIDENING(BgL_tmpz00_9399);
								}
								BgL_auxz00_9397 =
									((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9398);
							}
							BgL_arg2487z00_5607 =
								(((BgL_conditionalzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_9397))->BgL_outz00);
						}
						{
							BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9405;

							{
								obj_t BgL_auxz00_9406;

								{	/* Liveness/liveness.scm 717 */
									BgL_objectz00_bglt BgL_tmpz00_9407;

									BgL_tmpz00_9407 =
										((BgL_objectz00_bglt)
										((BgL_conditionalz00_bglt) BgL_nz00_4907));
									BgL_auxz00_9406 = BGL_OBJECT_WIDENING(BgL_tmpz00_9407);
								}
								BgL_auxz00_9405 =
									((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9406);
							}
							BgL_arg2489z00_5608 =
								(((BgL_conditionalzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_9405))->BgL_defz00);
						}
						BgL_arg2484z00_5606 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2487z00_5607,
							BgL_arg2489z00_5608);
					}
					{	/* Liveness/liveness.scm 717 */
						obj_t BgL_list2485z00_5609;

						{	/* Liveness/liveness.scm 717 */
							obj_t BgL_arg2486z00_5610;

							BgL_arg2486z00_5610 = MAKE_YOUNG_PAIR(BgL_arg2484z00_5606, BNIL);
							BgL_list2485z00_5609 =
								MAKE_YOUNG_PAIR(BgL_arg2483z00_5605, BgL_arg2486z00_5610);
						}
						BgL_auxz00_9388 =
							BGl_unionz00zzliveness_setz00(BgL_list2485z00_5609);
				}}
				{
					obj_t BgL_auxz00_9382;

					{	/* Liveness/liveness.scm 717 */
						BgL_objectz00_bglt BgL_tmpz00_9383;

						BgL_tmpz00_9383 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_nz00_4907));
						BgL_auxz00_9382 = BGL_OBJECT_WIDENING(BgL_tmpz00_9383);
					}
					BgL_auxz00_9381 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9382);
				}
				((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9381))->
						BgL_inz00) = ((obj_t) BgL_auxz00_9388), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 718 */
				obj_t BgL_val0_1727z00_5611;
				obj_t BgL_val1_1728z00_5612;

				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9418;

					{
						obj_t BgL_auxz00_9419;

						{	/* Liveness/liveness.scm 718 */
							BgL_objectz00_bglt BgL_tmpz00_9420;

							BgL_tmpz00_9420 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4907));
							BgL_auxz00_9419 = BGL_OBJECT_WIDENING(BgL_tmpz00_9420);
						}
						BgL_auxz00_9418 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9419);
					}
					BgL_val0_1727z00_5611 =
						(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9418))->
						BgL_inz00);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9426;

					{
						obj_t BgL_auxz00_9427;

						{	/* Liveness/liveness.scm 718 */
							BgL_objectz00_bglt BgL_tmpz00_9428;

							BgL_tmpz00_9428 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4907));
							BgL_auxz00_9427 = BGL_OBJECT_WIDENING(BgL_tmpz00_9428);
						}
						BgL_auxz00_9426 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9427);
					}
					BgL_val1_1728z00_5612 =
						(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9426))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 718 */
					int BgL_tmpz00_9434;

					BgL_tmpz00_9434 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9434);
				}
				{	/* Liveness/liveness.scm 718 */
					int BgL_tmpz00_9437;

					BgL_tmpz00_9437 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9437, BgL_val1_1728z00_5612);
				}
				return BgL_val0_1727z00_5611;
			}
		}

	}



/* &defuse-conditional/l2012 */
	obj_t BGl_z62defusezd2conditionalzf2l2012z42zzliveness_livenessz00(obj_t
		BgL_envz00_4909, obj_t BgL_nz00_4910)
	{
		{	/* Liveness/liveness.scm 703 */
			{	/* Liveness/liveness.scm 705 */
				obj_t BgL_val0_1725z00_5614;
				obj_t BgL_val1_1726z00_5615;

				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9440;

					{
						obj_t BgL_auxz00_9441;

						{	/* Liveness/liveness.scm 705 */
							BgL_objectz00_bglt BgL_tmpz00_9442;

							BgL_tmpz00_9442 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4910));
							BgL_auxz00_9441 = BGL_OBJECT_WIDENING(BgL_tmpz00_9442);
						}
						BgL_auxz00_9440 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9441);
					}
					BgL_val0_1725z00_5614 =
						(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9440))->
						BgL_defz00);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9448;

					{
						obj_t BgL_auxz00_9449;

						{	/* Liveness/liveness.scm 705 */
							BgL_objectz00_bglt BgL_tmpz00_9450;

							BgL_tmpz00_9450 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4910));
							BgL_auxz00_9449 = BGL_OBJECT_WIDENING(BgL_tmpz00_9450);
						}
						BgL_auxz00_9448 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9449);
					}
					BgL_val1_1726z00_5615 =
						(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9448))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 705 */
					int BgL_tmpz00_9456;

					BgL_tmpz00_9456 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9456);
				}
				{	/* Liveness/liveness.scm 705 */
					int BgL_tmpz00_9459;

					BgL_tmpz00_9459 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9459, BgL_val1_1726z00_5615);
				}
				return BgL_val0_1725z00_5614;
			}
		}

	}



/* &defuse-conditional2010 */
	obj_t BGl_z62defusezd2conditional2010zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4911, obj_t BgL_nz00_4912)
	{
		{	/* Liveness/liveness.scm 690 */
			{	/* Liveness/liveness.scm 692 */
				obj_t BgL_deftestz00_5617;

				BgL_deftestz00_5617 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_4912)))->BgL_testz00));
				{	/* Liveness/liveness.scm 693 */
					obj_t BgL_usetestz00_5618;

					{	/* Liveness/liveness.scm 694 */
						obj_t BgL_tmpz00_5619;

						{	/* Liveness/liveness.scm 694 */
							int BgL_tmpz00_9465;

							BgL_tmpz00_9465 = (int) (((long) 1));
							BgL_tmpz00_5619 = BGL_MVALUES_VAL(BgL_tmpz00_9465);
						}
						{	/* Liveness/liveness.scm 694 */
							int BgL_tmpz00_9468;

							BgL_tmpz00_9468 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_9468, BUNSPEC);
						}
						BgL_usetestz00_5618 = BgL_tmpz00_5619;
					}
					{	/* Liveness/liveness.scm 694 */
						obj_t BgL_deftruez00_5620;

						BgL_deftruez00_5620 =
							BGl_defusez00zzliveness_livenessz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nz00_4912)))->BgL_truez00));
						{	/* Liveness/liveness.scm 695 */
							obj_t BgL_usetruez00_5621;

							{	/* Liveness/liveness.scm 696 */
								obj_t BgL_tmpz00_5622;

								{	/* Liveness/liveness.scm 696 */
									int BgL_tmpz00_9474;

									BgL_tmpz00_9474 = (int) (((long) 1));
									BgL_tmpz00_5622 = BGL_MVALUES_VAL(BgL_tmpz00_9474);
								}
								{	/* Liveness/liveness.scm 696 */
									int BgL_tmpz00_9477;

									BgL_tmpz00_9477 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_9477, BUNSPEC);
								}
								BgL_usetruez00_5621 = BgL_tmpz00_5622;
							}
							{	/* Liveness/liveness.scm 696 */
								obj_t BgL_deffalsez00_5623;

								BgL_deffalsez00_5623 =
									BGl_defusez00zzliveness_livenessz00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nz00_4912)))->
										BgL_falsez00));
								{	/* Liveness/liveness.scm 697 */
									obj_t BgL_usefalsez00_5624;

									{	/* Liveness/liveness.scm 698 */
										obj_t BgL_tmpz00_5625;

										{	/* Liveness/liveness.scm 698 */
											int BgL_tmpz00_9483;

											BgL_tmpz00_9483 = (int) (((long) 1));
											BgL_tmpz00_5625 = BGL_MVALUES_VAL(BgL_tmpz00_9483);
										}
										{	/* Liveness/liveness.scm 698 */
											int BgL_tmpz00_9486;

											BgL_tmpz00_9486 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_9486, BUNSPEC);
										}
										BgL_usefalsez00_5624 = BgL_tmpz00_5625;
									}
									{	/* Liveness/liveness.scm 699 */
										BgL_conditionalz00_bglt BgL_arg2450z00_5626;

										{	/* Liveness/liveness.scm 699 */
											BgL_conditionalzf2livenesszf2_bglt BgL_wide1321z00_5627;

											BgL_wide1321z00_5627 =
												((BgL_conditionalzf2livenesszf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_conditionalzf2livenesszf2_bgl))));
											{	/* Liveness/liveness.scm 699 */
												obj_t BgL_auxz00_9494;
												BgL_objectz00_bglt BgL_tmpz00_9490;

												BgL_auxz00_9494 = ((obj_t) BgL_wide1321z00_5627);
												BgL_tmpz00_9490 =
													((BgL_objectz00_bglt)
													((BgL_conditionalz00_bglt)
														((BgL_conditionalz00_bglt) BgL_nz00_4912)));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9490,
													BgL_auxz00_9494);
											}
											((BgL_objectz00_bglt)
												((BgL_conditionalz00_bglt)
													((BgL_conditionalz00_bglt) BgL_nz00_4912)));
											{	/* Liveness/liveness.scm 699 */
												long BgL_arg2451z00_5628;

												BgL_arg2451z00_5628 =
													BGL_CLASS_NUM
													(BGl_conditionalzf2livenesszf2zzliveness_typesz00);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_conditionalz00_bglt) (
																(BgL_conditionalz00_bglt) BgL_nz00_4912))),
													BgL_arg2451z00_5628);
											}
											((BgL_conditionalz00_bglt)
												((BgL_conditionalz00_bglt)
													((BgL_conditionalz00_bglt) BgL_nz00_4912)));
										}
										{
											obj_t BgL_auxz00_9516;
											BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9508;

											{	/* Liveness/liveness.scm 700 */
												obj_t BgL_arg2452z00_5629;

												{	/* Liveness/liveness.scm 700 */
													obj_t BgL_list2455z00_5630;

													{	/* Liveness/liveness.scm 700 */
														obj_t BgL_arg2457z00_5631;

														BgL_arg2457z00_5631 =
															MAKE_YOUNG_PAIR(BgL_deffalsez00_5623, BNIL);
														BgL_list2455z00_5630 =
															MAKE_YOUNG_PAIR(BgL_deftruez00_5620,
															BgL_arg2457z00_5631);
													}
													BgL_arg2452z00_5629 =
														BGl_intersectionz00zzliveness_setz00
														(BgL_list2455z00_5630);
												}
												{	/* Liveness/liveness.scm 700 */
													obj_t BgL_list2453z00_5632;

													{	/* Liveness/liveness.scm 700 */
														obj_t BgL_arg2454z00_5633;

														BgL_arg2454z00_5633 =
															MAKE_YOUNG_PAIR(BgL_arg2452z00_5629, BNIL);
														BgL_list2453z00_5632 =
															MAKE_YOUNG_PAIR(BgL_deftestz00_5617,
															BgL_arg2454z00_5633);
													}
													BgL_auxz00_9516 =
														BGl_unionz00zzliveness_setz00(BgL_list2453z00_5632);
											}}
											{
												obj_t BgL_auxz00_9509;

												{	/* Liveness/liveness.scm 700 */
													BgL_objectz00_bglt BgL_tmpz00_9510;

													BgL_tmpz00_9510 =
														((BgL_objectz00_bglt)
														((BgL_conditionalz00_bglt)
															((BgL_conditionalz00_bglt) BgL_nz00_4912)));
													BgL_auxz00_9509 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9510);
												}
												BgL_auxz00_9508 =
													((BgL_conditionalzf2livenesszf2_bglt)
													BgL_auxz00_9509);
											}
											((((BgL_conditionalzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_9508))->BgL_defz00) =
												((obj_t) BgL_auxz00_9516), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_9532;
											BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9524;

											{	/* Liveness/liveness.scm 701 */
												obj_t BgL_arg2458z00_5634;

												{	/* Liveness/liveness.scm 701 */
													obj_t BgL_arg2462z00_5635;

													{	/* Liveness/liveness.scm 701 */
														obj_t BgL_list2463z00_5636;

														{	/* Liveness/liveness.scm 701 */
															obj_t BgL_arg2464z00_5637;

															BgL_arg2464z00_5637 =
																MAKE_YOUNG_PAIR(BgL_usefalsez00_5624, BNIL);
															BgL_list2463z00_5636 =
																MAKE_YOUNG_PAIR(BgL_usetruez00_5621,
																BgL_arg2464z00_5637);
														}
														BgL_arg2462z00_5635 =
															BGl_unionz00zzliveness_setz00
															(BgL_list2463z00_5636);
													}
													BgL_arg2458z00_5634 =
														BGl_disjonctionz00zzliveness_setz00
														(BgL_arg2462z00_5635, BgL_deftestz00_5617);
												}
												{	/* Liveness/liveness.scm 701 */
													obj_t BgL_list2459z00_5638;

													{	/* Liveness/liveness.scm 701 */
														obj_t BgL_arg2460z00_5639;

														BgL_arg2460z00_5639 =
															MAKE_YOUNG_PAIR(BgL_arg2458z00_5634, BNIL);
														BgL_list2459z00_5638 =
															MAKE_YOUNG_PAIR(BgL_usetestz00_5618,
															BgL_arg2460z00_5639);
													}
													BgL_auxz00_9532 =
														BGl_unionz00zzliveness_setz00(BgL_list2459z00_5638);
											}}
											{
												obj_t BgL_auxz00_9525;

												{	/* Liveness/liveness.scm 701 */
													BgL_objectz00_bglt BgL_tmpz00_9526;

													BgL_tmpz00_9526 =
														((BgL_objectz00_bglt)
														((BgL_conditionalz00_bglt)
															((BgL_conditionalz00_bglt) BgL_nz00_4912)));
													BgL_auxz00_9525 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9526);
												}
												BgL_auxz00_9524 =
													((BgL_conditionalzf2livenesszf2_bglt)
													BgL_auxz00_9525);
											}
											((((BgL_conditionalzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_9524))->BgL_usez00) =
												((obj_t) BgL_auxz00_9532), BUNSPEC);
										}
										{
											BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9541;

											{
												obj_t BgL_auxz00_9542;

												{	/* Liveness/liveness.scm 697 */
													BgL_objectz00_bglt BgL_tmpz00_9543;

													BgL_tmpz00_9543 =
														((BgL_objectz00_bglt)
														((BgL_conditionalz00_bglt)
															((BgL_conditionalz00_bglt) BgL_nz00_4912)));
													BgL_auxz00_9542 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9543);
												}
												BgL_auxz00_9541 =
													((BgL_conditionalzf2livenesszf2_bglt)
													BgL_auxz00_9542);
											}
											((((BgL_conditionalzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_9541))->BgL_inz00) =
												((obj_t) BNIL), BUNSPEC);
										}
										{
											BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9550;

											{
												obj_t BgL_auxz00_9551;

												{	/* Liveness/liveness.scm 697 */
													BgL_objectz00_bglt BgL_tmpz00_9552;

													BgL_tmpz00_9552 =
														((BgL_objectz00_bglt)
														((BgL_conditionalz00_bglt)
															((BgL_conditionalz00_bglt) BgL_nz00_4912)));
													BgL_auxz00_9551 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9552);
												}
												BgL_auxz00_9550 =
													((BgL_conditionalzf2livenesszf2_bglt)
													BgL_auxz00_9551);
											}
											((((BgL_conditionalzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_9550))->BgL_outz00) =
												((obj_t) BNIL), BUNSPEC);
										}
										BgL_arg2450z00_5626 =
											((BgL_conditionalz00_bglt)
											((BgL_conditionalz00_bglt) BgL_nz00_4912));
										return
											BGl_defusez00zzliveness_livenessz00(
											((BgL_nodez00_bglt) BgL_arg2450z00_5626));
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &inout-setq/liveness2008 */
	obj_t BGl_z62inoutzd2setqzf2liveness2008z42zzliveness_livenessz00(obj_t
		BgL_envz00_4913, obj_t BgL_nz00_4914)
	{
		{	/* Liveness/liveness.scm 683 */
			{	/* Liveness/liveness.scm 685 */
				obj_t BgL_val0_1723z00_5641;
				obj_t BgL_val1_1724z00_5642;

				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_9563;

					{
						obj_t BgL_auxz00_9564;

						{	/* Liveness/liveness.scm 685 */
							BgL_objectz00_bglt BgL_tmpz00_9565;

							BgL_tmpz00_9565 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4914));
							BgL_auxz00_9564 = BGL_OBJECT_WIDENING(BgL_tmpz00_9565);
						}
						BgL_auxz00_9563 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9564);
					}
					BgL_val0_1723z00_5641 =
						(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9563))->
						BgL_inz00);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_9571;

					{
						obj_t BgL_auxz00_9572;

						{	/* Liveness/liveness.scm 685 */
							BgL_objectz00_bglt BgL_tmpz00_9573;

							BgL_tmpz00_9573 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4914));
							BgL_auxz00_9572 = BGL_OBJECT_WIDENING(BgL_tmpz00_9573);
						}
						BgL_auxz00_9571 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9572);
					}
					BgL_val1_1724z00_5642 =
						(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9571))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 685 */
					int BgL_tmpz00_9579;

					BgL_tmpz00_9579 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9579);
				}
				{	/* Liveness/liveness.scm 685 */
					int BgL_tmpz00_9582;

					BgL_tmpz00_9582 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9582, BgL_val1_1724z00_5642);
				}
				return BgL_val0_1723z00_5641;
			}
		}

	}



/* &inout!-setq/liveness2006 */
	obj_t BGl_z62inoutz12zd2setqzf2liveness2006z50zzliveness_livenessz00(obj_t
		BgL_envz00_4915, obj_t BgL_nz00_4916, obj_t BgL_oz00_4917)
	{
		{	/* Liveness/liveness.scm 677 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_9585;

				{
					obj_t BgL_auxz00_9586;

					{	/* Liveness/liveness.scm 679 */
						BgL_objectz00_bglt BgL_tmpz00_9587;

						BgL_tmpz00_9587 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4916));
						BgL_auxz00_9586 = BGL_OBJECT_WIDENING(BgL_tmpz00_9587);
					}
					BgL_auxz00_9585 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9586);
				}
				((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9585))->
						BgL_outz00) = ((obj_t) BgL_oz00_4917), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_9600;
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_9593;

				{	/* Liveness/liveness.scm 680 */
					obj_t BgL_arg2442z00_5644;
					obj_t BgL_arg2444z00_5645;

					{
						BgL_setqzf2livenesszf2_bglt BgL_auxz00_9601;

						{
							obj_t BgL_auxz00_9602;

							{	/* Liveness/liveness.scm 680 */
								BgL_objectz00_bglt BgL_tmpz00_9603;

								BgL_tmpz00_9603 =
									((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4916));
								BgL_auxz00_9602 = BGL_OBJECT_WIDENING(BgL_tmpz00_9603);
							}
							BgL_auxz00_9601 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9602);
						}
						BgL_arg2442z00_5644 =
							(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9601))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 680 */
						obj_t BgL_arg2448z00_5646;
						obj_t BgL_arg2449z00_5647;

						{
							BgL_setqzf2livenesszf2_bglt BgL_auxz00_9609;

							{
								obj_t BgL_auxz00_9610;

								{	/* Liveness/liveness.scm 680 */
									BgL_objectz00_bglt BgL_tmpz00_9611;

									BgL_tmpz00_9611 =
										((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4916));
									BgL_auxz00_9610 = BGL_OBJECT_WIDENING(BgL_tmpz00_9611);
								}
								BgL_auxz00_9609 =
									((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9610);
							}
							BgL_arg2448z00_5646 =
								(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9609))->
								BgL_outz00);
						}
						{
							BgL_setqzf2livenesszf2_bglt BgL_auxz00_9617;

							{
								obj_t BgL_auxz00_9618;

								{	/* Liveness/liveness.scm 680 */
									BgL_objectz00_bglt BgL_tmpz00_9619;

									BgL_tmpz00_9619 =
										((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4916));
									BgL_auxz00_9618 = BGL_OBJECT_WIDENING(BgL_tmpz00_9619);
								}
								BgL_auxz00_9617 =
									((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9618);
							}
							BgL_arg2449z00_5647 =
								(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9617))->
								BgL_defz00);
						}
						BgL_arg2444z00_5645 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2448z00_5646,
							BgL_arg2449z00_5647);
					}
					{	/* Liveness/liveness.scm 680 */
						obj_t BgL_list2445z00_5648;

						{	/* Liveness/liveness.scm 680 */
							obj_t BgL_arg2446z00_5649;

							BgL_arg2446z00_5649 = MAKE_YOUNG_PAIR(BgL_arg2444z00_5645, BNIL);
							BgL_list2445z00_5648 =
								MAKE_YOUNG_PAIR(BgL_arg2442z00_5644, BgL_arg2446z00_5649);
						}
						BgL_auxz00_9600 =
							BGl_unionz00zzliveness_setz00(BgL_list2445z00_5648);
					}
				}
				{
					obj_t BgL_auxz00_9594;

					{	/* Liveness/liveness.scm 680 */
						BgL_objectz00_bglt BgL_tmpz00_9595;

						BgL_tmpz00_9595 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4916));
						BgL_auxz00_9594 = BGL_OBJECT_WIDENING(BgL_tmpz00_9595);
					}
					BgL_auxz00_9593 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9594);
				}
				((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9593))->BgL_inz00) =
					((obj_t) BgL_auxz00_9600), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 681 */
				obj_t BgL_val0_1721z00_5650;
				obj_t BgL_val1_1722z00_5651;

				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_9630;

					{
						obj_t BgL_auxz00_9631;

						{	/* Liveness/liveness.scm 681 */
							BgL_objectz00_bglt BgL_tmpz00_9632;

							BgL_tmpz00_9632 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4916));
							BgL_auxz00_9631 = BGL_OBJECT_WIDENING(BgL_tmpz00_9632);
						}
						BgL_auxz00_9630 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9631);
					}
					BgL_val0_1721z00_5650 =
						(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9630))->
						BgL_inz00);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_9638;

					{
						obj_t BgL_auxz00_9639;

						{	/* Liveness/liveness.scm 681 */
							BgL_objectz00_bglt BgL_tmpz00_9640;

							BgL_tmpz00_9640 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4916));
							BgL_auxz00_9639 = BGL_OBJECT_WIDENING(BgL_tmpz00_9640);
						}
						BgL_auxz00_9638 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9639);
					}
					BgL_val1_1722z00_5651 =
						(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9638))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 681 */
					int BgL_tmpz00_9646;

					BgL_tmpz00_9646 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9646);
				}
				{	/* Liveness/liveness.scm 681 */
					int BgL_tmpz00_9649;

					BgL_tmpz00_9649 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9649, BgL_val1_1722z00_5651);
				}
				return BgL_val0_1721z00_5650;
			}
		}

	}



/* &defuse-setq/liveness2004 */
	obj_t BGl_z62defusezd2setqzf2liveness2004z42zzliveness_livenessz00(obj_t
		BgL_envz00_4918, obj_t BgL_nz00_4919)
	{
		{	/* Liveness/liveness.scm 673 */
			{	/* Liveness/liveness.scm 675 */
				obj_t BgL_val0_1719z00_5653;
				obj_t BgL_val1_1720z00_5654;

				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_9652;

					{
						obj_t BgL_auxz00_9653;

						{	/* Liveness/liveness.scm 675 */
							BgL_objectz00_bglt BgL_tmpz00_9654;

							BgL_tmpz00_9654 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4919));
							BgL_auxz00_9653 = BGL_OBJECT_WIDENING(BgL_tmpz00_9654);
						}
						BgL_auxz00_9652 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9653);
					}
					BgL_val0_1719z00_5653 =
						(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9652))->
						BgL_defz00);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_9660;

					{
						obj_t BgL_auxz00_9661;

						{	/* Liveness/liveness.scm 675 */
							BgL_objectz00_bglt BgL_tmpz00_9662;

							BgL_tmpz00_9662 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4919));
							BgL_auxz00_9661 = BGL_OBJECT_WIDENING(BgL_tmpz00_9662);
						}
						BgL_auxz00_9660 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9661);
					}
					BgL_val1_1720z00_5654 =
						(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9660))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 675 */
					int BgL_tmpz00_9668;

					BgL_tmpz00_9668 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9668);
				}
				{	/* Liveness/liveness.scm 675 */
					int BgL_tmpz00_9671;

					BgL_tmpz00_9671 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9671, BgL_val1_1720z00_5654);
				}
				return BgL_val0_1719z00_5653;
			}
		}

	}



/* &defuse-setq2002 */
	obj_t BGl_z62defusezd2setq2002zb0zzliveness_livenessz00(obj_t BgL_envz00_4920,
		obj_t BgL_nz00_4921)
	{
		{	/* Liveness/liveness.scm 661 */
			{	/* Liveness/liveness.scm 663 */
				obj_t BgL_defvaluez00_5656;

				BgL_defvaluez00_5656 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_4921)))->BgL_valuez00));
				{	/* Liveness/liveness.scm 664 */
					obj_t BgL_usevaluez00_5657;

					{	/* Liveness/liveness.scm 665 */
						obj_t BgL_tmpz00_5658;

						{	/* Liveness/liveness.scm 665 */
							int BgL_tmpz00_9677;

							BgL_tmpz00_9677 = (int) (((long) 1));
							BgL_tmpz00_5658 = BGL_MVALUES_VAL(BgL_tmpz00_9677);
						}
						{	/* Liveness/liveness.scm 665 */
							int BgL_tmpz00_9680;

							BgL_tmpz00_9680 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_9680, BUNSPEC);
						}
						BgL_usevaluez00_5657 = BgL_tmpz00_5658;
					}
					{	/* Liveness/liveness.scm 665 */
						BgL_varz00_bglt BgL_i1310z00_5659;

						BgL_i1310z00_5659 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_4921)))->BgL_varz00);
						{	/* Liveness/liveness.scm 666 */
							bool_t BgL_test3302z00_9685;

							{	/* Liveness/liveness.scm 666 */
								BgL_variablez00_bglt BgL_arg2436z00_5660;

								BgL_arg2436z00_5660 =
									(((BgL_varz00_bglt) COBJECT(BgL_i1310z00_5659))->
									BgL_variablez00);
								{	/* Liveness/liveness.scm 666 */
									obj_t BgL_classz00_5661;

									BgL_classz00_5661 =
										BGl_localzf2livenesszf2zzliveness_typesz00;
									{	/* Liveness/liveness.scm 666 */
										BgL_objectz00_bglt BgL_arg1825z00_5662;

										{	/* Liveness/liveness.scm 666 */
											obj_t BgL_tmpz00_9687;

											BgL_tmpz00_9687 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg2436z00_5660));
											BgL_arg1825z00_5662 =
												(BgL_objectz00_bglt) (BgL_tmpz00_9687);
										}
										{	/* Liveness/liveness.scm 666 */
											bool_t BgL_arg1822z00_5663;
											bool_t BgL_arg1823z00_5664;

											{	/* Liveness/liveness.scm 666 */
												long BgL_idxz00_5665;

												BgL_idxz00_5665 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5662);
												BgL_arg1822z00_5663 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5665 + ((long) 3))) ==
													BgL_classz00_5661);
											}
											{	/* Liveness/liveness.scm 666 */
												bool_t BgL_res2966z00_5668;

												{	/* Liveness/liveness.scm 666 */
													obj_t BgL_oclassz00_5669;

													{	/* Liveness/liveness.scm 666 */
														long BgL_arg1833z00_5670;

														{	/* Liveness/liveness.scm 666 */
															long BgL_arg1834z00_5671;

															BgL_arg1834z00_5671 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5662);
															BgL_arg1833z00_5670 =
																(BgL_arg1834z00_5671 - OBJECT_TYPE);
														}
														BgL_oclassz00_5669 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_5670);
													}
													{	/* Liveness/liveness.scm 666 */
														bool_t BgL__ortest_1110z00_5672;

														BgL__ortest_1110z00_5672 =
															(BgL_classz00_5661 == BgL_oclassz00_5669);
														if (BgL__ortest_1110z00_5672)
															{	/* Liveness/liveness.scm 666 */
																BgL_res2966z00_5668 = BgL__ortest_1110z00_5672;
															}
														else
															{	/* Liveness/liveness.scm 666 */
																long BgL_odepthz00_5673;

																BgL_odepthz00_5673 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_5669);
																if ((((long) 3) < BgL_odepthz00_5673))
																	{	/* Liveness/liveness.scm 666 */
																		obj_t BgL_arg1821z00_5674;

																		BgL_arg1821z00_5674 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_5669, ((long) 3));
																		BgL_res2966z00_5668 =
																			(BgL_arg1821z00_5674 ==
																			BgL_classz00_5661);
																	}
																else
																	{	/* Liveness/liveness.scm 666 */
																		BgL_res2966z00_5668 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_5664 = BgL_res2966z00_5668;
											}
											BgL_test3302z00_9685 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_5663,
												BgL_arg1823z00_5664);
										}
									}
								}
							}
							if (BgL_test3302z00_9685)
								{	/* Liveness/liveness.scm 667 */
									BgL_variablez00_bglt BgL_arg2434z00_5675;

									BgL_arg2434z00_5675 =
										(((BgL_varz00_bglt) COBJECT(BgL_i1310z00_5659))->
										BgL_variablez00);
									BgL_defvaluez00_5656 =
										BGl_addz00zzliveness_setz00(((BgL_localz00_bglt)
											BgL_arg2434z00_5675), BgL_defvaluez00_5656);
								}
							else
								{	/* Liveness/liveness.scm 666 */
									BFALSE;
								}
						}
						{	/* Liveness/liveness.scm 669 */
							BgL_setqz00_bglt BgL_arg2437z00_5676;

							{	/* Liveness/liveness.scm 669 */
								BgL_setqzf2livenesszf2_bglt BgL_wide1313z00_5677;

								BgL_wide1313z00_5677 =
									((BgL_setqzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_setqzf2livenesszf2_bgl))));
								{	/* Liveness/liveness.scm 669 */
									obj_t BgL_auxz00_9714;
									BgL_objectz00_bglt BgL_tmpz00_9710;

									BgL_auxz00_9714 = ((obj_t) BgL_wide1313z00_5677);
									BgL_tmpz00_9710 =
										((BgL_objectz00_bglt)
										((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4921)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9710, BgL_auxz00_9714);
								}
								((BgL_objectz00_bglt)
									((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4921)));
								{	/* Liveness/liveness.scm 669 */
									long BgL_arg2439z00_5678;

									BgL_arg2439z00_5678 =
										BGL_CLASS_NUM(BGl_setqzf2livenesszf2zzliveness_typesz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_setqz00_bglt)
												((BgL_setqz00_bglt) BgL_nz00_4921))),
										BgL_arg2439z00_5678);
								}
								((BgL_setqz00_bglt)
									((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4921)));
							}
							{
								BgL_setqzf2livenesszf2_bglt BgL_auxz00_9728;

								{
									obj_t BgL_auxz00_9729;

									{	/* Liveness/liveness.scm 670 */
										BgL_objectz00_bglt BgL_tmpz00_9730;

										BgL_tmpz00_9730 =
											((BgL_objectz00_bglt)
											((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4921)));
										BgL_auxz00_9729 = BGL_OBJECT_WIDENING(BgL_tmpz00_9730);
									}
									BgL_auxz00_9728 =
										((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9729);
								}
								((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9728))->
										BgL_defz00) = ((obj_t) BgL_defvaluez00_5656), BUNSPEC);
							}
							{
								BgL_setqzf2livenesszf2_bglt BgL_auxz00_9737;

								{
									obj_t BgL_auxz00_9738;

									{	/* Liveness/liveness.scm 671 */
										BgL_objectz00_bglt BgL_tmpz00_9739;

										BgL_tmpz00_9739 =
											((BgL_objectz00_bglt)
											((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4921)));
										BgL_auxz00_9738 = BGL_OBJECT_WIDENING(BgL_tmpz00_9739);
									}
									BgL_auxz00_9737 =
										((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9738);
								}
								((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9737))->
										BgL_usez00) = ((obj_t) BgL_usevaluez00_5657), BUNSPEC);
							}
							{
								BgL_setqzf2livenesszf2_bglt BgL_auxz00_9746;

								{
									obj_t BgL_auxz00_9747;

									{	/* Liveness/liveness.scm 665 */
										BgL_objectz00_bglt BgL_tmpz00_9748;

										BgL_tmpz00_9748 =
											((BgL_objectz00_bglt)
											((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4921)));
										BgL_auxz00_9747 = BGL_OBJECT_WIDENING(BgL_tmpz00_9748);
									}
									BgL_auxz00_9746 =
										((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9747);
								}
								((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9746))->
										BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_setqzf2livenesszf2_bglt BgL_auxz00_9755;

								{
									obj_t BgL_auxz00_9756;

									{	/* Liveness/liveness.scm 665 */
										BgL_objectz00_bglt BgL_tmpz00_9757;

										BgL_tmpz00_9757 =
											((BgL_objectz00_bglt)
											((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4921)));
										BgL_auxz00_9756 = BGL_OBJECT_WIDENING(BgL_tmpz00_9757);
									}
									BgL_auxz00_9755 =
										((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9756);
								}
								((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9755))->
										BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
							}
							BgL_arg2437z00_5676 =
								((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4921));
							return
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2437z00_5676));
						}
					}
				}
			}
		}

	}



/* &inout-cast/liveness2000 */
	obj_t BGl_z62inoutzd2castzf2liveness2000z42zzliveness_livenessz00(obj_t
		BgL_envz00_4922, obj_t BgL_nz00_4923)
	{
		{	/* Liveness/liveness.scm 654 */
			{	/* Liveness/liveness.scm 656 */
				obj_t BgL_val0_1717z00_5680;
				obj_t BgL_val1_1718z00_5681;

				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_9768;

					{
						obj_t BgL_auxz00_9769;

						{	/* Liveness/liveness.scm 656 */
							BgL_objectz00_bglt BgL_tmpz00_9770;

							BgL_tmpz00_9770 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4923));
							BgL_auxz00_9769 = BGL_OBJECT_WIDENING(BgL_tmpz00_9770);
						}
						BgL_auxz00_9768 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9769);
					}
					BgL_val0_1717z00_5680 =
						(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9768))->
						BgL_inz00);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_9776;

					{
						obj_t BgL_auxz00_9777;

						{	/* Liveness/liveness.scm 656 */
							BgL_objectz00_bglt BgL_tmpz00_9778;

							BgL_tmpz00_9778 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4923));
							BgL_auxz00_9777 = BGL_OBJECT_WIDENING(BgL_tmpz00_9778);
						}
						BgL_auxz00_9776 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9777);
					}
					BgL_val1_1718z00_5681 =
						(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9776))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 656 */
					int BgL_tmpz00_9784;

					BgL_tmpz00_9784 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9784);
				}
				{	/* Liveness/liveness.scm 656 */
					int BgL_tmpz00_9787;

					BgL_tmpz00_9787 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9787, BgL_val1_1718z00_5681);
				}
				return BgL_val0_1717z00_5680;
			}
		}

	}



/* &inout!-cast/liveness1998 */
	obj_t BGl_z62inoutz12zd2castzf2liveness1998z50zzliveness_livenessz00(obj_t
		BgL_envz00_4924, obj_t BgL_nz00_4925, obj_t BgL_oz00_4926)
	{
		{	/* Liveness/liveness.scm 647 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_9790;

				{
					obj_t BgL_auxz00_9791;

					{	/* Liveness/liveness.scm 649 */
						BgL_objectz00_bglt BgL_tmpz00_9792;

						BgL_tmpz00_9792 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4925));
						BgL_auxz00_9791 = BGL_OBJECT_WIDENING(BgL_tmpz00_9792);
					}
					BgL_auxz00_9790 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9791);
				}
				((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9790))->
						BgL_outz00) = ((obj_t) BgL_oz00_4926), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_9805;
				BgL_castzf2livenesszf2_bglt BgL_auxz00_9798;

				{	/* Liveness/liveness.scm 650 */
					obj_t BgL_arg2423z00_5683;
					obj_t BgL_arg2424z00_5684;

					{
						BgL_castzf2livenesszf2_bglt BgL_auxz00_9806;

						{
							obj_t BgL_auxz00_9807;

							{	/* Liveness/liveness.scm 650 */
								BgL_objectz00_bglt BgL_tmpz00_9808;

								BgL_tmpz00_9808 =
									((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4925));
								BgL_auxz00_9807 = BGL_OBJECT_WIDENING(BgL_tmpz00_9808);
							}
							BgL_auxz00_9806 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9807);
						}
						BgL_arg2423z00_5683 =
							(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9806))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 650 */
						obj_t BgL_arg2427z00_5685;
						obj_t BgL_arg2428z00_5686;

						{
							BgL_castzf2livenesszf2_bglt BgL_auxz00_9814;

							{
								obj_t BgL_auxz00_9815;

								{	/* Liveness/liveness.scm 650 */
									BgL_objectz00_bglt BgL_tmpz00_9816;

									BgL_tmpz00_9816 =
										((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4925));
									BgL_auxz00_9815 = BGL_OBJECT_WIDENING(BgL_tmpz00_9816);
								}
								BgL_auxz00_9814 =
									((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9815);
							}
							BgL_arg2427z00_5685 =
								(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9814))->
								BgL_outz00);
						}
						{
							BgL_castzf2livenesszf2_bglt BgL_auxz00_9822;

							{
								obj_t BgL_auxz00_9823;

								{	/* Liveness/liveness.scm 650 */
									BgL_objectz00_bglt BgL_tmpz00_9824;

									BgL_tmpz00_9824 =
										((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4925));
									BgL_auxz00_9823 = BGL_OBJECT_WIDENING(BgL_tmpz00_9824);
								}
								BgL_auxz00_9822 =
									((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9823);
							}
							BgL_arg2428z00_5686 =
								(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9822))->
								BgL_defz00);
						}
						BgL_arg2424z00_5684 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2427z00_5685,
							BgL_arg2428z00_5686);
					}
					{	/* Liveness/liveness.scm 650 */
						obj_t BgL_list2425z00_5687;

						{	/* Liveness/liveness.scm 650 */
							obj_t BgL_arg2426z00_5688;

							BgL_arg2426z00_5688 = MAKE_YOUNG_PAIR(BgL_arg2424z00_5684, BNIL);
							BgL_list2425z00_5687 =
								MAKE_YOUNG_PAIR(BgL_arg2423z00_5683, BgL_arg2426z00_5688);
						}
						BgL_auxz00_9805 =
							BGl_unionz00zzliveness_setz00(BgL_list2425z00_5687);
					}
				}
				{
					obj_t BgL_auxz00_9799;

					{	/* Liveness/liveness.scm 650 */
						BgL_objectz00_bglt BgL_tmpz00_9800;

						BgL_tmpz00_9800 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4925));
						BgL_auxz00_9799 = BGL_OBJECT_WIDENING(BgL_tmpz00_9800);
					}
					BgL_auxz00_9798 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9799);
				}
				((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9798))->BgL_inz00) =
					((obj_t) BgL_auxz00_9805), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 651 */
				BgL_nodez00_bglt BgL_arg2430z00_5689;

				BgL_arg2430z00_5689 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt)
								((BgL_castz00_bglt) BgL_nz00_4925))))->BgL_argz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2430z00_5689,
					BgL_oz00_4926);
			}
			{	/* Liveness/liveness.scm 652 */
				obj_t BgL_val0_1715z00_5690;
				obj_t BgL_val1_1716z00_5691;

				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_9839;

					{
						obj_t BgL_auxz00_9840;

						{	/* Liveness/liveness.scm 652 */
							BgL_objectz00_bglt BgL_tmpz00_9841;

							BgL_tmpz00_9841 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4925));
							BgL_auxz00_9840 = BGL_OBJECT_WIDENING(BgL_tmpz00_9841);
						}
						BgL_auxz00_9839 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9840);
					}
					BgL_val0_1715z00_5690 =
						(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9839))->
						BgL_inz00);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_9847;

					{
						obj_t BgL_auxz00_9848;

						{	/* Liveness/liveness.scm 652 */
							BgL_objectz00_bglt BgL_tmpz00_9849;

							BgL_tmpz00_9849 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4925));
							BgL_auxz00_9848 = BGL_OBJECT_WIDENING(BgL_tmpz00_9849);
						}
						BgL_auxz00_9847 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9848);
					}
					BgL_val1_1716z00_5691 =
						(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9847))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 652 */
					int BgL_tmpz00_9855;

					BgL_tmpz00_9855 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9855);
				}
				{	/* Liveness/liveness.scm 652 */
					int BgL_tmpz00_9858;

					BgL_tmpz00_9858 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9858, BgL_val1_1716z00_5691);
				}
				return BgL_val0_1715z00_5690;
			}
		}

	}



/* &defuse-cast/liveness1996 */
	obj_t BGl_z62defusezd2castzf2liveness1996z42zzliveness_livenessz00(obj_t
		BgL_envz00_4927, obj_t BgL_nz00_4928)
	{
		{	/* Liveness/liveness.scm 643 */
			{	/* Liveness/liveness.scm 645 */
				obj_t BgL_val0_1713z00_5693;
				obj_t BgL_val1_1714z00_5694;

				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_9861;

					{
						obj_t BgL_auxz00_9862;

						{	/* Liveness/liveness.scm 645 */
							BgL_objectz00_bglt BgL_tmpz00_9863;

							BgL_tmpz00_9863 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4928));
							BgL_auxz00_9862 = BGL_OBJECT_WIDENING(BgL_tmpz00_9863);
						}
						BgL_auxz00_9861 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9862);
					}
					BgL_val0_1713z00_5693 =
						(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9861))->
						BgL_defz00);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_9869;

					{
						obj_t BgL_auxz00_9870;

						{	/* Liveness/liveness.scm 645 */
							BgL_objectz00_bglt BgL_tmpz00_9871;

							BgL_tmpz00_9871 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4928));
							BgL_auxz00_9870 = BGL_OBJECT_WIDENING(BgL_tmpz00_9871);
						}
						BgL_auxz00_9869 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9870);
					}
					BgL_val1_1714z00_5694 =
						(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9869))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 645 */
					int BgL_tmpz00_9877;

					BgL_tmpz00_9877 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9877);
				}
				{	/* Liveness/liveness.scm 645 */
					int BgL_tmpz00_9880;

					BgL_tmpz00_9880 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9880, BgL_val1_1714z00_5694);
				}
				return BgL_val0_1713z00_5693;
			}
		}

	}



/* &defuse-cast1994 */
	obj_t BGl_z62defusezd2cast1994zb0zzliveness_livenessz00(obj_t BgL_envz00_4929,
		obj_t BgL_nz00_4930)
	{
		{	/* Liveness/liveness.scm 634 */
			{	/* Liveness/liveness.scm 636 */
				obj_t BgL_defz00_5696;

				BgL_defz00_5696 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_4930)))->BgL_argz00));
				{	/* Liveness/liveness.scm 637 */
					obj_t BgL_usez00_5697;

					{	/* Liveness/liveness.scm 638 */
						obj_t BgL_tmpz00_5698;

						{	/* Liveness/liveness.scm 638 */
							int BgL_tmpz00_9886;

							BgL_tmpz00_9886 = (int) (((long) 1));
							BgL_tmpz00_5698 = BGL_MVALUES_VAL(BgL_tmpz00_9886);
						}
						{	/* Liveness/liveness.scm 638 */
							int BgL_tmpz00_9889;

							BgL_tmpz00_9889 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_9889, BUNSPEC);
						}
						BgL_usez00_5697 = BgL_tmpz00_5698;
					}
					{	/* Liveness/liveness.scm 639 */
						BgL_castz00_bglt BgL_arg2419z00_5699;

						{	/* Liveness/liveness.scm 639 */
							BgL_castzf2livenesszf2_bglt BgL_wide1304z00_5700;

							BgL_wide1304z00_5700 =
								((BgL_castzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_castzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 639 */
								obj_t BgL_auxz00_9897;
								BgL_objectz00_bglt BgL_tmpz00_9893;

								BgL_auxz00_9897 = ((obj_t) BgL_wide1304z00_5700);
								BgL_tmpz00_9893 =
									((BgL_objectz00_bglt)
									((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4930)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9893, BgL_auxz00_9897);
							}
							((BgL_objectz00_bglt)
								((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4930)));
							{	/* Liveness/liveness.scm 639 */
								long BgL_arg2420z00_5701;

								BgL_arg2420z00_5701 =
									BGL_CLASS_NUM(BGl_castzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_castz00_bglt)
											((BgL_castz00_bglt) BgL_nz00_4930))),
									BgL_arg2420z00_5701);
							}
							((BgL_castz00_bglt)
								((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4930)));
						}
						{
							BgL_castzf2livenesszf2_bglt BgL_auxz00_9911;

							{
								obj_t BgL_auxz00_9912;

								{	/* Liveness/liveness.scm 640 */
									BgL_objectz00_bglt BgL_tmpz00_9913;

									BgL_tmpz00_9913 =
										((BgL_objectz00_bglt)
										((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4930)));
									BgL_auxz00_9912 = BGL_OBJECT_WIDENING(BgL_tmpz00_9913);
								}
								BgL_auxz00_9911 =
									((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9912);
							}
							((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9911))->
									BgL_defz00) = ((obj_t) BgL_defz00_5696), BUNSPEC);
						}
						{
							BgL_castzf2livenesszf2_bglt BgL_auxz00_9920;

							{
								obj_t BgL_auxz00_9921;

								{	/* Liveness/liveness.scm 641 */
									BgL_objectz00_bglt BgL_tmpz00_9922;

									BgL_tmpz00_9922 =
										((BgL_objectz00_bglt)
										((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4930)));
									BgL_auxz00_9921 = BGL_OBJECT_WIDENING(BgL_tmpz00_9922);
								}
								BgL_auxz00_9920 =
									((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9921);
							}
							((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9920))->
									BgL_usez00) = ((obj_t) BgL_usez00_5697), BUNSPEC);
						}
						{
							BgL_castzf2livenesszf2_bglt BgL_auxz00_9929;

							{
								obj_t BgL_auxz00_9930;

								{	/* Liveness/liveness.scm 637 */
									BgL_objectz00_bglt BgL_tmpz00_9931;

									BgL_tmpz00_9931 =
										((BgL_objectz00_bglt)
										((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4930)));
									BgL_auxz00_9930 = BGL_OBJECT_WIDENING(BgL_tmpz00_9931);
								}
								BgL_auxz00_9929 =
									((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9930);
							}
							((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9929))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_castzf2livenesszf2_bglt BgL_auxz00_9938;

							{
								obj_t BgL_auxz00_9939;

								{	/* Liveness/liveness.scm 637 */
									BgL_objectz00_bglt BgL_tmpz00_9940;

									BgL_tmpz00_9940 =
										((BgL_objectz00_bglt)
										((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4930)));
									BgL_auxz00_9939 = BGL_OBJECT_WIDENING(BgL_tmpz00_9940);
								}
								BgL_auxz00_9938 =
									((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9939);
							}
							((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9938))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2419z00_5699 =
							((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4930));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2419z00_5699));
					}
				}
			}
		}

	}



/* &inout-cast-null/live1992 */
	obj_t BGl_z62inoutzd2castzd2nullzf2live1992z90zzliveness_livenessz00(obj_t
		BgL_envz00_4931, obj_t BgL_nz00_4932)
	{
		{	/* Liveness/liveness.scm 627 */
			{	/* Liveness/liveness.scm 629 */
				obj_t BgL_val0_1711z00_5703;
				obj_t BgL_val1_1712z00_5704;

				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9951;

					{
						obj_t BgL_auxz00_9952;

						{	/* Liveness/liveness.scm 629 */
							BgL_objectz00_bglt BgL_tmpz00_9953;

							BgL_tmpz00_9953 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4932));
							BgL_auxz00_9952 = BGL_OBJECT_WIDENING(BgL_tmpz00_9953);
						}
						BgL_auxz00_9951 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9952);
					}
					BgL_val0_1711z00_5703 =
						(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9951))->
						BgL_inz00);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9959;

					{
						obj_t BgL_auxz00_9960;

						{	/* Liveness/liveness.scm 629 */
							BgL_objectz00_bglt BgL_tmpz00_9961;

							BgL_tmpz00_9961 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4932));
							BgL_auxz00_9960 = BGL_OBJECT_WIDENING(BgL_tmpz00_9961);
						}
						BgL_auxz00_9959 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9960);
					}
					BgL_val1_1712z00_5704 =
						(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9959))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 629 */
					int BgL_tmpz00_9967;

					BgL_tmpz00_9967 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9967);
				}
				{	/* Liveness/liveness.scm 629 */
					int BgL_tmpz00_9970;

					BgL_tmpz00_9970 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9970, BgL_val1_1712z00_5704);
				}
				return BgL_val0_1711z00_5703;
			}
		}

	}



/* &inout!-cast-null/liv1990 */
	obj_t BGl_z62inoutz12zd2castzd2nullzf2liv1990z82zzliveness_livenessz00(obj_t
		BgL_envz00_4933, obj_t BgL_nz00_4934, obj_t BgL_oz00_4935)
	{
		{	/* Liveness/liveness.scm 620 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9973;

				{
					obj_t BgL_auxz00_9974;

					{	/* Liveness/liveness.scm 622 */
						BgL_objectz00_bglt BgL_tmpz00_9975;

						BgL_tmpz00_9975 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_nz00_4934));
						BgL_auxz00_9974 = BGL_OBJECT_WIDENING(BgL_tmpz00_9975);
					}
					BgL_auxz00_9973 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9974);
				}
				((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9973))->
						BgL_outz00) = ((obj_t) BgL_oz00_4935), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_9988;
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9981;

				{	/* Liveness/liveness.scm 623 */
					obj_t BgL_arg2407z00_5706;
					obj_t BgL_arg2409z00_5707;

					{
						BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9989;

						{
							obj_t BgL_auxz00_9990;

							{	/* Liveness/liveness.scm 623 */
								BgL_objectz00_bglt BgL_tmpz00_9991;

								BgL_tmpz00_9991 =
									((BgL_objectz00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_nz00_4934));
								BgL_auxz00_9990 = BGL_OBJECT_WIDENING(BgL_tmpz00_9991);
							}
							BgL_auxz00_9989 =
								((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9990);
						}
						BgL_arg2407z00_5706 =
							(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9989))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 623 */
						obj_t BgL_arg2413z00_5708;
						obj_t BgL_arg2414z00_5709;

						{
							BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9997;

							{
								obj_t BgL_auxz00_9998;

								{	/* Liveness/liveness.scm 623 */
									BgL_objectz00_bglt BgL_tmpz00_9999;

									BgL_tmpz00_9999 =
										((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_nz00_4934));
									BgL_auxz00_9998 = BGL_OBJECT_WIDENING(BgL_tmpz00_9999);
								}
								BgL_auxz00_9997 =
									((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9998);
							}
							BgL_arg2413z00_5708 =
								(((BgL_castzd2nullzf2livenessz20_bglt)
									COBJECT(BgL_auxz00_9997))->BgL_outz00);
						}
						{
							BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_10005;

							{
								obj_t BgL_auxz00_10006;

								{	/* Liveness/liveness.scm 623 */
									BgL_objectz00_bglt BgL_tmpz00_10007;

									BgL_tmpz00_10007 =
										((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_nz00_4934));
									BgL_auxz00_10006 = BGL_OBJECT_WIDENING(BgL_tmpz00_10007);
								}
								BgL_auxz00_10005 =
									((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_10006);
							}
							BgL_arg2414z00_5709 =
								(((BgL_castzd2nullzf2livenessz20_bglt)
									COBJECT(BgL_auxz00_10005))->BgL_defz00);
						}
						BgL_arg2409z00_5707 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2413z00_5708,
							BgL_arg2414z00_5709);
					}
					{	/* Liveness/liveness.scm 623 */
						obj_t BgL_list2410z00_5710;

						{	/* Liveness/liveness.scm 623 */
							obj_t BgL_arg2411z00_5711;

							BgL_arg2411z00_5711 = MAKE_YOUNG_PAIR(BgL_arg2409z00_5707, BNIL);
							BgL_list2410z00_5710 =
								MAKE_YOUNG_PAIR(BgL_arg2407z00_5706, BgL_arg2411z00_5711);
						}
						BgL_auxz00_9988 =
							BGl_unionz00zzliveness_setz00(BgL_list2410z00_5710);
					}
				}
				{
					obj_t BgL_auxz00_9982;

					{	/* Liveness/liveness.scm 623 */
						BgL_objectz00_bglt BgL_tmpz00_9983;

						BgL_tmpz00_9983 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_nz00_4934));
						BgL_auxz00_9982 = BGL_OBJECT_WIDENING(BgL_tmpz00_9983);
					}
					BgL_auxz00_9981 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9982);
				}
				((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9981))->
						BgL_inz00) = ((obj_t) BgL_auxz00_9988), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 624 */
				obj_t BgL_g1708z00_5712;

				BgL_g1708z00_5712 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4934))))->BgL_exprza2za2);
				{
					obj_t BgL_l1706z00_5714;

					BgL_l1706z00_5714 = BgL_g1708z00_5712;
				BgL_zc3z04anonymousza32415ze3z87_5713:
					if (PAIRP(BgL_l1706z00_5714))
						{	/* Liveness/liveness.scm 624 */
							{	/* Liveness/liveness.scm 624 */
								obj_t BgL_ez00_5715;

								BgL_ez00_5715 = CAR(BgL_l1706z00_5714);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5715), BgL_oz00_4935);
							}
							{
								obj_t BgL_l1706z00_10026;

								BgL_l1706z00_10026 = CDR(BgL_l1706z00_5714);
								BgL_l1706z00_5714 = BgL_l1706z00_10026;
								goto BgL_zc3z04anonymousza32415ze3z87_5713;
							}
						}
					else
						{	/* Liveness/liveness.scm 624 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 625 */
				obj_t BgL_val0_1709z00_5716;
				obj_t BgL_val1_1710z00_5717;

				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_10028;

					{
						obj_t BgL_auxz00_10029;

						{	/* Liveness/liveness.scm 625 */
							BgL_objectz00_bglt BgL_tmpz00_10030;

							BgL_tmpz00_10030 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4934));
							BgL_auxz00_10029 = BGL_OBJECT_WIDENING(BgL_tmpz00_10030);
						}
						BgL_auxz00_10028 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_10029);
					}
					BgL_val0_1709z00_5716 =
						(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_10028))->
						BgL_inz00);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_10036;

					{
						obj_t BgL_auxz00_10037;

						{	/* Liveness/liveness.scm 625 */
							BgL_objectz00_bglt BgL_tmpz00_10038;

							BgL_tmpz00_10038 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4934));
							BgL_auxz00_10037 = BGL_OBJECT_WIDENING(BgL_tmpz00_10038);
						}
						BgL_auxz00_10036 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_10037);
					}
					BgL_val1_1710z00_5717 =
						(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_10036))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 625 */
					int BgL_tmpz00_10044;

					BgL_tmpz00_10044 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10044);
				}
				{	/* Liveness/liveness.scm 625 */
					int BgL_tmpz00_10047;

					BgL_tmpz00_10047 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10047, BgL_val1_1710z00_5717);
				}
				return BgL_val0_1709z00_5716;
			}
		}

	}



/* &defuse-cast-null/liv1988 */
	obj_t BGl_z62defusezd2castzd2nullzf2liv1988z90zzliveness_livenessz00(obj_t
		BgL_envz00_4936, obj_t BgL_nz00_4937)
	{
		{	/* Liveness/liveness.scm 616 */
			{	/* Liveness/liveness.scm 618 */
				obj_t BgL_val0_1704z00_5719;
				obj_t BgL_val1_1705z00_5720;

				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_10050;

					{
						obj_t BgL_auxz00_10051;

						{	/* Liveness/liveness.scm 618 */
							BgL_objectz00_bglt BgL_tmpz00_10052;

							BgL_tmpz00_10052 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4937));
							BgL_auxz00_10051 = BGL_OBJECT_WIDENING(BgL_tmpz00_10052);
						}
						BgL_auxz00_10050 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_10051);
					}
					BgL_val0_1704z00_5719 =
						(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_10050))->
						BgL_defz00);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_10058;

					{
						obj_t BgL_auxz00_10059;

						{	/* Liveness/liveness.scm 618 */
							BgL_objectz00_bglt BgL_tmpz00_10060;

							BgL_tmpz00_10060 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4937));
							BgL_auxz00_10059 = BGL_OBJECT_WIDENING(BgL_tmpz00_10060);
						}
						BgL_auxz00_10058 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_10059);
					}
					BgL_val1_1705z00_5720 =
						(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_10058))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 618 */
					int BgL_tmpz00_10066;

					BgL_tmpz00_10066 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10066);
				}
				{	/* Liveness/liveness.scm 618 */
					int BgL_tmpz00_10069;

					BgL_tmpz00_10069 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10069, BgL_val1_1705z00_5720);
				}
				return BgL_val0_1704z00_5719;
			}
		}

	}



/* &defuse-cast-null1986 */
	obj_t BGl_z62defusezd2castzd2null1986z62zzliveness_livenessz00(obj_t
		BgL_envz00_4938, obj_t BgL_nz00_4939)
	{
		{	/* Liveness/liveness.scm 607 */
			{	/* Liveness/liveness.scm 609 */
				obj_t BgL_defz00_5722;

				{	/* Liveness/liveness.scm 610 */
					obj_t BgL_arg2406z00_5723;

					BgL_arg2406z00_5723 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_nz00_4939))))->BgL_exprza2za2);
					BgL_defz00_5722 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2406z00_5723, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 610 */
					obj_t BgL_usez00_5724;

					{	/* Liveness/liveness.scm 611 */
						obj_t BgL_tmpz00_5725;

						{	/* Liveness/liveness.scm 611 */
							int BgL_tmpz00_10076;

							BgL_tmpz00_10076 = (int) (((long) 1));
							BgL_tmpz00_5725 = BGL_MVALUES_VAL(BgL_tmpz00_10076);
						}
						{	/* Liveness/liveness.scm 611 */
							int BgL_tmpz00_10079;

							BgL_tmpz00_10079 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10079, BUNSPEC);
						}
						BgL_usez00_5724 = BgL_tmpz00_5725;
					}
					{	/* Liveness/liveness.scm 612 */
						BgL_castzd2nullzd2_bglt BgL_arg2403z00_5726;

						{	/* Liveness/liveness.scm 612 */
							BgL_castzd2nullzf2livenessz20_bglt BgL_wide1296z00_5727;

							BgL_wide1296z00_5727 =
								((BgL_castzd2nullzf2livenessz20_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_castzd2nullzf2livenessz20_bgl))));
							{	/* Liveness/liveness.scm 612 */
								obj_t BgL_auxz00_10087;
								BgL_objectz00_bglt BgL_tmpz00_10083;

								BgL_auxz00_10087 = ((obj_t) BgL_wide1296z00_5727);
								BgL_tmpz00_10083 =
									((BgL_objectz00_bglt)
									((BgL_castzd2nullzd2_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_nz00_4939)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10083, BgL_auxz00_10087);
							}
							((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_nz00_4939)));
							{	/* Liveness/liveness.scm 612 */
								long BgL_arg2404z00_5728;

								BgL_arg2404z00_5728 =
									BGL_CLASS_NUM
									(BGl_castzd2nullzf2livenessz20zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
											(BgL_castzd2nullzd2_bglt) ((BgL_castzd2nullzd2_bglt)
												BgL_nz00_4939))), BgL_arg2404z00_5728);
							}
							((BgL_castzd2nullzd2_bglt)
								((BgL_castzd2nullzd2_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_nz00_4939)));
						}
						{
							BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_10101;

							{
								obj_t BgL_auxz00_10102;

								{	/* Liveness/liveness.scm 613 */
									BgL_objectz00_bglt BgL_tmpz00_10103;

									BgL_tmpz00_10103 =
										((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt)
											((BgL_castzd2nullzd2_bglt) BgL_nz00_4939)));
									BgL_auxz00_10102 = BGL_OBJECT_WIDENING(BgL_tmpz00_10103);
								}
								BgL_auxz00_10101 =
									((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_10102);
							}
							((((BgL_castzd2nullzf2livenessz20_bglt)
										COBJECT(BgL_auxz00_10101))->BgL_defz00) =
								((obj_t) BgL_defz00_5722), BUNSPEC);
						}
						{
							BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_10110;

							{
								obj_t BgL_auxz00_10111;

								{	/* Liveness/liveness.scm 614 */
									BgL_objectz00_bglt BgL_tmpz00_10112;

									BgL_tmpz00_10112 =
										((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt)
											((BgL_castzd2nullzd2_bglt) BgL_nz00_4939)));
									BgL_auxz00_10111 = BGL_OBJECT_WIDENING(BgL_tmpz00_10112);
								}
								BgL_auxz00_10110 =
									((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_10111);
							}
							((((BgL_castzd2nullzf2livenessz20_bglt)
										COBJECT(BgL_auxz00_10110))->BgL_usez00) =
								((obj_t) BgL_usez00_5724), BUNSPEC);
						}
						{
							BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_10119;

							{
								obj_t BgL_auxz00_10120;

								{	/* Liveness/liveness.scm 610 */
									BgL_objectz00_bglt BgL_tmpz00_10121;

									BgL_tmpz00_10121 =
										((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt)
											((BgL_castzd2nullzd2_bglt) BgL_nz00_4939)));
									BgL_auxz00_10120 = BGL_OBJECT_WIDENING(BgL_tmpz00_10121);
								}
								BgL_auxz00_10119 =
									((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_10120);
							}
							((((BgL_castzd2nullzf2livenessz20_bglt)
										COBJECT(BgL_auxz00_10119))->BgL_inz00) =
								((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_10128;

							{
								obj_t BgL_auxz00_10129;

								{	/* Liveness/liveness.scm 610 */
									BgL_objectz00_bglt BgL_tmpz00_10130;

									BgL_tmpz00_10130 =
										((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt)
											((BgL_castzd2nullzd2_bglt) BgL_nz00_4939)));
									BgL_auxz00_10129 = BGL_OBJECT_WIDENING(BgL_tmpz00_10130);
								}
								BgL_auxz00_10128 =
									((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_10129);
							}
							((((BgL_castzd2nullzf2livenessz20_bglt)
										COBJECT(BgL_auxz00_10128))->BgL_outz00) =
								((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2403z00_5726 =
							((BgL_castzd2nullzd2_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_nz00_4939));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2403z00_5726));
					}
				}
			}
		}

	}



/* &inout-instanceof/liv1984 */
	obj_t BGl_z62inoutzd2instanceofzf2liv1984z42zzliveness_livenessz00(obj_t
		BgL_envz00_4940, obj_t BgL_nz00_4941)
	{
		{	/* Liveness/liveness.scm 600 */
			{	/* Liveness/liveness.scm 602 */
				obj_t BgL_val0_1702z00_5730;
				obj_t BgL_val1_1703z00_5731;

				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10141;

					{
						obj_t BgL_auxz00_10142;

						{	/* Liveness/liveness.scm 602 */
							BgL_objectz00_bglt BgL_tmpz00_10143;

							BgL_tmpz00_10143 =
								((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4941));
							BgL_auxz00_10142 = BGL_OBJECT_WIDENING(BgL_tmpz00_10143);
						}
						BgL_auxz00_10141 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10142);
					}
					BgL_val0_1702z00_5730 =
						(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10141))->
						BgL_inz00);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10149;

					{
						obj_t BgL_auxz00_10150;

						{	/* Liveness/liveness.scm 602 */
							BgL_objectz00_bglt BgL_tmpz00_10151;

							BgL_tmpz00_10151 =
								((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4941));
							BgL_auxz00_10150 = BGL_OBJECT_WIDENING(BgL_tmpz00_10151);
						}
						BgL_auxz00_10149 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10150);
					}
					BgL_val1_1703z00_5731 =
						(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10149))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 602 */
					int BgL_tmpz00_10157;

					BgL_tmpz00_10157 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10157);
				}
				{	/* Liveness/liveness.scm 602 */
					int BgL_tmpz00_10160;

					BgL_tmpz00_10160 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10160, BgL_val1_1703z00_5731);
				}
				return BgL_val0_1702z00_5730;
			}
		}

	}



/* &inout!-instanceof/li1982 */
	obj_t BGl_z62inoutz12zd2instanceofzf2li1982z50zzliveness_livenessz00(obj_t
		BgL_envz00_4942, obj_t BgL_nz00_4943, obj_t BgL_oz00_4944)
	{
		{	/* Liveness/liveness.scm 593 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10163;

				{
					obj_t BgL_auxz00_10164;

					{	/* Liveness/liveness.scm 595 */
						BgL_objectz00_bglt BgL_tmpz00_10165;

						BgL_tmpz00_10165 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4943));
						BgL_auxz00_10164 = BGL_OBJECT_WIDENING(BgL_tmpz00_10165);
					}
					BgL_auxz00_10163 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10164);
				}
				((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10163))->
						BgL_outz00) = ((obj_t) BgL_oz00_4944), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_10178;
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10171;

				{	/* Liveness/liveness.scm 596 */
					obj_t BgL_arg2394z00_5733;
					obj_t BgL_arg2395z00_5734;

					{
						BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10179;

						{
							obj_t BgL_auxz00_10180;

							{	/* Liveness/liveness.scm 596 */
								BgL_objectz00_bglt BgL_tmpz00_10181;

								BgL_tmpz00_10181 =
									((BgL_objectz00_bglt)
									((BgL_instanceofz00_bglt) BgL_nz00_4943));
								BgL_auxz00_10180 = BGL_OBJECT_WIDENING(BgL_tmpz00_10181);
							}
							BgL_auxz00_10179 =
								((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10180);
						}
						BgL_arg2394z00_5733 =
							(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10179))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 596 */
						obj_t BgL_arg2398z00_5735;
						obj_t BgL_arg2399z00_5736;

						{
							BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10187;

							{
								obj_t BgL_auxz00_10188;

								{	/* Liveness/liveness.scm 596 */
									BgL_objectz00_bglt BgL_tmpz00_10189;

									BgL_tmpz00_10189 =
										((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt) BgL_nz00_4943));
									BgL_auxz00_10188 = BGL_OBJECT_WIDENING(BgL_tmpz00_10189);
								}
								BgL_auxz00_10187 =
									((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10188);
							}
							BgL_arg2398z00_5735 =
								(((BgL_instanceofzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_10187))->BgL_outz00);
						}
						{
							BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10195;

							{
								obj_t BgL_auxz00_10196;

								{	/* Liveness/liveness.scm 596 */
									BgL_objectz00_bglt BgL_tmpz00_10197;

									BgL_tmpz00_10197 =
										((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt) BgL_nz00_4943));
									BgL_auxz00_10196 = BGL_OBJECT_WIDENING(BgL_tmpz00_10197);
								}
								BgL_auxz00_10195 =
									((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10196);
							}
							BgL_arg2399z00_5736 =
								(((BgL_instanceofzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_10195))->BgL_defz00);
						}
						BgL_arg2395z00_5734 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2398z00_5735,
							BgL_arg2399z00_5736);
					}
					{	/* Liveness/liveness.scm 596 */
						obj_t BgL_list2396z00_5737;

						{	/* Liveness/liveness.scm 596 */
							obj_t BgL_arg2397z00_5738;

							BgL_arg2397z00_5738 = MAKE_YOUNG_PAIR(BgL_arg2395z00_5734, BNIL);
							BgL_list2396z00_5737 =
								MAKE_YOUNG_PAIR(BgL_arg2394z00_5733, BgL_arg2397z00_5738);
						}
						BgL_auxz00_10178 =
							BGl_unionz00zzliveness_setz00(BgL_list2396z00_5737);
					}
				}
				{
					obj_t BgL_auxz00_10172;

					{	/* Liveness/liveness.scm 596 */
						BgL_objectz00_bglt BgL_tmpz00_10173;

						BgL_tmpz00_10173 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4943));
						BgL_auxz00_10172 = BGL_OBJECT_WIDENING(BgL_tmpz00_10173);
					}
					BgL_auxz00_10171 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10172);
				}
				((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10171))->
						BgL_inz00) = ((obj_t) BgL_auxz00_10178), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 597 */
				obj_t BgL_g1699z00_5739;

				BgL_g1699z00_5739 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_instanceofz00_bglt) BgL_nz00_4943))))->BgL_exprza2za2);
				{
					obj_t BgL_l1697z00_5741;

					BgL_l1697z00_5741 = BgL_g1699z00_5739;
				BgL_zc3z04anonymousza32400ze3z87_5740:
					if (PAIRP(BgL_l1697z00_5741))
						{	/* Liveness/liveness.scm 597 */
							{	/* Liveness/liveness.scm 597 */
								obj_t BgL_ez00_5742;

								BgL_ez00_5742 = CAR(BgL_l1697z00_5741);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5742), BgL_oz00_4944);
							}
							{
								obj_t BgL_l1697z00_10216;

								BgL_l1697z00_10216 = CDR(BgL_l1697z00_5741);
								BgL_l1697z00_5741 = BgL_l1697z00_10216;
								goto BgL_zc3z04anonymousza32400ze3z87_5740;
							}
						}
					else
						{	/* Liveness/liveness.scm 597 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 598 */
				obj_t BgL_val0_1700z00_5743;
				obj_t BgL_val1_1701z00_5744;

				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10218;

					{
						obj_t BgL_auxz00_10219;

						{	/* Liveness/liveness.scm 598 */
							BgL_objectz00_bglt BgL_tmpz00_10220;

							BgL_tmpz00_10220 =
								((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4943));
							BgL_auxz00_10219 = BGL_OBJECT_WIDENING(BgL_tmpz00_10220);
						}
						BgL_auxz00_10218 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10219);
					}
					BgL_val0_1700z00_5743 =
						(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10218))->
						BgL_inz00);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10226;

					{
						obj_t BgL_auxz00_10227;

						{	/* Liveness/liveness.scm 598 */
							BgL_objectz00_bglt BgL_tmpz00_10228;

							BgL_tmpz00_10228 =
								((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4943));
							BgL_auxz00_10227 = BGL_OBJECT_WIDENING(BgL_tmpz00_10228);
						}
						BgL_auxz00_10226 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10227);
					}
					BgL_val1_1701z00_5744 =
						(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10226))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 598 */
					int BgL_tmpz00_10234;

					BgL_tmpz00_10234 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10234);
				}
				{	/* Liveness/liveness.scm 598 */
					int BgL_tmpz00_10237;

					BgL_tmpz00_10237 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10237, BgL_val1_1701z00_5744);
				}
				return BgL_val0_1700z00_5743;
			}
		}

	}



/* &defuse-instanceof/li1980 */
	obj_t BGl_z62defusezd2instanceofzf2li1980z42zzliveness_livenessz00(obj_t
		BgL_envz00_4945, obj_t BgL_nz00_4946)
	{
		{	/* Liveness/liveness.scm 589 */
			{	/* Liveness/liveness.scm 591 */
				obj_t BgL_val0_1695z00_5746;
				obj_t BgL_val1_1696z00_5747;

				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10240;

					{
						obj_t BgL_auxz00_10241;

						{	/* Liveness/liveness.scm 591 */
							BgL_objectz00_bglt BgL_tmpz00_10242;

							BgL_tmpz00_10242 =
								((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4946));
							BgL_auxz00_10241 = BGL_OBJECT_WIDENING(BgL_tmpz00_10242);
						}
						BgL_auxz00_10240 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10241);
					}
					BgL_val0_1695z00_5746 =
						(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10240))->
						BgL_defz00);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10248;

					{
						obj_t BgL_auxz00_10249;

						{	/* Liveness/liveness.scm 591 */
							BgL_objectz00_bglt BgL_tmpz00_10250;

							BgL_tmpz00_10250 =
								((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4946));
							BgL_auxz00_10249 = BGL_OBJECT_WIDENING(BgL_tmpz00_10250);
						}
						BgL_auxz00_10248 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10249);
					}
					BgL_val1_1696z00_5747 =
						(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10248))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 591 */
					int BgL_tmpz00_10256;

					BgL_tmpz00_10256 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10256);
				}
				{	/* Liveness/liveness.scm 591 */
					int BgL_tmpz00_10259;

					BgL_tmpz00_10259 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10259, BgL_val1_1696z00_5747);
				}
				return BgL_val0_1695z00_5746;
			}
		}

	}



/* &defuse-instanceof1978 */
	obj_t BGl_z62defusezd2instanceof1978zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4947, obj_t BgL_nz00_4948)
	{
		{	/* Liveness/liveness.scm 580 */
			{	/* Liveness/liveness.scm 582 */
				obj_t BgL_defz00_5749;

				{	/* Liveness/liveness.scm 583 */
					obj_t BgL_arg2392z00_5750;

					BgL_arg2392z00_5750 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_instanceofz00_bglt) BgL_nz00_4948))))->BgL_exprza2za2);
					BgL_defz00_5749 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2392z00_5750, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 583 */
					obj_t BgL_usez00_5751;

					{	/* Liveness/liveness.scm 584 */
						obj_t BgL_tmpz00_5752;

						{	/* Liveness/liveness.scm 584 */
							int BgL_tmpz00_10266;

							BgL_tmpz00_10266 = (int) (((long) 1));
							BgL_tmpz00_5752 = BGL_MVALUES_VAL(BgL_tmpz00_10266);
						}
						{	/* Liveness/liveness.scm 584 */
							int BgL_tmpz00_10269;

							BgL_tmpz00_10269 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10269, BUNSPEC);
						}
						BgL_usez00_5751 = BgL_tmpz00_5752;
					}
					{	/* Liveness/liveness.scm 585 */
						BgL_instanceofz00_bglt BgL_arg2390z00_5753;

						{	/* Liveness/liveness.scm 585 */
							BgL_instanceofzf2livenesszf2_bglt BgL_wide1288z00_5754;

							BgL_wide1288z00_5754 =
								((BgL_instanceofzf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_instanceofzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 585 */
								obj_t BgL_auxz00_10277;
								BgL_objectz00_bglt BgL_tmpz00_10273;

								BgL_auxz00_10277 = ((obj_t) BgL_wide1288z00_5754);
								BgL_tmpz00_10273 =
									((BgL_objectz00_bglt)
									((BgL_instanceofz00_bglt)
										((BgL_instanceofz00_bglt) BgL_nz00_4948)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10273, BgL_auxz00_10277);
							}
							((BgL_objectz00_bglt)
								((BgL_instanceofz00_bglt)
									((BgL_instanceofz00_bglt) BgL_nz00_4948)));
							{	/* Liveness/liveness.scm 585 */
								long BgL_arg2391z00_5755;

								BgL_arg2391z00_5755 =
									BGL_CLASS_NUM
									(BGl_instanceofzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
											(BgL_instanceofz00_bglt) ((BgL_instanceofz00_bglt)
												BgL_nz00_4948))), BgL_arg2391z00_5755);
							}
							((BgL_instanceofz00_bglt)
								((BgL_instanceofz00_bglt)
									((BgL_instanceofz00_bglt) BgL_nz00_4948)));
						}
						{
							BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10291;

							{
								obj_t BgL_auxz00_10292;

								{	/* Liveness/liveness.scm 586 */
									BgL_objectz00_bglt BgL_tmpz00_10293;

									BgL_tmpz00_10293 =
										((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt)
											((BgL_instanceofz00_bglt) BgL_nz00_4948)));
									BgL_auxz00_10292 = BGL_OBJECT_WIDENING(BgL_tmpz00_10293);
								}
								BgL_auxz00_10291 =
									((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10292);
							}
							((((BgL_instanceofzf2livenesszf2_bglt)
										COBJECT(BgL_auxz00_10291))->BgL_defz00) =
								((obj_t) BgL_defz00_5749), BUNSPEC);
						}
						{
							BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10300;

							{
								obj_t BgL_auxz00_10301;

								{	/* Liveness/liveness.scm 587 */
									BgL_objectz00_bglt BgL_tmpz00_10302;

									BgL_tmpz00_10302 =
										((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt)
											((BgL_instanceofz00_bglt) BgL_nz00_4948)));
									BgL_auxz00_10301 = BGL_OBJECT_WIDENING(BgL_tmpz00_10302);
								}
								BgL_auxz00_10300 =
									((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10301);
							}
							((((BgL_instanceofzf2livenesszf2_bglt)
										COBJECT(BgL_auxz00_10300))->BgL_usez00) =
								((obj_t) BgL_usez00_5751), BUNSPEC);
						}
						{
							BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10309;

							{
								obj_t BgL_auxz00_10310;

								{	/* Liveness/liveness.scm 583 */
									BgL_objectz00_bglt BgL_tmpz00_10311;

									BgL_tmpz00_10311 =
										((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt)
											((BgL_instanceofz00_bglt) BgL_nz00_4948)));
									BgL_auxz00_10310 = BGL_OBJECT_WIDENING(BgL_tmpz00_10311);
								}
								BgL_auxz00_10309 =
									((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10310);
							}
							((((BgL_instanceofzf2livenesszf2_bglt)
										COBJECT(BgL_auxz00_10309))->BgL_inz00) =
								((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10318;

							{
								obj_t BgL_auxz00_10319;

								{	/* Liveness/liveness.scm 583 */
									BgL_objectz00_bglt BgL_tmpz00_10320;

									BgL_tmpz00_10320 =
										((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt)
											((BgL_instanceofz00_bglt) BgL_nz00_4948)));
									BgL_auxz00_10319 = BGL_OBJECT_WIDENING(BgL_tmpz00_10320);
								}
								BgL_auxz00_10318 =
									((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10319);
							}
							((((BgL_instanceofzf2livenesszf2_bglt)
										COBJECT(BgL_auxz00_10318))->BgL_outz00) =
								((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2390z00_5753 =
							((BgL_instanceofz00_bglt)
							((BgL_instanceofz00_bglt) BgL_nz00_4948));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2390z00_5753));
					}
				}
			}
		}

	}



/* &inout-vlength/livene1976 */
	obj_t BGl_z62inoutzd2vlengthzf2livene1976z42zzliveness_livenessz00(obj_t
		BgL_envz00_4949, obj_t BgL_nz00_4950)
	{
		{	/* Liveness/liveness.scm 573 */
			{	/* Liveness/liveness.scm 575 */
				obj_t BgL_val0_1693z00_5757;
				obj_t BgL_val1_1694z00_5758;

				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10331;

					{
						obj_t BgL_auxz00_10332;

						{	/* Liveness/liveness.scm 575 */
							BgL_objectz00_bglt BgL_tmpz00_10333;

							BgL_tmpz00_10333 =
								((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4950));
							BgL_auxz00_10332 = BGL_OBJECT_WIDENING(BgL_tmpz00_10333);
						}
						BgL_auxz00_10331 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10332);
					}
					BgL_val0_1693z00_5757 =
						(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10331))->
						BgL_inz00);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10339;

					{
						obj_t BgL_auxz00_10340;

						{	/* Liveness/liveness.scm 575 */
							BgL_objectz00_bglt BgL_tmpz00_10341;

							BgL_tmpz00_10341 =
								((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4950));
							BgL_auxz00_10340 = BGL_OBJECT_WIDENING(BgL_tmpz00_10341);
						}
						BgL_auxz00_10339 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10340);
					}
					BgL_val1_1694z00_5758 =
						(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10339))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 575 */
					int BgL_tmpz00_10347;

					BgL_tmpz00_10347 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10347);
				}
				{	/* Liveness/liveness.scm 575 */
					int BgL_tmpz00_10350;

					BgL_tmpz00_10350 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10350, BgL_val1_1694z00_5758);
				}
				return BgL_val0_1693z00_5757;
			}
		}

	}



/* &inout!-vlength/liven1974 */
	obj_t BGl_z62inoutz12zd2vlengthzf2liven1974z50zzliveness_livenessz00(obj_t
		BgL_envz00_4951, obj_t BgL_nz00_4952, obj_t BgL_oz00_4953)
	{
		{	/* Liveness/liveness.scm 566 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10353;

				{
					obj_t BgL_auxz00_10354;

					{	/* Liveness/liveness.scm 568 */
						BgL_objectz00_bglt BgL_tmpz00_10355;

						BgL_tmpz00_10355 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4952));
						BgL_auxz00_10354 = BGL_OBJECT_WIDENING(BgL_tmpz00_10355);
					}
					BgL_auxz00_10353 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10354);
				}
				((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10353))->
						BgL_outz00) = ((obj_t) BgL_oz00_4953), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_10368;
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10361;

				{	/* Liveness/liveness.scm 569 */
					obj_t BgL_arg2381z00_5760;
					obj_t BgL_arg2382z00_5761;

					{
						BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10369;

						{
							obj_t BgL_auxz00_10370;

							{	/* Liveness/liveness.scm 569 */
								BgL_objectz00_bglt BgL_tmpz00_10371;

								BgL_tmpz00_10371 =
									((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4952));
								BgL_auxz00_10370 = BGL_OBJECT_WIDENING(BgL_tmpz00_10371);
							}
							BgL_auxz00_10369 =
								((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10370);
						}
						BgL_arg2381z00_5760 =
							(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10369))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 569 */
						obj_t BgL_arg2385z00_5762;
						obj_t BgL_arg2386z00_5763;

						{
							BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10377;

							{
								obj_t BgL_auxz00_10378;

								{	/* Liveness/liveness.scm 569 */
									BgL_objectz00_bglt BgL_tmpz00_10379;

									BgL_tmpz00_10379 =
										((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt) BgL_nz00_4952));
									BgL_auxz00_10378 = BGL_OBJECT_WIDENING(BgL_tmpz00_10379);
								}
								BgL_auxz00_10377 =
									((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10378);
							}
							BgL_arg2385z00_5762 =
								(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10377))->
								BgL_outz00);
						}
						{
							BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10385;

							{
								obj_t BgL_auxz00_10386;

								{	/* Liveness/liveness.scm 569 */
									BgL_objectz00_bglt BgL_tmpz00_10387;

									BgL_tmpz00_10387 =
										((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt) BgL_nz00_4952));
									BgL_auxz00_10386 = BGL_OBJECT_WIDENING(BgL_tmpz00_10387);
								}
								BgL_auxz00_10385 =
									((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10386);
							}
							BgL_arg2386z00_5763 =
								(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10385))->
								BgL_defz00);
						}
						BgL_arg2382z00_5761 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2385z00_5762,
							BgL_arg2386z00_5763);
					}
					{	/* Liveness/liveness.scm 569 */
						obj_t BgL_list2383z00_5764;

						{	/* Liveness/liveness.scm 569 */
							obj_t BgL_arg2384z00_5765;

							BgL_arg2384z00_5765 = MAKE_YOUNG_PAIR(BgL_arg2382z00_5761, BNIL);
							BgL_list2383z00_5764 =
								MAKE_YOUNG_PAIR(BgL_arg2381z00_5760, BgL_arg2384z00_5765);
						}
						BgL_auxz00_10368 =
							BGl_unionz00zzliveness_setz00(BgL_list2383z00_5764);
					}
				}
				{
					obj_t BgL_auxz00_10362;

					{	/* Liveness/liveness.scm 569 */
						BgL_objectz00_bglt BgL_tmpz00_10363;

						BgL_tmpz00_10363 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4952));
						BgL_auxz00_10362 = BGL_OBJECT_WIDENING(BgL_tmpz00_10363);
					}
					BgL_auxz00_10361 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10362);
				}
				((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10361))->
						BgL_inz00) = ((obj_t) BgL_auxz00_10368), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 570 */
				obj_t BgL_g1690z00_5766;

				BgL_g1690z00_5766 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vlengthz00_bglt) BgL_nz00_4952))))->BgL_exprza2za2);
				{
					obj_t BgL_l1688z00_5768;

					BgL_l1688z00_5768 = BgL_g1690z00_5766;
				BgL_zc3z04anonymousza32387ze3z87_5767:
					if (PAIRP(BgL_l1688z00_5768))
						{	/* Liveness/liveness.scm 570 */
							{	/* Liveness/liveness.scm 570 */
								obj_t BgL_ez00_5769;

								BgL_ez00_5769 = CAR(BgL_l1688z00_5768);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5769), BgL_oz00_4953);
							}
							{
								obj_t BgL_l1688z00_10406;

								BgL_l1688z00_10406 = CDR(BgL_l1688z00_5768);
								BgL_l1688z00_5768 = BgL_l1688z00_10406;
								goto BgL_zc3z04anonymousza32387ze3z87_5767;
							}
						}
					else
						{	/* Liveness/liveness.scm 570 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 571 */
				obj_t BgL_val0_1691z00_5770;
				obj_t BgL_val1_1692z00_5771;

				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10408;

					{
						obj_t BgL_auxz00_10409;

						{	/* Liveness/liveness.scm 571 */
							BgL_objectz00_bglt BgL_tmpz00_10410;

							BgL_tmpz00_10410 =
								((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4952));
							BgL_auxz00_10409 = BGL_OBJECT_WIDENING(BgL_tmpz00_10410);
						}
						BgL_auxz00_10408 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10409);
					}
					BgL_val0_1691z00_5770 =
						(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10408))->
						BgL_inz00);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10416;

					{
						obj_t BgL_auxz00_10417;

						{	/* Liveness/liveness.scm 571 */
							BgL_objectz00_bglt BgL_tmpz00_10418;

							BgL_tmpz00_10418 =
								((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4952));
							BgL_auxz00_10417 = BGL_OBJECT_WIDENING(BgL_tmpz00_10418);
						}
						BgL_auxz00_10416 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10417);
					}
					BgL_val1_1692z00_5771 =
						(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10416))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 571 */
					int BgL_tmpz00_10424;

					BgL_tmpz00_10424 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10424);
				}
				{	/* Liveness/liveness.scm 571 */
					int BgL_tmpz00_10427;

					BgL_tmpz00_10427 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10427, BgL_val1_1692z00_5771);
				}
				return BgL_val0_1691z00_5770;
			}
		}

	}



/* &defuse-vlength/liven1972 */
	obj_t BGl_z62defusezd2vlengthzf2liven1972z42zzliveness_livenessz00(obj_t
		BgL_envz00_4954, obj_t BgL_nz00_4955)
	{
		{	/* Liveness/liveness.scm 562 */
			{	/* Liveness/liveness.scm 564 */
				obj_t BgL_val0_1686z00_5773;
				obj_t BgL_val1_1687z00_5774;

				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10430;

					{
						obj_t BgL_auxz00_10431;

						{	/* Liveness/liveness.scm 564 */
							BgL_objectz00_bglt BgL_tmpz00_10432;

							BgL_tmpz00_10432 =
								((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4955));
							BgL_auxz00_10431 = BGL_OBJECT_WIDENING(BgL_tmpz00_10432);
						}
						BgL_auxz00_10430 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10431);
					}
					BgL_val0_1686z00_5773 =
						(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10430))->
						BgL_defz00);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10438;

					{
						obj_t BgL_auxz00_10439;

						{	/* Liveness/liveness.scm 564 */
							BgL_objectz00_bglt BgL_tmpz00_10440;

							BgL_tmpz00_10440 =
								((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4955));
							BgL_auxz00_10439 = BGL_OBJECT_WIDENING(BgL_tmpz00_10440);
						}
						BgL_auxz00_10438 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10439);
					}
					BgL_val1_1687z00_5774 =
						(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10438))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 564 */
					int BgL_tmpz00_10446;

					BgL_tmpz00_10446 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10446);
				}
				{	/* Liveness/liveness.scm 564 */
					int BgL_tmpz00_10449;

					BgL_tmpz00_10449 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10449, BgL_val1_1687z00_5774);
				}
				return BgL_val0_1686z00_5773;
			}
		}

	}



/* &defuse-vlength1970 */
	obj_t BGl_z62defusezd2vlength1970zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4956, obj_t BgL_nz00_4957)
	{
		{	/* Liveness/liveness.scm 553 */
			{	/* Liveness/liveness.scm 555 */
				obj_t BgL_defz00_5776;

				{	/* Liveness/liveness.scm 556 */
					obj_t BgL_arg2380z00_5777;

					BgL_arg2380z00_5777 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vlengthz00_bglt) BgL_nz00_4957))))->BgL_exprza2za2);
					BgL_defz00_5776 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2380z00_5777, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 556 */
					obj_t BgL_usez00_5778;

					{	/* Liveness/liveness.scm 557 */
						obj_t BgL_tmpz00_5779;

						{	/* Liveness/liveness.scm 557 */
							int BgL_tmpz00_10456;

							BgL_tmpz00_10456 = (int) (((long) 1));
							BgL_tmpz00_5779 = BGL_MVALUES_VAL(BgL_tmpz00_10456);
						}
						{	/* Liveness/liveness.scm 557 */
							int BgL_tmpz00_10459;

							BgL_tmpz00_10459 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10459, BUNSPEC);
						}
						BgL_usez00_5778 = BgL_tmpz00_5779;
					}
					{	/* Liveness/liveness.scm 558 */
						BgL_vlengthz00_bglt BgL_arg2378z00_5780;

						{	/* Liveness/liveness.scm 558 */
							BgL_vlengthzf2livenesszf2_bglt BgL_wide1280z00_5781;

							BgL_wide1280z00_5781 =
								((BgL_vlengthzf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_vlengthzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 558 */
								obj_t BgL_auxz00_10467;
								BgL_objectz00_bglt BgL_tmpz00_10463;

								BgL_auxz00_10467 = ((obj_t) BgL_wide1280z00_5781);
								BgL_tmpz00_10463 =
									((BgL_objectz00_bglt)
									((BgL_vlengthz00_bglt)
										((BgL_vlengthz00_bglt) BgL_nz00_4957)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10463, BgL_auxz00_10467);
							}
							((BgL_objectz00_bglt)
								((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4957)));
							{	/* Liveness/liveness.scm 558 */
								long BgL_arg2379z00_5782;

								BgL_arg2379z00_5782 =
									BGL_CLASS_NUM(BGl_vlengthzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt)
											((BgL_vlengthz00_bglt) BgL_nz00_4957))),
									BgL_arg2379z00_5782);
							}
							((BgL_vlengthz00_bglt)
								((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4957)));
						}
						{
							BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10481;

							{
								obj_t BgL_auxz00_10482;

								{	/* Liveness/liveness.scm 559 */
									BgL_objectz00_bglt BgL_tmpz00_10483;

									BgL_tmpz00_10483 =
										((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt)
											((BgL_vlengthz00_bglt) BgL_nz00_4957)));
									BgL_auxz00_10482 = BGL_OBJECT_WIDENING(BgL_tmpz00_10483);
								}
								BgL_auxz00_10481 =
									((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10482);
							}
							((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10481))->
									BgL_defz00) = ((obj_t) BgL_defz00_5776), BUNSPEC);
						}
						{
							BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10490;

							{
								obj_t BgL_auxz00_10491;

								{	/* Liveness/liveness.scm 560 */
									BgL_objectz00_bglt BgL_tmpz00_10492;

									BgL_tmpz00_10492 =
										((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt)
											((BgL_vlengthz00_bglt) BgL_nz00_4957)));
									BgL_auxz00_10491 = BGL_OBJECT_WIDENING(BgL_tmpz00_10492);
								}
								BgL_auxz00_10490 =
									((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10491);
							}
							((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10490))->
									BgL_usez00) = ((obj_t) BgL_usez00_5778), BUNSPEC);
						}
						{
							BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10499;

							{
								obj_t BgL_auxz00_10500;

								{	/* Liveness/liveness.scm 556 */
									BgL_objectz00_bglt BgL_tmpz00_10501;

									BgL_tmpz00_10501 =
										((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt)
											((BgL_vlengthz00_bglt) BgL_nz00_4957)));
									BgL_auxz00_10500 = BGL_OBJECT_WIDENING(BgL_tmpz00_10501);
								}
								BgL_auxz00_10499 =
									((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10500);
							}
							((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10499))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10508;

							{
								obj_t BgL_auxz00_10509;

								{	/* Liveness/liveness.scm 556 */
									BgL_objectz00_bglt BgL_tmpz00_10510;

									BgL_tmpz00_10510 =
										((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt)
											((BgL_vlengthz00_bglt) BgL_nz00_4957)));
									BgL_auxz00_10509 = BGL_OBJECT_WIDENING(BgL_tmpz00_10510);
								}
								BgL_auxz00_10508 =
									((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10509);
							}
							((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10508))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2378z00_5780 =
							((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4957));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2378z00_5780));
					}
				}
			}
		}

	}



/* &inout-vset!/liveness1968 */
	obj_t BGl_z62inoutzd2vsetz12zf2liveness1968z50zzliveness_livenessz00(obj_t
		BgL_envz00_4958, obj_t BgL_nz00_4959)
	{
		{	/* Liveness/liveness.scm 546 */
			{	/* Liveness/liveness.scm 548 */
				obj_t BgL_val0_1684z00_5784;
				obj_t BgL_val1_1685z00_5785;

				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10521;

					{
						obj_t BgL_auxz00_10522;

						{	/* Liveness/liveness.scm 548 */
							BgL_objectz00_bglt BgL_tmpz00_10523;

							BgL_tmpz00_10523 =
								((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4959));
							BgL_auxz00_10522 = BGL_OBJECT_WIDENING(BgL_tmpz00_10523);
						}
						BgL_auxz00_10521 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10522);
					}
					BgL_val0_1684z00_5784 =
						(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10521))->
						BgL_inz00);
				}
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10529;

					{
						obj_t BgL_auxz00_10530;

						{	/* Liveness/liveness.scm 548 */
							BgL_objectz00_bglt BgL_tmpz00_10531;

							BgL_tmpz00_10531 =
								((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4959));
							BgL_auxz00_10530 = BGL_OBJECT_WIDENING(BgL_tmpz00_10531);
						}
						BgL_auxz00_10529 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10530);
					}
					BgL_val1_1685z00_5785 =
						(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10529))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 548 */
					int BgL_tmpz00_10537;

					BgL_tmpz00_10537 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10537);
				}
				{	/* Liveness/liveness.scm 548 */
					int BgL_tmpz00_10540;

					BgL_tmpz00_10540 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10540, BgL_val1_1685z00_5785);
				}
				return BgL_val0_1684z00_5784;
			}
		}

	}



/* &inout!-vset!/livenes1966 */
	obj_t BGl_z62inoutz12zd2vsetz12zf2livenes1966z42zzliveness_livenessz00(obj_t
		BgL_envz00_4960, obj_t BgL_nz00_4961, obj_t BgL_oz00_4962)
	{
		{	/* Liveness/liveness.scm 539 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10543;

				{
					obj_t BgL_auxz00_10544;

					{	/* Liveness/liveness.scm 541 */
						BgL_objectz00_bglt BgL_tmpz00_10545;

						BgL_tmpz00_10545 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4961));
						BgL_auxz00_10544 = BGL_OBJECT_WIDENING(BgL_tmpz00_10545);
					}
					BgL_auxz00_10543 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10544);
				}
				((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10543))->
						BgL_outz00) = ((obj_t) BgL_oz00_4962), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_10558;
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10551;

				{	/* Liveness/liveness.scm 542 */
					obj_t BgL_arg2368z00_5787;
					obj_t BgL_arg2369z00_5788;

					{
						BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10559;

						{
							obj_t BgL_auxz00_10560;

							{	/* Liveness/liveness.scm 542 */
								BgL_objectz00_bglt BgL_tmpz00_10561;

								BgL_tmpz00_10561 =
									((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4961));
								BgL_auxz00_10560 = BGL_OBJECT_WIDENING(BgL_tmpz00_10561);
							}
							BgL_auxz00_10559 =
								((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10560);
						}
						BgL_arg2368z00_5787 =
							(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10559))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 542 */
						obj_t BgL_arg2372z00_5789;
						obj_t BgL_arg2374z00_5790;

						{
							BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10567;

							{
								obj_t BgL_auxz00_10568;

								{	/* Liveness/liveness.scm 542 */
									BgL_objectz00_bglt BgL_tmpz00_10569;

									BgL_tmpz00_10569 =
										((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt) BgL_nz00_4961));
									BgL_auxz00_10568 = BGL_OBJECT_WIDENING(BgL_tmpz00_10569);
								}
								BgL_auxz00_10567 =
									((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10568);
							}
							BgL_arg2372z00_5789 =
								(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10567))->
								BgL_outz00);
						}
						{
							BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10575;

							{
								obj_t BgL_auxz00_10576;

								{	/* Liveness/liveness.scm 542 */
									BgL_objectz00_bglt BgL_tmpz00_10577;

									BgL_tmpz00_10577 =
										((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt) BgL_nz00_4961));
									BgL_auxz00_10576 = BGL_OBJECT_WIDENING(BgL_tmpz00_10577);
								}
								BgL_auxz00_10575 =
									((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10576);
							}
							BgL_arg2374z00_5790 =
								(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10575))->
								BgL_defz00);
						}
						BgL_arg2369z00_5788 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2372z00_5789,
							BgL_arg2374z00_5790);
					}
					{	/* Liveness/liveness.scm 542 */
						obj_t BgL_list2370z00_5791;

						{	/* Liveness/liveness.scm 542 */
							obj_t BgL_arg2371z00_5792;

							BgL_arg2371z00_5792 = MAKE_YOUNG_PAIR(BgL_arg2369z00_5788, BNIL);
							BgL_list2370z00_5791 =
								MAKE_YOUNG_PAIR(BgL_arg2368z00_5787, BgL_arg2371z00_5792);
						}
						BgL_auxz00_10558 =
							BGl_unionz00zzliveness_setz00(BgL_list2370z00_5791);
					}
				}
				{
					obj_t BgL_auxz00_10552;

					{	/* Liveness/liveness.scm 542 */
						BgL_objectz00_bglt BgL_tmpz00_10553;

						BgL_tmpz00_10553 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4961));
						BgL_auxz00_10552 = BGL_OBJECT_WIDENING(BgL_tmpz00_10553);
					}
					BgL_auxz00_10551 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10552);
				}
				((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10551))->
						BgL_inz00) = ((obj_t) BgL_auxz00_10558), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 543 */
				obj_t BgL_g1681z00_5793;

				BgL_g1681z00_5793 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_nz00_4961))))->BgL_exprza2za2);
				{
					obj_t BgL_l1679z00_5795;

					BgL_l1679z00_5795 = BgL_g1681z00_5793;
				BgL_zc3z04anonymousza32375ze3z87_5794:
					if (PAIRP(BgL_l1679z00_5795))
						{	/* Liveness/liveness.scm 543 */
							{	/* Liveness/liveness.scm 543 */
								obj_t BgL_ez00_5796;

								BgL_ez00_5796 = CAR(BgL_l1679z00_5795);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5796), BgL_oz00_4962);
							}
							{
								obj_t BgL_l1679z00_10596;

								BgL_l1679z00_10596 = CDR(BgL_l1679z00_5795);
								BgL_l1679z00_5795 = BgL_l1679z00_10596;
								goto BgL_zc3z04anonymousza32375ze3z87_5794;
							}
						}
					else
						{	/* Liveness/liveness.scm 543 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 544 */
				obj_t BgL_val0_1682z00_5797;
				obj_t BgL_val1_1683z00_5798;

				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10598;

					{
						obj_t BgL_auxz00_10599;

						{	/* Liveness/liveness.scm 544 */
							BgL_objectz00_bglt BgL_tmpz00_10600;

							BgL_tmpz00_10600 =
								((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4961));
							BgL_auxz00_10599 = BGL_OBJECT_WIDENING(BgL_tmpz00_10600);
						}
						BgL_auxz00_10598 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10599);
					}
					BgL_val0_1682z00_5797 =
						(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10598))->
						BgL_inz00);
				}
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10606;

					{
						obj_t BgL_auxz00_10607;

						{	/* Liveness/liveness.scm 544 */
							BgL_objectz00_bglt BgL_tmpz00_10608;

							BgL_tmpz00_10608 =
								((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4961));
							BgL_auxz00_10607 = BGL_OBJECT_WIDENING(BgL_tmpz00_10608);
						}
						BgL_auxz00_10606 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10607);
					}
					BgL_val1_1683z00_5798 =
						(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10606))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 544 */
					int BgL_tmpz00_10614;

					BgL_tmpz00_10614 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10614);
				}
				{	/* Liveness/liveness.scm 544 */
					int BgL_tmpz00_10617;

					BgL_tmpz00_10617 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10617, BgL_val1_1683z00_5798);
				}
				return BgL_val0_1682z00_5797;
			}
		}

	}



/* &defuse-vset!/livenes1964 */
	obj_t BGl_z62defusezd2vsetz12zf2livenes1964z50zzliveness_livenessz00(obj_t
		BgL_envz00_4963, obj_t BgL_nz00_4964)
	{
		{	/* Liveness/liveness.scm 535 */
			{	/* Liveness/liveness.scm 537 */
				obj_t BgL_val0_1677z00_5800;
				obj_t BgL_val1_1678z00_5801;

				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10620;

					{
						obj_t BgL_auxz00_10621;

						{	/* Liveness/liveness.scm 537 */
							BgL_objectz00_bglt BgL_tmpz00_10622;

							BgL_tmpz00_10622 =
								((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4964));
							BgL_auxz00_10621 = BGL_OBJECT_WIDENING(BgL_tmpz00_10622);
						}
						BgL_auxz00_10620 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10621);
					}
					BgL_val0_1677z00_5800 =
						(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10620))->
						BgL_defz00);
				}
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10628;

					{
						obj_t BgL_auxz00_10629;

						{	/* Liveness/liveness.scm 537 */
							BgL_objectz00_bglt BgL_tmpz00_10630;

							BgL_tmpz00_10630 =
								((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4964));
							BgL_auxz00_10629 = BGL_OBJECT_WIDENING(BgL_tmpz00_10630);
						}
						BgL_auxz00_10628 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10629);
					}
					BgL_val1_1678z00_5801 =
						(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10628))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 537 */
					int BgL_tmpz00_10636;

					BgL_tmpz00_10636 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10636);
				}
				{	/* Liveness/liveness.scm 537 */
					int BgL_tmpz00_10639;

					BgL_tmpz00_10639 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10639, BgL_val1_1678z00_5801);
				}
				return BgL_val0_1677z00_5800;
			}
		}

	}



/* &defuse-vset!1962 */
	obj_t BGl_z62defusezd2vsetz121962za2zzliveness_livenessz00(obj_t
		BgL_envz00_4965, obj_t BgL_nz00_4966)
	{
		{	/* Liveness/liveness.scm 526 */
			{	/* Liveness/liveness.scm 528 */
				obj_t BgL_defz00_5803;

				{	/* Liveness/liveness.scm 529 */
					obj_t BgL_arg2367z00_5804;

					BgL_arg2367z00_5804 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nz00_4966))))->BgL_exprza2za2);
					BgL_defz00_5803 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2367z00_5804, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 529 */
					obj_t BgL_usez00_5805;

					{	/* Liveness/liveness.scm 530 */
						obj_t BgL_tmpz00_5806;

						{	/* Liveness/liveness.scm 530 */
							int BgL_tmpz00_10646;

							BgL_tmpz00_10646 = (int) (((long) 1));
							BgL_tmpz00_5806 = BGL_MVALUES_VAL(BgL_tmpz00_10646);
						}
						{	/* Liveness/liveness.scm 530 */
							int BgL_tmpz00_10649;

							BgL_tmpz00_10649 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10649, BUNSPEC);
						}
						BgL_usez00_5805 = BgL_tmpz00_5806;
					}
					{	/* Liveness/liveness.scm 531 */
						BgL_vsetz12z12_bglt BgL_arg2365z00_5807;

						{	/* Liveness/liveness.scm 531 */
							BgL_vsetz12zf2livenessze0_bglt BgL_wide1272z00_5808;

							BgL_wide1272z00_5808 =
								((BgL_vsetz12zf2livenessze0_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_vsetz12zf2livenessze0_bgl))));
							{	/* Liveness/liveness.scm 531 */
								obj_t BgL_auxz00_10657;
								BgL_objectz00_bglt BgL_tmpz00_10653;

								BgL_auxz00_10657 = ((obj_t) BgL_wide1272z00_5808);
								BgL_tmpz00_10653 =
									((BgL_objectz00_bglt)
									((BgL_vsetz12z12_bglt)
										((BgL_vsetz12z12_bglt) BgL_nz00_4966)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10653, BgL_auxz00_10657);
							}
							((BgL_objectz00_bglt)
								((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4966)));
							{	/* Liveness/liveness.scm 531 */
								long BgL_arg2366z00_5809;

								BgL_arg2366z00_5809 =
									BGL_CLASS_NUM(BGl_vsetz12zf2livenessze0zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt)
											((BgL_vsetz12z12_bglt) BgL_nz00_4966))),
									BgL_arg2366z00_5809);
							}
							((BgL_vsetz12z12_bglt)
								((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4966)));
						}
						{
							BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10671;

							{
								obj_t BgL_auxz00_10672;

								{	/* Liveness/liveness.scm 532 */
									BgL_objectz00_bglt BgL_tmpz00_10673;

									BgL_tmpz00_10673 =
										((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt)
											((BgL_vsetz12z12_bglt) BgL_nz00_4966)));
									BgL_auxz00_10672 = BGL_OBJECT_WIDENING(BgL_tmpz00_10673);
								}
								BgL_auxz00_10671 =
									((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10672);
							}
							((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10671))->
									BgL_defz00) = ((obj_t) BgL_defz00_5803), BUNSPEC);
						}
						{
							BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10680;

							{
								obj_t BgL_auxz00_10681;

								{	/* Liveness/liveness.scm 533 */
									BgL_objectz00_bglt BgL_tmpz00_10682;

									BgL_tmpz00_10682 =
										((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt)
											((BgL_vsetz12z12_bglt) BgL_nz00_4966)));
									BgL_auxz00_10681 = BGL_OBJECT_WIDENING(BgL_tmpz00_10682);
								}
								BgL_auxz00_10680 =
									((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10681);
							}
							((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10680))->
									BgL_usez00) = ((obj_t) BgL_usez00_5805), BUNSPEC);
						}
						{
							BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10689;

							{
								obj_t BgL_auxz00_10690;

								{	/* Liveness/liveness.scm 529 */
									BgL_objectz00_bglt BgL_tmpz00_10691;

									BgL_tmpz00_10691 =
										((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt)
											((BgL_vsetz12z12_bglt) BgL_nz00_4966)));
									BgL_auxz00_10690 = BGL_OBJECT_WIDENING(BgL_tmpz00_10691);
								}
								BgL_auxz00_10689 =
									((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10690);
							}
							((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10689))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10698;

							{
								obj_t BgL_auxz00_10699;

								{	/* Liveness/liveness.scm 529 */
									BgL_objectz00_bglt BgL_tmpz00_10700;

									BgL_tmpz00_10700 =
										((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt)
											((BgL_vsetz12z12_bglt) BgL_nz00_4966)));
									BgL_auxz00_10699 = BGL_OBJECT_WIDENING(BgL_tmpz00_10700);
								}
								BgL_auxz00_10698 =
									((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10699);
							}
							((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10698))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2365z00_5807 =
							((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4966));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2365z00_5807));
					}
				}
			}
		}

	}



/* &inout-vref/liveness1960 */
	obj_t BGl_z62inoutzd2vrefzf2liveness1960z42zzliveness_livenessz00(obj_t
		BgL_envz00_4967, obj_t BgL_nz00_4968)
	{
		{	/* Liveness/liveness.scm 519 */
			{	/* Liveness/liveness.scm 521 */
				obj_t BgL_val0_1675z00_5811;
				obj_t BgL_val1_1676z00_5812;

				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10711;

					{
						obj_t BgL_auxz00_10712;

						{	/* Liveness/liveness.scm 521 */
							BgL_objectz00_bglt BgL_tmpz00_10713;

							BgL_tmpz00_10713 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4968));
							BgL_auxz00_10712 = BGL_OBJECT_WIDENING(BgL_tmpz00_10713);
						}
						BgL_auxz00_10711 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10712);
					}
					BgL_val0_1675z00_5811 =
						(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10711))->
						BgL_inz00);
				}
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10719;

					{
						obj_t BgL_auxz00_10720;

						{	/* Liveness/liveness.scm 521 */
							BgL_objectz00_bglt BgL_tmpz00_10721;

							BgL_tmpz00_10721 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4968));
							BgL_auxz00_10720 = BGL_OBJECT_WIDENING(BgL_tmpz00_10721);
						}
						BgL_auxz00_10719 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10720);
					}
					BgL_val1_1676z00_5812 =
						(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10719))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 521 */
					int BgL_tmpz00_10727;

					BgL_tmpz00_10727 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10727);
				}
				{	/* Liveness/liveness.scm 521 */
					int BgL_tmpz00_10730;

					BgL_tmpz00_10730 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10730, BgL_val1_1676z00_5812);
				}
				return BgL_val0_1675z00_5811;
			}
		}

	}



/* &inout!-vref/liveness1958 */
	obj_t BGl_z62inoutz12zd2vrefzf2liveness1958z50zzliveness_livenessz00(obj_t
		BgL_envz00_4969, obj_t BgL_nz00_4970, obj_t BgL_oz00_4971)
	{
		{	/* Liveness/liveness.scm 512 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10733;

				{
					obj_t BgL_auxz00_10734;

					{	/* Liveness/liveness.scm 514 */
						BgL_objectz00_bglt BgL_tmpz00_10735;

						BgL_tmpz00_10735 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4970));
						BgL_auxz00_10734 = BGL_OBJECT_WIDENING(BgL_tmpz00_10735);
					}
					BgL_auxz00_10733 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10734);
				}
				((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10733))->
						BgL_outz00) = ((obj_t) BgL_oz00_4971), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_10748;
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10741;

				{	/* Liveness/liveness.scm 515 */
					obj_t BgL_arg2355z00_5814;
					obj_t BgL_arg2356z00_5815;

					{
						BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10749;

						{
							obj_t BgL_auxz00_10750;

							{	/* Liveness/liveness.scm 515 */
								BgL_objectz00_bglt BgL_tmpz00_10751;

								BgL_tmpz00_10751 =
									((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4970));
								BgL_auxz00_10750 = BGL_OBJECT_WIDENING(BgL_tmpz00_10751);
							}
							BgL_auxz00_10749 =
								((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10750);
						}
						BgL_arg2355z00_5814 =
							(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10749))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 515 */
						obj_t BgL_arg2360z00_5816;
						obj_t BgL_arg2361z00_5817;

						{
							BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10757;

							{
								obj_t BgL_auxz00_10758;

								{	/* Liveness/liveness.scm 515 */
									BgL_objectz00_bglt BgL_tmpz00_10759;

									BgL_tmpz00_10759 =
										((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4970));
									BgL_auxz00_10758 = BGL_OBJECT_WIDENING(BgL_tmpz00_10759);
								}
								BgL_auxz00_10757 =
									((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10758);
							}
							BgL_arg2360z00_5816 =
								(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10757))->
								BgL_outz00);
						}
						{
							BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10765;

							{
								obj_t BgL_auxz00_10766;

								{	/* Liveness/liveness.scm 515 */
									BgL_objectz00_bglt BgL_tmpz00_10767;

									BgL_tmpz00_10767 =
										((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4970));
									BgL_auxz00_10766 = BGL_OBJECT_WIDENING(BgL_tmpz00_10767);
								}
								BgL_auxz00_10765 =
									((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10766);
							}
							BgL_arg2361z00_5817 =
								(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10765))->
								BgL_defz00);
						}
						BgL_arg2356z00_5815 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2360z00_5816,
							BgL_arg2361z00_5817);
					}
					{	/* Liveness/liveness.scm 515 */
						obj_t BgL_list2357z00_5818;

						{	/* Liveness/liveness.scm 515 */
							obj_t BgL_arg2358z00_5819;

							BgL_arg2358z00_5819 = MAKE_YOUNG_PAIR(BgL_arg2356z00_5815, BNIL);
							BgL_list2357z00_5818 =
								MAKE_YOUNG_PAIR(BgL_arg2355z00_5814, BgL_arg2358z00_5819);
						}
						BgL_auxz00_10748 =
							BGl_unionz00zzliveness_setz00(BgL_list2357z00_5818);
					}
				}
				{
					obj_t BgL_auxz00_10742;

					{	/* Liveness/liveness.scm 515 */
						BgL_objectz00_bglt BgL_tmpz00_10743;

						BgL_tmpz00_10743 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4970));
						BgL_auxz00_10742 = BGL_OBJECT_WIDENING(BgL_tmpz00_10743);
					}
					BgL_auxz00_10741 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10742);
				}
				((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10741))->
						BgL_inz00) = ((obj_t) BgL_auxz00_10748), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 516 */
				obj_t BgL_g1672z00_5820;

				BgL_g1672z00_5820 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vrefz00_bglt) BgL_nz00_4970))))->BgL_exprza2za2);
				{
					obj_t BgL_l1670z00_5822;

					BgL_l1670z00_5822 = BgL_g1672z00_5820;
				BgL_zc3z04anonymousza32362ze3z87_5821:
					if (PAIRP(BgL_l1670z00_5822))
						{	/* Liveness/liveness.scm 516 */
							{	/* Liveness/liveness.scm 516 */
								obj_t BgL_ez00_5823;

								BgL_ez00_5823 = CAR(BgL_l1670z00_5822);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5823), BgL_oz00_4971);
							}
							{
								obj_t BgL_l1670z00_10786;

								BgL_l1670z00_10786 = CDR(BgL_l1670z00_5822);
								BgL_l1670z00_5822 = BgL_l1670z00_10786;
								goto BgL_zc3z04anonymousza32362ze3z87_5821;
							}
						}
					else
						{	/* Liveness/liveness.scm 516 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 517 */
				obj_t BgL_val0_1673z00_5824;
				obj_t BgL_val1_1674z00_5825;

				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10788;

					{
						obj_t BgL_auxz00_10789;

						{	/* Liveness/liveness.scm 517 */
							BgL_objectz00_bglt BgL_tmpz00_10790;

							BgL_tmpz00_10790 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4970));
							BgL_auxz00_10789 = BGL_OBJECT_WIDENING(BgL_tmpz00_10790);
						}
						BgL_auxz00_10788 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10789);
					}
					BgL_val0_1673z00_5824 =
						(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10788))->
						BgL_inz00);
				}
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10796;

					{
						obj_t BgL_auxz00_10797;

						{	/* Liveness/liveness.scm 517 */
							BgL_objectz00_bglt BgL_tmpz00_10798;

							BgL_tmpz00_10798 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4970));
							BgL_auxz00_10797 = BGL_OBJECT_WIDENING(BgL_tmpz00_10798);
						}
						BgL_auxz00_10796 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10797);
					}
					BgL_val1_1674z00_5825 =
						(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10796))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 517 */
					int BgL_tmpz00_10804;

					BgL_tmpz00_10804 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10804);
				}
				{	/* Liveness/liveness.scm 517 */
					int BgL_tmpz00_10807;

					BgL_tmpz00_10807 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10807, BgL_val1_1674z00_5825);
				}
				return BgL_val0_1673z00_5824;
			}
		}

	}



/* &defuse-vref/liveness1956 */
	obj_t BGl_z62defusezd2vrefzf2liveness1956z42zzliveness_livenessz00(obj_t
		BgL_envz00_4972, obj_t BgL_nz00_4973)
	{
		{	/* Liveness/liveness.scm 508 */
			{	/* Liveness/liveness.scm 510 */
				obj_t BgL_val0_1668z00_5827;
				obj_t BgL_val1_1669z00_5828;

				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10810;

					{
						obj_t BgL_auxz00_10811;

						{	/* Liveness/liveness.scm 510 */
							BgL_objectz00_bglt BgL_tmpz00_10812;

							BgL_tmpz00_10812 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4973));
							BgL_auxz00_10811 = BGL_OBJECT_WIDENING(BgL_tmpz00_10812);
						}
						BgL_auxz00_10810 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10811);
					}
					BgL_val0_1668z00_5827 =
						(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10810))->
						BgL_defz00);
				}
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10818;

					{
						obj_t BgL_auxz00_10819;

						{	/* Liveness/liveness.scm 510 */
							BgL_objectz00_bglt BgL_tmpz00_10820;

							BgL_tmpz00_10820 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4973));
							BgL_auxz00_10819 = BGL_OBJECT_WIDENING(BgL_tmpz00_10820);
						}
						BgL_auxz00_10818 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10819);
					}
					BgL_val1_1669z00_5828 =
						(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10818))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 510 */
					int BgL_tmpz00_10826;

					BgL_tmpz00_10826 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10826);
				}
				{	/* Liveness/liveness.scm 510 */
					int BgL_tmpz00_10829;

					BgL_tmpz00_10829 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10829, BgL_val1_1669z00_5828);
				}
				return BgL_val0_1668z00_5827;
			}
		}

	}



/* &defuse-vref1954 */
	obj_t BGl_z62defusezd2vref1954zb0zzliveness_livenessz00(obj_t BgL_envz00_4974,
		obj_t BgL_nz00_4975)
	{
		{	/* Liveness/liveness.scm 499 */
			{	/* Liveness/liveness.scm 501 */
				obj_t BgL_defz00_5830;

				{	/* Liveness/liveness.scm 502 */
					obj_t BgL_arg2354z00_5831;

					BgL_arg2354z00_5831 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vrefz00_bglt) BgL_nz00_4975))))->BgL_exprza2za2);
					BgL_defz00_5830 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2354z00_5831, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 502 */
					obj_t BgL_usez00_5832;

					{	/* Liveness/liveness.scm 503 */
						obj_t BgL_tmpz00_5833;

						{	/* Liveness/liveness.scm 503 */
							int BgL_tmpz00_10836;

							BgL_tmpz00_10836 = (int) (((long) 1));
							BgL_tmpz00_5833 = BGL_MVALUES_VAL(BgL_tmpz00_10836);
						}
						{	/* Liveness/liveness.scm 503 */
							int BgL_tmpz00_10839;

							BgL_tmpz00_10839 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10839, BUNSPEC);
						}
						BgL_usez00_5832 = BgL_tmpz00_5833;
					}
					{	/* Liveness/liveness.scm 504 */
						BgL_vrefz00_bglt BgL_arg2352z00_5834;

						{	/* Liveness/liveness.scm 504 */
							BgL_vrefzf2livenesszf2_bglt BgL_wide1264z00_5835;

							BgL_wide1264z00_5835 =
								((BgL_vrefzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_vrefzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 504 */
								obj_t BgL_auxz00_10847;
								BgL_objectz00_bglt BgL_tmpz00_10843;

								BgL_auxz00_10847 = ((obj_t) BgL_wide1264z00_5835);
								BgL_tmpz00_10843 =
									((BgL_objectz00_bglt)
									((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4975)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10843, BgL_auxz00_10847);
							}
							((BgL_objectz00_bglt)
								((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4975)));
							{	/* Liveness/liveness.scm 504 */
								long BgL_arg2353z00_5836;

								BgL_arg2353z00_5836 =
									BGL_CLASS_NUM(BGl_vrefzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt)
											((BgL_vrefz00_bglt) BgL_nz00_4975))),
									BgL_arg2353z00_5836);
							}
							((BgL_vrefz00_bglt)
								((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4975)));
						}
						{
							BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10861;

							{
								obj_t BgL_auxz00_10862;

								{	/* Liveness/liveness.scm 505 */
									BgL_objectz00_bglt BgL_tmpz00_10863;

									BgL_tmpz00_10863 =
										((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4975)));
									BgL_auxz00_10862 = BGL_OBJECT_WIDENING(BgL_tmpz00_10863);
								}
								BgL_auxz00_10861 =
									((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10862);
							}
							((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10861))->
									BgL_defz00) = ((obj_t) BgL_defz00_5830), BUNSPEC);
						}
						{
							BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10870;

							{
								obj_t BgL_auxz00_10871;

								{	/* Liveness/liveness.scm 506 */
									BgL_objectz00_bglt BgL_tmpz00_10872;

									BgL_tmpz00_10872 =
										((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4975)));
									BgL_auxz00_10871 = BGL_OBJECT_WIDENING(BgL_tmpz00_10872);
								}
								BgL_auxz00_10870 =
									((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10871);
							}
							((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10870))->
									BgL_usez00) = ((obj_t) BgL_usez00_5832), BUNSPEC);
						}
						{
							BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10879;

							{
								obj_t BgL_auxz00_10880;

								{	/* Liveness/liveness.scm 502 */
									BgL_objectz00_bglt BgL_tmpz00_10881;

									BgL_tmpz00_10881 =
										((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4975)));
									BgL_auxz00_10880 = BGL_OBJECT_WIDENING(BgL_tmpz00_10881);
								}
								BgL_auxz00_10879 =
									((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10880);
							}
							((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10879))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10888;

							{
								obj_t BgL_auxz00_10889;

								{	/* Liveness/liveness.scm 502 */
									BgL_objectz00_bglt BgL_tmpz00_10890;

									BgL_tmpz00_10890 =
										((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4975)));
									BgL_auxz00_10889 = BGL_OBJECT_WIDENING(BgL_tmpz00_10890);
								}
								BgL_auxz00_10888 =
									((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10889);
							}
							((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10888))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2352z00_5834 =
							((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4975));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2352z00_5834));
					}
				}
			}
		}

	}



/* &inout-valloc/livenes1952 */
	obj_t BGl_z62inoutzd2valloczf2livenes1952z42zzliveness_livenessz00(obj_t
		BgL_envz00_4976, obj_t BgL_nz00_4977)
	{
		{	/* Liveness/liveness.scm 492 */
			{	/* Liveness/liveness.scm 494 */
				obj_t BgL_val0_1666z00_5838;
				obj_t BgL_val1_1667z00_5839;

				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_10901;

					{
						obj_t BgL_auxz00_10902;

						{	/* Liveness/liveness.scm 494 */
							BgL_objectz00_bglt BgL_tmpz00_10903;

							BgL_tmpz00_10903 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4977));
							BgL_auxz00_10902 = BGL_OBJECT_WIDENING(BgL_tmpz00_10903);
						}
						BgL_auxz00_10901 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10902);
					}
					BgL_val0_1666z00_5838 =
						(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10901))->
						BgL_inz00);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_10909;

					{
						obj_t BgL_auxz00_10910;

						{	/* Liveness/liveness.scm 494 */
							BgL_objectz00_bglt BgL_tmpz00_10911;

							BgL_tmpz00_10911 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4977));
							BgL_auxz00_10910 = BGL_OBJECT_WIDENING(BgL_tmpz00_10911);
						}
						BgL_auxz00_10909 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10910);
					}
					BgL_val1_1667z00_5839 =
						(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10909))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 494 */
					int BgL_tmpz00_10917;

					BgL_tmpz00_10917 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10917);
				}
				{	/* Liveness/liveness.scm 494 */
					int BgL_tmpz00_10920;

					BgL_tmpz00_10920 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10920, BgL_val1_1667z00_5839);
				}
				return BgL_val0_1666z00_5838;
			}
		}

	}



/* &inout!-valloc/livene1950 */
	obj_t BGl_z62inoutz12zd2valloczf2livene1950z50zzliveness_livenessz00(obj_t
		BgL_envz00_4978, obj_t BgL_nz00_4979, obj_t BgL_oz00_4980)
	{
		{	/* Liveness/liveness.scm 485 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_10923;

				{
					obj_t BgL_auxz00_10924;

					{	/* Liveness/liveness.scm 487 */
						BgL_objectz00_bglt BgL_tmpz00_10925;

						BgL_tmpz00_10925 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4979));
						BgL_auxz00_10924 = BGL_OBJECT_WIDENING(BgL_tmpz00_10925);
					}
					BgL_auxz00_10923 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10924);
				}
				((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10923))->
						BgL_outz00) = ((obj_t) BgL_oz00_4980), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_10938;
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_10931;

				{	/* Liveness/liveness.scm 488 */
					obj_t BgL_arg2342z00_5841;
					obj_t BgL_arg2343z00_5842;

					{
						BgL_valloczf2livenesszf2_bglt BgL_auxz00_10939;

						{
							obj_t BgL_auxz00_10940;

							{	/* Liveness/liveness.scm 488 */
								BgL_objectz00_bglt BgL_tmpz00_10941;

								BgL_tmpz00_10941 =
									((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4979));
								BgL_auxz00_10940 = BGL_OBJECT_WIDENING(BgL_tmpz00_10941);
							}
							BgL_auxz00_10939 =
								((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10940);
						}
						BgL_arg2342z00_5841 =
							(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10939))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 488 */
						obj_t BgL_arg2347z00_5843;
						obj_t BgL_arg2348z00_5844;

						{
							BgL_valloczf2livenesszf2_bglt BgL_auxz00_10947;

							{
								obj_t BgL_auxz00_10948;

								{	/* Liveness/liveness.scm 488 */
									BgL_objectz00_bglt BgL_tmpz00_10949;

									BgL_tmpz00_10949 =
										((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4979));
									BgL_auxz00_10948 = BGL_OBJECT_WIDENING(BgL_tmpz00_10949);
								}
								BgL_auxz00_10947 =
									((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10948);
							}
							BgL_arg2347z00_5843 =
								(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10947))->
								BgL_outz00);
						}
						{
							BgL_valloczf2livenesszf2_bglt BgL_auxz00_10955;

							{
								obj_t BgL_auxz00_10956;

								{	/* Liveness/liveness.scm 488 */
									BgL_objectz00_bglt BgL_tmpz00_10957;

									BgL_tmpz00_10957 =
										((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4979));
									BgL_auxz00_10956 = BGL_OBJECT_WIDENING(BgL_tmpz00_10957);
								}
								BgL_auxz00_10955 =
									((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10956);
							}
							BgL_arg2348z00_5844 =
								(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10955))->
								BgL_defz00);
						}
						BgL_arg2343z00_5842 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2347z00_5843,
							BgL_arg2348z00_5844);
					}
					{	/* Liveness/liveness.scm 488 */
						obj_t BgL_list2344z00_5845;

						{	/* Liveness/liveness.scm 488 */
							obj_t BgL_arg2346z00_5846;

							BgL_arg2346z00_5846 = MAKE_YOUNG_PAIR(BgL_arg2343z00_5842, BNIL);
							BgL_list2344z00_5845 =
								MAKE_YOUNG_PAIR(BgL_arg2342z00_5841, BgL_arg2346z00_5846);
						}
						BgL_auxz00_10938 =
							BGl_unionz00zzliveness_setz00(BgL_list2344z00_5845);
					}
				}
				{
					obj_t BgL_auxz00_10932;

					{	/* Liveness/liveness.scm 488 */
						BgL_objectz00_bglt BgL_tmpz00_10933;

						BgL_tmpz00_10933 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4979));
						BgL_auxz00_10932 = BGL_OBJECT_WIDENING(BgL_tmpz00_10933);
					}
					BgL_auxz00_10931 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10932);
				}
				((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10931))->
						BgL_inz00) = ((obj_t) BgL_auxz00_10938), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 489 */
				obj_t BgL_g1663z00_5847;

				BgL_g1663z00_5847 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_nz00_4979))))->BgL_exprza2za2);
				{
					obj_t BgL_l1661z00_5849;

					BgL_l1661z00_5849 = BgL_g1663z00_5847;
				BgL_zc3z04anonymousza32349ze3z87_5848:
					if (PAIRP(BgL_l1661z00_5849))
						{	/* Liveness/liveness.scm 489 */
							{	/* Liveness/liveness.scm 489 */
								obj_t BgL_ez00_5850;

								BgL_ez00_5850 = CAR(BgL_l1661z00_5849);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5850), BgL_oz00_4980);
							}
							{
								obj_t BgL_l1661z00_10976;

								BgL_l1661z00_10976 = CDR(BgL_l1661z00_5849);
								BgL_l1661z00_5849 = BgL_l1661z00_10976;
								goto BgL_zc3z04anonymousza32349ze3z87_5848;
							}
						}
					else
						{	/* Liveness/liveness.scm 489 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 490 */
				obj_t BgL_val0_1664z00_5851;
				obj_t BgL_val1_1665z00_5852;

				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_10978;

					{
						obj_t BgL_auxz00_10979;

						{	/* Liveness/liveness.scm 490 */
							BgL_objectz00_bglt BgL_tmpz00_10980;

							BgL_tmpz00_10980 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4979));
							BgL_auxz00_10979 = BGL_OBJECT_WIDENING(BgL_tmpz00_10980);
						}
						BgL_auxz00_10978 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10979);
					}
					BgL_val0_1664z00_5851 =
						(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10978))->
						BgL_inz00);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_10986;

					{
						obj_t BgL_auxz00_10987;

						{	/* Liveness/liveness.scm 490 */
							BgL_objectz00_bglt BgL_tmpz00_10988;

							BgL_tmpz00_10988 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4979));
							BgL_auxz00_10987 = BGL_OBJECT_WIDENING(BgL_tmpz00_10988);
						}
						BgL_auxz00_10986 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10987);
					}
					BgL_val1_1665z00_5852 =
						(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10986))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 490 */
					int BgL_tmpz00_10994;

					BgL_tmpz00_10994 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10994);
				}
				{	/* Liveness/liveness.scm 490 */
					int BgL_tmpz00_10997;

					BgL_tmpz00_10997 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10997, BgL_val1_1665z00_5852);
				}
				return BgL_val0_1664z00_5851;
			}
		}

	}



/* &defuse-valloc/livene1948 */
	obj_t BGl_z62defusezd2valloczf2livene1948z42zzliveness_livenessz00(obj_t
		BgL_envz00_4981, obj_t BgL_nz00_4982)
	{
		{	/* Liveness/liveness.scm 481 */
			{	/* Liveness/liveness.scm 483 */
				obj_t BgL_val0_1659z00_5854;
				obj_t BgL_val1_1660z00_5855;

				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_11000;

					{
						obj_t BgL_auxz00_11001;

						{	/* Liveness/liveness.scm 483 */
							BgL_objectz00_bglt BgL_tmpz00_11002;

							BgL_tmpz00_11002 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4982));
							BgL_auxz00_11001 = BGL_OBJECT_WIDENING(BgL_tmpz00_11002);
						}
						BgL_auxz00_11000 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_11001);
					}
					BgL_val0_1659z00_5854 =
						(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11000))->
						BgL_defz00);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_11008;

					{
						obj_t BgL_auxz00_11009;

						{	/* Liveness/liveness.scm 483 */
							BgL_objectz00_bglt BgL_tmpz00_11010;

							BgL_tmpz00_11010 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4982));
							BgL_auxz00_11009 = BGL_OBJECT_WIDENING(BgL_tmpz00_11010);
						}
						BgL_auxz00_11008 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_11009);
					}
					BgL_val1_1660z00_5855 =
						(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11008))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 483 */
					int BgL_tmpz00_11016;

					BgL_tmpz00_11016 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11016);
				}
				{	/* Liveness/liveness.scm 483 */
					int BgL_tmpz00_11019;

					BgL_tmpz00_11019 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11019, BgL_val1_1660z00_5855);
				}
				return BgL_val0_1659z00_5854;
			}
		}

	}



/* &defuse-valloc1946 */
	obj_t BGl_z62defusezd2valloc1946zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4983, obj_t BgL_nz00_4984)
	{
		{	/* Liveness/liveness.scm 472 */
			{	/* Liveness/liveness.scm 474 */
				obj_t BgL_defz00_5857;

				{	/* Liveness/liveness.scm 475 */
					obj_t BgL_arg2341z00_5858;

					BgL_arg2341z00_5858 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vallocz00_bglt) BgL_nz00_4984))))->BgL_exprza2za2);
					BgL_defz00_5857 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2341z00_5858, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 475 */
					obj_t BgL_usez00_5859;

					{	/* Liveness/liveness.scm 476 */
						obj_t BgL_tmpz00_5860;

						{	/* Liveness/liveness.scm 476 */
							int BgL_tmpz00_11026;

							BgL_tmpz00_11026 = (int) (((long) 1));
							BgL_tmpz00_5860 = BGL_MVALUES_VAL(BgL_tmpz00_11026);
						}
						{	/* Liveness/liveness.scm 476 */
							int BgL_tmpz00_11029;

							BgL_tmpz00_11029 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11029, BUNSPEC);
						}
						BgL_usez00_5859 = BgL_tmpz00_5860;
					}
					{	/* Liveness/liveness.scm 477 */
						BgL_vallocz00_bglt BgL_arg2338z00_5861;

						{	/* Liveness/liveness.scm 477 */
							BgL_valloczf2livenesszf2_bglt BgL_wide1256z00_5862;

							BgL_wide1256z00_5862 =
								((BgL_valloczf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_valloczf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 477 */
								obj_t BgL_auxz00_11037;
								BgL_objectz00_bglt BgL_tmpz00_11033;

								BgL_auxz00_11037 = ((obj_t) BgL_wide1256z00_5862);
								BgL_tmpz00_11033 =
									((BgL_objectz00_bglt)
									((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4984)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11033, BgL_auxz00_11037);
							}
							((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4984)));
							{	/* Liveness/liveness.scm 477 */
								long BgL_arg2340z00_5863;

								BgL_arg2340z00_5863 =
									BGL_CLASS_NUM(BGl_valloczf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt)
											((BgL_vallocz00_bglt) BgL_nz00_4984))),
									BgL_arg2340z00_5863);
							}
							((BgL_vallocz00_bglt)
								((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4984)));
						}
						{
							BgL_valloczf2livenesszf2_bglt BgL_auxz00_11051;

							{
								obj_t BgL_auxz00_11052;

								{	/* Liveness/liveness.scm 478 */
									BgL_objectz00_bglt BgL_tmpz00_11053;

									BgL_tmpz00_11053 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt)
											((BgL_vallocz00_bglt) BgL_nz00_4984)));
									BgL_auxz00_11052 = BGL_OBJECT_WIDENING(BgL_tmpz00_11053);
								}
								BgL_auxz00_11051 =
									((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_11052);
							}
							((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11051))->
									BgL_defz00) = ((obj_t) BgL_defz00_5857), BUNSPEC);
						}
						{
							BgL_valloczf2livenesszf2_bglt BgL_auxz00_11060;

							{
								obj_t BgL_auxz00_11061;

								{	/* Liveness/liveness.scm 479 */
									BgL_objectz00_bglt BgL_tmpz00_11062;

									BgL_tmpz00_11062 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt)
											((BgL_vallocz00_bglt) BgL_nz00_4984)));
									BgL_auxz00_11061 = BGL_OBJECT_WIDENING(BgL_tmpz00_11062);
								}
								BgL_auxz00_11060 =
									((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_11061);
							}
							((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11060))->
									BgL_usez00) = ((obj_t) BgL_usez00_5859), BUNSPEC);
						}
						{
							BgL_valloczf2livenesszf2_bglt BgL_auxz00_11069;

							{
								obj_t BgL_auxz00_11070;

								{	/* Liveness/liveness.scm 475 */
									BgL_objectz00_bglt BgL_tmpz00_11071;

									BgL_tmpz00_11071 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt)
											((BgL_vallocz00_bglt) BgL_nz00_4984)));
									BgL_auxz00_11070 = BGL_OBJECT_WIDENING(BgL_tmpz00_11071);
								}
								BgL_auxz00_11069 =
									((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_11070);
							}
							((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11069))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_valloczf2livenesszf2_bglt BgL_auxz00_11078;

							{
								obj_t BgL_auxz00_11079;

								{	/* Liveness/liveness.scm 475 */
									BgL_objectz00_bglt BgL_tmpz00_11080;

									BgL_tmpz00_11080 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt)
											((BgL_vallocz00_bglt) BgL_nz00_4984)));
									BgL_auxz00_11079 = BGL_OBJECT_WIDENING(BgL_tmpz00_11080);
								}
								BgL_auxz00_11078 =
									((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_11079);
							}
							((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11078))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2338z00_5861 =
							((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4984));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2338z00_5861));
					}
				}
			}
		}

	}



/* &inout-new/liveness1944 */
	obj_t BGl_z62inoutzd2newzf2liveness1944z42zzliveness_livenessz00(obj_t
		BgL_envz00_4985, obj_t BgL_nz00_4986)
	{
		{	/* Liveness/liveness.scm 465 */
			{	/* Liveness/liveness.scm 467 */
				obj_t BgL_val0_1657z00_5865;
				obj_t BgL_val1_1658z00_5866;

				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_11091;

					{
						obj_t BgL_auxz00_11092;

						{	/* Liveness/liveness.scm 467 */
							BgL_objectz00_bglt BgL_tmpz00_11093;

							BgL_tmpz00_11093 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4986));
							BgL_auxz00_11092 = BGL_OBJECT_WIDENING(BgL_tmpz00_11093);
						}
						BgL_auxz00_11091 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11092);
					}
					BgL_val0_1657z00_5865 =
						(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11091))->
						BgL_inz00);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_11099;

					{
						obj_t BgL_auxz00_11100;

						{	/* Liveness/liveness.scm 467 */
							BgL_objectz00_bglt BgL_tmpz00_11101;

							BgL_tmpz00_11101 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4986));
							BgL_auxz00_11100 = BGL_OBJECT_WIDENING(BgL_tmpz00_11101);
						}
						BgL_auxz00_11099 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11100);
					}
					BgL_val1_1658z00_5866 =
						(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11099))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 467 */
					int BgL_tmpz00_11107;

					BgL_tmpz00_11107 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11107);
				}
				{	/* Liveness/liveness.scm 467 */
					int BgL_tmpz00_11110;

					BgL_tmpz00_11110 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11110, BgL_val1_1658z00_5866);
				}
				return BgL_val0_1657z00_5865;
			}
		}

	}



/* &inout!-new/liveness1942 */
	obj_t BGl_z62inoutz12zd2newzf2liveness1942z50zzliveness_livenessz00(obj_t
		BgL_envz00_4987, obj_t BgL_nz00_4988, obj_t BgL_oz00_4989)
	{
		{	/* Liveness/liveness.scm 458 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_11113;

				{
					obj_t BgL_auxz00_11114;

					{	/* Liveness/liveness.scm 460 */
						BgL_objectz00_bglt BgL_tmpz00_11115;

						BgL_tmpz00_11115 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4988));
						BgL_auxz00_11114 = BGL_OBJECT_WIDENING(BgL_tmpz00_11115);
					}
					BgL_auxz00_11113 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11114);
				}
				((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11113))->
						BgL_outz00) = ((obj_t) BgL_oz00_4989), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_11128;
				BgL_newzf2livenesszf2_bglt BgL_auxz00_11121;

				{	/* Liveness/liveness.scm 461 */
					obj_t BgL_arg2328z00_5868;
					obj_t BgL_arg2329z00_5869;

					{
						BgL_newzf2livenesszf2_bglt BgL_auxz00_11129;

						{
							obj_t BgL_auxz00_11130;

							{	/* Liveness/liveness.scm 461 */
								BgL_objectz00_bglt BgL_tmpz00_11131;

								BgL_tmpz00_11131 =
									((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4988));
								BgL_auxz00_11130 = BGL_OBJECT_WIDENING(BgL_tmpz00_11131);
							}
							BgL_auxz00_11129 =
								((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11130);
						}
						BgL_arg2328z00_5868 =
							(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11129))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 461 */
						obj_t BgL_arg2332z00_5870;
						obj_t BgL_arg2334z00_5871;

						{
							BgL_newzf2livenesszf2_bglt BgL_auxz00_11137;

							{
								obj_t BgL_auxz00_11138;

								{	/* Liveness/liveness.scm 461 */
									BgL_objectz00_bglt BgL_tmpz00_11139;

									BgL_tmpz00_11139 =
										((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4988));
									BgL_auxz00_11138 = BGL_OBJECT_WIDENING(BgL_tmpz00_11139);
								}
								BgL_auxz00_11137 =
									((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11138);
							}
							BgL_arg2332z00_5870 =
								(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11137))->
								BgL_outz00);
						}
						{
							BgL_newzf2livenesszf2_bglt BgL_auxz00_11145;

							{
								obj_t BgL_auxz00_11146;

								{	/* Liveness/liveness.scm 461 */
									BgL_objectz00_bglt BgL_tmpz00_11147;

									BgL_tmpz00_11147 =
										((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4988));
									BgL_auxz00_11146 = BGL_OBJECT_WIDENING(BgL_tmpz00_11147);
								}
								BgL_auxz00_11145 =
									((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11146);
							}
							BgL_arg2334z00_5871 =
								(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11145))->
								BgL_defz00);
						}
						BgL_arg2329z00_5869 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2332z00_5870,
							BgL_arg2334z00_5871);
					}
					{	/* Liveness/liveness.scm 461 */
						obj_t BgL_list2330z00_5872;

						{	/* Liveness/liveness.scm 461 */
							obj_t BgL_arg2331z00_5873;

							BgL_arg2331z00_5873 = MAKE_YOUNG_PAIR(BgL_arg2329z00_5869, BNIL);
							BgL_list2330z00_5872 =
								MAKE_YOUNG_PAIR(BgL_arg2328z00_5868, BgL_arg2331z00_5873);
						}
						BgL_auxz00_11128 =
							BGl_unionz00zzliveness_setz00(BgL_list2330z00_5872);
					}
				}
				{
					obj_t BgL_auxz00_11122;

					{	/* Liveness/liveness.scm 461 */
						BgL_objectz00_bglt BgL_tmpz00_11123;

						BgL_tmpz00_11123 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4988));
						BgL_auxz00_11122 = BGL_OBJECT_WIDENING(BgL_tmpz00_11123);
					}
					BgL_auxz00_11121 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11122);
				}
				((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11121))->BgL_inz00) =
					((obj_t) BgL_auxz00_11128), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 462 */
				obj_t BgL_g1654z00_5874;

				BgL_g1654z00_5874 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_newz00_bglt) BgL_nz00_4988))))->BgL_exprza2za2);
				{
					obj_t BgL_l1652z00_5876;

					BgL_l1652z00_5876 = BgL_g1654z00_5874;
				BgL_zc3z04anonymousza32335ze3z87_5875:
					if (PAIRP(BgL_l1652z00_5876))
						{	/* Liveness/liveness.scm 462 */
							{	/* Liveness/liveness.scm 462 */
								obj_t BgL_ez00_5877;

								BgL_ez00_5877 = CAR(BgL_l1652z00_5876);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5877), BgL_oz00_4989);
							}
							{
								obj_t BgL_l1652z00_11166;

								BgL_l1652z00_11166 = CDR(BgL_l1652z00_5876);
								BgL_l1652z00_5876 = BgL_l1652z00_11166;
								goto BgL_zc3z04anonymousza32335ze3z87_5875;
							}
						}
					else
						{	/* Liveness/liveness.scm 462 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 463 */
				obj_t BgL_val0_1655z00_5878;
				obj_t BgL_val1_1656z00_5879;

				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_11168;

					{
						obj_t BgL_auxz00_11169;

						{	/* Liveness/liveness.scm 463 */
							BgL_objectz00_bglt BgL_tmpz00_11170;

							BgL_tmpz00_11170 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4988));
							BgL_auxz00_11169 = BGL_OBJECT_WIDENING(BgL_tmpz00_11170);
						}
						BgL_auxz00_11168 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11169);
					}
					BgL_val0_1655z00_5878 =
						(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11168))->
						BgL_inz00);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_11176;

					{
						obj_t BgL_auxz00_11177;

						{	/* Liveness/liveness.scm 463 */
							BgL_objectz00_bglt BgL_tmpz00_11178;

							BgL_tmpz00_11178 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4988));
							BgL_auxz00_11177 = BGL_OBJECT_WIDENING(BgL_tmpz00_11178);
						}
						BgL_auxz00_11176 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11177);
					}
					BgL_val1_1656z00_5879 =
						(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11176))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 463 */
					int BgL_tmpz00_11184;

					BgL_tmpz00_11184 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11184);
				}
				{	/* Liveness/liveness.scm 463 */
					int BgL_tmpz00_11187;

					BgL_tmpz00_11187 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11187, BgL_val1_1656z00_5879);
				}
				return BgL_val0_1655z00_5878;
			}
		}

	}



/* &defuse-new/liveness1940 */
	obj_t BGl_z62defusezd2newzf2liveness1940z42zzliveness_livenessz00(obj_t
		BgL_envz00_4990, obj_t BgL_nz00_4991)
	{
		{	/* Liveness/liveness.scm 454 */
			{	/* Liveness/liveness.scm 456 */
				obj_t BgL_val0_1650z00_5881;
				obj_t BgL_val1_1651z00_5882;

				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_11190;

					{
						obj_t BgL_auxz00_11191;

						{	/* Liveness/liveness.scm 456 */
							BgL_objectz00_bglt BgL_tmpz00_11192;

							BgL_tmpz00_11192 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4991));
							BgL_auxz00_11191 = BGL_OBJECT_WIDENING(BgL_tmpz00_11192);
						}
						BgL_auxz00_11190 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11191);
					}
					BgL_val0_1650z00_5881 =
						(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11190))->
						BgL_defz00);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_11198;

					{
						obj_t BgL_auxz00_11199;

						{	/* Liveness/liveness.scm 456 */
							BgL_objectz00_bglt BgL_tmpz00_11200;

							BgL_tmpz00_11200 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4991));
							BgL_auxz00_11199 = BGL_OBJECT_WIDENING(BgL_tmpz00_11200);
						}
						BgL_auxz00_11198 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11199);
					}
					BgL_val1_1651z00_5882 =
						(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11198))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 456 */
					int BgL_tmpz00_11206;

					BgL_tmpz00_11206 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11206);
				}
				{	/* Liveness/liveness.scm 456 */
					int BgL_tmpz00_11209;

					BgL_tmpz00_11209 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11209, BgL_val1_1651z00_5882);
				}
				return BgL_val0_1650z00_5881;
			}
		}

	}



/* &defuse-new1938 */
	obj_t BGl_z62defusezd2new1938zb0zzliveness_livenessz00(obj_t BgL_envz00_4992,
		obj_t BgL_nz00_4993)
	{
		{	/* Liveness/liveness.scm 445 */
			{	/* Liveness/liveness.scm 447 */
				obj_t BgL_defz00_5884;

				{	/* Liveness/liveness.scm 448 */
					obj_t BgL_arg2327z00_5885;

					BgL_arg2327z00_5885 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_newz00_bglt) BgL_nz00_4993))))->BgL_exprza2za2);
					BgL_defz00_5884 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2327z00_5885, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 448 */
					obj_t BgL_usez00_5886;

					{	/* Liveness/liveness.scm 449 */
						obj_t BgL_tmpz00_5887;

						{	/* Liveness/liveness.scm 449 */
							int BgL_tmpz00_11216;

							BgL_tmpz00_11216 = (int) (((long) 1));
							BgL_tmpz00_5887 = BGL_MVALUES_VAL(BgL_tmpz00_11216);
						}
						{	/* Liveness/liveness.scm 449 */
							int BgL_tmpz00_11219;

							BgL_tmpz00_11219 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11219, BUNSPEC);
						}
						BgL_usez00_5886 = BgL_tmpz00_5887;
					}
					{	/* Liveness/liveness.scm 450 */
						BgL_newz00_bglt BgL_arg2325z00_5888;

						{	/* Liveness/liveness.scm 450 */
							BgL_newzf2livenesszf2_bglt BgL_wide1248z00_5889;

							BgL_wide1248z00_5889 =
								((BgL_newzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_newzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 450 */
								obj_t BgL_auxz00_11227;
								BgL_objectz00_bglt BgL_tmpz00_11223;

								BgL_auxz00_11227 = ((obj_t) BgL_wide1248z00_5889);
								BgL_tmpz00_11223 =
									((BgL_objectz00_bglt)
									((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4993)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11223, BgL_auxz00_11227);
							}
							((BgL_objectz00_bglt)
								((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4993)));
							{	/* Liveness/liveness.scm 450 */
								long BgL_arg2326z00_5890;

								BgL_arg2326z00_5890 =
									BGL_CLASS_NUM(BGl_newzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_newz00_bglt)
											((BgL_newz00_bglt) BgL_nz00_4993))), BgL_arg2326z00_5890);
							}
							((BgL_newz00_bglt)
								((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4993)));
						}
						{
							BgL_newzf2livenesszf2_bglt BgL_auxz00_11241;

							{
								obj_t BgL_auxz00_11242;

								{	/* Liveness/liveness.scm 451 */
									BgL_objectz00_bglt BgL_tmpz00_11243;

									BgL_tmpz00_11243 =
										((BgL_objectz00_bglt)
										((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4993)));
									BgL_auxz00_11242 = BGL_OBJECT_WIDENING(BgL_tmpz00_11243);
								}
								BgL_auxz00_11241 =
									((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11242);
							}
							((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11241))->
									BgL_defz00) = ((obj_t) BgL_defz00_5884), BUNSPEC);
						}
						{
							BgL_newzf2livenesszf2_bglt BgL_auxz00_11250;

							{
								obj_t BgL_auxz00_11251;

								{	/* Liveness/liveness.scm 452 */
									BgL_objectz00_bglt BgL_tmpz00_11252;

									BgL_tmpz00_11252 =
										((BgL_objectz00_bglt)
										((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4993)));
									BgL_auxz00_11251 = BGL_OBJECT_WIDENING(BgL_tmpz00_11252);
								}
								BgL_auxz00_11250 =
									((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11251);
							}
							((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11250))->
									BgL_usez00) = ((obj_t) BgL_usez00_5886), BUNSPEC);
						}
						{
							BgL_newzf2livenesszf2_bglt BgL_auxz00_11259;

							{
								obj_t BgL_auxz00_11260;

								{	/* Liveness/liveness.scm 448 */
									BgL_objectz00_bglt BgL_tmpz00_11261;

									BgL_tmpz00_11261 =
										((BgL_objectz00_bglt)
										((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4993)));
									BgL_auxz00_11260 = BGL_OBJECT_WIDENING(BgL_tmpz00_11261);
								}
								BgL_auxz00_11259 =
									((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11260);
							}
							((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11259))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_newzf2livenesszf2_bglt BgL_auxz00_11268;

							{
								obj_t BgL_auxz00_11269;

								{	/* Liveness/liveness.scm 448 */
									BgL_objectz00_bglt BgL_tmpz00_11270;

									BgL_tmpz00_11270 =
										((BgL_objectz00_bglt)
										((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4993)));
									BgL_auxz00_11269 = BGL_OBJECT_WIDENING(BgL_tmpz00_11270);
								}
								BgL_auxz00_11268 =
									((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11269);
							}
							((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11268))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2325z00_5888 =
							((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4993));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2325z00_5888));
					}
				}
			}
		}

	}



/* &inout-widening/liven1936 */
	obj_t BGl_z62inoutzd2wideningzf2liven1936z42zzliveness_livenessz00(obj_t
		BgL_envz00_4994, obj_t BgL_nz00_4995)
	{
		{	/* Liveness/liveness.scm 438 */
			{	/* Liveness/liveness.scm 440 */
				obj_t BgL_val0_1648z00_5892;
				obj_t BgL_val1_1649z00_5893;

				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11281;

					{
						obj_t BgL_auxz00_11282;

						{	/* Liveness/liveness.scm 440 */
							BgL_objectz00_bglt BgL_tmpz00_11283;

							BgL_tmpz00_11283 =
								((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4995));
							BgL_auxz00_11282 = BGL_OBJECT_WIDENING(BgL_tmpz00_11283);
						}
						BgL_auxz00_11281 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11282);
					}
					BgL_val0_1648z00_5892 =
						(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11281))->
						BgL_inz00);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11289;

					{
						obj_t BgL_auxz00_11290;

						{	/* Liveness/liveness.scm 440 */
							BgL_objectz00_bglt BgL_tmpz00_11291;

							BgL_tmpz00_11291 =
								((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4995));
							BgL_auxz00_11290 = BGL_OBJECT_WIDENING(BgL_tmpz00_11291);
						}
						BgL_auxz00_11289 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11290);
					}
					BgL_val1_1649z00_5893 =
						(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11289))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 440 */
					int BgL_tmpz00_11297;

					BgL_tmpz00_11297 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11297);
				}
				{	/* Liveness/liveness.scm 440 */
					int BgL_tmpz00_11300;

					BgL_tmpz00_11300 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11300, BgL_val1_1649z00_5893);
				}
				return BgL_val0_1648z00_5892;
			}
		}

	}



/* &inout!-widening/live1934 */
	obj_t BGl_z62inoutz12zd2wideningzf2live1934z50zzliveness_livenessz00(obj_t
		BgL_envz00_4996, obj_t BgL_nz00_4997, obj_t BgL_oz00_4998)
	{
		{	/* Liveness/liveness.scm 431 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11303;

				{
					obj_t BgL_auxz00_11304;

					{	/* Liveness/liveness.scm 433 */
						BgL_objectz00_bglt BgL_tmpz00_11305;

						BgL_tmpz00_11305 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4997));
						BgL_auxz00_11304 = BGL_OBJECT_WIDENING(BgL_tmpz00_11305);
					}
					BgL_auxz00_11303 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11304);
				}
				((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11303))->
						BgL_outz00) = ((obj_t) BgL_oz00_4998), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_11318;
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11311;

				{	/* Liveness/liveness.scm 434 */
					obj_t BgL_arg2316z00_5895;
					obj_t BgL_arg2317z00_5896;

					{
						BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11319;

						{
							obj_t BgL_auxz00_11320;

							{	/* Liveness/liveness.scm 434 */
								BgL_objectz00_bglt BgL_tmpz00_11321;

								BgL_tmpz00_11321 =
									((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4997));
								BgL_auxz00_11320 = BGL_OBJECT_WIDENING(BgL_tmpz00_11321);
							}
							BgL_auxz00_11319 =
								((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11320);
						}
						BgL_arg2316z00_5895 =
							(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11319))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 434 */
						obj_t BgL_arg2320z00_5897;
						obj_t BgL_arg2321z00_5898;

						{
							BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11327;

							{
								obj_t BgL_auxz00_11328;

								{	/* Liveness/liveness.scm 434 */
									BgL_objectz00_bglt BgL_tmpz00_11329;

									BgL_tmpz00_11329 =
										((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt) BgL_nz00_4997));
									BgL_auxz00_11328 = BGL_OBJECT_WIDENING(BgL_tmpz00_11329);
								}
								BgL_auxz00_11327 =
									((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11328);
							}
							BgL_arg2320z00_5897 =
								(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11327))->
								BgL_outz00);
						}
						{
							BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11335;

							{
								obj_t BgL_auxz00_11336;

								{	/* Liveness/liveness.scm 434 */
									BgL_objectz00_bglt BgL_tmpz00_11337;

									BgL_tmpz00_11337 =
										((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt) BgL_nz00_4997));
									BgL_auxz00_11336 = BGL_OBJECT_WIDENING(BgL_tmpz00_11337);
								}
								BgL_auxz00_11335 =
									((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11336);
							}
							BgL_arg2321z00_5898 =
								(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11335))->
								BgL_defz00);
						}
						BgL_arg2317z00_5896 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2320z00_5897,
							BgL_arg2321z00_5898);
					}
					{	/* Liveness/liveness.scm 434 */
						obj_t BgL_list2318z00_5899;

						{	/* Liveness/liveness.scm 434 */
							obj_t BgL_arg2319z00_5900;

							BgL_arg2319z00_5900 = MAKE_YOUNG_PAIR(BgL_arg2317z00_5896, BNIL);
							BgL_list2318z00_5899 =
								MAKE_YOUNG_PAIR(BgL_arg2316z00_5895, BgL_arg2319z00_5900);
						}
						BgL_auxz00_11318 =
							BGl_unionz00zzliveness_setz00(BgL_list2318z00_5899);
					}
				}
				{
					obj_t BgL_auxz00_11312;

					{	/* Liveness/liveness.scm 434 */
						BgL_objectz00_bglt BgL_tmpz00_11313;

						BgL_tmpz00_11313 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4997));
						BgL_auxz00_11312 = BGL_OBJECT_WIDENING(BgL_tmpz00_11313);
					}
					BgL_auxz00_11311 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11312);
				}
				((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11311))->
						BgL_inz00) = ((obj_t) BgL_auxz00_11318), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 435 */
				obj_t BgL_g1645z00_5901;

				BgL_g1645z00_5901 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_wideningz00_bglt) BgL_nz00_4997))))->BgL_exprza2za2);
				{
					obj_t BgL_l1642z00_5903;

					BgL_l1642z00_5903 = BgL_g1645z00_5901;
				BgL_zc3z04anonymousza32322ze3z87_5902:
					if (PAIRP(BgL_l1642z00_5903))
						{	/* Liveness/liveness.scm 435 */
							{	/* Liveness/liveness.scm 435 */
								obj_t BgL_ez00_5904;

								BgL_ez00_5904 = CAR(BgL_l1642z00_5903);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5904), BgL_oz00_4998);
							}
							{
								obj_t BgL_l1642z00_11356;

								BgL_l1642z00_11356 = CDR(BgL_l1642z00_5903);
								BgL_l1642z00_5903 = BgL_l1642z00_11356;
								goto BgL_zc3z04anonymousza32322ze3z87_5902;
							}
						}
					else
						{	/* Liveness/liveness.scm 435 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 436 */
				obj_t BgL_val0_1646z00_5905;
				obj_t BgL_val1_1647z00_5906;

				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11358;

					{
						obj_t BgL_auxz00_11359;

						{	/* Liveness/liveness.scm 436 */
							BgL_objectz00_bglt BgL_tmpz00_11360;

							BgL_tmpz00_11360 =
								((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4997));
							BgL_auxz00_11359 = BGL_OBJECT_WIDENING(BgL_tmpz00_11360);
						}
						BgL_auxz00_11358 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11359);
					}
					BgL_val0_1646z00_5905 =
						(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11358))->
						BgL_inz00);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11366;

					{
						obj_t BgL_auxz00_11367;

						{	/* Liveness/liveness.scm 436 */
							BgL_objectz00_bglt BgL_tmpz00_11368;

							BgL_tmpz00_11368 =
								((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4997));
							BgL_auxz00_11367 = BGL_OBJECT_WIDENING(BgL_tmpz00_11368);
						}
						BgL_auxz00_11366 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11367);
					}
					BgL_val1_1647z00_5906 =
						(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11366))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 436 */
					int BgL_tmpz00_11374;

					BgL_tmpz00_11374 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11374);
				}
				{	/* Liveness/liveness.scm 436 */
					int BgL_tmpz00_11377;

					BgL_tmpz00_11377 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11377, BgL_val1_1647z00_5906);
				}
				return BgL_val0_1646z00_5905;
			}
		}

	}



/* &defuse-widening/live1932 */
	obj_t BGl_z62defusezd2wideningzf2live1932z42zzliveness_livenessz00(obj_t
		BgL_envz00_4999, obj_t BgL_nz00_5000)
	{
		{	/* Liveness/liveness.scm 427 */
			{	/* Liveness/liveness.scm 429 */
				obj_t BgL_val0_1640z00_5908;
				obj_t BgL_val1_1641z00_5909;

				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11380;

					{
						obj_t BgL_auxz00_11381;

						{	/* Liveness/liveness.scm 429 */
							BgL_objectz00_bglt BgL_tmpz00_11382;

							BgL_tmpz00_11382 =
								((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_5000));
							BgL_auxz00_11381 = BGL_OBJECT_WIDENING(BgL_tmpz00_11382);
						}
						BgL_auxz00_11380 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11381);
					}
					BgL_val0_1640z00_5908 =
						(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11380))->
						BgL_defz00);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11388;

					{
						obj_t BgL_auxz00_11389;

						{	/* Liveness/liveness.scm 429 */
							BgL_objectz00_bglt BgL_tmpz00_11390;

							BgL_tmpz00_11390 =
								((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_5000));
							BgL_auxz00_11389 = BGL_OBJECT_WIDENING(BgL_tmpz00_11390);
						}
						BgL_auxz00_11388 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11389);
					}
					BgL_val1_1641z00_5909 =
						(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11388))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 429 */
					int BgL_tmpz00_11396;

					BgL_tmpz00_11396 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11396);
				}
				{	/* Liveness/liveness.scm 429 */
					int BgL_tmpz00_11399;

					BgL_tmpz00_11399 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11399, BgL_val1_1641z00_5909);
				}
				return BgL_val0_1640z00_5908;
			}
		}

	}



/* &defuse-widening1930 */
	obj_t BGl_z62defusezd2widening1930zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5001, obj_t BgL_nz00_5002)
	{
		{	/* Liveness/liveness.scm 418 */
			{	/* Liveness/liveness.scm 420 */
				obj_t BgL_defz00_5911;

				{	/* Liveness/liveness.scm 421 */
					obj_t BgL_arg2315z00_5912;

					BgL_arg2315z00_5912 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_wideningz00_bglt) BgL_nz00_5002))))->BgL_exprza2za2);
					BgL_defz00_5911 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2315z00_5912, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 421 */
					obj_t BgL_usez00_5913;

					{	/* Liveness/liveness.scm 422 */
						obj_t BgL_tmpz00_5914;

						{	/* Liveness/liveness.scm 422 */
							int BgL_tmpz00_11406;

							BgL_tmpz00_11406 = (int) (((long) 1));
							BgL_tmpz00_5914 = BGL_MVALUES_VAL(BgL_tmpz00_11406);
						}
						{	/* Liveness/liveness.scm 422 */
							int BgL_tmpz00_11409;

							BgL_tmpz00_11409 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11409, BUNSPEC);
						}
						BgL_usez00_5913 = BgL_tmpz00_5914;
					}
					{	/* Liveness/liveness.scm 423 */
						BgL_wideningz00_bglt BgL_arg2312z00_5915;

						{	/* Liveness/liveness.scm 423 */
							BgL_wideningzf2livenesszf2_bglt BgL_wide1240z00_5916;

							BgL_wide1240z00_5916 =
								((BgL_wideningzf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_wideningzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 423 */
								obj_t BgL_auxz00_11417;
								BgL_objectz00_bglt BgL_tmpz00_11413;

								BgL_auxz00_11417 = ((obj_t) BgL_wide1240z00_5916);
								BgL_tmpz00_11413 =
									((BgL_objectz00_bglt)
									((BgL_wideningz00_bglt)
										((BgL_wideningz00_bglt) BgL_nz00_5002)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11413, BgL_auxz00_11417);
							}
							((BgL_objectz00_bglt)
								((BgL_wideningz00_bglt)
									((BgL_wideningz00_bglt) BgL_nz00_5002)));
							{	/* Liveness/liveness.scm 423 */
								long BgL_arg2314z00_5917;

								BgL_arg2314z00_5917 =
									BGL_CLASS_NUM(BGl_wideningzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt)
											((BgL_wideningz00_bglt) BgL_nz00_5002))),
									BgL_arg2314z00_5917);
							}
							((BgL_wideningz00_bglt)
								((BgL_wideningz00_bglt)
									((BgL_wideningz00_bglt) BgL_nz00_5002)));
						}
						{
							BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11431;

							{
								obj_t BgL_auxz00_11432;

								{	/* Liveness/liveness.scm 424 */
									BgL_objectz00_bglt BgL_tmpz00_11433;

									BgL_tmpz00_11433 =
										((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt)
											((BgL_wideningz00_bglt) BgL_nz00_5002)));
									BgL_auxz00_11432 = BGL_OBJECT_WIDENING(BgL_tmpz00_11433);
								}
								BgL_auxz00_11431 =
									((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11432);
							}
							((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11431))->
									BgL_defz00) = ((obj_t) BgL_defz00_5911), BUNSPEC);
						}
						{
							BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11440;

							{
								obj_t BgL_auxz00_11441;

								{	/* Liveness/liveness.scm 425 */
									BgL_objectz00_bglt BgL_tmpz00_11442;

									BgL_tmpz00_11442 =
										((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt)
											((BgL_wideningz00_bglt) BgL_nz00_5002)));
									BgL_auxz00_11441 = BGL_OBJECT_WIDENING(BgL_tmpz00_11442);
								}
								BgL_auxz00_11440 =
									((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11441);
							}
							((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11440))->
									BgL_usez00) = ((obj_t) BgL_usez00_5913), BUNSPEC);
						}
						{
							BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11449;

							{
								obj_t BgL_auxz00_11450;

								{	/* Liveness/liveness.scm 421 */
									BgL_objectz00_bglt BgL_tmpz00_11451;

									BgL_tmpz00_11451 =
										((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt)
											((BgL_wideningz00_bglt) BgL_nz00_5002)));
									BgL_auxz00_11450 = BGL_OBJECT_WIDENING(BgL_tmpz00_11451);
								}
								BgL_auxz00_11449 =
									((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11450);
							}
							((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11449))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11458;

							{
								obj_t BgL_auxz00_11459;

								{	/* Liveness/liveness.scm 421 */
									BgL_objectz00_bglt BgL_tmpz00_11460;

									BgL_tmpz00_11460 =
										((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt)
											((BgL_wideningz00_bglt) BgL_nz00_5002)));
									BgL_auxz00_11459 = BGL_OBJECT_WIDENING(BgL_tmpz00_11460);
								}
								BgL_auxz00_11458 =
									((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11459);
							}
							((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11458))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2312z00_5915 =
							((BgL_wideningz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_5002));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2312z00_5915));
					}
				}
			}
		}

	}



/* &inout-setfield/liven1928 */
	obj_t BGl_z62inoutzd2setfieldzf2liven1928z42zzliveness_livenessz00(obj_t
		BgL_envz00_5003, obj_t BgL_nz00_5004)
	{
		{	/* Liveness/liveness.scm 411 */
			{	/* Liveness/liveness.scm 413 */
				obj_t BgL_val0_1638z00_5919;
				obj_t BgL_val1_1639z00_5920;

				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11471;

					{
						obj_t BgL_auxz00_11472;

						{	/* Liveness/liveness.scm 413 */
							BgL_objectz00_bglt BgL_tmpz00_11473;

							BgL_tmpz00_11473 =
								((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5004));
							BgL_auxz00_11472 = BGL_OBJECT_WIDENING(BgL_tmpz00_11473);
						}
						BgL_auxz00_11471 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11472);
					}
					BgL_val0_1638z00_5919 =
						(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11471))->
						BgL_inz00);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11479;

					{
						obj_t BgL_auxz00_11480;

						{	/* Liveness/liveness.scm 413 */
							BgL_objectz00_bglt BgL_tmpz00_11481;

							BgL_tmpz00_11481 =
								((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5004));
							BgL_auxz00_11480 = BGL_OBJECT_WIDENING(BgL_tmpz00_11481);
						}
						BgL_auxz00_11479 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11480);
					}
					BgL_val1_1639z00_5920 =
						(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11479))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 413 */
					int BgL_tmpz00_11487;

					BgL_tmpz00_11487 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11487);
				}
				{	/* Liveness/liveness.scm 413 */
					int BgL_tmpz00_11490;

					BgL_tmpz00_11490 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11490, BgL_val1_1639z00_5920);
				}
				return BgL_val0_1638z00_5919;
			}
		}

	}



/* &inout!-setfield/live1926 */
	obj_t BGl_z62inoutz12zd2setfieldzf2live1926z50zzliveness_livenessz00(obj_t
		BgL_envz00_5005, obj_t BgL_nz00_5006, obj_t BgL_oz00_5007)
	{
		{	/* Liveness/liveness.scm 404 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11493;

				{
					obj_t BgL_auxz00_11494;

					{	/* Liveness/liveness.scm 406 */
						BgL_objectz00_bglt BgL_tmpz00_11495;

						BgL_tmpz00_11495 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5006));
						BgL_auxz00_11494 = BGL_OBJECT_WIDENING(BgL_tmpz00_11495);
					}
					BgL_auxz00_11493 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11494);
				}
				((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11493))->
						BgL_outz00) = ((obj_t) BgL_oz00_5007), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_11508;
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11501;

				{	/* Liveness/liveness.scm 407 */
					obj_t BgL_arg2302z00_5922;
					obj_t BgL_arg2304z00_5923;

					{
						BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11509;

						{
							obj_t BgL_auxz00_11510;

							{	/* Liveness/liveness.scm 407 */
								BgL_objectz00_bglt BgL_tmpz00_11511;

								BgL_tmpz00_11511 =
									((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5006));
								BgL_auxz00_11510 = BGL_OBJECT_WIDENING(BgL_tmpz00_11511);
							}
							BgL_auxz00_11509 =
								((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11510);
						}
						BgL_arg2302z00_5922 =
							(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11509))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 407 */
						obj_t BgL_arg2307z00_5924;
						obj_t BgL_arg2308z00_5925;

						{
							BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11517;

							{
								obj_t BgL_auxz00_11518;

								{	/* Liveness/liveness.scm 407 */
									BgL_objectz00_bglt BgL_tmpz00_11519;

									BgL_tmpz00_11519 =
										((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt) BgL_nz00_5006));
									BgL_auxz00_11518 = BGL_OBJECT_WIDENING(BgL_tmpz00_11519);
								}
								BgL_auxz00_11517 =
									((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11518);
							}
							BgL_arg2307z00_5924 =
								(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11517))->
								BgL_outz00);
						}
						{
							BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11525;

							{
								obj_t BgL_auxz00_11526;

								{	/* Liveness/liveness.scm 407 */
									BgL_objectz00_bglt BgL_tmpz00_11527;

									BgL_tmpz00_11527 =
										((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt) BgL_nz00_5006));
									BgL_auxz00_11526 = BGL_OBJECT_WIDENING(BgL_tmpz00_11527);
								}
								BgL_auxz00_11525 =
									((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11526);
							}
							BgL_arg2308z00_5925 =
								(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11525))->
								BgL_defz00);
						}
						BgL_arg2304z00_5923 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2307z00_5924,
							BgL_arg2308z00_5925);
					}
					{	/* Liveness/liveness.scm 407 */
						obj_t BgL_list2305z00_5926;

						{	/* Liveness/liveness.scm 407 */
							obj_t BgL_arg2306z00_5927;

							BgL_arg2306z00_5927 = MAKE_YOUNG_PAIR(BgL_arg2304z00_5923, BNIL);
							BgL_list2305z00_5926 =
								MAKE_YOUNG_PAIR(BgL_arg2302z00_5922, BgL_arg2306z00_5927);
						}
						BgL_auxz00_11508 =
							BGl_unionz00zzliveness_setz00(BgL_list2305z00_5926);
					}
				}
				{
					obj_t BgL_auxz00_11502;

					{	/* Liveness/liveness.scm 407 */
						BgL_objectz00_bglt BgL_tmpz00_11503;

						BgL_tmpz00_11503 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5006));
						BgL_auxz00_11502 = BGL_OBJECT_WIDENING(BgL_tmpz00_11503);
					}
					BgL_auxz00_11501 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11502);
				}
				((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11501))->
						BgL_inz00) = ((obj_t) BgL_auxz00_11508), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 408 */
				obj_t BgL_g1635z00_5928;

				BgL_g1635z00_5928 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_setfieldz00_bglt) BgL_nz00_5006))))->BgL_exprza2za2);
				{
					obj_t BgL_l1633z00_5930;

					BgL_l1633z00_5930 = BgL_g1635z00_5928;
				BgL_zc3z04anonymousza32309ze3z87_5929:
					if (PAIRP(BgL_l1633z00_5930))
						{	/* Liveness/liveness.scm 408 */
							{	/* Liveness/liveness.scm 408 */
								obj_t BgL_ez00_5931;

								BgL_ez00_5931 = CAR(BgL_l1633z00_5930);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5931), BgL_oz00_5007);
							}
							{
								obj_t BgL_l1633z00_11546;

								BgL_l1633z00_11546 = CDR(BgL_l1633z00_5930);
								BgL_l1633z00_5930 = BgL_l1633z00_11546;
								goto BgL_zc3z04anonymousza32309ze3z87_5929;
							}
						}
					else
						{	/* Liveness/liveness.scm 408 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 409 */
				obj_t BgL_val0_1636z00_5932;
				obj_t BgL_val1_1637z00_5933;

				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11548;

					{
						obj_t BgL_auxz00_11549;

						{	/* Liveness/liveness.scm 409 */
							BgL_objectz00_bglt BgL_tmpz00_11550;

							BgL_tmpz00_11550 =
								((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5006));
							BgL_auxz00_11549 = BGL_OBJECT_WIDENING(BgL_tmpz00_11550);
						}
						BgL_auxz00_11548 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11549);
					}
					BgL_val0_1636z00_5932 =
						(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11548))->
						BgL_inz00);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11556;

					{
						obj_t BgL_auxz00_11557;

						{	/* Liveness/liveness.scm 409 */
							BgL_objectz00_bglt BgL_tmpz00_11558;

							BgL_tmpz00_11558 =
								((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5006));
							BgL_auxz00_11557 = BGL_OBJECT_WIDENING(BgL_tmpz00_11558);
						}
						BgL_auxz00_11556 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11557);
					}
					BgL_val1_1637z00_5933 =
						(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11556))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 409 */
					int BgL_tmpz00_11564;

					BgL_tmpz00_11564 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11564);
				}
				{	/* Liveness/liveness.scm 409 */
					int BgL_tmpz00_11567;

					BgL_tmpz00_11567 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11567, BgL_val1_1637z00_5933);
				}
				return BgL_val0_1636z00_5932;
			}
		}

	}



/* &defuse-setfield/live1924 */
	obj_t BGl_z62defusezd2setfieldzf2live1924z42zzliveness_livenessz00(obj_t
		BgL_envz00_5008, obj_t BgL_nz00_5009)
	{
		{	/* Liveness/liveness.scm 400 */
			{	/* Liveness/liveness.scm 402 */
				obj_t BgL_val0_1631z00_5935;
				obj_t BgL_val1_1632z00_5936;

				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11570;

					{
						obj_t BgL_auxz00_11571;

						{	/* Liveness/liveness.scm 402 */
							BgL_objectz00_bglt BgL_tmpz00_11572;

							BgL_tmpz00_11572 =
								((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5009));
							BgL_auxz00_11571 = BGL_OBJECT_WIDENING(BgL_tmpz00_11572);
						}
						BgL_auxz00_11570 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11571);
					}
					BgL_val0_1631z00_5935 =
						(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11570))->
						BgL_defz00);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11578;

					{
						obj_t BgL_auxz00_11579;

						{	/* Liveness/liveness.scm 402 */
							BgL_objectz00_bglt BgL_tmpz00_11580;

							BgL_tmpz00_11580 =
								((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5009));
							BgL_auxz00_11579 = BGL_OBJECT_WIDENING(BgL_tmpz00_11580);
						}
						BgL_auxz00_11578 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11579);
					}
					BgL_val1_1632z00_5936 =
						(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11578))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 402 */
					int BgL_tmpz00_11586;

					BgL_tmpz00_11586 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11586);
				}
				{	/* Liveness/liveness.scm 402 */
					int BgL_tmpz00_11589;

					BgL_tmpz00_11589 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11589, BgL_val1_1632z00_5936);
				}
				return BgL_val0_1631z00_5935;
			}
		}

	}



/* &defuse-setfield1922 */
	obj_t BGl_z62defusezd2setfield1922zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5010, obj_t BgL_nz00_5011)
	{
		{	/* Liveness/liveness.scm 391 */
			{	/* Liveness/liveness.scm 393 */
				obj_t BgL_defz00_5938;

				{	/* Liveness/liveness.scm 394 */
					obj_t BgL_arg2301z00_5939;

					BgL_arg2301z00_5939 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_setfieldz00_bglt) BgL_nz00_5011))))->BgL_exprza2za2);
					BgL_defz00_5938 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2301z00_5939, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 394 */
					obj_t BgL_usez00_5940;

					{	/* Liveness/liveness.scm 395 */
						obj_t BgL_tmpz00_5941;

						{	/* Liveness/liveness.scm 395 */
							int BgL_tmpz00_11596;

							BgL_tmpz00_11596 = (int) (((long) 1));
							BgL_tmpz00_5941 = BGL_MVALUES_VAL(BgL_tmpz00_11596);
						}
						{	/* Liveness/liveness.scm 395 */
							int BgL_tmpz00_11599;

							BgL_tmpz00_11599 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11599, BUNSPEC);
						}
						BgL_usez00_5940 = BgL_tmpz00_5941;
					}
					{	/* Liveness/liveness.scm 396 */
						BgL_setfieldz00_bglt BgL_arg2298z00_5942;

						{	/* Liveness/liveness.scm 396 */
							BgL_setfieldzf2livenesszf2_bglt BgL_wide1232z00_5943;

							BgL_wide1232z00_5943 =
								((BgL_setfieldzf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setfieldzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 396 */
								obj_t BgL_auxz00_11607;
								BgL_objectz00_bglt BgL_tmpz00_11603;

								BgL_auxz00_11607 = ((obj_t) BgL_wide1232z00_5943);
								BgL_tmpz00_11603 =
									((BgL_objectz00_bglt)
									((BgL_setfieldz00_bglt)
										((BgL_setfieldz00_bglt) BgL_nz00_5011)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11603, BgL_auxz00_11607);
							}
							((BgL_objectz00_bglt)
								((BgL_setfieldz00_bglt)
									((BgL_setfieldz00_bglt) BgL_nz00_5011)));
							{	/* Liveness/liveness.scm 396 */
								long BgL_arg2299z00_5944;

								BgL_arg2299z00_5944 =
									BGL_CLASS_NUM(BGl_setfieldzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt)
											((BgL_setfieldz00_bglt) BgL_nz00_5011))),
									BgL_arg2299z00_5944);
							}
							((BgL_setfieldz00_bglt)
								((BgL_setfieldz00_bglt)
									((BgL_setfieldz00_bglt) BgL_nz00_5011)));
						}
						{
							BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11621;

							{
								obj_t BgL_auxz00_11622;

								{	/* Liveness/liveness.scm 397 */
									BgL_objectz00_bglt BgL_tmpz00_11623;

									BgL_tmpz00_11623 =
										((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt)
											((BgL_setfieldz00_bglt) BgL_nz00_5011)));
									BgL_auxz00_11622 = BGL_OBJECT_WIDENING(BgL_tmpz00_11623);
								}
								BgL_auxz00_11621 =
									((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11622);
							}
							((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11621))->
									BgL_defz00) = ((obj_t) BgL_defz00_5938), BUNSPEC);
						}
						{
							BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11630;

							{
								obj_t BgL_auxz00_11631;

								{	/* Liveness/liveness.scm 398 */
									BgL_objectz00_bglt BgL_tmpz00_11632;

									BgL_tmpz00_11632 =
										((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt)
											((BgL_setfieldz00_bglt) BgL_nz00_5011)));
									BgL_auxz00_11631 = BGL_OBJECT_WIDENING(BgL_tmpz00_11632);
								}
								BgL_auxz00_11630 =
									((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11631);
							}
							((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11630))->
									BgL_usez00) = ((obj_t) BgL_usez00_5940), BUNSPEC);
						}
						{
							BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11639;

							{
								obj_t BgL_auxz00_11640;

								{	/* Liveness/liveness.scm 394 */
									BgL_objectz00_bglt BgL_tmpz00_11641;

									BgL_tmpz00_11641 =
										((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt)
											((BgL_setfieldz00_bglt) BgL_nz00_5011)));
									BgL_auxz00_11640 = BGL_OBJECT_WIDENING(BgL_tmpz00_11641);
								}
								BgL_auxz00_11639 =
									((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11640);
							}
							((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11639))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11648;

							{
								obj_t BgL_auxz00_11649;

								{	/* Liveness/liveness.scm 394 */
									BgL_objectz00_bglt BgL_tmpz00_11650;

									BgL_tmpz00_11650 =
										((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt)
											((BgL_setfieldz00_bglt) BgL_nz00_5011)));
									BgL_auxz00_11649 = BGL_OBJECT_WIDENING(BgL_tmpz00_11650);
								}
								BgL_auxz00_11648 =
									((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11649);
							}
							((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11648))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2298z00_5942 =
							((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5011));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2298z00_5942));
					}
				}
			}
		}

	}



/* &inout-getfield/liven1920 */
	obj_t BGl_z62inoutzd2getfieldzf2liven1920z42zzliveness_livenessz00(obj_t
		BgL_envz00_5012, obj_t BgL_nz00_5013)
	{
		{	/* Liveness/liveness.scm 384 */
			{	/* Liveness/liveness.scm 386 */
				obj_t BgL_val0_1629z00_5946;
				obj_t BgL_val1_1630z00_5947;

				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11661;

					{
						obj_t BgL_auxz00_11662;

						{	/* Liveness/liveness.scm 386 */
							BgL_objectz00_bglt BgL_tmpz00_11663;

							BgL_tmpz00_11663 =
								((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5013));
							BgL_auxz00_11662 = BGL_OBJECT_WIDENING(BgL_tmpz00_11663);
						}
						BgL_auxz00_11661 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11662);
					}
					BgL_val0_1629z00_5946 =
						(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11661))->
						BgL_inz00);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11669;

					{
						obj_t BgL_auxz00_11670;

						{	/* Liveness/liveness.scm 386 */
							BgL_objectz00_bglt BgL_tmpz00_11671;

							BgL_tmpz00_11671 =
								((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5013));
							BgL_auxz00_11670 = BGL_OBJECT_WIDENING(BgL_tmpz00_11671);
						}
						BgL_auxz00_11669 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11670);
					}
					BgL_val1_1630z00_5947 =
						(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11669))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 386 */
					int BgL_tmpz00_11677;

					BgL_tmpz00_11677 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11677);
				}
				{	/* Liveness/liveness.scm 386 */
					int BgL_tmpz00_11680;

					BgL_tmpz00_11680 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11680, BgL_val1_1630z00_5947);
				}
				return BgL_val0_1629z00_5946;
			}
		}

	}



/* &inout!-getfield/live1918 */
	obj_t BGl_z62inoutz12zd2getfieldzf2live1918z50zzliveness_livenessz00(obj_t
		BgL_envz00_5014, obj_t BgL_nz00_5015, obj_t BgL_oz00_5016)
	{
		{	/* Liveness/liveness.scm 377 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11683;

				{
					obj_t BgL_auxz00_11684;

					{	/* Liveness/liveness.scm 379 */
						BgL_objectz00_bglt BgL_tmpz00_11685;

						BgL_tmpz00_11685 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5015));
						BgL_auxz00_11684 = BGL_OBJECT_WIDENING(BgL_tmpz00_11685);
					}
					BgL_auxz00_11683 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11684);
				}
				((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11683))->
						BgL_outz00) = ((obj_t) BgL_oz00_5016), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_11698;
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11691;

				{	/* Liveness/liveness.scm 380 */
					obj_t BgL_arg2289z00_5949;
					obj_t BgL_arg2290z00_5950;

					{
						BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11699;

						{
							obj_t BgL_auxz00_11700;

							{	/* Liveness/liveness.scm 380 */
								BgL_objectz00_bglt BgL_tmpz00_11701;

								BgL_tmpz00_11701 =
									((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5015));
								BgL_auxz00_11700 = BGL_OBJECT_WIDENING(BgL_tmpz00_11701);
							}
							BgL_auxz00_11699 =
								((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11700);
						}
						BgL_arg2289z00_5949 =
							(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11699))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 380 */
						obj_t BgL_arg2293z00_5951;
						obj_t BgL_arg2294z00_5952;

						{
							BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11707;

							{
								obj_t BgL_auxz00_11708;

								{	/* Liveness/liveness.scm 380 */
									BgL_objectz00_bglt BgL_tmpz00_11709;

									BgL_tmpz00_11709 =
										((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt) BgL_nz00_5015));
									BgL_auxz00_11708 = BGL_OBJECT_WIDENING(BgL_tmpz00_11709);
								}
								BgL_auxz00_11707 =
									((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11708);
							}
							BgL_arg2293z00_5951 =
								(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11707))->
								BgL_outz00);
						}
						{
							BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11715;

							{
								obj_t BgL_auxz00_11716;

								{	/* Liveness/liveness.scm 380 */
									BgL_objectz00_bglt BgL_tmpz00_11717;

									BgL_tmpz00_11717 =
										((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt) BgL_nz00_5015));
									BgL_auxz00_11716 = BGL_OBJECT_WIDENING(BgL_tmpz00_11717);
								}
								BgL_auxz00_11715 =
									((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11716);
							}
							BgL_arg2294z00_5952 =
								(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11715))->
								BgL_defz00);
						}
						BgL_arg2290z00_5950 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2293z00_5951,
							BgL_arg2294z00_5952);
					}
					{	/* Liveness/liveness.scm 380 */
						obj_t BgL_list2291z00_5953;

						{	/* Liveness/liveness.scm 380 */
							obj_t BgL_arg2292z00_5954;

							BgL_arg2292z00_5954 = MAKE_YOUNG_PAIR(BgL_arg2290z00_5950, BNIL);
							BgL_list2291z00_5953 =
								MAKE_YOUNG_PAIR(BgL_arg2289z00_5949, BgL_arg2292z00_5954);
						}
						BgL_auxz00_11698 =
							BGl_unionz00zzliveness_setz00(BgL_list2291z00_5953);
					}
				}
				{
					obj_t BgL_auxz00_11692;

					{	/* Liveness/liveness.scm 380 */
						BgL_objectz00_bglt BgL_tmpz00_11693;

						BgL_tmpz00_11693 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5015));
						BgL_auxz00_11692 = BGL_OBJECT_WIDENING(BgL_tmpz00_11693);
					}
					BgL_auxz00_11691 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11692);
				}
				((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11691))->
						BgL_inz00) = ((obj_t) BgL_auxz00_11698), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 381 */
				obj_t BgL_g1626z00_5955;

				BgL_g1626z00_5955 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_nz00_5015))))->BgL_exprza2za2);
				{
					obj_t BgL_l1624z00_5957;

					BgL_l1624z00_5957 = BgL_g1626z00_5955;
				BgL_zc3z04anonymousza32295ze3z87_5956:
					if (PAIRP(BgL_l1624z00_5957))
						{	/* Liveness/liveness.scm 381 */
							{	/* Liveness/liveness.scm 381 */
								obj_t BgL_ez00_5958;

								BgL_ez00_5958 = CAR(BgL_l1624z00_5957);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5958), BgL_oz00_5016);
							}
							{
								obj_t BgL_l1624z00_11736;

								BgL_l1624z00_11736 = CDR(BgL_l1624z00_5957);
								BgL_l1624z00_5957 = BgL_l1624z00_11736;
								goto BgL_zc3z04anonymousza32295ze3z87_5956;
							}
						}
					else
						{	/* Liveness/liveness.scm 381 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 382 */
				obj_t BgL_val0_1627z00_5959;
				obj_t BgL_val1_1628z00_5960;

				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11738;

					{
						obj_t BgL_auxz00_11739;

						{	/* Liveness/liveness.scm 382 */
							BgL_objectz00_bglt BgL_tmpz00_11740;

							BgL_tmpz00_11740 =
								((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5015));
							BgL_auxz00_11739 = BGL_OBJECT_WIDENING(BgL_tmpz00_11740);
						}
						BgL_auxz00_11738 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11739);
					}
					BgL_val0_1627z00_5959 =
						(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11738))->
						BgL_inz00);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11746;

					{
						obj_t BgL_auxz00_11747;

						{	/* Liveness/liveness.scm 382 */
							BgL_objectz00_bglt BgL_tmpz00_11748;

							BgL_tmpz00_11748 =
								((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5015));
							BgL_auxz00_11747 = BGL_OBJECT_WIDENING(BgL_tmpz00_11748);
						}
						BgL_auxz00_11746 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11747);
					}
					BgL_val1_1628z00_5960 =
						(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11746))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 382 */
					int BgL_tmpz00_11754;

					BgL_tmpz00_11754 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11754);
				}
				{	/* Liveness/liveness.scm 382 */
					int BgL_tmpz00_11757;

					BgL_tmpz00_11757 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11757, BgL_val1_1628z00_5960);
				}
				return BgL_val0_1627z00_5959;
			}
		}

	}



/* &defuse-getfield/live1916 */
	obj_t BGl_z62defusezd2getfieldzf2live1916z42zzliveness_livenessz00(obj_t
		BgL_envz00_5017, obj_t BgL_nz00_5018)
	{
		{	/* Liveness/liveness.scm 373 */
			{	/* Liveness/liveness.scm 375 */
				obj_t BgL_val0_1622z00_5962;
				obj_t BgL_val1_1623z00_5963;

				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11760;

					{
						obj_t BgL_auxz00_11761;

						{	/* Liveness/liveness.scm 375 */
							BgL_objectz00_bglt BgL_tmpz00_11762;

							BgL_tmpz00_11762 =
								((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5018));
							BgL_auxz00_11761 = BGL_OBJECT_WIDENING(BgL_tmpz00_11762);
						}
						BgL_auxz00_11760 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11761);
					}
					BgL_val0_1622z00_5962 =
						(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11760))->
						BgL_defz00);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11768;

					{
						obj_t BgL_auxz00_11769;

						{	/* Liveness/liveness.scm 375 */
							BgL_objectz00_bglt BgL_tmpz00_11770;

							BgL_tmpz00_11770 =
								((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5018));
							BgL_auxz00_11769 = BGL_OBJECT_WIDENING(BgL_tmpz00_11770);
						}
						BgL_auxz00_11768 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11769);
					}
					BgL_val1_1623z00_5963 =
						(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11768))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 375 */
					int BgL_tmpz00_11776;

					BgL_tmpz00_11776 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11776);
				}
				{	/* Liveness/liveness.scm 375 */
					int BgL_tmpz00_11779;

					BgL_tmpz00_11779 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11779, BgL_val1_1623z00_5963);
				}
				return BgL_val0_1622z00_5962;
			}
		}

	}



/* &defuse-getfield1914 */
	obj_t BGl_z62defusezd2getfield1914zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5019, obj_t BgL_nz00_5020)
	{
		{	/* Liveness/liveness.scm 364 */
			{	/* Liveness/liveness.scm 366 */
				obj_t BgL_defz00_5965;

				{	/* Liveness/liveness.scm 367 */
					obj_t BgL_arg2288z00_5966;

					BgL_arg2288z00_5966 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_getfieldz00_bglt) BgL_nz00_5020))))->BgL_exprza2za2);
					BgL_defz00_5965 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2288z00_5966, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 367 */
					obj_t BgL_usez00_5967;

					{	/* Liveness/liveness.scm 368 */
						obj_t BgL_tmpz00_5968;

						{	/* Liveness/liveness.scm 368 */
							int BgL_tmpz00_11786;

							BgL_tmpz00_11786 = (int) (((long) 1));
							BgL_tmpz00_5968 = BGL_MVALUES_VAL(BgL_tmpz00_11786);
						}
						{	/* Liveness/liveness.scm 368 */
							int BgL_tmpz00_11789;

							BgL_tmpz00_11789 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11789, BUNSPEC);
						}
						BgL_usez00_5967 = BgL_tmpz00_5968;
					}
					{	/* Liveness/liveness.scm 369 */
						BgL_getfieldz00_bglt BgL_arg2286z00_5969;

						{	/* Liveness/liveness.scm 369 */
							BgL_getfieldzf2livenesszf2_bglt BgL_wide1224z00_5970;

							BgL_wide1224z00_5970 =
								((BgL_getfieldzf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_getfieldzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 369 */
								obj_t BgL_auxz00_11797;
								BgL_objectz00_bglt BgL_tmpz00_11793;

								BgL_auxz00_11797 = ((obj_t) BgL_wide1224z00_5970);
								BgL_tmpz00_11793 =
									((BgL_objectz00_bglt)
									((BgL_getfieldz00_bglt)
										((BgL_getfieldz00_bglt) BgL_nz00_5020)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11793, BgL_auxz00_11797);
							}
							((BgL_objectz00_bglt)
								((BgL_getfieldz00_bglt)
									((BgL_getfieldz00_bglt) BgL_nz00_5020)));
							{	/* Liveness/liveness.scm 369 */
								long BgL_arg2287z00_5971;

								BgL_arg2287z00_5971 =
									BGL_CLASS_NUM(BGl_getfieldzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt)
											((BgL_getfieldz00_bglt) BgL_nz00_5020))),
									BgL_arg2287z00_5971);
							}
							((BgL_getfieldz00_bglt)
								((BgL_getfieldz00_bglt)
									((BgL_getfieldz00_bglt) BgL_nz00_5020)));
						}
						{
							BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11811;

							{
								obj_t BgL_auxz00_11812;

								{	/* Liveness/liveness.scm 370 */
									BgL_objectz00_bglt BgL_tmpz00_11813;

									BgL_tmpz00_11813 =
										((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt)
											((BgL_getfieldz00_bglt) BgL_nz00_5020)));
									BgL_auxz00_11812 = BGL_OBJECT_WIDENING(BgL_tmpz00_11813);
								}
								BgL_auxz00_11811 =
									((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11812);
							}
							((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11811))->
									BgL_defz00) = ((obj_t) BgL_defz00_5965), BUNSPEC);
						}
						{
							BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11820;

							{
								obj_t BgL_auxz00_11821;

								{	/* Liveness/liveness.scm 371 */
									BgL_objectz00_bglt BgL_tmpz00_11822;

									BgL_tmpz00_11822 =
										((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt)
											((BgL_getfieldz00_bglt) BgL_nz00_5020)));
									BgL_auxz00_11821 = BGL_OBJECT_WIDENING(BgL_tmpz00_11822);
								}
								BgL_auxz00_11820 =
									((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11821);
							}
							((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11820))->
									BgL_usez00) = ((obj_t) BgL_usez00_5967), BUNSPEC);
						}
						{
							BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11829;

							{
								obj_t BgL_auxz00_11830;

								{	/* Liveness/liveness.scm 367 */
									BgL_objectz00_bglt BgL_tmpz00_11831;

									BgL_tmpz00_11831 =
										((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt)
											((BgL_getfieldz00_bglt) BgL_nz00_5020)));
									BgL_auxz00_11830 = BGL_OBJECT_WIDENING(BgL_tmpz00_11831);
								}
								BgL_auxz00_11829 =
									((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11830);
							}
							((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11829))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11838;

							{
								obj_t BgL_auxz00_11839;

								{	/* Liveness/liveness.scm 367 */
									BgL_objectz00_bglt BgL_tmpz00_11840;

									BgL_tmpz00_11840 =
										((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt)
											((BgL_getfieldz00_bglt) BgL_nz00_5020)));
									BgL_auxz00_11839 = BGL_OBJECT_WIDENING(BgL_tmpz00_11840);
								}
								BgL_auxz00_11838 =
									((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11839);
							}
							((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11838))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2286z00_5969 =
							((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5020));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2286z00_5969));
					}
				}
			}
		}

	}



/* &inout-pragma/livenes1912 */
	obj_t BGl_z62inoutzd2pragmazf2livenes1912z42zzliveness_livenessz00(obj_t
		BgL_envz00_5021, obj_t BgL_nz00_5022)
	{
		{	/* Liveness/liveness.scm 357 */
			{	/* Liveness/liveness.scm 359 */
				obj_t BgL_val0_1620z00_5973;
				obj_t BgL_val1_1621z00_5974;

				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11851;

					{
						obj_t BgL_auxz00_11852;

						{	/* Liveness/liveness.scm 359 */
							BgL_objectz00_bglt BgL_tmpz00_11853;

							BgL_tmpz00_11853 =
								((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5022));
							BgL_auxz00_11852 = BGL_OBJECT_WIDENING(BgL_tmpz00_11853);
						}
						BgL_auxz00_11851 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11852);
					}
					BgL_val0_1620z00_5973 =
						(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11851))->
						BgL_inz00);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11859;

					{
						obj_t BgL_auxz00_11860;

						{	/* Liveness/liveness.scm 359 */
							BgL_objectz00_bglt BgL_tmpz00_11861;

							BgL_tmpz00_11861 =
								((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5022));
							BgL_auxz00_11860 = BGL_OBJECT_WIDENING(BgL_tmpz00_11861);
						}
						BgL_auxz00_11859 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11860);
					}
					BgL_val1_1621z00_5974 =
						(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11859))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 359 */
					int BgL_tmpz00_11867;

					BgL_tmpz00_11867 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11867);
				}
				{	/* Liveness/liveness.scm 359 */
					int BgL_tmpz00_11870;

					BgL_tmpz00_11870 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11870, BgL_val1_1621z00_5974);
				}
				return BgL_val0_1620z00_5973;
			}
		}

	}



/* &inout!-pragma/livene1910 */
	obj_t BGl_z62inoutz12zd2pragmazf2livene1910z50zzliveness_livenessz00(obj_t
		BgL_envz00_5023, obj_t BgL_nz00_5024, obj_t BgL_oz00_5025)
	{
		{	/* Liveness/liveness.scm 350 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11873;

				{
					obj_t BgL_auxz00_11874;

					{	/* Liveness/liveness.scm 352 */
						BgL_objectz00_bglt BgL_tmpz00_11875;

						BgL_tmpz00_11875 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5024));
						BgL_auxz00_11874 = BGL_OBJECT_WIDENING(BgL_tmpz00_11875);
					}
					BgL_auxz00_11873 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11874);
				}
				((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11873))->
						BgL_outz00) = ((obj_t) BgL_oz00_5025), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_11888;
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11881;

				{	/* Liveness/liveness.scm 353 */
					obj_t BgL_arg2275z00_5976;
					obj_t BgL_arg2276z00_5977;

					{
						BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11889;

						{
							obj_t BgL_auxz00_11890;

							{	/* Liveness/liveness.scm 353 */
								BgL_objectz00_bglt BgL_tmpz00_11891;

								BgL_tmpz00_11891 =
									((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5024));
								BgL_auxz00_11890 = BGL_OBJECT_WIDENING(BgL_tmpz00_11891);
							}
							BgL_auxz00_11889 =
								((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11890);
						}
						BgL_arg2275z00_5976 =
							(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11889))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 353 */
						obj_t BgL_arg2280z00_5978;
						obj_t BgL_arg2281z00_5979;

						{
							BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11897;

							{
								obj_t BgL_auxz00_11898;

								{	/* Liveness/liveness.scm 353 */
									BgL_objectz00_bglt BgL_tmpz00_11899;

									BgL_tmpz00_11899 =
										((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5024));
									BgL_auxz00_11898 = BGL_OBJECT_WIDENING(BgL_tmpz00_11899);
								}
								BgL_auxz00_11897 =
									((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11898);
							}
							BgL_arg2280z00_5978 =
								(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11897))->
								BgL_outz00);
						}
						{
							BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11905;

							{
								obj_t BgL_auxz00_11906;

								{	/* Liveness/liveness.scm 353 */
									BgL_objectz00_bglt BgL_tmpz00_11907;

									BgL_tmpz00_11907 =
										((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5024));
									BgL_auxz00_11906 = BGL_OBJECT_WIDENING(BgL_tmpz00_11907);
								}
								BgL_auxz00_11905 =
									((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11906);
							}
							BgL_arg2281z00_5979 =
								(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11905))->
								BgL_defz00);
						}
						BgL_arg2276z00_5977 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2280z00_5978,
							BgL_arg2281z00_5979);
					}
					{	/* Liveness/liveness.scm 353 */
						obj_t BgL_list2277z00_5980;

						{	/* Liveness/liveness.scm 353 */
							obj_t BgL_arg2278z00_5981;

							BgL_arg2278z00_5981 = MAKE_YOUNG_PAIR(BgL_arg2276z00_5977, BNIL);
							BgL_list2277z00_5980 =
								MAKE_YOUNG_PAIR(BgL_arg2275z00_5976, BgL_arg2278z00_5981);
						}
						BgL_auxz00_11888 =
							BGl_unionz00zzliveness_setz00(BgL_list2277z00_5980);
					}
				}
				{
					obj_t BgL_auxz00_11882;

					{	/* Liveness/liveness.scm 353 */
						BgL_objectz00_bglt BgL_tmpz00_11883;

						BgL_tmpz00_11883 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5024));
						BgL_auxz00_11882 = BGL_OBJECT_WIDENING(BgL_tmpz00_11883);
					}
					BgL_auxz00_11881 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11882);
				}
				((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11881))->
						BgL_inz00) = ((obj_t) BgL_auxz00_11888), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 354 */
				obj_t BgL_g1617z00_5982;

				BgL_g1617z00_5982 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_pragmaz00_bglt) BgL_nz00_5024))))->BgL_exprza2za2);
				{
					obj_t BgL_l1615z00_5984;

					BgL_l1615z00_5984 = BgL_g1617z00_5982;
				BgL_zc3z04anonymousza32282ze3z87_5983:
					if (PAIRP(BgL_l1615z00_5984))
						{	/* Liveness/liveness.scm 354 */
							{	/* Liveness/liveness.scm 354 */
								obj_t BgL_ez00_5985;

								BgL_ez00_5985 = CAR(BgL_l1615z00_5984);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5985), BgL_oz00_5025);
							}
							{
								obj_t BgL_l1615z00_11926;

								BgL_l1615z00_11926 = CDR(BgL_l1615z00_5984);
								BgL_l1615z00_5984 = BgL_l1615z00_11926;
								goto BgL_zc3z04anonymousza32282ze3z87_5983;
							}
						}
					else
						{	/* Liveness/liveness.scm 354 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 355 */
				obj_t BgL_val0_1618z00_5986;
				obj_t BgL_val1_1619z00_5987;

				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11928;

					{
						obj_t BgL_auxz00_11929;

						{	/* Liveness/liveness.scm 355 */
							BgL_objectz00_bglt BgL_tmpz00_11930;

							BgL_tmpz00_11930 =
								((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5024));
							BgL_auxz00_11929 = BGL_OBJECT_WIDENING(BgL_tmpz00_11930);
						}
						BgL_auxz00_11928 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11929);
					}
					BgL_val0_1618z00_5986 =
						(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11928))->
						BgL_inz00);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11936;

					{
						obj_t BgL_auxz00_11937;

						{	/* Liveness/liveness.scm 355 */
							BgL_objectz00_bglt BgL_tmpz00_11938;

							BgL_tmpz00_11938 =
								((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5024));
							BgL_auxz00_11937 = BGL_OBJECT_WIDENING(BgL_tmpz00_11938);
						}
						BgL_auxz00_11936 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11937);
					}
					BgL_val1_1619z00_5987 =
						(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11936))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 355 */
					int BgL_tmpz00_11944;

					BgL_tmpz00_11944 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11944);
				}
				{	/* Liveness/liveness.scm 355 */
					int BgL_tmpz00_11947;

					BgL_tmpz00_11947 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11947, BgL_val1_1619z00_5987);
				}
				return BgL_val0_1618z00_5986;
			}
		}

	}



/* &defuse-pragma/livene1908 */
	obj_t BGl_z62defusezd2pragmazf2livene1908z42zzliveness_livenessz00(obj_t
		BgL_envz00_5026, obj_t BgL_nz00_5027)
	{
		{	/* Liveness/liveness.scm 346 */
			{	/* Liveness/liveness.scm 348 */
				obj_t BgL_val0_1613z00_5989;
				obj_t BgL_val1_1614z00_5990;

				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11950;

					{
						obj_t BgL_auxz00_11951;

						{	/* Liveness/liveness.scm 348 */
							BgL_objectz00_bglt BgL_tmpz00_11952;

							BgL_tmpz00_11952 =
								((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5027));
							BgL_auxz00_11951 = BGL_OBJECT_WIDENING(BgL_tmpz00_11952);
						}
						BgL_auxz00_11950 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11951);
					}
					BgL_val0_1613z00_5989 =
						(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11950))->
						BgL_defz00);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11958;

					{
						obj_t BgL_auxz00_11959;

						{	/* Liveness/liveness.scm 348 */
							BgL_objectz00_bglt BgL_tmpz00_11960;

							BgL_tmpz00_11960 =
								((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5027));
							BgL_auxz00_11959 = BGL_OBJECT_WIDENING(BgL_tmpz00_11960);
						}
						BgL_auxz00_11958 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11959);
					}
					BgL_val1_1614z00_5990 =
						(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11958))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 348 */
					int BgL_tmpz00_11966;

					BgL_tmpz00_11966 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11966);
				}
				{	/* Liveness/liveness.scm 348 */
					int BgL_tmpz00_11969;

					BgL_tmpz00_11969 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11969, BgL_val1_1614z00_5990);
				}
				return BgL_val0_1613z00_5989;
			}
		}

	}



/* &defuse-pragma1906 */
	obj_t BGl_z62defusezd2pragma1906zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5028, obj_t BgL_nz00_5029)
	{
		{	/* Liveness/liveness.scm 337 */
			{	/* Liveness/liveness.scm 339 */
				obj_t BgL_defz00_5992;

				{	/* Liveness/liveness.scm 340 */
					obj_t BgL_arg2274z00_5993;

					BgL_arg2274z00_5993 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_pragmaz00_bglt) BgL_nz00_5029))))->BgL_exprza2za2);
					BgL_defz00_5992 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2274z00_5993, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 340 */
					obj_t BgL_usez00_5994;

					{	/* Liveness/liveness.scm 341 */
						obj_t BgL_tmpz00_5995;

						{	/* Liveness/liveness.scm 341 */
							int BgL_tmpz00_11976;

							BgL_tmpz00_11976 = (int) (((long) 1));
							BgL_tmpz00_5995 = BGL_MVALUES_VAL(BgL_tmpz00_11976);
						}
						{	/* Liveness/liveness.scm 341 */
							int BgL_tmpz00_11979;

							BgL_tmpz00_11979 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11979, BUNSPEC);
						}
						BgL_usez00_5994 = BgL_tmpz00_5995;
					}
					{	/* Liveness/liveness.scm 342 */
						BgL_pragmaz00_bglt BgL_arg2272z00_5996;

						{	/* Liveness/liveness.scm 342 */
							BgL_pragmazf2livenesszf2_bglt BgL_wide1216z00_5997;

							BgL_wide1216z00_5997 =
								((BgL_pragmazf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_pragmazf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 342 */
								obj_t BgL_auxz00_11987;
								BgL_objectz00_bglt BgL_tmpz00_11983;

								BgL_auxz00_11987 = ((obj_t) BgL_wide1216z00_5997);
								BgL_tmpz00_11983 =
									((BgL_objectz00_bglt)
									((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5029)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11983, BgL_auxz00_11987);
							}
							((BgL_objectz00_bglt)
								((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5029)));
							{	/* Liveness/liveness.scm 342 */
								long BgL_arg2273z00_5998;

								BgL_arg2273z00_5998 =
									BGL_CLASS_NUM(BGl_pragmazf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_pragmaz00_bglt)
											((BgL_pragmaz00_bglt) BgL_nz00_5029))),
									BgL_arg2273z00_5998);
							}
							((BgL_pragmaz00_bglt)
								((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5029)));
						}
						{
							BgL_pragmazf2livenesszf2_bglt BgL_auxz00_12001;

							{
								obj_t BgL_auxz00_12002;

								{	/* Liveness/liveness.scm 343 */
									BgL_objectz00_bglt BgL_tmpz00_12003;

									BgL_tmpz00_12003 =
										((BgL_objectz00_bglt)
										((BgL_pragmaz00_bglt)
											((BgL_pragmaz00_bglt) BgL_nz00_5029)));
									BgL_auxz00_12002 = BGL_OBJECT_WIDENING(BgL_tmpz00_12003);
								}
								BgL_auxz00_12001 =
									((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_12002);
							}
							((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_12001))->
									BgL_defz00) = ((obj_t) BgL_defz00_5992), BUNSPEC);
						}
						{
							BgL_pragmazf2livenesszf2_bglt BgL_auxz00_12010;

							{
								obj_t BgL_auxz00_12011;

								{	/* Liveness/liveness.scm 344 */
									BgL_objectz00_bglt BgL_tmpz00_12012;

									BgL_tmpz00_12012 =
										((BgL_objectz00_bglt)
										((BgL_pragmaz00_bglt)
											((BgL_pragmaz00_bglt) BgL_nz00_5029)));
									BgL_auxz00_12011 = BGL_OBJECT_WIDENING(BgL_tmpz00_12012);
								}
								BgL_auxz00_12010 =
									((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_12011);
							}
							((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_12010))->
									BgL_usez00) = ((obj_t) BgL_usez00_5994), BUNSPEC);
						}
						{
							BgL_pragmazf2livenesszf2_bglt BgL_auxz00_12019;

							{
								obj_t BgL_auxz00_12020;

								{	/* Liveness/liveness.scm 340 */
									BgL_objectz00_bglt BgL_tmpz00_12021;

									BgL_tmpz00_12021 =
										((BgL_objectz00_bglt)
										((BgL_pragmaz00_bglt)
											((BgL_pragmaz00_bglt) BgL_nz00_5029)));
									BgL_auxz00_12020 = BGL_OBJECT_WIDENING(BgL_tmpz00_12021);
								}
								BgL_auxz00_12019 =
									((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_12020);
							}
							((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_12019))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_pragmazf2livenesszf2_bglt BgL_auxz00_12028;

							{
								obj_t BgL_auxz00_12029;

								{	/* Liveness/liveness.scm 340 */
									BgL_objectz00_bglt BgL_tmpz00_12030;

									BgL_tmpz00_12030 =
										((BgL_objectz00_bglt)
										((BgL_pragmaz00_bglt)
											((BgL_pragmaz00_bglt) BgL_nz00_5029)));
									BgL_auxz00_12029 = BGL_OBJECT_WIDENING(BgL_tmpz00_12030);
								}
								BgL_auxz00_12028 =
									((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_12029);
							}
							((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_12028))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2272z00_5996 =
							((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5029));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2272z00_5996));
					}
				}
			}
		}

	}



/* &defuse-extern1904 */
	obj_t BGl_z62defusezd2extern1904zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5030, obj_t BgL_nz00_5031)
	{
		{	/* Liveness/liveness.scm 330 */
			return
				BGl_defuseza2za2zzliveness_livenessz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_5031)))->BgL_exprza2za2), BNIL,
				BNIL);
		}

	}



/* &inout-funcall/livene1902 */
	obj_t BGl_z62inoutzd2funcallzf2livene1902z42zzliveness_livenessz00(obj_t
		BgL_envz00_5032, obj_t BgL_nz00_5033)
	{
		{	/* Liveness/liveness.scm 323 */
			{	/* Liveness/liveness.scm 325 */
				obj_t BgL_val0_1611z00_6001;
				obj_t BgL_val1_1612z00_6002;

				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12044;

					{
						obj_t BgL_auxz00_12045;

						{	/* Liveness/liveness.scm 325 */
							BgL_objectz00_bglt BgL_tmpz00_12046;

							BgL_tmpz00_12046 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5033));
							BgL_auxz00_12045 = BGL_OBJECT_WIDENING(BgL_tmpz00_12046);
						}
						BgL_auxz00_12044 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12045);
					}
					BgL_val0_1611z00_6001 =
						(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12044))->
						BgL_inz00);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12052;

					{
						obj_t BgL_auxz00_12053;

						{	/* Liveness/liveness.scm 325 */
							BgL_objectz00_bglt BgL_tmpz00_12054;

							BgL_tmpz00_12054 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5033));
							BgL_auxz00_12053 = BGL_OBJECT_WIDENING(BgL_tmpz00_12054);
						}
						BgL_auxz00_12052 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12053);
					}
					BgL_val1_1612z00_6002 =
						(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12052))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 325 */
					int BgL_tmpz00_12060;

					BgL_tmpz00_12060 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12060);
				}
				{	/* Liveness/liveness.scm 325 */
					int BgL_tmpz00_12063;

					BgL_tmpz00_12063 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12063, BgL_val1_1612z00_6002);
				}
				return BgL_val0_1611z00_6001;
			}
		}

	}



/* &inout!-funcall/liven1900 */
	obj_t BGl_z62inoutz12zd2funcallzf2liven1900z50zzliveness_livenessz00(obj_t
		BgL_envz00_5034, obj_t BgL_nz00_5035, obj_t BgL_oz00_5036)
	{
		{	/* Liveness/liveness.scm 316 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12066;

				{
					obj_t BgL_auxz00_12067;

					{	/* Liveness/liveness.scm 318 */
						BgL_objectz00_bglt BgL_tmpz00_12068;

						BgL_tmpz00_12068 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5035));
						BgL_auxz00_12067 = BGL_OBJECT_WIDENING(BgL_tmpz00_12068);
					}
					BgL_auxz00_12066 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12067);
				}
				((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12066))->
						BgL_outz00) = ((obj_t) BgL_oz00_5036), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_12081;
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12074;

				{	/* Liveness/liveness.scm 319 */
					obj_t BgL_arg2262z00_6004;
					obj_t BgL_arg2263z00_6005;

					{
						BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12082;

						{
							obj_t BgL_auxz00_12083;

							{	/* Liveness/liveness.scm 319 */
								BgL_objectz00_bglt BgL_tmpz00_12084;

								BgL_tmpz00_12084 =
									((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5035));
								BgL_auxz00_12083 = BGL_OBJECT_WIDENING(BgL_tmpz00_12084);
							}
							BgL_auxz00_12082 =
								((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12083);
						}
						BgL_arg2262z00_6004 =
							(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12082))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 319 */
						obj_t BgL_arg2266z00_6006;
						obj_t BgL_arg2267z00_6007;

						{
							BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12090;

							{
								obj_t BgL_auxz00_12091;

								{	/* Liveness/liveness.scm 319 */
									BgL_objectz00_bglt BgL_tmpz00_12092;

									BgL_tmpz00_12092 =
										((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_nz00_5035));
									BgL_auxz00_12091 = BGL_OBJECT_WIDENING(BgL_tmpz00_12092);
								}
								BgL_auxz00_12090 =
									((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12091);
							}
							BgL_arg2266z00_6006 =
								(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12090))->
								BgL_outz00);
						}
						{
							BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12098;

							{
								obj_t BgL_auxz00_12099;

								{	/* Liveness/liveness.scm 319 */
									BgL_objectz00_bglt BgL_tmpz00_12100;

									BgL_tmpz00_12100 =
										((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_nz00_5035));
									BgL_auxz00_12099 = BGL_OBJECT_WIDENING(BgL_tmpz00_12100);
								}
								BgL_auxz00_12098 =
									((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12099);
							}
							BgL_arg2267z00_6007 =
								(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12098))->
								BgL_defz00);
						}
						BgL_arg2263z00_6005 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2266z00_6006,
							BgL_arg2267z00_6007);
					}
					{	/* Liveness/liveness.scm 319 */
						obj_t BgL_list2264z00_6008;

						{	/* Liveness/liveness.scm 319 */
							obj_t BgL_arg2265z00_6009;

							BgL_arg2265z00_6009 = MAKE_YOUNG_PAIR(BgL_arg2263z00_6005, BNIL);
							BgL_list2264z00_6008 =
								MAKE_YOUNG_PAIR(BgL_arg2262z00_6004, BgL_arg2265z00_6009);
						}
						BgL_auxz00_12081 =
							BGl_unionz00zzliveness_setz00(BgL_list2264z00_6008);
					}
				}
				{
					obj_t BgL_auxz00_12075;

					{	/* Liveness/liveness.scm 319 */
						BgL_objectz00_bglt BgL_tmpz00_12076;

						BgL_tmpz00_12076 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5035));
						BgL_auxz00_12075 = BGL_OBJECT_WIDENING(BgL_tmpz00_12076);
					}
					BgL_auxz00_12074 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12075);
				}
				((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12074))->
						BgL_inz00) = ((obj_t) BgL_auxz00_12081), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 320 */
				obj_t BgL_g1608z00_6010;

				BgL_g1608z00_6010 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt)
								((BgL_funcallz00_bglt) BgL_nz00_5035))))->BgL_argsz00);
				{
					obj_t BgL_l1606z00_6012;

					BgL_l1606z00_6012 = BgL_g1608z00_6010;
				BgL_zc3z04anonymousza32268ze3z87_6011:
					if (PAIRP(BgL_l1606z00_6012))
						{	/* Liveness/liveness.scm 320 */
							{	/* Liveness/liveness.scm 320 */
								obj_t BgL_az00_6013;

								BgL_az00_6013 = CAR(BgL_l1606z00_6012);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_az00_6013), BgL_oz00_5036);
							}
							{
								obj_t BgL_l1606z00_12119;

								BgL_l1606z00_12119 = CDR(BgL_l1606z00_6012);
								BgL_l1606z00_6012 = BgL_l1606z00_12119;
								goto BgL_zc3z04anonymousza32268ze3z87_6011;
							}
						}
					else
						{	/* Liveness/liveness.scm 320 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 321 */
				obj_t BgL_val0_1609z00_6014;
				obj_t BgL_val1_1610z00_6015;

				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12121;

					{
						obj_t BgL_auxz00_12122;

						{	/* Liveness/liveness.scm 321 */
							BgL_objectz00_bglt BgL_tmpz00_12123;

							BgL_tmpz00_12123 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5035));
							BgL_auxz00_12122 = BGL_OBJECT_WIDENING(BgL_tmpz00_12123);
						}
						BgL_auxz00_12121 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12122);
					}
					BgL_val0_1609z00_6014 =
						(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12121))->
						BgL_inz00);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12129;

					{
						obj_t BgL_auxz00_12130;

						{	/* Liveness/liveness.scm 321 */
							BgL_objectz00_bglt BgL_tmpz00_12131;

							BgL_tmpz00_12131 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5035));
							BgL_auxz00_12130 = BGL_OBJECT_WIDENING(BgL_tmpz00_12131);
						}
						BgL_auxz00_12129 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12130);
					}
					BgL_val1_1610z00_6015 =
						(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12129))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 321 */
					int BgL_tmpz00_12137;

					BgL_tmpz00_12137 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12137);
				}
				{	/* Liveness/liveness.scm 321 */
					int BgL_tmpz00_12140;

					BgL_tmpz00_12140 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12140, BgL_val1_1610z00_6015);
				}
				return BgL_val0_1609z00_6014;
			}
		}

	}



/* &defuse-funcall/liven1898 */
	obj_t BGl_z62defusezd2funcallzf2liven1898z42zzliveness_livenessz00(obj_t
		BgL_envz00_5037, obj_t BgL_nz00_5038)
	{
		{	/* Liveness/liveness.scm 312 */
			{	/* Liveness/liveness.scm 314 */
				obj_t BgL_val0_1604z00_6017;
				obj_t BgL_val1_1605z00_6018;

				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12143;

					{
						obj_t BgL_auxz00_12144;

						{	/* Liveness/liveness.scm 314 */
							BgL_objectz00_bglt BgL_tmpz00_12145;

							BgL_tmpz00_12145 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5038));
							BgL_auxz00_12144 = BGL_OBJECT_WIDENING(BgL_tmpz00_12145);
						}
						BgL_auxz00_12143 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12144);
					}
					BgL_val0_1604z00_6017 =
						(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12143))->
						BgL_defz00);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12151;

					{
						obj_t BgL_auxz00_12152;

						{	/* Liveness/liveness.scm 314 */
							BgL_objectz00_bglt BgL_tmpz00_12153;

							BgL_tmpz00_12153 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5038));
							BgL_auxz00_12152 = BGL_OBJECT_WIDENING(BgL_tmpz00_12153);
						}
						BgL_auxz00_12151 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12152);
					}
					BgL_val1_1605z00_6018 =
						(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12151))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 314 */
					int BgL_tmpz00_12159;

					BgL_tmpz00_12159 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12159);
				}
				{	/* Liveness/liveness.scm 314 */
					int BgL_tmpz00_12162;

					BgL_tmpz00_12162 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12162, BgL_val1_1605z00_6018);
				}
				return BgL_val0_1604z00_6017;
			}
		}

	}



/* &defuse-funcall1896 */
	obj_t BGl_z62defusezd2funcall1896zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5039, obj_t BgL_nz00_5040)
	{
		{	/* Liveness/liveness.scm 301 */
			{	/* Liveness/liveness.scm 303 */
				obj_t BgL_dz00_6020;

				BgL_dz00_6020 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_5040)))->BgL_funz00));
				{	/* Liveness/liveness.scm 304 */
					obj_t BgL_uz00_6021;

					{	/* Liveness/liveness.scm 305 */
						obj_t BgL_tmpz00_6022;

						{	/* Liveness/liveness.scm 305 */
							int BgL_tmpz00_12168;

							BgL_tmpz00_12168 = (int) (((long) 1));
							BgL_tmpz00_6022 = BGL_MVALUES_VAL(BgL_tmpz00_12168);
						}
						{	/* Liveness/liveness.scm 305 */
							int BgL_tmpz00_12171;

							BgL_tmpz00_12171 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_12171, BUNSPEC);
						}
						BgL_uz00_6021 = BgL_tmpz00_6022;
					}
					{	/* Liveness/liveness.scm 305 */
						obj_t BgL_defz00_6023;

						BgL_defz00_6023 =
							BGl_defuseza2za2zzliveness_livenessz00(
							(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt) BgL_nz00_5040)))->BgL_argsz00),
							BgL_dz00_6020, BgL_uz00_6021);
						{	/* Liveness/liveness.scm 306 */
							obj_t BgL_usez00_6024;

							{	/* Liveness/liveness.scm 307 */
								obj_t BgL_tmpz00_6025;

								{	/* Liveness/liveness.scm 307 */
									int BgL_tmpz00_12177;

									BgL_tmpz00_12177 = (int) (((long) 1));
									BgL_tmpz00_6025 = BGL_MVALUES_VAL(BgL_tmpz00_12177);
								}
								{	/* Liveness/liveness.scm 307 */
									int BgL_tmpz00_12180;

									BgL_tmpz00_12180 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_12180, BUNSPEC);
								}
								BgL_usez00_6024 = BgL_tmpz00_6025;
							}
							{	/* Liveness/liveness.scm 308 */
								BgL_funcallz00_bglt BgL_arg2258z00_6026;

								{	/* Liveness/liveness.scm 308 */
									BgL_funcallzf2livenesszf2_bglt BgL_wide1207z00_6027;

									BgL_wide1207z00_6027 =
										((BgL_funcallzf2livenesszf2_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_funcallzf2livenesszf2_bgl))));
									{	/* Liveness/liveness.scm 308 */
										obj_t BgL_auxz00_12188;
										BgL_objectz00_bglt BgL_tmpz00_12184;

										BgL_auxz00_12188 = ((obj_t) BgL_wide1207z00_6027);
										BgL_tmpz00_12184 =
											((BgL_objectz00_bglt)
											((BgL_funcallz00_bglt)
												((BgL_funcallz00_bglt) BgL_nz00_5040)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12184, BgL_auxz00_12188);
									}
									((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt)
											((BgL_funcallz00_bglt) BgL_nz00_5040)));
									{	/* Liveness/liveness.scm 308 */
										long BgL_arg2259z00_6028;

										BgL_arg2259z00_6028 =
											BGL_CLASS_NUM
											(BGl_funcallzf2livenesszf2zzliveness_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_funcallz00_bglt) ((BgL_funcallz00_bglt)
														BgL_nz00_5040))), BgL_arg2259z00_6028);
									}
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt)
											((BgL_funcallz00_bglt) BgL_nz00_5040)));
								}
								{
									BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12202;

									{
										obj_t BgL_auxz00_12203;

										{	/* Liveness/liveness.scm 309 */
											BgL_objectz00_bglt BgL_tmpz00_12204;

											BgL_tmpz00_12204 =
												((BgL_objectz00_bglt)
												((BgL_funcallz00_bglt)
													((BgL_funcallz00_bglt) BgL_nz00_5040)));
											BgL_auxz00_12203 = BGL_OBJECT_WIDENING(BgL_tmpz00_12204);
										}
										BgL_auxz00_12202 =
											((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12203);
									}
									((((BgL_funcallzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_12202))->BgL_defz00) =
										((obj_t) BgL_defz00_6023), BUNSPEC);
								}
								{
									BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12211;

									{
										obj_t BgL_auxz00_12212;

										{	/* Liveness/liveness.scm 310 */
											BgL_objectz00_bglt BgL_tmpz00_12213;

											BgL_tmpz00_12213 =
												((BgL_objectz00_bglt)
												((BgL_funcallz00_bglt)
													((BgL_funcallz00_bglt) BgL_nz00_5040)));
											BgL_auxz00_12212 = BGL_OBJECT_WIDENING(BgL_tmpz00_12213);
										}
										BgL_auxz00_12211 =
											((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12212);
									}
									((((BgL_funcallzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_12211))->BgL_usez00) =
										((obj_t) BgL_usez00_6024), BUNSPEC);
								}
								{
									BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12220;

									{
										obj_t BgL_auxz00_12221;

										{	/* Liveness/liveness.scm 306 */
											BgL_objectz00_bglt BgL_tmpz00_12222;

											BgL_tmpz00_12222 =
												((BgL_objectz00_bglt)
												((BgL_funcallz00_bglt)
													((BgL_funcallz00_bglt) BgL_nz00_5040)));
											BgL_auxz00_12221 = BGL_OBJECT_WIDENING(BgL_tmpz00_12222);
										}
										BgL_auxz00_12220 =
											((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12221);
									}
									((((BgL_funcallzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_12220))->BgL_inz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								{
									BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12229;

									{
										obj_t BgL_auxz00_12230;

										{	/* Liveness/liveness.scm 306 */
											BgL_objectz00_bglt BgL_tmpz00_12231;

											BgL_tmpz00_12231 =
												((BgL_objectz00_bglt)
												((BgL_funcallz00_bglt)
													((BgL_funcallz00_bglt) BgL_nz00_5040)));
											BgL_auxz00_12230 = BGL_OBJECT_WIDENING(BgL_tmpz00_12231);
										}
										BgL_auxz00_12229 =
											((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12230);
									}
									((((BgL_funcallzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_12229))->BgL_outz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								BgL_arg2258z00_6026 =
									((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5040));
								return
									BGl_defusez00zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_arg2258z00_6026));
							}
						}
					}
				}
			}
		}

	}



/* &inout-app-ly/livenes1894 */
	obj_t BGl_z62inoutzd2appzd2lyzf2livenes1894z90zzliveness_livenessz00(obj_t
		BgL_envz00_5041, obj_t BgL_nz00_5042)
	{
		{	/* Liveness/liveness.scm 294 */
			{	/* Liveness/liveness.scm 296 */
				obj_t BgL_val0_1602z00_6030;
				obj_t BgL_val1_1603z00_6031;

				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12242;

					{
						obj_t BgL_auxz00_12243;

						{	/* Liveness/liveness.scm 296 */
							BgL_objectz00_bglt BgL_tmpz00_12244;

							BgL_tmpz00_12244 =
								((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_5042));
							BgL_auxz00_12243 = BGL_OBJECT_WIDENING(BgL_tmpz00_12244);
						}
						BgL_auxz00_12242 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12243);
					}
					BgL_val0_1602z00_6030 =
						(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12242))->
						BgL_inz00);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12250;

					{
						obj_t BgL_auxz00_12251;

						{	/* Liveness/liveness.scm 296 */
							BgL_objectz00_bglt BgL_tmpz00_12252;

							BgL_tmpz00_12252 =
								((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_5042));
							BgL_auxz00_12251 = BGL_OBJECT_WIDENING(BgL_tmpz00_12252);
						}
						BgL_auxz00_12250 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12251);
					}
					BgL_val1_1603z00_6031 =
						(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12250))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 296 */
					int BgL_tmpz00_12258;

					BgL_tmpz00_12258 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12258);
				}
				{	/* Liveness/liveness.scm 296 */
					int BgL_tmpz00_12261;

					BgL_tmpz00_12261 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12261, BgL_val1_1603z00_6031);
				}
				return BgL_val0_1602z00_6030;
			}
		}

	}



/* &inout!-app-ly/livene1892 */
	obj_t BGl_z62inoutz12zd2appzd2lyzf2livene1892z82zzliveness_livenessz00(obj_t
		BgL_envz00_5043, obj_t BgL_nz00_5044, obj_t BgL_oz00_5045)
	{
		{	/* Liveness/liveness.scm 287 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12264;

				{
					obj_t BgL_auxz00_12265;

					{	/* Liveness/liveness.scm 289 */
						BgL_objectz00_bglt BgL_tmpz00_12266;

						BgL_tmpz00_12266 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_5044));
						BgL_auxz00_12265 = BGL_OBJECT_WIDENING(BgL_tmpz00_12266);
					}
					BgL_auxz00_12264 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12265);
				}
				((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12264))->
						BgL_outz00) = ((obj_t) BgL_oz00_5045), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_12279;
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12272;

				{	/* Liveness/liveness.scm 290 */
					obj_t BgL_arg2251z00_6033;
					obj_t BgL_arg2252z00_6034;

					{
						BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12280;

						{
							obj_t BgL_auxz00_12281;

							{	/* Liveness/liveness.scm 290 */
								BgL_objectz00_bglt BgL_tmpz00_12282;

								BgL_tmpz00_12282 =
									((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_5044));
								BgL_auxz00_12281 = BGL_OBJECT_WIDENING(BgL_tmpz00_12282);
							}
							BgL_auxz00_12280 =
								((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12281);
						}
						BgL_arg2251z00_6033 =
							(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12280))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 290 */
						obj_t BgL_arg2255z00_6035;
						obj_t BgL_arg2256z00_6036;

						{
							BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12288;

							{
								obj_t BgL_auxz00_12289;

								{	/* Liveness/liveness.scm 290 */
									BgL_objectz00_bglt BgL_tmpz00_12290;

									BgL_tmpz00_12290 =
										((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nz00_5044));
									BgL_auxz00_12289 = BGL_OBJECT_WIDENING(BgL_tmpz00_12290);
								}
								BgL_auxz00_12288 =
									((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12289);
							}
							BgL_arg2255z00_6035 =
								(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12288))->
								BgL_outz00);
						}
						{
							BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12296;

							{
								obj_t BgL_auxz00_12297;

								{	/* Liveness/liveness.scm 290 */
									BgL_objectz00_bglt BgL_tmpz00_12298;

									BgL_tmpz00_12298 =
										((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nz00_5044));
									BgL_auxz00_12297 = BGL_OBJECT_WIDENING(BgL_tmpz00_12298);
								}
								BgL_auxz00_12296 =
									((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12297);
							}
							BgL_arg2256z00_6036 =
								(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12296))->
								BgL_defz00);
						}
						BgL_arg2252z00_6034 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2255z00_6035,
							BgL_arg2256z00_6036);
					}
					{	/* Liveness/liveness.scm 290 */
						obj_t BgL_list2253z00_6037;

						{	/* Liveness/liveness.scm 290 */
							obj_t BgL_arg2254z00_6038;

							BgL_arg2254z00_6038 = MAKE_YOUNG_PAIR(BgL_arg2252z00_6034, BNIL);
							BgL_list2253z00_6037 =
								MAKE_YOUNG_PAIR(BgL_arg2251z00_6033, BgL_arg2254z00_6038);
						}
						BgL_auxz00_12279 =
							BGl_unionz00zzliveness_setz00(BgL_list2253z00_6037);
					}
				}
				{
					obj_t BgL_auxz00_12273;

					{	/* Liveness/liveness.scm 290 */
						BgL_objectz00_bglt BgL_tmpz00_12274;

						BgL_tmpz00_12274 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_5044));
						BgL_auxz00_12273 = BGL_OBJECT_WIDENING(BgL_tmpz00_12274);
					}
					BgL_auxz00_12272 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12273);
				}
				((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12272))->
						BgL_inz00) = ((obj_t) BgL_auxz00_12279), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 291 */
				BgL_nodez00_bglt BgL_arg2257z00_6039;

				BgL_arg2257z00_6039 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nz00_5044))))->BgL_argz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2257z00_6039,
					BgL_oz00_5045);
			}
			{	/* Liveness/liveness.scm 292 */
				obj_t BgL_val0_1600z00_6040;
				obj_t BgL_val1_1601z00_6041;

				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12313;

					{
						obj_t BgL_auxz00_12314;

						{	/* Liveness/liveness.scm 292 */
							BgL_objectz00_bglt BgL_tmpz00_12315;

							BgL_tmpz00_12315 =
								((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_5044));
							BgL_auxz00_12314 = BGL_OBJECT_WIDENING(BgL_tmpz00_12315);
						}
						BgL_auxz00_12313 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12314);
					}
					BgL_val0_1600z00_6040 =
						(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12313))->
						BgL_inz00);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12321;

					{
						obj_t BgL_auxz00_12322;

						{	/* Liveness/liveness.scm 292 */
							BgL_objectz00_bglt BgL_tmpz00_12323;

							BgL_tmpz00_12323 =
								((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_5044));
							BgL_auxz00_12322 = BGL_OBJECT_WIDENING(BgL_tmpz00_12323);
						}
						BgL_auxz00_12321 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12322);
					}
					BgL_val1_1601z00_6041 =
						(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12321))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 292 */
					int BgL_tmpz00_12329;

					BgL_tmpz00_12329 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12329);
				}
				{	/* Liveness/liveness.scm 292 */
					int BgL_tmpz00_12332;

					BgL_tmpz00_12332 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12332, BgL_val1_1601z00_6041);
				}
				return BgL_val0_1600z00_6040;
			}
		}

	}



/* &defuse-app-ly/livene1890 */
	obj_t BGl_z62defusezd2appzd2lyzf2livene1890z90zzliveness_livenessz00(obj_t
		BgL_envz00_5046, obj_t BgL_nz00_5047)
	{
		{	/* Liveness/liveness.scm 283 */
			{	/* Liveness/liveness.scm 285 */
				obj_t BgL_val0_1598z00_6043;
				obj_t BgL_val1_1599z00_6044;

				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12335;

					{
						obj_t BgL_auxz00_12336;

						{	/* Liveness/liveness.scm 285 */
							BgL_objectz00_bglt BgL_tmpz00_12337;

							BgL_tmpz00_12337 =
								((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_5047));
							BgL_auxz00_12336 = BGL_OBJECT_WIDENING(BgL_tmpz00_12337);
						}
						BgL_auxz00_12335 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12336);
					}
					BgL_val0_1598z00_6043 =
						(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12335))->
						BgL_defz00);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12343;

					{
						obj_t BgL_auxz00_12344;

						{	/* Liveness/liveness.scm 285 */
							BgL_objectz00_bglt BgL_tmpz00_12345;

							BgL_tmpz00_12345 =
								((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_5047));
							BgL_auxz00_12344 = BGL_OBJECT_WIDENING(BgL_tmpz00_12345);
						}
						BgL_auxz00_12343 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12344);
					}
					BgL_val1_1599z00_6044 =
						(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12343))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 285 */
					int BgL_tmpz00_12351;

					BgL_tmpz00_12351 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12351);
				}
				{	/* Liveness/liveness.scm 285 */
					int BgL_tmpz00_12354;

					BgL_tmpz00_12354 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12354, BgL_val1_1599z00_6044);
				}
				return BgL_val0_1598z00_6043;
			}
		}

	}



/* &defuse-app-ly1888 */
	obj_t BGl_z62defusezd2appzd2ly1888z62zzliveness_livenessz00(obj_t
		BgL_envz00_5048, obj_t BgL_nz00_5049)
	{
		{	/* Liveness/liveness.scm 272 */
			{	/* Liveness/liveness.scm 274 */
				obj_t BgL_deffunz00_6046;

				BgL_deffunz00_6046 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_5049)))->BgL_funz00));
				{	/* Liveness/liveness.scm 275 */
					obj_t BgL_usefunz00_6047;

					{	/* Liveness/liveness.scm 276 */
						obj_t BgL_tmpz00_6048;

						{	/* Liveness/liveness.scm 276 */
							int BgL_tmpz00_12360;

							BgL_tmpz00_12360 = (int) (((long) 1));
							BgL_tmpz00_6048 = BGL_MVALUES_VAL(BgL_tmpz00_12360);
						}
						{	/* Liveness/liveness.scm 276 */
							int BgL_tmpz00_12363;

							BgL_tmpz00_12363 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_12363, BUNSPEC);
						}
						BgL_usefunz00_6047 = BgL_tmpz00_6048;
					}
					{	/* Liveness/liveness.scm 276 */
						obj_t BgL_defargz00_6049;

						BgL_defargz00_6049 =
							BGl_defusez00zzliveness_livenessz00(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nz00_5049)))->BgL_argz00));
						{	/* Liveness/liveness.scm 277 */
							obj_t BgL_useargz00_6050;

							{	/* Liveness/liveness.scm 278 */
								obj_t BgL_tmpz00_6051;

								{	/* Liveness/liveness.scm 278 */
									int BgL_tmpz00_12369;

									BgL_tmpz00_12369 = (int) (((long) 1));
									BgL_tmpz00_6051 = BGL_MVALUES_VAL(BgL_tmpz00_12369);
								}
								{	/* Liveness/liveness.scm 278 */
									int BgL_tmpz00_12372;

									BgL_tmpz00_12372 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_12372, BUNSPEC);
								}
								BgL_useargz00_6050 = BgL_tmpz00_6051;
							}
							{	/* Liveness/liveness.scm 279 */
								BgL_appzd2lyzd2_bglt BgL_arg2243z00_6052;

								{	/* Liveness/liveness.scm 279 */
									BgL_appzd2lyzf2livenessz20_bglt BgL_wide1199z00_6053;

									BgL_wide1199z00_6053 =
										((BgL_appzd2lyzf2livenessz20_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_appzd2lyzf2livenessz20_bgl))));
									{	/* Liveness/liveness.scm 279 */
										obj_t BgL_auxz00_12380;
										BgL_objectz00_bglt BgL_tmpz00_12376;

										BgL_auxz00_12380 = ((obj_t) BgL_wide1199z00_6053);
										BgL_tmpz00_12376 =
											((BgL_objectz00_bglt)
											((BgL_appzd2lyzd2_bglt)
												((BgL_appzd2lyzd2_bglt) BgL_nz00_5049)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12376, BgL_auxz00_12380);
									}
									((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt)
											((BgL_appzd2lyzd2_bglt) BgL_nz00_5049)));
									{	/* Liveness/liveness.scm 279 */
										long BgL_arg2244z00_6054;

										BgL_arg2244z00_6054 =
											BGL_CLASS_NUM
											(BGl_appzd2lyzf2livenessz20zzliveness_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt)
														BgL_nz00_5049))), BgL_arg2244z00_6054);
									}
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt)
											((BgL_appzd2lyzd2_bglt) BgL_nz00_5049)));
								}
								{
									obj_t BgL_auxz00_12402;
									BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12394;

									{	/* Liveness/liveness.scm 280 */
										obj_t BgL_list2245z00_6055;

										{	/* Liveness/liveness.scm 280 */
											obj_t BgL_arg2246z00_6056;

											BgL_arg2246z00_6056 =
												MAKE_YOUNG_PAIR(BgL_defargz00_6049, BNIL);
											BgL_list2245z00_6055 =
												MAKE_YOUNG_PAIR(BgL_deffunz00_6046,
												BgL_arg2246z00_6056);
										}
										BgL_auxz00_12402 =
											BGl_unionz00zzliveness_setz00(BgL_list2245z00_6055);
									}
									{
										obj_t BgL_auxz00_12395;

										{	/* Liveness/liveness.scm 280 */
											BgL_objectz00_bglt BgL_tmpz00_12396;

											BgL_tmpz00_12396 =
												((BgL_objectz00_bglt)
												((BgL_appzd2lyzd2_bglt)
													((BgL_appzd2lyzd2_bglt) BgL_nz00_5049)));
											BgL_auxz00_12395 = BGL_OBJECT_WIDENING(BgL_tmpz00_12396);
										}
										BgL_auxz00_12394 =
											((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12395);
									}
									((((BgL_appzd2lyzf2livenessz20_bglt)
												COBJECT(BgL_auxz00_12394))->BgL_defz00) =
										((obj_t) BgL_auxz00_12402), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_12415;
									BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12407;

									{	/* Liveness/liveness.scm 281 */
										obj_t BgL_list2247z00_6057;

										{	/* Liveness/liveness.scm 281 */
											obj_t BgL_arg2248z00_6058;

											BgL_arg2248z00_6058 =
												MAKE_YOUNG_PAIR(BgL_useargz00_6050, BNIL);
											BgL_list2247z00_6057 =
												MAKE_YOUNG_PAIR(BgL_usefunz00_6047,
												BgL_arg2248z00_6058);
										}
										BgL_auxz00_12415 =
											BGl_unionz00zzliveness_setz00(BgL_list2247z00_6057);
									}
									{
										obj_t BgL_auxz00_12408;

										{	/* Liveness/liveness.scm 281 */
											BgL_objectz00_bglt BgL_tmpz00_12409;

											BgL_tmpz00_12409 =
												((BgL_objectz00_bglt)
												((BgL_appzd2lyzd2_bglt)
													((BgL_appzd2lyzd2_bglt) BgL_nz00_5049)));
											BgL_auxz00_12408 = BGL_OBJECT_WIDENING(BgL_tmpz00_12409);
										}
										BgL_auxz00_12407 =
											((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12408);
									}
									((((BgL_appzd2lyzf2livenessz20_bglt)
												COBJECT(BgL_auxz00_12407))->BgL_usez00) =
										((obj_t) BgL_auxz00_12415), BUNSPEC);
								}
								{
									BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12420;

									{
										obj_t BgL_auxz00_12421;

										{	/* Liveness/liveness.scm 277 */
											BgL_objectz00_bglt BgL_tmpz00_12422;

											BgL_tmpz00_12422 =
												((BgL_objectz00_bglt)
												((BgL_appzd2lyzd2_bglt)
													((BgL_appzd2lyzd2_bglt) BgL_nz00_5049)));
											BgL_auxz00_12421 = BGL_OBJECT_WIDENING(BgL_tmpz00_12422);
										}
										BgL_auxz00_12420 =
											((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12421);
									}
									((((BgL_appzd2lyzf2livenessz20_bglt)
												COBJECT(BgL_auxz00_12420))->BgL_inz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								{
									BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12429;

									{
										obj_t BgL_auxz00_12430;

										{	/* Liveness/liveness.scm 277 */
											BgL_objectz00_bglt BgL_tmpz00_12431;

											BgL_tmpz00_12431 =
												((BgL_objectz00_bglt)
												((BgL_appzd2lyzd2_bglt)
													((BgL_appzd2lyzd2_bglt) BgL_nz00_5049)));
											BgL_auxz00_12430 = BGL_OBJECT_WIDENING(BgL_tmpz00_12431);
										}
										BgL_auxz00_12429 =
											((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12430);
									}
									((((BgL_appzd2lyzf2livenessz20_bglt)
												COBJECT(BgL_auxz00_12429))->BgL_outz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								BgL_arg2243z00_6052 =
									((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nz00_5049));
								return
									BGl_defusez00zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_arg2243z00_6052));
							}
						}
					}
				}
			}
		}

	}



/* &inout-app/liveness1886 */
	obj_t BGl_z62inoutzd2appzf2liveness1886z42zzliveness_livenessz00(obj_t
		BgL_envz00_5050, obj_t BgL_nz00_5051)
	{
		{	/* Liveness/liveness.scm 265 */
			{	/* Liveness/liveness.scm 267 */
				obj_t BgL_val0_1596z00_6060;
				obj_t BgL_val1_1597z00_6061;

				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_12442;

					{
						obj_t BgL_auxz00_12443;

						{	/* Liveness/liveness.scm 267 */
							BgL_objectz00_bglt BgL_tmpz00_12444;

							BgL_tmpz00_12444 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5051));
							BgL_auxz00_12443 = BGL_OBJECT_WIDENING(BgL_tmpz00_12444);
						}
						BgL_auxz00_12442 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12443);
					}
					BgL_val0_1596z00_6060 =
						(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12442))->
						BgL_inz00);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_12450;

					{
						obj_t BgL_auxz00_12451;

						{	/* Liveness/liveness.scm 267 */
							BgL_objectz00_bglt BgL_tmpz00_12452;

							BgL_tmpz00_12452 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5051));
							BgL_auxz00_12451 = BGL_OBJECT_WIDENING(BgL_tmpz00_12452);
						}
						BgL_auxz00_12450 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12451);
					}
					BgL_val1_1597z00_6061 =
						(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12450))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 267 */
					int BgL_tmpz00_12458;

					BgL_tmpz00_12458 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12458);
				}
				{	/* Liveness/liveness.scm 267 */
					int BgL_tmpz00_12461;

					BgL_tmpz00_12461 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12461, BgL_val1_1597z00_6061);
				}
				return BgL_val0_1596z00_6060;
			}
		}

	}



/* &inout!-app/liveness1884 */
	obj_t BGl_z62inoutz12zd2appzf2liveness1884z50zzliveness_livenessz00(obj_t
		BgL_envz00_5052, obj_t BgL_nz00_5053, obj_t BgL_oz00_5054)
	{
		{	/* Liveness/liveness.scm 258 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_12464;

				{
					obj_t BgL_auxz00_12465;

					{	/* Liveness/liveness.scm 260 */
						BgL_objectz00_bglt BgL_tmpz00_12466;

						BgL_tmpz00_12466 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5053));
						BgL_auxz00_12465 = BGL_OBJECT_WIDENING(BgL_tmpz00_12466);
					}
					BgL_auxz00_12464 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12465);
				}
				((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12464))->
						BgL_outz00) = ((obj_t) BgL_oz00_5054), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_12479;
				BgL_appzf2livenesszf2_bglt BgL_auxz00_12472;

				{	/* Liveness/liveness.scm 261 */
					obj_t BgL_arg2234z00_6063;
					obj_t BgL_arg2235z00_6064;

					{
						BgL_appzf2livenesszf2_bglt BgL_auxz00_12480;

						{
							obj_t BgL_auxz00_12481;

							{	/* Liveness/liveness.scm 261 */
								BgL_objectz00_bglt BgL_tmpz00_12482;

								BgL_tmpz00_12482 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5053));
								BgL_auxz00_12481 = BGL_OBJECT_WIDENING(BgL_tmpz00_12482);
							}
							BgL_auxz00_12480 =
								((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12481);
						}
						BgL_arg2234z00_6063 =
							(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12480))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 261 */
						obj_t BgL_arg2238z00_6065;
						obj_t BgL_arg2239z00_6066;

						{
							BgL_appzf2livenesszf2_bglt BgL_auxz00_12488;

							{
								obj_t BgL_auxz00_12489;

								{	/* Liveness/liveness.scm 261 */
									BgL_objectz00_bglt BgL_tmpz00_12490;

									BgL_tmpz00_12490 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5053));
									BgL_auxz00_12489 = BGL_OBJECT_WIDENING(BgL_tmpz00_12490);
								}
								BgL_auxz00_12488 =
									((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12489);
							}
							BgL_arg2238z00_6065 =
								(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12488))->
								BgL_outz00);
						}
						{
							BgL_appzf2livenesszf2_bglt BgL_auxz00_12496;

							{
								obj_t BgL_auxz00_12497;

								{	/* Liveness/liveness.scm 261 */
									BgL_objectz00_bglt BgL_tmpz00_12498;

									BgL_tmpz00_12498 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5053));
									BgL_auxz00_12497 = BGL_OBJECT_WIDENING(BgL_tmpz00_12498);
								}
								BgL_auxz00_12496 =
									((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12497);
							}
							BgL_arg2239z00_6066 =
								(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12496))->
								BgL_defz00);
						}
						BgL_arg2235z00_6064 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2238z00_6065,
							BgL_arg2239z00_6066);
					}
					{	/* Liveness/liveness.scm 261 */
						obj_t BgL_list2236z00_6067;

						{	/* Liveness/liveness.scm 261 */
							obj_t BgL_arg2237z00_6068;

							BgL_arg2237z00_6068 = MAKE_YOUNG_PAIR(BgL_arg2235z00_6064, BNIL);
							BgL_list2236z00_6067 =
								MAKE_YOUNG_PAIR(BgL_arg2234z00_6063, BgL_arg2237z00_6068);
						}
						BgL_auxz00_12479 =
							BGl_unionz00zzliveness_setz00(BgL_list2236z00_6067);
					}
				}
				{
					obj_t BgL_auxz00_12473;

					{	/* Liveness/liveness.scm 261 */
						BgL_objectz00_bglt BgL_tmpz00_12474;

						BgL_tmpz00_12474 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5053));
						BgL_auxz00_12473 = BGL_OBJECT_WIDENING(BgL_tmpz00_12474);
					}
					BgL_auxz00_12472 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12473);
				}
				((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12472))->BgL_inz00) =
					((obj_t) BgL_auxz00_12479), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 262 */
				obj_t BgL_g1593z00_6069;

				BgL_g1593z00_6069 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_nz00_5053))))->BgL_argsz00);
				{
					obj_t BgL_l1591z00_6071;

					BgL_l1591z00_6071 = BgL_g1593z00_6069;
				BgL_zc3z04anonymousza32240ze3z87_6070:
					if (PAIRP(BgL_l1591z00_6071))
						{	/* Liveness/liveness.scm 262 */
							{	/* Liveness/liveness.scm 262 */
								obj_t BgL_az00_6072;

								BgL_az00_6072 = CAR(BgL_l1591z00_6071);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_az00_6072), BgL_oz00_5054);
							}
							{
								obj_t BgL_l1591z00_12517;

								BgL_l1591z00_12517 = CDR(BgL_l1591z00_6071);
								BgL_l1591z00_6071 = BgL_l1591z00_12517;
								goto BgL_zc3z04anonymousza32240ze3z87_6070;
							}
						}
					else
						{	/* Liveness/liveness.scm 262 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 263 */
				obj_t BgL_val0_1594z00_6073;
				obj_t BgL_val1_1595z00_6074;

				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_12519;

					{
						obj_t BgL_auxz00_12520;

						{	/* Liveness/liveness.scm 263 */
							BgL_objectz00_bglt BgL_tmpz00_12521;

							BgL_tmpz00_12521 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5053));
							BgL_auxz00_12520 = BGL_OBJECT_WIDENING(BgL_tmpz00_12521);
						}
						BgL_auxz00_12519 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12520);
					}
					BgL_val0_1594z00_6073 =
						(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12519))->
						BgL_inz00);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_12527;

					{
						obj_t BgL_auxz00_12528;

						{	/* Liveness/liveness.scm 263 */
							BgL_objectz00_bglt BgL_tmpz00_12529;

							BgL_tmpz00_12529 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5053));
							BgL_auxz00_12528 = BGL_OBJECT_WIDENING(BgL_tmpz00_12529);
						}
						BgL_auxz00_12527 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12528);
					}
					BgL_val1_1595z00_6074 =
						(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12527))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 263 */
					int BgL_tmpz00_12535;

					BgL_tmpz00_12535 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12535);
				}
				{	/* Liveness/liveness.scm 263 */
					int BgL_tmpz00_12538;

					BgL_tmpz00_12538 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12538, BgL_val1_1595z00_6074);
				}
				return BgL_val0_1594z00_6073;
			}
		}

	}



/* &defuse-app/liveness1882 */
	obj_t BGl_z62defusezd2appzf2liveness1882z42zzliveness_livenessz00(obj_t
		BgL_envz00_5055, obj_t BgL_nz00_5056)
	{
		{	/* Liveness/liveness.scm 254 */
			{	/* Liveness/liveness.scm 256 */
				obj_t BgL_val0_1589z00_6076;
				obj_t BgL_val1_1590z00_6077;

				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_12541;

					{
						obj_t BgL_auxz00_12542;

						{	/* Liveness/liveness.scm 256 */
							BgL_objectz00_bglt BgL_tmpz00_12543;

							BgL_tmpz00_12543 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5056));
							BgL_auxz00_12542 = BGL_OBJECT_WIDENING(BgL_tmpz00_12543);
						}
						BgL_auxz00_12541 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12542);
					}
					BgL_val0_1589z00_6076 =
						(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12541))->
						BgL_defz00);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_12549;

					{
						obj_t BgL_auxz00_12550;

						{	/* Liveness/liveness.scm 256 */
							BgL_objectz00_bglt BgL_tmpz00_12551;

							BgL_tmpz00_12551 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5056));
							BgL_auxz00_12550 = BGL_OBJECT_WIDENING(BgL_tmpz00_12551);
						}
						BgL_auxz00_12549 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12550);
					}
					BgL_val1_1590z00_6077 =
						(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12549))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 256 */
					int BgL_tmpz00_12557;

					BgL_tmpz00_12557 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12557);
				}
				{	/* Liveness/liveness.scm 256 */
					int BgL_tmpz00_12560;

					BgL_tmpz00_12560 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12560, BgL_val1_1590z00_6077);
				}
				return BgL_val0_1589z00_6076;
			}
		}

	}



/* &defuse-app1880 */
	obj_t BGl_z62defusezd2app1880zb0zzliveness_livenessz00(obj_t BgL_envz00_5057,
		obj_t BgL_nz00_5058)
	{
		{	/* Liveness/liveness.scm 244 */
			{	/* Liveness/liveness.scm 247 */
				obj_t BgL_defz00_6079;

				BgL_defz00_6079 =
					BGl_defuseza2za2zzliveness_livenessz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_5058)))->BgL_argsz00), BNIL, BNIL);
				{	/* Liveness/liveness.scm 248 */
					obj_t BgL_usez00_6080;

					{	/* Liveness/liveness.scm 249 */
						obj_t BgL_tmpz00_6081;

						{	/* Liveness/liveness.scm 249 */
							int BgL_tmpz00_12566;

							BgL_tmpz00_12566 = (int) (((long) 1));
							BgL_tmpz00_6081 = BGL_MVALUES_VAL(BgL_tmpz00_12566);
						}
						{	/* Liveness/liveness.scm 249 */
							int BgL_tmpz00_12569;

							BgL_tmpz00_12569 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_12569, BUNSPEC);
						}
						BgL_usez00_6080 = BgL_tmpz00_6081;
					}
					{	/* Liveness/liveness.scm 250 */
						BgL_appz00_bglt BgL_arg2231z00_6082;

						{	/* Liveness/liveness.scm 250 */
							BgL_appzf2livenesszf2_bglt BgL_wide1191z00_6083;

							BgL_wide1191z00_6083 =
								((BgL_appzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 250 */
								obj_t BgL_auxz00_12577;
								BgL_objectz00_bglt BgL_tmpz00_12573;

								BgL_auxz00_12577 = ((obj_t) BgL_wide1191z00_6083);
								BgL_tmpz00_12573 =
									((BgL_objectz00_bglt)
									((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5058)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12573, BgL_auxz00_12577);
							}
							((BgL_objectz00_bglt)
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5058)));
							{	/* Liveness/liveness.scm 250 */
								long BgL_arg2232z00_6084;

								BgL_arg2232z00_6084 =
									BGL_CLASS_NUM(BGl_appzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_nz00_5058))), BgL_arg2232z00_6084);
							}
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5058)));
						}
						{
							BgL_appzf2livenesszf2_bglt BgL_auxz00_12591;

							{
								obj_t BgL_auxz00_12592;

								{	/* Liveness/liveness.scm 251 */
									BgL_objectz00_bglt BgL_tmpz00_12593;

									BgL_tmpz00_12593 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5058)));
									BgL_auxz00_12592 = BGL_OBJECT_WIDENING(BgL_tmpz00_12593);
								}
								BgL_auxz00_12591 =
									((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12592);
							}
							((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12591))->
									BgL_defz00) = ((obj_t) BgL_defz00_6079), BUNSPEC);
						}
						{
							BgL_appzf2livenesszf2_bglt BgL_auxz00_12600;

							{
								obj_t BgL_auxz00_12601;

								{	/* Liveness/liveness.scm 252 */
									BgL_objectz00_bglt BgL_tmpz00_12602;

									BgL_tmpz00_12602 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5058)));
									BgL_auxz00_12601 = BGL_OBJECT_WIDENING(BgL_tmpz00_12602);
								}
								BgL_auxz00_12600 =
									((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12601);
							}
							((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12600))->
									BgL_usez00) = ((obj_t) BgL_usez00_6080), BUNSPEC);
						}
						{
							BgL_appzf2livenesszf2_bglt BgL_auxz00_12609;

							{
								obj_t BgL_auxz00_12610;

								{	/* Liveness/liveness.scm 248 */
									BgL_objectz00_bglt BgL_tmpz00_12611;

									BgL_tmpz00_12611 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5058)));
									BgL_auxz00_12610 = BGL_OBJECT_WIDENING(BgL_tmpz00_12611);
								}
								BgL_auxz00_12609 =
									((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12610);
							}
							((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12609))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_appzf2livenesszf2_bglt BgL_auxz00_12618;

							{
								obj_t BgL_auxz00_12619;

								{	/* Liveness/liveness.scm 248 */
									BgL_objectz00_bglt BgL_tmpz00_12620;

									BgL_tmpz00_12620 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5058)));
									BgL_auxz00_12619 = BGL_OBJECT_WIDENING(BgL_tmpz00_12620);
								}
								BgL_auxz00_12618 =
									((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12619);
							}
							((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12618))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2231z00_6082 =
							((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5058));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2231z00_6082));
					}
				}
			}
		}

	}



/* &inout-sequence/liven1878 */
	obj_t BGl_z62inoutzd2sequencezf2liven1878z42zzliveness_livenessz00(obj_t
		BgL_envz00_5059, obj_t BgL_nz00_5060)
	{
		{	/* Liveness/liveness.scm 237 */
			{	/* Liveness/liveness.scm 239 */
				obj_t BgL_val0_1587z00_6086;
				obj_t BgL_val1_1588z00_6087;

				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12631;

					{
						obj_t BgL_auxz00_12632;

						{	/* Liveness/liveness.scm 239 */
							BgL_objectz00_bglt BgL_tmpz00_12633;

							BgL_tmpz00_12633 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5060));
							BgL_auxz00_12632 = BGL_OBJECT_WIDENING(BgL_tmpz00_12633);
						}
						BgL_auxz00_12631 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12632);
					}
					BgL_val0_1587z00_6086 =
						(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12631))->
						BgL_inz00);
				}
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12639;

					{
						obj_t BgL_auxz00_12640;

						{	/* Liveness/liveness.scm 239 */
							BgL_objectz00_bglt BgL_tmpz00_12641;

							BgL_tmpz00_12641 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5060));
							BgL_auxz00_12640 = BGL_OBJECT_WIDENING(BgL_tmpz00_12641);
						}
						BgL_auxz00_12639 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12640);
					}
					BgL_val1_1588z00_6087 =
						(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12639))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 239 */
					int BgL_tmpz00_12647;

					BgL_tmpz00_12647 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12647);
				}
				{	/* Liveness/liveness.scm 239 */
					int BgL_tmpz00_12650;

					BgL_tmpz00_12650 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12650, BgL_val1_1588z00_6087);
				}
				return BgL_val0_1587z00_6086;
			}
		}

	}



/* &inout!-sequence/live1876 */
	obj_t BGl_z62inoutz12zd2sequencezf2live1876z50zzliveness_livenessz00(obj_t
		BgL_envz00_5061, obj_t BgL_nz00_5062, obj_t BgL_oz00_5063)
	{
		{	/* Liveness/liveness.scm 228 */
			{	/* Liveness/liveness.scm 230 */
				obj_t BgL_arg2210z00_6089;
				obj_t BgL_arg2211z00_6090;
				obj_t BgL_arg2212z00_6091;
				obj_t BgL_arg2213z00_6092;

				BgL_arg2210z00_6089 =
					bgl_typeof(((obj_t) ((BgL_sequencez00_bglt) BgL_nz00_5062)));
				BgL_arg2211z00_6090 = BGl_shapez00zztools_shapez00(BgL_oz00_5063);
				{	/* Liveness/liveness.scm 231 */
					obj_t BgL_arg2222z00_6093;

					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12657;

						{
							obj_t BgL_auxz00_12658;

							{	/* Liveness/liveness.scm 231 */
								BgL_objectz00_bglt BgL_tmpz00_12659;

								BgL_tmpz00_12659 =
									((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5062));
								BgL_auxz00_12658 = BGL_OBJECT_WIDENING(BgL_tmpz00_12659);
							}
							BgL_auxz00_12657 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12658);
						}
						BgL_arg2222z00_6093 =
							(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12657))->
							BgL_defz00);
					}
					BgL_arg2212z00_6091 =
						BGl_shapez00zztools_shapez00(BgL_arg2222z00_6093);
				}
				{	/* Liveness/liveness.scm 231 */
					obj_t BgL_arg2223z00_6094;

					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12666;

						{
							obj_t BgL_auxz00_12667;

							{	/* Liveness/liveness.scm 231 */
								BgL_objectz00_bglt BgL_tmpz00_12668;

								BgL_tmpz00_12668 =
									((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5062));
								BgL_auxz00_12667 = BGL_OBJECT_WIDENING(BgL_tmpz00_12668);
							}
							BgL_auxz00_12666 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12667);
						}
						BgL_arg2223z00_6094 =
							(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12666))->
							BgL_usez00);
					}
					BgL_arg2213z00_6092 =
						BGl_shapez00zztools_shapez00(BgL_arg2223z00_6094);
				}
				{	/* Liveness/liveness.scm 230 */
					obj_t BgL_list2214z00_6095;

					{	/* Liveness/liveness.scm 230 */
						obj_t BgL_arg2215z00_6096;

						{	/* Liveness/liveness.scm 230 */
							obj_t BgL_arg2216z00_6097;

							{	/* Liveness/liveness.scm 230 */
								obj_t BgL_arg2217z00_6098;

								{	/* Liveness/liveness.scm 230 */
									obj_t BgL_arg2218z00_6099;

									{	/* Liveness/liveness.scm 230 */
										obj_t BgL_arg2219z00_6100;

										{	/* Liveness/liveness.scm 230 */
											obj_t BgL_arg2220z00_6101;

											{	/* Liveness/liveness.scm 230 */
												obj_t BgL_arg2221z00_6102;

												BgL_arg2221z00_6102 =
													MAKE_YOUNG_PAIR(BgL_arg2213z00_6092, BNIL);
												BgL_arg2220z00_6101 =
													MAKE_YOUNG_PAIR
													(BGl_string3117z00zzliveness_livenessz00,
													BgL_arg2221z00_6102);
											}
											BgL_arg2219z00_6100 =
												MAKE_YOUNG_PAIR(BgL_arg2212z00_6091,
												BgL_arg2220z00_6101);
										}
										BgL_arg2218z00_6099 =
											MAKE_YOUNG_PAIR(BGl_string3118z00zzliveness_livenessz00,
											BgL_arg2219z00_6100);
									}
									BgL_arg2217z00_6098 =
										MAKE_YOUNG_PAIR(BgL_arg2211z00_6090, BgL_arg2218z00_6099);
								}
								BgL_arg2216z00_6097 =
									MAKE_YOUNG_PAIR(BGl_string3119z00zzliveness_livenessz00,
									BgL_arg2217z00_6098);
							}
							BgL_arg2215z00_6096 =
								MAKE_YOUNG_PAIR(BgL_arg2210z00_6089, BgL_arg2216z00_6097);
						}
						BgL_list2214z00_6095 =
							MAKE_YOUNG_PAIR(BGl_string3121z00zzliveness_livenessz00,
							BgL_arg2215z00_6096);
					}
					((bool_t) 0);
				}
			}
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12683;

				{
					obj_t BgL_auxz00_12684;

					{	/* Liveness/liveness.scm 232 */
						BgL_objectz00_bglt BgL_tmpz00_12685;

						BgL_tmpz00_12685 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5062));
						BgL_auxz00_12684 = BGL_OBJECT_WIDENING(BgL_tmpz00_12685);
					}
					BgL_auxz00_12683 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12684);
				}
				((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12683))->
						BgL_outz00) = ((obj_t) BgL_oz00_5063), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_12698;
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12691;

				{	/* Liveness/liveness.scm 233 */
					obj_t BgL_arg2224z00_6103;
					obj_t BgL_arg2225z00_6104;

					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12699;

						{
							obj_t BgL_auxz00_12700;

							{	/* Liveness/liveness.scm 233 */
								BgL_objectz00_bglt BgL_tmpz00_12701;

								BgL_tmpz00_12701 =
									((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5062));
								BgL_auxz00_12700 = BGL_OBJECT_WIDENING(BgL_tmpz00_12701);
							}
							BgL_auxz00_12699 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12700);
						}
						BgL_arg2224z00_6103 =
							(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12699))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 233 */
						obj_t BgL_arg2228z00_6105;
						obj_t BgL_arg2229z00_6106;

						{
							BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12707;

							{
								obj_t BgL_auxz00_12708;

								{	/* Liveness/liveness.scm 233 */
									BgL_objectz00_bglt BgL_tmpz00_12709;

									BgL_tmpz00_12709 =
										((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt) BgL_nz00_5062));
									BgL_auxz00_12708 = BGL_OBJECT_WIDENING(BgL_tmpz00_12709);
								}
								BgL_auxz00_12707 =
									((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12708);
							}
							BgL_arg2228z00_6105 =
								(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12707))->
								BgL_outz00);
						}
						{
							BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12715;

							{
								obj_t BgL_auxz00_12716;

								{	/* Liveness/liveness.scm 233 */
									BgL_objectz00_bglt BgL_tmpz00_12717;

									BgL_tmpz00_12717 =
										((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt) BgL_nz00_5062));
									BgL_auxz00_12716 = BGL_OBJECT_WIDENING(BgL_tmpz00_12717);
								}
								BgL_auxz00_12715 =
									((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12716);
							}
							BgL_arg2229z00_6106 =
								(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12715))->
								BgL_defz00);
						}
						BgL_arg2225z00_6104 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2228z00_6105,
							BgL_arg2229z00_6106);
					}
					{	/* Liveness/liveness.scm 233 */
						obj_t BgL_list2226z00_6107;

						{	/* Liveness/liveness.scm 233 */
							obj_t BgL_arg2227z00_6108;

							BgL_arg2227z00_6108 = MAKE_YOUNG_PAIR(BgL_arg2225z00_6104, BNIL);
							BgL_list2226z00_6107 =
								MAKE_YOUNG_PAIR(BgL_arg2224z00_6103, BgL_arg2227z00_6108);
						}
						BgL_auxz00_12698 =
							BGl_unionz00zzliveness_setz00(BgL_list2226z00_6107);
					}
				}
				{
					obj_t BgL_auxz00_12692;

					{	/* Liveness/liveness.scm 233 */
						BgL_objectz00_bglt BgL_tmpz00_12693;

						BgL_tmpz00_12693 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5062));
						BgL_auxz00_12692 = BGL_OBJECT_WIDENING(BgL_tmpz00_12693);
					}
					BgL_auxz00_12691 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12692);
				}
				((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12691))->
						BgL_inz00) = ((obj_t) BgL_auxz00_12698), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 234 */
				obj_t BgL_arg2230z00_6109;

				BgL_arg2230z00_6109 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt)
								((BgL_sequencez00_bglt) BgL_nz00_5062))))->BgL_nodesz00);
				BGl_inoutza2z12zb0zzliveness_livenessz00(BgL_arg2230z00_6109,
					BgL_oz00_5063);
			}
			{	/* Liveness/liveness.scm 235 */
				obj_t BgL_val0_1585z00_6110;
				obj_t BgL_val1_1586z00_6111;

				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12732;

					{
						obj_t BgL_auxz00_12733;

						{	/* Liveness/liveness.scm 235 */
							BgL_objectz00_bglt BgL_tmpz00_12734;

							BgL_tmpz00_12734 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5062));
							BgL_auxz00_12733 = BGL_OBJECT_WIDENING(BgL_tmpz00_12734);
						}
						BgL_auxz00_12732 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12733);
					}
					BgL_val0_1585z00_6110 =
						(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12732))->
						BgL_inz00);
				}
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12740;

					{
						obj_t BgL_auxz00_12741;

						{	/* Liveness/liveness.scm 235 */
							BgL_objectz00_bglt BgL_tmpz00_12742;

							BgL_tmpz00_12742 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5062));
							BgL_auxz00_12741 = BGL_OBJECT_WIDENING(BgL_tmpz00_12742);
						}
						BgL_auxz00_12740 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12741);
					}
					BgL_val1_1586z00_6111 =
						(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12740))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 235 */
					int BgL_tmpz00_12748;

					BgL_tmpz00_12748 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12748);
				}
				{	/* Liveness/liveness.scm 235 */
					int BgL_tmpz00_12751;

					BgL_tmpz00_12751 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12751, BgL_val1_1586z00_6111);
				}
				return BgL_val0_1585z00_6110;
			}
		}

	}



/* &defuse-sequence/live1874 */
	obj_t BGl_z62defusezd2sequencezf2live1874z42zzliveness_livenessz00(obj_t
		BgL_envz00_5064, obj_t BgL_nz00_5065)
	{
		{	/* Liveness/liveness.scm 224 */
			{	/* Liveness/liveness.scm 226 */
				obj_t BgL_val0_1583z00_6113;
				obj_t BgL_val1_1584z00_6114;

				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12754;

					{
						obj_t BgL_auxz00_12755;

						{	/* Liveness/liveness.scm 226 */
							BgL_objectz00_bglt BgL_tmpz00_12756;

							BgL_tmpz00_12756 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5065));
							BgL_auxz00_12755 = BGL_OBJECT_WIDENING(BgL_tmpz00_12756);
						}
						BgL_auxz00_12754 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12755);
					}
					BgL_val0_1583z00_6113 =
						(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12754))->
						BgL_defz00);
				}
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12762;

					{
						obj_t BgL_auxz00_12763;

						{	/* Liveness/liveness.scm 226 */
							BgL_objectz00_bglt BgL_tmpz00_12764;

							BgL_tmpz00_12764 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5065));
							BgL_auxz00_12763 = BGL_OBJECT_WIDENING(BgL_tmpz00_12764);
						}
						BgL_auxz00_12762 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12763);
					}
					BgL_val1_1584z00_6114 =
						(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12762))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 226 */
					int BgL_tmpz00_12770;

					BgL_tmpz00_12770 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12770);
				}
				{	/* Liveness/liveness.scm 226 */
					int BgL_tmpz00_12773;

					BgL_tmpz00_12773 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12773, BgL_val1_1584z00_6114);
				}
				return BgL_val0_1583z00_6113;
			}
		}

	}



/* &defuse-sequence1872 */
	obj_t BGl_z62defusezd2sequence1872zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5066, obj_t BgL_nz00_5067)
	{
		{	/* Liveness/liveness.scm 215 */
			{	/* Liveness/liveness.scm 217 */
				obj_t BgL_defz00_6116;

				BgL_defz00_6116 =
					BGl_defusezd2seqzd2zzliveness_livenessz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nz00_5067)))->BgL_nodesz00));
				{	/* Liveness/liveness.scm 218 */
					obj_t BgL_usez00_6117;

					{	/* Liveness/liveness.scm 219 */
						obj_t BgL_tmpz00_6118;

						{	/* Liveness/liveness.scm 219 */
							int BgL_tmpz00_12779;

							BgL_tmpz00_12779 = (int) (((long) 1));
							BgL_tmpz00_6118 = BGL_MVALUES_VAL(BgL_tmpz00_12779);
						}
						{	/* Liveness/liveness.scm 219 */
							int BgL_tmpz00_12782;

							BgL_tmpz00_12782 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_12782, BUNSPEC);
						}
						BgL_usez00_6117 = BgL_tmpz00_6118;
					}
					{	/* Liveness/liveness.scm 220 */
						BgL_sequencez00_bglt BgL_arg2207z00_6119;

						{	/* Liveness/liveness.scm 220 */
							BgL_sequencezf2livenesszf2_bglt BgL_wide1183z00_6120;

							BgL_wide1183z00_6120 =
								((BgL_sequencezf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sequencezf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 220 */
								obj_t BgL_auxz00_12790;
								BgL_objectz00_bglt BgL_tmpz00_12786;

								BgL_auxz00_12790 = ((obj_t) BgL_wide1183z00_6120);
								BgL_tmpz00_12786 =
									((BgL_objectz00_bglt)
									((BgL_sequencez00_bglt)
										((BgL_sequencez00_bglt) BgL_nz00_5067)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12786, BgL_auxz00_12790);
							}
							((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt)
									((BgL_sequencez00_bglt) BgL_nz00_5067)));
							{	/* Liveness/liveness.scm 220 */
								long BgL_arg2208z00_6121;

								BgL_arg2208z00_6121 =
									BGL_CLASS_NUM(BGl_sequencezf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nz00_5067))),
									BgL_arg2208z00_6121);
							}
							((BgL_sequencez00_bglt)
								((BgL_sequencez00_bglt)
									((BgL_sequencez00_bglt) BgL_nz00_5067)));
						}
						{
							BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12804;

							{
								obj_t BgL_auxz00_12805;

								{	/* Liveness/liveness.scm 221 */
									BgL_objectz00_bglt BgL_tmpz00_12806;

									BgL_tmpz00_12806 =
										((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nz00_5067)));
									BgL_auxz00_12805 = BGL_OBJECT_WIDENING(BgL_tmpz00_12806);
								}
								BgL_auxz00_12804 =
									((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12805);
							}
							((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12804))->
									BgL_defz00) = ((obj_t) BgL_defz00_6116), BUNSPEC);
						}
						{
							BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12813;

							{
								obj_t BgL_auxz00_12814;

								{	/* Liveness/liveness.scm 222 */
									BgL_objectz00_bglt BgL_tmpz00_12815;

									BgL_tmpz00_12815 =
										((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nz00_5067)));
									BgL_auxz00_12814 = BGL_OBJECT_WIDENING(BgL_tmpz00_12815);
								}
								BgL_auxz00_12813 =
									((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12814);
							}
							((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12813))->
									BgL_usez00) = ((obj_t) BgL_usez00_6117), BUNSPEC);
						}
						{
							BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12822;

							{
								obj_t BgL_auxz00_12823;

								{	/* Liveness/liveness.scm 218 */
									BgL_objectz00_bglt BgL_tmpz00_12824;

									BgL_tmpz00_12824 =
										((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nz00_5067)));
									BgL_auxz00_12823 = BGL_OBJECT_WIDENING(BgL_tmpz00_12824);
								}
								BgL_auxz00_12822 =
									((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12823);
							}
							((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12822))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12831;

							{
								obj_t BgL_auxz00_12832;

								{	/* Liveness/liveness.scm 218 */
									BgL_objectz00_bglt BgL_tmpz00_12833;

									BgL_tmpz00_12833 =
										((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nz00_5067)));
									BgL_auxz00_12832 = BGL_OBJECT_WIDENING(BgL_tmpz00_12833);
								}
								BgL_auxz00_12831 =
									((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12832);
							}
							((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12831))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2207z00_6119 =
							((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5067));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2207z00_6119));
					}
				}
			}
		}

	}



/* &inout-kwote/liveness1870 */
	obj_t BGl_z62inoutzd2kwotezf2liveness1870z42zzliveness_livenessz00(obj_t
		BgL_envz00_5068, obj_t BgL_nz00_5069)
	{
		{	/* Liveness/liveness.scm 208 */
			{	/* Liveness/liveness.scm 210 */
				obj_t BgL_val0_1581z00_6123;
				obj_t BgL_val1_1582z00_6124;

				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12844;

					{
						obj_t BgL_auxz00_12845;

						{	/* Liveness/liveness.scm 210 */
							BgL_objectz00_bglt BgL_tmpz00_12846;

							BgL_tmpz00_12846 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5069));
							BgL_auxz00_12845 = BGL_OBJECT_WIDENING(BgL_tmpz00_12846);
						}
						BgL_auxz00_12844 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12845);
					}
					BgL_val0_1581z00_6123 =
						(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12844))->
						BgL_inz00);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12852;

					{
						obj_t BgL_auxz00_12853;

						{	/* Liveness/liveness.scm 210 */
							BgL_objectz00_bglt BgL_tmpz00_12854;

							BgL_tmpz00_12854 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5069));
							BgL_auxz00_12853 = BGL_OBJECT_WIDENING(BgL_tmpz00_12854);
						}
						BgL_auxz00_12852 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12853);
					}
					BgL_val1_1582z00_6124 =
						(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12852))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 210 */
					int BgL_tmpz00_12860;

					BgL_tmpz00_12860 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12860);
				}
				{	/* Liveness/liveness.scm 210 */
					int BgL_tmpz00_12863;

					BgL_tmpz00_12863 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12863, BgL_val1_1582z00_6124);
				}
				return BgL_val0_1581z00_6123;
			}
		}

	}



/* &inout!-kwote/livenes1868 */
	obj_t BGl_z62inoutz12zd2kwotezf2livenes1868z50zzliveness_livenessz00(obj_t
		BgL_envz00_5070, obj_t BgL_nz00_5071, obj_t BgL_oz00_5072)
	{
		{	/* Liveness/liveness.scm 202 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12866;

				{
					obj_t BgL_auxz00_12867;

					{	/* Liveness/liveness.scm 204 */
						BgL_objectz00_bglt BgL_tmpz00_12868;

						BgL_tmpz00_12868 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5071));
						BgL_auxz00_12867 = BGL_OBJECT_WIDENING(BgL_tmpz00_12868);
					}
					BgL_auxz00_12866 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12867);
				}
				((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12866))->
						BgL_outz00) = ((obj_t) BgL_oz00_5072), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_12881;
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12874;

				{	/* Liveness/liveness.scm 205 */
					obj_t BgL_arg2201z00_6126;
					obj_t BgL_arg2202z00_6127;

					{
						BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12882;

						{
							obj_t BgL_auxz00_12883;

							{	/* Liveness/liveness.scm 205 */
								BgL_objectz00_bglt BgL_tmpz00_12884;

								BgL_tmpz00_12884 =
									((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5071));
								BgL_auxz00_12883 = BGL_OBJECT_WIDENING(BgL_tmpz00_12884);
							}
							BgL_auxz00_12882 =
								((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12883);
						}
						BgL_arg2201z00_6126 =
							(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12882))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 205 */
						obj_t BgL_arg2205z00_6128;
						obj_t BgL_arg2206z00_6129;

						{
							BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12890;

							{
								obj_t BgL_auxz00_12891;

								{	/* Liveness/liveness.scm 205 */
									BgL_objectz00_bglt BgL_tmpz00_12892;

									BgL_tmpz00_12892 =
										((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5071));
									BgL_auxz00_12891 = BGL_OBJECT_WIDENING(BgL_tmpz00_12892);
								}
								BgL_auxz00_12890 =
									((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12891);
							}
							BgL_arg2205z00_6128 =
								(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12890))->
								BgL_outz00);
						}
						{
							BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12898;

							{
								obj_t BgL_auxz00_12899;

								{	/* Liveness/liveness.scm 205 */
									BgL_objectz00_bglt BgL_tmpz00_12900;

									BgL_tmpz00_12900 =
										((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5071));
									BgL_auxz00_12899 = BGL_OBJECT_WIDENING(BgL_tmpz00_12900);
								}
								BgL_auxz00_12898 =
									((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12899);
							}
							BgL_arg2206z00_6129 =
								(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12898))->
								BgL_defz00);
						}
						BgL_arg2202z00_6127 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2205z00_6128,
							BgL_arg2206z00_6129);
					}
					{	/* Liveness/liveness.scm 205 */
						obj_t BgL_list2203z00_6130;

						{	/* Liveness/liveness.scm 205 */
							obj_t BgL_arg2204z00_6131;

							BgL_arg2204z00_6131 = MAKE_YOUNG_PAIR(BgL_arg2202z00_6127, BNIL);
							BgL_list2203z00_6130 =
								MAKE_YOUNG_PAIR(BgL_arg2201z00_6126, BgL_arg2204z00_6131);
						}
						BgL_auxz00_12881 =
							BGl_unionz00zzliveness_setz00(BgL_list2203z00_6130);
					}
				}
				{
					obj_t BgL_auxz00_12875;

					{	/* Liveness/liveness.scm 205 */
						BgL_objectz00_bglt BgL_tmpz00_12876;

						BgL_tmpz00_12876 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5071));
						BgL_auxz00_12875 = BGL_OBJECT_WIDENING(BgL_tmpz00_12876);
					}
					BgL_auxz00_12874 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12875);
				}
				((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12874))->
						BgL_inz00) = ((obj_t) BgL_auxz00_12881), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 206 */
				obj_t BgL_val0_1579z00_6132;
				obj_t BgL_val1_1580z00_6133;

				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12911;

					{
						obj_t BgL_auxz00_12912;

						{	/* Liveness/liveness.scm 206 */
							BgL_objectz00_bglt BgL_tmpz00_12913;

							BgL_tmpz00_12913 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5071));
							BgL_auxz00_12912 = BGL_OBJECT_WIDENING(BgL_tmpz00_12913);
						}
						BgL_auxz00_12911 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12912);
					}
					BgL_val0_1579z00_6132 =
						(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12911))->
						BgL_inz00);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12919;

					{
						obj_t BgL_auxz00_12920;

						{	/* Liveness/liveness.scm 206 */
							BgL_objectz00_bglt BgL_tmpz00_12921;

							BgL_tmpz00_12921 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5071));
							BgL_auxz00_12920 = BGL_OBJECT_WIDENING(BgL_tmpz00_12921);
						}
						BgL_auxz00_12919 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12920);
					}
					BgL_val1_1580z00_6133 =
						(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12919))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 206 */
					int BgL_tmpz00_12927;

					BgL_tmpz00_12927 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12927);
				}
				{	/* Liveness/liveness.scm 206 */
					int BgL_tmpz00_12930;

					BgL_tmpz00_12930 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12930, BgL_val1_1580z00_6133);
				}
				return BgL_val0_1579z00_6132;
			}
		}

	}



/* &defuse-kwote/livenes1866 */
	obj_t BGl_z62defusezd2kwotezf2livenes1866z42zzliveness_livenessz00(obj_t
		BgL_envz00_5073, obj_t BgL_nz00_5074)
	{
		{	/* Liveness/liveness.scm 198 */
			{	/* Liveness/liveness.scm 200 */
				obj_t BgL_val0_1577z00_6135;
				obj_t BgL_val1_1578z00_6136;

				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12933;

					{
						obj_t BgL_auxz00_12934;

						{	/* Liveness/liveness.scm 200 */
							BgL_objectz00_bglt BgL_tmpz00_12935;

							BgL_tmpz00_12935 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5074));
							BgL_auxz00_12934 = BGL_OBJECT_WIDENING(BgL_tmpz00_12935);
						}
						BgL_auxz00_12933 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12934);
					}
					BgL_val0_1577z00_6135 =
						(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12933))->
						BgL_defz00);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12941;

					{
						obj_t BgL_auxz00_12942;

						{	/* Liveness/liveness.scm 200 */
							BgL_objectz00_bglt BgL_tmpz00_12943;

							BgL_tmpz00_12943 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5074));
							BgL_auxz00_12942 = BGL_OBJECT_WIDENING(BgL_tmpz00_12943);
						}
						BgL_auxz00_12941 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12942);
					}
					BgL_val1_1578z00_6136 =
						(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12941))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 200 */
					int BgL_tmpz00_12949;

					BgL_tmpz00_12949 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12949);
				}
				{	/* Liveness/liveness.scm 200 */
					int BgL_tmpz00_12952;

					BgL_tmpz00_12952 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12952, BgL_val1_1578z00_6136);
				}
				return BgL_val0_1577z00_6135;
			}
		}

	}



/* &defuse-kwote1864 */
	obj_t BGl_z62defusezd2kwote1864zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5075, obj_t BgL_nz00_5076)
	{
		{	/* Liveness/liveness.scm 195 */
			{	/* Liveness/liveness.scm 196 */
				BgL_kwotez00_bglt BgL_arg2199z00_6138;

				{	/* Liveness/liveness.scm 196 */
					BgL_kwotezf2livenesszf2_bglt BgL_wide1175z00_6139;

					BgL_wide1175z00_6139 =
						((BgL_kwotezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2livenesszf2_bgl))));
					{	/* Liveness/liveness.scm 196 */
						obj_t BgL_auxz00_12960;
						BgL_objectz00_bglt BgL_tmpz00_12956;

						BgL_auxz00_12960 = ((obj_t) BgL_wide1175z00_6139);
						BgL_tmpz00_12956 =
							((BgL_objectz00_bglt)
							((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5076)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12956, BgL_auxz00_12960);
					}
					((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5076)));
					{	/* Liveness/liveness.scm 196 */
						long BgL_arg2200z00_6140;

						BgL_arg2200z00_6140 =
							BGL_CLASS_NUM(BGl_kwotezf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt)
									((BgL_kwotez00_bglt) BgL_nz00_5076))), BgL_arg2200z00_6140);
					}
					((BgL_kwotez00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5076)));
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12974;

					{
						obj_t BgL_auxz00_12975;

						{	/* Liveness/liveness.scm 196 */
							BgL_objectz00_bglt BgL_tmpz00_12976;

							BgL_tmpz00_12976 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5076)));
							BgL_auxz00_12975 = BGL_OBJECT_WIDENING(BgL_tmpz00_12976);
						}
						BgL_auxz00_12974 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12975);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12974))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12983;

					{
						obj_t BgL_auxz00_12984;

						{	/* Liveness/liveness.scm 196 */
							BgL_objectz00_bglt BgL_tmpz00_12985;

							BgL_tmpz00_12985 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5076)));
							BgL_auxz00_12984 = BGL_OBJECT_WIDENING(BgL_tmpz00_12985);
						}
						BgL_auxz00_12983 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12984);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12983))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12992;

					{
						obj_t BgL_auxz00_12993;

						{	/* Liveness/liveness.scm 196 */
							BgL_objectz00_bglt BgL_tmpz00_12994;

							BgL_tmpz00_12994 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5076)));
							BgL_auxz00_12993 = BGL_OBJECT_WIDENING(BgL_tmpz00_12994);
						}
						BgL_auxz00_12992 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12993);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12992))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_13001;

					{
						obj_t BgL_auxz00_13002;

						{	/* Liveness/liveness.scm 196 */
							BgL_objectz00_bglt BgL_tmpz00_13003;

							BgL_tmpz00_13003 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5076)));
							BgL_auxz00_13002 = BGL_OBJECT_WIDENING(BgL_tmpz00_13003);
						}
						BgL_auxz00_13001 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_13002);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13001))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_arg2199z00_6138 =
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5076));
				return
					BGl_defusez00zzliveness_livenessz00(
					((BgL_nodez00_bglt) BgL_arg2199z00_6138));
			}
		}

	}



/* &inout-closure/livene1862 */
	obj_t BGl_z62inoutzd2closurezf2livene1862z42zzliveness_livenessz00(obj_t
		BgL_envz00_5077, obj_t BgL_nz00_5078)
	{
		{	/* Liveness/liveness.scm 188 */
			{	/* Liveness/liveness.scm 190 */
				obj_t BgL_val0_1575z00_6142;
				obj_t BgL_val1_1576z00_6143;

				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_13014;

					{
						obj_t BgL_auxz00_13015;

						{	/* Liveness/liveness.scm 190 */
							BgL_objectz00_bglt BgL_tmpz00_13016;

							BgL_tmpz00_13016 =
								((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5078));
							BgL_auxz00_13015 = BGL_OBJECT_WIDENING(BgL_tmpz00_13016);
						}
						BgL_auxz00_13014 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13015);
					}
					BgL_val0_1575z00_6142 =
						(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13014))->
						BgL_inz00);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_13022;

					{
						obj_t BgL_auxz00_13023;

						{	/* Liveness/liveness.scm 190 */
							BgL_objectz00_bglt BgL_tmpz00_13024;

							BgL_tmpz00_13024 =
								((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5078));
							BgL_auxz00_13023 = BGL_OBJECT_WIDENING(BgL_tmpz00_13024);
						}
						BgL_auxz00_13022 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13023);
					}
					BgL_val1_1576z00_6143 =
						(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13022))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 190 */
					int BgL_tmpz00_13030;

					BgL_tmpz00_13030 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_13030);
				}
				{	/* Liveness/liveness.scm 190 */
					int BgL_tmpz00_13033;

					BgL_tmpz00_13033 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_13033, BgL_val1_1576z00_6143);
				}
				return BgL_val0_1575z00_6142;
			}
		}

	}



/* &inout!-closure/liven1860 */
	obj_t BGl_z62inoutz12zd2closurezf2liven1860z50zzliveness_livenessz00(obj_t
		BgL_envz00_5079, obj_t BgL_nz00_5080, obj_t BgL_oz00_5081)
	{
		{	/* Liveness/liveness.scm 182 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_13036;

				{
					obj_t BgL_auxz00_13037;

					{	/* Liveness/liveness.scm 184 */
						BgL_objectz00_bglt BgL_tmpz00_13038;

						BgL_tmpz00_13038 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5080));
						BgL_auxz00_13037 = BGL_OBJECT_WIDENING(BgL_tmpz00_13038);
					}
					BgL_auxz00_13036 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13037);
				}
				((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13036))->
						BgL_outz00) = ((obj_t) BgL_oz00_5081), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_13051;
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_13044;

				{	/* Liveness/liveness.scm 185 */
					obj_t BgL_arg2193z00_6145;
					obj_t BgL_arg2194z00_6146;

					{
						BgL_closurezf2livenesszf2_bglt BgL_auxz00_13052;

						{
							obj_t BgL_auxz00_13053;

							{	/* Liveness/liveness.scm 185 */
								BgL_objectz00_bglt BgL_tmpz00_13054;

								BgL_tmpz00_13054 =
									((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5080));
								BgL_auxz00_13053 = BGL_OBJECT_WIDENING(BgL_tmpz00_13054);
							}
							BgL_auxz00_13052 =
								((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13053);
						}
						BgL_arg2193z00_6145 =
							(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13052))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 185 */
						obj_t BgL_arg2197z00_6147;
						obj_t BgL_arg2198z00_6148;

						{
							BgL_closurezf2livenesszf2_bglt BgL_auxz00_13060;

							{
								obj_t BgL_auxz00_13061;

								{	/* Liveness/liveness.scm 185 */
									BgL_objectz00_bglt BgL_tmpz00_13062;

									BgL_tmpz00_13062 =
										((BgL_objectz00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_5080));
									BgL_auxz00_13061 = BGL_OBJECT_WIDENING(BgL_tmpz00_13062);
								}
								BgL_auxz00_13060 =
									((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13061);
							}
							BgL_arg2197z00_6147 =
								(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13060))->
								BgL_outz00);
						}
						{
							BgL_closurezf2livenesszf2_bglt BgL_auxz00_13068;

							{
								obj_t BgL_auxz00_13069;

								{	/* Liveness/liveness.scm 185 */
									BgL_objectz00_bglt BgL_tmpz00_13070;

									BgL_tmpz00_13070 =
										((BgL_objectz00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_5080));
									BgL_auxz00_13069 = BGL_OBJECT_WIDENING(BgL_tmpz00_13070);
								}
								BgL_auxz00_13068 =
									((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13069);
							}
							BgL_arg2198z00_6148 =
								(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13068))->
								BgL_defz00);
						}
						BgL_arg2194z00_6146 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2197z00_6147,
							BgL_arg2198z00_6148);
					}
					{	/* Liveness/liveness.scm 185 */
						obj_t BgL_list2195z00_6149;

						{	/* Liveness/liveness.scm 185 */
							obj_t BgL_arg2196z00_6150;

							BgL_arg2196z00_6150 = MAKE_YOUNG_PAIR(BgL_arg2194z00_6146, BNIL);
							BgL_list2195z00_6149 =
								MAKE_YOUNG_PAIR(BgL_arg2193z00_6145, BgL_arg2196z00_6150);
						}
						BgL_auxz00_13051 =
							BGl_unionz00zzliveness_setz00(BgL_list2195z00_6149);
					}
				}
				{
					obj_t BgL_auxz00_13045;

					{	/* Liveness/liveness.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_13046;

						BgL_tmpz00_13046 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5080));
						BgL_auxz00_13045 = BGL_OBJECT_WIDENING(BgL_tmpz00_13046);
					}
					BgL_auxz00_13044 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13045);
				}
				((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13044))->
						BgL_inz00) = ((obj_t) BgL_auxz00_13051), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 186 */
				obj_t BgL_val0_1573z00_6151;
				obj_t BgL_val1_1574z00_6152;

				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_13081;

					{
						obj_t BgL_auxz00_13082;

						{	/* Liveness/liveness.scm 186 */
							BgL_objectz00_bglt BgL_tmpz00_13083;

							BgL_tmpz00_13083 =
								((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5080));
							BgL_auxz00_13082 = BGL_OBJECT_WIDENING(BgL_tmpz00_13083);
						}
						BgL_auxz00_13081 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13082);
					}
					BgL_val0_1573z00_6151 =
						(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13081))->
						BgL_inz00);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_13089;

					{
						obj_t BgL_auxz00_13090;

						{	/* Liveness/liveness.scm 186 */
							BgL_objectz00_bglt BgL_tmpz00_13091;

							BgL_tmpz00_13091 =
								((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5080));
							BgL_auxz00_13090 = BGL_OBJECT_WIDENING(BgL_tmpz00_13091);
						}
						BgL_auxz00_13089 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13090);
					}
					BgL_val1_1574z00_6152 =
						(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13089))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 186 */
					int BgL_tmpz00_13097;

					BgL_tmpz00_13097 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_13097);
				}
				{	/* Liveness/liveness.scm 186 */
					int BgL_tmpz00_13100;

					BgL_tmpz00_13100 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_13100, BgL_val1_1574z00_6152);
				}
				return BgL_val0_1573z00_6151;
			}
		}

	}



/* &defuse-closure/liven1858 */
	obj_t BGl_z62defusezd2closurezf2liven1858z42zzliveness_livenessz00(obj_t
		BgL_envz00_5082, obj_t BgL_nz00_5083)
	{
		{	/* Liveness/liveness.scm 178 */
			{	/* Liveness/liveness.scm 180 */
				obj_t BgL_val0_1571z00_6154;
				obj_t BgL_val1_1572z00_6155;

				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_13103;

					{
						obj_t BgL_auxz00_13104;

						{	/* Liveness/liveness.scm 180 */
							BgL_objectz00_bglt BgL_tmpz00_13105;

							BgL_tmpz00_13105 =
								((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5083));
							BgL_auxz00_13104 = BGL_OBJECT_WIDENING(BgL_tmpz00_13105);
						}
						BgL_auxz00_13103 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13104);
					}
					BgL_val0_1571z00_6154 =
						(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13103))->
						BgL_defz00);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_13111;

					{
						obj_t BgL_auxz00_13112;

						{	/* Liveness/liveness.scm 180 */
							BgL_objectz00_bglt BgL_tmpz00_13113;

							BgL_tmpz00_13113 =
								((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5083));
							BgL_auxz00_13112 = BGL_OBJECT_WIDENING(BgL_tmpz00_13113);
						}
						BgL_auxz00_13111 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13112);
					}
					BgL_val1_1572z00_6155 =
						(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13111))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 180 */
					int BgL_tmpz00_13119;

					BgL_tmpz00_13119 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_13119);
				}
				{	/* Liveness/liveness.scm 180 */
					int BgL_tmpz00_13122;

					BgL_tmpz00_13122 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_13122, BgL_val1_1572z00_6155);
				}
				return BgL_val0_1571z00_6154;
			}
		}

	}



/* &defuse-closure1856 */
	obj_t BGl_z62defusezd2closure1856zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5084, obj_t BgL_nz00_5085)
	{
		{	/* Liveness/liveness.scm 170 */
			{	/* Liveness/liveness.scm 172 */
				obj_t BgL_usez00_6157;

				{	/* Liveness/liveness.scm 172 */
					bool_t BgL_test3318z00_13125;

					{	/* Liveness/liveness.scm 172 */
						BgL_variablez00_bglt BgL_arg2192z00_6158;

						BgL_arg2192z00_6158 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_5085))))->BgL_variablez00);
						{	/* Liveness/liveness.scm 172 */
							obj_t BgL_classz00_6159;

							BgL_classz00_6159 = BGl_localz00zzast_varz00;
							{	/* Liveness/liveness.scm 172 */
								BgL_objectz00_bglt BgL_arg1825z00_6160;

								{	/* Liveness/liveness.scm 172 */
									obj_t BgL_tmpz00_13129;

									BgL_tmpz00_13129 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2192z00_6158));
									BgL_arg1825z00_6160 = (BgL_objectz00_bglt) (BgL_tmpz00_13129);
								}
								{	/* Liveness/liveness.scm 172 */
									bool_t BgL_arg1822z00_6161;
									bool_t BgL_arg1823z00_6162;

									{	/* Liveness/liveness.scm 172 */
										long BgL_idxz00_6163;

										BgL_idxz00_6163 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6160);
										BgL_arg1822z00_6161 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6163 + ((long) 2))) == BgL_classz00_6159);
									}
									{	/* Liveness/liveness.scm 172 */
										bool_t BgL_res2964z00_6166;

										{	/* Liveness/liveness.scm 172 */
											obj_t BgL_oclassz00_6167;

											{	/* Liveness/liveness.scm 172 */
												long BgL_arg1833z00_6168;

												{	/* Liveness/liveness.scm 172 */
													long BgL_arg1834z00_6169;

													BgL_arg1834z00_6169 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6160);
													BgL_arg1833z00_6168 =
														(BgL_arg1834z00_6169 - OBJECT_TYPE);
												}
												BgL_oclassz00_6167 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_6168);
											}
											{	/* Liveness/liveness.scm 172 */
												bool_t BgL__ortest_1110z00_6170;

												BgL__ortest_1110z00_6170 =
													(BgL_classz00_6159 == BgL_oclassz00_6167);
												if (BgL__ortest_1110z00_6170)
													{	/* Liveness/liveness.scm 172 */
														BgL_res2964z00_6166 = BgL__ortest_1110z00_6170;
													}
												else
													{	/* Liveness/liveness.scm 172 */
														long BgL_odepthz00_6171;

														BgL_odepthz00_6171 =
															BGL_CLASS_DEPTH(BgL_oclassz00_6167);
														if ((((long) 2) < BgL_odepthz00_6171))
															{	/* Liveness/liveness.scm 172 */
																obj_t BgL_arg1821z00_6172;

																BgL_arg1821z00_6172 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6167,
																	((long) 2));
																BgL_res2964z00_6166 =
																	(BgL_arg1821z00_6172 == BgL_classz00_6159);
															}
														else
															{	/* Liveness/liveness.scm 172 */
																BgL_res2964z00_6166 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_6162 = BgL_res2964z00_6166;
									}
									BgL_test3318z00_13125 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_6161, BgL_arg1823z00_6162);
								}
							}
						}
					}
					if (BgL_test3318z00_13125)
						{	/* Liveness/liveness.scm 172 */
							BgL_variablez00_bglt BgL_arg2190z00_6173;

							BgL_arg2190z00_6173 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt)
											((BgL_closurez00_bglt) BgL_nz00_5085))))->
								BgL_variablez00);
							{	/* Liveness/liveness.scm 172 */
								obj_t BgL_list2191z00_6174;

								BgL_list2191z00_6174 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg2190z00_6173), BNIL);
								BgL_usez00_6157 = BgL_list2191z00_6174;
							}
						}
					else
						{	/* Liveness/liveness.scm 172 */
							BgL_usez00_6157 = BNIL;
						}
				}
				{	/* Liveness/liveness.scm 174 */
					BgL_closurez00_bglt BgL_arg2186z00_6175;

					{	/* Liveness/liveness.scm 174 */
						BgL_closurezf2livenesszf2_bglt BgL_wide1168z00_6176;

						BgL_wide1168z00_6176 =
							((BgL_closurezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_closurezf2livenesszf2_bgl))));
						{	/* Liveness/liveness.scm 174 */
							obj_t BgL_auxz00_13158;
							BgL_objectz00_bglt BgL_tmpz00_13154;

							BgL_auxz00_13158 = ((obj_t) BgL_wide1168z00_6176);
							BgL_tmpz00_13154 =
								((BgL_objectz00_bglt)
								((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5085)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13154, BgL_auxz00_13158);
						}
						((BgL_objectz00_bglt)
							((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5085)));
						{	/* Liveness/liveness.scm 174 */
							long BgL_arg2187z00_6177;

							BgL_arg2187z00_6177 =
								BGL_CLASS_NUM(BGl_closurezf2livenesszf2zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_closurez00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_5085))),
								BgL_arg2187z00_6177);
						}
						((BgL_closurez00_bglt)
							((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5085)));
					}
					{
						BgL_closurezf2livenesszf2_bglt BgL_auxz00_13172;

						{
							obj_t BgL_auxz00_13173;

							{	/* Liveness/liveness.scm 175 */
								BgL_objectz00_bglt BgL_tmpz00_13174;

								BgL_tmpz00_13174 =
									((BgL_objectz00_bglt)
									((BgL_closurez00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_5085)));
								BgL_auxz00_13173 = BGL_OBJECT_WIDENING(BgL_tmpz00_13174);
							}
							BgL_auxz00_13172 =
								((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13173);
						}
						((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13172))->
								BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
					}
					{
						BgL_closurezf2livenesszf2_bglt BgL_auxz00_13181;

						{
							obj_t BgL_auxz00_13182;

							{	/* Liveness/liveness.scm 176 */
								BgL_objectz00_bglt BgL_tmpz00_13183;

								BgL_tmpz00_13183 =
									((BgL_objectz00_bglt)
									((BgL_closurez00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_5085)));
								BgL_auxz00_13182 = BGL_OBJECT_WIDENING(BgL_tmpz00_13183);
							}
							BgL_auxz00_13181 =
								((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13182);
						}
						((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13181))->
								BgL_usez00) = ((obj_t) BgL_usez00_6157), BUNSPEC);
					}
					{
						BgL_closurezf2livenesszf2_bglt BgL_auxz00_13190;

						{
							obj_t BgL_auxz00_13191;

							{	/* Liveness/liveness.scm 172 */
								BgL_objectz00_bglt BgL_tmpz00_13192;

								BgL_tmpz00_13192 =
									((BgL_objectz00_bglt)
									((BgL_closurez00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_5085)));
								BgL_auxz00_13191 = BGL_OBJECT_WIDENING(BgL_tmpz00_13192);
							}
							BgL_auxz00_13190 =
								((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13191);
						}
						((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13190))->
								BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
					}
					{
						BgL_closurezf2livenesszf2_bglt BgL_auxz00_13199;

						{
							obj_t BgL_auxz00_13200;

							{	/* Liveness/liveness.scm 172 */
								BgL_objectz00_bglt BgL_tmpz00_13201;

								BgL_tmpz00_13201 =
									((BgL_objectz00_bglt)
									((BgL_closurez00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_5085)));
								BgL_auxz00_13200 = BGL_OBJECT_WIDENING(BgL_tmpz00_13201);
							}
							BgL_auxz00_13199 =
								((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13200);
						}
						((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13199))->
								BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
					}
					BgL_arg2186z00_6175 =
						((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5085));
					return
						BGl_defusez00zzliveness_livenessz00(
						((BgL_nodez00_bglt) BgL_arg2186z00_6175));
				}
			}
		}

	}



/* &inout-ref/liveness1854 */
	obj_t BGl_z62inoutzd2refzf2liveness1854z42zzliveness_livenessz00(obj_t
		BgL_envz00_5086, obj_t BgL_nz00_5087)
	{
		{	/* Liveness/liveness.scm 163 */
			{	/* Liveness/liveness.scm 165 */
				obj_t BgL_val0_1569z00_6179;
				obj_t BgL_val1_1570z00_6180;

				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_13212;

					{
						obj_t BgL_auxz00_13213;

						{	/* Liveness/liveness.scm 165 */
							BgL_objectz00_bglt BgL_tmpz00_13214;

							BgL_tmpz00_13214 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5087));
							BgL_auxz00_13213 = BGL_OBJECT_WIDENING(BgL_tmpz00_13214);
						}
						BgL_auxz00_13212 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13213);
					}
					BgL_val0_1569z00_6179 =
						(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13212))->
						BgL_inz00);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_13220;

					{
						obj_t BgL_auxz00_13221;

						{	/* Liveness/liveness.scm 165 */
							BgL_objectz00_bglt BgL_tmpz00_13222;

							BgL_tmpz00_13222 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5087));
							BgL_auxz00_13221 = BGL_OBJECT_WIDENING(BgL_tmpz00_13222);
						}
						BgL_auxz00_13220 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13221);
					}
					BgL_val1_1570z00_6180 =
						(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13220))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 165 */
					int BgL_tmpz00_13228;

					BgL_tmpz00_13228 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_13228);
				}
				{	/* Liveness/liveness.scm 165 */
					int BgL_tmpz00_13231;

					BgL_tmpz00_13231 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_13231, BgL_val1_1570z00_6180);
				}
				return BgL_val0_1569z00_6179;
			}
		}

	}



/* &inout!-ref/liveness1852 */
	obj_t BGl_z62inoutz12zd2refzf2liveness1852z50zzliveness_livenessz00(obj_t
		BgL_envz00_5088, obj_t BgL_nz00_5089, obj_t BgL_oz00_5090)
	{
		{	/* Liveness/liveness.scm 157 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_13234;

				{
					obj_t BgL_auxz00_13235;

					{	/* Liveness/liveness.scm 159 */
						BgL_objectz00_bglt BgL_tmpz00_13236;

						BgL_tmpz00_13236 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5089));
						BgL_auxz00_13235 = BGL_OBJECT_WIDENING(BgL_tmpz00_13236);
					}
					BgL_auxz00_13234 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13235);
				}
				((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13234))->
						BgL_outz00) = ((obj_t) BgL_oz00_5090), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_13249;
				BgL_refzf2livenesszf2_bglt BgL_auxz00_13242;

				{	/* Liveness/liveness.scm 160 */
					obj_t BgL_arg2179z00_6182;
					obj_t BgL_arg2180z00_6183;

					{
						BgL_refzf2livenesszf2_bglt BgL_auxz00_13250;

						{
							obj_t BgL_auxz00_13251;

							{	/* Liveness/liveness.scm 160 */
								BgL_objectz00_bglt BgL_tmpz00_13252;

								BgL_tmpz00_13252 =
									((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5089));
								BgL_auxz00_13251 = BGL_OBJECT_WIDENING(BgL_tmpz00_13252);
							}
							BgL_auxz00_13250 =
								((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13251);
						}
						BgL_arg2179z00_6182 =
							(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13250))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 160 */
						obj_t BgL_arg2183z00_6184;
						obj_t BgL_arg2185z00_6185;

						{
							BgL_refzf2livenesszf2_bglt BgL_auxz00_13258;

							{
								obj_t BgL_auxz00_13259;

								{	/* Liveness/liveness.scm 160 */
									BgL_objectz00_bglt BgL_tmpz00_13260;

									BgL_tmpz00_13260 =
										((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5089));
									BgL_auxz00_13259 = BGL_OBJECT_WIDENING(BgL_tmpz00_13260);
								}
								BgL_auxz00_13258 =
									((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13259);
							}
							BgL_arg2183z00_6184 =
								(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13258))->
								BgL_outz00);
						}
						{
							BgL_refzf2livenesszf2_bglt BgL_auxz00_13266;

							{
								obj_t BgL_auxz00_13267;

								{	/* Liveness/liveness.scm 160 */
									BgL_objectz00_bglt BgL_tmpz00_13268;

									BgL_tmpz00_13268 =
										((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5089));
									BgL_auxz00_13267 = BGL_OBJECT_WIDENING(BgL_tmpz00_13268);
								}
								BgL_auxz00_13266 =
									((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13267);
							}
							BgL_arg2185z00_6185 =
								(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13266))->
								BgL_defz00);
						}
						BgL_arg2180z00_6183 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2183z00_6184,
							BgL_arg2185z00_6185);
					}
					{	/* Liveness/liveness.scm 160 */
						obj_t BgL_list2181z00_6186;

						{	/* Liveness/liveness.scm 160 */
							obj_t BgL_arg2182z00_6187;

							BgL_arg2182z00_6187 = MAKE_YOUNG_PAIR(BgL_arg2180z00_6183, BNIL);
							BgL_list2181z00_6186 =
								MAKE_YOUNG_PAIR(BgL_arg2179z00_6182, BgL_arg2182z00_6187);
						}
						BgL_auxz00_13249 =
							BGl_unionz00zzliveness_setz00(BgL_list2181z00_6186);
					}
				}
				{
					obj_t BgL_auxz00_13243;

					{	/* Liveness/liveness.scm 160 */
						BgL_objectz00_bglt BgL_tmpz00_13244;

						BgL_tmpz00_13244 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5089));
						BgL_auxz00_13243 = BGL_OBJECT_WIDENING(BgL_tmpz00_13244);
					}
					BgL_auxz00_13242 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13243);
				}
				((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13242))->BgL_inz00) =
					((obj_t) BgL_auxz00_13249), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 161 */
				obj_t BgL_val0_1567z00_6188;
				obj_t BgL_val1_1568z00_6189;

				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_13279;

					{
						obj_t BgL_auxz00_13280;

						{	/* Liveness/liveness.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13281;

							BgL_tmpz00_13281 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5089));
							BgL_auxz00_13280 = BGL_OBJECT_WIDENING(BgL_tmpz00_13281);
						}
						BgL_auxz00_13279 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13280);
					}
					BgL_val0_1567z00_6188 =
						(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13279))->
						BgL_inz00);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_13287;

					{
						obj_t BgL_auxz00_13288;

						{	/* Liveness/liveness.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13289;

							BgL_tmpz00_13289 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5089));
							BgL_auxz00_13288 = BGL_OBJECT_WIDENING(BgL_tmpz00_13289);
						}
						BgL_auxz00_13287 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13288);
					}
					BgL_val1_1568z00_6189 =
						(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13287))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 161 */
					int BgL_tmpz00_13295;

					BgL_tmpz00_13295 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_13295);
				}
				{	/* Liveness/liveness.scm 161 */
					int BgL_tmpz00_13298;

					BgL_tmpz00_13298 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_13298, BgL_val1_1568z00_6189);
				}
				return BgL_val0_1567z00_6188;
			}
		}

	}



/* &defuse-ref/liveness1850 */
	obj_t BGl_z62defusezd2refzf2liveness1850z42zzliveness_livenessz00(obj_t
		BgL_envz00_5091, obj_t BgL_nz00_5092)
	{
		{	/* Liveness/liveness.scm 153 */
			{	/* Liveness/liveness.scm 155 */
				obj_t BgL_val0_1565z00_6191;
				obj_t BgL_val1_1566z00_6192;

				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_13301;

					{
						obj_t BgL_auxz00_13302;

						{	/* Liveness/liveness.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13303;

							BgL_tmpz00_13303 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5092));
							BgL_auxz00_13302 = BGL_OBJECT_WIDENING(BgL_tmpz00_13303);
						}
						BgL_auxz00_13301 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13302);
					}
					BgL_val0_1565z00_6191 =
						(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13301))->
						BgL_defz00);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_13309;

					{
						obj_t BgL_auxz00_13310;

						{	/* Liveness/liveness.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13311;

							BgL_tmpz00_13311 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5092));
							BgL_auxz00_13310 = BGL_OBJECT_WIDENING(BgL_tmpz00_13311);
						}
						BgL_auxz00_13309 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13310);
					}
					BgL_val1_1566z00_6192 =
						(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13309))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 155 */
					int BgL_tmpz00_13317;

					BgL_tmpz00_13317 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_13317);
				}
				{	/* Liveness/liveness.scm 155 */
					int BgL_tmpz00_13320;

					BgL_tmpz00_13320 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_13320, BgL_val1_1566z00_6192);
				}
				return BgL_val0_1565z00_6191;
			}
		}

	}



/* &defuse-ref1848 */
	obj_t BGl_z62defusezd2ref1848zb0zzliveness_livenessz00(obj_t BgL_envz00_5093,
		obj_t BgL_nz00_5094)
	{
		{	/* Liveness/liveness.scm 145 */
			{	/* Liveness/liveness.scm 147 */
				obj_t BgL_usez00_6194;

				{	/* Liveness/liveness.scm 147 */
					bool_t BgL_test3321z00_13323;

					{	/* Liveness/liveness.scm 147 */
						BgL_variablez00_bglt BgL_arg2178z00_6195;

						BgL_arg2178z00_6195 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_refz00_bglt) BgL_nz00_5094))))->BgL_variablez00);
						{	/* Liveness/liveness.scm 147 */
							obj_t BgL_classz00_6196;

							BgL_classz00_6196 = BGl_localz00zzast_varz00;
							{	/* Liveness/liveness.scm 147 */
								BgL_objectz00_bglt BgL_arg1825z00_6197;

								{	/* Liveness/liveness.scm 147 */
									obj_t BgL_tmpz00_13327;

									BgL_tmpz00_13327 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2178z00_6195));
									BgL_arg1825z00_6197 = (BgL_objectz00_bglt) (BgL_tmpz00_13327);
								}
								{	/* Liveness/liveness.scm 147 */
									bool_t BgL_arg1822z00_6198;
									bool_t BgL_arg1823z00_6199;

									{	/* Liveness/liveness.scm 147 */
										long BgL_idxz00_6200;

										BgL_idxz00_6200 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6197);
										BgL_arg1822z00_6198 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6200 + ((long) 2))) == BgL_classz00_6196);
									}
									{	/* Liveness/liveness.scm 147 */
										bool_t BgL_res2962z00_6203;

										{	/* Liveness/liveness.scm 147 */
											obj_t BgL_oclassz00_6204;

											{	/* Liveness/liveness.scm 147 */
												long BgL_arg1833z00_6205;

												{	/* Liveness/liveness.scm 147 */
													long BgL_arg1834z00_6206;

													BgL_arg1834z00_6206 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6197);
													BgL_arg1833z00_6205 =
														(BgL_arg1834z00_6206 - OBJECT_TYPE);
												}
												BgL_oclassz00_6204 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_6205);
											}
											{	/* Liveness/liveness.scm 147 */
												bool_t BgL__ortest_1110z00_6207;

												BgL__ortest_1110z00_6207 =
													(BgL_classz00_6196 == BgL_oclassz00_6204);
												if (BgL__ortest_1110z00_6207)
													{	/* Liveness/liveness.scm 147 */
														BgL_res2962z00_6203 = BgL__ortest_1110z00_6207;
													}
												else
													{	/* Liveness/liveness.scm 147 */
														long BgL_odepthz00_6208;

														BgL_odepthz00_6208 =
															BGL_CLASS_DEPTH(BgL_oclassz00_6204);
														if ((((long) 2) < BgL_odepthz00_6208))
															{	/* Liveness/liveness.scm 147 */
																obj_t BgL_arg1821z00_6209;

																BgL_arg1821z00_6209 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6204,
																	((long) 2));
																BgL_res2962z00_6203 =
																	(BgL_arg1821z00_6209 == BgL_classz00_6196);
															}
														else
															{	/* Liveness/liveness.scm 147 */
																BgL_res2962z00_6203 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_6199 = BgL_res2962z00_6203;
									}
									BgL_test3321z00_13323 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_6198, BgL_arg1823z00_6199);
								}
							}
						}
					}
					if (BgL_test3321z00_13323)
						{	/* Liveness/liveness.scm 147 */
							BgL_variablez00_bglt BgL_arg2176z00_6210;

							BgL_arg2176z00_6210 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt)
											((BgL_refz00_bglt) BgL_nz00_5094))))->BgL_variablez00);
							{	/* Liveness/liveness.scm 147 */
								obj_t BgL_list2177z00_6211;

								BgL_list2177z00_6211 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg2176z00_6210), BNIL);
								BgL_usez00_6194 = BgL_list2177z00_6211;
							}
						}
					else
						{	/* Liveness/liveness.scm 147 */
							BgL_usez00_6194 = BNIL;
						}
				}
				{	/* Liveness/liveness.scm 149 */
					BgL_refz00_bglt BgL_arg2172z00_6212;

					{	/* Liveness/liveness.scm 149 */
						BgL_refzf2livenesszf2_bglt BgL_wide1160z00_6213;

						BgL_wide1160z00_6213 =
							((BgL_refzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_refzf2livenesszf2_bgl))));
						{	/* Liveness/liveness.scm 149 */
							obj_t BgL_auxz00_13356;
							BgL_objectz00_bglt BgL_tmpz00_13352;

							BgL_auxz00_13356 = ((obj_t) BgL_wide1160z00_6213);
							BgL_tmpz00_13352 =
								((BgL_objectz00_bglt)
								((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5094)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13352, BgL_auxz00_13356);
						}
						((BgL_objectz00_bglt)
							((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5094)));
						{	/* Liveness/liveness.scm 149 */
							long BgL_arg2173z00_6214;

							BgL_arg2173z00_6214 =
								BGL_CLASS_NUM(BGl_refzf2livenesszf2zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_refz00_bglt)
										((BgL_refz00_bglt) BgL_nz00_5094))), BgL_arg2173z00_6214);
						}
						((BgL_refz00_bglt)
							((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5094)));
					}
					{
						BgL_refzf2livenesszf2_bglt BgL_auxz00_13370;

						{
							obj_t BgL_auxz00_13371;

							{	/* Liveness/liveness.scm 150 */
								BgL_objectz00_bglt BgL_tmpz00_13372;

								BgL_tmpz00_13372 =
									((BgL_objectz00_bglt)
									((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5094)));
								BgL_auxz00_13371 = BGL_OBJECT_WIDENING(BgL_tmpz00_13372);
							}
							BgL_auxz00_13370 =
								((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13371);
						}
						((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13370))->
								BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
					}
					{
						BgL_refzf2livenesszf2_bglt BgL_auxz00_13379;

						{
							obj_t BgL_auxz00_13380;

							{	/* Liveness/liveness.scm 151 */
								BgL_objectz00_bglt BgL_tmpz00_13381;

								BgL_tmpz00_13381 =
									((BgL_objectz00_bglt)
									((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5094)));
								BgL_auxz00_13380 = BGL_OBJECT_WIDENING(BgL_tmpz00_13381);
							}
							BgL_auxz00_13379 =
								((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13380);
						}
						((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13379))->
								BgL_usez00) = ((obj_t) BgL_usez00_6194), BUNSPEC);
					}
					{
						BgL_refzf2livenesszf2_bglt BgL_auxz00_13388;

						{
							obj_t BgL_auxz00_13389;

							{	/* Liveness/liveness.scm 147 */
								BgL_objectz00_bglt BgL_tmpz00_13390;

								BgL_tmpz00_13390 =
									((BgL_objectz00_bglt)
									((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5094)));
								BgL_auxz00_13389 = BGL_OBJECT_WIDENING(BgL_tmpz00_13390);
							}
							BgL_auxz00_13388 =
								((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13389);
						}
						((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13388))->
								BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
					}
					{
						BgL_refzf2livenesszf2_bglt BgL_auxz00_13397;

						{
							obj_t BgL_auxz00_13398;

							{	/* Liveness/liveness.scm 147 */
								BgL_objectz00_bglt BgL_tmpz00_13399;

								BgL_tmpz00_13399 =
									((BgL_objectz00_bglt)
									((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5094)));
								BgL_auxz00_13398 = BGL_OBJECT_WIDENING(BgL_tmpz00_13399);
							}
							BgL_auxz00_13397 =
								((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13398);
						}
						((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13397))->
								BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
					}
					BgL_arg2172z00_6212 =
						((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5094));
					return
						BGl_defusez00zzliveness_livenessz00(
						((BgL_nodez00_bglt) BgL_arg2172z00_6212));
				}
			}
		}

	}



/* &inout-literal/livene1846 */
	obj_t BGl_z62inoutzd2literalzf2livene1846z42zzliveness_livenessz00(obj_t
		BgL_envz00_5095, obj_t BgL_nz00_5096)
	{
		{	/* Liveness/liveness.scm 138 */
			{	/* Liveness/liveness.scm 140 */
				obj_t BgL_val0_1563z00_6216;
				obj_t BgL_val1_1564z00_6217;

				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13410;

					{
						obj_t BgL_auxz00_13411;

						{	/* Liveness/liveness.scm 140 */
							BgL_objectz00_bglt BgL_tmpz00_13412;

							BgL_tmpz00_13412 =
								((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5096));
							BgL_auxz00_13411 = BGL_OBJECT_WIDENING(BgL_tmpz00_13412);
						}
						BgL_auxz00_13410 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13411);
					}
					BgL_val0_1563z00_6216 =
						(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13410))->
						BgL_inz00);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13418;

					{
						obj_t BgL_auxz00_13419;

						{	/* Liveness/liveness.scm 140 */
							BgL_objectz00_bglt BgL_tmpz00_13420;

							BgL_tmpz00_13420 =
								((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5096));
							BgL_auxz00_13419 = BGL_OBJECT_WIDENING(BgL_tmpz00_13420);
						}
						BgL_auxz00_13418 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13419);
					}
					BgL_val1_1564z00_6217 =
						(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13418))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 140 */
					int BgL_tmpz00_13426;

					BgL_tmpz00_13426 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_13426);
				}
				{	/* Liveness/liveness.scm 140 */
					int BgL_tmpz00_13429;

					BgL_tmpz00_13429 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_13429, BgL_val1_1564z00_6217);
				}
				return BgL_val0_1563z00_6216;
			}
		}

	}



/* &inout!-literal/liven1844 */
	obj_t BGl_z62inoutz12zd2literalzf2liven1844z50zzliveness_livenessz00(obj_t
		BgL_envz00_5097, obj_t BgL_nz00_5098, obj_t BgL_oz00_5099)
	{
		{	/* Liveness/liveness.scm 132 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_13432;

				{
					obj_t BgL_auxz00_13433;

					{	/* Liveness/liveness.scm 134 */
						BgL_objectz00_bglt BgL_tmpz00_13434;

						BgL_tmpz00_13434 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5098));
						BgL_auxz00_13433 = BGL_OBJECT_WIDENING(BgL_tmpz00_13434);
					}
					BgL_auxz00_13432 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13433);
				}
				((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13432))->
						BgL_outz00) = ((obj_t) BgL_oz00_5099), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_13447;
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_13440;

				{	/* Liveness/liveness.scm 135 */
					obj_t BgL_arg2166z00_6219;
					obj_t BgL_arg2167z00_6220;

					{
						BgL_literalzf2livenesszf2_bglt BgL_auxz00_13448;

						{
							obj_t BgL_auxz00_13449;

							{	/* Liveness/liveness.scm 135 */
								BgL_objectz00_bglt BgL_tmpz00_13450;

								BgL_tmpz00_13450 =
									((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5098));
								BgL_auxz00_13449 = BGL_OBJECT_WIDENING(BgL_tmpz00_13450);
							}
							BgL_auxz00_13448 =
								((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13449);
						}
						BgL_arg2166z00_6219 =
							(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13448))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 135 */
						obj_t BgL_arg2170z00_6221;
						obj_t BgL_arg2171z00_6222;

						{
							BgL_literalzf2livenesszf2_bglt BgL_auxz00_13456;

							{
								obj_t BgL_auxz00_13457;

								{	/* Liveness/liveness.scm 135 */
									BgL_objectz00_bglt BgL_tmpz00_13458;

									BgL_tmpz00_13458 =
										((BgL_objectz00_bglt)
										((BgL_literalz00_bglt) BgL_nz00_5098));
									BgL_auxz00_13457 = BGL_OBJECT_WIDENING(BgL_tmpz00_13458);
								}
								BgL_auxz00_13456 =
									((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13457);
							}
							BgL_arg2170z00_6221 =
								(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13456))->
								BgL_outz00);
						}
						{
							BgL_literalzf2livenesszf2_bglt BgL_auxz00_13464;

							{
								obj_t BgL_auxz00_13465;

								{	/* Liveness/liveness.scm 135 */
									BgL_objectz00_bglt BgL_tmpz00_13466;

									BgL_tmpz00_13466 =
										((BgL_objectz00_bglt)
										((BgL_literalz00_bglt) BgL_nz00_5098));
									BgL_auxz00_13465 = BGL_OBJECT_WIDENING(BgL_tmpz00_13466);
								}
								BgL_auxz00_13464 =
									((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13465);
							}
							BgL_arg2171z00_6222 =
								(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13464))->
								BgL_defz00);
						}
						BgL_arg2167z00_6220 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2170z00_6221,
							BgL_arg2171z00_6222);
					}
					{	/* Liveness/liveness.scm 135 */
						obj_t BgL_list2168z00_6223;

						{	/* Liveness/liveness.scm 135 */
							obj_t BgL_arg2169z00_6224;

							BgL_arg2169z00_6224 = MAKE_YOUNG_PAIR(BgL_arg2167z00_6220, BNIL);
							BgL_list2168z00_6223 =
								MAKE_YOUNG_PAIR(BgL_arg2166z00_6219, BgL_arg2169z00_6224);
						}
						BgL_auxz00_13447 =
							BGl_unionz00zzliveness_setz00(BgL_list2168z00_6223);
					}
				}
				{
					obj_t BgL_auxz00_13441;

					{	/* Liveness/liveness.scm 135 */
						BgL_objectz00_bglt BgL_tmpz00_13442;

						BgL_tmpz00_13442 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5098));
						BgL_auxz00_13441 = BGL_OBJECT_WIDENING(BgL_tmpz00_13442);
					}
					BgL_auxz00_13440 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13441);
				}
				((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13440))->
						BgL_inz00) = ((obj_t) BgL_auxz00_13447), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 136 */
				obj_t BgL_val0_1561z00_6225;
				obj_t BgL_val1_1562z00_6226;

				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13477;

					{
						obj_t BgL_auxz00_13478;

						{	/* Liveness/liveness.scm 136 */
							BgL_objectz00_bglt BgL_tmpz00_13479;

							BgL_tmpz00_13479 =
								((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5098));
							BgL_auxz00_13478 = BGL_OBJECT_WIDENING(BgL_tmpz00_13479);
						}
						BgL_auxz00_13477 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13478);
					}
					BgL_val0_1561z00_6225 =
						(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13477))->
						BgL_inz00);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13485;

					{
						obj_t BgL_auxz00_13486;

						{	/* Liveness/liveness.scm 136 */
							BgL_objectz00_bglt BgL_tmpz00_13487;

							BgL_tmpz00_13487 =
								((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5098));
							BgL_auxz00_13486 = BGL_OBJECT_WIDENING(BgL_tmpz00_13487);
						}
						BgL_auxz00_13485 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13486);
					}
					BgL_val1_1562z00_6226 =
						(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13485))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 136 */
					int BgL_tmpz00_13493;

					BgL_tmpz00_13493 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_13493);
				}
				{	/* Liveness/liveness.scm 136 */
					int BgL_tmpz00_13496;

					BgL_tmpz00_13496 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_13496, BgL_val1_1562z00_6226);
				}
				return BgL_val0_1561z00_6225;
			}
		}

	}



/* &defuse-literal/liven1842 */
	obj_t BGl_z62defusezd2literalzf2liven1842z42zzliveness_livenessz00(obj_t
		BgL_envz00_5100, obj_t BgL_nz00_5101)
	{
		{	/* Liveness/liveness.scm 128 */
			{	/* Liveness/liveness.scm 130 */
				obj_t BgL_val0_1559z00_6228;
				obj_t BgL_val1_1560z00_6229;

				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13499;

					{
						obj_t BgL_auxz00_13500;

						{	/* Liveness/liveness.scm 130 */
							BgL_objectz00_bglt BgL_tmpz00_13501;

							BgL_tmpz00_13501 =
								((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5101));
							BgL_auxz00_13500 = BGL_OBJECT_WIDENING(BgL_tmpz00_13501);
						}
						BgL_auxz00_13499 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13500);
					}
					BgL_val0_1559z00_6228 =
						(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13499))->
						BgL_defz00);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13507;

					{
						obj_t BgL_auxz00_13508;

						{	/* Liveness/liveness.scm 130 */
							BgL_objectz00_bglt BgL_tmpz00_13509;

							BgL_tmpz00_13509 =
								((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5101));
							BgL_auxz00_13508 = BGL_OBJECT_WIDENING(BgL_tmpz00_13509);
						}
						BgL_auxz00_13507 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13508);
					}
					BgL_val1_1560z00_6229 =
						(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13507))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 130 */
					int BgL_tmpz00_13515;

					BgL_tmpz00_13515 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_13515);
				}
				{	/* Liveness/liveness.scm 130 */
					int BgL_tmpz00_13518;

					BgL_tmpz00_13518 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_13518, BgL_val1_1560z00_6229);
				}
				return BgL_val0_1559z00_6228;
			}
		}

	}



/* &defuse-literal1840 */
	obj_t BGl_z62defusezd2literal1840zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5102, obj_t BgL_nz00_5103)
	{
		{	/* Liveness/liveness.scm 125 */
			{	/* Liveness/liveness.scm 126 */
				BgL_literalz00_bglt BgL_arg2164z00_6231;

				{	/* Liveness/liveness.scm 126 */
					BgL_literalzf2livenesszf2_bglt BgL_wide1152z00_6232;

					BgL_wide1152z00_6232 =
						((BgL_literalzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalzf2livenesszf2_bgl))));
					{	/* Liveness/liveness.scm 126 */
						obj_t BgL_auxz00_13526;
						BgL_objectz00_bglt BgL_tmpz00_13522;

						BgL_auxz00_13526 = ((obj_t) BgL_wide1152z00_6232);
						BgL_tmpz00_13522 =
							((BgL_objectz00_bglt)
							((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5103)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13522, BgL_auxz00_13526);
					}
					((BgL_objectz00_bglt)
						((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5103)));
					{	/* Liveness/liveness.scm 126 */
						long BgL_arg2165z00_6233;

						BgL_arg2165z00_6233 =
							BGL_CLASS_NUM(BGl_literalzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_literalz00_bglt)
									((BgL_literalz00_bglt) BgL_nz00_5103))), BgL_arg2165z00_6233);
					}
					((BgL_literalz00_bglt)
						((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5103)));
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13540;

					{
						obj_t BgL_auxz00_13541;

						{	/* Liveness/liveness.scm 126 */
							BgL_objectz00_bglt BgL_tmpz00_13542;

							BgL_tmpz00_13542 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5103)));
							BgL_auxz00_13541 = BGL_OBJECT_WIDENING(BgL_tmpz00_13542);
						}
						BgL_auxz00_13540 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13541);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13540))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13549;

					{
						obj_t BgL_auxz00_13550;

						{	/* Liveness/liveness.scm 126 */
							BgL_objectz00_bglt BgL_tmpz00_13551;

							BgL_tmpz00_13551 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5103)));
							BgL_auxz00_13550 = BGL_OBJECT_WIDENING(BgL_tmpz00_13551);
						}
						BgL_auxz00_13549 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13550);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13549))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13558;

					{
						obj_t BgL_auxz00_13559;

						{	/* Liveness/liveness.scm 126 */
							BgL_objectz00_bglt BgL_tmpz00_13560;

							BgL_tmpz00_13560 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5103)));
							BgL_auxz00_13559 = BGL_OBJECT_WIDENING(BgL_tmpz00_13560);
						}
						BgL_auxz00_13558 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13559);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13558))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13567;

					{
						obj_t BgL_auxz00_13568;

						{	/* Liveness/liveness.scm 126 */
							BgL_objectz00_bglt BgL_tmpz00_13569;

							BgL_tmpz00_13569 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5103)));
							BgL_auxz00_13568 = BGL_OBJECT_WIDENING(BgL_tmpz00_13569);
						}
						BgL_auxz00_13567 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13568);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13567))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_arg2164z00_6231 =
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5103));
				return
					BGl_defusez00zzliveness_livenessz00(
					((BgL_nodez00_bglt) BgL_arg2164z00_6231));
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzliveness_livenessz00()
	{
		{	/* Liveness/liveness.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string3124z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3124z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3124z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3124z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string3124z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string3124z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string3124z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3124z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string3124z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string3124z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string3124z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string3124z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zzliveness_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3124z00zzliveness_livenessz00));
			return
				BGl_modulezd2initializa7ationz75zzliveness_setz00(((long) 332381975),
				BSTRING_TO_STRING(BGl_string3124z00zzliveness_livenessz00));
		}

	}

#ifdef __cplusplus
}
#endif
