/*===========================================================================*/
/*   (Liveness/types.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Liveness/types.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2livenesszf2_bgl
	{
		int BgL_z52countz52;
	}                          *BgL_localzf2livenesszf2_bglt;

	typedef struct BgL_literalzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_literalzf2livenesszf2_bglt;

	typedef struct BgL_refzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                        *BgL_refzf2livenesszf2_bglt;

	typedef struct BgL_closurezf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_closurezf2livenesszf2_bglt;

	typedef struct BgL_kwotezf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                          *BgL_kwotezf2livenesszf2_bglt;

	typedef struct BgL_sequencezf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_sequencezf2livenesszf2_bglt;

	typedef struct BgL_appzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                        *BgL_appzf2livenesszf2_bglt;

	typedef struct BgL_appzd2lyzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_appzd2lyzf2livenessz20_bglt;

	typedef struct BgL_funcallzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_funcallzf2livenesszf2_bglt;

	typedef struct BgL_pragmazf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_pragmazf2livenesszf2_bglt;

	typedef struct BgL_getfieldzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_getfieldzf2livenesszf2_bglt;

	typedef struct BgL_setfieldzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_setfieldzf2livenesszf2_bglt;

	typedef struct BgL_wideningzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_wideningzf2livenesszf2_bglt;

	typedef struct BgL_newzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                        *BgL_newzf2livenesszf2_bglt;

	typedef struct BgL_valloczf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_valloczf2livenesszf2_bglt;

	typedef struct BgL_vrefzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_vrefzf2livenesszf2_bglt;

	typedef struct BgL_vsetz12zf2livenessze0_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_vsetz12zf2livenessze0_bglt;

	typedef struct BgL_vlengthzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_vlengthzf2livenesszf2_bglt;

	typedef struct BgL_instanceofzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                               *BgL_instanceofzf2livenesszf2_bglt;

	typedef struct BgL_castzd2nullzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                *BgL_castzd2nullzf2livenessz20_bglt;

	typedef struct BgL_castzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_castzf2livenesszf2_bglt;

	typedef struct BgL_setqzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_setqzf2livenesszf2_bglt;

	typedef struct BgL_conditionalzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                *BgL_conditionalzf2livenesszf2_bglt;

	typedef struct BgL_failzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_failzf2livenesszf2_bglt;

	typedef struct BgL_switchzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_switchzf2livenesszf2_bglt;

	typedef struct BgL_letzd2funzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                              *BgL_letzd2funzf2livenessz20_bglt;

	typedef struct BgL_letzd2varzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                              *BgL_letzd2varzf2livenessz20_bglt;

	typedef struct BgL_setzd2exzd2itzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                  *BgL_setzd2exzd2itzf2livenesszf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                   *BgL_jumpzd2exzd2itzf2livenesszf2_bglt;

	typedef struct BgL_synczf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_synczf2livenesszf2_bglt;

	typedef struct BgL_retblockzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_retblockzf2livenesszf2_bglt;

	typedef struct BgL_returnzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_returnzf2livenesszf2_bglt;

	typedef struct BgL_makezd2boxzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                               *BgL_makezd2boxzf2livenessz20_bglt;

	typedef struct BgL_boxzd2refzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                              *BgL_boxzd2refzf2livenessz20_bglt;

	typedef struct BgL_boxzd2setz12zf2livenessz32_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                 *BgL_boxzd2setz12zf2livenessz32_bglt;


	static obj_t BGl_z62lambda2656z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2657z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62lambda3548z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3629z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2739z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda3388z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_funcallzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33830ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33911ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32931ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3630z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2740z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2821z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33482ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2822z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3471z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33547ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33458ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3472z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2582z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2583z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3717z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_newz00_bglt BGl_z62lambda2665z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_switchz00_bglt BGl_z62lambda3394z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3637z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3718z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2747z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2828z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3638z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2748z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2829z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3558z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_newz00_bglt BGl_z62lambda2668z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda3397z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3559z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33742ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33823ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33904ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_letzd2funzf2livenessz20zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33653ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33734ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32916ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33726ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32584ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3480z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_newz00_bglt BGl_z62lambda2671z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2914z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3481z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3724z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2591z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2915z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3725z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32398ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2592z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3807z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3808z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda2838z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3567z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_syncz00_bglt BGl_z62lambda3648z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2839z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3568z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62lambda2599z62zzliveness_typesz00(obj_t, obj_t);
	extern obj_t BGl_newz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32690ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32852ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33816ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32593ze3ze5zzliveness_typesz00(obj_t);
	static BgL_syncz00_bglt BGl_z62lambda3651z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3732z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33719ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3733z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3814z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32658ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2681z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2924z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda3491z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda3815z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	static obj_t BGl_z62lambda2682z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2763z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_syncz00_bglt BGl_z62lambda3654z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2764z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3574z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda3494z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3575z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2847z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2929z62zzliveness_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62lambda2688z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda3498z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2689z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza32950ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3740z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3821z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3902z62zzliveness_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_refzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32683ze3ze5zzliveness_typesz00(obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2850z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3741z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3822z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3903z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2932z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33809ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33396ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33639ze3ze5zzliveness_typesz00(obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2853z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3582z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3663z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3583z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3664z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3828z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3909z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2695z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_vrefz00_bglt BGl_z62lambda2776z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3829z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2696z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_returnz00_bglt BGl_z62lambda3749z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_vrefz00_bglt BGl_z62lambda2779z62zzliveness_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_kwotezf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32200ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32111ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzliveness_typesz00();
	static obj_t BGl_z62zc3z04anonymousza33842ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3910z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32943ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32765ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2941z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2942z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3671z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_returnz00_bglt BGl_z62lambda3752z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32749ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3672z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62lambda3916z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_vrefz00_bglt BGl_z62lambda2783z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2864z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62lambda3593z62zzliveness_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_returnz00_bglt BGl_z62lambda3755z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3917z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2865z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda3837z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2948z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2949z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62lambda3597z62zzliveness_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_literalzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33100ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32104ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_conditionalzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_wideningzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32782ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33673ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33754ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda3840z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33584ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33665ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33576ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3680z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2871z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3681z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda3843z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2872z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3763z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3764z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_z62lambda2793z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2955z62zzliveness_typesz00(obj_t, obj_t);
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62lambda2794z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2956z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzliveness_typesz00();
	static obj_t BGl_z62lambda3689z62zzliveness_typesz00(obj_t, obj_t);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33860ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33682ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3770z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3851z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzliveness_typesz00();
	static obj_t BGl_z62lambda2880z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3690z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3771z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3852z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2881z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33569ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2963z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2964z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3777z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3858z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3778z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3859z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_instanceofzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_boxzd2refzf2livenessz20zzliveness_typesz00 =
		BUNSPEC;
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza33691ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33772ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33853ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32873ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33918ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33497ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3784z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3865z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62lambda2975z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda3785z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3866z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62lambda2978z62zzliveness_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62zc3z04anonymousza32050ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32212ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32123ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32882ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33765ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32866ze3ze5zzliveness_typesz00(obj_t);
	static BgL_instanceofz00_bglt BGl_z62lambda2981z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3872z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3873z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda3793z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda3796z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda3799z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32302ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32980ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32697ze3ze5zzliveness_typesz00(obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda3881z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda3884z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda3887z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32230ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33024ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33016ze3ze5zzliveness_typesz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32965ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32795ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32957ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3895z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3896z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzliveness_typesz00();
	static obj_t BGl_z62zc3z04anonymousza32320ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33041ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32142ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32223ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33033ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32134ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33131ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32313ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33204ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32062ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33874ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_localzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33302ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_letzd2varzf2livenessz20zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33786ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33867ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32412ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_vsetz12zf2livenessze0zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33779ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33118ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_vlengthzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62lambda2102z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2103z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32244ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2109z62zzliveness_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_appzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33886ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_newzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2110z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32601ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33330ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33233ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33225ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32075ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32156ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32237ze3ze5zzliveness_typesz00(obj_t);
	static BgL_refz00_bglt BGl_z62lambda2118z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33798ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_switchzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static BgL_refz00_bglt BGl_z62lambda2121z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32351ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_retblockzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda3014z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33072ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_refz00_bglt BGl_z62lambda2124z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32335ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3015z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33145ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32327ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33218ze3ze5zzliveness_typesz00(obj_t);
	static BgL_localz00_bglt BGl_z62lambda2045z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2207z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32149ze3ze5zzliveness_typesz00(obj_t);
	static BgL_localz00_bglt BGl_z62lambda2048z62zzliveness_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzliveness_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_appzd2lyzf2livenessz20zzliveness_typesz00 =
		BUNSPEC;
	static BgL_kwotez00_bglt BGl_z62lambda2210z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33510ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3022z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2051z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2132z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2213z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3023z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2133z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_wideningz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza33897ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_vrefzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33600ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2140z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2221z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3031z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33260ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2060z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2141z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2222z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_appz00_bglt BGl_z62lambda2303z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3032z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33171ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2061z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33163ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32507ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33155ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32256ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3116z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33309ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3117z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_z62lambda2147z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2228z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2148z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2229z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3039z62zzliveness_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_valloczf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_z62lambda2311z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32621ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3040z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3202z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2312z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32370ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3203z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33342ze3ze5zzliveness_typesz00(obj_t);
	static BgL_literalz00_bglt BGl_z62lambda2070z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32281ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza33083ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32427ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33318ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32095ze3ze5zzliveness_typesz00(obj_t);
	static BgL_literalz00_bglt BGl_z62lambda2073z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2154z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2235z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32419ze3ze5zzliveness_typesz00(obj_t);
	static BgL_castz00_bglt BGl_z62lambda3126z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2155z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32168ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2236z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2318z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_literalz00_bglt BGl_z62lambda2076z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2319z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_castz00_bglt BGl_z62lambda3129z62zzliveness_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_returnzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzliveness_typesz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzliveness_typesz00();
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzliveness_typesz00();
	static obj_t BGl_gczd2rootszd2initz00zzliveness_typesz00();
	static obj_t BGl_z62zc3z04anonymousza32452ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_castz00_bglt BGl_z62lambda3132z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2242z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32363ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32525ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33092ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32193ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2243z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32274ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32436ze3ze5zzliveness_typesz00(obj_t);
	static BgL_closurez00_bglt BGl_z62lambda2163z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2325z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3216z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2326z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3217z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_failzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32088ze3ze5zzliveness_typesz00(obj_t);
	static BgL_closurez00_bglt BGl_z62lambda2166z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2086z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2087z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_closurez00_bglt BGl_z62lambda2169z62zzliveness_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_makezd2boxzf2livenessz20zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda3300z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2410z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3301z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2411z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33433ze3ze5zzliveness_typesz00(obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda2251z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32534ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3223z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2333z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3143z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3224z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33417ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2334z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3144z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33409ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32186ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32267ze3ze5zzliveness_typesz00(obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda2254z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3307z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2093z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2417z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda3065z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda3308z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2094z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2418z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static BgL_sequencez00_bglt BGl_z62lambda2257z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2177z62zzliveness_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda2178z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static BgL_getfieldz00_bglt BGl_z62lambda2501z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32721ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3231z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda3070z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3232z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_getfieldz00_bglt BGl_z62lambda2504z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33426ze3ze5zzliveness_typesz00(obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2343z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32608ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3153z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2425z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda3073z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3154z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3316z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2426z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3317z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32179ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2184z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2265z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_getfieldz00_bglt BGl_z62lambda2508z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2185z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2266z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2348z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33613ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32544ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32706ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3161z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33273ze3ze5zzliveness_typesz00(obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2352z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3081z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3162z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2191z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2272z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2434z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3082z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62lambda3325z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2192z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2273z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2435z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3407z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3408z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62lambda3328z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3169z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2198z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2279z62zzliveness_typesz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62lambda2199z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_EXPORTED_DEF obj_t BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_castzd2nullzf2livenessz20zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda2600z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33622ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	static BgL_failz00_bglt BGl_z62lambda3331z62zzliveness_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sequencezf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32634ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3170z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2280z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2361z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2523z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3090z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33193ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	static obj_t BGl_z62lambda2362z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2524z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3091z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda3253z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda3415z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2606z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3416z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setqzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2607z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2446z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda3258z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2287z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2368z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2288z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2369z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3098z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3099z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_literalz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza33631ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32651ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3340z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32481ze3ze5zzliveness_typesz00(obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2450z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32643ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3341z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33534ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32473ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2532z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32554ze3ze5zzliveness_typesz00(obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda3261z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33526ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32465ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2533z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3424z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33518ze3ze5zzliveness_typesz00(obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2453z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3425z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_closurezf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static BgL_wideningz00_bglt BGl_z62lambda2616z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda3508z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3347z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3509z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2376z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62lambda2619z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3348z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_appz00_bglt BGl_z62lambda2296z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2377z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62lambda3187z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_appz00_bglt BGl_z62lambda2299z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32830ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_pragmazf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32741ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32490ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32571ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32733ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3431z62zzliveness_typesz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static BgL_wideningz00_bglt BGl_z62lambda2622z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3432z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2542z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2704z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62lambda3190z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3271z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33365ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33446ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32385ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2543z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2705z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3272z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33357ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_synczf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2463z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33349ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3516z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2383z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2464z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3355z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3517z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2384z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62lambda3194z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3356z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33560ze3ze5zzliveness_typesz00(obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62lambda3601z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32823ze3ze5zzliveness_typesz00(obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda3441z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33706ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2632z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2471z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2552z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2633z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3524z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2472z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2553z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3363z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda3444z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3525z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32378ze3ze5zzliveness_typesz00(obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2716z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda3364z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32289ze3ze5zzliveness_typesz00(obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2393z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda3447z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2719z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2396z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2479z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2399z62zzliveness_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32840ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32670ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3611z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3612z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2641z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2722z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3532z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2480z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2642z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3533z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_setfieldz00_bglt BGl_z62lambda2565z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3456z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3457z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2649z62zzliveness_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_getfieldzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda2488z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_setfieldz00_bglt BGl_z62lambda2569z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2489z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_castzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_setfieldzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static BgL_retblockz00_bglt BGl_z62lambda3700z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3620z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3621z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2650z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2731z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33473ze3ze5zzliveness_typesz00(obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda3703z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2732z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33465ze3ze5zzliveness_typesz00(obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62lambda3542z62zzliveness_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_setfieldz00_bglt BGl_z62lambda2572z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3463z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3464z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62lambda3545z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda3707z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t __cnst[44];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4000z00zzliveness_typesz00,
		BgL_bgl_za762lambda2141za7624529z00,
		BGl_z62lambda2141z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4001z00zzliveness_typesz00,
		BgL_bgl_za762lambda2140za7624530z00,
		BGl_z62lambda2140z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4002z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4531za7,
		BGl_z62zc3z04anonymousza32149ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4003z00zzliveness_typesz00,
		BgL_bgl_za762lambda2148za7624532z00,
		BGl_z62lambda2148z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4004z00zzliveness_typesz00,
		BgL_bgl_za762lambda2147za7624533z00,
		BGl_z62lambda2147z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4005z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4534za7,
		BGl_z62zc3z04anonymousza32156ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4006z00zzliveness_typesz00,
		BgL_bgl_za762lambda2155za7624535z00,
		BGl_z62lambda2155z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4007z00zzliveness_typesz00,
		BgL_bgl_za762lambda2154za7624536z00,
		BGl_z62lambda2154z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4008z00zzliveness_typesz00,
		BgL_bgl_za762lambda2124za7624537z00,
		BGl_z62lambda2124z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4009z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4538za7,
		BGl_z62zc3z04anonymousza32123ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4010z00zzliveness_typesz00,
		BgL_bgl_za762lambda2121za7624539z00,
		BGl_z62lambda2121z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4011z00zzliveness_typesz00,
		BgL_bgl_za762lambda2118za7624540z00,
		BGl_z62lambda2118z62zzliveness_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4012z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4541za7,
		BGl_z62zc3z04anonymousza32179ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4013z00zzliveness_typesz00,
		BgL_bgl_za762lambda2178za7624542z00,
		BGl_z62lambda2178z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4014z00zzliveness_typesz00,
		BgL_bgl_za762lambda2177za7624543z00,
		BGl_z62lambda2177z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4015z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4544za7,
		BGl_z62zc3z04anonymousza32186ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4016z00zzliveness_typesz00,
		BgL_bgl_za762lambda2185za7624545z00,
		BGl_z62lambda2185z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4017z00zzliveness_typesz00,
		BgL_bgl_za762lambda2184za7624546z00,
		BGl_z62lambda2184z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4018z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4547za7,
		BGl_z62zc3z04anonymousza32193ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4019z00zzliveness_typesz00,
		BgL_bgl_za762lambda2192za7624548z00,
		BGl_z62lambda2192z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4100z00zzliveness_typesz00,
		BgL_bgl_za762lambda2425za7624549z00,
		BGl_z62lambda2425z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4101z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4550za7,
		BGl_z62zc3z04anonymousza32436ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4020z00zzliveness_typesz00,
		BgL_bgl_za762lambda2191za7624551z00,
		BGl_z62lambda2191z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4102z00zzliveness_typesz00,
		BgL_bgl_za762lambda2435za7624552z00,
		BGl_z62lambda2435z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4021z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4553za7,
		BGl_z62zc3z04anonymousza32200ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4103z00zzliveness_typesz00,
		BgL_bgl_za762lambda2434za7624554z00,
		BGl_z62lambda2434z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4022z00zzliveness_typesz00,
		BgL_bgl_za762lambda2199za7624555z00,
		BGl_z62lambda2199z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4104z00zzliveness_typesz00,
		BgL_bgl_za762lambda2399za7624556z00,
		BGl_z62lambda2399z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4023z00zzliveness_typesz00,
		BgL_bgl_za762lambda2198za7624557z00,
		BGl_z62lambda2198z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4105z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4558za7,
		BGl_z62zc3z04anonymousza32398ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4024z00zzliveness_typesz00,
		BgL_bgl_za762lambda2169za7624559z00,
		BGl_z62lambda2169z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4106z00zzliveness_typesz00,
		BgL_bgl_za762lambda2396za7624560z00,
		BGl_z62lambda2396z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4025z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4561za7,
		BGl_z62zc3z04anonymousza32168ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4107z00zzliveness_typesz00,
		BgL_bgl_za762lambda2393za7624562z00,
		BGl_z62lambda2393z62zzliveness_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4026z00zzliveness_typesz00,
		BgL_bgl_za762lambda2166za7624563z00,
		BGl_z62lambda2166z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4108z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4564za7,
		BGl_z62zc3z04anonymousza32465ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4027z00zzliveness_typesz00,
		BgL_bgl_za762lambda2163za7624565z00,
		BGl_z62lambda2163z62zzliveness_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4109z00zzliveness_typesz00,
		BgL_bgl_za762lambda2464za7624566z00,
		BGl_z62lambda2464z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4028z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4567za7,
		BGl_z62zc3z04anonymousza32223ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4029z00zzliveness_typesz00,
		BgL_bgl_za762lambda2222za7624568z00,
		BGl_z62lambda2222z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4110z00zzliveness_typesz00,
		BgL_bgl_za762lambda2463za7624569z00,
		BGl_z62lambda2463z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4111z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4570za7,
		BGl_z62zc3z04anonymousza32473ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4030z00zzliveness_typesz00,
		BgL_bgl_za762lambda2221za7624571z00,
		BGl_z62lambda2221z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4112z00zzliveness_typesz00,
		BgL_bgl_za762lambda2472za7624572z00,
		BGl_z62lambda2472z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4031z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4573za7,
		BGl_z62zc3z04anonymousza32230ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4113z00zzliveness_typesz00,
		BgL_bgl_za762lambda2471za7624574z00,
		BGl_z62lambda2471z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4032z00zzliveness_typesz00,
		BgL_bgl_za762lambda2229za7624575z00,
		BGl_z62lambda2229z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4114z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4576za7,
		BGl_z62zc3z04anonymousza32481ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4033z00zzliveness_typesz00,
		BgL_bgl_za762lambda2228za7624577z00,
		BGl_z62lambda2228z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4115z00zzliveness_typesz00,
		BgL_bgl_za762lambda2480za7624578z00,
		BGl_z62lambda2480z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4034z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4579za7,
		BGl_z62zc3z04anonymousza32237ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4116z00zzliveness_typesz00,
		BgL_bgl_za762lambda2479za7624580z00,
		BGl_z62lambda2479z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4035z00zzliveness_typesz00,
		BgL_bgl_za762lambda2236za7624581z00,
		BGl_z62lambda2236z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4117z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4582za7,
		BGl_z62zc3z04anonymousza32490ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4036z00zzliveness_typesz00,
		BgL_bgl_za762lambda2235za7624583z00,
		BGl_z62lambda2235z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4118z00zzliveness_typesz00,
		BgL_bgl_za762lambda2489za7624584z00,
		BGl_z62lambda2489z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4037z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4585za7,
		BGl_z62zc3z04anonymousza32244ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4119z00zzliveness_typesz00,
		BgL_bgl_za762lambda2488za7624586z00,
		BGl_z62lambda2488z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4038z00zzliveness_typesz00,
		BgL_bgl_za762lambda2243za7624587z00,
		BGl_z62lambda2243z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4039z00zzliveness_typesz00,
		BgL_bgl_za762lambda2242za7624588z00,
		BGl_z62lambda2242z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4200z00zzliveness_typesz00,
		BgL_bgl_za762lambda2722za7624589z00,
		BGl_z62lambda2722z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4201z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4590za7,
		BGl_z62zc3z04anonymousza32721ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4120z00zzliveness_typesz00,
		BgL_bgl_za762lambda2453za7624591z00,
		BGl_z62lambda2453z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4202z00zzliveness_typesz00,
		BgL_bgl_za762lambda2719za7624592z00,
		BGl_z62lambda2719z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4121z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4593za7,
		BGl_z62zc3z04anonymousza32452ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4040z00zzliveness_typesz00,
		BgL_bgl_za762lambda2213za7624594z00,
		BGl_z62lambda2213z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4203z00zzliveness_typesz00,
		BgL_bgl_za762lambda2716za7624595z00,
		BGl_z62lambda2716z62zzliveness_typesz00, 0L, BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4122z00zzliveness_typesz00,
		BgL_bgl_za762lambda2450za7624596z00,
		BGl_z62lambda2450z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4041z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4597za7,
		BGl_z62zc3z04anonymousza32212ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4204z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4598za7,
		BGl_z62zc3z04anonymousza32795ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4123z00zzliveness_typesz00,
		BgL_bgl_za762lambda2446za7624599z00,
		BGl_z62lambda2446z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4042z00zzliveness_typesz00,
		BgL_bgl_za762lambda2210za7624600z00,
		BGl_z62lambda2210z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4205z00zzliveness_typesz00,
		BgL_bgl_za762lambda2794za7624601z00,
		BGl_z62lambda2794z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4124z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4602za7,
		BGl_z62zc3z04anonymousza32525ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4043z00zzliveness_typesz00,
		BgL_bgl_za762lambda2207za7624603z00,
		BGl_z62lambda2207z62zzliveness_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4206z00zzliveness_typesz00,
		BgL_bgl_za762lambda2793za7624604z00,
		BGl_z62lambda2793z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4125z00zzliveness_typesz00,
		BgL_bgl_za762lambda2524za7624605z00,
		BGl_z62lambda2524z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4044z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4606za7,
		BGl_z62zc3z04anonymousza32267ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4207z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4607za7,
		BGl_z62zc3z04anonymousza32823ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4126z00zzliveness_typesz00,
		BgL_bgl_za762lambda2523za7624608z00,
		BGl_z62lambda2523z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4045z00zzliveness_typesz00,
		BgL_bgl_za762lambda2266za7624609z00,
		BGl_z62lambda2266z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4208z00zzliveness_typesz00,
		BgL_bgl_za762lambda2822za7624610z00,
		BGl_z62lambda2822z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4127z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4611za7,
		BGl_z62zc3z04anonymousza32534ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4046z00zzliveness_typesz00,
		BgL_bgl_za762lambda2265za7624612z00,
		BGl_z62lambda2265z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4209z00zzliveness_typesz00,
		BgL_bgl_za762lambda2821za7624613z00,
		BGl_z62lambda2821z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4128z00zzliveness_typesz00,
		BgL_bgl_za762lambda2533za7624614z00,
		BGl_z62lambda2533z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4047z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4615za7,
		BGl_z62zc3z04anonymousza32274ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4129z00zzliveness_typesz00,
		BgL_bgl_za762lambda2532za7624616z00,
		BGl_z62lambda2532z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4048z00zzliveness_typesz00,
		BgL_bgl_za762lambda2273za7624617z00,
		BGl_z62lambda2273z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4049z00zzliveness_typesz00,
		BgL_bgl_za762lambda2272za7624618z00,
		BGl_z62lambda2272z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4210z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4619za7,
		BGl_z62zc3z04anonymousza32830ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4211z00zzliveness_typesz00,
		BgL_bgl_za762lambda2829za7624620z00,
		BGl_z62lambda2829z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4130z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4621za7,
		BGl_z62zc3z04anonymousza32544ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4212z00zzliveness_typesz00,
		BgL_bgl_za762lambda2828za7624622z00,
		BGl_z62lambda2828z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4131z00zzliveness_typesz00,
		BgL_bgl_za762lambda2543za7624623z00,
		BGl_z62lambda2543z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4050z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4624za7,
		BGl_z62zc3z04anonymousza32281ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4213z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4625za7,
		BGl_z62zc3z04anonymousza32840ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4132z00zzliveness_typesz00,
		BgL_bgl_za762lambda2542za7624626z00,
		BGl_z62lambda2542z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4051z00zzliveness_typesz00,
		BgL_bgl_za762lambda2280za7624627z00,
		BGl_z62lambda2280z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4214z00zzliveness_typesz00,
		BgL_bgl_za762lambda2839za7624628z00,
		BGl_z62lambda2839z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4133z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4629za7,
		BGl_z62zc3z04anonymousza32554ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4052z00zzliveness_typesz00,
		BgL_bgl_za762lambda2279za7624630z00,
		BGl_z62lambda2279z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4215z00zzliveness_typesz00,
		BgL_bgl_za762lambda2838za7624631z00,
		BGl_z62lambda2838z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4134z00zzliveness_typesz00,
		BgL_bgl_za762lambda2553za7624632z00,
		BGl_z62lambda2553z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4053z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4633za7,
		BGl_z62zc3z04anonymousza32289ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4216z00zzliveness_typesz00,
		BgL_bgl_za762lambda2783za7624634z00,
		BGl_z62lambda2783z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4135z00zzliveness_typesz00,
		BgL_bgl_za762lambda2552za7624635z00,
		BGl_z62lambda2552z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4054z00zzliveness_typesz00,
		BgL_bgl_za762lambda2288za7624636z00,
		BGl_z62lambda2288z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4217z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4637za7,
		BGl_z62zc3z04anonymousza32782ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4136z00zzliveness_typesz00,
		BgL_bgl_za762lambda2508za7624638z00,
		BGl_z62lambda2508z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4055z00zzliveness_typesz00,
		BgL_bgl_za762lambda2287za7624639z00,
		BGl_z62lambda2287z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4218z00zzliveness_typesz00,
		BgL_bgl_za762lambda2779za7624640z00,
		BGl_z62lambda2779z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4137z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4641za7,
		BGl_z62zc3z04anonymousza32507ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4056z00zzliveness_typesz00,
		BgL_bgl_za762lambda2257za7624642z00,
		BGl_z62lambda2257z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4219z00zzliveness_typesz00,
		BgL_bgl_za762lambda2776za7624643z00,
		BGl_z62lambda2776z62zzliveness_typesz00, 0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4138z00zzliveness_typesz00,
		BgL_bgl_za762lambda2504za7624644z00,
		BGl_z62lambda2504z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4057z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4645za7,
		BGl_z62zc3z04anonymousza32256ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4139z00zzliveness_typesz00,
		BgL_bgl_za762lambda2501za7624646z00,
		BGl_z62lambda2501z62zzliveness_typesz00, 0L, BUNSPEC, 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4058z00zzliveness_typesz00,
		BgL_bgl_za762lambda2254za7624647z00,
		BGl_z62lambda2254z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4059z00zzliveness_typesz00,
		BgL_bgl_za762lambda2251za7624648z00,
		BGl_z62lambda2251z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4300z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4649za7,
		BGl_z62zc3z04anonymousza33204ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4301z00zzliveness_typesz00,
		BgL_bgl_za762lambda3203za7624650z00,
		BGl_z62lambda3203z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4220z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4651za7,
		BGl_z62zc3z04anonymousza32866ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4302z00zzliveness_typesz00,
		BgL_bgl_za762lambda3202za7624652z00,
		BGl_z62lambda3202z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4221z00zzliveness_typesz00,
		BgL_bgl_za762lambda2865za7624653z00,
		BGl_z62lambda2865z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4140z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4654za7,
		BGl_z62zc3z04anonymousza32584ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4303z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4655za7,
		BGl_z62zc3z04anonymousza33218ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4222z00zzliveness_typesz00,
		BgL_bgl_za762lambda2864za7624656z00,
		BGl_z62lambda2864z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4141z00zzliveness_typesz00,
		BgL_bgl_za762lambda2583za7624657z00,
		BGl_z62lambda2583z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4060z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4658za7,
		BGl_z62zc3z04anonymousza32313ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4304z00zzliveness_typesz00,
		BgL_bgl_za762lambda3217za7624659z00,
		BGl_z62lambda3217z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4223z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4660za7,
		BGl_z62zc3z04anonymousza32873ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4142z00zzliveness_typesz00,
		BgL_bgl_za762lambda2582za7624661z00,
		BGl_z62lambda2582z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4061z00zzliveness_typesz00,
		BgL_bgl_za762lambda2312za7624662z00,
		BGl_z62lambda2312z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4305z00zzliveness_typesz00,
		BgL_bgl_za762lambda3216za7624663z00,
		BGl_z62lambda3216z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4224z00zzliveness_typesz00,
		BgL_bgl_za762lambda2872za7624664z00,
		BGl_z62lambda2872z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4143z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4665za7,
		BGl_z62zc3z04anonymousza32593ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4062z00zzliveness_typesz00,
		BgL_bgl_za762lambda2311za7624666z00,
		BGl_z62lambda2311z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4306z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4667za7,
		BGl_z62zc3z04anonymousza33225ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4225z00zzliveness_typesz00,
		BgL_bgl_za762lambda2871za7624668z00,
		BGl_z62lambda2871z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4144z00zzliveness_typesz00,
		BgL_bgl_za762lambda2592za7624669z00,
		BGl_z62lambda2592z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4063z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4670za7,
		BGl_z62zc3z04anonymousza32320ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4307z00zzliveness_typesz00,
		BgL_bgl_za762lambda3224za7624671z00,
		BGl_z62lambda3224z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4226z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4672za7,
		BGl_z62zc3z04anonymousza32882ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4145z00zzliveness_typesz00,
		BgL_bgl_za762lambda2591za7624673z00,
		BGl_z62lambda2591z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4064z00zzliveness_typesz00,
		BgL_bgl_za762lambda2319za7624674z00,
		BGl_z62lambda2319z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4308z00zzliveness_typesz00,
		BgL_bgl_za762lambda3223za7624675z00,
		BGl_z62lambda3223z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4227z00zzliveness_typesz00,
		BgL_bgl_za762lambda2881za7624676z00,
		BGl_z62lambda2881z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4146z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4677za7,
		BGl_z62zc3z04anonymousza32601ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4065z00zzliveness_typesz00,
		BgL_bgl_za762lambda2318za7624678z00,
		BGl_z62lambda2318z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4309z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4679za7,
		BGl_z62zc3z04anonymousza33233ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4228z00zzliveness_typesz00,
		BgL_bgl_za762lambda2880za7624680z00,
		BGl_z62lambda2880z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4147z00zzliveness_typesz00,
		BgL_bgl_za762lambda2600za7624681z00,
		BGl_z62lambda2600z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4066z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4682za7,
		BGl_z62zc3z04anonymousza32327ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4229z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4683za7,
		BGl_z62zc3z04anonymousza32916ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4148z00zzliveness_typesz00,
		BgL_bgl_za762lambda2599za7624684z00,
		BGl_z62lambda2599z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4067z00zzliveness_typesz00,
		BgL_bgl_za762lambda2326za7624685z00,
		BGl_z62lambda2326z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4149z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4686za7,
		BGl_z62zc3z04anonymousza32608ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4068z00zzliveness_typesz00,
		BgL_bgl_za762lambda2325za7624687z00,
		BGl_z62lambda2325z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4069z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4688za7,
		BGl_z62zc3z04anonymousza32335ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4310z00zzliveness_typesz00,
		BgL_bgl_za762lambda3232za7624689z00,
		BGl_z62lambda3232z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4311z00zzliveness_typesz00,
		BgL_bgl_za762lambda3231za7624690z00,
		BGl_z62lambda3231z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4230z00zzliveness_typesz00,
		BgL_bgl_za762lambda2915za7624691z00,
		BGl_z62lambda2915z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4312z00zzliveness_typesz00,
		BgL_bgl_za762lambda3194za7624692z00,
		BGl_z62lambda3194z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4231z00zzliveness_typesz00,
		BgL_bgl_za762lambda2914za7624693z00,
		BGl_z62lambda2914z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4150z00zzliveness_typesz00,
		BgL_bgl_za762lambda2607za7624694z00,
		BGl_z62lambda2607z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4313z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4695za7,
		BGl_z62zc3z04anonymousza33193ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4232z00zzliveness_typesz00,
		BgL_bgl_za762lambda2853za7624696z00,
		BGl_z62lambda2853z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4151z00zzliveness_typesz00,
		BgL_bgl_za762lambda2606za7624697z00,
		BGl_z62lambda2606z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4070z00zzliveness_typesz00,
		BgL_bgl_za762lambda2334za7624698z00,
		BGl_z62lambda2334z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4314z00zzliveness_typesz00,
		BgL_bgl_za762lambda3190za7624699z00,
		BGl_z62lambda3190z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4233z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4700za7,
		BGl_z62zc3z04anonymousza32852ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4152z00zzliveness_typesz00,
		BgL_bgl_za762lambda2572za7624701z00,
		BGl_z62lambda2572z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4071z00zzliveness_typesz00,
		BgL_bgl_za762lambda2333za7624702z00,
		BGl_z62lambda2333z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4315z00zzliveness_typesz00,
		BgL_bgl_za762lambda3187za7624703z00,
		BGl_z62lambda3187z62zzliveness_typesz00, 0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4234z00zzliveness_typesz00,
		BgL_bgl_za762lambda2850za7624704z00,
		BGl_z62lambda2850z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4153z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4705za7,
		BGl_z62zc3z04anonymousza32571ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4072z00zzliveness_typesz00,
		BgL_bgl_za762lambda2303za7624706z00,
		BGl_z62lambda2303z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4316z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4707za7,
		BGl_z62zc3z04anonymousza33273ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4235z00zzliveness_typesz00,
		BgL_bgl_za762lambda2847za7624708z00,
		BGl_z62lambda2847z62zzliveness_typesz00, 0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4154z00zzliveness_typesz00,
		BgL_bgl_za762lambda2569za7624709z00,
		BGl_z62lambda2569z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4073z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4710za7,
		BGl_z62zc3z04anonymousza32302ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4317z00zzliveness_typesz00,
		BgL_bgl_za762lambda3272za7624711z00,
		BGl_z62lambda3272z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4236z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4712za7,
		BGl_z62zc3z04anonymousza32943ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4155z00zzliveness_typesz00,
		BgL_bgl_za762lambda2565za7624713z00,
		BGl_z62lambda2565z62zzliveness_typesz00, 0L, BUNSPEC, 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4074z00zzliveness_typesz00,
		BgL_bgl_za762lambda2299za7624714z00,
		BGl_z62lambda2299z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4318z00zzliveness_typesz00,
		BgL_bgl_za762lambda3271za7624715z00,
		BGl_z62lambda3271z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4237z00zzliveness_typesz00,
		BgL_bgl_za762lambda2942za7624716z00,
		BGl_z62lambda2942z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4156z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4717za7,
		BGl_z62zc3z04anonymousza32634ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4075z00zzliveness_typesz00,
		BgL_bgl_za762lambda2296za7624718z00,
		BGl_z62lambda2296z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4319z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4719za7,
		BGl_z62zc3z04anonymousza33302ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4238z00zzliveness_typesz00,
		BgL_bgl_za762lambda2941za7624720z00,
		BGl_z62lambda2941z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4157z00zzliveness_typesz00,
		BgL_bgl_za762lambda2633za7624721z00,
		BGl_z62lambda2633z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4076z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4722za7,
		BGl_z62zc3z04anonymousza32363ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4239z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4723za7,
		BGl_z62zc3z04anonymousza32950ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4158z00zzliveness_typesz00,
		BgL_bgl_za762lambda2632za7624724z00,
		BGl_z62lambda2632z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4077z00zzliveness_typesz00,
		BgL_bgl_za762lambda2362za7624725z00,
		BGl_z62lambda2362z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4159z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4726za7,
		BGl_z62zc3z04anonymousza32643ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4078z00zzliveness_typesz00,
		BgL_bgl_za762lambda2361za7624727z00,
		BGl_z62lambda2361z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4079z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4728za7,
		BGl_z62zc3z04anonymousza32370ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4400z00zzliveness_typesz00,
		BgL_bgl_za762lambda3568za7624729z00,
		BGl_z62lambda3568z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4401z00zzliveness_typesz00,
		BgL_bgl_za762lambda3567za7624730z00,
		BGl_z62lambda3567z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4320z00zzliveness_typesz00,
		BgL_bgl_za762lambda3301za7624731z00,
		BGl_z62lambda3301z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4402z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4732za7,
		BGl_z62zc3z04anonymousza33576ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4321z00zzliveness_typesz00,
		BgL_bgl_za762lambda3300za7624733z00,
		BGl_z62lambda3300z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4240z00zzliveness_typesz00,
		BgL_bgl_za762lambda2949za7624734z00,
		BGl_z62lambda2949z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4403z00zzliveness_typesz00,
		BgL_bgl_za762lambda3575za7624735z00,
		BGl_z62lambda3575z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4322z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4736za7,
		BGl_z62zc3z04anonymousza33309ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4241z00zzliveness_typesz00,
		BgL_bgl_za762lambda2948za7624737z00,
		BGl_z62lambda2948z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4160z00zzliveness_typesz00,
		BgL_bgl_za762lambda2642za7624738z00,
		BGl_z62lambda2642z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4404z00zzliveness_typesz00,
		BgL_bgl_za762lambda3574za7624739z00,
		BGl_z62lambda3574z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4323z00zzliveness_typesz00,
		BgL_bgl_za762lambda3308za7624740z00,
		BGl_z62lambda3308z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4242z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4741za7,
		BGl_z62zc3z04anonymousza32957ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4161z00zzliveness_typesz00,
		BgL_bgl_za762lambda2641za7624742z00,
		BGl_z62lambda2641z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4080z00zzliveness_typesz00,
		BgL_bgl_za762lambda2369za7624743z00,
		BGl_z62lambda2369z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4405z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4744za7,
		BGl_z62zc3z04anonymousza33584ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4324z00zzliveness_typesz00,
		BgL_bgl_za762lambda3307za7624745z00,
		BGl_z62lambda3307z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4243z00zzliveness_typesz00,
		BgL_bgl_za762lambda2956za7624746z00,
		BGl_z62lambda2956z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4162z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4747za7,
		BGl_z62zc3z04anonymousza32651ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4081z00zzliveness_typesz00,
		BgL_bgl_za762lambda2368za7624748z00,
		BGl_z62lambda2368z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4406z00zzliveness_typesz00,
		BgL_bgl_za762lambda3583za7624749z00,
		BGl_z62lambda3583z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4325z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4750za7,
		BGl_z62zc3z04anonymousza33318ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4244z00zzliveness_typesz00,
		BgL_bgl_za762lambda2955za7624751z00,
		BGl_z62lambda2955z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4163z00zzliveness_typesz00,
		BgL_bgl_za762lambda2650za7624752z00,
		BGl_z62lambda2650z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4082z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4753za7,
		BGl_z62zc3z04anonymousza32378ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4407z00zzliveness_typesz00,
		BgL_bgl_za762lambda3582za7624754z00,
		BGl_z62lambda3582z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4326z00zzliveness_typesz00,
		BgL_bgl_za762lambda3317za7624755z00,
		BGl_z62lambda3317z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4245z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4756za7,
		BGl_z62zc3z04anonymousza32965ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4164z00zzliveness_typesz00,
		BgL_bgl_za762lambda2649za7624757z00,
		BGl_z62lambda2649z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4083z00zzliveness_typesz00,
		BgL_bgl_za762lambda2377za7624758z00,
		BGl_z62lambda2377z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4408z00zzliveness_typesz00,
		BgL_bgl_za762lambda3548za7624759z00,
		BGl_z62lambda3548z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4327z00zzliveness_typesz00,
		BgL_bgl_za762lambda3316za7624760z00,
		BGl_z62lambda3316z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4246z00zzliveness_typesz00,
		BgL_bgl_za762lambda2964za7624761z00,
		BGl_z62lambda2964z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4165z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4762za7,
		BGl_z62zc3z04anonymousza32658ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4084z00zzliveness_typesz00,
		BgL_bgl_za762lambda2376za7624763z00,
		BGl_z62lambda2376z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4409z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4764za7,
		BGl_z62zc3z04anonymousza33547ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4328z00zzliveness_typesz00,
		BgL_bgl_za762lambda3261za7624765z00,
		BGl_z62lambda3261z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4247z00zzliveness_typesz00,
		BgL_bgl_za762lambda2963za7624766z00,
		BGl_z62lambda2963z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4166z00zzliveness_typesz00,
		BgL_bgl_za762lambda2657za7624767z00,
		BGl_z62lambda2657z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4085z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4768za7,
		BGl_z62zc3z04anonymousza32385ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4329z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4769za7,
		BGl_z62zc3z04anonymousza33260ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4248z00zzliveness_typesz00,
		BgL_bgl_za762lambda2932za7624770z00,
		BGl_z62lambda2932z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4167z00zzliveness_typesz00,
		BgL_bgl_za762lambda2656za7624771z00,
		BGl_z62lambda2656z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4086z00zzliveness_typesz00,
		BgL_bgl_za762lambda2384za7624772z00,
		BGl_z62lambda2384z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4249z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4773za7,
		BGl_z62zc3z04anonymousza32931ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4168z00zzliveness_typesz00,
		BgL_bgl_za762lambda2622za7624774z00,
		BGl_z62lambda2622z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4087z00zzliveness_typesz00,
		BgL_bgl_za762lambda2383za7624775z00,
		BGl_z62lambda2383z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4169z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4776za7,
		BGl_z62zc3z04anonymousza32621ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4088z00zzliveness_typesz00,
		BgL_bgl_za762lambda2352za7624777z00,
		BGl_z62lambda2352z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4089z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4778za7,
		BGl_z62zc3z04anonymousza32351ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4410z00zzliveness_typesz00,
		BgL_bgl_za762lambda3545za7624779z00,
		BGl_z62lambda3545z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4411z00zzliveness_typesz00,
		BgL_bgl_za762lambda3542za7624780z00,
		BGl_z62lambda3542z62zzliveness_typesz00, 0L, BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4330z00zzliveness_typesz00,
		BgL_bgl_za762lambda3258za7624781z00,
		BGl_z62lambda3258z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4412z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4782za7,
		BGl_z62zc3z04anonymousza33613ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4331z00zzliveness_typesz00,
		BgL_bgl_za762lambda3253za7624783z00,
		BGl_z62lambda3253z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4250z00zzliveness_typesz00,
		BgL_bgl_za762lambda2929za7624784z00,
		BGl_z62lambda2929z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4413z00zzliveness_typesz00,
		BgL_bgl_za762lambda3612za7624785z00,
		BGl_z62lambda3612z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4332z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4786za7,
		BGl_z62zc3z04anonymousza33342ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4251z00zzliveness_typesz00,
		BgL_bgl_za762lambda2924za7624787z00,
		BGl_z62lambda2924z62zzliveness_typesz00, 0L, BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4170z00zzliveness_typesz00,
		BgL_bgl_za762lambda2619za7624788z00,
		BGl_z62lambda2619z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4414z00zzliveness_typesz00,
		BgL_bgl_za762lambda3611za7624789z00,
		BGl_z62lambda3611z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4333z00zzliveness_typesz00,
		BgL_bgl_za762lambda3341za7624790z00,
		BGl_z62lambda3341z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4252z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4791za7,
		BGl_z62zc3z04anonymousza33016ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4171z00zzliveness_typesz00,
		BgL_bgl_za762lambda2616za7624792z00,
		BGl_z62lambda2616z62zzliveness_typesz00, 0L, BUNSPEC, 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4090z00zzliveness_typesz00,
		BgL_bgl_za762lambda2348za7624793z00,
		BGl_z62lambda2348z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4415z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4794za7,
		BGl_z62zc3z04anonymousza33622ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4334z00zzliveness_typesz00,
		BgL_bgl_za762lambda3340za7624795z00,
		BGl_z62lambda3340z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4253z00zzliveness_typesz00,
		BgL_bgl_za762lambda3015za7624796z00,
		BGl_z62lambda3015z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4172z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4797za7,
		BGl_z62zc3z04anonymousza32683ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4091z00zzliveness_typesz00,
		BgL_bgl_za762lambda2343za7624798z00,
		BGl_z62lambda2343z62zzliveness_typesz00, 0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4416z00zzliveness_typesz00,
		BgL_bgl_za762lambda3621za7624799z00,
		BGl_z62lambda3621z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4335z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4800za7,
		BGl_z62zc3z04anonymousza33349ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4254z00zzliveness_typesz00,
		BgL_bgl_za762lambda3014za7624801z00,
		BGl_z62lambda3014z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4173z00zzliveness_typesz00,
		BgL_bgl_za762lambda2682za7624802z00,
		BGl_z62lambda2682z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4092z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4803za7,
		BGl_z62zc3z04anonymousza32412ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4417z00zzliveness_typesz00,
		BgL_bgl_za762lambda3620za7624804z00,
		BGl_z62lambda3620z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4336z00zzliveness_typesz00,
		BgL_bgl_za762lambda3348za7624805z00,
		BGl_z62lambda3348z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4255z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4806za7,
		BGl_z62zc3z04anonymousza33024ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4174z00zzliveness_typesz00,
		BgL_bgl_za762lambda2681za7624807z00,
		BGl_z62lambda2681z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4093z00zzliveness_typesz00,
		BgL_bgl_za762lambda2411za7624808z00,
		BGl_z62lambda2411z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4418z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4809za7,
		BGl_z62zc3z04anonymousza33631ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4337z00zzliveness_typesz00,
		BgL_bgl_za762lambda3347za7624810z00,
		BGl_z62lambda3347z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4256z00zzliveness_typesz00,
		BgL_bgl_za762lambda3023za7624811z00,
		BGl_z62lambda3023z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4175z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4812za7,
		BGl_z62zc3z04anonymousza32690ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4094z00zzliveness_typesz00,
		BgL_bgl_za762lambda2410za7624813z00,
		BGl_z62lambda2410z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4419z00zzliveness_typesz00,
		BgL_bgl_za762lambda3630za7624814z00,
		BGl_z62lambda3630z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4338z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4815za7,
		BGl_z62zc3z04anonymousza33357ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4257z00zzliveness_typesz00,
		BgL_bgl_za762lambda3022za7624816z00,
		BGl_z62lambda3022z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4176z00zzliveness_typesz00,
		BgL_bgl_za762lambda2689za7624817z00,
		BGl_z62lambda2689z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4095z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4818za7,
		BGl_z62zc3z04anonymousza32419ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4339z00zzliveness_typesz00,
		BgL_bgl_za762lambda3356za7624819z00,
		BGl_z62lambda3356z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4258z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4820za7,
		BGl_z62zc3z04anonymousza33033ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4177z00zzliveness_typesz00,
		BgL_bgl_za762lambda2688za7624821z00,
		BGl_z62lambda2688z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4096z00zzliveness_typesz00,
		BgL_bgl_za762lambda2418za7624822z00,
		BGl_z62lambda2418z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4259z00zzliveness_typesz00,
		BgL_bgl_za762lambda3032za7624823z00,
		BGl_z62lambda3032z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4178z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4824za7,
		BGl_z62zc3z04anonymousza32697ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4097z00zzliveness_typesz00,
		BgL_bgl_za762lambda2417za7624825z00,
		BGl_z62lambda2417z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4179z00zzliveness_typesz00,
		BgL_bgl_za762lambda2696za7624826z00,
		BGl_z62lambda2696z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4098z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4827za7,
		BGl_z62zc3z04anonymousza32427ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4099z00zzliveness_typesz00,
		BgL_bgl_za762lambda2426za7624828z00,
		BGl_z62lambda2426z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4500z00zzliveness_typesz00,
		BgL_bgl_za762lambda3865za7624829z00,
		BGl_z62lambda3865z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4501z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4830za7,
		BGl_z62zc3z04anonymousza33874ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4420z00zzliveness_typesz00,
		BgL_bgl_za762lambda3629za7624831z00,
		BGl_z62lambda3629z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4502z00zzliveness_typesz00,
		BgL_bgl_za762lambda3873za7624832z00,
		BGl_z62lambda3873z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4421z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4833za7,
		BGl_z62zc3z04anonymousza33639ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4340z00zzliveness_typesz00,
		BgL_bgl_za762lambda3355za7624834z00,
		BGl_z62lambda3355z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4503z00zzliveness_typesz00,
		BgL_bgl_za762lambda3872za7624835z00,
		BGl_z62lambda3872z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4422z00zzliveness_typesz00,
		BgL_bgl_za762lambda3638za7624836z00,
		BGl_z62lambda3638z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4341z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4837za7,
		BGl_z62zc3z04anonymousza33365ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4260z00zzliveness_typesz00,
		BgL_bgl_za762lambda3031za7624838z00,
		BGl_z62lambda3031z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4504z00zzliveness_typesz00,
		BgL_bgl_za762lambda3843za7624839z00,
		BGl_z62lambda3843z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4423z00zzliveness_typesz00,
		BgL_bgl_za762lambda3637za7624840z00,
		BGl_z62lambda3637z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4342z00zzliveness_typesz00,
		BgL_bgl_za762lambda3364za7624841z00,
		BGl_z62lambda3364z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4261z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4842za7,
		BGl_z62zc3z04anonymousza33041ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4180z00zzliveness_typesz00,
		BgL_bgl_za762lambda2695za7624843z00,
		BGl_z62lambda2695z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4505z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4844za7,
		BGl_z62zc3z04anonymousza33842ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4424z00zzliveness_typesz00,
		BgL_bgl_za762lambda3601za7624845z00,
		BGl_z62lambda3601z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4343z00zzliveness_typesz00,
		BgL_bgl_za762lambda3363za7624846z00,
		BGl_z62lambda3363z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4262z00zzliveness_typesz00,
		BgL_bgl_za762lambda3040za7624847z00,
		BGl_z62lambda3040z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4181z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4848za7,
		BGl_z62zc3z04anonymousza32706ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4506z00zzliveness_typesz00,
		BgL_bgl_za762lambda3840za7624849z00,
		BGl_z62lambda3840z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4425z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4850za7,
		BGl_z62zc3z04anonymousza33600ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4344z00zzliveness_typesz00,
		BgL_bgl_za762lambda3331za7624851z00,
		BGl_z62lambda3331z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4263z00zzliveness_typesz00,
		BgL_bgl_za762lambda3039za7624852z00,
		BGl_z62lambda3039z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4182z00zzliveness_typesz00,
		BgL_bgl_za762lambda2705za7624853z00,
		BGl_z62lambda2705z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4507z00zzliveness_typesz00,
		BgL_bgl_za762lambda3837za7624854z00,
		BGl_z62lambda3837z62zzliveness_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4426z00zzliveness_typesz00,
		BgL_bgl_za762lambda3597za7624855z00,
		BGl_z62lambda3597z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4345z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4856za7,
		BGl_z62zc3z04anonymousza33330ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4264z00zzliveness_typesz00,
		BgL_bgl_za762lambda2981za7624857z00,
		BGl_z62lambda2981z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4183z00zzliveness_typesz00,
		BgL_bgl_za762lambda2704za7624858z00,
		BGl_z62lambda2704z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4508z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4859za7,
		BGl_z62zc3z04anonymousza33897ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4427z00zzliveness_typesz00,
		BgL_bgl_za762lambda3593za7624860z00,
		BGl_z62lambda3593z62zzliveness_typesz00, 0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4346z00zzliveness_typesz00,
		BgL_bgl_za762lambda3328za7624861z00,
		BGl_z62lambda3328z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4265z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4862za7,
		BGl_z62zc3z04anonymousza32980ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4184z00zzliveness_typesz00,
		BgL_bgl_za762lambda2671za7624863z00,
		BGl_z62lambda2671z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4509z00zzliveness_typesz00,
		BgL_bgl_za762lambda3896za7624864z00,
		BGl_z62lambda3896z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4428z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4865za7,
		BGl_z62zc3z04anonymousza33665ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4347z00zzliveness_typesz00,
		BgL_bgl_za762lambda3325za7624866z00,
		BGl_z62lambda3325z62zzliveness_typesz00, 0L, BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4266z00zzliveness_typesz00,
		BgL_bgl_za762lambda2978za7624867z00,
		BGl_z62lambda2978z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4185z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4868za7,
		BGl_z62zc3z04anonymousza32670ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4429z00zzliveness_typesz00,
		BgL_bgl_za762lambda3664za7624869z00,
		BGl_z62lambda3664z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4348z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4870za7,
		BGl_z62zc3z04anonymousza33409ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4267z00zzliveness_typesz00,
		BgL_bgl_za762lambda2975za7624871z00,
		BGl_z62lambda2975z62zzliveness_typesz00, 0L, BUNSPEC, 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4186z00zzliveness_typesz00,
		BgL_bgl_za762lambda2668za7624872z00,
		BGl_z62lambda2668z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4349z00zzliveness_typesz00,
		BgL_bgl_za762lambda3408za7624873z00,
		BGl_z62lambda3408z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4268z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4874za7,
		BGl_z62zc3z04anonymousza33083ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4187z00zzliveness_typesz00,
		BgL_bgl_za762lambda2665za7624875z00,
		BGl_z62lambda2665z62zzliveness_typesz00, 0L, BUNSPEC, 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4269z00zzliveness_typesz00,
		BgL_bgl_za762lambda3082za7624876z00,
		BGl_z62lambda3082z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4188z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4877za7,
		BGl_z62zc3z04anonymousza32733ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4189z00zzliveness_typesz00,
		BgL_bgl_za762lambda2732za7624878z00,
		BGl_z62lambda2732z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4510z00zzliveness_typesz00,
		BgL_bgl_za762lambda3895za7624879z00,
		BGl_z62lambda3895z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4511z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4880za7,
		BGl_z62zc3z04anonymousza33904ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4430z00zzliveness_typesz00,
		BgL_bgl_za762lambda3663za7624881z00,
		BGl_z62lambda3663z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4512z00zzliveness_typesz00,
		BgL_bgl_za762lambda3903za7624882z00,
		BGl_z62lambda3903z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4431z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4883za7,
		BGl_z62zc3z04anonymousza33673ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4350z00zzliveness_typesz00,
		BgL_bgl_za762lambda3407za7624884z00,
		BGl_z62lambda3407z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4513z00zzliveness_typesz00,
		BgL_bgl_za762lambda3902za7624885z00,
		BGl_z62lambda3902z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4432z00zzliveness_typesz00,
		BgL_bgl_za762lambda3672za7624886z00,
		BGl_z62lambda3672z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4351z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4887za7,
		BGl_z62zc3z04anonymousza33417ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4270z00zzliveness_typesz00,
		BgL_bgl_za762lambda3081za7624888z00,
		BGl_z62lambda3081z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4514z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4889za7,
		BGl_z62zc3z04anonymousza33911ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4433z00zzliveness_typesz00,
		BgL_bgl_za762lambda3671za7624890z00,
		BGl_z62lambda3671z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4352z00zzliveness_typesz00,
		BgL_bgl_za762lambda3416za7624891z00,
		BGl_z62lambda3416z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4271z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4892za7,
		BGl_z62zc3z04anonymousza33092ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4190z00zzliveness_typesz00,
		BgL_bgl_za762lambda2731za7624893z00,
		BGl_z62lambda2731z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4515z00zzliveness_typesz00,
		BgL_bgl_za762lambda3910za7624894z00,
		BGl_z62lambda3910z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4434z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4895za7,
		BGl_z62zc3z04anonymousza33682ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4353z00zzliveness_typesz00,
		BgL_bgl_za762lambda3415za7624896z00,
		BGl_z62lambda3415z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4272z00zzliveness_typesz00,
		BgL_bgl_za762lambda3091za7624897z00,
		BGl_z62lambda3091z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4191z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4898za7,
		BGl_z62zc3z04anonymousza32741ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4516z00zzliveness_typesz00,
		BgL_bgl_za762lambda3909za7624899z00,
		BGl_z62lambda3909z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4435z00zzliveness_typesz00,
		BgL_bgl_za762lambda3681za7624900z00,
		BGl_z62lambda3681z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4354z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4901za7,
		BGl_z62zc3z04anonymousza33426ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4273z00zzliveness_typesz00,
		BgL_bgl_za762lambda3090za7624902z00,
		BGl_z62lambda3090z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4192z00zzliveness_typesz00,
		BgL_bgl_za762lambda2740za7624903z00,
		BGl_z62lambda2740z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4517z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4904za7,
		BGl_z62zc3z04anonymousza33918ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4436z00zzliveness_typesz00,
		BgL_bgl_za762lambda3680za7624905z00,
		BGl_z62lambda3680z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4355z00zzliveness_typesz00,
		BgL_bgl_za762lambda3425za7624906z00,
		BGl_z62lambda3425z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4274z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4907za7,
		BGl_z62zc3z04anonymousza33100ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4193z00zzliveness_typesz00,
		BgL_bgl_za762lambda2739za7624908z00,
		BGl_z62lambda2739z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4524z00zzliveness_typesz00,
		BgL_bgl_string4524za700za7za7l4909za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4518z00zzliveness_typesz00,
		BgL_bgl_za762lambda3917za7624910z00,
		BGl_z62lambda3917z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4437z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4911za7,
		BGl_z62zc3z04anonymousza33691ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4356z00zzliveness_typesz00,
		BgL_bgl_za762lambda3424za7624912z00,
		BGl_z62lambda3424z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4275z00zzliveness_typesz00,
		BgL_bgl_za762lambda3099za7624913z00,
		BGl_z62lambda3099z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4194z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4914za7,
		BGl_z62zc3z04anonymousza32749ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string4525z00zzliveness_typesz00,
		BgL_bgl_string4525za700za7za7l4915za7, "liveness_types", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4519z00zzliveness_typesz00,
		BgL_bgl_za762lambda3916za7624916z00,
		BGl_z62lambda3916z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4438z00zzliveness_typesz00,
		BgL_bgl_za762lambda3690za7624917z00,
		BGl_z62lambda3690z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4357z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4918za7,
		BGl_z62zc3z04anonymousza33433ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4276z00zzliveness_typesz00,
		BgL_bgl_za762lambda3098za7624919z00,
		BGl_z62lambda3098z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4195z00zzliveness_typesz00,
		BgL_bgl_za762lambda2748za7624920z00,
		BGl_z62lambda2748z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4526z00zzliveness_typesz00,
		BgL_bgl_string4526za700za7za7l4921za7,
		"_ box-set!/liveness box-ref/liveness make-box/liveness return/liveness retblock/liveness sync/liveness jump-ex-it/liveness set-ex-it/liveness let-var/liveness let-fun/liveness switch/liveness fail/liveness conditional/liveness setq/liveness cast/liveness cast-null/liveness instanceof/liveness vlength/liveness vset!/liveness vref/liveness valloc/liveness new/liveness widening/liveness setfield/liveness getfield/liveness pragma/liveness funcall/liveness app-ly/liveness app/liveness sequence/liveness kwote/liveness closure/liveness ref/liveness literal/liveness out in use pair-nil def liveness_types local/liveness int %count ",
		630);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4439z00zzliveness_typesz00,
		BgL_bgl_za762lambda3689za7624922z00,
		BGl_z62lambda3689z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4358z00zzliveness_typesz00,
		BgL_bgl_za762lambda3432za7624923z00,
		BGl_z62lambda3432z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4277z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4924za7,
		BGl_z62zc3z04anonymousza33118ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4196z00zzliveness_typesz00,
		BgL_bgl_za762lambda2747za7624925z00,
		BGl_z62lambda2747z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4359z00zzliveness_typesz00,
		BgL_bgl_za762lambda3431za7624926z00,
		BGl_z62lambda3431z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4278z00zzliveness_typesz00,
		BgL_bgl_za762lambda3117za7624927z00,
		BGl_z62lambda3117z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4197z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4928za7,
		BGl_z62zc3z04anonymousza32765ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4279z00zzliveness_typesz00,
		BgL_bgl_za762lambda3116za7624929z00,
		BGl_z62lambda3116z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4198z00zzliveness_typesz00,
		BgL_bgl_za762lambda2764za7624930z00,
		BGl_z62lambda2764z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4199z00zzliveness_typesz00,
		BgL_bgl_za762lambda2763za7624931z00,
		BGl_z62lambda2763z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4520z00zzliveness_typesz00,
		BgL_bgl_za762lambda3887za7624932z00,
		BGl_z62lambda3887z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4521z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4933za7,
		BGl_z62zc3z04anonymousza33886ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4440z00zzliveness_typesz00,
		BgL_bgl_za762lambda3654za7624934z00,
		BGl_z62lambda3654z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4522z00zzliveness_typesz00,
		BgL_bgl_za762lambda3884za7624935z00,
		BGl_z62lambda3884z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4441z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4936za7,
		BGl_z62zc3z04anonymousza33653ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4360z00zzliveness_typesz00,
		BgL_bgl_za762lambda3397za7624937z00,
		BGl_z62lambda3397z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4523z00zzliveness_typesz00,
		BgL_bgl_za762lambda3881za7624938z00,
		BGl_z62lambda3881z62zzliveness_typesz00, 0L, BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4442z00zzliveness_typesz00,
		BgL_bgl_za762lambda3651za7624939z00,
		BGl_z62lambda3651z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4361z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4940za7,
		BGl_z62zc3z04anonymousza33396ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4280z00zzliveness_typesz00,
		BgL_bgl_za762lambda3073za7624941z00,
		BGl_z62lambda3073z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4443z00zzliveness_typesz00,
		BgL_bgl_za762lambda3648za7624942z00,
		BGl_z62lambda3648z62zzliveness_typesz00, 0L, BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4362z00zzliveness_typesz00,
		BgL_bgl_za762lambda3394za7624943z00,
		BGl_z62lambda3394z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4281z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4944za7,
		BGl_z62zc3z04anonymousza33072ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4444z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4945za7,
		BGl_z62zc3z04anonymousza33719ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4363z00zzliveness_typesz00,
		BgL_bgl_za762lambda3388za7624946z00,
		BGl_z62lambda3388z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4282z00zzliveness_typesz00,
		BgL_bgl_za762lambda3070za7624947z00,
		BGl_z62lambda3070z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4445z00zzliveness_typesz00,
		BgL_bgl_za762lambda3718za7624948z00,
		BGl_z62lambda3718z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4364z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4949za7,
		BGl_z62zc3z04anonymousza33458ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4283z00zzliveness_typesz00,
		BgL_bgl_za762lambda3065za7624950z00,
		BGl_z62lambda3065z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4446z00zzliveness_typesz00,
		BgL_bgl_za762lambda3717za7624951z00,
		BGl_z62lambda3717z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4365z00zzliveness_typesz00,
		BgL_bgl_za762lambda3457za7624952z00,
		BGl_z62lambda3457z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4284z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4953za7,
		BGl_z62zc3z04anonymousza33145ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4447z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4954za7,
		BGl_z62zc3z04anonymousza33726ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4366z00zzliveness_typesz00,
		BgL_bgl_za762lambda3456za7624955z00,
		BGl_z62lambda3456z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4285z00zzliveness_typesz00,
		BgL_bgl_za762lambda3144za7624956z00,
		BGl_z62lambda3144z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4448z00zzliveness_typesz00,
		BgL_bgl_za762lambda3725za7624957z00,
		BGl_z62lambda3725z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4367z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4958za7,
		BGl_z62zc3z04anonymousza33465ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4286z00zzliveness_typesz00,
		BgL_bgl_za762lambda3143za7624959z00,
		BGl_z62lambda3143z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4449z00zzliveness_typesz00,
		BgL_bgl_za762lambda3724za7624960z00,
		BGl_z62lambda3724z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4368z00zzliveness_typesz00,
		BgL_bgl_za762lambda3464za7624961z00,
		BGl_z62lambda3464z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4287z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4962za7,
		BGl_z62zc3z04anonymousza33155ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4369z00zzliveness_typesz00,
		BgL_bgl_za762lambda3463za7624963z00,
		BGl_z62lambda3463z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4288z00zzliveness_typesz00,
		BgL_bgl_za762lambda3154za7624964z00,
		BGl_z62lambda3154z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4289z00zzliveness_typesz00,
		BgL_bgl_za762lambda3153za7624965z00,
		BGl_z62lambda3153z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4450z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4966za7,
		BGl_z62zc3z04anonymousza33734ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4451z00zzliveness_typesz00,
		BgL_bgl_za762lambda3733za7624967z00,
		BGl_z62lambda3733z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4370z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4968za7,
		BGl_z62zc3z04anonymousza33473ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4452z00zzliveness_typesz00,
		BgL_bgl_za762lambda3732za7624969z00,
		BGl_z62lambda3732z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4371z00zzliveness_typesz00,
		BgL_bgl_za762lambda3472za7624970z00,
		BGl_z62lambda3472z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4290z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4971za7,
		BGl_z62zc3z04anonymousza33163ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4453z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4972za7,
		BGl_z62zc3z04anonymousza33742ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4372z00zzliveness_typesz00,
		BgL_bgl_za762lambda3471za7624973z00,
		BGl_z62lambda3471z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4291z00zzliveness_typesz00,
		BgL_bgl_za762lambda3162za7624974z00,
		BGl_z62lambda3162z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4454z00zzliveness_typesz00,
		BgL_bgl_za762lambda3741za7624975z00,
		BGl_z62lambda3741z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4373z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4976za7,
		BGl_z62zc3z04anonymousza33482ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4292z00zzliveness_typesz00,
		BgL_bgl_za762lambda3161za7624977z00,
		BGl_z62lambda3161z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4455z00zzliveness_typesz00,
		BgL_bgl_za762lambda3740za7624978z00,
		BGl_z62lambda3740z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4374z00zzliveness_typesz00,
		BgL_bgl_za762lambda3481za7624979z00,
		BGl_z62lambda3481z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4293z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4980za7,
		BGl_z62zc3z04anonymousza33171ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4456z00zzliveness_typesz00,
		BgL_bgl_za762lambda3707za7624981z00,
		BGl_z62lambda3707z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4375z00zzliveness_typesz00,
		BgL_bgl_za762lambda3480za7624982z00,
		BGl_z62lambda3480z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4294z00zzliveness_typesz00,
		BgL_bgl_za762lambda3170za7624983z00,
		BGl_z62lambda3170z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4457z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4984za7,
		BGl_z62zc3z04anonymousza33706ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4376z00zzliveness_typesz00,
		BgL_bgl_za762lambda3447za7624985z00,
		BGl_z62lambda3447z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4295z00zzliveness_typesz00,
		BgL_bgl_za762lambda3169za7624986z00,
		BGl_z62lambda3169z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4458z00zzliveness_typesz00,
		BgL_bgl_za762lambda3703za7624987z00,
		BGl_z62lambda3703z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4377z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4988za7,
		BGl_z62zc3z04anonymousza33446ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4296z00zzliveness_typesz00,
		BgL_bgl_za762lambda3132za7624989z00,
		BGl_z62lambda3132z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4459z00zzliveness_typesz00,
		BgL_bgl_za762lambda3700za7624990z00,
		BGl_z62lambda3700z62zzliveness_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4378z00zzliveness_typesz00,
		BgL_bgl_za762lambda3444za7624991z00,
		BGl_z62lambda3444z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4297z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4992za7,
		BGl_z62zc3z04anonymousza33131ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4379z00zzliveness_typesz00,
		BgL_bgl_za762lambda3441za7624993z00,
		BGl_z62lambda3441z62zzliveness_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4298z00zzliveness_typesz00,
		BgL_bgl_za762lambda3129za7624994z00,
		BGl_z62lambda3129z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4299z00zzliveness_typesz00,
		BgL_bgl_za762lambda3126za7624995z00,
		BGl_z62lambda3126z62zzliveness_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4460z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4996za7,
		BGl_z62zc3z04anonymousza33765ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4461z00zzliveness_typesz00,
		BgL_bgl_za762lambda3764za7624997z00,
		BGl_z62lambda3764z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4380z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4998za7,
		BGl_z62zc3z04anonymousza33510ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4462z00zzliveness_typesz00,
		BgL_bgl_za762lambda3763za7624999z00,
		BGl_z62lambda3763z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4381z00zzliveness_typesz00,
		BgL_bgl_za762lambda3509za7625000z00,
		BGl_z62lambda3509z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4463z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5001za7,
		BGl_z62zc3z04anonymousza33772ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4382z00zzliveness_typesz00,
		BgL_bgl_za762lambda3508za7625002z00,
		BGl_z62lambda3508z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4464z00zzliveness_typesz00,
		BgL_bgl_za762lambda3771za7625003z00,
		BGl_z62lambda3771z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4383z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5004za7,
		BGl_z62zc3z04anonymousza33518ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4465z00zzliveness_typesz00,
		BgL_bgl_za762lambda3770za7625005z00,
		BGl_z62lambda3770z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4384z00zzliveness_typesz00,
		BgL_bgl_za762lambda3517za7625006z00,
		BGl_z62lambda3517z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4466z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5007za7,
		BGl_z62zc3z04anonymousza33779ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4385z00zzliveness_typesz00,
		BgL_bgl_za762lambda3516za7625008z00,
		BGl_z62lambda3516z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4467z00zzliveness_typesz00,
		BgL_bgl_za762lambda3778za7625009z00,
		BGl_z62lambda3778z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4386z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5010za7,
		BGl_z62zc3z04anonymousza33526ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4468z00zzliveness_typesz00,
		BgL_bgl_za762lambda3777za7625011z00,
		BGl_z62lambda3777z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4387z00zzliveness_typesz00,
		BgL_bgl_za762lambda3525za7625012z00,
		BGl_z62lambda3525z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4469z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5013za7,
		BGl_z62zc3z04anonymousza33786ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4388z00zzliveness_typesz00,
		BgL_bgl_za762lambda3524za7625014z00,
		BGl_z62lambda3524z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4389z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5015za7,
		BGl_z62zc3z04anonymousza33534ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4470z00zzliveness_typesz00,
		BgL_bgl_za762lambda3785za7625016z00,
		BGl_z62lambda3785z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4471z00zzliveness_typesz00,
		BgL_bgl_za762lambda3784za7625017z00,
		BGl_z62lambda3784z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4390z00zzliveness_typesz00,
		BgL_bgl_za762lambda3533za7625018z00,
		BGl_z62lambda3533z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4472z00zzliveness_typesz00,
		BgL_bgl_za762lambda3755za7625019z00,
		BGl_z62lambda3755z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4391z00zzliveness_typesz00,
		BgL_bgl_za762lambda3532za7625020z00,
		BGl_z62lambda3532z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4473z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5021za7,
		BGl_z62zc3z04anonymousza33754ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4392z00zzliveness_typesz00,
		BgL_bgl_za762lambda3498za7625022z00,
		BGl_z62lambda3498z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4474z00zzliveness_typesz00,
		BgL_bgl_za762lambda3752za7625023z00,
		BGl_z62lambda3752z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4393z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5024za7,
		BGl_z62zc3z04anonymousza33497ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4475z00zzliveness_typesz00,
		BgL_bgl_za762lambda3749za7625025z00,
		BGl_z62lambda3749z62zzliveness_typesz00, 0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4394z00zzliveness_typesz00,
		BgL_bgl_za762lambda3494za7625026z00,
		BGl_z62lambda3494z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4476z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5027za7,
		BGl_z62zc3z04anonymousza33809ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4395z00zzliveness_typesz00,
		BgL_bgl_za762lambda3491za7625028z00,
		BGl_z62lambda3491z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4477z00zzliveness_typesz00,
		BgL_bgl_za762lambda3808za7625029z00,
		BGl_z62lambda3808z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4396z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5030za7,
		BGl_z62zc3z04anonymousza33560ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4478z00zzliveness_typesz00,
		BgL_bgl_za762lambda3807za7625031z00,
		BGl_z62lambda3807z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4397z00zzliveness_typesz00,
		BgL_bgl_za762lambda3559za7625032z00,
		BGl_z62lambda3559z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4479z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5033za7,
		BGl_z62zc3z04anonymousza33816ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4398z00zzliveness_typesz00,
		BgL_bgl_za762lambda3558za7625034z00,
		BGl_z62lambda3558z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4399z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5035za7,
		BGl_z62zc3z04anonymousza33569ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4480z00zzliveness_typesz00,
		BgL_bgl_za762lambda3815za7625036z00,
		BGl_z62lambda3815z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4481z00zzliveness_typesz00,
		BgL_bgl_za762lambda3814za7625037z00,
		BGl_z62lambda3814z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4482z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5038za7,
		BGl_z62zc3z04anonymousza33823ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4483z00zzliveness_typesz00,
		BgL_bgl_za762lambda3822za7625039z00,
		BGl_z62lambda3822z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4484z00zzliveness_typesz00,
		BgL_bgl_za762lambda3821za7625040z00,
		BGl_z62lambda3821z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4485z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5041za7,
		BGl_z62zc3z04anonymousza33830ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4486z00zzliveness_typesz00,
		BgL_bgl_za762lambda3829za7625042z00,
		BGl_z62lambda3829z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4487z00zzliveness_typesz00,
		BgL_bgl_za762lambda3828za7625043z00,
		BGl_z62lambda3828z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4488z00zzliveness_typesz00,
		BgL_bgl_za762lambda3799za7625044z00,
		BGl_z62lambda3799z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4489z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5045za7,
		BGl_z62zc3z04anonymousza33798ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4490z00zzliveness_typesz00,
		BgL_bgl_za762lambda3796za7625046z00,
		BGl_z62lambda3796z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4491z00zzliveness_typesz00,
		BgL_bgl_za762lambda3793za7625047z00,
		BGl_z62lambda3793z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4492z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5048za7,
		BGl_z62zc3z04anonymousza33853ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4493z00zzliveness_typesz00,
		BgL_bgl_za762lambda3852za7625049z00,
		BGl_z62lambda3852z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4494z00zzliveness_typesz00,
		BgL_bgl_za762lambda3851za7625050z00,
		BGl_z62lambda3851z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4495z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5051za7,
		BGl_z62zc3z04anonymousza33860ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4496z00zzliveness_typesz00,
		BgL_bgl_za762lambda3859za7625052z00,
		BGl_z62lambda3859z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4497z00zzliveness_typesz00,
		BgL_bgl_za762lambda3858za7625053z00,
		BGl_z62lambda3858z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4498z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5054za7,
		BGl_z62zc3z04anonymousza33867ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4499z00zzliveness_typesz00,
		BgL_bgl_za762lambda3866za7625055z00,
		BGl_z62lambda3866z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3973z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5056za7,
		BGl_z62zc3z04anonymousza32062ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3974z00zzliveness_typesz00,
		BgL_bgl_za762lambda2061za7625057z00,
		BGl_z62lambda2061z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3975z00zzliveness_typesz00,
		BgL_bgl_za762lambda2060za7625058z00,
		BGl_z62lambda2060z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3976z00zzliveness_typesz00,
		BgL_bgl_za762lambda2051za7625059z00,
		BGl_z62lambda2051z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3977z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5060za7,
		BGl_z62zc3z04anonymousza32050ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3978z00zzliveness_typesz00,
		BgL_bgl_za762lambda2048za7625061z00,
		BGl_z62lambda2048z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3979z00zzliveness_typesz00,
		BgL_bgl_za762lambda2045za7625062z00,
		BGl_z62lambda2045z62zzliveness_typesz00, 0L, BUNSPEC, 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3980z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5063za7,
		BGl_z62zc3z04anonymousza32088ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3981z00zzliveness_typesz00,
		BgL_bgl_za762lambda2087za7625064z00,
		BGl_z62lambda2087z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3982z00zzliveness_typesz00,
		BgL_bgl_za762lambda2086za7625065z00,
		BGl_z62lambda2086z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3983z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5066za7,
		BGl_z62zc3z04anonymousza32095ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3984z00zzliveness_typesz00,
		BgL_bgl_za762lambda2094za7625067z00,
		BGl_z62lambda2094z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3985z00zzliveness_typesz00,
		BgL_bgl_za762lambda2093za7625068z00,
		BGl_z62lambda2093z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3986z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5069za7,
		BGl_z62zc3z04anonymousza32104ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3987z00zzliveness_typesz00,
		BgL_bgl_za762lambda2103za7625070z00,
		BGl_z62lambda2103z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3988z00zzliveness_typesz00,
		BgL_bgl_za762lambda2102za7625071z00,
		BGl_z62lambda2102z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3989z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5072za7,
		BGl_z62zc3z04anonymousza32111ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3990z00zzliveness_typesz00,
		BgL_bgl_za762lambda2110za7625073z00,
		BGl_z62lambda2110z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3991z00zzliveness_typesz00,
		BgL_bgl_za762lambda2109za7625074z00,
		BGl_z62lambda2109z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3992z00zzliveness_typesz00,
		BgL_bgl_za762lambda2076za7625075z00,
		BGl_z62lambda2076z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3993z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5076za7,
		BGl_z62zc3z04anonymousza32075ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3994z00zzliveness_typesz00,
		BgL_bgl_za762lambda2073za7625077z00,
		BGl_z62lambda2073z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3995z00zzliveness_typesz00,
		BgL_bgl_za762lambda2070za7625078z00,
		BGl_z62lambda2070z62zzliveness_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3996z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5079za7,
		BGl_z62zc3z04anonymousza32134ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3997z00zzliveness_typesz00,
		BgL_bgl_za762lambda2133za7625080z00,
		BGl_z62lambda2133z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3998z00zzliveness_typesz00,
		BgL_bgl_za762lambda2132za7625081z00,
		BGl_z62lambda2132z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3999z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5082za7,
		BGl_z62zc3z04anonymousza32142ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_funcallzf2livenesszf2zzliveness_typesz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_letzd2funzf2livenessz20zzliveness_typesz00));
		   
			 ADD_ROOT((void *) (&BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_refzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_kwotezf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_literalzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_conditionalzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_wideningzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_instanceofzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_boxzd2refzf2livenessz20zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_localzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_letzd2varzf2livenessz20zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_vsetz12zf2livenessze0zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_vlengthzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_appzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_newzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_switchzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_retblockzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_appzd2lyzf2livenessz20zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_vrefzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_valloczf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_returnzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_failzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_makezd2boxzf2livenessz20zzliveness_typesz00));
		   
			 ADD_ROOT((void *) (&BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00));
		   
			 ADD_ROOT((void
				*) (&BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_castzd2nullzf2livenessz20zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_sequencezf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_setqzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_closurezf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_pragmazf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_synczf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_getfieldzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_castzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_setfieldzf2livenesszf2zzliveness_typesz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzliveness_typesz00(long
		BgL_checksumz00_9889, char *BgL_fromz00_9890)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzliveness_typesz00))
				{
					BGl_requirezd2initializa7ationz75zzliveness_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzliveness_typesz00();
					BGl_libraryzd2moduleszd2initz00zzliveness_typesz00();
					BGl_cnstzd2initzd2zzliveness_typesz00();
					BGl_importedzd2moduleszd2initz00zzliveness_typesz00();
					BGl_objectzd2initzd2zzliveness_typesz00();
					return BGl_toplevelzd2initzd2zzliveness_typesz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzliveness_typesz00()
	{
		{	/* Liveness/types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"liveness_types");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"liveness_types");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"liveness_types");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"liveness_types");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"liveness_types");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"liveness_types");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzliveness_typesz00()
	{
		{	/* Liveness/types.scm 15 */
			{	/* Liveness/types.scm 15 */
				obj_t BgL_cportz00_8467;

				{	/* Liveness/types.scm 15 */
					obj_t BgL_stringz00_8475;

					BgL_stringz00_8475 = BGl_string4526z00zzliveness_typesz00;
					{	/* Liveness/types.scm 15 */
						obj_t BgL_startz00_8476;

						BgL_startz00_8476 = BINT(((long) 0));
						{	/* Liveness/types.scm 15 */
							obj_t BgL_endz00_8477;

							BgL_endz00_8477 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_8475)));
							{	/* Liveness/types.scm 15 */

								BgL_cportz00_8467 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_8475, BgL_startz00_8476, BgL_endz00_8477);
				}}}}
				{
					long BgL_iz00_8468;

					BgL_iz00_8468 = ((long) 43);
				BgL_loopz00_8469:
					if ((BgL_iz00_8468 == ((long) -1)))
						{	/* Liveness/types.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Liveness/types.scm 15 */
							{	/* Liveness/types.scm 15 */
								obj_t BgL_arg4528z00_8471;

								{	/* Liveness/types.scm 15 */

									{	/* Liveness/types.scm 15 */
										obj_t BgL_locationz00_8473;

										BgL_locationz00_8473 = BBOOL(((bool_t) 0));
										{	/* Liveness/types.scm 15 */

											BgL_arg4528z00_8471 =
												BGl_readz00zz__readerz00(BgL_cportz00_8467,
												BgL_locationz00_8473);
										}
									}
								}
								{	/* Liveness/types.scm 15 */
									int BgL_tmpz00_9915;

									BgL_tmpz00_9915 = (int) (BgL_iz00_8468);
									CNST_TABLE_SET(BgL_tmpz00_9915, BgL_arg4528z00_8471);
							}}
							{	/* Liveness/types.scm 15 */
								int BgL_auxz00_8474;

								BgL_auxz00_8474 = (int) ((BgL_iz00_8468 - ((long) 1)));
								{
									long BgL_iz00_9920;

									BgL_iz00_9920 = (long) (BgL_auxz00_8474);
									BgL_iz00_8468 = BgL_iz00_9920;
									goto BgL_loopz00_8469;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzliveness_typesz00()
	{
		{	/* Liveness/types.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzliveness_typesz00()
	{
		{	/* Liveness/types.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzliveness_typesz00()
	{
		{	/* Liveness/types.scm 15 */
			{	/* Liveness/types.scm 26 */
				obj_t BgL_arg2043z00_1365;
				obj_t BgL_arg2044z00_1366;

				{	/* Liveness/types.scm 26 */
					obj_t BgL_v1965z00_1401;

					BgL_v1965z00_1401 = create_vector(((long) 1));
					{	/* Liveness/types.scm 26 */
						obj_t BgL_arg2055z00_1402;

						BgL_arg2055z00_1402 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc3975z00zzliveness_typesz00,
							BGl_proc3974z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3973z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1965z00_1401, ((long) 0), BgL_arg2055z00_1402);
					}
					BgL_arg2043z00_1365 = BgL_v1965z00_1401;
				}
				{	/* Liveness/types.scm 26 */
					obj_t BgL_v1966z00_1415;

					BgL_v1966z00_1415 = create_vector(((long) 0));
					BgL_arg2044z00_1366 = BgL_v1966z00_1415;
				}
				BGl_localzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 2)),
					CNST_TABLE_REF(((long) 3)), BGl_localz00zzast_varz00, ((long) 56389),
					BGl_proc3979z00zzliveness_typesz00,
					BGl_proc3978z00zzliveness_typesz00, BFALSE,
					BGl_proc3977z00zzliveness_typesz00,
					BGl_proc3976z00zzliveness_typesz00, BgL_arg2043z00_1365,
					BgL_arg2044z00_1366);
			}
			{	/* Liveness/types.scm 29 */
				obj_t BgL_arg2068z00_1424;
				obj_t BgL_arg2069z00_1425;

				{	/* Liveness/types.scm 29 */
					obj_t BgL_v1967z00_1453;

					BgL_v1967z00_1453 = create_vector(((long) 4));
					{	/* Liveness/types.scm 29 */
						obj_t BgL_arg2082z00_1454;

						BgL_arg2082z00_1454 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc3982z00zzliveness_typesz00,
							BGl_proc3981z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3980z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1967z00_1453, ((long) 0), BgL_arg2082z00_1454);
					}
					{	/* Liveness/types.scm 29 */
						obj_t BgL_arg2089z00_1467;

						BgL_arg2089z00_1467 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc3985z00zzliveness_typesz00,
							BGl_proc3984z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3983z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1967z00_1453, ((long) 1), BgL_arg2089z00_1467);
					}
					{	/* Liveness/types.scm 29 */
						obj_t BgL_arg2096z00_1480;

						BgL_arg2096z00_1480 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc3988z00zzliveness_typesz00,
							BGl_proc3987z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3986z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1967z00_1453, ((long) 2), BgL_arg2096z00_1480);
					}
					{	/* Liveness/types.scm 29 */
						obj_t BgL_arg2105z00_1493;

						BgL_arg2105z00_1493 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3991z00zzliveness_typesz00,
							BGl_proc3990z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3989z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1967z00_1453, ((long) 3), BgL_arg2105z00_1493);
					}
					BgL_arg2068z00_1424 = BgL_v1967z00_1453;
				}
				{	/* Liveness/types.scm 29 */
					obj_t BgL_v1968z00_1506;

					BgL_v1968z00_1506 = create_vector(((long) 0));
					BgL_arg2069z00_1425 = BgL_v1968z00_1506;
				}
				BGl_literalzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 9)),
					CNST_TABLE_REF(((long) 3)), BGl_literalz00zzast_nodez00,
					((long) 57234), BGl_proc3995z00zzliveness_typesz00,
					BGl_proc3994z00zzliveness_typesz00, BFALSE,
					BGl_proc3993z00zzliveness_typesz00,
					BGl_proc3992z00zzliveness_typesz00, BgL_arg2068z00_1424,
					BgL_arg2069z00_1425);
			}
			{	/* Liveness/types.scm 35 */
				obj_t BgL_arg2116z00_1515;
				obj_t BgL_arg2117z00_1516;

				{	/* Liveness/types.scm 35 */
					obj_t BgL_v1969z00_1544;

					BgL_v1969z00_1544 = create_vector(((long) 4));
					{	/* Liveness/types.scm 35 */
						obj_t BgL_arg2128z00_1545;

						BgL_arg2128z00_1545 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc3998z00zzliveness_typesz00,
							BGl_proc3997z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3996z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1969z00_1544, ((long) 0), BgL_arg2128z00_1545);
					}
					{	/* Liveness/types.scm 35 */
						obj_t BgL_arg2136z00_1558;

						BgL_arg2136z00_1558 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4001z00zzliveness_typesz00,
							BGl_proc4000z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3999z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1969z00_1544, ((long) 1), BgL_arg2136z00_1558);
					}
					{	/* Liveness/types.scm 35 */
						obj_t BgL_arg2143z00_1571;

						BgL_arg2143z00_1571 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4004z00zzliveness_typesz00,
							BGl_proc4003z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4002z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1969z00_1544, ((long) 2), BgL_arg2143z00_1571);
					}
					{	/* Liveness/types.scm 35 */
						obj_t BgL_arg2150z00_1584;

						BgL_arg2150z00_1584 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4007z00zzliveness_typesz00,
							BGl_proc4006z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4005z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1969z00_1544, ((long) 3), BgL_arg2150z00_1584);
					}
					BgL_arg2116z00_1515 = BgL_v1969z00_1544;
				}
				{	/* Liveness/types.scm 35 */
					obj_t BgL_v1970z00_1597;

					BgL_v1970z00_1597 = create_vector(((long) 0));
					BgL_arg2117z00_1516 = BgL_v1970z00_1597;
				}
				BGl_refzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 10)),
					CNST_TABLE_REF(((long) 3)), BGl_refz00zzast_nodez00, ((long) 10994),
					BGl_proc4011z00zzliveness_typesz00,
					BGl_proc4010z00zzliveness_typesz00, BFALSE,
					BGl_proc4009z00zzliveness_typesz00,
					BGl_proc4008z00zzliveness_typesz00, BgL_arg2116z00_1515,
					BgL_arg2117z00_1516);
			}
			{	/* Liveness/types.scm 41 */
				obj_t BgL_arg2161z00_1606;
				obj_t BgL_arg2162z00_1607;

				{	/* Liveness/types.scm 41 */
					obj_t BgL_v1971z00_1635;

					BgL_v1971z00_1635 = create_vector(((long) 4));
					{	/* Liveness/types.scm 41 */
						obj_t BgL_arg2173z00_1636;

						BgL_arg2173z00_1636 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4014z00zzliveness_typesz00,
							BGl_proc4013z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4012z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1971z00_1635, ((long) 0), BgL_arg2173z00_1636);
					}
					{	/* Liveness/types.scm 41 */
						obj_t BgL_arg2180z00_1649;

						BgL_arg2180z00_1649 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4017z00zzliveness_typesz00,
							BGl_proc4016z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4015z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1971z00_1635, ((long) 1), BgL_arg2180z00_1649);
					}
					{	/* Liveness/types.scm 41 */
						obj_t BgL_arg2187z00_1662;

						BgL_arg2187z00_1662 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4020z00zzliveness_typesz00,
							BGl_proc4019z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4018z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1971z00_1635, ((long) 2), BgL_arg2187z00_1662);
					}
					{	/* Liveness/types.scm 41 */
						obj_t BgL_arg2194z00_1675;

						BgL_arg2194z00_1675 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4023z00zzliveness_typesz00,
							BGl_proc4022z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4021z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1971z00_1635, ((long) 3), BgL_arg2194z00_1675);
					}
					BgL_arg2161z00_1606 = BgL_v1971z00_1635;
				}
				{	/* Liveness/types.scm 41 */
					obj_t BgL_v1972z00_1688;

					BgL_v1972z00_1688 = create_vector(((long) 0));
					BgL_arg2162z00_1607 = BgL_v1972z00_1688;
				}
				BGl_closurezf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 11)),
					CNST_TABLE_REF(((long) 3)), BGl_closurez00zzast_nodez00,
					((long) 38002), BGl_proc4027z00zzliveness_typesz00,
					BGl_proc4026z00zzliveness_typesz00, BFALSE,
					BGl_proc4025z00zzliveness_typesz00,
					BGl_proc4024z00zzliveness_typesz00, BgL_arg2161z00_1606,
					BgL_arg2162z00_1607);
			}
			{	/* Liveness/types.scm 47 */
				obj_t BgL_arg2205z00_1697;
				obj_t BgL_arg2206z00_1698;

				{	/* Liveness/types.scm 47 */
					obj_t BgL_v1973z00_1726;

					BgL_v1973z00_1726 = create_vector(((long) 4));
					{	/* Liveness/types.scm 47 */
						obj_t BgL_arg2217z00_1727;

						BgL_arg2217z00_1727 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4030z00zzliveness_typesz00,
							BGl_proc4029z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4028z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1973z00_1726, ((long) 0), BgL_arg2217z00_1727);
					}
					{	/* Liveness/types.scm 47 */
						obj_t BgL_arg2224z00_1740;

						BgL_arg2224z00_1740 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4033z00zzliveness_typesz00,
							BGl_proc4032z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4031z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1973z00_1726, ((long) 1), BgL_arg2224z00_1740);
					}
					{	/* Liveness/types.scm 47 */
						obj_t BgL_arg2231z00_1753;

						BgL_arg2231z00_1753 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4036z00zzliveness_typesz00,
							BGl_proc4035z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4034z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1973z00_1726, ((long) 2), BgL_arg2231z00_1753);
					}
					{	/* Liveness/types.scm 47 */
						obj_t BgL_arg2238z00_1766;

						BgL_arg2238z00_1766 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4039z00zzliveness_typesz00,
							BGl_proc4038z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4037z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1973z00_1726, ((long) 3), BgL_arg2238z00_1766);
					}
					BgL_arg2205z00_1697 = BgL_v1973z00_1726;
				}
				{	/* Liveness/types.scm 47 */
					obj_t BgL_v1974z00_1779;

					BgL_v1974z00_1779 = create_vector(((long) 0));
					BgL_arg2206z00_1698 = BgL_v1974z00_1779;
				}
				BGl_kwotezf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 12)),
					CNST_TABLE_REF(((long) 3)), BGl_kwotez00zzast_nodez00, ((long) 1496),
					BGl_proc4043z00zzliveness_typesz00,
					BGl_proc4042z00zzliveness_typesz00, BFALSE,
					BGl_proc4041z00zzliveness_typesz00,
					BGl_proc4040z00zzliveness_typesz00, BgL_arg2205z00_1697,
					BgL_arg2206z00_1698);
			}
			{	/* Liveness/types.scm 53 */
				obj_t BgL_arg2249z00_1788;
				obj_t BgL_arg2250z00_1789;

				{	/* Liveness/types.scm 53 */
					obj_t BgL_v1975z00_1821;

					BgL_v1975z00_1821 = create_vector(((long) 4));
					{	/* Liveness/types.scm 53 */
						obj_t BgL_arg2261z00_1822;

						BgL_arg2261z00_1822 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4046z00zzliveness_typesz00,
							BGl_proc4045z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4044z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1975z00_1821, ((long) 0), BgL_arg2261z00_1822);
					}
					{	/* Liveness/types.scm 53 */
						obj_t BgL_arg2268z00_1835;

						BgL_arg2268z00_1835 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4049z00zzliveness_typesz00,
							BGl_proc4048z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4047z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1975z00_1821, ((long) 1), BgL_arg2268z00_1835);
					}
					{	/* Liveness/types.scm 53 */
						obj_t BgL_arg2275z00_1848;

						BgL_arg2275z00_1848 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4052z00zzliveness_typesz00,
							BGl_proc4051z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4050z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1975z00_1821, ((long) 2), BgL_arg2275z00_1848);
					}
					{	/* Liveness/types.scm 53 */
						obj_t BgL_arg2282z00_1861;

						BgL_arg2282z00_1861 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4055z00zzliveness_typesz00,
							BGl_proc4054z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4053z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1975z00_1821, ((long) 3), BgL_arg2282z00_1861);
					}
					BgL_arg2249z00_1788 = BgL_v1975z00_1821;
				}
				{	/* Liveness/types.scm 53 */
					obj_t BgL_v1976z00_1874;

					BgL_v1976z00_1874 = create_vector(((long) 0));
					BgL_arg2250z00_1789 = BgL_v1976z00_1874;
				}
				BGl_sequencezf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 13)),
					CNST_TABLE_REF(((long) 3)), BGl_sequencez00zzast_nodez00,
					((long) 2458), BGl_proc4059z00zzliveness_typesz00,
					BGl_proc4058z00zzliveness_typesz00, BFALSE,
					BGl_proc4057z00zzliveness_typesz00,
					BGl_proc4056z00zzliveness_typesz00, BgL_arg2249z00_1788,
					BgL_arg2250z00_1789);
			}
			{	/* Liveness/types.scm 59 */
				obj_t BgL_arg2294z00_1883;
				obj_t BgL_arg2295z00_1884;

				{	/* Liveness/types.scm 59 */
					obj_t BgL_v1977z00_1916;

					BgL_v1977z00_1916 = create_vector(((long) 4));
					{	/* Liveness/types.scm 59 */
						obj_t BgL_arg2307z00_1917;

						BgL_arg2307z00_1917 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4062z00zzliveness_typesz00,
							BGl_proc4061z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4060z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1977z00_1916, ((long) 0), BgL_arg2307z00_1917);
					}
					{	/* Liveness/types.scm 59 */
						obj_t BgL_arg2314z00_1930;

						BgL_arg2314z00_1930 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4065z00zzliveness_typesz00,
							BGl_proc4064z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4063z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1977z00_1916, ((long) 1), BgL_arg2314z00_1930);
					}
					{	/* Liveness/types.scm 59 */
						obj_t BgL_arg2321z00_1943;

						BgL_arg2321z00_1943 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4068z00zzliveness_typesz00,
							BGl_proc4067z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4066z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1977z00_1916, ((long) 2), BgL_arg2321z00_1943);
					}
					{	/* Liveness/types.scm 59 */
						obj_t BgL_arg2328z00_1956;

						BgL_arg2328z00_1956 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4071z00zzliveness_typesz00,
							BGl_proc4070z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4069z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1977z00_1916, ((long) 3), BgL_arg2328z00_1956);
					}
					BgL_arg2294z00_1883 = BgL_v1977z00_1916;
				}
				{	/* Liveness/types.scm 59 */
					obj_t BgL_v1978z00_1969;

					BgL_v1978z00_1969 = create_vector(((long) 0));
					BgL_arg2295z00_1884 = BgL_v1978z00_1969;
				}
				BGl_appzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 14)),
					CNST_TABLE_REF(((long) 3)), BGl_appz00zzast_nodez00, ((long) 35626),
					BGl_proc4075z00zzliveness_typesz00,
					BGl_proc4074z00zzliveness_typesz00, BFALSE,
					BGl_proc4073z00zzliveness_typesz00,
					BGl_proc4072z00zzliveness_typesz00, BgL_arg2294z00_1883,
					BgL_arg2295z00_1884);
			}
			{	/* Liveness/types.scm 65 */
				obj_t BgL_arg2341z00_1978;
				obj_t BgL_arg2342z00_1979;

				{	/* Liveness/types.scm 65 */
					obj_t BgL_v1979z00_2008;

					BgL_v1979z00_2008 = create_vector(((long) 4));
					{	/* Liveness/types.scm 65 */
						obj_t BgL_arg2356z00_2009;

						BgL_arg2356z00_2009 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4078z00zzliveness_typesz00,
							BGl_proc4077z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4076z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1979z00_2008, ((long) 0), BgL_arg2356z00_2009);
					}
					{	/* Liveness/types.scm 65 */
						obj_t BgL_arg2364z00_2022;

						BgL_arg2364z00_2022 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4081z00zzliveness_typesz00,
							BGl_proc4080z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4079z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1979z00_2008, ((long) 1), BgL_arg2364z00_2022);
					}
					{	/* Liveness/types.scm 65 */
						obj_t BgL_arg2371z00_2035;

						BgL_arg2371z00_2035 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4084z00zzliveness_typesz00,
							BGl_proc4083z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4082z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1979z00_2008, ((long) 2), BgL_arg2371z00_2035);
					}
					{	/* Liveness/types.scm 65 */
						obj_t BgL_arg2379z00_2048;

						BgL_arg2379z00_2048 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4087z00zzliveness_typesz00,
							BGl_proc4086z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4085z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1979z00_2008, ((long) 3), BgL_arg2379z00_2048);
					}
					BgL_arg2341z00_1978 = BgL_v1979z00_2008;
				}
				{	/* Liveness/types.scm 65 */
					obj_t BgL_v1980z00_2061;

					BgL_v1980z00_2061 = create_vector(((long) 0));
					BgL_arg2342z00_1979 = BgL_v1980z00_2061;
				}
				BGl_appzd2lyzf2livenessz20zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 15)),
					CNST_TABLE_REF(((long) 3)), BGl_appzd2lyzd2zzast_nodez00,
					((long) 48742), BGl_proc4091z00zzliveness_typesz00,
					BGl_proc4090z00zzliveness_typesz00, BFALSE,
					BGl_proc4089z00zzliveness_typesz00,
					BGl_proc4088z00zzliveness_typesz00, BgL_arg2341z00_1978,
					BgL_arg2342z00_1979);
			}
			{	/* Liveness/types.scm 71 */
				obj_t BgL_arg2391z00_2070;
				obj_t BgL_arg2392z00_2071;

				{	/* Liveness/types.scm 71 */
					obj_t BgL_v1981z00_2102;

					BgL_v1981z00_2102 = create_vector(((long) 4));
					{	/* Liveness/types.scm 71 */
						obj_t BgL_arg2404z00_2103;

						BgL_arg2404z00_2103 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4094z00zzliveness_typesz00,
							BGl_proc4093z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4092z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1981z00_2102, ((long) 0), BgL_arg2404z00_2103);
					}
					{	/* Liveness/types.scm 71 */
						obj_t BgL_arg2413z00_2116;

						BgL_arg2413z00_2116 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4097z00zzliveness_typesz00,
							BGl_proc4096z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4095z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1981z00_2102, ((long) 1), BgL_arg2413z00_2116);
					}
					{	/* Liveness/types.scm 71 */
						obj_t BgL_arg2420z00_2129;

						BgL_arg2420z00_2129 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4100z00zzliveness_typesz00,
							BGl_proc4099z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4098z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1981z00_2102, ((long) 2), BgL_arg2420z00_2129);
					}
					{	/* Liveness/types.scm 71 */
						obj_t BgL_arg2428z00_2142;

						BgL_arg2428z00_2142 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4103z00zzliveness_typesz00,
							BGl_proc4102z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4101z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1981z00_2102, ((long) 3), BgL_arg2428z00_2142);
					}
					BgL_arg2391z00_2070 = BgL_v1981z00_2102;
				}
				{	/* Liveness/types.scm 71 */
					obj_t BgL_v1982z00_2155;

					BgL_v1982z00_2155 = create_vector(((long) 0));
					BgL_arg2392z00_2071 = BgL_v1982z00_2155;
				}
				BGl_funcallzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 16)),
					CNST_TABLE_REF(((long) 3)), BGl_funcallz00zzast_nodez00,
					((long) 34146), BGl_proc4107z00zzliveness_typesz00,
					BGl_proc4106z00zzliveness_typesz00, BFALSE,
					BGl_proc4105z00zzliveness_typesz00,
					BGl_proc4104z00zzliveness_typesz00, BgL_arg2391z00_2070,
					BgL_arg2392z00_2071);
			}
			{	/* Liveness/types.scm 77 */
				obj_t BgL_arg2444z00_2164;
				obj_t BgL_arg2445z00_2165;

				{	/* Liveness/types.scm 77 */
					obj_t BgL_v1983z00_2197;

					BgL_v1983z00_2197 = create_vector(((long) 4));
					{	/* Liveness/types.scm 77 */
						obj_t BgL_arg2458z00_2198;

						BgL_arg2458z00_2198 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4110z00zzliveness_typesz00,
							BGl_proc4109z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4108z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1983z00_2197, ((long) 0), BgL_arg2458z00_2198);
					}
					{	/* Liveness/types.scm 77 */
						obj_t BgL_arg2467z00_2211;

						BgL_arg2467z00_2211 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4113z00zzliveness_typesz00,
							BGl_proc4112z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4111z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1983z00_2197, ((long) 1), BgL_arg2467z00_2211);
					}
					{	/* Liveness/types.scm 77 */
						obj_t BgL_arg2475z00_2224;

						BgL_arg2475z00_2224 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4116z00zzliveness_typesz00,
							BGl_proc4115z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4114z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1983z00_2197, ((long) 2), BgL_arg2475z00_2224);
					}
					{	/* Liveness/types.scm 77 */
						obj_t BgL_arg2483z00_2237;

						BgL_arg2483z00_2237 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4119z00zzliveness_typesz00,
							BGl_proc4118z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4117z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1983z00_2197, ((long) 3), BgL_arg2483z00_2237);
					}
					BgL_arg2444z00_2164 = BgL_v1983z00_2197;
				}
				{	/* Liveness/types.scm 77 */
					obj_t BgL_v1984z00_2250;

					BgL_v1984z00_2250 = create_vector(((long) 0));
					BgL_arg2445z00_2165 = BgL_v1984z00_2250;
				}
				BGl_pragmazf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 17)),
					CNST_TABLE_REF(((long) 3)), BGl_pragmaz00zzast_nodez00,
					((long) 24636), BGl_proc4123z00zzliveness_typesz00,
					BGl_proc4122z00zzliveness_typesz00, BFALSE,
					BGl_proc4121z00zzliveness_typesz00,
					BGl_proc4120z00zzliveness_typesz00, BgL_arg2444z00_2164,
					BgL_arg2445z00_2165);
			}
			{	/* Liveness/types.scm 83 */
				obj_t BgL_arg2499z00_2259;
				obj_t BgL_arg2500z00_2260;

				{	/* Liveness/types.scm 83 */
					obj_t BgL_v1985z00_2295;

					BgL_v1985z00_2295 = create_vector(((long) 4));
					{	/* Liveness/types.scm 83 */
						obj_t BgL_arg2519z00_2296;

						BgL_arg2519z00_2296 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4126z00zzliveness_typesz00,
							BGl_proc4125z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4124z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1985z00_2295, ((long) 0), BgL_arg2519z00_2296);
					}
					{	/* Liveness/types.scm 83 */
						obj_t BgL_arg2526z00_2309;

						BgL_arg2526z00_2309 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4129z00zzliveness_typesz00,
							BGl_proc4128z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4127z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1985z00_2295, ((long) 1), BgL_arg2526z00_2309);
					}
					{	/* Liveness/types.scm 83 */
						obj_t BgL_arg2535z00_2322;

						BgL_arg2535z00_2322 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4132z00zzliveness_typesz00,
							BGl_proc4131z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4130z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1985z00_2295, ((long) 2), BgL_arg2535z00_2322);
					}
					{	/* Liveness/types.scm 83 */
						obj_t BgL_arg2546z00_2335;

						BgL_arg2546z00_2335 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4135z00zzliveness_typesz00,
							BGl_proc4134z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4133z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1985z00_2295, ((long) 3), BgL_arg2546z00_2335);
					}
					BgL_arg2499z00_2259 = BgL_v1985z00_2295;
				}
				{	/* Liveness/types.scm 83 */
					obj_t BgL_v1986z00_2348;

					BgL_v1986z00_2348 = create_vector(((long) 0));
					BgL_arg2500z00_2260 = BgL_v1986z00_2348;
				}
				BGl_getfieldzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 18)),
					CNST_TABLE_REF(((long) 3)), BGl_getfieldz00zzast_nodez00,
					((long) 35620), BGl_proc4139z00zzliveness_typesz00,
					BGl_proc4138z00zzliveness_typesz00, BFALSE,
					BGl_proc4137z00zzliveness_typesz00,
					BGl_proc4136z00zzliveness_typesz00, BgL_arg2499z00_2259,
					BgL_arg2500z00_2260);
			}
			{	/* Liveness/types.scm 89 */
				obj_t BgL_arg2563z00_2357;
				obj_t BgL_arg2564z00_2358;

				{	/* Liveness/types.scm 89 */
					obj_t BgL_v1987z00_2393;

					BgL_v1987z00_2393 = create_vector(((long) 4));
					{	/* Liveness/types.scm 89 */
						obj_t BgL_arg2578z00_2394;

						BgL_arg2578z00_2394 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4142z00zzliveness_typesz00,
							BGl_proc4141z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4140z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1987z00_2393, ((long) 0), BgL_arg2578z00_2394);
					}
					{	/* Liveness/types.scm 89 */
						obj_t BgL_arg2585z00_2407;

						BgL_arg2585z00_2407 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4145z00zzliveness_typesz00,
							BGl_proc4144z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4143z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1987z00_2393, ((long) 1), BgL_arg2585z00_2407);
					}
					{	/* Liveness/types.scm 89 */
						obj_t BgL_arg2594z00_2420;

						BgL_arg2594z00_2420 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4148z00zzliveness_typesz00,
							BGl_proc4147z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4146z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1987z00_2393, ((long) 2), BgL_arg2594z00_2420);
					}
					{	/* Liveness/types.scm 89 */
						obj_t BgL_arg2602z00_2433;

						BgL_arg2602z00_2433 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4151z00zzliveness_typesz00,
							BGl_proc4150z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4149z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1987z00_2393, ((long) 3), BgL_arg2602z00_2433);
					}
					BgL_arg2563z00_2357 = BgL_v1987z00_2393;
				}
				{	/* Liveness/types.scm 89 */
					obj_t BgL_v1988z00_2446;

					BgL_v1988z00_2446 = create_vector(((long) 0));
					BgL_arg2564z00_2358 = BgL_v1988z00_2446;
				}
				BGl_setfieldzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 19)),
					CNST_TABLE_REF(((long) 3)), BGl_setfieldz00zzast_nodez00,
					((long) 38284), BGl_proc4155z00zzliveness_typesz00,
					BGl_proc4154z00zzliveness_typesz00, BFALSE,
					BGl_proc4153z00zzliveness_typesz00,
					BGl_proc4152z00zzliveness_typesz00, BgL_arg2563z00_2357,
					BgL_arg2564z00_2358);
			}
			{	/* Liveness/types.scm 95 */
				obj_t BgL_arg2613z00_2455;
				obj_t BgL_arg2615z00_2456;

				{	/* Liveness/types.scm 95 */
					obj_t BgL_v1989z00_2489;

					BgL_v1989z00_2489 = create_vector(((long) 4));
					{	/* Liveness/types.scm 95 */
						obj_t BgL_arg2626z00_2490;

						BgL_arg2626z00_2490 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4158z00zzliveness_typesz00,
							BGl_proc4157z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4156z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1989z00_2489, ((long) 0), BgL_arg2626z00_2490);
					}
					{	/* Liveness/types.scm 95 */
						obj_t BgL_arg2636z00_2503;

						BgL_arg2636z00_2503 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4161z00zzliveness_typesz00,
							BGl_proc4160z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4159z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1989z00_2489, ((long) 1), BgL_arg2636z00_2503);
					}
					{	/* Liveness/types.scm 95 */
						obj_t BgL_arg2644z00_2516;

						BgL_arg2644z00_2516 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4164z00zzliveness_typesz00,
							BGl_proc4163z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4162z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1989z00_2489, ((long) 2), BgL_arg2644z00_2516);
					}
					{	/* Liveness/types.scm 95 */
						obj_t BgL_arg2652z00_2529;

						BgL_arg2652z00_2529 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4167z00zzliveness_typesz00,
							BGl_proc4166z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4165z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1989z00_2489, ((long) 3), BgL_arg2652z00_2529);
					}
					BgL_arg2613z00_2455 = BgL_v1989z00_2489;
				}
				{	/* Liveness/types.scm 95 */
					obj_t BgL_v1990z00_2542;

					BgL_v1990z00_2542 = create_vector(((long) 0));
					BgL_arg2615z00_2456 = BgL_v1990z00_2542;
				}
				BGl_wideningzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 20)),
					CNST_TABLE_REF(((long) 3)), BGl_wideningz00zzast_nodez00,
					((long) 57314), BGl_proc4171z00zzliveness_typesz00,
					BGl_proc4170z00zzliveness_typesz00, BFALSE,
					BGl_proc4169z00zzliveness_typesz00,
					BGl_proc4168z00zzliveness_typesz00, BgL_arg2613z00_2455,
					BgL_arg2615z00_2456);
			}
			{	/* Liveness/types.scm 101 */
				obj_t BgL_arg2663z00_2551;
				obj_t BgL_arg2664z00_2552;

				{	/* Liveness/types.scm 101 */
					obj_t BgL_v1991z00_2585;

					BgL_v1991z00_2585 = create_vector(((long) 4));
					{	/* Liveness/types.scm 101 */
						obj_t BgL_arg2677z00_2586;

						BgL_arg2677z00_2586 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4174z00zzliveness_typesz00,
							BGl_proc4173z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4172z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1991z00_2585, ((long) 0), BgL_arg2677z00_2586);
					}
					{	/* Liveness/types.scm 101 */
						obj_t BgL_arg2684z00_2599;

						BgL_arg2684z00_2599 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4177z00zzliveness_typesz00,
							BGl_proc4176z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4175z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1991z00_2585, ((long) 1), BgL_arg2684z00_2599);
					}
					{	/* Liveness/types.scm 101 */
						obj_t BgL_arg2691z00_2612;

						BgL_arg2691z00_2612 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4180z00zzliveness_typesz00,
							BGl_proc4179z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4178z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1991z00_2585, ((long) 2), BgL_arg2691z00_2612);
					}
					{	/* Liveness/types.scm 101 */
						obj_t BgL_arg2699z00_2625;

						BgL_arg2699z00_2625 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4183z00zzliveness_typesz00,
							BGl_proc4182z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4181z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1991z00_2585, ((long) 3), BgL_arg2699z00_2625);
					}
					BgL_arg2663z00_2551 = BgL_v1991z00_2585;
				}
				{	/* Liveness/types.scm 101 */
					obj_t BgL_v1992z00_2638;

					BgL_v1992z00_2638 = create_vector(((long) 0));
					BgL_arg2664z00_2552 = BgL_v1992z00_2638;
				}
				BGl_newzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 21)),
					CNST_TABLE_REF(((long) 3)), BGl_newz00zzast_nodez00, ((long) 39832),
					BGl_proc4187z00zzliveness_typesz00,
					BGl_proc4186z00zzliveness_typesz00, BFALSE,
					BGl_proc4185z00zzliveness_typesz00,
					BGl_proc4184z00zzliveness_typesz00, BgL_arg2663z00_2551,
					BgL_arg2664z00_2552);
			}
			{	/* Liveness/types.scm 107 */
				obj_t BgL_arg2714z00_2647;
				obj_t BgL_arg2715z00_2648;

				{	/* Liveness/types.scm 107 */
					obj_t BgL_v1993z00_2682;

					BgL_v1993z00_2682 = create_vector(((long) 4));
					{	/* Liveness/types.scm 107 */
						obj_t BgL_arg2726z00_2683;

						BgL_arg2726z00_2683 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4190z00zzliveness_typesz00,
							BGl_proc4189z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4188z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1993z00_2682, ((long) 0), BgL_arg2726z00_2683);
					}
					{	/* Liveness/types.scm 107 */
						obj_t BgL_arg2735z00_2696;

						BgL_arg2735z00_2696 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4193z00zzliveness_typesz00,
							BGl_proc4192z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4191z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1993z00_2682, ((long) 1), BgL_arg2735z00_2696);
					}
					{	/* Liveness/types.scm 107 */
						obj_t BgL_arg2743z00_2709;

						BgL_arg2743z00_2709 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4196z00zzliveness_typesz00,
							BGl_proc4195z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4194z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1993z00_2682, ((long) 2), BgL_arg2743z00_2709);
					}
					{	/* Liveness/types.scm 107 */
						obj_t BgL_arg2750z00_2722;

						BgL_arg2750z00_2722 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4199z00zzliveness_typesz00,
							BGl_proc4198z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4197z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1993z00_2682, ((long) 3), BgL_arg2750z00_2722);
					}
					BgL_arg2714z00_2647 = BgL_v1993z00_2682;
				}
				{	/* Liveness/types.scm 107 */
					obj_t BgL_v1994z00_2735;

					BgL_v1994z00_2735 = create_vector(((long) 0));
					BgL_arg2715z00_2648 = BgL_v1994z00_2735;
				}
				BGl_valloczf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 22)),
					CNST_TABLE_REF(((long) 3)), BGl_vallocz00zzast_nodez00,
					((long) 37322), BGl_proc4203z00zzliveness_typesz00,
					BGl_proc4202z00zzliveness_typesz00, BFALSE,
					BGl_proc4201z00zzliveness_typesz00,
					BGl_proc4200z00zzliveness_typesz00, BgL_arg2714z00_2647,
					BgL_arg2715z00_2648);
			}
			{	/* Liveness/types.scm 113 */
				obj_t BgL_arg2773z00_2744;
				obj_t BgL_arg2775z00_2745;

				{	/* Liveness/types.scm 113 */
					obj_t BgL_v1995z00_2781;

					BgL_v1995z00_2781 = create_vector(((long) 4));
					{	/* Liveness/types.scm 113 */
						obj_t BgL_arg2788z00_2782;

						BgL_arg2788z00_2782 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4206z00zzliveness_typesz00,
							BGl_proc4205z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4204z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1995z00_2781, ((long) 0), BgL_arg2788z00_2782);
					}
					{	/* Liveness/types.scm 113 */
						obj_t BgL_arg2796z00_2795;

						BgL_arg2796z00_2795 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4209z00zzliveness_typesz00,
							BGl_proc4208z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4207z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1995z00_2781, ((long) 1), BgL_arg2796z00_2795);
					}
					{	/* Liveness/types.scm 113 */
						obj_t BgL_arg2824z00_2808;

						BgL_arg2824z00_2808 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4212z00zzliveness_typesz00,
							BGl_proc4211z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4210z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1995z00_2781, ((long) 2), BgL_arg2824z00_2808);
					}
					{	/* Liveness/types.scm 113 */
						obj_t BgL_arg2833z00_2821;

						BgL_arg2833z00_2821 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4215z00zzliveness_typesz00,
							BGl_proc4214z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4213z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1995z00_2781, ((long) 3), BgL_arg2833z00_2821);
					}
					BgL_arg2773z00_2744 = BgL_v1995z00_2781;
				}
				{	/* Liveness/types.scm 113 */
					obj_t BgL_v1996z00_2834;

					BgL_v1996z00_2834 = create_vector(((long) 0));
					BgL_arg2775z00_2745 = BgL_v1996z00_2834;
				}
				BGl_vrefzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 23)),
					CNST_TABLE_REF(((long) 3)), BGl_vrefz00zzast_nodez00, ((long) 20454),
					BGl_proc4219z00zzliveness_typesz00,
					BGl_proc4218z00zzliveness_typesz00, BFALSE,
					BGl_proc4217z00zzliveness_typesz00,
					BGl_proc4216z00zzliveness_typesz00, BgL_arg2773z00_2744,
					BgL_arg2775z00_2745);
			}
			{	/* Liveness/types.scm 119 */
				obj_t BgL_arg2845z00_2843;
				obj_t BgL_arg2846z00_2844;

				{	/* Liveness/types.scm 119 */
					obj_t BgL_v1997z00_2880;

					BgL_v1997z00_2880 = create_vector(((long) 4));
					{	/* Liveness/types.scm 119 */
						obj_t BgL_arg2857z00_2881;

						BgL_arg2857z00_2881 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4222z00zzliveness_typesz00,
							BGl_proc4221z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4220z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1997z00_2880, ((long) 0), BgL_arg2857z00_2881);
					}
					{	/* Liveness/types.scm 119 */
						obj_t BgL_arg2867z00_2894;

						BgL_arg2867z00_2894 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4225z00zzliveness_typesz00,
							BGl_proc4224z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4223z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1997z00_2880, ((long) 1), BgL_arg2867z00_2894);
					}
					{	/* Liveness/types.scm 119 */
						obj_t BgL_arg2876z00_2907;

						BgL_arg2876z00_2907 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4228z00zzliveness_typesz00,
							BGl_proc4227z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4226z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1997z00_2880, ((long) 2), BgL_arg2876z00_2907);
					}
					{	/* Liveness/types.scm 119 */
						obj_t BgL_arg2883z00_2920;

						BgL_arg2883z00_2920 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4231z00zzliveness_typesz00,
							BGl_proc4230z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4229z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1997z00_2880, ((long) 3), BgL_arg2883z00_2920);
					}
					BgL_arg2845z00_2843 = BgL_v1997z00_2880;
				}
				{	/* Liveness/types.scm 119 */
					obj_t BgL_v1998z00_2933;

					BgL_v1998z00_2933 = create_vector(((long) 0));
					BgL_arg2846z00_2844 = BgL_v1998z00_2933;
				}
				BGl_vsetz12zf2livenessze0zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 24)),
					CNST_TABLE_REF(((long) 3)), BGl_vsetz12z12zzast_nodez00,
					((long) 29030), BGl_proc4235z00zzliveness_typesz00,
					BGl_proc4234z00zzliveness_typesz00, BFALSE,
					BGl_proc4233z00zzliveness_typesz00,
					BGl_proc4232z00zzliveness_typesz00, BgL_arg2845z00_2843,
					BgL_arg2846z00_2844);
			}
			{	/* Liveness/types.scm 125 */
				obj_t BgL_arg2922z00_2942;
				obj_t BgL_arg2923z00_2943;

				{	/* Liveness/types.scm 125 */
					obj_t BgL_v1999z00_2977;

					BgL_v1999z00_2977 = create_vector(((long) 4));
					{	/* Liveness/types.scm 125 */
						obj_t BgL_arg2937z00_2978;

						BgL_arg2937z00_2978 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4238z00zzliveness_typesz00,
							BGl_proc4237z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4236z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1999z00_2977, ((long) 0), BgL_arg2937z00_2978);
					}
					{	/* Liveness/types.scm 125 */
						obj_t BgL_arg2944z00_2991;

						BgL_arg2944z00_2991 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4241z00zzliveness_typesz00,
							BGl_proc4240z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4239z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1999z00_2977, ((long) 1), BgL_arg2944z00_2991);
					}
					{	/* Liveness/types.scm 125 */
						obj_t BgL_arg2951z00_3004;

						BgL_arg2951z00_3004 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4244z00zzliveness_typesz00,
							BGl_proc4243z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4242z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1999z00_2977, ((long) 2), BgL_arg2951z00_3004);
					}
					{	/* Liveness/types.scm 125 */
						obj_t BgL_arg2958z00_3017;

						BgL_arg2958z00_3017 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4247z00zzliveness_typesz00,
							BGl_proc4246z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4245z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1999z00_2977, ((long) 3), BgL_arg2958z00_3017);
					}
					BgL_arg2922z00_2942 = BgL_v1999z00_2977;
				}
				{	/* Liveness/types.scm 125 */
					obj_t BgL_v2000z00_3030;

					BgL_v2000z00_3030 = create_vector(((long) 0));
					BgL_arg2923z00_2943 = BgL_v2000z00_3030;
				}
				BGl_vlengthzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 25)),
					CNST_TABLE_REF(((long) 3)), BGl_vlengthz00zzast_nodez00,
					((long) 34172), BGl_proc4251z00zzliveness_typesz00,
					BGl_proc4250z00zzliveness_typesz00, BFALSE,
					BGl_proc4249z00zzliveness_typesz00,
					BGl_proc4248z00zzliveness_typesz00, BgL_arg2922z00_2942,
					BgL_arg2923z00_2943);
			}
			{	/* Liveness/types.scm 131 */
				obj_t BgL_arg2973z00_3039;
				obj_t BgL_arg2974z00_3040;

				{	/* Liveness/types.scm 131 */
					obj_t BgL_v2001z00_3073;

					BgL_v2001z00_3073 = create_vector(((long) 4));
					{	/* Liveness/types.scm 131 */
						obj_t BgL_arg3010z00_3074;

						BgL_arg3010z00_3074 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4254z00zzliveness_typesz00,
							BGl_proc4253z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4252z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2001z00_3073, ((long) 0), BgL_arg3010z00_3074);
					}
					{	/* Liveness/types.scm 131 */
						obj_t BgL_arg3018z00_3087;

						BgL_arg3018z00_3087 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4257z00zzliveness_typesz00,
							BGl_proc4256z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4255z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2001z00_3073, ((long) 1), BgL_arg3018z00_3087);
					}
					{	/* Liveness/types.scm 131 */
						obj_t BgL_arg3025z00_3100;

						BgL_arg3025z00_3100 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4260z00zzliveness_typesz00,
							BGl_proc4259z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4258z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2001z00_3073, ((long) 2), BgL_arg3025z00_3100);
					}
					{	/* Liveness/types.scm 131 */
						obj_t BgL_arg3035z00_3113;

						BgL_arg3035z00_3113 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4263z00zzliveness_typesz00,
							BGl_proc4262z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4261z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2001z00_3073, ((long) 3), BgL_arg3035z00_3113);
					}
					BgL_arg2973z00_3039 = BgL_v2001z00_3073;
				}
				{	/* Liveness/types.scm 131 */
					obj_t BgL_v2002z00_3126;

					BgL_v2002z00_3126 = create_vector(((long) 0));
					BgL_arg2974z00_3040 = BgL_v2002z00_3126;
				}
				BGl_instanceofzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 26)),
					CNST_TABLE_REF(((long) 3)), BGl_instanceofz00zzast_nodez00,
					((long) 47960), BGl_proc4267z00zzliveness_typesz00,
					BGl_proc4266z00zzliveness_typesz00, BFALSE,
					BGl_proc4265z00zzliveness_typesz00,
					BGl_proc4264z00zzliveness_typesz00, BgL_arg2973z00_3039,
					BgL_arg2974z00_3040);
			}
			{	/* Liveness/types.scm 137 */
				obj_t BgL_arg3063z00_3135;
				obj_t BgL_arg3064z00_3136;

				{	/* Liveness/types.scm 137 */
					obj_t BgL_v2003z00_3168;

					BgL_v2003z00_3168 = create_vector(((long) 4));
					{	/* Liveness/types.scm 137 */
						obj_t BgL_arg3077z00_3169;

						BgL_arg3077z00_3169 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4270z00zzliveness_typesz00,
							BGl_proc4269z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4268z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2003z00_3168, ((long) 0), BgL_arg3077z00_3169);
					}
					{	/* Liveness/types.scm 137 */
						obj_t BgL_arg3084z00_3182;

						BgL_arg3084z00_3182 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4273z00zzliveness_typesz00,
							BGl_proc4272z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4271z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2003z00_3168, ((long) 1), BgL_arg3084z00_3182);
					}
					{	/* Liveness/types.scm 137 */
						obj_t BgL_arg3094z00_3195;

						BgL_arg3094z00_3195 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4276z00zzliveness_typesz00,
							BGl_proc4275z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4274z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2003z00_3168, ((long) 2), BgL_arg3094z00_3195);
					}
					{	/* Liveness/types.scm 137 */
						obj_t BgL_arg3103z00_3208;

						BgL_arg3103z00_3208 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4279z00zzliveness_typesz00,
							BGl_proc4278z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4277z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2003z00_3168, ((long) 3), BgL_arg3103z00_3208);
					}
					BgL_arg3063z00_3135 = BgL_v2003z00_3168;
				}
				{	/* Liveness/types.scm 137 */
					obj_t BgL_v2004z00_3221;

					BgL_v2004z00_3221 = create_vector(((long) 0));
					BgL_arg3064z00_3136 = BgL_v2004z00_3221;
				}
				BGl_castzd2nullzf2livenessz20zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 27)),
					CNST_TABLE_REF(((long) 3)), BGl_castzd2nullzd2zzast_nodez00,
					((long) 45190), BGl_proc4283z00zzliveness_typesz00,
					BGl_proc4282z00zzliveness_typesz00, BFALSE,
					BGl_proc4281z00zzliveness_typesz00,
					BGl_proc4280z00zzliveness_typesz00, BgL_arg3063z00_3135,
					BgL_arg3064z00_3136);
			}
			{	/* Liveness/types.scm 143 */
				obj_t BgL_arg3124z00_3230;
				obj_t BgL_arg3125z00_3231;

				{	/* Liveness/types.scm 143 */
					obj_t BgL_v2005z00_3259;

					BgL_v2005z00_3259 = create_vector(((long) 4));
					{	/* Liveness/types.scm 143 */
						obj_t BgL_arg3136z00_3260;

						BgL_arg3136z00_3260 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4286z00zzliveness_typesz00,
							BGl_proc4285z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4284z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2005z00_3259, ((long) 0), BgL_arg3136z00_3260);
					}
					{	/* Liveness/types.scm 143 */
						obj_t BgL_arg3146z00_3273;

						BgL_arg3146z00_3273 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4289z00zzliveness_typesz00,
							BGl_proc4288z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4287z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2005z00_3259, ((long) 1), BgL_arg3146z00_3273);
					}
					{	/* Liveness/types.scm 143 */
						obj_t BgL_arg3156z00_3286;

						BgL_arg3156z00_3286 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4292z00zzliveness_typesz00,
							BGl_proc4291z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4290z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2005z00_3259, ((long) 2), BgL_arg3156z00_3286);
					}
					{	/* Liveness/types.scm 143 */
						obj_t BgL_arg3165z00_3299;

						BgL_arg3165z00_3299 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4295z00zzliveness_typesz00,
							BGl_proc4294z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4293z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2005z00_3259, ((long) 3), BgL_arg3165z00_3299);
					}
					BgL_arg3124z00_3230 = BgL_v2005z00_3259;
				}
				{	/* Liveness/types.scm 143 */
					obj_t BgL_v2006z00_3312;

					BgL_v2006z00_3312 = create_vector(((long) 0));
					BgL_arg3125z00_3231 = BgL_v2006z00_3312;
				}
				BGl_castzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 28)),
					CNST_TABLE_REF(((long) 3)), BGl_castz00zzast_nodez00, ((long) 27062),
					BGl_proc4299z00zzliveness_typesz00,
					BGl_proc4298z00zzliveness_typesz00, BFALSE,
					BGl_proc4297z00zzliveness_typesz00,
					BGl_proc4296z00zzliveness_typesz00, BgL_arg3124z00_3230,
					BgL_arg3125z00_3231);
			}
			{	/* Liveness/types.scm 149 */
				obj_t BgL_arg3185z00_3321;
				obj_t BgL_arg3186z00_3322;

				{	/* Liveness/types.scm 149 */
					obj_t BgL_v2007z00_3351;

					BgL_v2007z00_3351 = create_vector(((long) 4));
					{	/* Liveness/types.scm 149 */
						obj_t BgL_arg3198z00_3352;

						BgL_arg3198z00_3352 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4302z00zzliveness_typesz00,
							BGl_proc4301z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4300z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2007z00_3351, ((long) 0), BgL_arg3198z00_3352);
					}
					{	/* Liveness/types.scm 149 */
						obj_t BgL_arg3205z00_3365;

						BgL_arg3205z00_3365 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4305z00zzliveness_typesz00,
							BGl_proc4304z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4303z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2007z00_3351, ((long) 1), BgL_arg3205z00_3365);
					}
					{	/* Liveness/types.scm 149 */
						obj_t BgL_arg3219z00_3378;

						BgL_arg3219z00_3378 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4308z00zzliveness_typesz00,
							BGl_proc4307z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4306z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2007z00_3351, ((long) 2), BgL_arg3219z00_3378);
					}
					{	/* Liveness/types.scm 149 */
						obj_t BgL_arg3226z00_3391;

						BgL_arg3226z00_3391 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4311z00zzliveness_typesz00,
							BGl_proc4310z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4309z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2007z00_3351, ((long) 3), BgL_arg3226z00_3391);
					}
					BgL_arg3185z00_3321 = BgL_v2007z00_3351;
				}
				{	/* Liveness/types.scm 149 */
					obj_t BgL_v2008z00_3404;

					BgL_v2008z00_3404 = create_vector(((long) 0));
					BgL_arg3186z00_3322 = BgL_v2008z00_3404;
				}
				BGl_setqzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 29)),
					CNST_TABLE_REF(((long) 3)), BGl_setqz00zzast_nodez00, ((long) 21906),
					BGl_proc4315z00zzliveness_typesz00,
					BGl_proc4314z00zzliveness_typesz00, BFALSE,
					BGl_proc4313z00zzliveness_typesz00,
					BGl_proc4312z00zzliveness_typesz00, BgL_arg3185z00_3321,
					BgL_arg3186z00_3322);
			}
			{	/* Liveness/types.scm 155 */
				obj_t BgL_arg3251z00_3413;
				obj_t BgL_arg3252z00_3414;

				{	/* Liveness/types.scm 155 */
					obj_t BgL_v2009z00_3446;

					BgL_v2009z00_3446 = create_vector(((long) 4));
					{	/* Liveness/types.scm 155 */
						obj_t BgL_arg3265z00_3447;

						BgL_arg3265z00_3447 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4318z00zzliveness_typesz00,
							BGl_proc4317z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4316z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2009z00_3446, ((long) 0), BgL_arg3265z00_3447);
					}
					{	/* Liveness/types.scm 155 */
						obj_t BgL_arg3274z00_3460;

						BgL_arg3274z00_3460 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4321z00zzliveness_typesz00,
							BGl_proc4320z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4319z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2009z00_3446, ((long) 1), BgL_arg3274z00_3460);
					}
					{	/* Liveness/types.scm 155 */
						obj_t BgL_arg3303z00_3473;

						BgL_arg3303z00_3473 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4324z00zzliveness_typesz00,
							BGl_proc4323z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4322z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2009z00_3446, ((long) 2), BgL_arg3303z00_3473);
					}
					{	/* Liveness/types.scm 155 */
						obj_t BgL_arg3311z00_3486;

						BgL_arg3311z00_3486 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4327z00zzliveness_typesz00,
							BGl_proc4326z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4325z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2009z00_3446, ((long) 3), BgL_arg3311z00_3486);
					}
					BgL_arg3251z00_3413 = BgL_v2009z00_3446;
				}
				{	/* Liveness/types.scm 155 */
					obj_t BgL_v2010z00_3499;

					BgL_v2010z00_3499 = create_vector(((long) 0));
					BgL_arg3252z00_3414 = BgL_v2010z00_3499;
				}
				BGl_conditionalzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 30)),
					CNST_TABLE_REF(((long) 3)), BGl_conditionalz00zzast_nodez00,
					((long) 50052), BGl_proc4331z00zzliveness_typesz00,
					BGl_proc4330z00zzliveness_typesz00, BFALSE,
					BGl_proc4329z00zzliveness_typesz00,
					BGl_proc4328z00zzliveness_typesz00, BgL_arg3251z00_3413,
					BgL_arg3252z00_3414);
			}
			{	/* Liveness/types.scm 161 */
				obj_t BgL_arg3323z00_3508;
				obj_t BgL_arg3324z00_3509;

				{	/* Liveness/types.scm 161 */
					obj_t BgL_v2011z00_3539;

					BgL_v2011z00_3539 = create_vector(((long) 4));
					{	/* Liveness/types.scm 161 */
						obj_t BgL_arg3335z00_3540;

						BgL_arg3335z00_3540 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4334z00zzliveness_typesz00,
							BGl_proc4333z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4332z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2011z00_3539, ((long) 0), BgL_arg3335z00_3540);
					}
					{	/* Liveness/types.scm 161 */
						obj_t BgL_arg3343z00_3553;

						BgL_arg3343z00_3553 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4337z00zzliveness_typesz00,
							BGl_proc4336z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4335z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2011z00_3539, ((long) 1), BgL_arg3343z00_3553);
					}
					{	/* Liveness/types.scm 161 */
						obj_t BgL_arg3350z00_3566;

						BgL_arg3350z00_3566 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4340z00zzliveness_typesz00,
							BGl_proc4339z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4338z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2011z00_3539, ((long) 2), BgL_arg3350z00_3566);
					}
					{	/* Liveness/types.scm 161 */
						obj_t BgL_arg3359z00_3579;

						BgL_arg3359z00_3579 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4343z00zzliveness_typesz00,
							BGl_proc4342z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4341z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2011z00_3539, ((long) 3), BgL_arg3359z00_3579);
					}
					BgL_arg3323z00_3508 = BgL_v2011z00_3539;
				}
				{	/* Liveness/types.scm 161 */
					obj_t BgL_v2012z00_3592;

					BgL_v2012z00_3592 = create_vector(((long) 0));
					BgL_arg3324z00_3509 = BgL_v2012z00_3592;
				}
				BGl_failzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 31)),
					CNST_TABLE_REF(((long) 3)), BGl_failz00zzast_nodez00, ((long) 46132),
					BGl_proc4347z00zzliveness_typesz00,
					BGl_proc4346z00zzliveness_typesz00, BFALSE,
					BGl_proc4345z00zzliveness_typesz00,
					BGl_proc4344z00zzliveness_typesz00, BgL_arg3323z00_3508,
					BgL_arg3324z00_3509);
			}
			{	/* Liveness/types.scm 167 */
				obj_t BgL_arg3385z00_3601;
				obj_t BgL_arg3387z00_3602;

				{	/* Liveness/types.scm 167 */
					obj_t BgL_v2013z00_3634;

					BgL_v2013z00_3634 = create_vector(((long) 4));
					{	/* Liveness/types.scm 167 */
						obj_t BgL_arg3402z00_3635;

						BgL_arg3402z00_3635 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4350z00zzliveness_typesz00,
							BGl_proc4349z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4348z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2013z00_3634, ((long) 0), BgL_arg3402z00_3635);
					}
					{	/* Liveness/types.scm 167 */
						obj_t BgL_arg3410z00_3648;

						BgL_arg3410z00_3648 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4353z00zzliveness_typesz00,
							BGl_proc4352z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4351z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2013z00_3634, ((long) 1), BgL_arg3410z00_3648);
					}
					{	/* Liveness/types.scm 167 */
						obj_t BgL_arg3418z00_3661;

						BgL_arg3418z00_3661 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4356z00zzliveness_typesz00,
							BGl_proc4355z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4354z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2013z00_3634, ((long) 2), BgL_arg3418z00_3661);
					}
					{	/* Liveness/types.scm 167 */
						obj_t BgL_arg3427z00_3674;

						BgL_arg3427z00_3674 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4359z00zzliveness_typesz00,
							BGl_proc4358z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4357z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2013z00_3634, ((long) 3), BgL_arg3427z00_3674);
					}
					BgL_arg3385z00_3601 = BgL_v2013z00_3634;
				}
				{	/* Liveness/types.scm 167 */
					obj_t BgL_v2014z00_3687;

					BgL_v2014z00_3687 = create_vector(((long) 0));
					BgL_arg3387z00_3602 = BgL_v2014z00_3687;
				}
				BGl_switchzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 32)),
					CNST_TABLE_REF(((long) 3)), BGl_switchz00zzast_nodez00,
					((long) 26120), BGl_proc4363z00zzliveness_typesz00,
					BGl_proc4362z00zzliveness_typesz00, BFALSE,
					BGl_proc4361z00zzliveness_typesz00,
					BGl_proc4360z00zzliveness_typesz00, BgL_arg3385z00_3601,
					BgL_arg3387z00_3602);
			}
			{	/* Liveness/types.scm 173 */
				obj_t BgL_arg3439z00_3696;
				obj_t BgL_arg3440z00_3697;

				{	/* Liveness/types.scm 173 */
					obj_t BgL_v2015z00_3728;

					BgL_v2015z00_3728 = create_vector(((long) 4));
					{	/* Liveness/types.scm 173 */
						obj_t BgL_arg3452z00_3729;

						BgL_arg3452z00_3729 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4366z00zzliveness_typesz00,
							BGl_proc4365z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4364z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2015z00_3728, ((long) 0), BgL_arg3452z00_3729);
					}
					{	/* Liveness/types.scm 173 */
						obj_t BgL_arg3459z00_3742;

						BgL_arg3459z00_3742 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4369z00zzliveness_typesz00,
							BGl_proc4368z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4367z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2015z00_3728, ((long) 1), BgL_arg3459z00_3742);
					}
					{	/* Liveness/types.scm 173 */
						obj_t BgL_arg3466z00_3755;

						BgL_arg3466z00_3755 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4372z00zzliveness_typesz00,
							BGl_proc4371z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4370z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2015z00_3728, ((long) 2), BgL_arg3466z00_3755);
					}
					{	/* Liveness/types.scm 173 */
						obj_t BgL_arg3475z00_3768;

						BgL_arg3475z00_3768 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4375z00zzliveness_typesz00,
							BGl_proc4374z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4373z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2015z00_3728, ((long) 3), BgL_arg3475z00_3768);
					}
					BgL_arg3439z00_3696 = BgL_v2015z00_3728;
				}
				{	/* Liveness/types.scm 173 */
					obj_t BgL_v2016z00_3781;

					BgL_v2016z00_3781 = create_vector(((long) 0));
					BgL_arg3440z00_3697 = BgL_v2016z00_3781;
				}
				BGl_letzd2funzf2livenessz20zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 33)),
					CNST_TABLE_REF(((long) 3)), BGl_letzd2funzd2zzast_nodez00,
					((long) 50934), BGl_proc4379z00zzliveness_typesz00,
					BGl_proc4378z00zzliveness_typesz00, BFALSE,
					BGl_proc4377z00zzliveness_typesz00,
					BGl_proc4376z00zzliveness_typesz00, BgL_arg3439z00_3696,
					BgL_arg3440z00_3697);
			}
			{	/* Liveness/types.scm 179 */
				obj_t BgL_arg3488z00_3790;
				obj_t BgL_arg3490z00_3791;

				{	/* Liveness/types.scm 179 */
					obj_t BgL_v2017z00_3823;

					BgL_v2017z00_3823 = create_vector(((long) 4));
					{	/* Liveness/types.scm 179 */
						obj_t BgL_arg3503z00_3824;

						BgL_arg3503z00_3824 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4382z00zzliveness_typesz00,
							BGl_proc4381z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4380z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2017z00_3823, ((long) 0), BgL_arg3503z00_3824);
					}
					{	/* Liveness/types.scm 179 */
						obj_t BgL_arg3511z00_3837;

						BgL_arg3511z00_3837 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4385z00zzliveness_typesz00,
							BGl_proc4384z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4383z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2017z00_3823, ((long) 1), BgL_arg3511z00_3837);
					}
					{	/* Liveness/types.scm 179 */
						obj_t BgL_arg3519z00_3850;

						BgL_arg3519z00_3850 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4388z00zzliveness_typesz00,
							BGl_proc4387z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4386z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2017z00_3823, ((long) 2), BgL_arg3519z00_3850);
					}
					{	/* Liveness/types.scm 179 */
						obj_t BgL_arg3527z00_3863;

						BgL_arg3527z00_3863 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4391z00zzliveness_typesz00,
							BGl_proc4390z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4389z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2017z00_3823, ((long) 3), BgL_arg3527z00_3863);
					}
					BgL_arg3488z00_3790 = BgL_v2017z00_3823;
				}
				{	/* Liveness/types.scm 179 */
					obj_t BgL_v2018z00_3876;

					BgL_v2018z00_3876 = create_vector(((long) 0));
					BgL_arg3490z00_3791 = BgL_v2018z00_3876;
				}
				BGl_letzd2varzf2livenessz20zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 34)),
					CNST_TABLE_REF(((long) 3)), BGl_letzd2varzd2zzast_nodez00,
					((long) 57846), BGl_proc4395z00zzliveness_typesz00,
					BGl_proc4394z00zzliveness_typesz00, BFALSE,
					BGl_proc4393z00zzliveness_typesz00,
					BGl_proc4392z00zzliveness_typesz00, BgL_arg3488z00_3790,
					BgL_arg3490z00_3791);
			}
			{	/* Liveness/types.scm 185 */
				obj_t BgL_arg3540z00_3885;
				obj_t BgL_arg3541z00_3886;

				{	/* Liveness/types.scm 185 */
					obj_t BgL_v2019z00_3916;

					BgL_v2019z00_3916 = create_vector(((long) 4));
					{	/* Liveness/types.scm 185 */
						obj_t BgL_arg3553z00_3917;

						BgL_arg3553z00_3917 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4398z00zzliveness_typesz00,
							BGl_proc4397z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4396z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2019z00_3916, ((long) 0), BgL_arg3553z00_3917);
					}
					{	/* Liveness/types.scm 185 */
						obj_t BgL_arg3561z00_3930;

						BgL_arg3561z00_3930 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4401z00zzliveness_typesz00,
							BGl_proc4400z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4399z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2019z00_3916, ((long) 1), BgL_arg3561z00_3930);
					}
					{	/* Liveness/types.scm 185 */
						obj_t BgL_arg3570z00_3943;

						BgL_arg3570z00_3943 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4404z00zzliveness_typesz00,
							BGl_proc4403z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4402z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2019z00_3916, ((long) 2), BgL_arg3570z00_3943);
					}
					{	/* Liveness/types.scm 185 */
						obj_t BgL_arg3578z00_3956;

						BgL_arg3578z00_3956 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4407z00zzliveness_typesz00,
							BGl_proc4406z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4405z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2019z00_3916, ((long) 3), BgL_arg3578z00_3956);
					}
					BgL_arg3540z00_3885 = BgL_v2019z00_3916;
				}
				{	/* Liveness/types.scm 185 */
					obj_t BgL_v2020z00_3969;

					BgL_v2020z00_3969 = create_vector(((long) 0));
					BgL_arg3541z00_3886 = BgL_v2020z00_3969;
				}
				BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 35)),
					CNST_TABLE_REF(((long) 3)), BGl_setzd2exzd2itz00zzast_nodez00,
					((long) 31340), BGl_proc4411z00zzliveness_typesz00,
					BGl_proc4410z00zzliveness_typesz00, BFALSE,
					BGl_proc4409z00zzliveness_typesz00,
					BGl_proc4408z00zzliveness_typesz00, BgL_arg3540z00_3885,
					BgL_arg3541z00_3886);
			}
			{	/* Liveness/types.scm 191 */
				obj_t BgL_arg3591z00_3978;
				obj_t BgL_arg3592z00_3979;

				{	/* Liveness/types.scm 191 */
					obj_t BgL_v2021z00_4008;

					BgL_v2021z00_4008 = create_vector(((long) 4));
					{	/* Liveness/types.scm 191 */
						obj_t BgL_arg3606z00_4009;

						BgL_arg3606z00_4009 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4414z00zzliveness_typesz00,
							BGl_proc4413z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4412z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2021z00_4008, ((long) 0), BgL_arg3606z00_4009);
					}
					{	/* Liveness/types.scm 191 */
						obj_t BgL_arg3615z00_4022;

						BgL_arg3615z00_4022 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4417z00zzliveness_typesz00,
							BGl_proc4416z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4415z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2021z00_4008, ((long) 1), BgL_arg3615z00_4022);
					}
					{	/* Liveness/types.scm 191 */
						obj_t BgL_arg3624z00_4035;

						BgL_arg3624z00_4035 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4420z00zzliveness_typesz00,
							BGl_proc4419z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4418z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2021z00_4008, ((long) 2), BgL_arg3624z00_4035);
					}
					{	/* Liveness/types.scm 191 */
						obj_t BgL_arg3632z00_4048;

						BgL_arg3632z00_4048 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4423z00zzliveness_typesz00,
							BGl_proc4422z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4421z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2021z00_4008, ((long) 3), BgL_arg3632z00_4048);
					}
					BgL_arg3591z00_3978 = BgL_v2021z00_4008;
				}
				{	/* Liveness/types.scm 191 */
					obj_t BgL_v2022z00_4061;

					BgL_v2022z00_4061 = create_vector(((long) 0));
					BgL_arg3592z00_3979 = BgL_v2022z00_4061;
				}
				BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 36)),
					CNST_TABLE_REF(((long) 3)), BGl_jumpzd2exzd2itz00zzast_nodez00,
					((long) 38476), BGl_proc4427z00zzliveness_typesz00,
					BGl_proc4426z00zzliveness_typesz00, BFALSE,
					BGl_proc4425z00zzliveness_typesz00,
					BGl_proc4424z00zzliveness_typesz00, BgL_arg3591z00_3978,
					BgL_arg3592z00_3979);
			}
			{	/* Liveness/types.scm 197 */
				obj_t BgL_arg3646z00_4070;
				obj_t BgL_arg3647z00_4071;

				{	/* Liveness/types.scm 197 */
					obj_t BgL_v2023z00_4101;

					BgL_v2023z00_4101 = create_vector(((long) 4));
					{	/* Liveness/types.scm 197 */
						obj_t BgL_arg3659z00_4102;

						BgL_arg3659z00_4102 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4430z00zzliveness_typesz00,
							BGl_proc4429z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4428z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2023z00_4101, ((long) 0), BgL_arg3659z00_4102);
					}
					{	/* Liveness/types.scm 197 */
						obj_t BgL_arg3666z00_4115;

						BgL_arg3666z00_4115 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4433z00zzliveness_typesz00,
							BGl_proc4432z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4431z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2023z00_4101, ((long) 1), BgL_arg3666z00_4115);
					}
					{	/* Liveness/types.scm 197 */
						obj_t BgL_arg3674z00_4128;

						BgL_arg3674z00_4128 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4436z00zzliveness_typesz00,
							BGl_proc4435z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4434z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2023z00_4101, ((long) 2), BgL_arg3674z00_4128);
					}
					{	/* Liveness/types.scm 197 */
						obj_t BgL_arg3683z00_4141;

						BgL_arg3683z00_4141 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4439z00zzliveness_typesz00,
							BGl_proc4438z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4437z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2023z00_4101, ((long) 3), BgL_arg3683z00_4141);
					}
					BgL_arg3646z00_4070 = BgL_v2023z00_4101;
				}
				{	/* Liveness/types.scm 197 */
					obj_t BgL_v2024z00_4154;

					BgL_v2024z00_4154 = create_vector(((long) 0));
					BgL_arg3647z00_4071 = BgL_v2024z00_4154;
				}
				BGl_synczf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 37)),
					CNST_TABLE_REF(((long) 3)), BGl_syncz00zzast_nodez00, ((long) 46354),
					BGl_proc4443z00zzliveness_typesz00,
					BGl_proc4442z00zzliveness_typesz00, BFALSE,
					BGl_proc4441z00zzliveness_typesz00,
					BGl_proc4440z00zzliveness_typesz00, BgL_arg3646z00_4070,
					BgL_arg3647z00_4071);
			}
			{	/* Liveness/types.scm 203 */
				obj_t BgL_arg3698z00_4163;
				obj_t BgL_arg3699z00_4164;

				{	/* Liveness/types.scm 203 */
					obj_t BgL_v2025z00_4192;

					BgL_v2025z00_4192 = create_vector(((long) 4));
					{	/* Liveness/types.scm 203 */
						obj_t BgL_arg3712z00_4193;

						BgL_arg3712z00_4193 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4446z00zzliveness_typesz00,
							BGl_proc4445z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4444z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2025z00_4192, ((long) 0), BgL_arg3712z00_4193);
					}
					{	/* Liveness/types.scm 203 */
						obj_t BgL_arg3720z00_4206;

						BgL_arg3720z00_4206 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4449z00zzliveness_typesz00,
							BGl_proc4448z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4447z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2025z00_4192, ((long) 1), BgL_arg3720z00_4206);
					}
					{	/* Liveness/types.scm 203 */
						obj_t BgL_arg3727z00_4219;

						BgL_arg3727z00_4219 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4452z00zzliveness_typesz00,
							BGl_proc4451z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4450z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2025z00_4192, ((long) 2), BgL_arg3727z00_4219);
					}
					{	/* Liveness/types.scm 203 */
						obj_t BgL_arg3735z00_4232;

						BgL_arg3735z00_4232 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4455z00zzliveness_typesz00,
							BGl_proc4454z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4453z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2025z00_4192, ((long) 3), BgL_arg3735z00_4232);
					}
					BgL_arg3698z00_4163 = BgL_v2025z00_4192;
				}
				{	/* Liveness/types.scm 203 */
					obj_t BgL_v2026z00_4245;

					BgL_v2026z00_4245 = create_vector(((long) 0));
					BgL_arg3699z00_4164 = BgL_v2026z00_4245;
				}
				BGl_retblockzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 38)),
					CNST_TABLE_REF(((long) 3)), BGl_retblockz00zzast_nodez00,
					((long) 46592), BGl_proc4459z00zzliveness_typesz00,
					BGl_proc4458z00zzliveness_typesz00, BFALSE,
					BGl_proc4457z00zzliveness_typesz00,
					BGl_proc4456z00zzliveness_typesz00, BgL_arg3698z00_4163,
					BgL_arg3699z00_4164);
			}
			{	/* Liveness/types.scm 209 */
				obj_t BgL_arg3747z00_4254;
				obj_t BgL_arg3748z00_4255;

				{	/* Liveness/types.scm 209 */
					obj_t BgL_v2027z00_4284;

					BgL_v2027z00_4284 = create_vector(((long) 4));
					{	/* Liveness/types.scm 209 */
						obj_t BgL_arg3759z00_4285;

						BgL_arg3759z00_4285 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4462z00zzliveness_typesz00,
							BGl_proc4461z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4460z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2027z00_4284, ((long) 0), BgL_arg3759z00_4285);
					}
					{	/* Liveness/types.scm 209 */
						obj_t BgL_arg3766z00_4298;

						BgL_arg3766z00_4298 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4465z00zzliveness_typesz00,
							BGl_proc4464z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4463z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2027z00_4284, ((long) 1), BgL_arg3766z00_4298);
					}
					{	/* Liveness/types.scm 209 */
						obj_t BgL_arg3773z00_4311;

						BgL_arg3773z00_4311 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4468z00zzliveness_typesz00,
							BGl_proc4467z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4466z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2027z00_4284, ((long) 2), BgL_arg3773z00_4311);
					}
					{	/* Liveness/types.scm 209 */
						obj_t BgL_arg3780z00_4324;

						BgL_arg3780z00_4324 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4471z00zzliveness_typesz00,
							BGl_proc4470z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4469z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2027z00_4284, ((long) 3), BgL_arg3780z00_4324);
					}
					BgL_arg3747z00_4254 = BgL_v2027z00_4284;
				}
				{	/* Liveness/types.scm 209 */
					obj_t BgL_v2028z00_4337;

					BgL_v2028z00_4337 = create_vector(((long) 0));
					BgL_arg3748z00_4255 = BgL_v2028z00_4337;
				}
				BGl_returnzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 39)),
					CNST_TABLE_REF(((long) 3)), BGl_returnz00zzast_nodez00,
					((long) 31084), BGl_proc4475z00zzliveness_typesz00,
					BGl_proc4474z00zzliveness_typesz00, BFALSE,
					BGl_proc4473z00zzliveness_typesz00,
					BGl_proc4472z00zzliveness_typesz00, BgL_arg3747z00_4254,
					BgL_arg3748z00_4255);
			}
			{	/* Liveness/types.scm 215 */
				obj_t BgL_arg3791z00_4346;
				obj_t BgL_arg3792z00_4347;

				{	/* Liveness/types.scm 215 */
					obj_t BgL_v2029z00_4379;

					BgL_v2029z00_4379 = create_vector(((long) 4));
					{	/* Liveness/types.scm 215 */
						obj_t BgL_arg3803z00_4380;

						BgL_arg3803z00_4380 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4478z00zzliveness_typesz00,
							BGl_proc4477z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4476z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2029z00_4379, ((long) 0), BgL_arg3803z00_4380);
					}
					{	/* Liveness/types.scm 215 */
						obj_t BgL_arg3810z00_4393;

						BgL_arg3810z00_4393 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4481z00zzliveness_typesz00,
							BGl_proc4480z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4479z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2029z00_4379, ((long) 1), BgL_arg3810z00_4393);
					}
					{	/* Liveness/types.scm 215 */
						obj_t BgL_arg3817z00_4406;

						BgL_arg3817z00_4406 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4484z00zzliveness_typesz00,
							BGl_proc4483z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4482z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2029z00_4379, ((long) 2), BgL_arg3817z00_4406);
					}
					{	/* Liveness/types.scm 215 */
						obj_t BgL_arg3824z00_4419;

						BgL_arg3824z00_4419 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4487z00zzliveness_typesz00,
							BGl_proc4486z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4485z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2029z00_4379, ((long) 3), BgL_arg3824z00_4419);
					}
					BgL_arg3791z00_4346 = BgL_v2029z00_4379;
				}
				{	/* Liveness/types.scm 215 */
					obj_t BgL_v2030z00_4432;

					BgL_v2030z00_4432 = create_vector(((long) 0));
					BgL_arg3792z00_4347 = BgL_v2030z00_4432;
				}
				BGl_makezd2boxzf2livenessz20zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 40)),
					CNST_TABLE_REF(((long) 3)), BGl_makezd2boxzd2zzast_nodez00,
					((long) 8964), BGl_proc4491z00zzliveness_typesz00,
					BGl_proc4490z00zzliveness_typesz00, BFALSE,
					BGl_proc4489z00zzliveness_typesz00,
					BGl_proc4488z00zzliveness_typesz00, BgL_arg3791z00_4346,
					BgL_arg3792z00_4347);
			}
			{	/* Liveness/types.scm 221 */
				obj_t BgL_arg3835z00_4441;
				obj_t BgL_arg3836z00_4442;

				{	/* Liveness/types.scm 221 */
					obj_t BgL_v2031z00_4473;

					BgL_v2031z00_4473 = create_vector(((long) 4));
					{	/* Liveness/types.scm 221 */
						obj_t BgL_arg3847z00_4474;

						BgL_arg3847z00_4474 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4494z00zzliveness_typesz00,
							BGl_proc4493z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4492z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2031z00_4473, ((long) 0), BgL_arg3847z00_4474);
					}
					{	/* Liveness/types.scm 221 */
						obj_t BgL_arg3854z00_4487;

						BgL_arg3854z00_4487 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4497z00zzliveness_typesz00,
							BGl_proc4496z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4495z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2031z00_4473, ((long) 1), BgL_arg3854z00_4487);
					}
					{	/* Liveness/types.scm 221 */
						obj_t BgL_arg3861z00_4500;

						BgL_arg3861z00_4500 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4500z00zzliveness_typesz00,
							BGl_proc4499z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4498z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2031z00_4473, ((long) 2), BgL_arg3861z00_4500);
					}
					{	/* Liveness/types.scm 221 */
						obj_t BgL_arg3868z00_4513;

						BgL_arg3868z00_4513 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4503z00zzliveness_typesz00,
							BGl_proc4502z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4501z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2031z00_4473, ((long) 3), BgL_arg3868z00_4513);
					}
					BgL_arg3835z00_4441 = BgL_v2031z00_4473;
				}
				{	/* Liveness/types.scm 221 */
					obj_t BgL_v2032z00_4526;

					BgL_v2032z00_4526 = create_vector(((long) 0));
					BgL_arg3836z00_4442 = BgL_v2032z00_4526;
				}
				BGl_boxzd2refzf2livenessz20zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 41)),
					CNST_TABLE_REF(((long) 3)), BGl_boxzd2refzd2zzast_nodez00,
					((long) 38662), BGl_proc4507z00zzliveness_typesz00,
					BGl_proc4506z00zzliveness_typesz00, BFALSE,
					BGl_proc4505z00zzliveness_typesz00,
					BGl_proc4504z00zzliveness_typesz00, BgL_arg3835z00_4441,
					BgL_arg3836z00_4442);
			}
			{	/* Liveness/types.scm 227 */
				obj_t BgL_arg3879z00_4535;
				obj_t BgL_arg3880z00_4536;

				{	/* Liveness/types.scm 227 */
					obj_t BgL_v2033z00_4566;

					BgL_v2033z00_4566 = create_vector(((long) 4));
					{	/* Liveness/types.scm 227 */
						obj_t BgL_arg3891z00_4567;

						BgL_arg3891z00_4567 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4510z00zzliveness_typesz00,
							BGl_proc4509z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4508z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2033z00_4566, ((long) 0), BgL_arg3891z00_4567);
					}
					{	/* Liveness/types.scm 227 */
						obj_t BgL_arg3898z00_4580;

						BgL_arg3898z00_4580 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4513z00zzliveness_typesz00,
							BGl_proc4512z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4511z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2033z00_4566, ((long) 1), BgL_arg3898z00_4580);
					}
					{	/* Liveness/types.scm 227 */
						obj_t BgL_arg3905z00_4593;

						BgL_arg3905z00_4593 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4516z00zzliveness_typesz00,
							BGl_proc4515z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4514z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2033z00_4566, ((long) 2), BgL_arg3905z00_4593);
					}
					{	/* Liveness/types.scm 227 */
						obj_t BgL_arg3912z00_4606;

						BgL_arg3912z00_4606 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4519z00zzliveness_typesz00,
							BGl_proc4518z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4517z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2033z00_4566, ((long) 3), BgL_arg3912z00_4606);
					}
					BgL_arg3879z00_4535 = BgL_v2033z00_4566;
				}
				{	/* Liveness/types.scm 227 */
					obj_t BgL_v2034z00_4619;

					BgL_v2034z00_4619 = create_vector(((long) 0));
					BgL_arg3880z00_4536 = BgL_v2034z00_4619;
				}
				return (BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 42)),
						CNST_TABLE_REF(((long) 3)), BGl_boxzd2setz12zc0zzast_nodez00,
						((long) 24710), BGl_proc4523z00zzliveness_typesz00,
						BGl_proc4522z00zzliveness_typesz00, BFALSE,
						BGl_proc4521z00zzliveness_typesz00,
						BGl_proc4520z00zzliveness_typesz00, BgL_arg3879z00_4535,
						BgL_arg3880z00_4536), BUNSPEC);
		}}

	}



/* &lambda3887 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda3887z62zzliveness_typesz00(obj_t
		BgL_envz00_7038, obj_t BgL_o1681z00_7039)
	{
		{	/* Liveness/types.scm 227 */
			{	/* Liveness/types.scm 227 */
				long BgL_arg3888z00_8480;

				{	/* Liveness/types.scm 227 */
					obj_t BgL_arg3889z00_8481;

					{	/* Liveness/types.scm 227 */
						obj_t BgL_arg3890z00_8482;

						{	/* Liveness/types.scm 227 */
							long BgL_arg1833z00_8483;

							{	/* Liveness/types.scm 227 */
								long BgL_arg1834z00_8484;

								BgL_arg1834z00_8484 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_o1681z00_7039)));
								BgL_arg1833z00_8483 = (BgL_arg1834z00_8484 - OBJECT_TYPE);
							}
							BgL_arg3890z00_8482 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_8483);
						}
						BgL_arg3889z00_8481 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3890z00_8482);
					}
					{	/* Liveness/types.scm 227 */
						obj_t BgL_tmpz00_10652;

						BgL_tmpz00_10652 = ((obj_t) BgL_arg3889z00_8481);
						BgL_arg3888z00_8480 = BGL_CLASS_NUM(BgL_tmpz00_10652);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1681z00_7039)),
					BgL_arg3888z00_8480);
			}
			{	/* Liveness/types.scm 227 */
				BgL_objectz00_bglt BgL_tmpz00_10658;

				BgL_tmpz00_10658 =
					((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_o1681z00_7039));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10658, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_o1681z00_7039));
			return
				((BgL_boxzd2setz12zc0_bglt)
				((BgL_boxzd2setz12zc0_bglt) BgL_o1681z00_7039));
		}

	}



/* &<@anonymous:3886> */
	obj_t BGl_z62zc3z04anonymousza33886ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7040, obj_t BgL_new1680z00_7041)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_auxz00_10666;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_new1680z00_7041))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_10670;

					{	/* Liveness/types.scm 227 */
						obj_t BgL_classz00_8486;

						BgL_classz00_8486 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 227 */
							obj_t BgL__ortest_1112z00_8487;

							BgL__ortest_1112z00_8487 = BGL_CLASS_NIL(BgL_classz00_8486);
							if (CBOOL(BgL__ortest_1112z00_8487))
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_10670 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_8487);
								}
							else
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_10670 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8486));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1680z00_7041))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_10670), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_10680;

					{	/* Liveness/types.scm 227 */
						obj_t BgL_classz00_8488;

						BgL_classz00_8488 = BGl_varz00zzast_nodez00;
						{	/* Liveness/types.scm 227 */
							obj_t BgL__ortest_1112z00_8489;

							BgL__ortest_1112z00_8489 = BGL_CLASS_NIL(BgL_classz00_8488);
							if (CBOOL(BgL__ortest_1112z00_8489))
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_10680 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_8489);
								}
							else
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_10680 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8488));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1680z00_7041))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_10680), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_10690;

					{	/* Liveness/types.scm 227 */
						obj_t BgL_classz00_8490;

						BgL_classz00_8490 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 227 */
							obj_t BgL__ortest_1112z00_8491;

							BgL__ortest_1112z00_8491 = BGL_CLASS_NIL(BgL_classz00_8490);
							if (CBOOL(BgL__ortest_1112z00_8491))
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_10690 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8491);
								}
							else
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_10690 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8490));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1680z00_7041))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_10690), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_10700;

					{	/* Liveness/types.scm 227 */
						obj_t BgL_classz00_8492;

						BgL_classz00_8492 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 227 */
							obj_t BgL__ortest_1112z00_8493;

							BgL__ortest_1112z00_8493 = BGL_CLASS_NIL(BgL_classz00_8492);
							if (CBOOL(BgL__ortest_1112z00_8493))
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_10700 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_8493);
								}
							else
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_10700 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8492));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1680z00_7041))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_10700), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10710;

					{
						obj_t BgL_auxz00_10711;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_10712;

							BgL_tmpz00_10712 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_new1680z00_7041));
							BgL_auxz00_10711 = BGL_OBJECT_WIDENING(BgL_tmpz00_10712);
						}
						BgL_auxz00_10710 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10711);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10710))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10718;

					{
						obj_t BgL_auxz00_10719;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_10720;

							BgL_tmpz00_10720 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_new1680z00_7041));
							BgL_auxz00_10719 = BGL_OBJECT_WIDENING(BgL_tmpz00_10720);
						}
						BgL_auxz00_10718 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10719);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10718))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10726;

					{
						obj_t BgL_auxz00_10727;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_10728;

							BgL_tmpz00_10728 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_new1680z00_7041));
							BgL_auxz00_10727 = BGL_OBJECT_WIDENING(BgL_tmpz00_10728);
						}
						BgL_auxz00_10726 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10727);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10726))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10734;

					{
						obj_t BgL_auxz00_10735;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_10736;

							BgL_tmpz00_10736 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_new1680z00_7041));
							BgL_auxz00_10735 = BGL_OBJECT_WIDENING(BgL_tmpz00_10736);
						}
						BgL_auxz00_10734 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10735);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10734))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_10666 = ((BgL_boxzd2setz12zc0_bglt) BgL_new1680z00_7041);
				return ((obj_t) BgL_auxz00_10666);
			}
		}

	}



/* &lambda3884 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda3884z62zzliveness_typesz00(obj_t
		BgL_envz00_7042, obj_t BgL_o1677z00_7043)
	{
		{	/* Liveness/types.scm 227 */
			{	/* Liveness/types.scm 227 */
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_wide1679z00_8495;

				BgL_wide1679z00_8495 =
					((BgL_boxzd2setz12zf2livenessz32_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2setz12zf2livenessz32_bgl))));
				{	/* Liveness/types.scm 227 */
					obj_t BgL_auxz00_10749;
					BgL_objectz00_bglt BgL_tmpz00_10745;

					BgL_auxz00_10749 = ((obj_t) BgL_wide1679z00_8495);
					BgL_tmpz00_10745 =
						((BgL_objectz00_bglt)
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_o1677z00_7043)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10745, BgL_auxz00_10749);
				}
				((BgL_objectz00_bglt)
					((BgL_boxzd2setz12zc0_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1677z00_7043)));
				{	/* Liveness/types.scm 227 */
					long BgL_arg3885z00_8496;

					BgL_arg3885z00_8496 =
						BGL_CLASS_NUM(BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_o1677z00_7043))),
						BgL_arg3885z00_8496);
				}
				return
					((BgL_boxzd2setz12zc0_bglt)
					((BgL_boxzd2setz12zc0_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1677z00_7043)));
			}
		}

	}



/* &lambda3881 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda3881z62zzliveness_typesz00(obj_t
		BgL_envz00_7044, obj_t BgL_loc1668z00_7045, obj_t BgL_type1669z00_7046,
		obj_t BgL_var1670z00_7047, obj_t BgL_value1671z00_7048,
		obj_t BgL_vtype1672z00_7049, obj_t BgL_def1673z00_7050,
		obj_t BgL_use1674z00_7051, obj_t BgL_in1675z00_7052,
		obj_t BgL_out1676z00_7053)
	{
		{	/* Liveness/types.scm 227 */
			{	/* Liveness/types.scm 227 */
				BgL_boxzd2setz12zc0_bglt BgL_new1855z00_8505;

				{	/* Liveness/types.scm 227 */
					BgL_boxzd2setz12zc0_bglt BgL_tmp1853z00_8506;
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_wide1854z00_8507;

					{
						BgL_boxzd2setz12zc0_bglt BgL_auxz00_10763;

						{	/* Liveness/types.scm 227 */
							BgL_boxzd2setz12zc0_bglt BgL_new1852z00_8508;

							BgL_new1852z00_8508 =
								((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2setz12zc0_bgl))));
							{	/* Liveness/types.scm 227 */
								long BgL_arg3883z00_8509;

								BgL_arg3883z00_8509 =
									BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1852z00_8508),
									BgL_arg3883z00_8509);
							}
							{	/* Liveness/types.scm 227 */
								BgL_objectz00_bglt BgL_tmpz00_10768;

								BgL_tmpz00_10768 = ((BgL_objectz00_bglt) BgL_new1852z00_8508);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10768, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1852z00_8508);
							BgL_auxz00_10763 = BgL_new1852z00_8508;
						}
						BgL_tmp1853z00_8506 = ((BgL_boxzd2setz12zc0_bglt) BgL_auxz00_10763);
					}
					BgL_wide1854z00_8507 =
						((BgL_boxzd2setz12zf2livenessz32_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zf2livenessz32_bgl))));
					{	/* Liveness/types.scm 227 */
						obj_t BgL_auxz00_10776;
						BgL_objectz00_bglt BgL_tmpz00_10774;

						BgL_auxz00_10776 = ((obj_t) BgL_wide1854z00_8507);
						BgL_tmpz00_10774 = ((BgL_objectz00_bglt) BgL_tmp1853z00_8506);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10774, BgL_auxz00_10776);
					}
					((BgL_objectz00_bglt) BgL_tmp1853z00_8506);
					{	/* Liveness/types.scm 227 */
						long BgL_arg3882z00_8510;

						BgL_arg3882z00_8510 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1853z00_8506), BgL_arg3882z00_8510);
					}
					BgL_new1855z00_8505 =
						((BgL_boxzd2setz12zc0_bglt) BgL_tmp1853z00_8506);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1855z00_8505)))->BgL_locz00) =
					((obj_t) BgL_loc1668z00_7045), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1855z00_8505)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1669z00_7046)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1855z00_8505)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1670z00_7047)), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1855z00_8505)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1671z00_7048)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1855z00_8505)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1672z00_7049)),
					BUNSPEC);
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10798;

					{
						obj_t BgL_auxz00_10799;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_10800;

							BgL_tmpz00_10800 = ((BgL_objectz00_bglt) BgL_new1855z00_8505);
							BgL_auxz00_10799 = BGL_OBJECT_WIDENING(BgL_tmpz00_10800);
						}
						BgL_auxz00_10798 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10799);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10798))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1673z00_7050)), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10806;

					{
						obj_t BgL_auxz00_10807;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_10808;

							BgL_tmpz00_10808 = ((BgL_objectz00_bglt) BgL_new1855z00_8505);
							BgL_auxz00_10807 = BGL_OBJECT_WIDENING(BgL_tmpz00_10808);
						}
						BgL_auxz00_10806 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10807);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10806))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1674z00_7051)), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10814;

					{
						obj_t BgL_auxz00_10815;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_10816;

							BgL_tmpz00_10816 = ((BgL_objectz00_bglt) BgL_new1855z00_8505);
							BgL_auxz00_10815 = BGL_OBJECT_WIDENING(BgL_tmpz00_10816);
						}
						BgL_auxz00_10814 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10815);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10814))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1675z00_7052)), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10822;

					{
						obj_t BgL_auxz00_10823;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_10824;

							BgL_tmpz00_10824 = ((BgL_objectz00_bglt) BgL_new1855z00_8505);
							BgL_auxz00_10823 = BGL_OBJECT_WIDENING(BgL_tmpz00_10824);
						}
						BgL_auxz00_10822 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10823);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10822))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1676z00_7053)), BUNSPEC);
				}
				return BgL_new1855z00_8505;
			}
		}

	}



/* &<@anonymous:3918> */
	obj_t BGl_z62zc3z04anonymousza33918ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7054)
	{
		{	/* Liveness/types.scm 227 */
			return BNIL;
		}

	}



/* &lambda3917 */
	obj_t BGl_z62lambda3917z62zzliveness_typesz00(obj_t BgL_envz00_7055,
		obj_t BgL_oz00_7056, obj_t BgL_vz00_7057)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10830;

				{
					obj_t BgL_auxz00_10831;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_10832;

						BgL_tmpz00_10832 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7056));
						BgL_auxz00_10831 = BGL_OBJECT_WIDENING(BgL_tmpz00_10832);
					}
					BgL_auxz00_10830 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10831);
				}
				return
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10830))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7057)), BUNSPEC);
			}
		}

	}



/* &lambda3916 */
	obj_t BGl_z62lambda3916z62zzliveness_typesz00(obj_t BgL_envz00_7058,
		obj_t BgL_oz00_7059)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10839;

				{
					obj_t BgL_auxz00_10840;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_10841;

						BgL_tmpz00_10841 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7059));
						BgL_auxz00_10840 = BGL_OBJECT_WIDENING(BgL_tmpz00_10841);
					}
					BgL_auxz00_10839 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10840);
				}
				return
					(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10839))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3911> */
	obj_t BGl_z62zc3z04anonymousza33911ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7060)
	{
		{	/* Liveness/types.scm 227 */
			return BNIL;
		}

	}



/* &lambda3910 */
	obj_t BGl_z62lambda3910z62zzliveness_typesz00(obj_t BgL_envz00_7061,
		obj_t BgL_oz00_7062, obj_t BgL_vz00_7063)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10847;

				{
					obj_t BgL_auxz00_10848;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_10849;

						BgL_tmpz00_10849 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7062));
						BgL_auxz00_10848 = BGL_OBJECT_WIDENING(BgL_tmpz00_10849);
					}
					BgL_auxz00_10847 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10848);
				}
				return
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10847))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7063)), BUNSPEC);
			}
		}

	}



/* &lambda3909 */
	obj_t BGl_z62lambda3909z62zzliveness_typesz00(obj_t BgL_envz00_7064,
		obj_t BgL_oz00_7065)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10856;

				{
					obj_t BgL_auxz00_10857;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_10858;

						BgL_tmpz00_10858 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7065));
						BgL_auxz00_10857 = BGL_OBJECT_WIDENING(BgL_tmpz00_10858);
					}
					BgL_auxz00_10856 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10857);
				}
				return
					(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10856))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3904> */
	obj_t BGl_z62zc3z04anonymousza33904ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7066)
	{
		{	/* Liveness/types.scm 227 */
			return BNIL;
		}

	}



/* &lambda3903 */
	obj_t BGl_z62lambda3903z62zzliveness_typesz00(obj_t BgL_envz00_7067,
		obj_t BgL_oz00_7068, obj_t BgL_vz00_7069)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10864;

				{
					obj_t BgL_auxz00_10865;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_10866;

						BgL_tmpz00_10866 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7068));
						BgL_auxz00_10865 = BGL_OBJECT_WIDENING(BgL_tmpz00_10866);
					}
					BgL_auxz00_10864 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10865);
				}
				return
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10864))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7069)), BUNSPEC);
			}
		}

	}



/* &lambda3902 */
	obj_t BGl_z62lambda3902z62zzliveness_typesz00(obj_t BgL_envz00_7070,
		obj_t BgL_oz00_7071)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10873;

				{
					obj_t BgL_auxz00_10874;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_10875;

						BgL_tmpz00_10875 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7071));
						BgL_auxz00_10874 = BGL_OBJECT_WIDENING(BgL_tmpz00_10875);
					}
					BgL_auxz00_10873 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10874);
				}
				return
					(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10873))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3897> */
	obj_t BGl_z62zc3z04anonymousza33897ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7072)
	{
		{	/* Liveness/types.scm 227 */
			return BNIL;
		}

	}



/* &lambda3896 */
	obj_t BGl_z62lambda3896z62zzliveness_typesz00(obj_t BgL_envz00_7073,
		obj_t BgL_oz00_7074, obj_t BgL_vz00_7075)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10881;

				{
					obj_t BgL_auxz00_10882;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_10883;

						BgL_tmpz00_10883 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7074));
						BgL_auxz00_10882 = BGL_OBJECT_WIDENING(BgL_tmpz00_10883);
					}
					BgL_auxz00_10881 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10882);
				}
				return
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10881))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7075)), BUNSPEC);
			}
		}

	}



/* &lambda3895 */
	obj_t BGl_z62lambda3895z62zzliveness_typesz00(obj_t BgL_envz00_7076,
		obj_t BgL_oz00_7077)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10890;

				{
					obj_t BgL_auxz00_10891;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_10892;

						BgL_tmpz00_10892 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7077));
						BgL_auxz00_10891 = BGL_OBJECT_WIDENING(BgL_tmpz00_10892);
					}
					BgL_auxz00_10890 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10891);
				}
				return
					(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10890))->
					BgL_defz00);
			}
		}

	}



/* &lambda3843 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda3843z62zzliveness_typesz00(obj_t
		BgL_envz00_7078, obj_t BgL_o1666z00_7079)
	{
		{	/* Liveness/types.scm 221 */
			{	/* Liveness/types.scm 221 */
				long BgL_arg3844z00_8524;

				{	/* Liveness/types.scm 221 */
					obj_t BgL_arg3845z00_8525;

					{	/* Liveness/types.scm 221 */
						obj_t BgL_arg3846z00_8526;

						{	/* Liveness/types.scm 221 */
							long BgL_arg1833z00_8527;

							{	/* Liveness/types.scm 221 */
								long BgL_arg1834z00_8528;

								BgL_arg1834z00_8528 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_o1666z00_7079)));
								BgL_arg1833z00_8527 = (BgL_arg1834z00_8528 - OBJECT_TYPE);
							}
							BgL_arg3846z00_8526 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_8527);
						}
						BgL_arg3845z00_8525 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3846z00_8526);
					}
					{	/* Liveness/types.scm 221 */
						obj_t BgL_tmpz00_10904;

						BgL_tmpz00_10904 = ((obj_t) BgL_arg3845z00_8525);
						BgL_arg3844z00_8524 = BGL_CLASS_NUM(BgL_tmpz00_10904);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1666z00_7079)), BgL_arg3844z00_8524);
			}
			{	/* Liveness/types.scm 221 */
				BgL_objectz00_bglt BgL_tmpz00_10910;

				BgL_tmpz00_10910 =
					((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1666z00_7079));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10910, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1666z00_7079));
			return
				((BgL_boxzd2refzd2_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1666z00_7079));
		}

	}



/* &<@anonymous:3842> */
	obj_t BGl_z62zc3z04anonymousza33842ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7080, obj_t BgL_new1665z00_7081)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzd2_bglt BgL_auxz00_10918;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1665z00_7081))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_10922;

					{	/* Liveness/types.scm 221 */
						obj_t BgL_classz00_8530;

						BgL_classz00_8530 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 221 */
							obj_t BgL__ortest_1112z00_8531;

							BgL__ortest_1112z00_8531 = BGL_CLASS_NIL(BgL_classz00_8530);
							if (CBOOL(BgL__ortest_1112z00_8531))
								{	/* Liveness/types.scm 221 */
									BgL_auxz00_10922 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_8531);
								}
							else
								{	/* Liveness/types.scm 221 */
									BgL_auxz00_10922 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8530));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1665z00_7081))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_10922), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1665z00_7081))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_boxzd2refzd2_bglt)
										BgL_new1665z00_7081))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_10938;

					{	/* Liveness/types.scm 221 */
						obj_t BgL_classz00_8532;

						BgL_classz00_8532 = BGl_varz00zzast_nodez00;
						{	/* Liveness/types.scm 221 */
							obj_t BgL__ortest_1112z00_8533;

							BgL__ortest_1112z00_8533 = BGL_CLASS_NIL(BgL_classz00_8532);
							if (CBOOL(BgL__ortest_1112z00_8533))
								{	/* Liveness/types.scm 221 */
									BgL_auxz00_10938 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_8533);
								}
							else
								{	/* Liveness/types.scm 221 */
									BgL_auxz00_10938 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8532));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1665z00_7081))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_10938), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_10948;

					{	/* Liveness/types.scm 221 */
						obj_t BgL_classz00_8534;

						BgL_classz00_8534 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 221 */
							obj_t BgL__ortest_1112z00_8535;

							BgL__ortest_1112z00_8535 = BGL_CLASS_NIL(BgL_classz00_8534);
							if (CBOOL(BgL__ortest_1112z00_8535))
								{	/* Liveness/types.scm 221 */
									BgL_auxz00_10948 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_8535);
								}
							else
								{	/* Liveness/types.scm 221 */
									BgL_auxz00_10948 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8534));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1665z00_7081))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_10948), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_10958;

					{
						obj_t BgL_auxz00_10959;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_10960;

							BgL_tmpz00_10960 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_new1665z00_7081));
							BgL_auxz00_10959 = BGL_OBJECT_WIDENING(BgL_tmpz00_10960);
						}
						BgL_auxz00_10958 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_10959);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_10958))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_10966;

					{
						obj_t BgL_auxz00_10967;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_10968;

							BgL_tmpz00_10968 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_new1665z00_7081));
							BgL_auxz00_10967 = BGL_OBJECT_WIDENING(BgL_tmpz00_10968);
						}
						BgL_auxz00_10966 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_10967);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_10966))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_10974;

					{
						obj_t BgL_auxz00_10975;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_10976;

							BgL_tmpz00_10976 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_new1665z00_7081));
							BgL_auxz00_10975 = BGL_OBJECT_WIDENING(BgL_tmpz00_10976);
						}
						BgL_auxz00_10974 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_10975);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_10974))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_10982;

					{
						obj_t BgL_auxz00_10983;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_10984;

							BgL_tmpz00_10984 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_new1665z00_7081));
							BgL_auxz00_10983 = BGL_OBJECT_WIDENING(BgL_tmpz00_10984);
						}
						BgL_auxz00_10982 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_10983);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_10982))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_10918 = ((BgL_boxzd2refzd2_bglt) BgL_new1665z00_7081);
				return ((obj_t) BgL_auxz00_10918);
			}
		}

	}



/* &lambda3840 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda3840z62zzliveness_typesz00(obj_t
		BgL_envz00_7082, obj_t BgL_o1662z00_7083)
	{
		{	/* Liveness/types.scm 221 */
			{	/* Liveness/types.scm 221 */
				BgL_boxzd2refzf2livenessz20_bglt BgL_wide1664z00_8537;

				BgL_wide1664z00_8537 =
					((BgL_boxzd2refzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2refzf2livenessz20_bgl))));
				{	/* Liveness/types.scm 221 */
					obj_t BgL_auxz00_10997;
					BgL_objectz00_bglt BgL_tmpz00_10993;

					BgL_auxz00_10997 = ((obj_t) BgL_wide1664z00_8537);
					BgL_tmpz00_10993 =
						((BgL_objectz00_bglt)
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_o1662z00_7083)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10993, BgL_auxz00_10997);
				}
				((BgL_objectz00_bglt)
					((BgL_boxzd2refzd2_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1662z00_7083)));
				{	/* Liveness/types.scm 221 */
					long BgL_arg3841z00_8538;

					BgL_arg3841z00_8538 =
						BGL_CLASS_NUM(BGl_boxzd2refzf2livenessz20zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_o1662z00_7083))),
						BgL_arg3841z00_8538);
				}
				return
					((BgL_boxzd2refzd2_bglt)
					((BgL_boxzd2refzd2_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1662z00_7083)));
			}
		}

	}



/* &lambda3837 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda3837z62zzliveness_typesz00(obj_t
		BgL_envz00_7084, obj_t BgL_loc1652z00_7085, obj_t BgL_type1653z00_7086,
		obj_t BgL_sidezd2effect1654zd2_7087, obj_t BgL_key1655z00_7088,
		obj_t BgL_var1656z00_7089, obj_t BgL_vtype1657z00_7090,
		obj_t BgL_def1658z00_7091, obj_t BgL_use1659z00_7092,
		obj_t BgL_in1660z00_7093, obj_t BgL_out1661z00_7094)
	{
		{	/* Liveness/types.scm 221 */
			{	/* Liveness/types.scm 221 */
				BgL_boxzd2refzd2_bglt BgL_new1850z00_8546;

				{	/* Liveness/types.scm 221 */
					BgL_boxzd2refzd2_bglt BgL_tmp1848z00_8547;
					BgL_boxzd2refzf2livenessz20_bglt BgL_wide1849z00_8548;

					{
						BgL_boxzd2refzd2_bglt BgL_auxz00_11011;

						{	/* Liveness/types.scm 221 */
							BgL_boxzd2refzd2_bglt BgL_new1847z00_8549;

							BgL_new1847z00_8549 =
								((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2refzd2_bgl))));
							{	/* Liveness/types.scm 221 */
								long BgL_arg3839z00_8550;

								BgL_arg3839z00_8550 =
									BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1847z00_8549),
									BgL_arg3839z00_8550);
							}
							{	/* Liveness/types.scm 221 */
								BgL_objectz00_bglt BgL_tmpz00_11016;

								BgL_tmpz00_11016 = ((BgL_objectz00_bglt) BgL_new1847z00_8549);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11016, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1847z00_8549);
							BgL_auxz00_11011 = BgL_new1847z00_8549;
						}
						BgL_tmp1848z00_8547 = ((BgL_boxzd2refzd2_bglt) BgL_auxz00_11011);
					}
					BgL_wide1849z00_8548 =
						((BgL_boxzd2refzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzf2livenessz20_bgl))));
					{	/* Liveness/types.scm 221 */
						obj_t BgL_auxz00_11024;
						BgL_objectz00_bglt BgL_tmpz00_11022;

						BgL_auxz00_11024 = ((obj_t) BgL_wide1849z00_8548);
						BgL_tmpz00_11022 = ((BgL_objectz00_bglt) BgL_tmp1848z00_8547);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11022, BgL_auxz00_11024);
					}
					((BgL_objectz00_bglt) BgL_tmp1848z00_8547);
					{	/* Liveness/types.scm 221 */
						long BgL_arg3838z00_8551;

						BgL_arg3838z00_8551 =
							BGL_CLASS_NUM(BGl_boxzd2refzf2livenessz20zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1848z00_8547), BgL_arg3838z00_8551);
					}
					BgL_new1850z00_8546 = ((BgL_boxzd2refzd2_bglt) BgL_tmp1848z00_8547);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1850z00_8546)))->BgL_locz00) =
					((obj_t) BgL_loc1652z00_7085), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1850z00_8546)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1653z00_7086)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1850z00_8546)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1654zd2_7087), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1850z00_8546)))->BgL_keyz00) =
					((obj_t) BgL_key1655z00_7088), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1850z00_8546)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1656z00_7089)), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1850z00_8546)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1657z00_7090)),
					BUNSPEC);
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11047;

					{
						obj_t BgL_auxz00_11048;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_11049;

							BgL_tmpz00_11049 = ((BgL_objectz00_bglt) BgL_new1850z00_8546);
							BgL_auxz00_11048 = BGL_OBJECT_WIDENING(BgL_tmpz00_11049);
						}
						BgL_auxz00_11047 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11048);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11047))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1658z00_7091)), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11055;

					{
						obj_t BgL_auxz00_11056;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_11057;

							BgL_tmpz00_11057 = ((BgL_objectz00_bglt) BgL_new1850z00_8546);
							BgL_auxz00_11056 = BGL_OBJECT_WIDENING(BgL_tmpz00_11057);
						}
						BgL_auxz00_11055 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11056);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11055))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1659z00_7092)), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11063;

					{
						obj_t BgL_auxz00_11064;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_11065;

							BgL_tmpz00_11065 = ((BgL_objectz00_bglt) BgL_new1850z00_8546);
							BgL_auxz00_11064 = BGL_OBJECT_WIDENING(BgL_tmpz00_11065);
						}
						BgL_auxz00_11063 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11064);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11063))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1660z00_7093)), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11071;

					{
						obj_t BgL_auxz00_11072;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_11073;

							BgL_tmpz00_11073 = ((BgL_objectz00_bglt) BgL_new1850z00_8546);
							BgL_auxz00_11072 = BGL_OBJECT_WIDENING(BgL_tmpz00_11073);
						}
						BgL_auxz00_11071 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11072);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11071))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1661z00_7094)), BUNSPEC);
				}
				return BgL_new1850z00_8546;
			}
		}

	}



/* &<@anonymous:3874> */
	obj_t BGl_z62zc3z04anonymousza33874ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7095)
	{
		{	/* Liveness/types.scm 221 */
			return BNIL;
		}

	}



/* &lambda3873 */
	obj_t BGl_z62lambda3873z62zzliveness_typesz00(obj_t BgL_envz00_7096,
		obj_t BgL_oz00_7097, obj_t BgL_vz00_7098)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11079;

				{
					obj_t BgL_auxz00_11080;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11081;

						BgL_tmpz00_11081 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7097));
						BgL_auxz00_11080 = BGL_OBJECT_WIDENING(BgL_tmpz00_11081);
					}
					BgL_auxz00_11079 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11080);
				}
				return
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11079))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7098)), BUNSPEC);
			}
		}

	}



/* &lambda3872 */
	obj_t BGl_z62lambda3872z62zzliveness_typesz00(obj_t BgL_envz00_7099,
		obj_t BgL_oz00_7100)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11088;

				{
					obj_t BgL_auxz00_11089;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11090;

						BgL_tmpz00_11090 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7100));
						BgL_auxz00_11089 = BGL_OBJECT_WIDENING(BgL_tmpz00_11090);
					}
					BgL_auxz00_11088 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11089);
				}
				return
					(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11088))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3867> */
	obj_t BGl_z62zc3z04anonymousza33867ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7101)
	{
		{	/* Liveness/types.scm 221 */
			return BNIL;
		}

	}



/* &lambda3866 */
	obj_t BGl_z62lambda3866z62zzliveness_typesz00(obj_t BgL_envz00_7102,
		obj_t BgL_oz00_7103, obj_t BgL_vz00_7104)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11096;

				{
					obj_t BgL_auxz00_11097;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11098;

						BgL_tmpz00_11098 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7103));
						BgL_auxz00_11097 = BGL_OBJECT_WIDENING(BgL_tmpz00_11098);
					}
					BgL_auxz00_11096 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11097);
				}
				return
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11096))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7104)), BUNSPEC);
			}
		}

	}



/* &lambda3865 */
	obj_t BGl_z62lambda3865z62zzliveness_typesz00(obj_t BgL_envz00_7105,
		obj_t BgL_oz00_7106)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11105;

				{
					obj_t BgL_auxz00_11106;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11107;

						BgL_tmpz00_11107 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7106));
						BgL_auxz00_11106 = BGL_OBJECT_WIDENING(BgL_tmpz00_11107);
					}
					BgL_auxz00_11105 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11106);
				}
				return
					(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11105))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3860> */
	obj_t BGl_z62zc3z04anonymousza33860ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7107)
	{
		{	/* Liveness/types.scm 221 */
			return BNIL;
		}

	}



/* &lambda3859 */
	obj_t BGl_z62lambda3859z62zzliveness_typesz00(obj_t BgL_envz00_7108,
		obj_t BgL_oz00_7109, obj_t BgL_vz00_7110)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11113;

				{
					obj_t BgL_auxz00_11114;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11115;

						BgL_tmpz00_11115 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7109));
						BgL_auxz00_11114 = BGL_OBJECT_WIDENING(BgL_tmpz00_11115);
					}
					BgL_auxz00_11113 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11114);
				}
				return
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11113))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7110)), BUNSPEC);
			}
		}

	}



/* &lambda3858 */
	obj_t BGl_z62lambda3858z62zzliveness_typesz00(obj_t BgL_envz00_7111,
		obj_t BgL_oz00_7112)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11122;

				{
					obj_t BgL_auxz00_11123;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11124;

						BgL_tmpz00_11124 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7112));
						BgL_auxz00_11123 = BGL_OBJECT_WIDENING(BgL_tmpz00_11124);
					}
					BgL_auxz00_11122 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11123);
				}
				return
					(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11122))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3853> */
	obj_t BGl_z62zc3z04anonymousza33853ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7113)
	{
		{	/* Liveness/types.scm 221 */
			return BNIL;
		}

	}



/* &lambda3852 */
	obj_t BGl_z62lambda3852z62zzliveness_typesz00(obj_t BgL_envz00_7114,
		obj_t BgL_oz00_7115, obj_t BgL_vz00_7116)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11130;

				{
					obj_t BgL_auxz00_11131;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11132;

						BgL_tmpz00_11132 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7115));
						BgL_auxz00_11131 = BGL_OBJECT_WIDENING(BgL_tmpz00_11132);
					}
					BgL_auxz00_11130 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11131);
				}
				return
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11130))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7116)), BUNSPEC);
			}
		}

	}



/* &lambda3851 */
	obj_t BGl_z62lambda3851z62zzliveness_typesz00(obj_t BgL_envz00_7117,
		obj_t BgL_oz00_7118)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11139;

				{
					obj_t BgL_auxz00_11140;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11141;

						BgL_tmpz00_11141 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7118));
						BgL_auxz00_11140 = BGL_OBJECT_WIDENING(BgL_tmpz00_11141);
					}
					BgL_auxz00_11139 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11140);
				}
				return
					(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11139))->
					BgL_defz00);
			}
		}

	}



/* &lambda3799 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda3799z62zzliveness_typesz00(obj_t
		BgL_envz00_7119, obj_t BgL_o1650z00_7120)
	{
		{	/* Liveness/types.scm 215 */
			{	/* Liveness/types.scm 215 */
				long BgL_arg3800z00_8565;

				{	/* Liveness/types.scm 215 */
					obj_t BgL_arg3801z00_8566;

					{	/* Liveness/types.scm 215 */
						obj_t BgL_arg3802z00_8567;

						{	/* Liveness/types.scm 215 */
							long BgL_arg1833z00_8568;

							{	/* Liveness/types.scm 215 */
								long BgL_arg1834z00_8569;

								BgL_arg1834z00_8569 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_o1650z00_7120)));
								BgL_arg1833z00_8568 = (BgL_arg1834z00_8569 - OBJECT_TYPE);
							}
							BgL_arg3802z00_8567 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_8568);
						}
						BgL_arg3801z00_8566 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3802z00_8567);
					}
					{	/* Liveness/types.scm 215 */
						obj_t BgL_tmpz00_11153;

						BgL_tmpz00_11153 = ((obj_t) BgL_arg3801z00_8566);
						BgL_arg3800z00_8565 = BGL_CLASS_NUM(BgL_tmpz00_11153);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1650z00_7120)), BgL_arg3800z00_8565);
			}
			{	/* Liveness/types.scm 215 */
				BgL_objectz00_bglt BgL_tmpz00_11159;

				BgL_tmpz00_11159 =
					((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1650z00_7120));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11159, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1650z00_7120));
			return
				((BgL_makezd2boxzd2_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1650z00_7120));
		}

	}



/* &<@anonymous:3798> */
	obj_t BGl_z62zc3z04anonymousza33798ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7121, obj_t BgL_new1649z00_7122)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_11167;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1649z00_7122))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_11171;

					{	/* Liveness/types.scm 215 */
						obj_t BgL_classz00_8571;

						BgL_classz00_8571 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 215 */
							obj_t BgL__ortest_1112z00_8572;

							BgL__ortest_1112z00_8572 = BGL_CLASS_NIL(BgL_classz00_8571);
							if (CBOOL(BgL__ortest_1112z00_8572))
								{	/* Liveness/types.scm 215 */
									BgL_auxz00_11171 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_8572);
								}
							else
								{	/* Liveness/types.scm 215 */
									BgL_auxz00_11171 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8571));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1649z00_7122))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_11171), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1649z00_7122))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_makezd2boxzd2_bglt)
										BgL_new1649z00_7122))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_11187;

					{	/* Liveness/types.scm 215 */
						obj_t BgL_classz00_8573;

						BgL_classz00_8573 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 215 */
							obj_t BgL__ortest_1112z00_8574;

							BgL__ortest_1112z00_8574 = BGL_CLASS_NIL(BgL_classz00_8573);
							if (CBOOL(BgL__ortest_1112z00_8574))
								{	/* Liveness/types.scm 215 */
									BgL_auxz00_11187 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8574);
								}
							else
								{	/* Liveness/types.scm 215 */
									BgL_auxz00_11187 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8573));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1649z00_7122))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_11187), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_11197;

					{	/* Liveness/types.scm 215 */
						obj_t BgL_classz00_8575;

						BgL_classz00_8575 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 215 */
							obj_t BgL__ortest_1112z00_8576;

							BgL__ortest_1112z00_8576 = BGL_CLASS_NIL(BgL_classz00_8575);
							if (CBOOL(BgL__ortest_1112z00_8576))
								{	/* Liveness/types.scm 215 */
									BgL_auxz00_11197 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_8576);
								}
							else
								{	/* Liveness/types.scm 215 */
									BgL_auxz00_11197 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8575));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1649z00_7122))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_11197), BUNSPEC);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1649z00_7122))))->
						BgL_stackablez00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11210;

					{
						obj_t BgL_auxz00_11211;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11212;

							BgL_tmpz00_11212 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_new1649z00_7122));
							BgL_auxz00_11211 = BGL_OBJECT_WIDENING(BgL_tmpz00_11212);
						}
						BgL_auxz00_11210 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11211);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11210))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11218;

					{
						obj_t BgL_auxz00_11219;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11220;

							BgL_tmpz00_11220 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_new1649z00_7122));
							BgL_auxz00_11219 = BGL_OBJECT_WIDENING(BgL_tmpz00_11220);
						}
						BgL_auxz00_11218 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11219);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11218))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11226;

					{
						obj_t BgL_auxz00_11227;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11228;

							BgL_tmpz00_11228 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_new1649z00_7122));
							BgL_auxz00_11227 = BGL_OBJECT_WIDENING(BgL_tmpz00_11228);
						}
						BgL_auxz00_11226 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11227);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11226))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11234;

					{
						obj_t BgL_auxz00_11235;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11236;

							BgL_tmpz00_11236 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_new1649z00_7122));
							BgL_auxz00_11235 = BGL_OBJECT_WIDENING(BgL_tmpz00_11236);
						}
						BgL_auxz00_11234 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11235);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11234))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_11167 = ((BgL_makezd2boxzd2_bglt) BgL_new1649z00_7122);
				return ((obj_t) BgL_auxz00_11167);
			}
		}

	}



/* &lambda3796 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda3796z62zzliveness_typesz00(obj_t
		BgL_envz00_7123, obj_t BgL_o1646z00_7124)
	{
		{	/* Liveness/types.scm 215 */
			{	/* Liveness/types.scm 215 */
				BgL_makezd2boxzf2livenessz20_bglt BgL_wide1648z00_8578;

				BgL_wide1648z00_8578 =
					((BgL_makezd2boxzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_makezd2boxzf2livenessz20_bgl))));
				{	/* Liveness/types.scm 215 */
					obj_t BgL_auxz00_11249;
					BgL_objectz00_bglt BgL_tmpz00_11245;

					BgL_auxz00_11249 = ((obj_t) BgL_wide1648z00_8578);
					BgL_tmpz00_11245 =
						((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_o1646z00_7124)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11245, BgL_auxz00_11249);
				}
				((BgL_objectz00_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1646z00_7124)));
				{	/* Liveness/types.scm 215 */
					long BgL_arg3797z00_8579;

					BgL_arg3797z00_8579 =
						BGL_CLASS_NUM(BGl_makezd2boxzf2livenessz20zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_o1646z00_7124))),
						BgL_arg3797z00_8579);
				}
				return
					((BgL_makezd2boxzd2_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1646z00_7124)));
			}
		}

	}



/* &lambda3793 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda3793z62zzliveness_typesz00(obj_t
		BgL_envz00_7125, obj_t BgL_loc1635z00_7126, obj_t BgL_type1636z00_7127,
		obj_t BgL_sidezd2effect1637zd2_7128, obj_t BgL_key1638z00_7129,
		obj_t BgL_value1639z00_7130, obj_t BgL_vtype1640z00_7131,
		obj_t BgL_stackable1641z00_7132, obj_t BgL_def1642z00_7133,
		obj_t BgL_use1643z00_7134, obj_t BgL_in1644z00_7135,
		obj_t BgL_out1645z00_7136)
	{
		{	/* Liveness/types.scm 215 */
			{	/* Liveness/types.scm 215 */
				BgL_makezd2boxzd2_bglt BgL_new1845z00_8587;

				{	/* Liveness/types.scm 215 */
					BgL_makezd2boxzd2_bglt BgL_tmp1843z00_8588;
					BgL_makezd2boxzf2livenessz20_bglt BgL_wide1844z00_8589;

					{
						BgL_makezd2boxzd2_bglt BgL_auxz00_11263;

						{	/* Liveness/types.scm 215 */
							BgL_makezd2boxzd2_bglt BgL_new1842z00_8590;

							BgL_new1842z00_8590 =
								((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzd2_bgl))));
							{	/* Liveness/types.scm 215 */
								long BgL_arg3795z00_8591;

								BgL_arg3795z00_8591 =
									BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1842z00_8590),
									BgL_arg3795z00_8591);
							}
							{	/* Liveness/types.scm 215 */
								BgL_objectz00_bglt BgL_tmpz00_11268;

								BgL_tmpz00_11268 = ((BgL_objectz00_bglt) BgL_new1842z00_8590);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11268, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1842z00_8590);
							BgL_auxz00_11263 = BgL_new1842z00_8590;
						}
						BgL_tmp1843z00_8588 = ((BgL_makezd2boxzd2_bglt) BgL_auxz00_11263);
					}
					BgL_wide1844z00_8589 =
						((BgL_makezd2boxzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzf2livenessz20_bgl))));
					{	/* Liveness/types.scm 215 */
						obj_t BgL_auxz00_11276;
						BgL_objectz00_bglt BgL_tmpz00_11274;

						BgL_auxz00_11276 = ((obj_t) BgL_wide1844z00_8589);
						BgL_tmpz00_11274 = ((BgL_objectz00_bglt) BgL_tmp1843z00_8588);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11274, BgL_auxz00_11276);
					}
					((BgL_objectz00_bglt) BgL_tmp1843z00_8588);
					{	/* Liveness/types.scm 215 */
						long BgL_arg3794z00_8592;

						BgL_arg3794z00_8592 =
							BGL_CLASS_NUM(BGl_makezd2boxzf2livenessz20zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1843z00_8588), BgL_arg3794z00_8592);
					}
					BgL_new1845z00_8587 = ((BgL_makezd2boxzd2_bglt) BgL_tmp1843z00_8588);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1845z00_8587)))->BgL_locz00) =
					((obj_t) BgL_loc1635z00_7126), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1845z00_8587)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1636z00_7127)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1845z00_8587)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1637zd2_7128), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1845z00_8587)))->BgL_keyz00) =
					((obj_t) BgL_key1638z00_7129), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1845z00_8587)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1639z00_7130)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1845z00_8587)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1640z00_7131)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1845z00_8587)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1641z00_7132), BUNSPEC);
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11301;

					{
						obj_t BgL_auxz00_11302;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11303;

							BgL_tmpz00_11303 = ((BgL_objectz00_bglt) BgL_new1845z00_8587);
							BgL_auxz00_11302 = BGL_OBJECT_WIDENING(BgL_tmpz00_11303);
						}
						BgL_auxz00_11301 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11302);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11301))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1642z00_7133)), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11309;

					{
						obj_t BgL_auxz00_11310;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11311;

							BgL_tmpz00_11311 = ((BgL_objectz00_bglt) BgL_new1845z00_8587);
							BgL_auxz00_11310 = BGL_OBJECT_WIDENING(BgL_tmpz00_11311);
						}
						BgL_auxz00_11309 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11310);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11309))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1643z00_7134)), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11317;

					{
						obj_t BgL_auxz00_11318;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11319;

							BgL_tmpz00_11319 = ((BgL_objectz00_bglt) BgL_new1845z00_8587);
							BgL_auxz00_11318 = BGL_OBJECT_WIDENING(BgL_tmpz00_11319);
						}
						BgL_auxz00_11317 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11318);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11317))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1644z00_7135)), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11325;

					{
						obj_t BgL_auxz00_11326;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11327;

							BgL_tmpz00_11327 = ((BgL_objectz00_bglt) BgL_new1845z00_8587);
							BgL_auxz00_11326 = BGL_OBJECT_WIDENING(BgL_tmpz00_11327);
						}
						BgL_auxz00_11325 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11326);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11325))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1645z00_7136)), BUNSPEC);
				}
				return BgL_new1845z00_8587;
			}
		}

	}



/* &<@anonymous:3830> */
	obj_t BGl_z62zc3z04anonymousza33830ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7137)
	{
		{	/* Liveness/types.scm 215 */
			return BNIL;
		}

	}



/* &lambda3829 */
	obj_t BGl_z62lambda3829z62zzliveness_typesz00(obj_t BgL_envz00_7138,
		obj_t BgL_oz00_7139, obj_t BgL_vz00_7140)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11333;

				{
					obj_t BgL_auxz00_11334;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11335;

						BgL_tmpz00_11335 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7139));
						BgL_auxz00_11334 = BGL_OBJECT_WIDENING(BgL_tmpz00_11335);
					}
					BgL_auxz00_11333 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11334);
				}
				return
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11333))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7140)), BUNSPEC);
			}
		}

	}



/* &lambda3828 */
	obj_t BGl_z62lambda3828z62zzliveness_typesz00(obj_t BgL_envz00_7141,
		obj_t BgL_oz00_7142)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11342;

				{
					obj_t BgL_auxz00_11343;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11344;

						BgL_tmpz00_11344 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7142));
						BgL_auxz00_11343 = BGL_OBJECT_WIDENING(BgL_tmpz00_11344);
					}
					BgL_auxz00_11342 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11343);
				}
				return
					(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11342))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3823> */
	obj_t BGl_z62zc3z04anonymousza33823ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7143)
	{
		{	/* Liveness/types.scm 215 */
			return BNIL;
		}

	}



/* &lambda3822 */
	obj_t BGl_z62lambda3822z62zzliveness_typesz00(obj_t BgL_envz00_7144,
		obj_t BgL_oz00_7145, obj_t BgL_vz00_7146)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11350;

				{
					obj_t BgL_auxz00_11351;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11352;

						BgL_tmpz00_11352 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7145));
						BgL_auxz00_11351 = BGL_OBJECT_WIDENING(BgL_tmpz00_11352);
					}
					BgL_auxz00_11350 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11351);
				}
				return
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11350))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7146)), BUNSPEC);
			}
		}

	}



/* &lambda3821 */
	obj_t BGl_z62lambda3821z62zzliveness_typesz00(obj_t BgL_envz00_7147,
		obj_t BgL_oz00_7148)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11359;

				{
					obj_t BgL_auxz00_11360;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11361;

						BgL_tmpz00_11361 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7148));
						BgL_auxz00_11360 = BGL_OBJECT_WIDENING(BgL_tmpz00_11361);
					}
					BgL_auxz00_11359 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11360);
				}
				return
					(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11359))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3816> */
	obj_t BGl_z62zc3z04anonymousza33816ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7149)
	{
		{	/* Liveness/types.scm 215 */
			return BNIL;
		}

	}



/* &lambda3815 */
	obj_t BGl_z62lambda3815z62zzliveness_typesz00(obj_t BgL_envz00_7150,
		obj_t BgL_oz00_7151, obj_t BgL_vz00_7152)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11367;

				{
					obj_t BgL_auxz00_11368;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11369;

						BgL_tmpz00_11369 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7151));
						BgL_auxz00_11368 = BGL_OBJECT_WIDENING(BgL_tmpz00_11369);
					}
					BgL_auxz00_11367 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11368);
				}
				return
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11367))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7152)), BUNSPEC);
			}
		}

	}



/* &lambda3814 */
	obj_t BGl_z62lambda3814z62zzliveness_typesz00(obj_t BgL_envz00_7153,
		obj_t BgL_oz00_7154)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11376;

				{
					obj_t BgL_auxz00_11377;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11378;

						BgL_tmpz00_11378 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7154));
						BgL_auxz00_11377 = BGL_OBJECT_WIDENING(BgL_tmpz00_11378);
					}
					BgL_auxz00_11376 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11377);
				}
				return
					(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11376))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3809> */
	obj_t BGl_z62zc3z04anonymousza33809ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7155)
	{
		{	/* Liveness/types.scm 215 */
			return BNIL;
		}

	}



/* &lambda3808 */
	obj_t BGl_z62lambda3808z62zzliveness_typesz00(obj_t BgL_envz00_7156,
		obj_t BgL_oz00_7157, obj_t BgL_vz00_7158)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11384;

				{
					obj_t BgL_auxz00_11385;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11386;

						BgL_tmpz00_11386 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7157));
						BgL_auxz00_11385 = BGL_OBJECT_WIDENING(BgL_tmpz00_11386);
					}
					BgL_auxz00_11384 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11385);
				}
				return
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11384))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7158)), BUNSPEC);
			}
		}

	}



/* &lambda3807 */
	obj_t BGl_z62lambda3807z62zzliveness_typesz00(obj_t BgL_envz00_7159,
		obj_t BgL_oz00_7160)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11393;

				{
					obj_t BgL_auxz00_11394;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11395;

						BgL_tmpz00_11395 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7160));
						BgL_auxz00_11394 = BGL_OBJECT_WIDENING(BgL_tmpz00_11395);
					}
					BgL_auxz00_11393 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11394);
				}
				return
					(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11393))->
					BgL_defz00);
			}
		}

	}



/* &lambda3755 */
	BgL_returnz00_bglt BGl_z62lambda3755z62zzliveness_typesz00(obj_t
		BgL_envz00_7161, obj_t BgL_o1633z00_7162)
	{
		{	/* Liveness/types.scm 209 */
			{	/* Liveness/types.scm 209 */
				long BgL_arg3756z00_8606;

				{	/* Liveness/types.scm 209 */
					obj_t BgL_arg3757z00_8607;

					{	/* Liveness/types.scm 209 */
						obj_t BgL_arg3758z00_8608;

						{	/* Liveness/types.scm 209 */
							long BgL_arg1833z00_8609;

							{	/* Liveness/types.scm 209 */
								long BgL_arg1834z00_8610;

								BgL_arg1834z00_8610 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_returnz00_bglt) BgL_o1633z00_7162)));
								BgL_arg1833z00_8609 = (BgL_arg1834z00_8610 - OBJECT_TYPE);
							}
							BgL_arg3758z00_8608 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_8609);
						}
						BgL_arg3757z00_8607 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3758z00_8608);
					}
					{	/* Liveness/types.scm 209 */
						obj_t BgL_tmpz00_11407;

						BgL_tmpz00_11407 = ((obj_t) BgL_arg3757z00_8607);
						BgL_arg3756z00_8606 = BGL_CLASS_NUM(BgL_tmpz00_11407);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_returnz00_bglt) BgL_o1633z00_7162)), BgL_arg3756z00_8606);
			}
			{	/* Liveness/types.scm 209 */
				BgL_objectz00_bglt BgL_tmpz00_11413;

				BgL_tmpz00_11413 =
					((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_o1633z00_7162));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11413, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_o1633z00_7162));
			return ((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_o1633z00_7162));
		}

	}



/* &<@anonymous:3754> */
	obj_t BGl_z62zc3z04anonymousza33754ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7163, obj_t BgL_new1632z00_7164)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnz00_bglt BgL_auxz00_11421;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_returnz00_bglt) BgL_new1632z00_7164))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_11425;

					{	/* Liveness/types.scm 209 */
						obj_t BgL_classz00_8612;

						BgL_classz00_8612 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 209 */
							obj_t BgL__ortest_1112z00_8613;

							BgL__ortest_1112z00_8613 = BGL_CLASS_NIL(BgL_classz00_8612);
							if (CBOOL(BgL__ortest_1112z00_8613))
								{	/* Liveness/types.scm 209 */
									BgL_auxz00_11425 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_8613);
								}
							else
								{	/* Liveness/types.scm 209 */
									BgL_auxz00_11425 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8612));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_returnz00_bglt) BgL_new1632z00_7164))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_11425), BUNSPEC);
				}
				{
					BgL_retblockz00_bglt BgL_auxz00_11435;

					{	/* Liveness/types.scm 209 */
						obj_t BgL_classz00_8614;

						BgL_classz00_8614 = BGl_retblockz00zzast_nodez00;
						{	/* Liveness/types.scm 209 */
							obj_t BgL__ortest_1112z00_8615;

							BgL__ortest_1112z00_8615 = BGL_CLASS_NIL(BgL_classz00_8614);
							if (CBOOL(BgL__ortest_1112z00_8615))
								{	/* Liveness/types.scm 209 */
									BgL_auxz00_11435 =
										((BgL_retblockz00_bglt) BgL__ortest_1112z00_8615);
								}
							else
								{	/* Liveness/types.scm 209 */
									BgL_auxz00_11435 =
										((BgL_retblockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8614));
								}
						}
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt)
										((BgL_returnz00_bglt) BgL_new1632z00_7164))))->
							BgL_blockz00) =
						((BgL_retblockz00_bglt) BgL_auxz00_11435), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11445;

					{	/* Liveness/types.scm 209 */
						obj_t BgL_classz00_8616;

						BgL_classz00_8616 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 209 */
							obj_t BgL__ortest_1112z00_8617;

							BgL__ortest_1112z00_8617 = BGL_CLASS_NIL(BgL_classz00_8616);
							if (CBOOL(BgL__ortest_1112z00_8617))
								{	/* Liveness/types.scm 209 */
									BgL_auxz00_11445 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8617);
								}
							else
								{	/* Liveness/types.scm 209 */
									BgL_auxz00_11445 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8616));
								}
						}
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt)
										((BgL_returnz00_bglt) BgL_new1632z00_7164))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_11445), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11455;

					{
						obj_t BgL_auxz00_11456;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11457;

							BgL_tmpz00_11457 =
								((BgL_objectz00_bglt)
								((BgL_returnz00_bglt) BgL_new1632z00_7164));
							BgL_auxz00_11456 = BGL_OBJECT_WIDENING(BgL_tmpz00_11457);
						}
						BgL_auxz00_11455 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11456);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11455))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11463;

					{
						obj_t BgL_auxz00_11464;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11465;

							BgL_tmpz00_11465 =
								((BgL_objectz00_bglt)
								((BgL_returnz00_bglt) BgL_new1632z00_7164));
							BgL_auxz00_11464 = BGL_OBJECT_WIDENING(BgL_tmpz00_11465);
						}
						BgL_auxz00_11463 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11464);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11463))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11471;

					{
						obj_t BgL_auxz00_11472;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11473;

							BgL_tmpz00_11473 =
								((BgL_objectz00_bglt)
								((BgL_returnz00_bglt) BgL_new1632z00_7164));
							BgL_auxz00_11472 = BGL_OBJECT_WIDENING(BgL_tmpz00_11473);
						}
						BgL_auxz00_11471 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11472);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11471))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11479;

					{
						obj_t BgL_auxz00_11480;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11481;

							BgL_tmpz00_11481 =
								((BgL_objectz00_bglt)
								((BgL_returnz00_bglt) BgL_new1632z00_7164));
							BgL_auxz00_11480 = BGL_OBJECT_WIDENING(BgL_tmpz00_11481);
						}
						BgL_auxz00_11479 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11480);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11479))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_11421 = ((BgL_returnz00_bglt) BgL_new1632z00_7164);
				return ((obj_t) BgL_auxz00_11421);
			}
		}

	}



/* &lambda3752 */
	BgL_returnz00_bglt BGl_z62lambda3752z62zzliveness_typesz00(obj_t
		BgL_envz00_7165, obj_t BgL_o1629z00_7166)
	{
		{	/* Liveness/types.scm 209 */
			{	/* Liveness/types.scm 209 */
				BgL_returnzf2livenesszf2_bglt BgL_wide1631z00_8619;

				BgL_wide1631z00_8619 =
					((BgL_returnzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_returnzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 209 */
					obj_t BgL_auxz00_11494;
					BgL_objectz00_bglt BgL_tmpz00_11490;

					BgL_auxz00_11494 = ((obj_t) BgL_wide1631z00_8619);
					BgL_tmpz00_11490 =
						((BgL_objectz00_bglt)
						((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_o1629z00_7166)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11490, BgL_auxz00_11494);
				}
				((BgL_objectz00_bglt)
					((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_o1629z00_7166)));
				{	/* Liveness/types.scm 209 */
					long BgL_arg3753z00_8620;

					BgL_arg3753z00_8620 =
						BGL_CLASS_NUM(BGl_returnzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_returnz00_bglt)
								((BgL_returnz00_bglt) BgL_o1629z00_7166))),
						BgL_arg3753z00_8620);
				}
				return
					((BgL_returnz00_bglt)
					((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_o1629z00_7166)));
			}
		}

	}



/* &lambda3749 */
	BgL_returnz00_bglt BGl_z62lambda3749z62zzliveness_typesz00(obj_t
		BgL_envz00_7167, obj_t BgL_loc1621z00_7168, obj_t BgL_type1622z00_7169,
		obj_t BgL_block1623z00_7170, obj_t BgL_value1624z00_7171,
		obj_t BgL_def1625z00_7172, obj_t BgL_use1626z00_7173,
		obj_t BgL_in1627z00_7174, obj_t BgL_out1628z00_7175)
	{
		{	/* Liveness/types.scm 209 */
			{	/* Liveness/types.scm 209 */
				BgL_returnz00_bglt BgL_new1840z00_8628;

				{	/* Liveness/types.scm 209 */
					BgL_returnz00_bglt BgL_tmp1838z00_8629;
					BgL_returnzf2livenesszf2_bglt BgL_wide1839z00_8630;

					{
						BgL_returnz00_bglt BgL_auxz00_11508;

						{	/* Liveness/types.scm 209 */
							BgL_returnz00_bglt BgL_new1837z00_8631;

							BgL_new1837z00_8631 =
								((BgL_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_returnz00_bgl))));
							{	/* Liveness/types.scm 209 */
								long BgL_arg3751z00_8632;

								BgL_arg3751z00_8632 = BGL_CLASS_NUM(BGl_returnz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1837z00_8631),
									BgL_arg3751z00_8632);
							}
							{	/* Liveness/types.scm 209 */
								BgL_objectz00_bglt BgL_tmpz00_11513;

								BgL_tmpz00_11513 = ((BgL_objectz00_bglt) BgL_new1837z00_8631);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11513, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1837z00_8631);
							BgL_auxz00_11508 = BgL_new1837z00_8631;
						}
						BgL_tmp1838z00_8629 = ((BgL_returnz00_bglt) BgL_auxz00_11508);
					}
					BgL_wide1839z00_8630 =
						((BgL_returnzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_returnzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 209 */
						obj_t BgL_auxz00_11521;
						BgL_objectz00_bglt BgL_tmpz00_11519;

						BgL_auxz00_11521 = ((obj_t) BgL_wide1839z00_8630);
						BgL_tmpz00_11519 = ((BgL_objectz00_bglt) BgL_tmp1838z00_8629);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11519, BgL_auxz00_11521);
					}
					((BgL_objectz00_bglt) BgL_tmp1838z00_8629);
					{	/* Liveness/types.scm 209 */
						long BgL_arg3750z00_8633;

						BgL_arg3750z00_8633 =
							BGL_CLASS_NUM(BGl_returnzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1838z00_8629), BgL_arg3750z00_8633);
					}
					BgL_new1840z00_8628 = ((BgL_returnz00_bglt) BgL_tmp1838z00_8629);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1840z00_8628)))->BgL_locz00) =
					((obj_t) BgL_loc1621z00_7168), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1840z00_8628)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1622z00_7169)),
					BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(((BgL_returnz00_bglt)
									BgL_new1840z00_8628)))->BgL_blockz00) =
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt)
							BgL_block1623z00_7170)), BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(((BgL_returnz00_bglt)
									BgL_new1840z00_8628)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1624z00_7171)),
					BUNSPEC);
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11540;

					{
						obj_t BgL_auxz00_11541;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11542;

							BgL_tmpz00_11542 = ((BgL_objectz00_bglt) BgL_new1840z00_8628);
							BgL_auxz00_11541 = BGL_OBJECT_WIDENING(BgL_tmpz00_11542);
						}
						BgL_auxz00_11540 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11541);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11540))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1625z00_7172)), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11548;

					{
						obj_t BgL_auxz00_11549;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11550;

							BgL_tmpz00_11550 = ((BgL_objectz00_bglt) BgL_new1840z00_8628);
							BgL_auxz00_11549 = BGL_OBJECT_WIDENING(BgL_tmpz00_11550);
						}
						BgL_auxz00_11548 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11549);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11548))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1626z00_7173)), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11556;

					{
						obj_t BgL_auxz00_11557;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11558;

							BgL_tmpz00_11558 = ((BgL_objectz00_bglt) BgL_new1840z00_8628);
							BgL_auxz00_11557 = BGL_OBJECT_WIDENING(BgL_tmpz00_11558);
						}
						BgL_auxz00_11556 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11557);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11556))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1627z00_7174)), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11564;

					{
						obj_t BgL_auxz00_11565;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11566;

							BgL_tmpz00_11566 = ((BgL_objectz00_bglt) BgL_new1840z00_8628);
							BgL_auxz00_11565 = BGL_OBJECT_WIDENING(BgL_tmpz00_11566);
						}
						BgL_auxz00_11564 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11565);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11564))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1628z00_7175)), BUNSPEC);
				}
				return BgL_new1840z00_8628;
			}
		}

	}



/* &<@anonymous:3786> */
	obj_t BGl_z62zc3z04anonymousza33786ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7176)
	{
		{	/* Liveness/types.scm 209 */
			return BNIL;
		}

	}



/* &lambda3785 */
	obj_t BGl_z62lambda3785z62zzliveness_typesz00(obj_t BgL_envz00_7177,
		obj_t BgL_oz00_7178, obj_t BgL_vz00_7179)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_11572;

				{
					obj_t BgL_auxz00_11573;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_11574;

						BgL_tmpz00_11574 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7178));
						BgL_auxz00_11573 = BGL_OBJECT_WIDENING(BgL_tmpz00_11574);
					}
					BgL_auxz00_11572 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11573);
				}
				return
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11572))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7179)), BUNSPEC);
			}
		}

	}



/* &lambda3784 */
	obj_t BGl_z62lambda3784z62zzliveness_typesz00(obj_t BgL_envz00_7180,
		obj_t BgL_oz00_7181)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_11581;

				{
					obj_t BgL_auxz00_11582;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_11583;

						BgL_tmpz00_11583 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7181));
						BgL_auxz00_11582 = BGL_OBJECT_WIDENING(BgL_tmpz00_11583);
					}
					BgL_auxz00_11581 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11582);
				}
				return
					(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11581))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3779> */
	obj_t BGl_z62zc3z04anonymousza33779ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7182)
	{
		{	/* Liveness/types.scm 209 */
			return BNIL;
		}

	}



/* &lambda3778 */
	obj_t BGl_z62lambda3778z62zzliveness_typesz00(obj_t BgL_envz00_7183,
		obj_t BgL_oz00_7184, obj_t BgL_vz00_7185)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_11589;

				{
					obj_t BgL_auxz00_11590;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_11591;

						BgL_tmpz00_11591 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7184));
						BgL_auxz00_11590 = BGL_OBJECT_WIDENING(BgL_tmpz00_11591);
					}
					BgL_auxz00_11589 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11590);
				}
				return
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11589))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7185)), BUNSPEC);
			}
		}

	}



/* &lambda3777 */
	obj_t BGl_z62lambda3777z62zzliveness_typesz00(obj_t BgL_envz00_7186,
		obj_t BgL_oz00_7187)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_11598;

				{
					obj_t BgL_auxz00_11599;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_11600;

						BgL_tmpz00_11600 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7187));
						BgL_auxz00_11599 = BGL_OBJECT_WIDENING(BgL_tmpz00_11600);
					}
					BgL_auxz00_11598 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11599);
				}
				return
					(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11598))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3772> */
	obj_t BGl_z62zc3z04anonymousza33772ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7188)
	{
		{	/* Liveness/types.scm 209 */
			return BNIL;
		}

	}



/* &lambda3771 */
	obj_t BGl_z62lambda3771z62zzliveness_typesz00(obj_t BgL_envz00_7189,
		obj_t BgL_oz00_7190, obj_t BgL_vz00_7191)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_11606;

				{
					obj_t BgL_auxz00_11607;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_11608;

						BgL_tmpz00_11608 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7190));
						BgL_auxz00_11607 = BGL_OBJECT_WIDENING(BgL_tmpz00_11608);
					}
					BgL_auxz00_11606 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11607);
				}
				return
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11606))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7191)), BUNSPEC);
			}
		}

	}



/* &lambda3770 */
	obj_t BGl_z62lambda3770z62zzliveness_typesz00(obj_t BgL_envz00_7192,
		obj_t BgL_oz00_7193)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_11615;

				{
					obj_t BgL_auxz00_11616;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_11617;

						BgL_tmpz00_11617 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7193));
						BgL_auxz00_11616 = BGL_OBJECT_WIDENING(BgL_tmpz00_11617);
					}
					BgL_auxz00_11615 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11616);
				}
				return
					(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11615))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3765> */
	obj_t BGl_z62zc3z04anonymousza33765ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7194)
	{
		{	/* Liveness/types.scm 209 */
			return BNIL;
		}

	}



/* &lambda3764 */
	obj_t BGl_z62lambda3764z62zzliveness_typesz00(obj_t BgL_envz00_7195,
		obj_t BgL_oz00_7196, obj_t BgL_vz00_7197)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_11623;

				{
					obj_t BgL_auxz00_11624;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_11625;

						BgL_tmpz00_11625 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7196));
						BgL_auxz00_11624 = BGL_OBJECT_WIDENING(BgL_tmpz00_11625);
					}
					BgL_auxz00_11623 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11624);
				}
				return
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11623))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7197)), BUNSPEC);
			}
		}

	}



/* &lambda3763 */
	obj_t BGl_z62lambda3763z62zzliveness_typesz00(obj_t BgL_envz00_7198,
		obj_t BgL_oz00_7199)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_11632;

				{
					obj_t BgL_auxz00_11633;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_11634;

						BgL_tmpz00_11634 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7199));
						BgL_auxz00_11633 = BGL_OBJECT_WIDENING(BgL_tmpz00_11634);
					}
					BgL_auxz00_11632 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11633);
				}
				return
					(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11632))->
					BgL_defz00);
			}
		}

	}



/* &lambda3707 */
	BgL_retblockz00_bglt BGl_z62lambda3707z62zzliveness_typesz00(obj_t
		BgL_envz00_7200, obj_t BgL_o1619z00_7201)
	{
		{	/* Liveness/types.scm 203 */
			{	/* Liveness/types.scm 203 */
				long BgL_arg3709z00_8647;

				{	/* Liveness/types.scm 203 */
					obj_t BgL_arg3710z00_8648;

					{	/* Liveness/types.scm 203 */
						obj_t BgL_arg3711z00_8649;

						{	/* Liveness/types.scm 203 */
							long BgL_arg1833z00_8650;

							{	/* Liveness/types.scm 203 */
								long BgL_arg1834z00_8651;

								BgL_arg1834z00_8651 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt) BgL_o1619z00_7201)));
								BgL_arg1833z00_8650 = (BgL_arg1834z00_8651 - OBJECT_TYPE);
							}
							BgL_arg3711z00_8649 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_8650);
						}
						BgL_arg3710z00_8648 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3711z00_8649);
					}
					{	/* Liveness/types.scm 203 */
						obj_t BgL_tmpz00_11646;

						BgL_tmpz00_11646 = ((obj_t) BgL_arg3710z00_8648);
						BgL_arg3709z00_8647 = BGL_CLASS_NUM(BgL_tmpz00_11646);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_retblockz00_bglt) BgL_o1619z00_7201)), BgL_arg3709z00_8647);
			}
			{	/* Liveness/types.scm 203 */
				BgL_objectz00_bglt BgL_tmpz00_11652;

				BgL_tmpz00_11652 =
					((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_o1619z00_7201));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11652, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_o1619z00_7201));
			return
				((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_o1619z00_7201));
		}

	}



/* &<@anonymous:3706> */
	obj_t BGl_z62zc3z04anonymousza33706ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7202, obj_t BgL_new1618z00_7203)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockz00_bglt BgL_auxz00_11660;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_retblockz00_bglt) BgL_new1618z00_7203))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_11664;

					{	/* Liveness/types.scm 203 */
						obj_t BgL_classz00_8653;

						BgL_classz00_8653 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 203 */
							obj_t BgL__ortest_1112z00_8654;

							BgL__ortest_1112z00_8654 = BGL_CLASS_NIL(BgL_classz00_8653);
							if (CBOOL(BgL__ortest_1112z00_8654))
								{	/* Liveness/types.scm 203 */
									BgL_auxz00_11664 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_8654);
								}
							else
								{	/* Liveness/types.scm 203 */
									BgL_auxz00_11664 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8653));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_retblockz00_bglt) BgL_new1618z00_7203))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_11664), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11674;

					{	/* Liveness/types.scm 203 */
						obj_t BgL_classz00_8655;

						BgL_classz00_8655 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 203 */
							obj_t BgL__ortest_1112z00_8656;

							BgL__ortest_1112z00_8656 = BGL_CLASS_NIL(BgL_classz00_8655);
							if (CBOOL(BgL__ortest_1112z00_8656))
								{	/* Liveness/types.scm 203 */
									BgL_auxz00_11674 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8656);
								}
							else
								{	/* Liveness/types.scm 203 */
									BgL_auxz00_11674 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8655));
								}
						}
					}
					((((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt)
										((BgL_retblockz00_bglt) BgL_new1618z00_7203))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_11674), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11684;

					{
						obj_t BgL_auxz00_11685;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_11686;

							BgL_tmpz00_11686 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt) BgL_new1618z00_7203));
							BgL_auxz00_11685 = BGL_OBJECT_WIDENING(BgL_tmpz00_11686);
						}
						BgL_auxz00_11684 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11685);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11684))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11692;

					{
						obj_t BgL_auxz00_11693;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_11694;

							BgL_tmpz00_11694 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt) BgL_new1618z00_7203));
							BgL_auxz00_11693 = BGL_OBJECT_WIDENING(BgL_tmpz00_11694);
						}
						BgL_auxz00_11692 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11693);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11692))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11700;

					{
						obj_t BgL_auxz00_11701;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_11702;

							BgL_tmpz00_11702 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt) BgL_new1618z00_7203));
							BgL_auxz00_11701 = BGL_OBJECT_WIDENING(BgL_tmpz00_11702);
						}
						BgL_auxz00_11700 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11701);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11700))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11708;

					{
						obj_t BgL_auxz00_11709;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_11710;

							BgL_tmpz00_11710 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt) BgL_new1618z00_7203));
							BgL_auxz00_11709 = BGL_OBJECT_WIDENING(BgL_tmpz00_11710);
						}
						BgL_auxz00_11708 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11709);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11708))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_11660 = ((BgL_retblockz00_bglt) BgL_new1618z00_7203);
				return ((obj_t) BgL_auxz00_11660);
			}
		}

	}



/* &lambda3703 */
	BgL_retblockz00_bglt BGl_z62lambda3703z62zzliveness_typesz00(obj_t
		BgL_envz00_7204, obj_t BgL_o1615z00_7205)
	{
		{	/* Liveness/types.scm 203 */
			{	/* Liveness/types.scm 203 */
				BgL_retblockzf2livenesszf2_bglt BgL_wide1617z00_8658;

				BgL_wide1617z00_8658 =
					((BgL_retblockzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_retblockzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 203 */
					obj_t BgL_auxz00_11723;
					BgL_objectz00_bglt BgL_tmpz00_11719;

					BgL_auxz00_11723 = ((obj_t) BgL_wide1617z00_8658);
					BgL_tmpz00_11719 =
						((BgL_objectz00_bglt)
						((BgL_retblockz00_bglt)
							((BgL_retblockz00_bglt) BgL_o1615z00_7205)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11719, BgL_auxz00_11723);
				}
				((BgL_objectz00_bglt)
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_o1615z00_7205)));
				{	/* Liveness/types.scm 203 */
					long BgL_arg3705z00_8659;

					BgL_arg3705z00_8659 =
						BGL_CLASS_NUM(BGl_retblockzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_retblockz00_bglt)
								((BgL_retblockz00_bglt) BgL_o1615z00_7205))),
						BgL_arg3705z00_8659);
				}
				return
					((BgL_retblockz00_bglt)
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_o1615z00_7205)));
			}
		}

	}



/* &lambda3700 */
	BgL_retblockz00_bglt BGl_z62lambda3700z62zzliveness_typesz00(obj_t
		BgL_envz00_7206, obj_t BgL_loc1608z00_7207, obj_t BgL_type1609z00_7208,
		obj_t BgL_body1610z00_7209, obj_t BgL_def1611z00_7210,
		obj_t BgL_use1612z00_7211, obj_t BgL_in1613z00_7212,
		obj_t BgL_out1614z00_7213)
	{
		{	/* Liveness/types.scm 203 */
			{	/* Liveness/types.scm 203 */
				BgL_retblockz00_bglt BgL_new1835z00_8666;

				{	/* Liveness/types.scm 203 */
					BgL_retblockz00_bglt BgL_tmp1833z00_8667;
					BgL_retblockzf2livenesszf2_bglt BgL_wide1834z00_8668;

					{
						BgL_retblockz00_bglt BgL_auxz00_11737;

						{	/* Liveness/types.scm 203 */
							BgL_retblockz00_bglt BgL_new1832z00_8669;

							BgL_new1832z00_8669 =
								((BgL_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_retblockz00_bgl))));
							{	/* Liveness/types.scm 203 */
								long BgL_arg3702z00_8670;

								BgL_arg3702z00_8670 =
									BGL_CLASS_NUM(BGl_retblockz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1832z00_8669),
									BgL_arg3702z00_8670);
							}
							{	/* Liveness/types.scm 203 */
								BgL_objectz00_bglt BgL_tmpz00_11742;

								BgL_tmpz00_11742 = ((BgL_objectz00_bglt) BgL_new1832z00_8669);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11742, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1832z00_8669);
							BgL_auxz00_11737 = BgL_new1832z00_8669;
						}
						BgL_tmp1833z00_8667 = ((BgL_retblockz00_bglt) BgL_auxz00_11737);
					}
					BgL_wide1834z00_8668 =
						((BgL_retblockzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_retblockzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 203 */
						obj_t BgL_auxz00_11750;
						BgL_objectz00_bglt BgL_tmpz00_11748;

						BgL_auxz00_11750 = ((obj_t) BgL_wide1834z00_8668);
						BgL_tmpz00_11748 = ((BgL_objectz00_bglt) BgL_tmp1833z00_8667);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11748, BgL_auxz00_11750);
					}
					((BgL_objectz00_bglt) BgL_tmp1833z00_8667);
					{	/* Liveness/types.scm 203 */
						long BgL_arg3701z00_8671;

						BgL_arg3701z00_8671 =
							BGL_CLASS_NUM(BGl_retblockzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1833z00_8667), BgL_arg3701z00_8671);
					}
					BgL_new1835z00_8666 = ((BgL_retblockz00_bglt) BgL_tmp1833z00_8667);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1835z00_8666)))->BgL_locz00) =
					((obj_t) BgL_loc1608z00_7207), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1835z00_8666)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1609z00_7208)),
					BUNSPEC);
				((((BgL_retblockz00_bglt) COBJECT(((BgL_retblockz00_bglt)
									BgL_new1835z00_8666)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1610z00_7209)),
					BUNSPEC);
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11766;

					{
						obj_t BgL_auxz00_11767;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_11768;

							BgL_tmpz00_11768 = ((BgL_objectz00_bglt) BgL_new1835z00_8666);
							BgL_auxz00_11767 = BGL_OBJECT_WIDENING(BgL_tmpz00_11768);
						}
						BgL_auxz00_11766 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11767);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11766))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1611z00_7210)), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11774;

					{
						obj_t BgL_auxz00_11775;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_11776;

							BgL_tmpz00_11776 = ((BgL_objectz00_bglt) BgL_new1835z00_8666);
							BgL_auxz00_11775 = BGL_OBJECT_WIDENING(BgL_tmpz00_11776);
						}
						BgL_auxz00_11774 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11775);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11774))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1612z00_7211)), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11782;

					{
						obj_t BgL_auxz00_11783;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_11784;

							BgL_tmpz00_11784 = ((BgL_objectz00_bglt) BgL_new1835z00_8666);
							BgL_auxz00_11783 = BGL_OBJECT_WIDENING(BgL_tmpz00_11784);
						}
						BgL_auxz00_11782 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11783);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11782))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1613z00_7212)), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11790;

					{
						obj_t BgL_auxz00_11791;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_11792;

							BgL_tmpz00_11792 = ((BgL_objectz00_bglt) BgL_new1835z00_8666);
							BgL_auxz00_11791 = BGL_OBJECT_WIDENING(BgL_tmpz00_11792);
						}
						BgL_auxz00_11790 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11791);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11790))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1614z00_7213)), BUNSPEC);
				}
				return BgL_new1835z00_8666;
			}
		}

	}



/* &<@anonymous:3742> */
	obj_t BGl_z62zc3z04anonymousza33742ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7214)
	{
		{	/* Liveness/types.scm 203 */
			return BNIL;
		}

	}



/* &lambda3741 */
	obj_t BGl_z62lambda3741z62zzliveness_typesz00(obj_t BgL_envz00_7215,
		obj_t BgL_oz00_7216, obj_t BgL_vz00_7217)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11798;

				{
					obj_t BgL_auxz00_11799;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_11800;

						BgL_tmpz00_11800 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7216));
						BgL_auxz00_11799 = BGL_OBJECT_WIDENING(BgL_tmpz00_11800);
					}
					BgL_auxz00_11798 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11799);
				}
				return
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11798))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7217)), BUNSPEC);
			}
		}

	}



/* &lambda3740 */
	obj_t BGl_z62lambda3740z62zzliveness_typesz00(obj_t BgL_envz00_7218,
		obj_t BgL_oz00_7219)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11807;

				{
					obj_t BgL_auxz00_11808;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_11809;

						BgL_tmpz00_11809 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7219));
						BgL_auxz00_11808 = BGL_OBJECT_WIDENING(BgL_tmpz00_11809);
					}
					BgL_auxz00_11807 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11808);
				}
				return
					(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11807))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3734> */
	obj_t BGl_z62zc3z04anonymousza33734ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7220)
	{
		{	/* Liveness/types.scm 203 */
			return BNIL;
		}

	}



/* &lambda3733 */
	obj_t BGl_z62lambda3733z62zzliveness_typesz00(obj_t BgL_envz00_7221,
		obj_t BgL_oz00_7222, obj_t BgL_vz00_7223)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11815;

				{
					obj_t BgL_auxz00_11816;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_11817;

						BgL_tmpz00_11817 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7222));
						BgL_auxz00_11816 = BGL_OBJECT_WIDENING(BgL_tmpz00_11817);
					}
					BgL_auxz00_11815 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11816);
				}
				return
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11815))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7223)), BUNSPEC);
			}
		}

	}



/* &lambda3732 */
	obj_t BGl_z62lambda3732z62zzliveness_typesz00(obj_t BgL_envz00_7224,
		obj_t BgL_oz00_7225)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11824;

				{
					obj_t BgL_auxz00_11825;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_11826;

						BgL_tmpz00_11826 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7225));
						BgL_auxz00_11825 = BGL_OBJECT_WIDENING(BgL_tmpz00_11826);
					}
					BgL_auxz00_11824 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11825);
				}
				return
					(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11824))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3726> */
	obj_t BGl_z62zc3z04anonymousza33726ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7226)
	{
		{	/* Liveness/types.scm 203 */
			return BNIL;
		}

	}



/* &lambda3725 */
	obj_t BGl_z62lambda3725z62zzliveness_typesz00(obj_t BgL_envz00_7227,
		obj_t BgL_oz00_7228, obj_t BgL_vz00_7229)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11832;

				{
					obj_t BgL_auxz00_11833;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_11834;

						BgL_tmpz00_11834 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7228));
						BgL_auxz00_11833 = BGL_OBJECT_WIDENING(BgL_tmpz00_11834);
					}
					BgL_auxz00_11832 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11833);
				}
				return
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11832))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7229)), BUNSPEC);
			}
		}

	}



/* &lambda3724 */
	obj_t BGl_z62lambda3724z62zzliveness_typesz00(obj_t BgL_envz00_7230,
		obj_t BgL_oz00_7231)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11841;

				{
					obj_t BgL_auxz00_11842;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_11843;

						BgL_tmpz00_11843 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7231));
						BgL_auxz00_11842 = BGL_OBJECT_WIDENING(BgL_tmpz00_11843);
					}
					BgL_auxz00_11841 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11842);
				}
				return
					(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11841))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3719> */
	obj_t BGl_z62zc3z04anonymousza33719ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7232)
	{
		{	/* Liveness/types.scm 203 */
			return BNIL;
		}

	}



/* &lambda3718 */
	obj_t BGl_z62lambda3718z62zzliveness_typesz00(obj_t BgL_envz00_7233,
		obj_t BgL_oz00_7234, obj_t BgL_vz00_7235)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11849;

				{
					obj_t BgL_auxz00_11850;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_11851;

						BgL_tmpz00_11851 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7234));
						BgL_auxz00_11850 = BGL_OBJECT_WIDENING(BgL_tmpz00_11851);
					}
					BgL_auxz00_11849 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11850);
				}
				return
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11849))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7235)), BUNSPEC);
			}
		}

	}



/* &lambda3717 */
	obj_t BGl_z62lambda3717z62zzliveness_typesz00(obj_t BgL_envz00_7236,
		obj_t BgL_oz00_7237)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11858;

				{
					obj_t BgL_auxz00_11859;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_11860;

						BgL_tmpz00_11860 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7237));
						BgL_auxz00_11859 = BGL_OBJECT_WIDENING(BgL_tmpz00_11860);
					}
					BgL_auxz00_11858 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11859);
				}
				return
					(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11858))->
					BgL_defz00);
			}
		}

	}



/* &lambda3654 */
	BgL_syncz00_bglt BGl_z62lambda3654z62zzliveness_typesz00(obj_t
		BgL_envz00_7238, obj_t BgL_o1605z00_7239)
	{
		{	/* Liveness/types.scm 197 */
			{	/* Liveness/types.scm 197 */
				long BgL_arg3655z00_8685;

				{	/* Liveness/types.scm 197 */
					obj_t BgL_arg3657z00_8686;

					{	/* Liveness/types.scm 197 */
						obj_t BgL_arg3658z00_8687;

						{	/* Liveness/types.scm 197 */
							long BgL_arg1833z00_8688;

							{	/* Liveness/types.scm 197 */
								long BgL_arg1834z00_8689;

								BgL_arg1834z00_8689 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_syncz00_bglt) BgL_o1605z00_7239)));
								BgL_arg1833z00_8688 = (BgL_arg1834z00_8689 - OBJECT_TYPE);
							}
							BgL_arg3658z00_8687 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_8688);
						}
						BgL_arg3657z00_8686 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3658z00_8687);
					}
					{	/* Liveness/types.scm 197 */
						obj_t BgL_tmpz00_11872;

						BgL_tmpz00_11872 = ((obj_t) BgL_arg3657z00_8686);
						BgL_arg3655z00_8685 = BGL_CLASS_NUM(BgL_tmpz00_11872);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_syncz00_bglt) BgL_o1605z00_7239)), BgL_arg3655z00_8685);
			}
			{	/* Liveness/types.scm 197 */
				BgL_objectz00_bglt BgL_tmpz00_11878;

				BgL_tmpz00_11878 =
					((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_o1605z00_7239));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11878, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_o1605z00_7239));
			return ((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1605z00_7239));
		}

	}



/* &<@anonymous:3653> */
	obj_t BGl_z62zc3z04anonymousza33653ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7240, obj_t BgL_new1604z00_7241)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_syncz00_bglt BgL_auxz00_11886;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_new1604z00_7241))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_11890;

					{	/* Liveness/types.scm 197 */
						obj_t BgL_classz00_8691;

						BgL_classz00_8691 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 197 */
							obj_t BgL__ortest_1112z00_8692;

							BgL__ortest_1112z00_8692 = BGL_CLASS_NIL(BgL_classz00_8691);
							if (CBOOL(BgL__ortest_1112z00_8692))
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_11890 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_8692);
								}
							else
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_11890 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8691));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_syncz00_bglt) BgL_new1604z00_7241))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_11890), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11900;

					{	/* Liveness/types.scm 197 */
						obj_t BgL_classz00_8693;

						BgL_classz00_8693 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 197 */
							obj_t BgL__ortest_1112z00_8694;

							BgL__ortest_1112z00_8694 = BGL_CLASS_NIL(BgL_classz00_8693);
							if (CBOOL(BgL__ortest_1112z00_8694))
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_11900 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8694);
								}
							else
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_11900 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8693));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt)
										((BgL_syncz00_bglt) BgL_new1604z00_7241))))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11900), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11910;

					{	/* Liveness/types.scm 197 */
						obj_t BgL_classz00_8695;

						BgL_classz00_8695 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 197 */
							obj_t BgL__ortest_1112z00_8696;

							BgL__ortest_1112z00_8696 = BGL_CLASS_NIL(BgL_classz00_8695);
							if (CBOOL(BgL__ortest_1112z00_8696))
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_11910 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8696);
								}
							else
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_11910 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8695));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt)
										((BgL_syncz00_bglt) BgL_new1604z00_7241))))->
							BgL_prelockz00) = ((BgL_nodez00_bglt) BgL_auxz00_11910), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11920;

					{	/* Liveness/types.scm 197 */
						obj_t BgL_classz00_8697;

						BgL_classz00_8697 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 197 */
							obj_t BgL__ortest_1112z00_8698;

							BgL__ortest_1112z00_8698 = BGL_CLASS_NIL(BgL_classz00_8697);
							if (CBOOL(BgL__ortest_1112z00_8698))
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_11920 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8698);
								}
							else
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_11920 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8697));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt)
										((BgL_syncz00_bglt) BgL_new1604z00_7241))))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11920), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_11930;

					{
						obj_t BgL_auxz00_11931;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_11932;

							BgL_tmpz00_11932 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_new1604z00_7241));
							BgL_auxz00_11931 = BGL_OBJECT_WIDENING(BgL_tmpz00_11932);
						}
						BgL_auxz00_11930 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_11931);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11930))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_11938;

					{
						obj_t BgL_auxz00_11939;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_11940;

							BgL_tmpz00_11940 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_new1604z00_7241));
							BgL_auxz00_11939 = BGL_OBJECT_WIDENING(BgL_tmpz00_11940);
						}
						BgL_auxz00_11938 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_11939);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11938))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_11946;

					{
						obj_t BgL_auxz00_11947;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_11948;

							BgL_tmpz00_11948 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_new1604z00_7241));
							BgL_auxz00_11947 = BGL_OBJECT_WIDENING(BgL_tmpz00_11948);
						}
						BgL_auxz00_11946 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_11947);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11946))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_11954;

					{
						obj_t BgL_auxz00_11955;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_11956;

							BgL_tmpz00_11956 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_new1604z00_7241));
							BgL_auxz00_11955 = BGL_OBJECT_WIDENING(BgL_tmpz00_11956);
						}
						BgL_auxz00_11954 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_11955);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11954))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_11886 = ((BgL_syncz00_bglt) BgL_new1604z00_7241);
				return ((obj_t) BgL_auxz00_11886);
			}
		}

	}



/* &lambda3651 */
	BgL_syncz00_bglt BGl_z62lambda3651z62zzliveness_typesz00(obj_t
		BgL_envz00_7242, obj_t BgL_o1601z00_7243)
	{
		{	/* Liveness/types.scm 197 */
			{	/* Liveness/types.scm 197 */
				BgL_synczf2livenesszf2_bglt BgL_wide1603z00_8700;

				BgL_wide1603z00_8700 =
					((BgL_synczf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_synczf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 197 */
					obj_t BgL_auxz00_11969;
					BgL_objectz00_bglt BgL_tmpz00_11965;

					BgL_auxz00_11969 = ((obj_t) BgL_wide1603z00_8700);
					BgL_tmpz00_11965 =
						((BgL_objectz00_bglt)
						((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1601z00_7243)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11965, BgL_auxz00_11969);
				}
				((BgL_objectz00_bglt)
					((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1601z00_7243)));
				{	/* Liveness/types.scm 197 */
					long BgL_arg3652z00_8701;

					BgL_arg3652z00_8701 =
						BGL_CLASS_NUM(BGl_synczf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_syncz00_bglt)
								((BgL_syncz00_bglt) BgL_o1601z00_7243))), BgL_arg3652z00_8701);
				}
				return
					((BgL_syncz00_bglt)
					((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1601z00_7243)));
			}
		}

	}



/* &lambda3648 */
	BgL_syncz00_bglt BGl_z62lambda3648z62zzliveness_typesz00(obj_t
		BgL_envz00_7244, obj_t BgL_loc1592z00_7245, obj_t BgL_type1593z00_7246,
		obj_t BgL_mutex1594z00_7247, obj_t BgL_prelock1595z00_7248,
		obj_t BgL_body1596z00_7249, obj_t BgL_def1597z00_7250,
		obj_t BgL_use1598z00_7251, obj_t BgL_in1599z00_7252,
		obj_t BgL_out1600z00_7253)
	{
		{	/* Liveness/types.scm 197 */
			{	/* Liveness/types.scm 197 */
				BgL_syncz00_bglt BgL_new1830z00_8710;

				{	/* Liveness/types.scm 197 */
					BgL_syncz00_bglt BgL_tmp1828z00_8711;
					BgL_synczf2livenesszf2_bglt BgL_wide1829z00_8712;

					{
						BgL_syncz00_bglt BgL_auxz00_11983;

						{	/* Liveness/types.scm 197 */
							BgL_syncz00_bglt BgL_new1827z00_8713;

							BgL_new1827z00_8713 =
								((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_syncz00_bgl))));
							{	/* Liveness/types.scm 197 */
								long BgL_arg3650z00_8714;

								BgL_arg3650z00_8714 = BGL_CLASS_NUM(BGl_syncz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1827z00_8713),
									BgL_arg3650z00_8714);
							}
							{	/* Liveness/types.scm 197 */
								BgL_objectz00_bglt BgL_tmpz00_11988;

								BgL_tmpz00_11988 = ((BgL_objectz00_bglt) BgL_new1827z00_8713);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11988, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1827z00_8713);
							BgL_auxz00_11983 = BgL_new1827z00_8713;
						}
						BgL_tmp1828z00_8711 = ((BgL_syncz00_bglt) BgL_auxz00_11983);
					}
					BgL_wide1829z00_8712 =
						((BgL_synczf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_synczf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 197 */
						obj_t BgL_auxz00_11996;
						BgL_objectz00_bglt BgL_tmpz00_11994;

						BgL_auxz00_11996 = ((obj_t) BgL_wide1829z00_8712);
						BgL_tmpz00_11994 = ((BgL_objectz00_bglt) BgL_tmp1828z00_8711);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11994, BgL_auxz00_11996);
					}
					((BgL_objectz00_bglt) BgL_tmp1828z00_8711);
					{	/* Liveness/types.scm 197 */
						long BgL_arg3649z00_8715;

						BgL_arg3649z00_8715 =
							BGL_CLASS_NUM(BGl_synczf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1828z00_8711), BgL_arg3649z00_8715);
					}
					BgL_new1830z00_8710 = ((BgL_syncz00_bglt) BgL_tmp1828z00_8711);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1830z00_8710)))->BgL_locz00) =
					((obj_t) BgL_loc1592z00_7245), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1830z00_8710)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1593z00_7246)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
									BgL_new1830z00_8710)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_mutex1594z00_7247)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
									BgL_new1830z00_8710)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_prelock1595z00_7248)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
									BgL_new1830z00_8710)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1596z00_7249)),
					BUNSPEC);
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_12018;

					{
						obj_t BgL_auxz00_12019;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_12020;

							BgL_tmpz00_12020 = ((BgL_objectz00_bglt) BgL_new1830z00_8710);
							BgL_auxz00_12019 = BGL_OBJECT_WIDENING(BgL_tmpz00_12020);
						}
						BgL_auxz00_12018 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12019);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12018))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1597z00_7250)), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_12026;

					{
						obj_t BgL_auxz00_12027;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_12028;

							BgL_tmpz00_12028 = ((BgL_objectz00_bglt) BgL_new1830z00_8710);
							BgL_auxz00_12027 = BGL_OBJECT_WIDENING(BgL_tmpz00_12028);
						}
						BgL_auxz00_12026 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12027);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12026))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1598z00_7251)), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_12034;

					{
						obj_t BgL_auxz00_12035;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_12036;

							BgL_tmpz00_12036 = ((BgL_objectz00_bglt) BgL_new1830z00_8710);
							BgL_auxz00_12035 = BGL_OBJECT_WIDENING(BgL_tmpz00_12036);
						}
						BgL_auxz00_12034 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12035);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12034))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1599z00_7252)), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_12042;

					{
						obj_t BgL_auxz00_12043;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_12044;

							BgL_tmpz00_12044 = ((BgL_objectz00_bglt) BgL_new1830z00_8710);
							BgL_auxz00_12043 = BGL_OBJECT_WIDENING(BgL_tmpz00_12044);
						}
						BgL_auxz00_12042 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12043);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12042))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1600z00_7253)), BUNSPEC);
				}
				return BgL_new1830z00_8710;
			}
		}

	}



/* &<@anonymous:3691> */
	obj_t BGl_z62zc3z04anonymousza33691ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7254)
	{
		{	/* Liveness/types.scm 197 */
			return BNIL;
		}

	}



/* &lambda3690 */
	obj_t BGl_z62lambda3690z62zzliveness_typesz00(obj_t BgL_envz00_7255,
		obj_t BgL_oz00_7256, obj_t BgL_vz00_7257)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12050;

				{
					obj_t BgL_auxz00_12051;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12052;

						BgL_tmpz00_12052 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7256));
						BgL_auxz00_12051 = BGL_OBJECT_WIDENING(BgL_tmpz00_12052);
					}
					BgL_auxz00_12050 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12051);
				}
				return
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12050))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7257)), BUNSPEC);
			}
		}

	}



/* &lambda3689 */
	obj_t BGl_z62lambda3689z62zzliveness_typesz00(obj_t BgL_envz00_7258,
		obj_t BgL_oz00_7259)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12059;

				{
					obj_t BgL_auxz00_12060;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12061;

						BgL_tmpz00_12061 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7259));
						BgL_auxz00_12060 = BGL_OBJECT_WIDENING(BgL_tmpz00_12061);
					}
					BgL_auxz00_12059 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12060);
				}
				return
					(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12059))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3682> */
	obj_t BGl_z62zc3z04anonymousza33682ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7260)
	{
		{	/* Liveness/types.scm 197 */
			return BNIL;
		}

	}



/* &lambda3681 */
	obj_t BGl_z62lambda3681z62zzliveness_typesz00(obj_t BgL_envz00_7261,
		obj_t BgL_oz00_7262, obj_t BgL_vz00_7263)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12067;

				{
					obj_t BgL_auxz00_12068;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12069;

						BgL_tmpz00_12069 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7262));
						BgL_auxz00_12068 = BGL_OBJECT_WIDENING(BgL_tmpz00_12069);
					}
					BgL_auxz00_12067 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12068);
				}
				return
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12067))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7263)), BUNSPEC);
			}
		}

	}



/* &lambda3680 */
	obj_t BGl_z62lambda3680z62zzliveness_typesz00(obj_t BgL_envz00_7264,
		obj_t BgL_oz00_7265)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12076;

				{
					obj_t BgL_auxz00_12077;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12078;

						BgL_tmpz00_12078 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7265));
						BgL_auxz00_12077 = BGL_OBJECT_WIDENING(BgL_tmpz00_12078);
					}
					BgL_auxz00_12076 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12077);
				}
				return
					(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12076))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3673> */
	obj_t BGl_z62zc3z04anonymousza33673ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7266)
	{
		{	/* Liveness/types.scm 197 */
			return BNIL;
		}

	}



/* &lambda3672 */
	obj_t BGl_z62lambda3672z62zzliveness_typesz00(obj_t BgL_envz00_7267,
		obj_t BgL_oz00_7268, obj_t BgL_vz00_7269)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12084;

				{
					obj_t BgL_auxz00_12085;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12086;

						BgL_tmpz00_12086 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7268));
						BgL_auxz00_12085 = BGL_OBJECT_WIDENING(BgL_tmpz00_12086);
					}
					BgL_auxz00_12084 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12085);
				}
				return
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12084))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7269)), BUNSPEC);
			}
		}

	}



/* &lambda3671 */
	obj_t BGl_z62lambda3671z62zzliveness_typesz00(obj_t BgL_envz00_7270,
		obj_t BgL_oz00_7271)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12093;

				{
					obj_t BgL_auxz00_12094;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12095;

						BgL_tmpz00_12095 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7271));
						BgL_auxz00_12094 = BGL_OBJECT_WIDENING(BgL_tmpz00_12095);
					}
					BgL_auxz00_12093 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12094);
				}
				return
					(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12093))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3665> */
	obj_t BGl_z62zc3z04anonymousza33665ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7272)
	{
		{	/* Liveness/types.scm 197 */
			return BNIL;
		}

	}



/* &lambda3664 */
	obj_t BGl_z62lambda3664z62zzliveness_typesz00(obj_t BgL_envz00_7273,
		obj_t BgL_oz00_7274, obj_t BgL_vz00_7275)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12101;

				{
					obj_t BgL_auxz00_12102;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12103;

						BgL_tmpz00_12103 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7274));
						BgL_auxz00_12102 = BGL_OBJECT_WIDENING(BgL_tmpz00_12103);
					}
					BgL_auxz00_12101 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12102);
				}
				return
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12101))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7275)), BUNSPEC);
			}
		}

	}



/* &lambda3663 */
	obj_t BGl_z62lambda3663z62zzliveness_typesz00(obj_t BgL_envz00_7276,
		obj_t BgL_oz00_7277)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12110;

				{
					obj_t BgL_auxz00_12111;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12112;

						BgL_tmpz00_12112 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7277));
						BgL_auxz00_12111 = BGL_OBJECT_WIDENING(BgL_tmpz00_12112);
					}
					BgL_auxz00_12110 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12111);
				}
				return
					(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12110))->
					BgL_defz00);
			}
		}

	}



/* &lambda3601 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda3601z62zzliveness_typesz00(obj_t
		BgL_envz00_7278, obj_t BgL_o1590z00_7279)
	{
		{	/* Liveness/types.scm 191 */
			{	/* Liveness/types.scm 191 */
				long BgL_arg3602z00_8729;

				{	/* Liveness/types.scm 191 */
					obj_t BgL_arg3603z00_8730;

					{	/* Liveness/types.scm 191 */
						obj_t BgL_arg3605z00_8731;

						{	/* Liveness/types.scm 191 */
							long BgL_arg1833z00_8732;

							{	/* Liveness/types.scm 191 */
								long BgL_arg1834z00_8733;

								BgL_arg1834z00_8733 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_o1590z00_7279)));
								BgL_arg1833z00_8732 = (BgL_arg1834z00_8733 - OBJECT_TYPE);
							}
							BgL_arg3605z00_8731 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_8732);
						}
						BgL_arg3603z00_8730 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3605z00_8731);
					}
					{	/* Liveness/types.scm 191 */
						obj_t BgL_tmpz00_12124;

						BgL_tmpz00_12124 = ((obj_t) BgL_arg3603z00_8730);
						BgL_arg3602z00_8729 = BGL_CLASS_NUM(BgL_tmpz00_12124);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_o1590z00_7279)),
					BgL_arg3602z00_8729);
			}
			{	/* Liveness/types.scm 191 */
				BgL_objectz00_bglt BgL_tmpz00_12130;

				BgL_tmpz00_12130 =
					((BgL_objectz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt) BgL_o1590z00_7279));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12130, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_o1590z00_7279));
			return
				((BgL_jumpzd2exzd2itz00_bglt)
				((BgL_jumpzd2exzd2itz00_bglt) BgL_o1590z00_7279));
		}

	}



/* &<@anonymous:3600> */
	obj_t BGl_z62zc3z04anonymousza33600ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7280, obj_t BgL_new1589z00_7281)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_12138;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_new1589z00_7281))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12142;

					{	/* Liveness/types.scm 191 */
						obj_t BgL_classz00_8735;

						BgL_classz00_8735 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 191 */
							obj_t BgL__ortest_1112z00_8736;

							BgL__ortest_1112z00_8736 = BGL_CLASS_NIL(BgL_classz00_8735);
							if (CBOOL(BgL__ortest_1112z00_8736))
								{	/* Liveness/types.scm 191 */
									BgL_auxz00_12142 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_8736);
								}
							else
								{	/* Liveness/types.scm 191 */
									BgL_auxz00_12142 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8735));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1589z00_7281))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12142), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12152;

					{	/* Liveness/types.scm 191 */
						obj_t BgL_classz00_8737;

						BgL_classz00_8737 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 191 */
							obj_t BgL__ortest_1112z00_8738;

							BgL__ortest_1112z00_8738 = BGL_CLASS_NIL(BgL_classz00_8737);
							if (CBOOL(BgL__ortest_1112z00_8738))
								{	/* Liveness/types.scm 191 */
									BgL_auxz00_12152 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8738);
								}
							else
								{	/* Liveness/types.scm 191 */
									BgL_auxz00_12152 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8737));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1589z00_7281))))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_12152), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12162;

					{	/* Liveness/types.scm 191 */
						obj_t BgL_classz00_8739;

						BgL_classz00_8739 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 191 */
							obj_t BgL__ortest_1112z00_8740;

							BgL__ortest_1112z00_8740 = BGL_CLASS_NIL(BgL_classz00_8739);
							if (CBOOL(BgL__ortest_1112z00_8740))
								{	/* Liveness/types.scm 191 */
									BgL_auxz00_12162 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8740);
								}
							else
								{	/* Liveness/types.scm 191 */
									BgL_auxz00_12162 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8739));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1589z00_7281))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_12162), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12172;

					{
						obj_t BgL_auxz00_12173;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12174;

							BgL_tmpz00_12174 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_new1589z00_7281));
							BgL_auxz00_12173 = BGL_OBJECT_WIDENING(BgL_tmpz00_12174);
						}
						BgL_auxz00_12172 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12173);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12172))->BgL_defz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12180;

					{
						obj_t BgL_auxz00_12181;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12182;

							BgL_tmpz00_12182 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_new1589z00_7281));
							BgL_auxz00_12181 = BGL_OBJECT_WIDENING(BgL_tmpz00_12182);
						}
						BgL_auxz00_12180 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12181);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12180))->BgL_usez00) =
						((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12188;

					{
						obj_t BgL_auxz00_12189;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12190;

							BgL_tmpz00_12190 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_new1589z00_7281));
							BgL_auxz00_12189 = BGL_OBJECT_WIDENING(BgL_tmpz00_12190);
						}
						BgL_auxz00_12188 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12189);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12188))->BgL_inz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12196;

					{
						obj_t BgL_auxz00_12197;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12198;

							BgL_tmpz00_12198 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_new1589z00_7281));
							BgL_auxz00_12197 = BGL_OBJECT_WIDENING(BgL_tmpz00_12198);
						}
						BgL_auxz00_12196 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12197);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12196))->BgL_outz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_12138 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_new1589z00_7281);
				return ((obj_t) BgL_auxz00_12138);
			}
		}

	}



/* &lambda3597 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda3597z62zzliveness_typesz00(obj_t
		BgL_envz00_7282, obj_t BgL_o1586z00_7283)
	{
		{	/* Liveness/types.scm 191 */
			{	/* Liveness/types.scm 191 */
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_wide1588z00_8742;

				BgL_wide1588z00_8742 =
					((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
					BOBJECT(GC_MALLOC(sizeof(struct
								BgL_jumpzd2exzd2itzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 191 */
					obj_t BgL_auxz00_12211;
					BgL_objectz00_bglt BgL_tmpz00_12207;

					BgL_auxz00_12211 = ((obj_t) BgL_wide1588z00_8742);
					BgL_tmpz00_12207 =
						((BgL_objectz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_o1586z00_7283)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12207, BgL_auxz00_12211);
				}
				((BgL_objectz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_o1586z00_7283)));
				{	/* Liveness/types.scm 191 */
					long BgL_arg3599z00_8743;

					BgL_arg3599z00_8743 =
						BGL_CLASS_NUM(BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_o1586z00_7283))),
						BgL_arg3599z00_8743);
				}
				return
					((BgL_jumpzd2exzd2itz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_o1586z00_7283)));
			}
		}

	}



/* &lambda3593 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda3593z62zzliveness_typesz00(obj_t
		BgL_envz00_7284, obj_t BgL_loc1578z00_7285, obj_t BgL_type1579z00_7286,
		obj_t BgL_exit1580z00_7287, obj_t BgL_value1581z00_7288,
		obj_t BgL_def1582z00_7289, obj_t BgL_use1583z00_7290,
		obj_t BgL_in1584z00_7291, obj_t BgL_out1585z00_7292)
	{
		{	/* Liveness/types.scm 191 */
			{	/* Liveness/types.scm 191 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1825z00_8751;

				{	/* Liveness/types.scm 191 */
					BgL_jumpzd2exzd2itz00_bglt BgL_tmp1823z00_8752;
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_wide1824z00_8753;

					{
						BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_12225;

						{	/* Liveness/types.scm 191 */
							BgL_jumpzd2exzd2itz00_bglt BgL_new1822z00_8754;

							BgL_new1822z00_8754 =
								((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_jumpzd2exzd2itz00_bgl))));
							{	/* Liveness/types.scm 191 */
								long BgL_arg3596z00_8755;

								BgL_arg3596z00_8755 =
									BGL_CLASS_NUM(BGl_jumpzd2exzd2itz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1822z00_8754),
									BgL_arg3596z00_8755);
							}
							{	/* Liveness/types.scm 191 */
								BgL_objectz00_bglt BgL_tmpz00_12230;

								BgL_tmpz00_12230 = ((BgL_objectz00_bglt) BgL_new1822z00_8754);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12230, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1822z00_8754);
							BgL_auxz00_12225 = BgL_new1822z00_8754;
						}
						BgL_tmp1823z00_8752 =
							((BgL_jumpzd2exzd2itz00_bglt) BgL_auxz00_12225);
					}
					BgL_wide1824z00_8753 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 191 */
						obj_t BgL_auxz00_12238;
						BgL_objectz00_bglt BgL_tmpz00_12236;

						BgL_auxz00_12238 = ((obj_t) BgL_wide1824z00_8753);
						BgL_tmpz00_12236 = ((BgL_objectz00_bglt) BgL_tmp1823z00_8752);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12236, BgL_auxz00_12238);
					}
					((BgL_objectz00_bglt) BgL_tmp1823z00_8752);
					{	/* Liveness/types.scm 191 */
						long BgL_arg3595z00_8756;

						BgL_arg3595z00_8756 =
							BGL_CLASS_NUM
							(BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) BgL_tmp1823z00_8752),
							BgL_arg3595z00_8756);
					}
					BgL_new1825z00_8751 =
						((BgL_jumpzd2exzd2itz00_bglt) BgL_tmp1823z00_8752);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1825z00_8751)))->BgL_locz00) =
					((obj_t) BgL_loc1578z00_7285), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1825z00_8751)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1579z00_7286)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_new1825z00_8751)))->BgL_exitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_exit1580z00_7287)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_new1825z00_8751)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1581z00_7288)),
					BUNSPEC);
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12257;

					{
						obj_t BgL_auxz00_12258;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12259;

							BgL_tmpz00_12259 = ((BgL_objectz00_bglt) BgL_new1825z00_8751);
							BgL_auxz00_12258 = BGL_OBJECT_WIDENING(BgL_tmpz00_12259);
						}
						BgL_auxz00_12257 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12258);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12257))->BgL_defz00) =
						((obj_t) ((obj_t) BgL_def1582z00_7289)), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12265;

					{
						obj_t BgL_auxz00_12266;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12267;

							BgL_tmpz00_12267 = ((BgL_objectz00_bglt) BgL_new1825z00_8751);
							BgL_auxz00_12266 = BGL_OBJECT_WIDENING(BgL_tmpz00_12267);
						}
						BgL_auxz00_12265 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12266);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12265))->BgL_usez00) =
						((obj_t) ((obj_t) BgL_use1583z00_7290)), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12273;

					{
						obj_t BgL_auxz00_12274;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12275;

							BgL_tmpz00_12275 = ((BgL_objectz00_bglt) BgL_new1825z00_8751);
							BgL_auxz00_12274 = BGL_OBJECT_WIDENING(BgL_tmpz00_12275);
						}
						BgL_auxz00_12273 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12274);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12273))->BgL_inz00) =
						((obj_t) ((obj_t) BgL_in1584z00_7291)), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12281;

					{
						obj_t BgL_auxz00_12282;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12283;

							BgL_tmpz00_12283 = ((BgL_objectz00_bglt) BgL_new1825z00_8751);
							BgL_auxz00_12282 = BGL_OBJECT_WIDENING(BgL_tmpz00_12283);
						}
						BgL_auxz00_12281 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12282);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12281))->BgL_outz00) =
						((obj_t) ((obj_t) BgL_out1585z00_7292)), BUNSPEC);
				}
				return BgL_new1825z00_8751;
			}
		}

	}



/* &<@anonymous:3639> */
	obj_t BGl_z62zc3z04anonymousza33639ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7293)
	{
		{	/* Liveness/types.scm 191 */
			return BNIL;
		}

	}



/* &lambda3638 */
	obj_t BGl_z62lambda3638z62zzliveness_typesz00(obj_t BgL_envz00_7294,
		obj_t BgL_oz00_7295, obj_t BgL_vz00_7296)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12289;

				{
					obj_t BgL_auxz00_12290;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12291;

						BgL_tmpz00_12291 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7295));
						BgL_auxz00_12290 = BGL_OBJECT_WIDENING(BgL_tmpz00_12291);
					}
					BgL_auxz00_12289 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12290);
				}
				return
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_12289))->BgL_outz00) =
					((obj_t) ((obj_t) BgL_vz00_7296)), BUNSPEC);
			}
		}

	}



/* &lambda3637 */
	obj_t BGl_z62lambda3637z62zzliveness_typesz00(obj_t BgL_envz00_7297,
		obj_t BgL_oz00_7298)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12298;

				{
					obj_t BgL_auxz00_12299;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12300;

						BgL_tmpz00_12300 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7298));
						BgL_auxz00_12299 = BGL_OBJECT_WIDENING(BgL_tmpz00_12300);
					}
					BgL_auxz00_12298 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12299);
				}
				return
					(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12298))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3631> */
	obj_t BGl_z62zc3z04anonymousza33631ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7299)
	{
		{	/* Liveness/types.scm 191 */
			return BNIL;
		}

	}



/* &lambda3630 */
	obj_t BGl_z62lambda3630z62zzliveness_typesz00(obj_t BgL_envz00_7300,
		obj_t BgL_oz00_7301, obj_t BgL_vz00_7302)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12306;

				{
					obj_t BgL_auxz00_12307;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12308;

						BgL_tmpz00_12308 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7301));
						BgL_auxz00_12307 = BGL_OBJECT_WIDENING(BgL_tmpz00_12308);
					}
					BgL_auxz00_12306 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12307);
				}
				return
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_12306))->BgL_inz00) =
					((obj_t) ((obj_t) BgL_vz00_7302)), BUNSPEC);
			}
		}

	}



/* &lambda3629 */
	obj_t BGl_z62lambda3629z62zzliveness_typesz00(obj_t BgL_envz00_7303,
		obj_t BgL_oz00_7304)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12315;

				{
					obj_t BgL_auxz00_12316;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12317;

						BgL_tmpz00_12317 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7304));
						BgL_auxz00_12316 = BGL_OBJECT_WIDENING(BgL_tmpz00_12317);
					}
					BgL_auxz00_12315 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12316);
				}
				return
					(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12315))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3622> */
	obj_t BGl_z62zc3z04anonymousza33622ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7305)
	{
		{	/* Liveness/types.scm 191 */
			return BNIL;
		}

	}



/* &lambda3621 */
	obj_t BGl_z62lambda3621z62zzliveness_typesz00(obj_t BgL_envz00_7306,
		obj_t BgL_oz00_7307, obj_t BgL_vz00_7308)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12323;

				{
					obj_t BgL_auxz00_12324;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12325;

						BgL_tmpz00_12325 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7307));
						BgL_auxz00_12324 = BGL_OBJECT_WIDENING(BgL_tmpz00_12325);
					}
					BgL_auxz00_12323 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12324);
				}
				return
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_12323))->BgL_usez00) =
					((obj_t) ((obj_t) BgL_vz00_7308)), BUNSPEC);
			}
		}

	}



/* &lambda3620 */
	obj_t BGl_z62lambda3620z62zzliveness_typesz00(obj_t BgL_envz00_7309,
		obj_t BgL_oz00_7310)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12332;

				{
					obj_t BgL_auxz00_12333;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12334;

						BgL_tmpz00_12334 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7310));
						BgL_auxz00_12333 = BGL_OBJECT_WIDENING(BgL_tmpz00_12334);
					}
					BgL_auxz00_12332 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12333);
				}
				return
					(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12332))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3613> */
	obj_t BGl_z62zc3z04anonymousza33613ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7311)
	{
		{	/* Liveness/types.scm 191 */
			return BNIL;
		}

	}



/* &lambda3612 */
	obj_t BGl_z62lambda3612z62zzliveness_typesz00(obj_t BgL_envz00_7312,
		obj_t BgL_oz00_7313, obj_t BgL_vz00_7314)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12340;

				{
					obj_t BgL_auxz00_12341;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12342;

						BgL_tmpz00_12342 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7313));
						BgL_auxz00_12341 = BGL_OBJECT_WIDENING(BgL_tmpz00_12342);
					}
					BgL_auxz00_12340 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12341);
				}
				return
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_12340))->BgL_defz00) =
					((obj_t) ((obj_t) BgL_vz00_7314)), BUNSPEC);
			}
		}

	}



/* &lambda3611 */
	obj_t BGl_z62lambda3611z62zzliveness_typesz00(obj_t BgL_envz00_7315,
		obj_t BgL_oz00_7316)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12349;

				{
					obj_t BgL_auxz00_12350;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12351;

						BgL_tmpz00_12351 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7316));
						BgL_auxz00_12350 = BGL_OBJECT_WIDENING(BgL_tmpz00_12351);
					}
					BgL_auxz00_12349 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12350);
				}
				return
					(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12349))->
					BgL_defz00);
			}
		}

	}



/* &lambda3548 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda3548z62zzliveness_typesz00(obj_t
		BgL_envz00_7317, obj_t BgL_o1576z00_7318)
	{
		{	/* Liveness/types.scm 185 */
			{	/* Liveness/types.scm 185 */
				long BgL_arg3549z00_8770;

				{	/* Liveness/types.scm 185 */
					obj_t BgL_arg3550z00_8771;

					{	/* Liveness/types.scm 185 */
						obj_t BgL_arg3552z00_8772;

						{	/* Liveness/types.scm 185 */
							long BgL_arg1833z00_8773;

							{	/* Liveness/types.scm 185 */
								long BgL_arg1834z00_8774;

								BgL_arg1834z00_8774 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_o1576z00_7318)));
								BgL_arg1833z00_8773 = (BgL_arg1834z00_8774 - OBJECT_TYPE);
							}
							BgL_arg3552z00_8772 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_8773);
						}
						BgL_arg3550z00_8771 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3552z00_8772);
					}
					{	/* Liveness/types.scm 185 */
						obj_t BgL_tmpz00_12363;

						BgL_tmpz00_12363 = ((obj_t) BgL_arg3550z00_8771);
						BgL_arg3549z00_8770 = BGL_CLASS_NUM(BgL_tmpz00_12363);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_o1576z00_7318)),
					BgL_arg3549z00_8770);
			}
			{	/* Liveness/types.scm 185 */
				BgL_objectz00_bglt BgL_tmpz00_12369;

				BgL_tmpz00_12369 =
					((BgL_objectz00_bglt)
					((BgL_setzd2exzd2itz00_bglt) BgL_o1576z00_7318));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12369, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_o1576z00_7318));
			return
				((BgL_setzd2exzd2itz00_bglt)
				((BgL_setzd2exzd2itz00_bglt) BgL_o1576z00_7318));
		}

	}



/* &<@anonymous:3547> */
	obj_t BGl_z62zc3z04anonymousza33547ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7319, obj_t BgL_new1575z00_7320)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_auxz00_12377;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_new1575z00_7320))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12381;

					{	/* Liveness/types.scm 185 */
						obj_t BgL_classz00_8776;

						BgL_classz00_8776 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 185 */
							obj_t BgL__ortest_1112z00_8777;

							BgL__ortest_1112z00_8777 = BGL_CLASS_NIL(BgL_classz00_8776);
							if (CBOOL(BgL__ortest_1112z00_8777))
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12381 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_8777);
								}
							else
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12381 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8776));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1575z00_7320))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12381), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_12391;

					{	/* Liveness/types.scm 185 */
						obj_t BgL_classz00_8778;

						BgL_classz00_8778 = BGl_varz00zzast_nodez00;
						{	/* Liveness/types.scm 185 */
							obj_t BgL__ortest_1112z00_8779;

							BgL__ortest_1112z00_8779 = BGL_CLASS_NIL(BgL_classz00_8778);
							if (CBOOL(BgL__ortest_1112z00_8779))
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12391 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_8779);
								}
							else
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12391 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8778));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1575z00_7320))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_12391), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12401;

					{	/* Liveness/types.scm 185 */
						obj_t BgL_classz00_8780;

						BgL_classz00_8780 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 185 */
							obj_t BgL__ortest_1112z00_8781;

							BgL__ortest_1112z00_8781 = BGL_CLASS_NIL(BgL_classz00_8780);
							if (CBOOL(BgL__ortest_1112z00_8781))
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12401 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8781);
								}
							else
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12401 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8780));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1575z00_7320))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_12401), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12411;

					{	/* Liveness/types.scm 185 */
						obj_t BgL_classz00_8782;

						BgL_classz00_8782 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 185 */
							obj_t BgL__ortest_1112z00_8783;

							BgL__ortest_1112z00_8783 = BGL_CLASS_NIL(BgL_classz00_8782);
							if (CBOOL(BgL__ortest_1112z00_8783))
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12411 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8783);
								}
							else
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12411 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8782));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1575z00_7320))))->
							BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_12411), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12421;

					{
						obj_t BgL_auxz00_12422;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12423;

							BgL_tmpz00_12423 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_new1575z00_7320));
							BgL_auxz00_12422 = BGL_OBJECT_WIDENING(BgL_tmpz00_12423);
						}
						BgL_auxz00_12421 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12422);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12421))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12429;

					{
						obj_t BgL_auxz00_12430;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12431;

							BgL_tmpz00_12431 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_new1575z00_7320));
							BgL_auxz00_12430 = BGL_OBJECT_WIDENING(BgL_tmpz00_12431);
						}
						BgL_auxz00_12429 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12430);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12429))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12437;

					{
						obj_t BgL_auxz00_12438;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12439;

							BgL_tmpz00_12439 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_new1575z00_7320));
							BgL_auxz00_12438 = BGL_OBJECT_WIDENING(BgL_tmpz00_12439);
						}
						BgL_auxz00_12437 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12438);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12437))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12445;

					{
						obj_t BgL_auxz00_12446;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12447;

							BgL_tmpz00_12447 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_new1575z00_7320));
							BgL_auxz00_12446 = BGL_OBJECT_WIDENING(BgL_tmpz00_12447);
						}
						BgL_auxz00_12445 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12446);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12445))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_12377 = ((BgL_setzd2exzd2itz00_bglt) BgL_new1575z00_7320);
				return ((obj_t) BgL_auxz00_12377);
			}
		}

	}



/* &lambda3545 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda3545z62zzliveness_typesz00(obj_t
		BgL_envz00_7321, obj_t BgL_o1572z00_7322)
	{
		{	/* Liveness/types.scm 185 */
			{	/* Liveness/types.scm 185 */
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_wide1574z00_8785;

				BgL_wide1574z00_8785 =
					((BgL_setzd2exzd2itzf2livenesszf2_bglt)
					BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setzd2exzd2itzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 185 */
					obj_t BgL_auxz00_12460;
					BgL_objectz00_bglt BgL_tmpz00_12456;

					BgL_auxz00_12460 = ((obj_t) BgL_wide1574z00_8785);
					BgL_tmpz00_12456 =
						((BgL_objectz00_bglt)
						((BgL_setzd2exzd2itz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_o1572z00_7322)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12456, BgL_auxz00_12460);
				}
				((BgL_objectz00_bglt)
					((BgL_setzd2exzd2itz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_o1572z00_7322)));
				{	/* Liveness/types.scm 185 */
					long BgL_arg3546z00_8786;

					BgL_arg3546z00_8786 =
						BGL_CLASS_NUM(BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_o1572z00_7322))),
						BgL_arg3546z00_8786);
				}
				return
					((BgL_setzd2exzd2itz00_bglt)
					((BgL_setzd2exzd2itz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_o1572z00_7322)));
			}
		}

	}



/* &lambda3542 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda3542z62zzliveness_typesz00(obj_t
		BgL_envz00_7323, obj_t BgL_loc1563z00_7324, obj_t BgL_type1564z00_7325,
		obj_t BgL_var1565z00_7326, obj_t BgL_body1566z00_7327,
		obj_t BgL_onexit1567z00_7328, obj_t BgL_def1568z00_7329,
		obj_t BgL_use1569z00_7330, obj_t BgL_in1570z00_7331,
		obj_t BgL_out1571z00_7332)
	{
		{	/* Liveness/types.scm 185 */
			{	/* Liveness/types.scm 185 */
				BgL_setzd2exzd2itz00_bglt BgL_new1820z00_8795;

				{	/* Liveness/types.scm 185 */
					BgL_setzd2exzd2itz00_bglt BgL_tmp1818z00_8796;
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_wide1819z00_8797;

					{
						BgL_setzd2exzd2itz00_bglt BgL_auxz00_12474;

						{	/* Liveness/types.scm 185 */
							BgL_setzd2exzd2itz00_bglt BgL_new1817z00_8798;

							BgL_new1817z00_8798 =
								((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setzd2exzd2itz00_bgl))));
							{	/* Liveness/types.scm 185 */
								long BgL_arg3544z00_8799;

								BgL_arg3544z00_8799 =
									BGL_CLASS_NUM(BGl_setzd2exzd2itz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1817z00_8798),
									BgL_arg3544z00_8799);
							}
							{	/* Liveness/types.scm 185 */
								BgL_objectz00_bglt BgL_tmpz00_12479;

								BgL_tmpz00_12479 = ((BgL_objectz00_bglt) BgL_new1817z00_8798);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12479, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1817z00_8798);
							BgL_auxz00_12474 = BgL_new1817z00_8798;
						}
						BgL_tmp1818z00_8796 =
							((BgL_setzd2exzd2itz00_bglt) BgL_auxz00_12474);
					}
					BgL_wide1819z00_8797 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 185 */
						obj_t BgL_auxz00_12487;
						BgL_objectz00_bglt BgL_tmpz00_12485;

						BgL_auxz00_12487 = ((obj_t) BgL_wide1819z00_8797);
						BgL_tmpz00_12485 = ((BgL_objectz00_bglt) BgL_tmp1818z00_8796);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12485, BgL_auxz00_12487);
					}
					((BgL_objectz00_bglt) BgL_tmp1818z00_8796);
					{	/* Liveness/types.scm 185 */
						long BgL_arg3543z00_8800;

						BgL_arg3543z00_8800 =
							BGL_CLASS_NUM(BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1818z00_8796), BgL_arg3543z00_8800);
					}
					BgL_new1820z00_8795 =
						((BgL_setzd2exzd2itz00_bglt) BgL_tmp1818z00_8796);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1820z00_8795)))->BgL_locz00) =
					((obj_t) BgL_loc1563z00_7324), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1820z00_8795)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1564z00_7325)),
					BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1820z00_8795)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1565z00_7326)), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1820z00_8795)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1566z00_7327)),
					BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1820z00_8795)))->BgL_onexitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_onexit1567z00_7328)),
					BUNSPEC);
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12509;

					{
						obj_t BgL_auxz00_12510;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12511;

							BgL_tmpz00_12511 = ((BgL_objectz00_bglt) BgL_new1820z00_8795);
							BgL_auxz00_12510 = BGL_OBJECT_WIDENING(BgL_tmpz00_12511);
						}
						BgL_auxz00_12509 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12510);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12509))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1568z00_7329)), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12517;

					{
						obj_t BgL_auxz00_12518;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12519;

							BgL_tmpz00_12519 = ((BgL_objectz00_bglt) BgL_new1820z00_8795);
							BgL_auxz00_12518 = BGL_OBJECT_WIDENING(BgL_tmpz00_12519);
						}
						BgL_auxz00_12517 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12518);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12517))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1569z00_7330)), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12525;

					{
						obj_t BgL_auxz00_12526;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12527;

							BgL_tmpz00_12527 = ((BgL_objectz00_bglt) BgL_new1820z00_8795);
							BgL_auxz00_12526 = BGL_OBJECT_WIDENING(BgL_tmpz00_12527);
						}
						BgL_auxz00_12525 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12526);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12525))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1570z00_7331)), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12533;

					{
						obj_t BgL_auxz00_12534;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12535;

							BgL_tmpz00_12535 = ((BgL_objectz00_bglt) BgL_new1820z00_8795);
							BgL_auxz00_12534 = BGL_OBJECT_WIDENING(BgL_tmpz00_12535);
						}
						BgL_auxz00_12533 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12534);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12533))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1571z00_7332)), BUNSPEC);
				}
				return BgL_new1820z00_8795;
			}
		}

	}



/* &<@anonymous:3584> */
	obj_t BGl_z62zc3z04anonymousza33584ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7333)
	{
		{	/* Liveness/types.scm 185 */
			return BNIL;
		}

	}



/* &lambda3583 */
	obj_t BGl_z62lambda3583z62zzliveness_typesz00(obj_t BgL_envz00_7334,
		obj_t BgL_oz00_7335, obj_t BgL_vz00_7336)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12541;

				{
					obj_t BgL_auxz00_12542;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12543;

						BgL_tmpz00_12543 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7335));
						BgL_auxz00_12542 = BGL_OBJECT_WIDENING(BgL_tmpz00_12543);
					}
					BgL_auxz00_12541 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12542);
				}
				return
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12541))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7336)), BUNSPEC);
			}
		}

	}



/* &lambda3582 */
	obj_t BGl_z62lambda3582z62zzliveness_typesz00(obj_t BgL_envz00_7337,
		obj_t BgL_oz00_7338)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12550;

				{
					obj_t BgL_auxz00_12551;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12552;

						BgL_tmpz00_12552 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7338));
						BgL_auxz00_12551 = BGL_OBJECT_WIDENING(BgL_tmpz00_12552);
					}
					BgL_auxz00_12550 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12551);
				}
				return
					(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12550))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3576> */
	obj_t BGl_z62zc3z04anonymousza33576ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7339)
	{
		{	/* Liveness/types.scm 185 */
			return BNIL;
		}

	}



/* &lambda3575 */
	obj_t BGl_z62lambda3575z62zzliveness_typesz00(obj_t BgL_envz00_7340,
		obj_t BgL_oz00_7341, obj_t BgL_vz00_7342)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12558;

				{
					obj_t BgL_auxz00_12559;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12560;

						BgL_tmpz00_12560 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7341));
						BgL_auxz00_12559 = BGL_OBJECT_WIDENING(BgL_tmpz00_12560);
					}
					BgL_auxz00_12558 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12559);
				}
				return
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12558))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7342)), BUNSPEC);
			}
		}

	}



/* &lambda3574 */
	obj_t BGl_z62lambda3574z62zzliveness_typesz00(obj_t BgL_envz00_7343,
		obj_t BgL_oz00_7344)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12567;

				{
					obj_t BgL_auxz00_12568;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12569;

						BgL_tmpz00_12569 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7344));
						BgL_auxz00_12568 = BGL_OBJECT_WIDENING(BgL_tmpz00_12569);
					}
					BgL_auxz00_12567 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12568);
				}
				return
					(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12567))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3569> */
	obj_t BGl_z62zc3z04anonymousza33569ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7345)
	{
		{	/* Liveness/types.scm 185 */
			return BNIL;
		}

	}



/* &lambda3568 */
	obj_t BGl_z62lambda3568z62zzliveness_typesz00(obj_t BgL_envz00_7346,
		obj_t BgL_oz00_7347, obj_t BgL_vz00_7348)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12575;

				{
					obj_t BgL_auxz00_12576;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12577;

						BgL_tmpz00_12577 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7347));
						BgL_auxz00_12576 = BGL_OBJECT_WIDENING(BgL_tmpz00_12577);
					}
					BgL_auxz00_12575 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12576);
				}
				return
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12575))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7348)), BUNSPEC);
			}
		}

	}



/* &lambda3567 */
	obj_t BGl_z62lambda3567z62zzliveness_typesz00(obj_t BgL_envz00_7349,
		obj_t BgL_oz00_7350)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12584;

				{
					obj_t BgL_auxz00_12585;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12586;

						BgL_tmpz00_12586 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7350));
						BgL_auxz00_12585 = BGL_OBJECT_WIDENING(BgL_tmpz00_12586);
					}
					BgL_auxz00_12584 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12585);
				}
				return
					(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12584))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3560> */
	obj_t BGl_z62zc3z04anonymousza33560ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7351)
	{
		{	/* Liveness/types.scm 185 */
			return BNIL;
		}

	}



/* &lambda3559 */
	obj_t BGl_z62lambda3559z62zzliveness_typesz00(obj_t BgL_envz00_7352,
		obj_t BgL_oz00_7353, obj_t BgL_vz00_7354)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12592;

				{
					obj_t BgL_auxz00_12593;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12594;

						BgL_tmpz00_12594 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7353));
						BgL_auxz00_12593 = BGL_OBJECT_WIDENING(BgL_tmpz00_12594);
					}
					BgL_auxz00_12592 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12593);
				}
				return
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12592))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7354)), BUNSPEC);
			}
		}

	}



/* &lambda3558 */
	obj_t BGl_z62lambda3558z62zzliveness_typesz00(obj_t BgL_envz00_7355,
		obj_t BgL_oz00_7356)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12601;

				{
					obj_t BgL_auxz00_12602;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12603;

						BgL_tmpz00_12603 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7356));
						BgL_auxz00_12602 = BGL_OBJECT_WIDENING(BgL_tmpz00_12603);
					}
					BgL_auxz00_12601 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12602);
				}
				return
					(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12601))->
					BgL_defz00);
			}
		}

	}



/* &lambda3498 */
	BgL_letzd2varzd2_bglt BGl_z62lambda3498z62zzliveness_typesz00(obj_t
		BgL_envz00_7357, obj_t BgL_o1561z00_7358)
	{
		{	/* Liveness/types.scm 179 */
			{	/* Liveness/types.scm 179 */
				long BgL_arg3500z00_8814;

				{	/* Liveness/types.scm 179 */
					obj_t BgL_arg3501z00_8815;

					{	/* Liveness/types.scm 179 */
						obj_t BgL_arg3502z00_8816;

						{	/* Liveness/types.scm 179 */
							long BgL_arg1833z00_8817;

							{	/* Liveness/types.scm 179 */
								long BgL_arg1834z00_8818;

								BgL_arg1834z00_8818 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_o1561z00_7358)));
								BgL_arg1833z00_8817 = (BgL_arg1834z00_8818 - OBJECT_TYPE);
							}
							BgL_arg3502z00_8816 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_8817);
						}
						BgL_arg3501z00_8815 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3502z00_8816);
					}
					{	/* Liveness/types.scm 179 */
						obj_t BgL_tmpz00_12615;

						BgL_tmpz00_12615 = ((obj_t) BgL_arg3501z00_8815);
						BgL_arg3500z00_8814 = BGL_CLASS_NUM(BgL_tmpz00_12615);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_letzd2varzd2_bglt) BgL_o1561z00_7358)), BgL_arg3500z00_8814);
			}
			{	/* Liveness/types.scm 179 */
				BgL_objectz00_bglt BgL_tmpz00_12621;

				BgL_tmpz00_12621 =
					((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_o1561z00_7358));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12621, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_o1561z00_7358));
			return
				((BgL_letzd2varzd2_bglt) ((BgL_letzd2varzd2_bglt) BgL_o1561z00_7358));
		}

	}



/* &<@anonymous:3497> */
	obj_t BGl_z62zc3z04anonymousza33497ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7359, obj_t BgL_new1560z00_7360)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzd2_bglt BgL_auxz00_12629;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1560z00_7360))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12633;

					{	/* Liveness/types.scm 179 */
						obj_t BgL_classz00_8820;

						BgL_classz00_8820 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 179 */
							obj_t BgL__ortest_1112z00_8821;

							BgL__ortest_1112z00_8821 = BGL_CLASS_NIL(BgL_classz00_8820);
							if (CBOOL(BgL__ortest_1112z00_8821))
								{	/* Liveness/types.scm 179 */
									BgL_auxz00_12633 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_8821);
								}
							else
								{	/* Liveness/types.scm 179 */
									BgL_auxz00_12633 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8820));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_new1560z00_7360))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12633), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1560z00_7360))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_new1560z00_7360))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2varzd2_bglt)
							COBJECT(((BgL_letzd2varzd2_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_new1560z00_7360))))->BgL_bindingsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_12652;

					{	/* Liveness/types.scm 179 */
						obj_t BgL_classz00_8822;

						BgL_classz00_8822 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 179 */
							obj_t BgL__ortest_1112z00_8823;

							BgL__ortest_1112z00_8823 = BGL_CLASS_NIL(BgL_classz00_8822);
							if (CBOOL(BgL__ortest_1112z00_8823))
								{	/* Liveness/types.scm 179 */
									BgL_auxz00_12652 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8823);
								}
							else
								{	/* Liveness/types.scm 179 */
									BgL_auxz00_12652 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8822));
								}
						}
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt)
										((BgL_letzd2varzd2_bglt) BgL_new1560z00_7360))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_12652), BUNSPEC);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1560z00_7360))))->
						BgL_removablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12665;

					{
						obj_t BgL_auxz00_12666;

						{	/* Liveness/types.scm 179 */
							BgL_objectz00_bglt BgL_tmpz00_12667;

							BgL_tmpz00_12667 =
								((BgL_objectz00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_new1560z00_7360));
							BgL_auxz00_12666 = BGL_OBJECT_WIDENING(BgL_tmpz00_12667);
						}
						BgL_auxz00_12665 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12666);
					}
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12665))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12673;

					{
						obj_t BgL_auxz00_12674;

						{	/* Liveness/types.scm 179 */
							BgL_objectz00_bglt BgL_tmpz00_12675;

							BgL_tmpz00_12675 =
								((BgL_objectz00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_new1560z00_7360));
							BgL_auxz00_12674 = BGL_OBJECT_WIDENING(BgL_tmpz00_12675);
						}
						BgL_auxz00_12673 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12674);
					}
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12673))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12681;

					{
						obj_t BgL_auxz00_12682;

						{	/* Liveness/types.scm 179 */
							BgL_objectz00_bglt BgL_tmpz00_12683;

							BgL_tmpz00_12683 =
								((BgL_objectz00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_new1560z00_7360));
							BgL_auxz00_12682 = BGL_OBJECT_WIDENING(BgL_tmpz00_12683);
						}
						BgL_auxz00_12681 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12682);
					}
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12681))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12689;

					{
						obj_t BgL_auxz00_12690;

						{	/* Liveness/types.scm 179 */
							BgL_objectz00_bglt BgL_tmpz00_12691;

							BgL_tmpz00_12691 =
								((BgL_objectz00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_new1560z00_7360));
							BgL_auxz00_12690 = BGL_OBJECT_WIDENING(BgL_tmpz00_12691);
						}
						BgL_auxz00_12689 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12690);
					}
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12689))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_12629 = ((BgL_letzd2varzd2_bglt) BgL_new1560z00_7360);
				return ((obj_t) BgL_auxz00_12629);
			}
		}

	}



/* &lambda3494 */
	BgL_letzd2varzd2_bglt BGl_z62lambda3494z62zzliveness_typesz00(obj_t
		BgL_envz00_7361, obj_t BgL_o1557z00_7362)
	{
		{	/* Liveness/types.scm 179 */
			{	/* Liveness/types.scm 179 */
				BgL_letzd2varzf2livenessz20_bglt BgL_wide1559z00_8825;

				BgL_wide1559z00_8825 =
					((BgL_letzd2varzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_letzd2varzf2livenessz20_bgl))));
				{	/* Liveness/types.scm 179 */
					obj_t BgL_auxz00_12704;
					BgL_objectz00_bglt BgL_tmpz00_12700;

					BgL_auxz00_12704 = ((obj_t) BgL_wide1559z00_8825);
					BgL_tmpz00_12700 =
						((BgL_objectz00_bglt)
						((BgL_letzd2varzd2_bglt)
							((BgL_letzd2varzd2_bglt) BgL_o1557z00_7362)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12700, BgL_auxz00_12704);
				}
				((BgL_objectz00_bglt)
					((BgL_letzd2varzd2_bglt)
						((BgL_letzd2varzd2_bglt) BgL_o1557z00_7362)));
				{	/* Liveness/types.scm 179 */
					long BgL_arg3496z00_8826;

					BgL_arg3496z00_8826 =
						BGL_CLASS_NUM(BGl_letzd2varzf2livenessz20zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_letzd2varzd2_bglt)
								((BgL_letzd2varzd2_bglt) BgL_o1557z00_7362))),
						BgL_arg3496z00_8826);
				}
				return
					((BgL_letzd2varzd2_bglt)
					((BgL_letzd2varzd2_bglt)
						((BgL_letzd2varzd2_bglt) BgL_o1557z00_7362)));
			}
		}

	}



/* &lambda3491 */
	BgL_letzd2varzd2_bglt BGl_z62lambda3491z62zzliveness_typesz00(obj_t
		BgL_envz00_7363, obj_t BgL_loc1546z00_7364, obj_t BgL_type1547z00_7365,
		obj_t BgL_sidezd2effect1548zd2_7366, obj_t BgL_key1549z00_7367,
		obj_t BgL_bindings1550z00_7368, obj_t BgL_body1551z00_7369,
		obj_t BgL_removablezf31552zf3_7370, obj_t BgL_def1553z00_7371,
		obj_t BgL_use1554z00_7372, obj_t BgL_in1555z00_7373,
		obj_t BgL_out1556z00_7374)
	{
		{	/* Liveness/types.scm 179 */
			{	/* Liveness/types.scm 179 */
				bool_t BgL_removablezf31552zf3_8829;

				BgL_removablezf31552zf3_8829 = CBOOL(BgL_removablezf31552zf3_7370);
				{	/* Liveness/types.scm 179 */
					BgL_letzd2varzd2_bglt BgL_new1815z00_8834;

					{	/* Liveness/types.scm 179 */
						BgL_letzd2varzd2_bglt BgL_tmp1813z00_8835;
						BgL_letzd2varzf2livenessz20_bglt BgL_wide1814z00_8836;

						{
							BgL_letzd2varzd2_bglt BgL_auxz00_12719;

							{	/* Liveness/types.scm 179 */
								BgL_letzd2varzd2_bglt BgL_new1812z00_8837;

								BgL_new1812z00_8837 =
									((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2varzd2_bgl))));
								{	/* Liveness/types.scm 179 */
									long BgL_arg3493z00_8838;

									BgL_arg3493z00_8838 =
										BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1812z00_8837),
										BgL_arg3493z00_8838);
								}
								{	/* Liveness/types.scm 179 */
									BgL_objectz00_bglt BgL_tmpz00_12724;

									BgL_tmpz00_12724 = ((BgL_objectz00_bglt) BgL_new1812z00_8837);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12724, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1812z00_8837);
								BgL_auxz00_12719 = BgL_new1812z00_8837;
							}
							BgL_tmp1813z00_8835 = ((BgL_letzd2varzd2_bglt) BgL_auxz00_12719);
						}
						BgL_wide1814z00_8836 =
							((BgL_letzd2varzf2livenessz20_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2varzf2livenessz20_bgl))));
						{	/* Liveness/types.scm 179 */
							obj_t BgL_auxz00_12732;
							BgL_objectz00_bglt BgL_tmpz00_12730;

							BgL_auxz00_12732 = ((obj_t) BgL_wide1814z00_8836);
							BgL_tmpz00_12730 = ((BgL_objectz00_bglt) BgL_tmp1813z00_8835);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12730, BgL_auxz00_12732);
						}
						((BgL_objectz00_bglt) BgL_tmp1813z00_8835);
						{	/* Liveness/types.scm 179 */
							long BgL_arg3492z00_8839;

							BgL_arg3492z00_8839 =
								BGL_CLASS_NUM(BGl_letzd2varzf2livenessz20zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1813z00_8835),
								BgL_arg3492z00_8839);
						}
						BgL_new1815z00_8834 = ((BgL_letzd2varzd2_bglt) BgL_tmp1813z00_8835);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1815z00_8834)))->BgL_locz00) =
						((obj_t) BgL_loc1546z00_7364), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1815z00_8834)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1547z00_7365)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1815z00_8834)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1548zd2_7366), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1815z00_8834)))->BgL_keyz00) =
						((obj_t) BgL_key1549z00_7367), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_new1815z00_8834)))->BgL_bindingsz00) =
						((obj_t) BgL_bindings1550z00_7368), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_new1815z00_8834)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1551z00_7369)),
						BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_new1815z00_8834)))->BgL_removablezf3zf3) =
						((bool_t) BgL_removablezf31552zf3_8829), BUNSPEC);
					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12756;

						{
							obj_t BgL_auxz00_12757;

							{	/* Liveness/types.scm 179 */
								BgL_objectz00_bglt BgL_tmpz00_12758;

								BgL_tmpz00_12758 = ((BgL_objectz00_bglt) BgL_new1815z00_8834);
								BgL_auxz00_12757 = BGL_OBJECT_WIDENING(BgL_tmpz00_12758);
							}
							BgL_auxz00_12756 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12757);
						}
						((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12756))->
								BgL_defz00) = ((obj_t) ((obj_t) BgL_def1553z00_7371)), BUNSPEC);
					}
					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12764;

						{
							obj_t BgL_auxz00_12765;

							{	/* Liveness/types.scm 179 */
								BgL_objectz00_bglt BgL_tmpz00_12766;

								BgL_tmpz00_12766 = ((BgL_objectz00_bglt) BgL_new1815z00_8834);
								BgL_auxz00_12765 = BGL_OBJECT_WIDENING(BgL_tmpz00_12766);
							}
							BgL_auxz00_12764 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12765);
						}
						((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12764))->
								BgL_usez00) = ((obj_t) ((obj_t) BgL_use1554z00_7372)), BUNSPEC);
					}
					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12772;

						{
							obj_t BgL_auxz00_12773;

							{	/* Liveness/types.scm 179 */
								BgL_objectz00_bglt BgL_tmpz00_12774;

								BgL_tmpz00_12774 = ((BgL_objectz00_bglt) BgL_new1815z00_8834);
								BgL_auxz00_12773 = BGL_OBJECT_WIDENING(BgL_tmpz00_12774);
							}
							BgL_auxz00_12772 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12773);
						}
						((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12772))->
								BgL_inz00) = ((obj_t) ((obj_t) BgL_in1555z00_7373)), BUNSPEC);
					}
					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12780;

						{
							obj_t BgL_auxz00_12781;

							{	/* Liveness/types.scm 179 */
								BgL_objectz00_bglt BgL_tmpz00_12782;

								BgL_tmpz00_12782 = ((BgL_objectz00_bglt) BgL_new1815z00_8834);
								BgL_auxz00_12781 = BGL_OBJECT_WIDENING(BgL_tmpz00_12782);
							}
							BgL_auxz00_12780 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12781);
						}
						((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12780))->
								BgL_outz00) = ((obj_t) ((obj_t) BgL_out1556z00_7374)), BUNSPEC);
					}
					return BgL_new1815z00_8834;
				}
			}
		}

	}



/* &<@anonymous:3534> */
	obj_t BGl_z62zc3z04anonymousza33534ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7375)
	{
		{	/* Liveness/types.scm 179 */
			return BNIL;
		}

	}



/* &lambda3533 */
	obj_t BGl_z62lambda3533z62zzliveness_typesz00(obj_t BgL_envz00_7376,
		obj_t BgL_oz00_7377, obj_t BgL_vz00_7378)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12788;

				{
					obj_t BgL_auxz00_12789;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_12790;

						BgL_tmpz00_12790 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7377));
						BgL_auxz00_12789 = BGL_OBJECT_WIDENING(BgL_tmpz00_12790);
					}
					BgL_auxz00_12788 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12789);
				}
				return
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12788))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7378)), BUNSPEC);
			}
		}

	}



/* &lambda3532 */
	obj_t BGl_z62lambda3532z62zzliveness_typesz00(obj_t BgL_envz00_7379,
		obj_t BgL_oz00_7380)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12797;

				{
					obj_t BgL_auxz00_12798;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_12799;

						BgL_tmpz00_12799 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7380));
						BgL_auxz00_12798 = BGL_OBJECT_WIDENING(BgL_tmpz00_12799);
					}
					BgL_auxz00_12797 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12798);
				}
				return
					(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12797))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3526> */
	obj_t BGl_z62zc3z04anonymousza33526ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7381)
	{
		{	/* Liveness/types.scm 179 */
			return BNIL;
		}

	}



/* &lambda3525 */
	obj_t BGl_z62lambda3525z62zzliveness_typesz00(obj_t BgL_envz00_7382,
		obj_t BgL_oz00_7383, obj_t BgL_vz00_7384)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12805;

				{
					obj_t BgL_auxz00_12806;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_12807;

						BgL_tmpz00_12807 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7383));
						BgL_auxz00_12806 = BGL_OBJECT_WIDENING(BgL_tmpz00_12807);
					}
					BgL_auxz00_12805 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12806);
				}
				return
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12805))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7384)), BUNSPEC);
			}
		}

	}



/* &lambda3524 */
	obj_t BGl_z62lambda3524z62zzliveness_typesz00(obj_t BgL_envz00_7385,
		obj_t BgL_oz00_7386)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12814;

				{
					obj_t BgL_auxz00_12815;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_12816;

						BgL_tmpz00_12816 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7386));
						BgL_auxz00_12815 = BGL_OBJECT_WIDENING(BgL_tmpz00_12816);
					}
					BgL_auxz00_12814 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12815);
				}
				return
					(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12814))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3518> */
	obj_t BGl_z62zc3z04anonymousza33518ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7387)
	{
		{	/* Liveness/types.scm 179 */
			return BNIL;
		}

	}



/* &lambda3517 */
	obj_t BGl_z62lambda3517z62zzliveness_typesz00(obj_t BgL_envz00_7388,
		obj_t BgL_oz00_7389, obj_t BgL_vz00_7390)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12822;

				{
					obj_t BgL_auxz00_12823;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_12824;

						BgL_tmpz00_12824 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7389));
						BgL_auxz00_12823 = BGL_OBJECT_WIDENING(BgL_tmpz00_12824);
					}
					BgL_auxz00_12822 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12823);
				}
				return
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12822))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7390)), BUNSPEC);
			}
		}

	}



/* &lambda3516 */
	obj_t BGl_z62lambda3516z62zzliveness_typesz00(obj_t BgL_envz00_7391,
		obj_t BgL_oz00_7392)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12831;

				{
					obj_t BgL_auxz00_12832;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_12833;

						BgL_tmpz00_12833 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7392));
						BgL_auxz00_12832 = BGL_OBJECT_WIDENING(BgL_tmpz00_12833);
					}
					BgL_auxz00_12831 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12832);
				}
				return
					(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12831))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3510> */
	obj_t BGl_z62zc3z04anonymousza33510ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7393)
	{
		{	/* Liveness/types.scm 179 */
			return BNIL;
		}

	}



/* &lambda3509 */
	obj_t BGl_z62lambda3509z62zzliveness_typesz00(obj_t BgL_envz00_7394,
		obj_t BgL_oz00_7395, obj_t BgL_vz00_7396)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12839;

				{
					obj_t BgL_auxz00_12840;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_12841;

						BgL_tmpz00_12841 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7395));
						BgL_auxz00_12840 = BGL_OBJECT_WIDENING(BgL_tmpz00_12841);
					}
					BgL_auxz00_12839 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12840);
				}
				return
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12839))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7396)), BUNSPEC);
			}
		}

	}



/* &lambda3508 */
	obj_t BGl_z62lambda3508z62zzliveness_typesz00(obj_t BgL_envz00_7397,
		obj_t BgL_oz00_7398)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12848;

				{
					obj_t BgL_auxz00_12849;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_12850;

						BgL_tmpz00_12850 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7398));
						BgL_auxz00_12849 = BGL_OBJECT_WIDENING(BgL_tmpz00_12850);
					}
					BgL_auxz00_12848 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12849);
				}
				return
					(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12848))->
					BgL_defz00);
			}
		}

	}



/* &lambda3447 */
	BgL_letzd2funzd2_bglt BGl_z62lambda3447z62zzliveness_typesz00(obj_t
		BgL_envz00_7399, obj_t BgL_o1543z00_7400)
	{
		{	/* Liveness/types.scm 173 */
			{	/* Liveness/types.scm 173 */
				long BgL_arg3448z00_8853;

				{	/* Liveness/types.scm 173 */
					obj_t BgL_arg3449z00_8854;

					{	/* Liveness/types.scm 173 */
						obj_t BgL_arg3450z00_8855;

						{	/* Liveness/types.scm 173 */
							long BgL_arg1833z00_8856;

							{	/* Liveness/types.scm 173 */
								long BgL_arg1834z00_8857;

								BgL_arg1834z00_8857 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_o1543z00_7400)));
								BgL_arg1833z00_8856 = (BgL_arg1834z00_8857 - OBJECT_TYPE);
							}
							BgL_arg3450z00_8855 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_8856);
						}
						BgL_arg3449z00_8854 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3450z00_8855);
					}
					{	/* Liveness/types.scm 173 */
						obj_t BgL_tmpz00_12862;

						BgL_tmpz00_12862 = ((obj_t) BgL_arg3449z00_8854);
						BgL_arg3448z00_8853 = BGL_CLASS_NUM(BgL_tmpz00_12862);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_letzd2funzd2_bglt) BgL_o1543z00_7400)), BgL_arg3448z00_8853);
			}
			{	/* Liveness/types.scm 173 */
				BgL_objectz00_bglt BgL_tmpz00_12868;

				BgL_tmpz00_12868 =
					((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_o1543z00_7400));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12868, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_o1543z00_7400));
			return
				((BgL_letzd2funzd2_bglt) ((BgL_letzd2funzd2_bglt) BgL_o1543z00_7400));
		}

	}



/* &<@anonymous:3446> */
	obj_t BGl_z62zc3z04anonymousza33446ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7401, obj_t BgL_new1542z00_7402)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzd2_bglt BgL_auxz00_12876;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1542z00_7402))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12880;

					{	/* Liveness/types.scm 173 */
						obj_t BgL_classz00_8859;

						BgL_classz00_8859 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 173 */
							obj_t BgL__ortest_1112z00_8860;

							BgL__ortest_1112z00_8860 = BGL_CLASS_NIL(BgL_classz00_8859);
							if (CBOOL(BgL__ortest_1112z00_8860))
								{	/* Liveness/types.scm 173 */
									BgL_auxz00_12880 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_8860);
								}
							else
								{	/* Liveness/types.scm 173 */
									BgL_auxz00_12880 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8859));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_new1542z00_7402))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12880), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1542z00_7402))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_new1542z00_7402))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2funzd2_bglt)
							COBJECT(((BgL_letzd2funzd2_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_new1542z00_7402))))->BgL_localsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_12899;

					{	/* Liveness/types.scm 173 */
						obj_t BgL_classz00_8861;

						BgL_classz00_8861 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 173 */
							obj_t BgL__ortest_1112z00_8862;

							BgL__ortest_1112z00_8862 = BGL_CLASS_NIL(BgL_classz00_8861);
							if (CBOOL(BgL__ortest_1112z00_8862))
								{	/* Liveness/types.scm 173 */
									BgL_auxz00_12899 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8862);
								}
							else
								{	/* Liveness/types.scm 173 */
									BgL_auxz00_12899 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8861));
								}
						}
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt)
										((BgL_letzd2funzd2_bglt) BgL_new1542z00_7402))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_12899), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_12909;

					{
						obj_t BgL_auxz00_12910;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_12911;

							BgL_tmpz00_12911 =
								((BgL_objectz00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_new1542z00_7402));
							BgL_auxz00_12910 = BGL_OBJECT_WIDENING(BgL_tmpz00_12911);
						}
						BgL_auxz00_12909 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_12910);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_12909))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_12917;

					{
						obj_t BgL_auxz00_12918;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_12919;

							BgL_tmpz00_12919 =
								((BgL_objectz00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_new1542z00_7402));
							BgL_auxz00_12918 = BGL_OBJECT_WIDENING(BgL_tmpz00_12919);
						}
						BgL_auxz00_12917 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_12918);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_12917))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_12925;

					{
						obj_t BgL_auxz00_12926;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_12927;

							BgL_tmpz00_12927 =
								((BgL_objectz00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_new1542z00_7402));
							BgL_auxz00_12926 = BGL_OBJECT_WIDENING(BgL_tmpz00_12927);
						}
						BgL_auxz00_12925 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_12926);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_12925))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_12933;

					{
						obj_t BgL_auxz00_12934;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_12935;

							BgL_tmpz00_12935 =
								((BgL_objectz00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_new1542z00_7402));
							BgL_auxz00_12934 = BGL_OBJECT_WIDENING(BgL_tmpz00_12935);
						}
						BgL_auxz00_12933 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_12934);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_12933))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_12876 = ((BgL_letzd2funzd2_bglt) BgL_new1542z00_7402);
				return ((obj_t) BgL_auxz00_12876);
			}
		}

	}



/* &lambda3444 */
	BgL_letzd2funzd2_bglt BGl_z62lambda3444z62zzliveness_typesz00(obj_t
		BgL_envz00_7403, obj_t BgL_o1539z00_7404)
	{
		{	/* Liveness/types.scm 173 */
			{	/* Liveness/types.scm 173 */
				BgL_letzd2funzf2livenessz20_bglt BgL_wide1541z00_8864;

				BgL_wide1541z00_8864 =
					((BgL_letzd2funzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_letzd2funzf2livenessz20_bgl))));
				{	/* Liveness/types.scm 173 */
					obj_t BgL_auxz00_12948;
					BgL_objectz00_bglt BgL_tmpz00_12944;

					BgL_auxz00_12948 = ((obj_t) BgL_wide1541z00_8864);
					BgL_tmpz00_12944 =
						((BgL_objectz00_bglt)
						((BgL_letzd2funzd2_bglt)
							((BgL_letzd2funzd2_bglt) BgL_o1539z00_7404)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12944, BgL_auxz00_12948);
				}
				((BgL_objectz00_bglt)
					((BgL_letzd2funzd2_bglt)
						((BgL_letzd2funzd2_bglt) BgL_o1539z00_7404)));
				{	/* Liveness/types.scm 173 */
					long BgL_arg3445z00_8865;

					BgL_arg3445z00_8865 =
						BGL_CLASS_NUM(BGl_letzd2funzf2livenessz20zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_letzd2funzd2_bglt)
								((BgL_letzd2funzd2_bglt) BgL_o1539z00_7404))),
						BgL_arg3445z00_8865);
				}
				return
					((BgL_letzd2funzd2_bglt)
					((BgL_letzd2funzd2_bglt)
						((BgL_letzd2funzd2_bglt) BgL_o1539z00_7404)));
			}
		}

	}



/* &lambda3441 */
	BgL_letzd2funzd2_bglt BGl_z62lambda3441z62zzliveness_typesz00(obj_t
		BgL_envz00_7405, obj_t BgL_loc1529z00_7406, obj_t BgL_type1530z00_7407,
		obj_t BgL_sidezd2effect1531zd2_7408, obj_t BgL_key1532z00_7409,
		obj_t BgL_locals1533z00_7410, obj_t BgL_body1534z00_7411,
		obj_t BgL_def1535z00_7412, obj_t BgL_use1536z00_7413,
		obj_t BgL_in1537z00_7414, obj_t BgL_out1538z00_7415)
	{
		{	/* Liveness/types.scm 173 */
			{	/* Liveness/types.scm 173 */
				BgL_letzd2funzd2_bglt BgL_new1810z00_8872;

				{	/* Liveness/types.scm 173 */
					BgL_letzd2funzd2_bglt BgL_tmp1808z00_8873;
					BgL_letzd2funzf2livenessz20_bglt BgL_wide1809z00_8874;

					{
						BgL_letzd2funzd2_bglt BgL_auxz00_12962;

						{	/* Liveness/types.scm 173 */
							BgL_letzd2funzd2_bglt BgL_new1807z00_8875;

							BgL_new1807z00_8875 =
								((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2funzd2_bgl))));
							{	/* Liveness/types.scm 173 */
								long BgL_arg3443z00_8876;

								BgL_arg3443z00_8876 =
									BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1807z00_8875),
									BgL_arg3443z00_8876);
							}
							{	/* Liveness/types.scm 173 */
								BgL_objectz00_bglt BgL_tmpz00_12967;

								BgL_tmpz00_12967 = ((BgL_objectz00_bglt) BgL_new1807z00_8875);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12967, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1807z00_8875);
							BgL_auxz00_12962 = BgL_new1807z00_8875;
						}
						BgL_tmp1808z00_8873 = ((BgL_letzd2funzd2_bglt) BgL_auxz00_12962);
					}
					BgL_wide1809z00_8874 =
						((BgL_letzd2funzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_letzd2funzf2livenessz20_bgl))));
					{	/* Liveness/types.scm 173 */
						obj_t BgL_auxz00_12975;
						BgL_objectz00_bglt BgL_tmpz00_12973;

						BgL_auxz00_12975 = ((obj_t) BgL_wide1809z00_8874);
						BgL_tmpz00_12973 = ((BgL_objectz00_bglt) BgL_tmp1808z00_8873);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12973, BgL_auxz00_12975);
					}
					((BgL_objectz00_bglt) BgL_tmp1808z00_8873);
					{	/* Liveness/types.scm 173 */
						long BgL_arg3442z00_8877;

						BgL_arg3442z00_8877 =
							BGL_CLASS_NUM(BGl_letzd2funzf2livenessz20zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1808z00_8873), BgL_arg3442z00_8877);
					}
					BgL_new1810z00_8872 = ((BgL_letzd2funzd2_bglt) BgL_tmp1808z00_8873);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1810z00_8872)))->BgL_locz00) =
					((obj_t) BgL_loc1529z00_7406), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1810z00_8872)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1530z00_7407)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1810z00_8872)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1531zd2_7408), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1810z00_8872)))->BgL_keyz00) =
					((obj_t) BgL_key1532z00_7409), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
									BgL_new1810z00_8872)))->BgL_localsz00) =
					((obj_t) BgL_locals1533z00_7410), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
									BgL_new1810z00_8872)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1534z00_7411)),
					BUNSPEC);
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_12997;

					{
						obj_t BgL_auxz00_12998;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_12999;

							BgL_tmpz00_12999 = ((BgL_objectz00_bglt) BgL_new1810z00_8872);
							BgL_auxz00_12998 = BGL_OBJECT_WIDENING(BgL_tmpz00_12999);
						}
						BgL_auxz00_12997 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_12998);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_12997))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1535z00_7412)), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13005;

					{
						obj_t BgL_auxz00_13006;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_13007;

							BgL_tmpz00_13007 = ((BgL_objectz00_bglt) BgL_new1810z00_8872);
							BgL_auxz00_13006 = BGL_OBJECT_WIDENING(BgL_tmpz00_13007);
						}
						BgL_auxz00_13005 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13006);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13005))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1536z00_7413)), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13013;

					{
						obj_t BgL_auxz00_13014;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_13015;

							BgL_tmpz00_13015 = ((BgL_objectz00_bglt) BgL_new1810z00_8872);
							BgL_auxz00_13014 = BGL_OBJECT_WIDENING(BgL_tmpz00_13015);
						}
						BgL_auxz00_13013 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13014);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13013))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1537z00_7414)), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13021;

					{
						obj_t BgL_auxz00_13022;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_13023;

							BgL_tmpz00_13023 = ((BgL_objectz00_bglt) BgL_new1810z00_8872);
							BgL_auxz00_13022 = BGL_OBJECT_WIDENING(BgL_tmpz00_13023);
						}
						BgL_auxz00_13021 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13022);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13021))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1538z00_7415)), BUNSPEC);
				}
				return BgL_new1810z00_8872;
			}
		}

	}



/* &<@anonymous:3482> */
	obj_t BGl_z62zc3z04anonymousza33482ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7416)
	{
		{	/* Liveness/types.scm 173 */
			return BNIL;
		}

	}



/* &lambda3481 */
	obj_t BGl_z62lambda3481z62zzliveness_typesz00(obj_t BgL_envz00_7417,
		obj_t BgL_oz00_7418, obj_t BgL_vz00_7419)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13029;

				{
					obj_t BgL_auxz00_13030;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13031;

						BgL_tmpz00_13031 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7418));
						BgL_auxz00_13030 = BGL_OBJECT_WIDENING(BgL_tmpz00_13031);
					}
					BgL_auxz00_13029 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13030);
				}
				return
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13029))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7419)), BUNSPEC);
			}
		}

	}



/* &lambda3480 */
	obj_t BGl_z62lambda3480z62zzliveness_typesz00(obj_t BgL_envz00_7420,
		obj_t BgL_oz00_7421)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13038;

				{
					obj_t BgL_auxz00_13039;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13040;

						BgL_tmpz00_13040 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7421));
						BgL_auxz00_13039 = BGL_OBJECT_WIDENING(BgL_tmpz00_13040);
					}
					BgL_auxz00_13038 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13039);
				}
				return
					(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13038))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3473> */
	obj_t BGl_z62zc3z04anonymousza33473ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7422)
	{
		{	/* Liveness/types.scm 173 */
			return BNIL;
		}

	}



/* &lambda3472 */
	obj_t BGl_z62lambda3472z62zzliveness_typesz00(obj_t BgL_envz00_7423,
		obj_t BgL_oz00_7424, obj_t BgL_vz00_7425)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13046;

				{
					obj_t BgL_auxz00_13047;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13048;

						BgL_tmpz00_13048 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7424));
						BgL_auxz00_13047 = BGL_OBJECT_WIDENING(BgL_tmpz00_13048);
					}
					BgL_auxz00_13046 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13047);
				}
				return
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13046))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7425)), BUNSPEC);
			}
		}

	}



/* &lambda3471 */
	obj_t BGl_z62lambda3471z62zzliveness_typesz00(obj_t BgL_envz00_7426,
		obj_t BgL_oz00_7427)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13055;

				{
					obj_t BgL_auxz00_13056;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13057;

						BgL_tmpz00_13057 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7427));
						BgL_auxz00_13056 = BGL_OBJECT_WIDENING(BgL_tmpz00_13057);
					}
					BgL_auxz00_13055 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13056);
				}
				return
					(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13055))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3465> */
	obj_t BGl_z62zc3z04anonymousza33465ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7428)
	{
		{	/* Liveness/types.scm 173 */
			return BNIL;
		}

	}



/* &lambda3464 */
	obj_t BGl_z62lambda3464z62zzliveness_typesz00(obj_t BgL_envz00_7429,
		obj_t BgL_oz00_7430, obj_t BgL_vz00_7431)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13063;

				{
					obj_t BgL_auxz00_13064;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13065;

						BgL_tmpz00_13065 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7430));
						BgL_auxz00_13064 = BGL_OBJECT_WIDENING(BgL_tmpz00_13065);
					}
					BgL_auxz00_13063 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13064);
				}
				return
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13063))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7431)), BUNSPEC);
			}
		}

	}



/* &lambda3463 */
	obj_t BGl_z62lambda3463z62zzliveness_typesz00(obj_t BgL_envz00_7432,
		obj_t BgL_oz00_7433)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13072;

				{
					obj_t BgL_auxz00_13073;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13074;

						BgL_tmpz00_13074 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7433));
						BgL_auxz00_13073 = BGL_OBJECT_WIDENING(BgL_tmpz00_13074);
					}
					BgL_auxz00_13072 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13073);
				}
				return
					(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13072))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3458> */
	obj_t BGl_z62zc3z04anonymousza33458ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7434)
	{
		{	/* Liveness/types.scm 173 */
			return BNIL;
		}

	}



/* &lambda3457 */
	obj_t BGl_z62lambda3457z62zzliveness_typesz00(obj_t BgL_envz00_7435,
		obj_t BgL_oz00_7436, obj_t BgL_vz00_7437)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13080;

				{
					obj_t BgL_auxz00_13081;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13082;

						BgL_tmpz00_13082 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7436));
						BgL_auxz00_13081 = BGL_OBJECT_WIDENING(BgL_tmpz00_13082);
					}
					BgL_auxz00_13080 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13081);
				}
				return
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13080))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7437)), BUNSPEC);
			}
		}

	}



/* &lambda3456 */
	obj_t BGl_z62lambda3456z62zzliveness_typesz00(obj_t BgL_envz00_7438,
		obj_t BgL_oz00_7439)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13089;

				{
					obj_t BgL_auxz00_13090;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13091;

						BgL_tmpz00_13091 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7439));
						BgL_auxz00_13090 = BGL_OBJECT_WIDENING(BgL_tmpz00_13091);
					}
					BgL_auxz00_13089 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13090);
				}
				return
					(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13089))->
					BgL_defz00);
			}
		}

	}



/* &lambda3397 */
	BgL_switchz00_bglt BGl_z62lambda3397z62zzliveness_typesz00(obj_t
		BgL_envz00_7440, obj_t BgL_o1527z00_7441)
	{
		{	/* Liveness/types.scm 167 */
			{	/* Liveness/types.scm 167 */
				long BgL_arg3398z00_8891;

				{	/* Liveness/types.scm 167 */
					obj_t BgL_arg3400z00_8892;

					{	/* Liveness/types.scm 167 */
						obj_t BgL_arg3401z00_8893;

						{	/* Liveness/types.scm 167 */
							long BgL_arg1833z00_8894;

							{	/* Liveness/types.scm 167 */
								long BgL_arg1834z00_8895;

								BgL_arg1834z00_8895 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_switchz00_bglt) BgL_o1527z00_7441)));
								BgL_arg1833z00_8894 = (BgL_arg1834z00_8895 - OBJECT_TYPE);
							}
							BgL_arg3401z00_8893 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_8894);
						}
						BgL_arg3400z00_8892 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3401z00_8893);
					}
					{	/* Liveness/types.scm 167 */
						obj_t BgL_tmpz00_13103;

						BgL_tmpz00_13103 = ((obj_t) BgL_arg3400z00_8892);
						BgL_arg3398z00_8891 = BGL_CLASS_NUM(BgL_tmpz00_13103);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) BgL_o1527z00_7441)), BgL_arg3398z00_8891);
			}
			{	/* Liveness/types.scm 167 */
				BgL_objectz00_bglt BgL_tmpz00_13109;

				BgL_tmpz00_13109 =
					((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_o1527z00_7441));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13109, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_o1527z00_7441));
			return ((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1527z00_7441));
		}

	}



/* &<@anonymous:3396> */
	obj_t BGl_z62zc3z04anonymousza33396ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7442, obj_t BgL_new1526z00_7443)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchz00_bglt BgL_auxz00_13117;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_switchz00_bglt) BgL_new1526z00_7443))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13121;

					{	/* Liveness/types.scm 167 */
						obj_t BgL_classz00_8897;

						BgL_classz00_8897 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 167 */
							obj_t BgL__ortest_1112z00_8898;

							BgL__ortest_1112z00_8898 = BGL_CLASS_NIL(BgL_classz00_8897);
							if (CBOOL(BgL__ortest_1112z00_8898))
								{	/* Liveness/types.scm 167 */
									BgL_auxz00_13121 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_8898);
								}
							else
								{	/* Liveness/types.scm 167 */
									BgL_auxz00_13121 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8897));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_switchz00_bglt) BgL_new1526z00_7443))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13121), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_switchz00_bglt) BgL_new1526z00_7443))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_switchz00_bglt)
										BgL_new1526z00_7443))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_13137;

					{	/* Liveness/types.scm 167 */
						obj_t BgL_classz00_8899;

						BgL_classz00_8899 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 167 */
							obj_t BgL__ortest_1112z00_8900;

							BgL__ortest_1112z00_8900 = BGL_CLASS_NIL(BgL_classz00_8899);
							if (CBOOL(BgL__ortest_1112z00_8900))
								{	/* Liveness/types.scm 167 */
									BgL_auxz00_13137 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8900);
								}
							else
								{	/* Liveness/types.scm 167 */
									BgL_auxz00_13137 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8899));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_new1526z00_7443))))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_13137), BUNSPEC);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt)
									((BgL_switchz00_bglt) BgL_new1526z00_7443))))->
						BgL_clausesz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13150;

					{	/* Liveness/types.scm 167 */
						obj_t BgL_classz00_8901;

						BgL_classz00_8901 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 167 */
							obj_t BgL__ortest_1112z00_8902;

							BgL__ortest_1112z00_8902 = BGL_CLASS_NIL(BgL_classz00_8901);
							if (CBOOL(BgL__ortest_1112z00_8902))
								{	/* Liveness/types.scm 167 */
									BgL_auxz00_13150 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_8902);
								}
							else
								{	/* Liveness/types.scm 167 */
									BgL_auxz00_13150 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8901));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_new1526z00_7443))))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_13150), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13160;

					{
						obj_t BgL_auxz00_13161;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13162;

							BgL_tmpz00_13162 =
								((BgL_objectz00_bglt)
								((BgL_switchz00_bglt) BgL_new1526z00_7443));
							BgL_auxz00_13161 = BGL_OBJECT_WIDENING(BgL_tmpz00_13162);
						}
						BgL_auxz00_13160 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13161);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13160))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13168;

					{
						obj_t BgL_auxz00_13169;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13170;

							BgL_tmpz00_13170 =
								((BgL_objectz00_bglt)
								((BgL_switchz00_bglt) BgL_new1526z00_7443));
							BgL_auxz00_13169 = BGL_OBJECT_WIDENING(BgL_tmpz00_13170);
						}
						BgL_auxz00_13168 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13169);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13168))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13176;

					{
						obj_t BgL_auxz00_13177;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13178;

							BgL_tmpz00_13178 =
								((BgL_objectz00_bglt)
								((BgL_switchz00_bglt) BgL_new1526z00_7443));
							BgL_auxz00_13177 = BGL_OBJECT_WIDENING(BgL_tmpz00_13178);
						}
						BgL_auxz00_13176 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13177);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13176))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13184;

					{
						obj_t BgL_auxz00_13185;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13186;

							BgL_tmpz00_13186 =
								((BgL_objectz00_bglt)
								((BgL_switchz00_bglt) BgL_new1526z00_7443));
							BgL_auxz00_13185 = BGL_OBJECT_WIDENING(BgL_tmpz00_13186);
						}
						BgL_auxz00_13184 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13185);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13184))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_13117 = ((BgL_switchz00_bglt) BgL_new1526z00_7443);
				return ((obj_t) BgL_auxz00_13117);
			}
		}

	}



/* &lambda3394 */
	BgL_switchz00_bglt BGl_z62lambda3394z62zzliveness_typesz00(obj_t
		BgL_envz00_7444, obj_t BgL_o1523z00_7445)
	{
		{	/* Liveness/types.scm 167 */
			{	/* Liveness/types.scm 167 */
				BgL_switchzf2livenesszf2_bglt BgL_wide1525z00_8904;

				BgL_wide1525z00_8904 =
					((BgL_switchzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_switchzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 167 */
					obj_t BgL_auxz00_13199;
					BgL_objectz00_bglt BgL_tmpz00_13195;

					BgL_auxz00_13199 = ((obj_t) BgL_wide1525z00_8904);
					BgL_tmpz00_13195 =
						((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1523z00_7445)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13195, BgL_auxz00_13199);
				}
				((BgL_objectz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1523z00_7445)));
				{	/* Liveness/types.scm 167 */
					long BgL_arg3395z00_8905;

					BgL_arg3395z00_8905 =
						BGL_CLASS_NUM(BGl_switchzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_o1523z00_7445))),
						BgL_arg3395z00_8905);
				}
				return
					((BgL_switchz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1523z00_7445)));
			}
		}

	}



/* &lambda3388 */
	BgL_switchz00_bglt BGl_z62lambda3388z62zzliveness_typesz00(obj_t
		BgL_envz00_7446, obj_t BgL_loc1512z00_7447, obj_t BgL_type1513z00_7448,
		obj_t BgL_sidezd2effect1514zd2_7449, obj_t BgL_key1515z00_7450,
		obj_t BgL_test1516z00_7451, obj_t BgL_clauses1517z00_7452,
		obj_t BgL_itemzd2type1518zd2_7453, obj_t BgL_def1519z00_7454,
		obj_t BgL_use1520z00_7455, obj_t BgL_in1521z00_7456,
		obj_t BgL_out1522z00_7457)
	{
		{	/* Liveness/types.scm 167 */
			{	/* Liveness/types.scm 167 */
				BgL_switchz00_bglt BgL_new1805z00_8913;

				{	/* Liveness/types.scm 167 */
					BgL_switchz00_bglt BgL_tmp1803z00_8914;
					BgL_switchzf2livenesszf2_bglt BgL_wide1804z00_8915;

					{
						BgL_switchz00_bglt BgL_auxz00_13213;

						{	/* Liveness/types.scm 167 */
							BgL_switchz00_bglt BgL_new1802z00_8916;

							BgL_new1802z00_8916 =
								((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_switchz00_bgl))));
							{	/* Liveness/types.scm 167 */
								long BgL_arg3393z00_8917;

								BgL_arg3393z00_8917 = BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1802z00_8916),
									BgL_arg3393z00_8917);
							}
							{	/* Liveness/types.scm 167 */
								BgL_objectz00_bglt BgL_tmpz00_13218;

								BgL_tmpz00_13218 = ((BgL_objectz00_bglt) BgL_new1802z00_8916);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13218, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1802z00_8916);
							BgL_auxz00_13213 = BgL_new1802z00_8916;
						}
						BgL_tmp1803z00_8914 = ((BgL_switchz00_bglt) BgL_auxz00_13213);
					}
					BgL_wide1804z00_8915 =
						((BgL_switchzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_switchzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 167 */
						obj_t BgL_auxz00_13226;
						BgL_objectz00_bglt BgL_tmpz00_13224;

						BgL_auxz00_13226 = ((obj_t) BgL_wide1804z00_8915);
						BgL_tmpz00_13224 = ((BgL_objectz00_bglt) BgL_tmp1803z00_8914);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13224, BgL_auxz00_13226);
					}
					((BgL_objectz00_bglt) BgL_tmp1803z00_8914);
					{	/* Liveness/types.scm 167 */
						long BgL_arg3390z00_8918;

						BgL_arg3390z00_8918 =
							BGL_CLASS_NUM(BGl_switchzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1803z00_8914), BgL_arg3390z00_8918);
					}
					BgL_new1805z00_8913 = ((BgL_switchz00_bglt) BgL_tmp1803z00_8914);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1805z00_8913)))->BgL_locz00) =
					((obj_t) BgL_loc1512z00_7447), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1805z00_8913)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1513z00_7448)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1805z00_8913)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1514zd2_7449), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1805z00_8913)))->BgL_keyz00) =
					((obj_t) BgL_key1515z00_7450), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1805z00_8913)))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1516z00_7451)),
					BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1805z00_8913)))->BgL_clausesz00) =
					((obj_t) BgL_clauses1517z00_7452), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1805z00_8913)))->BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_itemzd2type1518zd2_7453)),
					BUNSPEC);
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13251;

					{
						obj_t BgL_auxz00_13252;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13253;

							BgL_tmpz00_13253 = ((BgL_objectz00_bglt) BgL_new1805z00_8913);
							BgL_auxz00_13252 = BGL_OBJECT_WIDENING(BgL_tmpz00_13253);
						}
						BgL_auxz00_13251 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13252);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13251))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1519z00_7454)), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13259;

					{
						obj_t BgL_auxz00_13260;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13261;

							BgL_tmpz00_13261 = ((BgL_objectz00_bglt) BgL_new1805z00_8913);
							BgL_auxz00_13260 = BGL_OBJECT_WIDENING(BgL_tmpz00_13261);
						}
						BgL_auxz00_13259 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13260);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13259))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1520z00_7455)), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13267;

					{
						obj_t BgL_auxz00_13268;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13269;

							BgL_tmpz00_13269 = ((BgL_objectz00_bglt) BgL_new1805z00_8913);
							BgL_auxz00_13268 = BGL_OBJECT_WIDENING(BgL_tmpz00_13269);
						}
						BgL_auxz00_13267 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13268);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13267))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1521z00_7456)), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13275;

					{
						obj_t BgL_auxz00_13276;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13277;

							BgL_tmpz00_13277 = ((BgL_objectz00_bglt) BgL_new1805z00_8913);
							BgL_auxz00_13276 = BGL_OBJECT_WIDENING(BgL_tmpz00_13277);
						}
						BgL_auxz00_13275 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13276);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13275))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1522z00_7457)), BUNSPEC);
				}
				return BgL_new1805z00_8913;
			}
		}

	}



/* &<@anonymous:3433> */
	obj_t BGl_z62zc3z04anonymousza33433ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7458)
	{
		{	/* Liveness/types.scm 167 */
			return BNIL;
		}

	}



/* &lambda3432 */
	obj_t BGl_z62lambda3432z62zzliveness_typesz00(obj_t BgL_envz00_7459,
		obj_t BgL_oz00_7460, obj_t BgL_vz00_7461)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13283;

				{
					obj_t BgL_auxz00_13284;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13285;

						BgL_tmpz00_13285 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7460));
						BgL_auxz00_13284 = BGL_OBJECT_WIDENING(BgL_tmpz00_13285);
					}
					BgL_auxz00_13283 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13284);
				}
				return
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13283))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7461)), BUNSPEC);
			}
		}

	}



/* &lambda3431 */
	obj_t BGl_z62lambda3431z62zzliveness_typesz00(obj_t BgL_envz00_7462,
		obj_t BgL_oz00_7463)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13292;

				{
					obj_t BgL_auxz00_13293;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13294;

						BgL_tmpz00_13294 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7463));
						BgL_auxz00_13293 = BGL_OBJECT_WIDENING(BgL_tmpz00_13294);
					}
					BgL_auxz00_13292 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13293);
				}
				return
					(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13292))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3426> */
	obj_t BGl_z62zc3z04anonymousza33426ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7464)
	{
		{	/* Liveness/types.scm 167 */
			return BNIL;
		}

	}



/* &lambda3425 */
	obj_t BGl_z62lambda3425z62zzliveness_typesz00(obj_t BgL_envz00_7465,
		obj_t BgL_oz00_7466, obj_t BgL_vz00_7467)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13300;

				{
					obj_t BgL_auxz00_13301;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13302;

						BgL_tmpz00_13302 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7466));
						BgL_auxz00_13301 = BGL_OBJECT_WIDENING(BgL_tmpz00_13302);
					}
					BgL_auxz00_13300 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13301);
				}
				return
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13300))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7467)), BUNSPEC);
			}
		}

	}



/* &lambda3424 */
	obj_t BGl_z62lambda3424z62zzliveness_typesz00(obj_t BgL_envz00_7468,
		obj_t BgL_oz00_7469)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13309;

				{
					obj_t BgL_auxz00_13310;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13311;

						BgL_tmpz00_13311 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7469));
						BgL_auxz00_13310 = BGL_OBJECT_WIDENING(BgL_tmpz00_13311);
					}
					BgL_auxz00_13309 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13310);
				}
				return
					(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13309))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3417> */
	obj_t BGl_z62zc3z04anonymousza33417ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7470)
	{
		{	/* Liveness/types.scm 167 */
			return BNIL;
		}

	}



/* &lambda3416 */
	obj_t BGl_z62lambda3416z62zzliveness_typesz00(obj_t BgL_envz00_7471,
		obj_t BgL_oz00_7472, obj_t BgL_vz00_7473)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13317;

				{
					obj_t BgL_auxz00_13318;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13319;

						BgL_tmpz00_13319 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7472));
						BgL_auxz00_13318 = BGL_OBJECT_WIDENING(BgL_tmpz00_13319);
					}
					BgL_auxz00_13317 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13318);
				}
				return
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13317))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7473)), BUNSPEC);
			}
		}

	}



/* &lambda3415 */
	obj_t BGl_z62lambda3415z62zzliveness_typesz00(obj_t BgL_envz00_7474,
		obj_t BgL_oz00_7475)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13326;

				{
					obj_t BgL_auxz00_13327;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13328;

						BgL_tmpz00_13328 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7475));
						BgL_auxz00_13327 = BGL_OBJECT_WIDENING(BgL_tmpz00_13328);
					}
					BgL_auxz00_13326 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13327);
				}
				return
					(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13326))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3409> */
	obj_t BGl_z62zc3z04anonymousza33409ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7476)
	{
		{	/* Liveness/types.scm 167 */
			return BNIL;
		}

	}



/* &lambda3408 */
	obj_t BGl_z62lambda3408z62zzliveness_typesz00(obj_t BgL_envz00_7477,
		obj_t BgL_oz00_7478, obj_t BgL_vz00_7479)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13334;

				{
					obj_t BgL_auxz00_13335;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13336;

						BgL_tmpz00_13336 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7478));
						BgL_auxz00_13335 = BGL_OBJECT_WIDENING(BgL_tmpz00_13336);
					}
					BgL_auxz00_13334 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13335);
				}
				return
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13334))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7479)), BUNSPEC);
			}
		}

	}



/* &lambda3407 */
	obj_t BGl_z62lambda3407z62zzliveness_typesz00(obj_t BgL_envz00_7480,
		obj_t BgL_oz00_7481)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13343;

				{
					obj_t BgL_auxz00_13344;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13345;

						BgL_tmpz00_13345 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7481));
						BgL_auxz00_13344 = BGL_OBJECT_WIDENING(BgL_tmpz00_13345);
					}
					BgL_auxz00_13343 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13344);
				}
				return
					(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13343))->
					BgL_defz00);
			}
		}

	}



/* &lambda3331 */
	BgL_failz00_bglt BGl_z62lambda3331z62zzliveness_typesz00(obj_t
		BgL_envz00_7482, obj_t BgL_o1510z00_7483)
	{
		{	/* Liveness/types.scm 161 */
			{	/* Liveness/types.scm 161 */
				long BgL_arg3332z00_8932;

				{	/* Liveness/types.scm 161 */
					obj_t BgL_arg3333z00_8933;

					{	/* Liveness/types.scm 161 */
						obj_t BgL_arg3334z00_8934;

						{	/* Liveness/types.scm 161 */
							long BgL_arg1833z00_8935;

							{	/* Liveness/types.scm 161 */
								long BgL_arg1834z00_8936;

								BgL_arg1834z00_8936 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_failz00_bglt) BgL_o1510z00_7483)));
								BgL_arg1833z00_8935 = (BgL_arg1834z00_8936 - OBJECT_TYPE);
							}
							BgL_arg3334z00_8934 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_8935);
						}
						BgL_arg3333z00_8933 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3334z00_8934);
					}
					{	/* Liveness/types.scm 161 */
						obj_t BgL_tmpz00_13357;

						BgL_tmpz00_13357 = ((obj_t) BgL_arg3333z00_8933);
						BgL_arg3332z00_8932 = BGL_CLASS_NUM(BgL_tmpz00_13357);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_failz00_bglt) BgL_o1510z00_7483)), BgL_arg3332z00_8932);
			}
			{	/* Liveness/types.scm 161 */
				BgL_objectz00_bglt BgL_tmpz00_13363;

				BgL_tmpz00_13363 =
					((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_o1510z00_7483));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13363, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_o1510z00_7483));
			return ((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1510z00_7483));
		}

	}



/* &<@anonymous:3330> */
	obj_t BGl_z62zc3z04anonymousza33330ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7484, obj_t BgL_new1509z00_7485)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failz00_bglt BgL_auxz00_13371;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_failz00_bglt) BgL_new1509z00_7485))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13375;

					{	/* Liveness/types.scm 161 */
						obj_t BgL_classz00_8938;

						BgL_classz00_8938 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 161 */
							obj_t BgL__ortest_1112z00_8939;

							BgL__ortest_1112z00_8939 = BGL_CLASS_NIL(BgL_classz00_8938);
							if (CBOOL(BgL__ortest_1112z00_8939))
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13375 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_8939);
								}
							else
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13375 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8938));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_failz00_bglt) BgL_new1509z00_7485))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13375), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13385;

					{	/* Liveness/types.scm 161 */
						obj_t BgL_classz00_8940;

						BgL_classz00_8940 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 161 */
							obj_t BgL__ortest_1112z00_8941;

							BgL__ortest_1112z00_8941 = BGL_CLASS_NIL(BgL_classz00_8940);
							if (CBOOL(BgL__ortest_1112z00_8941))
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13385 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8941);
								}
							else
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13385 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8940));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt)
										((BgL_failz00_bglt) BgL_new1509z00_7485))))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13385), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13395;

					{	/* Liveness/types.scm 161 */
						obj_t BgL_classz00_8942;

						BgL_classz00_8942 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 161 */
							obj_t BgL__ortest_1112z00_8943;

							BgL__ortest_1112z00_8943 = BGL_CLASS_NIL(BgL_classz00_8942);
							if (CBOOL(BgL__ortest_1112z00_8943))
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13395 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8943);
								}
							else
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13395 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8942));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt)
										((BgL_failz00_bglt) BgL_new1509z00_7485))))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13395), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13405;

					{	/* Liveness/types.scm 161 */
						obj_t BgL_classz00_8944;

						BgL_classz00_8944 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 161 */
							obj_t BgL__ortest_1112z00_8945;

							BgL__ortest_1112z00_8945 = BGL_CLASS_NIL(BgL_classz00_8944);
							if (CBOOL(BgL__ortest_1112z00_8945))
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13405 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8945);
								}
							else
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13405 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8944));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt)
										((BgL_failz00_bglt) BgL_new1509z00_7485))))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13405), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13415;

					{
						obj_t BgL_auxz00_13416;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13417;

							BgL_tmpz00_13417 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_new1509z00_7485));
							BgL_auxz00_13416 = BGL_OBJECT_WIDENING(BgL_tmpz00_13417);
						}
						BgL_auxz00_13415 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13416);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13415))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13423;

					{
						obj_t BgL_auxz00_13424;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13425;

							BgL_tmpz00_13425 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_new1509z00_7485));
							BgL_auxz00_13424 = BGL_OBJECT_WIDENING(BgL_tmpz00_13425);
						}
						BgL_auxz00_13423 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13424);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13423))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13431;

					{
						obj_t BgL_auxz00_13432;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13433;

							BgL_tmpz00_13433 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_new1509z00_7485));
							BgL_auxz00_13432 = BGL_OBJECT_WIDENING(BgL_tmpz00_13433);
						}
						BgL_auxz00_13431 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13432);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13431))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13439;

					{
						obj_t BgL_auxz00_13440;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13441;

							BgL_tmpz00_13441 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_new1509z00_7485));
							BgL_auxz00_13440 = BGL_OBJECT_WIDENING(BgL_tmpz00_13441);
						}
						BgL_auxz00_13439 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13440);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13439))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_13371 = ((BgL_failz00_bglt) BgL_new1509z00_7485);
				return ((obj_t) BgL_auxz00_13371);
			}
		}

	}



/* &lambda3328 */
	BgL_failz00_bglt BGl_z62lambda3328z62zzliveness_typesz00(obj_t
		BgL_envz00_7486, obj_t BgL_o1506z00_7487)
	{
		{	/* Liveness/types.scm 161 */
			{	/* Liveness/types.scm 161 */
				BgL_failzf2livenesszf2_bglt BgL_wide1508z00_8947;

				BgL_wide1508z00_8947 =
					((BgL_failzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_failzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 161 */
					obj_t BgL_auxz00_13454;
					BgL_objectz00_bglt BgL_tmpz00_13450;

					BgL_auxz00_13454 = ((obj_t) BgL_wide1508z00_8947);
					BgL_tmpz00_13450 =
						((BgL_objectz00_bglt)
						((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1506z00_7487)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13450, BgL_auxz00_13454);
				}
				((BgL_objectz00_bglt)
					((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1506z00_7487)));
				{	/* Liveness/types.scm 161 */
					long BgL_arg3329z00_8948;

					BgL_arg3329z00_8948 =
						BGL_CLASS_NUM(BGl_failzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_failz00_bglt)
								((BgL_failz00_bglt) BgL_o1506z00_7487))), BgL_arg3329z00_8948);
				}
				return
					((BgL_failz00_bglt)
					((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1506z00_7487)));
			}
		}

	}



/* &lambda3325 */
	BgL_failz00_bglt BGl_z62lambda3325z62zzliveness_typesz00(obj_t
		BgL_envz00_7488, obj_t BgL_loc1497z00_7489, obj_t BgL_type1498z00_7490,
		obj_t BgL_proc1499z00_7491, obj_t BgL_msg1500z00_7492,
		obj_t BgL_obj1501z00_7493, obj_t BgL_def1502z00_7494,
		obj_t BgL_use1503z00_7495, obj_t BgL_in1504z00_7496,
		obj_t BgL_out1505z00_7497)
	{
		{	/* Liveness/types.scm 161 */
			{	/* Liveness/types.scm 161 */
				BgL_failz00_bglt BgL_new1800z00_8957;

				{	/* Liveness/types.scm 161 */
					BgL_failz00_bglt BgL_tmp1798z00_8958;
					BgL_failzf2livenesszf2_bglt BgL_wide1799z00_8959;

					{
						BgL_failz00_bglt BgL_auxz00_13468;

						{	/* Liveness/types.scm 161 */
							BgL_failz00_bglt BgL_new1797z00_8960;

							BgL_new1797z00_8960 =
								((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_failz00_bgl))));
							{	/* Liveness/types.scm 161 */
								long BgL_arg3327z00_8961;

								BgL_arg3327z00_8961 = BGL_CLASS_NUM(BGl_failz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1797z00_8960),
									BgL_arg3327z00_8961);
							}
							{	/* Liveness/types.scm 161 */
								BgL_objectz00_bglt BgL_tmpz00_13473;

								BgL_tmpz00_13473 = ((BgL_objectz00_bglt) BgL_new1797z00_8960);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13473, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1797z00_8960);
							BgL_auxz00_13468 = BgL_new1797z00_8960;
						}
						BgL_tmp1798z00_8958 = ((BgL_failz00_bglt) BgL_auxz00_13468);
					}
					BgL_wide1799z00_8959 =
						((BgL_failzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_failzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 161 */
						obj_t BgL_auxz00_13481;
						BgL_objectz00_bglt BgL_tmpz00_13479;

						BgL_auxz00_13481 = ((obj_t) BgL_wide1799z00_8959);
						BgL_tmpz00_13479 = ((BgL_objectz00_bglt) BgL_tmp1798z00_8958);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13479, BgL_auxz00_13481);
					}
					((BgL_objectz00_bglt) BgL_tmp1798z00_8958);
					{	/* Liveness/types.scm 161 */
						long BgL_arg3326z00_8962;

						BgL_arg3326z00_8962 =
							BGL_CLASS_NUM(BGl_failzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1798z00_8958), BgL_arg3326z00_8962);
					}
					BgL_new1800z00_8957 = ((BgL_failz00_bglt) BgL_tmp1798z00_8958);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1800z00_8957)))->BgL_locz00) =
					((obj_t) BgL_loc1497z00_7489), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1800z00_8957)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1498z00_7490)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1800z00_8957)))->BgL_procz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_proc1499z00_7491)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1800z00_8957)))->BgL_msgz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_msg1500z00_7492)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1800z00_8957)))->BgL_objz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_obj1501z00_7493)),
					BUNSPEC);
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13503;

					{
						obj_t BgL_auxz00_13504;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13505;

							BgL_tmpz00_13505 = ((BgL_objectz00_bglt) BgL_new1800z00_8957);
							BgL_auxz00_13504 = BGL_OBJECT_WIDENING(BgL_tmpz00_13505);
						}
						BgL_auxz00_13503 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13504);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13503))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1502z00_7494)), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13511;

					{
						obj_t BgL_auxz00_13512;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13513;

							BgL_tmpz00_13513 = ((BgL_objectz00_bglt) BgL_new1800z00_8957);
							BgL_auxz00_13512 = BGL_OBJECT_WIDENING(BgL_tmpz00_13513);
						}
						BgL_auxz00_13511 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13512);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13511))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1503z00_7495)), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13519;

					{
						obj_t BgL_auxz00_13520;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13521;

							BgL_tmpz00_13521 = ((BgL_objectz00_bglt) BgL_new1800z00_8957);
							BgL_auxz00_13520 = BGL_OBJECT_WIDENING(BgL_tmpz00_13521);
						}
						BgL_auxz00_13519 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13520);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13519))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1504z00_7496)), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13527;

					{
						obj_t BgL_auxz00_13528;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13529;

							BgL_tmpz00_13529 = ((BgL_objectz00_bglt) BgL_new1800z00_8957);
							BgL_auxz00_13528 = BGL_OBJECT_WIDENING(BgL_tmpz00_13529);
						}
						BgL_auxz00_13527 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13528);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13527))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1505z00_7497)), BUNSPEC);
				}
				return BgL_new1800z00_8957;
			}
		}

	}



/* &<@anonymous:3365> */
	obj_t BGl_z62zc3z04anonymousza33365ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7498)
	{
		{	/* Liveness/types.scm 161 */
			return BNIL;
		}

	}



/* &lambda3364 */
	obj_t BGl_z62lambda3364z62zzliveness_typesz00(obj_t BgL_envz00_7499,
		obj_t BgL_oz00_7500, obj_t BgL_vz00_7501)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13535;

				{
					obj_t BgL_auxz00_13536;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13537;

						BgL_tmpz00_13537 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7500));
						BgL_auxz00_13536 = BGL_OBJECT_WIDENING(BgL_tmpz00_13537);
					}
					BgL_auxz00_13535 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13536);
				}
				return
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13535))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7501)), BUNSPEC);
			}
		}

	}



/* &lambda3363 */
	obj_t BGl_z62lambda3363z62zzliveness_typesz00(obj_t BgL_envz00_7502,
		obj_t BgL_oz00_7503)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13544;

				{
					obj_t BgL_auxz00_13545;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13546;

						BgL_tmpz00_13546 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7503));
						BgL_auxz00_13545 = BGL_OBJECT_WIDENING(BgL_tmpz00_13546);
					}
					BgL_auxz00_13544 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13545);
				}
				return
					(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13544))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3357> */
	obj_t BGl_z62zc3z04anonymousza33357ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7504)
	{
		{	/* Liveness/types.scm 161 */
			return BNIL;
		}

	}



/* &lambda3356 */
	obj_t BGl_z62lambda3356z62zzliveness_typesz00(obj_t BgL_envz00_7505,
		obj_t BgL_oz00_7506, obj_t BgL_vz00_7507)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13552;

				{
					obj_t BgL_auxz00_13553;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13554;

						BgL_tmpz00_13554 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7506));
						BgL_auxz00_13553 = BGL_OBJECT_WIDENING(BgL_tmpz00_13554);
					}
					BgL_auxz00_13552 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13553);
				}
				return
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13552))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7507)), BUNSPEC);
			}
		}

	}



/* &lambda3355 */
	obj_t BGl_z62lambda3355z62zzliveness_typesz00(obj_t BgL_envz00_7508,
		obj_t BgL_oz00_7509)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13561;

				{
					obj_t BgL_auxz00_13562;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13563;

						BgL_tmpz00_13563 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7509));
						BgL_auxz00_13562 = BGL_OBJECT_WIDENING(BgL_tmpz00_13563);
					}
					BgL_auxz00_13561 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13562);
				}
				return
					(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13561))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3349> */
	obj_t BGl_z62zc3z04anonymousza33349ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7510)
	{
		{	/* Liveness/types.scm 161 */
			return BNIL;
		}

	}



/* &lambda3348 */
	obj_t BGl_z62lambda3348z62zzliveness_typesz00(obj_t BgL_envz00_7511,
		obj_t BgL_oz00_7512, obj_t BgL_vz00_7513)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13569;

				{
					obj_t BgL_auxz00_13570;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13571;

						BgL_tmpz00_13571 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7512));
						BgL_auxz00_13570 = BGL_OBJECT_WIDENING(BgL_tmpz00_13571);
					}
					BgL_auxz00_13569 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13570);
				}
				return
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13569))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7513)), BUNSPEC);
			}
		}

	}



/* &lambda3347 */
	obj_t BGl_z62lambda3347z62zzliveness_typesz00(obj_t BgL_envz00_7514,
		obj_t BgL_oz00_7515)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13578;

				{
					obj_t BgL_auxz00_13579;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13580;

						BgL_tmpz00_13580 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7515));
						BgL_auxz00_13579 = BGL_OBJECT_WIDENING(BgL_tmpz00_13580);
					}
					BgL_auxz00_13578 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13579);
				}
				return
					(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13578))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3342> */
	obj_t BGl_z62zc3z04anonymousza33342ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7516)
	{
		{	/* Liveness/types.scm 161 */
			return BNIL;
		}

	}



/* &lambda3341 */
	obj_t BGl_z62lambda3341z62zzliveness_typesz00(obj_t BgL_envz00_7517,
		obj_t BgL_oz00_7518, obj_t BgL_vz00_7519)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13586;

				{
					obj_t BgL_auxz00_13587;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13588;

						BgL_tmpz00_13588 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7518));
						BgL_auxz00_13587 = BGL_OBJECT_WIDENING(BgL_tmpz00_13588);
					}
					BgL_auxz00_13586 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13587);
				}
				return
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13586))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7519)), BUNSPEC);
			}
		}

	}



/* &lambda3340 */
	obj_t BGl_z62lambda3340z62zzliveness_typesz00(obj_t BgL_envz00_7520,
		obj_t BgL_oz00_7521)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13595;

				{
					obj_t BgL_auxz00_13596;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13597;

						BgL_tmpz00_13597 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7521));
						BgL_auxz00_13596 = BGL_OBJECT_WIDENING(BgL_tmpz00_13597);
					}
					BgL_auxz00_13595 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13596);
				}
				return
					(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13595))->
					BgL_defz00);
			}
		}

	}



/* &lambda3261 */
	BgL_conditionalz00_bglt BGl_z62lambda3261z62zzliveness_typesz00(obj_t
		BgL_envz00_7522, obj_t BgL_o1495z00_7523)
	{
		{	/* Liveness/types.scm 155 */
			{	/* Liveness/types.scm 155 */
				long BgL_arg3262z00_8976;

				{	/* Liveness/types.scm 155 */
					obj_t BgL_arg3263z00_8977;

					{	/* Liveness/types.scm 155 */
						obj_t BgL_arg3264z00_8978;

						{	/* Liveness/types.scm 155 */
							long BgL_arg1833z00_8979;

							{	/* Liveness/types.scm 155 */
								long BgL_arg1834z00_8980;

								BgL_arg1834z00_8980 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_conditionalz00_bglt) BgL_o1495z00_7523)));
								BgL_arg1833z00_8979 = (BgL_arg1834z00_8980 - OBJECT_TYPE);
							}
							BgL_arg3264z00_8978 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_8979);
						}
						BgL_arg3263z00_8977 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3264z00_8978);
					}
					{	/* Liveness/types.scm 155 */
						obj_t BgL_tmpz00_13609;

						BgL_tmpz00_13609 = ((obj_t) BgL_arg3263z00_8977);
						BgL_arg3262z00_8976 = BGL_CLASS_NUM(BgL_tmpz00_13609);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_conditionalz00_bglt) BgL_o1495z00_7523)),
					BgL_arg3262z00_8976);
			}
			{	/* Liveness/types.scm 155 */
				BgL_objectz00_bglt BgL_tmpz00_13615;

				BgL_tmpz00_13615 =
					((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_o1495z00_7523));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13615, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_o1495z00_7523));
			return
				((BgL_conditionalz00_bglt)
				((BgL_conditionalz00_bglt) BgL_o1495z00_7523));
		}

	}



/* &<@anonymous:3260> */
	obj_t BGl_z62zc3z04anonymousza33260ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7524, obj_t BgL_new1494z00_7525)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalz00_bglt BgL_auxz00_13623;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_conditionalz00_bglt) BgL_new1494z00_7525))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13627;

					{	/* Liveness/types.scm 155 */
						obj_t BgL_classz00_8982;

						BgL_classz00_8982 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 155 */
							obj_t BgL__ortest_1112z00_8983;

							BgL__ortest_1112z00_8983 = BGL_CLASS_NIL(BgL_classz00_8982);
							if (CBOOL(BgL__ortest_1112z00_8983))
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_13627 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_8983);
								}
							else
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_13627 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8982));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1494z00_7525))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13627), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_conditionalz00_bglt) BgL_new1494z00_7525))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_conditionalz00_bglt)
										BgL_new1494z00_7525))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_13643;

					{	/* Liveness/types.scm 155 */
						obj_t BgL_classz00_8984;

						BgL_classz00_8984 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 155 */
							obj_t BgL__ortest_1112z00_8985;

							BgL__ortest_1112z00_8985 = BGL_CLASS_NIL(BgL_classz00_8984);
							if (CBOOL(BgL__ortest_1112z00_8985))
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_13643 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8985);
								}
							else
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_13643 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8984));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1494z00_7525))))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_13643), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13653;

					{	/* Liveness/types.scm 155 */
						obj_t BgL_classz00_8986;

						BgL_classz00_8986 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 155 */
							obj_t BgL__ortest_1112z00_8987;

							BgL__ortest_1112z00_8987 = BGL_CLASS_NIL(BgL_classz00_8986);
							if (CBOOL(BgL__ortest_1112z00_8987))
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_13653 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8987);
								}
							else
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_13653 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8986));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1494z00_7525))))->
							BgL_truez00) = ((BgL_nodez00_bglt) BgL_auxz00_13653), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13663;

					{	/* Liveness/types.scm 155 */
						obj_t BgL_classz00_8988;

						BgL_classz00_8988 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 155 */
							obj_t BgL__ortest_1112z00_8989;

							BgL__ortest_1112z00_8989 = BGL_CLASS_NIL(BgL_classz00_8988);
							if (CBOOL(BgL__ortest_1112z00_8989))
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_13663 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_8989);
								}
							else
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_13663 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8988));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1494z00_7525))))->
							BgL_falsez00) = ((BgL_nodez00_bglt) BgL_auxz00_13663), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13673;

					{
						obj_t BgL_auxz00_13674;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13675;

							BgL_tmpz00_13675 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_new1494z00_7525));
							BgL_auxz00_13674 = BGL_OBJECT_WIDENING(BgL_tmpz00_13675);
						}
						BgL_auxz00_13673 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13674);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13673))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13681;

					{
						obj_t BgL_auxz00_13682;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13683;

							BgL_tmpz00_13683 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_new1494z00_7525));
							BgL_auxz00_13682 = BGL_OBJECT_WIDENING(BgL_tmpz00_13683);
						}
						BgL_auxz00_13681 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13682);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13681))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13689;

					{
						obj_t BgL_auxz00_13690;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13691;

							BgL_tmpz00_13691 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_new1494z00_7525));
							BgL_auxz00_13690 = BGL_OBJECT_WIDENING(BgL_tmpz00_13691);
						}
						BgL_auxz00_13689 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13690);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13689))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13697;

					{
						obj_t BgL_auxz00_13698;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13699;

							BgL_tmpz00_13699 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_new1494z00_7525));
							BgL_auxz00_13698 = BGL_OBJECT_WIDENING(BgL_tmpz00_13699);
						}
						BgL_auxz00_13697 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13698);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13697))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_13623 = ((BgL_conditionalz00_bglt) BgL_new1494z00_7525);
				return ((obj_t) BgL_auxz00_13623);
			}
		}

	}



/* &lambda3258 */
	BgL_conditionalz00_bglt BGl_z62lambda3258z62zzliveness_typesz00(obj_t
		BgL_envz00_7526, obj_t BgL_o1491z00_7527)
	{
		{	/* Liveness/types.scm 155 */
			{	/* Liveness/types.scm 155 */
				BgL_conditionalzf2livenesszf2_bglt BgL_wide1493z00_8991;

				BgL_wide1493z00_8991 =
					((BgL_conditionalzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_conditionalzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 155 */
					obj_t BgL_auxz00_13712;
					BgL_objectz00_bglt BgL_tmpz00_13708;

					BgL_auxz00_13712 = ((obj_t) BgL_wide1493z00_8991);
					BgL_tmpz00_13708 =
						((BgL_objectz00_bglt)
						((BgL_conditionalz00_bglt)
							((BgL_conditionalz00_bglt) BgL_o1491z00_7527)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13708, BgL_auxz00_13712);
				}
				((BgL_objectz00_bglt)
					((BgL_conditionalz00_bglt)
						((BgL_conditionalz00_bglt) BgL_o1491z00_7527)));
				{	/* Liveness/types.scm 155 */
					long BgL_arg3259z00_8992;

					BgL_arg3259z00_8992 =
						BGL_CLASS_NUM(BGl_conditionalzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_o1491z00_7527))),
						BgL_arg3259z00_8992);
				}
				return
					((BgL_conditionalz00_bglt)
					((BgL_conditionalz00_bglt)
						((BgL_conditionalz00_bglt) BgL_o1491z00_7527)));
			}
		}

	}



/* &lambda3253 */
	BgL_conditionalz00_bglt BGl_z62lambda3253z62zzliveness_typesz00(obj_t
		BgL_envz00_7528, obj_t BgL_loc1480z00_7529, obj_t BgL_type1481z00_7530,
		obj_t BgL_sidezd2effect1482zd2_7531, obj_t BgL_key1483z00_7532,
		obj_t BgL_test1484z00_7533, obj_t BgL_true1485z00_7534,
		obj_t BgL_false1486z00_7535, obj_t BgL_def1487z00_7536,
		obj_t BgL_use1488z00_7537, obj_t BgL_in1489z00_7538,
		obj_t BgL_out1490z00_7539)
	{
		{	/* Liveness/types.scm 155 */
			{	/* Liveness/types.scm 155 */
				BgL_conditionalz00_bglt BgL_new1795z00_9001;

				{	/* Liveness/types.scm 155 */
					BgL_conditionalz00_bglt BgL_tmp1793z00_9002;
					BgL_conditionalzf2livenesszf2_bglt BgL_wide1794z00_9003;

					{
						BgL_conditionalz00_bglt BgL_auxz00_13726;

						{	/* Liveness/types.scm 155 */
							BgL_conditionalz00_bglt BgL_new1792z00_9004;

							BgL_new1792z00_9004 =
								((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_conditionalz00_bgl))));
							{	/* Liveness/types.scm 155 */
								long BgL_arg3257z00_9005;

								BgL_arg3257z00_9005 =
									BGL_CLASS_NUM(BGl_conditionalz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1792z00_9004),
									BgL_arg3257z00_9005);
							}
							{	/* Liveness/types.scm 155 */
								BgL_objectz00_bglt BgL_tmpz00_13731;

								BgL_tmpz00_13731 = ((BgL_objectz00_bglt) BgL_new1792z00_9004);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13731, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1792z00_9004);
							BgL_auxz00_13726 = BgL_new1792z00_9004;
						}
						BgL_tmp1793z00_9002 = ((BgL_conditionalz00_bglt) BgL_auxz00_13726);
					}
					BgL_wide1794z00_9003 =
						((BgL_conditionalzf2livenesszf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_conditionalzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 155 */
						obj_t BgL_auxz00_13739;
						BgL_objectz00_bglt BgL_tmpz00_13737;

						BgL_auxz00_13739 = ((obj_t) BgL_wide1794z00_9003);
						BgL_tmpz00_13737 = ((BgL_objectz00_bglt) BgL_tmp1793z00_9002);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13737, BgL_auxz00_13739);
					}
					((BgL_objectz00_bglt) BgL_tmp1793z00_9002);
					{	/* Liveness/types.scm 155 */
						long BgL_arg3256z00_9006;

						BgL_arg3256z00_9006 =
							BGL_CLASS_NUM(BGl_conditionalzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1793z00_9002), BgL_arg3256z00_9006);
					}
					BgL_new1795z00_9001 = ((BgL_conditionalz00_bglt) BgL_tmp1793z00_9002);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1795z00_9001)))->BgL_locz00) =
					((obj_t) BgL_loc1480z00_7529), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1795z00_9001)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1481z00_7530)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1795z00_9001)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1482zd2_7531), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1795z00_9001)))->BgL_keyz00) =
					((obj_t) BgL_key1483z00_7532), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1795z00_9001)))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1484z00_7533)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1795z00_9001)))->BgL_truez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_true1485z00_7534)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1795z00_9001)))->BgL_falsez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_false1486z00_7535)),
					BUNSPEC);
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13765;

					{
						obj_t BgL_auxz00_13766;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13767;

							BgL_tmpz00_13767 = ((BgL_objectz00_bglt) BgL_new1795z00_9001);
							BgL_auxz00_13766 = BGL_OBJECT_WIDENING(BgL_tmpz00_13767);
						}
						BgL_auxz00_13765 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13766);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13765))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1487z00_7536)), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13773;

					{
						obj_t BgL_auxz00_13774;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13775;

							BgL_tmpz00_13775 = ((BgL_objectz00_bglt) BgL_new1795z00_9001);
							BgL_auxz00_13774 = BGL_OBJECT_WIDENING(BgL_tmpz00_13775);
						}
						BgL_auxz00_13773 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13774);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13773))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1488z00_7537)), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13781;

					{
						obj_t BgL_auxz00_13782;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13783;

							BgL_tmpz00_13783 = ((BgL_objectz00_bglt) BgL_new1795z00_9001);
							BgL_auxz00_13782 = BGL_OBJECT_WIDENING(BgL_tmpz00_13783);
						}
						BgL_auxz00_13781 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13782);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13781))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1489z00_7538)), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13789;

					{
						obj_t BgL_auxz00_13790;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13791;

							BgL_tmpz00_13791 = ((BgL_objectz00_bglt) BgL_new1795z00_9001);
							BgL_auxz00_13790 = BGL_OBJECT_WIDENING(BgL_tmpz00_13791);
						}
						BgL_auxz00_13789 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13790);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13789))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1490z00_7539)), BUNSPEC);
				}
				return BgL_new1795z00_9001;
			}
		}

	}



/* &<@anonymous:3318> */
	obj_t BGl_z62zc3z04anonymousza33318ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7540)
	{
		{	/* Liveness/types.scm 155 */
			return BNIL;
		}

	}



/* &lambda3317 */
	obj_t BGl_z62lambda3317z62zzliveness_typesz00(obj_t BgL_envz00_7541,
		obj_t BgL_oz00_7542, obj_t BgL_vz00_7543)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13797;

				{
					obj_t BgL_auxz00_13798;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_13799;

						BgL_tmpz00_13799 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7542));
						BgL_auxz00_13798 = BGL_OBJECT_WIDENING(BgL_tmpz00_13799);
					}
					BgL_auxz00_13797 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13798);
				}
				return
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13797))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7543)), BUNSPEC);
			}
		}

	}



/* &lambda3316 */
	obj_t BGl_z62lambda3316z62zzliveness_typesz00(obj_t BgL_envz00_7544,
		obj_t BgL_oz00_7545)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13806;

				{
					obj_t BgL_auxz00_13807;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_13808;

						BgL_tmpz00_13808 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7545));
						BgL_auxz00_13807 = BGL_OBJECT_WIDENING(BgL_tmpz00_13808);
					}
					BgL_auxz00_13806 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13807);
				}
				return
					(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13806))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3309> */
	obj_t BGl_z62zc3z04anonymousza33309ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7546)
	{
		{	/* Liveness/types.scm 155 */
			return BNIL;
		}

	}



/* &lambda3308 */
	obj_t BGl_z62lambda3308z62zzliveness_typesz00(obj_t BgL_envz00_7547,
		obj_t BgL_oz00_7548, obj_t BgL_vz00_7549)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13814;

				{
					obj_t BgL_auxz00_13815;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_13816;

						BgL_tmpz00_13816 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7548));
						BgL_auxz00_13815 = BGL_OBJECT_WIDENING(BgL_tmpz00_13816);
					}
					BgL_auxz00_13814 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13815);
				}
				return
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13814))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7549)), BUNSPEC);
			}
		}

	}



/* &lambda3307 */
	obj_t BGl_z62lambda3307z62zzliveness_typesz00(obj_t BgL_envz00_7550,
		obj_t BgL_oz00_7551)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13823;

				{
					obj_t BgL_auxz00_13824;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_13825;

						BgL_tmpz00_13825 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7551));
						BgL_auxz00_13824 = BGL_OBJECT_WIDENING(BgL_tmpz00_13825);
					}
					BgL_auxz00_13823 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13824);
				}
				return
					(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13823))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3302> */
	obj_t BGl_z62zc3z04anonymousza33302ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7552)
	{
		{	/* Liveness/types.scm 155 */
			return BNIL;
		}

	}



/* &lambda3301 */
	obj_t BGl_z62lambda3301z62zzliveness_typesz00(obj_t BgL_envz00_7553,
		obj_t BgL_oz00_7554, obj_t BgL_vz00_7555)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13831;

				{
					obj_t BgL_auxz00_13832;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_13833;

						BgL_tmpz00_13833 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7554));
						BgL_auxz00_13832 = BGL_OBJECT_WIDENING(BgL_tmpz00_13833);
					}
					BgL_auxz00_13831 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13832);
				}
				return
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13831))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7555)), BUNSPEC);
			}
		}

	}



/* &lambda3300 */
	obj_t BGl_z62lambda3300z62zzliveness_typesz00(obj_t BgL_envz00_7556,
		obj_t BgL_oz00_7557)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13840;

				{
					obj_t BgL_auxz00_13841;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_13842;

						BgL_tmpz00_13842 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7557));
						BgL_auxz00_13841 = BGL_OBJECT_WIDENING(BgL_tmpz00_13842);
					}
					BgL_auxz00_13840 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13841);
				}
				return
					(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13840))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3273> */
	obj_t BGl_z62zc3z04anonymousza33273ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7558)
	{
		{	/* Liveness/types.scm 155 */
			return BNIL;
		}

	}



/* &lambda3272 */
	obj_t BGl_z62lambda3272z62zzliveness_typesz00(obj_t BgL_envz00_7559,
		obj_t BgL_oz00_7560, obj_t BgL_vz00_7561)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13848;

				{
					obj_t BgL_auxz00_13849;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_13850;

						BgL_tmpz00_13850 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7560));
						BgL_auxz00_13849 = BGL_OBJECT_WIDENING(BgL_tmpz00_13850);
					}
					BgL_auxz00_13848 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13849);
				}
				return
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13848))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7561)), BUNSPEC);
			}
		}

	}



/* &lambda3271 */
	obj_t BGl_z62lambda3271z62zzliveness_typesz00(obj_t BgL_envz00_7562,
		obj_t BgL_oz00_7563)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13857;

				{
					obj_t BgL_auxz00_13858;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_13859;

						BgL_tmpz00_13859 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7563));
						BgL_auxz00_13858 = BGL_OBJECT_WIDENING(BgL_tmpz00_13859);
					}
					BgL_auxz00_13857 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13858);
				}
				return
					(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13857))->
					BgL_defz00);
			}
		}

	}



/* &lambda3194 */
	BgL_setqz00_bglt BGl_z62lambda3194z62zzliveness_typesz00(obj_t
		BgL_envz00_7564, obj_t BgL_o1477z00_7565)
	{
		{	/* Liveness/types.scm 149 */
			{	/* Liveness/types.scm 149 */
				long BgL_arg3195z00_9020;

				{	/* Liveness/types.scm 149 */
					obj_t BgL_arg3196z00_9021;

					{	/* Liveness/types.scm 149 */
						obj_t BgL_arg3197z00_9022;

						{	/* Liveness/types.scm 149 */
							long BgL_arg1833z00_9023;

							{	/* Liveness/types.scm 149 */
								long BgL_arg1834z00_9024;

								BgL_arg1834z00_9024 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_setqz00_bglt) BgL_o1477z00_7565)));
								BgL_arg1833z00_9023 = (BgL_arg1834z00_9024 - OBJECT_TYPE);
							}
							BgL_arg3197z00_9022 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9023);
						}
						BgL_arg3196z00_9021 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3197z00_9022);
					}
					{	/* Liveness/types.scm 149 */
						obj_t BgL_tmpz00_13871;

						BgL_tmpz00_13871 = ((obj_t) BgL_arg3196z00_9021);
						BgL_arg3195z00_9020 = BGL_CLASS_NUM(BgL_tmpz00_13871);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_setqz00_bglt) BgL_o1477z00_7565)), BgL_arg3195z00_9020);
			}
			{	/* Liveness/types.scm 149 */
				BgL_objectz00_bglt BgL_tmpz00_13877;

				BgL_tmpz00_13877 =
					((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_o1477z00_7565));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13877, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_o1477z00_7565));
			return ((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1477z00_7565));
		}

	}



/* &<@anonymous:3193> */
	obj_t BGl_z62zc3z04anonymousza33193ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7566, obj_t BgL_new1476z00_7567)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqz00_bglt BgL_auxz00_13885;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setqz00_bglt) BgL_new1476z00_7567))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13889;

					{	/* Liveness/types.scm 149 */
						obj_t BgL_classz00_9026;

						BgL_classz00_9026 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 149 */
							obj_t BgL__ortest_1112z00_9027;

							BgL__ortest_1112z00_9027 = BGL_CLASS_NIL(BgL_classz00_9026);
							if (CBOOL(BgL__ortest_1112z00_9027))
								{	/* Liveness/types.scm 149 */
									BgL_auxz00_13889 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9027);
								}
							else
								{	/* Liveness/types.scm 149 */
									BgL_auxz00_13889 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9026));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setqz00_bglt) BgL_new1476z00_7567))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13889), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_13899;

					{	/* Liveness/types.scm 149 */
						obj_t BgL_classz00_9028;

						BgL_classz00_9028 = BGl_varz00zzast_nodez00;
						{	/* Liveness/types.scm 149 */
							obj_t BgL__ortest_1112z00_9029;

							BgL__ortest_1112z00_9029 = BGL_CLASS_NIL(BgL_classz00_9028);
							if (CBOOL(BgL__ortest_1112z00_9029))
								{	/* Liveness/types.scm 149 */
									BgL_auxz00_13899 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_9029);
								}
							else
								{	/* Liveness/types.scm 149 */
									BgL_auxz00_13899 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9028));
								}
						}
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt)
										((BgL_setqz00_bglt) BgL_new1476z00_7567))))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_13899), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13909;

					{	/* Liveness/types.scm 149 */
						obj_t BgL_classz00_9030;

						BgL_classz00_9030 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 149 */
							obj_t BgL__ortest_1112z00_9031;

							BgL__ortest_1112z00_9031 = BGL_CLASS_NIL(BgL_classz00_9030);
							if (CBOOL(BgL__ortest_1112z00_9031))
								{	/* Liveness/types.scm 149 */
									BgL_auxz00_13909 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9031);
								}
							else
								{	/* Liveness/types.scm 149 */
									BgL_auxz00_13909 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9030));
								}
						}
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt)
										((BgL_setqz00_bglt) BgL_new1476z00_7567))))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_13909), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_13919;

					{
						obj_t BgL_auxz00_13920;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_13921;

							BgL_tmpz00_13921 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_new1476z00_7567));
							BgL_auxz00_13920 = BGL_OBJECT_WIDENING(BgL_tmpz00_13921);
						}
						BgL_auxz00_13919 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_13920);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13919))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_13927;

					{
						obj_t BgL_auxz00_13928;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_13929;

							BgL_tmpz00_13929 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_new1476z00_7567));
							BgL_auxz00_13928 = BGL_OBJECT_WIDENING(BgL_tmpz00_13929);
						}
						BgL_auxz00_13927 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_13928);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13927))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_13935;

					{
						obj_t BgL_auxz00_13936;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_13937;

							BgL_tmpz00_13937 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_new1476z00_7567));
							BgL_auxz00_13936 = BGL_OBJECT_WIDENING(BgL_tmpz00_13937);
						}
						BgL_auxz00_13935 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_13936);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13935))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_13943;

					{
						obj_t BgL_auxz00_13944;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_13945;

							BgL_tmpz00_13945 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_new1476z00_7567));
							BgL_auxz00_13944 = BGL_OBJECT_WIDENING(BgL_tmpz00_13945);
						}
						BgL_auxz00_13943 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_13944);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13943))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_13885 = ((BgL_setqz00_bglt) BgL_new1476z00_7567);
				return ((obj_t) BgL_auxz00_13885);
			}
		}

	}



/* &lambda3190 */
	BgL_setqz00_bglt BGl_z62lambda3190z62zzliveness_typesz00(obj_t
		BgL_envz00_7568, obj_t BgL_o1473z00_7569)
	{
		{	/* Liveness/types.scm 149 */
			{	/* Liveness/types.scm 149 */
				BgL_setqzf2livenesszf2_bglt BgL_wide1475z00_9033;

				BgL_wide1475z00_9033 =
					((BgL_setqzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setqzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 149 */
					obj_t BgL_auxz00_13958;
					BgL_objectz00_bglt BgL_tmpz00_13954;

					BgL_auxz00_13958 = ((obj_t) BgL_wide1475z00_9033);
					BgL_tmpz00_13954 =
						((BgL_objectz00_bglt)
						((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1473z00_7569)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13954, BgL_auxz00_13958);
				}
				((BgL_objectz00_bglt)
					((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1473z00_7569)));
				{	/* Liveness/types.scm 149 */
					long BgL_arg3192z00_9034;

					BgL_arg3192z00_9034 =
						BGL_CLASS_NUM(BGl_setqzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setqz00_bglt)
								((BgL_setqz00_bglt) BgL_o1473z00_7569))), BgL_arg3192z00_9034);
				}
				return
					((BgL_setqz00_bglt)
					((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1473z00_7569)));
			}
		}

	}



/* &lambda3187 */
	BgL_setqz00_bglt BGl_z62lambda3187z62zzliveness_typesz00(obj_t
		BgL_envz00_7570, obj_t BgL_loc1465z00_7571, obj_t BgL_type1466z00_7572,
		obj_t BgL_var1467z00_7573, obj_t BgL_value1468z00_7574,
		obj_t BgL_def1469z00_7575, obj_t BgL_use1470z00_7576,
		obj_t BgL_in1471z00_7577, obj_t BgL_out1472z00_7578)
	{
		{	/* Liveness/types.scm 149 */
			{	/* Liveness/types.scm 149 */
				BgL_setqz00_bglt BgL_new1790z00_9042;

				{	/* Liveness/types.scm 149 */
					BgL_setqz00_bglt BgL_tmp1788z00_9043;
					BgL_setqzf2livenesszf2_bglt BgL_wide1789z00_9044;

					{
						BgL_setqz00_bglt BgL_auxz00_13972;

						{	/* Liveness/types.scm 149 */
							BgL_setqz00_bglt BgL_new1787z00_9045;

							BgL_new1787z00_9045 =
								((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setqz00_bgl))));
							{	/* Liveness/types.scm 149 */
								long BgL_arg3189z00_9046;

								BgL_arg3189z00_9046 = BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1787z00_9045),
									BgL_arg3189z00_9046);
							}
							{	/* Liveness/types.scm 149 */
								BgL_objectz00_bglt BgL_tmpz00_13977;

								BgL_tmpz00_13977 = ((BgL_objectz00_bglt) BgL_new1787z00_9045);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13977, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1787z00_9045);
							BgL_auxz00_13972 = BgL_new1787z00_9045;
						}
						BgL_tmp1788z00_9043 = ((BgL_setqz00_bglt) BgL_auxz00_13972);
					}
					BgL_wide1789z00_9044 =
						((BgL_setqzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setqzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 149 */
						obj_t BgL_auxz00_13985;
						BgL_objectz00_bglt BgL_tmpz00_13983;

						BgL_auxz00_13985 = ((obj_t) BgL_wide1789z00_9044);
						BgL_tmpz00_13983 = ((BgL_objectz00_bglt) BgL_tmp1788z00_9043);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13983, BgL_auxz00_13985);
					}
					((BgL_objectz00_bglt) BgL_tmp1788z00_9043);
					{	/* Liveness/types.scm 149 */
						long BgL_arg3188z00_9047;

						BgL_arg3188z00_9047 =
							BGL_CLASS_NUM(BGl_setqzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1788z00_9043), BgL_arg3188z00_9047);
					}
					BgL_new1790z00_9042 = ((BgL_setqz00_bglt) BgL_tmp1788z00_9043);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1790z00_9042)))->BgL_locz00) =
					((obj_t) BgL_loc1465z00_7571), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1790z00_9042)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1466z00_7572)),
					BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(((BgL_setqz00_bglt)
									BgL_new1790z00_9042)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1467z00_7573)), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(((BgL_setqz00_bglt)
									BgL_new1790z00_9042)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1468z00_7574)),
					BUNSPEC);
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_14004;

					{
						obj_t BgL_auxz00_14005;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_14006;

							BgL_tmpz00_14006 = ((BgL_objectz00_bglt) BgL_new1790z00_9042);
							BgL_auxz00_14005 = BGL_OBJECT_WIDENING(BgL_tmpz00_14006);
						}
						BgL_auxz00_14004 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14005);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14004))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1469z00_7575)), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_14012;

					{
						obj_t BgL_auxz00_14013;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_14014;

							BgL_tmpz00_14014 = ((BgL_objectz00_bglt) BgL_new1790z00_9042);
							BgL_auxz00_14013 = BGL_OBJECT_WIDENING(BgL_tmpz00_14014);
						}
						BgL_auxz00_14012 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14013);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14012))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1470z00_7576)), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_14020;

					{
						obj_t BgL_auxz00_14021;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_14022;

							BgL_tmpz00_14022 = ((BgL_objectz00_bglt) BgL_new1790z00_9042);
							BgL_auxz00_14021 = BGL_OBJECT_WIDENING(BgL_tmpz00_14022);
						}
						BgL_auxz00_14020 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14021);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14020))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1471z00_7577)), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_14028;

					{
						obj_t BgL_auxz00_14029;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_14030;

							BgL_tmpz00_14030 = ((BgL_objectz00_bglt) BgL_new1790z00_9042);
							BgL_auxz00_14029 = BGL_OBJECT_WIDENING(BgL_tmpz00_14030);
						}
						BgL_auxz00_14028 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14029);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14028))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1472z00_7578)), BUNSPEC);
				}
				return BgL_new1790z00_9042;
			}
		}

	}



/* &<@anonymous:3233> */
	obj_t BGl_z62zc3z04anonymousza33233ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7579)
	{
		{	/* Liveness/types.scm 149 */
			return BNIL;
		}

	}



/* &lambda3232 */
	obj_t BGl_z62lambda3232z62zzliveness_typesz00(obj_t BgL_envz00_7580,
		obj_t BgL_oz00_7581, obj_t BgL_vz00_7582)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14036;

				{
					obj_t BgL_auxz00_14037;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14038;

						BgL_tmpz00_14038 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7581));
						BgL_auxz00_14037 = BGL_OBJECT_WIDENING(BgL_tmpz00_14038);
					}
					BgL_auxz00_14036 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14037);
				}
				return
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14036))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7582)), BUNSPEC);
			}
		}

	}



/* &lambda3231 */
	obj_t BGl_z62lambda3231z62zzliveness_typesz00(obj_t BgL_envz00_7583,
		obj_t BgL_oz00_7584)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14045;

				{
					obj_t BgL_auxz00_14046;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14047;

						BgL_tmpz00_14047 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7584));
						BgL_auxz00_14046 = BGL_OBJECT_WIDENING(BgL_tmpz00_14047);
					}
					BgL_auxz00_14045 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14046);
				}
				return
					(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14045))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3225> */
	obj_t BGl_z62zc3z04anonymousza33225ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7585)
	{
		{	/* Liveness/types.scm 149 */
			return BNIL;
		}

	}



/* &lambda3224 */
	obj_t BGl_z62lambda3224z62zzliveness_typesz00(obj_t BgL_envz00_7586,
		obj_t BgL_oz00_7587, obj_t BgL_vz00_7588)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14053;

				{
					obj_t BgL_auxz00_14054;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14055;

						BgL_tmpz00_14055 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7587));
						BgL_auxz00_14054 = BGL_OBJECT_WIDENING(BgL_tmpz00_14055);
					}
					BgL_auxz00_14053 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14054);
				}
				return
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14053))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7588)), BUNSPEC);
			}
		}

	}



/* &lambda3223 */
	obj_t BGl_z62lambda3223z62zzliveness_typesz00(obj_t BgL_envz00_7589,
		obj_t BgL_oz00_7590)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14062;

				{
					obj_t BgL_auxz00_14063;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14064;

						BgL_tmpz00_14064 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7590));
						BgL_auxz00_14063 = BGL_OBJECT_WIDENING(BgL_tmpz00_14064);
					}
					BgL_auxz00_14062 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14063);
				}
				return
					(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14062))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3218> */
	obj_t BGl_z62zc3z04anonymousza33218ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7591)
	{
		{	/* Liveness/types.scm 149 */
			return BNIL;
		}

	}



/* &lambda3217 */
	obj_t BGl_z62lambda3217z62zzliveness_typesz00(obj_t BgL_envz00_7592,
		obj_t BgL_oz00_7593, obj_t BgL_vz00_7594)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14070;

				{
					obj_t BgL_auxz00_14071;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14072;

						BgL_tmpz00_14072 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7593));
						BgL_auxz00_14071 = BGL_OBJECT_WIDENING(BgL_tmpz00_14072);
					}
					BgL_auxz00_14070 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14071);
				}
				return
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14070))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7594)), BUNSPEC);
			}
		}

	}



/* &lambda3216 */
	obj_t BGl_z62lambda3216z62zzliveness_typesz00(obj_t BgL_envz00_7595,
		obj_t BgL_oz00_7596)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14079;

				{
					obj_t BgL_auxz00_14080;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14081;

						BgL_tmpz00_14081 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7596));
						BgL_auxz00_14080 = BGL_OBJECT_WIDENING(BgL_tmpz00_14081);
					}
					BgL_auxz00_14079 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14080);
				}
				return
					(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14079))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3204> */
	obj_t BGl_z62zc3z04anonymousza33204ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7597)
	{
		{	/* Liveness/types.scm 149 */
			return BNIL;
		}

	}



/* &lambda3203 */
	obj_t BGl_z62lambda3203z62zzliveness_typesz00(obj_t BgL_envz00_7598,
		obj_t BgL_oz00_7599, obj_t BgL_vz00_7600)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14087;

				{
					obj_t BgL_auxz00_14088;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14089;

						BgL_tmpz00_14089 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7599));
						BgL_auxz00_14088 = BGL_OBJECT_WIDENING(BgL_tmpz00_14089);
					}
					BgL_auxz00_14087 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14088);
				}
				return
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14087))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7600)), BUNSPEC);
			}
		}

	}



/* &lambda3202 */
	obj_t BGl_z62lambda3202z62zzliveness_typesz00(obj_t BgL_envz00_7601,
		obj_t BgL_oz00_7602)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14096;

				{
					obj_t BgL_auxz00_14097;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14098;

						BgL_tmpz00_14098 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7602));
						BgL_auxz00_14097 = BGL_OBJECT_WIDENING(BgL_tmpz00_14098);
					}
					BgL_auxz00_14096 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14097);
				}
				return
					(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14096))->
					BgL_defz00);
			}
		}

	}



/* &lambda3132 */
	BgL_castz00_bglt BGl_z62lambda3132z62zzliveness_typesz00(obj_t
		BgL_envz00_7603, obj_t BgL_o1463z00_7604)
	{
		{	/* Liveness/types.scm 143 */
			{	/* Liveness/types.scm 143 */
				long BgL_arg3133z00_9061;

				{	/* Liveness/types.scm 143 */
					obj_t BgL_arg3134z00_9062;

					{	/* Liveness/types.scm 143 */
						obj_t BgL_arg3135z00_9063;

						{	/* Liveness/types.scm 143 */
							long BgL_arg1833z00_9064;

							{	/* Liveness/types.scm 143 */
								long BgL_arg1834z00_9065;

								BgL_arg1834z00_9065 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_castz00_bglt) BgL_o1463z00_7604)));
								BgL_arg1833z00_9064 = (BgL_arg1834z00_9065 - OBJECT_TYPE);
							}
							BgL_arg3135z00_9063 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9064);
						}
						BgL_arg3134z00_9062 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3135z00_9063);
					}
					{	/* Liveness/types.scm 143 */
						obj_t BgL_tmpz00_14110;

						BgL_tmpz00_14110 = ((obj_t) BgL_arg3134z00_9062);
						BgL_arg3133z00_9061 = BGL_CLASS_NUM(BgL_tmpz00_14110);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_castz00_bglt) BgL_o1463z00_7604)), BgL_arg3133z00_9061);
			}
			{	/* Liveness/types.scm 143 */
				BgL_objectz00_bglt BgL_tmpz00_14116;

				BgL_tmpz00_14116 =
					((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_o1463z00_7604));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14116, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_o1463z00_7604));
			return ((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_o1463z00_7604));
		}

	}



/* &<@anonymous:3131> */
	obj_t BGl_z62zc3z04anonymousza33131ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7605, obj_t BgL_new1462z00_7606)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castz00_bglt BgL_auxz00_14124;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castz00_bglt) BgL_new1462z00_7606))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14128;

					{	/* Liveness/types.scm 143 */
						obj_t BgL_classz00_9067;

						BgL_classz00_9067 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 143 */
							obj_t BgL__ortest_1112z00_9068;

							BgL__ortest_1112z00_9068 = BGL_CLASS_NIL(BgL_classz00_9067);
							if (CBOOL(BgL__ortest_1112z00_9068))
								{	/* Liveness/types.scm 143 */
									BgL_auxz00_14128 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9068);
								}
							else
								{	/* Liveness/types.scm 143 */
									BgL_auxz00_14128 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9067));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_castz00_bglt) BgL_new1462z00_7606))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14128), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14138;

					{	/* Liveness/types.scm 143 */
						obj_t BgL_classz00_9069;

						BgL_classz00_9069 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 143 */
							obj_t BgL__ortest_1112z00_9070;

							BgL__ortest_1112z00_9070 = BGL_CLASS_NIL(BgL_classz00_9069);
							if (CBOOL(BgL__ortest_1112z00_9070))
								{	/* Liveness/types.scm 143 */
									BgL_auxz00_14138 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9070);
								}
							else
								{	/* Liveness/types.scm 143 */
									BgL_auxz00_14138 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9069));
								}
						}
					}
					((((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt)
										((BgL_castz00_bglt) BgL_new1462z00_7606))))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14138), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14148;

					{
						obj_t BgL_auxz00_14149;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14150;

							BgL_tmpz00_14150 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_new1462z00_7606));
							BgL_auxz00_14149 = BGL_OBJECT_WIDENING(BgL_tmpz00_14150);
						}
						BgL_auxz00_14148 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14149);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14148))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14156;

					{
						obj_t BgL_auxz00_14157;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14158;

							BgL_tmpz00_14158 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_new1462z00_7606));
							BgL_auxz00_14157 = BGL_OBJECT_WIDENING(BgL_tmpz00_14158);
						}
						BgL_auxz00_14156 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14157);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14156))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14164;

					{
						obj_t BgL_auxz00_14165;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14166;

							BgL_tmpz00_14166 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_new1462z00_7606));
							BgL_auxz00_14165 = BGL_OBJECT_WIDENING(BgL_tmpz00_14166);
						}
						BgL_auxz00_14164 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14165);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14164))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14172;

					{
						obj_t BgL_auxz00_14173;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14174;

							BgL_tmpz00_14174 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_new1462z00_7606));
							BgL_auxz00_14173 = BGL_OBJECT_WIDENING(BgL_tmpz00_14174);
						}
						BgL_auxz00_14172 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14173);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14172))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_14124 = ((BgL_castz00_bglt) BgL_new1462z00_7606);
				return ((obj_t) BgL_auxz00_14124);
			}
		}

	}



/* &lambda3129 */
	BgL_castz00_bglt BGl_z62lambda3129z62zzliveness_typesz00(obj_t
		BgL_envz00_7607, obj_t BgL_o1459z00_7608)
	{
		{	/* Liveness/types.scm 143 */
			{	/* Liveness/types.scm 143 */
				BgL_castzf2livenesszf2_bglt BgL_wide1461z00_9072;

				BgL_wide1461z00_9072 =
					((BgL_castzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_castzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 143 */
					obj_t BgL_auxz00_14187;
					BgL_objectz00_bglt BgL_tmpz00_14183;

					BgL_auxz00_14187 = ((obj_t) BgL_wide1461z00_9072);
					BgL_tmpz00_14183 =
						((BgL_objectz00_bglt)
						((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_o1459z00_7608)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14183, BgL_auxz00_14187);
				}
				((BgL_objectz00_bglt)
					((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_o1459z00_7608)));
				{	/* Liveness/types.scm 143 */
					long BgL_arg3130z00_9073;

					BgL_arg3130z00_9073 =
						BGL_CLASS_NUM(BGl_castzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_castz00_bglt)
								((BgL_castz00_bglt) BgL_o1459z00_7608))), BgL_arg3130z00_9073);
				}
				return
					((BgL_castz00_bglt)
					((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_o1459z00_7608)));
			}
		}

	}



/* &lambda3126 */
	BgL_castz00_bglt BGl_z62lambda3126z62zzliveness_typesz00(obj_t
		BgL_envz00_7609, obj_t BgL_loc1451z00_7610, obj_t BgL_type1452z00_7611,
		obj_t BgL_arg1454z00_7612, obj_t BgL_def1455z00_7613,
		obj_t BgL_use1456z00_7614, obj_t BgL_in1457z00_7615,
		obj_t BgL_out1458z00_7616)
	{
		{	/* Liveness/types.scm 143 */
			{	/* Liveness/types.scm 143 */
				BgL_castz00_bglt BgL_new1785z00_9080;

				{	/* Liveness/types.scm 143 */
					BgL_castz00_bglt BgL_tmp1783z00_9081;
					BgL_castzf2livenesszf2_bglt BgL_wide1784z00_9082;

					{
						BgL_castz00_bglt BgL_auxz00_14201;

						{	/* Liveness/types.scm 143 */
							BgL_castz00_bglt BgL_new1782z00_9083;

							BgL_new1782z00_9083 =
								((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_castz00_bgl))));
							{	/* Liveness/types.scm 143 */
								long BgL_arg3128z00_9084;

								BgL_arg3128z00_9084 = BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1782z00_9083),
									BgL_arg3128z00_9084);
							}
							{	/* Liveness/types.scm 143 */
								BgL_objectz00_bglt BgL_tmpz00_14206;

								BgL_tmpz00_14206 = ((BgL_objectz00_bglt) BgL_new1782z00_9083);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14206, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1782z00_9083);
							BgL_auxz00_14201 = BgL_new1782z00_9083;
						}
						BgL_tmp1783z00_9081 = ((BgL_castz00_bglt) BgL_auxz00_14201);
					}
					BgL_wide1784z00_9082 =
						((BgL_castzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 143 */
						obj_t BgL_auxz00_14214;
						BgL_objectz00_bglt BgL_tmpz00_14212;

						BgL_auxz00_14214 = ((obj_t) BgL_wide1784z00_9082);
						BgL_tmpz00_14212 = ((BgL_objectz00_bglt) BgL_tmp1783z00_9081);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14212, BgL_auxz00_14214);
					}
					((BgL_objectz00_bglt) BgL_tmp1783z00_9081);
					{	/* Liveness/types.scm 143 */
						long BgL_arg3127z00_9085;

						BgL_arg3127z00_9085 =
							BGL_CLASS_NUM(BGl_castzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1783z00_9081), BgL_arg3127z00_9085);
					}
					BgL_new1785z00_9080 = ((BgL_castz00_bglt) BgL_tmp1783z00_9081);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1785z00_9080)))->BgL_locz00) =
					((obj_t) BgL_loc1451z00_7610), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1785z00_9080)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1452z00_7611)),
					BUNSPEC);
				((((BgL_castz00_bglt) COBJECT(((BgL_castz00_bglt)
									BgL_new1785z00_9080)))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1454z00_7612)),
					BUNSPEC);
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14230;

					{
						obj_t BgL_auxz00_14231;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14232;

							BgL_tmpz00_14232 = ((BgL_objectz00_bglt) BgL_new1785z00_9080);
							BgL_auxz00_14231 = BGL_OBJECT_WIDENING(BgL_tmpz00_14232);
						}
						BgL_auxz00_14230 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14231);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14230))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1455z00_7613)), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14238;

					{
						obj_t BgL_auxz00_14239;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14240;

							BgL_tmpz00_14240 = ((BgL_objectz00_bglt) BgL_new1785z00_9080);
							BgL_auxz00_14239 = BGL_OBJECT_WIDENING(BgL_tmpz00_14240);
						}
						BgL_auxz00_14238 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14239);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14238))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1456z00_7614)), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14246;

					{
						obj_t BgL_auxz00_14247;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14248;

							BgL_tmpz00_14248 = ((BgL_objectz00_bglt) BgL_new1785z00_9080);
							BgL_auxz00_14247 = BGL_OBJECT_WIDENING(BgL_tmpz00_14248);
						}
						BgL_auxz00_14246 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14247);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14246))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1457z00_7615)), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14254;

					{
						obj_t BgL_auxz00_14255;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14256;

							BgL_tmpz00_14256 = ((BgL_objectz00_bglt) BgL_new1785z00_9080);
							BgL_auxz00_14255 = BGL_OBJECT_WIDENING(BgL_tmpz00_14256);
						}
						BgL_auxz00_14254 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14255);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14254))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1458z00_7616)), BUNSPEC);
				}
				return BgL_new1785z00_9080;
			}
		}

	}



/* &<@anonymous:3171> */
	obj_t BGl_z62zc3z04anonymousza33171ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7617)
	{
		{	/* Liveness/types.scm 143 */
			return BNIL;
		}

	}



/* &lambda3170 */
	obj_t BGl_z62lambda3170z62zzliveness_typesz00(obj_t BgL_envz00_7618,
		obj_t BgL_oz00_7619, obj_t BgL_vz00_7620)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14262;

				{
					obj_t BgL_auxz00_14263;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14264;

						BgL_tmpz00_14264 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7619));
						BgL_auxz00_14263 = BGL_OBJECT_WIDENING(BgL_tmpz00_14264);
					}
					BgL_auxz00_14262 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14263);
				}
				return
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14262))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7620)), BUNSPEC);
			}
		}

	}



/* &lambda3169 */
	obj_t BGl_z62lambda3169z62zzliveness_typesz00(obj_t BgL_envz00_7621,
		obj_t BgL_oz00_7622)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14271;

				{
					obj_t BgL_auxz00_14272;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14273;

						BgL_tmpz00_14273 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7622));
						BgL_auxz00_14272 = BGL_OBJECT_WIDENING(BgL_tmpz00_14273);
					}
					BgL_auxz00_14271 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14272);
				}
				return
					(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14271))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3163> */
	obj_t BGl_z62zc3z04anonymousza33163ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7623)
	{
		{	/* Liveness/types.scm 143 */
			return BNIL;
		}

	}



/* &lambda3162 */
	obj_t BGl_z62lambda3162z62zzliveness_typesz00(obj_t BgL_envz00_7624,
		obj_t BgL_oz00_7625, obj_t BgL_vz00_7626)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14279;

				{
					obj_t BgL_auxz00_14280;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14281;

						BgL_tmpz00_14281 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7625));
						BgL_auxz00_14280 = BGL_OBJECT_WIDENING(BgL_tmpz00_14281);
					}
					BgL_auxz00_14279 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14280);
				}
				return
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14279))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7626)), BUNSPEC);
			}
		}

	}



/* &lambda3161 */
	obj_t BGl_z62lambda3161z62zzliveness_typesz00(obj_t BgL_envz00_7627,
		obj_t BgL_oz00_7628)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14288;

				{
					obj_t BgL_auxz00_14289;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14290;

						BgL_tmpz00_14290 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7628));
						BgL_auxz00_14289 = BGL_OBJECT_WIDENING(BgL_tmpz00_14290);
					}
					BgL_auxz00_14288 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14289);
				}
				return
					(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14288))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3155> */
	obj_t BGl_z62zc3z04anonymousza33155ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7629)
	{
		{	/* Liveness/types.scm 143 */
			return BNIL;
		}

	}



/* &lambda3154 */
	obj_t BGl_z62lambda3154z62zzliveness_typesz00(obj_t BgL_envz00_7630,
		obj_t BgL_oz00_7631, obj_t BgL_vz00_7632)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14296;

				{
					obj_t BgL_auxz00_14297;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14298;

						BgL_tmpz00_14298 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7631));
						BgL_auxz00_14297 = BGL_OBJECT_WIDENING(BgL_tmpz00_14298);
					}
					BgL_auxz00_14296 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14297);
				}
				return
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14296))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7632)), BUNSPEC);
			}
		}

	}



/* &lambda3153 */
	obj_t BGl_z62lambda3153z62zzliveness_typesz00(obj_t BgL_envz00_7633,
		obj_t BgL_oz00_7634)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14305;

				{
					obj_t BgL_auxz00_14306;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14307;

						BgL_tmpz00_14307 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7634));
						BgL_auxz00_14306 = BGL_OBJECT_WIDENING(BgL_tmpz00_14307);
					}
					BgL_auxz00_14305 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14306);
				}
				return
					(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14305))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3145> */
	obj_t BGl_z62zc3z04anonymousza33145ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7635)
	{
		{	/* Liveness/types.scm 143 */
			return BNIL;
		}

	}



/* &lambda3144 */
	obj_t BGl_z62lambda3144z62zzliveness_typesz00(obj_t BgL_envz00_7636,
		obj_t BgL_oz00_7637, obj_t BgL_vz00_7638)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14313;

				{
					obj_t BgL_auxz00_14314;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14315;

						BgL_tmpz00_14315 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7637));
						BgL_auxz00_14314 = BGL_OBJECT_WIDENING(BgL_tmpz00_14315);
					}
					BgL_auxz00_14313 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14314);
				}
				return
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14313))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7638)), BUNSPEC);
			}
		}

	}



/* &lambda3143 */
	obj_t BGl_z62lambda3143z62zzliveness_typesz00(obj_t BgL_envz00_7639,
		obj_t BgL_oz00_7640)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14322;

				{
					obj_t BgL_auxz00_14323;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14324;

						BgL_tmpz00_14324 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7640));
						BgL_auxz00_14323 = BGL_OBJECT_WIDENING(BgL_tmpz00_14324);
					}
					BgL_auxz00_14322 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14323);
				}
				return
					(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14322))->
					BgL_defz00);
			}
		}

	}



/* &lambda3073 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda3073z62zzliveness_typesz00(obj_t
		BgL_envz00_7641, obj_t BgL_o1449z00_7642)
	{
		{	/* Liveness/types.scm 137 */
			{	/* Liveness/types.scm 137 */
				long BgL_arg3074z00_9099;

				{	/* Liveness/types.scm 137 */
					obj_t BgL_arg3075z00_9100;

					{	/* Liveness/types.scm 137 */
						obj_t BgL_arg3076z00_9101;

						{	/* Liveness/types.scm 137 */
							long BgL_arg1833z00_9102;

							{	/* Liveness/types.scm 137 */
								long BgL_arg1834z00_9103;

								BgL_arg1834z00_9103 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_o1449z00_7642)));
								BgL_arg1833z00_9102 = (BgL_arg1834z00_9103 - OBJECT_TYPE);
							}
							BgL_arg3076z00_9101 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9102);
						}
						BgL_arg3075z00_9100 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3076z00_9101);
					}
					{	/* Liveness/types.scm 137 */
						obj_t BgL_tmpz00_14336;

						BgL_tmpz00_14336 = ((obj_t) BgL_arg3075z00_9100);
						BgL_arg3074z00_9099 = BGL_CLASS_NUM(BgL_tmpz00_14336);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_castzd2nullzd2_bglt) BgL_o1449z00_7642)),
					BgL_arg3074z00_9099);
			}
			{	/* Liveness/types.scm 137 */
				BgL_objectz00_bglt BgL_tmpz00_14342;

				BgL_tmpz00_14342 =
					((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_o1449z00_7642));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14342, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_o1449z00_7642));
			return
				((BgL_castzd2nullzd2_bglt)
				((BgL_castzd2nullzd2_bglt) BgL_o1449z00_7642));
		}

	}



/* &<@anonymous:3072> */
	obj_t BGl_z62zc3z04anonymousza33072ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7643, obj_t BgL_new1448z00_7644)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzd2_bglt BgL_auxz00_14350;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_new1448z00_7644))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14354;

					{	/* Liveness/types.scm 137 */
						obj_t BgL_classz00_9105;

						BgL_classz00_9105 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 137 */
							obj_t BgL__ortest_1112z00_9106;

							BgL__ortest_1112z00_9106 = BGL_CLASS_NIL(BgL_classz00_9105);
							if (CBOOL(BgL__ortest_1112z00_9106))
								{	/* Liveness/types.scm 137 */
									BgL_auxz00_14354 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9106);
								}
							else
								{	/* Liveness/types.scm 137 */
									BgL_auxz00_14354 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9105));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_new1448z00_7644))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14354), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_new1448z00_7644))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1448z00_7644))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1448z00_7644))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1448z00_7644))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1448z00_7644))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4524z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14379;

					{
						obj_t BgL_auxz00_14380;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14381;

							BgL_tmpz00_14381 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_new1448z00_7644));
							BgL_auxz00_14380 = BGL_OBJECT_WIDENING(BgL_tmpz00_14381);
						}
						BgL_auxz00_14379 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14380);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14379))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14387;

					{
						obj_t BgL_auxz00_14388;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14389;

							BgL_tmpz00_14389 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_new1448z00_7644));
							BgL_auxz00_14388 = BGL_OBJECT_WIDENING(BgL_tmpz00_14389);
						}
						BgL_auxz00_14387 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14388);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14387))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14395;

					{
						obj_t BgL_auxz00_14396;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14397;

							BgL_tmpz00_14397 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_new1448z00_7644));
							BgL_auxz00_14396 = BGL_OBJECT_WIDENING(BgL_tmpz00_14397);
						}
						BgL_auxz00_14395 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14396);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14395))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14403;

					{
						obj_t BgL_auxz00_14404;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14405;

							BgL_tmpz00_14405 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_new1448z00_7644));
							BgL_auxz00_14404 = BGL_OBJECT_WIDENING(BgL_tmpz00_14405);
						}
						BgL_auxz00_14403 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14404);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14403))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_14350 = ((BgL_castzd2nullzd2_bglt) BgL_new1448z00_7644);
				return ((obj_t) BgL_auxz00_14350);
			}
		}

	}



/* &lambda3070 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda3070z62zzliveness_typesz00(obj_t
		BgL_envz00_7645, obj_t BgL_o1445z00_7646)
	{
		{	/* Liveness/types.scm 137 */
			{	/* Liveness/types.scm 137 */
				BgL_castzd2nullzf2livenessz20_bglt BgL_wide1447z00_9108;

				BgL_wide1447z00_9108 =
					((BgL_castzd2nullzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_castzd2nullzf2livenessz20_bgl))));
				{	/* Liveness/types.scm 137 */
					obj_t BgL_auxz00_14418;
					BgL_objectz00_bglt BgL_tmpz00_14414;

					BgL_auxz00_14418 = ((obj_t) BgL_wide1447z00_9108);
					BgL_tmpz00_14414 =
						((BgL_objectz00_bglt)
						((BgL_castzd2nullzd2_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_o1445z00_7646)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14414, BgL_auxz00_14418);
				}
				((BgL_objectz00_bglt)
					((BgL_castzd2nullzd2_bglt)
						((BgL_castzd2nullzd2_bglt) BgL_o1445z00_7646)));
				{	/* Liveness/types.scm 137 */
					long BgL_arg3071z00_9109;

					BgL_arg3071z00_9109 =
						BGL_CLASS_NUM(BGl_castzd2nullzf2livenessz20zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_castzd2nullzd2_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_o1445z00_7646))),
						BgL_arg3071z00_9109);
				}
				return
					((BgL_castzd2nullzd2_bglt)
					((BgL_castzd2nullzd2_bglt)
						((BgL_castzd2nullzd2_bglt) BgL_o1445z00_7646)));
			}
		}

	}



/* &lambda3065 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda3065z62zzliveness_typesz00(obj_t
		BgL_envz00_7647, obj_t BgL_loc1434z00_7648, obj_t BgL_type1435z00_7649,
		obj_t BgL_sidezd2effect1436zd2_7650, obj_t BgL_key1437z00_7651,
		obj_t BgL_exprza21438za2_7652, obj_t BgL_effect1439z00_7653,
		obj_t BgL_czd2format1440zd2_7654, obj_t BgL_def1441z00_7655,
		obj_t BgL_use1442z00_7656, obj_t BgL_in1443z00_7657,
		obj_t BgL_out1444z00_7658)
	{
		{	/* Liveness/types.scm 137 */
			{	/* Liveness/types.scm 137 */
				BgL_castzd2nullzd2_bglt BgL_new1780z00_9117;

				{	/* Liveness/types.scm 137 */
					BgL_castzd2nullzd2_bglt BgL_tmp1778z00_9118;
					BgL_castzd2nullzf2livenessz20_bglt BgL_wide1779z00_9119;

					{
						BgL_castzd2nullzd2_bglt BgL_auxz00_14432;

						{	/* Liveness/types.scm 137 */
							BgL_castzd2nullzd2_bglt BgL_new1777z00_9120;

							BgL_new1777z00_9120 =
								((BgL_castzd2nullzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_castzd2nullzd2_bgl))));
							{	/* Liveness/types.scm 137 */
								long BgL_arg3069z00_9121;

								BgL_arg3069z00_9121 =
									BGL_CLASS_NUM(BGl_castzd2nullzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1777z00_9120),
									BgL_arg3069z00_9121);
							}
							{	/* Liveness/types.scm 137 */
								BgL_objectz00_bglt BgL_tmpz00_14437;

								BgL_tmpz00_14437 = ((BgL_objectz00_bglt) BgL_new1777z00_9120);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14437, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1777z00_9120);
							BgL_auxz00_14432 = BgL_new1777z00_9120;
						}
						BgL_tmp1778z00_9118 = ((BgL_castzd2nullzd2_bglt) BgL_auxz00_14432);
					}
					BgL_wide1779z00_9119 =
						((BgL_castzd2nullzf2livenessz20_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castzd2nullzf2livenessz20_bgl))));
					{	/* Liveness/types.scm 137 */
						obj_t BgL_auxz00_14445;
						BgL_objectz00_bglt BgL_tmpz00_14443;

						BgL_auxz00_14445 = ((obj_t) BgL_wide1779z00_9119);
						BgL_tmpz00_14443 = ((BgL_objectz00_bglt) BgL_tmp1778z00_9118);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14443, BgL_auxz00_14445);
					}
					((BgL_objectz00_bglt) BgL_tmp1778z00_9118);
					{	/* Liveness/types.scm 137 */
						long BgL_arg3068z00_9122;

						BgL_arg3068z00_9122 =
							BGL_CLASS_NUM(BGl_castzd2nullzf2livenessz20zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1778z00_9118), BgL_arg3068z00_9122);
					}
					BgL_new1780z00_9117 = ((BgL_castzd2nullzd2_bglt) BgL_tmp1778z00_9118);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1780z00_9117)))->BgL_locz00) =
					((obj_t) BgL_loc1434z00_7648), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1780z00_9117)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1435z00_7649)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1780z00_9117)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1436zd2_7650), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1780z00_9117)))->BgL_keyz00) =
					((obj_t) BgL_key1437z00_7651), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1780z00_9117)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21438za2_7652)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1780z00_9117)))->BgL_effectz00) =
					((obj_t) BgL_effect1439z00_7653), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1780z00_9117)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1440zd2_7654)), BUNSPEC);
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14470;

					{
						obj_t BgL_auxz00_14471;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14472;

							BgL_tmpz00_14472 = ((BgL_objectz00_bglt) BgL_new1780z00_9117);
							BgL_auxz00_14471 = BGL_OBJECT_WIDENING(BgL_tmpz00_14472);
						}
						BgL_auxz00_14470 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14471);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14470))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1441z00_7655)), BUNSPEC);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14478;

					{
						obj_t BgL_auxz00_14479;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14480;

							BgL_tmpz00_14480 = ((BgL_objectz00_bglt) BgL_new1780z00_9117);
							BgL_auxz00_14479 = BGL_OBJECT_WIDENING(BgL_tmpz00_14480);
						}
						BgL_auxz00_14478 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14479);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14478))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1442z00_7656)), BUNSPEC);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14486;

					{
						obj_t BgL_auxz00_14487;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14488;

							BgL_tmpz00_14488 = ((BgL_objectz00_bglt) BgL_new1780z00_9117);
							BgL_auxz00_14487 = BGL_OBJECT_WIDENING(BgL_tmpz00_14488);
						}
						BgL_auxz00_14486 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14487);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14486))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1443z00_7657)), BUNSPEC);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14494;

					{
						obj_t BgL_auxz00_14495;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14496;

							BgL_tmpz00_14496 = ((BgL_objectz00_bglt) BgL_new1780z00_9117);
							BgL_auxz00_14495 = BGL_OBJECT_WIDENING(BgL_tmpz00_14496);
						}
						BgL_auxz00_14494 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14495);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14494))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1444z00_7658)), BUNSPEC);
				}
				return BgL_new1780z00_9117;
			}
		}

	}



/* &<@anonymous:3118> */
	obj_t BGl_z62zc3z04anonymousza33118ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7659)
	{
		{	/* Liveness/types.scm 137 */
			return BNIL;
		}

	}



/* &lambda3117 */
	obj_t BGl_z62lambda3117z62zzliveness_typesz00(obj_t BgL_envz00_7660,
		obj_t BgL_oz00_7661, obj_t BgL_vz00_7662)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14502;

				{
					obj_t BgL_auxz00_14503;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14504;

						BgL_tmpz00_14504 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7661));
						BgL_auxz00_14503 = BGL_OBJECT_WIDENING(BgL_tmpz00_14504);
					}
					BgL_auxz00_14502 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14503);
				}
				return
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14502))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7662)), BUNSPEC);
			}
		}

	}



/* &lambda3116 */
	obj_t BGl_z62lambda3116z62zzliveness_typesz00(obj_t BgL_envz00_7663,
		obj_t BgL_oz00_7664)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14511;

				{
					obj_t BgL_auxz00_14512;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14513;

						BgL_tmpz00_14513 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7664));
						BgL_auxz00_14512 = BGL_OBJECT_WIDENING(BgL_tmpz00_14513);
					}
					BgL_auxz00_14511 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14512);
				}
				return
					(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14511))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3100> */
	obj_t BGl_z62zc3z04anonymousza33100ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7665)
	{
		{	/* Liveness/types.scm 137 */
			return BNIL;
		}

	}



/* &lambda3099 */
	obj_t BGl_z62lambda3099z62zzliveness_typesz00(obj_t BgL_envz00_7666,
		obj_t BgL_oz00_7667, obj_t BgL_vz00_7668)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14519;

				{
					obj_t BgL_auxz00_14520;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14521;

						BgL_tmpz00_14521 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7667));
						BgL_auxz00_14520 = BGL_OBJECT_WIDENING(BgL_tmpz00_14521);
					}
					BgL_auxz00_14519 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14520);
				}
				return
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14519))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7668)), BUNSPEC);
			}
		}

	}



/* &lambda3098 */
	obj_t BGl_z62lambda3098z62zzliveness_typesz00(obj_t BgL_envz00_7669,
		obj_t BgL_oz00_7670)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14528;

				{
					obj_t BgL_auxz00_14529;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14530;

						BgL_tmpz00_14530 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7670));
						BgL_auxz00_14529 = BGL_OBJECT_WIDENING(BgL_tmpz00_14530);
					}
					BgL_auxz00_14528 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14529);
				}
				return
					(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14528))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3092> */
	obj_t BGl_z62zc3z04anonymousza33092ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7671)
	{
		{	/* Liveness/types.scm 137 */
			return BNIL;
		}

	}



/* &lambda3091 */
	obj_t BGl_z62lambda3091z62zzliveness_typesz00(obj_t BgL_envz00_7672,
		obj_t BgL_oz00_7673, obj_t BgL_vz00_7674)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14536;

				{
					obj_t BgL_auxz00_14537;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14538;

						BgL_tmpz00_14538 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7673));
						BgL_auxz00_14537 = BGL_OBJECT_WIDENING(BgL_tmpz00_14538);
					}
					BgL_auxz00_14536 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14537);
				}
				return
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14536))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7674)), BUNSPEC);
			}
		}

	}



/* &lambda3090 */
	obj_t BGl_z62lambda3090z62zzliveness_typesz00(obj_t BgL_envz00_7675,
		obj_t BgL_oz00_7676)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14545;

				{
					obj_t BgL_auxz00_14546;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14547;

						BgL_tmpz00_14547 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7676));
						BgL_auxz00_14546 = BGL_OBJECT_WIDENING(BgL_tmpz00_14547);
					}
					BgL_auxz00_14545 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14546);
				}
				return
					(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14545))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3083> */
	obj_t BGl_z62zc3z04anonymousza33083ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7677)
	{
		{	/* Liveness/types.scm 137 */
			return BNIL;
		}

	}



/* &lambda3082 */
	obj_t BGl_z62lambda3082z62zzliveness_typesz00(obj_t BgL_envz00_7678,
		obj_t BgL_oz00_7679, obj_t BgL_vz00_7680)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14553;

				{
					obj_t BgL_auxz00_14554;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14555;

						BgL_tmpz00_14555 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7679));
						BgL_auxz00_14554 = BGL_OBJECT_WIDENING(BgL_tmpz00_14555);
					}
					BgL_auxz00_14553 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14554);
				}
				return
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14553))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7680)), BUNSPEC);
			}
		}

	}



/* &lambda3081 */
	obj_t BGl_z62lambda3081z62zzliveness_typesz00(obj_t BgL_envz00_7681,
		obj_t BgL_oz00_7682)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14562;

				{
					obj_t BgL_auxz00_14563;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14564;

						BgL_tmpz00_14564 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7682));
						BgL_auxz00_14563 = BGL_OBJECT_WIDENING(BgL_tmpz00_14564);
					}
					BgL_auxz00_14562 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14563);
				}
				return
					(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14562))->
					BgL_defz00);
			}
		}

	}



/* &lambda2981 */
	BgL_instanceofz00_bglt BGl_z62lambda2981z62zzliveness_typesz00(obj_t
		BgL_envz00_7683, obj_t BgL_o1432z00_7684)
	{
		{	/* Liveness/types.scm 131 */
			{	/* Liveness/types.scm 131 */
				long BgL_arg3005z00_9136;

				{	/* Liveness/types.scm 131 */
					obj_t BgL_arg3006z00_9137;

					{	/* Liveness/types.scm 131 */
						obj_t BgL_arg3009z00_9138;

						{	/* Liveness/types.scm 131 */
							long BgL_arg1833z00_9139;

							{	/* Liveness/types.scm 131 */
								long BgL_arg1834z00_9140;

								BgL_arg1834z00_9140 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt) BgL_o1432z00_7684)));
								BgL_arg1833z00_9139 = (BgL_arg1834z00_9140 - OBJECT_TYPE);
							}
							BgL_arg3009z00_9138 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9139);
						}
						BgL_arg3006z00_9137 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3009z00_9138);
					}
					{	/* Liveness/types.scm 131 */
						obj_t BgL_tmpz00_14576;

						BgL_tmpz00_14576 = ((obj_t) BgL_arg3006z00_9137);
						BgL_arg3005z00_9136 = BGL_CLASS_NUM(BgL_tmpz00_14576);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_instanceofz00_bglt) BgL_o1432z00_7684)), BgL_arg3005z00_9136);
			}
			{	/* Liveness/types.scm 131 */
				BgL_objectz00_bglt BgL_tmpz00_14582;

				BgL_tmpz00_14582 =
					((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_o1432z00_7684));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14582, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_o1432z00_7684));
			return
				((BgL_instanceofz00_bglt) ((BgL_instanceofz00_bglt) BgL_o1432z00_7684));
		}

	}



/* &<@anonymous:2980> */
	obj_t BGl_z62zc3z04anonymousza32980ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7685, obj_t BgL_new1431z00_7686)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofz00_bglt BgL_auxz00_14590;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_instanceofz00_bglt) BgL_new1431z00_7686))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14594;

					{	/* Liveness/types.scm 131 */
						obj_t BgL_classz00_9142;

						BgL_classz00_9142 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 131 */
							obj_t BgL__ortest_1112z00_9143;

							BgL__ortest_1112z00_9143 = BGL_CLASS_NIL(BgL_classz00_9142);
							if (CBOOL(BgL__ortest_1112z00_9143))
								{	/* Liveness/types.scm 131 */
									BgL_auxz00_14594 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9143);
								}
							else
								{	/* Liveness/types.scm 131 */
									BgL_auxz00_14594 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9142));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_instanceofz00_bglt) BgL_new1431z00_7686))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14594), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_instanceofz00_bglt) BgL_new1431z00_7686))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1431z00_7686))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1431z00_7686))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1431z00_7686))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1431z00_7686))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4524z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14619;

					{	/* Liveness/types.scm 131 */
						obj_t BgL_classz00_9144;

						BgL_classz00_9144 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 131 */
							obj_t BgL__ortest_1112z00_9145;

							BgL__ortest_1112z00_9145 = BGL_CLASS_NIL(BgL_classz00_9144);
							if (CBOOL(BgL__ortest_1112z00_9145))
								{	/* Liveness/types.scm 131 */
									BgL_auxz00_14619 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9145);
								}
							else
								{	/* Liveness/types.scm 131 */
									BgL_auxz00_14619 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9144));
								}
						}
					}
					((((BgL_instanceofz00_bglt) COBJECT(
									((BgL_instanceofz00_bglt)
										((BgL_instanceofz00_bglt) BgL_new1431z00_7686))))->
							BgL_classz00) = ((BgL_typez00_bglt) BgL_auxz00_14619), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14629;

					{
						obj_t BgL_auxz00_14630;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_14631;

							BgL_tmpz00_14631 =
								((BgL_objectz00_bglt)
								((BgL_instanceofz00_bglt) BgL_new1431z00_7686));
							BgL_auxz00_14630 = BGL_OBJECT_WIDENING(BgL_tmpz00_14631);
						}
						BgL_auxz00_14629 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14630);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14629))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14637;

					{
						obj_t BgL_auxz00_14638;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_14639;

							BgL_tmpz00_14639 =
								((BgL_objectz00_bglt)
								((BgL_instanceofz00_bglt) BgL_new1431z00_7686));
							BgL_auxz00_14638 = BGL_OBJECT_WIDENING(BgL_tmpz00_14639);
						}
						BgL_auxz00_14637 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14638);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14637))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14645;

					{
						obj_t BgL_auxz00_14646;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_14647;

							BgL_tmpz00_14647 =
								((BgL_objectz00_bglt)
								((BgL_instanceofz00_bglt) BgL_new1431z00_7686));
							BgL_auxz00_14646 = BGL_OBJECT_WIDENING(BgL_tmpz00_14647);
						}
						BgL_auxz00_14645 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14646);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14645))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14653;

					{
						obj_t BgL_auxz00_14654;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_14655;

							BgL_tmpz00_14655 =
								((BgL_objectz00_bglt)
								((BgL_instanceofz00_bglt) BgL_new1431z00_7686));
							BgL_auxz00_14654 = BGL_OBJECT_WIDENING(BgL_tmpz00_14655);
						}
						BgL_auxz00_14653 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14654);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14653))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_14590 = ((BgL_instanceofz00_bglt) BgL_new1431z00_7686);
				return ((obj_t) BgL_auxz00_14590);
			}
		}

	}



/* &lambda2978 */
	BgL_instanceofz00_bglt BGl_z62lambda2978z62zzliveness_typesz00(obj_t
		BgL_envz00_7687, obj_t BgL_o1428z00_7688)
	{
		{	/* Liveness/types.scm 131 */
			{	/* Liveness/types.scm 131 */
				BgL_instanceofzf2livenesszf2_bglt BgL_wide1430z00_9147;

				BgL_wide1430z00_9147 =
					((BgL_instanceofzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_instanceofzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 131 */
					obj_t BgL_auxz00_14668;
					BgL_objectz00_bglt BgL_tmpz00_14664;

					BgL_auxz00_14668 = ((obj_t) BgL_wide1430z00_9147);
					BgL_tmpz00_14664 =
						((BgL_objectz00_bglt)
						((BgL_instanceofz00_bglt)
							((BgL_instanceofz00_bglt) BgL_o1428z00_7688)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14664, BgL_auxz00_14668);
				}
				((BgL_objectz00_bglt)
					((BgL_instanceofz00_bglt)
						((BgL_instanceofz00_bglt) BgL_o1428z00_7688)));
				{	/* Liveness/types.scm 131 */
					long BgL_arg2979z00_9148;

					BgL_arg2979z00_9148 =
						BGL_CLASS_NUM(BGl_instanceofzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_instanceofz00_bglt)
								((BgL_instanceofz00_bglt) BgL_o1428z00_7688))),
						BgL_arg2979z00_9148);
				}
				return
					((BgL_instanceofz00_bglt)
					((BgL_instanceofz00_bglt)
						((BgL_instanceofz00_bglt) BgL_o1428z00_7688)));
			}
		}

	}



/* &lambda2975 */
	BgL_instanceofz00_bglt BGl_z62lambda2975z62zzliveness_typesz00(obj_t
		BgL_envz00_7689, obj_t BgL_loc1416z00_7690, obj_t BgL_type1417z00_7691,
		obj_t BgL_sidezd2effect1418zd2_7692, obj_t BgL_key1419z00_7693,
		obj_t BgL_exprza21420za2_7694, obj_t BgL_effect1421z00_7695,
		obj_t BgL_czd2format1422zd2_7696, obj_t BgL_class1423z00_7697,
		obj_t BgL_def1424z00_7698, obj_t BgL_use1425z00_7699,
		obj_t BgL_in1426z00_7700, obj_t BgL_out1427z00_7701)
	{
		{	/* Liveness/types.scm 131 */
			{	/* Liveness/types.scm 131 */
				BgL_instanceofz00_bglt BgL_new1775z00_9157;

				{	/* Liveness/types.scm 131 */
					BgL_instanceofz00_bglt BgL_tmp1773z00_9158;
					BgL_instanceofzf2livenesszf2_bglt BgL_wide1774z00_9159;

					{
						BgL_instanceofz00_bglt BgL_auxz00_14682;

						{	/* Liveness/types.scm 131 */
							BgL_instanceofz00_bglt BgL_new1772z00_9160;

							BgL_new1772z00_9160 =
								((BgL_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_instanceofz00_bgl))));
							{	/* Liveness/types.scm 131 */
								long BgL_arg2977z00_9161;

								BgL_arg2977z00_9161 =
									BGL_CLASS_NUM(BGl_instanceofz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1772z00_9160),
									BgL_arg2977z00_9161);
							}
							{	/* Liveness/types.scm 131 */
								BgL_objectz00_bglt BgL_tmpz00_14687;

								BgL_tmpz00_14687 = ((BgL_objectz00_bglt) BgL_new1772z00_9160);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14687, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1772z00_9160);
							BgL_auxz00_14682 = BgL_new1772z00_9160;
						}
						BgL_tmp1773z00_9158 = ((BgL_instanceofz00_bglt) BgL_auxz00_14682);
					}
					BgL_wide1774z00_9159 =
						((BgL_instanceofzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_instanceofzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 131 */
						obj_t BgL_auxz00_14695;
						BgL_objectz00_bglt BgL_tmpz00_14693;

						BgL_auxz00_14695 = ((obj_t) BgL_wide1774z00_9159);
						BgL_tmpz00_14693 = ((BgL_objectz00_bglt) BgL_tmp1773z00_9158);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14693, BgL_auxz00_14695);
					}
					((BgL_objectz00_bglt) BgL_tmp1773z00_9158);
					{	/* Liveness/types.scm 131 */
						long BgL_arg2976z00_9162;

						BgL_arg2976z00_9162 =
							BGL_CLASS_NUM(BGl_instanceofzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1773z00_9158), BgL_arg2976z00_9162);
					}
					BgL_new1775z00_9157 = ((BgL_instanceofz00_bglt) BgL_tmp1773z00_9158);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1775z00_9157)))->BgL_locz00) =
					((obj_t) BgL_loc1416z00_7690), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1775z00_9157)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1417z00_7691)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1775z00_9157)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1418zd2_7692), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1775z00_9157)))->BgL_keyz00) =
					((obj_t) BgL_key1419z00_7693), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1775z00_9157)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21420za2_7694)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1775z00_9157)))->BgL_effectz00) =
					((obj_t) BgL_effect1421z00_7695), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1775z00_9157)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1422zd2_7696)), BUNSPEC);
				((((BgL_instanceofz00_bglt) COBJECT(((BgL_instanceofz00_bglt)
									BgL_new1775z00_9157)))->BgL_classz00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_class1423z00_7697)),
					BUNSPEC);
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14723;

					{
						obj_t BgL_auxz00_14724;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_14725;

							BgL_tmpz00_14725 = ((BgL_objectz00_bglt) BgL_new1775z00_9157);
							BgL_auxz00_14724 = BGL_OBJECT_WIDENING(BgL_tmpz00_14725);
						}
						BgL_auxz00_14723 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14724);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14723))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1424z00_7698)), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14731;

					{
						obj_t BgL_auxz00_14732;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_14733;

							BgL_tmpz00_14733 = ((BgL_objectz00_bglt) BgL_new1775z00_9157);
							BgL_auxz00_14732 = BGL_OBJECT_WIDENING(BgL_tmpz00_14733);
						}
						BgL_auxz00_14731 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14732);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14731))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1425z00_7699)), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14739;

					{
						obj_t BgL_auxz00_14740;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_14741;

							BgL_tmpz00_14741 = ((BgL_objectz00_bglt) BgL_new1775z00_9157);
							BgL_auxz00_14740 = BGL_OBJECT_WIDENING(BgL_tmpz00_14741);
						}
						BgL_auxz00_14739 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14740);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14739))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1426z00_7700)), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14747;

					{
						obj_t BgL_auxz00_14748;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_14749;

							BgL_tmpz00_14749 = ((BgL_objectz00_bglt) BgL_new1775z00_9157);
							BgL_auxz00_14748 = BGL_OBJECT_WIDENING(BgL_tmpz00_14749);
						}
						BgL_auxz00_14747 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14748);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14747))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1427z00_7701)), BUNSPEC);
				}
				return BgL_new1775z00_9157;
			}
		}

	}



/* &<@anonymous:3041> */
	obj_t BGl_z62zc3z04anonymousza33041ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7702)
	{
		{	/* Liveness/types.scm 131 */
			return BNIL;
		}

	}



/* &lambda3040 */
	obj_t BGl_z62lambda3040z62zzliveness_typesz00(obj_t BgL_envz00_7703,
		obj_t BgL_oz00_7704, obj_t BgL_vz00_7705)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14755;

				{
					obj_t BgL_auxz00_14756;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_14757;

						BgL_tmpz00_14757 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7704));
						BgL_auxz00_14756 = BGL_OBJECT_WIDENING(BgL_tmpz00_14757);
					}
					BgL_auxz00_14755 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14756);
				}
				return
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14755))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7705)), BUNSPEC);
			}
		}

	}



/* &lambda3039 */
	obj_t BGl_z62lambda3039z62zzliveness_typesz00(obj_t BgL_envz00_7706,
		obj_t BgL_oz00_7707)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14764;

				{
					obj_t BgL_auxz00_14765;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_14766;

						BgL_tmpz00_14766 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7707));
						BgL_auxz00_14765 = BGL_OBJECT_WIDENING(BgL_tmpz00_14766);
					}
					BgL_auxz00_14764 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14765);
				}
				return
					(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14764))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3033> */
	obj_t BGl_z62zc3z04anonymousza33033ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7708)
	{
		{	/* Liveness/types.scm 131 */
			return BNIL;
		}

	}



/* &lambda3032 */
	obj_t BGl_z62lambda3032z62zzliveness_typesz00(obj_t BgL_envz00_7709,
		obj_t BgL_oz00_7710, obj_t BgL_vz00_7711)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14772;

				{
					obj_t BgL_auxz00_14773;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_14774;

						BgL_tmpz00_14774 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7710));
						BgL_auxz00_14773 = BGL_OBJECT_WIDENING(BgL_tmpz00_14774);
					}
					BgL_auxz00_14772 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14773);
				}
				return
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14772))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7711)), BUNSPEC);
			}
		}

	}



/* &lambda3031 */
	obj_t BGl_z62lambda3031z62zzliveness_typesz00(obj_t BgL_envz00_7712,
		obj_t BgL_oz00_7713)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14781;

				{
					obj_t BgL_auxz00_14782;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_14783;

						BgL_tmpz00_14783 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7713));
						BgL_auxz00_14782 = BGL_OBJECT_WIDENING(BgL_tmpz00_14783);
					}
					BgL_auxz00_14781 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14782);
				}
				return
					(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14781))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3024> */
	obj_t BGl_z62zc3z04anonymousza33024ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7714)
	{
		{	/* Liveness/types.scm 131 */
			return BNIL;
		}

	}



/* &lambda3023 */
	obj_t BGl_z62lambda3023z62zzliveness_typesz00(obj_t BgL_envz00_7715,
		obj_t BgL_oz00_7716, obj_t BgL_vz00_7717)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14789;

				{
					obj_t BgL_auxz00_14790;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_14791;

						BgL_tmpz00_14791 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7716));
						BgL_auxz00_14790 = BGL_OBJECT_WIDENING(BgL_tmpz00_14791);
					}
					BgL_auxz00_14789 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14790);
				}
				return
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14789))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7717)), BUNSPEC);
			}
		}

	}



/* &lambda3022 */
	obj_t BGl_z62lambda3022z62zzliveness_typesz00(obj_t BgL_envz00_7718,
		obj_t BgL_oz00_7719)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14798;

				{
					obj_t BgL_auxz00_14799;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_14800;

						BgL_tmpz00_14800 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7719));
						BgL_auxz00_14799 = BGL_OBJECT_WIDENING(BgL_tmpz00_14800);
					}
					BgL_auxz00_14798 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14799);
				}
				return
					(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14798))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3016> */
	obj_t BGl_z62zc3z04anonymousza33016ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7720)
	{
		{	/* Liveness/types.scm 131 */
			return BNIL;
		}

	}



/* &lambda3015 */
	obj_t BGl_z62lambda3015z62zzliveness_typesz00(obj_t BgL_envz00_7721,
		obj_t BgL_oz00_7722, obj_t BgL_vz00_7723)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14806;

				{
					obj_t BgL_auxz00_14807;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_14808;

						BgL_tmpz00_14808 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7722));
						BgL_auxz00_14807 = BGL_OBJECT_WIDENING(BgL_tmpz00_14808);
					}
					BgL_auxz00_14806 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14807);
				}
				return
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14806))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7723)), BUNSPEC);
			}
		}

	}



/* &lambda3014 */
	obj_t BGl_z62lambda3014z62zzliveness_typesz00(obj_t BgL_envz00_7724,
		obj_t BgL_oz00_7725)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14815;

				{
					obj_t BgL_auxz00_14816;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_14817;

						BgL_tmpz00_14817 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7725));
						BgL_auxz00_14816 = BGL_OBJECT_WIDENING(BgL_tmpz00_14817);
					}
					BgL_auxz00_14815 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14816);
				}
				return
					(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14815))->
					BgL_defz00);
			}
		}

	}



/* &lambda2932 */
	BgL_vlengthz00_bglt BGl_z62lambda2932z62zzliveness_typesz00(obj_t
		BgL_envz00_7726, obj_t BgL_o1414z00_7727)
	{
		{	/* Liveness/types.scm 125 */
			{	/* Liveness/types.scm 125 */
				long BgL_arg2933z00_9176;

				{	/* Liveness/types.scm 125 */
					obj_t BgL_arg2934z00_9177;

					{	/* Liveness/types.scm 125 */
						obj_t BgL_arg2935z00_9178;

						{	/* Liveness/types.scm 125 */
							long BgL_arg1833z00_9179;

							{	/* Liveness/types.scm 125 */
								long BgL_arg1834z00_9180;

								BgL_arg1834z00_9180 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt) BgL_o1414z00_7727)));
								BgL_arg1833z00_9179 = (BgL_arg1834z00_9180 - OBJECT_TYPE);
							}
							BgL_arg2935z00_9178 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9179);
						}
						BgL_arg2934z00_9177 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2935z00_9178);
					}
					{	/* Liveness/types.scm 125 */
						obj_t BgL_tmpz00_14829;

						BgL_tmpz00_14829 = ((obj_t) BgL_arg2934z00_9177);
						BgL_arg2933z00_9176 = BGL_CLASS_NUM(BgL_tmpz00_14829);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_vlengthz00_bglt) BgL_o1414z00_7727)), BgL_arg2933z00_9176);
			}
			{	/* Liveness/types.scm 125 */
				BgL_objectz00_bglt BgL_tmpz00_14835;

				BgL_tmpz00_14835 =
					((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_o1414z00_7727));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14835, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_o1414z00_7727));
			return ((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_o1414z00_7727));
		}

	}



/* &<@anonymous:2931> */
	obj_t BGl_z62zc3z04anonymousza32931ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7728, obj_t BgL_new1413z00_7729)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthz00_bglt BgL_auxz00_14843;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vlengthz00_bglt) BgL_new1413z00_7729))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14847;

					{	/* Liveness/types.scm 125 */
						obj_t BgL_classz00_9182;

						BgL_classz00_9182 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 125 */
							obj_t BgL__ortest_1112z00_9183;

							BgL__ortest_1112z00_9183 = BGL_CLASS_NIL(BgL_classz00_9182);
							if (CBOOL(BgL__ortest_1112z00_9183))
								{	/* Liveness/types.scm 125 */
									BgL_auxz00_14847 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9183);
								}
							else
								{	/* Liveness/types.scm 125 */
									BgL_auxz00_14847 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9182));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vlengthz00_bglt) BgL_new1413z00_7729))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14847), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vlengthz00_bglt) BgL_new1413z00_7729))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1413z00_7729))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1413z00_7729))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1413z00_7729))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1413z00_7729))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4524z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14872;

					{	/* Liveness/types.scm 125 */
						obj_t BgL_classz00_9184;

						BgL_classz00_9184 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 125 */
							obj_t BgL__ortest_1112z00_9185;

							BgL__ortest_1112z00_9185 = BGL_CLASS_NIL(BgL_classz00_9184);
							if (CBOOL(BgL__ortest_1112z00_9185))
								{	/* Liveness/types.scm 125 */
									BgL_auxz00_14872 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9185);
								}
							else
								{	/* Liveness/types.scm 125 */
									BgL_auxz00_14872 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9184));
								}
						}
					}
					((((BgL_vlengthz00_bglt) COBJECT(
									((BgL_vlengthz00_bglt)
										((BgL_vlengthz00_bglt) BgL_new1413z00_7729))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_14872), BUNSPEC);
				}
				((((BgL_vlengthz00_bglt) COBJECT(
								((BgL_vlengthz00_bglt)
									((BgL_vlengthz00_bglt) BgL_new1413z00_7729))))->
						BgL_ftypez00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_14885;

					{
						obj_t BgL_auxz00_14886;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_14887;

							BgL_tmpz00_14887 =
								((BgL_objectz00_bglt)
								((BgL_vlengthz00_bglt) BgL_new1413z00_7729));
							BgL_auxz00_14886 = BGL_OBJECT_WIDENING(BgL_tmpz00_14887);
						}
						BgL_auxz00_14885 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_14886);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14885))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_14893;

					{
						obj_t BgL_auxz00_14894;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_14895;

							BgL_tmpz00_14895 =
								((BgL_objectz00_bglt)
								((BgL_vlengthz00_bglt) BgL_new1413z00_7729));
							BgL_auxz00_14894 = BGL_OBJECT_WIDENING(BgL_tmpz00_14895);
						}
						BgL_auxz00_14893 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_14894);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14893))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_14901;

					{
						obj_t BgL_auxz00_14902;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_14903;

							BgL_tmpz00_14903 =
								((BgL_objectz00_bglt)
								((BgL_vlengthz00_bglt) BgL_new1413z00_7729));
							BgL_auxz00_14902 = BGL_OBJECT_WIDENING(BgL_tmpz00_14903);
						}
						BgL_auxz00_14901 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_14902);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14901))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_14909;

					{
						obj_t BgL_auxz00_14910;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_14911;

							BgL_tmpz00_14911 =
								((BgL_objectz00_bglt)
								((BgL_vlengthz00_bglt) BgL_new1413z00_7729));
							BgL_auxz00_14910 = BGL_OBJECT_WIDENING(BgL_tmpz00_14911);
						}
						BgL_auxz00_14909 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_14910);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14909))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_14843 = ((BgL_vlengthz00_bglt) BgL_new1413z00_7729);
				return ((obj_t) BgL_auxz00_14843);
			}
		}

	}



/* &lambda2929 */
	BgL_vlengthz00_bglt BGl_z62lambda2929z62zzliveness_typesz00(obj_t
		BgL_envz00_7730, obj_t BgL_o1410z00_7731)
	{
		{	/* Liveness/types.scm 125 */
			{	/* Liveness/types.scm 125 */
				BgL_vlengthzf2livenesszf2_bglt BgL_wide1412z00_9187;

				BgL_wide1412z00_9187 =
					((BgL_vlengthzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vlengthzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 125 */
					obj_t BgL_auxz00_14924;
					BgL_objectz00_bglt BgL_tmpz00_14920;

					BgL_auxz00_14924 = ((obj_t) BgL_wide1412z00_9187);
					BgL_tmpz00_14920 =
						((BgL_objectz00_bglt)
						((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_o1410z00_7731)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14920, BgL_auxz00_14924);
				}
				((BgL_objectz00_bglt)
					((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_o1410z00_7731)));
				{	/* Liveness/types.scm 125 */
					long BgL_arg2930z00_9188;

					BgL_arg2930z00_9188 =
						BGL_CLASS_NUM(BGl_vlengthzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_vlengthz00_bglt)
								((BgL_vlengthz00_bglt) BgL_o1410z00_7731))),
						BgL_arg2930z00_9188);
				}
				return
					((BgL_vlengthz00_bglt)
					((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_o1410z00_7731)));
			}
		}

	}



/* &lambda2924 */
	BgL_vlengthz00_bglt BGl_z62lambda2924z62zzliveness_typesz00(obj_t
		BgL_envz00_7732, obj_t BgL_loc1397z00_7733, obj_t BgL_type1398z00_7734,
		obj_t BgL_sidezd2effect1399zd2_7735, obj_t BgL_key1400z00_7736,
		obj_t BgL_exprza21401za2_7737, obj_t BgL_effect1402z00_7738,
		obj_t BgL_czd2format1403zd2_7739, obj_t BgL_vtype1404z00_7740,
		obj_t BgL_ftype1405z00_7741, obj_t BgL_def1406z00_7742,
		obj_t BgL_use1407z00_7743, obj_t BgL_in1408z00_7744,
		obj_t BgL_out1409z00_7745)
	{
		{	/* Liveness/types.scm 125 */
			{	/* Liveness/types.scm 125 */
				BgL_vlengthz00_bglt BgL_new1770z00_9197;

				{	/* Liveness/types.scm 125 */
					BgL_vlengthz00_bglt BgL_tmp1768z00_9198;
					BgL_vlengthzf2livenesszf2_bglt BgL_wide1769z00_9199;

					{
						BgL_vlengthz00_bglt BgL_auxz00_14938;

						{	/* Liveness/types.scm 125 */
							BgL_vlengthz00_bglt BgL_new1767z00_9200;

							BgL_new1767z00_9200 =
								((BgL_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_vlengthz00_bgl))));
							{	/* Liveness/types.scm 125 */
								long BgL_arg2928z00_9201;

								BgL_arg2928z00_9201 =
									BGL_CLASS_NUM(BGl_vlengthz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1767z00_9200),
									BgL_arg2928z00_9201);
							}
							{	/* Liveness/types.scm 125 */
								BgL_objectz00_bglt BgL_tmpz00_14943;

								BgL_tmpz00_14943 = ((BgL_objectz00_bglt) BgL_new1767z00_9200);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14943, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1767z00_9200);
							BgL_auxz00_14938 = BgL_new1767z00_9200;
						}
						BgL_tmp1768z00_9198 = ((BgL_vlengthz00_bglt) BgL_auxz00_14938);
					}
					BgL_wide1769z00_9199 =
						((BgL_vlengthzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vlengthzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 125 */
						obj_t BgL_auxz00_14951;
						BgL_objectz00_bglt BgL_tmpz00_14949;

						BgL_auxz00_14951 = ((obj_t) BgL_wide1769z00_9199);
						BgL_tmpz00_14949 = ((BgL_objectz00_bglt) BgL_tmp1768z00_9198);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14949, BgL_auxz00_14951);
					}
					((BgL_objectz00_bglt) BgL_tmp1768z00_9198);
					{	/* Liveness/types.scm 125 */
						long BgL_arg2927z00_9202;

						BgL_arg2927z00_9202 =
							BGL_CLASS_NUM(BGl_vlengthzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1768z00_9198), BgL_arg2927z00_9202);
					}
					BgL_new1770z00_9197 = ((BgL_vlengthz00_bglt) BgL_tmp1768z00_9198);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1770z00_9197)))->BgL_locz00) =
					((obj_t) BgL_loc1397z00_7733), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1770z00_9197)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1398z00_7734)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1770z00_9197)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1399zd2_7735), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1770z00_9197)))->BgL_keyz00) =
					((obj_t) BgL_key1400z00_7736), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1770z00_9197)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21401za2_7737)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1770z00_9197)))->BgL_effectz00) =
					((obj_t) BgL_effect1402z00_7738), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1770z00_9197)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1403zd2_7739)), BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(((BgL_vlengthz00_bglt)
									BgL_new1770z00_9197)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1404z00_7740)),
					BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(((BgL_vlengthz00_bglt)
									BgL_new1770z00_9197)))->BgL_ftypez00) =
					((obj_t) BgL_ftype1405z00_7741), BUNSPEC);
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_14981;

					{
						obj_t BgL_auxz00_14982;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_14983;

							BgL_tmpz00_14983 = ((BgL_objectz00_bglt) BgL_new1770z00_9197);
							BgL_auxz00_14982 = BGL_OBJECT_WIDENING(BgL_tmpz00_14983);
						}
						BgL_auxz00_14981 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_14982);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14981))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1406z00_7742)), BUNSPEC);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_14989;

					{
						obj_t BgL_auxz00_14990;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_14991;

							BgL_tmpz00_14991 = ((BgL_objectz00_bglt) BgL_new1770z00_9197);
							BgL_auxz00_14990 = BGL_OBJECT_WIDENING(BgL_tmpz00_14991);
						}
						BgL_auxz00_14989 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_14990);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14989))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1407z00_7743)), BUNSPEC);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_14997;

					{
						obj_t BgL_auxz00_14998;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_14999;

							BgL_tmpz00_14999 = ((BgL_objectz00_bglt) BgL_new1770z00_9197);
							BgL_auxz00_14998 = BGL_OBJECT_WIDENING(BgL_tmpz00_14999);
						}
						BgL_auxz00_14997 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_14998);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14997))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1408z00_7744)), BUNSPEC);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15005;

					{
						obj_t BgL_auxz00_15006;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_15007;

							BgL_tmpz00_15007 = ((BgL_objectz00_bglt) BgL_new1770z00_9197);
							BgL_auxz00_15006 = BGL_OBJECT_WIDENING(BgL_tmpz00_15007);
						}
						BgL_auxz00_15005 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15006);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15005))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1409z00_7745)), BUNSPEC);
				}
				return BgL_new1770z00_9197;
			}
		}

	}



/* &<@anonymous:2965> */
	obj_t BGl_z62zc3z04anonymousza32965ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7746)
	{
		{	/* Liveness/types.scm 125 */
			return BNIL;
		}

	}



/* &lambda2964 */
	obj_t BGl_z62lambda2964z62zzliveness_typesz00(obj_t BgL_envz00_7747,
		obj_t BgL_oz00_7748, obj_t BgL_vz00_7749)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15013;

				{
					obj_t BgL_auxz00_15014;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15015;

						BgL_tmpz00_15015 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7748));
						BgL_auxz00_15014 = BGL_OBJECT_WIDENING(BgL_tmpz00_15015);
					}
					BgL_auxz00_15013 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15014);
				}
				return
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15013))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7749)), BUNSPEC);
			}
		}

	}



/* &lambda2963 */
	obj_t BGl_z62lambda2963z62zzliveness_typesz00(obj_t BgL_envz00_7750,
		obj_t BgL_oz00_7751)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15022;

				{
					obj_t BgL_auxz00_15023;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15024;

						BgL_tmpz00_15024 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7751));
						BgL_auxz00_15023 = BGL_OBJECT_WIDENING(BgL_tmpz00_15024);
					}
					BgL_auxz00_15022 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15023);
				}
				return
					(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15022))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2957> */
	obj_t BGl_z62zc3z04anonymousza32957ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7752)
	{
		{	/* Liveness/types.scm 125 */
			return BNIL;
		}

	}



/* &lambda2956 */
	obj_t BGl_z62lambda2956z62zzliveness_typesz00(obj_t BgL_envz00_7753,
		obj_t BgL_oz00_7754, obj_t BgL_vz00_7755)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15030;

				{
					obj_t BgL_auxz00_15031;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15032;

						BgL_tmpz00_15032 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7754));
						BgL_auxz00_15031 = BGL_OBJECT_WIDENING(BgL_tmpz00_15032);
					}
					BgL_auxz00_15030 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15031);
				}
				return
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15030))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7755)), BUNSPEC);
			}
		}

	}



/* &lambda2955 */
	obj_t BGl_z62lambda2955z62zzliveness_typesz00(obj_t BgL_envz00_7756,
		obj_t BgL_oz00_7757)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15039;

				{
					obj_t BgL_auxz00_15040;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15041;

						BgL_tmpz00_15041 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7757));
						BgL_auxz00_15040 = BGL_OBJECT_WIDENING(BgL_tmpz00_15041);
					}
					BgL_auxz00_15039 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15040);
				}
				return
					(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15039))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2950> */
	obj_t BGl_z62zc3z04anonymousza32950ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7758)
	{
		{	/* Liveness/types.scm 125 */
			return BNIL;
		}

	}



/* &lambda2949 */
	obj_t BGl_z62lambda2949z62zzliveness_typesz00(obj_t BgL_envz00_7759,
		obj_t BgL_oz00_7760, obj_t BgL_vz00_7761)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15047;

				{
					obj_t BgL_auxz00_15048;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15049;

						BgL_tmpz00_15049 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7760));
						BgL_auxz00_15048 = BGL_OBJECT_WIDENING(BgL_tmpz00_15049);
					}
					BgL_auxz00_15047 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15048);
				}
				return
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15047))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7761)), BUNSPEC);
			}
		}

	}



/* &lambda2948 */
	obj_t BGl_z62lambda2948z62zzliveness_typesz00(obj_t BgL_envz00_7762,
		obj_t BgL_oz00_7763)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15056;

				{
					obj_t BgL_auxz00_15057;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15058;

						BgL_tmpz00_15058 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7763));
						BgL_auxz00_15057 = BGL_OBJECT_WIDENING(BgL_tmpz00_15058);
					}
					BgL_auxz00_15056 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15057);
				}
				return
					(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15056))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2943> */
	obj_t BGl_z62zc3z04anonymousza32943ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7764)
	{
		{	/* Liveness/types.scm 125 */
			return BNIL;
		}

	}



/* &lambda2942 */
	obj_t BGl_z62lambda2942z62zzliveness_typesz00(obj_t BgL_envz00_7765,
		obj_t BgL_oz00_7766, obj_t BgL_vz00_7767)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15064;

				{
					obj_t BgL_auxz00_15065;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15066;

						BgL_tmpz00_15066 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7766));
						BgL_auxz00_15065 = BGL_OBJECT_WIDENING(BgL_tmpz00_15066);
					}
					BgL_auxz00_15064 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15065);
				}
				return
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15064))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7767)), BUNSPEC);
			}
		}

	}



/* &lambda2941 */
	obj_t BGl_z62lambda2941z62zzliveness_typesz00(obj_t BgL_envz00_7768,
		obj_t BgL_oz00_7769)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15073;

				{
					obj_t BgL_auxz00_15074;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15075;

						BgL_tmpz00_15075 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7769));
						BgL_auxz00_15074 = BGL_OBJECT_WIDENING(BgL_tmpz00_15075);
					}
					BgL_auxz00_15073 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15074);
				}
				return
					(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15073))->
					BgL_defz00);
			}
		}

	}



/* &lambda2853 */
	BgL_vsetz12z12_bglt BGl_z62lambda2853z62zzliveness_typesz00(obj_t
		BgL_envz00_7770, obj_t BgL_o1395z00_7771)
	{
		{	/* Liveness/types.scm 119 */
			{	/* Liveness/types.scm 119 */
				long BgL_arg2854z00_9216;

				{	/* Liveness/types.scm 119 */
					obj_t BgL_arg2855z00_9217;

					{	/* Liveness/types.scm 119 */
						obj_t BgL_arg2856z00_9218;

						{	/* Liveness/types.scm 119 */
							long BgL_arg1833z00_9219;

							{	/* Liveness/types.scm 119 */
								long BgL_arg1834z00_9220;

								BgL_arg1834z00_9220 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt) BgL_o1395z00_7771)));
								BgL_arg1833z00_9219 = (BgL_arg1834z00_9220 - OBJECT_TYPE);
							}
							BgL_arg2856z00_9218 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9219);
						}
						BgL_arg2855z00_9217 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2856z00_9218);
					}
					{	/* Liveness/types.scm 119 */
						obj_t BgL_tmpz00_15087;

						BgL_tmpz00_15087 = ((obj_t) BgL_arg2855z00_9217);
						BgL_arg2854z00_9216 = BGL_CLASS_NUM(BgL_tmpz00_15087);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_vsetz12z12_bglt) BgL_o1395z00_7771)), BgL_arg2854z00_9216);
			}
			{	/* Liveness/types.scm 119 */
				BgL_objectz00_bglt BgL_tmpz00_15093;

				BgL_tmpz00_15093 =
					((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_o1395z00_7771));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15093, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_o1395z00_7771));
			return ((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_o1395z00_7771));
		}

	}



/* &<@anonymous:2852> */
	obj_t BGl_z62zc3z04anonymousza32852ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7772, obj_t BgL_new1394z00_7773)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12z12_bglt BgL_auxz00_15101;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vsetz12z12_bglt) BgL_new1394z00_7773))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15105;

					{	/* Liveness/types.scm 119 */
						obj_t BgL_classz00_9222;

						BgL_classz00_9222 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 119 */
							obj_t BgL__ortest_1112z00_9223;

							BgL__ortest_1112z00_9223 = BGL_CLASS_NIL(BgL_classz00_9222);
							if (CBOOL(BgL__ortest_1112z00_9223))
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15105 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9223);
								}
							else
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15105 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9222));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vsetz12z12_bglt) BgL_new1394z00_7773))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15105), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vsetz12z12_bglt) BgL_new1394z00_7773))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1394z00_7773))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1394z00_7773))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1394z00_7773))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1394z00_7773))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4524z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15130;

					{	/* Liveness/types.scm 119 */
						obj_t BgL_classz00_9224;

						BgL_classz00_9224 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 119 */
							obj_t BgL__ortest_1112z00_9225;

							BgL__ortest_1112z00_9225 = BGL_CLASS_NIL(BgL_classz00_9224);
							if (CBOOL(BgL__ortest_1112z00_9225))
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15130 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9225);
								}
							else
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15130 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9224));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt)
										((BgL_vsetz12z12_bglt) BgL_new1394z00_7773))))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_15130), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15140;

					{	/* Liveness/types.scm 119 */
						obj_t BgL_classz00_9226;

						BgL_classz00_9226 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 119 */
							obj_t BgL__ortest_1112z00_9227;

							BgL__ortest_1112z00_9227 = BGL_CLASS_NIL(BgL_classz00_9226);
							if (CBOOL(BgL__ortest_1112z00_9227))
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15140 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9227);
								}
							else
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15140 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9226));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt)
										((BgL_vsetz12z12_bglt) BgL_new1394z00_7773))))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_15140), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15150;

					{	/* Liveness/types.scm 119 */
						obj_t BgL_classz00_9228;

						BgL_classz00_9228 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 119 */
							obj_t BgL__ortest_1112z00_9229;

							BgL__ortest_1112z00_9229 = BGL_CLASS_NIL(BgL_classz00_9228);
							if (CBOOL(BgL__ortest_1112z00_9229))
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15150 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9229);
								}
							else
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15150 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9228));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt)
										((BgL_vsetz12z12_bglt) BgL_new1394z00_7773))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_15150), BUNSPEC);
				}
				((((BgL_vsetz12z12_bglt) COBJECT(
								((BgL_vsetz12z12_bglt)
									((BgL_vsetz12z12_bglt) BgL_new1394z00_7773))))->
						BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15163;

					{
						obj_t BgL_auxz00_15164;

						{	/* Liveness/types.scm 119 */
							BgL_objectz00_bglt BgL_tmpz00_15165;

							BgL_tmpz00_15165 =
								((BgL_objectz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_new1394z00_7773));
							BgL_auxz00_15164 = BGL_OBJECT_WIDENING(BgL_tmpz00_15165);
						}
						BgL_auxz00_15163 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15164);
					}
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15163))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15171;

					{
						obj_t BgL_auxz00_15172;

						{	/* Liveness/types.scm 119 */
							BgL_objectz00_bglt BgL_tmpz00_15173;

							BgL_tmpz00_15173 =
								((BgL_objectz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_new1394z00_7773));
							BgL_auxz00_15172 = BGL_OBJECT_WIDENING(BgL_tmpz00_15173);
						}
						BgL_auxz00_15171 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15172);
					}
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15171))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15179;

					{
						obj_t BgL_auxz00_15180;

						{	/* Liveness/types.scm 119 */
							BgL_objectz00_bglt BgL_tmpz00_15181;

							BgL_tmpz00_15181 =
								((BgL_objectz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_new1394z00_7773));
							BgL_auxz00_15180 = BGL_OBJECT_WIDENING(BgL_tmpz00_15181);
						}
						BgL_auxz00_15179 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15180);
					}
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15179))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15187;

					{
						obj_t BgL_auxz00_15188;

						{	/* Liveness/types.scm 119 */
							BgL_objectz00_bglt BgL_tmpz00_15189;

							BgL_tmpz00_15189 =
								((BgL_objectz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_new1394z00_7773));
							BgL_auxz00_15188 = BGL_OBJECT_WIDENING(BgL_tmpz00_15189);
						}
						BgL_auxz00_15187 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15188);
					}
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15187))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_15101 = ((BgL_vsetz12z12_bglt) BgL_new1394z00_7773);
				return ((obj_t) BgL_auxz00_15101);
			}
		}

	}



/* &lambda2850 */
	BgL_vsetz12z12_bglt BGl_z62lambda2850z62zzliveness_typesz00(obj_t
		BgL_envz00_7774, obj_t BgL_o1391z00_7775)
	{
		{	/* Liveness/types.scm 119 */
			{	/* Liveness/types.scm 119 */
				BgL_vsetz12zf2livenessze0_bglt BgL_wide1393z00_9231;

				BgL_wide1393z00_9231 =
					((BgL_vsetz12zf2livenessze0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vsetz12zf2livenessze0_bgl))));
				{	/* Liveness/types.scm 119 */
					obj_t BgL_auxz00_15202;
					BgL_objectz00_bglt BgL_tmpz00_15198;

					BgL_auxz00_15202 = ((obj_t) BgL_wide1393z00_9231);
					BgL_tmpz00_15198 =
						((BgL_objectz00_bglt)
						((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_o1391z00_7775)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15198, BgL_auxz00_15202);
				}
				((BgL_objectz00_bglt)
					((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_o1391z00_7775)));
				{	/* Liveness/types.scm 119 */
					long BgL_arg2851z00_9232;

					BgL_arg2851z00_9232 =
						BGL_CLASS_NUM(BGl_vsetz12zf2livenessze0zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt)
								((BgL_vsetz12z12_bglt) BgL_o1391z00_7775))),
						BgL_arg2851z00_9232);
				}
				return
					((BgL_vsetz12z12_bglt)
					((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_o1391z00_7775)));
			}
		}

	}



/* &lambda2847 */
	BgL_vsetz12z12_bglt BGl_z62lambda2847z62zzliveness_typesz00(obj_t
		BgL_envz00_7776, obj_t BgL_loc1376z00_7777, obj_t BgL_type1377z00_7778,
		obj_t BgL_sidezd2effect1378zd2_7779, obj_t BgL_key1379z00_7780,
		obj_t BgL_exprza21380za2_7781, obj_t BgL_effect1381z00_7782,
		obj_t BgL_czd2format1382zd2_7783, obj_t BgL_ftype1383z00_7784,
		obj_t BgL_otype1384z00_7785, obj_t BgL_vtype1385z00_7786,
		obj_t BgL_unsafe1386z00_7787, obj_t BgL_def1387z00_7788,
		obj_t BgL_use1388z00_7789, obj_t BgL_in1389z00_7790,
		obj_t BgL_out1390z00_7791)
	{
		{	/* Liveness/types.scm 119 */
			{	/* Liveness/types.scm 119 */
				bool_t BgL_unsafe1386z00_9239;

				BgL_unsafe1386z00_9239 = CBOOL(BgL_unsafe1386z00_7787);
				{	/* Liveness/types.scm 119 */
					BgL_vsetz12z12_bglt BgL_new1765z00_9244;

					{	/* Liveness/types.scm 119 */
						BgL_vsetz12z12_bglt BgL_tmp1763z00_9245;
						BgL_vsetz12zf2livenessze0_bglt BgL_wide1764z00_9246;

						{
							BgL_vsetz12z12_bglt BgL_auxz00_15217;

							{	/* Liveness/types.scm 119 */
								BgL_vsetz12z12_bglt BgL_new1762z00_9247;

								BgL_new1762z00_9247 =
									((BgL_vsetz12z12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_vsetz12z12_bgl))));
								{	/* Liveness/types.scm 119 */
									long BgL_arg2849z00_9248;

									BgL_arg2849z00_9248 =
										BGL_CLASS_NUM(BGl_vsetz12z12zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1762z00_9247),
										BgL_arg2849z00_9248);
								}
								{	/* Liveness/types.scm 119 */
									BgL_objectz00_bglt BgL_tmpz00_15222;

									BgL_tmpz00_15222 = ((BgL_objectz00_bglt) BgL_new1762z00_9247);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15222, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1762z00_9247);
								BgL_auxz00_15217 = BgL_new1762z00_9247;
							}
							BgL_tmp1763z00_9245 = ((BgL_vsetz12z12_bglt) BgL_auxz00_15217);
						}
						BgL_wide1764z00_9246 =
							((BgL_vsetz12zf2livenessze0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_vsetz12zf2livenessze0_bgl))));
						{	/* Liveness/types.scm 119 */
							obj_t BgL_auxz00_15230;
							BgL_objectz00_bglt BgL_tmpz00_15228;

							BgL_auxz00_15230 = ((obj_t) BgL_wide1764z00_9246);
							BgL_tmpz00_15228 = ((BgL_objectz00_bglt) BgL_tmp1763z00_9245);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15228, BgL_auxz00_15230);
						}
						((BgL_objectz00_bglt) BgL_tmp1763z00_9245);
						{	/* Liveness/types.scm 119 */
							long BgL_arg2848z00_9249;

							BgL_arg2848z00_9249 =
								BGL_CLASS_NUM(BGl_vsetz12zf2livenessze0zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1763z00_9245),
								BgL_arg2848z00_9249);
						}
						BgL_new1765z00_9244 = ((BgL_vsetz12z12_bglt) BgL_tmp1763z00_9245);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1765z00_9244)))->BgL_locz00) =
						((obj_t) BgL_loc1376z00_7777), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1765z00_9244)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1377z00_7778)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1765z00_9244)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1378zd2_7779), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1765z00_9244)))->BgL_keyz00) =
						((obj_t) BgL_key1379z00_7780), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1765z00_9244)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21380za2_7781)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1765z00_9244)))->BgL_effectz00) =
						((obj_t) BgL_effect1381z00_7782), BUNSPEC);
					((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
										BgL_new1765z00_9244)))->BgL_czd2formatzd2) =
						((obj_t) ((obj_t) BgL_czd2format1382zd2_7783)), BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(((BgL_vsetz12z12_bglt)
										BgL_new1765z00_9244)))->BgL_ftypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1383z00_7784)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(((BgL_vsetz12z12_bglt)
										BgL_new1765z00_9244)))->BgL_otypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1384z00_7785)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(((BgL_vsetz12z12_bglt)
										BgL_new1765z00_9244)))->BgL_vtypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1385z00_7786)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(((BgL_vsetz12z12_bglt)
										BgL_new1765z00_9244)))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1386z00_9239), BUNSPEC);
					{
						BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15266;

						{
							obj_t BgL_auxz00_15267;

							{	/* Liveness/types.scm 119 */
								BgL_objectz00_bglt BgL_tmpz00_15268;

								BgL_tmpz00_15268 = ((BgL_objectz00_bglt) BgL_new1765z00_9244);
								BgL_auxz00_15267 = BGL_OBJECT_WIDENING(BgL_tmpz00_15268);
							}
							BgL_auxz00_15266 =
								((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15267);
						}
						((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15266))->
								BgL_defz00) = ((obj_t) ((obj_t) BgL_def1387z00_7788)), BUNSPEC);
					}
					{
						BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15274;

						{
							obj_t BgL_auxz00_15275;

							{	/* Liveness/types.scm 119 */
								BgL_objectz00_bglt BgL_tmpz00_15276;

								BgL_tmpz00_15276 = ((BgL_objectz00_bglt) BgL_new1765z00_9244);
								BgL_auxz00_15275 = BGL_OBJECT_WIDENING(BgL_tmpz00_15276);
							}
							BgL_auxz00_15274 =
								((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15275);
						}
						((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15274))->
								BgL_usez00) = ((obj_t) ((obj_t) BgL_use1388z00_7789)), BUNSPEC);
					}
					{
						BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15282;

						{
							obj_t BgL_auxz00_15283;

							{	/* Liveness/types.scm 119 */
								BgL_objectz00_bglt BgL_tmpz00_15284;

								BgL_tmpz00_15284 = ((BgL_objectz00_bglt) BgL_new1765z00_9244);
								BgL_auxz00_15283 = BGL_OBJECT_WIDENING(BgL_tmpz00_15284);
							}
							BgL_auxz00_15282 =
								((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15283);
						}
						((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15282))->
								BgL_inz00) = ((obj_t) ((obj_t) BgL_in1389z00_7790)), BUNSPEC);
					}
					{
						BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15290;

						{
							obj_t BgL_auxz00_15291;

							{	/* Liveness/types.scm 119 */
								BgL_objectz00_bglt BgL_tmpz00_15292;

								BgL_tmpz00_15292 = ((BgL_objectz00_bglt) BgL_new1765z00_9244);
								BgL_auxz00_15291 = BGL_OBJECT_WIDENING(BgL_tmpz00_15292);
							}
							BgL_auxz00_15290 =
								((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15291);
						}
						((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15290))->
								BgL_outz00) = ((obj_t) ((obj_t) BgL_out1390z00_7791)), BUNSPEC);
					}
					return BgL_new1765z00_9244;
				}
			}
		}

	}



/* &<@anonymous:2916> */
	obj_t BGl_z62zc3z04anonymousza32916ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7792)
	{
		{	/* Liveness/types.scm 119 */
			return BNIL;
		}

	}



/* &lambda2915 */
	obj_t BGl_z62lambda2915z62zzliveness_typesz00(obj_t BgL_envz00_7793,
		obj_t BgL_oz00_7794, obj_t BgL_vz00_7795)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15298;

				{
					obj_t BgL_auxz00_15299;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15300;

						BgL_tmpz00_15300 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7794));
						BgL_auxz00_15299 = BGL_OBJECT_WIDENING(BgL_tmpz00_15300);
					}
					BgL_auxz00_15298 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15299);
				}
				return
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15298))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7795)), BUNSPEC);
			}
		}

	}



/* &lambda2914 */
	obj_t BGl_z62lambda2914z62zzliveness_typesz00(obj_t BgL_envz00_7796,
		obj_t BgL_oz00_7797)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15307;

				{
					obj_t BgL_auxz00_15308;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15309;

						BgL_tmpz00_15309 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7797));
						BgL_auxz00_15308 = BGL_OBJECT_WIDENING(BgL_tmpz00_15309);
					}
					BgL_auxz00_15307 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15308);
				}
				return
					(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15307))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2882> */
	obj_t BGl_z62zc3z04anonymousza32882ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7798)
	{
		{	/* Liveness/types.scm 119 */
			return BNIL;
		}

	}



/* &lambda2881 */
	obj_t BGl_z62lambda2881z62zzliveness_typesz00(obj_t BgL_envz00_7799,
		obj_t BgL_oz00_7800, obj_t BgL_vz00_7801)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15315;

				{
					obj_t BgL_auxz00_15316;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15317;

						BgL_tmpz00_15317 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7800));
						BgL_auxz00_15316 = BGL_OBJECT_WIDENING(BgL_tmpz00_15317);
					}
					BgL_auxz00_15315 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15316);
				}
				return
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15315))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7801)), BUNSPEC);
			}
		}

	}



/* &lambda2880 */
	obj_t BGl_z62lambda2880z62zzliveness_typesz00(obj_t BgL_envz00_7802,
		obj_t BgL_oz00_7803)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15324;

				{
					obj_t BgL_auxz00_15325;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15326;

						BgL_tmpz00_15326 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7803));
						BgL_auxz00_15325 = BGL_OBJECT_WIDENING(BgL_tmpz00_15326);
					}
					BgL_auxz00_15324 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15325);
				}
				return
					(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15324))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2873> */
	obj_t BGl_z62zc3z04anonymousza32873ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7804)
	{
		{	/* Liveness/types.scm 119 */
			return BNIL;
		}

	}



/* &lambda2872 */
	obj_t BGl_z62lambda2872z62zzliveness_typesz00(obj_t BgL_envz00_7805,
		obj_t BgL_oz00_7806, obj_t BgL_vz00_7807)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15332;

				{
					obj_t BgL_auxz00_15333;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15334;

						BgL_tmpz00_15334 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7806));
						BgL_auxz00_15333 = BGL_OBJECT_WIDENING(BgL_tmpz00_15334);
					}
					BgL_auxz00_15332 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15333);
				}
				return
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15332))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7807)), BUNSPEC);
			}
		}

	}



/* &lambda2871 */
	obj_t BGl_z62lambda2871z62zzliveness_typesz00(obj_t BgL_envz00_7808,
		obj_t BgL_oz00_7809)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15341;

				{
					obj_t BgL_auxz00_15342;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15343;

						BgL_tmpz00_15343 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7809));
						BgL_auxz00_15342 = BGL_OBJECT_WIDENING(BgL_tmpz00_15343);
					}
					BgL_auxz00_15341 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15342);
				}
				return
					(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15341))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2866> */
	obj_t BGl_z62zc3z04anonymousza32866ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7810)
	{
		{	/* Liveness/types.scm 119 */
			return BNIL;
		}

	}



/* &lambda2865 */
	obj_t BGl_z62lambda2865z62zzliveness_typesz00(obj_t BgL_envz00_7811,
		obj_t BgL_oz00_7812, obj_t BgL_vz00_7813)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15349;

				{
					obj_t BgL_auxz00_15350;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15351;

						BgL_tmpz00_15351 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7812));
						BgL_auxz00_15350 = BGL_OBJECT_WIDENING(BgL_tmpz00_15351);
					}
					BgL_auxz00_15349 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15350);
				}
				return
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15349))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7813)), BUNSPEC);
			}
		}

	}



/* &lambda2864 */
	obj_t BGl_z62lambda2864z62zzliveness_typesz00(obj_t BgL_envz00_7814,
		obj_t BgL_oz00_7815)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15358;

				{
					obj_t BgL_auxz00_15359;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15360;

						BgL_tmpz00_15360 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7815));
						BgL_auxz00_15359 = BGL_OBJECT_WIDENING(BgL_tmpz00_15360);
					}
					BgL_auxz00_15358 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15359);
				}
				return
					(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15358))->
					BgL_defz00);
			}
		}

	}



/* &lambda2783 */
	BgL_vrefz00_bglt BGl_z62lambda2783z62zzliveness_typesz00(obj_t
		BgL_envz00_7816, obj_t BgL_o1374z00_7817)
	{
		{	/* Liveness/types.scm 113 */
			{	/* Liveness/types.scm 113 */
				long BgL_arg2784z00_9263;

				{	/* Liveness/types.scm 113 */
					obj_t BgL_arg2785z00_9264;

					{	/* Liveness/types.scm 113 */
						obj_t BgL_arg2786z00_9265;

						{	/* Liveness/types.scm 113 */
							long BgL_arg1833z00_9266;

							{	/* Liveness/types.scm 113 */
								long BgL_arg1834z00_9267;

								BgL_arg1834z00_9267 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) BgL_o1374z00_7817)));
								BgL_arg1833z00_9266 = (BgL_arg1834z00_9267 - OBJECT_TYPE);
							}
							BgL_arg2786z00_9265 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9266);
						}
						BgL_arg2785z00_9264 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2786z00_9265);
					}
					{	/* Liveness/types.scm 113 */
						obj_t BgL_tmpz00_15372;

						BgL_tmpz00_15372 = ((obj_t) BgL_arg2785z00_9264);
						BgL_arg2784z00_9263 = BGL_CLASS_NUM(BgL_tmpz00_15372);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_vrefz00_bglt) BgL_o1374z00_7817)), BgL_arg2784z00_9263);
			}
			{	/* Liveness/types.scm 113 */
				BgL_objectz00_bglt BgL_tmpz00_15378;

				BgL_tmpz00_15378 =
					((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_o1374z00_7817));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15378, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_o1374z00_7817));
			return ((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_o1374z00_7817));
		}

	}



/* &<@anonymous:2782> */
	obj_t BGl_z62zc3z04anonymousza32782ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7818, obj_t BgL_new1373z00_7819)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefz00_bglt BgL_auxz00_15386;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vrefz00_bglt) BgL_new1373z00_7819))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15390;

					{	/* Liveness/types.scm 113 */
						obj_t BgL_classz00_9269;

						BgL_classz00_9269 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 113 */
							obj_t BgL__ortest_1112z00_9270;

							BgL__ortest_1112z00_9270 = BGL_CLASS_NIL(BgL_classz00_9269);
							if (CBOOL(BgL__ortest_1112z00_9270))
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15390 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9270);
								}
							else
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15390 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9269));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vrefz00_bglt) BgL_new1373z00_7819))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15390), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vrefz00_bglt) BgL_new1373z00_7819))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vrefz00_bglt)
										BgL_new1373z00_7819))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1373z00_7819))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1373z00_7819))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1373z00_7819))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4524z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15415;

					{	/* Liveness/types.scm 113 */
						obj_t BgL_classz00_9271;

						BgL_classz00_9271 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 113 */
							obj_t BgL__ortest_1112z00_9272;

							BgL__ortest_1112z00_9272 = BGL_CLASS_NIL(BgL_classz00_9271);
							if (CBOOL(BgL__ortest_1112z00_9272))
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15415 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9272);
								}
							else
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15415 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9271));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt)
										((BgL_vrefz00_bglt) BgL_new1373z00_7819))))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_15415), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15425;

					{	/* Liveness/types.scm 113 */
						obj_t BgL_classz00_9273;

						BgL_classz00_9273 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 113 */
							obj_t BgL__ortest_1112z00_9274;

							BgL__ortest_1112z00_9274 = BGL_CLASS_NIL(BgL_classz00_9273);
							if (CBOOL(BgL__ortest_1112z00_9274))
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15425 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9274);
								}
							else
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15425 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9273));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt)
										((BgL_vrefz00_bglt) BgL_new1373z00_7819))))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_15425), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15435;

					{	/* Liveness/types.scm 113 */
						obj_t BgL_classz00_9275;

						BgL_classz00_9275 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 113 */
							obj_t BgL__ortest_1112z00_9276;

							BgL__ortest_1112z00_9276 = BGL_CLASS_NIL(BgL_classz00_9275);
							if (CBOOL(BgL__ortest_1112z00_9276))
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15435 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9276);
								}
							else
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15435 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9275));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt)
										((BgL_vrefz00_bglt) BgL_new1373z00_7819))))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_15435), BUNSPEC);
				}
				((((BgL_vrefz00_bglt) COBJECT(
								((BgL_vrefz00_bglt)
									((BgL_vrefz00_bglt) BgL_new1373z00_7819))))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15448;

					{
						obj_t BgL_auxz00_15449;

						{	/* Liveness/types.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_15450;

							BgL_tmpz00_15450 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_new1373z00_7819));
							BgL_auxz00_15449 = BGL_OBJECT_WIDENING(BgL_tmpz00_15450);
						}
						BgL_auxz00_15448 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15449);
					}
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15448))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15456;

					{
						obj_t BgL_auxz00_15457;

						{	/* Liveness/types.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_15458;

							BgL_tmpz00_15458 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_new1373z00_7819));
							BgL_auxz00_15457 = BGL_OBJECT_WIDENING(BgL_tmpz00_15458);
						}
						BgL_auxz00_15456 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15457);
					}
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15456))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15464;

					{
						obj_t BgL_auxz00_15465;

						{	/* Liveness/types.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_15466;

							BgL_tmpz00_15466 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_new1373z00_7819));
							BgL_auxz00_15465 = BGL_OBJECT_WIDENING(BgL_tmpz00_15466);
						}
						BgL_auxz00_15464 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15465);
					}
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15464))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15472;

					{
						obj_t BgL_auxz00_15473;

						{	/* Liveness/types.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_15474;

							BgL_tmpz00_15474 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_new1373z00_7819));
							BgL_auxz00_15473 = BGL_OBJECT_WIDENING(BgL_tmpz00_15474);
						}
						BgL_auxz00_15472 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15473);
					}
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15472))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_15386 = ((BgL_vrefz00_bglt) BgL_new1373z00_7819);
				return ((obj_t) BgL_auxz00_15386);
			}
		}

	}



/* &lambda2779 */
	BgL_vrefz00_bglt BGl_z62lambda2779z62zzliveness_typesz00(obj_t
		BgL_envz00_7820, obj_t BgL_o1370z00_7821)
	{
		{	/* Liveness/types.scm 113 */
			{	/* Liveness/types.scm 113 */
				BgL_vrefzf2livenesszf2_bglt BgL_wide1372z00_9278;

				BgL_wide1372z00_9278 =
					((BgL_vrefzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vrefzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 113 */
					obj_t BgL_auxz00_15487;
					BgL_objectz00_bglt BgL_tmpz00_15483;

					BgL_auxz00_15487 = ((obj_t) BgL_wide1372z00_9278);
					BgL_tmpz00_15483 =
						((BgL_objectz00_bglt)
						((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_o1370z00_7821)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15483, BgL_auxz00_15487);
				}
				((BgL_objectz00_bglt)
					((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_o1370z00_7821)));
				{	/* Liveness/types.scm 113 */
					long BgL_arg2781z00_9279;

					BgL_arg2781z00_9279 =
						BGL_CLASS_NUM(BGl_vrefzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_vrefz00_bglt)
								((BgL_vrefz00_bglt) BgL_o1370z00_7821))), BgL_arg2781z00_9279);
				}
				return
					((BgL_vrefz00_bglt)
					((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_o1370z00_7821)));
			}
		}

	}



/* &lambda2776 */
	BgL_vrefz00_bglt BGl_z62lambda2776z62zzliveness_typesz00(obj_t
		BgL_envz00_7822, obj_t BgL_loc1355z00_7823, obj_t BgL_type1356z00_7824,
		obj_t BgL_sidezd2effect1357zd2_7825, obj_t BgL_key1358z00_7826,
		obj_t BgL_exprza21359za2_7827, obj_t BgL_effect1360z00_7828,
		obj_t BgL_czd2format1361zd2_7829, obj_t BgL_ftype1362z00_7830,
		obj_t BgL_otype1363z00_7831, obj_t BgL_vtype1364z00_7832,
		obj_t BgL_unsafe1365z00_7833, obj_t BgL_def1366z00_7834,
		obj_t BgL_use1367z00_7835, obj_t BgL_in1368z00_7836,
		obj_t BgL_out1369z00_7837)
	{
		{	/* Liveness/types.scm 113 */
			{	/* Liveness/types.scm 113 */
				bool_t BgL_unsafe1365z00_9286;

				BgL_unsafe1365z00_9286 = CBOOL(BgL_unsafe1365z00_7833);
				{	/* Liveness/types.scm 113 */
					BgL_vrefz00_bglt BgL_new1760z00_9291;

					{	/* Liveness/types.scm 113 */
						BgL_vrefz00_bglt BgL_tmp1758z00_9292;
						BgL_vrefzf2livenesszf2_bglt BgL_wide1759z00_9293;

						{
							BgL_vrefz00_bglt BgL_auxz00_15502;

							{	/* Liveness/types.scm 113 */
								BgL_vrefz00_bglt BgL_new1757z00_9294;

								BgL_new1757z00_9294 =
									((BgL_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_vrefz00_bgl))));
								{	/* Liveness/types.scm 113 */
									long BgL_arg2778z00_9295;

									BgL_arg2778z00_9295 = BGL_CLASS_NUM(BGl_vrefz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1757z00_9294),
										BgL_arg2778z00_9295);
								}
								{	/* Liveness/types.scm 113 */
									BgL_objectz00_bglt BgL_tmpz00_15507;

									BgL_tmpz00_15507 = ((BgL_objectz00_bglt) BgL_new1757z00_9294);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15507, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1757z00_9294);
								BgL_auxz00_15502 = BgL_new1757z00_9294;
							}
							BgL_tmp1758z00_9292 = ((BgL_vrefz00_bglt) BgL_auxz00_15502);
						}
						BgL_wide1759z00_9293 =
							((BgL_vrefzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_vrefzf2livenesszf2_bgl))));
						{	/* Liveness/types.scm 113 */
							obj_t BgL_auxz00_15515;
							BgL_objectz00_bglt BgL_tmpz00_15513;

							BgL_auxz00_15515 = ((obj_t) BgL_wide1759z00_9293);
							BgL_tmpz00_15513 = ((BgL_objectz00_bglt) BgL_tmp1758z00_9292);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15513, BgL_auxz00_15515);
						}
						((BgL_objectz00_bglt) BgL_tmp1758z00_9292);
						{	/* Liveness/types.scm 113 */
							long BgL_arg2777z00_9296;

							BgL_arg2777z00_9296 =
								BGL_CLASS_NUM(BGl_vrefzf2livenesszf2zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1758z00_9292),
								BgL_arg2777z00_9296);
						}
						BgL_new1760z00_9291 = ((BgL_vrefz00_bglt) BgL_tmp1758z00_9292);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1760z00_9291)))->BgL_locz00) =
						((obj_t) BgL_loc1355z00_7823), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1760z00_9291)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1356z00_7824)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1760z00_9291)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1357zd2_7825), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1760z00_9291)))->BgL_keyz00) =
						((obj_t) BgL_key1358z00_7826), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1760z00_9291)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21359za2_7827)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1760z00_9291)))->BgL_effectz00) =
						((obj_t) BgL_effect1360z00_7828), BUNSPEC);
					((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
										BgL_new1760z00_9291)))->BgL_czd2formatzd2) =
						((obj_t) ((obj_t) BgL_czd2format1361zd2_7829)), BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
										BgL_new1760z00_9291)))->BgL_ftypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1362z00_7830)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
										BgL_new1760z00_9291)))->BgL_otypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1363z00_7831)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
										BgL_new1760z00_9291)))->BgL_vtypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1364z00_7832)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
										BgL_new1760z00_9291)))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1365z00_9286), BUNSPEC);
					{
						BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15551;

						{
							obj_t BgL_auxz00_15552;

							{	/* Liveness/types.scm 113 */
								BgL_objectz00_bglt BgL_tmpz00_15553;

								BgL_tmpz00_15553 = ((BgL_objectz00_bglt) BgL_new1760z00_9291);
								BgL_auxz00_15552 = BGL_OBJECT_WIDENING(BgL_tmpz00_15553);
							}
							BgL_auxz00_15551 =
								((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15552);
						}
						((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15551))->
								BgL_defz00) = ((obj_t) ((obj_t) BgL_def1366z00_7834)), BUNSPEC);
					}
					{
						BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15559;

						{
							obj_t BgL_auxz00_15560;

							{	/* Liveness/types.scm 113 */
								BgL_objectz00_bglt BgL_tmpz00_15561;

								BgL_tmpz00_15561 = ((BgL_objectz00_bglt) BgL_new1760z00_9291);
								BgL_auxz00_15560 = BGL_OBJECT_WIDENING(BgL_tmpz00_15561);
							}
							BgL_auxz00_15559 =
								((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15560);
						}
						((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15559))->
								BgL_usez00) = ((obj_t) ((obj_t) BgL_use1367z00_7835)), BUNSPEC);
					}
					{
						BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15567;

						{
							obj_t BgL_auxz00_15568;

							{	/* Liveness/types.scm 113 */
								BgL_objectz00_bglt BgL_tmpz00_15569;

								BgL_tmpz00_15569 = ((BgL_objectz00_bglt) BgL_new1760z00_9291);
								BgL_auxz00_15568 = BGL_OBJECT_WIDENING(BgL_tmpz00_15569);
							}
							BgL_auxz00_15567 =
								((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15568);
						}
						((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15567))->
								BgL_inz00) = ((obj_t) ((obj_t) BgL_in1368z00_7836)), BUNSPEC);
					}
					{
						BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15575;

						{
							obj_t BgL_auxz00_15576;

							{	/* Liveness/types.scm 113 */
								BgL_objectz00_bglt BgL_tmpz00_15577;

								BgL_tmpz00_15577 = ((BgL_objectz00_bglt) BgL_new1760z00_9291);
								BgL_auxz00_15576 = BGL_OBJECT_WIDENING(BgL_tmpz00_15577);
							}
							BgL_auxz00_15575 =
								((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15576);
						}
						((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15575))->
								BgL_outz00) = ((obj_t) ((obj_t) BgL_out1369z00_7837)), BUNSPEC);
					}
					return BgL_new1760z00_9291;
				}
			}
		}

	}



/* &<@anonymous:2840> */
	obj_t BGl_z62zc3z04anonymousza32840ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7838)
	{
		{	/* Liveness/types.scm 113 */
			return BNIL;
		}

	}



/* &lambda2839 */
	obj_t BGl_z62lambda2839z62zzliveness_typesz00(obj_t BgL_envz00_7839,
		obj_t BgL_oz00_7840, obj_t BgL_vz00_7841)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15583;

				{
					obj_t BgL_auxz00_15584;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_15585;

						BgL_tmpz00_15585 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7840));
						BgL_auxz00_15584 = BGL_OBJECT_WIDENING(BgL_tmpz00_15585);
					}
					BgL_auxz00_15583 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15584);
				}
				return
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15583))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7841)), BUNSPEC);
			}
		}

	}



/* &lambda2838 */
	obj_t BGl_z62lambda2838z62zzliveness_typesz00(obj_t BgL_envz00_7842,
		obj_t BgL_oz00_7843)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15592;

				{
					obj_t BgL_auxz00_15593;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_15594;

						BgL_tmpz00_15594 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7843));
						BgL_auxz00_15593 = BGL_OBJECT_WIDENING(BgL_tmpz00_15594);
					}
					BgL_auxz00_15592 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15593);
				}
				return
					(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15592))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2830> */
	obj_t BGl_z62zc3z04anonymousza32830ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7844)
	{
		{	/* Liveness/types.scm 113 */
			return BNIL;
		}

	}



/* &lambda2829 */
	obj_t BGl_z62lambda2829z62zzliveness_typesz00(obj_t BgL_envz00_7845,
		obj_t BgL_oz00_7846, obj_t BgL_vz00_7847)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15600;

				{
					obj_t BgL_auxz00_15601;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_15602;

						BgL_tmpz00_15602 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7846));
						BgL_auxz00_15601 = BGL_OBJECT_WIDENING(BgL_tmpz00_15602);
					}
					BgL_auxz00_15600 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15601);
				}
				return
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15600))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7847)), BUNSPEC);
			}
		}

	}



/* &lambda2828 */
	obj_t BGl_z62lambda2828z62zzliveness_typesz00(obj_t BgL_envz00_7848,
		obj_t BgL_oz00_7849)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15609;

				{
					obj_t BgL_auxz00_15610;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_15611;

						BgL_tmpz00_15611 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7849));
						BgL_auxz00_15610 = BGL_OBJECT_WIDENING(BgL_tmpz00_15611);
					}
					BgL_auxz00_15609 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15610);
				}
				return
					(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15609))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2823> */
	obj_t BGl_z62zc3z04anonymousza32823ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7850)
	{
		{	/* Liveness/types.scm 113 */
			return BNIL;
		}

	}



/* &lambda2822 */
	obj_t BGl_z62lambda2822z62zzliveness_typesz00(obj_t BgL_envz00_7851,
		obj_t BgL_oz00_7852, obj_t BgL_vz00_7853)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15617;

				{
					obj_t BgL_auxz00_15618;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_15619;

						BgL_tmpz00_15619 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7852));
						BgL_auxz00_15618 = BGL_OBJECT_WIDENING(BgL_tmpz00_15619);
					}
					BgL_auxz00_15617 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15618);
				}
				return
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15617))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7853)), BUNSPEC);
			}
		}

	}



/* &lambda2821 */
	obj_t BGl_z62lambda2821z62zzliveness_typesz00(obj_t BgL_envz00_7854,
		obj_t BgL_oz00_7855)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15626;

				{
					obj_t BgL_auxz00_15627;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_15628;

						BgL_tmpz00_15628 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7855));
						BgL_auxz00_15627 = BGL_OBJECT_WIDENING(BgL_tmpz00_15628);
					}
					BgL_auxz00_15626 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15627);
				}
				return
					(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15626))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2795> */
	obj_t BGl_z62zc3z04anonymousza32795ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7856)
	{
		{	/* Liveness/types.scm 113 */
			return BNIL;
		}

	}



/* &lambda2794 */
	obj_t BGl_z62lambda2794z62zzliveness_typesz00(obj_t BgL_envz00_7857,
		obj_t BgL_oz00_7858, obj_t BgL_vz00_7859)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15634;

				{
					obj_t BgL_auxz00_15635;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_15636;

						BgL_tmpz00_15636 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7858));
						BgL_auxz00_15635 = BGL_OBJECT_WIDENING(BgL_tmpz00_15636);
					}
					BgL_auxz00_15634 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15635);
				}
				return
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15634))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7859)), BUNSPEC);
			}
		}

	}



/* &lambda2793 */
	obj_t BGl_z62lambda2793z62zzliveness_typesz00(obj_t BgL_envz00_7860,
		obj_t BgL_oz00_7861)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15643;

				{
					obj_t BgL_auxz00_15644;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_15645;

						BgL_tmpz00_15645 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7861));
						BgL_auxz00_15644 = BGL_OBJECT_WIDENING(BgL_tmpz00_15645);
					}
					BgL_auxz00_15643 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15644);
				}
				return
					(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15643))->
					BgL_defz00);
			}
		}

	}



/* &lambda2722 */
	BgL_vallocz00_bglt BGl_z62lambda2722z62zzliveness_typesz00(obj_t
		BgL_envz00_7862, obj_t BgL_o1353z00_7863)
	{
		{	/* Liveness/types.scm 107 */
			{	/* Liveness/types.scm 107 */
				long BgL_arg2723z00_9310;

				{	/* Liveness/types.scm 107 */
					obj_t BgL_arg2724z00_9311;

					{	/* Liveness/types.scm 107 */
						obj_t BgL_arg2725z00_9312;

						{	/* Liveness/types.scm 107 */
							long BgL_arg1833z00_9313;

							{	/* Liveness/types.scm 107 */
								long BgL_arg1834z00_9314;

								BgL_arg1834z00_9314 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt) BgL_o1353z00_7863)));
								BgL_arg1833z00_9313 = (BgL_arg1834z00_9314 - OBJECT_TYPE);
							}
							BgL_arg2725z00_9312 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9313);
						}
						BgL_arg2724z00_9311 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2725z00_9312);
					}
					{	/* Liveness/types.scm 107 */
						obj_t BgL_tmpz00_15657;

						BgL_tmpz00_15657 = ((obj_t) BgL_arg2724z00_9311);
						BgL_arg2723z00_9310 = BGL_CLASS_NUM(BgL_tmpz00_15657);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_vallocz00_bglt) BgL_o1353z00_7863)), BgL_arg2723z00_9310);
			}
			{	/* Liveness/types.scm 107 */
				BgL_objectz00_bglt BgL_tmpz00_15663;

				BgL_tmpz00_15663 =
					((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_o1353z00_7863));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15663, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_o1353z00_7863));
			return ((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_o1353z00_7863));
		}

	}



/* &<@anonymous:2721> */
	obj_t BGl_z62zc3z04anonymousza32721ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7864, obj_t BgL_new1352z00_7865)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_vallocz00_bglt BgL_auxz00_15671;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vallocz00_bglt) BgL_new1352z00_7865))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15675;

					{	/* Liveness/types.scm 107 */
						obj_t BgL_classz00_9316;

						BgL_classz00_9316 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 107 */
							obj_t BgL__ortest_1112z00_9317;

							BgL__ortest_1112z00_9317 = BGL_CLASS_NIL(BgL_classz00_9316);
							if (CBOOL(BgL__ortest_1112z00_9317))
								{	/* Liveness/types.scm 107 */
									BgL_auxz00_15675 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9317);
								}
							else
								{	/* Liveness/types.scm 107 */
									BgL_auxz00_15675 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9316));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vallocz00_bglt) BgL_new1352z00_7865))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15675), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vallocz00_bglt) BgL_new1352z00_7865))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vallocz00_bglt)
										BgL_new1352z00_7865))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1352z00_7865))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1352z00_7865))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1352z00_7865))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4524z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15700;

					{	/* Liveness/types.scm 107 */
						obj_t BgL_classz00_9318;

						BgL_classz00_9318 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 107 */
							obj_t BgL__ortest_1112z00_9319;

							BgL__ortest_1112z00_9319 = BGL_CLASS_NIL(BgL_classz00_9318);
							if (CBOOL(BgL__ortest_1112z00_9319))
								{	/* Liveness/types.scm 107 */
									BgL_auxz00_15700 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9319);
								}
							else
								{	/* Liveness/types.scm 107 */
									BgL_auxz00_15700 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9318));
								}
						}
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_new1352z00_7865))))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_15700), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15710;

					{	/* Liveness/types.scm 107 */
						obj_t BgL_classz00_9320;

						BgL_classz00_9320 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 107 */
							obj_t BgL__ortest_1112z00_9321;

							BgL__ortest_1112z00_9321 = BGL_CLASS_NIL(BgL_classz00_9320);
							if (CBOOL(BgL__ortest_1112z00_9321))
								{	/* Liveness/types.scm 107 */
									BgL_auxz00_15710 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9321);
								}
							else
								{	/* Liveness/types.scm 107 */
									BgL_auxz00_15710 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9320));
								}
						}
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_new1352z00_7865))))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_15710), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_15720;

					{
						obj_t BgL_auxz00_15721;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_15722;

							BgL_tmpz00_15722 =
								((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) BgL_new1352z00_7865));
							BgL_auxz00_15721 = BGL_OBJECT_WIDENING(BgL_tmpz00_15722);
						}
						BgL_auxz00_15720 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15721);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15720))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_15728;

					{
						obj_t BgL_auxz00_15729;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_15730;

							BgL_tmpz00_15730 =
								((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) BgL_new1352z00_7865));
							BgL_auxz00_15729 = BGL_OBJECT_WIDENING(BgL_tmpz00_15730);
						}
						BgL_auxz00_15728 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15729);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15728))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_15736;

					{
						obj_t BgL_auxz00_15737;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_15738;

							BgL_tmpz00_15738 =
								((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) BgL_new1352z00_7865));
							BgL_auxz00_15737 = BGL_OBJECT_WIDENING(BgL_tmpz00_15738);
						}
						BgL_auxz00_15736 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15737);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15736))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_15744;

					{
						obj_t BgL_auxz00_15745;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_15746;

							BgL_tmpz00_15746 =
								((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) BgL_new1352z00_7865));
							BgL_auxz00_15745 = BGL_OBJECT_WIDENING(BgL_tmpz00_15746);
						}
						BgL_auxz00_15744 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15745);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15744))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_15671 = ((BgL_vallocz00_bglt) BgL_new1352z00_7865);
				return ((obj_t) BgL_auxz00_15671);
			}
		}

	}



/* &lambda2719 */
	BgL_vallocz00_bglt BGl_z62lambda2719z62zzliveness_typesz00(obj_t
		BgL_envz00_7866, obj_t BgL_o1349z00_7867)
	{
		{	/* Liveness/types.scm 107 */
			{	/* Liveness/types.scm 107 */
				BgL_valloczf2livenesszf2_bglt BgL_wide1351z00_9323;

				BgL_wide1351z00_9323 =
					((BgL_valloczf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_valloczf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 107 */
					obj_t BgL_auxz00_15759;
					BgL_objectz00_bglt BgL_tmpz00_15755;

					BgL_auxz00_15759 = ((obj_t) BgL_wide1351z00_9323);
					BgL_tmpz00_15755 =
						((BgL_objectz00_bglt)
						((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_o1349z00_7867)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15755, BgL_auxz00_15759);
				}
				((BgL_objectz00_bglt)
					((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_o1349z00_7867)));
				{	/* Liveness/types.scm 107 */
					long BgL_arg2720z00_9324;

					BgL_arg2720z00_9324 =
						BGL_CLASS_NUM(BGl_valloczf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_vallocz00_bglt)
								((BgL_vallocz00_bglt) BgL_o1349z00_7867))),
						BgL_arg2720z00_9324);
				}
				return
					((BgL_vallocz00_bglt)
					((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_o1349z00_7867)));
			}
		}

	}



/* &lambda2716 */
	BgL_vallocz00_bglt BGl_z62lambda2716z62zzliveness_typesz00(obj_t
		BgL_envz00_7868, obj_t BgL_loc1336z00_7869, obj_t BgL_type1337z00_7870,
		obj_t BgL_sidezd2effect1338zd2_7871, obj_t BgL_key1339z00_7872,
		obj_t BgL_exprza21340za2_7873, obj_t BgL_effect1341z00_7874,
		obj_t BgL_czd2format1342zd2_7875, obj_t BgL_ftype1343z00_7876,
		obj_t BgL_otype1344z00_7877, obj_t BgL_def1345z00_7878,
		obj_t BgL_use1346z00_7879, obj_t BgL_in1347z00_7880,
		obj_t BgL_out1348z00_7881)
	{
		{	/* Liveness/types.scm 107 */
			{	/* Liveness/types.scm 107 */
				BgL_vallocz00_bglt BgL_new1755z00_9334;

				{	/* Liveness/types.scm 107 */
					BgL_vallocz00_bglt BgL_tmp1753z00_9335;
					BgL_valloczf2livenesszf2_bglt BgL_wide1754z00_9336;

					{
						BgL_vallocz00_bglt BgL_auxz00_15773;

						{	/* Liveness/types.scm 107 */
							BgL_vallocz00_bglt BgL_new1752z00_9337;

							BgL_new1752z00_9337 =
								((BgL_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_vallocz00_bgl))));
							{	/* Liveness/types.scm 107 */
								long BgL_arg2718z00_9338;

								BgL_arg2718z00_9338 = BGL_CLASS_NUM(BGl_vallocz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1752z00_9337),
									BgL_arg2718z00_9338);
							}
							{	/* Liveness/types.scm 107 */
								BgL_objectz00_bglt BgL_tmpz00_15778;

								BgL_tmpz00_15778 = ((BgL_objectz00_bglt) BgL_new1752z00_9337);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15778, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1752z00_9337);
							BgL_auxz00_15773 = BgL_new1752z00_9337;
						}
						BgL_tmp1753z00_9335 = ((BgL_vallocz00_bglt) BgL_auxz00_15773);
					}
					BgL_wide1754z00_9336 =
						((BgL_valloczf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_valloczf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 107 */
						obj_t BgL_auxz00_15786;
						BgL_objectz00_bglt BgL_tmpz00_15784;

						BgL_auxz00_15786 = ((obj_t) BgL_wide1754z00_9336);
						BgL_tmpz00_15784 = ((BgL_objectz00_bglt) BgL_tmp1753z00_9335);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15784, BgL_auxz00_15786);
					}
					((BgL_objectz00_bglt) BgL_tmp1753z00_9335);
					{	/* Liveness/types.scm 107 */
						long BgL_arg2717z00_9339;

						BgL_arg2717z00_9339 =
							BGL_CLASS_NUM(BGl_valloczf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1753z00_9335), BgL_arg2717z00_9339);
					}
					BgL_new1755z00_9334 = ((BgL_vallocz00_bglt) BgL_tmp1753z00_9335);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1755z00_9334)))->BgL_locz00) =
					((obj_t) BgL_loc1336z00_7869), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1755z00_9334)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1337z00_7870)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1755z00_9334)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1338zd2_7871), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1755z00_9334)))->BgL_keyz00) =
					((obj_t) BgL_key1339z00_7872), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1755z00_9334)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21340za2_7873)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1755z00_9334)))->BgL_effectz00) =
					((obj_t) BgL_effect1341z00_7874), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1755z00_9334)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1342zd2_7875)), BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(((BgL_vallocz00_bglt)
									BgL_new1755z00_9334)))->BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1343z00_7876)),
					BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(((BgL_vallocz00_bglt)
									BgL_new1755z00_9334)))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1344z00_7877)),
					BUNSPEC);
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_15817;

					{
						obj_t BgL_auxz00_15818;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_15819;

							BgL_tmpz00_15819 = ((BgL_objectz00_bglt) BgL_new1755z00_9334);
							BgL_auxz00_15818 = BGL_OBJECT_WIDENING(BgL_tmpz00_15819);
						}
						BgL_auxz00_15817 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15818);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15817))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1345z00_7878)), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_15825;

					{
						obj_t BgL_auxz00_15826;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_15827;

							BgL_tmpz00_15827 = ((BgL_objectz00_bglt) BgL_new1755z00_9334);
							BgL_auxz00_15826 = BGL_OBJECT_WIDENING(BgL_tmpz00_15827);
						}
						BgL_auxz00_15825 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15826);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15825))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1346z00_7879)), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_15833;

					{
						obj_t BgL_auxz00_15834;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_15835;

							BgL_tmpz00_15835 = ((BgL_objectz00_bglt) BgL_new1755z00_9334);
							BgL_auxz00_15834 = BGL_OBJECT_WIDENING(BgL_tmpz00_15835);
						}
						BgL_auxz00_15833 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15834);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15833))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1347z00_7880)), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_15841;

					{
						obj_t BgL_auxz00_15842;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_15843;

							BgL_tmpz00_15843 = ((BgL_objectz00_bglt) BgL_new1755z00_9334);
							BgL_auxz00_15842 = BGL_OBJECT_WIDENING(BgL_tmpz00_15843);
						}
						BgL_auxz00_15841 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15842);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15841))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1348z00_7881)), BUNSPEC);
				}
				return BgL_new1755z00_9334;
			}
		}

	}



/* &<@anonymous:2765> */
	obj_t BGl_z62zc3z04anonymousza32765ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7882)
	{
		{	/* Liveness/types.scm 107 */
			return BNIL;
		}

	}



/* &lambda2764 */
	obj_t BGl_z62lambda2764z62zzliveness_typesz00(obj_t BgL_envz00_7883,
		obj_t BgL_oz00_7884, obj_t BgL_vz00_7885)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_15849;

				{
					obj_t BgL_auxz00_15850;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_15851;

						BgL_tmpz00_15851 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7884));
						BgL_auxz00_15850 = BGL_OBJECT_WIDENING(BgL_tmpz00_15851);
					}
					BgL_auxz00_15849 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15850);
				}
				return
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15849))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7885)), BUNSPEC);
			}
		}

	}



/* &lambda2763 */
	obj_t BGl_z62lambda2763z62zzliveness_typesz00(obj_t BgL_envz00_7886,
		obj_t BgL_oz00_7887)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_15858;

				{
					obj_t BgL_auxz00_15859;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_15860;

						BgL_tmpz00_15860 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7887));
						BgL_auxz00_15859 = BGL_OBJECT_WIDENING(BgL_tmpz00_15860);
					}
					BgL_auxz00_15858 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15859);
				}
				return
					(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15858))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2749> */
	obj_t BGl_z62zc3z04anonymousza32749ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7888)
	{
		{	/* Liveness/types.scm 107 */
			return BNIL;
		}

	}



/* &lambda2748 */
	obj_t BGl_z62lambda2748z62zzliveness_typesz00(obj_t BgL_envz00_7889,
		obj_t BgL_oz00_7890, obj_t BgL_vz00_7891)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_15866;

				{
					obj_t BgL_auxz00_15867;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_15868;

						BgL_tmpz00_15868 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7890));
						BgL_auxz00_15867 = BGL_OBJECT_WIDENING(BgL_tmpz00_15868);
					}
					BgL_auxz00_15866 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15867);
				}
				return
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15866))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7891)), BUNSPEC);
			}
		}

	}



/* &lambda2747 */
	obj_t BGl_z62lambda2747z62zzliveness_typesz00(obj_t BgL_envz00_7892,
		obj_t BgL_oz00_7893)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_15875;

				{
					obj_t BgL_auxz00_15876;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_15877;

						BgL_tmpz00_15877 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7893));
						BgL_auxz00_15876 = BGL_OBJECT_WIDENING(BgL_tmpz00_15877);
					}
					BgL_auxz00_15875 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15876);
				}
				return
					(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15875))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2741> */
	obj_t BGl_z62zc3z04anonymousza32741ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7894)
	{
		{	/* Liveness/types.scm 107 */
			return BNIL;
		}

	}



/* &lambda2740 */
	obj_t BGl_z62lambda2740z62zzliveness_typesz00(obj_t BgL_envz00_7895,
		obj_t BgL_oz00_7896, obj_t BgL_vz00_7897)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_15883;

				{
					obj_t BgL_auxz00_15884;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_15885;

						BgL_tmpz00_15885 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7896));
						BgL_auxz00_15884 = BGL_OBJECT_WIDENING(BgL_tmpz00_15885);
					}
					BgL_auxz00_15883 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15884);
				}
				return
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15883))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7897)), BUNSPEC);
			}
		}

	}



/* &lambda2739 */
	obj_t BGl_z62lambda2739z62zzliveness_typesz00(obj_t BgL_envz00_7898,
		obj_t BgL_oz00_7899)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_15892;

				{
					obj_t BgL_auxz00_15893;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_15894;

						BgL_tmpz00_15894 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7899));
						BgL_auxz00_15893 = BGL_OBJECT_WIDENING(BgL_tmpz00_15894);
					}
					BgL_auxz00_15892 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15893);
				}
				return
					(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15892))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2733> */
	obj_t BGl_z62zc3z04anonymousza32733ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7900)
	{
		{	/* Liveness/types.scm 107 */
			return BNIL;
		}

	}



/* &lambda2732 */
	obj_t BGl_z62lambda2732z62zzliveness_typesz00(obj_t BgL_envz00_7901,
		obj_t BgL_oz00_7902, obj_t BgL_vz00_7903)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_15900;

				{
					obj_t BgL_auxz00_15901;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_15902;

						BgL_tmpz00_15902 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7902));
						BgL_auxz00_15901 = BGL_OBJECT_WIDENING(BgL_tmpz00_15902);
					}
					BgL_auxz00_15900 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15901);
				}
				return
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15900))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7903)), BUNSPEC);
			}
		}

	}



/* &lambda2731 */
	obj_t BGl_z62lambda2731z62zzliveness_typesz00(obj_t BgL_envz00_7904,
		obj_t BgL_oz00_7905)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_15909;

				{
					obj_t BgL_auxz00_15910;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_15911;

						BgL_tmpz00_15911 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7905));
						BgL_auxz00_15910 = BGL_OBJECT_WIDENING(BgL_tmpz00_15911);
					}
					BgL_auxz00_15909 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15910);
				}
				return
					(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15909))->
					BgL_defz00);
			}
		}

	}



/* &lambda2671 */
	BgL_newz00_bglt BGl_z62lambda2671z62zzliveness_typesz00(obj_t BgL_envz00_7906,
		obj_t BgL_o1334z00_7907)
	{
		{	/* Liveness/types.scm 101 */
			{	/* Liveness/types.scm 101 */
				long BgL_arg2673z00_9353;

				{	/* Liveness/types.scm 101 */
					obj_t BgL_arg2674z00_9354;

					{	/* Liveness/types.scm 101 */
						obj_t BgL_arg2675z00_9355;

						{	/* Liveness/types.scm 101 */
							long BgL_arg1833z00_9356;

							{	/* Liveness/types.scm 101 */
								long BgL_arg1834z00_9357;

								BgL_arg1834z00_9357 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_o1334z00_7907)));
								BgL_arg1833z00_9356 = (BgL_arg1834z00_9357 - OBJECT_TYPE);
							}
							BgL_arg2675z00_9355 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9356);
						}
						BgL_arg2674z00_9354 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2675z00_9355);
					}
					{	/* Liveness/types.scm 101 */
						obj_t BgL_tmpz00_15923;

						BgL_tmpz00_15923 = ((obj_t) BgL_arg2674z00_9354);
						BgL_arg2673z00_9353 = BGL_CLASS_NUM(BgL_tmpz00_15923);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_newz00_bglt) BgL_o1334z00_7907)), BgL_arg2673z00_9353);
			}
			{	/* Liveness/types.scm 101 */
				BgL_objectz00_bglt BgL_tmpz00_15929;

				BgL_tmpz00_15929 =
					((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_o1334z00_7907));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15929, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_o1334z00_7907));
			return ((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_o1334z00_7907));
		}

	}



/* &<@anonymous:2670> */
	obj_t BGl_z62zc3z04anonymousza32670ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7908, obj_t BgL_new1333z00_7909)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newz00_bglt BgL_auxz00_15937;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_newz00_bglt) BgL_new1333z00_7909))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15941;

					{	/* Liveness/types.scm 101 */
						obj_t BgL_classz00_9359;

						BgL_classz00_9359 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 101 */
							obj_t BgL__ortest_1112z00_9360;

							BgL__ortest_1112z00_9360 = BGL_CLASS_NIL(BgL_classz00_9359);
							if (CBOOL(BgL__ortest_1112z00_9360))
								{	/* Liveness/types.scm 101 */
									BgL_auxz00_15941 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9360);
								}
							else
								{	/* Liveness/types.scm 101 */
									BgL_auxz00_15941 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9359));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_newz00_bglt) BgL_new1333z00_7909))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15941), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_newz00_bglt) BgL_new1333z00_7909))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_newz00_bglt)
										BgL_new1333z00_7909))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt) ((BgL_newz00_bglt)
										BgL_new1333z00_7909))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt) ((BgL_newz00_bglt)
										BgL_new1333z00_7909))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_newz00_bglt)
										BgL_new1333z00_7909))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4524z00zzliveness_typesz00), BUNSPEC);
				((((BgL_newz00_bglt) COBJECT(((BgL_newz00_bglt) ((BgL_newz00_bglt)
										BgL_new1333z00_7909))))->BgL_argszd2typezd2) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_15969;

					{
						obj_t BgL_auxz00_15970;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_15971;

							BgL_tmpz00_15971 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_new1333z00_7909));
							BgL_auxz00_15970 = BGL_OBJECT_WIDENING(BgL_tmpz00_15971);
						}
						BgL_auxz00_15969 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_15970);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15969))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_15977;

					{
						obj_t BgL_auxz00_15978;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_15979;

							BgL_tmpz00_15979 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_new1333z00_7909));
							BgL_auxz00_15978 = BGL_OBJECT_WIDENING(BgL_tmpz00_15979);
						}
						BgL_auxz00_15977 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_15978);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15977))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_15985;

					{
						obj_t BgL_auxz00_15986;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_15987;

							BgL_tmpz00_15987 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_new1333z00_7909));
							BgL_auxz00_15986 = BGL_OBJECT_WIDENING(BgL_tmpz00_15987);
						}
						BgL_auxz00_15985 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_15986);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15985))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_15993;

					{
						obj_t BgL_auxz00_15994;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_15995;

							BgL_tmpz00_15995 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_new1333z00_7909));
							BgL_auxz00_15994 = BGL_OBJECT_WIDENING(BgL_tmpz00_15995);
						}
						BgL_auxz00_15993 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_15994);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15993))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_15937 = ((BgL_newz00_bglt) BgL_new1333z00_7909);
				return ((obj_t) BgL_auxz00_15937);
			}
		}

	}



/* &lambda2668 */
	BgL_newz00_bglt BGl_z62lambda2668z62zzliveness_typesz00(obj_t BgL_envz00_7910,
		obj_t BgL_o1330z00_7911)
	{
		{	/* Liveness/types.scm 101 */
			{	/* Liveness/types.scm 101 */
				BgL_newzf2livenesszf2_bglt BgL_wide1332z00_9362;

				BgL_wide1332z00_9362 =
					((BgL_newzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_newzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 101 */
					obj_t BgL_auxz00_16008;
					BgL_objectz00_bglt BgL_tmpz00_16004;

					BgL_auxz00_16008 = ((obj_t) BgL_wide1332z00_9362);
					BgL_tmpz00_16004 =
						((BgL_objectz00_bglt)
						((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_o1330z00_7911)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16004, BgL_auxz00_16008);
				}
				((BgL_objectz00_bglt)
					((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_o1330z00_7911)));
				{	/* Liveness/types.scm 101 */
					long BgL_arg2669z00_9363;

					BgL_arg2669z00_9363 =
						BGL_CLASS_NUM(BGl_newzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_newz00_bglt)
								((BgL_newz00_bglt) BgL_o1330z00_7911))), BgL_arg2669z00_9363);
				}
				return
					((BgL_newz00_bglt)
					((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_o1330z00_7911)));
			}
		}

	}



/* &lambda2665 */
	BgL_newz00_bglt BGl_z62lambda2665z62zzliveness_typesz00(obj_t BgL_envz00_7912,
		obj_t BgL_loc1318z00_7913, obj_t BgL_type1319z00_7914,
		obj_t BgL_sidezd2effect1320zd2_7915, obj_t BgL_key1321z00_7916,
		obj_t BgL_exprza21322za2_7917, obj_t BgL_effect1323z00_7918,
		obj_t BgL_czd2format1324zd2_7919, obj_t BgL_argszd2type1325zd2_7920,
		obj_t BgL_def1326z00_7921, obj_t BgL_use1327z00_7922,
		obj_t BgL_in1328z00_7923, obj_t BgL_out1329z00_7924)
	{
		{	/* Liveness/types.scm 101 */
			{	/* Liveness/types.scm 101 */
				BgL_newz00_bglt BgL_new1750z00_9372;

				{	/* Liveness/types.scm 101 */
					BgL_newz00_bglt BgL_tmp1748z00_9373;
					BgL_newzf2livenesszf2_bglt BgL_wide1749z00_9374;

					{
						BgL_newz00_bglt BgL_auxz00_16022;

						{	/* Liveness/types.scm 101 */
							BgL_newz00_bglt BgL_new1747z00_9375;

							BgL_new1747z00_9375 =
								((BgL_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_newz00_bgl))));
							{	/* Liveness/types.scm 101 */
								long BgL_arg2667z00_9376;

								BgL_arg2667z00_9376 = BGL_CLASS_NUM(BGl_newz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1747z00_9375),
									BgL_arg2667z00_9376);
							}
							{	/* Liveness/types.scm 101 */
								BgL_objectz00_bglt BgL_tmpz00_16027;

								BgL_tmpz00_16027 = ((BgL_objectz00_bglt) BgL_new1747z00_9375);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16027, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1747z00_9375);
							BgL_auxz00_16022 = BgL_new1747z00_9375;
						}
						BgL_tmp1748z00_9373 = ((BgL_newz00_bglt) BgL_auxz00_16022);
					}
					BgL_wide1749z00_9374 =
						((BgL_newzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_newzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 101 */
						obj_t BgL_auxz00_16035;
						BgL_objectz00_bglt BgL_tmpz00_16033;

						BgL_auxz00_16035 = ((obj_t) BgL_wide1749z00_9374);
						BgL_tmpz00_16033 = ((BgL_objectz00_bglt) BgL_tmp1748z00_9373);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16033, BgL_auxz00_16035);
					}
					((BgL_objectz00_bglt) BgL_tmp1748z00_9373);
					{	/* Liveness/types.scm 101 */
						long BgL_arg2666z00_9377;

						BgL_arg2666z00_9377 =
							BGL_CLASS_NUM(BGl_newzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1748z00_9373), BgL_arg2666z00_9377);
					}
					BgL_new1750z00_9372 = ((BgL_newz00_bglt) BgL_tmp1748z00_9373);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1750z00_9372)))->BgL_locz00) =
					((obj_t) BgL_loc1318z00_7913), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1750z00_9372)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1319z00_7914)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1750z00_9372)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1320zd2_7915), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1750z00_9372)))->BgL_keyz00) =
					((obj_t) BgL_key1321z00_7916), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1750z00_9372)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21322za2_7917)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1750z00_9372)))->BgL_effectz00) =
					((obj_t) BgL_effect1323z00_7918), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1750z00_9372)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1324zd2_7919)), BUNSPEC);
				((((BgL_newz00_bglt) COBJECT(((BgL_newz00_bglt) BgL_new1750z00_9372)))->
						BgL_argszd2typezd2) =
					((obj_t) ((obj_t) BgL_argszd2type1325zd2_7920)), BUNSPEC);
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_16063;

					{
						obj_t BgL_auxz00_16064;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_16065;

							BgL_tmpz00_16065 = ((BgL_objectz00_bglt) BgL_new1750z00_9372);
							BgL_auxz00_16064 = BGL_OBJECT_WIDENING(BgL_tmpz00_16065);
						}
						BgL_auxz00_16063 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16064);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16063))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1326z00_7921)), BUNSPEC);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_16071;

					{
						obj_t BgL_auxz00_16072;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_16073;

							BgL_tmpz00_16073 = ((BgL_objectz00_bglt) BgL_new1750z00_9372);
							BgL_auxz00_16072 = BGL_OBJECT_WIDENING(BgL_tmpz00_16073);
						}
						BgL_auxz00_16071 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16072);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16071))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1327z00_7922)), BUNSPEC);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_16079;

					{
						obj_t BgL_auxz00_16080;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_16081;

							BgL_tmpz00_16081 = ((BgL_objectz00_bglt) BgL_new1750z00_9372);
							BgL_auxz00_16080 = BGL_OBJECT_WIDENING(BgL_tmpz00_16081);
						}
						BgL_auxz00_16079 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16080);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16079))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1328z00_7923)), BUNSPEC);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_16087;

					{
						obj_t BgL_auxz00_16088;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_16089;

							BgL_tmpz00_16089 = ((BgL_objectz00_bglt) BgL_new1750z00_9372);
							BgL_auxz00_16088 = BGL_OBJECT_WIDENING(BgL_tmpz00_16089);
						}
						BgL_auxz00_16087 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16088);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16087))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1329z00_7924)), BUNSPEC);
				}
				return BgL_new1750z00_9372;
			}
		}

	}



/* &<@anonymous:2706> */
	obj_t BGl_z62zc3z04anonymousza32706ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7925)
	{
		{	/* Liveness/types.scm 101 */
			return BNIL;
		}

	}



/* &lambda2705 */
	obj_t BGl_z62lambda2705z62zzliveness_typesz00(obj_t BgL_envz00_7926,
		obj_t BgL_oz00_7927, obj_t BgL_vz00_7928)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16095;

				{
					obj_t BgL_auxz00_16096;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16097;

						BgL_tmpz00_16097 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7927));
						BgL_auxz00_16096 = BGL_OBJECT_WIDENING(BgL_tmpz00_16097);
					}
					BgL_auxz00_16095 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16096);
				}
				return
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16095))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7928)), BUNSPEC);
			}
		}

	}



/* &lambda2704 */
	obj_t BGl_z62lambda2704z62zzliveness_typesz00(obj_t BgL_envz00_7929,
		obj_t BgL_oz00_7930)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16104;

				{
					obj_t BgL_auxz00_16105;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16106;

						BgL_tmpz00_16106 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7930));
						BgL_auxz00_16105 = BGL_OBJECT_WIDENING(BgL_tmpz00_16106);
					}
					BgL_auxz00_16104 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16105);
				}
				return
					(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16104))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2697> */
	obj_t BGl_z62zc3z04anonymousza32697ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7931)
	{
		{	/* Liveness/types.scm 101 */
			return BNIL;
		}

	}



/* &lambda2696 */
	obj_t BGl_z62lambda2696z62zzliveness_typesz00(obj_t BgL_envz00_7932,
		obj_t BgL_oz00_7933, obj_t BgL_vz00_7934)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16112;

				{
					obj_t BgL_auxz00_16113;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16114;

						BgL_tmpz00_16114 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7933));
						BgL_auxz00_16113 = BGL_OBJECT_WIDENING(BgL_tmpz00_16114);
					}
					BgL_auxz00_16112 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16113);
				}
				return
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16112))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7934)), BUNSPEC);
			}
		}

	}



/* &lambda2695 */
	obj_t BGl_z62lambda2695z62zzliveness_typesz00(obj_t BgL_envz00_7935,
		obj_t BgL_oz00_7936)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16121;

				{
					obj_t BgL_auxz00_16122;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16123;

						BgL_tmpz00_16123 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7936));
						BgL_auxz00_16122 = BGL_OBJECT_WIDENING(BgL_tmpz00_16123);
					}
					BgL_auxz00_16121 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16122);
				}
				return
					(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16121))->BgL_inz00);
			}
		}

	}



/* &<@anonymous:2690> */
	obj_t BGl_z62zc3z04anonymousza32690ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7937)
	{
		{	/* Liveness/types.scm 101 */
			return BNIL;
		}

	}



/* &lambda2689 */
	obj_t BGl_z62lambda2689z62zzliveness_typesz00(obj_t BgL_envz00_7938,
		obj_t BgL_oz00_7939, obj_t BgL_vz00_7940)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16129;

				{
					obj_t BgL_auxz00_16130;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16131;

						BgL_tmpz00_16131 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7939));
						BgL_auxz00_16130 = BGL_OBJECT_WIDENING(BgL_tmpz00_16131);
					}
					BgL_auxz00_16129 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16130);
				}
				return
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16129))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7940)), BUNSPEC);
			}
		}

	}



/* &lambda2688 */
	obj_t BGl_z62lambda2688z62zzliveness_typesz00(obj_t BgL_envz00_7941,
		obj_t BgL_oz00_7942)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16138;

				{
					obj_t BgL_auxz00_16139;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16140;

						BgL_tmpz00_16140 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7942));
						BgL_auxz00_16139 = BGL_OBJECT_WIDENING(BgL_tmpz00_16140);
					}
					BgL_auxz00_16138 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16139);
				}
				return
					(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16138))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2683> */
	obj_t BGl_z62zc3z04anonymousza32683ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7943)
	{
		{	/* Liveness/types.scm 101 */
			return BNIL;
		}

	}



/* &lambda2682 */
	obj_t BGl_z62lambda2682z62zzliveness_typesz00(obj_t BgL_envz00_7944,
		obj_t BgL_oz00_7945, obj_t BgL_vz00_7946)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16146;

				{
					obj_t BgL_auxz00_16147;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16148;

						BgL_tmpz00_16148 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7945));
						BgL_auxz00_16147 = BGL_OBJECT_WIDENING(BgL_tmpz00_16148);
					}
					BgL_auxz00_16146 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16147);
				}
				return
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16146))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7946)), BUNSPEC);
			}
		}

	}



/* &lambda2681 */
	obj_t BGl_z62lambda2681z62zzliveness_typesz00(obj_t BgL_envz00_7947,
		obj_t BgL_oz00_7948)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16155;

				{
					obj_t BgL_auxz00_16156;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16157;

						BgL_tmpz00_16157 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7948));
						BgL_auxz00_16156 = BGL_OBJECT_WIDENING(BgL_tmpz00_16157);
					}
					BgL_auxz00_16155 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16156);
				}
				return
					(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16155))->
					BgL_defz00);
			}
		}

	}



/* &lambda2622 */
	BgL_wideningz00_bglt BGl_z62lambda2622z62zzliveness_typesz00(obj_t
		BgL_envz00_7949, obj_t BgL_o1316z00_7950)
	{
		{	/* Liveness/types.scm 95 */
			{	/* Liveness/types.scm 95 */
				long BgL_arg2623z00_9391;

				{	/* Liveness/types.scm 95 */
					obj_t BgL_arg2624z00_9392;

					{	/* Liveness/types.scm 95 */
						obj_t BgL_arg2625z00_9393;

						{	/* Liveness/types.scm 95 */
							long BgL_arg1833z00_9394;

							{	/* Liveness/types.scm 95 */
								long BgL_arg1834z00_9395;

								BgL_arg1834z00_9395 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt) BgL_o1316z00_7950)));
								BgL_arg1833z00_9394 = (BgL_arg1834z00_9395 - OBJECT_TYPE);
							}
							BgL_arg2625z00_9393 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9394);
						}
						BgL_arg2624z00_9392 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2625z00_9393);
					}
					{	/* Liveness/types.scm 95 */
						obj_t BgL_tmpz00_16169;

						BgL_tmpz00_16169 = ((obj_t) BgL_arg2624z00_9392);
						BgL_arg2623z00_9391 = BGL_CLASS_NUM(BgL_tmpz00_16169);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_wideningz00_bglt) BgL_o1316z00_7950)), BgL_arg2623z00_9391);
			}
			{	/* Liveness/types.scm 95 */
				BgL_objectz00_bglt BgL_tmpz00_16175;

				BgL_tmpz00_16175 =
					((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_o1316z00_7950));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16175, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_o1316z00_7950));
			return
				((BgL_wideningz00_bglt) ((BgL_wideningz00_bglt) BgL_o1316z00_7950));
		}

	}



/* &<@anonymous:2621> */
	obj_t BGl_z62zc3z04anonymousza32621ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7951, obj_t BgL_new1315z00_7952)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningz00_bglt BgL_auxz00_16183;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_wideningz00_bglt) BgL_new1315z00_7952))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16187;

					{	/* Liveness/types.scm 95 */
						obj_t BgL_classz00_9397;

						BgL_classz00_9397 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 95 */
							obj_t BgL__ortest_1112z00_9398;

							BgL__ortest_1112z00_9398 = BGL_CLASS_NIL(BgL_classz00_9397);
							if (CBOOL(BgL__ortest_1112z00_9398))
								{	/* Liveness/types.scm 95 */
									BgL_auxz00_16187 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9398);
								}
							else
								{	/* Liveness/types.scm 95 */
									BgL_auxz00_16187 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9397));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_wideningz00_bglt) BgL_new1315z00_7952))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16187), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_wideningz00_bglt) BgL_new1315z00_7952))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_wideningz00_bglt)
										BgL_new1315z00_7952))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1315z00_7952))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1315z00_7952))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1315z00_7952))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4524z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16212;

					{	/* Liveness/types.scm 95 */
						obj_t BgL_classz00_9399;

						BgL_classz00_9399 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 95 */
							obj_t BgL__ortest_1112z00_9400;

							BgL__ortest_1112z00_9400 = BGL_CLASS_NIL(BgL_classz00_9399);
							if (CBOOL(BgL__ortest_1112z00_9400))
								{	/* Liveness/types.scm 95 */
									BgL_auxz00_16212 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9400);
								}
							else
								{	/* Liveness/types.scm 95 */
									BgL_auxz00_16212 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9399));
								}
						}
					}
					((((BgL_wideningz00_bglt) COBJECT(
									((BgL_wideningz00_bglt)
										((BgL_wideningz00_bglt) BgL_new1315z00_7952))))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_16212), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16222;

					{
						obj_t BgL_auxz00_16223;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16224;

							BgL_tmpz00_16224 =
								((BgL_objectz00_bglt)
								((BgL_wideningz00_bglt) BgL_new1315z00_7952));
							BgL_auxz00_16223 = BGL_OBJECT_WIDENING(BgL_tmpz00_16224);
						}
						BgL_auxz00_16222 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16223);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16222))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16230;

					{
						obj_t BgL_auxz00_16231;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16232;

							BgL_tmpz00_16232 =
								((BgL_objectz00_bglt)
								((BgL_wideningz00_bglt) BgL_new1315z00_7952));
							BgL_auxz00_16231 = BGL_OBJECT_WIDENING(BgL_tmpz00_16232);
						}
						BgL_auxz00_16230 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16231);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16230))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16238;

					{
						obj_t BgL_auxz00_16239;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16240;

							BgL_tmpz00_16240 =
								((BgL_objectz00_bglt)
								((BgL_wideningz00_bglt) BgL_new1315z00_7952));
							BgL_auxz00_16239 = BGL_OBJECT_WIDENING(BgL_tmpz00_16240);
						}
						BgL_auxz00_16238 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16239);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16238))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16246;

					{
						obj_t BgL_auxz00_16247;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16248;

							BgL_tmpz00_16248 =
								((BgL_objectz00_bglt)
								((BgL_wideningz00_bglt) BgL_new1315z00_7952));
							BgL_auxz00_16247 = BGL_OBJECT_WIDENING(BgL_tmpz00_16248);
						}
						BgL_auxz00_16246 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16247);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16246))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_16183 = ((BgL_wideningz00_bglt) BgL_new1315z00_7952);
				return ((obj_t) BgL_auxz00_16183);
			}
		}

	}



/* &lambda2619 */
	BgL_wideningz00_bglt BGl_z62lambda2619z62zzliveness_typesz00(obj_t
		BgL_envz00_7953, obj_t BgL_o1312z00_7954)
	{
		{	/* Liveness/types.scm 95 */
			{	/* Liveness/types.scm 95 */
				BgL_wideningzf2livenesszf2_bglt BgL_wide1314z00_9402;

				BgL_wide1314z00_9402 =
					((BgL_wideningzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_wideningzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 95 */
					obj_t BgL_auxz00_16261;
					BgL_objectz00_bglt BgL_tmpz00_16257;

					BgL_auxz00_16261 = ((obj_t) BgL_wide1314z00_9402);
					BgL_tmpz00_16257 =
						((BgL_objectz00_bglt)
						((BgL_wideningz00_bglt)
							((BgL_wideningz00_bglt) BgL_o1312z00_7954)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16257, BgL_auxz00_16261);
				}
				((BgL_objectz00_bglt)
					((BgL_wideningz00_bglt) ((BgL_wideningz00_bglt) BgL_o1312z00_7954)));
				{	/* Liveness/types.scm 95 */
					long BgL_arg2620z00_9403;

					BgL_arg2620z00_9403 =
						BGL_CLASS_NUM(BGl_wideningzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_wideningz00_bglt)
								((BgL_wideningz00_bglt) BgL_o1312z00_7954))),
						BgL_arg2620z00_9403);
				}
				return
					((BgL_wideningz00_bglt)
					((BgL_wideningz00_bglt) ((BgL_wideningz00_bglt) BgL_o1312z00_7954)));
			}
		}

	}



/* &lambda2616 */
	BgL_wideningz00_bglt BGl_z62lambda2616z62zzliveness_typesz00(obj_t
		BgL_envz00_7955, obj_t BgL_loc1300z00_7956, obj_t BgL_type1301z00_7957,
		obj_t BgL_sidezd2effect1302zd2_7958, obj_t BgL_key1303z00_7959,
		obj_t BgL_exprza21304za2_7960, obj_t BgL_effect1305z00_7961,
		obj_t BgL_czd2format1306zd2_7962, obj_t BgL_otype1307z00_7963,
		obj_t BgL_def1308z00_7964, obj_t BgL_use1309z00_7965,
		obj_t BgL_in1310z00_7966, obj_t BgL_out1311z00_7967)
	{
		{	/* Liveness/types.scm 95 */
			{	/* Liveness/types.scm 95 */
				BgL_wideningz00_bglt BgL_new1745z00_9412;

				{	/* Liveness/types.scm 95 */
					BgL_wideningz00_bglt BgL_tmp1743z00_9413;
					BgL_wideningzf2livenesszf2_bglt BgL_wide1744z00_9414;

					{
						BgL_wideningz00_bglt BgL_auxz00_16275;

						{	/* Liveness/types.scm 95 */
							BgL_wideningz00_bglt BgL_new1742z00_9415;

							BgL_new1742z00_9415 =
								((BgL_wideningz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_wideningz00_bgl))));
							{	/* Liveness/types.scm 95 */
								long BgL_arg2618z00_9416;

								BgL_arg2618z00_9416 =
									BGL_CLASS_NUM(BGl_wideningz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1742z00_9415),
									BgL_arg2618z00_9416);
							}
							{	/* Liveness/types.scm 95 */
								BgL_objectz00_bglt BgL_tmpz00_16280;

								BgL_tmpz00_16280 = ((BgL_objectz00_bglt) BgL_new1742z00_9415);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16280, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1742z00_9415);
							BgL_auxz00_16275 = BgL_new1742z00_9415;
						}
						BgL_tmp1743z00_9413 = ((BgL_wideningz00_bglt) BgL_auxz00_16275);
					}
					BgL_wide1744z00_9414 =
						((BgL_wideningzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_wideningzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 95 */
						obj_t BgL_auxz00_16288;
						BgL_objectz00_bglt BgL_tmpz00_16286;

						BgL_auxz00_16288 = ((obj_t) BgL_wide1744z00_9414);
						BgL_tmpz00_16286 = ((BgL_objectz00_bglt) BgL_tmp1743z00_9413);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16286, BgL_auxz00_16288);
					}
					((BgL_objectz00_bglt) BgL_tmp1743z00_9413);
					{	/* Liveness/types.scm 95 */
						long BgL_arg2617z00_9417;

						BgL_arg2617z00_9417 =
							BGL_CLASS_NUM(BGl_wideningzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1743z00_9413), BgL_arg2617z00_9417);
					}
					BgL_new1745z00_9412 = ((BgL_wideningz00_bglt) BgL_tmp1743z00_9413);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1745z00_9412)))->BgL_locz00) =
					((obj_t) BgL_loc1300z00_7956), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1745z00_9412)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1301z00_7957)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1745z00_9412)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1302zd2_7958), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1745z00_9412)))->BgL_keyz00) =
					((obj_t) BgL_key1303z00_7959), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1745z00_9412)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21304za2_7960)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1745z00_9412)))->BgL_effectz00) =
					((obj_t) BgL_effect1305z00_7961), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1745z00_9412)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1306zd2_7962)), BUNSPEC);
				((((BgL_wideningz00_bglt) COBJECT(((BgL_wideningz00_bglt)
									BgL_new1745z00_9412)))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1307z00_7963)),
					BUNSPEC);
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16316;

					{
						obj_t BgL_auxz00_16317;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16318;

							BgL_tmpz00_16318 = ((BgL_objectz00_bglt) BgL_new1745z00_9412);
							BgL_auxz00_16317 = BGL_OBJECT_WIDENING(BgL_tmpz00_16318);
						}
						BgL_auxz00_16316 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16317);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16316))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1308z00_7964)), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16324;

					{
						obj_t BgL_auxz00_16325;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16326;

							BgL_tmpz00_16326 = ((BgL_objectz00_bglt) BgL_new1745z00_9412);
							BgL_auxz00_16325 = BGL_OBJECT_WIDENING(BgL_tmpz00_16326);
						}
						BgL_auxz00_16324 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16325);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16324))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1309z00_7965)), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16332;

					{
						obj_t BgL_auxz00_16333;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16334;

							BgL_tmpz00_16334 = ((BgL_objectz00_bglt) BgL_new1745z00_9412);
							BgL_auxz00_16333 = BGL_OBJECT_WIDENING(BgL_tmpz00_16334);
						}
						BgL_auxz00_16332 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16333);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16332))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1310z00_7966)), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16340;

					{
						obj_t BgL_auxz00_16341;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16342;

							BgL_tmpz00_16342 = ((BgL_objectz00_bglt) BgL_new1745z00_9412);
							BgL_auxz00_16341 = BGL_OBJECT_WIDENING(BgL_tmpz00_16342);
						}
						BgL_auxz00_16340 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16341);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16340))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1311z00_7967)), BUNSPEC);
				}
				return BgL_new1745z00_9412;
			}
		}

	}



/* &<@anonymous:2658> */
	obj_t BGl_z62zc3z04anonymousza32658ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7968)
	{
		{	/* Liveness/types.scm 95 */
			return BNIL;
		}

	}



/* &lambda2657 */
	obj_t BGl_z62lambda2657z62zzliveness_typesz00(obj_t BgL_envz00_7969,
		obj_t BgL_oz00_7970, obj_t BgL_vz00_7971)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16348;

				{
					obj_t BgL_auxz00_16349;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16350;

						BgL_tmpz00_16350 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_7970));
						BgL_auxz00_16349 = BGL_OBJECT_WIDENING(BgL_tmpz00_16350);
					}
					BgL_auxz00_16348 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16349);
				}
				return
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16348))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7971)), BUNSPEC);
			}
		}

	}



/* &lambda2656 */
	obj_t BGl_z62lambda2656z62zzliveness_typesz00(obj_t BgL_envz00_7972,
		obj_t BgL_oz00_7973)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16357;

				{
					obj_t BgL_auxz00_16358;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16359;

						BgL_tmpz00_16359 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_7973));
						BgL_auxz00_16358 = BGL_OBJECT_WIDENING(BgL_tmpz00_16359);
					}
					BgL_auxz00_16357 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16358);
				}
				return
					(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16357))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2651> */
	obj_t BGl_z62zc3z04anonymousza32651ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7974)
	{
		{	/* Liveness/types.scm 95 */
			return BNIL;
		}

	}



/* &lambda2650 */
	obj_t BGl_z62lambda2650z62zzliveness_typesz00(obj_t BgL_envz00_7975,
		obj_t BgL_oz00_7976, obj_t BgL_vz00_7977)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16365;

				{
					obj_t BgL_auxz00_16366;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16367;

						BgL_tmpz00_16367 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_7976));
						BgL_auxz00_16366 = BGL_OBJECT_WIDENING(BgL_tmpz00_16367);
					}
					BgL_auxz00_16365 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16366);
				}
				return
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16365))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7977)), BUNSPEC);
			}
		}

	}



/* &lambda2649 */
	obj_t BGl_z62lambda2649z62zzliveness_typesz00(obj_t BgL_envz00_7978,
		obj_t BgL_oz00_7979)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16374;

				{
					obj_t BgL_auxz00_16375;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16376;

						BgL_tmpz00_16376 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_7979));
						BgL_auxz00_16375 = BGL_OBJECT_WIDENING(BgL_tmpz00_16376);
					}
					BgL_auxz00_16374 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16375);
				}
				return
					(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16374))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2643> */
	obj_t BGl_z62zc3z04anonymousza32643ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7980)
	{
		{	/* Liveness/types.scm 95 */
			return BNIL;
		}

	}



/* &lambda2642 */
	obj_t BGl_z62lambda2642z62zzliveness_typesz00(obj_t BgL_envz00_7981,
		obj_t BgL_oz00_7982, obj_t BgL_vz00_7983)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16382;

				{
					obj_t BgL_auxz00_16383;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16384;

						BgL_tmpz00_16384 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_7982));
						BgL_auxz00_16383 = BGL_OBJECT_WIDENING(BgL_tmpz00_16384);
					}
					BgL_auxz00_16382 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16383);
				}
				return
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16382))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7983)), BUNSPEC);
			}
		}

	}



/* &lambda2641 */
	obj_t BGl_z62lambda2641z62zzliveness_typesz00(obj_t BgL_envz00_7984,
		obj_t BgL_oz00_7985)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16391;

				{
					obj_t BgL_auxz00_16392;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16393;

						BgL_tmpz00_16393 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_7985));
						BgL_auxz00_16392 = BGL_OBJECT_WIDENING(BgL_tmpz00_16393);
					}
					BgL_auxz00_16391 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16392);
				}
				return
					(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16391))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2634> */
	obj_t BGl_z62zc3z04anonymousza32634ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7986)
	{
		{	/* Liveness/types.scm 95 */
			return BNIL;
		}

	}



/* &lambda2633 */
	obj_t BGl_z62lambda2633z62zzliveness_typesz00(obj_t BgL_envz00_7987,
		obj_t BgL_oz00_7988, obj_t BgL_vz00_7989)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16399;

				{
					obj_t BgL_auxz00_16400;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16401;

						BgL_tmpz00_16401 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_7988));
						BgL_auxz00_16400 = BGL_OBJECT_WIDENING(BgL_tmpz00_16401);
					}
					BgL_auxz00_16399 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16400);
				}
				return
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16399))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7989)), BUNSPEC);
			}
		}

	}



/* &lambda2632 */
	obj_t BGl_z62lambda2632z62zzliveness_typesz00(obj_t BgL_envz00_7990,
		obj_t BgL_oz00_7991)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16408;

				{
					obj_t BgL_auxz00_16409;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16410;

						BgL_tmpz00_16410 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_7991));
						BgL_auxz00_16409 = BGL_OBJECT_WIDENING(BgL_tmpz00_16410);
					}
					BgL_auxz00_16408 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16409);
				}
				return
					(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16408))->
					BgL_defz00);
			}
		}

	}



/* &lambda2572 */
	BgL_setfieldz00_bglt BGl_z62lambda2572z62zzliveness_typesz00(obj_t
		BgL_envz00_7992, obj_t BgL_o1298z00_7993)
	{
		{	/* Liveness/types.scm 89 */
			{	/* Liveness/types.scm 89 */
				long BgL_arg2573z00_9431;

				{	/* Liveness/types.scm 89 */
					obj_t BgL_arg2574z00_9432;

					{	/* Liveness/types.scm 89 */
						obj_t BgL_arg2576z00_9433;

						{	/* Liveness/types.scm 89 */
							long BgL_arg1833z00_9434;

							{	/* Liveness/types.scm 89 */
								long BgL_arg1834z00_9435;

								BgL_arg1834z00_9435 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt) BgL_o1298z00_7993)));
								BgL_arg1833z00_9434 = (BgL_arg1834z00_9435 - OBJECT_TYPE);
							}
							BgL_arg2576z00_9433 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9434);
						}
						BgL_arg2574z00_9432 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2576z00_9433);
					}
					{	/* Liveness/types.scm 89 */
						obj_t BgL_tmpz00_16422;

						BgL_tmpz00_16422 = ((obj_t) BgL_arg2574z00_9432);
						BgL_arg2573z00_9431 = BGL_CLASS_NUM(BgL_tmpz00_16422);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_setfieldz00_bglt) BgL_o1298z00_7993)), BgL_arg2573z00_9431);
			}
			{	/* Liveness/types.scm 89 */
				BgL_objectz00_bglt BgL_tmpz00_16428;

				BgL_tmpz00_16428 =
					((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_o1298z00_7993));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16428, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_o1298z00_7993));
			return
				((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_o1298z00_7993));
		}

	}



/* &<@anonymous:2571> */
	obj_t BGl_z62zc3z04anonymousza32571ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7994, obj_t BgL_new1297z00_7995)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldz00_bglt BgL_auxz00_16436;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setfieldz00_bglt) BgL_new1297z00_7995))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16440;

					{	/* Liveness/types.scm 89 */
						obj_t BgL_classz00_9437;

						BgL_classz00_9437 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 89 */
							obj_t BgL__ortest_1112z00_9438;

							BgL__ortest_1112z00_9438 = BGL_CLASS_NIL(BgL_classz00_9437);
							if (CBOOL(BgL__ortest_1112z00_9438))
								{	/* Liveness/types.scm 89 */
									BgL_auxz00_16440 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9438);
								}
							else
								{	/* Liveness/types.scm 89 */
									BgL_auxz00_16440 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9437));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setfieldz00_bglt) BgL_new1297z00_7995))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16440), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_setfieldz00_bglt) BgL_new1297z00_7995))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1297z00_7995))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1297z00_7995))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1297z00_7995))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1297z00_7995))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4524z00zzliveness_typesz00), BUNSPEC);
				((((BgL_setfieldz00_bglt)
							COBJECT(((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1297z00_7995))))->BgL_fnamez00) =
					((obj_t) BGl_string4524z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16468;

					{	/* Liveness/types.scm 89 */
						obj_t BgL_classz00_9439;

						BgL_classz00_9439 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 89 */
							obj_t BgL__ortest_1112z00_9440;

							BgL__ortest_1112z00_9440 = BGL_CLASS_NIL(BgL_classz00_9439);
							if (CBOOL(BgL__ortest_1112z00_9440))
								{	/* Liveness/types.scm 89 */
									BgL_auxz00_16468 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9440);
								}
							else
								{	/* Liveness/types.scm 89 */
									BgL_auxz00_16468 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9439));
								}
						}
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt)
										((BgL_setfieldz00_bglt) BgL_new1297z00_7995))))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_16468), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16478;

					{	/* Liveness/types.scm 89 */
						obj_t BgL_classz00_9441;

						BgL_classz00_9441 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 89 */
							obj_t BgL__ortest_1112z00_9442;

							BgL__ortest_1112z00_9442 = BGL_CLASS_NIL(BgL_classz00_9441);
							if (CBOOL(BgL__ortest_1112z00_9442))
								{	/* Liveness/types.scm 89 */
									BgL_auxz00_16478 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9442);
								}
							else
								{	/* Liveness/types.scm 89 */
									BgL_auxz00_16478 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9441));
								}
						}
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt)
										((BgL_setfieldz00_bglt) BgL_new1297z00_7995))))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_16478), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16488;

					{
						obj_t BgL_auxz00_16489;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16490;

							BgL_tmpz00_16490 =
								((BgL_objectz00_bglt)
								((BgL_setfieldz00_bglt) BgL_new1297z00_7995));
							BgL_auxz00_16489 = BGL_OBJECT_WIDENING(BgL_tmpz00_16490);
						}
						BgL_auxz00_16488 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16489);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16488))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16496;

					{
						obj_t BgL_auxz00_16497;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16498;

							BgL_tmpz00_16498 =
								((BgL_objectz00_bglt)
								((BgL_setfieldz00_bglt) BgL_new1297z00_7995));
							BgL_auxz00_16497 = BGL_OBJECT_WIDENING(BgL_tmpz00_16498);
						}
						BgL_auxz00_16496 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16497);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16496))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16504;

					{
						obj_t BgL_auxz00_16505;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16506;

							BgL_tmpz00_16506 =
								((BgL_objectz00_bglt)
								((BgL_setfieldz00_bglt) BgL_new1297z00_7995));
							BgL_auxz00_16505 = BGL_OBJECT_WIDENING(BgL_tmpz00_16506);
						}
						BgL_auxz00_16504 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16505);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16504))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16512;

					{
						obj_t BgL_auxz00_16513;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16514;

							BgL_tmpz00_16514 =
								((BgL_objectz00_bglt)
								((BgL_setfieldz00_bglt) BgL_new1297z00_7995));
							BgL_auxz00_16513 = BGL_OBJECT_WIDENING(BgL_tmpz00_16514);
						}
						BgL_auxz00_16512 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16513);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16512))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_16436 = ((BgL_setfieldz00_bglt) BgL_new1297z00_7995);
				return ((obj_t) BgL_auxz00_16436);
			}
		}

	}



/* &lambda2569 */
	BgL_setfieldz00_bglt BGl_z62lambda2569z62zzliveness_typesz00(obj_t
		BgL_envz00_7996, obj_t BgL_o1294z00_7997)
	{
		{	/* Liveness/types.scm 89 */
			{	/* Liveness/types.scm 89 */
				BgL_setfieldzf2livenesszf2_bglt BgL_wide1296z00_9444;

				BgL_wide1296z00_9444 =
					((BgL_setfieldzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setfieldzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 89 */
					obj_t BgL_auxz00_16527;
					BgL_objectz00_bglt BgL_tmpz00_16523;

					BgL_auxz00_16527 = ((obj_t) BgL_wide1296z00_9444);
					BgL_tmpz00_16523 =
						((BgL_objectz00_bglt)
						((BgL_setfieldz00_bglt)
							((BgL_setfieldz00_bglt) BgL_o1294z00_7997)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16523, BgL_auxz00_16527);
				}
				((BgL_objectz00_bglt)
					((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_o1294z00_7997)));
				{	/* Liveness/types.scm 89 */
					long BgL_arg2570z00_9445;

					BgL_arg2570z00_9445 =
						BGL_CLASS_NUM(BGl_setfieldzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setfieldz00_bglt)
								((BgL_setfieldz00_bglt) BgL_o1294z00_7997))),
						BgL_arg2570z00_9445);
				}
				return
					((BgL_setfieldz00_bglt)
					((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_o1294z00_7997)));
			}
		}

	}



/* &lambda2565 */
	BgL_setfieldz00_bglt BGl_z62lambda2565z62zzliveness_typesz00(obj_t
		BgL_envz00_7998, obj_t BgL_loc1280z00_7999, obj_t BgL_type1281z00_8000,
		obj_t BgL_sidezd2effect1282zd2_8001, obj_t BgL_key1283z00_8002,
		obj_t BgL_exprza21284za2_8003, obj_t BgL_effect1285z00_8004,
		obj_t BgL_czd2format1286zd2_8005, obj_t BgL_fname1287z00_8006,
		obj_t BgL_ftype1288z00_8007, obj_t BgL_otype1289z00_8008,
		obj_t BgL_def1290z00_8009, obj_t BgL_use1291z00_8010,
		obj_t BgL_in1292z00_8011, obj_t BgL_out1293z00_8012)
	{
		{	/* Liveness/types.scm 89 */
			{	/* Liveness/types.scm 89 */
				BgL_setfieldz00_bglt BgL_new1740z00_9456;

				{	/* Liveness/types.scm 89 */
					BgL_setfieldz00_bglt BgL_tmp1738z00_9457;
					BgL_setfieldzf2livenesszf2_bglt BgL_wide1739z00_9458;

					{
						BgL_setfieldz00_bglt BgL_auxz00_16541;

						{	/* Liveness/types.scm 89 */
							BgL_setfieldz00_bglt BgL_new1737z00_9459;

							BgL_new1737z00_9459 =
								((BgL_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setfieldz00_bgl))));
							{	/* Liveness/types.scm 89 */
								long BgL_arg2568z00_9460;

								BgL_arg2568z00_9460 =
									BGL_CLASS_NUM(BGl_setfieldz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1737z00_9459),
									BgL_arg2568z00_9460);
							}
							{	/* Liveness/types.scm 89 */
								BgL_objectz00_bglt BgL_tmpz00_16546;

								BgL_tmpz00_16546 = ((BgL_objectz00_bglt) BgL_new1737z00_9459);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16546, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1737z00_9459);
							BgL_auxz00_16541 = BgL_new1737z00_9459;
						}
						BgL_tmp1738z00_9457 = ((BgL_setfieldz00_bglt) BgL_auxz00_16541);
					}
					BgL_wide1739z00_9458 =
						((BgL_setfieldzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setfieldzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 89 */
						obj_t BgL_auxz00_16554;
						BgL_objectz00_bglt BgL_tmpz00_16552;

						BgL_auxz00_16554 = ((obj_t) BgL_wide1739z00_9458);
						BgL_tmpz00_16552 = ((BgL_objectz00_bglt) BgL_tmp1738z00_9457);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16552, BgL_auxz00_16554);
					}
					((BgL_objectz00_bglt) BgL_tmp1738z00_9457);
					{	/* Liveness/types.scm 89 */
						long BgL_arg2567z00_9461;

						BgL_arg2567z00_9461 =
							BGL_CLASS_NUM(BGl_setfieldzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1738z00_9457), BgL_arg2567z00_9461);
					}
					BgL_new1740z00_9456 = ((BgL_setfieldz00_bglt) BgL_tmp1738z00_9457);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1740z00_9456)))->BgL_locz00) =
					((obj_t) BgL_loc1280z00_7999), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1740z00_9456)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1281z00_8000)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1740z00_9456)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1282zd2_8001), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1740z00_9456)))->BgL_keyz00) =
					((obj_t) BgL_key1283z00_8002), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1740z00_9456)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21284za2_8003)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1740z00_9456)))->BgL_effectz00) =
					((obj_t) BgL_effect1285z00_8004), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1740z00_9456)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1286zd2_8005)), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(((BgL_setfieldz00_bglt)
									BgL_new1740z00_9456)))->BgL_fnamez00) =
					((obj_t) ((obj_t) BgL_fname1287z00_8006)), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(((BgL_setfieldz00_bglt)
									BgL_new1740z00_9456)))->BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1288z00_8007)),
					BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(((BgL_setfieldz00_bglt)
									BgL_new1740z00_9456)))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1289z00_8008)),
					BUNSPEC);
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16588;

					{
						obj_t BgL_auxz00_16589;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16590;

							BgL_tmpz00_16590 = ((BgL_objectz00_bglt) BgL_new1740z00_9456);
							BgL_auxz00_16589 = BGL_OBJECT_WIDENING(BgL_tmpz00_16590);
						}
						BgL_auxz00_16588 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16589);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16588))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1290z00_8009)), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16596;

					{
						obj_t BgL_auxz00_16597;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16598;

							BgL_tmpz00_16598 = ((BgL_objectz00_bglt) BgL_new1740z00_9456);
							BgL_auxz00_16597 = BGL_OBJECT_WIDENING(BgL_tmpz00_16598);
						}
						BgL_auxz00_16596 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16597);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16596))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1291z00_8010)), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16604;

					{
						obj_t BgL_auxz00_16605;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16606;

							BgL_tmpz00_16606 = ((BgL_objectz00_bglt) BgL_new1740z00_9456);
							BgL_auxz00_16605 = BGL_OBJECT_WIDENING(BgL_tmpz00_16606);
						}
						BgL_auxz00_16604 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16605);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16604))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1292z00_8011)), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16612;

					{
						obj_t BgL_auxz00_16613;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16614;

							BgL_tmpz00_16614 = ((BgL_objectz00_bglt) BgL_new1740z00_9456);
							BgL_auxz00_16613 = BGL_OBJECT_WIDENING(BgL_tmpz00_16614);
						}
						BgL_auxz00_16612 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16613);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16612))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1293z00_8012)), BUNSPEC);
				}
				return BgL_new1740z00_9456;
			}
		}

	}



/* &<@anonymous:2608> */
	obj_t BGl_z62zc3z04anonymousza32608ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8013)
	{
		{	/* Liveness/types.scm 89 */
			return BNIL;
		}

	}



/* &lambda2607 */
	obj_t BGl_z62lambda2607z62zzliveness_typesz00(obj_t BgL_envz00_8014,
		obj_t BgL_oz00_8015, obj_t BgL_vz00_8016)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16620;

				{
					obj_t BgL_auxz00_16621;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_16622;

						BgL_tmpz00_16622 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8015));
						BgL_auxz00_16621 = BGL_OBJECT_WIDENING(BgL_tmpz00_16622);
					}
					BgL_auxz00_16620 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16621);
				}
				return
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16620))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8016)), BUNSPEC);
			}
		}

	}



/* &lambda2606 */
	obj_t BGl_z62lambda2606z62zzliveness_typesz00(obj_t BgL_envz00_8017,
		obj_t BgL_oz00_8018)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16629;

				{
					obj_t BgL_auxz00_16630;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_16631;

						BgL_tmpz00_16631 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8018));
						BgL_auxz00_16630 = BGL_OBJECT_WIDENING(BgL_tmpz00_16631);
					}
					BgL_auxz00_16629 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16630);
				}
				return
					(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16629))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2601> */
	obj_t BGl_z62zc3z04anonymousza32601ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8019)
	{
		{	/* Liveness/types.scm 89 */
			return BNIL;
		}

	}



/* &lambda2600 */
	obj_t BGl_z62lambda2600z62zzliveness_typesz00(obj_t BgL_envz00_8020,
		obj_t BgL_oz00_8021, obj_t BgL_vz00_8022)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16637;

				{
					obj_t BgL_auxz00_16638;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_16639;

						BgL_tmpz00_16639 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8021));
						BgL_auxz00_16638 = BGL_OBJECT_WIDENING(BgL_tmpz00_16639);
					}
					BgL_auxz00_16637 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16638);
				}
				return
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16637))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8022)), BUNSPEC);
			}
		}

	}



/* &lambda2599 */
	obj_t BGl_z62lambda2599z62zzliveness_typesz00(obj_t BgL_envz00_8023,
		obj_t BgL_oz00_8024)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16646;

				{
					obj_t BgL_auxz00_16647;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_16648;

						BgL_tmpz00_16648 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8024));
						BgL_auxz00_16647 = BGL_OBJECT_WIDENING(BgL_tmpz00_16648);
					}
					BgL_auxz00_16646 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16647);
				}
				return
					(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16646))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2593> */
	obj_t BGl_z62zc3z04anonymousza32593ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8025)
	{
		{	/* Liveness/types.scm 89 */
			return BNIL;
		}

	}



/* &lambda2592 */
	obj_t BGl_z62lambda2592z62zzliveness_typesz00(obj_t BgL_envz00_8026,
		obj_t BgL_oz00_8027, obj_t BgL_vz00_8028)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16654;

				{
					obj_t BgL_auxz00_16655;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_16656;

						BgL_tmpz00_16656 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8027));
						BgL_auxz00_16655 = BGL_OBJECT_WIDENING(BgL_tmpz00_16656);
					}
					BgL_auxz00_16654 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16655);
				}
				return
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16654))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8028)), BUNSPEC);
			}
		}

	}



/* &lambda2591 */
	obj_t BGl_z62lambda2591z62zzliveness_typesz00(obj_t BgL_envz00_8029,
		obj_t BgL_oz00_8030)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16663;

				{
					obj_t BgL_auxz00_16664;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_16665;

						BgL_tmpz00_16665 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8030));
						BgL_auxz00_16664 = BGL_OBJECT_WIDENING(BgL_tmpz00_16665);
					}
					BgL_auxz00_16663 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16664);
				}
				return
					(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16663))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2584> */
	obj_t BGl_z62zc3z04anonymousza32584ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8031)
	{
		{	/* Liveness/types.scm 89 */
			return BNIL;
		}

	}



/* &lambda2583 */
	obj_t BGl_z62lambda2583z62zzliveness_typesz00(obj_t BgL_envz00_8032,
		obj_t BgL_oz00_8033, obj_t BgL_vz00_8034)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16671;

				{
					obj_t BgL_auxz00_16672;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_16673;

						BgL_tmpz00_16673 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8033));
						BgL_auxz00_16672 = BGL_OBJECT_WIDENING(BgL_tmpz00_16673);
					}
					BgL_auxz00_16671 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16672);
				}
				return
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16671))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8034)), BUNSPEC);
			}
		}

	}



/* &lambda2582 */
	obj_t BGl_z62lambda2582z62zzliveness_typesz00(obj_t BgL_envz00_8035,
		obj_t BgL_oz00_8036)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16680;

				{
					obj_t BgL_auxz00_16681;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_16682;

						BgL_tmpz00_16682 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8036));
						BgL_auxz00_16681 = BGL_OBJECT_WIDENING(BgL_tmpz00_16682);
					}
					BgL_auxz00_16680 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16681);
				}
				return
					(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16680))->
					BgL_defz00);
			}
		}

	}



/* &lambda2508 */
	BgL_getfieldz00_bglt BGl_z62lambda2508z62zzliveness_typesz00(obj_t
		BgL_envz00_8037, obj_t BgL_o1278z00_8038)
	{
		{	/* Liveness/types.scm 83 */
			{	/* Liveness/types.scm 83 */
				long BgL_arg2509z00_9475;

				{	/* Liveness/types.scm 83 */
					obj_t BgL_arg2513z00_9476;

					{	/* Liveness/types.scm 83 */
						obj_t BgL_arg2514z00_9477;

						{	/* Liveness/types.scm 83 */
							long BgL_arg1833z00_9478;

							{	/* Liveness/types.scm 83 */
								long BgL_arg1834z00_9479;

								BgL_arg1834z00_9479 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt) BgL_o1278z00_8038)));
								BgL_arg1833z00_9478 = (BgL_arg1834z00_9479 - OBJECT_TYPE);
							}
							BgL_arg2514z00_9477 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9478);
						}
						BgL_arg2513z00_9476 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2514z00_9477);
					}
					{	/* Liveness/types.scm 83 */
						obj_t BgL_tmpz00_16694;

						BgL_tmpz00_16694 = ((obj_t) BgL_arg2513z00_9476);
						BgL_arg2509z00_9475 = BGL_CLASS_NUM(BgL_tmpz00_16694);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_getfieldz00_bglt) BgL_o1278z00_8038)), BgL_arg2509z00_9475);
			}
			{	/* Liveness/types.scm 83 */
				BgL_objectz00_bglt BgL_tmpz00_16700;

				BgL_tmpz00_16700 =
					((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_o1278z00_8038));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16700, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_o1278z00_8038));
			return
				((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_o1278z00_8038));
		}

	}



/* &<@anonymous:2507> */
	obj_t BGl_z62zc3z04anonymousza32507ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8039, obj_t BgL_new1277z00_8040)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldz00_bglt BgL_auxz00_16708;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_getfieldz00_bglt) BgL_new1277z00_8040))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16712;

					{	/* Liveness/types.scm 83 */
						obj_t BgL_classz00_9481;

						BgL_classz00_9481 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 83 */
							obj_t BgL__ortest_1112z00_9482;

							BgL__ortest_1112z00_9482 = BGL_CLASS_NIL(BgL_classz00_9481);
							if (CBOOL(BgL__ortest_1112z00_9482))
								{	/* Liveness/types.scm 83 */
									BgL_auxz00_16712 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9482);
								}
							else
								{	/* Liveness/types.scm 83 */
									BgL_auxz00_16712 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9481));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_getfieldz00_bglt) BgL_new1277z00_8040))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16712), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_getfieldz00_bglt) BgL_new1277z00_8040))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1277z00_8040))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1277z00_8040))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1277z00_8040))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1277z00_8040))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4524z00zzliveness_typesz00), BUNSPEC);
				((((BgL_getfieldz00_bglt)
							COBJECT(((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1277z00_8040))))->BgL_fnamez00) =
					((obj_t) BGl_string4524z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16740;

					{	/* Liveness/types.scm 83 */
						obj_t BgL_classz00_9483;

						BgL_classz00_9483 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 83 */
							obj_t BgL__ortest_1112z00_9484;

							BgL__ortest_1112z00_9484 = BGL_CLASS_NIL(BgL_classz00_9483);
							if (CBOOL(BgL__ortest_1112z00_9484))
								{	/* Liveness/types.scm 83 */
									BgL_auxz00_16740 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9484);
								}
							else
								{	/* Liveness/types.scm 83 */
									BgL_auxz00_16740 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9483));
								}
						}
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt)
										((BgL_getfieldz00_bglt) BgL_new1277z00_8040))))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_16740), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16750;

					{	/* Liveness/types.scm 83 */
						obj_t BgL_classz00_9485;

						BgL_classz00_9485 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 83 */
							obj_t BgL__ortest_1112z00_9486;

							BgL__ortest_1112z00_9486 = BGL_CLASS_NIL(BgL_classz00_9485);
							if (CBOOL(BgL__ortest_1112z00_9486))
								{	/* Liveness/types.scm 83 */
									BgL_auxz00_16750 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9486);
								}
							else
								{	/* Liveness/types.scm 83 */
									BgL_auxz00_16750 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9485));
								}
						}
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt)
										((BgL_getfieldz00_bglt) BgL_new1277z00_8040))))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_16750), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16760;

					{
						obj_t BgL_auxz00_16761;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_16762;

							BgL_tmpz00_16762 =
								((BgL_objectz00_bglt)
								((BgL_getfieldz00_bglt) BgL_new1277z00_8040));
							BgL_auxz00_16761 = BGL_OBJECT_WIDENING(BgL_tmpz00_16762);
						}
						BgL_auxz00_16760 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16761);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16760))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16768;

					{
						obj_t BgL_auxz00_16769;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_16770;

							BgL_tmpz00_16770 =
								((BgL_objectz00_bglt)
								((BgL_getfieldz00_bglt) BgL_new1277z00_8040));
							BgL_auxz00_16769 = BGL_OBJECT_WIDENING(BgL_tmpz00_16770);
						}
						BgL_auxz00_16768 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16769);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16768))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16776;

					{
						obj_t BgL_auxz00_16777;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_16778;

							BgL_tmpz00_16778 =
								((BgL_objectz00_bglt)
								((BgL_getfieldz00_bglt) BgL_new1277z00_8040));
							BgL_auxz00_16777 = BGL_OBJECT_WIDENING(BgL_tmpz00_16778);
						}
						BgL_auxz00_16776 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16777);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16776))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16784;

					{
						obj_t BgL_auxz00_16785;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_16786;

							BgL_tmpz00_16786 =
								((BgL_objectz00_bglt)
								((BgL_getfieldz00_bglt) BgL_new1277z00_8040));
							BgL_auxz00_16785 = BGL_OBJECT_WIDENING(BgL_tmpz00_16786);
						}
						BgL_auxz00_16784 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16785);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16784))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_16708 = ((BgL_getfieldz00_bglt) BgL_new1277z00_8040);
				return ((obj_t) BgL_auxz00_16708);
			}
		}

	}



/* &lambda2504 */
	BgL_getfieldz00_bglt BGl_z62lambda2504z62zzliveness_typesz00(obj_t
		BgL_envz00_8041, obj_t BgL_o1274z00_8042)
	{
		{	/* Liveness/types.scm 83 */
			{	/* Liveness/types.scm 83 */
				BgL_getfieldzf2livenesszf2_bglt BgL_wide1276z00_9488;

				BgL_wide1276z00_9488 =
					((BgL_getfieldzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_getfieldzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 83 */
					obj_t BgL_auxz00_16799;
					BgL_objectz00_bglt BgL_tmpz00_16795;

					BgL_auxz00_16799 = ((obj_t) BgL_wide1276z00_9488);
					BgL_tmpz00_16795 =
						((BgL_objectz00_bglt)
						((BgL_getfieldz00_bglt)
							((BgL_getfieldz00_bglt) BgL_o1274z00_8042)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16795, BgL_auxz00_16799);
				}
				((BgL_objectz00_bglt)
					((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_o1274z00_8042)));
				{	/* Liveness/types.scm 83 */
					long BgL_arg2506z00_9489;

					BgL_arg2506z00_9489 =
						BGL_CLASS_NUM(BGl_getfieldzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_getfieldz00_bglt)
								((BgL_getfieldz00_bglt) BgL_o1274z00_8042))),
						BgL_arg2506z00_9489);
				}
				return
					((BgL_getfieldz00_bglt)
					((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_o1274z00_8042)));
			}
		}

	}



/* &lambda2501 */
	BgL_getfieldz00_bglt BGl_z62lambda2501z62zzliveness_typesz00(obj_t
		BgL_envz00_8043, obj_t BgL_loc1260z00_8044, obj_t BgL_type1261z00_8045,
		obj_t BgL_sidezd2effect1262zd2_8046, obj_t BgL_key1263z00_8047,
		obj_t BgL_exprza21264za2_8048, obj_t BgL_effect1265z00_8049,
		obj_t BgL_czd2format1266zd2_8050, obj_t BgL_fname1267z00_8051,
		obj_t BgL_ftype1268z00_8052, obj_t BgL_otype1269z00_8053,
		obj_t BgL_def1270z00_8054, obj_t BgL_use1271z00_8055,
		obj_t BgL_in1272z00_8056, obj_t BgL_out1273z00_8057)
	{
		{	/* Liveness/types.scm 83 */
			{	/* Liveness/types.scm 83 */
				BgL_getfieldz00_bglt BgL_new1735z00_9500;

				{	/* Liveness/types.scm 83 */
					BgL_getfieldz00_bglt BgL_tmp1733z00_9501;
					BgL_getfieldzf2livenesszf2_bglt BgL_wide1734z00_9502;

					{
						BgL_getfieldz00_bglt BgL_auxz00_16813;

						{	/* Liveness/types.scm 83 */
							BgL_getfieldz00_bglt BgL_new1732z00_9503;

							BgL_new1732z00_9503 =
								((BgL_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_getfieldz00_bgl))));
							{	/* Liveness/types.scm 83 */
								long BgL_arg2503z00_9504;

								BgL_arg2503z00_9504 =
									BGL_CLASS_NUM(BGl_getfieldz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1732z00_9503),
									BgL_arg2503z00_9504);
							}
							{	/* Liveness/types.scm 83 */
								BgL_objectz00_bglt BgL_tmpz00_16818;

								BgL_tmpz00_16818 = ((BgL_objectz00_bglt) BgL_new1732z00_9503);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16818, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1732z00_9503);
							BgL_auxz00_16813 = BgL_new1732z00_9503;
						}
						BgL_tmp1733z00_9501 = ((BgL_getfieldz00_bglt) BgL_auxz00_16813);
					}
					BgL_wide1734z00_9502 =
						((BgL_getfieldzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_getfieldzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 83 */
						obj_t BgL_auxz00_16826;
						BgL_objectz00_bglt BgL_tmpz00_16824;

						BgL_auxz00_16826 = ((obj_t) BgL_wide1734z00_9502);
						BgL_tmpz00_16824 = ((BgL_objectz00_bglt) BgL_tmp1733z00_9501);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16824, BgL_auxz00_16826);
					}
					((BgL_objectz00_bglt) BgL_tmp1733z00_9501);
					{	/* Liveness/types.scm 83 */
						long BgL_arg2502z00_9505;

						BgL_arg2502z00_9505 =
							BGL_CLASS_NUM(BGl_getfieldzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1733z00_9501), BgL_arg2502z00_9505);
					}
					BgL_new1735z00_9500 = ((BgL_getfieldz00_bglt) BgL_tmp1733z00_9501);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1735z00_9500)))->BgL_locz00) =
					((obj_t) BgL_loc1260z00_8044), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1735z00_9500)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1261z00_8045)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1735z00_9500)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1262zd2_8046), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1735z00_9500)))->BgL_keyz00) =
					((obj_t) BgL_key1263z00_8047), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1735z00_9500)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21264za2_8048)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1735z00_9500)))->BgL_effectz00) =
					((obj_t) BgL_effect1265z00_8049), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1735z00_9500)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1266zd2_8050)), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(((BgL_getfieldz00_bglt)
									BgL_new1735z00_9500)))->BgL_fnamez00) =
					((obj_t) ((obj_t) BgL_fname1267z00_8051)), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(((BgL_getfieldz00_bglt)
									BgL_new1735z00_9500)))->BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1268z00_8052)),
					BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(((BgL_getfieldz00_bglt)
									BgL_new1735z00_9500)))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1269z00_8053)),
					BUNSPEC);
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16860;

					{
						obj_t BgL_auxz00_16861;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_16862;

							BgL_tmpz00_16862 = ((BgL_objectz00_bglt) BgL_new1735z00_9500);
							BgL_auxz00_16861 = BGL_OBJECT_WIDENING(BgL_tmpz00_16862);
						}
						BgL_auxz00_16860 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16861);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16860))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1270z00_8054)), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16868;

					{
						obj_t BgL_auxz00_16869;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_16870;

							BgL_tmpz00_16870 = ((BgL_objectz00_bglt) BgL_new1735z00_9500);
							BgL_auxz00_16869 = BGL_OBJECT_WIDENING(BgL_tmpz00_16870);
						}
						BgL_auxz00_16868 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16869);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16868))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1271z00_8055)), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16876;

					{
						obj_t BgL_auxz00_16877;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_16878;

							BgL_tmpz00_16878 = ((BgL_objectz00_bglt) BgL_new1735z00_9500);
							BgL_auxz00_16877 = BGL_OBJECT_WIDENING(BgL_tmpz00_16878);
						}
						BgL_auxz00_16876 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16877);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16876))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1272z00_8056)), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16884;

					{
						obj_t BgL_auxz00_16885;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_16886;

							BgL_tmpz00_16886 = ((BgL_objectz00_bglt) BgL_new1735z00_9500);
							BgL_auxz00_16885 = BGL_OBJECT_WIDENING(BgL_tmpz00_16886);
						}
						BgL_auxz00_16884 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16885);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16884))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1273z00_8057)), BUNSPEC);
				}
				return BgL_new1735z00_9500;
			}
		}

	}



/* &<@anonymous:2554> */
	obj_t BGl_z62zc3z04anonymousza32554ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8058)
	{
		{	/* Liveness/types.scm 83 */
			return BNIL;
		}

	}



/* &lambda2553 */
	obj_t BGl_z62lambda2553z62zzliveness_typesz00(obj_t BgL_envz00_8059,
		obj_t BgL_oz00_8060, obj_t BgL_vz00_8061)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16892;

				{
					obj_t BgL_auxz00_16893;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_16894;

						BgL_tmpz00_16894 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8060));
						BgL_auxz00_16893 = BGL_OBJECT_WIDENING(BgL_tmpz00_16894);
					}
					BgL_auxz00_16892 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16893);
				}
				return
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16892))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8061)), BUNSPEC);
			}
		}

	}



/* &lambda2552 */
	obj_t BGl_z62lambda2552z62zzliveness_typesz00(obj_t BgL_envz00_8062,
		obj_t BgL_oz00_8063)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16901;

				{
					obj_t BgL_auxz00_16902;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_16903;

						BgL_tmpz00_16903 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8063));
						BgL_auxz00_16902 = BGL_OBJECT_WIDENING(BgL_tmpz00_16903);
					}
					BgL_auxz00_16901 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16902);
				}
				return
					(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16901))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2544> */
	obj_t BGl_z62zc3z04anonymousza32544ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8064)
	{
		{	/* Liveness/types.scm 83 */
			return BNIL;
		}

	}



/* &lambda2543 */
	obj_t BGl_z62lambda2543z62zzliveness_typesz00(obj_t BgL_envz00_8065,
		obj_t BgL_oz00_8066, obj_t BgL_vz00_8067)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16909;

				{
					obj_t BgL_auxz00_16910;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_16911;

						BgL_tmpz00_16911 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8066));
						BgL_auxz00_16910 = BGL_OBJECT_WIDENING(BgL_tmpz00_16911);
					}
					BgL_auxz00_16909 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16910);
				}
				return
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16909))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8067)), BUNSPEC);
			}
		}

	}



/* &lambda2542 */
	obj_t BGl_z62lambda2542z62zzliveness_typesz00(obj_t BgL_envz00_8068,
		obj_t BgL_oz00_8069)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16918;

				{
					obj_t BgL_auxz00_16919;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_16920;

						BgL_tmpz00_16920 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8069));
						BgL_auxz00_16919 = BGL_OBJECT_WIDENING(BgL_tmpz00_16920);
					}
					BgL_auxz00_16918 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16919);
				}
				return
					(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16918))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2534> */
	obj_t BGl_z62zc3z04anonymousza32534ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8070)
	{
		{	/* Liveness/types.scm 83 */
			return BNIL;
		}

	}



/* &lambda2533 */
	obj_t BGl_z62lambda2533z62zzliveness_typesz00(obj_t BgL_envz00_8071,
		obj_t BgL_oz00_8072, obj_t BgL_vz00_8073)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16926;

				{
					obj_t BgL_auxz00_16927;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_16928;

						BgL_tmpz00_16928 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8072));
						BgL_auxz00_16927 = BGL_OBJECT_WIDENING(BgL_tmpz00_16928);
					}
					BgL_auxz00_16926 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16927);
				}
				return
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16926))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8073)), BUNSPEC);
			}
		}

	}



/* &lambda2532 */
	obj_t BGl_z62lambda2532z62zzliveness_typesz00(obj_t BgL_envz00_8074,
		obj_t BgL_oz00_8075)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16935;

				{
					obj_t BgL_auxz00_16936;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_16937;

						BgL_tmpz00_16937 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8075));
						BgL_auxz00_16936 = BGL_OBJECT_WIDENING(BgL_tmpz00_16937);
					}
					BgL_auxz00_16935 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16936);
				}
				return
					(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16935))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2525> */
	obj_t BGl_z62zc3z04anonymousza32525ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8076)
	{
		{	/* Liveness/types.scm 83 */
			return BNIL;
		}

	}



/* &lambda2524 */
	obj_t BGl_z62lambda2524z62zzliveness_typesz00(obj_t BgL_envz00_8077,
		obj_t BgL_oz00_8078, obj_t BgL_vz00_8079)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16943;

				{
					obj_t BgL_auxz00_16944;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_16945;

						BgL_tmpz00_16945 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8078));
						BgL_auxz00_16944 = BGL_OBJECT_WIDENING(BgL_tmpz00_16945);
					}
					BgL_auxz00_16943 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16944);
				}
				return
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16943))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8079)), BUNSPEC);
			}
		}

	}



/* &lambda2523 */
	obj_t BGl_z62lambda2523z62zzliveness_typesz00(obj_t BgL_envz00_8080,
		obj_t BgL_oz00_8081)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16952;

				{
					obj_t BgL_auxz00_16953;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_16954;

						BgL_tmpz00_16954 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8081));
						BgL_auxz00_16953 = BGL_OBJECT_WIDENING(BgL_tmpz00_16954);
					}
					BgL_auxz00_16952 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16953);
				}
				return
					(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16952))->
					BgL_defz00);
			}
		}

	}



/* &lambda2453 */
	BgL_pragmaz00_bglt BGl_z62lambda2453z62zzliveness_typesz00(obj_t
		BgL_envz00_8082, obj_t BgL_o1258z00_8083)
	{
		{	/* Liveness/types.scm 77 */
			{	/* Liveness/types.scm 77 */
				long BgL_arg2454z00_9519;

				{	/* Liveness/types.scm 77 */
					obj_t BgL_arg2455z00_9520;

					{	/* Liveness/types.scm 77 */
						obj_t BgL_arg2457z00_9521;

						{	/* Liveness/types.scm 77 */
							long BgL_arg1833z00_9522;

							{	/* Liveness/types.scm 77 */
								long BgL_arg1834z00_9523;

								BgL_arg1834z00_9523 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_pragmaz00_bglt) BgL_o1258z00_8083)));
								BgL_arg1833z00_9522 = (BgL_arg1834z00_9523 - OBJECT_TYPE);
							}
							BgL_arg2457z00_9521 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9522);
						}
						BgL_arg2455z00_9520 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2457z00_9521);
					}
					{	/* Liveness/types.scm 77 */
						obj_t BgL_tmpz00_16966;

						BgL_tmpz00_16966 = ((obj_t) BgL_arg2455z00_9520);
						BgL_arg2454z00_9519 = BGL_CLASS_NUM(BgL_tmpz00_16966);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_pragmaz00_bglt) BgL_o1258z00_8083)), BgL_arg2454z00_9519);
			}
			{	/* Liveness/types.scm 77 */
				BgL_objectz00_bglt BgL_tmpz00_16972;

				BgL_tmpz00_16972 =
					((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_o1258z00_8083));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16972, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_o1258z00_8083));
			return ((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_o1258z00_8083));
		}

	}



/* &<@anonymous:2452> */
	obj_t BGl_z62zc3z04anonymousza32452ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8084, obj_t BgL_new1257z00_8085)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmaz00_bglt BgL_auxz00_16980;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_pragmaz00_bglt) BgL_new1257z00_8085))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16984;

					{	/* Liveness/types.scm 77 */
						obj_t BgL_classz00_9525;

						BgL_classz00_9525 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 77 */
							obj_t BgL__ortest_1112z00_9526;

							BgL__ortest_1112z00_9526 = BGL_CLASS_NIL(BgL_classz00_9525);
							if (CBOOL(BgL__ortest_1112z00_9526))
								{	/* Liveness/types.scm 77 */
									BgL_auxz00_16984 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9526);
								}
							else
								{	/* Liveness/types.scm 77 */
									BgL_auxz00_16984 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9525));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_pragmaz00_bglt) BgL_new1257z00_8085))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16984), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_pragmaz00_bglt) BgL_new1257z00_8085))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1257z00_8085))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1257z00_8085))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1257z00_8085))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_pragmaz00_bglt)
							COBJECT(((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1257z00_8085))))->BgL_formatz00) =
					((obj_t) BGl_string4524z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17009;

					{
						obj_t BgL_auxz00_17010;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17011;

							BgL_tmpz00_17011 =
								((BgL_objectz00_bglt)
								((BgL_pragmaz00_bglt) BgL_new1257z00_8085));
							BgL_auxz00_17010 = BGL_OBJECT_WIDENING(BgL_tmpz00_17011);
						}
						BgL_auxz00_17009 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17010);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17009))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17017;

					{
						obj_t BgL_auxz00_17018;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17019;

							BgL_tmpz00_17019 =
								((BgL_objectz00_bglt)
								((BgL_pragmaz00_bglt) BgL_new1257z00_8085));
							BgL_auxz00_17018 = BGL_OBJECT_WIDENING(BgL_tmpz00_17019);
						}
						BgL_auxz00_17017 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17018);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17017))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17025;

					{
						obj_t BgL_auxz00_17026;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17027;

							BgL_tmpz00_17027 =
								((BgL_objectz00_bglt)
								((BgL_pragmaz00_bglt) BgL_new1257z00_8085));
							BgL_auxz00_17026 = BGL_OBJECT_WIDENING(BgL_tmpz00_17027);
						}
						BgL_auxz00_17025 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17026);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17025))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17033;

					{
						obj_t BgL_auxz00_17034;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17035;

							BgL_tmpz00_17035 =
								((BgL_objectz00_bglt)
								((BgL_pragmaz00_bglt) BgL_new1257z00_8085));
							BgL_auxz00_17034 = BGL_OBJECT_WIDENING(BgL_tmpz00_17035);
						}
						BgL_auxz00_17033 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17034);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17033))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_16980 = ((BgL_pragmaz00_bglt) BgL_new1257z00_8085);
				return ((obj_t) BgL_auxz00_16980);
			}
		}

	}



/* &lambda2450 */
	BgL_pragmaz00_bglt BGl_z62lambda2450z62zzliveness_typesz00(obj_t
		BgL_envz00_8086, obj_t BgL_o1254z00_8087)
	{
		{	/* Liveness/types.scm 77 */
			{	/* Liveness/types.scm 77 */
				BgL_pragmazf2livenesszf2_bglt BgL_wide1256z00_9528;

				BgL_wide1256z00_9528 =
					((BgL_pragmazf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_pragmazf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 77 */
					obj_t BgL_auxz00_17048;
					BgL_objectz00_bglt BgL_tmpz00_17044;

					BgL_auxz00_17048 = ((obj_t) BgL_wide1256z00_9528);
					BgL_tmpz00_17044 =
						((BgL_objectz00_bglt)
						((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_o1254z00_8087)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17044, BgL_auxz00_17048);
				}
				((BgL_objectz00_bglt)
					((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_o1254z00_8087)));
				{	/* Liveness/types.scm 77 */
					long BgL_arg2451z00_9529;

					BgL_arg2451z00_9529 =
						BGL_CLASS_NUM(BGl_pragmazf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_pragmaz00_bglt)
								((BgL_pragmaz00_bglt) BgL_o1254z00_8087))),
						BgL_arg2451z00_9529);
				}
				return
					((BgL_pragmaz00_bglt)
					((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_o1254z00_8087)));
			}
		}

	}



/* &lambda2446 */
	BgL_pragmaz00_bglt BGl_z62lambda2446z62zzliveness_typesz00(obj_t
		BgL_envz00_8088, obj_t BgL_loc1243z00_8089, obj_t BgL_type1244z00_8090,
		obj_t BgL_sidezd2effect1245zd2_8091, obj_t BgL_key1246z00_8092,
		obj_t BgL_exprza21247za2_8093, obj_t BgL_effect1248z00_8094,
		obj_t BgL_format1249z00_8095, obj_t BgL_def1250z00_8096,
		obj_t BgL_use1251z00_8097, obj_t BgL_in1252z00_8098,
		obj_t BgL_out1253z00_8099)
	{
		{	/* Liveness/types.scm 77 */
			{	/* Liveness/types.scm 77 */
				BgL_pragmaz00_bglt BgL_new1730z00_9537;

				{	/* Liveness/types.scm 77 */
					BgL_pragmaz00_bglt BgL_tmp1728z00_9538;
					BgL_pragmazf2livenesszf2_bglt BgL_wide1729z00_9539;

					{
						BgL_pragmaz00_bglt BgL_auxz00_17062;

						{	/* Liveness/types.scm 77 */
							BgL_pragmaz00_bglt BgL_new1727z00_9540;

							BgL_new1727z00_9540 =
								((BgL_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_pragmaz00_bgl))));
							{	/* Liveness/types.scm 77 */
								long BgL_arg2449z00_9541;

								BgL_arg2449z00_9541 = BGL_CLASS_NUM(BGl_pragmaz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1727z00_9540),
									BgL_arg2449z00_9541);
							}
							{	/* Liveness/types.scm 77 */
								BgL_objectz00_bglt BgL_tmpz00_17067;

								BgL_tmpz00_17067 = ((BgL_objectz00_bglt) BgL_new1727z00_9540);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17067, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1727z00_9540);
							BgL_auxz00_17062 = BgL_new1727z00_9540;
						}
						BgL_tmp1728z00_9538 = ((BgL_pragmaz00_bglt) BgL_auxz00_17062);
					}
					BgL_wide1729z00_9539 =
						((BgL_pragmazf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_pragmazf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 77 */
						obj_t BgL_auxz00_17075;
						BgL_objectz00_bglt BgL_tmpz00_17073;

						BgL_auxz00_17075 = ((obj_t) BgL_wide1729z00_9539);
						BgL_tmpz00_17073 = ((BgL_objectz00_bglt) BgL_tmp1728z00_9538);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17073, BgL_auxz00_17075);
					}
					((BgL_objectz00_bglt) BgL_tmp1728z00_9538);
					{	/* Liveness/types.scm 77 */
						long BgL_arg2448z00_9542;

						BgL_arg2448z00_9542 =
							BGL_CLASS_NUM(BGl_pragmazf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1728z00_9538), BgL_arg2448z00_9542);
					}
					BgL_new1730z00_9537 = ((BgL_pragmaz00_bglt) BgL_tmp1728z00_9538);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1730z00_9537)))->BgL_locz00) =
					((obj_t) BgL_loc1243z00_8089), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1730z00_9537)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1244z00_8090)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1730z00_9537)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1245zd2_8091), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1730z00_9537)))->BgL_keyz00) =
					((obj_t) BgL_key1246z00_8092), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1730z00_9537)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21247za2_8093)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1730z00_9537)))->BgL_effectz00) =
					((obj_t) BgL_effect1248z00_8094), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(((BgL_pragmaz00_bglt)
									BgL_new1730z00_9537)))->BgL_formatz00) =
					((obj_t) ((obj_t) BgL_format1249z00_8095)), BUNSPEC);
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17100;

					{
						obj_t BgL_auxz00_17101;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17102;

							BgL_tmpz00_17102 = ((BgL_objectz00_bglt) BgL_new1730z00_9537);
							BgL_auxz00_17101 = BGL_OBJECT_WIDENING(BgL_tmpz00_17102);
						}
						BgL_auxz00_17100 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17101);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17100))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1250z00_8096)), BUNSPEC);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17108;

					{
						obj_t BgL_auxz00_17109;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17110;

							BgL_tmpz00_17110 = ((BgL_objectz00_bglt) BgL_new1730z00_9537);
							BgL_auxz00_17109 = BGL_OBJECT_WIDENING(BgL_tmpz00_17110);
						}
						BgL_auxz00_17108 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17109);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17108))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1251z00_8097)), BUNSPEC);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17116;

					{
						obj_t BgL_auxz00_17117;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17118;

							BgL_tmpz00_17118 = ((BgL_objectz00_bglt) BgL_new1730z00_9537);
							BgL_auxz00_17117 = BGL_OBJECT_WIDENING(BgL_tmpz00_17118);
						}
						BgL_auxz00_17116 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17117);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17116))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1252z00_8098)), BUNSPEC);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17124;

					{
						obj_t BgL_auxz00_17125;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17126;

							BgL_tmpz00_17126 = ((BgL_objectz00_bglt) BgL_new1730z00_9537);
							BgL_auxz00_17125 = BGL_OBJECT_WIDENING(BgL_tmpz00_17126);
						}
						BgL_auxz00_17124 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17125);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17124))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1253z00_8099)), BUNSPEC);
				}
				return BgL_new1730z00_9537;
			}
		}

	}



/* &<@anonymous:2490> */
	obj_t BGl_z62zc3z04anonymousza32490ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8100)
	{
		{	/* Liveness/types.scm 77 */
			return BNIL;
		}

	}



/* &lambda2489 */
	obj_t BGl_z62lambda2489z62zzliveness_typesz00(obj_t BgL_envz00_8101,
		obj_t BgL_oz00_8102, obj_t BgL_vz00_8103)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17132;

				{
					obj_t BgL_auxz00_17133;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17134;

						BgL_tmpz00_17134 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8102));
						BgL_auxz00_17133 = BGL_OBJECT_WIDENING(BgL_tmpz00_17134);
					}
					BgL_auxz00_17132 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17133);
				}
				return
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17132))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8103)), BUNSPEC);
			}
		}

	}



/* &lambda2488 */
	obj_t BGl_z62lambda2488z62zzliveness_typesz00(obj_t BgL_envz00_8104,
		obj_t BgL_oz00_8105)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17141;

				{
					obj_t BgL_auxz00_17142;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17143;

						BgL_tmpz00_17143 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8105));
						BgL_auxz00_17142 = BGL_OBJECT_WIDENING(BgL_tmpz00_17143);
					}
					BgL_auxz00_17141 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17142);
				}
				return
					(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17141))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2481> */
	obj_t BGl_z62zc3z04anonymousza32481ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8106)
	{
		{	/* Liveness/types.scm 77 */
			return BNIL;
		}

	}



/* &lambda2480 */
	obj_t BGl_z62lambda2480z62zzliveness_typesz00(obj_t BgL_envz00_8107,
		obj_t BgL_oz00_8108, obj_t BgL_vz00_8109)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17149;

				{
					obj_t BgL_auxz00_17150;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17151;

						BgL_tmpz00_17151 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8108));
						BgL_auxz00_17150 = BGL_OBJECT_WIDENING(BgL_tmpz00_17151);
					}
					BgL_auxz00_17149 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17150);
				}
				return
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17149))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8109)), BUNSPEC);
			}
		}

	}



/* &lambda2479 */
	obj_t BGl_z62lambda2479z62zzliveness_typesz00(obj_t BgL_envz00_8110,
		obj_t BgL_oz00_8111)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17158;

				{
					obj_t BgL_auxz00_17159;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17160;

						BgL_tmpz00_17160 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8111));
						BgL_auxz00_17159 = BGL_OBJECT_WIDENING(BgL_tmpz00_17160);
					}
					BgL_auxz00_17158 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17159);
				}
				return
					(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17158))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2473> */
	obj_t BGl_z62zc3z04anonymousza32473ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8112)
	{
		{	/* Liveness/types.scm 77 */
			return BNIL;
		}

	}



/* &lambda2472 */
	obj_t BGl_z62lambda2472z62zzliveness_typesz00(obj_t BgL_envz00_8113,
		obj_t BgL_oz00_8114, obj_t BgL_vz00_8115)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17166;

				{
					obj_t BgL_auxz00_17167;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17168;

						BgL_tmpz00_17168 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8114));
						BgL_auxz00_17167 = BGL_OBJECT_WIDENING(BgL_tmpz00_17168);
					}
					BgL_auxz00_17166 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17167);
				}
				return
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17166))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8115)), BUNSPEC);
			}
		}

	}



/* &lambda2471 */
	obj_t BGl_z62lambda2471z62zzliveness_typesz00(obj_t BgL_envz00_8116,
		obj_t BgL_oz00_8117)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17175;

				{
					obj_t BgL_auxz00_17176;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17177;

						BgL_tmpz00_17177 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8117));
						BgL_auxz00_17176 = BGL_OBJECT_WIDENING(BgL_tmpz00_17177);
					}
					BgL_auxz00_17175 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17176);
				}
				return
					(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17175))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2465> */
	obj_t BGl_z62zc3z04anonymousza32465ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8118)
	{
		{	/* Liveness/types.scm 77 */
			return BNIL;
		}

	}



/* &lambda2464 */
	obj_t BGl_z62lambda2464z62zzliveness_typesz00(obj_t BgL_envz00_8119,
		obj_t BgL_oz00_8120, obj_t BgL_vz00_8121)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17183;

				{
					obj_t BgL_auxz00_17184;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17185;

						BgL_tmpz00_17185 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8120));
						BgL_auxz00_17184 = BGL_OBJECT_WIDENING(BgL_tmpz00_17185);
					}
					BgL_auxz00_17183 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17184);
				}
				return
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17183))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8121)), BUNSPEC);
			}
		}

	}



/* &lambda2463 */
	obj_t BGl_z62lambda2463z62zzliveness_typesz00(obj_t BgL_envz00_8122,
		obj_t BgL_oz00_8123)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17192;

				{
					obj_t BgL_auxz00_17193;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17194;

						BgL_tmpz00_17194 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8123));
						BgL_auxz00_17193 = BGL_OBJECT_WIDENING(BgL_tmpz00_17194);
					}
					BgL_auxz00_17192 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17193);
				}
				return
					(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17192))->
					BgL_defz00);
			}
		}

	}



/* &lambda2399 */
	BgL_funcallz00_bglt BGl_z62lambda2399z62zzliveness_typesz00(obj_t
		BgL_envz00_8124, obj_t BgL_o1241z00_8125)
	{
		{	/* Liveness/types.scm 71 */
			{	/* Liveness/types.scm 71 */
				long BgL_arg2400z00_9556;

				{	/* Liveness/types.scm 71 */
					obj_t BgL_arg2402z00_9557;

					{	/* Liveness/types.scm 71 */
						obj_t BgL_arg2403z00_9558;

						{	/* Liveness/types.scm 71 */
							long BgL_arg1833z00_9559;

							{	/* Liveness/types.scm 71 */
								long BgL_arg1834z00_9560;

								BgL_arg1834z00_9560 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_o1241z00_8125)));
								BgL_arg1833z00_9559 = (BgL_arg1834z00_9560 - OBJECT_TYPE);
							}
							BgL_arg2403z00_9558 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9559);
						}
						BgL_arg2402z00_9557 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2403z00_9558);
					}
					{	/* Liveness/types.scm 71 */
						obj_t BgL_tmpz00_17206;

						BgL_tmpz00_17206 = ((obj_t) BgL_arg2402z00_9557);
						BgL_arg2400z00_9556 = BGL_CLASS_NUM(BgL_tmpz00_17206);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_funcallz00_bglt) BgL_o1241z00_8125)), BgL_arg2400z00_9556);
			}
			{	/* Liveness/types.scm 71 */
				BgL_objectz00_bglt BgL_tmpz00_17212;

				BgL_tmpz00_17212 =
					((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_o1241z00_8125));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17212, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_o1241z00_8125));
			return ((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1241z00_8125));
		}

	}



/* &<@anonymous:2398> */
	obj_t BGl_z62zc3z04anonymousza32398ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8126, obj_t BgL_new1240z00_8127)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallz00_bglt BgL_auxz00_17220;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_funcallz00_bglt) BgL_new1240z00_8127))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17224;

					{	/* Liveness/types.scm 71 */
						obj_t BgL_classz00_9562;

						BgL_classz00_9562 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 71 */
							obj_t BgL__ortest_1112z00_9563;

							BgL__ortest_1112z00_9563 = BGL_CLASS_NIL(BgL_classz00_9562);
							if (CBOOL(BgL__ortest_1112z00_9563))
								{	/* Liveness/types.scm 71 */
									BgL_auxz00_17224 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9563);
								}
							else
								{	/* Liveness/types.scm 71 */
									BgL_auxz00_17224 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9562));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_funcallz00_bglt) BgL_new1240z00_8127))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17224), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17234;

					{	/* Liveness/types.scm 71 */
						obj_t BgL_classz00_9564;

						BgL_classz00_9564 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 71 */
							obj_t BgL__ortest_1112z00_9565;

							BgL__ortest_1112z00_9565 = BGL_CLASS_NIL(BgL_classz00_9564);
							if (CBOOL(BgL__ortest_1112z00_9565))
								{	/* Liveness/types.scm 71 */
									BgL_auxz00_17234 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9565);
								}
							else
								{	/* Liveness/types.scm 71 */
									BgL_auxz00_17234 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9564));
								}
						}
					}
					((((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_new1240z00_8127))))->
							BgL_funz00) = ((BgL_nodez00_bglt) BgL_auxz00_17234), BUNSPEC);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_new1240z00_8127))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funcallz00_bglt)
							COBJECT(((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt)
										BgL_new1240z00_8127))))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 43))), BUNSPEC);
				((((BgL_funcallz00_bglt)
							COBJECT(((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt)
										BgL_new1240z00_8127))))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17254;

					{
						obj_t BgL_auxz00_17255;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17256;

							BgL_tmpz00_17256 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1240z00_8127));
							BgL_auxz00_17255 = BGL_OBJECT_WIDENING(BgL_tmpz00_17256);
						}
						BgL_auxz00_17254 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17255);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17254))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17262;

					{
						obj_t BgL_auxz00_17263;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17264;

							BgL_tmpz00_17264 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1240z00_8127));
							BgL_auxz00_17263 = BGL_OBJECT_WIDENING(BgL_tmpz00_17264);
						}
						BgL_auxz00_17262 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17263);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17262))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17270;

					{
						obj_t BgL_auxz00_17271;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17272;

							BgL_tmpz00_17272 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1240z00_8127));
							BgL_auxz00_17271 = BGL_OBJECT_WIDENING(BgL_tmpz00_17272);
						}
						BgL_auxz00_17270 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17271);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17270))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17278;

					{
						obj_t BgL_auxz00_17279;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17280;

							BgL_tmpz00_17280 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1240z00_8127));
							BgL_auxz00_17279 = BGL_OBJECT_WIDENING(BgL_tmpz00_17280);
						}
						BgL_auxz00_17278 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17279);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17278))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_17220 = ((BgL_funcallz00_bglt) BgL_new1240z00_8127);
				return ((obj_t) BgL_auxz00_17220);
			}
		}

	}



/* &lambda2396 */
	BgL_funcallz00_bglt BGl_z62lambda2396z62zzliveness_typesz00(obj_t
		BgL_envz00_8128, obj_t BgL_o1237z00_8129)
	{
		{	/* Liveness/types.scm 71 */
			{	/* Liveness/types.scm 71 */
				BgL_funcallzf2livenesszf2_bglt BgL_wide1239z00_9567;

				BgL_wide1239z00_9567 =
					((BgL_funcallzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_funcallzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 71 */
					obj_t BgL_auxz00_17293;
					BgL_objectz00_bglt BgL_tmpz00_17289;

					BgL_auxz00_17293 = ((obj_t) BgL_wide1239z00_9567);
					BgL_tmpz00_17289 =
						((BgL_objectz00_bglt)
						((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1237z00_8129)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17289, BgL_auxz00_17293);
				}
				((BgL_objectz00_bglt)
					((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1237z00_8129)));
				{	/* Liveness/types.scm 71 */
					long BgL_arg2397z00_9568;

					BgL_arg2397z00_9568 =
						BGL_CLASS_NUM(BGl_funcallzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_funcallz00_bglt)
								((BgL_funcallz00_bglt) BgL_o1237z00_8129))),
						BgL_arg2397z00_9568);
				}
				return
					((BgL_funcallz00_bglt)
					((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1237z00_8129)));
			}
		}

	}



/* &lambda2393 */
	BgL_funcallz00_bglt BGl_z62lambda2393z62zzliveness_typesz00(obj_t
		BgL_envz00_8130, obj_t BgL_loc1227z00_8131, obj_t BgL_type1228z00_8132,
		obj_t BgL_fun1229z00_8133, obj_t BgL_args1230z00_8134,
		obj_t BgL_strength1231z00_8135, obj_t BgL_functions1232z00_8136,
		obj_t BgL_def1233z00_8137, obj_t BgL_use1234z00_8138,
		obj_t BgL_in1235z00_8139, obj_t BgL_out1236z00_8140)
	{
		{	/* Liveness/types.scm 71 */
			{	/* Liveness/types.scm 71 */
				BgL_funcallz00_bglt BgL_new1725z00_9576;

				{	/* Liveness/types.scm 71 */
					BgL_funcallz00_bglt BgL_tmp1723z00_9577;
					BgL_funcallzf2livenesszf2_bglt BgL_wide1724z00_9578;

					{
						BgL_funcallz00_bglt BgL_auxz00_17307;

						{	/* Liveness/types.scm 71 */
							BgL_funcallz00_bglt BgL_new1722z00_9579;

							BgL_new1722z00_9579 =
								((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_funcallz00_bgl))));
							{	/* Liveness/types.scm 71 */
								long BgL_arg2395z00_9580;

								BgL_arg2395z00_9580 =
									BGL_CLASS_NUM(BGl_funcallz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1722z00_9579),
									BgL_arg2395z00_9580);
							}
							{	/* Liveness/types.scm 71 */
								BgL_objectz00_bglt BgL_tmpz00_17312;

								BgL_tmpz00_17312 = ((BgL_objectz00_bglt) BgL_new1722z00_9579);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17312, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1722z00_9579);
							BgL_auxz00_17307 = BgL_new1722z00_9579;
						}
						BgL_tmp1723z00_9577 = ((BgL_funcallz00_bglt) BgL_auxz00_17307);
					}
					BgL_wide1724z00_9578 =
						((BgL_funcallzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_funcallzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 71 */
						obj_t BgL_auxz00_17320;
						BgL_objectz00_bglt BgL_tmpz00_17318;

						BgL_auxz00_17320 = ((obj_t) BgL_wide1724z00_9578);
						BgL_tmpz00_17318 = ((BgL_objectz00_bglt) BgL_tmp1723z00_9577);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17318, BgL_auxz00_17320);
					}
					((BgL_objectz00_bglt) BgL_tmp1723z00_9577);
					{	/* Liveness/types.scm 71 */
						long BgL_arg2394z00_9581;

						BgL_arg2394z00_9581 =
							BGL_CLASS_NUM(BGl_funcallzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1723z00_9577), BgL_arg2394z00_9581);
					}
					BgL_new1725z00_9576 = ((BgL_funcallz00_bglt) BgL_tmp1723z00_9577);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1725z00_9576)))->BgL_locz00) =
					((obj_t) BgL_loc1227z00_8131), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1725z00_9576)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1228z00_8132)),
					BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1725z00_9576)))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1229z00_8133)),
					BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1725z00_9576)))->BgL_argsz00) =
					((obj_t) BgL_args1230z00_8134), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1725z00_9576)))->BgL_strengthz00) =
					((obj_t) ((obj_t) BgL_strength1231z00_8135)), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1725z00_9576)))->BgL_functionsz00) =
					((obj_t) BgL_functions1232z00_8136), BUNSPEC);
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17343;

					{
						obj_t BgL_auxz00_17344;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17345;

							BgL_tmpz00_17345 = ((BgL_objectz00_bglt) BgL_new1725z00_9576);
							BgL_auxz00_17344 = BGL_OBJECT_WIDENING(BgL_tmpz00_17345);
						}
						BgL_auxz00_17343 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17344);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17343))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1233z00_8137)), BUNSPEC);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17351;

					{
						obj_t BgL_auxz00_17352;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17353;

							BgL_tmpz00_17353 = ((BgL_objectz00_bglt) BgL_new1725z00_9576);
							BgL_auxz00_17352 = BGL_OBJECT_WIDENING(BgL_tmpz00_17353);
						}
						BgL_auxz00_17351 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17352);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17351))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1234z00_8138)), BUNSPEC);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17359;

					{
						obj_t BgL_auxz00_17360;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17361;

							BgL_tmpz00_17361 = ((BgL_objectz00_bglt) BgL_new1725z00_9576);
							BgL_auxz00_17360 = BGL_OBJECT_WIDENING(BgL_tmpz00_17361);
						}
						BgL_auxz00_17359 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17360);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17359))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1235z00_8139)), BUNSPEC);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17367;

					{
						obj_t BgL_auxz00_17368;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17369;

							BgL_tmpz00_17369 = ((BgL_objectz00_bglt) BgL_new1725z00_9576);
							BgL_auxz00_17368 = BGL_OBJECT_WIDENING(BgL_tmpz00_17369);
						}
						BgL_auxz00_17367 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17368);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17367))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1236z00_8140)), BUNSPEC);
				}
				return BgL_new1725z00_9576;
			}
		}

	}



/* &<@anonymous:2436> */
	obj_t BGl_z62zc3z04anonymousza32436ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8141)
	{
		{	/* Liveness/types.scm 71 */
			return BNIL;
		}

	}



/* &lambda2435 */
	obj_t BGl_z62lambda2435z62zzliveness_typesz00(obj_t BgL_envz00_8142,
		obj_t BgL_oz00_8143, obj_t BgL_vz00_8144)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17375;

				{
					obj_t BgL_auxz00_17376;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17377;

						BgL_tmpz00_17377 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8143));
						BgL_auxz00_17376 = BGL_OBJECT_WIDENING(BgL_tmpz00_17377);
					}
					BgL_auxz00_17375 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17376);
				}
				return
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17375))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8144)), BUNSPEC);
			}
		}

	}



/* &lambda2434 */
	obj_t BGl_z62lambda2434z62zzliveness_typesz00(obj_t BgL_envz00_8145,
		obj_t BgL_oz00_8146)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17384;

				{
					obj_t BgL_auxz00_17385;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17386;

						BgL_tmpz00_17386 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8146));
						BgL_auxz00_17385 = BGL_OBJECT_WIDENING(BgL_tmpz00_17386);
					}
					BgL_auxz00_17384 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17385);
				}
				return
					(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17384))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2427> */
	obj_t BGl_z62zc3z04anonymousza32427ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8147)
	{
		{	/* Liveness/types.scm 71 */
			return BNIL;
		}

	}



/* &lambda2426 */
	obj_t BGl_z62lambda2426z62zzliveness_typesz00(obj_t BgL_envz00_8148,
		obj_t BgL_oz00_8149, obj_t BgL_vz00_8150)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17392;

				{
					obj_t BgL_auxz00_17393;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17394;

						BgL_tmpz00_17394 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8149));
						BgL_auxz00_17393 = BGL_OBJECT_WIDENING(BgL_tmpz00_17394);
					}
					BgL_auxz00_17392 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17393);
				}
				return
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17392))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8150)), BUNSPEC);
			}
		}

	}



/* &lambda2425 */
	obj_t BGl_z62lambda2425z62zzliveness_typesz00(obj_t BgL_envz00_8151,
		obj_t BgL_oz00_8152)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17401;

				{
					obj_t BgL_auxz00_17402;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17403;

						BgL_tmpz00_17403 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8152));
						BgL_auxz00_17402 = BGL_OBJECT_WIDENING(BgL_tmpz00_17403);
					}
					BgL_auxz00_17401 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17402);
				}
				return
					(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17401))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2419> */
	obj_t BGl_z62zc3z04anonymousza32419ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8153)
	{
		{	/* Liveness/types.scm 71 */
			return BNIL;
		}

	}



/* &lambda2418 */
	obj_t BGl_z62lambda2418z62zzliveness_typesz00(obj_t BgL_envz00_8154,
		obj_t BgL_oz00_8155, obj_t BgL_vz00_8156)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17409;

				{
					obj_t BgL_auxz00_17410;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17411;

						BgL_tmpz00_17411 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8155));
						BgL_auxz00_17410 = BGL_OBJECT_WIDENING(BgL_tmpz00_17411);
					}
					BgL_auxz00_17409 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17410);
				}
				return
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17409))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8156)), BUNSPEC);
			}
		}

	}



/* &lambda2417 */
	obj_t BGl_z62lambda2417z62zzliveness_typesz00(obj_t BgL_envz00_8157,
		obj_t BgL_oz00_8158)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17418;

				{
					obj_t BgL_auxz00_17419;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17420;

						BgL_tmpz00_17420 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8158));
						BgL_auxz00_17419 = BGL_OBJECT_WIDENING(BgL_tmpz00_17420);
					}
					BgL_auxz00_17418 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17419);
				}
				return
					(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17418))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2412> */
	obj_t BGl_z62zc3z04anonymousza32412ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8159)
	{
		{	/* Liveness/types.scm 71 */
			return BNIL;
		}

	}



/* &lambda2411 */
	obj_t BGl_z62lambda2411z62zzliveness_typesz00(obj_t BgL_envz00_8160,
		obj_t BgL_oz00_8161, obj_t BgL_vz00_8162)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17426;

				{
					obj_t BgL_auxz00_17427;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17428;

						BgL_tmpz00_17428 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8161));
						BgL_auxz00_17427 = BGL_OBJECT_WIDENING(BgL_tmpz00_17428);
					}
					BgL_auxz00_17426 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17427);
				}
				return
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17426))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8162)), BUNSPEC);
			}
		}

	}



/* &lambda2410 */
	obj_t BGl_z62lambda2410z62zzliveness_typesz00(obj_t BgL_envz00_8163,
		obj_t BgL_oz00_8164)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17435;

				{
					obj_t BgL_auxz00_17436;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17437;

						BgL_tmpz00_17437 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8164));
						BgL_auxz00_17436 = BGL_OBJECT_WIDENING(BgL_tmpz00_17437);
					}
					BgL_auxz00_17435 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17436);
				}
				return
					(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17435))->
					BgL_defz00);
			}
		}

	}



/* &lambda2352 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2352z62zzliveness_typesz00(obj_t
		BgL_envz00_8165, obj_t BgL_o1225z00_8166)
	{
		{	/* Liveness/types.scm 65 */
			{	/* Liveness/types.scm 65 */
				long BgL_arg2353z00_9595;

				{	/* Liveness/types.scm 65 */
					obj_t BgL_arg2354z00_9596;

					{	/* Liveness/types.scm 65 */
						obj_t BgL_arg2355z00_9597;

						{	/* Liveness/types.scm 65 */
							long BgL_arg1833z00_9598;

							{	/* Liveness/types.scm 65 */
								long BgL_arg1834z00_9599;

								BgL_arg1834z00_9599 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_o1225z00_8166)));
								BgL_arg1833z00_9598 = (BgL_arg1834z00_9599 - OBJECT_TYPE);
							}
							BgL_arg2355z00_9597 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9598);
						}
						BgL_arg2354z00_9596 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2355z00_9597);
					}
					{	/* Liveness/types.scm 65 */
						obj_t BgL_tmpz00_17449;

						BgL_tmpz00_17449 = ((obj_t) BgL_arg2354z00_9596);
						BgL_arg2353z00_9595 = BGL_CLASS_NUM(BgL_tmpz00_17449);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_appzd2lyzd2_bglt) BgL_o1225z00_8166)), BgL_arg2353z00_9595);
			}
			{	/* Liveness/types.scm 65 */
				BgL_objectz00_bglt BgL_tmpz00_17455;

				BgL_tmpz00_17455 =
					((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1225z00_8166));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17455, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1225z00_8166));
			return
				((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1225z00_8166));
		}

	}



/* &<@anonymous:2351> */
	obj_t BGl_z62zc3z04anonymousza32351ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8167, obj_t BgL_new1224z00_8168)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzd2_bglt BgL_auxz00_17463;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_new1224z00_8168))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17467;

					{	/* Liveness/types.scm 65 */
						obj_t BgL_classz00_9601;

						BgL_classz00_9601 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 65 */
							obj_t BgL__ortest_1112z00_9602;

							BgL__ortest_1112z00_9602 = BGL_CLASS_NIL(BgL_classz00_9601);
							if (CBOOL(BgL__ortest_1112z00_9602))
								{	/* Liveness/types.scm 65 */
									BgL_auxz00_17467 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9602);
								}
							else
								{	/* Liveness/types.scm 65 */
									BgL_auxz00_17467 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9601));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1224z00_8168))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17467), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17477;

					{	/* Liveness/types.scm 65 */
						obj_t BgL_classz00_9603;

						BgL_classz00_9603 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 65 */
							obj_t BgL__ortest_1112z00_9604;

							BgL__ortest_1112z00_9604 = BGL_CLASS_NIL(BgL_classz00_9603);
							if (CBOOL(BgL__ortest_1112z00_9604))
								{	/* Liveness/types.scm 65 */
									BgL_auxz00_17477 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9604);
								}
							else
								{	/* Liveness/types.scm 65 */
									BgL_auxz00_17477 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9603));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1224z00_8168))))->
							BgL_funz00) = ((BgL_nodez00_bglt) BgL_auxz00_17477), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17487;

					{	/* Liveness/types.scm 65 */
						obj_t BgL_classz00_9605;

						BgL_classz00_9605 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 65 */
							obj_t BgL__ortest_1112z00_9606;

							BgL__ortest_1112z00_9606 = BGL_CLASS_NIL(BgL_classz00_9605);
							if (CBOOL(BgL__ortest_1112z00_9606))
								{	/* Liveness/types.scm 65 */
									BgL_auxz00_17487 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9606);
								}
							else
								{	/* Liveness/types.scm 65 */
									BgL_auxz00_17487 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9605));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1224z00_8168))))->
							BgL_argz00) = ((BgL_nodez00_bglt) BgL_auxz00_17487), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17497;

					{
						obj_t BgL_auxz00_17498;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17499;

							BgL_tmpz00_17499 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_new1224z00_8168));
							BgL_auxz00_17498 = BGL_OBJECT_WIDENING(BgL_tmpz00_17499);
						}
						BgL_auxz00_17497 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17498);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17497))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17505;

					{
						obj_t BgL_auxz00_17506;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17507;

							BgL_tmpz00_17507 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_new1224z00_8168));
							BgL_auxz00_17506 = BGL_OBJECT_WIDENING(BgL_tmpz00_17507);
						}
						BgL_auxz00_17505 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17506);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17505))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17513;

					{
						obj_t BgL_auxz00_17514;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17515;

							BgL_tmpz00_17515 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_new1224z00_8168));
							BgL_auxz00_17514 = BGL_OBJECT_WIDENING(BgL_tmpz00_17515);
						}
						BgL_auxz00_17513 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17514);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17513))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17521;

					{
						obj_t BgL_auxz00_17522;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17523;

							BgL_tmpz00_17523 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_new1224z00_8168));
							BgL_auxz00_17522 = BGL_OBJECT_WIDENING(BgL_tmpz00_17523);
						}
						BgL_auxz00_17521 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17522);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17521))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_17463 = ((BgL_appzd2lyzd2_bglt) BgL_new1224z00_8168);
				return ((obj_t) BgL_auxz00_17463);
			}
		}

	}



/* &lambda2348 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2348z62zzliveness_typesz00(obj_t
		BgL_envz00_8169, obj_t BgL_o1221z00_8170)
	{
		{	/* Liveness/types.scm 65 */
			{	/* Liveness/types.scm 65 */
				BgL_appzd2lyzf2livenessz20_bglt BgL_wide1223z00_9608;

				BgL_wide1223z00_9608 =
					((BgL_appzd2lyzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_appzd2lyzf2livenessz20_bgl))));
				{	/* Liveness/types.scm 65 */
					obj_t BgL_auxz00_17536;
					BgL_objectz00_bglt BgL_tmpz00_17532;

					BgL_auxz00_17536 = ((obj_t) BgL_wide1223z00_9608);
					BgL_tmpz00_17532 =
						((BgL_objectz00_bglt)
						((BgL_appzd2lyzd2_bglt)
							((BgL_appzd2lyzd2_bglt) BgL_o1221z00_8170)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17532, BgL_auxz00_17536);
				}
				((BgL_objectz00_bglt)
					((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1221z00_8170)));
				{	/* Liveness/types.scm 65 */
					long BgL_arg2350z00_9609;

					BgL_arg2350z00_9609 =
						BGL_CLASS_NUM(BGl_appzd2lyzf2livenessz20zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_o1221z00_8170))),
						BgL_arg2350z00_9609);
				}
				return
					((BgL_appzd2lyzd2_bglt)
					((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1221z00_8170)));
			}
		}

	}



/* &lambda2343 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2343z62zzliveness_typesz00(obj_t
		BgL_envz00_8171, obj_t BgL_loc1210z00_8172, obj_t BgL_type1211z00_8173,
		obj_t BgL_fun1212z00_8174, obj_t BgL_arg1216z00_8175,
		obj_t BgL_def1217z00_8176, obj_t BgL_use1218z00_8177,
		obj_t BgL_in1219z00_8178, obj_t BgL_out1220z00_8179)
	{
		{	/* Liveness/types.scm 65 */
			{	/* Liveness/types.scm 65 */
				BgL_appzd2lyzd2_bglt BgL_new1720z00_9617;

				{	/* Liveness/types.scm 65 */
					BgL_appzd2lyzd2_bglt BgL_tmp1718z00_9618;
					BgL_appzd2lyzf2livenessz20_bglt BgL_wide1719z00_9619;

					{
						BgL_appzd2lyzd2_bglt BgL_auxz00_17550;

						{	/* Liveness/types.scm 65 */
							BgL_appzd2lyzd2_bglt BgL_new1717z00_9620;

							BgL_new1717z00_9620 =
								((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appzd2lyzd2_bgl))));
							{	/* Liveness/types.scm 65 */
								long BgL_arg2347z00_9621;

								BgL_arg2347z00_9621 =
									BGL_CLASS_NUM(BGl_appzd2lyzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1717z00_9620),
									BgL_arg2347z00_9621);
							}
							{	/* Liveness/types.scm 65 */
								BgL_objectz00_bglt BgL_tmpz00_17555;

								BgL_tmpz00_17555 = ((BgL_objectz00_bglt) BgL_new1717z00_9620);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17555, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1717z00_9620);
							BgL_auxz00_17550 = BgL_new1717z00_9620;
						}
						BgL_tmp1718z00_9618 = ((BgL_appzd2lyzd2_bglt) BgL_auxz00_17550);
					}
					BgL_wide1719z00_9619 =
						((BgL_appzd2lyzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzf2livenessz20_bgl))));
					{	/* Liveness/types.scm 65 */
						obj_t BgL_auxz00_17563;
						BgL_objectz00_bglt BgL_tmpz00_17561;

						BgL_auxz00_17563 = ((obj_t) BgL_wide1719z00_9619);
						BgL_tmpz00_17561 = ((BgL_objectz00_bglt) BgL_tmp1718z00_9618);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17561, BgL_auxz00_17563);
					}
					((BgL_objectz00_bglt) BgL_tmp1718z00_9618);
					{	/* Liveness/types.scm 65 */
						long BgL_arg2346z00_9622;

						BgL_arg2346z00_9622 =
							BGL_CLASS_NUM(BGl_appzd2lyzf2livenessz20zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1718z00_9618), BgL_arg2346z00_9622);
					}
					BgL_new1720z00_9617 = ((BgL_appzd2lyzd2_bglt) BgL_tmp1718z00_9618);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1720z00_9617)))->BgL_locz00) =
					((obj_t) BgL_loc1210z00_8172), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1720z00_9617)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1211z00_8173)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
									BgL_new1720z00_9617)))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1212z00_8174)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
									BgL_new1720z00_9617)))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1216z00_8175)),
					BUNSPEC);
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17582;

					{
						obj_t BgL_auxz00_17583;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17584;

							BgL_tmpz00_17584 = ((BgL_objectz00_bglt) BgL_new1720z00_9617);
							BgL_auxz00_17583 = BGL_OBJECT_WIDENING(BgL_tmpz00_17584);
						}
						BgL_auxz00_17582 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17583);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17582))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1217z00_8176)), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17590;

					{
						obj_t BgL_auxz00_17591;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17592;

							BgL_tmpz00_17592 = ((BgL_objectz00_bglt) BgL_new1720z00_9617);
							BgL_auxz00_17591 = BGL_OBJECT_WIDENING(BgL_tmpz00_17592);
						}
						BgL_auxz00_17590 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17591);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17590))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1218z00_8177)), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17598;

					{
						obj_t BgL_auxz00_17599;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17600;

							BgL_tmpz00_17600 = ((BgL_objectz00_bglt) BgL_new1720z00_9617);
							BgL_auxz00_17599 = BGL_OBJECT_WIDENING(BgL_tmpz00_17600);
						}
						BgL_auxz00_17598 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17599);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17598))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1219z00_8178)), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17606;

					{
						obj_t BgL_auxz00_17607;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17608;

							BgL_tmpz00_17608 = ((BgL_objectz00_bglt) BgL_new1720z00_9617);
							BgL_auxz00_17607 = BGL_OBJECT_WIDENING(BgL_tmpz00_17608);
						}
						BgL_auxz00_17606 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17607);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17606))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1220z00_8179)), BUNSPEC);
				}
				return BgL_new1720z00_9617;
			}
		}

	}



/* &<@anonymous:2385> */
	obj_t BGl_z62zc3z04anonymousza32385ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8180)
	{
		{	/* Liveness/types.scm 65 */
			return BNIL;
		}

	}



/* &lambda2384 */
	obj_t BGl_z62lambda2384z62zzliveness_typesz00(obj_t BgL_envz00_8181,
		obj_t BgL_oz00_8182, obj_t BgL_vz00_8183)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17614;

				{
					obj_t BgL_auxz00_17615;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_17616;

						BgL_tmpz00_17616 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8182));
						BgL_auxz00_17615 = BGL_OBJECT_WIDENING(BgL_tmpz00_17616);
					}
					BgL_auxz00_17614 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17615);
				}
				return
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17614))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8183)), BUNSPEC);
			}
		}

	}



/* &lambda2383 */
	obj_t BGl_z62lambda2383z62zzliveness_typesz00(obj_t BgL_envz00_8184,
		obj_t BgL_oz00_8185)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17623;

				{
					obj_t BgL_auxz00_17624;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_17625;

						BgL_tmpz00_17625 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8185));
						BgL_auxz00_17624 = BGL_OBJECT_WIDENING(BgL_tmpz00_17625);
					}
					BgL_auxz00_17623 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17624);
				}
				return
					(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17623))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2378> */
	obj_t BGl_z62zc3z04anonymousza32378ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8186)
	{
		{	/* Liveness/types.scm 65 */
			return BNIL;
		}

	}



/* &lambda2377 */
	obj_t BGl_z62lambda2377z62zzliveness_typesz00(obj_t BgL_envz00_8187,
		obj_t BgL_oz00_8188, obj_t BgL_vz00_8189)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17631;

				{
					obj_t BgL_auxz00_17632;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_17633;

						BgL_tmpz00_17633 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8188));
						BgL_auxz00_17632 = BGL_OBJECT_WIDENING(BgL_tmpz00_17633);
					}
					BgL_auxz00_17631 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17632);
				}
				return
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17631))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8189)), BUNSPEC);
			}
		}

	}



/* &lambda2376 */
	obj_t BGl_z62lambda2376z62zzliveness_typesz00(obj_t BgL_envz00_8190,
		obj_t BgL_oz00_8191)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17640;

				{
					obj_t BgL_auxz00_17641;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_17642;

						BgL_tmpz00_17642 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8191));
						BgL_auxz00_17641 = BGL_OBJECT_WIDENING(BgL_tmpz00_17642);
					}
					BgL_auxz00_17640 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17641);
				}
				return
					(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17640))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2370> */
	obj_t BGl_z62zc3z04anonymousza32370ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8192)
	{
		{	/* Liveness/types.scm 65 */
			return BNIL;
		}

	}



/* &lambda2369 */
	obj_t BGl_z62lambda2369z62zzliveness_typesz00(obj_t BgL_envz00_8193,
		obj_t BgL_oz00_8194, obj_t BgL_vz00_8195)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17648;

				{
					obj_t BgL_auxz00_17649;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_17650;

						BgL_tmpz00_17650 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8194));
						BgL_auxz00_17649 = BGL_OBJECT_WIDENING(BgL_tmpz00_17650);
					}
					BgL_auxz00_17648 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17649);
				}
				return
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17648))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8195)), BUNSPEC);
			}
		}

	}



/* &lambda2368 */
	obj_t BGl_z62lambda2368z62zzliveness_typesz00(obj_t BgL_envz00_8196,
		obj_t BgL_oz00_8197)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17657;

				{
					obj_t BgL_auxz00_17658;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_17659;

						BgL_tmpz00_17659 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8197));
						BgL_auxz00_17658 = BGL_OBJECT_WIDENING(BgL_tmpz00_17659);
					}
					BgL_auxz00_17657 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17658);
				}
				return
					(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17657))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2363> */
	obj_t BGl_z62zc3z04anonymousza32363ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8198)
	{
		{	/* Liveness/types.scm 65 */
			return BNIL;
		}

	}



/* &lambda2362 */
	obj_t BGl_z62lambda2362z62zzliveness_typesz00(obj_t BgL_envz00_8199,
		obj_t BgL_oz00_8200, obj_t BgL_vz00_8201)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17665;

				{
					obj_t BgL_auxz00_17666;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_17667;

						BgL_tmpz00_17667 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8200));
						BgL_auxz00_17666 = BGL_OBJECT_WIDENING(BgL_tmpz00_17667);
					}
					BgL_auxz00_17665 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17666);
				}
				return
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17665))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8201)), BUNSPEC);
			}
		}

	}



/* &lambda2361 */
	obj_t BGl_z62lambda2361z62zzliveness_typesz00(obj_t BgL_envz00_8202,
		obj_t BgL_oz00_8203)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17674;

				{
					obj_t BgL_auxz00_17675;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_17676;

						BgL_tmpz00_17676 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8203));
						BgL_auxz00_17675 = BGL_OBJECT_WIDENING(BgL_tmpz00_17676);
					}
					BgL_auxz00_17674 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17675);
				}
				return
					(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17674))->
					BgL_defz00);
			}
		}

	}



/* &lambda2303 */
	BgL_appz00_bglt BGl_z62lambda2303z62zzliveness_typesz00(obj_t BgL_envz00_8204,
		obj_t BgL_o1208z00_8205)
	{
		{	/* Liveness/types.scm 59 */
			{	/* Liveness/types.scm 59 */
				long BgL_arg2304z00_9636;

				{	/* Liveness/types.scm 59 */
					obj_t BgL_arg2305z00_9637;

					{	/* Liveness/types.scm 59 */
						obj_t BgL_arg2306z00_9638;

						{	/* Liveness/types.scm 59 */
							long BgL_arg1833z00_9639;

							{	/* Liveness/types.scm 59 */
								long BgL_arg1834z00_9640;

								BgL_arg1834z00_9640 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_o1208z00_8205)));
								BgL_arg1833z00_9639 = (BgL_arg1834z00_9640 - OBJECT_TYPE);
							}
							BgL_arg2306z00_9638 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9639);
						}
						BgL_arg2305z00_9637 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2306z00_9638);
					}
					{	/* Liveness/types.scm 59 */
						obj_t BgL_tmpz00_17688;

						BgL_tmpz00_17688 = ((obj_t) BgL_arg2305z00_9637);
						BgL_arg2304z00_9636 = BGL_CLASS_NUM(BgL_tmpz00_17688);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_appz00_bglt) BgL_o1208z00_8205)), BgL_arg2304z00_9636);
			}
			{	/* Liveness/types.scm 59 */
				BgL_objectz00_bglt BgL_tmpz00_17694;

				BgL_tmpz00_17694 =
					((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_o1208z00_8205));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17694, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_o1208z00_8205));
			return ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1208z00_8205));
		}

	}



/* &<@anonymous:2302> */
	obj_t BGl_z62zc3z04anonymousza32302ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8206, obj_t BgL_new1207z00_8207)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appz00_bglt BgL_auxz00_17702;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_new1207z00_8207))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17706;

					{	/* Liveness/types.scm 59 */
						obj_t BgL_classz00_9642;

						BgL_classz00_9642 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 59 */
							obj_t BgL__ortest_1112z00_9643;

							BgL__ortest_1112z00_9643 = BGL_CLASS_NIL(BgL_classz00_9642);
							if (CBOOL(BgL__ortest_1112z00_9643))
								{	/* Liveness/types.scm 59 */
									BgL_auxz00_17706 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9643);
								}
							else
								{	/* Liveness/types.scm 59 */
									BgL_auxz00_17706 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9642));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt) BgL_new1207z00_8207))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17706), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_appz00_bglt) BgL_new1207z00_8207))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_appz00_bglt)
										BgL_new1207z00_8207))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_17722;

					{	/* Liveness/types.scm 59 */
						obj_t BgL_classz00_9644;

						BgL_classz00_9644 = BGl_varz00zzast_nodez00;
						{	/* Liveness/types.scm 59 */
							obj_t BgL__ortest_1112z00_9645;

							BgL__ortest_1112z00_9645 = BGL_CLASS_NIL(BgL_classz00_9644);
							if (CBOOL(BgL__ortest_1112z00_9645))
								{	/* Liveness/types.scm 59 */
									BgL_auxz00_17722 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_9645);
								}
							else
								{	/* Liveness/types.scm 59 */
									BgL_auxz00_17722 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9644));
								}
						}
					}
					((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_new1207z00_8207))))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_17722), BUNSPEC);
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_new1207z00_8207))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) ((BgL_appz00_bglt)
										BgL_new1207z00_8207))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_17738;

					{
						obj_t BgL_auxz00_17739;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_17740;

							BgL_tmpz00_17740 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_new1207z00_8207));
							BgL_auxz00_17739 = BGL_OBJECT_WIDENING(BgL_tmpz00_17740);
						}
						BgL_auxz00_17738 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17739);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17738))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_17746;

					{
						obj_t BgL_auxz00_17747;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_17748;

							BgL_tmpz00_17748 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_new1207z00_8207));
							BgL_auxz00_17747 = BGL_OBJECT_WIDENING(BgL_tmpz00_17748);
						}
						BgL_auxz00_17746 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17747);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17746))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_17754;

					{
						obj_t BgL_auxz00_17755;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_17756;

							BgL_tmpz00_17756 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_new1207z00_8207));
							BgL_auxz00_17755 = BGL_OBJECT_WIDENING(BgL_tmpz00_17756);
						}
						BgL_auxz00_17754 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17755);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17754))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_17762;

					{
						obj_t BgL_auxz00_17763;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_17764;

							BgL_tmpz00_17764 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_new1207z00_8207));
							BgL_auxz00_17763 = BGL_OBJECT_WIDENING(BgL_tmpz00_17764);
						}
						BgL_auxz00_17762 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17763);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17762))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_17702 = ((BgL_appz00_bglt) BgL_new1207z00_8207);
				return ((obj_t) BgL_auxz00_17702);
			}
		}

	}



/* &lambda2299 */
	BgL_appz00_bglt BGl_z62lambda2299z62zzliveness_typesz00(obj_t BgL_envz00_8208,
		obj_t BgL_o1204z00_8209)
	{
		{	/* Liveness/types.scm 59 */
			{	/* Liveness/types.scm 59 */
				BgL_appzf2livenesszf2_bglt BgL_wide1206z00_9647;

				BgL_wide1206z00_9647 =
					((BgL_appzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_appzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 59 */
					obj_t BgL_auxz00_17777;
					BgL_objectz00_bglt BgL_tmpz00_17773;

					BgL_auxz00_17777 = ((obj_t) BgL_wide1206z00_9647);
					BgL_tmpz00_17773 =
						((BgL_objectz00_bglt)
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1204z00_8209)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17773, BgL_auxz00_17777);
				}
				((BgL_objectz00_bglt)
					((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1204z00_8209)));
				{	/* Liveness/types.scm 59 */
					long BgL_arg2301z00_9648;

					BgL_arg2301z00_9648 =
						BGL_CLASS_NUM(BGl_appzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_o1204z00_8209))), BgL_arg2301z00_9648);
				}
				return
					((BgL_appz00_bglt)
					((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1204z00_8209)));
			}
		}

	}



/* &lambda2296 */
	BgL_appz00_bglt BGl_z62lambda2296z62zzliveness_typesz00(obj_t BgL_envz00_8210,
		obj_t BgL_loc1193z00_8211, obj_t BgL_type1194z00_8212,
		obj_t BgL_sidezd2effect1195zd2_8213, obj_t BgL_key1196z00_8214,
		obj_t BgL_fun1197z00_8215, obj_t BgL_args1198z00_8216,
		obj_t BgL_stackable1199z00_8217, obj_t BgL_def1200z00_8218,
		obj_t BgL_use1201z00_8219, obj_t BgL_in1202z00_8220,
		obj_t BgL_out1203z00_8221)
	{
		{	/* Liveness/types.scm 59 */
			{	/* Liveness/types.scm 59 */
				BgL_appz00_bglt BgL_new1715z00_9655;

				{	/* Liveness/types.scm 59 */
					BgL_appz00_bglt BgL_tmp1713z00_9656;
					BgL_appzf2livenesszf2_bglt BgL_wide1714z00_9657;

					{
						BgL_appz00_bglt BgL_auxz00_17791;

						{	/* Liveness/types.scm 59 */
							BgL_appz00_bglt BgL_new1712z00_9658;

							BgL_new1712z00_9658 =
								((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appz00_bgl))));
							{	/* Liveness/types.scm 59 */
								long BgL_arg2298z00_9659;

								BgL_arg2298z00_9659 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1712z00_9658),
									BgL_arg2298z00_9659);
							}
							{	/* Liveness/types.scm 59 */
								BgL_objectz00_bglt BgL_tmpz00_17796;

								BgL_tmpz00_17796 = ((BgL_objectz00_bglt) BgL_new1712z00_9658);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17796, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1712z00_9658);
							BgL_auxz00_17791 = BgL_new1712z00_9658;
						}
						BgL_tmp1713z00_9656 = ((BgL_appz00_bglt) BgL_auxz00_17791);
					}
					BgL_wide1714z00_9657 =
						((BgL_appzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 59 */
						obj_t BgL_auxz00_17804;
						BgL_objectz00_bglt BgL_tmpz00_17802;

						BgL_auxz00_17804 = ((obj_t) BgL_wide1714z00_9657);
						BgL_tmpz00_17802 = ((BgL_objectz00_bglt) BgL_tmp1713z00_9656);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17802, BgL_auxz00_17804);
					}
					((BgL_objectz00_bglt) BgL_tmp1713z00_9656);
					{	/* Liveness/types.scm 59 */
						long BgL_arg2297z00_9660;

						BgL_arg2297z00_9660 =
							BGL_CLASS_NUM(BGl_appzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1713z00_9656), BgL_arg2297z00_9660);
					}
					BgL_new1715z00_9655 = ((BgL_appz00_bglt) BgL_tmp1713z00_9656);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1715z00_9655)))->BgL_locz00) =
					((obj_t) BgL_loc1193z00_8211), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1715z00_9655)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1194z00_8212)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1715z00_9655)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1195zd2_8213), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1715z00_9655)))->BgL_keyz00) =
					((obj_t) BgL_key1196z00_8214), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_new1715z00_9655)))->
						BgL_funz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_fun1197z00_8215)), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_new1715z00_9655)))->
						BgL_argsz00) = ((obj_t) BgL_args1198z00_8216), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_new1715z00_9655)))->
						BgL_stackablez00) = ((obj_t) BgL_stackable1199z00_8217), BUNSPEC);
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_17828;

					{
						obj_t BgL_auxz00_17829;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_17830;

							BgL_tmpz00_17830 = ((BgL_objectz00_bglt) BgL_new1715z00_9655);
							BgL_auxz00_17829 = BGL_OBJECT_WIDENING(BgL_tmpz00_17830);
						}
						BgL_auxz00_17828 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17829);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17828))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1200z00_8218)), BUNSPEC);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_17836;

					{
						obj_t BgL_auxz00_17837;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_17838;

							BgL_tmpz00_17838 = ((BgL_objectz00_bglt) BgL_new1715z00_9655);
							BgL_auxz00_17837 = BGL_OBJECT_WIDENING(BgL_tmpz00_17838);
						}
						BgL_auxz00_17836 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17837);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17836))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1201z00_8219)), BUNSPEC);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_17844;

					{
						obj_t BgL_auxz00_17845;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_17846;

							BgL_tmpz00_17846 = ((BgL_objectz00_bglt) BgL_new1715z00_9655);
							BgL_auxz00_17845 = BGL_OBJECT_WIDENING(BgL_tmpz00_17846);
						}
						BgL_auxz00_17844 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17845);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17844))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1202z00_8220)), BUNSPEC);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_17852;

					{
						obj_t BgL_auxz00_17853;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_17854;

							BgL_tmpz00_17854 = ((BgL_objectz00_bglt) BgL_new1715z00_9655);
							BgL_auxz00_17853 = BGL_OBJECT_WIDENING(BgL_tmpz00_17854);
						}
						BgL_auxz00_17852 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17853);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17852))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1203z00_8221)), BUNSPEC);
				}
				return BgL_new1715z00_9655;
			}
		}

	}



/* &<@anonymous:2335> */
	obj_t BGl_z62zc3z04anonymousza32335ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8222)
	{
		{	/* Liveness/types.scm 59 */
			return BNIL;
		}

	}



/* &lambda2334 */
	obj_t BGl_z62lambda2334z62zzliveness_typesz00(obj_t BgL_envz00_8223,
		obj_t BgL_oz00_8224, obj_t BgL_vz00_8225)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_17860;

				{
					obj_t BgL_auxz00_17861;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_17862;

						BgL_tmpz00_17862 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8224));
						BgL_auxz00_17861 = BGL_OBJECT_WIDENING(BgL_tmpz00_17862);
					}
					BgL_auxz00_17860 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17861);
				}
				return
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17860))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8225)), BUNSPEC);
			}
		}

	}



/* &lambda2333 */
	obj_t BGl_z62lambda2333z62zzliveness_typesz00(obj_t BgL_envz00_8226,
		obj_t BgL_oz00_8227)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_17869;

				{
					obj_t BgL_auxz00_17870;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_17871;

						BgL_tmpz00_17871 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8227));
						BgL_auxz00_17870 = BGL_OBJECT_WIDENING(BgL_tmpz00_17871);
					}
					BgL_auxz00_17869 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17870);
				}
				return
					(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17869))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2327> */
	obj_t BGl_z62zc3z04anonymousza32327ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8228)
	{
		{	/* Liveness/types.scm 59 */
			return BNIL;
		}

	}



/* &lambda2326 */
	obj_t BGl_z62lambda2326z62zzliveness_typesz00(obj_t BgL_envz00_8229,
		obj_t BgL_oz00_8230, obj_t BgL_vz00_8231)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_17877;

				{
					obj_t BgL_auxz00_17878;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_17879;

						BgL_tmpz00_17879 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8230));
						BgL_auxz00_17878 = BGL_OBJECT_WIDENING(BgL_tmpz00_17879);
					}
					BgL_auxz00_17877 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17878);
				}
				return
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17877))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8231)), BUNSPEC);
			}
		}

	}



/* &lambda2325 */
	obj_t BGl_z62lambda2325z62zzliveness_typesz00(obj_t BgL_envz00_8232,
		obj_t BgL_oz00_8233)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_17886;

				{
					obj_t BgL_auxz00_17887;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_17888;

						BgL_tmpz00_17888 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8233));
						BgL_auxz00_17887 = BGL_OBJECT_WIDENING(BgL_tmpz00_17888);
					}
					BgL_auxz00_17886 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17887);
				}
				return
					(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17886))->BgL_inz00);
			}
		}

	}



/* &<@anonymous:2320> */
	obj_t BGl_z62zc3z04anonymousza32320ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8234)
	{
		{	/* Liveness/types.scm 59 */
			return BNIL;
		}

	}



/* &lambda2319 */
	obj_t BGl_z62lambda2319z62zzliveness_typesz00(obj_t BgL_envz00_8235,
		obj_t BgL_oz00_8236, obj_t BgL_vz00_8237)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_17894;

				{
					obj_t BgL_auxz00_17895;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_17896;

						BgL_tmpz00_17896 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8236));
						BgL_auxz00_17895 = BGL_OBJECT_WIDENING(BgL_tmpz00_17896);
					}
					BgL_auxz00_17894 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17895);
				}
				return
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17894))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8237)), BUNSPEC);
			}
		}

	}



/* &lambda2318 */
	obj_t BGl_z62lambda2318z62zzliveness_typesz00(obj_t BgL_envz00_8238,
		obj_t BgL_oz00_8239)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_17903;

				{
					obj_t BgL_auxz00_17904;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_17905;

						BgL_tmpz00_17905 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8239));
						BgL_auxz00_17904 = BGL_OBJECT_WIDENING(BgL_tmpz00_17905);
					}
					BgL_auxz00_17903 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17904);
				}
				return
					(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17903))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2313> */
	obj_t BGl_z62zc3z04anonymousza32313ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8240)
	{
		{	/* Liveness/types.scm 59 */
			return BNIL;
		}

	}



/* &lambda2312 */
	obj_t BGl_z62lambda2312z62zzliveness_typesz00(obj_t BgL_envz00_8241,
		obj_t BgL_oz00_8242, obj_t BgL_vz00_8243)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_17911;

				{
					obj_t BgL_auxz00_17912;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_17913;

						BgL_tmpz00_17913 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8242));
						BgL_auxz00_17912 = BGL_OBJECT_WIDENING(BgL_tmpz00_17913);
					}
					BgL_auxz00_17911 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17912);
				}
				return
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17911))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8243)), BUNSPEC);
			}
		}

	}



/* &lambda2311 */
	obj_t BGl_z62lambda2311z62zzliveness_typesz00(obj_t BgL_envz00_8244,
		obj_t BgL_oz00_8245)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_17920;

				{
					obj_t BgL_auxz00_17921;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_17922;

						BgL_tmpz00_17922 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8245));
						BgL_auxz00_17921 = BGL_OBJECT_WIDENING(BgL_tmpz00_17922);
					}
					BgL_auxz00_17920 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17921);
				}
				return
					(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17920))->
					BgL_defz00);
			}
		}

	}



/* &lambda2257 */
	BgL_sequencez00_bglt BGl_z62lambda2257z62zzliveness_typesz00(obj_t
		BgL_envz00_8246, obj_t BgL_o1191z00_8247)
	{
		{	/* Liveness/types.scm 53 */
			{	/* Liveness/types.scm 53 */
				long BgL_arg2258z00_9674;

				{	/* Liveness/types.scm 53 */
					obj_t BgL_arg2259z00_9675;

					{	/* Liveness/types.scm 53 */
						obj_t BgL_arg2260z00_9676;

						{	/* Liveness/types.scm 53 */
							long BgL_arg1833z00_9677;

							{	/* Liveness/types.scm 53 */
								long BgL_arg1834z00_9678;

								BgL_arg1834z00_9678 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt) BgL_o1191z00_8247)));
								BgL_arg1833z00_9677 = (BgL_arg1834z00_9678 - OBJECT_TYPE);
							}
							BgL_arg2260z00_9676 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9677);
						}
						BgL_arg2259z00_9675 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2260z00_9676);
					}
					{	/* Liveness/types.scm 53 */
						obj_t BgL_tmpz00_17934;

						BgL_tmpz00_17934 = ((obj_t) BgL_arg2259z00_9675);
						BgL_arg2258z00_9674 = BGL_CLASS_NUM(BgL_tmpz00_17934);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sequencez00_bglt) BgL_o1191z00_8247)), BgL_arg2258z00_9674);
			}
			{	/* Liveness/types.scm 53 */
				BgL_objectz00_bglt BgL_tmpz00_17940;

				BgL_tmpz00_17940 =
					((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_o1191z00_8247));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17940, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_o1191z00_8247));
			return
				((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_o1191z00_8247));
		}

	}



/* &<@anonymous:2256> */
	obj_t BGl_z62zc3z04anonymousza32256ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8248, obj_t BgL_new1190z00_8249)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencez00_bglt BgL_auxz00_17948;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_sequencez00_bglt) BgL_new1190z00_8249))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17952;

					{	/* Liveness/types.scm 53 */
						obj_t BgL_classz00_9680;

						BgL_classz00_9680 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 53 */
							obj_t BgL__ortest_1112z00_9681;

							BgL__ortest_1112z00_9681 = BGL_CLASS_NIL(BgL_classz00_9680);
							if (CBOOL(BgL__ortest_1112z00_9681))
								{	/* Liveness/types.scm 53 */
									BgL_auxz00_17952 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9681);
								}
							else
								{	/* Liveness/types.scm 53 */
									BgL_auxz00_17952 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9680));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_sequencez00_bglt) BgL_new1190z00_8249))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17952), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_sequencez00_bglt) BgL_new1190z00_8249))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_sequencez00_bglt)
										BgL_new1190z00_8249))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sequencez00_bglt)
							COBJECT(((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
										BgL_new1190z00_8249))))->BgL_nodesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_sequencez00_bglt)
							COBJECT(((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
										BgL_new1190z00_8249))))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_sequencez00_bglt)
							COBJECT(((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
										BgL_new1190z00_8249))))->BgL_metaz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_17977;

					{
						obj_t BgL_auxz00_17978;

						{	/* Liveness/types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_17979;

							BgL_tmpz00_17979 =
								((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt) BgL_new1190z00_8249));
							BgL_auxz00_17978 = BGL_OBJECT_WIDENING(BgL_tmpz00_17979);
						}
						BgL_auxz00_17977 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_17978);
					}
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_17977))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_17985;

					{
						obj_t BgL_auxz00_17986;

						{	/* Liveness/types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_17987;

							BgL_tmpz00_17987 =
								((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt) BgL_new1190z00_8249));
							BgL_auxz00_17986 = BGL_OBJECT_WIDENING(BgL_tmpz00_17987);
						}
						BgL_auxz00_17985 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_17986);
					}
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_17985))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_17993;

					{
						obj_t BgL_auxz00_17994;

						{	/* Liveness/types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_17995;

							BgL_tmpz00_17995 =
								((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt) BgL_new1190z00_8249));
							BgL_auxz00_17994 = BGL_OBJECT_WIDENING(BgL_tmpz00_17995);
						}
						BgL_auxz00_17993 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_17994);
					}
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_17993))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18001;

					{
						obj_t BgL_auxz00_18002;

						{	/* Liveness/types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_18003;

							BgL_tmpz00_18003 =
								((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt) BgL_new1190z00_8249));
							BgL_auxz00_18002 = BGL_OBJECT_WIDENING(BgL_tmpz00_18003);
						}
						BgL_auxz00_18001 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18002);
					}
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18001))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_17948 = ((BgL_sequencez00_bglt) BgL_new1190z00_8249);
				return ((obj_t) BgL_auxz00_17948);
			}
		}

	}



/* &lambda2254 */
	BgL_sequencez00_bglt BGl_z62lambda2254z62zzliveness_typesz00(obj_t
		BgL_envz00_8250, obj_t BgL_o1187z00_8251)
	{
		{	/* Liveness/types.scm 53 */
			{	/* Liveness/types.scm 53 */
				BgL_sequencezf2livenesszf2_bglt BgL_wide1189z00_9683;

				BgL_wide1189z00_9683 =
					((BgL_sequencezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sequencezf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 53 */
					obj_t BgL_auxz00_18016;
					BgL_objectz00_bglt BgL_tmpz00_18012;

					BgL_auxz00_18016 = ((obj_t) BgL_wide1189z00_9683);
					BgL_tmpz00_18012 =
						((BgL_objectz00_bglt)
						((BgL_sequencez00_bglt)
							((BgL_sequencez00_bglt) BgL_o1187z00_8251)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18012, BgL_auxz00_18016);
				}
				((BgL_objectz00_bglt)
					((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_o1187z00_8251)));
				{	/* Liveness/types.scm 53 */
					long BgL_arg2255z00_9684;

					BgL_arg2255z00_9684 =
						BGL_CLASS_NUM(BGl_sequencezf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sequencez00_bglt)
								((BgL_sequencez00_bglt) BgL_o1187z00_8251))),
						BgL_arg2255z00_9684);
				}
				return
					((BgL_sequencez00_bglt)
					((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_o1187z00_8251)));
			}
		}

	}



/* &lambda2251 */
	BgL_sequencez00_bglt BGl_z62lambda2251z62zzliveness_typesz00(obj_t
		BgL_envz00_8252, obj_t BgL_loc1176z00_8253, obj_t BgL_type1177z00_8254,
		obj_t BgL_sidezd2effect1178zd2_8255, obj_t BgL_key1179z00_8256,
		obj_t BgL_nodes1180z00_8257, obj_t BgL_unsafe1181z00_8258,
		obj_t BgL_meta1182z00_8259, obj_t BgL_def1183z00_8260,
		obj_t BgL_use1184z00_8261, obj_t BgL_in1185z00_8262,
		obj_t BgL_out1186z00_8263)
	{
		{	/* Liveness/types.scm 53 */
			{	/* Liveness/types.scm 53 */
				bool_t BgL_unsafe1181z00_9687;

				BgL_unsafe1181z00_9687 = CBOOL(BgL_unsafe1181z00_8258);
				{	/* Liveness/types.scm 53 */
					BgL_sequencez00_bglt BgL_new1710z00_9693;

					{	/* Liveness/types.scm 53 */
						BgL_sequencez00_bglt BgL_tmp1708z00_9694;
						BgL_sequencezf2livenesszf2_bglt BgL_wide1709z00_9695;

						{
							BgL_sequencez00_bglt BgL_auxz00_18031;

							{	/* Liveness/types.scm 53 */
								BgL_sequencez00_bglt BgL_new1707z00_9696;

								BgL_new1707z00_9696 =
									((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sequencez00_bgl))));
								{	/* Liveness/types.scm 53 */
									long BgL_arg2253z00_9697;

									BgL_arg2253z00_9697 =
										BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1707z00_9696),
										BgL_arg2253z00_9697);
								}
								{	/* Liveness/types.scm 53 */
									BgL_objectz00_bglt BgL_tmpz00_18036;

									BgL_tmpz00_18036 = ((BgL_objectz00_bglt) BgL_new1707z00_9696);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18036, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1707z00_9696);
								BgL_auxz00_18031 = BgL_new1707z00_9696;
							}
							BgL_tmp1708z00_9694 = ((BgL_sequencez00_bglt) BgL_auxz00_18031);
						}
						BgL_wide1709z00_9695 =
							((BgL_sequencezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sequencezf2livenesszf2_bgl))));
						{	/* Liveness/types.scm 53 */
							obj_t BgL_auxz00_18044;
							BgL_objectz00_bglt BgL_tmpz00_18042;

							BgL_auxz00_18044 = ((obj_t) BgL_wide1709z00_9695);
							BgL_tmpz00_18042 = ((BgL_objectz00_bglt) BgL_tmp1708z00_9694);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18042, BgL_auxz00_18044);
						}
						((BgL_objectz00_bglt) BgL_tmp1708z00_9694);
						{	/* Liveness/types.scm 53 */
							long BgL_arg2252z00_9698;

							BgL_arg2252z00_9698 =
								BGL_CLASS_NUM(BGl_sequencezf2livenesszf2zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1708z00_9694),
								BgL_arg2252z00_9698);
						}
						BgL_new1710z00_9693 = ((BgL_sequencez00_bglt) BgL_tmp1708z00_9694);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1710z00_9693)))->BgL_locz00) =
						((obj_t) BgL_loc1176z00_8253), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1710z00_9693)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1177z00_8254)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1710z00_9693)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1178zd2_8255), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1710z00_9693)))->BgL_keyz00) =
						((obj_t) BgL_key1179z00_8256), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_new1710z00_9693)))->BgL_nodesz00) =
						((obj_t) ((obj_t) BgL_nodes1180z00_8257)), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_new1710z00_9693)))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1181z00_9687), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_new1710z00_9693)))->BgL_metaz00) =
						((obj_t) ((obj_t) BgL_meta1182z00_8259)), BUNSPEC);
					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18069;

						{
							obj_t BgL_auxz00_18070;

							{	/* Liveness/types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_18071;

								BgL_tmpz00_18071 = ((BgL_objectz00_bglt) BgL_new1710z00_9693);
								BgL_auxz00_18070 = BGL_OBJECT_WIDENING(BgL_tmpz00_18071);
							}
							BgL_auxz00_18069 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18070);
						}
						((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18069))->
								BgL_defz00) = ((obj_t) ((obj_t) BgL_def1183z00_8260)), BUNSPEC);
					}
					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18077;

						{
							obj_t BgL_auxz00_18078;

							{	/* Liveness/types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_18079;

								BgL_tmpz00_18079 = ((BgL_objectz00_bglt) BgL_new1710z00_9693);
								BgL_auxz00_18078 = BGL_OBJECT_WIDENING(BgL_tmpz00_18079);
							}
							BgL_auxz00_18077 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18078);
						}
						((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18077))->
								BgL_usez00) = ((obj_t) ((obj_t) BgL_use1184z00_8261)), BUNSPEC);
					}
					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18085;

						{
							obj_t BgL_auxz00_18086;

							{	/* Liveness/types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_18087;

								BgL_tmpz00_18087 = ((BgL_objectz00_bglt) BgL_new1710z00_9693);
								BgL_auxz00_18086 = BGL_OBJECT_WIDENING(BgL_tmpz00_18087);
							}
							BgL_auxz00_18085 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18086);
						}
						((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18085))->
								BgL_inz00) = ((obj_t) ((obj_t) BgL_in1185z00_8262)), BUNSPEC);
					}
					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18093;

						{
							obj_t BgL_auxz00_18094;

							{	/* Liveness/types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_18095;

								BgL_tmpz00_18095 = ((BgL_objectz00_bglt) BgL_new1710z00_9693);
								BgL_auxz00_18094 = BGL_OBJECT_WIDENING(BgL_tmpz00_18095);
							}
							BgL_auxz00_18093 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18094);
						}
						((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18093))->
								BgL_outz00) = ((obj_t) ((obj_t) BgL_out1186z00_8263)), BUNSPEC);
					}
					return BgL_new1710z00_9693;
				}
			}
		}

	}



/* &<@anonymous:2289> */
	obj_t BGl_z62zc3z04anonymousza32289ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8264)
	{
		{	/* Liveness/types.scm 53 */
			return BNIL;
		}

	}



/* &lambda2288 */
	obj_t BGl_z62lambda2288z62zzliveness_typesz00(obj_t BgL_envz00_8265,
		obj_t BgL_oz00_8266, obj_t BgL_vz00_8267)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18101;

				{
					obj_t BgL_auxz00_18102;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18103;

						BgL_tmpz00_18103 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8266));
						BgL_auxz00_18102 = BGL_OBJECT_WIDENING(BgL_tmpz00_18103);
					}
					BgL_auxz00_18101 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18102);
				}
				return
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18101))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8267)), BUNSPEC);
			}
		}

	}



/* &lambda2287 */
	obj_t BGl_z62lambda2287z62zzliveness_typesz00(obj_t BgL_envz00_8268,
		obj_t BgL_oz00_8269)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18110;

				{
					obj_t BgL_auxz00_18111;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18112;

						BgL_tmpz00_18112 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8269));
						BgL_auxz00_18111 = BGL_OBJECT_WIDENING(BgL_tmpz00_18112);
					}
					BgL_auxz00_18110 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18111);
				}
				return
					(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18110))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2281> */
	obj_t BGl_z62zc3z04anonymousza32281ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8270)
	{
		{	/* Liveness/types.scm 53 */
			return BNIL;
		}

	}



/* &lambda2280 */
	obj_t BGl_z62lambda2280z62zzliveness_typesz00(obj_t BgL_envz00_8271,
		obj_t BgL_oz00_8272, obj_t BgL_vz00_8273)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18118;

				{
					obj_t BgL_auxz00_18119;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18120;

						BgL_tmpz00_18120 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8272));
						BgL_auxz00_18119 = BGL_OBJECT_WIDENING(BgL_tmpz00_18120);
					}
					BgL_auxz00_18118 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18119);
				}
				return
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18118))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8273)), BUNSPEC);
			}
		}

	}



/* &lambda2279 */
	obj_t BGl_z62lambda2279z62zzliveness_typesz00(obj_t BgL_envz00_8274,
		obj_t BgL_oz00_8275)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18127;

				{
					obj_t BgL_auxz00_18128;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18129;

						BgL_tmpz00_18129 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8275));
						BgL_auxz00_18128 = BGL_OBJECT_WIDENING(BgL_tmpz00_18129);
					}
					BgL_auxz00_18127 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18128);
				}
				return
					(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18127))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2274> */
	obj_t BGl_z62zc3z04anonymousza32274ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8276)
	{
		{	/* Liveness/types.scm 53 */
			return BNIL;
		}

	}



/* &lambda2273 */
	obj_t BGl_z62lambda2273z62zzliveness_typesz00(obj_t BgL_envz00_8277,
		obj_t BgL_oz00_8278, obj_t BgL_vz00_8279)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18135;

				{
					obj_t BgL_auxz00_18136;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18137;

						BgL_tmpz00_18137 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8278));
						BgL_auxz00_18136 = BGL_OBJECT_WIDENING(BgL_tmpz00_18137);
					}
					BgL_auxz00_18135 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18136);
				}
				return
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18135))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8279)), BUNSPEC);
			}
		}

	}



/* &lambda2272 */
	obj_t BGl_z62lambda2272z62zzliveness_typesz00(obj_t BgL_envz00_8280,
		obj_t BgL_oz00_8281)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18144;

				{
					obj_t BgL_auxz00_18145;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18146;

						BgL_tmpz00_18146 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8281));
						BgL_auxz00_18145 = BGL_OBJECT_WIDENING(BgL_tmpz00_18146);
					}
					BgL_auxz00_18144 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18145);
				}
				return
					(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18144))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2267> */
	obj_t BGl_z62zc3z04anonymousza32267ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8282)
	{
		{	/* Liveness/types.scm 53 */
			return BNIL;
		}

	}



/* &lambda2266 */
	obj_t BGl_z62lambda2266z62zzliveness_typesz00(obj_t BgL_envz00_8283,
		obj_t BgL_oz00_8284, obj_t BgL_vz00_8285)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18152;

				{
					obj_t BgL_auxz00_18153;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18154;

						BgL_tmpz00_18154 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8284));
						BgL_auxz00_18153 = BGL_OBJECT_WIDENING(BgL_tmpz00_18154);
					}
					BgL_auxz00_18152 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18153);
				}
				return
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18152))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8285)), BUNSPEC);
			}
		}

	}



/* &lambda2265 */
	obj_t BGl_z62lambda2265z62zzliveness_typesz00(obj_t BgL_envz00_8286,
		obj_t BgL_oz00_8287)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18161;

				{
					obj_t BgL_auxz00_18162;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18163;

						BgL_tmpz00_18163 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8287));
						BgL_auxz00_18162 = BGL_OBJECT_WIDENING(BgL_tmpz00_18163);
					}
					BgL_auxz00_18161 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18162);
				}
				return
					(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18161))->
					BgL_defz00);
			}
		}

	}



/* &lambda2213 */
	BgL_kwotez00_bglt BGl_z62lambda2213z62zzliveness_typesz00(obj_t
		BgL_envz00_8288, obj_t BgL_o1174z00_8289)
	{
		{	/* Liveness/types.scm 47 */
			{	/* Liveness/types.scm 47 */
				long BgL_arg2214z00_9712;

				{	/* Liveness/types.scm 47 */
					obj_t BgL_arg2215z00_9713;

					{	/* Liveness/types.scm 47 */
						obj_t BgL_arg2216z00_9714;

						{	/* Liveness/types.scm 47 */
							long BgL_arg1833z00_9715;

							{	/* Liveness/types.scm 47 */
								long BgL_arg1834z00_9716;

								BgL_arg1834z00_9716 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_kwotez00_bglt) BgL_o1174z00_8289)));
								BgL_arg1833z00_9715 = (BgL_arg1834z00_9716 - OBJECT_TYPE);
							}
							BgL_arg2216z00_9714 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9715);
						}
						BgL_arg2215z00_9713 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2216z00_9714);
					}
					{	/* Liveness/types.scm 47 */
						obj_t BgL_tmpz00_18175;

						BgL_tmpz00_18175 = ((obj_t) BgL_arg2215z00_9713);
						BgL_arg2214z00_9712 = BGL_CLASS_NUM(BgL_tmpz00_18175);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) BgL_o1174z00_8289)), BgL_arg2214z00_9712);
			}
			{	/* Liveness/types.scm 47 */
				BgL_objectz00_bglt BgL_tmpz00_18181;

				BgL_tmpz00_18181 =
					((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_o1174z00_8289));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18181, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_o1174z00_8289));
			return ((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1174z00_8289));
		}

	}



/* &<@anonymous:2212> */
	obj_t BGl_z62zc3z04anonymousza32212ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8290, obj_t BgL_new1173z00_8291)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotez00_bglt BgL_auxz00_18189;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_kwotez00_bglt) BgL_new1173z00_8291))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18193;

					{	/* Liveness/types.scm 47 */
						obj_t BgL_classz00_9718;

						BgL_classz00_9718 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 47 */
							obj_t BgL__ortest_1112z00_9719;

							BgL__ortest_1112z00_9719 = BGL_CLASS_NIL(BgL_classz00_9718);
							if (CBOOL(BgL__ortest_1112z00_9719))
								{	/* Liveness/types.scm 47 */
									BgL_auxz00_18193 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9719);
								}
							else
								{	/* Liveness/types.scm 47 */
									BgL_auxz00_18193 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9718));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_kwotez00_bglt) BgL_new1173z00_8291))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_18193), BUNSPEC);
				}
				((((BgL_kwotez00_bglt) COBJECT(
								((BgL_kwotez00_bglt)
									((BgL_kwotez00_bglt) BgL_new1173z00_8291))))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18206;

					{
						obj_t BgL_auxz00_18207;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18208;

							BgL_tmpz00_18208 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) BgL_new1173z00_8291));
							BgL_auxz00_18207 = BGL_OBJECT_WIDENING(BgL_tmpz00_18208);
						}
						BgL_auxz00_18206 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18207);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18206))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18214;

					{
						obj_t BgL_auxz00_18215;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18216;

							BgL_tmpz00_18216 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) BgL_new1173z00_8291));
							BgL_auxz00_18215 = BGL_OBJECT_WIDENING(BgL_tmpz00_18216);
						}
						BgL_auxz00_18214 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18215);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18214))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18222;

					{
						obj_t BgL_auxz00_18223;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18224;

							BgL_tmpz00_18224 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) BgL_new1173z00_8291));
							BgL_auxz00_18223 = BGL_OBJECT_WIDENING(BgL_tmpz00_18224);
						}
						BgL_auxz00_18222 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18223);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18222))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18230;

					{
						obj_t BgL_auxz00_18231;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18232;

							BgL_tmpz00_18232 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) BgL_new1173z00_8291));
							BgL_auxz00_18231 = BGL_OBJECT_WIDENING(BgL_tmpz00_18232);
						}
						BgL_auxz00_18230 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18231);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18230))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_18189 = ((BgL_kwotez00_bglt) BgL_new1173z00_8291);
				return ((obj_t) BgL_auxz00_18189);
			}
		}

	}



/* &lambda2210 */
	BgL_kwotez00_bglt BGl_z62lambda2210z62zzliveness_typesz00(obj_t
		BgL_envz00_8292, obj_t BgL_o1170z00_8293)
	{
		{	/* Liveness/types.scm 47 */
			{	/* Liveness/types.scm 47 */
				BgL_kwotezf2livenesszf2_bglt BgL_wide1172z00_9721;

				BgL_wide1172z00_9721 =
					((BgL_kwotezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_kwotezf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 47 */
					obj_t BgL_auxz00_18245;
					BgL_objectz00_bglt BgL_tmpz00_18241;

					BgL_auxz00_18245 = ((obj_t) BgL_wide1172z00_9721);
					BgL_tmpz00_18241 =
						((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1170z00_8293)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18241, BgL_auxz00_18245);
				}
				((BgL_objectz00_bglt)
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1170z00_8293)));
				{	/* Liveness/types.scm 47 */
					long BgL_arg2211z00_9722;

					BgL_arg2211z00_9722 =
						BGL_CLASS_NUM(BGl_kwotezf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_kwotez00_bglt)
								((BgL_kwotez00_bglt) BgL_o1170z00_8293))), BgL_arg2211z00_9722);
				}
				return
					((BgL_kwotez00_bglt)
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1170z00_8293)));
			}
		}

	}



/* &lambda2207 */
	BgL_kwotez00_bglt BGl_z62lambda2207z62zzliveness_typesz00(obj_t
		BgL_envz00_8294, obj_t BgL_loc1163z00_8295, obj_t BgL_type1164z00_8296,
		obj_t BgL_value1165z00_8297, obj_t BgL_def1166z00_8298,
		obj_t BgL_use1167z00_8299, obj_t BgL_in1168z00_8300,
		obj_t BgL_out1169z00_8301)
	{
		{	/* Liveness/types.scm 47 */
			{	/* Liveness/types.scm 47 */
				BgL_kwotez00_bglt BgL_new1705z00_9728;

				{	/* Liveness/types.scm 47 */
					BgL_kwotez00_bglt BgL_tmp1703z00_9729;
					BgL_kwotezf2livenesszf2_bglt BgL_wide1704z00_9730;

					{
						BgL_kwotez00_bglt BgL_auxz00_18259;

						{	/* Liveness/types.scm 47 */
							BgL_kwotez00_bglt BgL_new1702z00_9731;

							BgL_new1702z00_9731 =
								((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_kwotez00_bgl))));
							{	/* Liveness/types.scm 47 */
								long BgL_arg2209z00_9732;

								BgL_arg2209z00_9732 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1702z00_9731),
									BgL_arg2209z00_9732);
							}
							{	/* Liveness/types.scm 47 */
								BgL_objectz00_bglt BgL_tmpz00_18264;

								BgL_tmpz00_18264 = ((BgL_objectz00_bglt) BgL_new1702z00_9731);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18264, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1702z00_9731);
							BgL_auxz00_18259 = BgL_new1702z00_9731;
						}
						BgL_tmp1703z00_9729 = ((BgL_kwotez00_bglt) BgL_auxz00_18259);
					}
					BgL_wide1704z00_9730 =
						((BgL_kwotezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 47 */
						obj_t BgL_auxz00_18272;
						BgL_objectz00_bglt BgL_tmpz00_18270;

						BgL_auxz00_18272 = ((obj_t) BgL_wide1704z00_9730);
						BgL_tmpz00_18270 = ((BgL_objectz00_bglt) BgL_tmp1703z00_9729);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18270, BgL_auxz00_18272);
					}
					((BgL_objectz00_bglt) BgL_tmp1703z00_9729);
					{	/* Liveness/types.scm 47 */
						long BgL_arg2208z00_9733;

						BgL_arg2208z00_9733 =
							BGL_CLASS_NUM(BGl_kwotezf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1703z00_9729), BgL_arg2208z00_9733);
					}
					BgL_new1705z00_9728 = ((BgL_kwotez00_bglt) BgL_tmp1703z00_9729);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1705z00_9728)))->BgL_locz00) =
					((obj_t) BgL_loc1163z00_8295), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1705z00_9728)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1164z00_8296)),
					BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt)
									BgL_new1705z00_9728)))->BgL_valuez00) =
					((obj_t) BgL_value1165z00_8297), BUNSPEC);
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18287;

					{
						obj_t BgL_auxz00_18288;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18289;

							BgL_tmpz00_18289 = ((BgL_objectz00_bglt) BgL_new1705z00_9728);
							BgL_auxz00_18288 = BGL_OBJECT_WIDENING(BgL_tmpz00_18289);
						}
						BgL_auxz00_18287 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18288);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18287))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1166z00_8298)), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18295;

					{
						obj_t BgL_auxz00_18296;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18297;

							BgL_tmpz00_18297 = ((BgL_objectz00_bglt) BgL_new1705z00_9728);
							BgL_auxz00_18296 = BGL_OBJECT_WIDENING(BgL_tmpz00_18297);
						}
						BgL_auxz00_18295 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18296);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18295))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1167z00_8299)), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18303;

					{
						obj_t BgL_auxz00_18304;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18305;

							BgL_tmpz00_18305 = ((BgL_objectz00_bglt) BgL_new1705z00_9728);
							BgL_auxz00_18304 = BGL_OBJECT_WIDENING(BgL_tmpz00_18305);
						}
						BgL_auxz00_18303 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18304);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18303))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1168z00_8300)), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18311;

					{
						obj_t BgL_auxz00_18312;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18313;

							BgL_tmpz00_18313 = ((BgL_objectz00_bglt) BgL_new1705z00_9728);
							BgL_auxz00_18312 = BGL_OBJECT_WIDENING(BgL_tmpz00_18313);
						}
						BgL_auxz00_18311 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18312);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18311))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1169z00_8301)), BUNSPEC);
				}
				return BgL_new1705z00_9728;
			}
		}

	}



/* &<@anonymous:2244> */
	obj_t BGl_z62zc3z04anonymousza32244ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8302)
	{
		{	/* Liveness/types.scm 47 */
			return BNIL;
		}

	}



/* &lambda2243 */
	obj_t BGl_z62lambda2243z62zzliveness_typesz00(obj_t BgL_envz00_8303,
		obj_t BgL_oz00_8304, obj_t BgL_vz00_8305)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18319;

				{
					obj_t BgL_auxz00_18320;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18321;

						BgL_tmpz00_18321 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8304));
						BgL_auxz00_18320 = BGL_OBJECT_WIDENING(BgL_tmpz00_18321);
					}
					BgL_auxz00_18319 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18320);
				}
				return
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18319))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8305)), BUNSPEC);
			}
		}

	}



/* &lambda2242 */
	obj_t BGl_z62lambda2242z62zzliveness_typesz00(obj_t BgL_envz00_8306,
		obj_t BgL_oz00_8307)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18328;

				{
					obj_t BgL_auxz00_18329;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18330;

						BgL_tmpz00_18330 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8307));
						BgL_auxz00_18329 = BGL_OBJECT_WIDENING(BgL_tmpz00_18330);
					}
					BgL_auxz00_18328 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18329);
				}
				return
					(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18328))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2237> */
	obj_t BGl_z62zc3z04anonymousza32237ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8308)
	{
		{	/* Liveness/types.scm 47 */
			return BNIL;
		}

	}



/* &lambda2236 */
	obj_t BGl_z62lambda2236z62zzliveness_typesz00(obj_t BgL_envz00_8309,
		obj_t BgL_oz00_8310, obj_t BgL_vz00_8311)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18336;

				{
					obj_t BgL_auxz00_18337;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18338;

						BgL_tmpz00_18338 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8310));
						BgL_auxz00_18337 = BGL_OBJECT_WIDENING(BgL_tmpz00_18338);
					}
					BgL_auxz00_18336 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18337);
				}
				return
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18336))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8311)), BUNSPEC);
			}
		}

	}



/* &lambda2235 */
	obj_t BGl_z62lambda2235z62zzliveness_typesz00(obj_t BgL_envz00_8312,
		obj_t BgL_oz00_8313)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18345;

				{
					obj_t BgL_auxz00_18346;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18347;

						BgL_tmpz00_18347 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8313));
						BgL_auxz00_18346 = BGL_OBJECT_WIDENING(BgL_tmpz00_18347);
					}
					BgL_auxz00_18345 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18346);
				}
				return
					(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18345))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2230> */
	obj_t BGl_z62zc3z04anonymousza32230ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8314)
	{
		{	/* Liveness/types.scm 47 */
			return BNIL;
		}

	}



/* &lambda2229 */
	obj_t BGl_z62lambda2229z62zzliveness_typesz00(obj_t BgL_envz00_8315,
		obj_t BgL_oz00_8316, obj_t BgL_vz00_8317)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18353;

				{
					obj_t BgL_auxz00_18354;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18355;

						BgL_tmpz00_18355 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8316));
						BgL_auxz00_18354 = BGL_OBJECT_WIDENING(BgL_tmpz00_18355);
					}
					BgL_auxz00_18353 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18354);
				}
				return
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18353))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8317)), BUNSPEC);
			}
		}

	}



/* &lambda2228 */
	obj_t BGl_z62lambda2228z62zzliveness_typesz00(obj_t BgL_envz00_8318,
		obj_t BgL_oz00_8319)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18362;

				{
					obj_t BgL_auxz00_18363;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18364;

						BgL_tmpz00_18364 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8319));
						BgL_auxz00_18363 = BGL_OBJECT_WIDENING(BgL_tmpz00_18364);
					}
					BgL_auxz00_18362 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18363);
				}
				return
					(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18362))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2223> */
	obj_t BGl_z62zc3z04anonymousza32223ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8320)
	{
		{	/* Liveness/types.scm 47 */
			return BNIL;
		}

	}



/* &lambda2222 */
	obj_t BGl_z62lambda2222z62zzliveness_typesz00(obj_t BgL_envz00_8321,
		obj_t BgL_oz00_8322, obj_t BgL_vz00_8323)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18370;

				{
					obj_t BgL_auxz00_18371;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18372;

						BgL_tmpz00_18372 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8322));
						BgL_auxz00_18371 = BGL_OBJECT_WIDENING(BgL_tmpz00_18372);
					}
					BgL_auxz00_18370 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18371);
				}
				return
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18370))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8323)), BUNSPEC);
			}
		}

	}



/* &lambda2221 */
	obj_t BGl_z62lambda2221z62zzliveness_typesz00(obj_t BgL_envz00_8324,
		obj_t BgL_oz00_8325)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18379;

				{
					obj_t BgL_auxz00_18380;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18381;

						BgL_tmpz00_18381 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8325));
						BgL_auxz00_18380 = BGL_OBJECT_WIDENING(BgL_tmpz00_18381);
					}
					BgL_auxz00_18379 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18380);
				}
				return
					(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18379))->
					BgL_defz00);
			}
		}

	}



/* &lambda2169 */
	BgL_closurez00_bglt BGl_z62lambda2169z62zzliveness_typesz00(obj_t
		BgL_envz00_8326, obj_t BgL_o1161z00_8327)
	{
		{	/* Liveness/types.scm 41 */
			{	/* Liveness/types.scm 41 */
				long BgL_arg2170z00_9747;

				{	/* Liveness/types.scm 41 */
					obj_t BgL_arg2171z00_9748;

					{	/* Liveness/types.scm 41 */
						obj_t BgL_arg2172z00_9749;

						{	/* Liveness/types.scm 41 */
							long BgL_arg1833z00_9750;

							{	/* Liveness/types.scm 41 */
								long BgL_arg1834z00_9751;

								BgL_arg1834z00_9751 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_closurez00_bglt) BgL_o1161z00_8327)));
								BgL_arg1833z00_9750 = (BgL_arg1834z00_9751 - OBJECT_TYPE);
							}
							BgL_arg2172z00_9749 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9750);
						}
						BgL_arg2171z00_9748 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2172z00_9749);
					}
					{	/* Liveness/types.scm 41 */
						obj_t BgL_tmpz00_18393;

						BgL_tmpz00_18393 = ((obj_t) BgL_arg2171z00_9748);
						BgL_arg2170z00_9747 = BGL_CLASS_NUM(BgL_tmpz00_18393);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_closurez00_bglt) BgL_o1161z00_8327)), BgL_arg2170z00_9747);
			}
			{	/* Liveness/types.scm 41 */
				BgL_objectz00_bglt BgL_tmpz00_18399;

				BgL_tmpz00_18399 =
					((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_o1161z00_8327));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18399, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_o1161z00_8327));
			return ((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_o1161z00_8327));
		}

	}



/* &<@anonymous:2168> */
	obj_t BGl_z62zc3z04anonymousza32168ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8328, obj_t BgL_new1160z00_8329)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurez00_bglt BgL_auxz00_18407;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_closurez00_bglt) BgL_new1160z00_8329))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18411;

					{	/* Liveness/types.scm 41 */
						obj_t BgL_classz00_9753;

						BgL_classz00_9753 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 41 */
							obj_t BgL__ortest_1112z00_9754;

							BgL__ortest_1112z00_9754 = BGL_CLASS_NIL(BgL_classz00_9753);
							if (CBOOL(BgL__ortest_1112z00_9754))
								{	/* Liveness/types.scm 41 */
									BgL_auxz00_18411 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9754);
								}
							else
								{	/* Liveness/types.scm 41 */
									BgL_auxz00_18411 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9753));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_closurez00_bglt) BgL_new1160z00_8329))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_18411), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_18421;

					{	/* Liveness/types.scm 41 */
						obj_t BgL_classz00_9755;

						BgL_classz00_9755 = BGl_variablez00zzast_varz00;
						{	/* Liveness/types.scm 41 */
							obj_t BgL__ortest_1112z00_9756;

							BgL__ortest_1112z00_9756 = BGL_CLASS_NIL(BgL_classz00_9755);
							if (CBOOL(BgL__ortest_1112z00_9756))
								{	/* Liveness/types.scm 41 */
									BgL_auxz00_18421 =
										((BgL_variablez00_bglt) BgL__ortest_1112z00_9756);
								}
							else
								{	/* Liveness/types.scm 41 */
									BgL_auxz00_18421 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9755));
								}
						}
					}
					((((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_closurez00_bglt) BgL_new1160z00_8329))))->
							BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_18421), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18431;

					{
						obj_t BgL_auxz00_18432;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18433;

							BgL_tmpz00_18433 =
								((BgL_objectz00_bglt)
								((BgL_closurez00_bglt) BgL_new1160z00_8329));
							BgL_auxz00_18432 = BGL_OBJECT_WIDENING(BgL_tmpz00_18433);
						}
						BgL_auxz00_18431 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18432);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18431))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18439;

					{
						obj_t BgL_auxz00_18440;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18441;

							BgL_tmpz00_18441 =
								((BgL_objectz00_bglt)
								((BgL_closurez00_bglt) BgL_new1160z00_8329));
							BgL_auxz00_18440 = BGL_OBJECT_WIDENING(BgL_tmpz00_18441);
						}
						BgL_auxz00_18439 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18440);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18439))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18447;

					{
						obj_t BgL_auxz00_18448;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18449;

							BgL_tmpz00_18449 =
								((BgL_objectz00_bglt)
								((BgL_closurez00_bglt) BgL_new1160z00_8329));
							BgL_auxz00_18448 = BGL_OBJECT_WIDENING(BgL_tmpz00_18449);
						}
						BgL_auxz00_18447 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18448);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18447))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18455;

					{
						obj_t BgL_auxz00_18456;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18457;

							BgL_tmpz00_18457 =
								((BgL_objectz00_bglt)
								((BgL_closurez00_bglt) BgL_new1160z00_8329));
							BgL_auxz00_18456 = BGL_OBJECT_WIDENING(BgL_tmpz00_18457);
						}
						BgL_auxz00_18455 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18456);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18455))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_18407 = ((BgL_closurez00_bglt) BgL_new1160z00_8329);
				return ((obj_t) BgL_auxz00_18407);
			}
		}

	}



/* &lambda2166 */
	BgL_closurez00_bglt BGl_z62lambda2166z62zzliveness_typesz00(obj_t
		BgL_envz00_8330, obj_t BgL_o1157z00_8331)
	{
		{	/* Liveness/types.scm 41 */
			{	/* Liveness/types.scm 41 */
				BgL_closurezf2livenesszf2_bglt BgL_wide1159z00_9758;

				BgL_wide1159z00_9758 =
					((BgL_closurezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_closurezf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 41 */
					obj_t BgL_auxz00_18470;
					BgL_objectz00_bglt BgL_tmpz00_18466;

					BgL_auxz00_18470 = ((obj_t) BgL_wide1159z00_9758);
					BgL_tmpz00_18466 =
						((BgL_objectz00_bglt)
						((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_o1157z00_8331)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18466, BgL_auxz00_18470);
				}
				((BgL_objectz00_bglt)
					((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_o1157z00_8331)));
				{	/* Liveness/types.scm 41 */
					long BgL_arg2167z00_9759;

					BgL_arg2167z00_9759 =
						BGL_CLASS_NUM(BGl_closurezf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_closurez00_bglt)
								((BgL_closurez00_bglt) BgL_o1157z00_8331))),
						BgL_arg2167z00_9759);
				}
				return
					((BgL_closurez00_bglt)
					((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_o1157z00_8331)));
			}
		}

	}



/* &lambda2163 */
	BgL_closurez00_bglt BGl_z62lambda2163z62zzliveness_typesz00(obj_t
		BgL_envz00_8332, obj_t BgL_loc1150z00_8333, obj_t BgL_type1151z00_8334,
		obj_t BgL_variable1152z00_8335, obj_t BgL_def1153z00_8336,
		obj_t BgL_use1154z00_8337, obj_t BgL_in1155z00_8338,
		obj_t BgL_out1156z00_8339)
	{
		{	/* Liveness/types.scm 41 */
			{	/* Liveness/types.scm 41 */
				BgL_closurez00_bglt BgL_new1700z00_9766;

				{	/* Liveness/types.scm 41 */
					BgL_closurez00_bglt BgL_tmp1698z00_9767;
					BgL_closurezf2livenesszf2_bglt BgL_wide1699z00_9768;

					{
						BgL_closurez00_bglt BgL_auxz00_18484;

						{	/* Liveness/types.scm 41 */
							BgL_closurez00_bglt BgL_new1697z00_9769;

							BgL_new1697z00_9769 =
								((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_closurez00_bgl))));
							{	/* Liveness/types.scm 41 */
								long BgL_arg2165z00_9770;

								BgL_arg2165z00_9770 =
									BGL_CLASS_NUM(BGl_closurez00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1697z00_9769),
									BgL_arg2165z00_9770);
							}
							{	/* Liveness/types.scm 41 */
								BgL_objectz00_bglt BgL_tmpz00_18489;

								BgL_tmpz00_18489 = ((BgL_objectz00_bglt) BgL_new1697z00_9769);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18489, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1697z00_9769);
							BgL_auxz00_18484 = BgL_new1697z00_9769;
						}
						BgL_tmp1698z00_9767 = ((BgL_closurez00_bglt) BgL_auxz00_18484);
					}
					BgL_wide1699z00_9768 =
						((BgL_closurezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_closurezf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 41 */
						obj_t BgL_auxz00_18497;
						BgL_objectz00_bglt BgL_tmpz00_18495;

						BgL_auxz00_18497 = ((obj_t) BgL_wide1699z00_9768);
						BgL_tmpz00_18495 = ((BgL_objectz00_bglt) BgL_tmp1698z00_9767);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18495, BgL_auxz00_18497);
					}
					((BgL_objectz00_bglt) BgL_tmp1698z00_9767);
					{	/* Liveness/types.scm 41 */
						long BgL_arg2164z00_9771;

						BgL_arg2164z00_9771 =
							BGL_CLASS_NUM(BGl_closurezf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1698z00_9767), BgL_arg2164z00_9771);
					}
					BgL_new1700z00_9766 = ((BgL_closurez00_bglt) BgL_tmp1698z00_9767);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1700z00_9766)))->BgL_locz00) =
					((obj_t) BgL_loc1150z00_8333), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1700z00_9766)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1151z00_8334)),
					BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_new1700z00_9766)))->
						BgL_variablez00) =
					((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
							BgL_variable1152z00_8335)), BUNSPEC);
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18513;

					{
						obj_t BgL_auxz00_18514;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18515;

							BgL_tmpz00_18515 = ((BgL_objectz00_bglt) BgL_new1700z00_9766);
							BgL_auxz00_18514 = BGL_OBJECT_WIDENING(BgL_tmpz00_18515);
						}
						BgL_auxz00_18513 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18514);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18513))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1153z00_8336)), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18521;

					{
						obj_t BgL_auxz00_18522;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18523;

							BgL_tmpz00_18523 = ((BgL_objectz00_bglt) BgL_new1700z00_9766);
							BgL_auxz00_18522 = BGL_OBJECT_WIDENING(BgL_tmpz00_18523);
						}
						BgL_auxz00_18521 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18522);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18521))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1154z00_8337)), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18529;

					{
						obj_t BgL_auxz00_18530;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18531;

							BgL_tmpz00_18531 = ((BgL_objectz00_bglt) BgL_new1700z00_9766);
							BgL_auxz00_18530 = BGL_OBJECT_WIDENING(BgL_tmpz00_18531);
						}
						BgL_auxz00_18529 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18530);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18529))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1155z00_8338)), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18537;

					{
						obj_t BgL_auxz00_18538;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18539;

							BgL_tmpz00_18539 = ((BgL_objectz00_bglt) BgL_new1700z00_9766);
							BgL_auxz00_18538 = BGL_OBJECT_WIDENING(BgL_tmpz00_18539);
						}
						BgL_auxz00_18537 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18538);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18537))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1156z00_8339)), BUNSPEC);
				}
				return BgL_new1700z00_9766;
			}
		}

	}



/* &<@anonymous:2200> */
	obj_t BGl_z62zc3z04anonymousza32200ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8340)
	{
		{	/* Liveness/types.scm 41 */
			return BNIL;
		}

	}



/* &lambda2199 */
	obj_t BGl_z62lambda2199z62zzliveness_typesz00(obj_t BgL_envz00_8341,
		obj_t BgL_oz00_8342, obj_t BgL_vz00_8343)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_18545;

				{
					obj_t BgL_auxz00_18546;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_18547;

						BgL_tmpz00_18547 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8342));
						BgL_auxz00_18546 = BGL_OBJECT_WIDENING(BgL_tmpz00_18547);
					}
					BgL_auxz00_18545 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18546);
				}
				return
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18545))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8343)), BUNSPEC);
			}
		}

	}



/* &lambda2198 */
	obj_t BGl_z62lambda2198z62zzliveness_typesz00(obj_t BgL_envz00_8344,
		obj_t BgL_oz00_8345)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_18554;

				{
					obj_t BgL_auxz00_18555;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_18556;

						BgL_tmpz00_18556 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8345));
						BgL_auxz00_18555 = BGL_OBJECT_WIDENING(BgL_tmpz00_18556);
					}
					BgL_auxz00_18554 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18555);
				}
				return
					(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18554))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2193> */
	obj_t BGl_z62zc3z04anonymousza32193ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8346)
	{
		{	/* Liveness/types.scm 41 */
			return BNIL;
		}

	}



/* &lambda2192 */
	obj_t BGl_z62lambda2192z62zzliveness_typesz00(obj_t BgL_envz00_8347,
		obj_t BgL_oz00_8348, obj_t BgL_vz00_8349)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_18562;

				{
					obj_t BgL_auxz00_18563;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_18564;

						BgL_tmpz00_18564 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8348));
						BgL_auxz00_18563 = BGL_OBJECT_WIDENING(BgL_tmpz00_18564);
					}
					BgL_auxz00_18562 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18563);
				}
				return
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18562))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8349)), BUNSPEC);
			}
		}

	}



/* &lambda2191 */
	obj_t BGl_z62lambda2191z62zzliveness_typesz00(obj_t BgL_envz00_8350,
		obj_t BgL_oz00_8351)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_18571;

				{
					obj_t BgL_auxz00_18572;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_18573;

						BgL_tmpz00_18573 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8351));
						BgL_auxz00_18572 = BGL_OBJECT_WIDENING(BgL_tmpz00_18573);
					}
					BgL_auxz00_18571 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18572);
				}
				return
					(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18571))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2186> */
	obj_t BGl_z62zc3z04anonymousza32186ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8352)
	{
		{	/* Liveness/types.scm 41 */
			return BNIL;
		}

	}



/* &lambda2185 */
	obj_t BGl_z62lambda2185z62zzliveness_typesz00(obj_t BgL_envz00_8353,
		obj_t BgL_oz00_8354, obj_t BgL_vz00_8355)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_18579;

				{
					obj_t BgL_auxz00_18580;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_18581;

						BgL_tmpz00_18581 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8354));
						BgL_auxz00_18580 = BGL_OBJECT_WIDENING(BgL_tmpz00_18581);
					}
					BgL_auxz00_18579 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18580);
				}
				return
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18579))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8355)), BUNSPEC);
			}
		}

	}



/* &lambda2184 */
	obj_t BGl_z62lambda2184z62zzliveness_typesz00(obj_t BgL_envz00_8356,
		obj_t BgL_oz00_8357)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_18588;

				{
					obj_t BgL_auxz00_18589;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_18590;

						BgL_tmpz00_18590 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8357));
						BgL_auxz00_18589 = BGL_OBJECT_WIDENING(BgL_tmpz00_18590);
					}
					BgL_auxz00_18588 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18589);
				}
				return
					(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18588))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2179> */
	obj_t BGl_z62zc3z04anonymousza32179ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8358)
	{
		{	/* Liveness/types.scm 41 */
			return BNIL;
		}

	}



/* &lambda2178 */
	obj_t BGl_z62lambda2178z62zzliveness_typesz00(obj_t BgL_envz00_8359,
		obj_t BgL_oz00_8360, obj_t BgL_vz00_8361)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_18596;

				{
					obj_t BgL_auxz00_18597;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_18598;

						BgL_tmpz00_18598 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8360));
						BgL_auxz00_18597 = BGL_OBJECT_WIDENING(BgL_tmpz00_18598);
					}
					BgL_auxz00_18596 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18597);
				}
				return
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18596))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8361)), BUNSPEC);
			}
		}

	}



/* &lambda2177 */
	obj_t BGl_z62lambda2177z62zzliveness_typesz00(obj_t BgL_envz00_8362,
		obj_t BgL_oz00_8363)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_18605;

				{
					obj_t BgL_auxz00_18606;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_18607;

						BgL_tmpz00_18607 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8363));
						BgL_auxz00_18606 = BGL_OBJECT_WIDENING(BgL_tmpz00_18607);
					}
					BgL_auxz00_18605 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18606);
				}
				return
					(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18605))->
					BgL_defz00);
			}
		}

	}



/* &lambda2124 */
	BgL_refz00_bglt BGl_z62lambda2124z62zzliveness_typesz00(obj_t BgL_envz00_8364,
		obj_t BgL_o1148z00_8365)
	{
		{	/* Liveness/types.scm 35 */
			{	/* Liveness/types.scm 35 */
				long BgL_arg2125z00_9785;

				{	/* Liveness/types.scm 35 */
					obj_t BgL_arg2126z00_9786;

					{	/* Liveness/types.scm 35 */
						obj_t BgL_arg2127z00_9787;

						{	/* Liveness/types.scm 35 */
							long BgL_arg1833z00_9788;

							{	/* Liveness/types.scm 35 */
								long BgL_arg1834z00_9789;

								BgL_arg1834z00_9789 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_o1148z00_8365)));
								BgL_arg1833z00_9788 = (BgL_arg1834z00_9789 - OBJECT_TYPE);
							}
							BgL_arg2127z00_9787 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9788);
						}
						BgL_arg2126z00_9786 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2127z00_9787);
					}
					{	/* Liveness/types.scm 35 */
						obj_t BgL_tmpz00_18619;

						BgL_tmpz00_18619 = ((obj_t) BgL_arg2126z00_9786);
						BgL_arg2125z00_9785 = BGL_CLASS_NUM(BgL_tmpz00_18619);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_refz00_bglt) BgL_o1148z00_8365)), BgL_arg2125z00_9785);
			}
			{	/* Liveness/types.scm 35 */
				BgL_objectz00_bglt BgL_tmpz00_18625;

				BgL_tmpz00_18625 =
					((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_o1148z00_8365));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18625, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_o1148z00_8365));
			return ((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_o1148z00_8365));
		}

	}



/* &<@anonymous:2123> */
	obj_t BGl_z62zc3z04anonymousza32123ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8366, obj_t BgL_new1147z00_8367)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refz00_bglt BgL_auxz00_18633;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_refz00_bglt) BgL_new1147z00_8367))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18637;

					{	/* Liveness/types.scm 35 */
						obj_t BgL_classz00_9791;

						BgL_classz00_9791 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 35 */
							obj_t BgL__ortest_1112z00_9792;

							BgL__ortest_1112z00_9792 = BGL_CLASS_NIL(BgL_classz00_9791);
							if (CBOOL(BgL__ortest_1112z00_9792))
								{	/* Liveness/types.scm 35 */
									BgL_auxz00_18637 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9792);
								}
							else
								{	/* Liveness/types.scm 35 */
									BgL_auxz00_18637 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9791));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_refz00_bglt) BgL_new1147z00_8367))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_18637), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_18647;

					{	/* Liveness/types.scm 35 */
						obj_t BgL_classz00_9793;

						BgL_classz00_9793 = BGl_variablez00zzast_varz00;
						{	/* Liveness/types.scm 35 */
							obj_t BgL__ortest_1112z00_9794;

							BgL__ortest_1112z00_9794 = BGL_CLASS_NIL(BgL_classz00_9793);
							if (CBOOL(BgL__ortest_1112z00_9794))
								{	/* Liveness/types.scm 35 */
									BgL_auxz00_18647 =
										((BgL_variablez00_bglt) BgL__ortest_1112z00_9794);
								}
							else
								{	/* Liveness/types.scm 35 */
									BgL_auxz00_18647 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9793));
								}
						}
					}
					((((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_refz00_bglt) BgL_new1147z00_8367))))->
							BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_18647), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_18657;

					{
						obj_t BgL_auxz00_18658;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_18659;

							BgL_tmpz00_18659 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_new1147z00_8367));
							BgL_auxz00_18658 = BGL_OBJECT_WIDENING(BgL_tmpz00_18659);
						}
						BgL_auxz00_18657 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18658);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18657))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_18665;

					{
						obj_t BgL_auxz00_18666;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_18667;

							BgL_tmpz00_18667 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_new1147z00_8367));
							BgL_auxz00_18666 = BGL_OBJECT_WIDENING(BgL_tmpz00_18667);
						}
						BgL_auxz00_18665 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18666);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18665))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_18673;

					{
						obj_t BgL_auxz00_18674;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_18675;

							BgL_tmpz00_18675 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_new1147z00_8367));
							BgL_auxz00_18674 = BGL_OBJECT_WIDENING(BgL_tmpz00_18675);
						}
						BgL_auxz00_18673 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18674);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18673))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_18681;

					{
						obj_t BgL_auxz00_18682;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_18683;

							BgL_tmpz00_18683 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_new1147z00_8367));
							BgL_auxz00_18682 = BGL_OBJECT_WIDENING(BgL_tmpz00_18683);
						}
						BgL_auxz00_18681 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18682);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18681))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_18633 = ((BgL_refz00_bglt) BgL_new1147z00_8367);
				return ((obj_t) BgL_auxz00_18633);
			}
		}

	}



/* &lambda2121 */
	BgL_refz00_bglt BGl_z62lambda2121z62zzliveness_typesz00(obj_t BgL_envz00_8368,
		obj_t BgL_o1144z00_8369)
	{
		{	/* Liveness/types.scm 35 */
			{	/* Liveness/types.scm 35 */
				BgL_refzf2livenesszf2_bglt BgL_wide1146z00_9796;

				BgL_wide1146z00_9796 =
					((BgL_refzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_refzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 35 */
					obj_t BgL_auxz00_18696;
					BgL_objectz00_bglt BgL_tmpz00_18692;

					BgL_auxz00_18696 = ((obj_t) BgL_wide1146z00_9796);
					BgL_tmpz00_18692 =
						((BgL_objectz00_bglt)
						((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_o1144z00_8369)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18692, BgL_auxz00_18696);
				}
				((BgL_objectz00_bglt)
					((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_o1144z00_8369)));
				{	/* Liveness/types.scm 35 */
					long BgL_arg2122z00_9797;

					BgL_arg2122z00_9797 =
						BGL_CLASS_NUM(BGl_refzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_refz00_bglt)
								((BgL_refz00_bglt) BgL_o1144z00_8369))), BgL_arg2122z00_9797);
				}
				return
					((BgL_refz00_bglt)
					((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_o1144z00_8369)));
			}
		}

	}



/* &lambda2118 */
	BgL_refz00_bglt BGl_z62lambda2118z62zzliveness_typesz00(obj_t BgL_envz00_8370,
		obj_t BgL_loc1137z00_8371, obj_t BgL_type1138z00_8372,
		obj_t BgL_variable1139z00_8373, obj_t BgL_def1140z00_8374,
		obj_t BgL_use1141z00_8375, obj_t BgL_in1142z00_8376,
		obj_t BgL_out1143z00_8377)
	{
		{	/* Liveness/types.scm 35 */
			{	/* Liveness/types.scm 35 */
				BgL_refz00_bglt BgL_new1695z00_9804;

				{	/* Liveness/types.scm 35 */
					BgL_refz00_bglt BgL_tmp1693z00_9805;
					BgL_refzf2livenesszf2_bglt BgL_wide1694z00_9806;

					{
						BgL_refz00_bglt BgL_auxz00_18710;

						{	/* Liveness/types.scm 35 */
							BgL_refz00_bglt BgL_new1692z00_9807;

							BgL_new1692z00_9807 =
								((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_refz00_bgl))));
							{	/* Liveness/types.scm 35 */
								long BgL_arg2120z00_9808;

								BgL_arg2120z00_9808 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1692z00_9807),
									BgL_arg2120z00_9808);
							}
							{	/* Liveness/types.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_18715;

								BgL_tmpz00_18715 = ((BgL_objectz00_bglt) BgL_new1692z00_9807);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18715, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1692z00_9807);
							BgL_auxz00_18710 = BgL_new1692z00_9807;
						}
						BgL_tmp1693z00_9805 = ((BgL_refz00_bglt) BgL_auxz00_18710);
					}
					BgL_wide1694z00_9806 =
						((BgL_refzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_refzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 35 */
						obj_t BgL_auxz00_18723;
						BgL_objectz00_bglt BgL_tmpz00_18721;

						BgL_auxz00_18723 = ((obj_t) BgL_wide1694z00_9806);
						BgL_tmpz00_18721 = ((BgL_objectz00_bglt) BgL_tmp1693z00_9805);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18721, BgL_auxz00_18723);
					}
					((BgL_objectz00_bglt) BgL_tmp1693z00_9805);
					{	/* Liveness/types.scm 35 */
						long BgL_arg2119z00_9809;

						BgL_arg2119z00_9809 =
							BGL_CLASS_NUM(BGl_refzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1693z00_9805), BgL_arg2119z00_9809);
					}
					BgL_new1695z00_9804 = ((BgL_refz00_bglt) BgL_tmp1693z00_9805);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1695z00_9804)))->BgL_locz00) =
					((obj_t) BgL_loc1137z00_8371), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1695z00_9804)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1138z00_8372)),
					BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_new1695z00_9804)))->
						BgL_variablez00) =
					((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
							BgL_variable1139z00_8373)), BUNSPEC);
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_18739;

					{
						obj_t BgL_auxz00_18740;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_18741;

							BgL_tmpz00_18741 = ((BgL_objectz00_bglt) BgL_new1695z00_9804);
							BgL_auxz00_18740 = BGL_OBJECT_WIDENING(BgL_tmpz00_18741);
						}
						BgL_auxz00_18739 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18740);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18739))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1140z00_8374)), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_18747;

					{
						obj_t BgL_auxz00_18748;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_18749;

							BgL_tmpz00_18749 = ((BgL_objectz00_bglt) BgL_new1695z00_9804);
							BgL_auxz00_18748 = BGL_OBJECT_WIDENING(BgL_tmpz00_18749);
						}
						BgL_auxz00_18747 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18748);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18747))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1141z00_8375)), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_18755;

					{
						obj_t BgL_auxz00_18756;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_18757;

							BgL_tmpz00_18757 = ((BgL_objectz00_bglt) BgL_new1695z00_9804);
							BgL_auxz00_18756 = BGL_OBJECT_WIDENING(BgL_tmpz00_18757);
						}
						BgL_auxz00_18755 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18756);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18755))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1142z00_8376)), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_18763;

					{
						obj_t BgL_auxz00_18764;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_18765;

							BgL_tmpz00_18765 = ((BgL_objectz00_bglt) BgL_new1695z00_9804);
							BgL_auxz00_18764 = BGL_OBJECT_WIDENING(BgL_tmpz00_18765);
						}
						BgL_auxz00_18763 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18764);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18763))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1143z00_8377)), BUNSPEC);
				}
				return BgL_new1695z00_9804;
			}
		}

	}



/* &<@anonymous:2156> */
	obj_t BGl_z62zc3z04anonymousza32156ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8378)
	{
		{	/* Liveness/types.scm 35 */
			return BNIL;
		}

	}



/* &lambda2155 */
	obj_t BGl_z62lambda2155z62zzliveness_typesz00(obj_t BgL_envz00_8379,
		obj_t BgL_oz00_8380, obj_t BgL_vz00_8381)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_18771;

				{
					obj_t BgL_auxz00_18772;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_18773;

						BgL_tmpz00_18773 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8380));
						BgL_auxz00_18772 = BGL_OBJECT_WIDENING(BgL_tmpz00_18773);
					}
					BgL_auxz00_18771 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18772);
				}
				return
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18771))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8381)), BUNSPEC);
			}
		}

	}



/* &lambda2154 */
	obj_t BGl_z62lambda2154z62zzliveness_typesz00(obj_t BgL_envz00_8382,
		obj_t BgL_oz00_8383)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_18780;

				{
					obj_t BgL_auxz00_18781;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_18782;

						BgL_tmpz00_18782 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8383));
						BgL_auxz00_18781 = BGL_OBJECT_WIDENING(BgL_tmpz00_18782);
					}
					BgL_auxz00_18780 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18781);
				}
				return
					(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18780))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2149> */
	obj_t BGl_z62zc3z04anonymousza32149ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8384)
	{
		{	/* Liveness/types.scm 35 */
			return BNIL;
		}

	}



/* &lambda2148 */
	obj_t BGl_z62lambda2148z62zzliveness_typesz00(obj_t BgL_envz00_8385,
		obj_t BgL_oz00_8386, obj_t BgL_vz00_8387)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_18788;

				{
					obj_t BgL_auxz00_18789;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_18790;

						BgL_tmpz00_18790 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8386));
						BgL_auxz00_18789 = BGL_OBJECT_WIDENING(BgL_tmpz00_18790);
					}
					BgL_auxz00_18788 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18789);
				}
				return
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18788))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8387)), BUNSPEC);
			}
		}

	}



/* &lambda2147 */
	obj_t BGl_z62lambda2147z62zzliveness_typesz00(obj_t BgL_envz00_8388,
		obj_t BgL_oz00_8389)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_18797;

				{
					obj_t BgL_auxz00_18798;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_18799;

						BgL_tmpz00_18799 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8389));
						BgL_auxz00_18798 = BGL_OBJECT_WIDENING(BgL_tmpz00_18799);
					}
					BgL_auxz00_18797 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18798);
				}
				return
					(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18797))->BgL_inz00);
			}
		}

	}



/* &<@anonymous:2142> */
	obj_t BGl_z62zc3z04anonymousza32142ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8390)
	{
		{	/* Liveness/types.scm 35 */
			return BNIL;
		}

	}



/* &lambda2141 */
	obj_t BGl_z62lambda2141z62zzliveness_typesz00(obj_t BgL_envz00_8391,
		obj_t BgL_oz00_8392, obj_t BgL_vz00_8393)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_18805;

				{
					obj_t BgL_auxz00_18806;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_18807;

						BgL_tmpz00_18807 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8392));
						BgL_auxz00_18806 = BGL_OBJECT_WIDENING(BgL_tmpz00_18807);
					}
					BgL_auxz00_18805 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18806);
				}
				return
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18805))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8393)), BUNSPEC);
			}
		}

	}



/* &lambda2140 */
	obj_t BGl_z62lambda2140z62zzliveness_typesz00(obj_t BgL_envz00_8394,
		obj_t BgL_oz00_8395)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_18814;

				{
					obj_t BgL_auxz00_18815;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_18816;

						BgL_tmpz00_18816 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8395));
						BgL_auxz00_18815 = BGL_OBJECT_WIDENING(BgL_tmpz00_18816);
					}
					BgL_auxz00_18814 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18815);
				}
				return
					(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18814))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2134> */
	obj_t BGl_z62zc3z04anonymousza32134ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8396)
	{
		{	/* Liveness/types.scm 35 */
			return BNIL;
		}

	}



/* &lambda2133 */
	obj_t BGl_z62lambda2133z62zzliveness_typesz00(obj_t BgL_envz00_8397,
		obj_t BgL_oz00_8398, obj_t BgL_vz00_8399)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_18822;

				{
					obj_t BgL_auxz00_18823;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_18824;

						BgL_tmpz00_18824 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8398));
						BgL_auxz00_18823 = BGL_OBJECT_WIDENING(BgL_tmpz00_18824);
					}
					BgL_auxz00_18822 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18823);
				}
				return
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18822))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8399)), BUNSPEC);
			}
		}

	}



/* &lambda2132 */
	obj_t BGl_z62lambda2132z62zzliveness_typesz00(obj_t BgL_envz00_8400,
		obj_t BgL_oz00_8401)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_18831;

				{
					obj_t BgL_auxz00_18832;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_18833;

						BgL_tmpz00_18833 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8401));
						BgL_auxz00_18832 = BGL_OBJECT_WIDENING(BgL_tmpz00_18833);
					}
					BgL_auxz00_18831 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18832);
				}
				return
					(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18831))->
					BgL_defz00);
			}
		}

	}



/* &lambda2076 */
	BgL_literalz00_bglt BGl_z62lambda2076z62zzliveness_typesz00(obj_t
		BgL_envz00_8402, obj_t BgL_o1135z00_8403)
	{
		{	/* Liveness/types.scm 29 */
			{	/* Liveness/types.scm 29 */
				long BgL_arg2077z00_9823;

				{	/* Liveness/types.scm 29 */
					obj_t BgL_arg2078z00_9824;

					{	/* Liveness/types.scm 29 */
						obj_t BgL_arg2081z00_9825;

						{	/* Liveness/types.scm 29 */
							long BgL_arg1833z00_9826;

							{	/* Liveness/types.scm 29 */
								long BgL_arg1834z00_9827;

								BgL_arg1834z00_9827 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_literalz00_bglt) BgL_o1135z00_8403)));
								BgL_arg1833z00_9826 = (BgL_arg1834z00_9827 - OBJECT_TYPE);
							}
							BgL_arg2081z00_9825 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9826);
						}
						BgL_arg2078z00_9824 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2081z00_9825);
					}
					{	/* Liveness/types.scm 29 */
						obj_t BgL_tmpz00_18845;

						BgL_tmpz00_18845 = ((obj_t) BgL_arg2078z00_9824);
						BgL_arg2077z00_9823 = BGL_CLASS_NUM(BgL_tmpz00_18845);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_literalz00_bglt) BgL_o1135z00_8403)), BgL_arg2077z00_9823);
			}
			{	/* Liveness/types.scm 29 */
				BgL_objectz00_bglt BgL_tmpz00_18851;

				BgL_tmpz00_18851 =
					((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_o1135z00_8403));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18851, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_o1135z00_8403));
			return ((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1135z00_8403));
		}

	}



/* &<@anonymous:2075> */
	obj_t BGl_z62zc3z04anonymousza32075ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8404, obj_t BgL_new1134z00_8405)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalz00_bglt BgL_auxz00_18859;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_literalz00_bglt) BgL_new1134z00_8405))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18863;

					{	/* Liveness/types.scm 29 */
						obj_t BgL_classz00_9829;

						BgL_classz00_9829 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 29 */
							obj_t BgL__ortest_1112z00_9830;

							BgL__ortest_1112z00_9830 = BGL_CLASS_NIL(BgL_classz00_9829);
							if (CBOOL(BgL__ortest_1112z00_9830))
								{	/* Liveness/types.scm 29 */
									BgL_auxz00_18863 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9830);
								}
							else
								{	/* Liveness/types.scm 29 */
									BgL_auxz00_18863 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9829));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_literalz00_bglt) BgL_new1134z00_8405))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_18863), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_literalz00_bglt) BgL_new1134z00_8405))))->
						BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_18876;

					{
						obj_t BgL_auxz00_18877;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_18878;

							BgL_tmpz00_18878 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) BgL_new1134z00_8405));
							BgL_auxz00_18877 = BGL_OBJECT_WIDENING(BgL_tmpz00_18878);
						}
						BgL_auxz00_18876 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18877);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18876))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_18884;

					{
						obj_t BgL_auxz00_18885;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_18886;

							BgL_tmpz00_18886 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) BgL_new1134z00_8405));
							BgL_auxz00_18885 = BGL_OBJECT_WIDENING(BgL_tmpz00_18886);
						}
						BgL_auxz00_18884 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18885);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18884))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_18892;

					{
						obj_t BgL_auxz00_18893;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_18894;

							BgL_tmpz00_18894 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) BgL_new1134z00_8405));
							BgL_auxz00_18893 = BGL_OBJECT_WIDENING(BgL_tmpz00_18894);
						}
						BgL_auxz00_18892 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18893);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18892))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_18900;

					{
						obj_t BgL_auxz00_18901;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_18902;

							BgL_tmpz00_18902 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) BgL_new1134z00_8405));
							BgL_auxz00_18901 = BGL_OBJECT_WIDENING(BgL_tmpz00_18902);
						}
						BgL_auxz00_18900 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18901);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18900))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_18859 = ((BgL_literalz00_bglt) BgL_new1134z00_8405);
				return ((obj_t) BgL_auxz00_18859);
			}
		}

	}



/* &lambda2073 */
	BgL_literalz00_bglt BGl_z62lambda2073z62zzliveness_typesz00(obj_t
		BgL_envz00_8406, obj_t BgL_o1130z00_8407)
	{
		{	/* Liveness/types.scm 29 */
			{	/* Liveness/types.scm 29 */
				BgL_literalzf2livenesszf2_bglt BgL_wide1132z00_9832;

				BgL_wide1132z00_9832 =
					((BgL_literalzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_literalzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 29 */
					obj_t BgL_auxz00_18915;
					BgL_objectz00_bglt BgL_tmpz00_18911;

					BgL_auxz00_18915 = ((obj_t) BgL_wide1132z00_9832);
					BgL_tmpz00_18911 =
						((BgL_objectz00_bglt)
						((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1130z00_8407)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18911, BgL_auxz00_18915);
				}
				((BgL_objectz00_bglt)
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1130z00_8407)));
				{	/* Liveness/types.scm 29 */
					long BgL_arg2074z00_9833;

					BgL_arg2074z00_9833 =
						BGL_CLASS_NUM(BGl_literalzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_literalz00_bglt)
								((BgL_literalz00_bglt) BgL_o1130z00_8407))),
						BgL_arg2074z00_9833);
				}
				return
					((BgL_literalz00_bglt)
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1130z00_8407)));
			}
		}

	}



/* &lambda2070 */
	BgL_literalz00_bglt BGl_z62lambda2070z62zzliveness_typesz00(obj_t
		BgL_envz00_8408, obj_t BgL_loc1123z00_8409, obj_t BgL_type1124z00_8410,
		obj_t BgL_value1125z00_8411, obj_t BgL_def1126z00_8412,
		obj_t BgL_use1127z00_8413, obj_t BgL_in1128z00_8414,
		obj_t BgL_out1129z00_8415)
	{
		{	/* Liveness/types.scm 29 */
			{	/* Liveness/types.scm 29 */
				BgL_literalz00_bglt BgL_new1690z00_9839;

				{	/* Liveness/types.scm 29 */
					BgL_literalz00_bglt BgL_tmp1688z00_9840;
					BgL_literalzf2livenesszf2_bglt BgL_wide1689z00_9841;

					{
						BgL_literalz00_bglt BgL_auxz00_18929;

						{	/* Liveness/types.scm 29 */
							BgL_literalz00_bglt BgL_new1687z00_9842;

							BgL_new1687z00_9842 =
								((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_literalz00_bgl))));
							{	/* Liveness/types.scm 29 */
								long BgL_arg2072z00_9843;

								BgL_arg2072z00_9843 =
									BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1687z00_9842),
									BgL_arg2072z00_9843);
							}
							{	/* Liveness/types.scm 29 */
								BgL_objectz00_bglt BgL_tmpz00_18934;

								BgL_tmpz00_18934 = ((BgL_objectz00_bglt) BgL_new1687z00_9842);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18934, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1687z00_9842);
							BgL_auxz00_18929 = BgL_new1687z00_9842;
						}
						BgL_tmp1688z00_9840 = ((BgL_literalz00_bglt) BgL_auxz00_18929);
					}
					BgL_wide1689z00_9841 =
						((BgL_literalzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 29 */
						obj_t BgL_auxz00_18942;
						BgL_objectz00_bglt BgL_tmpz00_18940;

						BgL_auxz00_18942 = ((obj_t) BgL_wide1689z00_9841);
						BgL_tmpz00_18940 = ((BgL_objectz00_bglt) BgL_tmp1688z00_9840);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18940, BgL_auxz00_18942);
					}
					((BgL_objectz00_bglt) BgL_tmp1688z00_9840);
					{	/* Liveness/types.scm 29 */
						long BgL_arg2071z00_9844;

						BgL_arg2071z00_9844 =
							BGL_CLASS_NUM(BGl_literalzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1688z00_9840), BgL_arg2071z00_9844);
					}
					BgL_new1690z00_9839 = ((BgL_literalz00_bglt) BgL_tmp1688z00_9840);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1690z00_9839)))->BgL_locz00) =
					((obj_t) BgL_loc1123z00_8409), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1690z00_9839)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1124z00_8410)),
					BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1690z00_9839)))->BgL_valuez00) =
					((obj_t) BgL_value1125z00_8411), BUNSPEC);
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_18957;

					{
						obj_t BgL_auxz00_18958;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_18959;

							BgL_tmpz00_18959 = ((BgL_objectz00_bglt) BgL_new1690z00_9839);
							BgL_auxz00_18958 = BGL_OBJECT_WIDENING(BgL_tmpz00_18959);
						}
						BgL_auxz00_18957 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18958);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18957))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1126z00_8412)), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_18965;

					{
						obj_t BgL_auxz00_18966;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_18967;

							BgL_tmpz00_18967 = ((BgL_objectz00_bglt) BgL_new1690z00_9839);
							BgL_auxz00_18966 = BGL_OBJECT_WIDENING(BgL_tmpz00_18967);
						}
						BgL_auxz00_18965 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18966);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18965))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1127z00_8413)), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_18973;

					{
						obj_t BgL_auxz00_18974;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_18975;

							BgL_tmpz00_18975 = ((BgL_objectz00_bglt) BgL_new1690z00_9839);
							BgL_auxz00_18974 = BGL_OBJECT_WIDENING(BgL_tmpz00_18975);
						}
						BgL_auxz00_18973 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18974);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18973))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1128z00_8414)), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_18981;

					{
						obj_t BgL_auxz00_18982;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_18983;

							BgL_tmpz00_18983 = ((BgL_objectz00_bglt) BgL_new1690z00_9839);
							BgL_auxz00_18982 = BGL_OBJECT_WIDENING(BgL_tmpz00_18983);
						}
						BgL_auxz00_18981 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18982);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18981))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1129z00_8415)), BUNSPEC);
				}
				return BgL_new1690z00_9839;
			}
		}

	}



/* &<@anonymous:2111> */
	obj_t BGl_z62zc3z04anonymousza32111ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8416)
	{
		{	/* Liveness/types.scm 29 */
			return BNIL;
		}

	}



/* &lambda2110 */
	obj_t BGl_z62lambda2110z62zzliveness_typesz00(obj_t BgL_envz00_8417,
		obj_t BgL_oz00_8418, obj_t BgL_vz00_8419)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_18989;

				{
					obj_t BgL_auxz00_18990;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_18991;

						BgL_tmpz00_18991 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8418));
						BgL_auxz00_18990 = BGL_OBJECT_WIDENING(BgL_tmpz00_18991);
					}
					BgL_auxz00_18989 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18990);
				}
				return
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18989))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8419)), BUNSPEC);
			}
		}

	}



/* &lambda2109 */
	obj_t BGl_z62lambda2109z62zzliveness_typesz00(obj_t BgL_envz00_8420,
		obj_t BgL_oz00_8421)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_18998;

				{
					obj_t BgL_auxz00_18999;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19000;

						BgL_tmpz00_19000 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8421));
						BgL_auxz00_18999 = BGL_OBJECT_WIDENING(BgL_tmpz00_19000);
					}
					BgL_auxz00_18998 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18999);
				}
				return
					(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18998))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2104> */
	obj_t BGl_z62zc3z04anonymousza32104ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8422)
	{
		{	/* Liveness/types.scm 29 */
			return BNIL;
		}

	}



/* &lambda2103 */
	obj_t BGl_z62lambda2103z62zzliveness_typesz00(obj_t BgL_envz00_8423,
		obj_t BgL_oz00_8424, obj_t BgL_vz00_8425)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19006;

				{
					obj_t BgL_auxz00_19007;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19008;

						BgL_tmpz00_19008 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8424));
						BgL_auxz00_19007 = BGL_OBJECT_WIDENING(BgL_tmpz00_19008);
					}
					BgL_auxz00_19006 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19007);
				}
				return
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19006))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8425)), BUNSPEC);
			}
		}

	}



/* &lambda2102 */
	obj_t BGl_z62lambda2102z62zzliveness_typesz00(obj_t BgL_envz00_8426,
		obj_t BgL_oz00_8427)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19015;

				{
					obj_t BgL_auxz00_19016;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19017;

						BgL_tmpz00_19017 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8427));
						BgL_auxz00_19016 = BGL_OBJECT_WIDENING(BgL_tmpz00_19017);
					}
					BgL_auxz00_19015 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19016);
				}
				return
					(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19015))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2095> */
	obj_t BGl_z62zc3z04anonymousza32095ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8428)
	{
		{	/* Liveness/types.scm 29 */
			return BNIL;
		}

	}



/* &lambda2094 */
	obj_t BGl_z62lambda2094z62zzliveness_typesz00(obj_t BgL_envz00_8429,
		obj_t BgL_oz00_8430, obj_t BgL_vz00_8431)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19023;

				{
					obj_t BgL_auxz00_19024;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19025;

						BgL_tmpz00_19025 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8430));
						BgL_auxz00_19024 = BGL_OBJECT_WIDENING(BgL_tmpz00_19025);
					}
					BgL_auxz00_19023 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19024);
				}
				return
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19023))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8431)), BUNSPEC);
			}
		}

	}



/* &lambda2093 */
	obj_t BGl_z62lambda2093z62zzliveness_typesz00(obj_t BgL_envz00_8432,
		obj_t BgL_oz00_8433)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19032;

				{
					obj_t BgL_auxz00_19033;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19034;

						BgL_tmpz00_19034 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8433));
						BgL_auxz00_19033 = BGL_OBJECT_WIDENING(BgL_tmpz00_19034);
					}
					BgL_auxz00_19032 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19033);
				}
				return
					(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19032))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2088> */
	obj_t BGl_z62zc3z04anonymousza32088ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8434)
	{
		{	/* Liveness/types.scm 29 */
			return BNIL;
		}

	}



/* &lambda2087 */
	obj_t BGl_z62lambda2087z62zzliveness_typesz00(obj_t BgL_envz00_8435,
		obj_t BgL_oz00_8436, obj_t BgL_vz00_8437)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19040;

				{
					obj_t BgL_auxz00_19041;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19042;

						BgL_tmpz00_19042 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8436));
						BgL_auxz00_19041 = BGL_OBJECT_WIDENING(BgL_tmpz00_19042);
					}
					BgL_auxz00_19040 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19041);
				}
				return
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19040))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8437)), BUNSPEC);
			}
		}

	}



/* &lambda2086 */
	obj_t BGl_z62lambda2086z62zzliveness_typesz00(obj_t BgL_envz00_8438,
		obj_t BgL_oz00_8439)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19049;

				{
					obj_t BgL_auxz00_19050;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19051;

						BgL_tmpz00_19051 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8439));
						BgL_auxz00_19050 = BGL_OBJECT_WIDENING(BgL_tmpz00_19051);
					}
					BgL_auxz00_19049 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19050);
				}
				return
					(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19049))->
					BgL_defz00);
			}
		}

	}



/* &lambda2051 */
	BgL_localz00_bglt BGl_z62lambda2051z62zzliveness_typesz00(obj_t
		BgL_envz00_8440, obj_t BgL_o1121z00_8441)
	{
		{	/* Liveness/types.scm 26 */
			{	/* Liveness/types.scm 26 */
				long BgL_arg2052z00_9858;

				{	/* Liveness/types.scm 26 */
					obj_t BgL_arg2053z00_9859;

					{	/* Liveness/types.scm 26 */
						obj_t BgL_arg2054z00_9860;

						{	/* Liveness/types.scm 26 */
							long BgL_arg1833z00_9861;

							{	/* Liveness/types.scm 26 */
								long BgL_arg1834z00_9862;

								BgL_arg1834z00_9862 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1121z00_8441)));
								BgL_arg1833z00_9861 = (BgL_arg1834z00_9862 - OBJECT_TYPE);
							}
							BgL_arg2054z00_9860 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_9861);
						}
						BgL_arg2053z00_9859 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2054z00_9860);
					}
					{	/* Liveness/types.scm 26 */
						obj_t BgL_tmpz00_19063;

						BgL_tmpz00_19063 = ((obj_t) BgL_arg2053z00_9859);
						BgL_arg2052z00_9858 = BGL_CLASS_NUM(BgL_tmpz00_19063);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1121z00_8441)), BgL_arg2052z00_9858);
			}
			{	/* Liveness/types.scm 26 */
				BgL_objectz00_bglt BgL_tmpz00_19069;

				BgL_tmpz00_19069 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_8441));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19069, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_8441));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_8441));
		}

	}



/* &<@anonymous:2050> */
	obj_t BGl_z62zc3z04anonymousza32050ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8442, obj_t BgL_new1120z00_8443)
	{
		{	/* Liveness/types.scm 26 */
			{
				BgL_localz00_bglt BgL_auxz00_19077;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1120z00_8443))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 43))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_8443))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_19085;

					{	/* Liveness/types.scm 26 */
						obj_t BgL_classz00_9864;

						BgL_classz00_9864 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 26 */
							obj_t BgL__ortest_1112z00_9865;

							BgL__ortest_1112z00_9865 = BGL_CLASS_NIL(BgL_classz00_9864);
							if (CBOOL(BgL__ortest_1112z00_9865))
								{	/* Liveness/types.scm 26 */
									BgL_auxz00_19085 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9865);
								}
							else
								{	/* Liveness/types.scm 26 */
									BgL_auxz00_19085 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9864));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1120z00_8443))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_19085), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_19095;

					{	/* Liveness/types.scm 26 */
						obj_t BgL_classz00_9866;

						BgL_classz00_9866 = BGl_valuez00zzast_varz00;
						{	/* Liveness/types.scm 26 */
							obj_t BgL__ortest_1112z00_9867;

							BgL__ortest_1112z00_9867 = BGL_CLASS_NIL(BgL_classz00_9866);
							if (CBOOL(BgL__ortest_1112z00_9867))
								{	/* Liveness/types.scm 26 */
									BgL_auxz00_19095 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_9867);
								}
							else
								{	/* Liveness/types.scm 26 */
									BgL_auxz00_19095 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9866));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1120z00_8443))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_19095), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1120z00_8443))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_8443))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_8443))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_8443))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_8443))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_8443))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_8443))))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_8443))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_8443))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2livenesszf2_bglt BgL_auxz00_19132;

					{
						obj_t BgL_auxz00_19133;

						{	/* Liveness/types.scm 26 */
							BgL_objectz00_bglt BgL_tmpz00_19134;

							BgL_tmpz00_19134 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1120z00_8443));
							BgL_auxz00_19133 = BGL_OBJECT_WIDENING(BgL_tmpz00_19134);
						}
						BgL_auxz00_19132 =
							((BgL_localzf2livenesszf2_bglt) BgL_auxz00_19133);
					}
					((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19132))->
							BgL_z52countz52) = ((int) (int) (((long) 0))), BUNSPEC);
				}
				BgL_auxz00_19077 = ((BgL_localz00_bglt) BgL_new1120z00_8443);
				return ((obj_t) BgL_auxz00_19077);
			}
		}

	}



/* &lambda2048 */
	BgL_localz00_bglt BGl_z62lambda2048z62zzliveness_typesz00(obj_t
		BgL_envz00_8444, obj_t BgL_o1117z00_8445)
	{
		{	/* Liveness/types.scm 26 */
			{	/* Liveness/types.scm 26 */
				BgL_localzf2livenesszf2_bglt BgL_wide1119z00_9869;

				BgL_wide1119z00_9869 =
					((BgL_localzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 26 */
					obj_t BgL_auxz00_19148;
					BgL_objectz00_bglt BgL_tmpz00_19144;

					BgL_auxz00_19148 = ((obj_t) BgL_wide1119z00_9869);
					BgL_tmpz00_19144 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1117z00_8445)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19144, BgL_auxz00_19148);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1117z00_8445)));
				{	/* Liveness/types.scm 26 */
					long BgL_arg2049z00_9870;

					BgL_arg2049z00_9870 =
						BGL_CLASS_NUM(BGl_localzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1117z00_8445))), BgL_arg2049z00_9870);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1117z00_8445)));
			}
		}

	}



/* &lambda2045 */
	BgL_localz00_bglt BGl_z62lambda2045z62zzliveness_typesz00(obj_t
		BgL_envz00_8446, obj_t BgL_id1103z00_8447, obj_t BgL_name1104z00_8448,
		obj_t BgL_type1105z00_8449, obj_t BgL_value1106z00_8450,
		obj_t BgL_access1107z00_8451, obj_t BgL_fastzd2alpha1108zd2_8452,
		obj_t BgL_removable1109z00_8453, obj_t BgL_occurrence1110z00_8454,
		obj_t BgL_occurrencew1111z00_8455, obj_t BgL_userzf31112zf3_8456,
		obj_t BgL_key1113z00_8457, obj_t BgL_valzd2noescape1114zd2_8458,
		obj_t BgL_volatile1115z00_8459, obj_t BgL_z52count1116z52_8460)
	{
		{	/* Liveness/types.scm 26 */
			{	/* Liveness/types.scm 26 */
				long BgL_occurrence1110z00_9874;
				long BgL_occurrencew1111z00_9875;
				bool_t BgL_userzf31112zf3_9876;
				long BgL_key1113z00_9877;
				bool_t BgL_volatile1115z00_9878;
				int BgL_z52count1116z52_9879;

				BgL_occurrence1110z00_9874 = (long) CINT(BgL_occurrence1110z00_8454);
				BgL_occurrencew1111z00_9875 = (long) CINT(BgL_occurrencew1111z00_8455);
				BgL_userzf31112zf3_9876 = CBOOL(BgL_userzf31112zf3_8456);
				BgL_key1113z00_9877 = (long) CINT(BgL_key1113z00_8457);
				BgL_volatile1115z00_9878 = CBOOL(BgL_volatile1115z00_8459);
				BgL_z52count1116z52_9879 = CINT(BgL_z52count1116z52_8460);
				{	/* Liveness/types.scm 26 */
					BgL_localz00_bglt BgL_new1685z00_9880;

					{	/* Liveness/types.scm 26 */
						BgL_localz00_bglt BgL_tmp1683z00_9881;
						BgL_localzf2livenesszf2_bglt BgL_wide1684z00_9882;

						{
							BgL_localz00_bglt BgL_auxz00_19168;

							{	/* Liveness/types.scm 26 */
								BgL_localz00_bglt BgL_new1682z00_9883;

								BgL_new1682z00_9883 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Liveness/types.scm 26 */
									long BgL_arg2047z00_9884;

									BgL_arg2047z00_9884 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1682z00_9883),
										BgL_arg2047z00_9884);
								}
								{	/* Liveness/types.scm 26 */
									BgL_objectz00_bglt BgL_tmpz00_19173;

									BgL_tmpz00_19173 = ((BgL_objectz00_bglt) BgL_new1682z00_9883);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19173, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1682z00_9883);
								BgL_auxz00_19168 = BgL_new1682z00_9883;
							}
							BgL_tmp1683z00_9881 = ((BgL_localz00_bglt) BgL_auxz00_19168);
						}
						BgL_wide1684z00_9882 =
							((BgL_localzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2livenesszf2_bgl))));
						{	/* Liveness/types.scm 26 */
							obj_t BgL_auxz00_19181;
							BgL_objectz00_bglt BgL_tmpz00_19179;

							BgL_auxz00_19181 = ((obj_t) BgL_wide1684z00_9882);
							BgL_tmpz00_19179 = ((BgL_objectz00_bglt) BgL_tmp1683z00_9881);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19179, BgL_auxz00_19181);
						}
						((BgL_objectz00_bglt) BgL_tmp1683z00_9881);
						{	/* Liveness/types.scm 26 */
							long BgL_arg2046z00_9885;

							BgL_arg2046z00_9885 =
								BGL_CLASS_NUM(BGl_localzf2livenesszf2zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1683z00_9881),
								BgL_arg2046z00_9885);
						}
						BgL_new1685z00_9880 = ((BgL_localz00_bglt) BgL_tmp1683z00_9881);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1685z00_9880)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1103z00_8447)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1685z00_9880)))->BgL_namez00) =
						((obj_t) BgL_name1104z00_8448), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1685z00_9880)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1105z00_8449)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1685z00_9880)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1106z00_8450)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1685z00_9880)))->BgL_accessz00) =
						((obj_t) BgL_access1107z00_8451), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1685z00_9880)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1108zd2_8452), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1685z00_9880)))->BgL_removablez00) =
						((obj_t) BgL_removable1109z00_8453), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1685z00_9880)))->BgL_occurrencez00) =
						((long) BgL_occurrence1110z00_9874), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1685z00_9880)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1111z00_9875), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1685z00_9880)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31112zf3_9876), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1685z00_9880)))->BgL_keyz00) =
						((long) BgL_key1113z00_9877), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1685z00_9880)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1114zd2_8458), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1685z00_9880)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1115z00_9878), BUNSPEC);
					{
						BgL_localzf2livenesszf2_bglt BgL_auxz00_19218;

						{
							obj_t BgL_auxz00_19219;

							{	/* Liveness/types.scm 26 */
								BgL_objectz00_bglt BgL_tmpz00_19220;

								BgL_tmpz00_19220 = ((BgL_objectz00_bglt) BgL_new1685z00_9880);
								BgL_auxz00_19219 = BGL_OBJECT_WIDENING(BgL_tmpz00_19220);
							}
							BgL_auxz00_19218 =
								((BgL_localzf2livenesszf2_bglt) BgL_auxz00_19219);
						}
						((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19218))->
								BgL_z52countz52) = ((int) BgL_z52count1116z52_9879), BUNSPEC);
					}
					return BgL_new1685z00_9880;
				}
			}
		}

	}



/* &<@anonymous:2062> */
	obj_t BGl_z62zc3z04anonymousza32062ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8461)
	{
		{	/* Liveness/types.scm 26 */
			return BINT(((long) 0));
		}

	}



/* &lambda2061 */
	obj_t BGl_z62lambda2061z62zzliveness_typesz00(obj_t BgL_envz00_8462,
		obj_t BgL_oz00_8463, obj_t BgL_vz00_8464)
	{
		{	/* Liveness/types.scm 26 */
			{	/* Liveness/types.scm 26 */
				int BgL_vz00_9887;

				BgL_vz00_9887 = CINT(BgL_vz00_8464);
				{
					BgL_localzf2livenesszf2_bglt BgL_auxz00_19227;

					{
						obj_t BgL_auxz00_19228;

						{	/* Liveness/types.scm 26 */
							BgL_objectz00_bglt BgL_tmpz00_19229;

							BgL_tmpz00_19229 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_8463));
							BgL_auxz00_19228 = BGL_OBJECT_WIDENING(BgL_tmpz00_19229);
						}
						BgL_auxz00_19227 =
							((BgL_localzf2livenesszf2_bglt) BgL_auxz00_19228);
					}
					return
						((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19227))->
							BgL_z52countz52) = ((int) BgL_vz00_9887), BUNSPEC);
		}}}

	}



/* &lambda2060 */
	obj_t BGl_z62lambda2060z62zzliveness_typesz00(obj_t BgL_envz00_8465,
		obj_t BgL_oz00_8466)
	{
		{	/* Liveness/types.scm 26 */
			{	/* Liveness/types.scm 26 */
				int BgL_tmpz00_19235;

				{
					BgL_localzf2livenesszf2_bglt BgL_auxz00_19236;

					{
						obj_t BgL_auxz00_19237;

						{	/* Liveness/types.scm 26 */
							BgL_objectz00_bglt BgL_tmpz00_19238;

							BgL_tmpz00_19238 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_8466));
							BgL_auxz00_19237 = BGL_OBJECT_WIDENING(BgL_tmpz00_19238);
						}
						BgL_auxz00_19236 =
							((BgL_localzf2livenesszf2_bglt) BgL_auxz00_19237);
					}
					BgL_tmpz00_19235 =
						(((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19236))->
						BgL_z52countz52);
				}
				return BINT(BgL_tmpz00_19235);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzliveness_typesz00()
	{
		{	/* Liveness/types.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzliveness_typesz00()
	{
		{	/* Liveness/types.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzliveness_typesz00()
	{
		{	/* Liveness/types.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string4525z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string4525z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string4525z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string4525z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string4525z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string4525z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string4525z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string4525z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string4525z00zzliveness_typesz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string4525z00zzliveness_typesz00));
		}

	}

#ifdef __cplusplus
}
#endif
