/*===========================================================================*/
/*   (Module/class.scm)                                                      */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/class.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


	static obj_t BGl_z62declarezd2classz12za2zzmodule_classz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_forcezd2classzd2accessesz00zzmodule_classz00();
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_makezd2classzd2fieldsz00zzmodule_classz00(obj_t);
	extern obj_t
		BGl_classgenzd2makezd2anonymousz00zzobject_classgenz00(BgL_typez00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_classz00 = BUNSPEC;
	static long BGl_getzd2classzd2hashz00zzmodule_classz00(obj_t);
	static obj_t
		BGl_z62classzd2finaliza7erzd2addzd2staticz12z05zzmodule_classz00(obj_t);
	static obj_t BGl_za2methodzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	static obj_t BGl_za2genericzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
	extern obj_t BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00;
	static obj_t BGl_toplevelzd2initzd2zzmodule_classz00();
	BGL_EXPORTED_DECL obj_t BGl_classzd2finaliza7erz75zzmodule_classz00();
	static obj_t BGl_z62classzd2finaliza7erz17zzmodule_classz00(obj_t);
	extern bool_t
		BGl_checkzd2classzd2declarationzf3zf3zzobject_classz00(BgL_typez00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t,
		obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzmodule_classz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_za2declaredzd2classesza2zd2zzmodule_classz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_declarezd2widezd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62delayzd2classzd2accessorsz12z70zzmodule_classz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzmodule_classz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzmodule_classz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_classz00();
	BGL_IMPORT obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
	static obj_t BGl_genzd2registerzd2classz12z12zzmodule_classz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2objectzd2unitz00zzmodule_classz00();
	static obj_t BGl_z62getzd2objectzd2unitz62zzmodule_classz00(obj_t);
	extern BgL_typez00_bglt
		BGl_declarezd2classzd2typez12z12zzobject_classz00(obj_t, BgL_globalz00_bglt,
		obj_t, bool_t, bool_t, obj_t);
	extern obj_t
		BGl_classgenzd2allocatezd2anonymousz00zzobject_classgenz00
		(BgL_typez00_bglt);
	BGL_IMPORT long BGl_getzd2hashnumberzd2persistentz00zz__hashz00(obj_t);
	extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t);
	extern obj_t BGl_setzd2classzd2slotsz12z12zzobject_classz00(BgL_typez00_bglt,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2methodzd2unitz00zzmodule_classz00();
	extern obj_t BGl_jclassz00zzobject_classz00;
	static obj_t BGl_z62getzd2methodzd2unitz62zzmodule_classz00(obj_t);
	extern obj_t
		BGl_classgenzd2widenzd2anonymousz00zzobject_classgenz00(BgL_typez00_bglt);
	static obj_t BGl_makezd2classzd2virtualzd2fieldszd2zzmodule_classz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_setterze70ze7zzmodule_classz00(obj_t, obj_t);
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	extern bool_t BGl_slotzd2defaultzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classgenz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_coercionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31364ze3ze5zzmodule_classz00(obj_t);
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_za2objectzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
	static obj_t BGl_slotzd2defaultzd2exprze70ze7zzmodule_classz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31349ze3ze5zzmodule_classz00(obj_t);
	extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_typezd2defaultzd2idze70ze7zzmodule_classz00(obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_cnstzd2initzd2zzmodule_classz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_classz00();
	static BgL_typez00_bglt
		BGl_declarezd2importzd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t,
		bool_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_classz00();
	static obj_t BGl_gczd2rootszd2initz00zzmodule_classz00();
	extern obj_t
		BGl_classgenzd2slotzd2anonymousz00zzobject_classgenz00(BgL_typez00_bglt,
		BgL_slotz00_bglt);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	extern obj_t
		BGl_classgenzd2shrinkzd2anonymousz00zzobject_classgenz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2genericzd2unitz00zzmodule_classz00();
	BGL_EXPORTED_DECL obj_t
		BGl_classzd2finaliza7erzd2addzd2staticz12z67zzmodule_classz00();
	extern obj_t
		BGl_findzd2classzd2constructorz00zzobject_classz00(BgL_typez00_bglt);
	static obj_t BGl_epairifyzd2slotze70z35zzmodule_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(BgL_typez00_bglt,
		obj_t);
	static long BGl_loopze70ze7zzmodule_classz00(obj_t, long);
	static obj_t BGl_z62zc3z04anonymousza31583ze3ze5zzmodule_classz00(obj_t,
		obj_t);
	static obj_t BGl_za2classzd2accessesza2zd2zzmodule_classz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31851ze3ze5zzmodule_classz00(obj_t,
		obj_t);
	static obj_t BGl_getterze70ze7zzmodule_classz00(obj_t, obj_t);
	static obj_t BGl_z62declarezd2widezd2classz12z70zzmodule_classz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62getzd2genericzd2unitz62zzmodule_classz00(obj_t);
	static BgL_typez00_bglt
		BGl_declarezd2exportzd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t,
		bool_t, obj_t, obj_t, obj_t);
	extern obj_t
		BGl_classgenzd2nilzd2anonymousz00zzobject_classgenz00(BgL_typez00_bglt);
	static obj_t __cnst[33];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_classzd2finaliza7erzd2envza7zzmodule_classz00,
		BgL_bgl_za762classza7d2final2122z00,
		BGl_z62classzd2finaliza7erz17zzmodule_classz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_classzd2finaliza7erzd2addzd2staticz12zd2envzb5zzmodule_classz00,
		BgL_bgl_za762classza7d2final2123z00,
		BGl_z62classzd2finaliza7erzd2addzd2staticz12z05zzmodule_classz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2widezd2classz12zd2envzc0zzmodule_classz00,
		BgL_bgl_za762declareza7d2wid2124z00,
		BGl_z62declarezd2widezd2classz12z70zzmodule_classz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2objectzd2unitzd2envzd2zzmodule_classz00,
		BgL_bgl_za762getza7d2objectza72125za7,
		BGl_z62getzd2objectzd2unitz62zzmodule_classz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_delayzd2classzd2accessorsz12zd2envzc0zzmodule_classz00,
		BgL_bgl_za762delayza7d2class2126z00,
		BGl_z62delayzd2classzd2accessorsz12z70zzmodule_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2genericzd2unitzd2envzd2zzmodule_classz00,
		BgL_bgl_za762getza7d2generic2127z00,
		BGl_z62getzd2genericzd2unitz62zzmodule_classz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2classz12zd2envz12zzmodule_classz00,
		BgL_bgl_za762declareza7d2cla2128z00,
		BGl_z62declarezd2classz12za2zzmodule_classz00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2methodzd2unitzd2envzd2zzmodule_classz00,
		BgL_bgl_za762getza7d2methodza72129za7,
		BGl_z62getzd2methodzd2unitz62zzmodule_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2116z00zzmodule_classz00,
		BgL_bgl_string2116za700za7za7m2130za7, "bgl_init_module_debug_object(\"",
		30);
	      DEFINE_STRING(BGl_string2117z00zzmodule_classz00,
		BgL_bgl_string2117za700za7za7m2131za7, "\")", 2);
	      DEFINE_STRING(BGl_string2118z00zzmodule_classz00,
		BgL_bgl_string2118za700za7za7m2132za7, "module_class", 12);
	      DEFINE_STRING(BGl_string2119z00zzmodule_classz00,
		BgL_bgl_string2119za700za7za7m2133za7,
		"generic method unit object (#unspecified) begin pragma::void module void staged call-next-virtual-setter call-next-virtual-getter call-next-slot cons obj _ call-virtual-setter v lambda call-virtual-getter o make-class-field vector define quote register-class! __object @ widening wide plain final (export static) ",
		313);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzmodule_classz00));
		     ADD_ROOT((void *) (&BGl_za2methodzd2unitza2zd2zzmodule_classz00));
		     ADD_ROOT((void *) (&BGl_za2genericzd2unitza2zd2zzmodule_classz00));
		     ADD_ROOT((void *) (&BGl_za2declaredzd2classesza2zd2zzmodule_classz00));
		     ADD_ROOT((void *) (&BGl_za2objectzd2unitza2zd2zzmodule_classz00));
		     ADD_ROOT((void *) (&BGl_za2classzd2accessesza2zd2zzmodule_classz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long
		BgL_checksumz00_3293, char *BgL_fromz00_3294)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_classz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_classz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzmodule_classz00();
					BGl_libraryzd2moduleszd2initz00zzmodule_classz00();
					BGl_cnstzd2initzd2zzmodule_classz00();
					BGl_importedzd2moduleszd2initz00zzmodule_classz00();
					return BGl_toplevelzd2initzd2zzmodule_classz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_classz00()
	{
		{	/* Module/class.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_class");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "module_class");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"module_class");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"module_class");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "module_class");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"module_class");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "module_class");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"module_class");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"module_class");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"module_class");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"module_class");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "module_class");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"module_class");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "module_class");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_classz00()
	{
		{	/* Module/class.scm 15 */
			{	/* Module/class.scm 15 */
				obj_t BgL_cportz00_3168;

				{	/* Module/class.scm 15 */
					obj_t BgL_stringz00_3176;

					BgL_stringz00_3176 = BGl_string2119z00zzmodule_classz00;
					{	/* Module/class.scm 15 */
						obj_t BgL_startz00_3177;

						BgL_startz00_3177 = BINT(((long) 0));
						{	/* Module/class.scm 15 */
							obj_t BgL_endz00_3178;

							BgL_endz00_3178 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3176)));
							{	/* Module/class.scm 15 */

								BgL_cportz00_3168 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3176, BgL_startz00_3177, BgL_endz00_3178);
				}}}}
				{
					long BgL_iz00_3169;

					BgL_iz00_3169 = ((long) 32);
				BgL_loopz00_3170:
					if ((BgL_iz00_3169 == ((long) -1)))
						{	/* Module/class.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/class.scm 15 */
							{	/* Module/class.scm 15 */
								obj_t BgL_arg2121z00_3172;

								{	/* Module/class.scm 15 */

									{	/* Module/class.scm 15 */
										obj_t BgL_locationz00_3174;

										BgL_locationz00_3174 = BBOOL(((bool_t) 0));
										{	/* Module/class.scm 15 */

											BgL_arg2121z00_3172 =
												BGl_readz00zz__readerz00(BgL_cportz00_3168,
												BgL_locationz00_3174);
										}
									}
								}
								{	/* Module/class.scm 15 */
									int BgL_tmpz00_3326;

									BgL_tmpz00_3326 = (int) (BgL_iz00_3169);
									CNST_TABLE_SET(BgL_tmpz00_3326, BgL_arg2121z00_3172);
							}}
							{	/* Module/class.scm 15 */
								int BgL_auxz00_3175;

								BgL_auxz00_3175 = (int) ((BgL_iz00_3169 - ((long) 1)));
								{
									long BgL_iz00_3331;

									BgL_iz00_3331 = (long) (BgL_auxz00_3175);
									BgL_iz00_3169 = BgL_iz00_3331;
									goto BgL_loopz00_3170;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzmodule_classz00()
	{
		{	/* Module/class.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_classz00()
	{
		{	/* Module/class.scm 15 */
			BGl_za2objectzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
			BGl_za2methodzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
			BGl_za2genericzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
			BGl_za2classzd2accessesza2zd2zzmodule_classz00 = BNIL;
			return (BGl_za2declaredzd2classesza2zd2zzmodule_classz00 = BNIL, BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzmodule_classz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1755;

				BgL_headz00_1755 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1756;
					obj_t BgL_tailz00_1757;

					BgL_prevz00_1756 = BgL_headz00_1755;
					BgL_tailz00_1757 = BgL_l1z00_1;
				BgL_loopz00_1758:
					if (PAIRP(BgL_tailz00_1757))
						{
							obj_t BgL_newzd2prevzd2_1760;

							BgL_newzd2prevzd2_1760 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1757), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1756, BgL_newzd2prevzd2_1760);
							{
								obj_t BgL_tailz00_3341;
								obj_t BgL_prevz00_3340;

								BgL_prevz00_3340 = BgL_newzd2prevzd2_1760;
								BgL_tailz00_3341 = CDR(BgL_tailz00_1757);
								BgL_tailz00_1757 = BgL_tailz00_3341;
								BgL_prevz00_1756 = BgL_prevz00_3340;
								goto BgL_loopz00_1758;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1755);
				}
			}
		}

	}



/* get-class-hash */
	long BGl_getzd2classzd2hashz00zzmodule_classz00(obj_t BgL_defz00_25)
	{
		{	/* ../runtime/Llib/object.sch 19 */
			return BGl_loopze70ze7zzmodule_classz00(BgL_defz00_25, ((long) 1705));
		}

	}



/* loop~0 */
	long BGl_loopze70ze7zzmodule_classz00(obj_t BgL_defz00_1779,
		long BgL_hashz00_1780)
	{
		{	/* ../runtime/Llib/object.sch 24 */
		BGl_loopze70ze7zzmodule_classz00:
			if (NULLP(BgL_defz00_1779))
				{	/* ../runtime/Llib/object.sch 27 */
					return BgL_hashz00_1780;
				}
			else
				{	/* ../runtime/Llib/object.sch 27 */
					if (PAIRP(BgL_defz00_1779))
						{
							long BgL_hashz00_3351;
							obj_t BgL_defz00_3349;

							BgL_defz00_3349 = CDR(BgL_defz00_1779);
							BgL_hashz00_3351 =
								BGl_loopze70ze7zzmodule_classz00(CAR(BgL_defz00_1779),
								(((long) 1966) ^ BgL_hashz00_1780));
							BgL_hashz00_1780 = BgL_hashz00_3351;
							BgL_defz00_1779 = BgL_defz00_3349;
							goto BGl_loopze70ze7zzmodule_classz00;
						}
					else
						{	/* ../runtime/Llib/object.sch 29 */
							return
								(
								(BGl_getzd2hashnumberzd2persistentz00zz__hashz00
									(BgL_defz00_1779) & ((long) 65535)) ^ BgL_hashz00_1780);
		}}}

	}



/* get-object-unit */
	BGL_EXPORTED_DEF obj_t BGl_getzd2objectzd2unitz00zzmodule_classz00()
	{
		{	/* Module/class.scm 60 */
			return BGl_za2objectzd2unitza2zd2zzmodule_classz00;
		}

	}



/* &get-object-unit */
	obj_t BGl_z62getzd2objectzd2unitz62zzmodule_classz00(obj_t BgL_envz00_3124)
	{
		{	/* Module/class.scm 60 */
			return BGl_getzd2objectzd2unitz00zzmodule_classz00();
		}

	}



/* get-method-unit */
	BGL_EXPORTED_DEF obj_t BGl_getzd2methodzd2unitz00zzmodule_classz00()
	{
		{	/* Module/class.scm 66 */
			return BGl_za2methodzd2unitza2zd2zzmodule_classz00;
		}

	}



/* &get-method-unit */
	obj_t BGl_z62getzd2methodzd2unitz62zzmodule_classz00(obj_t BgL_envz00_3125)
	{
		{	/* Module/class.scm 66 */
			return BGl_getzd2methodzd2unitz00zzmodule_classz00();
		}

	}



/* get-generic-unit */
	BGL_EXPORTED_DEF obj_t BGl_getzd2genericzd2unitz00zzmodule_classz00()
	{
		{	/* Module/class.scm 72 */
			return BGl_za2genericzd2unitza2zd2zzmodule_classz00;
		}

	}



/* &get-generic-unit */
	obj_t BGl_z62getzd2genericzd2unitz62zzmodule_classz00(obj_t BgL_envz00_3126)
	{
		{	/* Module/class.scm 72 */
			return BGl_getzd2genericzd2unitz00zzmodule_classz00();
		}

	}



/* declare-class! */
	BGL_EXPORTED_DEF obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t
		BgL_classzd2defzd2_26, obj_t BgL_modulez00_27, obj_t BgL_importz00_28,
		bool_t BgL_finalzf3zf3_29, bool_t BgL_abstractzf3zf3_30,
		obj_t BgL_defzd2srczd2_31, obj_t BgL_declzd2srczd2_32)
	{
		{	/* Module/class.scm 78 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_importz00_28,
						CNST_TABLE_REF(((long) 0)))))
				{	/* Module/class.scm 83 */
					obj_t BgL_arg1338z00_2457;

					if (BgL_finalzf3zf3_29)
						{	/* Module/class.scm 83 */
							BgL_arg1338z00_2457 = CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Module/class.scm 83 */
							BgL_arg1338z00_2457 = CNST_TABLE_REF(((long) 2));
						}
					return
						((obj_t)
						BGl_declarezd2exportzd2classz12z12zzmodule_classz00
						(BgL_classzd2defzd2_26, BgL_modulez00_27, BgL_arg1338z00_2457,
							BgL_abstractzf3zf3_30, BgL_defzd2srczd2_31, BgL_declzd2srczd2_32,
							BgL_importz00_28));
				}
			else
				{	/* Module/class.scm 89 */
					obj_t BgL_arg1339z00_2458;

					if (BgL_finalzf3zf3_29)
						{	/* Module/class.scm 89 */
							BgL_arg1339z00_2458 = CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Module/class.scm 89 */
							BgL_arg1339z00_2458 = CNST_TABLE_REF(((long) 2));
						}
					return
						((obj_t)
						BGl_declarezd2importzd2classz12z12zzmodule_classz00
						(BgL_classzd2defzd2_26, BgL_modulez00_27, BgL_arg1339z00_2458,
							BgL_abstractzf3zf3_30, BgL_defzd2srczd2_31,
							BgL_declzd2srczd2_32));
				}
		}

	}



/* &declare-class! */
	obj_t BGl_z62declarezd2classz12za2zzmodule_classz00(obj_t BgL_envz00_3127,
		obj_t BgL_classzd2defzd2_3128, obj_t BgL_modulez00_3129,
		obj_t BgL_importz00_3130, obj_t BgL_finalzf3zf3_3131,
		obj_t BgL_abstractzf3zf3_3132, obj_t BgL_defzd2srczd2_3133,
		obj_t BgL_declzd2srczd2_3134)
	{
		{	/* Module/class.scm 78 */
			return
				BGl_declarezd2classz12zc0zzmodule_classz00(BgL_classzd2defzd2_3128,
				BgL_modulez00_3129, BgL_importz00_3130, CBOOL(BgL_finalzf3zf3_3131),
				CBOOL(BgL_abstractzf3zf3_3132), BgL_defzd2srczd2_3133,
				BgL_declzd2srczd2_3134);
		}

	}



/* declare-wide-class! */
	BGL_EXPORTED_DEF obj_t BGl_declarezd2widezd2classz12z12zzmodule_classz00(obj_t
		BgL_classzd2defzd2_33, obj_t BgL_modulez00_34, obj_t BgL_importz00_35,
		obj_t BgL_defzd2srczd2_36, obj_t BgL_declzd2srczd2_37)
	{
		{	/* Module/class.scm 96 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_importz00_35,
						CNST_TABLE_REF(((long) 0)))))
				{	/* Module/class.scm 98 */
					return
						((obj_t)
						BGl_declarezd2exportzd2classz12z12zzmodule_classz00
						(BgL_classzd2defzd2_33, BgL_modulez00_34,
							CNST_TABLE_REF(((long) 3)), ((bool_t) 0), BgL_defzd2srczd2_36,
							BgL_declzd2srczd2_37, BgL_importz00_35));
				}
			else
				{	/* Module/class.scm 98 */
					return
						((obj_t)
						BGl_declarezd2importzd2classz12z12zzmodule_classz00
						(BgL_classzd2defzd2_33, BgL_modulez00_34,
							CNST_TABLE_REF(((long) 3)), ((bool_t) 0), BgL_defzd2srczd2_36,
							BgL_declzd2srczd2_37));
		}}

	}



/* &declare-wide-class! */
	obj_t BGl_z62declarezd2widezd2classz12z70zzmodule_classz00(obj_t
		BgL_envz00_3135, obj_t BgL_classzd2defzd2_3136, obj_t BgL_modulez00_3137,
		obj_t BgL_importz00_3138, obj_t BgL_defzd2srczd2_3139,
		obj_t BgL_declzd2srczd2_3140)
	{
		{	/* Module/class.scm 96 */
			return
				BGl_declarezd2widezd2classz12z12zzmodule_classz00
				(BgL_classzd2defzd2_3136, BgL_modulez00_3137, BgL_importz00_3138,
				BgL_defzd2srczd2_3139, BgL_declzd2srczd2_3140);
		}

	}



/* declare-export-class! */
	BgL_typez00_bglt BGl_declarezd2exportzd2classz12z12zzmodule_classz00(obj_t
		BgL_cdefz00_38, obj_t BgL_modulez00_39, obj_t BgL_kindz00_40,
		bool_t BgL_abstractzf3zf3_41, obj_t BgL_srczd2defzd2_42,
		obj_t BgL_srczd2declzd2_43, obj_t BgL_importz00_44)
	{
		{	/* Module/class.scm 110 */
			{	/* Module/class.scm 114 */
				obj_t BgL_locz00_1798;

				BgL_locz00_1798 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2defzd2_42);
				{	/* Module/class.scm 114 */
					obj_t BgL_classzd2varzd2_1799;

					BgL_classzd2varzd2_1799 = CAR(BgL_cdefz00_38);
					{	/* Module/class.scm 115 */
						obj_t BgL_classzd2idzd2_1800;

						BgL_classzd2idzd2_1800 =
							BGl_idzd2ofzd2idz00zzast_identz00(BgL_classzd2varzd2_1799,
							BgL_locz00_1798);
						{	/* Module/class.scm 116 */
							obj_t BgL_holderz00_1801;

							{	/* Module/class.scm 118 */
								obj_t BgL_arg1354z00_1811;

								{	/* Module/class.scm 118 */
									obj_t BgL_arg1357z00_1812;

									BgL_arg1357z00_1812 =
										MAKE_YOUNG_PAIR(BgL_classzd2idzd2_1800, BNIL);
									BgL_arg1354z00_1811 =
										MAKE_YOUNG_PAIR(BgL_importz00_44, BgL_arg1357z00_1812);
								}
								BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
									(BgL_arg1354z00_1811);
							}
							BgL_holderz00_1801 =
								BGl_findzd2globalzf2modulez20zzast_envz00
								(BgL_classzd2idzd2_1800, BgL_modulez00_39);
							{	/* Module/class.scm 117 */
								bool_t BgL_finalzf3zf3_1802;

								BgL_finalzf3zf3_1802 =
									(BgL_kindz00_40 == CNST_TABLE_REF(((long) 1)));
								{	/* Module/class.scm 120 */
									obj_t BgL_widez00_1803;

									if ((BgL_kindz00_40 == CNST_TABLE_REF(((long) 3))))
										{	/* Module/class.scm 121 */
											BgL_widez00_1803 = CNST_TABLE_REF(((long) 4));
										}
									else
										{	/* Module/class.scm 121 */
											BgL_widez00_1803 = BFALSE;
										}
									{	/* Module/class.scm 121 */
										BgL_typez00_bglt BgL_tclassz00_1804;

										BgL_tclassz00_1804 =
											BGl_declarezd2classzd2typez12z12zzobject_classz00
											(BgL_cdefz00_38,
											((BgL_globalz00_bglt) BgL_holderz00_1801),
											BgL_widez00_1803, BgL_finalzf3zf3_1802,
											BgL_abstractzf3zf3_41, BgL_srczd2defzd2_42);
										{	/* Module/class.scm 122 */

											((((BgL_globalz00_bglt) COBJECT(
															((BgL_globalz00_bglt) BgL_holderz00_1801)))->
													BgL_srcz00) = ((obj_t) BgL_srczd2defzd2_42), BUNSPEC);
											((((BgL_typez00_bglt) COBJECT(BgL_tclassz00_1804))->
													BgL_importzd2locationzd2) =
												((obj_t)
													BGl_findzd2locationzf2locz20zztools_locationz00
													(BgL_srczd2declzd2_43, BgL_locz00_1798)), BUNSPEC);
											{	/* Module/class.scm 136 */
												obj_t BgL_arg1347z00_1806;

												{	/* Module/class.scm 136 */
													obj_t BgL_zc3z04anonymousza31349ze3z87_3141;

													BgL_zc3z04anonymousza31349ze3z87_3141 =
														MAKE_FX_PROCEDURE
														(BGl_z62zc3z04anonymousza31349ze3ze5zzmodule_classz00,
														(int) (((long) 0)), (int) (((long) 4)));
													PROCEDURE_SET(BgL_zc3z04anonymousza31349ze3z87_3141,
														(int) (((long) 0)), BgL_cdefz00_38);
													PROCEDURE_SET(BgL_zc3z04anonymousza31349ze3z87_3141,
														(int) (((long) 1)), BgL_holderz00_1801);
													PROCEDURE_SET(BgL_zc3z04anonymousza31349ze3z87_3141,
														(int) (((long) 2)), ((obj_t) BgL_tclassz00_1804));
													PROCEDURE_SET(BgL_zc3z04anonymousza31349ze3z87_3141,
														(int) (((long) 3)), BgL_srczd2defzd2_42);
													BgL_arg1347z00_1806 =
														BGl_makezd2promisezd2zz__r4_control_features_6_9z00
														(BgL_zc3z04anonymousza31349ze3z87_3141);
												}
												{	/* Module/class.scm 176 */
													obj_t BgL_arg1367z00_2464;

													BgL_arg1367z00_2464 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_tclassz00_1804), BgL_arg1347z00_1806);
													BGl_za2classzd2accessesza2zd2zzmodule_classz00 =
														MAKE_YOUNG_PAIR(BgL_arg1367z00_2464,
														BGl_za2classzd2accessesza2zd2zzmodule_classz00);
												}
												return BgL_tclassz00_1804;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1349> */
	obj_t BGl_z62zc3z04anonymousza31349ze3ze5zzmodule_classz00(obj_t
		BgL_envz00_3142)
	{
		{	/* Module/class.scm 135 */
			{	/* Module/class.scm 136 */
				obj_t BgL_cdefz00_3143;
				obj_t BgL_holderz00_3144;
				BgL_typez00_bglt BgL_tclassz00_3145;
				obj_t BgL_srczd2defzd2_3146;

				BgL_cdefz00_3143 =
					((obj_t) PROCEDURE_REF(BgL_envz00_3142, (int) (((long) 0))));
				BgL_holderz00_3144 = PROCEDURE_REF(BgL_envz00_3142, (int) (((long) 1)));
				BgL_tclassz00_3145 =
					((BgL_typez00_bglt)
					PROCEDURE_REF(BgL_envz00_3142, (int) (((long) 2))));
				BgL_srczd2defzd2_3146 =
					PROCEDURE_REF(BgL_envz00_3142, (int) (((long) 3)));
				return
					BGl_genzd2registerzd2classz12z12zzmodule_classz00(BgL_cdefz00_3143,
					BgL_holderz00_3144, ((obj_t) BgL_tclassz00_3145),
					BgL_srczd2defzd2_3146);
			}
		}

	}



/* declare-import-class! */
	BgL_typez00_bglt BGl_declarezd2importzd2classz12z12zzmodule_classz00(obj_t
		BgL_cdefz00_45, obj_t BgL_modulez00_46, obj_t BgL_kindz00_47,
		bool_t BgL_abstractzf3zf3_48, obj_t BgL_srczd2defzd2_49,
		obj_t BgL_srczd2declzd2_50)
	{
		{	/* Module/class.scm 141 */
			{	/* Module/class.scm 145 */
				obj_t BgL_locz00_1813;

				BgL_locz00_1813 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2defzd2_49);
				{	/* Module/class.scm 145 */
					obj_t BgL_classzd2varzd2_1814;

					BgL_classzd2varzd2_1814 = CAR(BgL_cdefz00_45);
					{	/* Module/class.scm 146 */
						obj_t BgL_classzd2idzd2_1815;

						BgL_classzd2idzd2_1815 =
							BGl_idzd2ofzd2idz00zzast_identz00(BgL_classzd2varzd2_1814,
							BgL_locz00_1813);
						{	/* Module/class.scm 147 */
							obj_t BgL_holderz00_1816;

							BgL_holderz00_1816 =
								BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_46,
								BgL_classzd2idzd2_1815, BFALSE, BNIL);
							{	/* Module/class.scm 148 */
								bool_t BgL_finalzf3zf3_1817;

								BgL_finalzf3zf3_1817 =
									(BgL_kindz00_47 == CNST_TABLE_REF(((long) 1)));
								{	/* Module/class.scm 149 */
									obj_t BgL_widez00_1818;

									if ((BgL_kindz00_47 == CNST_TABLE_REF(((long) 3))))
										{	/* Module/class.scm 150 */
											BgL_widez00_1818 = CNST_TABLE_REF(((long) 4));
										}
									else
										{	/* Module/class.scm 150 */
											BgL_widez00_1818 = BFALSE;
										}
									{	/* Module/class.scm 150 */
										BgL_typez00_bglt BgL_tclassz00_1819;

										BgL_tclassz00_1819 =
											BGl_declarezd2classzd2typez12z12zzobject_classz00
											(BgL_cdefz00_45,
											((BgL_globalz00_bglt) BgL_holderz00_1816),
											BgL_widez00_1818, BgL_finalzf3zf3_1817,
											BgL_abstractzf3zf3_48, BgL_srczd2defzd2_49);
										{	/* Module/class.scm 151 */

											((((BgL_typez00_bglt) COBJECT(BgL_tclassz00_1819))->
													BgL_importzd2locationzd2) =
												((obj_t)
													BGl_findzd2locationzf2locz20zztools_locationz00
													(BgL_srczd2declzd2_50, BgL_locz00_1813)), BUNSPEC);
											{	/* Module/class.scm 166 */
												obj_t BgL_arg1361z00_1821;

												{	/* Module/class.scm 166 */
													obj_t BgL_zc3z04anonymousza31364ze3z87_3147;

													BgL_zc3z04anonymousza31364ze3z87_3147 =
														MAKE_FX_PROCEDURE
														(BGl_z62zc3z04anonymousza31364ze3ze5zzmodule_classz00,
														(int) (((long) 0)), (int) (((long) 3)));
													PROCEDURE_SET(BgL_zc3z04anonymousza31364ze3z87_3147,
														(int) (((long) 0)), ((obj_t) BgL_tclassz00_1819));
													PROCEDURE_SET(BgL_zc3z04anonymousza31364ze3z87_3147,
														(int) (((long) 1)), BgL_cdefz00_45);
													PROCEDURE_SET(BgL_zc3z04anonymousza31364ze3z87_3147,
														(int) (((long) 2)), BgL_srczd2defzd2_49);
													BgL_arg1361z00_1821 =
														BGl_makezd2promisezd2zz__r4_control_features_6_9z00
														(BgL_zc3z04anonymousza31364ze3z87_3147);
												}
												{	/* Module/class.scm 176 */
													obj_t BgL_arg1367z00_2468;

													BgL_arg1367z00_2468 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_tclassz00_1819), BgL_arg1361z00_1821);
													BGl_za2classzd2accessesza2zd2zzmodule_classz00 =
														MAKE_YOUNG_PAIR(BgL_arg1367z00_2468,
														BGl_za2classzd2accessesza2zd2zzmodule_classz00);
												}
												return BgL_tclassz00_1819;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1364> */
	obj_t BGl_z62zc3z04anonymousza31364ze3ze5zzmodule_classz00(obj_t
		BgL_envz00_3148)
	{
		{	/* Module/class.scm 162 */
			{	/* Module/class.scm 166 */
				BgL_typez00_bglt BgL_tclassz00_3149;
				obj_t BgL_cdefz00_3150;
				obj_t BgL_srczd2defzd2_3151;

				BgL_tclassz00_3149 =
					((BgL_typez00_bglt)
					PROCEDURE_REF(BgL_envz00_3148, (int) (((long) 0))));
				BgL_cdefz00_3150 =
					((obj_t) PROCEDURE_REF(BgL_envz00_3148, (int) (((long) 1))));
				BgL_srczd2defzd2_3151 =
					PROCEDURE_REF(BgL_envz00_3148, (int) (((long) 2)));
				BGl_setzd2classzd2slotsz12z12zzobject_classz00(
					((BgL_typez00_bglt) BgL_tclassz00_3149), BgL_cdefz00_3150,
					BgL_srczd2defzd2_3151);
				BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(((obj_t)
						BgL_tclassz00_3149));
				return BNIL;
			}
		}

	}



/* delay-class-accessors! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(BgL_typez00_bglt
		BgL_typez00_51, obj_t BgL_delayedz00_52)
	{
		{	/* Module/class.scm 175 */
			{	/* Module/class.scm 176 */
				obj_t BgL_arg1367z00_2469;

				BgL_arg1367z00_2469 =
					MAKE_YOUNG_PAIR(((obj_t) BgL_typez00_51), BgL_delayedz00_52);
				BGl_za2classzd2accessesza2zd2zzmodule_classz00 =
					MAKE_YOUNG_PAIR(BgL_arg1367z00_2469,
					BGl_za2classzd2accessesza2zd2zzmodule_classz00);
			}
			return BgL_typez00_51;
		}

	}



/* &delay-class-accessors! */
	BgL_typez00_bglt BGl_z62delayzd2classzd2accessorsz12z70zzmodule_classz00(obj_t
		BgL_envz00_3152, obj_t BgL_typez00_3153, obj_t BgL_delayedz00_3154)
	{
		{	/* Module/class.scm 175 */
			return
				BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(
				((BgL_typez00_bglt) BgL_typez00_3153), BgL_delayedz00_3154);
		}

	}



/* gen-register-class! */
	obj_t BGl_genzd2registerzd2classz12z12zzmodule_classz00(obj_t
		BgL_classzd2defzd2_53, obj_t BgL_holderz00_54, obj_t BgL_classz00_55,
		obj_t BgL_srczd2defzd2_56)
	{
		{	/* Module/class.scm 194 */
			if (BGl_checkzd2classzd2declarationzf3zf3zzobject_classz00(
					((BgL_typez00_bglt) BgL_classz00_55), BgL_srczd2defzd2_56))
				{	/* Module/class.scm 195 */
					BGl_setzd2classzd2slotsz12z12zzobject_classz00(
						((BgL_typez00_bglt) BgL_classz00_55), BgL_classzd2defzd2_53,
						BgL_srczd2defzd2_56);
					BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00
						(BgL_classz00_55);
					{	/* Module/class.scm 202 */
						obj_t BgL_classidz00_1829;

						BgL_classidz00_1829 =
							(((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt) BgL_classz00_55)))->BgL_idz00);
						{	/* Module/class.scm 202 */
							obj_t BgL_classmodz00_1830;

							{	/* Module/class.scm 203 */
								BgL_globalz00_bglt BgL_arg1567z00_1878;

								{
									BgL_tclassz00_bglt BgL_auxz00_3489;

									{
										obj_t BgL_auxz00_3490;

										{	/* Module/class.scm 203 */
											BgL_objectz00_bglt BgL_tmpz00_3491;

											BgL_tmpz00_3491 =
												((BgL_objectz00_bglt)
												((BgL_typez00_bglt) BgL_classz00_55));
											BgL_auxz00_3490 = BGL_OBJECT_WIDENING(BgL_tmpz00_3491);
										}
										BgL_auxz00_3489 = ((BgL_tclassz00_bglt) BgL_auxz00_3490);
									}
									BgL_arg1567z00_1878 =
										(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3489))->
										BgL_holderz00);
								}
								BgL_classmodz00_1830 =
									(((BgL_globalz00_bglt) COBJECT(BgL_arg1567z00_1878))->
									BgL_modulez00);
							}
							{	/* Module/class.scm 203 */
								obj_t BgL_superz00_1831;

								{
									BgL_tclassz00_bglt BgL_auxz00_3498;

									{
										obj_t BgL_auxz00_3499;

										{	/* Module/class.scm 204 */
											BgL_objectz00_bglt BgL_tmpz00_3500;

											BgL_tmpz00_3500 =
												((BgL_objectz00_bglt)
												((BgL_typez00_bglt) BgL_classz00_55));
											BgL_auxz00_3499 = BGL_OBJECT_WIDENING(BgL_tmpz00_3500);
										}
										BgL_auxz00_3498 = ((BgL_tclassz00_bglt) BgL_auxz00_3499);
									}
									BgL_superz00_1831 =
										(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3498))->
										BgL_itszd2superzd2);
								}
								{	/* Module/class.scm 204 */
									obj_t BgL_supervz00_1832;

									{	/* Module/class.scm 205 */
										bool_t BgL_test2146z00_3506;

										{	/* Module/class.scm 205 */
											obj_t BgL_classz00_2476;

											BgL_classz00_2476 = BGl_tclassz00zzobject_classz00;
											if (BGL_OBJECTP(BgL_superz00_1831))
												{	/* Module/class.scm 205 */
													BgL_objectz00_bglt BgL_arg1825z00_2478;

													BgL_arg1825z00_2478 =
														(BgL_objectz00_bglt) (BgL_superz00_1831);
													{	/* Module/class.scm 205 */
														bool_t BgL_arg1822z00_2481;
														bool_t BgL_arg1823z00_2482;

														{	/* Module/class.scm 205 */
															long BgL_idxz00_2485;

															BgL_idxz00_2485 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2478);
															BgL_arg1822z00_2481 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2485 + ((long) 2))) ==
																BgL_classz00_2476);
														}
														{	/* Module/class.scm 205 */
															bool_t BgL_res2096z00_2507;

															{	/* Module/class.scm 205 */
																obj_t BgL_oclassz00_2493;

																{	/* Module/class.scm 205 */
																	long BgL_arg1833z00_2499;

																	{	/* Module/class.scm 205 */
																		long BgL_arg1834z00_2500;

																		BgL_arg1834z00_2500 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2478);
																		BgL_arg1833z00_2499 =
																			(BgL_arg1834z00_2500 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2493 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_2499);
																}
																{	/* Module/class.scm 205 */
																	bool_t BgL__ortest_1110z00_2494;

																	BgL__ortest_1110z00_2494 =
																		(BgL_classz00_2476 == BgL_oclassz00_2493);
																	if (BgL__ortest_1110z00_2494)
																		{	/* Module/class.scm 205 */
																			BgL_res2096z00_2507 =
																				BgL__ortest_1110z00_2494;
																		}
																	else
																		{	/* Module/class.scm 205 */
																			long BgL_odepthz00_2495;

																			BgL_odepthz00_2495 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2493);
																			if ((((long) 2) < BgL_odepthz00_2495))
																				{	/* Module/class.scm 205 */
																					obj_t BgL_arg1821z00_2497;

																					BgL_arg1821z00_2497 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2493, ((long) 2));
																					BgL_res2096z00_2507 =
																						(BgL_arg1821z00_2497 ==
																						BgL_classz00_2476);
																				}
																			else
																				{	/* Module/class.scm 205 */
																					BgL_res2096z00_2507 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_2482 = BgL_res2096z00_2507;
														}
														BgL_test2146z00_3506 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_2481,
															BgL_arg1823z00_2482);
													}
												}
											else
												{	/* Module/class.scm 205 */
													BgL_test2146z00_3506 = ((bool_t) 0);
												}
										}
										if (BgL_test2146z00_3506)
											{	/* Module/class.scm 206 */
												BgL_globalz00_bglt BgL_sholderz00_1873;

												{
													BgL_tclassz00_bglt BgL_auxz00_3525;

													{
														obj_t BgL_auxz00_3526;

														{	/* Module/class.scm 206 */
															BgL_objectz00_bglt BgL_tmpz00_3527;

															BgL_tmpz00_3527 =
																((BgL_objectz00_bglt)
																((BgL_typez00_bglt) BgL_superz00_1831));
															BgL_auxz00_3526 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_3527);
														}
														BgL_auxz00_3525 =
															((BgL_tclassz00_bglt) BgL_auxz00_3526);
													}
													BgL_sholderz00_1873 =
														(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3525))->
														BgL_holderz00);
												}
												{	/* Module/class.scm 206 */
													obj_t BgL_sholderidz00_1874;

													BgL_sholderidz00_1874 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_sholderz00_1873)))->
														BgL_idz00);
													{	/* Module/class.scm 207 */
														obj_t BgL_sholdermodulez00_1875;

														BgL_sholdermodulez00_1875 =
															(((BgL_globalz00_bglt)
																COBJECT(BgL_sholderz00_1873))->BgL_modulez00);
														{	/* Module/class.scm 208 */

															{	/* Module/class.scm 209 */
																obj_t BgL_arg1563z00_1876;

																{	/* Module/class.scm 209 */
																	obj_t BgL_arg1564z00_1877;

																	BgL_arg1564z00_1877 =
																		MAKE_YOUNG_PAIR(BgL_sholdermodulez00_1875,
																		BNIL);
																	BgL_arg1563z00_1876 =
																		MAKE_YOUNG_PAIR(BgL_sholderidz00_1874,
																		BgL_arg1564z00_1877);
																}
																BgL_supervz00_1832 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)),
																	BgL_arg1563z00_1876);
											}}}}}
										else
											{	/* Module/class.scm 205 */
												BgL_supervz00_1832 = BFALSE;
											}
									}
									{	/* Module/class.scm 205 */
										obj_t BgL_declz00_1833;

										{	/* Module/class.scm 210 */
											obj_t BgL_arg1383z00_1839;

											{	/* Module/class.scm 210 */
												obj_t BgL_arg1385z00_1840;
												obj_t BgL_arg1386z00_1841;

												BgL_arg1385z00_1840 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_holderz00_54))))->
													BgL_idz00);
												{	/* Module/class.scm 211 */
													obj_t BgL_arg1387z00_1842;

													{	/* Module/class.scm 211 */
														obj_t BgL_arg1400z00_1843;
														obj_t BgL_arg1401z00_1844;

														{	/* Module/class.scm 211 */
															obj_t BgL_arg1415z00_1845;

															{	/* Module/class.scm 211 */
																obj_t BgL_arg1416z00_1846;

																BgL_arg1416z00_1846 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
																	BNIL);
																BgL_arg1415z00_1845 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
																	BgL_arg1416z00_1846);
															}
															BgL_arg1400z00_1843 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)),
																BgL_arg1415z00_1845);
														}
														{	/* Module/class.scm 213 */
															obj_t BgL_arg1418z00_1847;
															obj_t BgL_arg1419z00_1848;

															{	/* Module/class.scm 213 */
																obj_t BgL_arg1430z00_1849;

																BgL_arg1430z00_1849 =
																	MAKE_YOUNG_PAIR(BgL_classidz00_1829, BNIL);
																BgL_arg1418z00_1847 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 8)),
																	BgL_arg1430z00_1849);
															}
															{	/* Module/class.scm 215 */
																obj_t BgL_arg1454z00_1850;
																obj_t BgL_arg1456z00_1851;

																{	/* Module/class.scm 215 */
																	obj_t BgL_arg1457z00_1852;

																	BgL_arg1457z00_1852 =
																		MAKE_YOUNG_PAIR(BgL_classmodz00_1830, BNIL);
																	BgL_arg1454z00_1850 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 8)),
																		BgL_arg1457z00_1852);
																}
																{	/* Module/class.scm 219 */
																	obj_t BgL_arg1462z00_1853;

																	{	/* Module/class.scm 219 */
																		long BgL_arg1477z00_1854;
																		obj_t BgL_arg1494z00_1855;

																		BgL_arg1477z00_1854 =
																			BGl_getzd2classzd2hashz00zzmodule_classz00
																			(BgL_srczd2defzd2_56);
																		{	/* Module/class.scm 221 */
																			obj_t BgL_arg1496z00_1856;
																			obj_t BgL_arg1497z00_1857;

																			{	/* Module/class.scm 221 */
																				bool_t BgL_test2150z00_3556;

																				{
																					BgL_tclassz00_bglt BgL_auxz00_3557;

																					{
																						obj_t BgL_auxz00_3558;

																						{	/* Module/class.scm 221 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_3559;
																							BgL_tmpz00_3559 =
																								((BgL_objectz00_bglt) (
																									(BgL_typez00_bglt)
																									BgL_classz00_55));
																							BgL_auxz00_3558 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_3559);
																						}
																						BgL_auxz00_3557 =
																							((BgL_tclassz00_bglt)
																							BgL_auxz00_3558);
																					}
																					BgL_test2150z00_3556 =
																						(((BgL_tclassz00_bglt)
																							COBJECT(BgL_auxz00_3557))->
																						BgL_abstractzf3zf3);
																				}
																				if (BgL_test2150z00_3556)
																					{	/* Module/class.scm 221 */
																						BgL_arg1496z00_1856 = BFALSE;
																					}
																				else
																					{	/* Module/class.scm 221 */
																						BgL_arg1496z00_1856 =
																							BGl_classgenzd2makezd2anonymousz00zzobject_classgenz00
																							(((BgL_typez00_bglt)
																								BgL_classz00_55));
																					}
																			}
																			{	/* Module/class.scm 225 */
																				obj_t BgL_arg1500z00_1859;
																				obj_t BgL_arg1520z00_1860;

																				if (BGl_widezd2classzf3z21zzobject_classz00(BgL_classz00_55))
																					{	/* Module/class.scm 225 */
																						BgL_arg1500z00_1859 =
																							BGl_classgenzd2widenzd2anonymousz00zzobject_classgenz00
																							(((BgL_typez00_bglt)
																								BgL_classz00_55));
																					}
																				else
																					{	/* Module/class.scm 225 */
																						BgL_arg1500z00_1859 =
																							BGl_classgenzd2allocatezd2anonymousz00zzobject_classgenz00
																							(((BgL_typez00_bglt)
																								BgL_classz00_55));
																					}
																				{	/* Module/class.scm 233 */
																					obj_t BgL_arg1524z00_1862;
																					obj_t BgL_arg1534z00_1863;

																					BgL_arg1524z00_1862 =
																						BGl_findzd2classzd2constructorz00zzobject_classz00
																						(((BgL_typez00_bglt)
																							BgL_classz00_55));
																					{	/* Module/class.scm 235 */
																						obj_t BgL_arg1536z00_1864;
																						obj_t BgL_arg1542z00_1865;

																						BgL_arg1536z00_1864 =
																							BGl_classgenzd2nilzd2anonymousz00zzobject_classgenz00
																							(((BgL_typez00_bglt)
																								BgL_classz00_55));
																						{	/* Module/class.scm 237 */
																							obj_t BgL_arg1543z00_1866;
																							obj_t BgL_arg1548z00_1867;

																							if (BGl_widezd2classzf3z21zzobject_classz00(BgL_classz00_55))
																								{	/* Module/class.scm 237 */
																									BgL_arg1543z00_1866 =
																										BGl_classgenzd2shrinkzd2anonymousz00zzobject_classgenz00
																										(((BgL_typez00_bglt)
																											BgL_classz00_55));
																								}
																							else
																								{	/* Module/class.scm 237 */
																									BgL_arg1543z00_1866 = BFALSE;
																								}
																							{	/* Module/class.scm 240 */
																								obj_t BgL_arg1551z00_1869;
																								obj_t BgL_arg1552z00_1870;

																								BgL_arg1551z00_1869 =
																									BGl_makezd2classzd2fieldsz00zzmodule_classz00
																									(BgL_classz00_55);
																								BgL_arg1552z00_1870 =
																									MAKE_YOUNG_PAIR
																									(BGl_makezd2classzd2virtualzd2fieldszd2zzmodule_classz00
																									(BgL_classz00_55), BNIL);
																								BgL_arg1548z00_1867 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1551z00_1869,
																									BgL_arg1552z00_1870);
																							}
																							BgL_arg1542z00_1865 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1543z00_1866,
																								BgL_arg1548z00_1867);
																						}
																						BgL_arg1534z00_1863 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1536z00_1864,
																							BgL_arg1542z00_1865);
																					}
																					BgL_arg1520z00_1860 =
																						MAKE_YOUNG_PAIR(BgL_arg1524z00_1862,
																						BgL_arg1534z00_1863);
																				}
																				BgL_arg1497z00_1857 =
																					MAKE_YOUNG_PAIR(BgL_arg1500z00_1859,
																					BgL_arg1520z00_1860);
																			}
																			BgL_arg1494z00_1855 =
																				MAKE_YOUNG_PAIR(BgL_arg1496z00_1856,
																				BgL_arg1497z00_1857);
																		}
																		BgL_arg1462z00_1853 =
																			MAKE_YOUNG_PAIR(BINT(BgL_arg1477z00_1854),
																			BgL_arg1494z00_1855);
																	}
																	BgL_arg1456z00_1851 =
																		MAKE_YOUNG_PAIR(BgL_supervz00_1832,
																		BgL_arg1462z00_1853);
																}
																BgL_arg1419z00_1848 =
																	MAKE_YOUNG_PAIR(BgL_arg1454z00_1850,
																	BgL_arg1456z00_1851);
															}
															BgL_arg1401z00_1844 =
																MAKE_YOUNG_PAIR(BgL_arg1418z00_1847,
																BgL_arg1419z00_1848);
														}
														BgL_arg1387z00_1842 =
															MAKE_YOUNG_PAIR(BgL_arg1400z00_1843,
															BgL_arg1401z00_1844);
													}
													BgL_arg1386z00_1841 =
														MAKE_YOUNG_PAIR(BgL_arg1387z00_1842, BNIL);
												}
												BgL_arg1383z00_1839 =
													MAKE_YOUNG_PAIR(BgL_arg1385z00_1840,
													BgL_arg1386z00_1841);
											}
											BgL_declz00_1833 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 9)),
												BgL_arg1383z00_1839);
										}
										{	/* Module/class.scm 210 */
											obj_t BgL_edeclz00_1834;

											if (EPAIRP(BgL_srczd2defzd2_56))
												{	/* Module/class.scm 244 */
													obj_t BgL_arg1380z00_1836;
													obj_t BgL_arg1381z00_1837;
													obj_t BgL_arg1382z00_1838;

													BgL_arg1380z00_1836 = CAR(BgL_declz00_1833);
													BgL_arg1381z00_1837 = CDR(BgL_declz00_1833);
													BgL_arg1382z00_1838 =
														CER(((obj_t) BgL_srczd2defzd2_56));
													{	/* Module/class.scm 244 */
														obj_t BgL_res2097z00_2518;

														BgL_res2097z00_2518 =
															MAKE_YOUNG_EPAIR(BgL_arg1380z00_1836,
															BgL_arg1381z00_1837, BgL_arg1382z00_1838);
														BgL_edeclz00_1834 = BgL_res2097z00_2518;
													}
												}
											else
												{	/* Module/class.scm 243 */
													BgL_edeclz00_1834 = BgL_declz00_1833;
												}
											{	/* Module/class.scm 243 */

												BGl_za2declaredzd2classesza2zd2zzmodule_classz00 =
													MAKE_YOUNG_PAIR(BgL_edeclz00_1834,
													BGl_za2declaredzd2classesza2zd2zzmodule_classz00);
												return BNIL;
											}
										}
									}
								}
							}
						}
					}
				}
			else
				{	/* Module/class.scm 195 */
					{
						BgL_tclassz00_bglt BgL_auxz00_3608;

						{
							obj_t BgL_auxz00_3609;

							{	/* Module/class.scm 252 */
								BgL_objectz00_bglt BgL_tmpz00_3610;

								BgL_tmpz00_3610 =
									((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_55));
								BgL_auxz00_3609 = BGL_OBJECT_WIDENING(BgL_tmpz00_3610);
							}
							BgL_auxz00_3608 = ((BgL_tclassz00_bglt) BgL_auxz00_3609);
						}
						((((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3608))->BgL_slotsz00) =
							((obj_t) BNIL), BUNSPEC);
					}
					return BNIL;
				}
		}

	}



/* make-class-fields */
	obj_t BGl_makezd2classzd2fieldsz00zzmodule_classz00(obj_t BgL_classz00_57)
	{
		{	/* Module/class.scm 258 */
			{	/* Module/class.scm 299 */
				obj_t BgL_arg1570z00_1883;

				{	/* Module/class.scm 299 */
					obj_t BgL_arg1571z00_1884;

					{	/* Module/class.scm 299 */
						obj_t BgL_arg1581z00_1886;

						{
							BgL_tclassz00_bglt BgL_auxz00_3616;

							{
								obj_t BgL_auxz00_3617;

								{	/* Module/class.scm 305 */
									BgL_objectz00_bglt BgL_tmpz00_3618;

									BgL_tmpz00_3618 =
										((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_57));
									BgL_auxz00_3617 = BGL_OBJECT_WIDENING(BgL_tmpz00_3618);
								}
								BgL_auxz00_3616 = ((BgL_tclassz00_bglt) BgL_auxz00_3617);
							}
							BgL_arg1581z00_1886 =
								(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3616))->BgL_slotsz00);
						}
						{	/* Module/class.scm 300 */
							obj_t BgL_zc3z04anonymousza31583ze3z87_3155;

							BgL_zc3z04anonymousza31583ze3z87_3155 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza31583ze3ze5zzmodule_classz00,
								(int) (((long) 1)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3z04anonymousza31583ze3z87_3155,
								(int) (((long) 0)), BgL_classz00_57);
							{	/* Module/class.scm 299 */
								obj_t BgL_list1582z00_1887;

								BgL_list1582z00_1887 =
									MAKE_YOUNG_PAIR(BgL_arg1581z00_1886, BNIL);
								BgL_arg1571z00_1884 =
									BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
									(BgL_zc3z04anonymousza31583ze3z87_3155, BgL_list1582z00_1887);
					}}}
					BgL_arg1570z00_1883 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1571z00_1884,
						BNIL);
				}
				return
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)), BgL_arg1570z00_1883);
		}}

	}



/* &<@anonymous:1583> */
	obj_t BGl_z62zc3z04anonymousza31583ze3ze5zzmodule_classz00(obj_t
		BgL_envz00_3156, obj_t BgL_sz00_3158)
	{
		{	/* Module/class.scm 299 */
			{	/* Module/class.scm 300 */
				obj_t BgL_classz00_3157;

				BgL_classz00_3157 = PROCEDURE_REF(BgL_envz00_3156, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3244;
					obj_t BgL_sz00_3182;

					if (
						((((BgL_slotz00_bglt) COBJECT(
										((BgL_slotz00_bglt) BgL_sz00_3158)))->
								BgL_classzd2ownerzd2) == BgL_classz00_3157))
						{	/* Module/class.scm 300 */
							if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
									((BgL_slotz00_bglt) BgL_sz00_3158)))
								{	/* Module/class.scm 301 */
									if (
										(((BgL_slotz00_bglt) COBJECT(
													((BgL_slotz00_bglt) BgL_sz00_3158)))->
											BgL_virtualzd2overridezd2))
										{	/* Module/class.scm 302 */
											return BFALSE;
										}
									else
										{	/* Module/class.scm 302 */
											BgL_sz00_3182 = BgL_sz00_3158;
											{	/* Module/class.scm 271 */
												obj_t BgL_arg1619z00_3183;
												obj_t BgL_arg1620z00_3184;

												{	/* Module/class.scm 271 */
													obj_t BgL_arg1621z00_3185;

													{	/* Module/class.scm 271 */
														obj_t BgL_arg1632z00_3186;

														BgL_arg1632z00_3186 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)), BNIL);
														BgL_arg1621z00_3185 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 11)),
															BgL_arg1632z00_3186);
													}
													BgL_arg1619z00_3183 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)),
														BgL_arg1621z00_3185);
												}
												{	/* Module/class.scm 272 */
													obj_t BgL_arg1633z00_3187;
													obj_t BgL_arg1636z00_3188;

													{	/* Module/class.scm 272 */
														obj_t BgL_arg1647z00_3189;

														{	/* Module/class.scm 272 */
															obj_t BgL_arg1652z00_3190;

															BgL_arg1652z00_3190 =
																(((BgL_slotz00_bglt) COBJECT(
																		((BgL_slotz00_bglt) BgL_sz00_3182)))->
																BgL_idz00);
															BgL_arg1647z00_3189 =
																MAKE_YOUNG_PAIR(BgL_arg1652z00_3190, BNIL);
														}
														BgL_arg1633z00_3187 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 8)),
															BgL_arg1647z00_3189);
													}
													{	/* Module/class.scm 273 */
														obj_t BgL_arg1656z00_3191;
														obj_t BgL_arg1657z00_3192;

														{	/* Module/class.scm 273 */
															obj_t BgL_arg1660z00_3193;

															{	/* Module/class.scm 273 */
																obj_t BgL_arg1665z00_3194;
																obj_t BgL_arg1667z00_3195;

																BgL_arg1665z00_3194 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
																	BNIL);
																{	/* Module/class.scm 274 */
																	obj_t BgL_arg1668z00_3196;

																	{	/* Module/class.scm 274 */
																		obj_t BgL_arg1675z00_3197;
																		obj_t BgL_arg1676z00_3198;

																		{	/* Module/class.scm 274 */
																			obj_t BgL_arg1678z00_3199;

																			{	/* Module/class.scm 274 */
																				obj_t BgL_arg1679z00_3200;

																				BgL_arg1679z00_3200 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							6)), BNIL);
																				BgL_arg1678z00_3199 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							13)), BgL_arg1679z00_3200);
																			}
																			BgL_arg1675z00_3197 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						5)), BgL_arg1678z00_3199);
																		}
																		{	/* Module/class.scm 274 */
																			obj_t BgL_arg1681z00_3201;

																			{	/* Module/class.scm 274 */
																				obj_t BgL_arg1682z00_3202;

																				BgL_arg1682z00_3202 =
																					(((BgL_slotz00_bglt) COBJECT(
																							((BgL_slotz00_bglt)
																								BgL_sz00_3182)))->
																					BgL_virtualzd2numzd2);
																				BgL_arg1681z00_3201 =
																					MAKE_YOUNG_PAIR(BgL_arg1682z00_3202,
																					BNIL);
																			}
																			BgL_arg1676z00_3198 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						12)), BgL_arg1681z00_3201);
																		}
																		BgL_arg1668z00_3196 =
																			MAKE_YOUNG_PAIR(BgL_arg1675z00_3197,
																			BgL_arg1676z00_3198);
																	}
																	BgL_arg1667z00_3195 =
																		MAKE_YOUNG_PAIR(BgL_arg1668z00_3196, BNIL);
																}
																BgL_arg1660z00_3193 =
																	MAKE_YOUNG_PAIR(BgL_arg1665z00_3194,
																	BgL_arg1667z00_3195);
															}
															BgL_arg1656z00_3191 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 14)),
																BgL_arg1660z00_3193);
														}
														{	/* Module/class.scm 275 */
															obj_t BgL_arg1694z00_3203;
															obj_t BgL_arg1695z00_3204;

															{	/* Module/class.scm 275 */
																obj_t BgL_arg1696z00_3205;

																{	/* Module/class.scm 275 */
																	obj_t BgL_arg1699z00_3206;
																	obj_t BgL_arg1703z00_3207;

																	{	/* Module/class.scm 275 */
																		obj_t BgL_arg1706z00_3208;

																		BgL_arg1706z00_3208 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					15)), BNIL);
																		BgL_arg1699z00_3206 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					12)), BgL_arg1706z00_3208);
																	}
																	{	/* Module/class.scm 276 */
																		obj_t BgL_arg1711z00_3209;

																		{	/* Module/class.scm 276 */
																			obj_t BgL_arg1712z00_3210;
																			obj_t BgL_arg1713z00_3211;

																			{	/* Module/class.scm 276 */
																				obj_t BgL_arg1714z00_3212;

																				{	/* Module/class.scm 276 */
																					obj_t BgL_arg1715z00_3213;

																					BgL_arg1715z00_3213 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 6)), BNIL);
																					BgL_arg1714z00_3212 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 16)),
																						BgL_arg1715z00_3213);
																				}
																				BgL_arg1712z00_3210 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							5)), BgL_arg1714z00_3212);
																			}
																			{	/* Module/class.scm 276 */
																				obj_t BgL_arg1716z00_3214;

																				{	/* Module/class.scm 276 */
																					obj_t BgL_arg1721z00_3215;
																					obj_t BgL_arg1723z00_3216;

																					BgL_arg1721z00_3215 =
																						(((BgL_slotz00_bglt) COBJECT(
																								((BgL_slotz00_bglt)
																									BgL_sz00_3182)))->
																						BgL_virtualzd2numzd2);
																					BgL_arg1723z00_3216 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 15)), BNIL);
																					BgL_arg1716z00_3214 =
																						MAKE_YOUNG_PAIR(BgL_arg1721z00_3215,
																						BgL_arg1723z00_3216);
																				}
																				BgL_arg1713z00_3211 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							12)), BgL_arg1716z00_3214);
																			}
																			BgL_arg1711z00_3209 =
																				MAKE_YOUNG_PAIR(BgL_arg1712z00_3210,
																				BgL_arg1713z00_3211);
																		}
																		BgL_arg1703z00_3207 =
																			MAKE_YOUNG_PAIR(BgL_arg1711z00_3209,
																			BNIL);
																	}
																	BgL_arg1696z00_3205 =
																		MAKE_YOUNG_PAIR(BgL_arg1699z00_3206,
																		BgL_arg1703z00_3207);
																}
																BgL_arg1694z00_3203 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 14)),
																	BgL_arg1696z00_3205);
															}
															{	/* Module/class.scm 277 */
																bool_t BgL_arg1725z00_3217;
																obj_t BgL_arg1726z00_3218;

																BgL_arg1725z00_3217 =
																	(((BgL_slotz00_bglt) COBJECT(
																			((BgL_slotz00_bglt) BgL_sz00_3182)))->
																	BgL_readzd2onlyzf3z21);
																{	/* Module/class.scm 279 */
																	obj_t BgL_arg1728z00_3219;

																	{	/* Module/class.scm 279 */
																		obj_t BgL_arg1729z00_3220;
																		obj_t BgL_arg1731z00_3221;

																		BgL_arg1729z00_3220 =
																			(((BgL_slotz00_bglt) COBJECT(
																					((BgL_slotz00_bglt) BgL_sz00_3182)))->
																			BgL_userzd2infozd2);
																		{	/* Module/class.scm 280 */
																			obj_t BgL_arg1738z00_3222;
																			obj_t BgL_arg1739z00_3223;

																			BgL_arg1738z00_3222 =
																				BGl_slotzd2defaultzd2exprze70ze7zzmodule_classz00
																				(BgL_sz00_3182);
																			{	/* Module/class.scm 281 */
																				obj_t BgL_arg1742z00_3224;

																				{	/* Module/class.scm 281 */
																					bool_t BgL_test2157z00_3702;

																					{	/* Module/class.scm 281 */
																						obj_t BgL_arg1749z00_3225;

																						BgL_arg1749z00_3225 =
																							(((BgL_slotz00_bglt) COBJECT(
																									((BgL_slotz00_bglt)
																										BgL_sz00_3182)))->
																							BgL_typez00);
																						{	/* Module/class.scm 281 */
																							obj_t BgL_classz00_3226;

																							BgL_classz00_3226 =
																								BGl_tclassz00zzobject_classz00;
																							if (BGL_OBJECTP
																								(BgL_arg1749z00_3225))
																								{	/* Module/class.scm 281 */
																									BgL_objectz00_bglt
																										BgL_arg1825z00_3227;
																									BgL_arg1825z00_3227 =
																										(BgL_objectz00_bglt)
																										(BgL_arg1749z00_3225);
																									{	/* Module/class.scm 281 */
																										bool_t BgL_arg1822z00_3228;
																										bool_t BgL_arg1823z00_3229;

																										{	/* Module/class.scm 281 */
																											long BgL_idxz00_3230;

																											BgL_idxz00_3230 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1825z00_3227);
																											BgL_arg1822z00_3228 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_3230 +
																														((long) 2))) ==
																												BgL_classz00_3226);
																										}
																										{	/* Module/class.scm 281 */
																											bool_t
																												BgL_res2098z00_3233;
																											{	/* Module/class.scm 281 */
																												obj_t
																													BgL_oclassz00_3234;
																												{	/* Module/class.scm 281 */
																													long
																														BgL_arg1833z00_3235;
																													{	/* Module/class.scm 281 */
																														long
																															BgL_arg1834z00_3236;
																														BgL_arg1834z00_3236
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1825z00_3227);
																														BgL_arg1833z00_3235
																															=
																															(BgL_arg1834z00_3236
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_3234 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1833z00_3235);
																												}
																												{	/* Module/class.scm 281 */
																													bool_t
																														BgL__ortest_1110z00_3237;
																													BgL__ortest_1110z00_3237
																														=
																														(BgL_classz00_3226
																														==
																														BgL_oclassz00_3234);
																													if (BgL__ortest_1110z00_3237)
																														{	/* Module/class.scm 281 */
																															BgL_res2098z00_3233
																																=
																																BgL__ortest_1110z00_3237;
																														}
																													else
																														{	/* Module/class.scm 281 */
																															long
																																BgL_odepthz00_3238;
																															BgL_odepthz00_3238
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_3234);
																															if ((((long) 2) <
																																	BgL_odepthz00_3238))
																																{	/* Module/class.scm 281 */
																																	obj_t
																																		BgL_arg1821z00_3239;
																																	BgL_arg1821z00_3239
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_3234,
																																		((long) 2));
																																	BgL_res2098z00_3233
																																		=
																																		(BgL_arg1821z00_3239
																																		==
																																		BgL_classz00_3226);
																																}
																															else
																																{	/* Module/class.scm 281 */
																																	BgL_res2098z00_3233
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_arg1823z00_3229 =
																												BgL_res2098z00_3233;
																										}
																										BgL_test2157z00_3702 =
																											BGL_ISA_C_BACKEND
																											(BgL_arg1822z00_3228,
																											BgL_arg1823z00_3229);
																									}
																								}
																							else
																								{	/* Module/class.scm 281 */
																									BgL_test2157z00_3702 =
																										((bool_t) 0);
																								}
																						}
																					}
																					if (BgL_test2157z00_3702)
																						{	/* Module/class.scm 282 */
																							BgL_typez00_bglt BgL_oz00_3240;

																							BgL_oz00_3240 =
																								((BgL_typez00_bglt)
																								(((BgL_slotz00_bglt) COBJECT(
																											((BgL_slotz00_bglt)
																												BgL_sz00_3182)))->
																									BgL_typez00));
																							{
																								BgL_globalz00_bglt
																									BgL_auxz00_3726;
																								{
																									BgL_tclassz00_bglt
																										BgL_auxz00_3727;
																									{
																										obj_t BgL_auxz00_3728;

																										{	/* Module/class.scm 282 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_3729;
																											BgL_tmpz00_3729 =
																												((BgL_objectz00_bglt)
																												BgL_oz00_3240);
																											BgL_auxz00_3728 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_3729);
																										}
																										BgL_auxz00_3727 =
																											((BgL_tclassz00_bglt)
																											BgL_auxz00_3728);
																									}
																									BgL_auxz00_3726 =
																										(((BgL_tclassz00_bglt)
																											COBJECT
																											(BgL_auxz00_3727))->
																										BgL_holderz00);
																								}
																								BgL_arg1742z00_3224 =
																									((obj_t) BgL_auxz00_3726);
																							}
																						}
																					else
																						{	/* Module/class.scm 283 */
																							obj_t BgL_arg1746z00_3241;

																							{	/* Module/class.scm 283 */
																								obj_t BgL_arg1747z00_3242;

																								{	/* Module/class.scm 283 */
																									obj_t BgL_arg1748z00_3243;

																									BgL_arg1748z00_3243 =
																										(((BgL_slotz00_bglt)
																											COBJECT((
																													(BgL_slotz00_bglt)
																													BgL_sz00_3182)))->
																										BgL_typez00);
																									BgL_arg1747z00_3242 =
																										BGl_typezd2defaultzd2idze70ze7zzmodule_classz00
																										(BgL_arg1748z00_3243);
																								}
																								BgL_arg1746z00_3241 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1747z00_3242, BNIL);
																							}
																							BgL_arg1742z00_3224 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 8)),
																								BgL_arg1746z00_3241);
																				}}
																				BgL_arg1739z00_3223 =
																					MAKE_YOUNG_PAIR(BgL_arg1742z00_3224,
																					BNIL);
																			}
																			BgL_arg1731z00_3221 =
																				MAKE_YOUNG_PAIR(BgL_arg1738z00_3222,
																				BgL_arg1739z00_3223);
																		}
																		BgL_arg1728z00_3219 =
																			MAKE_YOUNG_PAIR(BgL_arg1729z00_3220,
																			BgL_arg1731z00_3221);
																	}
																	BgL_arg1726z00_3218 =
																		MAKE_YOUNG_PAIR(BTRUE, BgL_arg1728z00_3219);
																}
																BgL_arg1695z00_3204 =
																	MAKE_YOUNG_PAIR(BBOOL(BgL_arg1725z00_3217),
																	BgL_arg1726z00_3218);
															}
															BgL_arg1657z00_3192 =
																MAKE_YOUNG_PAIR(BgL_arg1694z00_3203,
																BgL_arg1695z00_3204);
														}
														BgL_arg1636z00_3188 =
															MAKE_YOUNG_PAIR(BgL_arg1656z00_3191,
															BgL_arg1657z00_3192);
													}
													BgL_arg1620z00_3184 =
														MAKE_YOUNG_PAIR(BgL_arg1633z00_3187,
														BgL_arg1636z00_3188);
												}
												return
													MAKE_YOUNG_PAIR(BgL_arg1619z00_3183,
													BgL_arg1620z00_3184);
											}
										}
								}
							else
								{	/* Module/class.scm 301 */
									BgL_sz00_3244 = BgL_sz00_3158;
									{	/* Module/class.scm 286 */
										obj_t BgL_defsz00_3245;

										BgL_defsz00_3245 =
											BGl_classgenzd2slotzd2anonymousz00zzobject_classgenz00(
											((BgL_typez00_bglt) BgL_classz00_3157),
											((BgL_slotz00_bglt) BgL_sz00_3244));
										{	/* Module/class.scm 288 */
											obj_t BgL_arg1751z00_3246;
											obj_t BgL_arg1752z00_3247;

											{	/* Module/class.scm 288 */
												obj_t BgL_arg1753z00_3248;

												{	/* Module/class.scm 288 */
													obj_t BgL_arg1759z00_3249;

													BgL_arg1759z00_3249 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)), BNIL);
													BgL_arg1753z00_3248 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 11)),
														BgL_arg1759z00_3249);
												}
												BgL_arg1751z00_3246 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)),
													BgL_arg1753z00_3248);
											}
											{	/* Module/class.scm 289 */
												obj_t BgL_arg1761z00_3250;
												obj_t BgL_arg1762z00_3251;

												{	/* Module/class.scm 289 */
													obj_t BgL_arg1763z00_3252;

													{	/* Module/class.scm 289 */
														obj_t BgL_arg1766z00_3253;

														BgL_arg1766z00_3253 =
															(((BgL_slotz00_bglt) COBJECT(
																	((BgL_slotz00_bglt) BgL_sz00_3244)))->
															BgL_idz00);
														BgL_arg1763z00_3252 =
															MAKE_YOUNG_PAIR(BgL_arg1766z00_3253, BNIL);
													}
													BgL_arg1761z00_3250 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 8)),
														BgL_arg1763z00_3252);
												}
												{	/* Module/class.scm 290 */
													obj_t BgL_arg1770z00_3254;
													obj_t BgL_arg1772z00_3255;

													BgL_arg1770z00_3254 = CAR(((obj_t) BgL_defsz00_3245));
													{	/* Module/class.scm 290 */
														obj_t BgL_arg1777z00_3256;
														obj_t BgL_arg1781z00_3257;

														{	/* Module/class.scm 290 */
															obj_t BgL_pairz00_3258;

															BgL_pairz00_3258 =
																CDR(((obj_t) BgL_defsz00_3245));
															BgL_arg1777z00_3256 = CAR(BgL_pairz00_3258);
														}
														{	/* Module/class.scm 290 */
															bool_t BgL_arg1785z00_3259;
															obj_t BgL_arg1788z00_3260;

															BgL_arg1785z00_3259 =
																(((BgL_slotz00_bglt) COBJECT(
																		((BgL_slotz00_bglt) BgL_sz00_3244)))->
																BgL_readzd2onlyzf3z21);
															{	/* Module/class.scm 292 */
																obj_t BgL_arg1789z00_3261;

																{	/* Module/class.scm 292 */
																	obj_t BgL_arg1799z00_3262;
																	obj_t BgL_arg1801z00_3263;

																	BgL_arg1799z00_3262 =
																		(((BgL_slotz00_bglt) COBJECT(
																				((BgL_slotz00_bglt) BgL_sz00_3244)))->
																		BgL_userzd2infozd2);
																	{	/* Module/class.scm 293 */
																		obj_t BgL_arg1805z00_3264;
																		obj_t BgL_arg1807z00_3265;

																		BgL_arg1805z00_3264 =
																			BGl_slotzd2defaultzd2exprze70ze7zzmodule_classz00
																			(BgL_sz00_3244);
																		{	/* Module/class.scm 294 */
																			obj_t BgL_arg1808z00_3266;

																			{	/* Module/class.scm 294 */
																				bool_t BgL_test2161z00_3775;

																				{	/* Module/class.scm 294 */
																					obj_t BgL_arg1838z00_3267;

																					BgL_arg1838z00_3267 =
																						(((BgL_slotz00_bglt) COBJECT(
																								((BgL_slotz00_bglt)
																									BgL_sz00_3244)))->
																						BgL_typez00);
																					{	/* Module/class.scm 294 */
																						obj_t BgL_classz00_3268;

																						BgL_classz00_3268 =
																							BGl_tclassz00zzobject_classz00;
																						if (BGL_OBJECTP
																							(BgL_arg1838z00_3267))
																							{	/* Module/class.scm 294 */
																								BgL_objectz00_bglt
																									BgL_arg1825z00_3269;
																								BgL_arg1825z00_3269 =
																									(BgL_objectz00_bglt)
																									(BgL_arg1838z00_3267);
																								{	/* Module/class.scm 294 */
																									bool_t BgL_arg1822z00_3270;
																									bool_t BgL_arg1823z00_3271;

																									{	/* Module/class.scm 294 */
																										long BgL_idxz00_3272;

																										BgL_idxz00_3272 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1825z00_3269);
																										BgL_arg1822z00_3270 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_3272 +
																													((long) 2))) ==
																											BgL_classz00_3268);
																									}
																									{	/* Module/class.scm 294 */
																										bool_t BgL_res2099z00_3275;

																										{	/* Module/class.scm 294 */
																											obj_t BgL_oclassz00_3276;

																											{	/* Module/class.scm 294 */
																												long
																													BgL_arg1833z00_3277;
																												{	/* Module/class.scm 294 */
																													long
																														BgL_arg1834z00_3278;
																													BgL_arg1834z00_3278 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1825z00_3269);
																													BgL_arg1833z00_3277 =
																														(BgL_arg1834z00_3278
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_3276 =
																													VECTOR_REF
																													(BGl_za2classesza2z00zz__objectz00,
																													BgL_arg1833z00_3277);
																											}
																											{	/* Module/class.scm 294 */
																												bool_t
																													BgL__ortest_1110z00_3279;
																												BgL__ortest_1110z00_3279
																													=
																													(BgL_classz00_3268 ==
																													BgL_oclassz00_3276);
																												if (BgL__ortest_1110z00_3279)
																													{	/* Module/class.scm 294 */
																														BgL_res2099z00_3275
																															=
																															BgL__ortest_1110z00_3279;
																													}
																												else
																													{	/* Module/class.scm 294 */
																														long
																															BgL_odepthz00_3280;
																														BgL_odepthz00_3280 =
																															BGL_CLASS_DEPTH
																															(BgL_oclassz00_3276);
																														if ((((long) 2) <
																																BgL_odepthz00_3280))
																															{	/* Module/class.scm 294 */
																																obj_t
																																	BgL_arg1821z00_3281;
																																BgL_arg1821z00_3281
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_oclassz00_3276,
																																	((long) 2));
																																BgL_res2099z00_3275
																																	=
																																	(BgL_arg1821z00_3281
																																	==
																																	BgL_classz00_3268);
																															}
																														else
																															{	/* Module/class.scm 294 */
																																BgL_res2099z00_3275
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_arg1823z00_3271 =
																											BgL_res2099z00_3275;
																									}
																									BgL_test2161z00_3775 =
																										BGL_ISA_C_BACKEND
																										(BgL_arg1822z00_3270,
																										BgL_arg1823z00_3271);
																								}
																							}
																						else
																							{	/* Module/class.scm 294 */
																								BgL_test2161z00_3775 =
																									((bool_t) 0);
																							}
																					}
																				}
																				if (BgL_test2161z00_3775)
																					{	/* Module/class.scm 295 */
																						BgL_typez00_bglt BgL_oz00_3282;

																						BgL_oz00_3282 =
																							((BgL_typez00_bglt)
																							(((BgL_slotz00_bglt) COBJECT(
																										((BgL_slotz00_bglt)
																											BgL_sz00_3244)))->
																								BgL_typez00));
																						{
																							BgL_globalz00_bglt
																								BgL_auxz00_3799;
																							{
																								BgL_tclassz00_bglt
																									BgL_auxz00_3800;
																								{
																									obj_t BgL_auxz00_3801;

																									{	/* Module/class.scm 295 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_3802;
																										BgL_tmpz00_3802 =
																											((BgL_objectz00_bglt)
																											BgL_oz00_3282);
																										BgL_auxz00_3801 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_3802);
																									}
																									BgL_auxz00_3800 =
																										((BgL_tclassz00_bglt)
																										BgL_auxz00_3801);
																								}
																								BgL_auxz00_3799 =
																									(((BgL_tclassz00_bglt)
																										COBJECT(BgL_auxz00_3800))->
																									BgL_holderz00);
																							}
																							BgL_arg1808z00_3266 =
																								((obj_t) BgL_auxz00_3799);
																						}
																					}
																				else
																					{	/* Module/class.scm 296 */
																						obj_t BgL_arg1818z00_3283;

																						{	/* Module/class.scm 296 */
																							obj_t BgL_arg1824z00_3284;

																							{	/* Module/class.scm 296 */
																								obj_t BgL_arg1837z00_3285;

																								BgL_arg1837z00_3285 =
																									(((BgL_slotz00_bglt) COBJECT(
																											((BgL_slotz00_bglt)
																												BgL_sz00_3244)))->
																									BgL_typez00);
																								BgL_arg1824z00_3284 =
																									BGl_typezd2defaultzd2idze70ze7zzmodule_classz00
																									(BgL_arg1837z00_3285);
																							}
																							BgL_arg1818z00_3283 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1824z00_3284, BNIL);
																						}
																						BgL_arg1808z00_3266 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 8)),
																							BgL_arg1818z00_3283);
																			}}
																			BgL_arg1807z00_3265 =
																				MAKE_YOUNG_PAIR(BgL_arg1808z00_3266,
																				BNIL);
																		}
																		BgL_arg1801z00_3263 =
																			MAKE_YOUNG_PAIR(BgL_arg1805z00_3264,
																			BgL_arg1807z00_3265);
																	}
																	BgL_arg1789z00_3261 =
																		MAKE_YOUNG_PAIR(BgL_arg1799z00_3262,
																		BgL_arg1801z00_3263);
																}
																BgL_arg1788z00_3260 =
																	MAKE_YOUNG_PAIR(BFALSE, BgL_arg1789z00_3261);
															}
															BgL_arg1781z00_3257 =
																MAKE_YOUNG_PAIR(BBOOL(BgL_arg1785z00_3259),
																BgL_arg1788z00_3260);
														}
														BgL_arg1772z00_3255 =
															MAKE_YOUNG_PAIR(BgL_arg1777z00_3256,
															BgL_arg1781z00_3257);
													}
													BgL_arg1762z00_3251 =
														MAKE_YOUNG_PAIR(BgL_arg1770z00_3254,
														BgL_arg1772z00_3255);
												}
												BgL_arg1752z00_3247 =
													MAKE_YOUNG_PAIR(BgL_arg1761z00_3250,
													BgL_arg1762z00_3251);
											}
											return
												MAKE_YOUNG_PAIR(BgL_arg1751z00_3246,
												BgL_arg1752z00_3247);
										}
									}
								}
						}
					else
						{	/* Module/class.scm 300 */
							return BFALSE;
						}
				}
			}
		}

	}



/* slot-default-expr~0 */
	obj_t BGl_slotzd2defaultzd2exprze70ze7zzmodule_classz00(obj_t BgL_sz00_1901)
	{
		{	/* Module/class.scm 268 */
			if (BGl_slotzd2defaultzf3z21zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_sz00_1901)))
				{	/* Module/class.scm 267 */
					obj_t BgL_arg1604z00_1904;

					{	/* Module/class.scm 267 */
						obj_t BgL_arg1606z00_1905;

						{	/* Module/class.scm 267 */
							obj_t BgL_arg1612z00_1906;

							BgL_arg1612z00_1906 =
								(((BgL_slotz00_bglt) COBJECT(
										((BgL_slotz00_bglt) BgL_sz00_1901)))->
								BgL_defaultzd2valuezd2);
							BgL_arg1606z00_1905 = MAKE_YOUNG_PAIR(BgL_arg1612z00_1906, BNIL);
						}
						BgL_arg1604z00_1904 = MAKE_YOUNG_PAIR(BNIL, BgL_arg1606z00_1905);
					}
					return
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 14)), BgL_arg1604z00_1904);
				}
			else
				{	/* Module/class.scm 266 */
					return BFALSE;
				}
		}

	}



/* type-default-id~0 */
	obj_t BGl_typezd2defaultzd2idze70ze7zzmodule_classz00(obj_t BgL_typez00_1896)
	{
		{	/* Module/class.scm 263 */
			if (
				((((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_typez00_1896)))->BgL_idz00) ==
					CNST_TABLE_REF(((long) 17))))
				{	/* Module/class.scm 261 */
					return CNST_TABLE_REF(((long) 18));
				}
			else
				{	/* Module/class.scm 261 */
					return
						(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_typez00_1896)))->BgL_idz00);
				}
		}

	}



/* make-class-virtual-fields */
	obj_t BGl_makezd2classzd2virtualzd2fieldszd2zzmodule_classz00(obj_t
		BgL_classz00_58)
	{
		{	/* Module/class.scm 310 */
			{	/* Module/class.scm 339 */
				obj_t BgL_arg1839z00_1995;

				{	/* Module/class.scm 339 */
					obj_t BgL_arg1842z00_1996;

					{	/* Module/class.scm 339 */
						obj_t BgL_arg1849z00_1998;

						{
							BgL_tclassz00_bglt BgL_auxz00_3841;

							{
								obj_t BgL_auxz00_3842;

								{	/* Module/class.scm 344 */
									BgL_objectz00_bglt BgL_tmpz00_3843;

									BgL_tmpz00_3843 =
										((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_58));
									BgL_auxz00_3842 = BGL_OBJECT_WIDENING(BgL_tmpz00_3843);
								}
								BgL_auxz00_3841 = ((BgL_tclassz00_bglt) BgL_auxz00_3842);
							}
							BgL_arg1849z00_1998 =
								(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3841))->BgL_slotsz00);
						}
						{	/* Module/class.scm 340 */
							obj_t BgL_zc3z04anonymousza31851ze3z87_3159;

							BgL_zc3z04anonymousza31851ze3z87_3159 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza31851ze3ze5zzmodule_classz00,
								(int) (((long) 1)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3z04anonymousza31851ze3z87_3159,
								(int) (((long) 0)), BgL_classz00_58);
							{	/* Module/class.scm 339 */
								obj_t BgL_list1850z00_1999;

								BgL_list1850z00_1999 =
									MAKE_YOUNG_PAIR(BgL_arg1849z00_1998, BNIL);
								BgL_arg1842z00_1996 =
									BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
									(BgL_zc3z04anonymousza31851ze3z87_3159, BgL_list1850z00_1999);
					}}}
					BgL_arg1839z00_1995 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1842z00_1996,
						BNIL);
				}
				return
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)), BgL_arg1839z00_1995);
		}}

	}



/* &<@anonymous:1851> */
	obj_t BGl_z62zc3z04anonymousza31851ze3ze5zzmodule_classz00(obj_t
		BgL_envz00_3160, obj_t BgL_sz00_3162)
	{
		{	/* Module/class.scm 339 */
			{	/* Module/class.scm 340 */
				obj_t BgL_classz00_3161;

				BgL_classz00_3161 = PROCEDURE_REF(BgL_envz00_3160, (int) (((long) 0)));
				{	/* Module/class.scm 340 */
					bool_t BgL_test2167z00_3861;

					if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
							((BgL_slotz00_bglt) BgL_sz00_3162)))
						{	/* Module/class.scm 340 */
							BgL_test2167z00_3861 =
								(
								(((BgL_slotz00_bglt) COBJECT(
											((BgL_slotz00_bglt) BgL_sz00_3162)))->
									BgL_classzd2ownerzd2) == BgL_classz00_3161);
						}
					else
						{	/* Module/class.scm 340 */
							BgL_test2167z00_3861 = ((bool_t) 0);
						}
					if (BgL_test2167z00_3861)
						{	/* Module/class.scm 342 */
							obj_t BgL_arg1856z00_3286;

							{	/* Module/class.scm 342 */
								obj_t BgL_arg1857z00_3287;
								obj_t BgL_arg1858z00_3288;

								BgL_arg1857z00_3287 =
									(((BgL_slotz00_bglt) COBJECT(
											((BgL_slotz00_bglt) BgL_sz00_3162)))->
									BgL_virtualzd2numzd2);
								{	/* Module/class.scm 343 */
									obj_t BgL_arg1862z00_3289;

									{	/* Module/class.scm 343 */
										obj_t BgL_arg1863z00_3290;

										{	/* Module/class.scm 343 */
											obj_t BgL_arg1865z00_3291;
											obj_t BgL_arg1867z00_3292;

											BgL_arg1865z00_3291 =
												BGl_getterze70ze7zzmodule_classz00(BgL_classz00_3161,
												BgL_sz00_3162);
											BgL_arg1867z00_3292 =
												MAKE_YOUNG_PAIR(BGl_setterze70ze7zzmodule_classz00
												(BgL_classz00_3161, BgL_sz00_3162), BNIL);
											BgL_arg1863z00_3290 =
												MAKE_YOUNG_PAIR(BgL_arg1865z00_3291,
												BgL_arg1867z00_3292);
										}
										BgL_arg1862z00_3289 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 19)),
											BgL_arg1863z00_3290);
									}
									BgL_arg1858z00_3288 =
										MAKE_YOUNG_PAIR(BgL_arg1862z00_3289, BNIL);
								}
								BgL_arg1856z00_3286 =
									MAKE_YOUNG_PAIR(BgL_arg1857z00_3287, BgL_arg1858z00_3288);
							}
							return
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 19)),
								BgL_arg1856z00_3286);
						}
					else
						{	/* Module/class.scm 340 */
							return BFALSE;
						}
				}
			}
		}

	}



/* epairify-slot~0 */
	obj_t BGl_epairifyzd2slotze70z35zzmodule_classz00(obj_t BgL_defz00_2016,
		obj_t BgL_slotz00_2017)
	{
		{	/* Module/class.scm 316 */
			{	/* Module/class.scm 314 */
				bool_t BgL_test2169z00_3880;

				{	/* Module/class.scm 314 */
					obj_t BgL_arg1877z00_2023;

					BgL_arg1877z00_2023 =
						(((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_slotz00_2017)))->BgL_srcz00);
					BgL_test2169z00_3880 = EPAIRP(BgL_arg1877z00_2023);
				}
				if (BgL_test2169z00_3880)
					{	/* Module/class.scm 315 */
						obj_t BgL_arg1875z00_2022;

						BgL_arg1875z00_2022 =
							(((BgL_slotz00_bglt) COBJECT(
									((BgL_slotz00_bglt) BgL_slotz00_2017)))->BgL_srcz00);
						return
							BGl_epairifyzd2reczd2zztools_miscz00(BgL_defz00_2016,
							BgL_arg1875z00_2022);
					}
				else
					{	/* Module/class.scm 314 */
						return BgL_defz00_2016;
					}
			}
		}

	}



/* getter~0 */
	obj_t BGl_getterze70ze7zzmodule_classz00(obj_t BgL_classz00_3165,
		obj_t BgL_slotz00_2024)
	{
		{	/* Module/class.scm 325 */
			{	/* Module/class.scm 320 */
				obj_t BgL_arg1880z00_2026;

				{	/* Module/class.scm 320 */
					obj_t BgL_arg1882z00_2027;

					{	/* Module/class.scm 320 */
						obj_t BgL_arg1883z00_2028;
						obj_t BgL_arg1884z00_2029;

						BgL_arg1883z00_2028 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)), BNIL);
						{	/* Module/class.scm 321 */
							obj_t BgL_arg1885z00_2030;
							obj_t BgL_arg1886z00_2031;

							{	/* Module/class.scm 321 */
								obj_t BgL_arg1887z00_2032;

								{	/* Module/class.scm 321 */
									obj_t BgL_arg1888z00_2033;
									obj_t BgL_arg1890z00_2034;

									BgL_arg1888z00_2033 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)), BNIL);
									{	/* Module/class.scm 322 */
										obj_t BgL_arg1891z00_2035;

										{	/* Module/class.scm 322 */
											obj_t BgL_arg1892z00_2036;

											{	/* Module/class.scm 322 */
												obj_t BgL_arg1894z00_2037;
												obj_t BgL_arg1895z00_2038;

												BgL_arg1894z00_2037 =
													(((BgL_typez00_bglt) COBJECT(
															((BgL_typez00_bglt)
																((BgL_typez00_bglt) BgL_classz00_3165))))->
													BgL_idz00);
												{	/* Module/class.scm 323 */
													obj_t BgL_arg1896z00_2039;

													{	/* Module/class.scm 323 */
														obj_t BgL_arg1897z00_2040;

														BgL_arg1897z00_2040 =
															(((BgL_slotz00_bglt) COBJECT(
																	((BgL_slotz00_bglt) BgL_slotz00_2024)))->
															BgL_virtualzd2numzd2);
														BgL_arg1896z00_2039 =
															MAKE_YOUNG_PAIR(BgL_arg1897z00_2040, BNIL);
													}
													BgL_arg1895z00_2038 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
														BgL_arg1896z00_2039);
												}
												BgL_arg1892z00_2036 =
													MAKE_YOUNG_PAIR(BgL_arg1894z00_2037,
													BgL_arg1895z00_2038);
											}
											BgL_arg1891z00_2035 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 21)),
												BgL_arg1892z00_2036);
										}
										BgL_arg1890z00_2034 =
											MAKE_YOUNG_PAIR(BgL_arg1891z00_2035, BNIL);
									}
									BgL_arg1887z00_2032 =
										MAKE_YOUNG_PAIR(BgL_arg1888z00_2033, BgL_arg1890z00_2034);
								}
								BgL_arg1885z00_2030 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 9)),
									BgL_arg1887z00_2032);
							}
							{	/* Module/class.scm 324 */
								obj_t BgL_arg1898z00_2041;

								{	/* Module/class.scm 324 */
									obj_t BgL_arg1901z00_2042;
									obj_t BgL_arg1904z00_2043;

									BgL_arg1901z00_2042 =
										(((BgL_slotz00_bglt) COBJECT(
												((BgL_slotz00_bglt) BgL_slotz00_2024)))->BgL_getterz00);
									BgL_arg1904z00_2043 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)), BNIL);
									BgL_arg1898z00_2041 =
										MAKE_YOUNG_PAIR(BgL_arg1901z00_2042, BgL_arg1904z00_2043);
								}
								BgL_arg1886z00_2031 =
									MAKE_YOUNG_PAIR(BgL_arg1898z00_2041, BNIL);
							}
							BgL_arg1884z00_2029 =
								MAKE_YOUNG_PAIR(BgL_arg1885z00_2030, BgL_arg1886z00_2031);
						}
						BgL_arg1882z00_2027 =
							MAKE_YOUNG_PAIR(BgL_arg1883z00_2028, BgL_arg1884z00_2029);
					}
					BgL_arg1880z00_2026 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 14)), BgL_arg1882z00_2027);
				}
				return
					BGl_epairifyzd2slotze70z35zzmodule_classz00(BgL_arg1880z00_2026,
					BgL_slotz00_2024);
			}
		}

	}



/* setter~0 */
	obj_t BGl_setterze70ze7zzmodule_classz00(obj_t BgL_classz00_3166,
		obj_t BgL_slotz00_2044)
	{
		{	/* Module/class.scm 336 */
			if (
				(((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_slotz00_2044)))->BgL_readzd2onlyzf3z21))
				{	/* Module/class.scm 328 */
					return BFALSE;
				}
			else
				{	/* Module/class.scm 331 */
					obj_t BgL_arg1907z00_2047;

					{	/* Module/class.scm 331 */
						obj_t BgL_arg1908z00_2048;

						{	/* Module/class.scm 331 */
							obj_t BgL_arg1909z00_2049;
							obj_t BgL_arg1910z00_2050;

							{	/* Module/class.scm 331 */
								obj_t BgL_arg1911z00_2051;

								BgL_arg1911z00_2051 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 15)), BNIL);
								BgL_arg1909z00_2049 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
									BgL_arg1911z00_2051);
							}
							{	/* Module/class.scm 332 */
								obj_t BgL_arg1912z00_2052;
								obj_t BgL_arg1913z00_2053;

								{	/* Module/class.scm 332 */
									obj_t BgL_arg1914z00_2054;

									{	/* Module/class.scm 332 */
										obj_t BgL_arg1916z00_2055;
										obj_t BgL_arg1917z00_2056;

										BgL_arg1916z00_2055 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)), BNIL);
										{	/* Module/class.scm 333 */
											obj_t BgL_arg1918z00_2057;

											{	/* Module/class.scm 333 */
												obj_t BgL_arg1919z00_2058;

												{	/* Module/class.scm 333 */
													obj_t BgL_arg1920z00_2059;
													obj_t BgL_arg1922z00_2060;

													BgL_arg1920z00_2059 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt)
																	((BgL_typez00_bglt) BgL_classz00_3166))))->
														BgL_idz00);
													{	/* Module/class.scm 334 */
														obj_t BgL_arg1923z00_2061;

														{	/* Module/class.scm 334 */
															obj_t BgL_arg1924z00_2062;
															obj_t BgL_arg1925z00_2063;

															BgL_arg1924z00_2062 =
																(((BgL_slotz00_bglt) COBJECT(
																		((BgL_slotz00_bglt) BgL_slotz00_2044)))->
																BgL_virtualzd2numzd2);
															BgL_arg1925z00_2063 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 15)),
																BNIL);
															BgL_arg1923z00_2061 =
																MAKE_YOUNG_PAIR(BgL_arg1924z00_2062,
																BgL_arg1925z00_2063);
														}
														BgL_arg1922z00_2060 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
															BgL_arg1923z00_2061);
													}
													BgL_arg1919z00_2058 =
														MAKE_YOUNG_PAIR(BgL_arg1920z00_2059,
														BgL_arg1922z00_2060);
												}
												BgL_arg1918z00_2057 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 22)),
													BgL_arg1919z00_2058);
											}
											BgL_arg1917z00_2056 =
												MAKE_YOUNG_PAIR(BgL_arg1918z00_2057, BNIL);
										}
										BgL_arg1914z00_2054 =
											MAKE_YOUNG_PAIR(BgL_arg1916z00_2055, BgL_arg1917z00_2056);
									}
									BgL_arg1912z00_2052 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 9)),
										BgL_arg1914z00_2054);
								}
								{	/* Module/class.scm 335 */
									obj_t BgL_arg1926z00_2064;

									{	/* Module/class.scm 335 */
										obj_t BgL_arg1927z00_2065;
										obj_t BgL_arg1929z00_2066;

										BgL_arg1927z00_2065 =
											(((BgL_slotz00_bglt) COBJECT(
													((BgL_slotz00_bglt) BgL_slotz00_2044)))->
											BgL_setterz00);
										{	/* Module/class.scm 335 */
											obj_t BgL_arg1930z00_2067;

											BgL_arg1930z00_2067 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 15)), BNIL);
											BgL_arg1929z00_2066 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
												BgL_arg1930z00_2067);
										}
										BgL_arg1926z00_2064 =
											MAKE_YOUNG_PAIR(BgL_arg1927z00_2065, BgL_arg1929z00_2066);
									}
									BgL_arg1913z00_2053 =
										MAKE_YOUNG_PAIR(BgL_arg1926z00_2064, BNIL);
								}
								BgL_arg1910z00_2050 =
									MAKE_YOUNG_PAIR(BgL_arg1912z00_2052, BgL_arg1913z00_2053);
							}
							BgL_arg1908z00_2048 =
								MAKE_YOUNG_PAIR(BgL_arg1909z00_2049, BgL_arg1910z00_2050);
						}
						BgL_arg1907z00_2047 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 14)), BgL_arg1908z00_2048);
					}
					return
						BGl_epairifyzd2slotze70z35zzmodule_classz00(BgL_arg1907z00_2047,
						BgL_slotz00_2044);
				}
		}

	}



/* class-finalizer */
	BGL_EXPORTED_DEF obj_t BGl_classzd2finaliza7erz75zzmodule_classz00()
	{
		{	/* Module/class.scm 351 */
			{	/* Module/class.scm 353 */
				bool_t BgL_test2171z00_3956;

				if (NULLP(BGl_za2classzd2accessesza2zd2zzmodule_classz00))
					{	/* Module/class.scm 353 */
						if (
							(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
								CNST_TABLE_REF(((long) 23))))
							{	/* Module/class.scm 353 */
								BgL_test2171z00_3956 = ((bool_t) 0);
							}
						else
							{	/* Module/class.scm 353 */
								BgL_test2171z00_3956 = ((bool_t) 1);
							}
					}
				else
					{	/* Module/class.scm 353 */
						BgL_test2171z00_3956 = ((bool_t) 0);
					}
				if (BgL_test2171z00_3956)
					{	/* Module/class.scm 353 */
						return CNST_TABLE_REF(((long) 24));
					}
				else
					{	/* Module/class.scm 368 */
						obj_t BgL_bodyz00_2074;

						BgL_bodyz00_2074 =
							BGl_forcezd2classzd2accessesz00zzmodule_classz00();
						{	/* Module/class.scm 368 */
							obj_t BgL_bodyz00_2075;

							BgL_bodyz00_2075 =
								BGl_appendzd221011zd2zzmodule_classz00(bgl_reverse
								(BGl_za2declaredzd2classesza2zd2zzmodule_classz00),
								BgL_bodyz00_2074);
							{	/* Module/class.scm 369 */
								obj_t BgL_bodyz00_2076;

								{	/* Module/class.scm 370 */
									bool_t BgL_test2174z00_3966;

									if (
										((long) CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00) >
											((long) 0)))
										{	/* Module/class.scm 371 */
											bool_t BgL_test2176z00_3970;

											{	/* Module/class.scm 372 */
												obj_t BgL_arg1957z00_2101;

												{	/* Module/class.scm 372 */
													obj_t BgL_arg1958z00_2102;

													BgL_arg1958z00_2102 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_arg1957z00_2101 =
														(((BgL_backendz00_bglt) COBJECT(
																((BgL_backendz00_bglt) BgL_arg1958z00_2102)))->
														BgL_debugzd2supportzd2);
												}
												BgL_test2176z00_3970 =
													CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(CNST_TABLE_REF(((long) 25)), BgL_arg1957z00_2101));
											}
											if (BgL_test2176z00_3970)
												{	/* Module/class.scm 371 */
													BgL_test2174z00_3966 =
														PAIRP
														(BGl_za2declaredzd2classesza2zd2zzmodule_classz00);
												}
											else
												{	/* Module/class.scm 371 */
													BgL_test2174z00_3966 = ((bool_t) 0);
												}
										}
									else
										{	/* Module/class.scm 370 */
											BgL_test2174z00_3966 = ((bool_t) 0);
										}
									if (BgL_test2174z00_3966)
										{	/* Module/class.scm 377 */
											obj_t BgL_arg1950z00_2092;

											{	/* Module/class.scm 377 */
												obj_t BgL_arg1951z00_2093;

												{	/* Module/class.scm 377 */
													obj_t BgL_arg1952z00_2094;
													obj_t BgL_arg1953z00_2095;

													{	/* Module/class.scm 377 */
														obj_t BgL_arg1954z00_2096;

														{	/* Module/class.scm 377 */
															obj_t BgL_arg1955z00_2097;

															{	/* Module/class.scm 377 */
																obj_t BgL_arg1956z00_2098;

																{	/* Module/class.scm 377 */
																	obj_t BgL_symbolz00_2631;

																	BgL_symbolz00_2631 =
																		BGl_za2moduleza2z00zzmodule_modulez00;
																	{	/* Module/class.scm 377 */
																		obj_t BgL_arg1463z00_2632;

																		BgL_arg1463z00_2632 =
																			SYMBOL_TO_STRING(BgL_symbolz00_2631);
																		BgL_arg1956z00_2098 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1463z00_2632);
																	}
																}
																BgL_arg1955z00_2097 =
																	string_append_3
																	(BGl_string2116z00zzmodule_classz00,
																	BgL_arg1956z00_2098,
																	BGl_string2117z00zzmodule_classz00);
															}
															BgL_arg1954z00_2096 =
																MAKE_YOUNG_PAIR(BgL_arg1955z00_2097, BNIL);
														}
														BgL_arg1952z00_2094 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 26)),
															BgL_arg1954z00_2096);
													}
													BgL_arg1953z00_2095 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_bodyz00_2075, BNIL);
													BgL_arg1951z00_2093 =
														MAKE_YOUNG_PAIR(BgL_arg1952z00_2094,
														BgL_arg1953z00_2095);
												}
												BgL_arg1950z00_2092 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 27)),
													BgL_arg1951z00_2093);
											}
											BgL_bodyz00_2076 =
												MAKE_YOUNG_PAIR(BgL_arg1950z00_2092, BNIL);
										}
									else
										{	/* Module/class.scm 370 */
											BgL_bodyz00_2076 = BgL_bodyz00_2075;
										}
								}
								{	/* Module/class.scm 370 */

									{	/* Module/class.scm 383 */
										obj_t BgL_arg1935z00_2077;
										bool_t BgL_arg1936z00_2078;

										if (PAIRP(BgL_bodyz00_2076))
											{	/* Module/class.scm 383 */
												BgL_arg1935z00_2077 = BgL_bodyz00_2076;
											}
										else
											{	/* Module/class.scm 383 */
												BgL_arg1935z00_2077 = CNST_TABLE_REF(((long) 28));
											}
										BgL_arg1936z00_2078 =
											(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
											CNST_TABLE_REF(((long) 23)));
										{	/* Module/class.scm 381 */
											obj_t BgL_idz00_2633;

											BgL_idz00_2633 = CNST_TABLE_REF(((long) 29));
											{	/* Module/class.scm 381 */
												obj_t BgL_newz00_2634;

												BgL_newz00_2634 =
													create_struct(CNST_TABLE_REF(((long) 30)),
													(int) (((long) 5)));
												{	/* Module/class.scm 381 */
													obj_t BgL_auxz00_4000;
													int BgL_tmpz00_3998;

													BgL_auxz00_4000 = BBOOL(BgL_arg1936z00_2078);
													BgL_tmpz00_3998 = (int) (((long) 4));
													STRUCT_SET(BgL_newz00_2634, BgL_tmpz00_3998,
														BgL_auxz00_4000);
												}
												{	/* Module/class.scm 381 */
													int BgL_tmpz00_4003;

													BgL_tmpz00_4003 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_2634, BgL_tmpz00_4003, BTRUE);
												}
												{	/* Module/class.scm 381 */
													int BgL_tmpz00_4006;

													BgL_tmpz00_4006 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_2634, BgL_tmpz00_4006,
														BgL_arg1935z00_2077);
												}
												{	/* Module/class.scm 381 */
													obj_t BgL_auxz00_4011;
													int BgL_tmpz00_4009;

													BgL_auxz00_4011 = BINT(((long) 19));
													BgL_tmpz00_4009 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_2634, BgL_tmpz00_4009,
														BgL_auxz00_4011);
												}
												{	/* Module/class.scm 381 */
													int BgL_tmpz00_4014;

													BgL_tmpz00_4014 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_2634, BgL_tmpz00_4014,
														BgL_idz00_2633);
												}
												BGl_za2objectzd2unitza2zd2zzmodule_classz00 =
													BgL_newz00_2634;
									}}}
									{	/* Module/class.scm 398 */
										bool_t BgL_arg1938z00_2080;

										BgL_arg1938z00_2080 =
											(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
											CNST_TABLE_REF(((long) 23)));
										{	/* Module/class.scm 392 */
											obj_t BgL_idz00_2640;
											obj_t BgL_sexpza2za2_2641;

											BgL_idz00_2640 = CNST_TABLE_REF(((long) 31));
											BgL_sexpza2za2_2641 = CNST_TABLE_REF(((long) 28));
											{	/* Module/class.scm 392 */
												obj_t BgL_newz00_2642;

												BgL_newz00_2642 =
													create_struct(CNST_TABLE_REF(((long) 30)),
													(int) (((long) 5)));
												{	/* Module/class.scm 392 */
													obj_t BgL_auxz00_4026;
													int BgL_tmpz00_4024;

													BgL_auxz00_4026 = BBOOL(BgL_arg1938z00_2080);
													BgL_tmpz00_4024 = (int) (((long) 4));
													STRUCT_SET(BgL_newz00_2642, BgL_tmpz00_4024,
														BgL_auxz00_4026);
												}
												{	/* Module/class.scm 392 */
													int BgL_tmpz00_4029;

													BgL_tmpz00_4029 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_2642, BgL_tmpz00_4029, BTRUE);
												}
												{	/* Module/class.scm 392 */
													int BgL_tmpz00_4032;

													BgL_tmpz00_4032 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_2642, BgL_tmpz00_4032,
														BgL_sexpza2za2_2641);
												}
												{	/* Module/class.scm 392 */
													obj_t BgL_auxz00_4037;
													int BgL_tmpz00_4035;

													BgL_auxz00_4037 = BINT(((long) 21));
													BgL_tmpz00_4035 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_2642, BgL_tmpz00_4035,
														BgL_auxz00_4037);
												}
												{	/* Module/class.scm 392 */
													int BgL_tmpz00_4040;

													BgL_tmpz00_4040 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_2642, BgL_tmpz00_4040,
														BgL_idz00_2640);
												}
												BGl_za2methodzd2unitza2zd2zzmodule_classz00 =
													BgL_newz00_2642;
									}}}
									{	/* Module/class.scm 405 */
										bool_t BgL_arg1939z00_2081;

										BgL_arg1939z00_2081 =
											(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
											CNST_TABLE_REF(((long) 23)));
										{	/* Module/class.scm 399 */
											obj_t BgL_idz00_2648;
											obj_t BgL_sexpza2za2_2649;

											BgL_idz00_2648 = CNST_TABLE_REF(((long) 32));
											BgL_sexpza2za2_2649 = CNST_TABLE_REF(((long) 28));
											{	/* Module/class.scm 399 */
												obj_t BgL_newz00_2650;

												BgL_newz00_2650 =
													create_struct(CNST_TABLE_REF(((long) 30)),
													(int) (((long) 5)));
												{	/* Module/class.scm 399 */
													obj_t BgL_auxz00_4052;
													int BgL_tmpz00_4050;

													BgL_auxz00_4052 = BBOOL(BgL_arg1939z00_2081);
													BgL_tmpz00_4050 = (int) (((long) 4));
													STRUCT_SET(BgL_newz00_2650, BgL_tmpz00_4050,
														BgL_auxz00_4052);
												}
												{	/* Module/class.scm 399 */
													int BgL_tmpz00_4055;

													BgL_tmpz00_4055 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_2650, BgL_tmpz00_4055, BTRUE);
												}
												{	/* Module/class.scm 399 */
													int BgL_tmpz00_4058;

													BgL_tmpz00_4058 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_2650, BgL_tmpz00_4058,
														BgL_sexpza2za2_2649);
												}
												{	/* Module/class.scm 399 */
													obj_t BgL_auxz00_4063;
													int BgL_tmpz00_4061;

													BgL_auxz00_4063 = BINT(((long) 20));
													BgL_tmpz00_4061 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_2650, BgL_tmpz00_4061,
														BgL_auxz00_4063);
												}
												{	/* Module/class.scm 399 */
													int BgL_tmpz00_4066;

													BgL_tmpz00_4066 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_2650, BgL_tmpz00_4066,
														BgL_idz00_2648);
												}
												BGl_za2genericzd2unitza2zd2zzmodule_classz00 =
													BgL_newz00_2650;
									}}}
									BGl_za2classzd2accessesza2zd2zzmodule_classz00 = BNIL;
									BGl_za2declaredzd2classesza2zd2zzmodule_classz00 = BNIL;
									{	/* Module/class.scm 409 */
										obj_t BgL_list1940z00_2082;

										{	/* Module/class.scm 409 */
											obj_t BgL_arg1941z00_2083;

											{	/* Module/class.scm 409 */
												obj_t BgL_arg1942z00_2084;

												BgL_arg1942z00_2084 =
													MAKE_YOUNG_PAIR
													(BGl_za2methodzd2unitza2zd2zzmodule_classz00, BNIL);
												BgL_arg1941z00_2083 =
													MAKE_YOUNG_PAIR
													(BGl_za2genericzd2unitza2zd2zzmodule_classz00,
													BgL_arg1942z00_2084);
											}
											BgL_list1940z00_2082 =
												MAKE_YOUNG_PAIR
												(BGl_za2objectzd2unitza2zd2zzmodule_classz00,
												BgL_arg1941z00_2083);
										}
										return BgL_list1940z00_2082;
									}
								}
							}
						}
					}
			}
		}

	}



/* &class-finalizer */
	obj_t BGl_z62classzd2finaliza7erz17zzmodule_classz00(obj_t BgL_envz00_3163)
	{
		{	/* Module/class.scm 351 */
			return BGl_classzd2finaliza7erz75zzmodule_classz00();
		}

	}



/* class-finalizer-add-static! */
	BGL_EXPORTED_DEF obj_t
		BGl_classzd2finaliza7erzd2addzd2staticz12z67zzmodule_classz00()
	{
		{	/* Module/class.scm 417 */
			{	/* Module/class.scm 418 */
				obj_t BgL_bodyz00_2106;

				BgL_bodyz00_2106 = BGl_forcezd2classzd2accessesz00zzmodule_classz00();
				{	/* Module/class.scm 418 */
					obj_t BgL_bodyz00_2107;

					BgL_bodyz00_2107 =
						BGl_appendzd221011zd2zzmodule_classz00(bgl_reverse
						(BGl_za2declaredzd2classesza2zd2zzmodule_classz00),
						BgL_bodyz00_2106);
					{	/* Module/class.scm 419 */

						{	/* Module/class.scm 420 */
							bool_t BgL_test2178z00_4076;

							{	/* Module/class.scm 420 */
								obj_t BgL_oz00_2657;

								BgL_oz00_2657 = BGl_za2objectzd2unitza2zd2zzmodule_classz00;
								if (STRUCTP(BgL_oz00_2657))
									{	/* Module/class.scm 420 */
										BgL_test2178z00_4076 =
											(STRUCT_KEY(BgL_oz00_2657) ==
											CNST_TABLE_REF(((long) 30)));
									}
								else
									{	/* Module/class.scm 420 */
										BgL_test2178z00_4076 = ((bool_t) 0);
									}
							}
							if (BgL_test2178z00_4076)
								{	/* Module/class.scm 422 */
									obj_t BgL_arg1961z00_2109;

									BgL_arg1961z00_2109 =
										BGl_appendzd221011zd2zzmodule_classz00(STRUCT_REF
										(BGl_za2objectzd2unitza2zd2zzmodule_classz00,
											(int) (((long) 2))), BgL_bodyz00_2107);
									{	/* Module/class.scm 421 */
										int BgL_tmpz00_4085;

										BgL_tmpz00_4085 = (int) (((long) 2));
										STRUCT_SET(BGl_za2objectzd2unitza2zd2zzmodule_classz00,
											BgL_tmpz00_4085, BgL_arg1961z00_2109);
								}}
							else
								{	/* Module/class.scm 426 */
									obj_t BgL_arg1964z00_2111;
									bool_t BgL_arg1965z00_2112;

									if (PAIRP(BgL_bodyz00_2107))
										{	/* Module/class.scm 426 */
											BgL_arg1964z00_2111 = BgL_bodyz00_2107;
										}
									else
										{	/* Module/class.scm 426 */
											BgL_arg1964z00_2111 = CNST_TABLE_REF(((long) 28));
										}
									BgL_arg1965z00_2112 =
										(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
										CNST_TABLE_REF(((long) 23)));
									{	/* Module/class.scm 424 */
										obj_t BgL_idz00_2666;

										BgL_idz00_2666 = CNST_TABLE_REF(((long) 29));
										{	/* Module/class.scm 424 */
											obj_t BgL_newz00_2667;

											BgL_newz00_2667 =
												create_struct(CNST_TABLE_REF(((long) 30)),
												(int) (((long) 5)));
											{	/* Module/class.scm 424 */
												obj_t BgL_auxz00_4099;
												int BgL_tmpz00_4097;

												BgL_auxz00_4099 = BBOOL(BgL_arg1965z00_2112);
												BgL_tmpz00_4097 = (int) (((long) 4));
												STRUCT_SET(BgL_newz00_2667, BgL_tmpz00_4097,
													BgL_auxz00_4099);
											}
											{	/* Module/class.scm 424 */
												int BgL_tmpz00_4102;

												BgL_tmpz00_4102 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_2667, BgL_tmpz00_4102, BTRUE);
											}
											{	/* Module/class.scm 424 */
												int BgL_tmpz00_4105;

												BgL_tmpz00_4105 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_2667, BgL_tmpz00_4105,
													BgL_arg1964z00_2111);
											}
											{	/* Module/class.scm 424 */
												obj_t BgL_auxz00_4110;
												int BgL_tmpz00_4108;

												BgL_auxz00_4110 = BINT(((long) 19));
												BgL_tmpz00_4108 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_2667, BgL_tmpz00_4108,
													BgL_auxz00_4110);
											}
											{	/* Module/class.scm 424 */
												int BgL_tmpz00_4113;

												BgL_tmpz00_4113 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_2667, BgL_tmpz00_4113,
													BgL_idz00_2666);
											}
											BGl_za2objectzd2unitza2zd2zzmodule_classz00 =
												BgL_newz00_2667;
						}}}}
						{	/* Module/class.scm 429 */
							bool_t BgL_test2181z00_4116;

							{	/* Module/class.scm 429 */
								obj_t BgL_oz00_2673;

								BgL_oz00_2673 = BGl_za2methodzd2unitza2zd2zzmodule_classz00;
								if (STRUCTP(BgL_oz00_2673))
									{	/* Module/class.scm 429 */
										BgL_test2181z00_4116 =
											(STRUCT_KEY(BgL_oz00_2673) ==
											CNST_TABLE_REF(((long) 30)));
									}
								else
									{	/* Module/class.scm 429 */
										BgL_test2181z00_4116 = ((bool_t) 0);
									}
							}
							if (BgL_test2181z00_4116)
								{	/* Module/class.scm 429 */
									BFALSE;
								}
							else
								{	/* Module/class.scm 437 */
									bool_t BgL_arg1968z00_2115;

									BgL_arg1968z00_2115 =
										(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
										CNST_TABLE_REF(((long) 23)));
									{	/* Module/class.scm 431 */
										obj_t BgL_idz00_2678;
										obj_t BgL_sexpza2za2_2679;

										BgL_idz00_2678 = CNST_TABLE_REF(((long) 31));
										BgL_sexpza2za2_2679 = CNST_TABLE_REF(((long) 28));
										{	/* Module/class.scm 431 */
											obj_t BgL_newz00_2680;

											BgL_newz00_2680 =
												create_struct(CNST_TABLE_REF(((long) 30)),
												(int) (((long) 5)));
											{	/* Module/class.scm 431 */
												obj_t BgL_auxz00_4131;
												int BgL_tmpz00_4129;

												BgL_auxz00_4131 = BBOOL(BgL_arg1968z00_2115);
												BgL_tmpz00_4129 = (int) (((long) 4));
												STRUCT_SET(BgL_newz00_2680, BgL_tmpz00_4129,
													BgL_auxz00_4131);
											}
											{	/* Module/class.scm 431 */
												int BgL_tmpz00_4134;

												BgL_tmpz00_4134 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_2680, BgL_tmpz00_4134, BTRUE);
											}
											{	/* Module/class.scm 431 */
												int BgL_tmpz00_4137;

												BgL_tmpz00_4137 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_2680, BgL_tmpz00_4137,
													BgL_sexpza2za2_2679);
											}
											{	/* Module/class.scm 431 */
												obj_t BgL_auxz00_4142;
												int BgL_tmpz00_4140;

												BgL_auxz00_4142 = BINT(((long) 21));
												BgL_tmpz00_4140 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_2680, BgL_tmpz00_4140,
													BgL_auxz00_4142);
											}
											{	/* Module/class.scm 431 */
												int BgL_tmpz00_4145;

												BgL_tmpz00_4145 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_2680, BgL_tmpz00_4145,
													BgL_idz00_2678);
											}
											BGl_za2methodzd2unitza2zd2zzmodule_classz00 =
												BgL_newz00_2680;
						}}}}
						{	/* Module/class.scm 438 */
							bool_t BgL_test2183z00_4148;

							{	/* Module/class.scm 438 */
								obj_t BgL_oz00_2686;

								BgL_oz00_2686 = BGl_za2genericzd2unitza2zd2zzmodule_classz00;
								if (STRUCTP(BgL_oz00_2686))
									{	/* Module/class.scm 438 */
										BgL_test2183z00_4148 =
											(STRUCT_KEY(BgL_oz00_2686) ==
											CNST_TABLE_REF(((long) 30)));
									}
								else
									{	/* Module/class.scm 438 */
										BgL_test2183z00_4148 = ((bool_t) 0);
									}
							}
							if (BgL_test2183z00_4148)
								{	/* Module/class.scm 438 */
									BFALSE;
								}
							else
								{	/* Module/class.scm 446 */
									bool_t BgL_arg1970z00_2117;

									BgL_arg1970z00_2117 =
										(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
										CNST_TABLE_REF(((long) 23)));
									{	/* Module/class.scm 440 */
										obj_t BgL_idz00_2691;
										obj_t BgL_sexpza2za2_2692;

										BgL_idz00_2691 = CNST_TABLE_REF(((long) 32));
										BgL_sexpza2za2_2692 = CNST_TABLE_REF(((long) 28));
										{	/* Module/class.scm 440 */
											obj_t BgL_newz00_2693;

											BgL_newz00_2693 =
												create_struct(CNST_TABLE_REF(((long) 30)),
												(int) (((long) 5)));
											{	/* Module/class.scm 440 */
												obj_t BgL_auxz00_4163;
												int BgL_tmpz00_4161;

												BgL_auxz00_4163 = BBOOL(BgL_arg1970z00_2117);
												BgL_tmpz00_4161 = (int) (((long) 4));
												STRUCT_SET(BgL_newz00_2693, BgL_tmpz00_4161,
													BgL_auxz00_4163);
											}
											{	/* Module/class.scm 440 */
												int BgL_tmpz00_4166;

												BgL_tmpz00_4166 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_2693, BgL_tmpz00_4166, BTRUE);
											}
											{	/* Module/class.scm 440 */
												int BgL_tmpz00_4169;

												BgL_tmpz00_4169 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_2693, BgL_tmpz00_4169,
													BgL_sexpza2za2_2692);
											}
											{	/* Module/class.scm 440 */
												obj_t BgL_auxz00_4174;
												int BgL_tmpz00_4172;

												BgL_auxz00_4174 = BINT(((long) 21));
												BgL_tmpz00_4172 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_2693, BgL_tmpz00_4172,
													BgL_auxz00_4174);
											}
											{	/* Module/class.scm 440 */
												int BgL_tmpz00_4177;

												BgL_tmpz00_4177 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_2693, BgL_tmpz00_4177,
													BgL_idz00_2691);
											}
											BGl_za2genericzd2unitza2zd2zzmodule_classz00 =
												BgL_newz00_2693;
						}}}}
						BGl_za2classzd2accessesza2zd2zzmodule_classz00 = BNIL;
						BGl_za2declaredzd2classesza2zd2zzmodule_classz00 = BNIL;
						return BUNSPEC;
					}
				}
			}
		}

	}



/* &class-finalizer-add-static! */
	obj_t BGl_z62classzd2finaliza7erzd2addzd2staticz12z05zzmodule_classz00(obj_t
		BgL_envz00_3164)
	{
		{	/* Module/class.scm 417 */
			return BGl_classzd2finaliza7erzd2addzd2staticz12z67zzmodule_classz00();
		}

	}



/* force-class-accesses */
	obj_t BGl_forcezd2classzd2accessesz00zzmodule_classz00()
	{
		{	/* Module/class.scm 458 */
			{	/* Module/class.scm 460 */
				obj_t BgL_g1112z00_2119;

				BgL_g1112z00_2119 =
					bgl_reverse(BGl_za2classzd2accessesza2zd2zzmodule_classz00);
				{
					obj_t BgL_curz00_2123;
					obj_t BgL_nextz00_2124;
					obj_t BgL_accessz00_2125;

					BgL_curz00_2123 = BgL_g1112z00_2119;
					BgL_nextz00_2124 = BNIL;
					BgL_accessz00_2125 = BNIL;
				BgL_zc3z04anonymousza31972ze3z87_2126:
					if (NULLP(BgL_curz00_2123))
						{	/* Module/class.scm 463 */
							if (NULLP(BgL_nextz00_2124))
								{	/* Module/class.scm 464 */
									return BgL_accessz00_2125;
								}
							else
								{
									obj_t BgL_nextz00_4187;
									obj_t BgL_curz00_4186;

									BgL_curz00_4186 = BgL_nextz00_2124;
									BgL_nextz00_4187 = BNIL;
									BgL_nextz00_2124 = BgL_nextz00_4187;
									BgL_curz00_2123 = BgL_curz00_4186;
									goto BgL_zc3z04anonymousza31972ze3z87_2126;
								}
						}
					else
						{	/* Module/class.scm 467 */
							obj_t BgL_classz00_2129;

							{	/* Module/class.scm 467 */
								obj_t BgL_pairz00_2700;

								BgL_pairz00_2700 = CAR(((obj_t) BgL_curz00_2123));
								BgL_classz00_2129 = CAR(BgL_pairz00_2700);
							}
							{	/* Module/class.scm 467 */
								obj_t BgL_superz00_2130;

								{	/* Module/class.scm 468 */
									bool_t BgL_test2187z00_4191;

									{	/* Module/class.scm 468 */
										obj_t BgL_classz00_2701;

										BgL_classz00_2701 = BGl_tclassz00zzobject_classz00;
										if (BGL_OBJECTP(BgL_classz00_2129))
											{	/* Module/class.scm 468 */
												BgL_objectz00_bglt BgL_arg1825z00_2703;

												BgL_arg1825z00_2703 =
													(BgL_objectz00_bglt) (BgL_classz00_2129);
												{	/* Module/class.scm 468 */
													bool_t BgL_arg1822z00_2706;
													bool_t BgL_arg1823z00_2707;

													{	/* Module/class.scm 468 */
														long BgL_idxz00_2710;

														BgL_idxz00_2710 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2703);
														BgL_arg1822z00_2706 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2710 + ((long) 2))) ==
															BgL_classz00_2701);
													}
													{	/* Module/class.scm 468 */
														bool_t BgL_res2104z00_2732;

														{	/* Module/class.scm 468 */
															obj_t BgL_oclassz00_2718;

															{	/* Module/class.scm 468 */
																long BgL_arg1833z00_2724;

																{	/* Module/class.scm 468 */
																	long BgL_arg1834z00_2725;

																	BgL_arg1834z00_2725 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2703);
																	BgL_arg1833z00_2724 =
																		(BgL_arg1834z00_2725 - OBJECT_TYPE);
																}
																BgL_oclassz00_2718 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2724);
															}
															{	/* Module/class.scm 468 */
																bool_t BgL__ortest_1110z00_2719;

																BgL__ortest_1110z00_2719 =
																	(BgL_classz00_2701 == BgL_oclassz00_2718);
																if (BgL__ortest_1110z00_2719)
																	{	/* Module/class.scm 468 */
																		BgL_res2104z00_2732 =
																			BgL__ortest_1110z00_2719;
																	}
																else
																	{	/* Module/class.scm 468 */
																		long BgL_odepthz00_2720;

																		BgL_odepthz00_2720 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2718);
																		if ((((long) 2) < BgL_odepthz00_2720))
																			{	/* Module/class.scm 468 */
																				obj_t BgL_arg1821z00_2722;

																				BgL_arg1821z00_2722 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2718, ((long) 2));
																				BgL_res2104z00_2732 =
																					(BgL_arg1821z00_2722 ==
																					BgL_classz00_2701);
																			}
																		else
																			{	/* Module/class.scm 468 */
																				BgL_res2104z00_2732 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2707 = BgL_res2104z00_2732;
													}
													BgL_test2187z00_4191 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2706,
														BgL_arg1823z00_2707);
												}
											}
										else
											{	/* Module/class.scm 468 */
												BgL_test2187z00_4191 = ((bool_t) 0);
											}
									}
									if (BgL_test2187z00_4191)
										{
											BgL_tclassz00_bglt BgL_auxz00_4210;

											{
												obj_t BgL_auxz00_4211;

												{	/* Module/class.scm 469 */
													BgL_objectz00_bglt BgL_tmpz00_4212;

													BgL_tmpz00_4212 =
														((BgL_objectz00_bglt)
														((BgL_typez00_bglt) BgL_classz00_2129));
													BgL_auxz00_4211 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4212);
												}
												BgL_auxz00_4210 =
													((BgL_tclassz00_bglt) BgL_auxz00_4211);
											}
											BgL_superz00_2130 =
												(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_4210))->
												BgL_itszd2superzd2);
										}
									else
										{
											BgL_jclassz00_bglt BgL_auxz00_4218;

											{
												obj_t BgL_auxz00_4219;

												{	/* Module/class.scm 470 */
													BgL_objectz00_bglt BgL_tmpz00_4220;

													BgL_tmpz00_4220 =
														((BgL_objectz00_bglt)
														((BgL_typez00_bglt) BgL_classz00_2129));
													BgL_auxz00_4219 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4220);
												}
												BgL_auxz00_4218 =
													((BgL_jclassz00_bglt) BgL_auxz00_4219);
											}
											BgL_superz00_2130 =
												(((BgL_jclassz00_bglt) COBJECT(BgL_auxz00_4218))->
												BgL_itszd2superzd2);
										}
								}
								{	/* Module/class.scm 468 */

									if ((BgL_superz00_2130 == BgL_classz00_2129))
										{	/* Module/class.scm 474 */
											obj_t BgL_arg1976z00_2132;
											obj_t BgL_arg1977z00_2133;

											BgL_arg1976z00_2132 = CDR(((obj_t) BgL_curz00_2123));
											{	/* Module/class.scm 476 */
												obj_t BgL_arg1978z00_2134;

												{	/* Module/class.scm 476 */
													obj_t BgL_arg1979z00_2135;

													{	/* Module/class.scm 476 */
														obj_t BgL_pairz00_2739;

														BgL_pairz00_2739 = CAR(((obj_t) BgL_curz00_2123));
														BgL_arg1979z00_2135 = CDR(BgL_pairz00_2739);
													}
													BgL_arg1978z00_2134 =
														PROCEDURE_ENTRY(BgL_arg1979z00_2135)
														(BgL_arg1979z00_2135, BEOA);
												}
												BgL_arg1977z00_2133 =
													BGl_appendzd221011zd2zzmodule_classz00
													(BgL_arg1978z00_2134, BgL_accessz00_2125);
											}
											{
												obj_t BgL_accessz00_4238;
												obj_t BgL_curz00_4237;

												BgL_curz00_4237 = BgL_arg1976z00_2132;
												BgL_accessz00_4238 = BgL_arg1977z00_2133;
												BgL_accessz00_2125 = BgL_accessz00_4238;
												BgL_curz00_2123 = BgL_curz00_4237;
												goto BgL_zc3z04anonymousza31972ze3z87_2126;
											}
										}
									else
										{	/* Module/class.scm 477 */
											bool_t BgL_test2192z00_4239;

											{	/* Module/class.scm 477 */
												bool_t BgL_test2193z00_4240;

												{	/* Module/class.scm 477 */
													obj_t BgL_classz00_2740;

													BgL_classz00_2740 = BGl_tclassz00zzobject_classz00;
													if (BGL_OBJECTP(BgL_classz00_2129))
														{	/* Module/class.scm 477 */
															BgL_objectz00_bglt BgL_arg1825z00_2742;

															BgL_arg1825z00_2742 =
																(BgL_objectz00_bglt) (BgL_classz00_2129);
															{	/* Module/class.scm 477 */
																bool_t BgL_arg1822z00_2745;
																bool_t BgL_arg1823z00_2746;

																{	/* Module/class.scm 477 */
																	long BgL_idxz00_2749;

																	BgL_idxz00_2749 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_2742);
																	BgL_arg1822z00_2745 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2749 + ((long) 2))) ==
																		BgL_classz00_2740);
																}
																{	/* Module/class.scm 477 */
																	bool_t BgL_res2105z00_2771;

																	{	/* Module/class.scm 477 */
																		obj_t BgL_oclassz00_2757;

																		{	/* Module/class.scm 477 */
																			long BgL_arg1833z00_2763;

																			{	/* Module/class.scm 477 */
																				long BgL_arg1834z00_2764;

																				BgL_arg1834z00_2764 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_2742);
																				BgL_arg1833z00_2763 =
																					(BgL_arg1834z00_2764 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2757 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_2763);
																		}
																		{	/* Module/class.scm 477 */
																			bool_t BgL__ortest_1110z00_2758;

																			BgL__ortest_1110z00_2758 =
																				(BgL_classz00_2740 ==
																				BgL_oclassz00_2757);
																			if (BgL__ortest_1110z00_2758)
																				{	/* Module/class.scm 477 */
																					BgL_res2105z00_2771 =
																						BgL__ortest_1110z00_2758;
																				}
																			else
																				{	/* Module/class.scm 477 */
																					long BgL_odepthz00_2759;

																					BgL_odepthz00_2759 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_2757);
																					if ((((long) 2) < BgL_odepthz00_2759))
																						{	/* Module/class.scm 477 */
																							obj_t BgL_arg1821z00_2761;

																							BgL_arg1821z00_2761 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_2757,
																								((long) 2));
																							BgL_res2105z00_2771 =
																								(BgL_arg1821z00_2761 ==
																								BgL_classz00_2740);
																						}
																					else
																						{	/* Module/class.scm 477 */
																							BgL_res2105z00_2771 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_2746 = BgL_res2105z00_2771;
																}
																BgL_test2193z00_4240 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_2745,
																	BgL_arg1823z00_2746);
															}
														}
													else
														{	/* Module/class.scm 477 */
															BgL_test2193z00_4240 = ((bool_t) 0);
														}
												}
												if (BgL_test2193z00_4240)
													{	/* Module/class.scm 477 */
														bool_t BgL_test2197z00_4259;

														{	/* Module/class.scm 477 */
															obj_t BgL_classz00_2772;

															BgL_classz00_2772 =
																BGl_tclassz00zzobject_classz00;
															if (BGL_OBJECTP(BgL_superz00_2130))
																{	/* Module/class.scm 477 */
																	BgL_objectz00_bglt BgL_arg1825z00_2774;

																	BgL_arg1825z00_2774 =
																		(BgL_objectz00_bglt) (BgL_superz00_2130);
																	{	/* Module/class.scm 477 */
																		bool_t BgL_arg1822z00_2777;
																		bool_t BgL_arg1823z00_2778;

																		{	/* Module/class.scm 477 */
																			long BgL_idxz00_2781;

																			BgL_idxz00_2781 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_2774);
																			BgL_arg1822z00_2777 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2781 + ((long) 2))) ==
																				BgL_classz00_2772);
																		}
																		{	/* Module/class.scm 477 */
																			bool_t BgL_res2106z00_2803;

																			{	/* Module/class.scm 477 */
																				obj_t BgL_oclassz00_2789;

																				{	/* Module/class.scm 477 */
																					long BgL_arg1833z00_2795;

																					{	/* Module/class.scm 477 */
																						long BgL_arg1834z00_2796;

																						BgL_arg1834z00_2796 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_2774);
																						BgL_arg1833z00_2795 =
																							(BgL_arg1834z00_2796 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2789 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_2795);
																				}
																				{	/* Module/class.scm 477 */
																					bool_t BgL__ortest_1110z00_2790;

																					BgL__ortest_1110z00_2790 =
																						(BgL_classz00_2772 ==
																						BgL_oclassz00_2789);
																					if (BgL__ortest_1110z00_2790)
																						{	/* Module/class.scm 477 */
																							BgL_res2106z00_2803 =
																								BgL__ortest_1110z00_2790;
																						}
																					else
																						{	/* Module/class.scm 477 */
																							long BgL_odepthz00_2791;

																							BgL_odepthz00_2791 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2789);
																							if ((((long) 2) <
																									BgL_odepthz00_2791))
																								{	/* Module/class.scm 477 */
																									obj_t BgL_arg1821z00_2793;

																									BgL_arg1821z00_2793 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2789,
																										((long) 2));
																									BgL_res2106z00_2803 =
																										(BgL_arg1821z00_2793 ==
																										BgL_classz00_2772);
																								}
																							else
																								{	/* Module/class.scm 477 */
																									BgL_res2106z00_2803 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_2778 = BgL_res2106z00_2803;
																		}
																		BgL_test2197z00_4259 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_2777,
																			BgL_arg1823z00_2778);
																	}
																}
															else
																{	/* Module/class.scm 477 */
																	BgL_test2197z00_4259 = ((bool_t) 0);
																}
														}
														if (BgL_test2197z00_4259)
															{	/* Module/class.scm 477 */
																BgL_test2192z00_4239 = ((bool_t) 0);
															}
														else
															{	/* Module/class.scm 477 */
																BgL_test2192z00_4239 = ((bool_t) 1);
															}
													}
												else
													{	/* Module/class.scm 477 */
														BgL_test2192z00_4239 = ((bool_t) 0);
													}
											}
											if (BgL_test2192z00_4239)
												{	/* Module/class.scm 478 */
													bool_t BgL_test2201z00_4278;

													{	/* Module/class.scm 478 */
														obj_t BgL_classz00_2804;

														BgL_classz00_2804 = BGl_typez00zztype_typez00;
														if (BGL_OBJECTP(BgL_superz00_2130))
															{	/* Module/class.scm 478 */
																BgL_objectz00_bglt BgL_arg1825z00_2806;

																BgL_arg1825z00_2806 =
																	(BgL_objectz00_bglt) (BgL_superz00_2130);
																{	/* Module/class.scm 478 */
																	bool_t BgL_arg1822z00_2809;
																	bool_t BgL_arg1823z00_2810;

																	{	/* Module/class.scm 478 */
																		long BgL_idxz00_2813;

																		BgL_idxz00_2813 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_2806);
																		BgL_arg1822z00_2809 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2813 + ((long) 1))) ==
																			BgL_classz00_2804);
																	}
																	{	/* Module/class.scm 478 */
																		bool_t BgL_res2107z00_2835;

																		{	/* Module/class.scm 478 */
																			obj_t BgL_oclassz00_2821;

																			{	/* Module/class.scm 478 */
																				long BgL_arg1833z00_2827;

																				{	/* Module/class.scm 478 */
																					long BgL_arg1834z00_2828;

																					BgL_arg1834z00_2828 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_2806);
																					BgL_arg1833z00_2827 =
																						(BgL_arg1834z00_2828 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2821 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_2827);
																			}
																			{	/* Module/class.scm 478 */
																				bool_t BgL__ortest_1110z00_2822;

																				BgL__ortest_1110z00_2822 =
																					(BgL_classz00_2804 ==
																					BgL_oclassz00_2821);
																				if (BgL__ortest_1110z00_2822)
																					{	/* Module/class.scm 478 */
																						BgL_res2107z00_2835 =
																							BgL__ortest_1110z00_2822;
																					}
																				else
																					{	/* Module/class.scm 478 */
																						long BgL_odepthz00_2823;

																						BgL_odepthz00_2823 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2821);
																						if ((((long) 1) <
																								BgL_odepthz00_2823))
																							{	/* Module/class.scm 478 */
																								obj_t BgL_arg1821z00_2825;

																								BgL_arg1821z00_2825 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2821,
																									((long) 1));
																								BgL_res2107z00_2835 =
																									(BgL_arg1821z00_2825 ==
																									BgL_classz00_2804);
																							}
																						else
																							{	/* Module/class.scm 478 */
																								BgL_res2107z00_2835 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_2810 = BgL_res2107z00_2835;
																	}
																	BgL_test2201z00_4278 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_2809,
																		BgL_arg1823z00_2810);
																}
															}
														else
															{	/* Module/class.scm 478 */
																BgL_test2201z00_4278 = ((bool_t) 0);
															}
													}
													if (BgL_test2201z00_4278)
														{	/* Module/class.scm 478 */
															{
																BgL_tclassz00_bglt BgL_auxz00_4297;

																{
																	obj_t BgL_auxz00_4298;

																	{	/* Module/class.scm 482 */
																		BgL_objectz00_bglt BgL_tmpz00_4299;

																		BgL_tmpz00_4299 =
																			((BgL_objectz00_bglt)
																			((BgL_typez00_bglt) BgL_classz00_2129));
																		BgL_auxz00_4298 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4299);
																	}
																	BgL_auxz00_4297 =
																		((BgL_tclassz00_bglt) BgL_auxz00_4298);
																}
																((((BgL_tclassz00_bglt)
																			COBJECT(BgL_auxz00_4297))->BgL_slotsz00) =
																	((obj_t) BNIL), BUNSPEC);
															}
															{	/* Module/class.scm 483 */
																obj_t BgL_arg1985z00_2141;

																BgL_arg1985z00_2141 =
																	CDR(((obj_t) BgL_curz00_2123));
																{
																	obj_t BgL_curz00_4307;

																	BgL_curz00_4307 = BgL_arg1985z00_2141;
																	BgL_curz00_2123 = BgL_curz00_4307;
																	goto BgL_zc3z04anonymousza31972ze3z87_2126;
																}
															}
														}
													else
														{	/* Module/class.scm 486 */
															obj_t BgL_arg1986z00_2142;
															obj_t BgL_arg1987z00_2143;

															BgL_arg1986z00_2142 =
																CDR(((obj_t) BgL_curz00_2123));
															{	/* Module/class.scm 488 */
																obj_t BgL_arg1988z00_2144;

																{	/* Module/class.scm 488 */
																	obj_t BgL_arg1989z00_2145;

																	{	/* Module/class.scm 488 */
																		obj_t BgL_pairz00_2841;

																		BgL_pairz00_2841 =
																			CAR(((obj_t) BgL_curz00_2123));
																		BgL_arg1989z00_2145 = CDR(BgL_pairz00_2841);
																	}
																	BgL_arg1988z00_2144 =
																		PROCEDURE_ENTRY(BgL_arg1989z00_2145)
																		(BgL_arg1989z00_2145, BEOA);
																}
																BgL_arg1987z00_2143 =
																	BGl_appendzd221011zd2zzmodule_classz00
																	(BgL_arg1988z00_2144, BgL_accessz00_2125);
															}
															{
																obj_t BgL_accessz00_4318;
																obj_t BgL_curz00_4317;

																BgL_curz00_4317 = BgL_arg1986z00_2142;
																BgL_accessz00_4318 = BgL_arg1987z00_2143;
																BgL_accessz00_2125 = BgL_accessz00_4318;
																BgL_curz00_2123 = BgL_curz00_4317;
																goto BgL_zc3z04anonymousza31972ze3z87_2126;
															}
														}
												}
											else
												{	/* Module/class.scm 489 */
													bool_t BgL_test2205z00_4319;

													{	/* Module/class.scm 489 */
														bool_t BgL_test2206z00_4320;

														{	/* Module/class.scm 489 */
															obj_t BgL_classz00_2842;

															BgL_classz00_2842 =
																BGl_jclassz00zzobject_classz00;
															if (BGL_OBJECTP(BgL_classz00_2129))
																{	/* Module/class.scm 489 */
																	BgL_objectz00_bglt BgL_arg1825z00_2844;

																	BgL_arg1825z00_2844 =
																		(BgL_objectz00_bglt) (BgL_classz00_2129);
																	{	/* Module/class.scm 489 */
																		bool_t BgL_arg1822z00_2847;
																		bool_t BgL_arg1823z00_2848;

																		{	/* Module/class.scm 489 */
																			long BgL_idxz00_2851;

																			BgL_idxz00_2851 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_2844);
																			BgL_arg1822z00_2847 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2851 + ((long) 2))) ==
																				BgL_classz00_2842);
																		}
																		{	/* Module/class.scm 489 */
																			bool_t BgL_res2108z00_2873;

																			{	/* Module/class.scm 489 */
																				obj_t BgL_oclassz00_2859;

																				{	/* Module/class.scm 489 */
																					long BgL_arg1833z00_2865;

																					{	/* Module/class.scm 489 */
																						long BgL_arg1834z00_2866;

																						BgL_arg1834z00_2866 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_2844);
																						BgL_arg1833z00_2865 =
																							(BgL_arg1834z00_2866 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2859 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_2865);
																				}
																				{	/* Module/class.scm 489 */
																					bool_t BgL__ortest_1110z00_2860;

																					BgL__ortest_1110z00_2860 =
																						(BgL_classz00_2842 ==
																						BgL_oclassz00_2859);
																					if (BgL__ortest_1110z00_2860)
																						{	/* Module/class.scm 489 */
																							BgL_res2108z00_2873 =
																								BgL__ortest_1110z00_2860;
																						}
																					else
																						{	/* Module/class.scm 489 */
																							long BgL_odepthz00_2861;

																							BgL_odepthz00_2861 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2859);
																							if ((((long) 2) <
																									BgL_odepthz00_2861))
																								{	/* Module/class.scm 489 */
																									obj_t BgL_arg1821z00_2863;

																									BgL_arg1821z00_2863 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2859,
																										((long) 2));
																									BgL_res2108z00_2873 =
																										(BgL_arg1821z00_2863 ==
																										BgL_classz00_2842);
																								}
																							else
																								{	/* Module/class.scm 489 */
																									BgL_res2108z00_2873 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_2848 = BgL_res2108z00_2873;
																		}
																		BgL_test2206z00_4320 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_2847,
																			BgL_arg1823z00_2848);
																	}
																}
															else
																{	/* Module/class.scm 489 */
																	BgL_test2206z00_4320 = ((bool_t) 0);
																}
														}
														if (BgL_test2206z00_4320)
															{	/* Module/class.scm 489 */
																bool_t BgL_test2210z00_4339;

																{	/* Module/class.scm 489 */
																	obj_t BgL_classz00_2874;

																	BgL_classz00_2874 =
																		BGl_jclassz00zzobject_classz00;
																	if (BGL_OBJECTP(BgL_superz00_2130))
																		{	/* Module/class.scm 489 */
																			BgL_objectz00_bglt BgL_arg1825z00_2876;

																			BgL_arg1825z00_2876 =
																				(BgL_objectz00_bglt)
																				(BgL_superz00_2130);
																			{	/* Module/class.scm 489 */
																				bool_t BgL_arg1822z00_2879;
																				bool_t BgL_arg1823z00_2880;

																				{	/* Module/class.scm 489 */
																					long BgL_idxz00_2883;

																					BgL_idxz00_2883 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_2876);
																					BgL_arg1822z00_2879 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2883 + ((long) 2))) ==
																						BgL_classz00_2874);
																				}
																				{	/* Module/class.scm 489 */
																					bool_t BgL_res2109z00_2905;

																					{	/* Module/class.scm 489 */
																						obj_t BgL_oclassz00_2891;

																						{	/* Module/class.scm 489 */
																							long BgL_arg1833z00_2897;

																							{	/* Module/class.scm 489 */
																								long BgL_arg1834z00_2898;

																								BgL_arg1834z00_2898 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_2876);
																								BgL_arg1833z00_2897 =
																									(BgL_arg1834z00_2898 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2891 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_2897);
																						}
																						{	/* Module/class.scm 489 */
																							bool_t BgL__ortest_1110z00_2892;

																							BgL__ortest_1110z00_2892 =
																								(BgL_classz00_2874 ==
																								BgL_oclassz00_2891);
																							if (BgL__ortest_1110z00_2892)
																								{	/* Module/class.scm 489 */
																									BgL_res2109z00_2905 =
																										BgL__ortest_1110z00_2892;
																								}
																							else
																								{	/* Module/class.scm 489 */
																									long BgL_odepthz00_2893;

																									BgL_odepthz00_2893 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2891);
																									if ((((long) 2) <
																											BgL_odepthz00_2893))
																										{	/* Module/class.scm 489 */
																											obj_t BgL_arg1821z00_2895;

																											BgL_arg1821z00_2895 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2891,
																												((long) 2));
																											BgL_res2109z00_2905 =
																												(BgL_arg1821z00_2895 ==
																												BgL_classz00_2874);
																										}
																									else
																										{	/* Module/class.scm 489 */
																											BgL_res2109z00_2905 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_2880 =
																						BgL_res2109z00_2905;
																				}
																				BgL_test2210z00_4339 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_2879,
																					BgL_arg1823z00_2880);
																			}
																		}
																	else
																		{	/* Module/class.scm 489 */
																			BgL_test2210z00_4339 = ((bool_t) 0);
																		}
																}
																if (BgL_test2210z00_4339)
																	{	/* Module/class.scm 489 */
																		BgL_test2205z00_4319 = ((bool_t) 0);
																	}
																else
																	{	/* Module/class.scm 489 */
																		BgL_test2205z00_4319 = ((bool_t) 1);
																	}
															}
														else
															{	/* Module/class.scm 489 */
																BgL_test2205z00_4319 = ((bool_t) 0);
															}
													}
													if (BgL_test2205z00_4319)
														{	/* Module/class.scm 490 */
															bool_t BgL_test2214z00_4358;

															{	/* Module/class.scm 490 */
																obj_t BgL_classz00_2906;

																BgL_classz00_2906 = BGl_typez00zztype_typez00;
																if (BGL_OBJECTP(BgL_superz00_2130))
																	{	/* Module/class.scm 490 */
																		BgL_objectz00_bglt BgL_arg1825z00_2908;

																		BgL_arg1825z00_2908 =
																			(BgL_objectz00_bglt) (BgL_superz00_2130);
																		{	/* Module/class.scm 490 */
																			bool_t BgL_arg1822z00_2911;
																			bool_t BgL_arg1823z00_2912;

																			{	/* Module/class.scm 490 */
																				long BgL_idxz00_2915;

																				BgL_idxz00_2915 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1825z00_2908);
																				BgL_arg1822z00_2911 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2915 + ((long) 1))) ==
																					BgL_classz00_2906);
																			}
																			{	/* Module/class.scm 490 */
																				bool_t BgL_res2110z00_2937;

																				{	/* Module/class.scm 490 */
																					obj_t BgL_oclassz00_2923;

																					{	/* Module/class.scm 490 */
																						long BgL_arg1833z00_2929;

																						{	/* Module/class.scm 490 */
																							long BgL_arg1834z00_2930;

																							BgL_arg1834z00_2930 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1825z00_2908);
																							BgL_arg1833z00_2929 =
																								(BgL_arg1834z00_2930 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2923 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1833z00_2929);
																					}
																					{	/* Module/class.scm 490 */
																						bool_t BgL__ortest_1110z00_2924;

																						BgL__ortest_1110z00_2924 =
																							(BgL_classz00_2906 ==
																							BgL_oclassz00_2923);
																						if (BgL__ortest_1110z00_2924)
																							{	/* Module/class.scm 490 */
																								BgL_res2110z00_2937 =
																									BgL__ortest_1110z00_2924;
																							}
																						else
																							{	/* Module/class.scm 490 */
																								long BgL_odepthz00_2925;

																								BgL_odepthz00_2925 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2923);
																								if ((((long) 1) <
																										BgL_odepthz00_2925))
																									{	/* Module/class.scm 490 */
																										obj_t BgL_arg1821z00_2927;

																										BgL_arg1821z00_2927 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2923,
																											((long) 1));
																										BgL_res2110z00_2937 =
																											(BgL_arg1821z00_2927 ==
																											BgL_classz00_2906);
																									}
																								else
																									{	/* Module/class.scm 490 */
																										BgL_res2110z00_2937 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_arg1823z00_2912 =
																					BgL_res2110z00_2937;
																			}
																			BgL_test2214z00_4358 =
																				BGL_ISA_C_BACKEND(BgL_arg1822z00_2911,
																				BgL_arg1823z00_2912);
																		}
																	}
																else
																	{	/* Module/class.scm 490 */
																		BgL_test2214z00_4358 = ((bool_t) 0);
																	}
															}
															if (BgL_test2214z00_4358)
																{	/* Module/class.scm 490 */
																	{
																		BgL_jclassz00_bglt BgL_auxz00_4377;

																		{
																			obj_t BgL_auxz00_4378;

																			{	/* Module/class.scm 494 */
																				BgL_objectz00_bglt BgL_tmpz00_4379;

																				BgL_tmpz00_4379 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt)
																						BgL_classz00_2129));
																				BgL_auxz00_4378 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_4379);
																			}
																			BgL_auxz00_4377 =
																				((BgL_jclassz00_bglt) BgL_auxz00_4378);
																		}
																		((((BgL_jclassz00_bglt)
																					COBJECT(BgL_auxz00_4377))->
																				BgL_slotsz00) =
																			((obj_t) BNIL), BUNSPEC);
																	}
																	{	/* Module/class.scm 495 */
																		obj_t BgL_arg1995z00_2151;

																		BgL_arg1995z00_2151 =
																			CDR(((obj_t) BgL_curz00_2123));
																		{
																			obj_t BgL_curz00_4387;

																			BgL_curz00_4387 = BgL_arg1995z00_2151;
																			BgL_curz00_2123 = BgL_curz00_4387;
																			goto
																				BgL_zc3z04anonymousza31972ze3z87_2126;
																		}
																	}
																}
															else
																{	/* Module/class.scm 498 */
																	obj_t BgL_arg1996z00_2152;
																	obj_t BgL_arg1997z00_2153;

																	BgL_arg1996z00_2152 =
																		CDR(((obj_t) BgL_curz00_2123));
																	{	/* Module/class.scm 500 */
																		obj_t BgL_arg1999z00_2154;

																		{	/* Module/class.scm 500 */
																			obj_t BgL_arg2000z00_2155;

																			{	/* Module/class.scm 500 */
																				obj_t BgL_pairz00_2943;

																				BgL_pairz00_2943 =
																					CAR(((obj_t) BgL_curz00_2123));
																				BgL_arg2000z00_2155 =
																					CDR(BgL_pairz00_2943);
																			}
																			BgL_arg1999z00_2154 =
																				PROCEDURE_ENTRY(BgL_arg2000z00_2155)
																				(BgL_arg2000z00_2155, BEOA);
																		}
																		BgL_arg1997z00_2153 =
																			BGl_appendzd221011zd2zzmodule_classz00
																			(BgL_arg1999z00_2154, BgL_accessz00_2125);
																	}
																	{
																		obj_t BgL_accessz00_4398;
																		obj_t BgL_curz00_4397;

																		BgL_curz00_4397 = BgL_arg1996z00_2152;
																		BgL_accessz00_4398 = BgL_arg1997z00_2153;
																		BgL_accessz00_2125 = BgL_accessz00_4398;
																		BgL_curz00_2123 = BgL_curz00_4397;
																		goto BgL_zc3z04anonymousza31972ze3z87_2126;
																	}
																}
														}
													else
														{	/* Module/class.scm 501 */
															bool_t BgL_test2218z00_4399;

															{	/* Module/class.scm 501 */
																bool_t BgL_test2219z00_4400;

																{	/* Module/class.scm 501 */
																	obj_t BgL_classz00_2944;

																	BgL_classz00_2944 =
																		BGl_tclassz00zzobject_classz00;
																	if (BGL_OBJECTP(BgL_classz00_2129))
																		{	/* Module/class.scm 501 */
																			BgL_objectz00_bglt BgL_arg1825z00_2946;

																			BgL_arg1825z00_2946 =
																				(BgL_objectz00_bglt)
																				(BgL_classz00_2129);
																			{	/* Module/class.scm 501 */
																				bool_t BgL_arg1822z00_2949;
																				bool_t BgL_arg1823z00_2950;

																				{	/* Module/class.scm 501 */
																					long BgL_idxz00_2953;

																					BgL_idxz00_2953 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_2946);
																					BgL_arg1822z00_2949 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2953 + ((long) 2))) ==
																						BgL_classz00_2944);
																				}
																				{	/* Module/class.scm 501 */
																					bool_t BgL_res2111z00_2975;

																					{	/* Module/class.scm 501 */
																						obj_t BgL_oclassz00_2961;

																						{	/* Module/class.scm 501 */
																							long BgL_arg1833z00_2967;

																							{	/* Module/class.scm 501 */
																								long BgL_arg1834z00_2968;

																								BgL_arg1834z00_2968 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_2946);
																								BgL_arg1833z00_2967 =
																									(BgL_arg1834z00_2968 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2961 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_2967);
																						}
																						{	/* Module/class.scm 501 */
																							bool_t BgL__ortest_1110z00_2962;

																							BgL__ortest_1110z00_2962 =
																								(BgL_classz00_2944 ==
																								BgL_oclassz00_2961);
																							if (BgL__ortest_1110z00_2962)
																								{	/* Module/class.scm 501 */
																									BgL_res2111z00_2975 =
																										BgL__ortest_1110z00_2962;
																								}
																							else
																								{	/* Module/class.scm 501 */
																									long BgL_odepthz00_2963;

																									BgL_odepthz00_2963 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2961);
																									if ((((long) 2) <
																											BgL_odepthz00_2963))
																										{	/* Module/class.scm 501 */
																											obj_t BgL_arg1821z00_2965;

																											BgL_arg1821z00_2965 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2961,
																												((long) 2));
																											BgL_res2111z00_2975 =
																												(BgL_arg1821z00_2965 ==
																												BgL_classz00_2944);
																										}
																									else
																										{	/* Module/class.scm 501 */
																											BgL_res2111z00_2975 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_2950 =
																						BgL_res2111z00_2975;
																				}
																				BgL_test2219z00_4400 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_2949,
																					BgL_arg1823z00_2950);
																			}
																		}
																	else
																		{	/* Module/class.scm 501 */
																			BgL_test2219z00_4400 = ((bool_t) 0);
																		}
																}
																if (BgL_test2219z00_4400)
																	{	/* Module/class.scm 501 */
																		obj_t BgL_arg2020z00_2177;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_4419;

																			{
																				obj_t BgL_auxz00_4420;

																				{	/* Module/class.scm 501 */
																					BgL_objectz00_bglt BgL_tmpz00_4421;

																					BgL_tmpz00_4421 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt)
																							BgL_superz00_2130));
																					BgL_auxz00_4420 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_4421);
																				}
																				BgL_auxz00_4419 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_4420);
																			}
																			BgL_arg2020z00_2177 =
																				(((BgL_tclassz00_bglt)
																					COBJECT(BgL_auxz00_4419))->
																				BgL_slotsz00);
																		}
																		BgL_test2218z00_4399 =
																			(BgL_arg2020z00_2177 == BUNSPEC);
																	}
																else
																	{	/* Module/class.scm 501 */
																		BgL_test2218z00_4399 = ((bool_t) 0);
																	}
															}
															if (BgL_test2218z00_4399)
																{	/* Module/class.scm 503 */
																	obj_t BgL_arg2005z00_2160;
																	obj_t BgL_arg2006z00_2161;

																	BgL_arg2005z00_2160 =
																		CDR(((obj_t) BgL_curz00_2123));
																	{	/* Module/class.scm 504 */
																		obj_t BgL_arg2007z00_2162;

																		BgL_arg2007z00_2162 =
																			CAR(((obj_t) BgL_curz00_2123));
																		BgL_arg2006z00_2161 =
																			MAKE_YOUNG_PAIR(BgL_arg2007z00_2162,
																			BgL_nextz00_2124);
																	}
																	{
																		obj_t BgL_nextz00_4434;
																		obj_t BgL_curz00_4433;

																		BgL_curz00_4433 = BgL_arg2005z00_2160;
																		BgL_nextz00_4434 = BgL_arg2006z00_2161;
																		BgL_nextz00_2124 = BgL_nextz00_4434;
																		BgL_curz00_2123 = BgL_curz00_4433;
																		goto BgL_zc3z04anonymousza31972ze3z87_2126;
																	}
																}
															else
																{	/* Module/class.scm 506 */
																	bool_t BgL_test2223z00_4435;

																	{	/* Module/class.scm 506 */
																		bool_t BgL_test2224z00_4436;

																		{	/* Module/class.scm 506 */
																			obj_t BgL_classz00_2980;

																			BgL_classz00_2980 =
																				BGl_jclassz00zzobject_classz00;
																			if (BGL_OBJECTP(BgL_classz00_2129))
																				{	/* Module/class.scm 506 */
																					BgL_objectz00_bglt
																						BgL_arg1825z00_2982;
																					BgL_arg1825z00_2982 =
																						(BgL_objectz00_bglt)
																						(BgL_classz00_2129);
																					{	/* Module/class.scm 506 */
																						bool_t BgL_arg1822z00_2985;
																						bool_t BgL_arg1823z00_2986;

																						{	/* Module/class.scm 506 */
																							long BgL_idxz00_2989;

																							BgL_idxz00_2989 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1825z00_2982);
																							BgL_arg1822z00_2985 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_2989 +
																										((long) 2))) ==
																								BgL_classz00_2980);
																						}
																						{	/* Module/class.scm 506 */
																							bool_t BgL_res2112z00_3011;

																							{	/* Module/class.scm 506 */
																								obj_t BgL_oclassz00_2997;

																								{	/* Module/class.scm 506 */
																									long BgL_arg1833z00_3003;

																									{	/* Module/class.scm 506 */
																										long BgL_arg1834z00_3004;

																										BgL_arg1834z00_3004 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1825z00_2982);
																										BgL_arg1833z00_3003 =
																											(BgL_arg1834z00_3004 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_2997 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1833z00_3003);
																								}
																								{	/* Module/class.scm 506 */
																									bool_t
																										BgL__ortest_1110z00_2998;
																									BgL__ortest_1110z00_2998 =
																										(BgL_classz00_2980 ==
																										BgL_oclassz00_2997);
																									if (BgL__ortest_1110z00_2998)
																										{	/* Module/class.scm 506 */
																											BgL_res2112z00_3011 =
																												BgL__ortest_1110z00_2998;
																										}
																									else
																										{	/* Module/class.scm 506 */
																											long BgL_odepthz00_2999;

																											BgL_odepthz00_2999 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_2997);
																											if ((((long) 2) <
																													BgL_odepthz00_2999))
																												{	/* Module/class.scm 506 */
																													obj_t
																														BgL_arg1821z00_3001;
																													BgL_arg1821z00_3001 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_2997,
																														((long) 2));
																													BgL_res2112z00_3011 =
																														(BgL_arg1821z00_3001
																														==
																														BgL_classz00_2980);
																												}
																											else
																												{	/* Module/class.scm 506 */
																													BgL_res2112z00_3011 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_arg1823z00_2986 =
																								BgL_res2112z00_3011;
																						}
																						BgL_test2224z00_4436 =
																							BGL_ISA_C_BACKEND
																							(BgL_arg1822z00_2985,
																							BgL_arg1823z00_2986);
																					}
																				}
																			else
																				{	/* Module/class.scm 506 */
																					BgL_test2224z00_4436 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test2224z00_4436)
																			{	/* Module/class.scm 506 */
																				obj_t BgL_arg2019z00_2175;

																				{
																					BgL_jclassz00_bglt BgL_auxz00_4455;

																					{
																						obj_t BgL_auxz00_4456;

																						{	/* Module/class.scm 506 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_4457;
																							BgL_tmpz00_4457 =
																								((BgL_objectz00_bglt) (
																									(BgL_typez00_bglt)
																									BgL_superz00_2130));
																							BgL_auxz00_4456 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_4457);
																						}
																						BgL_auxz00_4455 =
																							((BgL_jclassz00_bglt)
																							BgL_auxz00_4456);
																					}
																					BgL_arg2019z00_2175 =
																						(((BgL_jclassz00_bglt)
																							COBJECT(BgL_auxz00_4455))->
																						BgL_slotsz00);
																				}
																				BgL_test2223z00_4435 =
																					(BgL_arg2019z00_2175 == BUNSPEC);
																			}
																		else
																			{	/* Module/class.scm 506 */
																				BgL_test2223z00_4435 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2223z00_4435)
																		{	/* Module/class.scm 508 */
																			obj_t BgL_arg2011z00_2166;
																			obj_t BgL_arg2012z00_2167;

																			BgL_arg2011z00_2166 =
																				CDR(((obj_t) BgL_curz00_2123));
																			{	/* Module/class.scm 509 */
																				obj_t BgL_arg2013z00_2168;

																				BgL_arg2013z00_2168 =
																					CAR(((obj_t) BgL_curz00_2123));
																				BgL_arg2012z00_2167 =
																					MAKE_YOUNG_PAIR(BgL_arg2013z00_2168,
																					BgL_nextz00_2124);
																			}
																			{
																				obj_t BgL_nextz00_4470;
																				obj_t BgL_curz00_4469;

																				BgL_curz00_4469 = BgL_arg2011z00_2166;
																				BgL_nextz00_4470 = BgL_arg2012z00_2167;
																				BgL_nextz00_2124 = BgL_nextz00_4470;
																				BgL_curz00_2123 = BgL_curz00_4469;
																				goto
																					BgL_zc3z04anonymousza31972ze3z87_2126;
																			}
																		}
																	else
																		{	/* Module/class.scm 513 */
																			obj_t BgL_arg2014z00_2169;
																			obj_t BgL_arg2015z00_2170;

																			BgL_arg2014z00_2169 =
																				CDR(((obj_t) BgL_curz00_2123));
																			{	/* Module/class.scm 515 */
																				obj_t BgL_arg2016z00_2171;

																				{	/* Module/class.scm 515 */
																					obj_t BgL_arg2017z00_2172;

																					{	/* Module/class.scm 515 */
																						obj_t BgL_pairz00_3018;

																						BgL_pairz00_3018 =
																							CAR(((obj_t) BgL_curz00_2123));
																						BgL_arg2017z00_2172 =
																							CDR(BgL_pairz00_3018);
																					}
																					BgL_arg2016z00_2171 =
																						PROCEDURE_ENTRY(BgL_arg2017z00_2172)
																						(BgL_arg2017z00_2172, BEOA);
																				}
																				BgL_arg2015z00_2170 =
																					BGl_appendzd221011zd2zzmodule_classz00
																					(BgL_arg2016z00_2171,
																					BgL_accessz00_2125);
																			}
																			{
																				obj_t BgL_accessz00_4481;
																				obj_t BgL_curz00_4480;

																				BgL_curz00_4480 = BgL_arg2014z00_2169;
																				BgL_accessz00_4481 =
																					BgL_arg2015z00_2170;
																				BgL_accessz00_2125 = BgL_accessz00_4481;
																				BgL_curz00_2123 = BgL_curz00_4480;
																				goto
																					BgL_zc3z04anonymousza31972ze3z87_2126;
																			}
																		}
																}
														}
												}
										}
								}
							}
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_classz00()
	{
		{	/* Module/class.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_classz00()
	{
		{	/* Module/class.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_classz00()
	{
		{	/* Module/class.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_classz00()
	{
		{	/* Module/class.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 478324304),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 184800657),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzast_objectz00(((long) 520121776),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzobject_coercionz00(((long) 208160543),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzobject_classgenz00(((long) 502726840),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
			return
				BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string2118z00zzmodule_classz00));
		}

	}

#ifdef __cplusplus
}
#endif
