/*===========================================================================*/
/*   (Module/foreign.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/foreign.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;


	static obj_t BGl_externzd2parserzd2zzmodule_foreignz00(obj_t, bool_t);
	extern obj_t BGl_declarezd2czd2typez12z12zzforeign_ctypez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_foreignz00 = BUNSPEC;
	static obj_t BGl_z62makezd2foreignzd2compilerz62zzmodule_foreignz00(obj_t);
	static obj_t BGl_parsezd2czd2externzd2typezd2zzmodule_foreignz00(obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_foreignzd2parserzd2zzmodule_foreignz00(obj_t, bool_t);
	extern obj_t BGl_caliasz00zzforeign_ctypez00;
	static obj_t BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00 = BUNSPEC;
	static obj_t BGl_z62foreignzd2finaliza7erz17zzmodule_foreignz00(obj_t);
	static obj_t BGl_externzd2producerzd2zzmodule_foreignz00(obj_t, bool_t);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	static obj_t BGl_toplevelzd2initzd2zzmodule_foreignz00();
	static obj_t BGl_z62zc3z04anonymousza31221ze3ze5zzmodule_foreignz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static bool_t
		BGl_checkzd2czd2foreignzd2typezd2expzf3zf3zzmodule_foreignz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzmodule_foreignz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern BgL_typez00_bglt BGl_declarezd2typez12zc0zztype_envz00(obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	static obj_t BGl_objectzd2initzd2zzmodule_foreignz00();
	extern obj_t BGl_cstructz00zzforeign_ctypez00;
	static obj_t BGl_z62zc3z04anonymousza31223ze3ze5zzmodule_foreignz00(obj_t,
		obj_t);
	static obj_t BGl_z62makezd2externzd2compilerz62zzmodule_foreignz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62zc3z04anonymousza31224ze3ze5zzmodule_foreignz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2externzd2compilerz00zzmodule_foreignz00();
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31225ze3ze5zzmodule_foreignz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzmodule_foreignz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_foreignz00();
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_defaultzd2czd2typez00zzmodule_foreignz00(obj_t, obj_t);
	static obj_t BGl_foreignzd2producerzd2zzmodule_foreignz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t
		BGl_czd2externzd2typezd2ze3czd2foreignzd2typez31zzmodule_foreignz00(obj_t);
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_foreignz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_accessz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_ctypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_checksumz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_z62foreignzd2producerzb0zzmodule_foreignz00(obj_t, obj_t);
	static obj_t BGl_parsezd2czd2foreignzd2typezd2zzmodule_foreignz00(obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2czd2typezd2zztype_cachez00();
	extern obj_t BGl_checkzd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzmodule_foreignz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_foreignz00();
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_foreignz00();
	static obj_t BGl_gczd2rootszd2initz00zzmodule_foreignz00();
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static bool_t BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_foreignzd2accesseszd2addz12z12zzmodule_foreignz00(obj_t);
	extern obj_t
		BGl_makezd2pointerzd2tozd2namezd2zztype_toolsz00(BgL_typez00_bglt);
	extern obj_t
		BGl_makezd2ctypezd2accessesz12z12zzforeign_accessz00(BgL_typez00_bglt,
		BgL_typez00_bglt, obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62foreignzd2accesseszd2addz12z70zzmodule_foreignz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2foreignzd2compilerz00zzmodule_foreignz00();
	extern obj_t BGl_za2includezd2foreignza2zd2zzengine_paramz00;
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t __cnst[22];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_foreignzd2finaliza7erzd2envza7zzmodule_foreignz00,
		BgL_bgl_za762foreignza7d2fin2362z00,
		BGl_z62foreignzd2finaliza7erz17zzmodule_foreignz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2343z00zzmodule_foreignz00,
		BgL_bgl_string2343za700za7za7m2363za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string2344z00zzmodule_foreignz00,
		BgL_bgl_string2344za700za7za7m2364za7, "Illegal `foreign' clause", 24);
	      DEFINE_STRING(BGl_string2345z00zzmodule_foreignz00,
		BgL_bgl_string2345za700za7za7m2365za7, "Illegal `extern' clause", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2339z00zzmodule_foreignz00,
		BgL_bgl_za762za7c3za704anonymo2366za7,
		BGl_z62zc3z04anonymousza31221ze3ze5zzmodule_foreignz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2346z00zzmodule_foreignz00,
		BgL_bgl_string2346za700za7za7m2367za7, "Illegal `include' clause", 24);
	      DEFINE_STRING(BGl_string2347z00zzmodule_foreignz00,
		BgL_bgl_string2347za700za7za7m2368za7, "Illegal foreign form", 20);
	      DEFINE_STRING(BGl_string2348z00zzmodule_foreignz00,
		BgL_bgl_string2348za700za7za7m2369za7, "Illegal `macro' form", 20);
	      DEFINE_STRING(BGl_string2349z00zzmodule_foreignz00,
		BgL_bgl_string2349za700za7za7m2370za7, "Illegal `function' form", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2340z00zzmodule_foreignz00,
		BgL_bgl_za762za7c3za704anonymo2371za7,
		BGl_z62zc3z04anonymousza31223ze3ze5zzmodule_foreignz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2341z00zzmodule_foreignz00,
		BgL_bgl_za762za7c3za704anonymo2372za7,
		BGl_z62zc3z04anonymousza31224ze3ze5zzmodule_foreignz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2342z00zzmodule_foreignz00,
		BgL_bgl_za762za7c3za704anonymo2373za7,
		BGl_z62zc3z04anonymousza31225ze3ze5zzmodule_foreignz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2350z00zzmodule_foreignz00,
		BgL_bgl_string2350za700za7za7m2374za7, "Illegal `variable' form", 23);
	      DEFINE_STRING(BGl_string2351z00zzmodule_foreignz00,
		BgL_bgl_string2351za700za7za7m2375za7, "Illegal extern form", 19);
	      DEFINE_STRING(BGl_string2352z00zzmodule_foreignz00,
		BgL_bgl_string2352za700za7za7m2376za7, "Illegal `C foreign type'", 24);
	      DEFINE_STRING(BGl_string2353z00zzmodule_foreignz00,
		BgL_bgl_string2353za700za7za7m2377za7, "Illegal `C extern type'", 23);
	      DEFINE_STRING(BGl_string2354z00zzmodule_foreignz00,
		BgL_bgl_string2354za700za7za7m2378za7, "Foreign", 7);
	      DEFINE_STRING(BGl_string2355z00zzmodule_foreignz00,
		BgL_bgl_string2355za700za7za7m2379za7,
		"Re-exportation of global variable (ignored)", 43);
	      DEFINE_STRING(BGl_string2356z00zzmodule_foreignz00,
		BgL_bgl_string2356za700za7za7m2380za7, "Unbound global variable \"~a\"",
		28);
	      DEFINE_STRING(BGl_string2357z00zzmodule_foreignz00,
		BgL_bgl_string2357za700za7za7m2381za7, "Unspecified C type, using type",
		30);
	      DEFINE_STRING(BGl_string2358z00zzmodule_foreignz00,
		BgL_bgl_string2358za700za7za7m2382za7, "module_foreign", 14);
	      DEFINE_STRING(BGl_string2359z00zzmodule_foreignz00,
		BgL_bgl_string2359za700za7za7m2383za7,
		"unit make-heap make-add-heap union* struct* array enum function pointer opaque struct union C * macro export type include infix void extern foreign ",
		148);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2externzd2compilerzd2envzd2zzmodule_foreignz00,
		BgL_bgl_za762makeza7d2extern2384z00,
		BGl_z62makezd2externzd2compilerz62zzmodule_foreignz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2foreignzd2compilerzd2envzd2zzmodule_foreignz00,
		BgL_bgl_za762makeza7d2foreig2385z00,
		BGl_z62makezd2foreignzd2compilerz62zzmodule_foreignz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_foreignzd2accesseszd2addz12zd2envzc0zzmodule_foreignz00,
		BgL_bgl_za762foreignza7d2acc2386z00,
		BGl_z62foreignzd2accesseszd2addz12z70zzmodule_foreignz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_foreignzd2producerzd2envz00zzmodule_foreignz00,
		BgL_bgl_za762foreignza7d2pro2387z00,
		BGl_z62foreignzd2producerzb0zzmodule_foreignz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzmodule_foreignz00));
		     ADD_ROOT((void
				*) (&BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00));
		     ADD_ROOT((void
				*) (&BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzmodule_foreignz00(long
		BgL_checksumz00_3009, char *BgL_fromz00_3010)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_foreignz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_foreignz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzmodule_foreignz00();
					BGl_libraryzd2moduleszd2initz00zzmodule_foreignz00();
					BGl_cnstzd2initzd2zzmodule_foreignz00();
					BGl_importedzd2moduleszd2initz00zzmodule_foreignz00();
					return BGl_toplevelzd2initzd2zzmodule_foreignz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_foreignz00()
	{
		{	/* Module/foreign.scm 18 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"module_foreign");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_foreignz00()
	{
		{	/* Module/foreign.scm 18 */
			{	/* Module/foreign.scm 18 */
				obj_t BgL_cportz00_2962;

				{	/* Module/foreign.scm 18 */
					obj_t BgL_stringz00_2970;

					BgL_stringz00_2970 = BGl_string2359z00zzmodule_foreignz00;
					{	/* Module/foreign.scm 18 */
						obj_t BgL_startz00_2971;

						BgL_startz00_2971 = BINT(((long) 0));
						{	/* Module/foreign.scm 18 */
							obj_t BgL_endz00_2972;

							BgL_endz00_2972 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2970)));
							{	/* Module/foreign.scm 18 */

								BgL_cportz00_2962 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2970, BgL_startz00_2971, BgL_endz00_2972);
				}}}}
				{
					long BgL_iz00_2963;

					BgL_iz00_2963 = ((long) 21);
				BgL_loopz00_2964:
					if ((BgL_iz00_2963 == ((long) -1)))
						{	/* Module/foreign.scm 18 */
							return BUNSPEC;
						}
					else
						{	/* Module/foreign.scm 18 */
							{	/* Module/foreign.scm 18 */
								obj_t BgL_arg2361z00_2966;

								{	/* Module/foreign.scm 18 */

									{	/* Module/foreign.scm 18 */
										obj_t BgL_locationz00_2968;

										BgL_locationz00_2968 = BBOOL(((bool_t) 0));
										{	/* Module/foreign.scm 18 */

											BgL_arg2361z00_2966 =
												BGl_readz00zz__readerz00(BgL_cportz00_2962,
												BgL_locationz00_2968);
										}
									}
								}
								{	/* Module/foreign.scm 18 */
									int BgL_tmpz00_3040;

									BgL_tmpz00_3040 = (int) (BgL_iz00_2963);
									CNST_TABLE_SET(BgL_tmpz00_3040, BgL_arg2361z00_2966);
							}}
							{	/* Module/foreign.scm 18 */
								int BgL_auxz00_2969;

								BgL_auxz00_2969 = (int) ((BgL_iz00_2963 - ((long) 1)));
								{
									long BgL_iz00_3045;

									BgL_iz00_3045 = (long) (BgL_auxz00_2969);
									BgL_iz00_2963 = BgL_iz00_3045;
									goto BgL_loopz00_2964;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzmodule_foreignz00()
	{
		{	/* Module/foreign.scm 18 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_foreignz00()
	{
		{	/* Module/foreign.scm 18 */
			BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00 = BNIL;
			return (BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00 =
				BNIL, BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzmodule_foreignz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1017;

				BgL_headz00_1017 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1018;
					obj_t BgL_tailz00_1019;

					BgL_prevz00_1018 = BgL_headz00_1017;
					BgL_tailz00_1019 = BgL_l1z00_1;
				BgL_loopz00_1020:
					if (PAIRP(BgL_tailz00_1019))
						{
							obj_t BgL_newzd2prevzd2_1022;

							BgL_newzd2prevzd2_1022 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1019), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1018, BgL_newzd2prevzd2_1022);
							{
								obj_t BgL_tailz00_3055;
								obj_t BgL_prevz00_3054;

								BgL_prevz00_3054 = BgL_newzd2prevzd2_1022;
								BgL_tailz00_3055 = CDR(BgL_tailz00_1019);
								BgL_tailz00_1019 = BgL_tailz00_3055;
								BgL_prevz00_1018 = BgL_prevz00_3054;
								goto BgL_loopz00_1020;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1017);
				}
			}
		}

	}



/* make-foreign-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2foreignzd2compilerz00zzmodule_foreignz00()
	{
		{	/* Module/foreign.scm 45 */
			{	/* Module/foreign.scm 46 */
				BgL_ccompz00_bglt BgL_new1073z00_1039;

				{	/* Module/foreign.scm 47 */
					BgL_ccompz00_bglt BgL_new1072z00_1043;

					BgL_new1072z00_1043 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/foreign.scm 47 */
						long BgL_arg1222z00_1044;

						BgL_arg1222z00_1044 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1072z00_1043), BgL_arg1222z00_1044);
					}
					BgL_new1073z00_1039 = BgL_new1072z00_1043;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1073z00_1039))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1073z00_1039))->BgL_producerz00) =
					((obj_t) BGl_foreignzd2producerzd2envz00zzmodule_foreignz00),
					BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1073z00_1039))->BgL_consumerz00) =
					((obj_t) BGl_proc2339z00zzmodule_foreignz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1073z00_1039))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_foreignzd2finaliza7erzd2envza7zzmodule_foreignz00),
					BUNSPEC);
				return ((obj_t) BgL_new1073z00_1039);
			}
		}

	}



/* &make-foreign-compiler */
	obj_t BGl_z62makezd2foreignzd2compilerz62zzmodule_foreignz00(obj_t
		BgL_envz00_2937)
	{
		{	/* Module/foreign.scm 45 */
			return BGl_makezd2foreignzd2compilerz00zzmodule_foreignz00();
		}

	}



/* &<@anonymous:1221> */
	obj_t BGl_z62zc3z04anonymousza31221ze3ze5zzmodule_foreignz00(obj_t
		BgL_envz00_2938, obj_t BgL_mz00_2939, obj_t BgL_cz00_2940)
	{
		{	/* Module/foreign.scm 49 */
			return BGl_foreignzd2producerzd2zzmodule_foreignz00(BgL_cz00_2940);
		}

	}



/* make-extern-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2externzd2compilerz00zzmodule_foreignz00()
	{
		{	/* Module/foreign.scm 55 */
			{	/* Module/foreign.scm 56 */
				BgL_ccompz00_bglt BgL_new1075z00_1045;

				{	/* Module/foreign.scm 57 */
					BgL_ccompz00_bglt BgL_new1074z00_1052;

					BgL_new1074z00_1052 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/foreign.scm 57 */
						long BgL_arg1232z00_1053;

						BgL_arg1232z00_1053 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1074z00_1052), BgL_arg1232z00_1053);
					}
					BgL_new1075z00_1045 = BgL_new1074z00_1052;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1075z00_1045))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1075z00_1045))->BgL_producerz00) =
					((obj_t) BGl_proc2340z00zzmodule_foreignz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1075z00_1045))->BgL_consumerz00) =
					((obj_t) BGl_proc2341z00zzmodule_foreignz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1075z00_1045))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_proc2342z00zzmodule_foreignz00), BUNSPEC);
				return ((obj_t) BgL_new1075z00_1045);
			}
		}

	}



/* &make-extern-compiler */
	obj_t BGl_z62makezd2externzd2compilerz62zzmodule_foreignz00(obj_t
		BgL_envz00_2947)
	{
		{	/* Module/foreign.scm 55 */
			return BGl_makezd2externzd2compilerz00zzmodule_foreignz00();
		}

	}



/* &<@anonymous:1225> */
	obj_t BGl_z62zc3z04anonymousza31225ze3ze5zzmodule_foreignz00(obj_t
		BgL_envz00_2948)
	{
		{	/* Module/module.scm 55 */
			return CNST_TABLE_REF(((long) 2));
		}

	}



/* &<@anonymous:1224> */
	obj_t BGl_z62zc3z04anonymousza31224ze3ze5zzmodule_foreignz00(obj_t
		BgL_envz00_2949, obj_t BgL_mz00_2950, obj_t BgL_cz00_2951)
	{
		{	/* Module/foreign.scm 59 */
			return
				BGl_externzd2producerzd2zzmodule_foreignz00(BgL_cz00_2951,
				((bool_t) 0));
		}

	}



/* &<@anonymous:1223> */
	obj_t BGl_z62zc3z04anonymousza31223ze3ze5zzmodule_foreignz00(obj_t
		BgL_envz00_2952, obj_t BgL_cz00_2953)
	{
		{	/* Module/foreign.scm 58 */
			return
				BGl_externzd2producerzd2zzmodule_foreignz00(BgL_cz00_2953,
				((bool_t) 1));
		}

	}



/* foreign-producer */
	obj_t BGl_foreignzd2producerzd2zzmodule_foreignz00(obj_t BgL_clausez00_25)
	{
		{	/* Module/foreign.scm 64 */
			{	/* Module/foreign.scm 65 */
				bool_t BgL_test2391z00_3084;

				{	/* Module/foreign.scm 65 */
					obj_t BgL_arg1245z00_1071;

					{	/* Module/foreign.scm 65 */
						obj_t BgL_arg1246z00_1072;

						BgL_arg1246z00_1072 = BGl_thezd2backendzd2zzbackend_backendz00();
						BgL_arg1245z00_1071 =
							(((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_arg1246z00_1072)))->
							BgL_foreignzd2clausezd2supportz00);
					}
					BgL_test2391z00_3084 =
						CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF((
									(long) 0)), BgL_arg1245z00_1071));
				}
				if (BgL_test2391z00_3084)
					{
						obj_t BgL_protosz00_1057;

						if (PAIRP(BgL_clausez00_25))
							{	/* Module/foreign.scm 66 */
								BgL_protosz00_1057 = CDR(BgL_clausez00_25);
								{
									obj_t BgL_l1196z00_1064;

									BgL_l1196z00_1064 = BgL_protosz00_1057;
								BgL_zc3z04anonymousza31241ze3z87_1065:
									if (PAIRP(BgL_l1196z00_1064))
										{	/* Module/foreign.scm 68 */
											BGl_foreignzd2parserzd2zzmodule_foreignz00(CAR
												(BgL_l1196z00_1064), ((bool_t) 1));
											{
												obj_t BgL_l1196z00_3097;

												BgL_l1196z00_3097 = CDR(BgL_l1196z00_1064);
												BgL_l1196z00_1064 = BgL_l1196z00_3097;
												goto BgL_zc3z04anonymousza31241ze3z87_1065;
											}
										}
									else
										{	/* Module/foreign.scm 68 */
											((bool_t) 1);
										}
								}
								return BNIL;
							}
						else
							{	/* Module/foreign.scm 66 */
								{	/* Module/foreign.scm 71 */
									obj_t BgL_list1244z00_1070;

									BgL_list1244z00_1070 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzd2zztools_errorz00
										(BGl_string2343z00zzmodule_foreignz00,
										BGl_string2344z00zzmodule_foreignz00, BgL_clausez00_25,
										BgL_list1244z00_1070);
								}
							}
					}
				else
					{	/* Module/foreign.scm 65 */
						return BNIL;
					}
			}
		}

	}



/* &foreign-producer */
	obj_t BGl_z62foreignzd2producerzb0zzmodule_foreignz00(obj_t BgL_envz00_2941,
		obj_t BgL_clausez00_2942)
	{
		{	/* Module/foreign.scm 64 */
			return BGl_foreignzd2producerzd2zzmodule_foreignz00(BgL_clausez00_2942);
		}

	}



/* extern-producer */
	obj_t BGl_externzd2producerzd2zzmodule_foreignz00(obj_t BgL_clausez00_26,
		bool_t BgL_exportpz00_27)
	{
		{	/* Module/foreign.scm 80 */
			{	/* Module/foreign.scm 81 */
				bool_t BgL_test2394z00_3103;

				{	/* Module/foreign.scm 81 */
					obj_t BgL_arg1261z00_1090;

					{	/* Module/foreign.scm 81 */
						obj_t BgL_arg1265z00_1091;

						BgL_arg1265z00_1091 = BGl_thezd2backendzd2zzbackend_backendz00();
						BgL_arg1261z00_1090 =
							(((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_arg1265z00_1091)))->
							BgL_foreignzd2clausezd2supportz00);
					}
					BgL_test2394z00_3103 =
						CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF((
									(long) 1)), BgL_arg1261z00_1090));
				}
				if (BgL_test2394z00_3103)
					{
						obj_t BgL_protosz00_1076;

						if (PAIRP(BgL_clausez00_26))
							{	/* Module/foreign.scm 82 */
								BgL_protosz00_1076 = CDR(BgL_clausez00_26);
								{
									obj_t BgL_l1198z00_1083;

									BgL_l1198z00_1083 = BgL_protosz00_1076;
								BgL_zc3z04anonymousza31257ze3z87_1084:
									if (PAIRP(BgL_l1198z00_1083))
										{	/* Module/foreign.scm 84 */
											BGl_externzd2parserzd2zzmodule_foreignz00(CAR
												(BgL_l1198z00_1083), BgL_exportpz00_27);
											{
												obj_t BgL_l1198z00_3116;

												BgL_l1198z00_3116 = CDR(BgL_l1198z00_1083);
												BgL_l1198z00_1083 = BgL_l1198z00_3116;
												goto BgL_zc3z04anonymousza31257ze3z87_1084;
											}
										}
									else
										{	/* Module/foreign.scm 84 */
											((bool_t) 1);
										}
								}
								return BNIL;
							}
						else
							{	/* Module/foreign.scm 82 */
								{	/* Module/foreign.scm 87 */
									obj_t BgL_list1260z00_1089;

									BgL_list1260z00_1089 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzd2zztools_errorz00
										(BGl_string2343z00zzmodule_foreignz00,
										BGl_string2345z00zzmodule_foreignz00, BgL_clausez00_26,
										BgL_list1260z00_1089);
								}
							}
					}
				else
					{	/* Module/foreign.scm 81 */
						return BNIL;
					}
			}
		}

	}



/* check-c-args? */
	bool_t BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(obj_t BgL_protoz00_28)
	{
		{	/* Module/foreign.scm 96 */
			{
				obj_t BgL_protoz00_1093;

				BgL_protoz00_1093 = BgL_protoz00_28;
			BgL_zc3z04anonymousza31266ze3z87_1094:
				if (NULLP(BgL_protoz00_1093))
					{	/* Module/foreign.scm 99 */
						return ((bool_t) 1);
					}
				else
					{	/* Module/foreign.scm 99 */
						if (SYMBOLP(BgL_protoz00_1093))
							{	/* Module/foreign.scm 101 */
								return ((bool_t) 1);
							}
						else
							{	/* Module/foreign.scm 101 */
								if (PAIRP(BgL_protoz00_1093))
									{	/* Module/foreign.scm 105 */
										bool_t BgL_test2400z00_3127;

										{	/* Module/foreign.scm 105 */
											obj_t BgL_tmpz00_3128;

											BgL_tmpz00_3128 = CAR(BgL_protoz00_1093);
											BgL_test2400z00_3127 = SYMBOLP(BgL_tmpz00_3128);
										}
										if (BgL_test2400z00_3127)
											{
												obj_t BgL_protoz00_3131;

												BgL_protoz00_3131 = CDR(BgL_protoz00_1093);
												BgL_protoz00_1093 = BgL_protoz00_3131;
												goto BgL_zc3z04anonymousza31266ze3z87_1094;
											}
										else
											{	/* Module/foreign.scm 105 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Module/foreign.scm 103 */
										return ((bool_t) 0);
									}
							}
					}
			}
		}

	}



/* foreign-parser */
	obj_t BGl_foreignzd2parserzd2zzmodule_foreignz00(obj_t BgL_foreignz00_29,
		bool_t BgL_exportpz00_30)
	{
		{	/* Module/foreign.scm 113 */
			{
				obj_t BgL_typez00_1125;
				obj_t BgL_lzd2namezd2_1126;
				obj_t BgL_czd2namezd2_1127;
				obj_t BgL_typez00_1120;
				obj_t BgL_lzd2namezd2_1121;
				obj_t BgL_protoz00_1122;
				obj_t BgL_czd2namezd2_1123;
				obj_t BgL_typez00_1115;
				obj_t BgL_lzd2namezd2_1116;
				obj_t BgL_czd2namezd2_1117;
				obj_t BgL_typez00_1110;
				obj_t BgL_lzd2namezd2_1111;
				obj_t BgL_protoz00_1112;
				obj_t BgL_czd2namezd2_1113;
				obj_t BgL_stringz00_1103;

				if (PAIRP(BgL_foreignz00_29))
					{	/* Module/foreign.scm 115 */
						obj_t BgL_cdrzd2395zd2_1132;

						BgL_cdrzd2395zd2_1132 = CDR(BgL_foreignz00_29);
						if ((CAR(BgL_foreignz00_29) == CNST_TABLE_REF(((long) 4))))
							{	/* Module/foreign.scm 115 */
								if (PAIRP(BgL_cdrzd2395zd2_1132))
									{	/* Module/foreign.scm 115 */
										if (NULLP(CDR(BgL_cdrzd2395zd2_1132)))
											{	/* Module/foreign.scm 115 */
												BgL_stringz00_1103 = CAR(BgL_cdrzd2395zd2_1132);
												if (STRINGP(BgL_stringz00_1103))
													{	/* Module/foreign.scm 117 */
														if (CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
																(BgL_stringz00_1103,
																	BGl_za2includezd2foreignza2zd2zzengine_paramz00)))
															{	/* Module/foreign.scm 119 */
																return BFALSE;
															}
														else
															{	/* Module/foreign.scm 119 */
																return
																	(BGl_za2includezd2foreignza2zd2zzengine_paramz00
																	=
																	MAKE_YOUNG_PAIR(BgL_stringz00_1103,
																		BGl_za2includezd2foreignza2zd2zzengine_paramz00),
																	BUNSPEC);
															}
													}
												else
													{	/* Module/foreign.scm 118 */
														obj_t BgL_list1585z00_1269;

														BgL_list1585z00_1269 = MAKE_YOUNG_PAIR(BNIL, BNIL);
														return
															BGl_userzd2errorzd2zztools_errorz00
															(BGl_string2343z00zzmodule_foreignz00,
															BGl_string2346z00zzmodule_foreignz00,
															BgL_foreignz00_29, BgL_list1585z00_1269);
													}
											}
										else
											{	/* Module/foreign.scm 115 */
											BgL_tagzd2378zd2_1109:
												{	/* Module/foreign.scm 128 */
													obj_t BgL_list1587z00_1271;

													BgL_list1587z00_1271 = MAKE_YOUNG_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzd2zztools_errorz00
														(BGl_string2343z00zzmodule_foreignz00,
														BGl_string2347z00zzmodule_foreignz00,
														BgL_foreignz00_29, BgL_list1587z00_1271);
												}
											}
									}
								else
									{	/* Module/foreign.scm 115 */
										goto BgL_tagzd2378zd2_1109;
									}
							}
						else
							{	/* Module/foreign.scm 115 */
								if ((CAR(BgL_foreignz00_29) == CNST_TABLE_REF(((long) 5))))
									{	/* Module/foreign.scm 115 */
										return
											BGl_parsezd2czd2foreignzd2typezd2zzmodule_foreignz00
											(BgL_foreignz00_29);
									}
								else
									{	/* Module/foreign.scm 115 */
										if ((CAR(BgL_foreignz00_29) == CNST_TABLE_REF(((long) 6))))
											{	/* Module/foreign.scm 115 */
												if (PAIRP(BgL_cdrzd2395zd2_1132))
													{	/* Module/foreign.scm 115 */
														obj_t BgL_carzd2456zd2_1146;
														obj_t BgL_cdrzd2457zd2_1147;

														BgL_carzd2456zd2_1146 = CAR(BgL_cdrzd2395zd2_1132);
														BgL_cdrzd2457zd2_1147 = CDR(BgL_cdrzd2395zd2_1132);
														if (SYMBOLP(BgL_carzd2456zd2_1146))
															{	/* Module/foreign.scm 115 */
																if (PAIRP(BgL_cdrzd2457zd2_1147))
																	{	/* Module/foreign.scm 115 */
																		obj_t BgL_carzd2462zd2_1150;

																		BgL_carzd2462zd2_1150 =
																			CAR(BgL_cdrzd2457zd2_1147);
																		if (STRINGP(BgL_carzd2462zd2_1150))
																			{	/* Module/foreign.scm 115 */
																				if (NULLP(CDR(BgL_cdrzd2457zd2_1147)))
																					{	/* Module/foreign.scm 125 */
																						obj_t BgL_arg1586z00_2290;

																						BgL_arg1586z00_2290 =
																							MAKE_YOUNG_PAIR(BgL_foreignz00_29,
																							BBOOL(BgL_exportpz00_30));
																						return
																							(BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00
																							=
																							MAKE_YOUNG_PAIR
																							(BgL_arg1586z00_2290,
																								BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00),
																							BUNSPEC);
																					}
																				else
																					{	/* Module/foreign.scm 115 */
																						goto BgL_tagzd2378zd2_1109;
																					}
																			}
																		else
																			{	/* Module/foreign.scm 115 */
																				goto BgL_tagzd2378zd2_1109;
																			}
																	}
																else
																	{	/* Module/foreign.scm 115 */
																		goto BgL_tagzd2378zd2_1109;
																	}
															}
														else
															{	/* Module/foreign.scm 115 */
																goto BgL_tagzd2378zd2_1109;
															}
													}
												else
													{	/* Module/foreign.scm 115 */
														goto BgL_tagzd2378zd2_1109;
													}
											}
										else
											{	/* Module/foreign.scm 115 */
												obj_t BgL_cdrzd2509zd2_1155;

												BgL_cdrzd2509zd2_1155 = CDR(BgL_foreignz00_29);
												if (
													(CAR(BgL_foreignz00_29) ==
														CNST_TABLE_REF(((long) 7))))
													{	/* Module/foreign.scm 115 */
														if (PAIRP(BgL_cdrzd2509zd2_1155))
															{	/* Module/foreign.scm 115 */
																obj_t BgL_cdrzd2515zd2_1159;

																BgL_cdrzd2515zd2_1159 =
																	CDR(BgL_cdrzd2509zd2_1155);
																if (PAIRP(BgL_cdrzd2515zd2_1159))
																	{	/* Module/foreign.scm 115 */
																		obj_t BgL_cdrzd2521zd2_1161;

																		BgL_cdrzd2521zd2_1161 =
																			CDR(BgL_cdrzd2515zd2_1159);
																		if (PAIRP(BgL_cdrzd2521zd2_1161))
																			{	/* Module/foreign.scm 115 */
																				obj_t BgL_cdrzd2526zd2_1163;

																				BgL_cdrzd2526zd2_1163 =
																					CDR(BgL_cdrzd2521zd2_1161);
																				if (PAIRP(BgL_cdrzd2526zd2_1163))
																					{	/* Module/foreign.scm 115 */
																						if (NULLP(CDR
																								(BgL_cdrzd2526zd2_1163)))
																							{	/* Module/foreign.scm 115 */
																								BgL_typez00_1110 =
																									CAR(BgL_cdrzd2509zd2_1155);
																								BgL_lzd2namezd2_1111 =
																									CAR(BgL_cdrzd2515zd2_1159);
																								BgL_protoz00_1112 =
																									CAR(BgL_cdrzd2521zd2_1161);
																								BgL_czd2namezd2_1113 =
																									CAR(BgL_cdrzd2526zd2_1163);
																							BgL_tagzd2379zd2_1114:
																								{	/* Module/foreign.scm 131 */
																									bool_t BgL_test2420z00_3201;

																									if (STRINGP
																										(BgL_czd2namezd2_1113))
																										{	/* Module/foreign.scm 131 */
																											if (SYMBOLP
																												(BgL_typez00_1110))
																												{	/* Module/foreign.scm 132 */
																													if (SYMBOLP
																														(BgL_lzd2namezd2_1111))
																														{	/* Module/foreign.scm 133 */
																															BgL_test2420z00_3201
																																=
																																BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00
																																(BgL_protoz00_1112);
																														}
																													else
																														{	/* Module/foreign.scm 133 */
																															BgL_test2420z00_3201
																																= ((bool_t) 0);
																														}
																												}
																											else
																												{	/* Module/foreign.scm 132 */
																													BgL_test2420z00_3201 =
																														((bool_t) 0);
																												}
																										}
																									else
																										{	/* Module/foreign.scm 131 */
																											BgL_test2420z00_3201 =
																												((bool_t) 0);
																										}
																									if (BgL_test2420z00_3201)
																										{	/* Module/foreign.scm 137 */
																											bool_t
																												BgL_arg1595z00_1276;
																											BgL_arg1595z00_1276 =
																												(CAR(((obj_t)
																														BgL_foreignz00_29))
																												==
																												CNST_TABLE_REF(((long)
																														3)));
																											return ((obj_t)
																												BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2
																												(BgL_lzd2namezd2_1111,
																													BFALSE,
																													CNST_TABLE_REF(((long)
																															0)),
																													BgL_czd2namezd2_1113,
																													BgL_typez00_1110,
																													BgL_protoz00_1112,
																													BgL_arg1595z00_1276,
																													((bool_t) 1),
																													BgL_foreignz00_29,
																													BgL_foreignz00_29));
																										}
																									else
																										{	/* Module/foreign.scm 135 */
																											obj_t
																												BgL_list1598z00_1278;
																											BgL_list1598z00_1278 =
																												MAKE_YOUNG_PAIR(BNIL,
																												BNIL);
																											return
																												BGl_userzd2errorzd2zztools_errorz00
																												(BGl_string2343z00zzmodule_foreignz00,
																												BGl_string2348z00zzmodule_foreignz00,
																												BgL_foreignz00_29,
																												BgL_list1598z00_1278);
																										}
																								}
																							}
																						else
																							{	/* Module/foreign.scm 115 */
																							BgL_tagzd2381zd2_1119:
																								{	/* Module/foreign.scm 145 */
																									obj_t BgL_list1605z00_1288;

																									BgL_list1605z00_1288 =
																										MAKE_YOUNG_PAIR(BNIL, BNIL);
																									return
																										BGl_userzd2errorzd2zztools_errorz00
																										(BGl_string2343z00zzmodule_foreignz00,
																										BGl_string2347z00zzmodule_foreignz00,
																										BgL_foreignz00_29,
																										BgL_list1605z00_1288);
																								}
																							}
																					}
																				else
																					{	/* Module/foreign.scm 115 */
																						obj_t BgL_cdrzd2573zd2_1173;

																						BgL_cdrzd2573zd2_1173 =
																							CDR(
																							((obj_t) BgL_cdrzd2509zd2_1155));
																						{	/* Module/foreign.scm 115 */
																							obj_t BgL_cdrzd2581zd2_1174;

																							BgL_cdrzd2581zd2_1174 =
																								CDR(
																								((obj_t)
																									BgL_cdrzd2573zd2_1173));
																							if (NULLP(CDR(((obj_t)
																											BgL_cdrzd2581zd2_1174))))
																								{	/* Module/foreign.scm 115 */
																									obj_t BgL_arg1328z00_1177;
																									obj_t BgL_arg1331z00_1178;
																									obj_t BgL_arg1332z00_1179;

																									BgL_arg1328z00_1177 =
																										CAR(
																										((obj_t)
																											BgL_cdrzd2509zd2_1155));
																									BgL_arg1331z00_1178 =
																										CAR(((obj_t)
																											BgL_cdrzd2573zd2_1173));
																									BgL_arg1332z00_1179 =
																										CAR(((obj_t)
																											BgL_cdrzd2581zd2_1174));
																									BgL_typez00_1115 =
																										BgL_arg1328z00_1177;
																									BgL_lzd2namezd2_1116 =
																										BgL_arg1331z00_1178;
																									BgL_czd2namezd2_1117 =
																										BgL_arg1332z00_1179;
																									{	/* Module/foreign.scm 139 */
																										bool_t BgL_test2425z00_3238;

																										if (STRINGP
																											(BgL_czd2namezd2_1117))
																											{	/* Module/foreign.scm 139 */
																												if (SYMBOLP
																													(BgL_typez00_1115))
																													{	/* Module/foreign.scm 140 */
																														BgL_test2425z00_3238
																															=
																															SYMBOLP
																															(BgL_lzd2namezd2_1116);
																													}
																												else
																													{	/* Module/foreign.scm 140 */
																														BgL_test2425z00_3238
																															= ((bool_t) 0);
																													}
																											}
																										else
																											{	/* Module/foreign.scm 139 */
																												BgL_test2425z00_3238 =
																													((bool_t) 0);
																											}
																										if (BgL_test2425z00_3238)
																											{	/* Module/foreign.scm 139 */
																												return
																													((obj_t)
																													BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2
																													(BgL_lzd2namezd2_1116,
																														BFALSE,
																														BgL_czd2namezd2_1117,
																														BgL_typez00_1115,
																														((bool_t) 1),
																														BgL_foreignz00_29,
																														BgL_foreignz00_29));
																											}
																										else
																											{	/* Module/foreign.scm 142 */
																												obj_t
																													BgL_list1604z00_1285;
																												BgL_list1604z00_1285 =
																													MAKE_YOUNG_PAIR(BNIL,
																													BNIL);
																												return
																													BGl_userzd2errorzd2zztools_errorz00
																													(BGl_string2343z00zzmodule_foreignz00,
																													BGl_string2348z00zzmodule_foreignz00,
																													BgL_foreignz00_29,
																													BgL_list1604z00_1285);
																											}
																									}
																								}
																							else
																								{	/* Module/foreign.scm 115 */
																									goto BgL_tagzd2381zd2_1119;
																								}
																						}
																					}
																			}
																		else
																			{	/* Module/foreign.scm 115 */
																				goto BgL_tagzd2381zd2_1119;
																			}
																	}
																else
																	{	/* Module/foreign.scm 115 */
																		goto BgL_tagzd2381zd2_1119;
																	}
															}
														else
															{	/* Module/foreign.scm 115 */
																goto BgL_tagzd2381zd2_1119;
															}
													}
												else
													{	/* Module/foreign.scm 115 */
														if (
															(CAR(BgL_foreignz00_29) ==
																CNST_TABLE_REF(((long) 3))))
															{	/* Module/foreign.scm 115 */
																if (PAIRP(BgL_cdrzd2509zd2_1155))
																	{	/* Module/foreign.scm 115 */
																		obj_t BgL_cdrzd2653zd2_1185;

																		BgL_cdrzd2653zd2_1185 =
																			CDR(BgL_cdrzd2509zd2_1155);
																		if (
																			(CAR(BgL_cdrzd2509zd2_1155) ==
																				CNST_TABLE_REF(((long) 7))))
																			{	/* Module/foreign.scm 115 */
																				if (PAIRP(BgL_cdrzd2653zd2_1185))
																					{	/* Module/foreign.scm 115 */
																						obj_t BgL_cdrzd2659zd2_1189;

																						BgL_cdrzd2659zd2_1189 =
																							CDR(BgL_cdrzd2653zd2_1185);
																						if (PAIRP(BgL_cdrzd2659zd2_1189))
																							{	/* Module/foreign.scm 115 */
																								obj_t BgL_cdrzd2665zd2_1191;

																								BgL_cdrzd2665zd2_1191 =
																									CDR(BgL_cdrzd2659zd2_1189);
																								if (PAIRP
																									(BgL_cdrzd2665zd2_1191))
																									{	/* Module/foreign.scm 115 */
																										obj_t BgL_cdrzd2670zd2_1193;

																										BgL_cdrzd2670zd2_1193 =
																											CDR
																											(BgL_cdrzd2665zd2_1191);
																										if (PAIRP
																											(BgL_cdrzd2670zd2_1193))
																											{	/* Module/foreign.scm 115 */
																												if (NULLP(CDR
																														(BgL_cdrzd2670zd2_1193)))
																													{
																														obj_t
																															BgL_czd2namezd2_3279;
																														obj_t
																															BgL_protoz00_3277;
																														obj_t
																															BgL_lzd2namezd2_3275;
																														obj_t
																															BgL_typez00_3273;
																														BgL_typez00_3273 =
																															CAR
																															(BgL_cdrzd2653zd2_1185);
																														BgL_lzd2namezd2_3275
																															=
																															CAR
																															(BgL_cdrzd2659zd2_1189);
																														BgL_protoz00_3277 =
																															CAR
																															(BgL_cdrzd2665zd2_1191);
																														BgL_czd2namezd2_3279
																															=
																															CAR
																															(BgL_cdrzd2670zd2_1193);
																														BgL_czd2namezd2_1113
																															=
																															BgL_czd2namezd2_3279;
																														BgL_protoz00_1112 =
																															BgL_protoz00_3277;
																														BgL_lzd2namezd2_1111
																															=
																															BgL_lzd2namezd2_3275;
																														BgL_typez00_1110 =
																															BgL_typez00_3273;
																														goto
																															BgL_tagzd2379zd2_1114;
																													}
																												else
																													{	/* Module/foreign.scm 115 */
																													BgL_tagzd2384zd2_1129:
																														{	/* Module/foreign.scm 161 */
																															obj_t
																																BgL_list1616z00_1303;
																															BgL_list1616z00_1303
																																=
																																MAKE_YOUNG_PAIR
																																(BNIL, BNIL);
																															return
																																BGl_userzd2errorzd2zztools_errorz00
																																(BGl_string2343z00zzmodule_foreignz00,
																																BGl_string2347z00zzmodule_foreignz00,
																																BgL_foreignz00_29,
																																BgL_list1616z00_1303);
																														}
																													}
																											}
																										else
																											{	/* Module/foreign.scm 115 */
																												goto
																													BgL_tagzd2384zd2_1129;
																											}
																									}
																								else
																									{	/* Module/foreign.scm 115 */
																										obj_t BgL_cdrzd2754zd2_1202;

																										BgL_cdrzd2754zd2_1202 =
																											CDR(BgL_foreignz00_29);
																										{	/* Module/foreign.scm 115 */
																											obj_t
																												BgL_cdrzd2762zd2_1203;
																											BgL_cdrzd2762zd2_1203 =
																												CDR(((obj_t)
																													BgL_cdrzd2754zd2_1202));
																											{	/* Module/foreign.scm 115 */
																												obj_t
																													BgL_cdrzd2769zd2_1204;
																												BgL_cdrzd2769zd2_1204 =
																													CDR(((obj_t)
																														BgL_cdrzd2762zd2_1203));
																												if (NULLP(CDR(((obj_t)
																																BgL_cdrzd2769zd2_1204))))
																													{	/* Module/foreign.scm 115 */
																														obj_t
																															BgL_arg1366z00_1207;
																														obj_t
																															BgL_arg1367z00_1208;
																														obj_t
																															BgL_arg1369z00_1209;
																														obj_t
																															BgL_arg1370z00_1210;
																														BgL_arg1366z00_1207
																															=
																															CAR
																															(BgL_foreignz00_29);
																														BgL_arg1367z00_1208
																															=
																															CAR(((obj_t)
																																BgL_cdrzd2754zd2_1202));
																														BgL_arg1369z00_1209
																															=
																															CAR(((obj_t)
																																BgL_cdrzd2762zd2_1203));
																														BgL_arg1370z00_1210
																															=
																															CAR(((obj_t)
																																BgL_cdrzd2769zd2_1204));
																														BgL_typez00_1120 =
																															BgL_arg1366z00_1207;
																														BgL_lzd2namezd2_1121
																															=
																															BgL_arg1367z00_1208;
																														BgL_protoz00_1122 =
																															BgL_arg1369z00_1209;
																														BgL_czd2namezd2_1123
																															=
																															BgL_arg1370z00_1210;
																													BgL_tagzd2382zd2_1124:
																														{	/* Module/foreign.scm 147 */
																															bool_t
																																BgL_test2437z00_3299;
																															if (STRINGP
																																(BgL_czd2namezd2_1123))
																																{	/* Module/foreign.scm 147 */
																																	if (SYMBOLP
																																		(BgL_typez00_1120))
																																		{	/* Module/foreign.scm 148 */
																																			if (SYMBOLP(BgL_lzd2namezd2_1121))
																																				{	/* Module/foreign.scm 149 */
																																					BgL_test2437z00_3299
																																						=
																																						BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00
																																						(BgL_protoz00_1122);
																																				}
																																			else
																																				{	/* Module/foreign.scm 149 */
																																					BgL_test2437z00_3299
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																	else
																																		{	/* Module/foreign.scm 148 */
																																			BgL_test2437z00_3299
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																															else
																																{	/* Module/foreign.scm 147 */
																																	BgL_test2437z00_3299
																																		=
																																		((bool_t)
																																		0);
																																}
																															if (BgL_test2437z00_3299)
																																{	/* Module/foreign.scm 147 */
																																	return
																																		((obj_t)
																																		BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2
																																		(BgL_lzd2namezd2_1121,
																																			BFALSE,
																																			CNST_TABLE_REF
																																			(((long)
																																					0)),
																																			BgL_czd2namezd2_1123,
																																			BgL_typez00_1120,
																																			BgL_protoz00_1122,
																																			((bool_t)
																																				0),
																																			((bool_t)
																																				0),
																																			BgL_foreignz00_29,
																																			BgL_foreignz00_29));
																																}
																															else
																																{	/* Module/foreign.scm 151 */
																																	obj_t
																																		BgL_list1610z00_1293;
																																	BgL_list1610z00_1293
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BNIL,
																																		BNIL);
																																	return
																																		BGl_userzd2errorzd2zztools_errorz00
																																		(BGl_string2343z00zzmodule_foreignz00,
																																		BGl_string2349z00zzmodule_foreignz00,
																																		BgL_foreignz00_29,
																																		BgL_list1610z00_1293);
																																}
																														}
																													}
																												else
																													{	/* Module/foreign.scm 115 */
																														goto
																															BgL_tagzd2384zd2_1129;
																													}
																											}
																										}
																									}
																							}
																						else
																							{	/* Module/foreign.scm 115 */
																								obj_t BgL_cdrzd2812zd2_1212;

																								BgL_cdrzd2812zd2_1212 =
																									CDR(BgL_foreignz00_29);
																								{	/* Module/foreign.scm 115 */
																									obj_t BgL_cdrzd2818zd2_1213;

																									BgL_cdrzd2818zd2_1213 =
																										CDR(
																										((obj_t)
																											BgL_cdrzd2812zd2_1212));
																									if (NULLP(CDR(((obj_t)
																													BgL_cdrzd2818zd2_1213))))
																										{	/* Module/foreign.scm 115 */
																											obj_t BgL_arg1400z00_1216;
																											obj_t BgL_arg1401z00_1217;
																											obj_t BgL_arg1415z00_1218;

																											BgL_arg1400z00_1216 =
																												CAR(BgL_foreignz00_29);
																											BgL_arg1401z00_1217 =
																												CAR(
																												((obj_t)
																													BgL_cdrzd2812zd2_1212));
																											BgL_arg1415z00_1218 =
																												CAR(((obj_t)
																													BgL_cdrzd2818zd2_1213));
																											BgL_typez00_1125 =
																												BgL_arg1400z00_1216;
																											BgL_lzd2namezd2_1126 =
																												BgL_arg1401z00_1217;
																											BgL_czd2namezd2_1127 =
																												BgL_arg1415z00_1218;
																										BgL_tagzd2383zd2_1128:
																											{	/* Module/foreign.scm 155 */
																												bool_t
																													BgL_test2442z00_3324;
																												if (STRINGP
																													(BgL_czd2namezd2_1127))
																													{	/* Module/foreign.scm 155 */
																														if (SYMBOLP
																															(BgL_typez00_1125))
																															{	/* Module/foreign.scm 156 */
																																BgL_test2442z00_3324
																																	=
																																	SYMBOLP
																																	(BgL_lzd2namezd2_1126);
																															}
																														else
																															{	/* Module/foreign.scm 156 */
																																BgL_test2442z00_3324
																																	=
																																	((bool_t) 0);
																															}
																													}
																												else
																													{	/* Module/foreign.scm 155 */
																														BgL_test2442z00_3324
																															= ((bool_t) 0);
																													}
																												if (BgL_test2442z00_3324)
																													{	/* Module/foreign.scm 155 */
																														return
																															((obj_t)
																															BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2
																															(BgL_lzd2namezd2_1126,
																																BFALSE,
																																BgL_czd2namezd2_1127,
																																BgL_typez00_1125,
																																((bool_t) 0),
																																BgL_foreignz00_29,
																																BFALSE));
																													}
																												else
																													{	/* Module/foreign.scm 158 */
																														obj_t
																															BgL_list1615z00_1300;
																														BgL_list1615z00_1300
																															=
																															MAKE_YOUNG_PAIR
																															(BNIL, BNIL);
																														return
																															BGl_userzd2errorzd2zztools_errorz00
																															(BGl_string2343z00zzmodule_foreignz00,
																															BGl_string2350z00zzmodule_foreignz00,
																															BgL_foreignz00_29,
																															BgL_list1615z00_1300);
																													}
																											}
																										}
																									else
																										{	/* Module/foreign.scm 115 */
																											goto
																												BgL_tagzd2384zd2_1129;
																										}
																								}
																							}
																					}
																				else
																					{	/* Module/foreign.scm 115 */
																						goto BgL_tagzd2384zd2_1129;
																					}
																			}
																		else
																			{	/* Module/foreign.scm 115 */
																				obj_t BgL_cdrzd2871zd2_1220;

																				BgL_cdrzd2871zd2_1220 =
																					CDR(BgL_foreignz00_29);
																				{	/* Module/foreign.scm 115 */
																					obj_t BgL_cdrzd2877zd2_1221;

																					BgL_cdrzd2877zd2_1221 =
																						CDR(
																						((obj_t) BgL_cdrzd2871zd2_1220));
																					if (PAIRP(BgL_cdrzd2877zd2_1221))
																						{	/* Module/foreign.scm 115 */
																							obj_t BgL_cdrzd2882zd2_1223;

																							BgL_cdrzd2882zd2_1223 =
																								CDR(BgL_cdrzd2877zd2_1221);
																							if (PAIRP(BgL_cdrzd2882zd2_1223))
																								{	/* Module/foreign.scm 115 */
																									if (NULLP(CDR
																											(BgL_cdrzd2882zd2_1223)))
																										{	/* Module/foreign.scm 115 */
																											obj_t BgL_arg1454z00_1227;
																											obj_t BgL_arg1456z00_1228;
																											obj_t BgL_arg1457z00_1229;
																											obj_t BgL_arg1462z00_1230;

																											BgL_arg1454z00_1227 =
																												CAR(BgL_foreignz00_29);
																											BgL_arg1456z00_1228 =
																												CAR(
																												((obj_t)
																													BgL_cdrzd2871zd2_1220));
																											BgL_arg1457z00_1229 =
																												CAR
																												(BgL_cdrzd2877zd2_1221);
																											BgL_arg1462z00_1230 =
																												CAR
																												(BgL_cdrzd2882zd2_1223);
																											{
																												obj_t
																													BgL_czd2namezd2_3353;
																												obj_t BgL_protoz00_3352;
																												obj_t
																													BgL_lzd2namezd2_3351;
																												obj_t BgL_typez00_3350;

																												BgL_typez00_3350 =
																													BgL_arg1454z00_1227;
																												BgL_lzd2namezd2_3351 =
																													BgL_arg1456z00_1228;
																												BgL_protoz00_3352 =
																													BgL_arg1457z00_1229;
																												BgL_czd2namezd2_3353 =
																													BgL_arg1462z00_1230;
																												BgL_czd2namezd2_1123 =
																													BgL_czd2namezd2_3353;
																												BgL_protoz00_1122 =
																													BgL_protoz00_3352;
																												BgL_lzd2namezd2_1121 =
																													BgL_lzd2namezd2_3351;
																												BgL_typez00_1120 =
																													BgL_typez00_3350;
																												goto
																													BgL_tagzd2382zd2_1124;
																											}
																										}
																									else
																										{	/* Module/foreign.scm 115 */
																											goto
																												BgL_tagzd2384zd2_1129;
																										}
																								}
																							else
																								{	/* Module/foreign.scm 115 */
																									if (NULLP(CDR(
																												((obj_t)
																													BgL_cdrzd2877zd2_1221))))
																										{	/* Module/foreign.scm 115 */
																											obj_t BgL_arg1496z00_1236;
																											obj_t BgL_arg1497z00_1237;
																											obj_t BgL_arg1500z00_1238;

																											BgL_arg1496z00_1236 =
																												CAR(BgL_foreignz00_29);
																											BgL_arg1497z00_1237 =
																												CAR(
																												((obj_t)
																													BgL_cdrzd2871zd2_1220));
																											BgL_arg1500z00_1238 =
																												CAR(((obj_t)
																													BgL_cdrzd2877zd2_1221));
																											{
																												obj_t
																													BgL_czd2namezd2_3365;
																												obj_t
																													BgL_lzd2namezd2_3364;
																												obj_t BgL_typez00_3363;

																												BgL_typez00_3363 =
																													BgL_arg1496z00_1236;
																												BgL_lzd2namezd2_3364 =
																													BgL_arg1497z00_1237;
																												BgL_czd2namezd2_3365 =
																													BgL_arg1500z00_1238;
																												BgL_czd2namezd2_1127 =
																													BgL_czd2namezd2_3365;
																												BgL_lzd2namezd2_1126 =
																													BgL_lzd2namezd2_3364;
																												BgL_typez00_1125 =
																													BgL_typez00_3363;
																												goto
																													BgL_tagzd2383zd2_1128;
																											}
																										}
																									else
																										{	/* Module/foreign.scm 115 */
																											goto
																												BgL_tagzd2384zd2_1129;
																										}
																								}
																						}
																					else
																						{	/* Module/foreign.scm 115 */
																							goto BgL_tagzd2384zd2_1129;
																						}
																				}
																			}
																	}
																else
																	{	/* Module/foreign.scm 115 */
																		goto BgL_tagzd2384zd2_1129;
																	}
															}
														else
															{	/* Module/foreign.scm 115 */
																obj_t BgL_cdrzd2973zd2_1241;

																BgL_cdrzd2973zd2_1241 = CDR(BgL_foreignz00_29);
																if (PAIRP(BgL_cdrzd2973zd2_1241))
																	{	/* Module/foreign.scm 115 */
																		obj_t BgL_cdrzd2979zd2_1243;

																		BgL_cdrzd2979zd2_1243 =
																			CDR(BgL_cdrzd2973zd2_1241);
																		if (PAIRP(BgL_cdrzd2979zd2_1243))
																			{	/* Module/foreign.scm 115 */
																				obj_t BgL_cdrzd2984zd2_1245;

																				BgL_cdrzd2984zd2_1245 =
																					CDR(BgL_cdrzd2979zd2_1243);
																				if (PAIRP(BgL_cdrzd2984zd2_1245))
																					{	/* Module/foreign.scm 115 */
																						if (NULLP(CDR
																								(BgL_cdrzd2984zd2_1245)))
																							{
																								obj_t BgL_czd2namezd2_3384;
																								obj_t BgL_protoz00_3382;
																								obj_t BgL_lzd2namezd2_3380;
																								obj_t BgL_typez00_3378;

																								BgL_typez00_3378 =
																									CAR(BgL_foreignz00_29);
																								BgL_lzd2namezd2_3380 =
																									CAR(BgL_cdrzd2973zd2_1241);
																								BgL_protoz00_3382 =
																									CAR(BgL_cdrzd2979zd2_1243);
																								BgL_czd2namezd2_3384 =
																									CAR(BgL_cdrzd2984zd2_1245);
																								BgL_czd2namezd2_1123 =
																									BgL_czd2namezd2_3384;
																								BgL_protoz00_1122 =
																									BgL_protoz00_3382;
																								BgL_lzd2namezd2_1121 =
																									BgL_lzd2namezd2_3380;
																								BgL_typez00_1120 =
																									BgL_typez00_3378;
																								goto BgL_tagzd2382zd2_1124;
																							}
																						else
																							{	/* Module/foreign.scm 115 */
																								goto BgL_tagzd2384zd2_1129;
																							}
																					}
																				else
																					{	/* Module/foreign.scm 115 */
																						obj_t BgL_cdrzd21017zd2_1255;

																						BgL_cdrzd21017zd2_1255 =
																							CDR(
																							((obj_t) BgL_cdrzd2973zd2_1241));
																						if (NULLP(CDR(
																									((obj_t)
																										BgL_cdrzd21017zd2_1255))))
																							{	/* Module/foreign.scm 115 */
																								obj_t BgL_arg1554z00_1258;
																								obj_t BgL_arg1555z00_1259;
																								obj_t BgL_arg1563z00_1260;

																								BgL_arg1554z00_1258 =
																									CAR(BgL_foreignz00_29);
																								BgL_arg1555z00_1259 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd2973zd2_1241));
																								BgL_arg1563z00_1260 =
																									CAR(((obj_t)
																										BgL_cdrzd21017zd2_1255));
																								{
																									obj_t BgL_czd2namezd2_3399;
																									obj_t BgL_lzd2namezd2_3398;
																									obj_t BgL_typez00_3397;

																									BgL_typez00_3397 =
																										BgL_arg1554z00_1258;
																									BgL_lzd2namezd2_3398 =
																										BgL_arg1555z00_1259;
																									BgL_czd2namezd2_3399 =
																										BgL_arg1563z00_1260;
																									BgL_czd2namezd2_1127 =
																										BgL_czd2namezd2_3399;
																									BgL_lzd2namezd2_1126 =
																										BgL_lzd2namezd2_3398;
																									BgL_typez00_1125 =
																										BgL_typez00_3397;
																									goto BgL_tagzd2383zd2_1128;
																								}
																							}
																						else
																							{	/* Module/foreign.scm 115 */
																								goto BgL_tagzd2384zd2_1129;
																							}
																					}
																			}
																		else
																			{	/* Module/foreign.scm 115 */
																				goto BgL_tagzd2384zd2_1129;
																			}
																	}
																else
																	{	/* Module/foreign.scm 115 */
																		goto BgL_tagzd2384zd2_1129;
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Module/foreign.scm 115 */
						goto BgL_tagzd2384zd2_1129;
					}
			}
		}

	}



/* extern-parser */
	obj_t BGl_externzd2parserzd2zzmodule_foreignz00(obj_t BgL_externz00_31,
		bool_t BgL_exportpz00_32)
	{
		{	/* Module/foreign.scm 166 */
			{
				obj_t BgL_idz00_1318;
				obj_t BgL_czd2namezd2_1319;
				obj_t BgL_idz00_1314;
				obj_t BgL_protoz00_1315;
				obj_t BgL_cnz00_1316;
				obj_t BgL_idz00_1310;
				obj_t BgL_czd2namezd2_1311;
				obj_t BgL_idz00_1306;
				obj_t BgL_protoz00_1307;
				obj_t BgL_cnz00_1308;

				if (PAIRP(BgL_externz00_31))
					{	/* Module/foreign.scm 168 */
						if ((CAR(BgL_externz00_31) == CNST_TABLE_REF(((long) 5))))
							{	/* Module/foreign.scm 168 */
								return
									BGl_parsezd2czd2externzd2typezd2zzmodule_foreignz00
									(BgL_externz00_31);
							}
						else
							{	/* Module/foreign.scm 168 */
								obj_t BgL_carzd21120zd2_1326;

								BgL_carzd21120zd2_1326 = CAR(BgL_externz00_31);
								if ((BgL_carzd21120zd2_1326 == CNST_TABLE_REF(((long) 6))))
									{	/* Module/foreign.scm 168 */
										return
											BGl_foreignzd2parserzd2zzmodule_foreignz00
											(BgL_externz00_31, BgL_exportpz00_32);
									}
								else
									{	/* Module/foreign.scm 168 */
										if ((BgL_carzd21120zd2_1326 == CNST_TABLE_REF(((long) 4))))
											{	/* Module/foreign.scm 168 */
												return
													BGl_foreignzd2parserzd2zzmodule_foreignz00
													(BgL_externz00_31, BgL_exportpz00_32);
											}
										else
											{	/* Module/foreign.scm 168 */
												obj_t BgL_cdrzd21135zd2_1329;

												BgL_cdrzd21135zd2_1329 = CDR(BgL_externz00_31);
												if (
													(BgL_carzd21120zd2_1326 ==
														CNST_TABLE_REF(((long) 7))))
													{	/* Module/foreign.scm 168 */
														if (PAIRP(BgL_cdrzd21135zd2_1329))
															{	/* Module/foreign.scm 168 */
																obj_t BgL_carzd21139zd2_1333;
																obj_t BgL_cdrzd21140zd2_1334;

																BgL_carzd21139zd2_1333 =
																	CAR(BgL_cdrzd21135zd2_1329);
																BgL_cdrzd21140zd2_1334 =
																	CDR(BgL_cdrzd21135zd2_1329);
																if (SYMBOLP(BgL_carzd21139zd2_1333))
																	{	/* Module/foreign.scm 168 */
																		if (PAIRP(BgL_cdrzd21140zd2_1334))
																			{	/* Module/foreign.scm 168 */
																				obj_t BgL_cdrzd21147zd2_1337;

																				BgL_cdrzd21147zd2_1337 =
																					CDR(BgL_cdrzd21140zd2_1334);
																				if (PAIRP(BgL_cdrzd21147zd2_1337))
																					{	/* Module/foreign.scm 168 */
																						obj_t BgL_carzd21150zd2_1339;

																						BgL_carzd21150zd2_1339 =
																							CAR(BgL_cdrzd21147zd2_1337);
																						if (STRINGP(BgL_carzd21150zd2_1339))
																							{	/* Module/foreign.scm 168 */
																								if (NULLP(CDR
																										(BgL_cdrzd21147zd2_1337)))
																									{	/* Module/foreign.scm 168 */
																										BgL_idz00_1306 =
																											BgL_carzd21139zd2_1333;
																										BgL_protoz00_1307 =
																											CAR
																											(BgL_cdrzd21140zd2_1334);
																										BgL_cnz00_1308 =
																											BgL_carzd21150zd2_1339;
																									BgL_tagzd21103zd2_1309:
																										{	/* Module/foreign.scm 177 */
																											obj_t BgL_pidz00_1472;

																											BgL_pidz00_1472 =
																												BGl_parsezd2idzd2zzast_identz00
																												(BgL_idz00_1306,
																												BGl_findzd2locationzd2zztools_locationz00
																												(BgL_externz00_31));
																											{	/* Module/foreign.scm 177 */
																												obj_t BgL_lnz00_1473;

																												BgL_lnz00_1473 =
																													CAR(BgL_pidz00_1472);
																												{	/* Module/foreign.scm 178 */
																													obj_t
																														BgL_typez00_1474;
																													{	/* Module/foreign.scm 179 */
																														obj_t
																															BgL_arg1818z00_1483;
																														BgL_arg1818z00_1483
																															=
																															BGl_defaultzd2czd2typez00zzmodule_foreignz00
																															(CDR
																															(BgL_pidz00_1472),
																															BgL_externz00_31);
																														BgL_typez00_1474 =
																															(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) BgL_arg1818z00_1483)))->BgL_idz00);
																													}
																													{	/* Module/foreign.scm 179 */

																														{	/* Module/foreign.scm 180 */
																															bool_t
																																BgL_test2465z00_3444;
																															{	/* Module/foreign.scm 180 */
																																obj_t
																																	BgL_xz00_2957;
																																BgL_xz00_2957 =
																																	BGl_checkzd2idzd2zzast_identz00
																																	(BgL_pidz00_1472,
																																	BgL_externz00_31);
																																((bool_t) 1);
																															}
																															if (BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_protoz00_1307))
																																{	/* Module/foreign.scm 181 */
																																	BgL_test2465z00_3444
																																		=
																																		((bool_t)
																																		0);
																																}
																															else
																																{	/* Module/foreign.scm 181 */
																																	BgL_test2465z00_3444
																																		=
																																		((bool_t)
																																		1);
																																}
																															if (BgL_test2465z00_3444)
																																{	/* Module/foreign.scm 182 */
																																	obj_t
																																		BgL_list1811z00_1478;
																																	BgL_list1811z00_1478
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BNIL,
																																		BNIL);
																																	return
																																		BGl_userzd2errorzd2zztools_errorz00
																																		(BGl_string2343z00zzmodule_foreignz00,
																																		BGl_string2351z00zzmodule_foreignz00,
																																		BgL_externz00_31,
																																		BgL_list1811z00_1478);
																																}
																															else
																																{	/* Module/foreign.scm 183 */
																																	bool_t
																																		BgL_infixzf3zf3_1479;
																																	BgL_infixzf3zf3_1479
																																		=
																																		(CAR((
																																				(obj_t)
																																				BgL_externz00_31))
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				3)));
																																	return (
																																		(obj_t)
																																		BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2
																																		(BgL_lnz00_1473,
																																			BFALSE,
																																			CNST_TABLE_REF
																																			(((long)
																																					0)),
																																			BgL_cnz00_1308,
																																			BgL_typez00_1474,
																																			BgL_protoz00_1307,
																																			BgL_infixzf3zf3_1479,
																																			((bool_t)
																																				1),
																																			BgL_externz00_31,
																																			BFALSE));
																									}}}}}}}
																								else
																									{	/* Module/foreign.scm 168 */
																									BgL_tagzd21105zd2_1313:
																										{	/* Module/foreign.scm 195 */
																											obj_t
																												BgL_list1850z00_1494;
																											BgL_list1850z00_1494 =
																												MAKE_YOUNG_PAIR(BNIL,
																												BNIL);
																											return
																												BGl_userzd2errorzd2zztools_errorz00
																												(BGl_string2343z00zzmodule_foreignz00,
																												BGl_string2351z00zzmodule_foreignz00,
																												BgL_externz00_31,
																												BgL_list1850z00_1494);
																										}
																									}
																							}
																						else
																							{	/* Module/foreign.scm 168 */
																								goto BgL_tagzd21105zd2_1313;
																							}
																					}
																				else
																					{	/* Module/foreign.scm 168 */
																						obj_t BgL_cdrzd21197zd2_1345;

																						BgL_cdrzd21197zd2_1345 =
																							CDR(BgL_externz00_31);
																						{	/* Module/foreign.scm 168 */
																							obj_t BgL_carzd21202zd2_1346;
																							obj_t BgL_cdrzd21203zd2_1347;

																							BgL_carzd21202zd2_1346 =
																								CAR(
																								((obj_t)
																									BgL_cdrzd21197zd2_1345));
																							BgL_cdrzd21203zd2_1347 =
																								CDR(((obj_t)
																									BgL_cdrzd21197zd2_1345));
																							if (SYMBOLP
																								(BgL_carzd21202zd2_1346))
																								{	/* Module/foreign.scm 168 */
																									obj_t BgL_carzd21211zd2_1349;

																									BgL_carzd21211zd2_1349 =
																										CAR(
																										((obj_t)
																											BgL_cdrzd21203zd2_1347));
																									if (STRINGP
																										(BgL_carzd21211zd2_1349))
																										{	/* Module/foreign.scm 168 */
																											if (NULLP(CDR(
																														((obj_t)
																															BgL_cdrzd21203zd2_1347))))
																												{	/* Module/foreign.scm 168 */
																													BgL_idz00_1310 =
																														BgL_carzd21202zd2_1346;
																													BgL_czd2namezd2_1311 =
																														BgL_carzd21211zd2_1349;
																												BgL_tagzd21104zd2_1312:
																													{	/* Module/foreign.scm 188 */
																														obj_t
																															BgL_pidz00_1486;
																														BgL_pidz00_1486 =
																															BGl_parsezd2idzd2zzast_identz00
																															(BgL_idz00_1310,
																															BGl_findzd2locationzd2zztools_locationz00
																															(BgL_externz00_31));
																														{	/* Module/foreign.scm 188 */
																															obj_t
																																BgL_lzd2namezd2_1487;
																															BgL_lzd2namezd2_1487
																																=
																																CAR
																																(BgL_pidz00_1486);
																															{	/* Module/foreign.scm 189 */
																																obj_t
																																	BgL_typez00_1488;
																																{	/* Module/foreign.scm 190 */
																																	obj_t
																																		BgL_arg1842z00_1491;
																																	BgL_arg1842z00_1491
																																		=
																																		BGl_defaultzd2czd2typez00zzmodule_foreignz00
																																		(CDR
																																		(BgL_pidz00_1486),
																																		BgL_externz00_31);
																																	BgL_typez00_1488
																																		=
																																		(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) BgL_arg1842z00_1491)))->BgL_idz00);
																																}
																																{	/* Module/foreign.scm 190 */

																																	{	/* Module/foreign.scm 191 */
																																		obj_t
																																			BgL_xz00_2958;
																																		BgL_xz00_2958
																																			=
																																			BGl_checkzd2idzd2zzast_identz00
																																			(BgL_pidz00_1486,
																																			BgL_externz00_31);
																																		((bool_t)
																																			1);
																																	}
																																	return
																																		((obj_t)
																																		BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2
																																		(BgL_lzd2namezd2_1487,
																																			BFALSE,
																																			BgL_czd2namezd2_1311,
																																			BgL_typez00_1488,
																																			((bool_t)
																																				1),
																																			BgL_externz00_31,
																																			BFALSE));
																																}
																															}
																														}
																													}
																												}
																											else
																												{	/* Module/foreign.scm 168 */
																													goto
																														BgL_tagzd21105zd2_1313;
																												}
																										}
																									else
																										{	/* Module/foreign.scm 168 */
																											goto
																												BgL_tagzd21105zd2_1313;
																										}
																								}
																							else
																								{	/* Module/foreign.scm 168 */
																									goto BgL_tagzd21105zd2_1313;
																								}
																						}
																					}
																			}
																		else
																			{	/* Module/foreign.scm 168 */
																				goto BgL_tagzd21105zd2_1313;
																			}
																	}
																else
																	{	/* Module/foreign.scm 168 */
																		obj_t BgL_cdrzd21254zd2_1354;

																		BgL_cdrzd21254zd2_1354 =
																			CDR(BgL_externz00_31);
																		{	/* Module/foreign.scm 168 */
																			obj_t BgL_carzd21257zd2_1355;
																			obj_t BgL_cdrzd21258zd2_1356;

																			BgL_carzd21257zd2_1355 =
																				CAR(((obj_t) BgL_cdrzd21254zd2_1354));
																			BgL_cdrzd21258zd2_1356 =
																				CDR(((obj_t) BgL_cdrzd21254zd2_1354));
																			if (SYMBOLP(BgL_carzd21257zd2_1355))
																				{	/* Module/foreign.scm 168 */
																					if (PAIRP(BgL_cdrzd21258zd2_1356))
																						{	/* Module/foreign.scm 168 */
																							obj_t BgL_carzd21263zd2_1359;

																							BgL_carzd21263zd2_1359 =
																								CAR(BgL_cdrzd21258zd2_1356);
																							if (STRINGP
																								(BgL_carzd21263zd2_1359))
																								{	/* Module/foreign.scm 168 */
																									if (NULLP(CDR
																											(BgL_cdrzd21258zd2_1356)))
																										{
																											obj_t
																												BgL_czd2namezd2_3501;
																											obj_t BgL_idz00_3500;

																											BgL_idz00_3500 =
																												BgL_carzd21257zd2_1355;
																											BgL_czd2namezd2_3501 =
																												BgL_carzd21263zd2_1359;
																											BgL_czd2namezd2_1311 =
																												BgL_czd2namezd2_3501;
																											BgL_idz00_1310 =
																												BgL_idz00_3500;
																											goto
																												BgL_tagzd21104zd2_1312;
																										}
																									else
																										{	/* Module/foreign.scm 168 */
																											goto
																												BgL_tagzd21105zd2_1313;
																										}
																								}
																							else
																								{	/* Module/foreign.scm 168 */
																									goto BgL_tagzd21105zd2_1313;
																								}
																						}
																					else
																						{	/* Module/foreign.scm 168 */
																							goto BgL_tagzd21105zd2_1313;
																						}
																				}
																			else
																				{	/* Module/foreign.scm 168 */
																					goto BgL_tagzd21105zd2_1313;
																				}
																		}
																	}
															}
														else
															{	/* Module/foreign.scm 168 */
																goto BgL_tagzd21105zd2_1313;
															}
													}
												else
													{	/* Module/foreign.scm 168 */
														obj_t BgL_cdrzd21301zd2_1364;

														BgL_cdrzd21301zd2_1364 = CDR(BgL_externz00_31);
														if (
															(CAR(BgL_externz00_31) ==
																CNST_TABLE_REF(((long) 3))))
															{	/* Module/foreign.scm 168 */
																if (PAIRP(BgL_cdrzd21301zd2_1364))
																	{	/* Module/foreign.scm 168 */
																		obj_t BgL_cdrzd21306zd2_1368;

																		BgL_cdrzd21306zd2_1368 =
																			CDR(BgL_cdrzd21301zd2_1364);
																		if (
																			(CAR(BgL_cdrzd21301zd2_1364) ==
																				CNST_TABLE_REF(((long) 7))))
																			{	/* Module/foreign.scm 168 */
																				if (PAIRP(BgL_cdrzd21306zd2_1368))
																					{	/* Module/foreign.scm 168 */
																						obj_t BgL_carzd21310zd2_1372;
																						obj_t BgL_cdrzd21311zd2_1373;

																						BgL_carzd21310zd2_1372 =
																							CAR(BgL_cdrzd21306zd2_1368);
																						BgL_cdrzd21311zd2_1373 =
																							CDR(BgL_cdrzd21306zd2_1368);
																						if (SYMBOLP(BgL_carzd21310zd2_1372))
																							{	/* Module/foreign.scm 168 */
																								if (PAIRP
																									(BgL_cdrzd21311zd2_1373))
																									{	/* Module/foreign.scm 168 */
																										obj_t
																											BgL_cdrzd21318zd2_1376;
																										BgL_cdrzd21318zd2_1376 =
																											CDR
																											(BgL_cdrzd21311zd2_1373);
																										if (PAIRP
																											(BgL_cdrzd21318zd2_1376))
																											{	/* Module/foreign.scm 168 */
																												obj_t
																													BgL_carzd21321zd2_1378;
																												BgL_carzd21321zd2_1378 =
																													CAR
																													(BgL_cdrzd21318zd2_1376);
																												if (STRINGP
																													(BgL_carzd21321zd2_1378))
																													{	/* Module/foreign.scm 168 */
																														if (NULLP(CDR
																																(BgL_cdrzd21318zd2_1376)))
																															{
																																obj_t
																																	BgL_cnz00_3534;
																																obj_t
																																	BgL_protoz00_3532;
																																obj_t
																																	BgL_idz00_3531;
																																BgL_idz00_3531 =
																																	BgL_carzd21310zd2_1372;
																																BgL_protoz00_3532
																																	=
																																	CAR
																																	(BgL_cdrzd21311zd2_1373);
																																BgL_cnz00_3534 =
																																	BgL_carzd21321zd2_1378;
																																BgL_cnz00_1308 =
																																	BgL_cnz00_3534;
																																BgL_protoz00_1307
																																	=
																																	BgL_protoz00_3532;
																																BgL_idz00_1306 =
																																	BgL_idz00_3531;
																																goto
																																	BgL_tagzd21103zd2_1309;
																															}
																														else
																															{	/* Module/foreign.scm 168 */
																															BgL_tagzd21108zd2_1321:
																																{	/* Module/foreign.scm 215 */
																																	obj_t
																																		BgL_list1866z00_1515;
																																	BgL_list1866z00_1515
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BNIL,
																																		BNIL);
																																	return
																																		BGl_userzd2errorzd2zztools_errorz00
																																		(BGl_string2343z00zzmodule_foreignz00,
																																		BGl_string2351z00zzmodule_foreignz00,
																																		BgL_externz00_31,
																																		BgL_list1866z00_1515);
																																}
																															}
																													}
																												else
																													{	/* Module/foreign.scm 168 */
																														goto
																															BgL_tagzd21108zd2_1321;
																													}
																											}
																										else
																											{	/* Module/foreign.scm 168 */
																												goto
																													BgL_tagzd21108zd2_1321;
																											}
																									}
																								else
																									{	/* Module/foreign.scm 168 */
																										obj_t
																											BgL_carzd21410zd2_1384;
																										BgL_carzd21410zd2_1384 =
																											CAR(BgL_externz00_31);
																										if (SYMBOLP
																											(BgL_carzd21410zd2_1384))
																											{	/* Module/foreign.scm 168 */
																												obj_t
																													BgL_cdrzd21419zd2_1387;
																												BgL_cdrzd21419zd2_1387 =
																													CDR(((obj_t)
																														BgL_cdrzd21301zd2_1364));
																												{	/* Module/foreign.scm 168 */
																													obj_t
																														BgL_carzd21423zd2_1388;
																													BgL_carzd21423zd2_1388
																														=
																														CAR(((obj_t)
																															BgL_cdrzd21419zd2_1387));
																													if (STRINGP
																														(BgL_carzd21423zd2_1388))
																														{	/* Module/foreign.scm 168 */
																															if (NULLP(CDR(
																																		((obj_t)
																																			BgL_cdrzd21419zd2_1387))))
																																{	/* Module/foreign.scm 168 */
																																	obj_t
																																		BgL_arg1706z00_1392;
																																	BgL_arg1706z00_1392
																																		=
																																		CAR(((obj_t)
																																			BgL_cdrzd21301zd2_1364));
																																	BgL_idz00_1314
																																		=
																																		BgL_carzd21410zd2_1384;
																																	BgL_protoz00_1315
																																		=
																																		BgL_arg1706z00_1392;
																																	BgL_cnz00_1316
																																		=
																																		BgL_carzd21423zd2_1388;
																																BgL_tagzd21106zd2_1317:
																																	{	/* Module/foreign.scm 198 */
																																		obj_t
																																			BgL_pidz00_1495;
																																		BgL_pidz00_1495
																																			=
																																			BGl_parsezd2idzd2zzast_identz00
																																			(BgL_idz00_1314,
																																			BGl_findzd2locationzd2zztools_locationz00
																																			(BgL_externz00_31));
																																		{	/* Module/foreign.scm 198 */
																																			obj_t
																																				BgL_lnz00_1496;
																																			BgL_lnz00_1496
																																				=
																																				CAR
																																				(BgL_pidz00_1495);
																																			{	/* Module/foreign.scm 199 */
																																				obj_t
																																					BgL_typez00_1497;
																																				{	/* Module/foreign.scm 200 */
																																					obj_t
																																						BgL_arg1855z00_1504;
																																					BgL_arg1855z00_1504
																																						=
																																						BGl_defaultzd2czd2typez00zzmodule_foreignz00
																																						(CDR
																																						(BgL_pidz00_1495),
																																						BgL_externz00_31);
																																					BgL_typez00_1497
																																						=
																																						(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) BgL_arg1855z00_1504)))->BgL_idz00);
																																				}
																																				{	/* Module/foreign.scm 200 */

																																					{	/* Module/foreign.scm 201 */
																																						bool_t
																																							BgL_test2486z00_3559;
																																						{	/* Module/foreign.scm 201 */
																																							obj_t
																																								BgL_xz00_2959;
																																							BgL_xz00_2959
																																								=
																																								BGl_checkzd2idzd2zzast_identz00
																																								(BgL_pidz00_1495,
																																								BgL_externz00_31);
																																							((bool_t) 1);
																																						}
																																						if (BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_protoz00_1315))
																																							{	/* Module/foreign.scm 202 */
																																								BgL_test2486z00_3559
																																									=
																																									(
																																									(bool_t)
																																									0);
																																							}
																																						else
																																							{	/* Module/foreign.scm 202 */
																																								BgL_test2486z00_3559
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						if (BgL_test2486z00_3559)
																																							{	/* Module/foreign.scm 203 */
																																								obj_t
																																									BgL_list1854z00_1501;
																																								BgL_list1854z00_1501
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BNIL,
																																									BNIL);
																																								return
																																									BGl_userzd2errorzd2zztools_errorz00
																																									(BGl_string2343z00zzmodule_foreignz00,
																																									BGl_string2351z00zzmodule_foreignz00,
																																									BgL_externz00_31,
																																									BgL_list1854z00_1501);
																																							}
																																						else
																																							{	/* Module/foreign.scm 201 */
																																								return
																																									(
																																									(obj_t)
																																									BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2
																																									(BgL_lnz00_1496,
																																										BFALSE,
																																										CNST_TABLE_REF
																																										(((long) 0)), BgL_cnz00_1316, BgL_typez00_1497, BgL_protoz00_1315, ((bool_t) 0), ((bool_t) 0), BgL_externz00_31, BFALSE));
																																}}}}}}}
																															else
																																{	/* Module/foreign.scm 168 */
																																	goto
																																		BgL_tagzd21108zd2_1321;
																																}
																														}
																													else
																														{	/* Module/foreign.scm 168 */
																															goto
																																BgL_tagzd21108zd2_1321;
																														}
																												}
																											}
																										else
																											{	/* Module/foreign.scm 168 */
																												goto
																													BgL_tagzd21108zd2_1321;
																											}
																									}
																							}
																						else
																							{	/* Module/foreign.scm 168 */
																								obj_t BgL_carzd21459zd2_1394;

																								BgL_carzd21459zd2_1394 =
																									CAR(BgL_externz00_31);
																								if (SYMBOLP
																									(BgL_carzd21459zd2_1394))
																									{	/* Module/foreign.scm 168 */
																										obj_t
																											BgL_cdrzd21467zd2_1397;
																										BgL_cdrzd21467zd2_1397 =
																											CDR(((obj_t)
																												BgL_cdrzd21301zd2_1364));
																										{	/* Module/foreign.scm 168 */
																											obj_t
																												BgL_carzd21470zd2_1398;
																											BgL_carzd21470zd2_1398 =
																												CAR(((obj_t)
																													BgL_cdrzd21467zd2_1397));
																											if (STRINGP
																												(BgL_carzd21470zd2_1398))
																												{	/* Module/foreign.scm 168 */
																													if (NULLP(CDR(
																																((obj_t)
																																	BgL_cdrzd21467zd2_1397))))
																														{	/* Module/foreign.scm 168 */
																															obj_t
																																BgL_arg1716z00_1402;
																															BgL_arg1716z00_1402
																																=
																																CAR(((obj_t)
																																	BgL_cdrzd21301zd2_1364));
																															{
																																obj_t
																																	BgL_cnz00_3585;
																																obj_t
																																	BgL_protoz00_3584;
																																obj_t
																																	BgL_idz00_3583;
																																BgL_idz00_3583 =
																																	BgL_carzd21459zd2_1394;
																																BgL_protoz00_3584
																																	=
																																	BgL_arg1716z00_1402;
																																BgL_cnz00_3585 =
																																	BgL_carzd21470zd2_1398;
																																BgL_cnz00_1316 =
																																	BgL_cnz00_3585;
																																BgL_protoz00_1315
																																	=
																																	BgL_protoz00_3584;
																																BgL_idz00_1314 =
																																	BgL_idz00_3583;
																																goto
																																	BgL_tagzd21106zd2_1317;
																															}
																														}
																													else
																														{	/* Module/foreign.scm 168 */
																															goto
																																BgL_tagzd21108zd2_1321;
																														}
																												}
																											else
																												{	/* Module/foreign.scm 168 */
																													goto
																														BgL_tagzd21108zd2_1321;
																												}
																										}
																									}
																								else
																									{	/* Module/foreign.scm 168 */
																										goto BgL_tagzd21108zd2_1321;
																									}
																							}
																					}
																				else
																					{	/* Module/foreign.scm 168 */
																						obj_t BgL_carzd21508zd2_1404;

																						BgL_carzd21508zd2_1404 =
																							CAR(BgL_externz00_31);
																						if (SYMBOLP(BgL_carzd21508zd2_1404))
																							{	/* Module/foreign.scm 168 */
																								obj_t BgL_carzd21514zd2_1407;

																								BgL_carzd21514zd2_1407 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd21301zd2_1364));
																								if (STRINGP
																									(BgL_carzd21514zd2_1407))
																									{	/* Module/foreign.scm 168 */
																										if (NULLP(CDR(
																													((obj_t)
																														BgL_cdrzd21301zd2_1364))))
																											{	/* Module/foreign.scm 168 */
																												BgL_idz00_1318 =
																													BgL_carzd21508zd2_1404;
																												BgL_czd2namezd2_1319 =
																													BgL_carzd21514zd2_1407;
																											BgL_tagzd21107zd2_1320:
																												{	/* Module/foreign.scm 208 */
																													obj_t BgL_pidz00_1507;

																													BgL_pidz00_1507 =
																														BGl_parsezd2idzd2zzast_identz00
																														(BgL_idz00_1318,
																														BGl_findzd2locationzd2zztools_locationz00
																														(BgL_externz00_31));
																													{	/* Module/foreign.scm 208 */
																														obj_t
																															BgL_lzd2namezd2_1508;
																														BgL_lzd2namezd2_1508
																															=
																															CAR
																															(BgL_pidz00_1507);
																														{	/* Module/foreign.scm 209 */
																															obj_t
																																BgL_typez00_1509;
																															{	/* Module/foreign.scm 210 */
																																obj_t
																																	BgL_arg1862z00_1512;
																																BgL_arg1862z00_1512
																																	=
																																	BGl_defaultzd2czd2typez00zzmodule_foreignz00
																																	(CDR
																																	(BgL_pidz00_1507),
																																	BgL_externz00_31);
																																BgL_typez00_1509
																																	=
																																	(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) BgL_arg1862z00_1512)))->BgL_idz00);
																															}
																															{	/* Module/foreign.scm 210 */

																																{	/* Module/foreign.scm 211 */
																																	obj_t
																																		BgL_xz00_2960;
																																	BgL_xz00_2960
																																		=
																																		BGl_checkzd2idzd2zzast_identz00
																																		(BgL_pidz00_1507,
																																		BgL_externz00_31);
																																	((bool_t) 1);
																																}
																																return
																																	((obj_t)
																																	BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2
																																	(BgL_lzd2namezd2_1508,
																																		BFALSE,
																																		BgL_czd2namezd2_1319,
																																		BgL_typez00_1509,
																																		((bool_t)
																																			0),
																																		BgL_externz00_31,
																																		BFALSE));
																															}
																														}
																													}
																												}
																											}
																										else
																											{	/* Module/foreign.scm 168 */
																												goto
																													BgL_tagzd21108zd2_1321;
																											}
																									}
																								else
																									{	/* Module/foreign.scm 168 */
																										goto BgL_tagzd21108zd2_1321;
																									}
																							}
																						else
																							{	/* Module/foreign.scm 168 */
																								goto BgL_tagzd21108zd2_1321;
																							}
																					}
																			}
																		else
																			{	/* Module/foreign.scm 168 */
																				obj_t BgL_carzd21536zd2_1412;

																				BgL_carzd21536zd2_1412 =
																					CAR(BgL_externz00_31);
																				if (SYMBOLP(BgL_carzd21536zd2_1412))
																					{	/* Module/foreign.scm 168 */
																						obj_t BgL_cdrzd21544zd2_1415;

																						BgL_cdrzd21544zd2_1415 =
																							CDR(
																							((obj_t) BgL_cdrzd21301zd2_1364));
																						if (PAIRP(BgL_cdrzd21544zd2_1415))
																							{	/* Module/foreign.scm 168 */
																								obj_t BgL_carzd21547zd2_1417;

																								BgL_carzd21547zd2_1417 =
																									CAR(BgL_cdrzd21544zd2_1415);
																								if (STRINGP
																									(BgL_carzd21547zd2_1417))
																									{	/* Module/foreign.scm 168 */
																										if (NULLP(CDR
																												(BgL_cdrzd21544zd2_1415)))
																											{	/* Module/foreign.scm 168 */
																												obj_t
																													BgL_arg1742z00_1421;
																												BgL_arg1742z00_1421 =
																													CAR(((obj_t)
																														BgL_cdrzd21301zd2_1364));
																												{
																													obj_t BgL_cnz00_3624;
																													obj_t
																														BgL_protoz00_3623;
																													obj_t BgL_idz00_3622;

																													BgL_idz00_3622 =
																														BgL_carzd21536zd2_1412;
																													BgL_protoz00_3623 =
																														BgL_arg1742z00_1421;
																													BgL_cnz00_3624 =
																														BgL_carzd21547zd2_1417;
																													BgL_cnz00_1316 =
																														BgL_cnz00_3624;
																													BgL_protoz00_1315 =
																														BgL_protoz00_3623;
																													BgL_idz00_1314 =
																														BgL_idz00_3622;
																													goto
																														BgL_tagzd21106zd2_1317;
																												}
																											}
																										else
																											{	/* Module/foreign.scm 168 */
																												goto
																													BgL_tagzd21108zd2_1321;
																											}
																									}
																								else
																									{	/* Module/foreign.scm 168 */
																										goto BgL_tagzd21108zd2_1321;
																									}
																							}
																						else
																							{	/* Module/foreign.scm 168 */
																								obj_t BgL_cdrzd21568zd2_1424;

																								BgL_cdrzd21568zd2_1424 =
																									CDR(BgL_externz00_31);
																								{	/* Module/foreign.scm 168 */
																									obj_t BgL_carzd21574zd2_1426;

																									BgL_carzd21574zd2_1426 =
																										CAR(
																										((obj_t)
																											BgL_cdrzd21568zd2_1424));
																									if (STRINGP
																										(BgL_carzd21574zd2_1426))
																										{	/* Module/foreign.scm 168 */
																											if (NULLP(CDR(
																														((obj_t)
																															BgL_cdrzd21568zd2_1424))))
																												{
																													obj_t
																														BgL_czd2namezd2_3635;
																													obj_t BgL_idz00_3634;

																													BgL_idz00_3634 =
																														BgL_carzd21536zd2_1412;
																													BgL_czd2namezd2_3635 =
																														BgL_carzd21574zd2_1426;
																													BgL_czd2namezd2_1319 =
																														BgL_czd2namezd2_3635;
																													BgL_idz00_1318 =
																														BgL_idz00_3634;
																													goto
																														BgL_tagzd21107zd2_1320;
																												}
																											else
																												{	/* Module/foreign.scm 168 */
																													goto
																														BgL_tagzd21108zd2_1321;
																												}
																										}
																									else
																										{	/* Module/foreign.scm 168 */
																											goto
																												BgL_tagzd21108zd2_1321;
																										}
																								}
																							}
																					}
																				else
																					{	/* Module/foreign.scm 168 */
																						goto BgL_tagzd21108zd2_1321;
																					}
																			}
																	}
																else
																	{	/* Module/foreign.scm 168 */
																		goto BgL_tagzd21108zd2_1321;
																	}
															}
														else
															{	/* Module/foreign.scm 168 */
																obj_t BgL_carzd21634zd2_1440;

																BgL_carzd21634zd2_1440 = CAR(BgL_externz00_31);
																if (SYMBOLP(BgL_carzd21634zd2_1440))
																	{	/* Module/foreign.scm 168 */
																		if (PAIRP(BgL_cdrzd21301zd2_1364))
																			{	/* Module/foreign.scm 168 */
																				obj_t BgL_cdrzd21642zd2_1444;

																				BgL_cdrzd21642zd2_1444 =
																					CDR(BgL_cdrzd21301zd2_1364);
																				if (PAIRP(BgL_cdrzd21642zd2_1444))
																					{	/* Module/foreign.scm 168 */
																						obj_t BgL_carzd21645zd2_1446;

																						BgL_carzd21645zd2_1446 =
																							CAR(BgL_cdrzd21642zd2_1444);
																						if (STRINGP(BgL_carzd21645zd2_1446))
																							{	/* Module/foreign.scm 168 */
																								if (NULLP(CDR
																										(BgL_cdrzd21642zd2_1444)))
																									{
																										obj_t BgL_cnz00_3653;
																										obj_t BgL_protoz00_3651;
																										obj_t BgL_idz00_3650;

																										BgL_idz00_3650 =
																											BgL_carzd21634zd2_1440;
																										BgL_protoz00_3651 =
																											CAR
																											(BgL_cdrzd21301zd2_1364);
																										BgL_cnz00_3653 =
																											BgL_carzd21645zd2_1446;
																										BgL_cnz00_1316 =
																											BgL_cnz00_3653;
																										BgL_protoz00_1315 =
																											BgL_protoz00_3651;
																										BgL_idz00_1314 =
																											BgL_idz00_3650;
																										goto BgL_tagzd21106zd2_1317;
																									}
																								else
																									{	/* Module/foreign.scm 168 */
																										goto BgL_tagzd21108zd2_1321;
																									}
																							}
																						else
																							{	/* Module/foreign.scm 168 */
																								goto BgL_tagzd21108zd2_1321;
																							}
																					}
																				else
																					{	/* Module/foreign.scm 168 */
																						obj_t BgL_cdrzd21669zd2_1453;

																						BgL_cdrzd21669zd2_1453 =
																							CDR(BgL_externz00_31);
																						{	/* Module/foreign.scm 168 */
																							obj_t BgL_carzd21677zd2_1455;

																							BgL_carzd21677zd2_1455 =
																								CAR(
																								((obj_t)
																									BgL_cdrzd21669zd2_1453));
																							if (STRINGP
																								(BgL_carzd21677zd2_1455))
																								{	/* Module/foreign.scm 168 */
																									if (NULLP(CDR(
																												((obj_t)
																													BgL_cdrzd21669zd2_1453))))
																										{
																											obj_t
																												BgL_czd2namezd2_3664;
																											obj_t BgL_idz00_3663;

																											BgL_idz00_3663 =
																												BgL_carzd21634zd2_1440;
																											BgL_czd2namezd2_3664 =
																												BgL_carzd21677zd2_1455;
																											BgL_czd2namezd2_1319 =
																												BgL_czd2namezd2_3664;
																											BgL_idz00_1318 =
																												BgL_idz00_3663;
																											goto
																												BgL_tagzd21107zd2_1320;
																										}
																									else
																										{	/* Module/foreign.scm 168 */
																											goto
																												BgL_tagzd21108zd2_1321;
																										}
																								}
																							else
																								{	/* Module/foreign.scm 168 */
																									goto BgL_tagzd21108zd2_1321;
																								}
																						}
																					}
																			}
																		else
																			{	/* Module/foreign.scm 168 */
																				goto BgL_tagzd21108zd2_1321;
																			}
																	}
																else
																	{	/* Module/foreign.scm 168 */
																		goto BgL_tagzd21108zd2_1321;
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Module/foreign.scm 168 */
						goto BgL_tagzd21108zd2_1321;
					}
			}
		}

	}



/* parse-c-foreign-type */
	obj_t BGl_parsezd2czd2foreignzd2typezd2zzmodule_foreignz00(obj_t
		BgL_typez00_33)
	{
		{	/* Module/foreign.scm 220 */
			{
				obj_t BgL_idz00_1519;
				obj_t BgL_tzd2expzd2_1520;
				obj_t BgL_namez00_1521;

				if (PAIRP(BgL_typez00_33))
					{	/* Module/foreign.scm 221 */
						obj_t BgL_cdrzd21753zd2_1526;

						BgL_cdrzd21753zd2_1526 = CDR(BgL_typez00_33);
						if ((CAR(BgL_typez00_33) == CNST_TABLE_REF(((long) 5))))
							{	/* Module/foreign.scm 221 */
								if (PAIRP(BgL_cdrzd21753zd2_1526))
									{	/* Module/foreign.scm 221 */
										obj_t BgL_carzd21756zd2_1530;
										obj_t BgL_cdrzd21757zd2_1531;

										BgL_carzd21756zd2_1530 = CAR(BgL_cdrzd21753zd2_1526);
										BgL_cdrzd21757zd2_1531 = CDR(BgL_cdrzd21753zd2_1526);
										if (SYMBOLP(BgL_carzd21756zd2_1530))
											{	/* Module/foreign.scm 221 */
												if (PAIRP(BgL_cdrzd21757zd2_1531))
													{	/* Module/foreign.scm 221 */
														obj_t BgL_carzd21762zd2_1534;

														BgL_carzd21762zd2_1534 =
															CAR(BgL_cdrzd21757zd2_1531);
														if (STRINGP(BgL_carzd21762zd2_1534))
															{	/* Module/foreign.scm 221 */
																if (NULLP(CDR(BgL_cdrzd21757zd2_1531)))
																	{	/* Module/foreign.scm 221 */
																		return
																			((obj_t)
																			BGl_declarezd2typez12zc0zztype_envz00
																			(BgL_carzd21756zd2_1530,
																				BgL_carzd21762zd2_1534,
																				CNST_TABLE_REF(((long) 9))));
																	}
																else
																	{	/* Module/foreign.scm 221 */
																		obj_t BgL_carzd21782zd2_1539;
																		obj_t BgL_cdrzd21783zd2_1540;

																		BgL_carzd21782zd2_1539 =
																			CAR(((obj_t) BgL_cdrzd21753zd2_1526));
																		BgL_cdrzd21783zd2_1540 =
																			CDR(((obj_t) BgL_cdrzd21753zd2_1526));
																		if (SYMBOLP(BgL_carzd21782zd2_1539))
																			{	/* Module/foreign.scm 221 */
																				obj_t BgL_cdrzd21793zd2_1542;

																				BgL_cdrzd21793zd2_1542 =
																					CDR(((obj_t) BgL_cdrzd21783zd2_1540));
																				if (PAIRP(BgL_cdrzd21793zd2_1542))
																					{	/* Module/foreign.scm 221 */
																						obj_t BgL_carzd21797zd2_1544;

																						BgL_carzd21797zd2_1544 =
																							CAR(BgL_cdrzd21793zd2_1542);
																						if (STRINGP(BgL_carzd21797zd2_1544))
																							{	/* Module/foreign.scm 221 */
																								if (NULLP(CDR
																										(BgL_cdrzd21793zd2_1542)))
																									{	/* Module/foreign.scm 221 */
																										obj_t BgL_arg1882z00_1548;

																										BgL_arg1882z00_1548 =
																											CAR(
																											((obj_t)
																												BgL_cdrzd21783zd2_1540));
																										BgL_idz00_1519 =
																											BgL_carzd21782zd2_1539;
																										BgL_tzd2expzd2_1520 =
																											BgL_arg1882z00_1548;
																										BgL_namez00_1521 =
																											BgL_carzd21797zd2_1544;
																									BgL_tagzd21744zd2_1522:
																										if (BGl_checkzd2czd2foreignzd2typezd2expzf3zf3zzmodule_foreignz00(BgL_tzd2expzd2_1520))
																											{	/* Module/foreign.scm 226 */
																												obj_t BgL_ctypez00_1578;
																												obj_t BgL_locz00_1579;

																												BgL_ctypez00_1578 =
																													BGl_declarezd2czd2typez12z12zzforeign_ctypez00
																													(BgL_typez00_33,
																													BgL_idz00_1519,
																													BgL_tzd2expzd2_1520,
																													BgL_namez00_1521);
																												BgL_locz00_1579 =
																													BGl_findzd2locationzd2zztools_locationz00
																													(BgL_typez00_33);
																												{	/* Module/foreign.scm 230 */
																													bool_t
																														BgL_test2519z00_3711;
																													{	/* Module/foreign.scm 230 */
																														obj_t
																															BgL_classz00_2449;
																														BgL_classz00_2449 =
																															BGl_typez00zztype_typez00;
																														if (BGL_OBJECTP
																															(BgL_ctypez00_1578))
																															{	/* Module/foreign.scm 230 */
																																BgL_objectz00_bglt
																																	BgL_arg1825z00_2451;
																																BgL_arg1825z00_2451
																																	=
																																	(BgL_objectz00_bglt)
																																	(BgL_ctypez00_1578);
																																{	/* Module/foreign.scm 230 */
																																	bool_t
																																		BgL_arg1822z00_2454;
																																	bool_t
																																		BgL_arg1823z00_2455;
																																	{	/* Module/foreign.scm 230 */
																																		long
																																			BgL_idxz00_2458;
																																		BgL_idxz00_2458
																																			=
																																			BGL_OBJECT_INHERITANCE_NUM
																																			(BgL_arg1825z00_2451);
																																		BgL_arg1822z00_2454
																																			=
																																			(VECTOR_REF
																																			(BGl_za2inheritancesza2z00zz__objectz00,
																																				(BgL_idxz00_2458
																																					+
																																					((long) 1))) == BgL_classz00_2449);
																																	}
																																	{	/* Module/foreign.scm 230 */
																																		bool_t
																																			BgL_res2330z00_2480;
																																		{	/* Module/foreign.scm 230 */
																																			obj_t
																																				BgL_oclassz00_2466;
																																			{	/* Module/foreign.scm 230 */
																																				long
																																					BgL_arg1833z00_2472;
																																				{	/* Module/foreign.scm 230 */
																																					long
																																						BgL_arg1834z00_2473;
																																					BgL_arg1834z00_2473
																																						=
																																						BGL_OBJECT_CLASS_NUM
																																						(BgL_arg1825z00_2451);
																																					BgL_arg1833z00_2472
																																						=
																																						(BgL_arg1834z00_2473
																																						-
																																						OBJECT_TYPE);
																																				}
																																				BgL_oclassz00_2466
																																					=
																																					VECTOR_REF
																																					(BGl_za2classesza2z00zz__objectz00,
																																					BgL_arg1833z00_2472);
																																			}
																																			{	/* Module/foreign.scm 230 */
																																				bool_t
																																					BgL__ortest_1110z00_2467;
																																				BgL__ortest_1110z00_2467
																																					=
																																					(BgL_classz00_2449
																																					==
																																					BgL_oclassz00_2466);
																																				if (BgL__ortest_1110z00_2467)
																																					{	/* Module/foreign.scm 230 */
																																						BgL_res2330z00_2480
																																							=
																																							BgL__ortest_1110z00_2467;
																																					}
																																				else
																																					{	/* Module/foreign.scm 230 */
																																						long
																																							BgL_odepthz00_2468;
																																						BgL_odepthz00_2468
																																							=
																																							BGL_CLASS_DEPTH
																																							(BgL_oclassz00_2466);
																																						if (
																																							(((long) 1) < BgL_odepthz00_2468))
																																							{	/* Module/foreign.scm 230 */
																																								obj_t
																																									BgL_arg1821z00_2470;
																																								BgL_arg1821z00_2470
																																									=
																																									BGL_CLASS_ANCESTORS_REF
																																									(BgL_oclassz00_2466,
																																									((long) 1));
																																								BgL_res2330z00_2480
																																									=
																																									(BgL_arg1821z00_2470
																																									==
																																									BgL_classz00_2449);
																																							}
																																						else
																																							{	/* Module/foreign.scm 230 */
																																								BgL_res2330z00_2480
																																									=
																																									(
																																									(bool_t)
																																									0);
																																							}
																																					}
																																			}
																																		}
																																		BgL_arg1823z00_2455
																																			=
																																			BgL_res2330z00_2480;
																																	}
																																	BgL_test2519z00_3711
																																		=
																																		BGL_ISA_C_BACKEND
																																		(BgL_arg1822z00_2454,
																																		BgL_arg1823z00_2455);
																																}
																															}
																														else
																															{	/* Module/foreign.scm 230 */
																																BgL_test2519z00_3711
																																	=
																																	((bool_t) 0);
																															}
																													}
																													if (BgL_test2519z00_3711)
																														{	/* Module/foreign.scm 231 */
																															obj_t
																																BgL_accessesz00_1581;
																															BgL_accessesz00_1581
																																=
																																BGl_makezd2ctypezd2accessesz12z12zzforeign_accessz00
																																(((BgL_typez00_bglt) BgL_ctypez00_1578), ((BgL_typez00_bglt) BgL_ctypez00_1578), BgL_locz00_1579);
																															BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00
																																=
																																BGl_appendzd221011zd2zzmodule_foreignz00
																																(((obj_t)
																																	BgL_accessesz00_1581),
																																BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00);
																															{	/* Module/foreign.scm 236 */
																																bool_t
																																	BgL_test2523z00_3735;
																																{	/* Module/foreign.scm 236 */
																																	bool_t
																																		BgL_test2524z00_3736;
																																	{	/* Module/foreign.scm 236 */
																																		obj_t
																																			BgL_classz00_2482;
																																		BgL_classz00_2482
																																			=
																																			BGl_caliasz00zzforeign_ctypez00;
																																		if (BGL_OBJECTP(BgL_ctypez00_1578))
																																			{	/* Module/foreign.scm 236 */
																																				BgL_objectz00_bglt
																																					BgL_arg1825z00_2484;
																																				BgL_arg1825z00_2484
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_ctypez00_1578);
																																				{	/* Module/foreign.scm 236 */
																																					bool_t
																																						BgL_arg1822z00_2487;
																																					bool_t
																																						BgL_arg1823z00_2488;
																																					{	/* Module/foreign.scm 236 */
																																						long
																																							BgL_idxz00_2491;
																																						BgL_idxz00_2491
																																							=
																																							BGL_OBJECT_INHERITANCE_NUM
																																							(BgL_arg1825z00_2484);
																																						BgL_arg1822z00_2487
																																							=
																																							(VECTOR_REF
																																							(BGl_za2inheritancesza2z00zz__objectz00,
																																								(BgL_idxz00_2491
																																									+
																																									((long) 2))) == BgL_classz00_2482);
																																					}
																																					{	/* Module/foreign.scm 236 */
																																						bool_t
																																							BgL_res2331z00_2513;
																																						{	/* Module/foreign.scm 236 */
																																							obj_t
																																								BgL_oclassz00_2499;
																																							{	/* Module/foreign.scm 236 */
																																								long
																																									BgL_arg1833z00_2505;
																																								{	/* Module/foreign.scm 236 */
																																									long
																																										BgL_arg1834z00_2506;
																																									BgL_arg1834z00_2506
																																										=
																																										BGL_OBJECT_CLASS_NUM
																																										(BgL_arg1825z00_2484);
																																									BgL_arg1833z00_2505
																																										=
																																										(BgL_arg1834z00_2506
																																										-
																																										OBJECT_TYPE);
																																								}
																																								BgL_oclassz00_2499
																																									=
																																									VECTOR_REF
																																									(BGl_za2classesza2z00zz__objectz00,
																																									BgL_arg1833z00_2505);
																																							}
																																							{	/* Module/foreign.scm 236 */
																																								bool_t
																																									BgL__ortest_1110z00_2500;
																																								BgL__ortest_1110z00_2500
																																									=
																																									(BgL_classz00_2482
																																									==
																																									BgL_oclassz00_2499);
																																								if (BgL__ortest_1110z00_2500)
																																									{	/* Module/foreign.scm 236 */
																																										BgL_res2331z00_2513
																																											=
																																											BgL__ortest_1110z00_2500;
																																									}
																																								else
																																									{	/* Module/foreign.scm 236 */
																																										long
																																											BgL_odepthz00_2501;
																																										BgL_odepthz00_2501
																																											=
																																											BGL_CLASS_DEPTH
																																											(BgL_oclassz00_2499);
																																										if ((((long) 2) < BgL_odepthz00_2501))
																																											{	/* Module/foreign.scm 236 */
																																												obj_t
																																													BgL_arg1821z00_2503;
																																												BgL_arg1821z00_2503
																																													=
																																													BGL_CLASS_ANCESTORS_REF
																																													(BgL_oclassz00_2499,
																																													((long) 2));
																																												BgL_res2331z00_2513
																																													=
																																													(BgL_arg1821z00_2503
																																													==
																																													BgL_classz00_2482);
																																											}
																																										else
																																											{	/* Module/foreign.scm 236 */
																																												BgL_res2331z00_2513
																																													=
																																													(
																																													(bool_t)
																																													0);
																																											}
																																									}
																																							}
																																						}
																																						BgL_arg1823z00_2488
																																							=
																																							BgL_res2331z00_2513;
																																					}
																																					BgL_test2524z00_3736
																																						=
																																						BGL_ISA_C_BACKEND
																																						(BgL_arg1822z00_2487,
																																						BgL_arg1823z00_2488);
																																				}
																																			}
																																		else
																																			{	/* Module/foreign.scm 236 */
																																				BgL_test2524z00_3736
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																																	if (BgL_test2524z00_3736)
																																		{	/* Module/foreign.scm 236 */
																																			obj_t
																																				BgL_arg1925z00_1599;
																																			BgL_arg1925z00_1599
																																				=
																																				(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) BgL_ctypez00_1578)))->BgL_aliasz00);
																																			{	/* Module/foreign.scm 236 */
																																				obj_t
																																					BgL_classz00_2515;
																																				BgL_classz00_2515
																																					=
																																					BGl_cstructz00zzforeign_ctypez00;
																																				if (BGL_OBJECTP(BgL_arg1925z00_1599))
																																					{	/* Module/foreign.scm 236 */
																																						BgL_objectz00_bglt
																																							BgL_arg1825z00_2517;
																																						BgL_arg1825z00_2517
																																							=
																																							(BgL_objectz00_bglt)
																																							(BgL_arg1925z00_1599);
																																						{	/* Module/foreign.scm 236 */
																																							bool_t
																																								BgL_arg1822z00_2520;
																																							bool_t
																																								BgL_arg1823z00_2521;
																																							{	/* Module/foreign.scm 236 */
																																								long
																																									BgL_idxz00_2524;
																																								BgL_idxz00_2524
																																									=
																																									BGL_OBJECT_INHERITANCE_NUM
																																									(BgL_arg1825z00_2517);
																																								BgL_arg1822z00_2520
																																									=
																																									(VECTOR_REF
																																									(BGl_za2inheritancesza2z00zz__objectz00,
																																										(BgL_idxz00_2524
																																											+
																																											((long) 2))) == BgL_classz00_2515);
																																							}
																																							{	/* Module/foreign.scm 236 */
																																								bool_t
																																									BgL_res2332z00_2546;
																																								{	/* Module/foreign.scm 236 */
																																									obj_t
																																										BgL_oclassz00_2532;
																																									{	/* Module/foreign.scm 236 */
																																										long
																																											BgL_arg1833z00_2538;
																																										{	/* Module/foreign.scm 236 */
																																											long
																																												BgL_arg1834z00_2539;
																																											BgL_arg1834z00_2539
																																												=
																																												BGL_OBJECT_CLASS_NUM
																																												(BgL_arg1825z00_2517);
																																											BgL_arg1833z00_2538
																																												=
																																												(BgL_arg1834z00_2539
																																												-
																																												OBJECT_TYPE);
																																										}
																																										BgL_oclassz00_2532
																																											=
																																											VECTOR_REF
																																											(BGl_za2classesza2z00zz__objectz00,
																																											BgL_arg1833z00_2538);
																																									}
																																									{	/* Module/foreign.scm 236 */
																																										bool_t
																																											BgL__ortest_1110z00_2533;
																																										BgL__ortest_1110z00_2533
																																											=
																																											(BgL_classz00_2515
																																											==
																																											BgL_oclassz00_2532);
																																										if (BgL__ortest_1110z00_2533)
																																											{	/* Module/foreign.scm 236 */
																																												BgL_res2332z00_2546
																																													=
																																													BgL__ortest_1110z00_2533;
																																											}
																																										else
																																											{	/* Module/foreign.scm 236 */
																																												long
																																													BgL_odepthz00_2534;
																																												BgL_odepthz00_2534
																																													=
																																													BGL_CLASS_DEPTH
																																													(BgL_oclassz00_2532);
																																												if ((((long) 2) < BgL_odepthz00_2534))
																																													{	/* Module/foreign.scm 236 */
																																														obj_t
																																															BgL_arg1821z00_2536;
																																														BgL_arg1821z00_2536
																																															=
																																															BGL_CLASS_ANCESTORS_REF
																																															(BgL_oclassz00_2532,
																																															((long) 2));
																																														BgL_res2332z00_2546
																																															=
																																															(BgL_arg1821z00_2536
																																															==
																																															BgL_classz00_2515);
																																													}
																																												else
																																													{	/* Module/foreign.scm 236 */
																																														BgL_res2332z00_2546
																																															=
																																															(
																																															(bool_t)
																																															0);
																																													}
																																											}
																																									}
																																								}
																																								BgL_arg1823z00_2521
																																									=
																																									BgL_res2332z00_2546;
																																							}
																																							BgL_test2523z00_3735
																																								=
																																								BGL_ISA_C_BACKEND
																																								(BgL_arg1822z00_2520,
																																								BgL_arg1823z00_2521);
																																						}
																																					}
																																				else
																																					{	/* Module/foreign.scm 236 */
																																						BgL_test2523z00_3735
																																							=
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																		}
																																	else
																																		{	/* Module/foreign.scm 236 */
																																			BgL_test2523z00_3735
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																																if (BgL_test2523z00_3735)
																																	{	/* Module/foreign.scm 238 */
																																		obj_t
																																			BgL_arg1910z00_1585;
																																		{	/* Module/foreign.scm 238 */
																																			obj_t
																																				BgL_arg1911z00_1586;
																																			{	/* Module/foreign.scm 238 */
																																				obj_t
																																					BgL_arg1912z00_1587;
																																				obj_t
																																					BgL_arg1913z00_1588;
																																				{	/* Module/foreign.scm 238 */
																																					obj_t
																																						BgL_arg1914z00_1589;
																																					{	/* Module/foreign.scm 238 */
																																						obj_t
																																							BgL_arg1916z00_1590;
																																						obj_t
																																							BgL_arg1917z00_1591;
																																						{	/* Module/foreign.scm 238 */
																																							obj_t
																																								BgL_arg1463z00_2548;
																																							BgL_arg1463z00_2548
																																								=
																																								SYMBOL_TO_STRING
																																								(BgL_idz00_1519);
																																							BgL_arg1916z00_1590
																																								=
																																								BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																								(BgL_arg1463z00_2548);
																																						}
																																						{	/* Module/foreign.scm 238 */
																																							obj_t
																																								BgL_symbolz00_2549;
																																							BgL_symbolz00_2549
																																								=
																																								CNST_TABLE_REF
																																								(
																																								((long) 8));
																																							{	/* Module/foreign.scm 238 */
																																								obj_t
																																									BgL_arg1463z00_2550;
																																								BgL_arg1463z00_2550
																																									=
																																									SYMBOL_TO_STRING
																																									(BgL_symbolz00_2549);
																																								BgL_arg1917z00_1591
																																									=
																																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																									(BgL_arg1463z00_2550);
																																						}}
																																						BgL_arg1914z00_1589
																																							=
																																							string_append
																																							(BgL_arg1916z00_1590,
																																							BgL_arg1917z00_1591);
																																					}
																																					BgL_arg1912z00_1587
																																						=
																																						bstring_to_symbol
																																						(BgL_arg1914z00_1589);
																																				}
																																				{	/* Module/foreign.scm 239 */
																																					obj_t
																																						BgL_arg1918z00_1592;
																																					obj_t
																																						BgL_arg1919z00_1593;
																																					{	/* Module/foreign.scm 239 */
																																						obj_t
																																							BgL_arg1920z00_1594;
																																						{	/* Module/foreign.scm 239 */
																																							obj_t
																																								BgL_arg1922z00_1595;
																																							obj_t
																																								BgL_arg1923z00_1596;
																																							{	/* Module/foreign.scm 239 */
																																								obj_t
																																									BgL_arg1463z00_2553;
																																								BgL_arg1463z00_2553
																																									=
																																									SYMBOL_TO_STRING
																																									(
																																									((obj_t) BgL_tzd2expzd2_1520));
																																								BgL_arg1922z00_1595
																																									=
																																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																									(BgL_arg1463z00_2553);
																																							}
																																							{	/* Module/foreign.scm 239 */
																																								obj_t
																																									BgL_symbolz00_2554;
																																								BgL_symbolz00_2554
																																									=
																																									CNST_TABLE_REF
																																									(
																																									((long) 8));
																																								{	/* Module/foreign.scm 239 */
																																									obj_t
																																										BgL_arg1463z00_2555;
																																									BgL_arg1463z00_2555
																																										=
																																										SYMBOL_TO_STRING
																																										(BgL_symbolz00_2554);
																																									BgL_arg1923z00_1596
																																										=
																																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																										(BgL_arg1463z00_2555);
																																							}}
																																							BgL_arg1920z00_1594
																																								=
																																								string_append
																																								(BgL_arg1922z00_1595,
																																								BgL_arg1923z00_1596);
																																						}
																																						BgL_arg1918z00_1592
																																							=
																																							bstring_to_symbol
																																							(BgL_arg1920z00_1594);
																																					}
																																					{	/* Module/foreign.scm 240 */
																																						obj_t
																																							BgL_arg1924z00_1597;
																																						BgL_arg1924z00_1597
																																							=
																																							BGl_makezd2pointerzd2tozd2namezd2zztype_toolsz00
																																							(((BgL_typez00_bglt) BgL_ctypez00_1578));
																																						BgL_arg1919z00_1593
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_arg1924z00_1597,
																																							BNIL);
																																					}
																																					BgL_arg1913z00_1588
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg1918z00_1592,
																																						BgL_arg1919z00_1593);
																																				}
																																				BgL_arg1911z00_1586
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg1912z00_1587,
																																					BgL_arg1913z00_1588);
																																			}
																																			BgL_arg1910z00_1585
																																				=
																																				MAKE_YOUNG_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						5)),
																																				BgL_arg1911z00_1586);
																																		}
																																		BGl_parsezd2czd2foreignzd2typezd2zzmodule_foreignz00
																																			(BgL_arg1910z00_1585);
																																	}
																																else
																																	{	/* Module/foreign.scm 236 */
																																		BFALSE;
																																	}
																															}
																														}
																													else
																														{	/* Module/foreign.scm 230 */
																															BFALSE;
																														}
																												}
																												return BUNSPEC;
																											}
																										else
																											{	/* Module/foreign.scm 242 */
																												obj_t
																													BgL_list1926z00_1600;
																												BgL_list1926z00_1600 =
																													MAKE_YOUNG_PAIR(BNIL,
																													BNIL);
																												return
																													BGl_userzd2errorzd2zztools_errorz00
																													(BGl_string2343z00zzmodule_foreignz00,
																													BGl_string2352z00zzmodule_foreignz00,
																													BgL_typez00_33,
																													BgL_list1926z00_1600);
																											}
																									}
																								else
																									{	/* Module/foreign.scm 221 */
																									BgL_tagzd21745zd2_1523:
																										{	/* Module/foreign.scm 244 */
																											obj_t
																												BgL_list1927z00_1601;
																											BgL_list1927z00_1601 =
																												MAKE_YOUNG_PAIR(BNIL,
																												BNIL);
																											return
																												BGl_userzd2errorzd2zztools_errorz00
																												(BGl_string2343z00zzmodule_foreignz00,
																												BGl_string2352z00zzmodule_foreignz00,
																												BgL_typez00_33,
																												BgL_list1927z00_1601);
																										}
																									}
																							}
																						else
																							{	/* Module/foreign.scm 221 */
																								goto BgL_tagzd21745zd2_1523;
																							}
																					}
																				else
																					{	/* Module/foreign.scm 221 */
																						goto BgL_tagzd21745zd2_1523;
																					}
																			}
																		else
																			{	/* Module/foreign.scm 221 */
																				goto BgL_tagzd21745zd2_1523;
																			}
																	}
															}
														else
															{	/* Module/foreign.scm 221 */
																obj_t BgL_carzd21815zd2_1552;
																obj_t BgL_cdrzd21816zd2_1553;

																BgL_carzd21815zd2_1552 =
																	CAR(((obj_t) BgL_cdrzd21753zd2_1526));
																BgL_cdrzd21816zd2_1553 =
																	CDR(((obj_t) BgL_cdrzd21753zd2_1526));
																if (SYMBOLP(BgL_carzd21815zd2_1552))
																	{	/* Module/foreign.scm 221 */
																		obj_t BgL_cdrzd21825zd2_1555;

																		BgL_cdrzd21825zd2_1555 =
																			CDR(((obj_t) BgL_cdrzd21816zd2_1553));
																		if (PAIRP(BgL_cdrzd21825zd2_1555))
																			{	/* Module/foreign.scm 221 */
																				obj_t BgL_carzd21828zd2_1557;

																				BgL_carzd21828zd2_1557 =
																					CAR(BgL_cdrzd21825zd2_1555);
																				if (STRINGP(BgL_carzd21828zd2_1557))
																					{	/* Module/foreign.scm 221 */
																						if (NULLP(CDR
																								(BgL_cdrzd21825zd2_1555)))
																							{	/* Module/foreign.scm 221 */
																								obj_t BgL_arg1890z00_1561;

																								BgL_arg1890z00_1561 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd21816zd2_1553));
																								{
																									obj_t BgL_namez00_3822;
																									obj_t BgL_tzd2expzd2_3821;
																									obj_t BgL_idz00_3820;

																									BgL_idz00_3820 =
																										BgL_carzd21815zd2_1552;
																									BgL_tzd2expzd2_3821 =
																										BgL_arg1890z00_1561;
																									BgL_namez00_3822 =
																										BgL_carzd21828zd2_1557;
																									BgL_namez00_1521 =
																										BgL_namez00_3822;
																									BgL_tzd2expzd2_1520 =
																										BgL_tzd2expzd2_3821;
																									BgL_idz00_1519 =
																										BgL_idz00_3820;
																									goto BgL_tagzd21744zd2_1522;
																								}
																							}
																						else
																							{	/* Module/foreign.scm 221 */
																								goto BgL_tagzd21745zd2_1523;
																							}
																					}
																				else
																					{	/* Module/foreign.scm 221 */
																						goto BgL_tagzd21745zd2_1523;
																					}
																			}
																		else
																			{	/* Module/foreign.scm 221 */
																				goto BgL_tagzd21745zd2_1523;
																			}
																	}
																else
																	{	/* Module/foreign.scm 221 */
																		goto BgL_tagzd21745zd2_1523;
																	}
															}
													}
												else
													{	/* Module/foreign.scm 221 */
														goto BgL_tagzd21745zd2_1523;
													}
											}
										else
											{	/* Module/foreign.scm 221 */
												obj_t BgL_carzd21851zd2_1564;
												obj_t BgL_cdrzd21852zd2_1565;

												BgL_carzd21851zd2_1564 =
													CAR(((obj_t) BgL_cdrzd21753zd2_1526));
												BgL_cdrzd21852zd2_1565 =
													CDR(((obj_t) BgL_cdrzd21753zd2_1526));
												if (SYMBOLP(BgL_carzd21851zd2_1564))
													{	/* Module/foreign.scm 221 */
														if (PAIRP(BgL_cdrzd21852zd2_1565))
															{	/* Module/foreign.scm 221 */
																obj_t BgL_cdrzd21859zd2_1568;

																BgL_cdrzd21859zd2_1568 =
																	CDR(BgL_cdrzd21852zd2_1565);
																if (PAIRP(BgL_cdrzd21859zd2_1568))
																	{	/* Module/foreign.scm 221 */
																		obj_t BgL_carzd21862zd2_1570;

																		BgL_carzd21862zd2_1570 =
																			CAR(BgL_cdrzd21859zd2_1568);
																		if (STRINGP(BgL_carzd21862zd2_1570))
																			{	/* Module/foreign.scm 221 */
																				if (NULLP(CDR(BgL_cdrzd21859zd2_1568)))
																					{
																						obj_t BgL_namez00_3843;
																						obj_t BgL_tzd2expzd2_3841;
																						obj_t BgL_idz00_3840;

																						BgL_idz00_3840 =
																							BgL_carzd21851zd2_1564;
																						BgL_tzd2expzd2_3841 =
																							CAR(BgL_cdrzd21852zd2_1565);
																						BgL_namez00_3843 =
																							BgL_carzd21862zd2_1570;
																						BgL_namez00_1521 = BgL_namez00_3843;
																						BgL_tzd2expzd2_1520 =
																							BgL_tzd2expzd2_3841;
																						BgL_idz00_1519 = BgL_idz00_3840;
																						goto BgL_tagzd21744zd2_1522;
																					}
																				else
																					{	/* Module/foreign.scm 221 */
																						goto BgL_tagzd21745zd2_1523;
																					}
																			}
																		else
																			{	/* Module/foreign.scm 221 */
																				goto BgL_tagzd21745zd2_1523;
																			}
																	}
																else
																	{	/* Module/foreign.scm 221 */
																		goto BgL_tagzd21745zd2_1523;
																	}
															}
														else
															{	/* Module/foreign.scm 221 */
																goto BgL_tagzd21745zd2_1523;
															}
													}
												else
													{	/* Module/foreign.scm 221 */
														goto BgL_tagzd21745zd2_1523;
													}
											}
									}
								else
									{	/* Module/foreign.scm 221 */
										goto BgL_tagzd21745zd2_1523;
									}
							}
						else
							{	/* Module/foreign.scm 221 */
								goto BgL_tagzd21745zd2_1523;
							}
					}
				else
					{	/* Module/foreign.scm 221 */
						goto BgL_tagzd21745zd2_1523;
					}
			}
		}

	}



/* check-c-foreign-type-exp? */
	bool_t BGl_checkzd2czd2foreignzd2typezd2expzf3zf3zzmodule_foreignz00(obj_t
		BgL_tzd2expzd2_34)
	{
		{	/* Module/foreign.scm 249 */
			{
				obj_t BgL_slotsz00_1611;
				obj_t BgL_slotsz00_1603;

				if (SYMBOLP(BgL_tzd2expzd2_34))
					{	/* Module/foreign.scm 250 */
						return ((bool_t) 1);
					}
				else
					{	/* Module/foreign.scm 250 */
						if (PAIRP(BgL_tzd2expzd2_34))
							{	/* Module/foreign.scm 250 */
								obj_t BgL_carzd21900zd2_1617;
								obj_t BgL_cdrzd21901zd2_1618;

								BgL_carzd21900zd2_1617 = CAR(BgL_tzd2expzd2_34);
								BgL_cdrzd21901zd2_1618 = CDR(BgL_tzd2expzd2_34);
								if ((BgL_carzd21900zd2_1617 == CNST_TABLE_REF(((long) 10))))
									{	/* Module/foreign.scm 250 */
										BgL_slotsz00_1603 = BgL_cdrzd21901zd2_1618;
									BgL_tagzd21886zd2_1604:
										{
											obj_t BgL_slotsz00_1754;

											BgL_slotsz00_1754 = BgL_slotsz00_1603;
										BgL_zc3z04anonymousza32048ze3z87_1755:
											if (NULLP(BgL_slotsz00_1754))
												{	/* Module/foreign.scm 255 */
													return ((bool_t) 1);
												}
											else
												{

													{	/* Module/foreign.scm 257 */
														obj_t BgL_ezd22154zd2_1759;

														BgL_ezd22154zd2_1759 =
															CAR(((obj_t) BgL_slotsz00_1754));
														if (PAIRP(BgL_ezd22154zd2_1759))
															{	/* Module/foreign.scm 257 */
																obj_t BgL_cdrzd22156zd2_1761;

																BgL_cdrzd22156zd2_1761 =
																	CDR(BgL_ezd22154zd2_1759);
																{	/* Module/foreign.scm 257 */
																	bool_t BgL_test2545z00_3860;

																	{	/* Module/foreign.scm 257 */
																		obj_t BgL_tmpz00_3861;

																		BgL_tmpz00_3861 = CAR(BgL_ezd22154zd2_1759);
																		BgL_test2545z00_3860 =
																			SYMBOLP(BgL_tmpz00_3861);
																	}
																	if (BgL_test2545z00_3860)
																		{	/* Module/foreign.scm 257 */
																			if (PAIRP(BgL_cdrzd22156zd2_1761))
																				{	/* Module/foreign.scm 257 */
																					obj_t BgL_cdrzd22158zd2_1765;

																					BgL_cdrzd22158zd2_1765 =
																						CDR(BgL_cdrzd22156zd2_1761);
																					{	/* Module/foreign.scm 257 */
																						bool_t BgL_test2547z00_3867;

																						{	/* Module/foreign.scm 257 */
																							obj_t BgL_tmpz00_3868;

																							BgL_tmpz00_3868 =
																								CAR(BgL_cdrzd22156zd2_1761);
																							BgL_test2547z00_3867 =
																								SYMBOLP(BgL_tmpz00_3868);
																						}
																						if (BgL_test2547z00_3867)
																							{	/* Module/foreign.scm 257 */
																								if (PAIRP
																									(BgL_cdrzd22158zd2_1765))
																									{	/* Module/foreign.scm 257 */
																										bool_t BgL_test2549z00_3873;

																										{	/* Module/foreign.scm 257 */
																											obj_t BgL_tmpz00_3874;

																											BgL_tmpz00_3874 =
																												CAR
																												(BgL_cdrzd22158zd2_1765);
																											BgL_test2549z00_3873 =
																												STRINGP
																												(BgL_tmpz00_3874);
																										}
																										if (BgL_test2549z00_3873)
																											{	/* Module/foreign.scm 257 */
																												if (NULLP(CDR
																														(BgL_cdrzd22158zd2_1765)))
																													{	/* Module/foreign.scm 257 */
																														{
																															obj_t
																																BgL_slotsz00_3880;
																															BgL_slotsz00_3880
																																=
																																CDR(((obj_t)
																																	BgL_slotsz00_1754));
																															BgL_slotsz00_1754
																																=
																																BgL_slotsz00_3880;
																															goto
																																BgL_zc3z04anonymousza32048ze3z87_1755;
																														}
																													}
																												else
																													{	/* Module/foreign.scm 257 */
																														return ((bool_t) 0);
																													}
																											}
																										else
																											{	/* Module/foreign.scm 257 */
																												return ((bool_t) 0);
																											}
																									}
																								else
																									{	/* Module/foreign.scm 257 */
																										return ((bool_t) 0);
																									}
																							}
																						else
																							{	/* Module/foreign.scm 257 */
																								return ((bool_t) 0);
																							}
																					}
																				}
																			else
																				{	/* Module/foreign.scm 257 */
																					return ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Module/foreign.scm 257 */
																			return ((bool_t) 0);
																		}
																}
															}
														else
															{	/* Module/foreign.scm 257 */
																return ((bool_t) 0);
															}
													}
												}
										}
									}
								else
									{	/* Module/foreign.scm 250 */
										if ((BgL_carzd21900zd2_1617 == CNST_TABLE_REF(((long) 11))))
											{
												obj_t BgL_slotsz00_3886;

												BgL_slotsz00_3886 = BgL_cdrzd21901zd2_1618;
												BgL_slotsz00_1603 = BgL_slotsz00_3886;
												goto BgL_tagzd21886zd2_1604;
											}
										else
											{	/* Module/foreign.scm 250 */
												if (
													(BgL_carzd21900zd2_1617 ==
														CNST_TABLE_REF(((long) 12))))
													{	/* Module/foreign.scm 250 */
														return NULLP(CDR(BgL_tzd2expzd2_34));
													}
												else
													{	/* Module/foreign.scm 250 */
														obj_t BgL_cdrzd21948zd2_1635;

														BgL_cdrzd21948zd2_1635 = CDR(BgL_tzd2expzd2_34);
														if (
															(CAR(BgL_tzd2expzd2_34) ==
																CNST_TABLE_REF(((long) 13))))
															{	/* Module/foreign.scm 250 */
																if (PAIRP(BgL_cdrzd21948zd2_1635))
																	{	/* Module/foreign.scm 250 */
																		bool_t BgL_test2555z00_3899;

																		{	/* Module/foreign.scm 250 */
																			obj_t BgL_tmpz00_3900;

																			BgL_tmpz00_3900 =
																				CAR(BgL_cdrzd21948zd2_1635);
																			BgL_test2555z00_3899 =
																				SYMBOLP(BgL_tmpz00_3900);
																		}
																		if (BgL_test2555z00_3899)
																			{	/* Module/foreign.scm 250 */
																				return
																					NULLP(CDR(BgL_cdrzd21948zd2_1635));
																			}
																		else
																			{	/* Module/foreign.scm 250 */
																				return ((bool_t) 0);
																			}
																	}
																else
																	{	/* Module/foreign.scm 250 */
																		return ((bool_t) 0);
																	}
															}
														else
															{	/* Module/foreign.scm 250 */
																obj_t BgL_carzd21999zd2_1653;

																BgL_carzd21999zd2_1653 = CAR(BgL_tzd2expzd2_34);
																{

																	if (
																		(BgL_carzd21999zd2_1653 ==
																			CNST_TABLE_REF(((long) 17))))
																		{	/* Module/foreign.scm 250 */
																		BgL_kapzd22001zd2_1655:
																			if (PAIRP(BgL_cdrzd21948zd2_1635))
																				{	/* Module/foreign.scm 250 */
																					bool_t BgL_test2558z00_3911;

																					{	/* Module/foreign.scm 250 */
																						obj_t BgL_tmpz00_3912;

																						BgL_tmpz00_3912 =
																							CAR(BgL_cdrzd21948zd2_1635);
																						BgL_test2558z00_3911 =
																							SYMBOLP(BgL_tmpz00_3912);
																					}
																					if (BgL_test2558z00_3911)
																						{	/* Module/foreign.scm 250 */
																							if (NULLP(CDR
																									(BgL_cdrzd21948zd2_1635)))
																								{	/* Module/foreign.scm 250 */
																									return ((bool_t) 1);
																								}
																							else
																								{	/* Module/foreign.scm 250 */
																									obj_t BgL_cdrzd22010zd2_1695;

																									BgL_cdrzd22010zd2_1695 =
																										CDR(
																										((obj_t)
																											BgL_tzd2expzd2_34));
																									if ((CAR(((obj_t)
																													BgL_tzd2expzd2_34)) ==
																											CNST_TABLE_REF(((long)
																													14))))
																										{	/* Module/foreign.scm 250 */
																											obj_t
																												BgL_cdrzd22013zd2_1698;
																											BgL_cdrzd22013zd2_1698 =
																												CDR(((obj_t)
																													BgL_cdrzd22010zd2_1695));
																											{	/* Module/foreign.scm 250 */
																												bool_t
																													BgL_test2561z00_3927;
																												{	/* Module/foreign.scm 250 */
																													obj_t BgL_tmpz00_3928;

																													BgL_tmpz00_3928 =
																														CAR(
																														((obj_t)
																															BgL_cdrzd22010zd2_1695));
																													BgL_test2561z00_3927 =
																														SYMBOLP
																														(BgL_tmpz00_3928);
																												}
																												if (BgL_test2561z00_3927)
																													{	/* Module/foreign.scm 250 */
																														if (PAIRP
																															(BgL_cdrzd22013zd2_1698))
																															{	/* Module/foreign.scm 250 */
																																obj_t
																																	BgL_carzd22015zd2_1702;
																																BgL_carzd22015zd2_1702
																																	=
																																	CAR
																																	(BgL_cdrzd22013zd2_1698);
																																{

																																	if (NULLP
																																		(BgL_carzd22015zd2_1702))
																																		{	/* Module/foreign.scm 250 */
																																		BgL_kapzd22019zd2_1703:
																																			if (NULLP
																																				(CDR(((obj_t) BgL_cdrzd22013zd2_1698))))
																																				{	/* Module/foreign.scm 250 */
																																					return
																																						BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00
																																						(BgL_carzd22015zd2_1702);
																																				}
																																			else
																																				{	/* Module/foreign.scm 250 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																	else
																																		{	/* Module/foreign.scm 250 */
																																			if (PAIRP
																																				(BgL_carzd22015zd2_1702))
																																				{	/* Module/foreign.scm 250 */
																																					goto
																																						BgL_kapzd22019zd2_1703;
																																				}
																																			else
																																				{	/* Module/foreign.scm 250 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																														else
																															{	/* Module/foreign.scm 250 */
																																return ((bool_t)
																																	0);
																															}
																													}
																												else
																													{	/* Module/foreign.scm 250 */
																														return ((bool_t) 0);
																													}
																											}
																										}
																									else
																										{	/* Module/foreign.scm 250 */
																											if (
																												(CAR(
																														((obj_t)
																															BgL_tzd2expzd2_34))
																													==
																													CNST_TABLE_REF(((long)
																															15))))
																												{	/* Module/foreign.scm 250 */
																													BgL_slotsz00_1611 =
																														BgL_cdrzd22010zd2_1695;
																												BgL_tagzd21892zd2_1612:
																													{
																														obj_t
																															BgL_slotsz00_1780;
																														BgL_slotsz00_1780 =
																															BgL_slotsz00_1611;
																													BgL_zc3z04anonymousza32067ze3z87_1781:
																														if (NULLP
																															(BgL_slotsz00_1780))
																															{	/* Module/foreign.scm 274 */
																																return ((bool_t)
																																	1);
																															}
																														else
																															{

																																{	/* Module/foreign.scm 276 */
																																	obj_t
																																		BgL_ezd22163zd2_1785;
																																	BgL_ezd22163zd2_1785
																																		=
																																		CAR(((obj_t)
																																			BgL_slotsz00_1780));
																																	if (PAIRP
																																		(BgL_ezd22163zd2_1785))
																																		{	/* Module/foreign.scm 276 */
																																			obj_t
																																				BgL_cdrzd22165zd2_1787;
																																			BgL_cdrzd22165zd2_1787
																																				=
																																				CDR
																																				(BgL_ezd22163zd2_1785);
																																			{	/* Module/foreign.scm 276 */
																																				bool_t
																																					BgL_test2569z00_3956;
																																				{	/* Module/foreign.scm 276 */
																																					obj_t
																																						BgL_tmpz00_3957;
																																					BgL_tmpz00_3957
																																						=
																																						CAR
																																						(BgL_ezd22163zd2_1785);
																																					BgL_test2569z00_3956
																																						=
																																						SYMBOLP
																																						(BgL_tmpz00_3957);
																																				}
																																				if (BgL_test2569z00_3956)
																																					{	/* Module/foreign.scm 276 */
																																						if (PAIRP(BgL_cdrzd22165zd2_1787))
																																							{	/* Module/foreign.scm 276 */
																																								bool_t
																																									BgL_test2571z00_3962;
																																								{	/* Module/foreign.scm 276 */
																																									obj_t
																																										BgL_tmpz00_3963;
																																									BgL_tmpz00_3963
																																										=
																																										CAR
																																										(BgL_cdrzd22165zd2_1787);
																																									BgL_test2571z00_3962
																																										=
																																										STRINGP
																																										(BgL_tmpz00_3963);
																																								}
																																								if (BgL_test2571z00_3962)
																																									{	/* Module/foreign.scm 276 */
																																										if (NULLP(CDR(BgL_cdrzd22165zd2_1787)))
																																											{	/* Module/foreign.scm 276 */
																																												{
																																													obj_t
																																														BgL_slotsz00_3969;
																																													BgL_slotsz00_3969
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_slotsz00_1780));
																																													BgL_slotsz00_1780
																																														=
																																														BgL_slotsz00_3969;
																																													goto
																																														BgL_zc3z04anonymousza32067ze3z87_1781;
																																												}
																																											}
																																										else
																																											{	/* Module/foreign.scm 276 */
																																												return
																																													(
																																													(bool_t)
																																													0);
																																											}
																																									}
																																								else
																																									{	/* Module/foreign.scm 276 */
																																										return
																																											(
																																											(bool_t)
																																											0);
																																									}
																																							}
																																						else
																																							{	/* Module/foreign.scm 276 */
																																								return
																																									(
																																									(bool_t)
																																									0);
																																							}
																																					}
																																				else
																																					{	/* Module/foreign.scm 276 */
																																						return
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																		}
																																	else
																																		{	/* Module/foreign.scm 276 */
																																			return (
																																				(bool_t)
																																				0);
																																		}
																																}
																															}
																													}
																												}
																											else
																												{	/* Module/foreign.scm 250 */
																													return ((bool_t) 0);
																												}
																										}
																								}
																						}
																					else
																						{	/* Module/foreign.scm 250 */
																							obj_t BgL_cdrzd22037zd2_1716;

																							BgL_cdrzd22037zd2_1716 =
																								CDR(
																								((obj_t) BgL_tzd2expzd2_34));
																							if (
																								(CAR(
																										((obj_t) BgL_tzd2expzd2_34))
																									==
																									CNST_TABLE_REF(((long) 16))))
																								{	/* Module/foreign.scm 250 */
																									bool_t BgL_test2574z00_3979;

																									{	/* Module/foreign.scm 250 */
																										obj_t BgL_tmpz00_3980;

																										BgL_tmpz00_3980 =
																											CAR(
																											((obj_t)
																												BgL_cdrzd22037zd2_1716));
																										BgL_test2574z00_3979 =
																											SYMBOLP(BgL_tmpz00_3980);
																									}
																									if (BgL_test2574z00_3979)
																										{	/* Module/foreign.scm 250 */
																											return
																												NULLP(CDR(
																													((obj_t)
																														BgL_cdrzd22037zd2_1716)));
																										}
																									else
																										{	/* Module/foreign.scm 250 */
																											return ((bool_t) 0);
																										}
																								}
																							else
																								{	/* Module/foreign.scm 250 */
																									if (
																										(CAR(
																												((obj_t)
																													BgL_tzd2expzd2_34)) ==
																											CNST_TABLE_REF(((long)
																													14))))
																										{	/* Module/foreign.scm 250 */
																											obj_t
																												BgL_cdrzd22057zd2_1728;
																											BgL_cdrzd22057zd2_1728 =
																												CDR(((obj_t)
																													BgL_cdrzd22037zd2_1716));
																											{	/* Module/foreign.scm 250 */
																												bool_t
																													BgL_test2576z00_3994;
																												{	/* Module/foreign.scm 250 */
																													obj_t BgL_tmpz00_3995;

																													BgL_tmpz00_3995 =
																														CAR(
																														((obj_t)
																															BgL_cdrzd22037zd2_1716));
																													BgL_test2576z00_3994 =
																														SYMBOLP
																														(BgL_tmpz00_3995);
																												}
																												if (BgL_test2576z00_3994)
																													{	/* Module/foreign.scm 250 */
																														if (PAIRP
																															(BgL_cdrzd22057zd2_1728))
																															{	/* Module/foreign.scm 250 */
																																obj_t
																																	BgL_carzd22059zd2_1732;
																																BgL_carzd22059zd2_1732
																																	=
																																	CAR
																																	(BgL_cdrzd22057zd2_1728);
																																{

																																	if (NULLP
																																		(BgL_carzd22059zd2_1732))
																																		{	/* Module/foreign.scm 250 */
																																		BgL_kapzd22063zd2_1733:
																																			if (NULLP
																																				(CDR(((obj_t) BgL_cdrzd22057zd2_1728))))
																																				{	/* Module/foreign.scm 250 */
																																					return
																																						BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00
																																						(BgL_carzd22059zd2_1732);
																																				}
																																			else
																																				{	/* Module/foreign.scm 250 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																	else
																																		{	/* Module/foreign.scm 250 */
																																			if (PAIRP
																																				(BgL_carzd22059zd2_1732))
																																				{	/* Module/foreign.scm 250 */
																																					goto
																																						BgL_kapzd22063zd2_1733;
																																				}
																																			else
																																				{	/* Module/foreign.scm 250 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																														else
																															{	/* Module/foreign.scm 250 */
																																return ((bool_t)
																																	0);
																															}
																													}
																												else
																													{	/* Module/foreign.scm 250 */
																														return ((bool_t) 0);
																													}
																											}
																										}
																									else
																										{	/* Module/foreign.scm 250 */
																											if (
																												(CAR(
																														((obj_t)
																															BgL_tzd2expzd2_34))
																													==
																													CNST_TABLE_REF(((long)
																															15))))
																												{
																													obj_t
																														BgL_slotsz00_4016;
																													BgL_slotsz00_4016 =
																														CDR(((obj_t)
																															BgL_tzd2expzd2_34));
																													BgL_slotsz00_1611 =
																														BgL_slotsz00_4016;
																													goto
																														BgL_tagzd21892zd2_1612;
																												}
																											else
																												{	/* Module/foreign.scm 250 */
																													return ((bool_t) 0);
																												}
																										}
																								}
																						}
																				}
																			else
																				{	/* Module/foreign.scm 250 */
																					if (
																						(CAR(
																								((obj_t) BgL_tzd2expzd2_34)) ==
																							CNST_TABLE_REF(((long) 15))))
																						{
																							obj_t BgL_slotsz00_4024;

																							BgL_slotsz00_4024 =
																								CDR(
																								((obj_t) BgL_tzd2expzd2_34));
																							BgL_slotsz00_1611 =
																								BgL_slotsz00_4024;
																							goto BgL_tagzd21892zd2_1612;
																						}
																					else
																						{	/* Module/foreign.scm 250 */
																							return ((bool_t) 0);
																						}
																				}
																		}
																	else
																		{	/* Module/foreign.scm 250 */
																			if (
																				(BgL_carzd21999zd2_1653 ==
																					CNST_TABLE_REF(((long) 18))))
																				{	/* Module/foreign.scm 250 */
																					goto BgL_kapzd22001zd2_1655;
																				}
																			else
																				{	/* Module/foreign.scm 250 */
																					obj_t BgL_cdrzd22091zd2_1658;

																					BgL_cdrzd22091zd2_1658 =
																						CDR(BgL_tzd2expzd2_34);
																					if (
																						(CAR(BgL_tzd2expzd2_34) ==
																							CNST_TABLE_REF(((long) 16))))
																						{	/* Module/foreign.scm 250 */
																							if (PAIRP(BgL_cdrzd22091zd2_1658))
																								{	/* Module/foreign.scm 250 */
																									bool_t BgL_test2586z00_4037;

																									{	/* Module/foreign.scm 250 */
																										obj_t BgL_tmpz00_4038;

																										BgL_tmpz00_4038 =
																											CAR
																											(BgL_cdrzd22091zd2_1658);
																										BgL_test2586z00_4037 =
																											SYMBOLP(BgL_tmpz00_4038);
																									}
																									if (BgL_test2586z00_4037)
																										{	/* Module/foreign.scm 250 */
																											return
																												NULLP(CDR
																												(BgL_cdrzd22091zd2_1658));
																										}
																									else
																										{	/* Module/foreign.scm 250 */
																											return ((bool_t) 0);
																										}
																								}
																							else
																								{	/* Module/foreign.scm 250 */
																									return ((bool_t) 0);
																								}
																						}
																					else
																						{	/* Module/foreign.scm 250 */
																							if (
																								(CAR(BgL_tzd2expzd2_34) ==
																									CNST_TABLE_REF(((long) 14))))
																								{	/* Module/foreign.scm 250 */
																									if (PAIRP
																										(BgL_cdrzd22091zd2_1658))
																										{	/* Module/foreign.scm 250 */
																											obj_t
																												BgL_cdrzd22116zd2_1672;
																											BgL_cdrzd22116zd2_1672 =
																												CDR
																												(BgL_cdrzd22091zd2_1658);
																											{	/* Module/foreign.scm 250 */
																												bool_t
																													BgL_test2589z00_4050;
																												{	/* Module/foreign.scm 250 */
																													obj_t BgL_tmpz00_4051;

																													BgL_tmpz00_4051 =
																														CAR
																														(BgL_cdrzd22091zd2_1658);
																													BgL_test2589z00_4050 =
																														SYMBOLP
																														(BgL_tmpz00_4051);
																												}
																												if (BgL_test2589z00_4050)
																													{	/* Module/foreign.scm 250 */
																														if (PAIRP
																															(BgL_cdrzd22116zd2_1672))
																															{	/* Module/foreign.scm 250 */
																																obj_t
																																	BgL_carzd22118zd2_1676;
																																BgL_carzd22118zd2_1676
																																	=
																																	CAR
																																	(BgL_cdrzd22116zd2_1672);
																																{

																																	if (NULLP
																																		(BgL_carzd22118zd2_1676))
																																		{	/* Module/foreign.scm 250 */
																																		BgL_kapzd22122zd2_1677:
																																			if (NULLP
																																				(CDR(((obj_t) BgL_cdrzd22116zd2_1672))))
																																				{	/* Module/foreign.scm 250 */
																																					return
																																						BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00
																																						(BgL_carzd22118zd2_1676);
																																				}
																																			else
																																				{	/* Module/foreign.scm 250 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																	else
																																		{	/* Module/foreign.scm 250 */
																																			if (PAIRP
																																				(BgL_carzd22118zd2_1676))
																																				{	/* Module/foreign.scm 250 */
																																					goto
																																						BgL_kapzd22122zd2_1677;
																																				}
																																			else
																																				{	/* Module/foreign.scm 250 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																														else
																															{	/* Module/foreign.scm 250 */
																																return ((bool_t)
																																	0);
																															}
																													}
																												else
																													{	/* Module/foreign.scm 250 */
																														return ((bool_t) 0);
																													}
																											}
																										}
																									else
																										{	/* Module/foreign.scm 250 */
																											return ((bool_t) 0);
																										}
																								}
																							else
																								{	/* Module/foreign.scm 250 */
																									if (
																										(CAR(BgL_tzd2expzd2_34) ==
																											CNST_TABLE_REF(((long)
																													15))))
																										{
																											obj_t BgL_slotsz00_4070;

																											BgL_slotsz00_4070 =
																												CDR(BgL_tzd2expzd2_34);
																											BgL_slotsz00_1611 =
																												BgL_slotsz00_4070;
																											goto
																												BgL_tagzd21892zd2_1612;
																										}
																									else
																										{	/* Module/foreign.scm 250 */
																											return ((bool_t) 0);
																										}
																								}
																						}
																				}
																		}
																}
															}
													}
											}
									}
							}
						else
							{	/* Module/foreign.scm 250 */
								return ((bool_t) 0);
							}
					}
			}
		}

	}



/* parse-c-extern-type */
	obj_t BGl_parsezd2czd2externzd2typezd2zzmodule_foreignz00(obj_t
		BgL_typez00_35)
	{
		{	/* Module/foreign.scm 287 */
			{
				obj_t BgL_idz00_1803;
				obj_t BgL_tzd2expzd2_1804;

				if (PAIRP(BgL_typez00_35))
					{	/* Module/foreign.scm 288 */
						obj_t BgL_cdrzd22178zd2_1809;

						BgL_cdrzd22178zd2_1809 = CDR(BgL_typez00_35);
						if ((CAR(BgL_typez00_35) == CNST_TABLE_REF(((long) 5))))
							{	/* Module/foreign.scm 288 */
								if (PAIRP(BgL_cdrzd22178zd2_1809))
									{	/* Module/foreign.scm 288 */
										obj_t BgL_carzd22181zd2_1813;
										obj_t BgL_cdrzd22182zd2_1814;

										BgL_carzd22181zd2_1813 = CAR(BgL_cdrzd22178zd2_1809);
										BgL_cdrzd22182zd2_1814 = CDR(BgL_cdrzd22178zd2_1809);
										if (SYMBOLP(BgL_carzd22181zd2_1813))
											{	/* Module/foreign.scm 288 */
												if (PAIRP(BgL_cdrzd22182zd2_1814))
													{	/* Module/foreign.scm 288 */
														obj_t BgL_carzd22187zd2_1817;

														BgL_carzd22187zd2_1817 =
															CAR(BgL_cdrzd22182zd2_1814);
														if (STRINGP(BgL_carzd22187zd2_1817))
															{	/* Module/foreign.scm 288 */
																if (NULLP(CDR(BgL_cdrzd22182zd2_1814)))
																	{	/* Module/foreign.scm 288 */
																		return
																			BGl_parsezd2czd2foreignzd2typezd2zzmodule_foreignz00
																			(BgL_typez00_35);
																	}
																else
																	{	/* Module/foreign.scm 288 */
																		obj_t BgL_carzd22204zd2_1822;
																		obj_t BgL_cdrzd22205zd2_1823;

																		BgL_carzd22204zd2_1822 =
																			CAR(((obj_t) BgL_cdrzd22178zd2_1809));
																		BgL_cdrzd22205zd2_1823 =
																			CDR(((obj_t) BgL_cdrzd22178zd2_1809));
																		if (SYMBOLP(BgL_carzd22204zd2_1822))
																			{	/* Module/foreign.scm 288 */
																				obj_t BgL_cdrzd22214zd2_1825;

																				BgL_cdrzd22214zd2_1825 =
																					CDR(((obj_t) BgL_cdrzd22205zd2_1823));
																				if (PAIRP(BgL_cdrzd22214zd2_1825))
																					{	/* Module/foreign.scm 288 */
																						bool_t BgL_test2604z00_4104;

																						{	/* Module/foreign.scm 288 */
																							obj_t BgL_tmpz00_4105;

																							BgL_tmpz00_4105 =
																								CAR(BgL_cdrzd22214zd2_1825);
																							BgL_test2604z00_4104 =
																								STRINGP(BgL_tmpz00_4105);
																						}
																						if (BgL_test2604z00_4104)
																							{	/* Module/foreign.scm 288 */
																								if (NULLP(CDR
																										(BgL_cdrzd22214zd2_1825)))
																									{	/* Module/foreign.scm 288 */
																										obj_t BgL_arg2100z00_1831;

																										BgL_arg2100z00_1831 =
																											CAR(
																											((obj_t)
																												BgL_cdrzd22205zd2_1823));
																										BgL_idz00_1803 =
																											BgL_carzd22204zd2_1822;
																										BgL_tzd2expzd2_1804 =
																											BgL_arg2100z00_1831;
																									BgL_tagzd22169zd2_1805:
																										{	/* Module/foreign.scm 292 */
																											obj_t
																												BgL_foreignzd2typezd2_1863;
																											BgL_foreignzd2typezd2_1863
																												=
																												BGl_czd2externzd2typezd2ze3czd2foreignzd2typez31zzmodule_foreignz00
																												(BgL_tzd2expzd2_1804);
																											if (CBOOL
																												(BgL_foreignzd2typezd2_1863))
																												{	/* Module/foreign.scm 293 */
																													return
																														BGl_parsezd2czd2foreignzd2typezd2zzmodule_foreignz00
																														(BgL_typez00_35);
																												}
																											else
																												{	/* Module/foreign.scm 295 */
																													obj_t
																														BgL_list2125z00_1864;
																													BgL_list2125z00_1864 =
																														MAKE_YOUNG_PAIR
																														(BNIL, BNIL);
																													return
																														BGl_userzd2errorzd2zztools_errorz00
																														(BGl_string2343z00zzmodule_foreignz00,
																														BGl_string2353z00zzmodule_foreignz00,
																														BgL_typez00_35,
																														BgL_list2125z00_1864);
																												}
																										}
																									}
																								else
																									{	/* Module/foreign.scm 288 */
																									BgL_tagzd22170zd2_1806:
																										{	/* Module/foreign.scm 297 */
																											obj_t
																												BgL_list2126z00_1865;
																											BgL_list2126z00_1865 =
																												MAKE_YOUNG_PAIR(BNIL,
																												BNIL);
																											return
																												BGl_userzd2errorzd2zztools_errorz00
																												(BGl_string2343z00zzmodule_foreignz00,
																												BGl_string2353z00zzmodule_foreignz00,
																												BgL_typez00_35,
																												BgL_list2126z00_1865);
																										}
																									}
																							}
																						else
																							{	/* Module/foreign.scm 288 */
																								goto BgL_tagzd22170zd2_1806;
																							}
																					}
																				else
																					{	/* Module/foreign.scm 288 */
																						goto BgL_tagzd22170zd2_1806;
																					}
																			}
																		else
																			{	/* Module/foreign.scm 288 */
																				goto BgL_tagzd22170zd2_1806;
																			}
																	}
															}
														else
															{	/* Module/foreign.scm 288 */
																obj_t BgL_carzd22229zd2_1836;
																obj_t BgL_cdrzd22230zd2_1837;

																BgL_carzd22229zd2_1836 =
																	CAR(((obj_t) BgL_cdrzd22178zd2_1809));
																BgL_cdrzd22230zd2_1837 =
																	CDR(((obj_t) BgL_cdrzd22178zd2_1809));
																if (SYMBOLP(BgL_carzd22229zd2_1836))
																	{	/* Module/foreign.scm 288 */
																		obj_t BgL_cdrzd22238zd2_1839;

																		BgL_cdrzd22238zd2_1839 =
																			CDR(((obj_t) BgL_cdrzd22230zd2_1837));
																		if (PAIRP(BgL_cdrzd22238zd2_1839))
																			{	/* Module/foreign.scm 288 */
																				bool_t BgL_test2609z00_4131;

																				{	/* Module/foreign.scm 288 */
																					obj_t BgL_tmpz00_4132;

																					BgL_tmpz00_4132 =
																						CAR(BgL_cdrzd22238zd2_1839);
																					BgL_test2609z00_4131 =
																						STRINGP(BgL_tmpz00_4132);
																				}
																				if (BgL_test2609z00_4131)
																					{	/* Module/foreign.scm 288 */
																						if (NULLP(CDR
																								(BgL_cdrzd22238zd2_1839)))
																							{	/* Module/foreign.scm 288 */
																								obj_t BgL_arg2111z00_1845;

																								BgL_arg2111z00_1845 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd22230zd2_1837));
																								{
																									obj_t BgL_tzd2expzd2_4141;
																									obj_t BgL_idz00_4140;

																									BgL_idz00_4140 =
																										BgL_carzd22229zd2_1836;
																									BgL_tzd2expzd2_4141 =
																										BgL_arg2111z00_1845;
																									BgL_tzd2expzd2_1804 =
																										BgL_tzd2expzd2_4141;
																									BgL_idz00_1803 =
																										BgL_idz00_4140;
																									goto BgL_tagzd22169zd2_1805;
																								}
																							}
																						else
																							{	/* Module/foreign.scm 288 */
																								goto BgL_tagzd22170zd2_1806;
																							}
																					}
																				else
																					{	/* Module/foreign.scm 288 */
																						goto BgL_tagzd22170zd2_1806;
																					}
																			}
																		else
																			{	/* Module/foreign.scm 288 */
																				goto BgL_tagzd22170zd2_1806;
																			}
																	}
																else
																	{	/* Module/foreign.scm 288 */
																		goto BgL_tagzd22170zd2_1806;
																	}
															}
													}
												else
													{	/* Module/foreign.scm 288 */
														goto BgL_tagzd22170zd2_1806;
													}
											}
										else
											{	/* Module/foreign.scm 288 */
												obj_t BgL_carzd22255zd2_1849;
												obj_t BgL_cdrzd22256zd2_1850;

												BgL_carzd22255zd2_1849 =
													CAR(((obj_t) BgL_cdrzd22178zd2_1809));
												BgL_cdrzd22256zd2_1850 =
													CDR(((obj_t) BgL_cdrzd22178zd2_1809));
												if (SYMBOLP(BgL_carzd22255zd2_1849))
													{	/* Module/foreign.scm 288 */
														if (PAIRP(BgL_cdrzd22256zd2_1850))
															{	/* Module/foreign.scm 288 */
																obj_t BgL_cdrzd22262zd2_1853;

																BgL_cdrzd22262zd2_1853 =
																	CDR(BgL_cdrzd22256zd2_1850);
																if (PAIRP(BgL_cdrzd22262zd2_1853))
																	{	/* Module/foreign.scm 288 */
																		bool_t BgL_test2614z00_4153;

																		{	/* Module/foreign.scm 288 */
																			obj_t BgL_tmpz00_4154;

																			BgL_tmpz00_4154 =
																				CAR(BgL_cdrzd22262zd2_1853);
																			BgL_test2614z00_4153 =
																				STRINGP(BgL_tmpz00_4154);
																		}
																		if (BgL_test2614z00_4153)
																			{	/* Module/foreign.scm 288 */
																				if (NULLP(CDR(BgL_cdrzd22262zd2_1853)))
																					{
																						obj_t BgL_tzd2expzd2_4161;
																						obj_t BgL_idz00_4160;

																						BgL_idz00_4160 =
																							BgL_carzd22255zd2_1849;
																						BgL_tzd2expzd2_4161 =
																							CAR(BgL_cdrzd22256zd2_1850);
																						BgL_tzd2expzd2_1804 =
																							BgL_tzd2expzd2_4161;
																						BgL_idz00_1803 = BgL_idz00_4160;
																						goto BgL_tagzd22169zd2_1805;
																					}
																				else
																					{	/* Module/foreign.scm 288 */
																						goto BgL_tagzd22170zd2_1806;
																					}
																			}
																		else
																			{	/* Module/foreign.scm 288 */
																				goto BgL_tagzd22170zd2_1806;
																			}
																	}
																else
																	{	/* Module/foreign.scm 288 */
																		goto BgL_tagzd22170zd2_1806;
																	}
															}
														else
															{	/* Module/foreign.scm 288 */
																goto BgL_tagzd22170zd2_1806;
															}
													}
												else
													{	/* Module/foreign.scm 288 */
														goto BgL_tagzd22170zd2_1806;
													}
											}
									}
								else
									{	/* Module/foreign.scm 288 */
										goto BgL_tagzd22170zd2_1806;
									}
							}
						else
							{	/* Module/foreign.scm 288 */
								goto BgL_tagzd22170zd2_1806;
							}
					}
				else
					{	/* Module/foreign.scm 288 */
						goto BgL_tagzd22170zd2_1806;
					}
			}
		}

	}



/* c-extern-type->c-foreign-type */
	obj_t
		BGl_czd2externzd2typezd2ze3czd2foreignzd2typez31zzmodule_foreignz00(obj_t
		BgL_tzd2expzd2_36)
	{
		{	/* Module/foreign.scm 302 */
			{
				obj_t BgL_slotsz00_1874;
				obj_t BgL_slotsz00_1867;

				if (SYMBOLP(BgL_tzd2expzd2_36))
					{	/* Module/foreign.scm 303 */
						return BgL_tzd2expzd2_36;
					}
				else
					{	/* Module/foreign.scm 303 */
						if (PAIRP(BgL_tzd2expzd2_36))
							{	/* Module/foreign.scm 303 */
								obj_t BgL_carzd22293zd2_1881;
								obj_t BgL_cdrzd22294zd2_1882;

								BgL_carzd22293zd2_1881 = CAR(BgL_tzd2expzd2_36);
								BgL_cdrzd22294zd2_1882 = CDR(BgL_tzd2expzd2_36);
								if ((BgL_carzd22293zd2_1881 == CNST_TABLE_REF(((long) 10))))
									{	/* Module/foreign.scm 303 */
										BgL_slotsz00_1867 = BgL_cdrzd22294zd2_1882;
									BgL_tagzd22279zd2_1868:
										{
											obj_t BgL_slotsz00_2015;

											BgL_slotsz00_2015 = BgL_slotsz00_1867;
										BgL_zc3z04anonymousza32241ze3z87_2016:
											if (NULLP(BgL_slotsz00_2015))
												{	/* Module/foreign.scm 308 */
													return BgL_tzd2expzd2_36;
												}
											else
												{
													obj_t BgL_idz00_2018;
													obj_t BgL_namez00_2019;

													{	/* Module/foreign.scm 310 */
														obj_t BgL_ezd22508zd2_2022;

														BgL_ezd22508zd2_2022 =
															CAR(((obj_t) BgL_slotsz00_2015));
														if (PAIRP(BgL_ezd22508zd2_2022))
															{	/* Module/foreign.scm 310 */
																obj_t BgL_carzd22513zd2_2024;
																obj_t BgL_cdrzd22514zd2_2025;

																BgL_carzd22513zd2_2024 =
																	CAR(BgL_ezd22508zd2_2022);
																BgL_cdrzd22514zd2_2025 =
																	CDR(BgL_ezd22508zd2_2022);
																if (SYMBOLP(BgL_carzd22513zd2_2024))
																	{	/* Module/foreign.scm 310 */
																		if (PAIRP(BgL_cdrzd22514zd2_2025))
																			{	/* Module/foreign.scm 310 */
																				obj_t BgL_carzd22518zd2_2028;

																				BgL_carzd22518zd2_2028 =
																					CAR(BgL_cdrzd22514zd2_2025);
																				if (STRINGP(BgL_carzd22518zd2_2028))
																					{	/* Module/foreign.scm 310 */
																						if (NULLP(CDR
																								(BgL_cdrzd22514zd2_2025)))
																							{	/* Module/foreign.scm 310 */
																								BgL_idz00_2018 =
																									BgL_carzd22513zd2_2024;
																								BgL_namez00_2019 =
																									BgL_carzd22518zd2_2028;
																								{	/* Module/foreign.scm 312 */
																									obj_t BgL_pidz00_2033;

																									BgL_pidz00_2033 =
																										BGl_parsezd2idzd2zzast_identz00
																										(BgL_idz00_2018,
																										BGl_findzd2locationzd2zztools_locationz00
																										(BgL_tzd2expzd2_36));
																									{	/* Module/foreign.scm 312 */
																										obj_t BgL_sidz00_2034;

																										BgL_sidz00_2034 =
																											CAR(BgL_pidz00_2033);
																										{	/* Module/foreign.scm 313 */
																											obj_t BgL_typez00_2035;

																											BgL_typez00_2035 =
																												(((BgL_typez00_bglt)
																													COBJECT((
																															(BgL_typez00_bglt)
																															CDR
																															(BgL_pidz00_2033))))->
																												BgL_idz00);
																											{	/* Module/foreign.scm 314 */

																												{	/* Module/foreign.scm 315 */
																													obj_t BgL_xz00_2961;

																													BgL_xz00_2961 =
																														BGl_checkzd2idzd2zzast_identz00
																														(BgL_pidz00_2033,
																														BgL_tzd2expzd2_36);
																													((bool_t) 1);
																												}
																												{	/* Module/foreign.scm 318 */
																													obj_t
																														BgL_arg2251z00_2037;
																													obj_t
																														BgL_arg2252z00_2038;
																													BgL_arg2251z00_2037 =
																														CAR(((obj_t)
																															BgL_slotsz00_2015));
																													{	/* Module/foreign.scm 318 */
																														obj_t
																															BgL_arg2253z00_2039;
																														BgL_arg2253z00_2039
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_namez00_2019,
																															BNIL);
																														BgL_arg2252z00_2038
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_sidz00_2034,
																															BgL_arg2253z00_2039);
																													}
																													{	/* Module/foreign.scm 318 */
																														obj_t
																															BgL_tmpz00_4201;
																														BgL_tmpz00_4201 =
																															((obj_t)
																															BgL_arg2251z00_2037);
																														SET_CDR
																															(BgL_tmpz00_4201,
																															BgL_arg2252z00_2038);
																													}
																												}
																												{	/* Module/foreign.scm 319 */
																													obj_t
																														BgL_arg2254z00_2040;
																													BgL_arg2254z00_2040 =
																														CAR(((obj_t)
																															BgL_slotsz00_2015));
																													{	/* Module/foreign.scm 319 */
																														obj_t
																															BgL_tmpz00_4206;
																														BgL_tmpz00_4206 =
																															((obj_t)
																															BgL_arg2254z00_2040);
																														SET_CAR
																															(BgL_tmpz00_4206,
																															BgL_typez00_2035);
																													}
																												}
																												{	/* Module/foreign.scm 320 */
																													obj_t
																														BgL_arg2255z00_2041;
																													BgL_arg2255z00_2041 =
																														CDR(((obj_t)
																															BgL_slotsz00_2015));
																													{
																														obj_t
																															BgL_slotsz00_4211;
																														BgL_slotsz00_4211 =
																															BgL_arg2255z00_2041;
																														BgL_slotsz00_2015 =
																															BgL_slotsz00_4211;
																														goto
																															BgL_zc3z04anonymousza32241ze3z87_2016;
																													}
																												}
																											}
																										}
																									}
																								}
																							}
																						else
																							{	/* Module/foreign.scm 310 */
																								return BFALSE;
																							}
																					}
																				else
																					{	/* Module/foreign.scm 310 */
																						return BFALSE;
																					}
																			}
																		else
																			{	/* Module/foreign.scm 310 */
																				return BFALSE;
																			}
																	}
																else
																	{	/* Module/foreign.scm 310 */
																		return BFALSE;
																	}
															}
														else
															{	/* Module/foreign.scm 310 */
																return BFALSE;
															}
													}
												}
										}
									}
								else
									{	/* Module/foreign.scm 303 */
										if ((BgL_carzd22293zd2_1881 == CNST_TABLE_REF(((long) 11))))
											{
												obj_t BgL_slotsz00_4215;

												BgL_slotsz00_4215 = BgL_cdrzd22294zd2_1882;
												BgL_slotsz00_1867 = BgL_slotsz00_4215;
												goto BgL_tagzd22279zd2_1868;
											}
										else
											{	/* Module/foreign.scm 303 */
												if (
													(CAR(BgL_tzd2expzd2_36) ==
														CNST_TABLE_REF(((long) 13))))
													{	/* Module/foreign.scm 303 */
														if (PAIRP(BgL_cdrzd22294zd2_1882))
															{	/* Module/foreign.scm 303 */
																bool_t BgL_test2628z00_4222;

																{	/* Module/foreign.scm 303 */
																	obj_t BgL_tmpz00_4223;

																	BgL_tmpz00_4223 = CAR(BgL_cdrzd22294zd2_1882);
																	BgL_test2628z00_4222 =
																		SYMBOLP(BgL_tmpz00_4223);
																}
																if (BgL_test2628z00_4222)
																	{	/* Module/foreign.scm 303 */
																		if (NULLP(CDR(BgL_cdrzd22294zd2_1882)))
																			{	/* Module/foreign.scm 303 */
																				return BgL_tzd2expzd2_36;
																			}
																		else
																			{	/* Module/foreign.scm 303 */
																				return BFALSE;
																			}
																	}
																else
																	{	/* Module/foreign.scm 303 */
																		return BFALSE;
																	}
															}
														else
															{	/* Module/foreign.scm 303 */
																return BFALSE;
															}
													}
												else
													{	/* Module/foreign.scm 303 */
														obj_t BgL_carzd22351zd2_1903;
														obj_t BgL_cdrzd22352zd2_1904;

														BgL_carzd22351zd2_1903 = CAR(BgL_tzd2expzd2_36);
														BgL_cdrzd22352zd2_1904 = CDR(BgL_tzd2expzd2_36);
														{

															if (
																(BgL_carzd22351zd2_1903 ==
																	CNST_TABLE_REF(((long) 17))))
																{	/* Module/foreign.scm 303 */
																BgL_kapzd22353zd2_1905:
																	if (PAIRP(BgL_cdrzd22352zd2_1904))
																		{	/* Module/foreign.scm 303 */
																			bool_t BgL_test2632z00_4236;

																			{	/* Module/foreign.scm 303 */
																				obj_t BgL_tmpz00_4237;

																				BgL_tmpz00_4237 =
																					CAR(BgL_cdrzd22352zd2_1904);
																				BgL_test2632z00_4236 =
																					SYMBOLP(BgL_tmpz00_4237);
																			}
																			if (BgL_test2632z00_4236)
																				{	/* Module/foreign.scm 303 */
																					if (NULLP(CDR
																							(BgL_cdrzd22352zd2_1904)))
																						{	/* Module/foreign.scm 303 */
																							return BgL_tzd2expzd2_36;
																						}
																					else
																						{	/* Module/foreign.scm 303 */
																							obj_t BgL_cdrzd22362zd2_1951;

																							BgL_cdrzd22362zd2_1951 =
																								CDR(
																								((obj_t) BgL_tzd2expzd2_36));
																							if (
																								(CAR(
																										((obj_t) BgL_tzd2expzd2_36))
																									==
																									CNST_TABLE_REF(((long) 14))))
																								{	/* Module/foreign.scm 303 */
																									obj_t BgL_cdrzd22365zd2_1954;

																									BgL_cdrzd22365zd2_1954 =
																										CDR(
																										((obj_t)
																											BgL_cdrzd22362zd2_1951));
																									{	/* Module/foreign.scm 303 */
																										bool_t BgL_test2635z00_4252;

																										{	/* Module/foreign.scm 303 */
																											obj_t BgL_tmpz00_4253;

																											BgL_tmpz00_4253 =
																												CAR(
																												((obj_t)
																													BgL_cdrzd22362zd2_1951));
																											BgL_test2635z00_4252 =
																												SYMBOLP
																												(BgL_tmpz00_4253);
																										}
																										if (BgL_test2635z00_4252)
																											{	/* Module/foreign.scm 303 */
																												if (PAIRP
																													(BgL_cdrzd22365zd2_1954))
																													{	/* Module/foreign.scm 303 */
																														obj_t
																															BgL_carzd22367zd2_1958;
																														BgL_carzd22367zd2_1958
																															=
																															CAR
																															(BgL_cdrzd22365zd2_1954);
																														{

																															if (NULLP
																																(BgL_carzd22367zd2_1958))
																																{	/* Module/foreign.scm 303 */
																																BgL_kapzd22371zd2_1959:
																																	if (NULLP(CDR(
																																				((obj_t)
																																					BgL_cdrzd22365zd2_1954))))
																																		{	/* Module/foreign.scm 303 */
																																			if (BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_carzd22367zd2_1958))
																																				{	/* Module/foreign.scm 330 */
																																					return
																																						BgL_tzd2expzd2_36;
																																				}
																																			else
																																				{	/* Module/foreign.scm 330 */
																																					return
																																						BFALSE;
																																				}
																																		}
																																	else
																																		{	/* Module/foreign.scm 303 */
																																			return
																																				BFALSE;
																																		}
																																}
																															else
																																{	/* Module/foreign.scm 303 */
																																	if (PAIRP
																																		(BgL_carzd22367zd2_1958))
																																		{	/* Module/foreign.scm 303 */
																																			goto
																																				BgL_kapzd22371zd2_1959;
																																		}
																																	else
																																		{	/* Module/foreign.scm 303 */
																																			return
																																				BFALSE;
																																		}
																																}
																														}
																													}
																												else
																													{	/* Module/foreign.scm 303 */
																														return BFALSE;
																													}
																											}
																										else
																											{	/* Module/foreign.scm 303 */
																												return BFALSE;
																											}
																									}
																								}
																							else
																								{	/* Module/foreign.scm 303 */
																									if (
																										(CAR(
																												((obj_t)
																													BgL_tzd2expzd2_36)) ==
																											CNST_TABLE_REF(((long)
																													15))))
																										{	/* Module/foreign.scm 303 */
																											BgL_slotsz00_1874 =
																												BgL_cdrzd22362zd2_1951;
																										BgL_tagzd22284zd2_1875:
																											{
																												obj_t BgL_slotsz00_2047;

																												BgL_slotsz00_2047 =
																													BgL_slotsz00_1874;
																											BgL_zc3z04anonymousza32259ze3z87_2048:
																												if (NULLP
																													(BgL_slotsz00_2047))
																													{	/* Module/foreign.scm 335 */
																														return
																															BgL_tzd2expzd2_36;
																													}
																												else
																													{

																														{	/* Module/foreign.scm 337 */
																															obj_t
																																BgL_ezd22524zd2_2052;
																															BgL_ezd22524zd2_2052
																																=
																																CAR(((obj_t)
																																	BgL_slotsz00_2047));
																															if (PAIRP
																																(BgL_ezd22524zd2_2052))
																																{	/* Module/foreign.scm 337 */
																																	obj_t
																																		BgL_cdrzd22526zd2_2054;
																																	BgL_cdrzd22526zd2_2054
																																		=
																																		CDR
																																		(BgL_ezd22524zd2_2052);
																																	{	/* Module/foreign.scm 337 */
																																		bool_t
																																			BgL_test2644z00_4282;
																																		{	/* Module/foreign.scm 337 */
																																			obj_t
																																				BgL_tmpz00_4283;
																																			BgL_tmpz00_4283
																																				=
																																				CAR
																																				(BgL_ezd22524zd2_2052);
																																			BgL_test2644z00_4282
																																				=
																																				SYMBOLP
																																				(BgL_tmpz00_4283);
																																		}
																																		if (BgL_test2644z00_4282)
																																			{	/* Module/foreign.scm 337 */
																																				if (PAIRP(BgL_cdrzd22526zd2_2054))
																																					{	/* Module/foreign.scm 337 */
																																						bool_t
																																							BgL_test2646z00_4288;
																																						{	/* Module/foreign.scm 337 */
																																							obj_t
																																								BgL_tmpz00_4289;
																																							BgL_tmpz00_4289
																																								=
																																								CAR
																																								(BgL_cdrzd22526zd2_2054);
																																							BgL_test2646z00_4288
																																								=
																																								STRINGP
																																								(BgL_tmpz00_4289);
																																						}
																																						if (BgL_test2646z00_4288)
																																							{	/* Module/foreign.scm 337 */
																																								if (NULLP(CDR(BgL_cdrzd22526zd2_2054)))
																																									{	/* Module/foreign.scm 337 */
																																										{
																																											obj_t
																																												BgL_slotsz00_4295;
																																											BgL_slotsz00_4295
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_slotsz00_2047));
																																											BgL_slotsz00_2047
																																												=
																																												BgL_slotsz00_4295;
																																											goto
																																												BgL_zc3z04anonymousza32259ze3z87_2048;
																																										}
																																									}
																																								else
																																									{	/* Module/foreign.scm 337 */
																																										return
																																											BFALSE;
																																									}
																																							}
																																						else
																																							{	/* Module/foreign.scm 337 */
																																								return
																																									BFALSE;
																																							}
																																					}
																																				else
																																					{	/* Module/foreign.scm 337 */
																																						return
																																							BFALSE;
																																					}
																																			}
																																		else
																																			{	/* Module/foreign.scm 337 */
																																				return
																																					BFALSE;
																																			}
																																	}
																																}
																															else
																																{	/* Module/foreign.scm 337 */
																																	return BFALSE;
																																}
																														}
																													}
																											}
																										}
																									else
																										{	/* Module/foreign.scm 303 */
																											return BFALSE;
																										}
																								}
																						}
																				}
																			else
																				{	/* Module/foreign.scm 303 */
																					obj_t BgL_cdrzd22389zd2_1972;

																					BgL_cdrzd22389zd2_1972 =
																						CDR(((obj_t) BgL_tzd2expzd2_36));
																					if (
																						(CAR(
																								((obj_t) BgL_tzd2expzd2_36)) ==
																							CNST_TABLE_REF(((long) 16))))
																						{	/* Module/foreign.scm 303 */
																							bool_t BgL_test2649z00_4305;

																							{	/* Module/foreign.scm 303 */
																								obj_t BgL_tmpz00_4306;

																								BgL_tmpz00_4306 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd22389zd2_1972));
																								BgL_test2649z00_4305 =
																									SYMBOLP(BgL_tmpz00_4306);
																							}
																							if (BgL_test2649z00_4305)
																								{	/* Module/foreign.scm 303 */
																									if (NULLP(CDR(
																												((obj_t)
																													BgL_cdrzd22389zd2_1972))))
																										{	/* Module/foreign.scm 303 */
																											return BgL_tzd2expzd2_36;
																										}
																									else
																										{	/* Module/foreign.scm 303 */
																											return BFALSE;
																										}
																								}
																							else
																								{	/* Module/foreign.scm 303 */
																									return BFALSE;
																								}
																						}
																					else
																						{	/* Module/foreign.scm 303 */
																							if (
																								(CAR(
																										((obj_t) BgL_tzd2expzd2_36))
																									==
																									CNST_TABLE_REF(((long) 14))))
																								{	/* Module/foreign.scm 303 */
																									obj_t BgL_cdrzd22409zd2_1984;

																									BgL_cdrzd22409zd2_1984 =
																										CDR(
																										((obj_t)
																											BgL_cdrzd22389zd2_1972));
																									{	/* Module/foreign.scm 303 */
																										bool_t BgL_test2652z00_4321;

																										{	/* Module/foreign.scm 303 */
																											obj_t BgL_tmpz00_4322;

																											BgL_tmpz00_4322 =
																												CAR(
																												((obj_t)
																													BgL_cdrzd22389zd2_1972));
																											BgL_test2652z00_4321 =
																												SYMBOLP
																												(BgL_tmpz00_4322);
																										}
																										if (BgL_test2652z00_4321)
																											{	/* Module/foreign.scm 303 */
																												if (PAIRP
																													(BgL_cdrzd22409zd2_1984))
																													{	/* Module/foreign.scm 303 */
																														obj_t
																															BgL_carzd22411zd2_1988;
																														BgL_carzd22411zd2_1988
																															=
																															CAR
																															(BgL_cdrzd22409zd2_1984);
																														{

																															if (NULLP
																																(BgL_carzd22411zd2_1988))
																																{	/* Module/foreign.scm 303 */
																																BgL_kapzd22415zd2_1989:
																																	if (NULLP(CDR(
																																				((obj_t)
																																					BgL_cdrzd22409zd2_1984))))
																																		{	/* Module/foreign.scm 303 */
																																			if (BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_carzd22411zd2_1988))
																																				{	/* Module/foreign.scm 330 */
																																					return
																																						BgL_tzd2expzd2_36;
																																				}
																																			else
																																				{	/* Module/foreign.scm 330 */
																																					return
																																						BFALSE;
																																				}
																																		}
																																	else
																																		{	/* Module/foreign.scm 303 */
																																			return
																																				BFALSE;
																																		}
																																}
																															else
																																{	/* Module/foreign.scm 303 */
																																	if (PAIRP
																																		(BgL_carzd22411zd2_1988))
																																		{	/* Module/foreign.scm 303 */
																																			goto
																																				BgL_kapzd22415zd2_1989;
																																		}
																																	else
																																		{	/* Module/foreign.scm 303 */
																																			return
																																				BFALSE;
																																		}
																																}
																														}
																													}
																												else
																													{	/* Module/foreign.scm 303 */
																														return BFALSE;
																													}
																											}
																										else
																											{	/* Module/foreign.scm 303 */
																												return BFALSE;
																											}
																									}
																								}
																							else
																								{	/* Module/foreign.scm 303 */
																									if (
																										(CAR(
																												((obj_t)
																													BgL_tzd2expzd2_36)) ==
																											CNST_TABLE_REF(((long)
																													15))))
																										{
																											obj_t BgL_slotsz00_4344;

																											BgL_slotsz00_4344 =
																												CDR(
																												((obj_t)
																													BgL_tzd2expzd2_36));
																											BgL_slotsz00_1874 =
																												BgL_slotsz00_4344;
																											goto
																												BgL_tagzd22284zd2_1875;
																										}
																									else
																										{	/* Module/foreign.scm 303 */
																											return BFALSE;
																										}
																								}
																						}
																				}
																		}
																	else
																		{	/* Module/foreign.scm 303 */
																			if (
																				(CAR(
																						((obj_t) BgL_tzd2expzd2_36)) ==
																					CNST_TABLE_REF(((long) 15))))
																				{
																					obj_t BgL_slotsz00_4352;

																					BgL_slotsz00_4352 =
																						CDR(((obj_t) BgL_tzd2expzd2_36));
																					BgL_slotsz00_1874 = BgL_slotsz00_4352;
																					goto BgL_tagzd22284zd2_1875;
																				}
																			else
																				{	/* Module/foreign.scm 303 */
																					if (
																						(CAR(
																								((obj_t) BgL_tzd2expzd2_36)) ==
																							CNST_TABLE_REF(((long) 12))))
																						{	/* Module/foreign.scm 303 */
																							if (NULLP(CDR(
																										((obj_t)
																											BgL_tzd2expzd2_36))))
																								{	/* Module/foreign.scm 303 */
																									return BgL_tzd2expzd2_36;
																								}
																							else
																								{	/* Module/foreign.scm 303 */
																									return BFALSE;
																								}
																						}
																					else
																						{	/* Module/foreign.scm 303 */
																							return BFALSE;
																						}
																				}
																		}
																}
															else
																{	/* Module/foreign.scm 303 */
																	if (
																		(BgL_carzd22351zd2_1903 ==
																			CNST_TABLE_REF(((long) 18))))
																		{	/* Module/foreign.scm 303 */
																			goto BgL_kapzd22353zd2_1905;
																		}
																	else
																		{	/* Module/foreign.scm 303 */
																			if (
																				(CAR(BgL_tzd2expzd2_36) ==
																					CNST_TABLE_REF(((long) 16))))
																				{	/* Module/foreign.scm 303 */
																					if (PAIRP(BgL_cdrzd22352zd2_1904))
																						{	/* Module/foreign.scm 303 */
																							bool_t BgL_test2665z00_4373;

																							{	/* Module/foreign.scm 303 */
																								obj_t BgL_tmpz00_4374;

																								BgL_tmpz00_4374 =
																									CAR(BgL_cdrzd22352zd2_1904);
																								BgL_test2665z00_4373 =
																									SYMBOLP(BgL_tmpz00_4374);
																							}
																							if (BgL_test2665z00_4373)
																								{	/* Module/foreign.scm 303 */
																									if (NULLP(CDR
																											(BgL_cdrzd22352zd2_1904)))
																										{	/* Module/foreign.scm 303 */
																											return BgL_tzd2expzd2_36;
																										}
																									else
																										{	/* Module/foreign.scm 303 */
																											return BFALSE;
																										}
																								}
																							else
																								{	/* Module/foreign.scm 303 */
																									return BFALSE;
																								}
																						}
																					else
																						{	/* Module/foreign.scm 303 */
																							return BFALSE;
																						}
																				}
																			else
																				{	/* Module/foreign.scm 303 */
																					obj_t BgL_cdrzd22467zd2_1918;

																					BgL_cdrzd22467zd2_1918 =
																						CDR(BgL_tzd2expzd2_36);
																					if (
																						(CAR(BgL_tzd2expzd2_36) ==
																							CNST_TABLE_REF(((long) 14))))
																						{	/* Module/foreign.scm 303 */
																							if (PAIRP(BgL_cdrzd22467zd2_1918))
																								{	/* Module/foreign.scm 303 */
																									obj_t BgL_cdrzd22470zd2_1922;

																									BgL_cdrzd22470zd2_1922 =
																										CDR(BgL_cdrzd22467zd2_1918);
																									{	/* Module/foreign.scm 303 */
																										bool_t BgL_test2669z00_4388;

																										{	/* Module/foreign.scm 303 */
																											obj_t BgL_tmpz00_4389;

																											BgL_tmpz00_4389 =
																												CAR
																												(BgL_cdrzd22467zd2_1918);
																											BgL_test2669z00_4388 =
																												SYMBOLP
																												(BgL_tmpz00_4389);
																										}
																										if (BgL_test2669z00_4388)
																											{	/* Module/foreign.scm 303 */
																												if (PAIRP
																													(BgL_cdrzd22470zd2_1922))
																													{	/* Module/foreign.scm 303 */
																														obj_t
																															BgL_carzd22472zd2_1926;
																														BgL_carzd22472zd2_1926
																															=
																															CAR
																															(BgL_cdrzd22470zd2_1922);
																														{

																															if (NULLP
																																(BgL_carzd22472zd2_1926))
																																{	/* Module/foreign.scm 303 */
																																BgL_kapzd22476zd2_1927:
																																	if (NULLP(CDR(
																																				((obj_t)
																																					BgL_cdrzd22470zd2_1922))))
																																		{	/* Module/foreign.scm 303 */
																																			if (BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_carzd22472zd2_1926))
																																				{	/* Module/foreign.scm 330 */
																																					return
																																						BgL_tzd2expzd2_36;
																																				}
																																			else
																																				{	/* Module/foreign.scm 330 */
																																					return
																																						BFALSE;
																																				}
																																		}
																																	else
																																		{	/* Module/foreign.scm 303 */
																																			return
																																				BFALSE;
																																		}
																																}
																															else
																																{	/* Module/foreign.scm 303 */
																																	if (PAIRP
																																		(BgL_carzd22472zd2_1926))
																																		{	/* Module/foreign.scm 303 */
																																			goto
																																				BgL_kapzd22476zd2_1927;
																																		}
																																	else
																																		{	/* Module/foreign.scm 303 */
																																			return
																																				BFALSE;
																																		}
																																}
																														}
																													}
																												else
																													{	/* Module/foreign.scm 303 */
																														return BFALSE;
																													}
																											}
																										else
																											{	/* Module/foreign.scm 303 */
																												return BFALSE;
																											}
																									}
																								}
																							else
																								{	/* Module/foreign.scm 303 */
																									return BFALSE;
																								}
																						}
																					else
																						{	/* Module/foreign.scm 303 */
																							if (
																								(CAR(BgL_tzd2expzd2_36) ==
																									CNST_TABLE_REF(((long) 15))))
																								{
																									obj_t BgL_slotsz00_4409;

																									BgL_slotsz00_4409 =
																										BgL_cdrzd22467zd2_1918;
																									BgL_slotsz00_1874 =
																										BgL_slotsz00_4409;
																									goto BgL_tagzd22284zd2_1875;
																								}
																							else
																								{	/* Module/foreign.scm 303 */
																									if (
																										(CAR(BgL_tzd2expzd2_36) ==
																											CNST_TABLE_REF(((long)
																													12))))
																										{	/* Module/foreign.scm 303 */
																											if (NULLP
																												(BgL_cdrzd22467zd2_1918))
																												{	/* Module/foreign.scm 303 */
																													return
																														BgL_tzd2expzd2_36;
																												}
																											else
																												{	/* Module/foreign.scm 303 */
																													return BFALSE;
																												}
																										}
																									else
																										{	/* Module/foreign.scm 303 */
																											return BFALSE;
																										}
																								}
																						}
																				}
																		}
																}
														}
													}
											}
									}
							}
						else
							{	/* Module/foreign.scm 303 */
								return BFALSE;
							}
					}
			}
		}

	}



/* foreign-accesses-add! */
	BGL_EXPORTED_DEF obj_t
		BGl_foreignzd2accesseszd2addz12z12zzmodule_foreignz00(obj_t
		BgL_accessesz00_37)
	{
		{	/* Module/foreign.scm 360 */
			return (BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00 =
				BGl_appendzd221011zd2zzmodule_foreignz00(BgL_accessesz00_37,
					BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00), BUNSPEC);
		}

	}



/* &foreign-accesses-add! */
	obj_t BGl_z62foreignzd2accesseszd2addz12z70zzmodule_foreignz00(obj_t
		BgL_envz00_2954, obj_t BgL_accessesz00_2955)
	{
		{	/* Module/foreign.scm 360 */
			return
				BGl_foreignzd2accesseszd2addz12z12zzmodule_foreignz00
				(BgL_accessesz00_2955);
		}

	}



/* &foreign-finalizer */
	obj_t BGl_z62foreignzd2finaliza7erz17zzmodule_foreignz00(obj_t
		BgL_envz00_2943)
	{
		{	/* Module/foreign.scm 366 */
			{
				obj_t BgL_l1200z00_2975;

				BgL_l1200z00_2975 = BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00;
			BgL_zc3z04anonymousza32273ze3z87_2974:
				if (PAIRP(BgL_l1200z00_2975))
					{	/* Module/foreign.scm 368 */
						{	/* Module/foreign.scm 369 */
							obj_t BgL_foreignz00_2976;

							BgL_foreignz00_2976 = CAR(BgL_l1200z00_2975);
							{	/* Module/foreign.scm 369 */
								obj_t BgL_foz00_2977;

								BgL_foz00_2977 = CAR(((obj_t) BgL_foreignz00_2976));
								{	/* Module/foreign.scm 369 */
									obj_t BgL_exz00_2978;

									BgL_exz00_2978 = CDR(((obj_t) BgL_foreignz00_2976));
									{	/* Module/foreign.scm 370 */
										obj_t BgL_globalz00_2979;

										{	/* Module/foreign.scm 371 */
											obj_t BgL_arg2286z00_2980;

											{	/* Module/foreign.scm 371 */
												obj_t BgL_pairz00_2981;

												BgL_pairz00_2981 = CDR(((obj_t) BgL_foz00_2977));
												BgL_arg2286z00_2980 = CAR(BgL_pairz00_2981);
											}
											BgL_globalz00_2979 =
												BGl_findzd2globalzd2zzast_envz00(BgL_arg2286z00_2980,
												BNIL);
										}
										{	/* Module/foreign.scm 371 */
											obj_t BgL_namez00_2982;

											{	/* Module/foreign.scm 372 */
												obj_t BgL_pairz00_2983;

												{	/* Module/foreign.scm 372 */
													obj_t BgL_pairz00_2984;

													BgL_pairz00_2984 = CDR(((obj_t) BgL_foz00_2977));
													BgL_pairz00_2983 = CDR(BgL_pairz00_2984);
												}
												BgL_namez00_2982 = CAR(BgL_pairz00_2983);
											}
											{	/* Module/foreign.scm 372 */

												{	/* Module/foreign.scm 374 */
													bool_t BgL_test2679z00_4433;

													{	/* Module/foreign.scm 374 */
														obj_t BgL_classz00_2985;

														BgL_classz00_2985 = BGl_globalz00zzast_varz00;
														if (BGL_OBJECTP(BgL_globalz00_2979))
															{	/* Module/foreign.scm 374 */
																BgL_objectz00_bglt BgL_arg1825z00_2986;

																BgL_arg1825z00_2986 =
																	(BgL_objectz00_bglt) (BgL_globalz00_2979);
																{	/* Module/foreign.scm 374 */
																	bool_t BgL_arg1822z00_2987;
																	bool_t BgL_arg1823z00_2988;

																	{	/* Module/foreign.scm 374 */
																		long BgL_idxz00_2989;

																		BgL_idxz00_2989 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_2986);
																		BgL_arg1822z00_2987 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2989 + ((long) 2))) ==
																			BgL_classz00_2985);
																	}
																	{	/* Module/foreign.scm 374 */
																		bool_t BgL_res2333z00_2992;

																		{	/* Module/foreign.scm 374 */
																			obj_t BgL_oclassz00_2993;

																			{	/* Module/foreign.scm 374 */
																				long BgL_arg1833z00_2994;

																				{	/* Module/foreign.scm 374 */
																					long BgL_arg1834z00_2995;

																					BgL_arg1834z00_2995 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_2986);
																					BgL_arg1833z00_2994 =
																						(BgL_arg1834z00_2995 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2993 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_2994);
																			}
																			{	/* Module/foreign.scm 374 */
																				bool_t BgL__ortest_1110z00_2996;

																				BgL__ortest_1110z00_2996 =
																					(BgL_classz00_2985 ==
																					BgL_oclassz00_2993);
																				if (BgL__ortest_1110z00_2996)
																					{	/* Module/foreign.scm 374 */
																						BgL_res2333z00_2992 =
																							BgL__ortest_1110z00_2996;
																					}
																				else
																					{	/* Module/foreign.scm 374 */
																						long BgL_odepthz00_2997;

																						BgL_odepthz00_2997 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2993);
																						if ((((long) 2) <
																								BgL_odepthz00_2997))
																							{	/* Module/foreign.scm 374 */
																								obj_t BgL_arg1821z00_2998;

																								BgL_arg1821z00_2998 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2993,
																									((long) 2));
																								BgL_res2333z00_2992 =
																									(BgL_arg1821z00_2998 ==
																									BgL_classz00_2985);
																							}
																						else
																							{	/* Module/foreign.scm 374 */
																								BgL_res2333z00_2992 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_2988 = BgL_res2333z00_2992;
																	}
																	BgL_test2679z00_4433 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_2987,
																		BgL_arg1823z00_2988);
																}
															}
														else
															{	/* Module/foreign.scm 374 */
																BgL_test2679z00_4433 = ((bool_t) 0);
															}
													}
													if (BgL_test2679z00_4433)
														{	/* Module/foreign.scm 383 */
															bool_t BgL_test2683z00_4452;

															{	/* Module/foreign.scm 383 */
																obj_t BgL_tmpz00_4453;

																BgL_tmpz00_4453 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_globalz00_2979))))->BgL_namez00);
																BgL_test2683z00_4452 = STRINGP(BgL_tmpz00_4453);
															}
															if (BgL_test2683z00_4452)
																{	/* Module/foreign.scm 383 */
																	BGl_userzd2warningzd2zztools_errorz00
																		(BGl_string2354z00zzmodule_foreignz00,
																		BGl_string2355z00zzmodule_foreignz00,
																		BgL_foreignz00_2976);
																}
															else
																{	/* Module/foreign.scm 383 */
																	((((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_globalz00_2979))))->
																			BgL_namez00) =
																		((obj_t) BgL_namez00_2982), BUNSPEC);
																}
														}
													else
														{	/* Module/foreign.scm 374 */
															if (CBOOL(BgL_exz00_2978))
																{	/* Module/foreign.scm 376 */
																	bool_t BgL_test2685z00_4464;

																	if (
																		(BGl_za2passza2z00zzengine_paramz00 ==
																			CNST_TABLE_REF(((long) 19))))
																		{	/* Module/foreign.scm 376 */
																			BgL_test2685z00_4464 = ((bool_t) 1);
																		}
																	else
																		{	/* Module/foreign.scm 376 */
																			BgL_test2685z00_4464 =
																				(BGl_za2passza2z00zzengine_paramz00 ==
																				CNST_TABLE_REF(((long) 20)));
																		}
																	if (BgL_test2685z00_4464)
																		{	/* Module/foreign.scm 376 */
																			BFALSE;
																		}
																	else
																		{	/* Module/foreign.scm 380 */
																			obj_t BgL_arg2281z00_2999;

																			{	/* Module/foreign.scm 380 */
																				obj_t BgL_arg2283z00_3000;

																				{	/* Module/foreign.scm 380 */
																					obj_t BgL_pairz00_3001;

																					BgL_pairz00_3001 =
																						CDR(((obj_t) BgL_foz00_2977));
																					BgL_arg2283z00_3000 =
																						CAR(BgL_pairz00_3001);
																				}
																				{	/* Module/foreign.scm 379 */
																					obj_t BgL_list2284z00_3002;

																					BgL_list2284z00_3002 =
																						MAKE_YOUNG_PAIR(BgL_arg2283z00_3000,
																						BNIL);
																					BgL_arg2281z00_2999 =
																						BGl_formatz00zz__r4_output_6_10_3z00
																						(BGl_string2356z00zzmodule_foreignz00,
																						BgL_list2284z00_3002);
																				}
																			}
																			{	/* Module/foreign.scm 378 */
																				obj_t BgL_list2282z00_3003;

																				BgL_list2282z00_3003 =
																					MAKE_YOUNG_PAIR(BNIL, BNIL);
																				BGl_userzd2errorzd2zztools_errorz00
																					(BGl_string2354z00zzmodule_foreignz00,
																					BgL_arg2281z00_2999,
																					BgL_foreignz00_2976,
																					BgL_list2282z00_3003);
																			}
																		}
																}
															else
																{	/* Module/foreign.scm 375 */
																	BFALSE;
																}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1200z00_4477;

							BgL_l1200z00_4477 = CDR(BgL_l1200z00_2975);
							BgL_l1200z00_2975 = BgL_l1200z00_4477;
							goto BgL_zc3z04anonymousza32273ze3z87_2974;
						}
					}
				else
					{	/* Module/foreign.scm 368 */
						((bool_t) 1);
					}
			}
			BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00 = BNIL;
			if (NULLP(BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00))
				{	/* Module/foreign.scm 393 */
					return CNST_TABLE_REF(((long) 2));
				}
			else
				{	/* Module/foreign.scm 395 */
					obj_t BgL_accessesz00_3004;

					BgL_accessesz00_3004 =
						bgl_reverse_bang
						(BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00);
					BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00 = BNIL;
					{	/* Module/foreign.scm 397 */
						obj_t BgL_arg2290z00_3005;

						{	/* Module/foreign.scm 397 */
							obj_t BgL_idz00_3006;

							BgL_idz00_3006 = CNST_TABLE_REF(((long) 0));
							{	/* Module/foreign.scm 397 */
								obj_t BgL_newz00_3007;

								BgL_newz00_3007 =
									create_struct(CNST_TABLE_REF(((long) 21)),
									(int) (((long) 5)));
								{	/* Module/foreign.scm 397 */
									int BgL_tmpz00_4487;

									BgL_tmpz00_4487 = (int) (((long) 4));
									STRUCT_SET(BgL_newz00_3007, BgL_tmpz00_4487, BFALSE);
								}
								{	/* Module/foreign.scm 397 */
									int BgL_tmpz00_4490;

									BgL_tmpz00_4490 = (int) (((long) 3));
									STRUCT_SET(BgL_newz00_3007, BgL_tmpz00_4490, BTRUE);
								}
								{	/* Module/foreign.scm 397 */
									int BgL_tmpz00_4493;

									BgL_tmpz00_4493 = (int) (((long) 2));
									STRUCT_SET(BgL_newz00_3007, BgL_tmpz00_4493,
										BgL_accessesz00_3004);
								}
								{	/* Module/foreign.scm 397 */
									obj_t BgL_auxz00_4498;
									int BgL_tmpz00_4496;

									BgL_auxz00_4498 = BINT(((long) 48));
									BgL_tmpz00_4496 = (int) (((long) 1));
									STRUCT_SET(BgL_newz00_3007, BgL_tmpz00_4496, BgL_auxz00_4498);
								}
								{	/* Module/foreign.scm 397 */
									int BgL_tmpz00_4501;

									BgL_tmpz00_4501 = (int) (((long) 0));
									STRUCT_SET(BgL_newz00_3007, BgL_tmpz00_4501, BgL_idz00_3006);
								}
								BgL_arg2290z00_3005 = BgL_newz00_3007;
						}}
						{	/* Module/foreign.scm 397 */
							obj_t BgL_list2291z00_3008;

							BgL_list2291z00_3008 = MAKE_YOUNG_PAIR(BgL_arg2290z00_3005, BNIL);
							return BgL_list2291z00_3008;
						}
					}
				}
		}

	}



/* default-c-type */
	obj_t BGl_defaultzd2czd2typez00zzmodule_foreignz00(obj_t BgL_typez00_38,
		obj_t BgL_srcz00_39)
	{
		{	/* Module/foreign.scm 402 */
			{	/* Module/foreign.scm 403 */
				bool_t BgL_test2688z00_4505;

				{	/* Module/foreign.scm 403 */
					BgL_typez00_bglt BgL_arg2296z00_2100;

					BgL_arg2296z00_2100 = BGl_getzd2defaultzd2typez00zztype_cachez00();
					BgL_test2688z00_4505 =
						(BgL_typez00_38 == ((obj_t) BgL_arg2296z00_2100));
				}
				if (BgL_test2688z00_4505)
					{	/* Module/foreign.scm 404 */
						BgL_typez00_bglt BgL_defaultz00_2097;

						BgL_defaultz00_2097 =
							BGl_getzd2defaultzd2czd2typezd2zztype_cachez00();
						BGl_userzd2warningzf2locationz20zztools_errorz00
							(BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_39),
							BGl_string2354z00zzmodule_foreignz00,
							BGl_string2357z00zzmodule_foreignz00,
							(((BgL_typez00_bglt) COBJECT(BgL_defaultz00_2097))->BgL_idz00));
						return ((obj_t) BgL_defaultz00_2097);
					}
				else
					{	/* Module/foreign.scm 403 */
						return BgL_typez00_38;
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_foreignz00()
	{
		{	/* Module/foreign.scm 18 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_foreignz00()
	{
		{	/* Module/foreign.scm 18 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_foreignz00()
	{
		{	/* Module/foreign.scm 18 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_foreignz00()
	{
		{	/* Module/foreign.scm 18 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2358z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2358z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzmodule_checksumz00(((long) 457474182),
				BSTRING_TO_STRING(BGl_string2358z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2358z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2358z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long) 374700232),
				BSTRING_TO_STRING(BGl_string2358z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2358z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2358z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2358z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2358z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string2358z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2358z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2358z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2358z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2358z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzforeign_ctypez00(((long) 396356879),
				BSTRING_TO_STRING(BGl_string2358z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzforeign_accessz00(((long) 471073666),
				BSTRING_TO_STRING(BGl_string2358z00zzmodule_foreignz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2358z00zzmodule_foreignz00));
		}

	}

#ifdef __cplusplus
}
#endif
