/*===========================================================================*/
/*   (Module/impuse.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/impuse.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_importz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_modulez00;
		long BgL_numberz00;
		obj_t BgL_modez00;
		obj_t BgL_varsz00;
		obj_t BgL_aliasesz00;
		obj_t BgL_checksumz00;
		obj_t BgL_locz00;
		obj_t BgL_srcz00;
		obj_t BgL_declz00;
		obj_t BgL_providez00;
		obj_t BgL_codez00;
		obj_t BgL_accessz00;
	}                *BgL_importz00_bglt;


	static obj_t BGl_readzd2importz12zc0zzmodule_impusez00(obj_t);
	static obj_t BGl_importzd21zd2modulez00zzmodule_impusez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31579ze3ze5zzmodule_impusez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_z62importzd2withzd2modulez12z70zzmodule_impusez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_impusez00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_comptimezd2expandzf2errorz20zzexpand_epsz00(obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00;
	extern obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2fromzd2compilerz00zzmodule_impusez00();
	static obj_t BGl_toplevelzd2initzd2zzmodule_impusez00();
	static obj_t BGl_z62makezd2importzd2compilerz62zzmodule_impusez00(obj_t);
	extern obj_t BGl_getzd2includezd2consumedzd2codezd2zzmodule_includez00();
	extern obj_t BGl_getzd2includezd2consumedzd2directivezd2zzmodule_includez00();
	BGL_IMPORT obj_t BGl_evalz00zz__evalz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32104ze3ze5zzmodule_impusez00(obj_t);
	static obj_t
		BGl_z62initializa7ezd2importedzd2moduleszc5zzmodule_impusez00(obj_t, obj_t);
	extern obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31883ze3ze5zzmodule_impusez00(obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzmodule_impusez00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static obj_t BGl_impusezd2producerzd2zzmodule_impusez00(obj_t);
	BGL_IMPORT obj_t BGl_readerzd2resetz12zc0zz__readerz00();
	extern long BGl_modulezd2checksumzd2zzmodule_checksumz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32040ze3ze5zzmodule_impusez00(obj_t);
	static obj_t BGl_z62impusezd2producerzb0zzmodule_impusez00(obj_t, obj_t);
	extern obj_t BGl_declarezd2widezd2classz12z12zzmodule_classz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2importzd2compilerz00zzmodule_impusez00();
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzmodule_impusez00();
	static obj_t BGl_z62zc3z04anonymousza31312ze3ze5zzmodule_impusez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32033ze3ze5zzmodule_impusez00(obj_t);
	extern obj_t
		BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62zc3z04anonymousza31313ze3ze5zzmodule_impusez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32018ze3ze5zzmodule_impusez00(obj_t,
		obj_t);
	extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
	static obj_t BGl_za2importedzd2moduleszd2inzd2unitza2zd2zzmodule_impusez00 =
		BUNSPEC;
	static obj_t BGl_importzd2allzd2modulez00zzmodule_impusez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2withzd2modulez12z12zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62importzd2parserzb0zzmodule_impusez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62getzd2importedzd2modulesz62zzmodule_impusez00(obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_impusezd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2usezd2compilerz00zzmodule_impusez00();
	static obj_t BGl_za2importsza2z00zzmodule_impusez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31323ze3ze5zzmodule_impusez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31315ze3ze5zzmodule_impusez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2importedzd2modulesz00zzmodule_impusez00();
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_impusez00();
	extern obj_t BGl_inlinezd2finaliza7erz75zzread_inlinez00();
	static obj_t BGl_z62zc3z04anonymousza31317ze3ze5zzmodule_impusez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_close_input_port(obj_t);
	static obj_t BGl_importzd2wantedzd2zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32063ze3ze5zzmodule_impusez00(obj_t);
	static obj_t BGl_tracezd2initializa7ezd2moduleze70z40zzmodule_impusez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32055ze3ze5zzmodule_impusez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32047ze3ze5zzmodule_impusez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32081ze3ze5zzmodule_impusez00(obj_t);
	static BgL_importz00_bglt BGl_z62lambda2014z62zzmodule_impusez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_importz00_bglt BGl_z62lambda2016z62zzmodule_impusez00(obj_t);
	static obj_t BGl_initializa7ezd2moduleze70z92zzmodule_impusez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2ze3listz31zz__hashz00(obj_t);
	static obj_t BGl_z62lambda2102z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2103z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2023z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2024z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
	static obj_t BGl_z62lambda2031z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2032z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	static obj_t BGl_z62lambda2038z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2039z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
	extern obj_t BGl_lookzd2forzd2inlineszd2andzd2macrosz00zzread_inlinez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_importzd2everythingzd2zzmodule_impusez00(obj_t);
	static obj_t
		BGl_registerzd2importz12zc0zzmodule_impusez00(BgL_importz00_bglt);
	BGL_IMPORT obj_t BGl_bigloozd2modulezd2resolverz00zz__modulez00();
	static obj_t BGl_importzd2modulez12zc0zzmodule_impusez00(obj_t);
	static obj_t BGl_z62lambda2045z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2046z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_accessz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_checksumz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__modulez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static long BGl_za2importzd2numberza2zd2zzmodule_impusez00;
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_z62lambda2053z62zzmodule_impusez00(obj_t, obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_z62lambda2054z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00();
	extern obj_t BGl_prognzd2tailzd2expressionsz00zztools_prognz00(obj_t);
	static obj_t BGl_z62lambda2061z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2062z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2067z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2068z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_z62zc3z04anonymousza31633ze3ze5zzmodule_impusez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2073z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32095ze3ze5zzmodule_impusez00(obj_t);
	static obj_t BGl_z62lambda2074z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzmodule_impusez00();
	static obj_t BGl_z62lambda2079z62zzmodule_impusez00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_impusez00();
	extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
	static obj_t BGl_z62makezd2usezd2compilerz62zzmodule_impusez00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_impusez00();
	static obj_t BGl_z62makezd2fromzd2compilerz62zzmodule_impusez00(obj_t);
	extern obj_t BGl_consumezd2modulez12zc0zzmodule_modulez00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzmodule_impusez00();
	static obj_t BGl_z62lambda2080z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32088ze3ze5zzmodule_impusez00(obj_t);
	static obj_t BGl_z62lambda2086z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2087z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2093z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2094z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	extern obj_t BGl_parsezd2prototypezd2zzmodule_prototypez00(obj_t);
	BGL_IMPORT obj_t BGl_za2loadzd2pathza2zd2zz__evalz00;
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2unitz00zzmodule_impusez00(obj_t);
	extern obj_t BGl_prognzd2firstzd2expressionz00zztools_prognz00(obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	static obj_t BGl_importz00zzmodule_impusez00 = BUNSPEC;
	static obj_t BGl_importzd2finaliza7erz75zzmodule_impusez00();
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static bool_t BGl_aliaszf3ze70z14zzmodule_impusez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_initializa7ezd2importedzd2modulesza7zzmodule_impusez00(obj_t);
	extern obj_t BGl_za2mcozd2includezd2pathza2z00zzengine_paramz00;
	extern obj_t BGl_za2accesszd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_modulezd2addzd2accessz12z12zz__modulez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_defaultzd2environmentzd2zz__evalz00();
	static obj_t BGl_z62impusezd2finaliza7erz17zzmodule_impusez00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	static obj_t __cnst[47];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initializa7ezd2importedzd2moduleszd2envz75zzmodule_impusez00,
		BgL_bgl_za762initializa7a7eza72201za7,
		BGl_z62initializa7ezd2importedzd2moduleszc5zzmodule_impusez00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2145z00zzmodule_impusez00,
		BgL_bgl_string2145za700za7za7m2202za7, "module ~a", 9);
	      DEFINE_STRING(BGl_string2146z00zzmodule_impusez00,
		BgL_bgl_string2146za700za7za7m2203za7, "Illegal \"~a\" clause", 19);
	      DEFINE_STRING(BGl_string2147z00zzmodule_impusez00,
		BgL_bgl_string2147za700za7za7m2204za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string2148z00zzmodule_impusez00,
		BgL_bgl_string2148za700za7za7m2205za7, ".", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2140z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2206za7,
		BGl_z62zc3z04anonymousza31312ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2141z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2207za7,
		BGl_z62zc3z04anonymousza31313ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2142z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2208za7,
		BGl_z62zc3z04anonymousza31315ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2143z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2209za7,
		BGl_z62zc3z04anonymousza31317ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2144z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2210za7,
		BGl_z62zc3z04anonymousza31323ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2151z00zzmodule_impusez00,
		BgL_bgl_string2151za700za7za7m2211za7,
		"bgl_init_module_debug_import(\"~a\", \"~a\")", 40);
	      DEFINE_STRING(BGl_string2152z00zzmodule_impusez00,
		BgL_bgl_string2152za700za7za7m2212za7, "Illegal prototype", 17);
	      DEFINE_STRING(BGl_string2153z00zzmodule_impusez00,
		BgL_bgl_string2153za700za7za7m2213za7, "Cannot find module", 18);
	      DEFINE_STRING(BGl_string2154z00zzmodule_impusez00,
		BgL_bgl_string2154za700za7za7m2214za7,
		"Cannot open source file for module \"~a\"", 39);
	      DEFINE_STRING(BGl_string2155z00zzmodule_impusez00,
		BgL_bgl_string2155za700za7za7m2215za7, "used", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2216za7,
		BGl_z62zc3z04anonymousza31579ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2156z00zzmodule_impusez00,
		BgL_bgl_string2156za700za7za7m2217za7, "imported", 8);
	      DEFINE_STRING(BGl_string2157z00zzmodule_impusez00,
		BgL_bgl_string2157za700za7za7m2218za7, "]", 1);
	      DEFINE_STRING(BGl_string2158z00zzmodule_impusez00,
		BgL_bgl_string2158za700za7za7m2219za7, " module ", 8);
	      DEFINE_STRING(BGl_string2159z00zzmodule_impusez00,
		BgL_bgl_string2159za700za7za7m2220za7, "      [reading ", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2221za7,
		BGl_z62zc3z04anonymousza31633ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2160z00zzmodule_impusez00,
		BgL_bgl_string2160za700za7za7m2222za7,
		"Can't find export for these identifiers", 39);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zzmodule_impusez00,
		BgL_bgl_za762lambda2024za7622223z00, BGl_z62lambda2024z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zzmodule_impusez00,
		BgL_bgl_za762lambda2023za7622224z00, BGl_z62lambda2023z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2225za7,
		BGl_z62zc3z04anonymousza32033ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zzmodule_impusez00,
		BgL_bgl_za762lambda2032za7622226z00, BGl_z62lambda2032z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zzmodule_impusez00,
		BgL_bgl_za762lambda2031za7622227z00, BGl_z62lambda2031z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2228za7,
		BGl_z62zc3z04anonymousza32040ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zzmodule_impusez00,
		BgL_bgl_za762lambda2039za7622229z00, BGl_z62lambda2039z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zzmodule_impusez00,
		BgL_bgl_za762lambda2038za7622230z00, BGl_z62lambda2038z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2231za7,
		BGl_z62zc3z04anonymousza32047ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2importedzd2moduleszd2envzd2zzmodule_impusez00,
		BgL_bgl_za762getza7d2importe2232z00,
		BGl_z62getzd2importedzd2modulesz62zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zzmodule_impusez00,
		BgL_bgl_za762lambda2046za7622233z00, BGl_z62lambda2046z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zzmodule_impusez00,
		BgL_bgl_za762lambda2045za7622234z00, BGl_z62lambda2045z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2235za7,
		BGl_z62zc3z04anonymousza32055ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zzmodule_impusez00,
		BgL_bgl_za762lambda2054za7622236z00, BGl_z62lambda2054z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zzmodule_impusez00,
		BgL_bgl_za762lambda2053za7622237z00, BGl_z62lambda2053z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2238za7,
		BGl_z62zc3z04anonymousza32063ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zzmodule_impusez00,
		BgL_bgl_za762lambda2062za7622239z00, BGl_z62lambda2062z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zzmodule_impusez00,
		BgL_bgl_za762lambda2061za7622240z00, BGl_z62lambda2061z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zzmodule_impusez00,
		BgL_bgl_za762lambda2068za7622241z00, BGl_z62lambda2068z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zzmodule_impusez00,
		BgL_bgl_za762lambda2067za7622242z00, BGl_z62lambda2067z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zzmodule_impusez00,
		BgL_bgl_za762lambda2074za7622243z00, BGl_z62lambda2074z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zzmodule_impusez00,
		BgL_bgl_za762lambda2073za7622244z00, BGl_z62lambda2073z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2245za7,
		BGl_z62zc3z04anonymousza32081ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zzmodule_impusez00,
		BgL_bgl_za762lambda2080za7622246z00, BGl_z62lambda2080z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzmodule_impusez00,
		BgL_bgl_za762lambda2079za7622247z00, BGl_z62lambda2079z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2248za7,
		BGl_z62zc3z04anonymousza32088ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzmodule_impusez00,
		BgL_bgl_za762lambda2087za7622249z00, BGl_z62lambda2087z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzmodule_impusez00,
		BgL_bgl_za762lambda2086za7622250z00, BGl_z62lambda2086z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2251za7,
		BGl_z62zc3z04anonymousza32095ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzmodule_impusez00,
		BgL_bgl_za762lambda2094za7622252z00, BGl_z62lambda2094z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2197z00zzmodule_impusez00,
		BgL_bgl_string2197za700za7za7m2253za7, "module_impuse", 13);
	      DEFINE_STRING(BGl_string2198z00zzmodule_impusez00,
		BgL_bgl_string2198za700za7za7m2254za7,
		"_ module_impuse access code pair-nil provide decl src loc checksum aliases obj vars mode long number symbol expander syntax macro define-macro wide-class final-class abstract-class class svar sgfun sifun sfun unit imported-modules staged pragma::void @ checksum::long from::string begin module (import with from) error nothing with all from use void import ",
		357);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_importzd2parserzd2envz00zzmodule_impusez00,
		BgL_bgl_za762importza7d2pars2255z00, va_generic_entry,
		BGl_z62importzd2parserzb0zzmodule_impusez00, BUNSPEC, -4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2withzd2modulez12zd2envzc0zzmodule_impusez00,
		BgL_bgl_za762importza7d2with2256z00,
		BGl_z62importzd2withzd2modulez12z70zzmodule_impusez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_impusezd2finaliza7erzd2envza7zzmodule_impusez00,
		BgL_bgl_za762impuseza7d2fina2257z00,
		BGl_z62impusezd2finaliza7erz17zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzmodule_impusez00,
		BgL_bgl_za762lambda2093za7622258z00, BGl_z62lambda2093z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2259za7,
		BGl_z62zc3z04anonymousza32104ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzmodule_impusez00,
		BgL_bgl_za762lambda2103za7622260z00, BGl_z62lambda2103z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzmodule_impusez00,
		BgL_bgl_za762lambda2102za7622261z00, BGl_z62lambda2102z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2262za7,
		BGl_z62zc3z04anonymousza32018ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzmodule_impusez00,
		BgL_bgl_za762lambda2016za7622263z00, BGl_z62lambda2016z62zzmodule_impusez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzmodule_impusez00,
		BgL_bgl_za762lambda2014za7622264z00, BGl_z62lambda2014z62zzmodule_impusez00,
		0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2usezd2compilerzd2envzd2zzmodule_impusez00,
		BgL_bgl_za762makeza7d2useza7d22265za7,
		BGl_z62makezd2usezd2compilerz62zzmodule_impusez00, 0L, BUNSPEC, 0);
	extern obj_t BGl_modulezd2initializa7ationzd2idzd2envz75zzmodule_modulez00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_impusezd2producerzd2envz00zzmodule_impusez00,
		BgL_bgl_za762impuseza7d2prod2266z00,
		BGl_z62impusezd2producerzb0zzmodule_impusez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2importzd2compilerzd2envzd2zzmodule_impusez00,
		BgL_bgl_za762makeza7d2import2267z00,
		BGl_z62makezd2importzd2compilerz62zzmodule_impusez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2fromzd2compilerzd2envzd2zzmodule_impusez00,
		BgL_bgl_za762makeza7d2fromza7d2268za7,
		BGl_z62makezd2fromzd2compilerz62zzmodule_impusez00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzmodule_impusez00));
		     ADD_ROOT((void
				*) (&BGl_za2importedzd2moduleszd2inzd2unitza2zd2zzmodule_impusez00));
		     ADD_ROOT((void *) (&BGl_za2importsza2z00zzmodule_impusez00));
		     ADD_ROOT((void *) (&BGl_importz00zzmodule_impusez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long
		BgL_checksumz00_2606, char *BgL_fromz00_2607)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_impusez00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_impusez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzmodule_impusez00();
					BGl_libraryzd2moduleszd2initz00zzmodule_impusez00();
					BGl_cnstzd2initzd2zzmodule_impusez00();
					BGl_importedzd2moduleszd2initz00zzmodule_impusez00();
					BGl_objectzd2initzd2zzmodule_impusez00();
					return BGl_toplevelzd2initzd2zzmodule_impusez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_impusez00()
	{
		{	/* Module/impuse.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "module_impuse");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "module_impuse");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "module_impuse");
			BGl_modulezd2initializa7ationz75zz__modulez00(((long) 0),
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "module_impuse");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"module_impuse");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_impusez00()
	{
		{	/* Module/impuse.scm 15 */
			{	/* Module/impuse.scm 15 */
				obj_t BgL_cportz00_2550;

				{	/* Module/impuse.scm 15 */
					obj_t BgL_stringz00_2558;

					BgL_stringz00_2558 = BGl_string2198z00zzmodule_impusez00;
					{	/* Module/impuse.scm 15 */
						obj_t BgL_startz00_2559;

						BgL_startz00_2559 = BINT(((long) 0));
						{	/* Module/impuse.scm 15 */
							obj_t BgL_endz00_2560;

							BgL_endz00_2560 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2558)));
							{	/* Module/impuse.scm 15 */

								BgL_cportz00_2550 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2558, BgL_startz00_2559, BgL_endz00_2560);
				}}}}
				{
					long BgL_iz00_2551;

					BgL_iz00_2551 = ((long) 46);
				BgL_loopz00_2552:
					if ((BgL_iz00_2551 == ((long) -1)))
						{	/* Module/impuse.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/impuse.scm 15 */
							{	/* Module/impuse.scm 15 */
								obj_t BgL_arg2200z00_2554;

								{	/* Module/impuse.scm 15 */

									{	/* Module/impuse.scm 15 */
										obj_t BgL_locationz00_2556;

										BgL_locationz00_2556 = BBOOL(((bool_t) 0));
										{	/* Module/impuse.scm 15 */

											BgL_arg2200z00_2554 =
												BGl_readz00zz__readerz00(BgL_cportz00_2550,
												BgL_locationz00_2556);
										}
									}
								}
								{	/* Module/impuse.scm 15 */
									int BgL_tmpz00_2644;

									BgL_tmpz00_2644 = (int) (BgL_iz00_2551);
									CNST_TABLE_SET(BgL_tmpz00_2644, BgL_arg2200z00_2554);
							}}
							{	/* Module/impuse.scm 15 */
								int BgL_auxz00_2557;

								BgL_auxz00_2557 = (int) ((BgL_iz00_2551 - ((long) 1)));
								{
									long BgL_iz00_2649;

									BgL_iz00_2649 = (long) (BgL_auxz00_2557);
									BgL_iz00_2551 = BgL_iz00_2649;
									goto BgL_loopz00_2552;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzmodule_impusez00()
	{
		{	/* Module/impuse.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_impusez00()
	{
		{	/* Module/impuse.scm 15 */
			BGl_za2importsza2z00zzmodule_impusez00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL);
			BGl_za2importzd2numberza2zd2zzmodule_impusez00 = ((long) 0);
			return (BGl_za2importedzd2moduleszd2inzd2unitza2zd2zzmodule_impusez00 =
				BNIL, BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzmodule_impusez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_854;

				BgL_headz00_854 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_855;
					obj_t BgL_tailz00_856;

					BgL_prevz00_855 = BgL_headz00_854;
					BgL_tailz00_856 = BgL_l1z00_1;
				BgL_loopz00_857:
					if (PAIRP(BgL_tailz00_856))
						{
							obj_t BgL_newzd2prevzd2_859;

							BgL_newzd2prevzd2_859 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_856), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_855, BgL_newzd2prevzd2_859);
							{
								obj_t BgL_tailz00_2660;
								obj_t BgL_prevz00_2659;

								BgL_prevz00_2659 = BgL_newzd2prevzd2_859;
								BgL_tailz00_2660 = CDR(BgL_tailz00_856);
								BgL_tailz00_856 = BgL_tailz00_2660;
								BgL_prevz00_855 = BgL_prevz00_2659;
								goto BgL_loopz00_857;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_854);
				}
			}
		}

	}



/* make-import-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2importzd2compilerz00zzmodule_impusez00()
	{
		{	/* Module/impuse.scm 69 */
			{	/* Module/impuse.scm 70 */
				BgL_ccompz00_bglt BgL_new1092z00_879;

				{	/* Module/impuse.scm 71 */
					BgL_ccompz00_bglt BgL_new1091z00_884;

					BgL_new1091z00_884 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/impuse.scm 71 */
						long BgL_arg1314z00_885;

						BgL_arg1314z00_885 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1091z00_884), BgL_arg1314z00_885);
					}
					BgL_new1092z00_879 = BgL_new1091z00_884;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1092z00_879))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1092z00_879))->BgL_producerz00) =
					((obj_t) BGl_impusezd2producerzd2envz00zzmodule_impusez00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1092z00_879))->BgL_consumerz00) =
					((obj_t) BGl_proc2140z00zzmodule_impusez00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1092z00_879))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_proc2141z00zzmodule_impusez00), BUNSPEC);
				return ((obj_t) BgL_new1092z00_879);
			}
		}

	}



/* &make-import-compiler */
	obj_t BGl_z62makezd2importzd2compilerz62zzmodule_impusez00(obj_t
		BgL_envz00_2382)
	{
		{	/* Module/impuse.scm 69 */
			return BGl_makezd2importzd2compilerz00zzmodule_impusez00();
		}

	}



/* &<@anonymous:1313> */
	obj_t BGl_z62zc3z04anonymousza31313ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2383)
	{
		{	/* Module/module.scm 55 */
			return CNST_TABLE_REF(((long) 1));
		}

	}



/* &<@anonymous:1312> */
	obj_t BGl_z62zc3z04anonymousza31312ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2384, obj_t BgL_mz00_2385, obj_t BgL_cz00_2386)
	{
		{	/* Module/module.scm 53 */
			return BNIL;
		}

	}



/* make-use-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2usezd2compilerz00zzmodule_impusez00()
	{
		{	/* Module/impuse.scm 77 */
			{	/* Module/impuse.scm 78 */
				BgL_ccompz00_bglt BgL_new1094z00_886;

				{	/* Module/impuse.scm 79 */
					BgL_ccompz00_bglt BgL_new1093z00_890;

					BgL_new1093z00_890 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/impuse.scm 79 */
						long BgL_arg1316z00_891;

						BgL_arg1316z00_891 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1093z00_890), BgL_arg1316z00_891);
					}
					BgL_new1094z00_886 = BgL_new1093z00_890;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1094z00_886))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1094z00_886))->BgL_producerz00) =
					((obj_t) BGl_impusezd2producerzd2envz00zzmodule_impusez00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1094z00_886))->BgL_consumerz00) =
					((obj_t) BGl_proc2142z00zzmodule_impusez00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1094z00_886))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_impusezd2finaliza7erzd2envza7zzmodule_impusez00),
					BUNSPEC);
				return ((obj_t) BgL_new1094z00_886);
			}
		}

	}



/* &make-use-compiler */
	obj_t BGl_z62makezd2usezd2compilerz62zzmodule_impusez00(obj_t BgL_envz00_2390)
	{
		{	/* Module/impuse.scm 77 */
			return BGl_makezd2usezd2compilerz00zzmodule_impusez00();
		}

	}



/* &<@anonymous:1315> */
	obj_t BGl_z62zc3z04anonymousza31315ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2391, obj_t BgL_mz00_2392, obj_t BgL_cz00_2393)
	{
		{	/* Module/module.scm 53 */
			return BNIL;
		}

	}



/* make-from-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2fromzd2compilerz00zzmodule_impusez00()
	{
		{	/* Module/impuse.scm 86 */
			{	/* Module/impuse.scm 87 */
				BgL_ccompz00_bglt BgL_new1096z00_892;

				{	/* Module/impuse.scm 88 */
					BgL_ccompz00_bglt BgL_new1095z00_900;

					BgL_new1095z00_900 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/impuse.scm 88 */
						long BgL_arg1324z00_901;

						BgL_arg1324z00_901 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1095z00_900), BgL_arg1324z00_901);
					}
					BgL_new1096z00_892 = BgL_new1095z00_900;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1096z00_892))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 3))), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1096z00_892))->BgL_producerz00) =
					((obj_t) BGl_impusezd2producerzd2envz00zzmodule_impusez00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1096z00_892))->BgL_consumerz00) =
					((obj_t) BGl_proc2143z00zzmodule_impusez00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1096z00_892))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_proc2144z00zzmodule_impusez00), BUNSPEC);
				return ((obj_t) BgL_new1096z00_892);
			}
		}

	}



/* &make-from-compiler */
	obj_t BGl_z62makezd2fromzd2compilerz62zzmodule_impusez00(obj_t
		BgL_envz00_2397)
	{
		{	/* Module/impuse.scm 86 */
			return BGl_makezd2fromzd2compilerz00zzmodule_impusez00();
		}

	}



/* &<@anonymous:1323> */
	obj_t BGl_z62zc3z04anonymousza31323ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2398)
	{
		{	/* Module/module.scm 55 */
			return CNST_TABLE_REF(((long) 1));
		}

	}



/* &<@anonymous:1317> */
	obj_t BGl_z62zc3z04anonymousza31317ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2399, obj_t BgL_modulez00_2400, obj_t BgL_clausez00_2401)
	{
		{	/* Module/impuse.scm 90 */
			{	/* Module/impuse.scm 92 */
				obj_t BgL_arg1320z00_2562;

				{	/* Module/impuse.scm 92 */
					obj_t BgL_arg1321z00_2563;

					{	/* Module/impuse.scm 92 */
						obj_t BgL_list1322z00_2564;

						BgL_list1322z00_2564 = MAKE_YOUNG_PAIR(BgL_modulez00_2400, BNIL);
						BgL_arg1321z00_2563 =
							BGl_formatz00zz__r4_output_6_10_3z00
							(BGl_string2145z00zzmodule_impusez00, BgL_list1322z00_2564);
					}
					BgL_arg1320z00_2562 = bstring_to_symbol(BgL_arg1321z00_2563);
				}
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1320z00_2562);
			}
			BGl_impusezd2producerzd2zzmodule_impusez00(BgL_clausez00_2401);
			BGl_leavezd2functionzd2zztools_errorz00();
			return BNIL;
		}

	}



/* register-import! */
	obj_t BGl_registerzd2importz12zc0zzmodule_impusez00(BgL_importz00_bglt
		BgL_importz00_74)
	{
		{	/* Module/impuse.scm 106 */
			BGl_za2importzd2numberza2zd2zzmodule_impusez00 =
				(((long) 1) + BGl_za2importzd2numberza2zd2zzmodule_impusez00);
			((((BgL_importz00_bglt) COBJECT(BgL_importz00_74))->BgL_numberz00) =
				((long) BGl_za2importzd2numberza2zd2zzmodule_impusez00), BUNSPEC);
			{	/* Module/impuse.scm 109 */
				obj_t BgL_arg1325z00_902;

				BgL_arg1325z00_902 =
					(((BgL_importz00_bglt) COBJECT(BgL_importz00_74))->BgL_modulez00);
				return
					BGl_hashtablezd2putz12zc0zz__hashz00
					(BGl_za2importsza2z00zzmodule_impusez00, BgL_arg1325z00_902,
					((obj_t) BgL_importz00_74));
			}
		}

	}



/* impuse-producer */
	obj_t BGl_impusezd2producerzd2zzmodule_impusez00(obj_t BgL_clausez00_75)
	{
		{	/* Module/impuse.scm 114 */
			{	/* Module/impuse.scm 115 */
				obj_t BgL_modez00_903;

				BgL_modez00_903 = CAR(((obj_t) BgL_clausez00_75));
				{
					obj_t BgL_protosz00_904;

					if (PAIRP(BgL_clausez00_75))
						{	/* Module/impuse.scm 116 */
							obj_t BgL_arg1328z00_909;

							BgL_arg1328z00_909 = CDR(BgL_clausez00_75);
							{	/* Module/impuse.scm 116 */
								bool_t BgL_tmpz00_2714;

								BgL_protosz00_904 = BgL_arg1328z00_909;
								{
									obj_t BgL_l1231z00_911;

									BgL_l1231z00_911 = BgL_protosz00_904;
								BgL_zc3z04anonymousza31329ze3z87_912:
									if (PAIRP(BgL_l1231z00_911))
										{	/* Module/impuse.scm 118 */
											BGl_impusezd2parserzd2zzmodule_impusez00(CAR
												(BgL_l1231z00_911), BgL_modez00_903, BgL_clausez00_75);
											{
												obj_t BgL_l1231z00_2719;

												BgL_l1231z00_2719 = CDR(BgL_l1231z00_911);
												BgL_l1231z00_911 = BgL_l1231z00_2719;
												goto BgL_zc3z04anonymousza31329ze3z87_912;
											}
										}
									else
										{	/* Module/impuse.scm 118 */
											BgL_tmpz00_2714 = ((bool_t) 1);
										}
								}
								return BBOOL(BgL_tmpz00_2714);
							}
						}
					else
						{	/* Module/impuse.scm 116 */
							{	/* Module/impuse.scm 120 */
								obj_t BgL_arg1332z00_917;
								obj_t BgL_arg1333z00_918;

								BgL_arg1332z00_917 =
									BGl_findzd2locationzd2zztools_locationz00
									(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00);
								{	/* Module/impuse.scm 121 */
									obj_t BgL_list1335z00_920;

									BgL_list1335z00_920 = MAKE_YOUNG_PAIR(BgL_modez00_903, BNIL);
									BgL_arg1333z00_918 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string2146z00zzmodule_impusez00, BgL_list1335z00_920);
								}
								{	/* Module/impuse.scm 120 */
									obj_t BgL_list1334z00_919;

									BgL_list1334z00_919 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_arg1332z00_917, BGl_string2147z00zzmodule_impusez00,
										BgL_arg1333z00_918, BgL_clausez00_75, BgL_list1334z00_919);
								}
							}
						}
				}
			}
		}

	}



/* &impuse-producer */
	obj_t BGl_z62impusezd2producerzb0zzmodule_impusez00(obj_t BgL_envz00_2387,
		obj_t BgL_clausez00_2388)
	{
		{	/* Module/impuse.scm 114 */
			return BGl_impusezd2producerzd2zzmodule_impusez00(BgL_clausez00_2388);
		}

	}



/* import-all-module */
	obj_t BGl_importzd2allzd2modulez00zzmodule_impusez00(obj_t BgL_modulez00_76,
		obj_t BgL_modez00_77, obj_t BgL_srcz00_78)
	{
		{	/* Module/impuse.scm 126 */
			{	/* Module/impuse.scm 127 */
				obj_t BgL_miz00_921;

				BgL_miz00_921 =
					BGl_hashtablezd2getzd2zz__hashz00
					(BGl_za2importsza2z00zzmodule_impusez00, BgL_modulez00_76);
				{	/* Module/impuse.scm 128 */
					bool_t BgL_test2274z00_2729;

					{	/* Module/impuse.scm 128 */
						obj_t BgL_classz00_1856;

						BgL_classz00_1856 = BGl_importz00zzmodule_impusez00;
						if (BGL_OBJECTP(BgL_miz00_921))
							{	/* Module/impuse.scm 128 */
								obj_t BgL_oclassz00_1858;

								{	/* Module/impuse.scm 128 */
									long BgL_arg1833z00_1860;

									{	/* Module/impuse.scm 128 */
										long BgL_arg1834z00_1861;

										BgL_arg1834z00_1861 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt) BgL_miz00_921));
										BgL_arg1833z00_1860 = (BgL_arg1834z00_1861 - OBJECT_TYPE);
									}
									BgL_oclassz00_1858 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										BgL_arg1833z00_1860);
								}
								BgL_test2274z00_2729 =
									(BgL_oclassz00_1858 == BgL_classz00_1856);
							}
						else
							{	/* Module/impuse.scm 128 */
								BgL_test2274z00_2729 = ((bool_t) 0);
							}
					}
					if (BgL_test2274z00_2729)
						{	/* Module/impuse.scm 129 */
							obj_t BgL_vz00_1868;

							BgL_vz00_1868 = CNST_TABLE_REF(((long) 4));
							return
								((((BgL_importz00_bglt) COBJECT(
											((BgL_importz00_bglt) BgL_miz00_921)))->BgL_varsz00) =
								((obj_t) BgL_vz00_1868), BUNSPEC);
						}
					else
						{	/* Module/impuse.scm 130 */
							obj_t BgL_locz00_923;

							BgL_locz00_923 =
								BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srcz00_78,
								BGl_findzd2locationzd2zztools_locationz00
								(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00));
							{	/* Module/impuse.scm 132 */
								BgL_importz00_bglt BgL_arg1338z00_924;

								{	/* Module/impuse.scm 132 */
									BgL_importz00_bglt BgL_new1099z00_925;

									{	/* Module/impuse.scm 133 */
										BgL_importz00_bglt BgL_new1098z00_926;

										BgL_new1098z00_926 =
											((BgL_importz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_importz00_bgl))));
										{	/* Module/impuse.scm 133 */
											long BgL_arg1339z00_927;

											BgL_arg1339z00_927 =
												BGL_CLASS_NUM(BGl_importz00zzmodule_impusez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1098z00_926),
												BgL_arg1339z00_927);
										}
										BgL_new1099z00_925 = BgL_new1098z00_926;
									}
									((((BgL_importz00_bglt) COBJECT(BgL_new1099z00_925))->
											BgL_modulez00) = ((obj_t) BgL_modulez00_76), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1099z00_925))->
											BgL_numberz00) = ((long) ((long) -1)), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1099z00_925))->
											BgL_modez00) = ((obj_t) BgL_modez00_77), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1099z00_925))->
											BgL_varsz00) =
										((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1099z00_925))->
											BgL_aliasesz00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1099z00_925))->
											BgL_checksumz00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1099z00_925))->
											BgL_locz00) = ((obj_t) BgL_locz00_923), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1099z00_925))->
											BgL_srcz00) = ((obj_t) BgL_srcz00_78), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1099z00_925))->
											BgL_declz00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1099z00_925))->
											BgL_providez00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1099z00_925))->
											BgL_codez00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1099z00_925))->
											BgL_accessz00) = ((obj_t) BNIL), BUNSPEC);
									BgL_arg1338z00_924 = BgL_new1099z00_925;
								}
								return
									BGl_registerzd2importz12zc0zzmodule_impusez00
									(BgL_arg1338z00_924);
							}
						}
				}
			}
		}

	}



/* import-1-module */
	obj_t BGl_importzd21zd2modulez00zzmodule_impusez00(obj_t BgL_modulez00_79,
		obj_t BgL_varz00_80, obj_t BgL_aliasz00_81, obj_t BgL_modez00_82,
		obj_t BgL_srcz00_83)
	{
		{	/* Module/impuse.scm 147 */
			{	/* Module/impuse.scm 148 */
				obj_t BgL_miz00_929;

				BgL_miz00_929 =
					BGl_hashtablezd2getzd2zz__hashz00
					(BGl_za2importsza2z00zzmodule_impusez00, BgL_modulez00_79);
				{	/* Module/impuse.scm 149 */
					bool_t BgL_test2276z00_2761;

					{	/* Module/impuse.scm 149 */
						obj_t BgL_classz00_1872;

						BgL_classz00_1872 = BGl_importz00zzmodule_impusez00;
						if (BGL_OBJECTP(BgL_miz00_929))
							{	/* Module/impuse.scm 149 */
								obj_t BgL_oclassz00_1874;

								{	/* Module/impuse.scm 149 */
									long BgL_arg1833z00_1876;

									{	/* Module/impuse.scm 149 */
										long BgL_arg1834z00_1877;

										BgL_arg1834z00_1877 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt) BgL_miz00_929));
										BgL_arg1833z00_1876 = (BgL_arg1834z00_1877 - OBJECT_TYPE);
									}
									BgL_oclassz00_1874 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										BgL_arg1833z00_1876);
								}
								BgL_test2276z00_2761 =
									(BgL_oclassz00_1874 == BgL_classz00_1872);
							}
						else
							{	/* Module/impuse.scm 149 */
								BgL_test2276z00_2761 = ((bool_t) 0);
							}
					}
					if (BgL_test2276z00_2761)
						{	/* Module/impuse.scm 149 */
							if (CBOOL(BgL_aliasz00_81))
								{	/* Module/impuse.scm 154 */
									obj_t BgL_arg1343z00_931;

									{	/* Module/impuse.scm 154 */
										obj_t BgL_arg1347z00_932;
										obj_t BgL_arg1348z00_933;

										BgL_arg1347z00_932 =
											MAKE_YOUNG_PAIR(BgL_varz00_80, BgL_aliasz00_81);
										BgL_arg1348z00_933 =
											(((BgL_importz00_bglt) COBJECT(
													((BgL_importz00_bglt) BgL_miz00_929)))->
											BgL_aliasesz00);
										BgL_arg1343z00_931 =
											MAKE_YOUNG_PAIR(BgL_arg1347z00_932, BgL_arg1348z00_933);
									}
									return
										((((BgL_importz00_bglt) COBJECT(
													((BgL_importz00_bglt) BgL_miz00_929)))->
											BgL_aliasesz00) = ((obj_t) BgL_arg1343z00_931), BUNSPEC);
								}
							else
								{	/* Module/impuse.scm 155 */
									obj_t BgL_casezd2valuezd2_934;

									BgL_casezd2valuezd2_934 =
										(((BgL_importz00_bglt) COBJECT(
												((BgL_importz00_bglt) BgL_miz00_929)))->BgL_varsz00);
									if ((BgL_casezd2valuezd2_934 == CNST_TABLE_REF(((long) 5))))
										{	/* Module/impuse.scm 155 */
											((((BgL_importz00_bglt) COBJECT(
															((BgL_importz00_bglt) BgL_miz00_929)))->
													BgL_modez00) =
												((obj_t) ((obj_t) BgL_modez00_82)), BUNSPEC);
											{	/* Module/impuse.scm 158 */
												obj_t BgL_arg1350z00_936;

												{	/* Module/impuse.scm 158 */
													obj_t BgL_arg1354z00_937;

													BgL_arg1354z00_937 =
														MAKE_YOUNG_PAIR(BgL_varz00_80, BFALSE);
													{	/* Module/impuse.scm 158 */
														obj_t BgL_list1355z00_938;

														BgL_list1355z00_938 =
															MAKE_YOUNG_PAIR(BgL_arg1354z00_937, BNIL);
														BgL_arg1350z00_936 = BgL_list1355z00_938;
												}}
												return
													((((BgL_importz00_bglt) COBJECT(
																((BgL_importz00_bglt) BgL_miz00_929)))->
														BgL_varsz00) =
													((obj_t) BgL_arg1350z00_936), BUNSPEC);
											}
										}
									else
										{	/* Module/impuse.scm 155 */
											if (
												(BgL_casezd2valuezd2_934 == CNST_TABLE_REF(((long) 4))))
												{	/* Module/impuse.scm 155 */
													return CNST_TABLE_REF(((long) 6));
												}
											else
												{	/* Module/impuse.scm 163 */
													obj_t BgL_arg1357z00_940;

													{	/* Module/impuse.scm 163 */
														obj_t BgL_arg1358z00_941;
														obj_t BgL_arg1361z00_942;

														BgL_arg1358z00_941 =
															MAKE_YOUNG_PAIR(BgL_varz00_80, BFALSE);
														BgL_arg1361z00_942 =
															(((BgL_importz00_bglt) COBJECT(
																	((BgL_importz00_bglt) BgL_miz00_929)))->
															BgL_varsz00);
														BgL_arg1357z00_940 =
															MAKE_YOUNG_PAIR(BgL_arg1358z00_941,
															BgL_arg1361z00_942);
													}
													return
														((((BgL_importz00_bglt) COBJECT(
																	((BgL_importz00_bglt) BgL_miz00_929)))->
															BgL_varsz00) =
														((obj_t) BgL_arg1357z00_940), BUNSPEC);
												}
										}
								}
						}
					else
						{	/* Module/impuse.scm 165 */
							obj_t BgL_locz00_943;

							BgL_locz00_943 =
								BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srcz00_83,
								BGl_findzd2locationzd2zztools_locationz00
								(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00));
							{	/* Module/impuse.scm 167 */
								BgL_importz00_bglt BgL_arg1363z00_944;

								{	/* Module/impuse.scm 167 */
									BgL_importz00_bglt BgL_new1101z00_945;

									{	/* Module/impuse.scm 168 */
										BgL_importz00_bglt BgL_new1100z00_950;

										BgL_new1100z00_950 =
											((BgL_importz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_importz00_bgl))));
										{	/* Module/impuse.scm 168 */
											long BgL_arg1369z00_951;

											BgL_arg1369z00_951 =
												BGL_CLASS_NUM(BGl_importz00zzmodule_impusez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1100z00_950),
												BgL_arg1369z00_951);
										}
										BgL_new1101z00_945 = BgL_new1100z00_950;
									}
									((((BgL_importz00_bglt) COBJECT(BgL_new1101z00_945))->
											BgL_modulez00) = ((obj_t) BgL_modulez00_79), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1101z00_945))->
											BgL_numberz00) = ((long) ((long) -1)), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1101z00_945))->
											BgL_modez00) = ((obj_t) BgL_modez00_82), BUNSPEC);
									{
										obj_t BgL_auxz00_2808;

										if (CBOOL(BgL_aliasz00_81))
											{	/* Module/impuse.scm 171 */
												BgL_auxz00_2808 = BNIL;
											}
										else
											{	/* Module/impuse.scm 171 */
												obj_t BgL_arg1364z00_946;

												BgL_arg1364z00_946 =
													MAKE_YOUNG_PAIR(BgL_varz00_80, BFALSE);
												{	/* Module/impuse.scm 171 */
													obj_t BgL_list1365z00_947;

													BgL_list1365z00_947 =
														MAKE_YOUNG_PAIR(BgL_arg1364z00_946, BNIL);
													BgL_auxz00_2808 = BgL_list1365z00_947;
												}
											}
										((((BgL_importz00_bglt) COBJECT(BgL_new1101z00_945))->
												BgL_varsz00) = ((obj_t) BgL_auxz00_2808), BUNSPEC);
									}
									{
										obj_t BgL_auxz00_2814;

										if (CBOOL(BgL_aliasz00_81))
											{	/* Module/impuse.scm 170 */
												obj_t BgL_arg1366z00_948;

												BgL_arg1366z00_948 =
													MAKE_YOUNG_PAIR(BgL_varz00_80, BgL_aliasz00_81);
												{	/* Module/impuse.scm 170 */
													obj_t BgL_list1367z00_949;

													BgL_list1367z00_949 =
														MAKE_YOUNG_PAIR(BgL_arg1366z00_948, BNIL);
													BgL_auxz00_2814 = BgL_list1367z00_949;
												}
											}
										else
											{	/* Module/impuse.scm 170 */
												BgL_auxz00_2814 = BNIL;
											}
										((((BgL_importz00_bglt) COBJECT(BgL_new1101z00_945))->
												BgL_aliasesz00) = ((obj_t) BgL_auxz00_2814), BUNSPEC);
									}
									((((BgL_importz00_bglt) COBJECT(BgL_new1101z00_945))->
											BgL_checksumz00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1101z00_945))->
											BgL_locz00) = ((obj_t) BgL_locz00_943), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1101z00_945))->
											BgL_srcz00) = ((obj_t) BgL_srcz00_83), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1101z00_945))->
											BgL_declz00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1101z00_945))->
											BgL_providez00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1101z00_945))->
											BgL_codez00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1101z00_945))->
											BgL_accessz00) = ((obj_t) BNIL), BUNSPEC);
									BgL_arg1363z00_944 = BgL_new1101z00_945;
								}
								return
									BGl_registerzd2importz12zc0zzmodule_impusez00
									(BgL_arg1363z00_944);
							}
						}
				}
			}
		}

	}



/* import-with-module! */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2withzd2modulez12z12zzmodule_impusez00(obj_t BgL_modulez00_84,
		obj_t BgL_srcz00_85)
	{
		{	/* Module/impuse.scm 178 */
			{	/* Module/impuse.scm 179 */
				obj_t BgL_miz00_953;

				BgL_miz00_953 =
					BGl_hashtablezd2getzd2zz__hashz00
					(BGl_za2importsza2z00zzmodule_impusez00, BgL_modulez00_84);
				{	/* Module/impuse.scm 180 */
					bool_t BgL_test2283z00_2829;

					{	/* Module/impuse.scm 180 */
						obj_t BgL_classz00_1899;

						BgL_classz00_1899 = BGl_importz00zzmodule_impusez00;
						if (BGL_OBJECTP(BgL_miz00_953))
							{	/* Module/impuse.scm 180 */
								obj_t BgL_oclassz00_1901;

								{	/* Module/impuse.scm 180 */
									long BgL_arg1833z00_1903;

									{	/* Module/impuse.scm 180 */
										long BgL_arg1834z00_1904;

										BgL_arg1834z00_1904 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt) BgL_miz00_953));
										BgL_arg1833z00_1903 = (BgL_arg1834z00_1904 - OBJECT_TYPE);
									}
									BgL_oclassz00_1901 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										BgL_arg1833z00_1903);
								}
								BgL_test2283z00_2829 =
									(BgL_oclassz00_1901 == BgL_classz00_1899);
							}
						else
							{	/* Module/impuse.scm 180 */
								BgL_test2283z00_2829 = ((bool_t) 0);
							}
					}
					if (BgL_test2283z00_2829)
						{	/* Module/impuse.scm 180 */
							return BFALSE;
						}
					else
						{	/* Module/impuse.scm 181 */
							obj_t BgL_locz00_955;

							BgL_locz00_955 =
								BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srcz00_85,
								BGl_findzd2locationzd2zztools_locationz00
								(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00));
							{	/* Module/impuse.scm 183 */
								BgL_importz00_bglt BgL_arg1380z00_956;

								{	/* Module/impuse.scm 183 */
									BgL_importz00_bglt BgL_new1103z00_957;

									{	/* Module/impuse.scm 184 */
										BgL_importz00_bglt BgL_new1102z00_958;

										BgL_new1102z00_958 =
											((BgL_importz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_importz00_bgl))));
										{	/* Module/impuse.scm 184 */
											long BgL_arg1381z00_959;

											BgL_arg1381z00_959 =
												BGL_CLASS_NUM(BGl_importz00zzmodule_impusez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1102z00_958),
												BgL_arg1381z00_959);
										}
										BgL_new1103z00_957 = BgL_new1102z00_958;
									}
									((((BgL_importz00_bglt) COBJECT(BgL_new1103z00_957))->
											BgL_modulez00) = ((obj_t) BgL_modulez00_84), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1103z00_957))->
											BgL_numberz00) = ((long) ((long) -1)), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1103z00_957))->
											BgL_modez00) =
										((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1103z00_957))->
											BgL_varsz00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1103z00_957))->
											BgL_aliasesz00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1103z00_957))->
											BgL_checksumz00) = ((obj_t) BINT(((long) 0))), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1103z00_957))->
											BgL_locz00) = ((obj_t) BgL_locz00_955), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1103z00_957))->
											BgL_srcz00) = ((obj_t) BgL_srcz00_85), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1103z00_957))->
											BgL_declz00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1103z00_957))->
											BgL_providez00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1103z00_957))->
											BgL_codez00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1103z00_957))->
											BgL_accessz00) = ((obj_t) BNIL), BUNSPEC);
									BgL_arg1380z00_956 = BgL_new1103z00_957;
								}
								return
									BGl_registerzd2importz12zc0zzmodule_impusez00
									(BgL_arg1380z00_956);
							}
						}
				}
			}
		}

	}



/* &import-with-module! */
	obj_t BGl_z62importzd2withzd2modulez12z70zzmodule_impusez00(obj_t
		BgL_envz00_2402, obj_t BgL_modulez00_2403, obj_t BgL_srcz00_2404)
	{
		{	/* Module/impuse.scm 178 */
			return
				BGl_importzd2withzd2modulez12z12zzmodule_impusez00(BgL_modulez00_2403,
				BgL_srcz00_2404);
		}

	}



/* impuse-parser */
	obj_t BGl_impusezd2parserzd2zzmodule_impusez00(obj_t BgL_prototypez00_86,
		obj_t BgL_modez00_87, obj_t BgL_importzd2srczd2_88)
	{
		{	/* Module/impuse.scm 202 */
			{

				if (SYMBOLP(BgL_prototypez00_86))
					{	/* Module/impuse.scm 218 */
						return
							BGl_importzd2allzd2modulez00zzmodule_impusez00
							(BgL_prototypez00_86, BgL_modez00_87, BgL_importzd2srczd2_88);
					}
				else
					{	/* Module/impuse.scm 218 */
						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00
							(BgL_prototypez00_86))
							{	/* Module/impuse.scm 222 */
								obj_t BgL_invz00_966;

								BgL_invz00_966 = bgl_reverse(BgL_prototypez00_86);
								{
									obj_t BgL_lstz00_969;
									obj_t BgL_filesz00_970;

									BgL_lstz00_969 = BgL_invz00_966;
									BgL_filesz00_970 = BNIL;
								BgL_zc3z04anonymousza31390ze3z87_971:
									if (PAIRP(BgL_lstz00_969))
										{	/* Module/impuse.scm 228 */
											bool_t BgL_test2288z00_2867;

											{	/* Module/impuse.scm 228 */
												obj_t BgL_tmpz00_2868;

												BgL_tmpz00_2868 = CAR(BgL_lstz00_969);
												BgL_test2288z00_2867 = STRINGP(BgL_tmpz00_2868);
											}
											if (BgL_test2288z00_2867)
												{	/* Module/impuse.scm 229 */
													obj_t BgL_arg1415z00_975;
													obj_t BgL_arg1416z00_976;

													BgL_arg1415z00_975 = CDR(BgL_lstz00_969);
													BgL_arg1416z00_976 =
														MAKE_YOUNG_PAIR(CAR(BgL_lstz00_969),
														BgL_filesz00_970);
													{
														obj_t BgL_filesz00_2875;
														obj_t BgL_lstz00_2874;

														BgL_lstz00_2874 = BgL_arg1415z00_975;
														BgL_filesz00_2875 = BgL_arg1416z00_976;
														BgL_filesz00_970 = BgL_filesz00_2875;
														BgL_lstz00_969 = BgL_lstz00_2874;
														goto BgL_zc3z04anonymousza31390ze3z87_971;
													}
												}
											else
												{	/* Module/impuse.scm 230 */
													bool_t BgL_test2289z00_2876;

													{	/* Module/impuse.scm 230 */
														obj_t BgL_tmpz00_2877;

														BgL_tmpz00_2877 = CAR(BgL_lstz00_969);
														BgL_test2289z00_2876 = SYMBOLP(BgL_tmpz00_2877);
													}
													if (BgL_test2289z00_2876)
														{	/* Module/impuse.scm 231 */
															obj_t BgL_modz00_980;
															obj_t BgL_varsz00_981;

															BgL_modz00_980 = CAR(BgL_lstz00_969);
															BgL_varsz00_981 = CDR(BgL_lstz00_969);
															if (NULLP(BgL_varsz00_981))
																{	/* Module/impuse.scm 234 */
																	if (NULLP(BgL_filesz00_970))
																		{	/* Module/impuse.scm 236 */
																			BFALSE;
																		}
																	else
																		{	/* Module/impuse.scm 236 */
																			BGl_modulezd2addzd2accessz12z12zz__modulez00
																				(BgL_modz00_980, BgL_filesz00_970,
																				BGl_string2148z00zzmodule_impusez00);
																		}
																	return
																		BGl_importzd2allzd2modulez00zzmodule_impusez00
																		(BgL_modz00_980, BgL_modez00_87,
																		BgL_prototypez00_86);
																}
															else
																{	/* Module/impuse.scm 238 */
																	bool_t BgL_test2292z00_2888;

																	{
																		obj_t BgL_l1233z00_1006;

																		BgL_l1233z00_1006 = BgL_varsz00_981;
																	BgL_zc3z04anonymousza31495ze3z87_1007:
																		if (NULLP(BgL_l1233z00_1006))
																			{	/* Module/impuse.scm 238 */
																				BgL_test2292z00_2888 = ((bool_t) 1);
																			}
																		else
																			{	/* Module/impuse.scm 238 */
																				bool_t BgL_test2294z00_2891;

																				{	/* Module/impuse.scm 238 */
																					obj_t BgL_arg1497z00_1012;

																					BgL_arg1497z00_1012 =
																						CAR(((obj_t) BgL_l1233z00_1006));
																					{	/* Module/impuse.scm 215 */
																						bool_t BgL__ortest_1104z00_1925;

																						BgL__ortest_1104z00_1925 =
																							SYMBOLP(BgL_arg1497z00_1012);
																						if (BgL__ortest_1104z00_1925)
																							{	/* Module/impuse.scm 215 */
																								BgL_test2294z00_2891 =
																									BgL__ortest_1104z00_1925;
																							}
																						else
																							{	/* Module/impuse.scm 215 */
																								BgL_test2294z00_2891 =
																									BGl_aliaszf3ze70z14zzmodule_impusez00
																									(BgL_arg1497z00_1012);
																							}
																					}
																				}
																				if (BgL_test2294z00_2891)
																					{
																						obj_t BgL_l1233z00_2897;

																						BgL_l1233z00_2897 =
																							CDR(((obj_t) BgL_l1233z00_1006));
																						BgL_l1233z00_1006 =
																							BgL_l1233z00_2897;
																						goto
																							BgL_zc3z04anonymousza31495ze3z87_1007;
																					}
																				else
																					{	/* Module/impuse.scm 238 */
																						BgL_test2292z00_2888 = ((bool_t) 0);
																					}
																			}
																	}
																	if (BgL_test2292z00_2888)
																		{	/* Module/impuse.scm 238 */
																			if (NULLP(BgL_filesz00_970))
																				{	/* Module/impuse.scm 240 */
																					BFALSE;
																				}
																			else
																				{	/* Module/impuse.scm 240 */
																					BGl_modulezd2addzd2accessz12z12zz__modulez00
																						(BgL_modz00_980, BgL_filesz00_970,
																						BGl_string2148z00zzmodule_impusez00);
																				}
																			{
																				obj_t BgL_l1236z00_996;

																				{	/* Module/impuse.scm 242 */
																					bool_t BgL_tmpz00_2903;

																					BgL_l1236z00_996 = BgL_varsz00_981;
																				BgL_zc3z04anonymousza31457ze3z87_997:
																					if (PAIRP(BgL_l1236z00_996))
																						{	/* Module/impuse.scm 242 */
																							{	/* Module/impuse.scm 243 */
																								obj_t BgL_vz00_999;

																								BgL_vz00_999 =
																									CAR(BgL_l1236z00_996);
																								if (BGl_aliaszf3ze70z14zzmodule_impusez00(BgL_vz00_999))
																									{	/* Module/impuse.scm 244 */
																										obj_t BgL_arg1462z00_1001;
																										obj_t BgL_arg1477z00_1002;

																										{	/* Module/impuse.scm 244 */
																											obj_t BgL_pairz00_1931;

																											BgL_pairz00_1931 =
																												CDR(
																												((obj_t) BgL_vz00_999));
																											BgL_arg1462z00_1001 =
																												CAR(BgL_pairz00_1931);
																										}
																										BgL_arg1477z00_1002 =
																											CAR(
																											((obj_t) BgL_vz00_999));
																										BGl_importzd21zd2modulez00zzmodule_impusez00
																											(BgL_modz00_980,
																											BgL_arg1462z00_1001,
																											BgL_arg1477z00_1002,
																											BgL_modez00_87,
																											BgL_prototypez00_86);
																									}
																								else
																									{	/* Module/impuse.scm 243 */
																										BGl_importzd21zd2modulez00zzmodule_impusez00
																											(BgL_modz00_980,
																											BgL_vz00_999, BFALSE,
																											BgL_modez00_87,
																											BgL_prototypez00_86);
																									}
																							}
																							{
																								obj_t BgL_l1236z00_2916;

																								BgL_l1236z00_2916 =
																									CDR(BgL_l1236z00_996);
																								BgL_l1236z00_996 =
																									BgL_l1236z00_2916;
																								goto
																									BgL_zc3z04anonymousza31457ze3z87_997;
																							}
																						}
																					else
																						{	/* Module/impuse.scm 242 */
																							BgL_tmpz00_2903 = ((bool_t) 1);
																						}
																					return BBOOL(BgL_tmpz00_2903);
																				}
																			}
																		}
																	else
																		{	/* Module/impuse.scm 238 */
																		BgL_zc3z04anonymousza31521ze3z87_1017:
																			{	/* Module/impuse.scm 207 */
																				obj_t BgL_arg1524z00_1018;

																				{	/* Module/impuse.scm 207 */
																					obj_t BgL_list1526z00_1020;

																					BgL_list1526z00_1020 =
																						MAKE_YOUNG_PAIR(BgL_modez00_87,
																						BNIL);
																					BgL_arg1524z00_1018 =
																						BGl_formatz00zz__r4_output_6_10_3z00
																						(BGl_string2146z00zzmodule_impusez00,
																						BgL_list1526z00_1020);
																				}
																				{	/* Module/impuse.scm 206 */
																					obj_t BgL_list1525z00_1019;

																					BgL_list1525z00_1019 =
																						MAKE_YOUNG_PAIR(BNIL, BNIL);
																					return
																						BGl_userzd2errorzd2zztools_errorz00
																						(BGl_string2147z00zzmodule_impusez00,
																						BgL_arg1524z00_1018,
																						BgL_prototypez00_86,
																						BgL_list1525z00_1019);
																				}
																			}
																		}
																}
														}
													else
														{	/* Module/impuse.scm 230 */
															goto BgL_zc3z04anonymousza31521ze3z87_1017;
														}
												}
										}
									else
										{	/* Module/impuse.scm 226 */
											goto BgL_zc3z04anonymousza31521ze3z87_1017;
										}
								}
							}
						else
							{	/* Module/impuse.scm 221 */
								goto BgL_zc3z04anonymousza31521ze3z87_1017;
							}
					}
			}
		}

	}



/* alias?~0 */
	bool_t BGl_aliaszf3ze70z14zzmodule_impusez00(obj_t BgL_vz00_1021)
	{
		{	/* Module/impuse.scm 212 */
			if (PAIRP(BgL_vz00_1021))
				{	/* Module/impuse.scm 212 */
					obj_t BgL_cdrzd2371zd2_1027;

					BgL_cdrzd2371zd2_1027 = CDR(BgL_vz00_1021);
					{	/* Module/impuse.scm 212 */
						bool_t BgL_test2300z00_2926;

						{	/* Module/impuse.scm 212 */
							obj_t BgL_tmpz00_2927;

							BgL_tmpz00_2927 = CAR(BgL_vz00_1021);
							BgL_test2300z00_2926 = SYMBOLP(BgL_tmpz00_2927);
						}
						if (BgL_test2300z00_2926)
							{	/* Module/impuse.scm 212 */
								if (PAIRP(BgL_cdrzd2371zd2_1027))
									{	/* Module/impuse.scm 212 */
										bool_t BgL_test2302z00_2932;

										{	/* Module/impuse.scm 212 */
											obj_t BgL_tmpz00_2933;

											BgL_tmpz00_2933 = CAR(BgL_cdrzd2371zd2_1027);
											BgL_test2302z00_2932 = SYMBOLP(BgL_tmpz00_2933);
										}
										if (BgL_test2302z00_2932)
											{	/* Module/impuse.scm 212 */
												return NULLP(CDR(BgL_cdrzd2371zd2_1027));
											}
										else
											{	/* Module/impuse.scm 212 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Module/impuse.scm 212 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Module/impuse.scm 212 */
								return ((bool_t) 0);
							}
					}
				}
			else
				{	/* Module/impuse.scm 212 */
					return ((bool_t) 0);
				}
		}

	}



/* get-imported-modules */
	BGL_EXPORTED_DEF obj_t BGl_getzd2importedzd2modulesz00zzmodule_impusez00()
	{
		{	/* Module/impuse.scm 257 */
			{	/* Module/impuse.scm 258 */
				obj_t BgL_l1238z00_1044;

				BgL_l1238z00_1044 =
					BGl_hashtablezd2ze3listz31zz__hashz00
					(BGl_za2importsza2z00zzmodule_impusez00);
				if (NULLP(BgL_l1238z00_1044))
					{	/* Module/impuse.scm 258 */
						return BNIL;
					}
				else
					{	/* Module/impuse.scm 258 */
						obj_t BgL_head1240z00_1046;

						{	/* Module/impuse.scm 258 */
							obj_t BgL_arg1570z00_1058;

							BgL_arg1570z00_1058 =
								(((BgL_importz00_bglt) COBJECT(
										((BgL_importz00_bglt)
											CAR(BgL_l1238z00_1044))))->BgL_modulez00);
							BgL_head1240z00_1046 = MAKE_YOUNG_PAIR(BgL_arg1570z00_1058, BNIL);
						}
						{	/* Module/impuse.scm 258 */
							obj_t BgL_g1243z00_1047;

							BgL_g1243z00_1047 = CDR(BgL_l1238z00_1044);
							{
								obj_t BgL_l1238z00_1049;
								obj_t BgL_tail1241z00_1050;

								BgL_l1238z00_1049 = BgL_g1243z00_1047;
								BgL_tail1241z00_1050 = BgL_head1240z00_1046;
							BgL_zc3z04anonymousza31557ze3z87_1051:
								if (NULLP(BgL_l1238z00_1049))
									{	/* Module/impuse.scm 258 */
										return BgL_head1240z00_1046;
									}
								else
									{	/* Module/impuse.scm 258 */
										obj_t BgL_newtail1242z00_1053;

										{	/* Module/impuse.scm 258 */
											obj_t BgL_arg1564z00_1055;

											BgL_arg1564z00_1055 =
												(((BgL_importz00_bglt) COBJECT(
														((BgL_importz00_bglt)
															CAR(
																((obj_t) BgL_l1238z00_1049)))))->BgL_modulez00);
											BgL_newtail1242z00_1053 =
												MAKE_YOUNG_PAIR(BgL_arg1564z00_1055, BNIL);
										}
										SET_CDR(BgL_tail1241z00_1050, BgL_newtail1242z00_1053);
										{	/* Module/impuse.scm 258 */
											obj_t BgL_arg1563z00_1054;

											BgL_arg1563z00_1054 = CDR(((obj_t) BgL_l1238z00_1049));
											{
												obj_t BgL_tail1241z00_2957;
												obj_t BgL_l1238z00_2956;

												BgL_l1238z00_2956 = BgL_arg1563z00_1054;
												BgL_tail1241z00_2957 = BgL_newtail1242z00_1053;
												BgL_tail1241z00_1050 = BgL_tail1241z00_2957;
												BgL_l1238z00_1049 = BgL_l1238z00_2956;
												goto BgL_zc3z04anonymousza31557ze3z87_1051;
											}
										}
									}
							}
						}
					}
			}
		}

	}



/* &get-imported-modules */
	obj_t BGl_z62getzd2importedzd2modulesz62zzmodule_impusez00(obj_t
		BgL_envz00_2405)
	{
		{	/* Module/impuse.scm 257 */
			return BGl_getzd2importedzd2modulesz00zzmodule_impusez00();
		}

	}



/* import-finalizer */
	obj_t BGl_importzd2finaliza7erz75zzmodule_impusez00()
	{
		{	/* Module/impuse.scm 269 */
			{
				long BgL_numz00_1061;

				BgL_numz00_1061 = BGl_za2importzd2numberza2zd2zzmodule_impusez00;
			BgL_zc3z04anonymousza31572ze3z87_1062:
				BGl_hashtablezd2forzd2eachz00zz__hashz00
					(BGl_za2importsza2z00zzmodule_impusez00,
					BGl_proc2149z00zzmodule_impusez00);
				if ((BGl_za2importzd2numberza2zd2zzmodule_impusez00 > BgL_numz00_1061))
					{
						long BgL_numz00_2962;

						BgL_numz00_2962 = BGl_za2importzd2numberza2zd2zzmodule_impusez00;
						BgL_numz00_1061 = BgL_numz00_2962;
						goto BgL_zc3z04anonymousza31572ze3z87_1062;
					}
				else
					{	/* Module/impuse.scm 273 */
						((bool_t) 0);
					}
			}
			{	/* Module/impuse.scm 276 */
				obj_t BgL_importsz00_1070;

				BgL_importsz00_1070 =
					BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc2150z00zzmodule_impusez00,
					BGl_hashtablezd2ze3listz31zz__hashz00
					(BGl_za2importsza2z00zzmodule_impusez00));
				{
					obj_t BgL_l1244z00_1072;

					BgL_l1244z00_1072 = BgL_importsz00_1070;
				BgL_zc3z04anonymousza31581ze3z87_1073:
					if (PAIRP(BgL_l1244z00_1072))
						{	/* Module/impuse.scm 280 */
							{	/* Module/impuse.scm 281 */
								obj_t BgL_iz00_1075;

								BgL_iz00_1075 = CAR(BgL_l1244z00_1072);
								{	/* Module/impuse.scm 281 */
									bool_t BgL_test2307z00_2968;

									if (
										((((BgL_importz00_bglt) COBJECT(
														((BgL_importz00_bglt) BgL_iz00_1075)))->
												BgL_modez00) == CNST_TABLE_REF(((long) 5))))
										{	/* Module/impuse.scm 281 */
											BgL_test2307z00_2968 = ((bool_t) 1);
										}
									else
										{	/* Module/impuse.scm 281 */
											BgL_test2307z00_2968 =
												(
												(((BgL_importz00_bglt) COBJECT(
															((BgL_importz00_bglt) BgL_iz00_1075)))->
													BgL_declz00) == CNST_TABLE_REF(((long) 7)));
										}
									if (BgL_test2307z00_2968)
										{	/* Module/impuse.scm 281 */
											BFALSE;
										}
									else
										{	/* Module/impuse.scm 281 */
											BGl_importzd2modulez12zc0zzmodule_impusez00
												(BgL_iz00_1075);
										}
								}
							}
							{
								obj_t BgL_l1244z00_2979;

								BgL_l1244z00_2979 = CDR(BgL_l1244z00_1072);
								BgL_l1244z00_1072 = BgL_l1244z00_2979;
								goto BgL_zc3z04anonymousza31581ze3z87_1073;
							}
						}
					else
						{	/* Module/impuse.scm 280 */
							((bool_t) 1);
						}
				}
				{	/* Module/impuse.scm 286 */
					obj_t BgL_initsz00_1086;

					{	/* Module/impuse.scm 286 */
						obj_t BgL_hook1250z00_1090;

						BgL_hook1250z00_1090 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
						{
							obj_t BgL_l1247z00_1092;
							obj_t BgL_h1248z00_1093;

							BgL_l1247z00_1092 = BgL_importsz00_1070;
							BgL_h1248z00_1093 = BgL_hook1250z00_1090;
						BgL_zc3z04anonymousza31603ze3z87_1094:
							if (NULLP(BgL_l1247z00_1092))
								{	/* Module/impuse.scm 286 */
									BgL_initsz00_1086 = CDR(BgL_hook1250z00_1090);
								}
							else
								{	/* Module/impuse.scm 286 */
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
												(((BgL_importz00_bglt) COBJECT(
															((BgL_importz00_bglt)
																CAR(
																	((obj_t) BgL_l1247z00_1092)))))->BgL_modez00),
												CNST_TABLE_REF(((long) 8)))))
										{	/* Module/impuse.scm 286 */
											obj_t BgL_nh1249z00_1099;

											{	/* Module/impuse.scm 286 */
												obj_t BgL_arg1613z00_1101;

												BgL_arg1613z00_1101 = CAR(((obj_t) BgL_l1247z00_1092));
												BgL_nh1249z00_1099 =
													MAKE_YOUNG_PAIR(BgL_arg1613z00_1101, BNIL);
											}
											SET_CDR(BgL_h1248z00_1093, BgL_nh1249z00_1099);
											{	/* Module/impuse.scm 286 */
												obj_t BgL_arg1612z00_1100;

												BgL_arg1612z00_1100 = CDR(((obj_t) BgL_l1247z00_1092));
												{
													obj_t BgL_h1248z00_3000;
													obj_t BgL_l1247z00_2999;

													BgL_l1247z00_2999 = BgL_arg1612z00_1100;
													BgL_h1248z00_3000 = BgL_nh1249z00_1099;
													BgL_h1248z00_1093 = BgL_h1248z00_3000;
													BgL_l1247z00_1092 = BgL_l1247z00_2999;
													goto BgL_zc3z04anonymousza31603ze3z87_1094;
												}
											}
										}
									else
										{	/* Module/impuse.scm 286 */
											obj_t BgL_arg1619z00_1102;

											BgL_arg1619z00_1102 = CDR(((obj_t) BgL_l1247z00_1092));
											{
												obj_t BgL_l1247z00_3003;

												BgL_l1247z00_3003 = BgL_arg1619z00_1102;
												BgL_l1247z00_1092 = BgL_l1247z00_3003;
												goto BgL_zc3z04anonymousza31603ze3z87_1094;
											}
										}
								}
						}
					}
					if (PAIRP(BgL_initsz00_1086))
						{	/* Module/impuse.scm 290 */
							obj_t BgL_arg1601z00_1088;

							BgL_arg1601z00_1088 =
								BGl_importedzd2moduleszd2unitz00zzmodule_impusez00
								(BgL_initsz00_1086);
							{	/* Module/impuse.scm 290 */
								obj_t BgL_list1602z00_1089;

								BgL_list1602z00_1089 =
									MAKE_YOUNG_PAIR(BgL_arg1601z00_1088, BNIL);
								return BgL_list1602z00_1089;
							}
						}
					else
						{	/* Module/impuse.scm 289 */
							return BNIL;
						}
				}
			}
		}

	}



/* &<@anonymous:1633> */
	obj_t BGl_z62zc3z04anonymousza31633ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2408, obj_t BgL_i1z00_2409, obj_t BgL_i2z00_2410)
	{
		{	/* Module/impuse.scm 276 */
			return
				BBOOL(
				((((BgL_importz00_bglt) COBJECT(
								((BgL_importz00_bglt) BgL_i1z00_2409)))->BgL_numberz00) <
					(((BgL_importz00_bglt) COBJECT(
								((BgL_importz00_bglt) BgL_i2z00_2410)))->BgL_numberz00)));
		}

	}



/* &<@anonymous:1579> */
	obj_t BGl_z62zc3z04anonymousza31579ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2411, obj_t BgL_kz00_2412, obj_t BgL_iz00_2413)
	{
		{	/* Module/impuse.scm 272 */
			return BGl_readzd2importz12zc0zzmodule_impusez00(BgL_iz00_2413);
		}

	}



/* initialize-imported-modules */
	BGL_EXPORTED_DEF obj_t
		BGl_initializa7ezd2importedzd2modulesza7zzmodule_impusez00(obj_t
		BgL_getzd2initzd2_89)
	{
		{	/* Module/impuse.scm 301 */
			{	/* Module/impuse.scm 317 */
				obj_t BgL_callsz00_1116;

				{	/* Module/impuse.scm 317 */
					obj_t BgL_l1251z00_1149;

					BgL_l1251z00_1149 =
						BGl_za2importedzd2moduleszd2inzd2unitza2zd2zzmodule_impusez00;
					if (NULLP(BgL_l1251z00_1149))
						{	/* Module/impuse.scm 317 */
							BgL_callsz00_1116 = BNIL;
						}
					else
						{	/* Module/impuse.scm 317 */
							obj_t BgL_head1253z00_1151;

							BgL_head1253z00_1151 =
								MAKE_YOUNG_PAIR
								(BGl_initializa7ezd2moduleze70z92zzmodule_impusez00
								(BgL_getzd2initzd2_89, CAR(BgL_l1251z00_1149)), BNIL);
							{	/* Module/impuse.scm 317 */
								obj_t BgL_g1256z00_1152;

								BgL_g1256z00_1152 = CDR(BgL_l1251z00_1149);
								{
									obj_t BgL_l1251z00_1154;
									obj_t BgL_tail1254z00_1155;

									BgL_l1251z00_1154 = BgL_g1256z00_1152;
									BgL_tail1254z00_1155 = BgL_head1253z00_1151;
								BgL_zc3z04anonymousza31701ze3z87_1156:
									if (NULLP(BgL_l1251z00_1154))
										{	/* Module/impuse.scm 317 */
											BgL_callsz00_1116 = BgL_head1253z00_1151;
										}
									else
										{	/* Module/impuse.scm 317 */
											obj_t BgL_newtail1255z00_1158;

											{	/* Module/impuse.scm 317 */
												obj_t BgL_arg1706z00_1160;

												{	/* Module/impuse.scm 317 */
													obj_t BgL_arg1711z00_1161;

													BgL_arg1711z00_1161 =
														CAR(((obj_t) BgL_l1251z00_1154));
													BgL_arg1706z00_1160 =
														BGl_initializa7ezd2moduleze70z92zzmodule_impusez00
														(BgL_getzd2initzd2_89, BgL_arg1711z00_1161);
												}
												BgL_newtail1255z00_1158 =
													MAKE_YOUNG_PAIR(BgL_arg1706z00_1160, BNIL);
											}
											SET_CDR(BgL_tail1254z00_1155, BgL_newtail1255z00_1158);
											{	/* Module/impuse.scm 317 */
												obj_t BgL_arg1703z00_1159;

												BgL_arg1703z00_1159 = CDR(((obj_t) BgL_l1251z00_1154));
												{
													obj_t BgL_tail1254z00_3031;
													obj_t BgL_l1251z00_3030;

													BgL_l1251z00_3030 = BgL_arg1703z00_1159;
													BgL_tail1254z00_3031 = BgL_newtail1255z00_1158;
													BgL_tail1254z00_1155 = BgL_tail1254z00_3031;
													BgL_l1251z00_1154 = BgL_l1251z00_3030;
													goto BgL_zc3z04anonymousza31701ze3z87_1156;
												}
											}
										}
								}
							}
						}
				}
				{	/* Module/impuse.scm 317 */

					{	/* Module/impuse.scm 318 */
						bool_t BgL_test2314z00_3032;

						if (
							((long) CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00) >
								((long) 0)))
							{	/* Module/impuse.scm 319 */
								obj_t BgL_arg1696z00_1147;

								{	/* Module/impuse.scm 319 */
									obj_t BgL_arg1699z00_1148;

									BgL_arg1699z00_1148 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_arg1696z00_1147 =
										(((BgL_backendz00_bglt) COBJECT(
												((BgL_backendz00_bglt) BgL_arg1699z00_1148)))->
										BgL_debugzd2supportzd2);
								}
								BgL_test2314z00_3032 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF(
											((long) 9)), BgL_arg1696z00_1147));
							}
						else
							{	/* Module/impuse.scm 318 */
								BgL_test2314z00_3032 = ((bool_t) 0);
							}
						if (BgL_test2314z00_3032)
							{	/* Module/impuse.scm 321 */
								obj_t BgL_arg1660z00_1121;

								{	/* Module/impuse.scm 321 */
									obj_t BgL_arg1665z00_1122;

									{	/* Module/impuse.scm 321 */
										obj_t BgL_arg1667z00_1123;

										{	/* Module/impuse.scm 321 */
											obj_t BgL_ll1257z00_1124;

											BgL_ll1257z00_1124 =
												BGl_za2importedzd2moduleszd2inzd2unitza2zd2zzmodule_impusez00;
											if (NULLP(BgL_ll1257z00_1124))
												{	/* Module/impuse.scm 321 */
													BgL_arg1667z00_1123 = BNIL;
												}
											else
												{	/* Module/impuse.scm 321 */
													obj_t BgL_head1259z00_1127;

													{	/* Module/impuse.scm 321 */
														obj_t BgL_arg1682z00_1143;

														{	/* Module/impuse.scm 321 */
															obj_t BgL_arg1694z00_1144;
															obj_t BgL_arg1695z00_1145;

															BgL_arg1694z00_1144 = CAR(BgL_ll1257z00_1124);
															BgL_arg1695z00_1145 =
																CAR(((obj_t) BgL_callsz00_1116));
															BgL_arg1682z00_1143 =
																BGl_tracezd2initializa7ezd2moduleze70z40zzmodule_impusez00
																(BgL_getzd2initzd2_89, BgL_arg1694z00_1144,
																BgL_arg1695z00_1145);
														}
														BgL_head1259z00_1127 =
															MAKE_YOUNG_PAIR(BgL_arg1682z00_1143, BNIL);
													}
													{	/* Module/impuse.scm 321 */
														obj_t BgL_g1263z00_1128;
														obj_t BgL_g1264z00_1129;

														BgL_g1263z00_1128 = CDR(BgL_ll1257z00_1124);
														BgL_g1264z00_1129 =
															CDR(((obj_t) BgL_callsz00_1116));
														{
															obj_t BgL_ll1257z00_1131;
															obj_t BgL_ll1258z00_1132;
															obj_t BgL_tail1260z00_1133;

															BgL_ll1257z00_1131 = BgL_g1263z00_1128;
															BgL_ll1258z00_1132 = BgL_g1264z00_1129;
															BgL_tail1260z00_1133 = BgL_head1259z00_1127;
														BgL_zc3z04anonymousza31669ze3z87_1134:
															if (NULLP(BgL_ll1257z00_1131))
																{	/* Module/impuse.scm 321 */
																	BgL_arg1667z00_1123 = BgL_head1259z00_1127;
																}
															else
																{	/* Module/impuse.scm 321 */
																	obj_t BgL_newtail1261z00_1136;

																	{	/* Module/impuse.scm 321 */
																		obj_t BgL_arg1678z00_1139;

																		{	/* Module/impuse.scm 321 */
																			obj_t BgL_arg1679z00_1140;
																			obj_t BgL_arg1681z00_1141;

																			BgL_arg1679z00_1140 =
																				CAR(((obj_t) BgL_ll1257z00_1131));
																			BgL_arg1681z00_1141 =
																				CAR(((obj_t) BgL_ll1258z00_1132));
																			BgL_arg1678z00_1139 =
																				BGl_tracezd2initializa7ezd2moduleze70z40zzmodule_impusez00
																				(BgL_getzd2initzd2_89,
																				BgL_arg1679z00_1140,
																				BgL_arg1681z00_1141);
																		}
																		BgL_newtail1261z00_1136 =
																			MAKE_YOUNG_PAIR(BgL_arg1678z00_1139,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1260z00_1133,
																		BgL_newtail1261z00_1136);
																	{	/* Module/impuse.scm 321 */
																		obj_t BgL_arg1675z00_1137;
																		obj_t BgL_arg1676z00_1138;

																		BgL_arg1675z00_1137 =
																			CDR(((obj_t) BgL_ll1257z00_1131));
																		BgL_arg1676z00_1138 =
																			CDR(((obj_t) BgL_ll1258z00_1132));
																		{
																			obj_t BgL_tail1260z00_3067;
																			obj_t BgL_ll1258z00_3066;
																			obj_t BgL_ll1257z00_3065;

																			BgL_ll1257z00_3065 = BgL_arg1675z00_1137;
																			BgL_ll1258z00_3066 = BgL_arg1676z00_1138;
																			BgL_tail1260z00_3067 =
																				BgL_newtail1261z00_1136;
																			BgL_tail1260z00_1133 =
																				BgL_tail1260z00_3067;
																			BgL_ll1258z00_1132 = BgL_ll1258z00_3066;
																			BgL_ll1257z00_1131 = BgL_ll1257z00_3065;
																			goto
																				BgL_zc3z04anonymousza31669ze3z87_1134;
																		}
																	}
																}
														}
													}
												}
										}
										BgL_arg1665z00_1122 =
											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg1667z00_1123, BNIL);
									}
									BgL_arg1660z00_1121 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)),
										BgL_arg1665z00_1122);
								}
								return MAKE_YOUNG_PAIR(BgL_arg1660z00_1121, BNIL);
							}
						else
							{	/* Module/impuse.scm 318 */
								return BgL_callsz00_1116;
							}
					}
				}
			}
		}

	}



/* initialize-module~0 */
	obj_t BGl_initializa7ezd2moduleze70z92zzmodule_impusez00(obj_t
		BgL_getzd2initzd2_2547, obj_t BgL_importz00_1165)
	{
		{	/* Module/impuse.scm 309 */
			{	/* Module/impuse.scm 304 */
				obj_t BgL_funz00_1168;

				{	/* Module/impuse.scm 304 */
					obj_t BgL_arg1745z00_1183;

					BgL_arg1745z00_1183 =
						(((BgL_importz00_bglt) COBJECT(
								((BgL_importz00_bglt) BgL_importz00_1165)))->BgL_modulez00);
					BgL_funz00_1168 =
						PROCEDURE_ENTRY(BgL_getzd2initzd2_2547) (BgL_getzd2initzd2_2547,
						BgL_arg1745z00_1183, BEOA);
				}
				{	/* Module/impuse.scm 304 */
					obj_t BgL_varz00_1169;

					{	/* Module/impuse.scm 305 */
						obj_t BgL_arg1731z00_1178;
						obj_t BgL_arg1738z00_1179;

						BgL_arg1731z00_1178 =
							(((BgL_importz00_bglt) COBJECT(
									((BgL_importz00_bglt) BgL_importz00_1165)))->BgL_modulez00);
						{	/* Module/impuse.scm 305 */
							obj_t BgL_arg1742z00_1181;

							{	/* Module/impuse.scm 305 */
								obj_t BgL_arg1743z00_1182;

								BgL_arg1743z00_1182 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 11)), BNIL);
								BgL_arg1742z00_1181 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
									BgL_arg1743z00_1182);
							}
							BgL_arg1738z00_1179 =
								MAKE_YOUNG_PAIR(BgL_funz00_1168, BgL_arg1742z00_1181);
						}
						BgL_varz00_1169 =
							BGl_importzd2parserzd2zzmodule_impusez00(BgL_arg1731z00_1178,
							BgL_arg1738z00_1179, BFALSE, BNIL);
					}
					{	/* Module/impuse.scm 305 */

						((((BgL_globalz00_bglt) COBJECT(
										((BgL_globalz00_bglt) BgL_varz00_1169)))->
								BgL_evaluablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
						{	/* Module/impuse.scm 309 */
							obj_t BgL_arg1715z00_1170;
							obj_t BgL_arg1716z00_1171;

							{	/* Module/impuse.scm 309 */
								obj_t BgL_arg1721z00_1172;

								{	/* Module/impuse.scm 309 */
									obj_t BgL_arg1723z00_1173;

									{	/* Module/impuse.scm 309 */
										obj_t BgL_arg1725z00_1174;

										BgL_arg1725z00_1174 =
											(((BgL_importz00_bglt) COBJECT(
													((BgL_importz00_bglt) BgL_importz00_1165)))->
											BgL_modulez00);
										BgL_arg1723z00_1173 =
											MAKE_YOUNG_PAIR(BgL_arg1725z00_1174, BNIL);
									}
									BgL_arg1721z00_1172 =
										MAKE_YOUNG_PAIR(BgL_funz00_1168, BgL_arg1723z00_1173);
								}
								BgL_arg1715z00_1170 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 13)),
									BgL_arg1721z00_1172);
							}
							{	/* Module/impuse.scm 309 */
								obj_t BgL_arg1726z00_1175;
								obj_t BgL_arg1728z00_1176;

								BgL_arg1726z00_1175 =
									(((BgL_importz00_bglt) COBJECT(
											((BgL_importz00_bglt) BgL_importz00_1165)))->
									BgL_checksumz00);
								{	/* Module/impuse.scm 309 */
									obj_t BgL_arg1729z00_1177;

									{	/* Module/impuse.scm 309 */
										obj_t BgL_symbolz00_1963;

										BgL_symbolz00_1963 = BGl_za2moduleza2z00zzmodule_modulez00;
										{	/* Module/impuse.scm 309 */
											obj_t BgL_arg1463z00_1964;

											BgL_arg1463z00_1964 =
												SYMBOL_TO_STRING(BgL_symbolz00_1963);
											BgL_arg1729z00_1177 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1463z00_1964);
									}}
									BgL_arg1728z00_1176 =
										MAKE_YOUNG_PAIR(BgL_arg1729z00_1177, BNIL);
								}
								BgL_arg1716z00_1171 =
									MAKE_YOUNG_PAIR(BgL_arg1726z00_1175, BgL_arg1728z00_1176);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1715z00_1170, BgL_arg1716z00_1171);
						}
					}
				}
			}
		}

	}



/* trace-initialize-module~0 */
	obj_t BGl_tracezd2initializa7ezd2moduleze70z40zzmodule_impusez00(obj_t
		BgL_getzd2initzd2_2548, obj_t BgL_importz00_1184, obj_t BgL_callz00_1185)
	{
		{	/* Module/impuse.scm 316 */
			{	/* Module/impuse.scm 314 */
				obj_t BgL_arg1747z00_1187;

				{	/* Module/impuse.scm 314 */
					obj_t BgL_arg1748z00_1188;
					obj_t BgL_arg1749z00_1189;

					{	/* Module/impuse.scm 314 */
						obj_t BgL_arg1750z00_1190;

						{	/* Module/impuse.scm 314 */
							obj_t BgL_arg1751z00_1191;

							{	/* Module/impuse.scm 314 */
								obj_t BgL_arg1752z00_1192;
								obj_t BgL_arg1753z00_1193;

								{	/* Module/impuse.scm 314 */
									obj_t BgL_arg1761z00_1196;

									BgL_arg1761z00_1196 =
										PROCEDURE_ENTRY(BgL_getzd2initzd2_2548)
										(BgL_getzd2initzd2_2548,
										BGl_za2moduleza2z00zzmodule_modulez00, BEOA);
									{	/* Module/impuse.scm 314 */
										obj_t BgL_arg1463z00_1966;

										BgL_arg1463z00_1966 =
											SYMBOL_TO_STRING(((obj_t) BgL_arg1761z00_1196));
										BgL_arg1752z00_1192 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1463z00_1966);
									}
								}
								{	/* Module/impuse.scm 315 */
									obj_t BgL_arg1762z00_1197;

									BgL_arg1762z00_1197 =
										(((BgL_importz00_bglt) COBJECT(
												((BgL_importz00_bglt) BgL_importz00_1184)))->
										BgL_modulez00);
									{	/* Module/impuse.scm 315 */
										obj_t BgL_arg1463z00_1969;

										BgL_arg1463z00_1969 = SYMBOL_TO_STRING(BgL_arg1762z00_1197);
										BgL_arg1753z00_1193 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1463z00_1969);
									}
								}
								{	/* Module/impuse.scm 313 */
									obj_t BgL_list1754z00_1194;

									{	/* Module/impuse.scm 313 */
										obj_t BgL_arg1759z00_1195;

										BgL_arg1759z00_1195 =
											MAKE_YOUNG_PAIR(BgL_arg1753z00_1193, BNIL);
										BgL_list1754z00_1194 =
											MAKE_YOUNG_PAIR(BgL_arg1752z00_1192, BgL_arg1759z00_1195);
									}
									BgL_arg1751z00_1191 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string2151z00zzmodule_impusez00, BgL_list1754z00_1194);
								}
							}
							BgL_arg1750z00_1190 = MAKE_YOUNG_PAIR(BgL_arg1751z00_1191, BNIL);
						}
						BgL_arg1748z00_1188 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 14)), BgL_arg1750z00_1190);
					}
					BgL_arg1749z00_1189 = MAKE_YOUNG_PAIR(BgL_callz00_1185, BNIL);
					BgL_arg1747z00_1187 =
						MAKE_YOUNG_PAIR(BgL_arg1748z00_1188, BgL_arg1749z00_1189);
				}
				return
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)), BgL_arg1747z00_1187);
		}}

	}



/* &initialize-imported-modules */
	obj_t BGl_z62initializa7ezd2importedzd2moduleszc5zzmodule_impusez00(obj_t
		BgL_envz00_2414, obj_t BgL_getzd2initzd2_2415)
	{
		{	/* Module/impuse.scm 301 */
			return
				BGl_initializa7ezd2importedzd2modulesza7zzmodule_impusez00
				(BgL_getzd2initzd2_2415);
		}

	}



/* imported-modules-unit */
	obj_t BGl_importedzd2moduleszd2unitz00zzmodule_impusez00(obj_t
		BgL_importsz00_90)
	{
		{	/* Module/impuse.scm 328 */
			BGl_za2importedzd2moduleszd2inzd2unitza2zd2zzmodule_impusez00 =
				BgL_importsz00_90;
			{	/* Module/impuse.scm 330 */
				obj_t BgL_bodyz00_1200;
				long BgL_priorityz00_1201;

				BgL_bodyz00_1200 =
					BGl_initializa7ezd2importedzd2modulesza7zzmodule_impusez00
					(BGl_modulezd2initializa7ationzd2idzd2envz75zzmodule_modulez00);
				if ((BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
						CNST_TABLE_REF(((long) 15))))
					{	/* Module/impuse.scm 331 */
						BgL_priorityz00_1201 = ((long) 22);
					}
				else
					{	/* Module/impuse.scm 331 */
						BgL_priorityz00_1201 = ((long) 12);
					}
				{	/* Module/impuse.scm 332 */
					obj_t BgL_idz00_1987;

					BgL_idz00_1987 = CNST_TABLE_REF(((long) 16));
					{	/* Module/impuse.scm 332 */
						obj_t BgL_newz00_1988;

						BgL_newz00_1988 =
							create_struct(CNST_TABLE_REF(((long) 17)), (int) (((long) 5)));
						{	/* Module/impuse.scm 332 */
							int BgL_tmpz00_3131;

							BgL_tmpz00_3131 = (int) (((long) 4));
							STRUCT_SET(BgL_newz00_1988, BgL_tmpz00_3131, BFALSE);
						}
						{	/* Module/impuse.scm 332 */
							int BgL_tmpz00_3134;

							BgL_tmpz00_3134 = (int) (((long) 3));
							STRUCT_SET(BgL_newz00_1988, BgL_tmpz00_3134, BTRUE);
						}
						{	/* Module/impuse.scm 332 */
							int BgL_tmpz00_3137;

							BgL_tmpz00_3137 = (int) (((long) 2));
							STRUCT_SET(BgL_newz00_1988, BgL_tmpz00_3137, BgL_bodyz00_1200);
						}
						{	/* Module/impuse.scm 332 */
							obj_t BgL_auxz00_3142;
							int BgL_tmpz00_3140;

							BgL_auxz00_3142 = BINT(BgL_priorityz00_1201);
							BgL_tmpz00_3140 = (int) (((long) 1));
							STRUCT_SET(BgL_newz00_1988, BgL_tmpz00_3140, BgL_auxz00_3142);
						}
						{	/* Module/impuse.scm 332 */
							int BgL_tmpz00_3145;

							BgL_tmpz00_3145 = (int) (((long) 0));
							STRUCT_SET(BgL_newz00_1988, BgL_tmpz00_3145, BgL_idz00_1987);
						}
						return BgL_newz00_1988;
					}
				}
			}
		}

	}



/* &impuse-finalizer */
	obj_t BGl_z62impusezd2finaliza7erz17zzmodule_impusez00(obj_t BgL_envz00_2394)
	{
		{	/* Module/impuse.scm 341 */
			{	/* Module/impuse.scm 342 */
				obj_t BgL_importsz00_2565;

				BgL_importsz00_2565 = BGl_importzd2finaliza7erz75zzmodule_impusez00();
				{	/* Module/impuse.scm 342 */
					obj_t BgL_inlinesz00_2566;

					BgL_inlinesz00_2566 = BGl_inlinezd2finaliza7erz75zzread_inlinez00();
					{	/* Module/impuse.scm 343 */
						obj_t BgL_finaliza7ersza7_2567;

						BgL_finaliza7ersza7_2567 =
							BGl_appendzd221011zd2zzmodule_impusez00(BgL_importsz00_2565,
							BgL_inlinesz00_2566);
						{	/* Module/impuse.scm 344 */

							if (NULLP(BgL_finaliza7ersza7_2567))
								{	/* Module/impuse.scm 345 */
									return CNST_TABLE_REF(((long) 1));
								}
							else
								{	/* Module/impuse.scm 345 */
									return BgL_finaliza7ersza7_2567;
								}
						}
					}
				}
			}
		}

	}



/* import-parser */
	BGL_EXPORTED_DEF obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t
		BgL_modulez00_91, obj_t BgL_prototypez00_92, obj_t BgL_aliasz00_93,
		obj_t BgL_importzd2srczd2_94)
	{
		{	/* Module/impuse.scm 352 */
			{	/* Module/impuse.scm 353 */
				obj_t BgL_protoz00_1207;
				obj_t BgL_srcz00_1208;

				BgL_protoz00_1207 =
					BGl_parsezd2prototypezd2zzmodule_prototypez00(BgL_prototypez00_92);
				if (PAIRP(BgL_importzd2srczd2_94))
					{	/* Module/impuse.scm 354 */
						BgL_srcz00_1208 = CAR(BgL_importzd2srczd2_94);
					}
				else
					{	/* Module/impuse.scm 354 */
						BgL_srcz00_1208 = BFALSE;
					}
				if (PAIRP(BgL_protoz00_1207))
					{	/* Module/impuse.scm 358 */
						obj_t BgL_casezd2valuezd2_1210;

						BgL_casezd2valuezd2_1210 = CAR(BgL_protoz00_1207);
						{	/* Module/impuse.scm 358 */
							bool_t BgL_test2322z00_3161;

							{	/* Module/impuse.scm 358 */
								bool_t BgL__ortest_1107z00_1234;

								BgL__ortest_1107z00_1234 =
									(BgL_casezd2valuezd2_1210 == CNST_TABLE_REF(((long) 18)));
								if (BgL__ortest_1107z00_1234)
									{	/* Module/impuse.scm 358 */
										BgL_test2322z00_3161 = BgL__ortest_1107z00_1234;
									}
								else
									{	/* Module/impuse.scm 358 */
										bool_t BgL__ortest_1108z00_1235;

										BgL__ortest_1108z00_1235 =
											(BgL_casezd2valuezd2_1210 == CNST_TABLE_REF(((long) 19)));
										if (BgL__ortest_1108z00_1235)
											{	/* Module/impuse.scm 358 */
												BgL_test2322z00_3161 = BgL__ortest_1108z00_1235;
											}
										else
											{	/* Module/impuse.scm 358 */
												BgL_test2322z00_3161 =
													(BgL_casezd2valuezd2_1210 ==
													CNST_TABLE_REF(((long) 20)));
							}}}
							if (BgL_test2322z00_3161)
								{	/* Module/impuse.scm 360 */
									obj_t BgL_arg1770z00_1214;
									obj_t BgL_arg1772z00_1215;

									BgL_arg1770z00_1214 = CAR(CDR(BgL_protoz00_1207));
									BgL_arg1772z00_1215 = CAR(CDR(CDR(BgL_protoz00_1207)));
									return
										((obj_t)
										BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2
										(BgL_arg1770z00_1214, BgL_aliasz00_93, BgL_arg1772z00_1215,
											BgL_modulez00_91, CNST_TABLE_REF(((long) 0)),
											BgL_casezd2valuezd2_1210, BgL_prototypez00_92,
											BgL_srcz00_1208));
								}
							else
								{	/* Module/impuse.scm 358 */
									if ((BgL_casezd2valuezd2_1210 == CNST_TABLE_REF(((long) 21))))
										{	/* Module/impuse.scm 363 */
											obj_t BgL_arg1781z00_1218;

											BgL_arg1781z00_1218 = CAR(CDR(BgL_protoz00_1207));
											return
												((obj_t)
												BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2
												(BgL_arg1781z00_1218, BgL_aliasz00_93, BgL_modulez00_91,
													CNST_TABLE_REF(((long) 0)), BgL_prototypez00_92,
													BgL_srcz00_1208));
										}
									else
										{	/* Module/impuse.scm 358 */
											if (
												(BgL_casezd2valuezd2_1210 ==
													CNST_TABLE_REF(((long) 22))))
												{	/* Module/impuse.scm 366 */
													obj_t BgL_arg1785z00_1220;

													BgL_arg1785z00_1220 = CDR(BgL_protoz00_1207);
													return
														BGl_declarezd2classz12zc0zzmodule_classz00
														(BgL_arg1785z00_1220, BgL_modulez00_91,
														CNST_TABLE_REF(((long) 0)), ((bool_t) 0),
														((bool_t) 0), BgL_prototypez00_92, BgL_srcz00_1208);
												}
											else
												{	/* Module/impuse.scm 358 */
													if (
														(BgL_casezd2valuezd2_1210 ==
															CNST_TABLE_REF(((long) 23))))
														{	/* Module/impuse.scm 368 */
															obj_t BgL_arg1788z00_1222;

															BgL_arg1788z00_1222 = CDR(BgL_protoz00_1207);
															return
																BGl_declarezd2classz12zc0zzmodule_classz00
																(BgL_arg1788z00_1222, BgL_modulez00_91,
																CNST_TABLE_REF(((long) 0)), ((bool_t) 0),
																((bool_t) 1), BgL_prototypez00_92,
																BgL_srcz00_1208);
														}
													else
														{	/* Module/impuse.scm 358 */
															if (
																(BgL_casezd2valuezd2_1210 ==
																	CNST_TABLE_REF(((long) 24))))
																{	/* Module/impuse.scm 370 */
																	obj_t BgL_arg1799z00_1224;

																	BgL_arg1799z00_1224 = CDR(BgL_protoz00_1207);
																	return
																		BGl_declarezd2classz12zc0zzmodule_classz00
																		(BgL_arg1799z00_1224, BgL_modulez00_91,
																		CNST_TABLE_REF(((long) 0)), ((bool_t) 1),
																		((bool_t) 0), BgL_prototypez00_92,
																		BgL_srcz00_1208);
																}
															else
																{	/* Module/impuse.scm 358 */
																	if (
																		(BgL_casezd2valuezd2_1210 ==
																			CNST_TABLE_REF(((long) 25))))
																		{	/* Module/impuse.scm 372 */
																			obj_t BgL_arg1801z00_1226;

																			BgL_arg1801z00_1226 =
																				CDR(BgL_protoz00_1207);
																			return
																				BGl_declarezd2widezd2classz12z12zzmodule_classz00
																				(BgL_arg1801z00_1226, BgL_modulez00_91,
																				CNST_TABLE_REF(((long) 0)),
																				BgL_prototypez00_92, BgL_srcz00_1208);
																		}
																	else
																		{	/* Module/impuse.scm 358 */
																			if (
																				(BgL_casezd2valuezd2_1210 ==
																					CNST_TABLE_REF(((long) 26))))
																				{	/* Module/impuse.scm 374 */
																					obj_t BgL_envz00_1229;

																					BgL_envz00_1229 =
																						BGl_defaultzd2environmentzd2zz__evalz00
																						();
																					{	/* Module/impuse.scm 374 */

																						return
																							BGl_evalz00zz__evalz00
																							(BgL_protoz00_1207,
																							BgL_envz00_1229);
																					}
																				}
																			else
																				{	/* Module/impuse.scm 358 */
																					if (
																						(BgL_casezd2valuezd2_1210 ==
																							CNST_TABLE_REF(((long) 27))))
																						{	/* Module/impuse.scm 358 */
																							return BgL_protoz00_1207;
																						}
																					else
																						{	/* Module/impuse.scm 358 */
																							if (
																								(BgL_casezd2valuezd2_1210 ==
																									CNST_TABLE_REF(((long) 28))))
																								{	/* Module/impuse.scm 358 */
																									return BgL_protoz00_1207;
																								}
																							else
																								{	/* Module/impuse.scm 358 */
																									if (
																										(BgL_casezd2valuezd2_1210 ==
																											CNST_TABLE_REF(((long)
																													29))))
																										{	/* Module/impuse.scm 358 */
																											return BgL_protoz00_1207;
																										}
																									else
																										{	/* Module/impuse.scm 382 */
																											obj_t
																												BgL_list1806z00_1233;
																											BgL_list1806z00_1233 =
																												MAKE_YOUNG_PAIR(BNIL,
																												BNIL);
																											return
																												BGl_userzd2errorzd2zztools_errorz00
																												(BGl_string2147z00zzmodule_impusez00,
																												BGl_string2152z00zzmodule_impusez00,
																												BgL_prototypez00_92,
																												BgL_list1806z00_1233);
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
					}
				else
					{	/* Module/impuse.scm 356 */
						obj_t BgL_arg1807z00_1236;

						BgL_arg1807z00_1236 =
							BGl_findzd2locationzd2zztools_locationz00
							(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00);
						{	/* Module/impuse.scm 356 */
							obj_t BgL_list1808z00_1237;

							BgL_list1808z00_1237 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00
								(BgL_arg1807z00_1236, BGl_string2147z00zzmodule_impusez00,
								BGl_string2152z00zzmodule_impusez00, BgL_prototypez00_92,
								BgL_list1808z00_1237);
						}
					}
			}
		}

	}



/* &import-parser */
	obj_t BGl_z62importzd2parserzb0zzmodule_impusez00(obj_t BgL_envz00_2418,
		obj_t BgL_modulez00_2419, obj_t BgL_prototypez00_2420,
		obj_t BgL_aliasz00_2421, obj_t BgL_importzd2srczd2_2422)
	{
		{	/* Module/impuse.scm 352 */
			return
				BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_2419,
				BgL_prototypez00_2420, BgL_aliasz00_2421, BgL_importzd2srczd2_2422);
		}

	}



/* import-module! */
	obj_t BGl_importzd2modulez12zc0zzmodule_impusez00(obj_t BgL_importz00_95)
	{
		{	/* Module/impuse.scm 387 */
			{	/* Module/impuse.scm 390 */
				obj_t BgL_inlinez00_1240;

				{	/* Module/impuse.scm 391 */
					bool_t BgL_test2334z00_3230;

					{	/* Module/impuse.scm 391 */
						obj_t BgL_tmpz00_3231;

						BgL_tmpz00_3231 =
							(((BgL_importz00_bglt) COBJECT(
									((BgL_importz00_bglt) BgL_importz00_95)))->BgL_varsz00);
						BgL_test2334z00_3230 = PAIRP(BgL_tmpz00_3231);
					}
					if (BgL_test2334z00_3230)
						{	/* Module/impuse.scm 392 */
							obj_t BgL_arg1842z00_1251;

							BgL_arg1842z00_1251 =
								(((BgL_importz00_bglt) COBJECT(
										((BgL_importz00_bglt) BgL_importz00_95)))->BgL_varsz00);
							BgL_inlinez00_1240 =
								BGl_importzd2wantedzd2zzmodule_impusez00(BgL_importz00_95,
								BgL_arg1842z00_1251);
						}
					else
						{	/* Module/impuse.scm 391 */
							BgL_inlinez00_1240 =
								BGl_importzd2everythingzd2zzmodule_impusez00(BgL_importz00_95);
						}
				}
				{	/* Module/impuse.scm 391 */
					obj_t BgL_macroz00_1241;
					obj_t BgL_syntaxz00_1242;
					obj_t BgL_expanderz00_1243;

					{	/* Module/impuse.scm 394 */
						obj_t BgL_tmpz00_2024;

						{	/* Module/impuse.scm 394 */
							int BgL_tmpz00_3239;

							BgL_tmpz00_3239 = (int) (((long) 1));
							BgL_tmpz00_2024 = BGL_MVALUES_VAL(BgL_tmpz00_3239);
						}
						{	/* Module/impuse.scm 394 */
							int BgL_tmpz00_3242;

							BgL_tmpz00_3242 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3242, BUNSPEC);
						}
						BgL_macroz00_1241 = BgL_tmpz00_2024;
					}
					{	/* Module/impuse.scm 394 */
						obj_t BgL_tmpz00_2025;

						{	/* Module/impuse.scm 394 */
							int BgL_tmpz00_3245;

							BgL_tmpz00_3245 = (int) (((long) 2));
							BgL_tmpz00_2025 = BGL_MVALUES_VAL(BgL_tmpz00_3245);
						}
						{	/* Module/impuse.scm 394 */
							int BgL_tmpz00_3248;

							BgL_tmpz00_3248 = (int) (((long) 2));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3248, BUNSPEC);
						}
						BgL_syntaxz00_1242 = BgL_tmpz00_2025;
					}
					{	/* Module/impuse.scm 394 */
						obj_t BgL_tmpz00_2026;

						{	/* Module/impuse.scm 394 */
							int BgL_tmpz00_3251;

							BgL_tmpz00_3251 = (int) (((long) 3));
							BgL_tmpz00_2026 = BGL_MVALUES_VAL(BgL_tmpz00_3251);
						}
						{	/* Module/impuse.scm 394 */
							int BgL_tmpz00_3254;

							BgL_tmpz00_3254 = (int) (((long) 3));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3254, BUNSPEC);
						}
						BgL_expanderz00_1243 = BgL_tmpz00_2026;
					}
					{	/* Module/impuse.scm 394 */
						obj_t BgL_arg1810z00_1244;
						obj_t BgL_arg1811z00_1245;
						obj_t BgL_arg1817z00_1246;
						obj_t BgL_arg1818z00_1247;

						BgL_arg1810z00_1244 =
							(((BgL_importz00_bglt) COBJECT(
									((BgL_importz00_bglt) BgL_importz00_95)))->BgL_codez00);
						{	/* Module/impuse.scm 396 */
							obj_t BgL_arg1824z00_1248;

							BgL_arg1824z00_1248 =
								(((BgL_importz00_bglt) COBJECT(
										((BgL_importz00_bglt) BgL_importz00_95)))->BgL_declz00);
							BgL_arg1811z00_1245 =
								BGl_prognzd2tailzd2expressionsz00zztools_prognz00
								(BgL_arg1824z00_1248);
						}
						BgL_arg1817z00_1246 =
							(((BgL_importz00_bglt) COBJECT(
									((BgL_importz00_bglt) BgL_importz00_95)))->BgL_accessz00);
						BgL_arg1818z00_1247 =
							(((BgL_importz00_bglt) COBJECT(
									((BgL_importz00_bglt) BgL_importz00_95)))->BgL_modulez00);
						BGl_lookzd2forzd2inlineszd2andzd2macrosz00zzread_inlinez00
							(BgL_inlinez00_1240, BgL_macroz00_1241, BgL_syntaxz00_1242,
							BgL_expanderz00_1243, BgL_arg1810z00_1244, BgL_arg1811z00_1245,
							BgL_arg1817z00_1246, BgL_arg1818z00_1247);
			}}}
			{	/* Module/impuse.scm 398 */
				bool_t BgL_test2335z00_3267;

				{	/* Module/impuse.scm 398 */
					obj_t BgL_tmpz00_3268;

					BgL_tmpz00_3268 =
						(((BgL_importz00_bglt) COBJECT(
								((BgL_importz00_bglt) BgL_importz00_95)))->BgL_aliasesz00);
					BgL_test2335z00_3267 = PAIRP(BgL_tmpz00_3268);
				}
				if (BgL_test2335z00_3267)
					{	/* Module/impuse.scm 399 */
						obj_t BgL_inlinez00_1255;

						{	/* Module/impuse.scm 400 */
							obj_t BgL_arg1858z00_1264;

							BgL_arg1858z00_1264 =
								(((BgL_importz00_bglt) COBJECT(
										((BgL_importz00_bglt) BgL_importz00_95)))->BgL_aliasesz00);
							BgL_inlinez00_1255 =
								BGl_importzd2wantedzd2zzmodule_impusez00(BgL_importz00_95,
								BgL_arg1858z00_1264);
						}
						{	/* Module/impuse.scm 400 */
							obj_t BgL_macroz00_1256;
							obj_t BgL_syntaxz00_1257;
							obj_t BgL_expanderz00_1258;

							{	/* Module/impuse.scm 401 */
								obj_t BgL_tmpz00_2027;

								{	/* Module/impuse.scm 401 */
									int BgL_tmpz00_3275;

									BgL_tmpz00_3275 = (int) (((long) 1));
									BgL_tmpz00_2027 = BGL_MVALUES_VAL(BgL_tmpz00_3275);
								}
								{	/* Module/impuse.scm 401 */
									int BgL_tmpz00_3278;

									BgL_tmpz00_3278 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3278, BUNSPEC);
								}
								BgL_macroz00_1256 = BgL_tmpz00_2027;
							}
							{	/* Module/impuse.scm 401 */
								obj_t BgL_tmpz00_2028;

								{	/* Module/impuse.scm 401 */
									int BgL_tmpz00_3281;

									BgL_tmpz00_3281 = (int) (((long) 2));
									BgL_tmpz00_2028 = BGL_MVALUES_VAL(BgL_tmpz00_3281);
								}
								{	/* Module/impuse.scm 401 */
									int BgL_tmpz00_3284;

									BgL_tmpz00_3284 = (int) (((long) 2));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3284, BUNSPEC);
								}
								BgL_syntaxz00_1257 = BgL_tmpz00_2028;
							}
							{	/* Module/impuse.scm 401 */
								obj_t BgL_tmpz00_2029;

								{	/* Module/impuse.scm 401 */
									int BgL_tmpz00_3287;

									BgL_tmpz00_3287 = (int) (((long) 3));
									BgL_tmpz00_2029 = BGL_MVALUES_VAL(BgL_tmpz00_3287);
								}
								{	/* Module/impuse.scm 401 */
									int BgL_tmpz00_3290;

									BgL_tmpz00_3290 = (int) (((long) 3));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3290, BUNSPEC);
								}
								BgL_expanderz00_1258 = BgL_tmpz00_2029;
							}
							{	/* Module/impuse.scm 401 */
								obj_t BgL_arg1852z00_1259;
								obj_t BgL_arg1854z00_1260;
								obj_t BgL_arg1855z00_1261;
								obj_t BgL_arg1856z00_1262;

								BgL_arg1852z00_1259 =
									(((BgL_importz00_bglt) COBJECT(
											((BgL_importz00_bglt) BgL_importz00_95)))->BgL_codez00);
								{	/* Module/impuse.scm 403 */
									obj_t BgL_arg1857z00_1263;

									BgL_arg1857z00_1263 =
										(((BgL_importz00_bglt) COBJECT(
												((BgL_importz00_bglt) BgL_importz00_95)))->BgL_declz00);
									BgL_arg1854z00_1260 =
										BGl_prognzd2tailzd2expressionsz00zztools_prognz00
										(BgL_arg1857z00_1263);
								}
								BgL_arg1855z00_1261 =
									(((BgL_importz00_bglt) COBJECT(
											((BgL_importz00_bglt) BgL_importz00_95)))->BgL_accessz00);
								BgL_arg1856z00_1262 =
									(((BgL_importz00_bglt) COBJECT(
											((BgL_importz00_bglt) BgL_importz00_95)))->BgL_modulez00);
								return
									BGl_lookzd2forzd2inlineszd2andzd2macrosz00zzread_inlinez00
									(BgL_inlinez00_1255, BgL_macroz00_1256, BgL_syntaxz00_1257,
									BgL_expanderz00_1258, BgL_arg1852z00_1259,
									BgL_arg1854z00_1260, BgL_arg1855z00_1261,
									BgL_arg1856z00_1262);
							}
						}
					}
				else
					{	/* Module/impuse.scm 398 */
						return BFALSE;
					}
			}
		}

	}



/* read-import! */
	obj_t BGl_readzd2importz12zc0zzmodule_impusez00(obj_t BgL_importz00_96)
	{
		{	/* Module/impuse.scm 408 */
			{
				obj_t BgL_modulez00_1331;
				obj_t BgL_filez00_1332;
				obj_t BgL_objz00_1327;

				if (
					((((BgL_importz00_bglt) COBJECT(
									((BgL_importz00_bglt) BgL_importz00_96)))->BgL_declz00) ==
						BUNSPEC))
					{	/* Module/impuse.scm 424 */
						obj_t BgL_modulez00_1270;

						BgL_modulez00_1270 =
							(((BgL_importz00_bglt) COBJECT(
									((BgL_importz00_bglt) BgL_importz00_96)))->BgL_modulez00);
						{	/* Module/impuse.scm 424 */
							obj_t BgL_abasez00_1271;

							{	/* Module/impuse.scm 425 */
								obj_t BgL_l1265z00_1310;

								BgL_l1265z00_1310 =
									BGl_za2accesszd2filesza2zd2zzengine_paramz00;
								if (NULLP(BgL_l1265z00_1310))
									{	/* Module/impuse.scm 425 */
										BgL_abasez00_1271 = BNIL;
									}
								else
									{	/* Module/impuse.scm 425 */
										obj_t BgL_head1267z00_1312;

										{	/* Module/impuse.scm 425 */
											obj_t BgL_arg1895z00_1324;

											{	/* Module/impuse.scm 425 */
												obj_t BgL_arg1896z00_1325;

												BgL_arg1896z00_1325 = CAR(((obj_t) BgL_l1265z00_1310));
												BgL_arg1895z00_1324 =
													BGl_dirnamez00zz__osz00(BgL_arg1896z00_1325);
											}
											BgL_head1267z00_1312 =
												MAKE_YOUNG_PAIR(BgL_arg1895z00_1324, BNIL);
										}
										{	/* Module/impuse.scm 425 */
											obj_t BgL_g1270z00_1313;

											BgL_g1270z00_1313 = CDR(((obj_t) BgL_l1265z00_1310));
											{
												obj_t BgL_l1265z00_1315;
												obj_t BgL_tail1268z00_1316;

												BgL_l1265z00_1315 = BgL_g1270z00_1313;
												BgL_tail1268z00_1316 = BgL_head1267z00_1312;
											BgL_zc3z04anonymousza31889ze3z87_1317:
												if (NULLP(BgL_l1265z00_1315))
													{	/* Module/impuse.scm 425 */
														BgL_abasez00_1271 = BgL_head1267z00_1312;
													}
												else
													{	/* Module/impuse.scm 425 */
														obj_t BgL_newtail1269z00_1319;

														{	/* Module/impuse.scm 425 */
															obj_t BgL_arg1892z00_1321;

															{	/* Module/impuse.scm 425 */
																obj_t BgL_arg1894z00_1322;

																BgL_arg1894z00_1322 =
																	CAR(((obj_t) BgL_l1265z00_1315));
																BgL_arg1892z00_1321 =
																	BGl_dirnamez00zz__osz00(BgL_arg1894z00_1322);
															}
															BgL_newtail1269z00_1319 =
																MAKE_YOUNG_PAIR(BgL_arg1892z00_1321, BNIL);
														}
														SET_CDR(BgL_tail1268z00_1316,
															BgL_newtail1269z00_1319);
														{	/* Module/impuse.scm 425 */
															obj_t BgL_arg1891z00_1320;

															BgL_arg1891z00_1320 =
																CDR(((obj_t) BgL_l1265z00_1315));
															{
																obj_t BgL_tail1268z00_3327;
																obj_t BgL_l1265z00_3326;

																BgL_l1265z00_3326 = BgL_arg1891z00_1320;
																BgL_tail1268z00_3327 = BgL_newtail1269z00_1319;
																BgL_tail1268z00_1316 = BgL_tail1268z00_3327;
																BgL_l1265z00_1315 = BgL_l1265z00_3326;
																goto BgL_zc3z04anonymousza31889ze3z87_1317;
															}
														}
													}
											}
										}
									}
							}
							{	/* Module/impuse.scm 425 */
								obj_t BgL_fnamesz00_1272;

								{	/* Module/impuse.scm 426 */
									obj_t BgL_fun1887z00_1309;

									BgL_fun1887z00_1309 =
										BGl_bigloozd2modulezd2resolverz00zz__modulez00();
									BgL_fnamesz00_1272 =
										PROCEDURE_ENTRY(BgL_fun1887z00_1309) (BgL_fun1887z00_1309,
										BgL_modulez00_1270, BNIL, BgL_abasez00_1271, BEOA);
								}
								{	/* Module/impuse.scm 426 */

									{	/* Module/impuse.scm 428 */
										obj_t BgL_arg1865z00_1273;

										if (
											((((BgL_importz00_bglt) COBJECT(
															((BgL_importz00_bglt) BgL_importz00_96)))->
													BgL_modez00) == CNST_TABLE_REF(((long) 2))))
											{	/* Module/impuse.scm 428 */
												BgL_arg1865z00_1273 =
													BGl_string2155z00zzmodule_impusez00;
											}
										else
											{	/* Module/impuse.scm 428 */
												BgL_arg1865z00_1273 =
													BGl_string2156z00zzmodule_impusez00;
											}
										{	/* Module/impuse.scm 427 */
											obj_t BgL_list1866z00_1274;

											{	/* Module/impuse.scm 427 */
												obj_t BgL_arg1867z00_1275;

												{	/* Module/impuse.scm 427 */
													obj_t BgL_arg1869z00_1276;

													{	/* Module/impuse.scm 427 */
														obj_t BgL_arg1870z00_1277;

														{	/* Module/impuse.scm 427 */
															obj_t BgL_arg1871z00_1278;

															{	/* Module/impuse.scm 427 */
																obj_t BgL_arg1872z00_1279;

																BgL_arg1872z00_1279 =
																	MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)),
																	BNIL);
																BgL_arg1871z00_1278 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2157z00zzmodule_impusez00,
																	BgL_arg1872z00_1279);
															}
															BgL_arg1870z00_1277 =
																MAKE_YOUNG_PAIR(BgL_modulez00_1270,
																BgL_arg1871z00_1278);
														}
														BgL_arg1869z00_1276 =
															MAKE_YOUNG_PAIR
															(BGl_string2158z00zzmodule_impusez00,
															BgL_arg1870z00_1277);
													}
													BgL_arg1867z00_1275 =
														MAKE_YOUNG_PAIR(BgL_arg1865z00_1273,
														BgL_arg1869z00_1276);
												}
												BgL_list1866z00_1274 =
													MAKE_YOUNG_PAIR(BGl_string2159z00zzmodule_impusez00,
													BgL_arg1867z00_1275);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list1866z00_1274);
									}}
									if (PAIRP(BgL_fnamesz00_1272))
										{	/* Module/impuse.scm 432 */
											obj_t BgL_fnamez00_1284;

											{	/* Module/impuse.scm 432 */
												obj_t BgL_arg1886z00_1308;

												BgL_arg1886z00_1308 = CAR(BgL_fnamesz00_1272);
												BgL_fnamez00_1284 =
													BGl_findzd2filezf2pathz20zz__osz00
													(BgL_arg1886z00_1308,
													BGl_za2loadzd2pathza2zd2zz__evalz00);
											}
											if (STRINGP(BgL_fnamez00_1284))
												{	/* Module/impuse.scm 435 */
													obj_t BgL_portz00_1286;

													{	/* Module/impuse.scm 435 */

														BgL_portz00_1286 =
															BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
															(BgL_fnamez00_1284, BTRUE,
															BINT(((long) 5000000)));
													}
													((((BgL_importz00_bglt) COBJECT(
																	((BgL_importz00_bglt) BgL_importz00_96)))->
															BgL_accessz00) =
														((obj_t) BgL_fnamesz00_1272), BUNSPEC);
													BGl_readerzd2resetz12zc0zz__readerz00();
													if (INPUT_PORTP(BgL_portz00_1286))
														{	/* Module/impuse.scm 440 */
															obj_t BgL_exitd1110z00_1288;

															BgL_exitd1110z00_1288 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Module/impuse.scm 456 */
																obj_t BgL_zc3z04anonymousza31883ze3z87_2423;

																BgL_zc3z04anonymousza31883ze3z87_2423 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3z04anonymousza31883ze3ze5zzmodule_impusez00,
																	(int) (((long) 0)), (int) (((long) 1)));
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza31883ze3z87_2423,
																	(int) (((long) 0)), BgL_portz00_1286);
																{	/* Module/impuse.scm 440 */
																	obj_t BgL_arg1846z00_2047;

																	{	/* Module/impuse.scm 440 */
																		obj_t BgL_arg1847z00_2048;

																		BgL_arg1847z00_2048 =
																			BGL_EXITD_PROTECT(BgL_exitd1110z00_1288);
																		BgL_arg1846z00_2047 =
																			MAKE_YOUNG_PAIR
																			(BgL_zc3z04anonymousza31883ze3z87_2423,
																			BgL_arg1847z00_2048);
																	}
																	BGL_EXITD_PROTECT_SET(BgL_exitd1110z00_1288,
																		BgL_arg1846z00_2047);
																	BUNSPEC;
																}
																{	/* Module/impuse.scm 441 */
																	obj_t BgL_tmp1112z00_1290;

																	{	/* Module/impuse.scm 441 */
																		obj_t BgL_mdeclz00_1291;

																		{	/* Module/impuse.scm 441 */
																			obj_t BgL_list1881z00_1299;

																			{	/* Module/impuse.scm 441 */
																				obj_t BgL_arg1882z00_1300;

																				BgL_arg1882z00_1300 =
																					MAKE_YOUNG_PAIR(BTRUE, BNIL);
																				BgL_list1881z00_1299 =
																					MAKE_YOUNG_PAIR(BgL_portz00_1286,
																					BgL_arg1882z00_1300);
																			}
																			BgL_mdeclz00_1291 =
																				BGl_compilerzd2readzd2zzread_readerz00
																				(BgL_list1881z00_1299);
																		}
																		{	/* Module/impuse.scm 441 */
																			obj_t BgL_emdeclz00_1292;

																			BgL_emdeclz00_1292 =
																				BGl_comptimezd2expandzf2errorz20zzexpand_epsz00
																				(BgL_mdeclz00_1291);
																			{	/* Module/impuse.scm 442 */
																				obj_t BgL_modz00_1293;

																				BgL_modz00_1293 =
																					BGl_prognzd2firstzd2expressionz00zztools_prognz00
																					(BgL_emdeclz00_1292);
																				{	/* Module/impuse.scm 443 */

																					BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00
																						();
																					BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00
																						();
																					{	/* Module/impuse.scm 446 */
																						obj_t BgL_cmz00_1294;

																						BgL_cmz00_1294 =
																							BGl_consumezd2modulez12zc0zzmodule_modulez00
																							(BgL_modulez00_1270,
																							BgL_modz00_1293);
																						{	/* Module/impuse.scm 446 */
																							obj_t BgL_cimz00_1295;

																							BgL_cimz00_1295 =
																								BGl_getzd2includezd2consumedzd2directivezd2zzmodule_includez00
																								();
																							{	/* Module/impuse.scm 447 */
																								obj_t BgL_proz00_1296;

																								BgL_proz00_1296 =
																									BGl_appendzd221011zd2zzmodule_impusez00
																									(BgL_cmz00_1294,
																									BgL_cimz00_1295);
																								{	/* Module/impuse.scm 448 */
																									obj_t BgL_codez00_1297;

																									BgL_codez00_1297 =
																										BGl_getzd2includezd2consumedzd2codezd2zzmodule_includez00
																										();
																									{	/* Module/impuse.scm 449 */
																										long BgL_checkz00_1298;

																										BgL_checkz00_1298 =
																											BGl_modulezd2checksumzd2zzmodule_checksumz00
																											(BgL_modz00_1293,
																											BGl_za2mcozd2includezd2pathza2z00zzengine_paramz00);
																										{	/* Module/impuse.scm 450 */

																											((((BgL_importz00_bglt)
																														COBJECT((
																																(BgL_importz00_bglt)
																																BgL_importz00_96)))->
																													BgL_declz00) =
																												((obj_t)
																													BgL_emdeclz00_1292),
																												BUNSPEC);
																											((((BgL_importz00_bglt)
																														COBJECT((
																																(BgL_importz00_bglt)
																																BgL_importz00_96)))->
																													BgL_checksumz00) =
																												((obj_t)
																													BINT
																													(BgL_checkz00_1298)),
																												BUNSPEC);
																											((((BgL_importz00_bglt)
																														COBJECT((
																																(BgL_importz00_bglt)
																																BgL_importz00_96)))->
																													BgL_codez00) =
																												((obj_t)
																													BgL_codez00_1297),
																												BUNSPEC);
																											BgL_tmp1112z00_1290 =
																												((((BgL_importz00_bglt)
																														COBJECT((
																																(BgL_importz00_bglt)
																																BgL_importz00_96)))->
																													BgL_providez00) =
																												((obj_t) ((obj_t)
																														BgL_proz00_1296)),
																												BUNSPEC);
																	}}}}}}}}}}
																	{	/* Module/impuse.scm 440 */
																		bool_t BgL_test2343z00_3393;

																		{	/* Module/impuse.scm 440 */
																			obj_t BgL_arg1845z00_2055;

																			BgL_arg1845z00_2055 =
																				BGL_EXITD_PROTECT
																				(BgL_exitd1110z00_1288);
																			BgL_test2343z00_3393 =
																				PAIRP(BgL_arg1845z00_2055);
																		}
																		if (BgL_test2343z00_3393)
																			{	/* Module/impuse.scm 440 */
																				obj_t BgL_arg1843z00_2056;

																				{	/* Module/impuse.scm 440 */
																					obj_t BgL_arg1844z00_2057;

																					BgL_arg1844z00_2057 =
																						BGL_EXITD_PROTECT
																						(BgL_exitd1110z00_1288);
																					BgL_arg1843z00_2056 =
																						CDR(((obj_t) BgL_arg1844z00_2057));
																				}
																				BGL_EXITD_PROTECT_SET
																					(BgL_exitd1110z00_1288,
																					BgL_arg1843z00_2056);
																				BUNSPEC;
																			}
																		else
																			{	/* Module/impuse.scm 440 */
																				BFALSE;
																			}
																	}
																	bgl_close_input_port(BgL_portz00_1286);
																	return BgL_tmp1112z00_1290;
																}
															}
														}
													else
														{	/* Module/impuse.scm 438 */
															BgL_modulez00_1331 = BgL_modulez00_1270;
															BgL_filez00_1332 = CAR(BgL_fnamesz00_1272);
														BgL_zc3z04anonymousza31903ze3z87_1333:
															{	/* Module/impuse.scm 416 */
																obj_t BgL_vz00_2034;

																BgL_vz00_2034 = CNST_TABLE_REF(((long) 7));
																((((BgL_importz00_bglt) COBJECT(
																				((BgL_importz00_bglt)
																					BgL_importz00_96)))->BgL_declz00) =
																	((obj_t) BgL_vz00_2034), BUNSPEC);
															}
															{	/* Module/impuse.scm 418 */
																obj_t BgL_arg1904z00_1334;
																obj_t BgL_arg1905z00_1335;

																BgL_arg1904z00_1334 =
																	(((BgL_importz00_bglt) COBJECT(
																			((BgL_importz00_bglt)
																				BgL_importz00_96)))->BgL_locz00);
																{	/* Module/impuse.scm 420 */
																	obj_t BgL_list1907z00_1337;

																	BgL_list1907z00_1337 =
																		MAKE_YOUNG_PAIR(BgL_modulez00_1331, BNIL);
																	BgL_arg1905z00_1335 =
																		BGl_formatz00zz__r4_output_6_10_3z00
																		(BGl_string2154z00zzmodule_impusez00,
																		BgL_list1907z00_1337);
																}
																return
																	BGl_userzd2errorzf2locationz20zztools_errorz00
																	(BgL_arg1904z00_1334,
																	CNST_TABLE_REF(((long) 0)),
																	BgL_arg1905z00_1335, BgL_filez00_1332, BNIL);
												}}}
											else
												{
													obj_t BgL_filez00_3412;
													obj_t BgL_modulez00_3411;

													BgL_modulez00_3411 = BgL_modulez00_1270;
													BgL_filez00_3412 = CAR(BgL_fnamesz00_1272);
													BgL_filez00_1332 = BgL_filez00_3412;
													BgL_modulez00_1331 = BgL_modulez00_3411;
													goto BgL_zc3z04anonymousza31903ze3z87_1333;
												}
										}
									else
										{	/* Module/impuse.scm 430 */
											BgL_objz00_1327 = BgL_modulez00_1270;
											{	/* Module/impuse.scm 411 */
												obj_t BgL_vz00_2031;

												BgL_vz00_2031 = CNST_TABLE_REF(((long) 7));
												((((BgL_importz00_bglt) COBJECT(
																((BgL_importz00_bglt) BgL_importz00_96)))->
														BgL_declz00) = ((obj_t) BgL_vz00_2031), BUNSPEC);
											}
											{	/* Module/impuse.scm 412 */
												obj_t BgL_arg1901z00_1329;

												BgL_arg1901z00_1329 =
													(((BgL_importz00_bglt) COBJECT(
															((BgL_importz00_bglt) BgL_importz00_96)))->
													BgL_locz00);
												{	/* Module/impuse.scm 412 */
													obj_t BgL_list1902z00_1330;

													BgL_list1902z00_1330 = MAKE_YOUNG_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_arg1901z00_1329, CNST_TABLE_REF(((long) 0)),
														BGl_string2153z00zzmodule_impusez00,
														BgL_objz00_1327, BgL_list1902z00_1330);
					}}}}}}}
				else
					{	/* Module/impuse.scm 423 */
						return BFALSE;
					}
			}
		}

	}



/* &<@anonymous:1883> */
	obj_t BGl_z62zc3z04anonymousza31883ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2424)
	{
		{	/* Module/impuse.scm 440 */
			{	/* Module/impuse.scm 456 */
				obj_t BgL_portz00_2425;

				BgL_portz00_2425 = PROCEDURE_REF(BgL_envz00_2424, (int) (((long) 0)));
				return bgl_close_input_port(((obj_t) BgL_portz00_2425));
			}
		}

	}



/* import-everything */
	obj_t BGl_importzd2everythingzd2zzmodule_impusez00(obj_t BgL_importz00_97)
	{
		{	/* Module/impuse.scm 461 */
			{
				obj_t BgL_providedz00_1347;
				obj_t BgL_inlinez00_1348;
				obj_t BgL_macroz00_1349;
				obj_t BgL_syntaxz00_1350;
				obj_t BgL_expdz00_1351;

				{	/* Module/impuse.scm 463 */
					obj_t BgL_arg1908z00_1346;

					BgL_arg1908z00_1346 =
						(((BgL_importz00_bglt) COBJECT(
								((BgL_importz00_bglt) BgL_importz00_97)))->BgL_providez00);
					BgL_providedz00_1347 = BgL_arg1908z00_1346;
					BgL_inlinez00_1348 = BNIL;
					BgL_macroz00_1349 = BNIL;
					BgL_syntaxz00_1350 = BNIL;
					BgL_expdz00_1351 = BNIL;
				BgL_zc3z04anonymousza31909ze3z87_1352:
					if (NULLP(BgL_providedz00_1347))
						{	/* Module/impuse.scm 468 */
							{	/* Module/impuse.scm 469 */
								int BgL_tmpz00_3430;

								BgL_tmpz00_3430 = (int) (((long) 4));
								BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3430);
							}
							{	/* Module/impuse.scm 469 */
								int BgL_tmpz00_3433;

								BgL_tmpz00_3433 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3433, BgL_macroz00_1349);
							}
							{	/* Module/impuse.scm 469 */
								int BgL_tmpz00_3436;

								BgL_tmpz00_3436 = (int) (((long) 2));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3436, BgL_syntaxz00_1350);
							}
							{	/* Module/impuse.scm 469 */
								int BgL_tmpz00_3439;

								BgL_tmpz00_3439 = (int) (((long) 3));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3439, BgL_expdz00_1351);
							}
							return BgL_inlinez00_1348;
						}
					else
						{	/* Module/impuse.scm 470 */
							obj_t BgL_pz00_1358;

							{	/* Module/impuse.scm 470 */
								obj_t BgL_arg1944z00_1402;
								obj_t BgL_arg1945z00_1403;
								obj_t BgL_arg1946z00_1404;

								BgL_arg1944z00_1402 =
									(((BgL_importz00_bglt) COBJECT(
											((BgL_importz00_bglt) BgL_importz00_97)))->BgL_modulez00);
								BgL_arg1945z00_1403 = CAR(((obj_t) BgL_providedz00_1347));
								BgL_arg1946z00_1404 =
									(((BgL_importz00_bglt) COBJECT(
											((BgL_importz00_bglt) BgL_importz00_97)))->BgL_srcz00);
								{	/* Module/impuse.scm 470 */
									obj_t BgL_list1947z00_1405;

									BgL_list1947z00_1405 =
										MAKE_YOUNG_PAIR(BgL_arg1946z00_1404, BNIL);
									BgL_pz00_1358 =
										BGl_importzd2parserzd2zzmodule_impusez00
										(BgL_arg1944z00_1402, BgL_arg1945z00_1403, BFALSE,
										BgL_list1947z00_1405);
								}
							}
							{
								obj_t BgL_expz00_1364;
								obj_t BgL_synz00_1362;
								obj_t BgL_macz00_1360;

								{	/* Module/impuse.scm 471 */
									bool_t BgL_test2345z00_3450;

									{	/* Module/impuse.scm 471 */
										obj_t BgL_classz00_2135;

										BgL_classz00_2135 = BGl_globalz00zzast_varz00;
										if (BGL_OBJECTP(BgL_pz00_1358))
											{	/* Module/impuse.scm 471 */
												BgL_objectz00_bglt BgL_arg1825z00_2137;

												BgL_arg1825z00_2137 =
													(BgL_objectz00_bglt) (BgL_pz00_1358);
												{	/* Module/impuse.scm 471 */
													bool_t BgL_arg1822z00_2140;
													bool_t BgL_arg1823z00_2141;

													{	/* Module/impuse.scm 471 */
														long BgL_idxz00_2144;

														BgL_idxz00_2144 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2137);
														BgL_arg1822z00_2140 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2144 + ((long) 2))) ==
															BgL_classz00_2135);
													}
													{	/* Module/impuse.scm 471 */
														bool_t BgL_res2133z00_2166;

														{	/* Module/impuse.scm 471 */
															obj_t BgL_oclassz00_2152;

															{	/* Module/impuse.scm 471 */
																long BgL_arg1833z00_2158;

																{	/* Module/impuse.scm 471 */
																	long BgL_arg1834z00_2159;

																	BgL_arg1834z00_2159 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2137);
																	BgL_arg1833z00_2158 =
																		(BgL_arg1834z00_2159 - OBJECT_TYPE);
																}
																BgL_oclassz00_2152 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2158);
															}
															{	/* Module/impuse.scm 471 */
																bool_t BgL__ortest_1110z00_2153;

																BgL__ortest_1110z00_2153 =
																	(BgL_classz00_2135 == BgL_oclassz00_2152);
																if (BgL__ortest_1110z00_2153)
																	{	/* Module/impuse.scm 471 */
																		BgL_res2133z00_2166 =
																			BgL__ortest_1110z00_2153;
																	}
																else
																	{	/* Module/impuse.scm 471 */
																		long BgL_odepthz00_2154;

																		BgL_odepthz00_2154 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2152);
																		if ((((long) 2) < BgL_odepthz00_2154))
																			{	/* Module/impuse.scm 471 */
																				obj_t BgL_arg1821z00_2156;

																				BgL_arg1821z00_2156 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2152, ((long) 2));
																				BgL_res2133z00_2166 =
																					(BgL_arg1821z00_2156 ==
																					BgL_classz00_2135);
																			}
																		else
																			{	/* Module/impuse.scm 471 */
																				BgL_res2133z00_2166 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2141 = BgL_res2133z00_2166;
													}
													BgL_test2345z00_3450 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2140,
														BgL_arg1823z00_2141);
												}
											}
										else
											{	/* Module/impuse.scm 471 */
												BgL_test2345z00_3450 = ((bool_t) 0);
											}
									}
									if (BgL_test2345z00_3450)
										{	/* Module/impuse.scm 471 */
											{	/* Module/impuse.scm 473 */
												BgL_valuez00_bglt BgL_valz00_1382;

												BgL_valz00_1382 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_pz00_1358))))->
													BgL_valuez00);
												{	/* Module/impuse.scm 474 */
													obj_t BgL_arg1926z00_1383;
													obj_t BgL_arg1927z00_1384;

													BgL_arg1926z00_1383 =
														CDR(((obj_t) BgL_providedz00_1347));
													{	/* Module/impuse.scm 476 */
														bool_t BgL_test2349z00_3474;

														{	/* Module/impuse.scm 476 */
															bool_t BgL_test2350z00_3475;

															{	/* Module/impuse.scm 476 */
																obj_t BgL_classz00_2065;

																BgL_classz00_2065 = BGl_globalz00zzast_varz00;
																if (BGL_OBJECTP(BgL_pz00_1358))
																	{	/* Module/impuse.scm 476 */
																		BgL_objectz00_bglt BgL_arg1825z00_2067;

																		BgL_arg1825z00_2067 =
																			(BgL_objectz00_bglt) (BgL_pz00_1358);
																		{	/* Module/impuse.scm 476 */
																			bool_t BgL_arg1822z00_2070;
																			bool_t BgL_arg1823z00_2071;

																			{	/* Module/impuse.scm 476 */
																				long BgL_idxz00_2074;

																				BgL_idxz00_2074 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1825z00_2067);
																				BgL_arg1822z00_2070 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2074 + ((long) 2))) ==
																					BgL_classz00_2065);
																			}
																			{	/* Module/impuse.scm 476 */
																				bool_t BgL_res2131z00_2096;

																				{	/* Module/impuse.scm 476 */
																					obj_t BgL_oclassz00_2082;

																					{	/* Module/impuse.scm 476 */
																						long BgL_arg1833z00_2088;

																						{	/* Module/impuse.scm 476 */
																							long BgL_arg1834z00_2089;

																							BgL_arg1834z00_2089 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1825z00_2067);
																							BgL_arg1833z00_2088 =
																								(BgL_arg1834z00_2089 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2082 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1833z00_2088);
																					}
																					{	/* Module/impuse.scm 476 */
																						bool_t BgL__ortest_1110z00_2083;

																						BgL__ortest_1110z00_2083 =
																							(BgL_classz00_2065 ==
																							BgL_oclassz00_2082);
																						if (BgL__ortest_1110z00_2083)
																							{	/* Module/impuse.scm 476 */
																								BgL_res2131z00_2096 =
																									BgL__ortest_1110z00_2083;
																							}
																						else
																							{	/* Module/impuse.scm 476 */
																								long BgL_odepthz00_2084;

																								BgL_odepthz00_2084 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2082);
																								if ((((long) 2) <
																										BgL_odepthz00_2084))
																									{	/* Module/impuse.scm 476 */
																										obj_t BgL_arg1821z00_2086;

																										BgL_arg1821z00_2086 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2082,
																											((long) 2));
																										BgL_res2131z00_2096 =
																											(BgL_arg1821z00_2086 ==
																											BgL_classz00_2065);
																									}
																								else
																									{	/* Module/impuse.scm 476 */
																										BgL_res2131z00_2096 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_arg1823z00_2071 =
																					BgL_res2131z00_2096;
																			}
																			BgL_test2350z00_3475 =
																				BGL_ISA_C_BACKEND(BgL_arg1822z00_2070,
																				BgL_arg1823z00_2071);
																		}
																	}
																else
																	{	/* Module/impuse.scm 476 */
																		BgL_test2350z00_3475 = ((bool_t) 0);
																	}
															}
															if (BgL_test2350z00_3475)
																{	/* Module/impuse.scm 476 */
																	bool_t BgL_test2354z00_3494;

																	{	/* Module/impuse.scm 476 */
																		obj_t BgL_classz00_2097;

																		BgL_classz00_2097 = BGl_sfunz00zzast_varz00;
																		{	/* Module/impuse.scm 476 */
																			BgL_objectz00_bglt BgL_arg1825z00_2099;

																			{	/* Module/impuse.scm 476 */
																				obj_t BgL_tmpz00_3495;

																				BgL_tmpz00_3495 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_valz00_1382));
																				BgL_arg1825z00_2099 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_3495);
																			}
																			{	/* Module/impuse.scm 476 */
																				bool_t BgL_arg1822z00_2102;
																				bool_t BgL_arg1823z00_2103;

																				{	/* Module/impuse.scm 476 */
																					long BgL_idxz00_2106;

																					BgL_idxz00_2106 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_2099);
																					BgL_arg1822z00_2102 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2106 + ((long) 3))) ==
																						BgL_classz00_2097);
																				}
																				{	/* Module/impuse.scm 476 */
																					bool_t BgL_res2132z00_2128;

																					{	/* Module/impuse.scm 476 */
																						obj_t BgL_oclassz00_2114;

																						{	/* Module/impuse.scm 476 */
																							long BgL_arg1833z00_2120;

																							{	/* Module/impuse.scm 476 */
																								long BgL_arg1834z00_2121;

																								BgL_arg1834z00_2121 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_2099);
																								BgL_arg1833z00_2120 =
																									(BgL_arg1834z00_2121 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2114 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_2120);
																						}
																						{	/* Module/impuse.scm 476 */
																							bool_t BgL__ortest_1110z00_2115;

																							BgL__ortest_1110z00_2115 =
																								(BgL_classz00_2097 ==
																								BgL_oclassz00_2114);
																							if (BgL__ortest_1110z00_2115)
																								{	/* Module/impuse.scm 476 */
																									BgL_res2132z00_2128 =
																										BgL__ortest_1110z00_2115;
																								}
																							else
																								{	/* Module/impuse.scm 476 */
																									long BgL_odepthz00_2116;

																									BgL_odepthz00_2116 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2114);
																									if ((((long) 3) <
																											BgL_odepthz00_2116))
																										{	/* Module/impuse.scm 476 */
																											obj_t BgL_arg1821z00_2118;

																											BgL_arg1821z00_2118 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2114,
																												((long) 3));
																											BgL_res2132z00_2128 =
																												(BgL_arg1821z00_2118 ==
																												BgL_classz00_2097);
																										}
																									else
																										{	/* Module/impuse.scm 476 */
																											BgL_res2132z00_2128 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_2103 =
																						BgL_res2132z00_2128;
																				}
																				BgL_test2354z00_3494 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_2102,
																					BgL_arg1823z00_2103);
																			}
																		}
																	}
																	if (BgL_test2354z00_3494)
																		{	/* Module/impuse.scm 476 */
																			BgL_test2349z00_3474 = ((bool_t) 0);
																		}
																	else
																		{	/* Module/impuse.scm 476 */
																			BgL_test2349z00_3474 = ((bool_t) 1);
																		}
																}
															else
																{	/* Module/impuse.scm 476 */
																	BgL_test2349z00_3474 = ((bool_t) 1);
																}
														}
														if (BgL_test2349z00_3474)
															{	/* Module/impuse.scm 476 */
																BgL_arg1927z00_1384 = BgL_inlinez00_1348;
															}
														else
															{	/* Module/impuse.scm 476 */
																if (
																	((((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						BgL_valz00_1382)))->BgL_classz00) ==
																		CNST_TABLE_REF(((long) 19))))
																	{	/* Module/impuse.scm 479 */
																		obj_t BgL_arg1933z00_1390;

																		{	/* Module/impuse.scm 479 */
																			obj_t BgL_arg1935z00_1391;

																			BgL_arg1935z00_1391 =
																				(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_pz00_1358))))->BgL_idz00);
																			BgL_arg1933z00_1390 =
																				MAKE_YOUNG_PAIR(BgL_arg1935z00_1391,
																				CNST_TABLE_REF(((long) 19)));
																		}
																		BgL_arg1927z00_1384 =
																			MAKE_YOUNG_PAIR(BgL_arg1933z00_1390,
																			BgL_inlinez00_1348);
																	}
																else
																	{	/* Module/impuse.scm 478 */
																		BgL_arg1927z00_1384 = BgL_inlinez00_1348;
																	}
															}
													}
													{
														obj_t BgL_inlinez00_3526;
														obj_t BgL_providedz00_3525;

														BgL_providedz00_3525 = BgL_arg1926z00_1383;
														BgL_inlinez00_3526 = BgL_arg1927z00_1384;
														BgL_inlinez00_1348 = BgL_inlinez00_3526;
														BgL_providedz00_1347 = BgL_providedz00_3525;
														goto BgL_zc3z04anonymousza31909ze3z87_1352;
													}
												}
											}
										}
									else
										{	/* Module/impuse.scm 471 */
											if (PAIRP(BgL_pz00_1358))
												{	/* Module/impuse.scm 471 */
													if (
														(CAR(BgL_pz00_1358) == CNST_TABLE_REF(((long) 27))))
														{	/* Module/impuse.scm 471 */
															BgL_macz00_1360 = CDR(BgL_pz00_1358);
															{	/* Module/impuse.scm 486 */
																obj_t BgL_arg1937z00_1395;
																obj_t BgL_arg1938z00_1396;

																BgL_arg1937z00_1395 =
																	CDR(((obj_t) BgL_providedz00_1347));
																BgL_arg1938z00_1396 =
																	MAKE_YOUNG_PAIR(BgL_macz00_1360,
																	BgL_macroz00_1349);
																{
																	obj_t BgL_macroz00_3537;
																	obj_t BgL_providedz00_3536;

																	BgL_providedz00_3536 = BgL_arg1937z00_1395;
																	BgL_macroz00_3537 = BgL_arg1938z00_1396;
																	BgL_macroz00_1349 = BgL_macroz00_3537;
																	BgL_providedz00_1347 = BgL_providedz00_3536;
																	goto BgL_zc3z04anonymousza31909ze3z87_1352;
																}
															}
														}
													else
														{	/* Module/impuse.scm 471 */
															if (
																(CAR(BgL_pz00_1358) ==
																	CNST_TABLE_REF(((long) 28))))
																{	/* Module/impuse.scm 471 */
																	BgL_synz00_1362 = CDR(BgL_pz00_1358);
																	{	/* Module/impuse.scm 488 */
																		obj_t BgL_arg1939z00_1397;
																		obj_t BgL_arg1940z00_1398;

																		BgL_arg1939z00_1397 =
																			CDR(((obj_t) BgL_providedz00_1347));
																		BgL_arg1940z00_1398 =
																			MAKE_YOUNG_PAIR(BgL_synz00_1362,
																			BgL_syntaxz00_1350);
																		{
																			obj_t BgL_syntaxz00_3547;
																			obj_t BgL_providedz00_3546;

																			BgL_providedz00_3546 =
																				BgL_arg1939z00_1397;
																			BgL_syntaxz00_3547 = BgL_arg1940z00_1398;
																			BgL_syntaxz00_1350 = BgL_syntaxz00_3547;
																			BgL_providedz00_1347 =
																				BgL_providedz00_3546;
																			goto
																				BgL_zc3z04anonymousza31909ze3z87_1352;
																		}
																	}
																}
															else
																{	/* Module/impuse.scm 471 */
																	if (
																		(CAR(BgL_pz00_1358) ==
																			CNST_TABLE_REF(((long) 29))))
																		{	/* Module/impuse.scm 471 */
																			BgL_expz00_1364 = CDR(BgL_pz00_1358);
																			{	/* Module/impuse.scm 490 */
																				obj_t BgL_arg1941z00_1399;
																				obj_t BgL_arg1942z00_1400;

																				BgL_arg1941z00_1399 =
																					CDR(((obj_t) BgL_providedz00_1347));
																				BgL_arg1942z00_1400 =
																					MAKE_YOUNG_PAIR(BgL_expz00_1364,
																					BgL_expdz00_1351);
																				{
																					obj_t BgL_expdz00_3557;
																					obj_t BgL_providedz00_3556;

																					BgL_providedz00_3556 =
																						BgL_arg1941z00_1399;
																					BgL_expdz00_3557 =
																						BgL_arg1942z00_1400;
																					BgL_expdz00_1351 = BgL_expdz00_3557;
																					BgL_providedz00_1347 =
																						BgL_providedz00_3556;
																					goto
																						BgL_zc3z04anonymousza31909ze3z87_1352;
																				}
																			}
																		}
																	else
																		{	/* Module/impuse.scm 471 */
																		BgL_tagzd2378zd2_1366:
																			{	/* Module/impuse.scm 492 */
																				obj_t BgL_arg1943z00_1401;

																				BgL_arg1943z00_1401 =
																					CDR(((obj_t) BgL_providedz00_1347));
																				{
																					obj_t BgL_providedz00_3561;

																					BgL_providedz00_3561 =
																						BgL_arg1943z00_1401;
																					BgL_providedz00_1347 =
																						BgL_providedz00_3561;
																					goto
																						BgL_zc3z04anonymousza31909ze3z87_1352;
																				}
																			}
																		}
																}
														}
												}
											else
												{	/* Module/impuse.scm 471 */
													goto BgL_tagzd2378zd2_1366;
												}
										}
								}
							}
						}
				}
			}
		}

	}



/* import-wanted */
	obj_t BGl_importzd2wantedzd2zzmodule_impusez00(obj_t BgL_importz00_98,
		obj_t BgL_varsz00_99)
	{
		{	/* Module/impuse.scm 497 */
			{
				obj_t BgL_providedz00_1414;
				obj_t BgL_inlinez00_1415;
				obj_t BgL_macroz00_1416;
				obj_t BgL_syntaxz00_1417;
				obj_t BgL_expanderz00_1418;
				obj_t BgL_wantedz00_1419;

				{	/* Module/impuse.scm 499 */
					obj_t BgL_arg1948z00_1413;

					BgL_arg1948z00_1413 =
						(((BgL_importz00_bglt) COBJECT(
								((BgL_importz00_bglt) BgL_importz00_98)))->BgL_providez00);
					BgL_providedz00_1414 = BgL_arg1948z00_1413;
					BgL_inlinez00_1415 = BNIL;
					BgL_macroz00_1416 = BNIL;
					BgL_syntaxz00_1417 = BNIL;
					BgL_expanderz00_1418 = BNIL;
					BgL_wantedz00_1419 = BgL_varsz00_99;
				BgL_zc3z04anonymousza31949ze3z87_1420:
					if (NULLP(BgL_wantedz00_1419))
						{	/* Module/impuse.scm 509 */
							{	/* Module/impuse.scm 510 */
								int BgL_tmpz00_3566;

								BgL_tmpz00_3566 = (int) (((long) 4));
								BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3566);
							}
							{	/* Module/impuse.scm 510 */
								int BgL_tmpz00_3569;

								BgL_tmpz00_3569 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3569, BgL_macroz00_1416);
							}
							{	/* Module/impuse.scm 510 */
								int BgL_tmpz00_3572;

								BgL_tmpz00_3572 = (int) (((long) 2));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3572, BgL_syntaxz00_1417);
							}
							{	/* Module/impuse.scm 510 */
								int BgL_tmpz00_3575;

								BgL_tmpz00_3575 = (int) (((long) 3));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3575, BgL_expanderz00_1418);
							}
							return BgL_inlinez00_1415;
						}
					else
						{	/* Module/impuse.scm 509 */
							if (NULLP(BgL_providedz00_1414))
								{	/* Module/impuse.scm 511 */
									{	/* Module/impuse.scm 512 */
										obj_t BgL_arg1952z00_1427;
										obj_t BgL_arg1953z00_1428;
										obj_t BgL_arg1954z00_1429;

										BgL_arg1952z00_1427 =
											BGl_findzd2locationzd2zztools_locationz00
											(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00);
										BgL_arg1953z00_1428 =
											(((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
														BgL_importz00_98)))->BgL_modulez00);
										{	/* Module/impuse.scm 515 */
											obj_t BgL_head1281z00_1433;

											{	/* Module/impuse.scm 515 */
												obj_t BgL_arg1962z00_1445;

												{	/* Module/impuse.scm 515 */
													obj_t BgL_pairz00_2175;

													BgL_pairz00_2175 = CAR(((obj_t) BgL_wantedz00_1419));
													BgL_arg1962z00_1445 = CAR(BgL_pairz00_2175);
												}
												BgL_head1281z00_1433 =
													MAKE_YOUNG_PAIR(BgL_arg1962z00_1445, BNIL);
											}
											{	/* Module/impuse.scm 515 */
												obj_t BgL_g1284z00_1434;

												BgL_g1284z00_1434 = CDR(((obj_t) BgL_wantedz00_1419));
												{
													obj_t BgL_l1279z00_1436;
													obj_t BgL_tail1282z00_1437;

													BgL_l1279z00_1436 = BgL_g1284z00_1434;
													BgL_tail1282z00_1437 = BgL_head1281z00_1433;
												BgL_zc3z04anonymousza31957ze3z87_1438:
													if (NULLP(BgL_l1279z00_1436))
														{	/* Module/impuse.scm 515 */
															BgL_arg1954z00_1429 = BgL_head1281z00_1433;
														}
													else
														{	/* Module/impuse.scm 515 */
															obj_t BgL_newtail1283z00_1440;

															{	/* Module/impuse.scm 515 */
																obj_t BgL_arg1960z00_1442;

																{	/* Module/impuse.scm 515 */
																	obj_t BgL_pairz00_2178;

																	BgL_pairz00_2178 =
																		CAR(((obj_t) BgL_l1279z00_1436));
																	BgL_arg1960z00_1442 = CAR(BgL_pairz00_2178);
																}
																BgL_newtail1283z00_1440 =
																	MAKE_YOUNG_PAIR(BgL_arg1960z00_1442, BNIL);
															}
															SET_CDR(BgL_tail1282z00_1437,
																BgL_newtail1283z00_1440);
															{	/* Module/impuse.scm 515 */
																obj_t BgL_arg1959z00_1441;

																BgL_arg1959z00_1441 =
																	CDR(((obj_t) BgL_l1279z00_1436));
																{
																	obj_t BgL_tail1282z00_3599;
																	obj_t BgL_l1279z00_3598;

																	BgL_l1279z00_3598 = BgL_arg1959z00_1441;
																	BgL_tail1282z00_3599 =
																		BgL_newtail1283z00_1440;
																	BgL_tail1282z00_1437 = BgL_tail1282z00_3599;
																	BgL_l1279z00_1436 = BgL_l1279z00_3598;
																	goto BgL_zc3z04anonymousza31957ze3z87_1438;
																}
															}
														}
												}
											}
										}
										{	/* Module/impuse.scm 512 */
											obj_t BgL_list1955z00_1430;

											BgL_list1955z00_1430 = MAKE_YOUNG_PAIR(BNIL, BNIL);
											BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_arg1952z00_1427, BgL_arg1953z00_1428,
												BGl_string2160z00zzmodule_impusez00,
												BgL_arg1954z00_1429, BgL_list1955z00_1430);
										}
									}
									{	/* Module/impuse.scm 517 */
										int BgL_tmpz00_3602;

										BgL_tmpz00_3602 = (int) (((long) 4));
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3602);
									}
									{	/* Module/impuse.scm 517 */
										int BgL_tmpz00_3605;

										BgL_tmpz00_3605 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3605, BNIL);
									}
									{	/* Module/impuse.scm 517 */
										int BgL_tmpz00_3608;

										BgL_tmpz00_3608 = (int) (((long) 2));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3608, BNIL);
									}
									{	/* Module/impuse.scm 517 */
										int BgL_tmpz00_3611;

										BgL_tmpz00_3611 = (int) (((long) 3));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3611, BNIL);
									}
									return BNIL;
								}
							else
								{	/* Module/impuse.scm 519 */
									obj_t BgL_protoz00_1451;

									{	/* Module/impuse.scm 519 */
										obj_t BgL_arg2008z00_1513;

										BgL_arg2008z00_1513 = CAR(((obj_t) BgL_providedz00_1414));
										BgL_protoz00_1451 =
											BGl_parsezd2prototypezd2zzmodule_prototypez00
											(BgL_arg2008z00_1513);
									}
									if (PAIRP(BgL_protoz00_1451))
										{	/* Module/impuse.scm 521 */
											obj_t BgL_idz00_1453;

											{	/* Module/impuse.scm 522 */
												obj_t BgL_arg2004z00_1509;
												obj_t BgL_arg2005z00_1510;

												BgL_arg2004z00_1509 = CAR(CDR(BgL_protoz00_1451));
												{	/* Module/impuse.scm 522 */
													obj_t BgL_arg2006z00_1511;

													BgL_arg2006z00_1511 =
														CAR(((obj_t) BgL_providedz00_1414));
													BgL_arg2005z00_1510 =
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_arg2006z00_1511);
												}
												BgL_idz00_1453 =
													BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
													(BgL_arg2004z00_1509, BgL_arg2005z00_1510);
											}
											{
												obj_t BgL_inlinez00_1455;
												obj_t BgL_macroz00_1456;
												obj_t BgL_syntaxz00_1457;
												obj_t BgL_expanderz00_1458;
												obj_t BgL_wantedz00_1459;

												BgL_inlinez00_1455 = BgL_inlinez00_1415;
												BgL_macroz00_1456 = BgL_macroz00_1416;
												BgL_syntaxz00_1457 = BgL_syntaxz00_1417;
												BgL_expanderz00_1458 = BgL_expanderz00_1418;
												BgL_wantedz00_1459 = BgL_wantedz00_1419;
											BgL_zc3z04anonymousza31966ze3z87_1460:
												{	/* Module/impuse.scm 528 */
													obj_t BgL_cz00_1461;

													BgL_cz00_1461 =
														BGl_assqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_idz00_1453, BgL_wantedz00_1459);
													if (CBOOL(BgL_cz00_1461))
														{	/* Module/impuse.scm 533 */
															obj_t BgL_pz00_1462;

															{	/* Module/impuse.scm 533 */
																obj_t BgL_arg1997z00_1502;
																obj_t BgL_arg1999z00_1503;
																obj_t BgL_arg2000z00_1504;
																obj_t BgL_arg2001z00_1505;

																BgL_arg1997z00_1502 =
																	(((BgL_importz00_bglt) COBJECT(
																			((BgL_importz00_bglt)
																				BgL_importz00_98)))->BgL_modulez00);
																BgL_arg1999z00_1503 =
																	CAR(((obj_t) BgL_providedz00_1414));
																BgL_arg2000z00_1504 =
																	CDR(((obj_t) BgL_cz00_1461));
																BgL_arg2001z00_1505 =
																	(((BgL_importz00_bglt)
																		COBJECT(((BgL_importz00_bglt)
																				BgL_importz00_98)))->BgL_srcz00);
																{	/* Module/impuse.scm 533 */
																	obj_t BgL_list2002z00_1506;

																	BgL_list2002z00_1506 =
																		MAKE_YOUNG_PAIR(BgL_arg2001z00_1505, BNIL);
																	BgL_pz00_1462 =
																		BGl_importzd2parserzd2zzmodule_impusez00
																		(BgL_arg1997z00_1502, BgL_arg1999z00_1503,
																		BgL_arg2000z00_1504, BgL_list2002z00_1506);
																}
															}
															{
																obj_t BgL_expz00_1469;
																obj_t BgL_synz00_1467;
																obj_t BgL_macz00_1465;

																{	/* Module/impuse.scm 534 */
																	bool_t BgL_test2367z00_3638;

																	{	/* Module/impuse.scm 534 */
																		obj_t BgL_classz00_2190;

																		BgL_classz00_2190 =
																			BGl_globalz00zzast_varz00;
																		if (BGL_OBJECTP(BgL_pz00_1462))
																			{	/* Module/impuse.scm 534 */
																				BgL_objectz00_bglt BgL_arg1825z00_2192;

																				BgL_arg1825z00_2192 =
																					(BgL_objectz00_bglt) (BgL_pz00_1462);
																				{	/* Module/impuse.scm 534 */
																					bool_t BgL_arg1822z00_2195;
																					bool_t BgL_arg1823z00_2196;

																					{	/* Module/impuse.scm 534 */
																						long BgL_idxz00_2199;

																						BgL_idxz00_2199 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1825z00_2192);
																						BgL_arg1822z00_2195 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_2199 +
																									((long) 2))) ==
																							BgL_classz00_2190);
																					}
																					{	/* Module/impuse.scm 534 */
																						bool_t BgL_res2134z00_2221;

																						{	/* Module/impuse.scm 534 */
																							obj_t BgL_oclassz00_2207;

																							{	/* Module/impuse.scm 534 */
																								long BgL_arg1833z00_2213;

																								{	/* Module/impuse.scm 534 */
																									long BgL_arg1834z00_2214;

																									BgL_arg1834z00_2214 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1825z00_2192);
																									BgL_arg1833z00_2213 =
																										(BgL_arg1834z00_2214 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_2207 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1833z00_2213);
																							}
																							{	/* Module/impuse.scm 534 */
																								bool_t BgL__ortest_1110z00_2208;

																								BgL__ortest_1110z00_2208 =
																									(BgL_classz00_2190 ==
																									BgL_oclassz00_2207);
																								if (BgL__ortest_1110z00_2208)
																									{	/* Module/impuse.scm 534 */
																										BgL_res2134z00_2221 =
																											BgL__ortest_1110z00_2208;
																									}
																								else
																									{	/* Module/impuse.scm 534 */
																										long BgL_odepthz00_2209;

																										BgL_odepthz00_2209 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_2207);
																										if ((((long) 2) <
																												BgL_odepthz00_2209))
																											{	/* Module/impuse.scm 534 */
																												obj_t
																													BgL_arg1821z00_2211;
																												BgL_arg1821z00_2211 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_2207,
																													((long) 2));
																												BgL_res2134z00_2221 =
																													(BgL_arg1821z00_2211
																													== BgL_classz00_2190);
																											}
																										else
																											{	/* Module/impuse.scm 534 */
																												BgL_res2134z00_2221 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_arg1823z00_2196 =
																							BgL_res2134z00_2221;
																					}
																					BgL_test2367z00_3638 =
																						BGL_ISA_C_BACKEND
																						(BgL_arg1822z00_2195,
																						BgL_arg1823z00_2196);
																				}
																			}
																		else
																			{	/* Module/impuse.scm 534 */
																				BgL_test2367z00_3638 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2367z00_3638)
																		{	/* Module/impuse.scm 534 */
																			{	/* Module/impuse.scm 538 */
																				obj_t BgL_arg1982z00_1488;
																				obj_t BgL_arg1983z00_1489;

																				if (
																					(CAR(
																							((obj_t) BgL_protoz00_1451)) ==
																						CNST_TABLE_REF(((long) 19))))
																					{	/* Module/impuse.scm 539 */
																						obj_t BgL_arg1986z00_1492;

																						BgL_arg1986z00_1492 =
																							MAKE_YOUNG_PAIR(BgL_idz00_1453,
																							CNST_TABLE_REF(((long) 19)));
																						BgL_arg1982z00_1488 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1986z00_1492,
																							BgL_inlinez00_1455);
																					}
																				else
																					{	/* Module/impuse.scm 538 */
																						BgL_arg1982z00_1488 =
																							BgL_inlinez00_1455;
																					}
																				BgL_arg1983z00_1489 =
																					bgl_remq_bang(BgL_cz00_1461,
																					BgL_wantedz00_1459);
																				{
																					obj_t BgL_wantedz00_3667;
																					obj_t BgL_inlinez00_3666;

																					BgL_inlinez00_3666 =
																						BgL_arg1982z00_1488;
																					BgL_wantedz00_3667 =
																						BgL_arg1983z00_1489;
																					BgL_wantedz00_1459 =
																						BgL_wantedz00_3667;
																					BgL_inlinez00_1455 =
																						BgL_inlinez00_3666;
																					goto
																						BgL_zc3z04anonymousza31966ze3z87_1460;
																				}
																			}
																		}
																	else
																		{	/* Module/impuse.scm 534 */
																			bool_t BgL_test2372z00_3668;

																			{	/* Module/impuse.scm 534 */
																				obj_t BgL_classz00_2222;

																				BgL_classz00_2222 =
																					BGl_typez00zztype_typez00;
																				if (BGL_OBJECTP(BgL_pz00_1462))
																					{	/* Module/impuse.scm 534 */
																						BgL_objectz00_bglt
																							BgL_arg1825z00_2224;
																						BgL_arg1825z00_2224 =
																							(BgL_objectz00_bglt)
																							(BgL_pz00_1462);
																						{	/* Module/impuse.scm 534 */
																							bool_t BgL_arg1822z00_2227;
																							bool_t BgL_arg1823z00_2228;

																							{	/* Module/impuse.scm 534 */
																								long BgL_idxz00_2231;

																								BgL_idxz00_2231 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1825z00_2224);
																								BgL_arg1822z00_2227 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_2231 +
																											((long) 1))) ==
																									BgL_classz00_2222);
																							}
																							{	/* Module/impuse.scm 534 */
																								bool_t BgL_res2135z00_2253;

																								{	/* Module/impuse.scm 534 */
																									obj_t BgL_oclassz00_2239;

																									{	/* Module/impuse.scm 534 */
																										long BgL_arg1833z00_2245;

																										{	/* Module/impuse.scm 534 */
																											long BgL_arg1834z00_2246;

																											BgL_arg1834z00_2246 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1825z00_2224);
																											BgL_arg1833z00_2245 =
																												(BgL_arg1834z00_2246 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_2239 =
																											VECTOR_REF
																											(BGl_za2classesza2z00zz__objectz00,
																											BgL_arg1833z00_2245);
																									}
																									{	/* Module/impuse.scm 534 */
																										bool_t
																											BgL__ortest_1110z00_2240;
																										BgL__ortest_1110z00_2240 =
																											(BgL_classz00_2222 ==
																											BgL_oclassz00_2239);
																										if (BgL__ortest_1110z00_2240)
																											{	/* Module/impuse.scm 534 */
																												BgL_res2135z00_2253 =
																													BgL__ortest_1110z00_2240;
																											}
																										else
																											{	/* Module/impuse.scm 534 */
																												long BgL_odepthz00_2241;

																												BgL_odepthz00_2241 =
																													BGL_CLASS_DEPTH
																													(BgL_oclassz00_2239);
																												if ((((long) 1) <
																														BgL_odepthz00_2241))
																													{	/* Module/impuse.scm 534 */
																														obj_t
																															BgL_arg1821z00_2243;
																														BgL_arg1821z00_2243
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_oclassz00_2239,
																															((long) 1));
																														BgL_res2135z00_2253
																															=
																															(BgL_arg1821z00_2243
																															==
																															BgL_classz00_2222);
																													}
																												else
																													{	/* Module/impuse.scm 534 */
																														BgL_res2135z00_2253
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_arg1823z00_2228 =
																									BgL_res2135z00_2253;
																							}
																							BgL_test2372z00_3668 =
																								BGL_ISA_C_BACKEND
																								(BgL_arg1822z00_2227,
																								BgL_arg1823z00_2228);
																						}
																					}
																				else
																					{	/* Module/impuse.scm 534 */
																						BgL_test2372z00_3668 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test2372z00_3668)
																				{	/* Module/impuse.scm 534 */
																					{
																						obj_t BgL_wantedz00_3687;

																						BgL_wantedz00_3687 =
																							bgl_remq_bang(BgL_cz00_1461,
																							BgL_wantedz00_1459);
																						BgL_wantedz00_1459 =
																							BgL_wantedz00_3687;
																						goto
																							BgL_zc3z04anonymousza31966ze3z87_1460;
																					}
																				}
																			else
																				{	/* Module/impuse.scm 534 */
																					if (PAIRP(BgL_pz00_1462))
																						{	/* Module/impuse.scm 534 */
																							if (
																								(CAR(BgL_pz00_1462) ==
																									CNST_TABLE_REF(((long) 27))))
																								{	/* Module/impuse.scm 534 */
																									BgL_macz00_1465 =
																										CDR(BgL_pz00_1462);
																									{	/* Module/impuse.scm 549 */
																										obj_t BgL_arg1989z00_1495;
																										obj_t BgL_arg1990z00_1496;

																										BgL_arg1989z00_1495 =
																											MAKE_YOUNG_PAIR
																											(BgL_macz00_1465,
																											BgL_macroz00_1456);
																										BgL_arg1990z00_1496 =
																											bgl_remq_bang
																											(BgL_cz00_1461,
																											BgL_wantedz00_1459);
																										{
																											obj_t BgL_wantedz00_3698;
																											obj_t BgL_macroz00_3697;

																											BgL_macroz00_3697 =
																												BgL_arg1989z00_1495;
																											BgL_wantedz00_3698 =
																												BgL_arg1990z00_1496;
																											BgL_wantedz00_1459 =
																												BgL_wantedz00_3698;
																											BgL_macroz00_1456 =
																												BgL_macroz00_3697;
																											goto
																												BgL_zc3z04anonymousza31966ze3z87_1460;
																										}
																									}
																								}
																							else
																								{	/* Module/impuse.scm 534 */
																									if (
																										(CAR(BgL_pz00_1462) ==
																											CNST_TABLE_REF(((long)
																													28))))
																										{	/* Module/impuse.scm 534 */
																											BgL_synz00_1467 =
																												CDR(BgL_pz00_1462);
																											{	/* Module/impuse.scm 553 */
																												obj_t
																													BgL_arg1991z00_1497;
																												obj_t
																													BgL_arg1992z00_1498;
																												BgL_arg1991z00_1497 =
																													MAKE_YOUNG_PAIR
																													(BgL_synz00_1467,
																													BgL_syntaxz00_1457);
																												BgL_arg1992z00_1498 =
																													bgl_remq_bang
																													(BgL_cz00_1461,
																													BgL_wantedz00_1459);
																												{
																													obj_t
																														BgL_wantedz00_3707;
																													obj_t
																														BgL_syntaxz00_3706;
																													BgL_syntaxz00_3706 =
																														BgL_arg1991z00_1497;
																													BgL_wantedz00_3707 =
																														BgL_arg1992z00_1498;
																													BgL_wantedz00_1459 =
																														BgL_wantedz00_3707;
																													BgL_syntaxz00_1457 =
																														BgL_syntaxz00_3706;
																													goto
																														BgL_zc3z04anonymousza31966ze3z87_1460;
																												}
																											}
																										}
																									else
																										{	/* Module/impuse.scm 534 */
																											if (
																												(CAR(BgL_pz00_1462) ==
																													CNST_TABLE_REF(((long)
																															29))))
																												{	/* Module/impuse.scm 534 */
																													BgL_expz00_1469 =
																														CDR(BgL_pz00_1462);
																													{	/* Module/impuse.scm 558 */
																														obj_t
																															BgL_arg1994z00_1499;
																														obj_t
																															BgL_arg1995z00_1500;
																														BgL_arg1994z00_1499
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_expz00_1469,
																															BgL_expanderz00_1458);
																														BgL_arg1995z00_1500
																															=
																															bgl_remq_bang
																															(BgL_cz00_1461,
																															BgL_wantedz00_1459);
																														{
																															obj_t
																																BgL_wantedz00_3716;
																															obj_t
																																BgL_expanderz00_3715;
																															BgL_expanderz00_3715
																																=
																																BgL_arg1994z00_1499;
																															BgL_wantedz00_3716
																																=
																																BgL_arg1995z00_1500;
																															BgL_wantedz00_1459
																																=
																																BgL_wantedz00_3716;
																															BgL_expanderz00_1458
																																=
																																BgL_expanderz00_3715;
																															goto
																																BgL_zc3z04anonymousza31966ze3z87_1460;
																														}
																													}
																												}
																											else
																												{	/* Module/impuse.scm 534 */
																												BgL_tagzd2411zd2_1471:
																													{
																														obj_t
																															BgL_wantedz00_3718;
																														BgL_wantedz00_3718 =
																															bgl_remq_bang
																															(BgL_cz00_1461,
																															BgL_wantedz00_1459);
																														BgL_wantedz00_1459 =
																															BgL_wantedz00_3718;
																														goto
																															BgL_zc3z04anonymousza31966ze3z87_1460;
																													}
																												}
																										}
																								}
																						}
																					else
																						{	/* Module/impuse.scm 534 */
																							goto BgL_tagzd2411zd2_1471;
																						}
																				}
																		}
																}
															}
														}
													else
														{	/* Module/impuse.scm 530 */
															obj_t BgL_arg2003z00_1507;

															BgL_arg2003z00_1507 =
																CDR(((obj_t) BgL_providedz00_1414));
															{
																obj_t BgL_wantedz00_3727;
																obj_t BgL_expanderz00_3726;
																obj_t BgL_syntaxz00_3725;
																obj_t BgL_macroz00_3724;
																obj_t BgL_inlinez00_3723;
																obj_t BgL_providedz00_3722;

																BgL_providedz00_3722 = BgL_arg2003z00_1507;
																BgL_inlinez00_3723 = BgL_inlinez00_1455;
																BgL_macroz00_3724 = BgL_macroz00_1456;
																BgL_syntaxz00_3725 = BgL_syntaxz00_1457;
																BgL_expanderz00_3726 = BgL_expanderz00_1458;
																BgL_wantedz00_3727 = BgL_wantedz00_1459;
																BgL_wantedz00_1419 = BgL_wantedz00_3727;
																BgL_expanderz00_1418 = BgL_expanderz00_3726;
																BgL_syntaxz00_1417 = BgL_syntaxz00_3725;
																BgL_macroz00_1416 = BgL_macroz00_3724;
																BgL_inlinez00_1415 = BgL_inlinez00_3723;
																BgL_providedz00_1414 = BgL_providedz00_3722;
																goto BgL_zc3z04anonymousza31949ze3z87_1420;
															}
														}
												}
											}
										}
									else
										{	/* Module/impuse.scm 563 */
											obj_t BgL_arg2007z00_1512;

											BgL_arg2007z00_1512 = CDR(((obj_t) BgL_providedz00_1414));
											{
												obj_t BgL_providedz00_3730;

												BgL_providedz00_3730 = BgL_arg2007z00_1512;
												BgL_providedz00_1414 = BgL_providedz00_3730;
												goto BgL_zc3z04anonymousza31949ze3z87_1420;
											}
										}
								}
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_impusez00()
	{
		{	/* Module/impuse.scm 15 */
			{	/* Module/impuse.scm 44 */
				obj_t BgL_arg2012z00_1518;
				obj_t BgL_arg2013z00_1519;

				{	/* Module/impuse.scm 44 */
					obj_t BgL_v1289z00_1541;

					BgL_v1289z00_1541 = create_vector(((long) 12));
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2019z00_1542;

						BgL_arg2019z00_1542 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									9)), BGl_proc2162z00zzmodule_impusez00,
							BGl_proc2161z00zzmodule_impusez00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 30)));
						VECTOR_SET(BgL_v1289z00_1541, ((long) 0), BgL_arg2019z00_1542);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2025z00_1552;

						BgL_arg2025z00_1552 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									31)), BGl_proc2165z00zzmodule_impusez00,
							BGl_proc2164z00zzmodule_impusez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2163z00zzmodule_impusez00,
							CNST_TABLE_REF(((long) 32)));
						VECTOR_SET(BgL_v1289z00_1541, ((long) 1), BgL_arg2025z00_1552);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2034z00_1565;

						BgL_arg2034z00_1565 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									33)), BGl_proc2168z00zzmodule_impusez00,
							BGl_proc2167z00zzmodule_impusez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2166z00zzmodule_impusez00,
							CNST_TABLE_REF(((long) 30)));
						VECTOR_SET(BgL_v1289z00_1541, ((long) 2), BgL_arg2034z00_1565);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2041z00_1578;

						BgL_arg2041z00_1578 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									34)), BGl_proc2171z00zzmodule_impusez00,
							BGl_proc2170z00zzmodule_impusez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2169z00zzmodule_impusez00,
							CNST_TABLE_REF(((long) 35)));
						VECTOR_SET(BgL_v1289z00_1541, ((long) 3), BgL_arg2041z00_1578);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2049z00_1591;

						BgL_arg2049z00_1591 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc2174z00zzmodule_impusez00,
							BGl_proc2173z00zzmodule_impusez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2172z00zzmodule_impusez00,
							CNST_TABLE_REF(((long) 35)));
						VECTOR_SET(BgL_v1289z00_1541, ((long) 4), BgL_arg2049z00_1591);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2056z00_1604;

						BgL_arg2056z00_1604 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									37)), BGl_proc2177z00zzmodule_impusez00,
							BGl_proc2176z00zzmodule_impusez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2175z00zzmodule_impusez00,
							CNST_TABLE_REF(((long) 35)));
						VECTOR_SET(BgL_v1289z00_1541, ((long) 5), BgL_arg2056z00_1604);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2064z00_1617;

						BgL_arg2064z00_1617 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									38)), BGl_proc2179z00zzmodule_impusez00,
							BGl_proc2178z00zzmodule_impusez00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 35)));
						VECTOR_SET(BgL_v1289z00_1541, ((long) 6), BgL_arg2064z00_1617);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2069z00_1627;

						BgL_arg2069z00_1627 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									39)), BGl_proc2181z00zzmodule_impusez00,
							BGl_proc2180z00zzmodule_impusez00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 35)));
						VECTOR_SET(BgL_v1289z00_1541, ((long) 7), BgL_arg2069z00_1627);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2075z00_1637;

						BgL_arg2075z00_1637 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									40)), BGl_proc2184z00zzmodule_impusez00,
							BGl_proc2183z00zzmodule_impusez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2182z00zzmodule_impusez00,
							CNST_TABLE_REF(((long) 35)));
						VECTOR_SET(BgL_v1289z00_1541, ((long) 8), BgL_arg2075z00_1637);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2082z00_1650;

						BgL_arg2082z00_1650 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									41)), BGl_proc2187z00zzmodule_impusez00,
							BGl_proc2186z00zzmodule_impusez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2185z00zzmodule_impusez00,
							CNST_TABLE_REF(((long) 42)));
						VECTOR_SET(BgL_v1289z00_1541, ((long) 9), BgL_arg2082z00_1650);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2089z00_1663;

						BgL_arg2089z00_1663 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									43)), BGl_proc2190z00zzmodule_impusez00,
							BGl_proc2189z00zzmodule_impusez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2188z00zzmodule_impusez00,
							CNST_TABLE_REF(((long) 35)));
						VECTOR_SET(BgL_v1289z00_1541, ((long) 10), BgL_arg2089z00_1663);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2096z00_1676;

						BgL_arg2096z00_1676 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									44)), BGl_proc2193z00zzmodule_impusez00,
							BGl_proc2192z00zzmodule_impusez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2191z00zzmodule_impusez00,
							CNST_TABLE_REF(((long) 35)));
						VECTOR_SET(BgL_v1289z00_1541, ((long) 11), BgL_arg2096z00_1676);
					}
					BgL_arg2012z00_1518 = BgL_v1289z00_1541;
				}
				{	/* Module/impuse.scm 44 */
					obj_t BgL_v1290z00_1689;

					BgL_v1290z00_1689 = create_vector(((long) 0));
					BgL_arg2013z00_1519 = BgL_v1290z00_1689;
				}
				return (BGl_importz00zzmodule_impusez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 0)),
						CNST_TABLE_REF(((long) 45)), BGl_objectz00zz__objectz00,
						((long) 34362), BGl_proc2196z00zzmodule_impusez00,
						BGl_proc2195z00zzmodule_impusez00, BFALSE,
						BGl_proc2194z00zzmodule_impusez00, BFALSE, BgL_arg2012z00_1518,
						BgL_arg2013z00_1519), BUNSPEC);
		}}

	}



/* &<@anonymous:2018> */
	obj_t BGl_z62zc3z04anonymousza32018ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2462, obj_t BgL_new1078z00_2463)
	{
		{	/* Module/impuse.scm 44 */
			{
				BgL_importz00_bglt BgL_auxz00_3784;

				((((BgL_importz00_bglt) COBJECT(
								((BgL_importz00_bglt) BgL_new1078z00_2463)))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 46))), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1078z00_2463)))->BgL_numberz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1078z00_2463)))->BgL_modez00) =
					((obj_t) CNST_TABLE_REF(((long) 46))), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1078z00_2463)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1078z00_2463)))->BgL_aliasesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1078z00_2463)))->BgL_checksumz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1078z00_2463)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1078z00_2463)))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1078z00_2463)))->BgL_declz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1078z00_2463)))->BgL_providez00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1078z00_2463)))->BgL_codez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1078z00_2463)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_3784 = ((BgL_importz00_bglt) BgL_new1078z00_2463);
				return ((obj_t) BgL_auxz00_3784);
			}
		}

	}



/* &lambda2016 */
	BgL_importz00_bglt BGl_z62lambda2016z62zzmodule_impusez00(obj_t
		BgL_envz00_2464)
	{
		{	/* Module/impuse.scm 44 */
			{	/* Module/impuse.scm 44 */
				BgL_importz00_bglt BgL_new1077z00_2569;

				BgL_new1077z00_2569 =
					((BgL_importz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_importz00_bgl))));
				{	/* Module/impuse.scm 44 */
					long BgL_arg2017z00_2570;

					BgL_arg2017z00_2570 = BGL_CLASS_NUM(BGl_importz00zzmodule_impusez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1077z00_2569), BgL_arg2017z00_2570);
				}
				return BgL_new1077z00_2569;
			}
		}

	}



/* &lambda2014 */
	BgL_importz00_bglt BGl_z62lambda2014z62zzmodule_impusez00(obj_t
		BgL_envz00_2465, obj_t BgL_module1065z00_2466, obj_t BgL_number1066z00_2467,
		obj_t BgL_mode1067z00_2468, obj_t BgL_vars1068z00_2469,
		obj_t BgL_aliases1069z00_2470, obj_t BgL_checksum1070z00_2471,
		obj_t BgL_loc1071z00_2472, obj_t BgL_src1072z00_2473,
		obj_t BgL_decl1073z00_2474, obj_t BgL_provide1074z00_2475,
		obj_t BgL_code1075z00_2476, obj_t BgL_access1076z00_2477)
	{
		{	/* Module/impuse.scm 44 */
			{	/* Module/impuse.scm 44 */
				long BgL_number1066z00_2572;

				BgL_number1066z00_2572 = (long) CINT(BgL_number1066z00_2467);
				{	/* Module/impuse.scm 44 */
					BgL_importz00_bglt BgL_new1130z00_2575;

					{	/* Module/impuse.scm 44 */
						BgL_importz00_bglt BgL_new1129z00_2576;

						BgL_new1129z00_2576 =
							((BgL_importz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_importz00_bgl))));
						{	/* Module/impuse.scm 44 */
							long BgL_arg2015z00_2577;

							BgL_arg2015z00_2577 =
								BGL_CLASS_NUM(BGl_importz00zzmodule_impusez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1129z00_2576),
								BgL_arg2015z00_2577);
						}
						BgL_new1130z00_2575 = BgL_new1129z00_2576;
					}
					((((BgL_importz00_bglt) COBJECT(BgL_new1130z00_2575))->
							BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1065z00_2466)), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1130z00_2575))->
							BgL_numberz00) = ((long) BgL_number1066z00_2572), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1130z00_2575))->BgL_modez00) =
						((obj_t) ((obj_t) BgL_mode1067z00_2468)), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1130z00_2575))->BgL_varsz00) =
						((obj_t) BgL_vars1068z00_2469), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1130z00_2575))->
							BgL_aliasesz00) = ((obj_t) BgL_aliases1069z00_2470), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1130z00_2575))->
							BgL_checksumz00) = ((obj_t) BgL_checksum1070z00_2471), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1130z00_2575))->BgL_locz00) =
						((obj_t) BgL_loc1071z00_2472), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1130z00_2575))->BgL_srcz00) =
						((obj_t) BgL_src1072z00_2473), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1130z00_2575))->BgL_declz00) =
						((obj_t) BgL_decl1073z00_2474), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1130z00_2575))->
							BgL_providez00) =
						((obj_t) ((obj_t) BgL_provide1074z00_2475)), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1130z00_2575))->BgL_codez00) =
						((obj_t) BgL_code1075z00_2476), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1130z00_2575))->
							BgL_accessz00) = ((obj_t) BgL_access1076z00_2477), BUNSPEC);
					return BgL_new1130z00_2575;
				}
			}
		}

	}



/* &<@anonymous:2104> */
	obj_t BGl_z62zc3z04anonymousza32104ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2478)
	{
		{	/* Module/impuse.scm 44 */
			return BNIL;
		}

	}



/* &lambda2103 */
	obj_t BGl_z62lambda2103z62zzmodule_impusez00(obj_t BgL_envz00_2479,
		obj_t BgL_oz00_2480, obj_t BgL_vz00_2481)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2480)))->BgL_accessz00) =
				((obj_t) BgL_vz00_2481), BUNSPEC);
		}

	}



/* &lambda2102 */
	obj_t BGl_z62lambda2102z62zzmodule_impusez00(obj_t BgL_envz00_2482,
		obj_t BgL_oz00_2483)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2483)))->BgL_accessz00);
		}

	}



/* &<@anonymous:2095> */
	obj_t BGl_z62zc3z04anonymousza32095ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2484)
	{
		{	/* Module/impuse.scm 44 */
			return BUNSPEC;
		}

	}



/* &lambda2094 */
	obj_t BGl_z62lambda2094z62zzmodule_impusez00(obj_t BgL_envz00_2485,
		obj_t BgL_oz00_2486, obj_t BgL_vz00_2487)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2486)))->BgL_codez00) =
				((obj_t) BgL_vz00_2487), BUNSPEC);
		}

	}



/* &lambda2093 */
	obj_t BGl_z62lambda2093z62zzmodule_impusez00(obj_t BgL_envz00_2488,
		obj_t BgL_oz00_2489)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2489)))->BgL_codez00);
		}

	}



/* &<@anonymous:2088> */
	obj_t BGl_z62zc3z04anonymousza32088ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2490)
	{
		{	/* Module/impuse.scm 44 */
			return BNIL;
		}

	}



/* &lambda2087 */
	obj_t BGl_z62lambda2087z62zzmodule_impusez00(obj_t BgL_envz00_2491,
		obj_t BgL_oz00_2492, obj_t BgL_vz00_2493)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2492)))->BgL_providez00) = ((obj_t)
					((obj_t) BgL_vz00_2493)), BUNSPEC);
		}

	}



/* &lambda2086 */
	obj_t BGl_z62lambda2086z62zzmodule_impusez00(obj_t BgL_envz00_2494,
		obj_t BgL_oz00_2495)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2495)))->BgL_providez00);
		}

	}



/* &<@anonymous:2081> */
	obj_t BGl_z62zc3z04anonymousza32081ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2496)
	{
		{	/* Module/impuse.scm 44 */
			return BUNSPEC;
		}

	}



/* &lambda2080 */
	obj_t BGl_z62lambda2080z62zzmodule_impusez00(obj_t BgL_envz00_2497,
		obj_t BgL_oz00_2498, obj_t BgL_vz00_2499)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2498)))->BgL_declz00) =
				((obj_t) BgL_vz00_2499), BUNSPEC);
		}

	}



/* &lambda2079 */
	obj_t BGl_z62lambda2079z62zzmodule_impusez00(obj_t BgL_envz00_2500,
		obj_t BgL_oz00_2501)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2501)))->BgL_declz00);
		}

	}



/* &lambda2074 */
	obj_t BGl_z62lambda2074z62zzmodule_impusez00(obj_t BgL_envz00_2502,
		obj_t BgL_oz00_2503, obj_t BgL_vz00_2504)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2503)))->BgL_srcz00) =
				((obj_t) BgL_vz00_2504), BUNSPEC);
		}

	}



/* &lambda2073 */
	obj_t BGl_z62lambda2073z62zzmodule_impusez00(obj_t BgL_envz00_2505,
		obj_t BgL_oz00_2506)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2506)))->BgL_srcz00);
		}

	}



/* &lambda2068 */
	obj_t BGl_z62lambda2068z62zzmodule_impusez00(obj_t BgL_envz00_2507,
		obj_t BgL_oz00_2508, obj_t BgL_vz00_2509)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2508)))->BgL_locz00) =
				((obj_t) BgL_vz00_2509), BUNSPEC);
		}

	}



/* &lambda2067 */
	obj_t BGl_z62lambda2067z62zzmodule_impusez00(obj_t BgL_envz00_2510,
		obj_t BgL_oz00_2511)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2511)))->BgL_locz00);
		}

	}



/* &<@anonymous:2063> */
	obj_t BGl_z62zc3z04anonymousza32063ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2512)
	{
		{	/* Module/impuse.scm 44 */
			return BUNSPEC;
		}

	}



/* &lambda2062 */
	obj_t BGl_z62lambda2062z62zzmodule_impusez00(obj_t BgL_envz00_2513,
		obj_t BgL_oz00_2514, obj_t BgL_vz00_2515)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2514)))->BgL_checksumz00) =
				((obj_t) BgL_vz00_2515), BUNSPEC);
		}

	}



/* &lambda2061 */
	obj_t BGl_z62lambda2061z62zzmodule_impusez00(obj_t BgL_envz00_2516,
		obj_t BgL_oz00_2517)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2517)))->BgL_checksumz00);
		}

	}



/* &<@anonymous:2055> */
	obj_t BGl_z62zc3z04anonymousza32055ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2518)
	{
		{	/* Module/impuse.scm 44 */
			return BNIL;
		}

	}



/* &lambda2054 */
	obj_t BGl_z62lambda2054z62zzmodule_impusez00(obj_t BgL_envz00_2519,
		obj_t BgL_oz00_2520, obj_t BgL_vz00_2521)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2520)))->BgL_aliasesz00) =
				((obj_t) BgL_vz00_2521), BUNSPEC);
		}

	}



/* &lambda2053 */
	obj_t BGl_z62lambda2053z62zzmodule_impusez00(obj_t BgL_envz00_2522,
		obj_t BgL_oz00_2523)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2523)))->BgL_aliasesz00);
		}

	}



/* &<@anonymous:2047> */
	obj_t BGl_z62zc3z04anonymousza32047ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2524)
	{
		{	/* Module/impuse.scm 44 */
			return BNIL;
		}

	}



/* &lambda2046 */
	obj_t BGl_z62lambda2046z62zzmodule_impusez00(obj_t BgL_envz00_2525,
		obj_t BgL_oz00_2526, obj_t BgL_vz00_2527)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2526)))->BgL_varsz00) =
				((obj_t) BgL_vz00_2527), BUNSPEC);
		}

	}



/* &lambda2045 */
	obj_t BGl_z62lambda2045z62zzmodule_impusez00(obj_t BgL_envz00_2528,
		obj_t BgL_oz00_2529)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2529)))->BgL_varsz00);
		}

	}



/* &<@anonymous:2040> */
	obj_t BGl_z62zc3z04anonymousza32040ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2530)
	{
		{	/* Module/impuse.scm 44 */
			return CNST_TABLE_REF(((long) 0));
		}

	}



/* &lambda2039 */
	obj_t BGl_z62lambda2039z62zzmodule_impusez00(obj_t BgL_envz00_2531,
		obj_t BgL_oz00_2532, obj_t BgL_vz00_2533)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2532)))->BgL_modez00) = ((obj_t)
					((obj_t) BgL_vz00_2533)), BUNSPEC);
		}

	}



/* &lambda2038 */
	obj_t BGl_z62lambda2038z62zzmodule_impusez00(obj_t BgL_envz00_2534,
		obj_t BgL_oz00_2535)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2535)))->BgL_modez00);
		}

	}



/* &<@anonymous:2033> */
	obj_t BGl_z62zc3z04anonymousza32033ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2536)
	{
		{	/* Module/impuse.scm 44 */
			return BINT(((long) -1));
		}

	}



/* &lambda2032 */
	obj_t BGl_z62lambda2032z62zzmodule_impusez00(obj_t BgL_envz00_2537,
		obj_t BgL_oz00_2538, obj_t BgL_vz00_2539)
	{
		{	/* Module/impuse.scm 44 */
			{	/* Module/impuse.scm 44 */
				long BgL_vz00_2601;

				BgL_vz00_2601 = (long) CINT(BgL_vz00_2539);
				return
					((((BgL_importz00_bglt) COBJECT(
								((BgL_importz00_bglt) BgL_oz00_2538)))->BgL_numberz00) =
					((long) BgL_vz00_2601), BUNSPEC);
		}}

	}



/* &lambda2031 */
	obj_t BGl_z62lambda2031z62zzmodule_impusez00(obj_t BgL_envz00_2540,
		obj_t BgL_oz00_2541)
	{
		{	/* Module/impuse.scm 44 */
			return
				BINT(
				(((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2541)))->BgL_numberz00));
		}

	}



/* &lambda2024 */
	obj_t BGl_z62lambda2024z62zzmodule_impusez00(obj_t BgL_envz00_2542,
		obj_t BgL_oz00_2543, obj_t BgL_vz00_2544)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2543)))->BgL_modulez00) = ((obj_t)
					((obj_t) BgL_vz00_2544)), BUNSPEC);
		}

	}



/* &lambda2023 */
	obj_t BGl_z62lambda2023z62zzmodule_impusez00(obj_t BgL_envz00_2545,
		obj_t BgL_oz00_2546)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2546)))->BgL_modulez00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_impusez00()
	{
		{	/* Module/impuse.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_impusez00()
	{
		{	/* Module/impuse.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_impusez00()
	{
		{	/* Module/impuse.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzread_readerz00(((long) 95801752),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzmodule_prototypez00(((long) 499400840),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzmodule_classz00(((long) 153808441),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 184800657),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzmodule_checksumz00(((long) 457474182),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzread_accessz00(((long) 11403588),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzread_inlinez00(((long) 500058826),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(((long) 502577483),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long) 374700232),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 288050968),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
			return
				BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 359337187),
				BSTRING_TO_STRING(BGl_string2197z00zzmodule_impusez00));
		}

	}

#ifdef __cplusplus
}
#endif
