/*===========================================================================*/
/*   (Object/slots.scm)                                                      */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/slots.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


	static obj_t BGl_z62lambda1927z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1928z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62lambda1850z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1851z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1934z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2javazd2classzd2slotszb0zzobject_slotsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1935z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1856z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1857z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2classzd2slotsz00zzobject_slotsz00(BgL_typez00_bglt, obj_t, obj_t,
		int, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_za2astzd2casezd2sensitiveza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzobject_slotsz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31936ze3ze5zzobject_slotsz00(obj_t);
	static obj_t BGl_z62lambda1864z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1865z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_slotzd2indexzd2zzobject_slotsz00(BgL_slotz00_bglt);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	static obj_t BGl_z62lambda1871z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31929ze3ze5zzobject_slotsz00(obj_t);
	static obj_t BGl_z62lambda1872z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1879z62zzobject_slotsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_z62slotzd2setterzb0zzobject_slotsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(obj_t);
	static obj_t BGl_z62lambda1880z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1886z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1887z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62slotzd2classzd2ownerz62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_slotzd2inlinezd2markz00zzobject_slotsz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzobject_slotsz00();
	static obj_t BGl_z62slotzd2indexzb0zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62slotzd2namezb0zzobject_slotsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62lambda1895z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1896z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_slotsz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2virtualzd2numz00zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_objectzd2initzd2zzobject_slotsz00();
	static obj_t BGl_z62slotzd2defaultzf3z43zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62slotzd2srczb0zzobject_slotsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_findzd2slotzd2typez00zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62slotzd2getterzb0zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2classzd2slotsz62zzobject_slotsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62slotzd2virtualzf3z43zzobject_slotsz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL bool_t
		BGl_slotzd2virtualzd2overridez00zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62slotzd2defaultzd2inlinezd2valuezb0zzobject_slotsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_slotzd2namezd2zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2defaultzd2valuez00zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t
		BGl_z62makezd2classzd2makezd2typedzd2formalsz62zzobject_slotsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_slotzd2idzd2zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2setterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_slotz00zzobject_slotsz00 = BUNSPEC;
	extern obj_t BGl_za2warningzd2overridenzd2slotsza2z00zzengine_paramz00;
	static obj_t BGl_slotzd2memberzf3ze70zc6zzobject_slotsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62slotzd2typezb0zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31888ze3ze5zzobject_slotsz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_slotsz00();
	static BgL_slotz00_bglt BGl_z62makezd2slotzb0zzobject_slotsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31897ze3ze5zzobject_slotsz00(obj_t);
	static obj_t BGl_z62slotzd2virtualzd2overridez62zzobject_slotsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2defaultzd2inlinezd2valuezd2zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62slotzd2virtualzd2numz62zzobject_slotsz00(obj_t, obj_t);
	static obj_t
		BGl_z62getzd2localzd2virtualzd2slotszd2numberz62zzobject_slotsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_slotzd2typezd2zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_EXPORTED_DECL BgL_slotz00_bglt BGl_makezd2slotzd2zzobject_slotsz00(obj_t,
		obj_t, obj_t, obj_t, long, obj_t, bool_t, obj_t, obj_t, bool_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_idzd2ze3namez31zzast_identz00(obj_t);
	static obj_t BGl_z62slotzd2setterzd2setz12z70zzobject_slotsz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_slotzd2srczd2zzobject_slotsz00(BgL_slotz00_bglt);
	extern obj_t BGl_jclassz00zzobject_classz00;
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2getterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_slotzd2defaultzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	BGL_EXPORTED_DECL bool_t BGl_slotzf3zf3zzobject_slotsz00(obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_z62slotzd2userzd2infoz62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2classzd2makezd2formalszb0zzobject_slotsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	static BgL_slotz00_bglt BGl_z62slotzd2nilzb0zzobject_slotsz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00
		(BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_slotsz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_slotsz00();
	BGL_IMPORT long bgl_list_length(obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_slotsz00();
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2virtualzd2numzd2setz12zc0zzobject_slotsz00(BgL_slotz00_bglt,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzobject_slotsz00();
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62slotzf3z91zzobject_slotsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62slotzd2getterzd2setz12z70zzobject_slotsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62shapezd2slot1168zb0zzobject_slotsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2userzd2infoz00zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_slotzd2readzd2onlyzf3zf3zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62slotzd2readzd2onlyzf3z91zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62slotzd2idzb0zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62slotzd2inlinezd2defaultzf3z91zzobject_slotsz00(obj_t,
		obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62slotzd2virtualzd2numzd2setz12za2zzobject_slotsz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62slotzd2defaultzd2valuez62zzobject_slotsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2setterzd2zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31922ze3ze5zzobject_slotsz00(obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static BgL_slotz00_bglt BGl_z62lambda1809z62zzobject_slotsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_slotzd2inlinezd2defaultzf3zf3zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_loopze70ze7zzobject_slotsz00(obj_t, obj_t, obj_t);
	static BgL_slotz00_bglt BGl_z62lambda1811z62zzobject_slotsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00(BgL_typez00_bglt, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31915ze3ze5zzobject_slotsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31818ze3ze5zzobject_slotsz00(obj_t,
		obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_slotz00_bglt BGl_slotzd2nilzd2zzobject_slotsz00();
	static obj_t BGl_z62zc3z04anonymousza31908ze3ze5zzobject_slotsz00(obj_t);
	static obj_t BGl_z62lambda1906z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1907z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2classzd2ownerz00zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62lambda1913z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1914z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2getterzd2zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t
		BGl_makezd2attributezd2slotze70ze7zzobject_slotsz00(BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, long);
	static obj_t BGl_z62lambda1839z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1920z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1840z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1921z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t __cnst[31];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2getterzd2setz12zd2envzc0zzobject_slotsz00,
		BgL_bgl_za762slotza7d2getter2041z00,
		BGl_z62slotzd2getterzd2setz12z70zzobject_slotsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2slotzd2envz00zzobject_slotsz00,
		BgL_bgl_za762makeza7d2slotza7b2042za7,
		BGl_z62makezd2slotzb0zzobject_slotsz00, 0L, BUNSPEC, 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2localzd2virtualzd2slotszd2numberzd2envzd2zzobject_slotsz00,
		BgL_bgl_za762getza7d2localza7d2043za7,
		BGl_z62getzd2localzd2virtualzd2slotszd2numberz62zzobject_slotsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2javazd2classzd2slotszd2envz00zzobject_slotsz00,
		BgL_bgl_za762makeza7d2javaza7d2044za7,
		BGl_z62makezd2javazd2classzd2slotszb0zzobject_slotsz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2nilzd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2nilza7b02045za7,
		BGl_z62slotzd2nilzb0zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2getterzd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2getter2046z00,
		BGl_z62slotzd2getterzb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2virtualzf3zd2envzf3zzobject_slotsz00,
		BgL_bgl_za762slotza7d2virtua2047z00,
		BGl_z62slotzd2virtualzf3z43zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2namezd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2nameza7b2048za7,
		BGl_z62slotzd2namezb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2setterzd2setz12zd2envzc0zzobject_slotsz00,
		BgL_bgl_za762slotza7d2setter2049z00,
		BGl_z62slotzd2setterzd2setz12z70zzobject_slotsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2virtualzd2numzd2setz12zd2envz12zzobject_slotsz00,
		BgL_bgl_za762slotza7d2virtua2050z00,
		BGl_z62slotzd2virtualzd2numzd2setz12za2zzobject_slotsz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_shapezd2envzd2zztools_shapez00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2srczd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2srcza7b02051za7,
		BGl_z62slotzd2srczb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2classzd2slotszd2envzd2zzobject_slotsz00,
		BgL_bgl_za762makeza7d2classza72052za7,
		BGl_z62makezd2classzd2slotsz62zzobject_slotsz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2classzd2ownerzd2envzd2zzobject_slotsz00,
		BgL_bgl_za762slotza7d2classza72053za7,
		BGl_z62slotzd2classzd2ownerz62zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2typezd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2typeza7b2054za7,
		BGl_z62slotzd2typezb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2virtualzd2numzd2envzd2zzobject_slotsz00,
		BgL_bgl_za762slotza7d2virtua2055z00,
		BGl_z62slotzd2virtualzd2numz62zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2setterzd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2setter2056z00,
		BGl_z62slotzd2setterzb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2virtualzd2overridezd2envzd2zzobject_slotsz00,
		BgL_bgl_za762slotza7d2virtua2057z00,
		BGl_z62slotzd2virtualzd2overridez62zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2defaultzd2inlinezd2valuezd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2defaul2058z00,
		BGl_z62slotzd2defaultzd2inlinezd2valuezb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1985z00zzobject_slotsz00,
		BgL_bgl_string1985za700za7za7o2059za7, "Can't find type definition", 26);
	      DEFINE_STRING(BGl_string1986z00zzobject_slotsz00,
		BgL_bgl_string1986za700za7za7o2060za7,
		"slot already defined in super class", 35);
	      DEFINE_STRING(BGl_string1987z00zzobject_slotsz00,
		BgL_bgl_string1987za700za7za7o2061za7, "Illegal slot", 12);
	      DEFINE_STRING(BGl_string1988z00zzobject_slotsz00,
		BgL_bgl_string1988za700za7za7o2062za7, "Illegal duplicated virtual slot",
		31);
	      DEFINE_STRING(BGl_string1989z00zzobject_slotsz00,
		BgL_bgl_string1989za700za7za7o2063za7, "Overriden \"~a\" virtual slot", 27);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2classzd2makezd2typedzd2formalszd2envzd2zzobject_slotsz00,
		BgL_bgl_za762makeza7d2classza72064za7,
		BGl_z62makezd2classzd2makezd2typedzd2formalsz62zzobject_slotsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2userzd2infozd2envzd2zzobject_slotsz00,
		BgL_bgl_za762slotza7d2userza7d2065za7,
		BGl_z62slotzd2userzd2infoz62zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1990z00zzobject_slotsz00,
		BgL_bgl_string1990za700za7za7o2066za7,
		"Illegal virtual slot (missing getter)", 37);
	      DEFINE_STRING(BGl_string1991z00zzobject_slotsz00,
		BgL_bgl_string1991za700za7za7o2067za7, "Illegal virtual slot (read-only)",
		32);
	      DEFINE_STRING(BGl_string1992z00zzobject_slotsz00,
		BgL_bgl_string1992za700za7za7o2068za7,
		"Illegal virtual slot (missing setter)", 37);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1993z00zzobject_slotsz00,
		BgL_bgl_za762lambda1840za7622069z00, BGl_z62lambda1840z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1994z00zzobject_slotsz00,
		BgL_bgl_za762lambda1839za7622070z00, BGl_z62lambda1839z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1995z00zzobject_slotsz00,
		BgL_bgl_za762lambda1851za7622071z00, BGl_z62lambda1851z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1996z00zzobject_slotsz00,
		BgL_bgl_za762lambda1850za7622072z00, BGl_z62lambda1850z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1997z00zzobject_slotsz00,
		BgL_bgl_za762lambda1857za7622073z00, BGl_z62lambda1857z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1998z00zzobject_slotsz00,
		BgL_bgl_za762lambda1856za7622074z00, BGl_z62lambda1856z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1999z00zzobject_slotsz00,
		BgL_bgl_za762lambda1865za7622075z00, BGl_z62lambda1865z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzf3zd2envz21zzobject_slotsz00,
		BgL_bgl_za762slotza7f3za791za7za7o2076za7,
		BGl_z62slotzf3z91zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2classzd2makezd2formalszd2envz00zzobject_slotsz00,
		BgL_bgl_za762makeza7d2classza72077za7,
		BGl_z62makezd2classzd2makezd2formalszb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2inlinezd2defaultzf3zd2envz21zzobject_slotsz00,
		BgL_bgl_za762slotza7d2inline2078z00,
		BGl_z62slotzd2inlinezd2defaultzf3z91zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2idzd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2idza7b0za72079z00,
		BGl_z62slotzd2idzb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2readzd2onlyzf3zd2envz21zzobject_slotsz00,
		BgL_bgl_za762slotza7d2readza7d2080za7,
		BGl_z62slotzd2readzd2onlyzf3z91zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2000z00zzobject_slotsz00,
		BgL_bgl_za762lambda1864za7622081z00, BGl_z62lambda1864z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2001z00zzobject_slotsz00,
		BgL_bgl_za762lambda1872za7622082z00, BGl_z62lambda1872z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2002z00zzobject_slotsz00,
		BgL_bgl_za762lambda1871za7622083z00, BGl_z62lambda1871z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2003z00zzobject_slotsz00,
		BgL_bgl_za762lambda1880za7622084z00, BGl_z62lambda1880z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2004z00zzobject_slotsz00,
		BgL_bgl_za762lambda1879za7622085z00, BGl_z62lambda1879z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2005z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2086za7,
		BGl_z62zc3z04anonymousza31888ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2006z00zzobject_slotsz00,
		BgL_bgl_za762lambda1887za7622087z00, BGl_z62lambda1887z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2007z00zzobject_slotsz00,
		BgL_bgl_za762lambda1886za7622088z00, BGl_z62lambda1886z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2indexzd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2indexza72089za7,
		BGl_z62slotzd2indexzb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2008z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2090za7,
		BGl_z62zc3z04anonymousza31897ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2009z00zzobject_slotsz00,
		BgL_bgl_za762lambda1896za7622091z00, BGl_z62lambda1896z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2defaultzf3zd2envzf3zzobject_slotsz00,
		BgL_bgl_za762slotza7d2defaul2092z00,
		BGl_z62slotzd2defaultzf3z43zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2010z00zzobject_slotsz00,
		BgL_bgl_za762lambda1895za7622093z00, BGl_z62lambda1895z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2011z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2094za7,
		BGl_z62zc3z04anonymousza31908ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2012z00zzobject_slotsz00,
		BgL_bgl_za762lambda1907za7622095z00, BGl_z62lambda1907z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2013z00zzobject_slotsz00,
		BgL_bgl_za762lambda1906za7622096z00, BGl_z62lambda1906z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2014z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2097za7,
		BGl_z62zc3z04anonymousza31915ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2015z00zzobject_slotsz00,
		BgL_bgl_za762lambda1914za7622098z00, BGl_z62lambda1914z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2016z00zzobject_slotsz00,
		BgL_bgl_za762lambda1913za7622099z00, BGl_z62lambda1913z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2017z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2100za7,
		BGl_z62zc3z04anonymousza31922ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2018z00zzobject_slotsz00,
		BgL_bgl_za762lambda1921za7622101z00, BGl_z62lambda1921z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2019z00zzobject_slotsz00,
		BgL_bgl_za762lambda1920za7622102z00, BGl_z62lambda1920z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2029z00zzobject_slotsz00,
		BgL_bgl_string2029za700za7za7o2103za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2020z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2104za7,
		BGl_z62zc3z04anonymousza31929ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2021z00zzobject_slotsz00,
		BgL_bgl_za762lambda1928za7622105z00, BGl_z62lambda1928z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2022z00zzobject_slotsz00,
		BgL_bgl_za762lambda1927za7622106z00, BGl_z62lambda1927z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2023z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2107za7,
		BGl_z62zc3z04anonymousza31936ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2024z00zzobject_slotsz00,
		BgL_bgl_za762lambda1935za7622108z00, BGl_z62lambda1935z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2031z00zzobject_slotsz00,
		BgL_bgl_string2031za700za7za7o2109za7, "shape", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2025z00zzobject_slotsz00,
		BgL_bgl_za762lambda1934za7622110z00, BGl_z62lambda1934z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2032z00zzobject_slotsz00,
		BgL_bgl_string2032za700za7za7o2111za7, ")", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2026z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2112za7,
		BGl_z62zc3z04anonymousza31818ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2033z00zzobject_slotsz00,
		BgL_bgl_string2033za700za7za7o2113za7, " type: ", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2027z00zzobject_slotsz00,
		BgL_bgl_za762lambda1811za7622114z00, BGl_z62lambda1811z62zzobject_slotsz00,
		0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2034z00zzobject_slotsz00,
		BgL_bgl_string2034za700za7za7o2115za7, " owner: ", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2028z00zzobject_slotsz00,
		BgL_bgl_za762lambda1809za7622116z00, BGl_z62lambda1809z62zzobject_slotsz00,
		0L, BUNSPEC, 13);
	      DEFINE_STRING(BGl_string2035z00zzobject_slotsz00,
		BgL_bgl_string2035za700za7za7o2117za7, " (", 2);
	      DEFINE_STRING(BGl_string2036z00zzobject_slotsz00,
		BgL_bgl_string2036za700za7za7o2118za7, "(", 1);
	      DEFINE_STRING(BGl_string2037z00zzobject_slotsz00,
		BgL_bgl_string2037za700za7za7o2119za7, "object_slots", 12);
	      DEFINE_STRING(BGl_string2038z00zzobject_slotsz00,
		BgL_bgl_string2038za700za7za7o2120za7,
		"_ object_slots slot user-info setter getter virtual-override virtual-num default-value bool read-only? type long index class-owner obj src bstring name symbol static final - foreign read-only inline-default default info id set get ",
		231);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2defaultzd2valuezd2envzd2zzobject_slotsz00,
		BgL_bgl_za762slotza7d2defaul2121z00,
		BGl_z62slotzd2defaultzd2valuez62zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2030z00zzobject_slotsz00,
		BgL_bgl_za762shapeza7d2slot12122z00,
		BGl_z62shapezd2slot1168zb0zzobject_slotsz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzobject_slotsz00));
		     ADD_ROOT((void *) (&BGl_slotzd2inlinezd2markz00zzobject_slotsz00));
		     ADD_ROOT((void *) (&BGl_slotz00zzobject_slotsz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long
		BgL_checksumz00_2307, char *BgL_fromz00_2308)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_slotsz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_slotsz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzobject_slotsz00();
					BGl_libraryzd2moduleszd2initz00zzobject_slotsz00();
					BGl_cnstzd2initzd2zzobject_slotsz00();
					BGl_importedzd2moduleszd2initz00zzobject_slotsz00();
					BGl_objectzd2initzd2zzobject_slotsz00();
					BGl_methodzd2initzd2zzobject_slotsz00();
					return BGl_toplevelzd2initzd2zzobject_slotsz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_slotsz00()
	{
		{	/* Object/slots.scm 15 */
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "object_slots");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"object_slots");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_slotsz00()
	{
		{	/* Object/slots.scm 15 */
			{	/* Object/slots.scm 15 */
				obj_t BgL_cportz00_2217;

				{	/* Object/slots.scm 15 */
					obj_t BgL_stringz00_2225;

					BgL_stringz00_2225 = BGl_string2038z00zzobject_slotsz00;
					{	/* Object/slots.scm 15 */
						obj_t BgL_startz00_2226;

						BgL_startz00_2226 = BINT(((long) 0));
						{	/* Object/slots.scm 15 */
							obj_t BgL_endz00_2227;

							BgL_endz00_2227 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2225)));
							{	/* Object/slots.scm 15 */

								BgL_cportz00_2217 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2225, BgL_startz00_2226, BgL_endz00_2227);
				}}}}
				{
					long BgL_iz00_2218;

					BgL_iz00_2218 = ((long) 30);
				BgL_loopz00_2219:
					if ((BgL_iz00_2218 == ((long) -1)))
						{	/* Object/slots.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/slots.scm 15 */
							{	/* Object/slots.scm 15 */
								obj_t BgL_arg2040z00_2221;

								{	/* Object/slots.scm 15 */

									{	/* Object/slots.scm 15 */
										obj_t BgL_locationz00_2223;

										BgL_locationz00_2223 = BBOOL(((bool_t) 0));
										{	/* Object/slots.scm 15 */

											BgL_arg2040z00_2221 =
												BGl_readz00zz__readerz00(BgL_cportz00_2217,
												BgL_locationz00_2223);
										}
									}
								}
								{	/* Object/slots.scm 15 */
									int BgL_tmpz00_2341;

									BgL_tmpz00_2341 = (int) (BgL_iz00_2218);
									CNST_TABLE_SET(BgL_tmpz00_2341, BgL_arg2040z00_2221);
							}}
							{	/* Object/slots.scm 15 */
								int BgL_auxz00_2224;

								BgL_auxz00_2224 = (int) ((BgL_iz00_2218 - ((long) 1)));
								{
									long BgL_iz00_2346;

									BgL_iz00_2346 = (long) (BgL_auxz00_2224);
									BgL_iz00_2218 = BgL_iz00_2346;
									goto BgL_loopz00_2219;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzobject_slotsz00()
	{
		{	/* Object/slots.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzobject_slotsz00()
	{
		{	/* Object/slots.scm 15 */
			BGl_slotzd2inlinezd2markz00zzobject_slotsz00 =
				MAKE_YOUNG_PAIR(BINT(((long) 3)), BINT(((long) 4)));
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzobject_slotsz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_797;

				BgL_headz00_797 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_798;
					obj_t BgL_tailz00_799;

					BgL_prevz00_798 = BgL_headz00_797;
					BgL_tailz00_799 = BgL_l1z00_1;
				BgL_loopz00_800:
					if (PAIRP(BgL_tailz00_799))
						{
							obj_t BgL_newzd2prevzd2_802;

							BgL_newzd2prevzd2_802 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_799), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_798, BgL_newzd2prevzd2_802);
							{
								obj_t BgL_tailz00_2359;
								obj_t BgL_prevz00_2358;

								BgL_prevz00_2358 = BgL_newzd2prevzd2_802;
								BgL_tailz00_2359 = CDR(BgL_tailz00_799);
								BgL_tailz00_799 = BgL_tailz00_2359;
								BgL_prevz00_798 = BgL_prevz00_2358;
								goto BgL_loopz00_800;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_797);
				}
			}
		}

	}



/* make-slot */
	BGL_EXPORTED_DEF BgL_slotz00_bglt BGl_makezd2slotzd2zzobject_slotsz00(obj_t
		BgL_id1080z00_3, obj_t BgL_name1081z00_4, obj_t BgL_src1082z00_5,
		obj_t BgL_classzd2owner1083zd2_6, long BgL_index1084z00_7,
		obj_t BgL_type1085z00_8, bool_t BgL_readzd2onlyzf31086z21_9,
		obj_t BgL_defaultzd2value1087zd2_10, obj_t BgL_virtualzd2num1088zd2_11,
		bool_t BgL_virtualzd2override1089zd2_12, obj_t BgL_getter1090z00_13,
		obj_t BgL_setter1091z00_14, obj_t BgL_userzd2info1092zd2_15)
	{
		{	/* Object/slots.sch 37 */
			{	/* Object/slots.sch 37 */
				BgL_slotz00_bglt BgL_new1090z00_2229;

				{	/* Object/slots.sch 37 */
					BgL_slotz00_bglt BgL_new1089z00_2230;

					BgL_new1089z00_2230 =
						((BgL_slotz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_slotz00_bgl))));
					{	/* Object/slots.sch 37 */
						long BgL_arg1174z00_2231;

						BgL_arg1174z00_2231 = BGL_CLASS_NUM(BGl_slotz00zzobject_slotsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1089z00_2230), BgL_arg1174z00_2231);
					}
					BgL_new1090z00_2229 = BgL_new1089z00_2230;
				}
				((((BgL_slotz00_bglt) COBJECT(BgL_new1090z00_2229))->BgL_idz00) =
					((obj_t) BgL_id1080z00_3), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1090z00_2229))->BgL_namez00) =
					((obj_t) BgL_name1081z00_4), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1090z00_2229))->BgL_srcz00) =
					((obj_t) BgL_src1082z00_5), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1090z00_2229))->
						BgL_classzd2ownerzd2) =
					((obj_t) BgL_classzd2owner1083zd2_6), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1090z00_2229))->BgL_indexz00) =
					((long) BgL_index1084z00_7), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1090z00_2229))->BgL_typez00) =
					((obj_t) BgL_type1085z00_8), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1090z00_2229))->
						BgL_readzd2onlyzf3z21) =
					((bool_t) BgL_readzd2onlyzf31086z21_9), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1090z00_2229))->
						BgL_defaultzd2valuezd2) =
					((obj_t) BgL_defaultzd2value1087zd2_10), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1090z00_2229))->
						BgL_virtualzd2numzd2) =
					((obj_t) BgL_virtualzd2num1088zd2_11), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1090z00_2229))->
						BgL_virtualzd2overridezd2) =
					((bool_t) BgL_virtualzd2override1089zd2_12), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1090z00_2229))->BgL_getterz00) =
					((obj_t) BgL_getter1090z00_13), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1090z00_2229))->BgL_setterz00) =
					((obj_t) BgL_setter1091z00_14), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1090z00_2229))->
						BgL_userzd2infozd2) = ((obj_t) BgL_userzd2info1092zd2_15), BUNSPEC);
				return BgL_new1090z00_2229;
			}
		}

	}



/* &make-slot */
	BgL_slotz00_bglt BGl_z62makezd2slotzb0zzobject_slotsz00(obj_t BgL_envz00_2005,
		obj_t BgL_id1080z00_2006, obj_t BgL_name1081z00_2007,
		obj_t BgL_src1082z00_2008, obj_t BgL_classzd2owner1083zd2_2009,
		obj_t BgL_index1084z00_2010, obj_t BgL_type1085z00_2011,
		obj_t BgL_readzd2onlyzf31086z21_2012, obj_t BgL_defaultzd2value1087zd2_2013,
		obj_t BgL_virtualzd2num1088zd2_2014,
		obj_t BgL_virtualzd2override1089zd2_2015, obj_t BgL_getter1090z00_2016,
		obj_t BgL_setter1091z00_2017, obj_t BgL_userzd2info1092zd2_2018)
	{
		{	/* Object/slots.sch 37 */
			return
				BGl_makezd2slotzd2zzobject_slotsz00(BgL_id1080z00_2006,
				BgL_name1081z00_2007, BgL_src1082z00_2008,
				BgL_classzd2owner1083zd2_2009, (long) CINT(BgL_index1084z00_2010),
				BgL_type1085z00_2011, CBOOL(BgL_readzd2onlyzf31086z21_2012),
				BgL_defaultzd2value1087zd2_2013, BgL_virtualzd2num1088zd2_2014,
				CBOOL(BgL_virtualzd2override1089zd2_2015), BgL_getter1090z00_2016,
				BgL_setter1091z00_2017, BgL_userzd2info1092zd2_2018);
		}

	}



/* slot? */
	BGL_EXPORTED_DEF bool_t BGl_slotzf3zf3zzobject_slotsz00(obj_t BgL_objz00_16)
	{
		{	/* Object/slots.sch 38 */
			{	/* Object/slots.sch 38 */
				obj_t BgL_classz00_2232;

				BgL_classz00_2232 = BGl_slotz00zzobject_slotsz00;
				if (BGL_OBJECTP(BgL_objz00_16))
					{	/* Object/slots.sch 38 */
						BgL_objectz00_bglt BgL_arg1825z00_2233;

						BgL_arg1825z00_2233 = (BgL_objectz00_bglt) (BgL_objz00_16);
						{	/* Object/slots.sch 38 */
							bool_t BgL_arg1822z00_2234;
							bool_t BgL_arg1823z00_2235;

							{	/* Object/slots.sch 38 */
								long BgL_idxz00_2236;

								BgL_idxz00_2236 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2233);
								BgL_arg1822z00_2234 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2236 + ((long) 1))) == BgL_classz00_2232);
							}
							{	/* Object/slots.sch 38 */
								bool_t BgL_res1976z00_2239;

								{	/* Object/slots.sch 38 */
									obj_t BgL_oclassz00_2240;

									{	/* Object/slots.sch 38 */
										long BgL_arg1833z00_2241;

										{	/* Object/slots.sch 38 */
											long BgL_arg1834z00_2242;

											BgL_arg1834z00_2242 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2233);
											BgL_arg1833z00_2241 = (BgL_arg1834z00_2242 - OBJECT_TYPE);
										}
										BgL_oclassz00_2240 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_2241);
									}
									{	/* Object/slots.sch 38 */
										bool_t BgL__ortest_1110z00_2243;

										BgL__ortest_1110z00_2243 =
											(BgL_classz00_2232 == BgL_oclassz00_2240);
										if (BgL__ortest_1110z00_2243)
											{	/* Object/slots.sch 38 */
												BgL_res1976z00_2239 = BgL__ortest_1110z00_2243;
											}
										else
											{	/* Object/slots.sch 38 */
												long BgL_odepthz00_2244;

												BgL_odepthz00_2244 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2240);
												if ((((long) 1) < BgL_odepthz00_2244))
													{	/* Object/slots.sch 38 */
														obj_t BgL_arg1821z00_2245;

														BgL_arg1821z00_2245 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2240,
															((long) 1));
														BgL_res1976z00_2239 =
															(BgL_arg1821z00_2245 == BgL_classz00_2232);
													}
												else
													{	/* Object/slots.sch 38 */
														BgL_res1976z00_2239 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_2235 = BgL_res1976z00_2239;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_2234, BgL_arg1823z00_2235);
						}
					}
				else
					{	/* Object/slots.sch 38 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &slot? */
	obj_t BGl_z62slotzf3z91zzobject_slotsz00(obj_t BgL_envz00_2019,
		obj_t BgL_objz00_2020)
	{
		{	/* Object/slots.sch 38 */
			return BBOOL(BGl_slotzf3zf3zzobject_slotsz00(BgL_objz00_2020));
		}

	}



/* slot-nil */
	BGL_EXPORTED_DEF BgL_slotz00_bglt BGl_slotzd2nilzd2zzobject_slotsz00()
	{
		{	/* Object/slots.sch 39 */
			{	/* Object/slots.sch 39 */
				obj_t BgL_classz00_1560;

				BgL_classz00_1560 = BGl_slotz00zzobject_slotsz00;
				{	/* Object/slots.sch 39 */
					obj_t BgL__ortest_1112z00_1561;

					BgL__ortest_1112z00_1561 = BGL_CLASS_NIL(BgL_classz00_1560);
					if (CBOOL(BgL__ortest_1112z00_1561))
						{	/* Object/slots.sch 39 */
							return ((BgL_slotz00_bglt) BgL__ortest_1112z00_1561);
						}
					else
						{	/* Object/slots.sch 39 */
							return
								((BgL_slotz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1560));
						}
				}
			}
		}

	}



/* &slot-nil */
	BgL_slotz00_bglt BGl_z62slotzd2nilzb0zzobject_slotsz00(obj_t BgL_envz00_2021)
	{
		{	/* Object/slots.sch 39 */
			return BGl_slotzd2nilzd2zzobject_slotsz00();
		}

	}



/* slot-user-info */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2userzd2infoz00zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_17)
	{
		{	/* Object/slots.sch 40 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_17))->BgL_userzd2infozd2);
		}

	}



/* &slot-user-info */
	obj_t BGl_z62slotzd2userzd2infoz62zzobject_slotsz00(obj_t BgL_envz00_2022,
		obj_t BgL_oz00_2023)
	{
		{	/* Object/slots.sch 40 */
			return
				BGl_slotzd2userzd2infoz00zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2023));
		}

	}



/* slot-setter */
	BGL_EXPORTED_DEF obj_t BGl_slotzd2setterzd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_20)
	{
		{	/* Object/slots.sch 42 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_20))->BgL_setterz00);
		}

	}



/* &slot-setter */
	obj_t BGl_z62slotzd2setterzb0zzobject_slotsz00(obj_t BgL_envz00_2024,
		obj_t BgL_oz00_2025)
	{
		{	/* Object/slots.sch 42 */
			return
				BGl_slotzd2setterzd2zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2025));
		}

	}



/* slot-setter-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2setterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_21,
		obj_t BgL_vz00_22)
	{
		{	/* Object/slots.sch 43 */
			return
				((((BgL_slotz00_bglt) COBJECT(BgL_oz00_21))->BgL_setterz00) =
				((obj_t) BgL_vz00_22), BUNSPEC);
		}

	}



/* &slot-setter-set! */
	obj_t BGl_z62slotzd2setterzd2setz12z70zzobject_slotsz00(obj_t BgL_envz00_2026,
		obj_t BgL_oz00_2027, obj_t BgL_vz00_2028)
	{
		{	/* Object/slots.sch 43 */
			return
				BGl_slotzd2setterzd2setz12z12zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2027), BgL_vz00_2028);
		}

	}



/* slot-getter */
	BGL_EXPORTED_DEF obj_t BGl_slotzd2getterzd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_23)
	{
		{	/* Object/slots.sch 44 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_23))->BgL_getterz00);
		}

	}



/* &slot-getter */
	obj_t BGl_z62slotzd2getterzb0zzobject_slotsz00(obj_t BgL_envz00_2029,
		obj_t BgL_oz00_2030)
	{
		{	/* Object/slots.sch 44 */
			return
				BGl_slotzd2getterzd2zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2030));
		}

	}



/* slot-getter-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2getterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_24,
		obj_t BgL_vz00_25)
	{
		{	/* Object/slots.sch 45 */
			return
				((((BgL_slotz00_bglt) COBJECT(BgL_oz00_24))->BgL_getterz00) =
				((obj_t) BgL_vz00_25), BUNSPEC);
		}

	}



/* &slot-getter-set! */
	obj_t BGl_z62slotzd2getterzd2setz12z70zzobject_slotsz00(obj_t BgL_envz00_2031,
		obj_t BgL_oz00_2032, obj_t BgL_vz00_2033)
	{
		{	/* Object/slots.sch 45 */
			return
				BGl_slotzd2getterzd2setz12z12zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2032), BgL_vz00_2033);
		}

	}



/* slot-virtual-override */
	BGL_EXPORTED_DEF bool_t
		BGl_slotzd2virtualzd2overridez00zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_26)
	{
		{	/* Object/slots.sch 46 */
			return
				(((BgL_slotz00_bglt) COBJECT(BgL_oz00_26))->BgL_virtualzd2overridezd2);
		}

	}



/* &slot-virtual-override */
	obj_t BGl_z62slotzd2virtualzd2overridez62zzobject_slotsz00(obj_t
		BgL_envz00_2034, obj_t BgL_oz00_2035)
	{
		{	/* Object/slots.sch 46 */
			return
				BBOOL(BGl_slotzd2virtualzd2overridez00zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_oz00_2035)));
		}

	}



/* slot-virtual-num */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2virtualzd2numz00zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_29)
	{
		{	/* Object/slots.sch 48 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_29))->BgL_virtualzd2numzd2);
		}

	}



/* &slot-virtual-num */
	obj_t BGl_z62slotzd2virtualzd2numz62zzobject_slotsz00(obj_t BgL_envz00_2036,
		obj_t BgL_oz00_2037)
	{
		{	/* Object/slots.sch 48 */
			return
				BGl_slotzd2virtualzd2numz00zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2037));
		}

	}



/* slot-virtual-num-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2virtualzd2numzd2setz12zc0zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_30, obj_t BgL_vz00_31)
	{
		{	/* Object/slots.sch 49 */
			return
				((((BgL_slotz00_bglt) COBJECT(BgL_oz00_30))->BgL_virtualzd2numzd2) =
				((obj_t) BgL_vz00_31), BUNSPEC);
		}

	}



/* &slot-virtual-num-set! */
	obj_t BGl_z62slotzd2virtualzd2numzd2setz12za2zzobject_slotsz00(obj_t
		BgL_envz00_2038, obj_t BgL_oz00_2039, obj_t BgL_vz00_2040)
	{
		{	/* Object/slots.sch 49 */
			return
				BGl_slotzd2virtualzd2numzd2setz12zc0zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2039), BgL_vz00_2040);
		}

	}



/* slot-default-value */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2defaultzd2valuez00zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_32)
	{
		{	/* Object/slots.sch 50 */
			return
				(((BgL_slotz00_bglt) COBJECT(BgL_oz00_32))->BgL_defaultzd2valuezd2);
		}

	}



/* &slot-default-value */
	obj_t BGl_z62slotzd2defaultzd2valuez62zzobject_slotsz00(obj_t BgL_envz00_2041,
		obj_t BgL_oz00_2042)
	{
		{	/* Object/slots.sch 50 */
			return
				BGl_slotzd2defaultzd2valuez00zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2042));
		}

	}



/* slot-read-only? */
	BGL_EXPORTED_DEF bool_t
		BGl_slotzd2readzd2onlyzf3zf3zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_35)
	{
		{	/* Object/slots.sch 52 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_35))->BgL_readzd2onlyzf3z21);
		}

	}



/* &slot-read-only? */
	obj_t BGl_z62slotzd2readzd2onlyzf3z91zzobject_slotsz00(obj_t BgL_envz00_2043,
		obj_t BgL_oz00_2044)
	{
		{	/* Object/slots.sch 52 */
			return
				BBOOL(BGl_slotzd2readzd2onlyzf3zf3zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_oz00_2044)));
		}

	}



/* slot-type */
	BGL_EXPORTED_DEF obj_t BGl_slotzd2typezd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_38)
	{
		{	/* Object/slots.sch 54 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_38))->BgL_typez00);
		}

	}



/* &slot-type */
	obj_t BGl_z62slotzd2typezb0zzobject_slotsz00(obj_t BgL_envz00_2045,
		obj_t BgL_oz00_2046)
	{
		{	/* Object/slots.sch 54 */
			return
				BGl_slotzd2typezd2zzobject_slotsz00(((BgL_slotz00_bglt) BgL_oz00_2046));
		}

	}



/* slot-index */
	BGL_EXPORTED_DEF long BGl_slotzd2indexzd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_41)
	{
		{	/* Object/slots.sch 56 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_41))->BgL_indexz00);
		}

	}



/* &slot-index */
	obj_t BGl_z62slotzd2indexzb0zzobject_slotsz00(obj_t BgL_envz00_2047,
		obj_t BgL_oz00_2048)
	{
		{	/* Object/slots.sch 56 */
			return
				BINT(BGl_slotzd2indexzd2zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_oz00_2048)));
		}

	}



/* slot-class-owner */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2classzd2ownerz00zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_44)
	{
		{	/* Object/slots.sch 58 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_44))->BgL_classzd2ownerzd2);
		}

	}



/* &slot-class-owner */
	obj_t BGl_z62slotzd2classzd2ownerz62zzobject_slotsz00(obj_t BgL_envz00_2049,
		obj_t BgL_oz00_2050)
	{
		{	/* Object/slots.sch 58 */
			return
				BGl_slotzd2classzd2ownerz00zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2050));
		}

	}



/* slot-src */
	BGL_EXPORTED_DEF obj_t BGl_slotzd2srczd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_47)
	{
		{	/* Object/slots.sch 60 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_47))->BgL_srcz00);
		}

	}



/* &slot-src */
	obj_t BGl_z62slotzd2srczb0zzobject_slotsz00(obj_t BgL_envz00_2051,
		obj_t BgL_oz00_2052)
	{
		{	/* Object/slots.sch 60 */
			return
				BGl_slotzd2srczd2zzobject_slotsz00(((BgL_slotz00_bglt) BgL_oz00_2052));
		}

	}



/* slot-name */
	BGL_EXPORTED_DEF obj_t BGl_slotzd2namezd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_50)
	{
		{	/* Object/slots.sch 62 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_50))->BgL_namez00);
		}

	}



/* &slot-name */
	obj_t BGl_z62slotzd2namezb0zzobject_slotsz00(obj_t BgL_envz00_2053,
		obj_t BgL_oz00_2054)
	{
		{	/* Object/slots.sch 62 */
			return
				BGl_slotzd2namezd2zzobject_slotsz00(((BgL_slotz00_bglt) BgL_oz00_2054));
		}

	}



/* slot-id */
	BGL_EXPORTED_DEF obj_t BGl_slotzd2idzd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_53)
	{
		{	/* Object/slots.sch 64 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_53))->BgL_idz00);
		}

	}



/* &slot-id */
	obj_t BGl_z62slotzd2idzb0zzobject_slotsz00(obj_t BgL_envz00_2055,
		obj_t BgL_oz00_2056)
	{
		{	/* Object/slots.sch 64 */
			return
				BGl_slotzd2idzd2zzobject_slotsz00(((BgL_slotz00_bglt) BgL_oz00_2056));
		}

	}



/* slot-default? */
	BGL_EXPORTED_DEF bool_t
		BGl_slotzd2defaultzf3z21zzobject_slotsz00(BgL_slotz00_bglt BgL_slotz00_57)
	{
		{	/* Object/slots.scm 96 */
			{	/* Object/slots.scm 97 */
				bool_t BgL_test2130z00_2461;

				{	/* Object/slots.scm 97 */
					obj_t BgL_arg1183z00_811;
					obj_t BgL_arg1187z00_812;

					BgL_arg1183z00_811 =
						(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_57))->
						BgL_defaultzd2valuezd2);
					BgL_arg1187z00_812 =
						MAKE_YOUNG_PAIR(BINT(((long) 1)), BINT(((long) 2)));
					BgL_test2130z00_2461 =
						BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_arg1183z00_811,
						BgL_arg1187z00_812);
				}
				if (BgL_test2130z00_2461)
					{	/* Object/slots.scm 97 */
						return ((bool_t) 0);
					}
				else
					{	/* Object/slots.scm 97 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* &slot-default? */
	obj_t BGl_z62slotzd2defaultzf3z43zzobject_slotsz00(obj_t BgL_envz00_2057,
		obj_t BgL_slotz00_2058)
	{
		{	/* Object/slots.scm 96 */
			return
				BBOOL(BGl_slotzd2defaultzf3z21zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_slotz00_2058)));
		}

	}



/* slot-virtual? */
	BGL_EXPORTED_DEF bool_t
		BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt BgL_slotz00_58)
	{
		{	/* Object/slots.scm 102 */
			return
				(
				(long) CINT(
					(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_58))->
						BgL_virtualzd2numzd2)) >= ((long) 0));
		}

	}



/* &slot-virtual? */
	obj_t BGl_z62slotzd2virtualzf3z43zzobject_slotsz00(obj_t BgL_envz00_2059,
		obj_t BgL_slotz00_2060)
	{
		{	/* Object/slots.scm 102 */
			return
				BBOOL(BGl_slotzd2virtualzf3z21zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_slotz00_2060)));
		}

	}



/* slot-inline-default? */
	BGL_EXPORTED_DEF bool_t
		BGl_slotzd2inlinezd2defaultzf3zf3zzobject_slotsz00(BgL_slotz00_bglt
		BgL_slotz00_59)
	{
		{	/* Object/slots.scm 108 */
			{	/* Object/slots.scm 109 */
				bool_t BgL_test2131z00_2476;

				{	/* Object/slots.scm 109 */
					obj_t BgL_tmpz00_2477;

					BgL_tmpz00_2477 =
						(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_59))->
						BgL_defaultzd2valuezd2);
					BgL_test2131z00_2476 = PAIRP(BgL_tmpz00_2477);
				}
				if (BgL_test2131z00_2476)
					{	/* Object/slots.scm 110 */
						obj_t BgL_arg1192z00_815;

						BgL_arg1192z00_815 =
							CAR(
							(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_59))->
								BgL_defaultzd2valuezd2));
						return (BgL_arg1192z00_815 ==
							BGl_slotzd2inlinezd2markz00zzobject_slotsz00);
					}
				else
					{	/* Object/slots.scm 109 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &slot-inline-default? */
	obj_t BGl_z62slotzd2inlinezd2defaultzf3z91zzobject_slotsz00(obj_t
		BgL_envz00_2061, obj_t BgL_slotz00_2062)
	{
		{	/* Object/slots.scm 108 */
			return
				BBOOL(BGl_slotzd2inlinezd2defaultzf3zf3zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_slotz00_2062)));
		}

	}



/* slot-default-inline-value */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2defaultzd2inlinezd2valuezd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_slotz00_60)
	{
		{	/* Object/slots.scm 115 */
			return
				CDR(
				(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_60))->BgL_defaultzd2valuezd2));
		}

	}



/* &slot-default-inline-value */
	obj_t BGl_z62slotzd2defaultzd2inlinezd2valuezb0zzobject_slotsz00(obj_t
		BgL_envz00_2063, obj_t BgL_slotz00_2064)
	{
		{	/* Object/slots.scm 115 */
			return
				BGl_slotzd2defaultzd2inlinezd2valuezd2zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_slotz00_2064));
		}

	}



/* ensure-type-defined! */
	obj_t BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00(BgL_typez00_bglt
		BgL_typez00_61, obj_t BgL_srcz00_62)
	{
		{	/* Object/slots.scm 121 */
			if ((((BgL_typez00_bglt) COBJECT(BgL_typez00_61))->BgL_initzf3zf3))
				{	/* Object/slots.scm 122 */
					return BFALSE;
				}
			else
				{	/* Object/slots.scm 122 */
					return
						BGl_userzd2errorzd2zztools_errorz00
						(BGl_string1985z00zzobject_slotsz00,
						(((BgL_typez00_bglt) COBJECT(BgL_typez00_61))->BgL_idz00),
						BgL_srcz00_62, BNIL);
				}
		}

	}



/* make-class-slots */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2classzd2slotsz00zzobject_slotsz00(BgL_typez00_bglt
		BgL_classz00_63, obj_t BgL_clausesz00_64, obj_t BgL_superz00_65,
		int BgL_vnumz00_66, obj_t BgL_srcz00_67)
	{
		{	/* Object/slots.scm 128 */
			{
				obj_t BgL_attrz00_969;
				obj_t BgL_nslotz00_1051;
				obj_t BgL_sslotsz00_1052;
				BgL_typez00_bglt BgL_classz00_1053;
				obj_t BgL_nslotsz00_1080;
				obj_t BgL_sslotsz00_1081;
				BgL_typez00_bglt BgL_classz00_1082;
				obj_t BgL_slotzd2idzd2_1107;
				long BgL_indexz00_1108;

				{	/* Object/slots.scm 254 */
					obj_t BgL_sslotsz00_831;

					{	/* Object/slots.scm 255 */
						bool_t BgL_test2133z00_2494;

						{	/* Object/slots.scm 255 */
							obj_t BgL_classz00_1646;

							BgL_classz00_1646 = BGl_typez00zztype_typez00;
							if (BGL_OBJECTP(BgL_superz00_65))
								{	/* Object/slots.scm 255 */
									BgL_objectz00_bglt BgL_arg1825z00_1648;

									BgL_arg1825z00_1648 = (BgL_objectz00_bglt) (BgL_superz00_65);
									{	/* Object/slots.scm 255 */
										bool_t BgL_arg1822z00_1651;
										bool_t BgL_arg1823z00_1652;

										{	/* Object/slots.scm 255 */
											long BgL_idxz00_1655;

											BgL_idxz00_1655 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1648);
											BgL_arg1822z00_1651 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_1655 + ((long) 1))) == BgL_classz00_1646);
										}
										{	/* Object/slots.scm 255 */
											bool_t BgL_res1977z00_1677;

											{	/* Object/slots.scm 255 */
												obj_t BgL_oclassz00_1663;

												{	/* Object/slots.scm 255 */
													long BgL_arg1833z00_1669;

													{	/* Object/slots.scm 255 */
														long BgL_arg1834z00_1670;

														BgL_arg1834z00_1670 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1648);
														BgL_arg1833z00_1669 =
															(BgL_arg1834z00_1670 - OBJECT_TYPE);
													}
													BgL_oclassz00_1663 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_1669);
												}
												{	/* Object/slots.scm 255 */
													bool_t BgL__ortest_1110z00_1664;

													BgL__ortest_1110z00_1664 =
														(BgL_classz00_1646 == BgL_oclassz00_1663);
													if (BgL__ortest_1110z00_1664)
														{	/* Object/slots.scm 255 */
															BgL_res1977z00_1677 = BgL__ortest_1110z00_1664;
														}
													else
														{	/* Object/slots.scm 255 */
															long BgL_odepthz00_1665;

															BgL_odepthz00_1665 =
																BGL_CLASS_DEPTH(BgL_oclassz00_1663);
															if ((((long) 1) < BgL_odepthz00_1665))
																{	/* Object/slots.scm 255 */
																	obj_t BgL_arg1821z00_1667;

																	BgL_arg1821z00_1667 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1663,
																		((long) 1));
																	BgL_res1977z00_1677 =
																		(BgL_arg1821z00_1667 == BgL_classz00_1646);
																}
															else
																{	/* Object/slots.scm 255 */
																	BgL_res1977z00_1677 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_1652 = BgL_res1977z00_1677;
										}
										BgL_test2133z00_2494 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_1651,
											BgL_arg1823z00_1652);
									}
								}
							else
								{	/* Object/slots.scm 255 */
									BgL_test2133z00_2494 = ((bool_t) 0);
								}
						}
						if (BgL_test2133z00_2494)
							{	/* Object/slots.scm 257 */
								bool_t BgL_test2137z00_2513;

								{	/* Object/slots.scm 257 */
									obj_t BgL_classz00_1678;

									BgL_classz00_1678 = BGl_tclassz00zzobject_classz00;
									if (BGL_OBJECTP(BgL_superz00_65))
										{	/* Object/slots.scm 257 */
											BgL_objectz00_bglt BgL_arg1825z00_1680;

											BgL_arg1825z00_1680 =
												(BgL_objectz00_bglt) (BgL_superz00_65);
											{	/* Object/slots.scm 257 */
												bool_t BgL_arg1822z00_1683;
												bool_t BgL_arg1823z00_1684;

												{	/* Object/slots.scm 257 */
													long BgL_idxz00_1687;

													BgL_idxz00_1687 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1680);
													BgL_arg1822z00_1683 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_1687 + ((long) 2))) ==
														BgL_classz00_1678);
												}
												{	/* Object/slots.scm 257 */
													bool_t BgL_res1978z00_1709;

													{	/* Object/slots.scm 257 */
														obj_t BgL_oclassz00_1695;

														{	/* Object/slots.scm 257 */
															long BgL_arg1833z00_1701;

															{	/* Object/slots.scm 257 */
																long BgL_arg1834z00_1702;

																BgL_arg1834z00_1702 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1680);
																BgL_arg1833z00_1701 =
																	(BgL_arg1834z00_1702 - OBJECT_TYPE);
															}
															BgL_oclassz00_1695 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_1701);
														}
														{	/* Object/slots.scm 257 */
															bool_t BgL__ortest_1110z00_1696;

															BgL__ortest_1110z00_1696 =
																(BgL_classz00_1678 == BgL_oclassz00_1695);
															if (BgL__ortest_1110z00_1696)
																{	/* Object/slots.scm 257 */
																	BgL_res1978z00_1709 =
																		BgL__ortest_1110z00_1696;
																}
															else
																{	/* Object/slots.scm 257 */
																	long BgL_odepthz00_1697;

																	BgL_odepthz00_1697 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_1695);
																	if ((((long) 2) < BgL_odepthz00_1697))
																		{	/* Object/slots.scm 257 */
																			obj_t BgL_arg1821z00_1699;

																			BgL_arg1821z00_1699 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_1695, ((long) 2));
																			BgL_res1978z00_1709 =
																				(BgL_arg1821z00_1699 ==
																				BgL_classz00_1678);
																		}
																	else
																		{	/* Object/slots.scm 257 */
																			BgL_res1978z00_1709 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_1684 = BgL_res1978z00_1709;
												}
												BgL_test2137z00_2513 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_1683,
													BgL_arg1823z00_1684);
											}
										}
									else
										{	/* Object/slots.scm 257 */
											BgL_test2137z00_2513 = ((bool_t) 0);
										}
								}
								if (BgL_test2137z00_2513)
									{
										BgL_tclassz00_bglt BgL_auxz00_2532;

										{
											obj_t BgL_auxz00_2533;

											{	/* Object/slots.scm 260 */
												BgL_objectz00_bglt BgL_tmpz00_2534;

												BgL_tmpz00_2534 =
													((BgL_objectz00_bglt)
													((BgL_typez00_bglt) BgL_superz00_65));
												BgL_auxz00_2533 = BGL_OBJECT_WIDENING(BgL_tmpz00_2534);
											}
											BgL_auxz00_2532 = ((BgL_tclassz00_bglt) BgL_auxz00_2533);
										}
										BgL_sslotsz00_831 =
											(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2532))->
											BgL_slotsz00);
									}
								else
									{	/* Object/slots.scm 257 */
										BgL_sslotsz00_831 = BNIL;
									}
							}
						else
							{	/* Object/slots.scm 255 */
								BgL_sslotsz00_831 = BNIL;
							}
					}
					{	/* Object/slots.scm 261 */
						long BgL_g1098z00_833;

						BgL_g1098z00_833 = bgl_list_length(BgL_sslotsz00_831);
						{
							obj_t BgL_clausesz00_835;
							obj_t BgL_nslotsz00_836;
							obj_t BgL_sslotsz00_837;
							obj_t BgL_vnumz00_838;
							long BgL_indexz00_839;

							BgL_clausesz00_835 = BgL_clausesz00_64;
							BgL_nslotsz00_836 = BNIL;
							BgL_sslotsz00_837 = BgL_sslotsz00_831;
							BgL_vnumz00_838 = BINT(BgL_vnumz00_66);
							BgL_indexz00_839 = BgL_g1098z00_833;
						BgL_zc3z04anonymousza31201ze3z87_840:
							if (NULLP(BgL_clausesz00_835))
								{	/* Object/slots.scm 266 */
									BgL_nslotsz00_1080 = BgL_nslotsz00_836;
									BgL_sslotsz00_1081 = BgL_sslotsz00_837;
									BgL_classz00_1082 = BgL_classz00_63;
									{
										obj_t BgL_l1163z00_1085;

										BgL_l1163z00_1085 = BgL_nslotsz00_1080;
									BgL_zc3z04anonymousza31597ze3z87_1086:
										if (PAIRP(BgL_l1163z00_1085))
											{	/* Object/slots.scm 228 */
												BgL_nslotz00_1051 = CAR(BgL_l1163z00_1085);
												BgL_sslotsz00_1052 = BgL_sslotsz00_1081;
												BgL_classz00_1053 = BgL_classz00_1082;
												if (
													((long) CINT(
															(((BgL_slotz00_bglt) COBJECT(
																		((BgL_slotz00_bglt) BgL_nslotz00_1051)))->
																BgL_virtualzd2numzd2)) >= ((long) 0)))
													{	/* Object/slots.scm 219 */
														BFALSE;
													}
												else
													{	/* Object/slots.scm 220 */
														obj_t BgL_idz00_1056;

														BgL_idz00_1056 =
															(((BgL_slotz00_bglt) COBJECT(
																	((BgL_slotz00_bglt) BgL_nslotz00_1051)))->
															BgL_idz00);
														{	/* Object/slots.scm 221 */
															bool_t BgL_test2144z00_2552;

															{
																obj_t BgL_l1160z00_1072;

																BgL_l1160z00_1072 = BgL_sslotsz00_1052;
															BgL_zc3z04anonymousza31587ze3z87_1073:
																if (NULLP(BgL_l1160z00_1072))
																	{	/* Object/slots.scm 221 */
																		BgL_test2144z00_2552 = ((bool_t) 0);
																	}
																else
																	{	/* Object/slots.scm 221 */
																		bool_t BgL__ortest_1162z00_1075;

																		BgL__ortest_1162z00_1075 =
																			(
																			(((BgL_slotz00_bglt) COBJECT(
																						((BgL_slotz00_bglt)
																							CAR(
																								((obj_t)
																									BgL_l1160z00_1072)))))->
																				BgL_idz00) == BgL_idz00_1056);
																		if (BgL__ortest_1162z00_1075)
																			{	/* Object/slots.scm 221 */
																				BgL_test2144z00_2552 =
																					BgL__ortest_1162z00_1075;
																			}
																		else
																			{
																				obj_t BgL_l1160z00_2561;

																				BgL_l1160z00_2561 =
																					CDR(((obj_t) BgL_l1160z00_1072));
																				BgL_l1160z00_1072 = BgL_l1160z00_2561;
																				goto
																					BgL_zc3z04anonymousza31587ze3z87_1073;
																			}
																	}
															}
															if (BgL_test2144z00_2552)
																{	/* Object/slots.scm 222 */
																	obj_t BgL_arg1583z00_1067;
																	obj_t BgL_arg1584z00_1068;

																	{	/* Object/slots.scm 222 */
																		obj_t BgL_arg1586z00_1070;

																		BgL_arg1586z00_1070 =
																			(((BgL_slotz00_bglt) COBJECT(
																					((BgL_slotz00_bglt)
																						BgL_nslotz00_1051)))->BgL_srcz00);
																		BgL_arg1583z00_1067 =
																			BGl_findzd2locationzd2zztools_locationz00
																			(BgL_arg1586z00_1070);
																	}
																	BgL_arg1584z00_1068 =
																		(((BgL_typez00_bglt) COBJECT(
																				((BgL_typez00_bglt)
																					BgL_classz00_1053)))->BgL_idz00);
																	BGl_userzd2errorzf2locationz20zztools_errorz00
																		(BgL_arg1583z00_1067, BgL_arg1584z00_1068,
																		BGl_string1986z00zzobject_slotsz00,
																		BgL_idz00_1056, BNIL);
																}
															else
																{	/* Object/slots.scm 221 */
																	BFALSE;
																}
														}
													}
												{
													obj_t BgL_l1163z00_2571;

													BgL_l1163z00_2571 = CDR(BgL_l1163z00_1085);
													BgL_l1163z00_1085 = BgL_l1163z00_2571;
													goto BgL_zc3z04anonymousza31597ze3z87_1086;
												}
											}
										else
											{	/* Object/slots.scm 228 */
												((bool_t) 1);
											}
									}
									return
										BGl_appendzd221011zd2zzobject_slotsz00(BgL_sslotsz00_837,
										bgl_reverse(BgL_nslotsz00_836));
								}
							else
								{	/* Object/slots.scm 271 */
									obj_t BgL_sz00_843;

									BgL_sz00_843 = CAR(((obj_t) BgL_clausesz00_835));
									{
										obj_t BgL_idz00_844;
										obj_t BgL_attrz00_845;
										obj_t BgL_idz00_847;

										if (PAIRP(BgL_sz00_843))
											{	/* Object/slots.scm 272 */
												obj_t BgL_carzd2431zd2_852;

												BgL_carzd2431zd2_852 = CAR(BgL_sz00_843);
												if (PAIRP(BgL_carzd2431zd2_852))
													{	/* Object/slots.scm 272 */
														obj_t BgL_cdrzd2435zd2_854;

														BgL_cdrzd2435zd2_854 = CDR(BgL_carzd2431zd2_852);
														if (
															(CAR(BgL_carzd2431zd2_852) ==
																CNST_TABLE_REF(((long) 2))))
															{	/* Object/slots.scm 272 */
																if (PAIRP(BgL_cdrzd2435zd2_854))
																	{	/* Object/slots.scm 272 */
																		if (NULLP(CDR(BgL_cdrzd2435zd2_854)))
																			{	/* Object/slots.scm 272 */
																				BgL_idz00_844 =
																					CAR(BgL_cdrzd2435zd2_854);
																				BgL_attrz00_845 = CDR(BgL_sz00_843);
																				{	/* Object/slots.scm 274 */
																					obj_t BgL_vgetz00_873;

																					BgL_attrz00_969 = BgL_attrz00_845;
																					{
																						obj_t BgL_attrz00_972;
																						obj_t BgL_getz00_973;
																						obj_t BgL_setz00_974;

																						BgL_attrz00_972 = BgL_attrz00_969;
																						BgL_getz00_973 = BFALSE;
																						BgL_setz00_974 = BFALSE;
																					BgL_zc3z04anonymousza31365ze3z87_975:
																						if (PAIRP(BgL_attrz00_972))
																							{

																								{	/* Object/slots.scm 159 */
																									obj_t BgL_ezd2399zd2_982;

																									BgL_ezd2399zd2_982 =
																										CAR(BgL_attrz00_972);
																									if (PAIRP(BgL_ezd2399zd2_982))
																										{	/* Object/slots.scm 159 */
																											obj_t
																												BgL_cdrzd2404zd2_984;
																											BgL_cdrzd2404zd2_984 =
																												CDR(BgL_ezd2399zd2_982);
																											if ((CAR
																													(BgL_ezd2399zd2_982)
																													==
																													CNST_TABLE_REF(((long)
																															0))))
																												{	/* Object/slots.scm 159 */
																													if (PAIRP
																														(BgL_cdrzd2404zd2_984))
																														{	/* Object/slots.scm 159 */
																															if (NULLP(CDR
																																	(BgL_cdrzd2404zd2_984)))
																																{
																																	obj_t
																																		BgL_getz00_2609;
																																	obj_t
																																		BgL_attrz00_2607;
																																	BgL_attrz00_2607
																																		=
																																		CDR
																																		(BgL_attrz00_972);
																																	BgL_getz00_2609
																																		=
																																		CAR
																																		(BgL_cdrzd2404zd2_984);
																																	BgL_getz00_973
																																		=
																																		BgL_getz00_2609;
																																	BgL_attrz00_972
																																		=
																																		BgL_attrz00_2607;
																																	goto
																																		BgL_zc3z04anonymousza31365ze3z87_975;
																																}
																															else
																																{	/* Object/slots.scm 159 */
																																BgL_tagzd2398zd2_981:
																																	{	/* Object/slots.scm 165 */
																																		obj_t
																																			BgL_arg1494z00_1004;
																																		BgL_arg1494z00_1004
																																			=
																																			CDR((
																																				(obj_t)
																																				BgL_attrz00_972));
																																		{
																																			obj_t
																																				BgL_attrz00_2613;
																																			BgL_attrz00_2613
																																				=
																																				BgL_arg1494z00_1004;
																																			BgL_attrz00_972
																																				=
																																				BgL_attrz00_2613;
																																			goto
																																				BgL_zc3z04anonymousza31365ze3z87_975;
																																		}
																																	}
																																}
																														}
																													else
																														{	/* Object/slots.scm 159 */
																															goto
																																BgL_tagzd2398zd2_981;
																														}
																												}
																											else
																												{	/* Object/slots.scm 159 */
																													if (
																														(CAR
																															(BgL_ezd2399zd2_982)
																															==
																															CNST_TABLE_REF((
																																	(long) 1))))
																														{	/* Object/slots.scm 159 */
																															if (PAIRP
																																(BgL_cdrzd2404zd2_984))
																																{	/* Object/slots.scm 159 */
																																	if (NULLP(CDR
																																			(BgL_cdrzd2404zd2_984)))
																																		{
																																			obj_t
																																				BgL_setz00_2625;
																																			obj_t
																																				BgL_attrz00_2623;
																																			BgL_attrz00_2623
																																				=
																																				CDR
																																				(BgL_attrz00_972);
																																			BgL_setz00_2625
																																				=
																																				CAR
																																				(BgL_cdrzd2404zd2_984);
																																			BgL_setz00_974
																																				=
																																				BgL_setz00_2625;
																																			BgL_attrz00_972
																																				=
																																				BgL_attrz00_2623;
																																			goto
																																				BgL_zc3z04anonymousza31365ze3z87_975;
																																		}
																																	else
																																		{	/* Object/slots.scm 159 */
																																			goto
																																				BgL_tagzd2398zd2_981;
																																		}
																																}
																															else
																																{	/* Object/slots.scm 159 */
																																	goto
																																		BgL_tagzd2398zd2_981;
																																}
																														}
																													else
																														{	/* Object/slots.scm 159 */
																															goto
																																BgL_tagzd2398zd2_981;
																														}
																												}
																										}
																									else
																										{	/* Object/slots.scm 159 */
																											goto BgL_tagzd2398zd2_981;
																										}
																								}
																							}
																						else
																							{	/* Object/slots.scm 157 */
																								{	/* Object/slots.scm 158 */
																									int BgL_tmpz00_2627;

																									BgL_tmpz00_2627 =
																										(int) (((long) 2));
																									BGL_MVALUES_NUMBER_SET
																										(BgL_tmpz00_2627);
																								}
																								{	/* Object/slots.scm 158 */
																									int BgL_tmpz00_2630;

																									BgL_tmpz00_2630 =
																										(int) (((long) 1));
																									BGL_MVALUES_VAL_SET
																										(BgL_tmpz00_2630,
																										BgL_setz00_974);
																								}
																								BgL_vgetz00_873 =
																									BgL_getz00_973;
																					}}
																					{	/* Object/slots.scm 275 */
																						obj_t BgL_vsetz00_874;

																						{	/* Object/slots.scm 277 */
																							obj_t BgL_tmpz00_1713;

																							{	/* Object/slots.scm 277 */
																								int BgL_tmpz00_2633;

																								BgL_tmpz00_2633 =
																									(int) (((long) 1));
																								BgL_tmpz00_1713 =
																									BGL_MVALUES_VAL
																									(BgL_tmpz00_2633);
																							}
																							{	/* Object/slots.scm 277 */
																								int BgL_tmpz00_2636;

																								BgL_tmpz00_2636 =
																									(int) (((long) 1));
																								BGL_MVALUES_VAL_SET
																									(BgL_tmpz00_2636, BUNSPEC);
																							}
																							BgL_vsetz00_874 = BgL_tmpz00_1713;
																						}
																						{	/* Object/slots.scm 277 */
																							bool_t BgL_test2160z00_2639;

																							if (CBOOL(BgL_vgetz00_873))
																								{	/* Object/slots.scm 277 */
																									BgL_test2160z00_2639 =
																										CBOOL
																										(BGl_slotzd2memberzf3ze70zc6zzobject_slotsz00
																										(CAR(((obj_t)
																													BgL_idz00_844)),
																											BgL_nslotsz00_836));
																								}
																							else
																								{	/* Object/slots.scm 277 */
																									BgL_test2160z00_2639 =
																										((bool_t) 0);
																								}
																							if (BgL_test2160z00_2639)
																								{	/* Object/slots.scm 278 */
																									obj_t BgL_arg1245z00_877;
																									obj_t BgL_arg1246z00_878;
																									obj_t BgL_arg1247z00_879;

																									BgL_arg1245z00_877 =
																										BGl_findzd2locationzd2zztools_locationz00
																										(BgL_sz00_843);
																									BgL_arg1246z00_878 =
																										CAR(((obj_t)
																											BgL_idz00_844));
																									BgL_arg1247z00_879 =
																										CAR(((obj_t)
																											BgL_idz00_844));
																									return
																										BGl_userzd2errorzf2locationz20zztools_errorz00
																										(BgL_arg1245z00_877,
																										BgL_arg1246z00_878,
																										BGl_string1988z00zzobject_slotsz00,
																										BgL_arg1247z00_879, BNIL);
																								}
																							else
																								{	/* Object/slots.scm 282 */
																									obj_t BgL_g1100z00_881;

																									if (CBOOL(BgL_vgetz00_873))
																										{	/* Object/slots.scm 282 */
																											BgL_g1100z00_881 =
																												BGl_slotzd2memberzf3ze70zc6zzobject_slotsz00
																												(CAR(((obj_t)
																														BgL_idz00_844)),
																												BgL_sslotsz00_837);
																										}
																									else
																										{	/* Object/slots.scm 282 */
																											BgL_g1100z00_881 = BFALSE;
																										}
																									if (CBOOL(BgL_g1100z00_881))
																										{	/* Object/slots.scm 282 */
																											{	/* Object/slots.scm 285 */
																												bool_t
																													BgL_test2164z00_2659;
																												{	/* Object/slots.scm 285 */
																													bool_t
																														BgL_test2165z00_2660;
																													{	/* Object/slots.scm 285 */
																														int
																															BgL_arg1275z00_896;
																														BgL_arg1275z00_896 =
																															BGl_bigloozd2warningzd2zz__paramz00
																															();
																														BgL_test2165z00_2660
																															=
																															((long)
																															(BgL_arg1275z00_896)
																															>= ((long) 2));
																													}
																													if (BgL_test2165z00_2660)
																														{	/* Object/slots.scm 285 */
																															BgL_test2164z00_2659
																																=
																																CBOOL
																																(BGl_za2warningzd2overridenzd2slotsza2z00zzengine_paramz00);
																														}
																													else
																														{	/* Object/slots.scm 285 */
																															BgL_test2164z00_2659
																																= ((bool_t) 0);
																														}
																												}
																												if (BgL_test2164z00_2659)
																													{	/* Object/slots.scm 287 */
																														obj_t
																															BgL_arg1257z00_888;
																														obj_t
																															BgL_arg1258z00_889;
																														obj_t
																															BgL_arg1259z00_890;
																														obj_t
																															BgL_arg1260z00_891;
																														BgL_arg1257z00_888 =
																															BGl_findzd2locationzd2zztools_locationz00
																															(BgL_sz00_843);
																														BgL_arg1258z00_889 =
																															CAR(((obj_t)
																																BgL_idz00_844));
																														{	/* Object/slots.scm 290 */
																															obj_t
																																BgL_arg1261z00_892;
																															BgL_arg1261z00_892
																																=
																																(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) (((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt) BgL_g1100z00_881)))->BgL_classzd2ownerzd2))))->BgL_idz00);
																															{	/* Object/slots.scm 289 */
																																obj_t
																																	BgL_list1262z00_893;
																																BgL_list1262z00_893
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1261z00_892,
																																	BNIL);
																																BgL_arg1259z00_890
																																	=
																																	BGl_formatz00zz__r4_output_6_10_3z00
																																	(BGl_string1989z00zzobject_slotsz00,
																																	BgL_list1262z00_893);
																															}
																														}
																														BgL_arg1260z00_891 =
																															CAR(
																															((obj_t)
																																BgL_idz00_844));
																														BGl_userzd2warningzf2locationz20zztools_errorz00
																															(BgL_arg1257z00_888,
																															BgL_arg1258z00_889,
																															BgL_arg1259z00_890,
																															BgL_arg1260z00_891);
																													}
																												else
																													{	/* Object/slots.scm 285 */
																														BFALSE;
																													}
																											}
																											{	/* Object/slots.scm 292 */
																												obj_t BgL_vnz00_897;
																												long BgL_viz00_898;

																												BgL_vnz00_897 =
																													(((BgL_slotz00_bglt)
																														COBJECT((
																																(BgL_slotz00_bglt)
																																BgL_g1100z00_881)))->
																													BgL_virtualzd2numzd2);
																												BgL_viz00_898 =
																													(((BgL_slotz00_bglt)
																														COBJECT((
																																(BgL_slotz00_bglt)
																																BgL_g1100z00_881)))->
																													BgL_indexz00);
																												{	/* Object/slots.scm 294 */
																													obj_t
																														BgL_arg1280z00_899;
																													obj_t
																														BgL_arg1281z00_900;
																													BgL_arg1280z00_899 =
																														CDR(((obj_t)
																															BgL_clausesz00_835));
																													BgL_arg1281z00_900 =
																														BGl_loopze70ze7zzobject_slotsz00
																														(BgL_g1100z00_881,
																														BGl_makezd2attributezd2slotze70ze7zzobject_slotsz00
																														(BgL_classz00_63,
																															BgL_sz00_843,
																															BgL_idz00_844,
																															BgL_attrz00_845,
																															BgL_vgetz00_873,
																															BgL_vsetz00_874,
																															BgL_vnz00_897,
																															((bool_t) 1),
																															BgL_viz00_898),
																														BgL_sslotsz00_837);
																													{
																														obj_t
																															BgL_sslotsz00_2686;
																														obj_t
																															BgL_clausesz00_2685;
																														BgL_clausesz00_2685
																															=
																															BgL_arg1280z00_899;
																														BgL_sslotsz00_2686 =
																															BgL_arg1281z00_900;
																														BgL_sslotsz00_837 =
																															BgL_sslotsz00_2686;
																														BgL_clausesz00_835 =
																															BgL_clausesz00_2685;
																														goto
																															BgL_zc3z04anonymousza31201ze3z87_840;
																													}
																												}
																											}
																										}
																									else
																										{	/* Object/slots.scm 302 */
																											obj_t BgL_arg1295z00_902;
																											obj_t BgL_arg1296z00_903;
																											obj_t BgL_arg1297z00_904;
																											long BgL_arg1298z00_905;

																											BgL_arg1295z00_902 =
																												CDR(
																												((obj_t)
																													BgL_clausesz00_835));
																											BgL_arg1296z00_903 =
																												MAKE_YOUNG_PAIR
																												(BGl_makezd2attributezd2slotze70ze7zzobject_slotsz00
																												(BgL_classz00_63,
																													BgL_sz00_843,
																													BgL_idz00_844,
																													BgL_attrz00_845,
																													BgL_vgetz00_873,
																													BgL_vsetz00_874,
																													BgL_vnumz00_838,
																													((bool_t) 0),
																													BgL_indexz00_839),
																												BgL_nslotsz00_836);
																											{	/* Object/slots.scm 306 */
																												bool_t
																													BgL_test2166z00_2691;
																												if (CBOOL
																													(BgL_vgetz00_873))
																													{	/* Object/slots.scm 306 */
																														BgL_test2166z00_2691
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Object/slots.scm 306 */
																														BgL_test2166z00_2691
																															=
																															CBOOL
																															(BgL_vsetz00_874);
																													}
																												if (BgL_test2166z00_2691)
																													{	/* Object/slots.scm 306 */
																														if (INTEGERP
																															(BgL_vnumz00_838))
																															{	/* Object/slots.scm 306 */
																																long
																																	BgL_tmpz00_2697;
																																BgL_tmpz00_2697
																																	=
																																	(long)
																																	CINT
																																	(BgL_vnumz00_838);
																																BgL_arg1297z00_904
																																	=
																																	BGL_SAFE_PLUS_FX
																																	(BgL_tmpz00_2697,
																																	((long) 1));
																															}
																														else
																															{	/* Object/slots.scm 306 */
																																BgL_arg1297z00_904
																																	=
																																	BGl_2zb2zb2zz__r4_numbers_6_5z00
																																	(BgL_vnumz00_838,
																																	BINT(((long)
																																			1)));
																													}}
																												else
																													{	/* Object/slots.scm 306 */
																														BgL_arg1297z00_904 =
																															BgL_vnumz00_838;
																													}
																											}
																											BgL_arg1298z00_905 =
																												(BgL_indexz00_839 +
																												((long) 1));
																											{
																												long BgL_indexz00_2706;
																												obj_t BgL_vnumz00_2705;
																												obj_t
																													BgL_nslotsz00_2704;
																												obj_t
																													BgL_clausesz00_2703;
																												BgL_clausesz00_2703 =
																													BgL_arg1295z00_902;
																												BgL_nslotsz00_2704 =
																													BgL_arg1296z00_903;
																												BgL_vnumz00_2705 =
																													BgL_arg1297z00_904;
																												BgL_indexz00_2706 =
																													BgL_arg1298z00_905;
																												BgL_indexz00_839 =
																													BgL_indexz00_2706;
																												BgL_vnumz00_838 =
																													BgL_vnumz00_2705;
																												BgL_nslotsz00_836 =
																													BgL_nslotsz00_2704;
																												BgL_clausesz00_835 =
																													BgL_clausesz00_2703;
																												goto
																													BgL_zc3z04anonymousza31201ze3z87_840;
																											}
																										}
																								}
																						}
																					}
																				}
																			}
																		else
																			{	/* Object/slots.scm 272 */
																			BgL_tagzd2425zd2_849:
																				{	/* Object/slots.scm 315 */
																					obj_t BgL_arg1311z00_916;
																					obj_t BgL_arg1313z00_917;

																					BgL_arg1311z00_916 =
																						BGl_findzd2locationzd2zztools_locationz00
																						(BgL_sz00_843);
																					BgL_arg1313z00_917 =
																						(((BgL_typez00_bglt)
																							COBJECT(((BgL_typez00_bglt)
																									BgL_classz00_63)))->
																						BgL_idz00);
																					return
																						BGl_userzd2errorzf2locationz20zztools_errorz00
																						(BgL_arg1311z00_916,
																						BgL_arg1313z00_917,
																						BGl_string1987z00zzobject_slotsz00,
																						BgL_sz00_843, BNIL);
																				}
																			}
																	}
																else
																	{	/* Object/slots.scm 272 */
																		goto BgL_tagzd2425zd2_849;
																	}
															}
														else
															{	/* Object/slots.scm 272 */
																goto BgL_tagzd2425zd2_849;
															}
													}
												else
													{	/* Object/slots.scm 272 */
														obj_t BgL_cdrzd2450zd2_864;

														BgL_cdrzd2450zd2_864 = CDR(BgL_sz00_843);
														if (
															(BgL_carzd2431zd2_852 ==
																CNST_TABLE_REF(((long) 2))))
															{	/* Object/slots.scm 272 */
																if (PAIRP(BgL_cdrzd2450zd2_864))
																	{	/* Object/slots.scm 272 */
																		if (NULLP(CDR(BgL_cdrzd2450zd2_864)))
																			{	/* Object/slots.scm 272 */
																				BgL_idz00_847 =
																					CAR(BgL_cdrzd2450zd2_864);
																				{	/* Object/slots.scm 309 */
																					obj_t BgL_arg1307z00_912;
																					obj_t BgL_arg1308z00_913;
																					long BgL_arg1309z00_914;

																					BgL_arg1307z00_912 =
																						CDR(((obj_t) BgL_clausesz00_835));
																					{	/* Object/slots.scm 310 */
																						BgL_slotz00_bglt BgL_arg1310z00_915;

																						BgL_slotzd2idzd2_1107 =
																							BgL_idz00_847;
																						BgL_indexz00_1108 =
																							BgL_indexz00_839;
																						{	/* Object/slots.scm 244 */
																							BgL_slotz00_bglt
																								BgL_new1096z00_1110;
																							{	/* Object/slots.scm 245 */
																								BgL_slotz00_bglt
																									BgL_new1095z00_1114;
																								BgL_new1095z00_1114 =
																									((BgL_slotz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_slotz00_bgl))));
																								{	/* Object/slots.scm 245 */
																									long BgL_arg1647z00_1115;

																									BgL_arg1647z00_1115 =
																										BGL_CLASS_NUM
																										(BGl_slotz00zzobject_slotsz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1095z00_1114),
																										BgL_arg1647z00_1115);
																								}
																								BgL_new1096z00_1110 =
																									BgL_new1095z00_1114;
																							}
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1096z00_1110))->
																									BgL_idz00) =
																								((obj_t) CAR(((obj_t)
																											BgL_slotzd2idzd2_1107))),
																								BUNSPEC);
																							{
																								obj_t BgL_auxz00_2731;

																								{	/* Object/slots.scm 247 */
																									obj_t BgL_arg1632z00_1111;

																									BgL_arg1632z00_1111 =
																										CAR(
																										((obj_t)
																											BgL_slotzd2idzd2_1107));
																									BgL_auxz00_2731 =
																										BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00
																										(BgL_arg1632z00_1111);
																								}
																								((((BgL_slotz00_bglt)
																											COBJECT
																											(BgL_new1096z00_1110))->
																										BgL_namez00) =
																									((obj_t) BgL_auxz00_2731),
																									BUNSPEC);
																							}
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1096z00_1110))->
																									BgL_srcz00) =
																								((obj_t) BgL_slotzd2idzd2_1107),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1096z00_1110))->
																									BgL_classzd2ownerzd2) =
																								((obj_t) ((obj_t)
																										BgL_classz00_63)), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1096z00_1110))->
																									BgL_indexz00) =
																								((long) BgL_indexz00_1108),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1096z00_1110))->
																									BgL_typez00) =
																								((obj_t)
																									BGl_findzd2slotzd2typez00zzobject_slotsz00
																									(BgL_slotzd2idzd2_1107,
																										BgL_srcz00_67)), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1096z00_1110))->
																									BgL_readzd2onlyzf3z21) =
																								((bool_t) ((bool_t) 0)),
																								BUNSPEC);
																							{
																								obj_t BgL_auxz00_2743;

																								{	/* Object/slots.scm 251 */
																									obj_t BgL_arg1633z00_1112;

																									{	/* Object/slots.scm 251 */
																										obj_t BgL_arg1636z00_1113;

																										{	/* Object/slots.scm 251 */
																											obj_t BgL_classz00_1644;

																											BgL_classz00_1644 =
																												BGl_slotz00zzobject_slotsz00;
																											BgL_arg1636z00_1113 =
																												BGL_CLASS_ALL_FIELDS
																												(BgL_classz00_1644);
																										}
																										BgL_arg1633z00_1112 =
																											VECTOR_REF
																											(BgL_arg1636z00_1113,
																											((long) 7));
																									}
																									BgL_auxz00_2743 =
																										BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
																										(BgL_arg1633z00_1112);
																								}
																								((((BgL_slotz00_bglt)
																											COBJECT
																											(BgL_new1096z00_1110))->
																										BgL_defaultzd2valuezd2) =
																									((obj_t) BgL_auxz00_2743),
																									BUNSPEC);
																							}
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1096z00_1110))->
																									BgL_virtualzd2numzd2) =
																								((obj_t) BINT(((long) -1))),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1096z00_1110))->
																									BgL_virtualzd2overridezd2) =
																								((bool_t) ((bool_t) 0)),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1096z00_1110))->
																									BgL_getterz00) =
																								((obj_t) BFALSE), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1096z00_1110))->
																									BgL_setterz00) =
																								((obj_t) BFALSE), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1096z00_1110))->
																									BgL_userzd2infozd2) =
																								((obj_t) BFALSE), BUNSPEC);
																							BgL_arg1310z00_915 =
																								BgL_new1096z00_1110;
																						}
																						BgL_arg1308z00_913 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_arg1310z00_915),
																							BgL_nslotsz00_836);
																					}
																					BgL_arg1309z00_914 =
																						(BgL_indexz00_839 + ((long) 1));
																					{
																						long BgL_indexz00_2759;
																						obj_t BgL_nslotsz00_2758;
																						obj_t BgL_clausesz00_2757;

																						BgL_clausesz00_2757 =
																							BgL_arg1307z00_912;
																						BgL_nslotsz00_2758 =
																							BgL_arg1308z00_913;
																						BgL_indexz00_2759 =
																							BgL_arg1309z00_914;
																						BgL_indexz00_839 =
																							BgL_indexz00_2759;
																						BgL_nslotsz00_836 =
																							BgL_nslotsz00_2758;
																						BgL_clausesz00_835 =
																							BgL_clausesz00_2757;
																						goto
																							BgL_zc3z04anonymousza31201ze3z87_840;
																					}
																				}
																			}
																		else
																			{	/* Object/slots.scm 272 */
																				goto BgL_tagzd2425zd2_849;
																			}
																	}
																else
																	{	/* Object/slots.scm 272 */
																		goto BgL_tagzd2425zd2_849;
																	}
															}
														else
															{	/* Object/slots.scm 272 */
																goto BgL_tagzd2425zd2_849;
															}
													}
											}
										else
											{	/* Object/slots.scm 272 */
												goto BgL_tagzd2425zd2_849;
											}
									}
								}
						}
					}
				}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzobject_slotsz00(obj_t BgL_oldz00_2215,
		obj_t BgL_newz00_2214, obj_t BgL_lstz00_1096)
	{
		{	/* Object/slots.scm 233 */
			if (NULLP(BgL_lstz00_1096))
				{	/* Object/slots.scm 235 */
					return BgL_lstz00_1096;
				}
			else
				{	/* Object/slots.scm 235 */
					if ((CAR(((obj_t) BgL_lstz00_1096)) == BgL_oldz00_2215))
						{	/* Object/slots.scm 238 */
							obj_t BgL_arg1612z00_1101;

							BgL_arg1612z00_1101 = CDR(((obj_t) BgL_lstz00_1096));
							return MAKE_YOUNG_PAIR(BgL_newz00_2214, BgL_arg1612z00_1101);
						}
					else
						{	/* Object/slots.scm 240 */
							obj_t BgL_arg1613z00_1102;
							obj_t BgL_arg1619z00_1103;

							BgL_arg1613z00_1102 = CAR(((obj_t) BgL_lstz00_1096));
							{	/* Object/slots.scm 240 */
								obj_t BgL_arg1620z00_1104;

								BgL_arg1620z00_1104 = CDR(((obj_t) BgL_lstz00_1096));
								BgL_arg1619z00_1103 =
									BGl_loopze70ze7zzobject_slotsz00(BgL_oldz00_2215,
									BgL_newz00_2214, BgL_arg1620z00_1104);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1613z00_1102, BgL_arg1619z00_1103);
						}
				}
		}

	}



/* slot-member?~0 */
	obj_t BGl_slotzd2memberzf3ze70zc6zzobject_slotsz00(obj_t BgL_idz00_1008,
		obj_t BgL_slotzd2listzd2_1009)
	{
		{	/* Object/slots.scm 177 */
			{
				obj_t BgL_slotzd2listzd2_1012;

				BgL_slotzd2listzd2_1012 = BgL_slotzd2listzd2_1009;
			BgL_zc3z04anonymousza31496ze3z87_1013:
				if (NULLP(BgL_slotzd2listzd2_1012))
					{	/* Object/slots.scm 172 */
						return BFALSE;
					}
				else
					{	/* Object/slots.scm 172 */
						if (
							((((BgL_slotz00_bglt) COBJECT(
											((BgL_slotz00_bglt)
												CAR(
													((obj_t) BgL_slotzd2listzd2_1012)))))->BgL_idz00) ==
								BgL_idz00_1008))
							{	/* Object/slots.scm 174 */
								return CAR(((obj_t) BgL_slotzd2listzd2_1012));
							}
						else
							{
								obj_t BgL_slotzd2listzd2_2787;

								BgL_slotzd2listzd2_2787 =
									CDR(((obj_t) BgL_slotzd2listzd2_1012));
								BgL_slotzd2listzd2_1012 = BgL_slotzd2listzd2_2787;
								goto BgL_zc3z04anonymousza31496ze3z87_1013;
							}
					}
			}
		}

	}



/* make-attribute-slot~0 */
	obj_t BGl_makezd2attributezd2slotze70ze7zzobject_slotsz00(BgL_typez00_bglt
		BgL_classz00_2216, obj_t BgL_sz00_1022, obj_t BgL_slotzd2idzd2_1023,
		obj_t BgL_attrz00_1024, obj_t BgL_vgetz00_1025, obj_t BgL_vsetz00_1026,
		obj_t BgL_vnumz00_1027, bool_t BgL_voverz00_1028, long BgL_indexz00_1029)
	{
		{	/* Object/slots.scm 216 */
			{
				obj_t BgL_attrz00_922;
				obj_t BgL_attrz00_951;

				{	/* Object/slots.scm 182 */
					obj_t BgL_readozf3zf3_1031;

					BgL_readozf3zf3_1031 =
						BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF(((long) 6)),
						BgL_attrz00_1024);
					{	/* Object/slots.scm 184 */
						bool_t BgL_test2176z00_2792;

						if (CBOOL(BgL_vsetz00_1026))
							{	/* Object/slots.scm 184 */
								if (CBOOL(BgL_vgetz00_1025))
									{	/* Object/slots.scm 184 */
										BgL_test2176z00_2792 = ((bool_t) 0);
									}
								else
									{	/* Object/slots.scm 184 */
										BgL_test2176z00_2792 = ((bool_t) 1);
									}
							}
						else
							{	/* Object/slots.scm 184 */
								BgL_test2176z00_2792 = ((bool_t) 0);
							}
						if (BgL_test2176z00_2792)
							{	/* Object/slots.scm 185 */
								obj_t BgL_arg1542z00_1033;
								obj_t BgL_arg1543z00_1034;
								obj_t BgL_arg1548z00_1035;

								BgL_arg1542z00_1033 =
									BGl_findzd2locationzd2zztools_locationz00(BgL_sz00_1022);
								BgL_arg1543z00_1034 =
									(((BgL_typez00_bglt) COBJECT(
											((BgL_typez00_bglt) BgL_classz00_2216)))->BgL_idz00);
								BgL_arg1548z00_1035 = CAR(((obj_t) BgL_slotzd2idzd2_1023));
								{	/* Object/slots.scm 185 */
									obj_t BgL_list1549z00_1036;

									BgL_list1549z00_1036 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_arg1542z00_1033, BgL_arg1543z00_1034,
										BGl_string1990z00zzobject_slotsz00, BgL_arg1548z00_1035,
										BgL_list1549z00_1036);
								}
							}
						else
							{	/* Object/slots.scm 190 */
								bool_t BgL_test2179z00_2804;

								if (CBOOL(BgL_vsetz00_1026))
									{	/* Object/slots.scm 190 */
										BgL_test2179z00_2804 = CBOOL(BgL_readozf3zf3_1031);
									}
								else
									{	/* Object/slots.scm 190 */
										BgL_test2179z00_2804 = ((bool_t) 0);
									}
								if (BgL_test2179z00_2804)
									{	/* Object/slots.scm 191 */
										obj_t BgL_arg1551z00_1038;
										obj_t BgL_arg1552z00_1039;
										obj_t BgL_arg1554z00_1040;

										BgL_arg1551z00_1038 =
											BGl_findzd2locationzd2zztools_locationz00(BgL_sz00_1022);
										BgL_arg1552z00_1039 =
											(((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt) BgL_classz00_2216)))->BgL_idz00);
										BgL_arg1554z00_1040 = CAR(((obj_t) BgL_slotzd2idzd2_1023));
										{	/* Object/slots.scm 191 */
											obj_t BgL_list1555z00_1041;

											BgL_list1555z00_1041 = MAKE_YOUNG_PAIR(BNIL, BNIL);
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_arg1551z00_1038, BgL_arg1552z00_1039,
												BGl_string1991z00zzobject_slotsz00, BgL_arg1554z00_1040,
												BgL_list1555z00_1041);
										}
									}
								else
									{	/* Object/slots.scm 196 */
										bool_t BgL_test2181z00_2815;

										if (CBOOL(BgL_vgetz00_1025))
											{	/* Object/slots.scm 196 */
												if (CBOOL(BgL_vsetz00_1026))
													{	/* Object/slots.scm 196 */
														BgL_test2181z00_2815 = ((bool_t) 0);
													}
												else
													{	/* Object/slots.scm 196 */
														if (CBOOL(BgL_readozf3zf3_1031))
															{	/* Object/slots.scm 196 */
																BgL_test2181z00_2815 = ((bool_t) 0);
															}
														else
															{	/* Object/slots.scm 196 */
																BgL_test2181z00_2815 = ((bool_t) 1);
															}
													}
											}
										else
											{	/* Object/slots.scm 196 */
												BgL_test2181z00_2815 = ((bool_t) 0);
											}
										if (BgL_test2181z00_2815)
											{	/* Object/slots.scm 197 */
												obj_t BgL_arg1563z00_1043;
												obj_t BgL_arg1564z00_1044;
												obj_t BgL_arg1567z00_1045;

												BgL_arg1563z00_1043 =
													BGl_findzd2locationzd2zztools_locationz00
													(BgL_sz00_1022);
												BgL_arg1564z00_1044 =
													(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
																BgL_classz00_2216)))->BgL_idz00);
												BgL_arg1567z00_1045 =
													CAR(((obj_t) BgL_slotzd2idzd2_1023));
												{	/* Object/slots.scm 197 */
													obj_t BgL_list1568z00_1046;

													BgL_list1568z00_1046 = MAKE_YOUNG_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_arg1563z00_1043, BgL_arg1564z00_1044,
														BGl_string1992z00zzobject_slotsz00,
														BgL_arg1567z00_1045, BgL_list1568z00_1046);
												}
											}
										else
											{	/* Object/slots.scm 203 */
												BgL_slotz00_bglt BgL_new1094z00_1047;

												{	/* Object/slots.scm 204 */
													BgL_slotz00_bglt BgL_new1093z00_1049;

													BgL_new1093z00_1049 =
														((BgL_slotz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_slotz00_bgl))));
													{	/* Object/slots.scm 204 */
														long BgL_arg1571z00_1050;

														BgL_arg1571z00_1050 =
															BGL_CLASS_NUM(BGl_slotz00zzobject_slotsz00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1093z00_1049),
															BgL_arg1571z00_1050);
													}
													BgL_new1094z00_1047 = BgL_new1093z00_1049;
												}
												((((BgL_slotz00_bglt) COBJECT(BgL_new1094z00_1047))->
														BgL_idz00) =
													((obj_t) CAR(((obj_t) BgL_slotzd2idzd2_1023))),
													BUNSPEC);
												{
													obj_t BgL_auxz00_2836;

													{	/* Object/slots.scm 206 */
														obj_t BgL_arg1570z00_1048;

														BgL_arg1570z00_1048 =
															CAR(((obj_t) BgL_slotzd2idzd2_1023));
														BgL_auxz00_2836 =
															BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00
															(BgL_arg1570z00_1048);
													}
													((((BgL_slotz00_bglt) COBJECT(BgL_new1094z00_1047))->
															BgL_namez00) =
														((obj_t) BgL_auxz00_2836), BUNSPEC);
												}
												((((BgL_slotz00_bglt) COBJECT(BgL_new1094z00_1047))->
														BgL_srcz00) = ((obj_t) BgL_sz00_1022), BUNSPEC);
												((((BgL_slotz00_bglt) COBJECT(BgL_new1094z00_1047))->
														BgL_classzd2ownerzd2) =
													((obj_t) ((obj_t) BgL_classz00_2216)), BUNSPEC);
												((((BgL_slotz00_bglt) COBJECT(BgL_new1094z00_1047))->
														BgL_indexz00) =
													((long) BgL_indexz00_1029), BUNSPEC);
												((((BgL_slotz00_bglt) COBJECT(BgL_new1094z00_1047))->
														BgL_typez00) =
													((obj_t)
														BGl_findzd2slotzd2typez00zzobject_slotsz00
														(BgL_slotzd2idzd2_1023, BgL_sz00_1022)), BUNSPEC);
												((((BgL_slotz00_bglt) COBJECT(BgL_new1094z00_1047))->
														BgL_readzd2onlyzf3z21) =
													((bool_t) CBOOL(BgL_readozf3zf3_1031)), BUNSPEC);
												{
													obj_t BgL_auxz00_2849;

													BgL_attrz00_922 = BgL_attrz00_1024;
												BgL_zc3z04anonymousza31317ze3z87_923:
													if (PAIRP(BgL_attrz00_922))
														{

															{	/* Object/slots.scm 134 */
																obj_t BgL_ezd2362zd2_930;

																BgL_ezd2362zd2_930 = CAR(BgL_attrz00_922);
																if (PAIRP(BgL_ezd2362zd2_930))
																	{	/* Object/slots.scm 134 */
																		obj_t BgL_cdrzd2366zd2_932;

																		BgL_cdrzd2366zd2_932 =
																			CDR(BgL_ezd2362zd2_930);
																		if (
																			(CAR(BgL_ezd2362zd2_930) ==
																				CNST_TABLE_REF(((long) 4))))
																			{	/* Object/slots.scm 134 */
																				if (PAIRP(BgL_cdrzd2366zd2_932))
																					{	/* Object/slots.scm 134 */
																						if (NULLP(CDR
																								(BgL_cdrzd2366zd2_932)))
																							{	/* Object/slots.scm 134 */
																								BgL_auxz00_2849 =
																									CAR(BgL_cdrzd2366zd2_932);
																							}
																						else
																							{	/* Object/slots.scm 134 */
																							BgL_tagzd2361zd2_929:
																								{	/* Object/slots.scm 140 */
																									obj_t BgL_arg1343z00_950;

																									BgL_arg1343z00_950 =
																										CDR(
																										((obj_t) BgL_attrz00_922));
																									{
																										obj_t BgL_attrz00_2868;

																										BgL_attrz00_2868 =
																											BgL_arg1343z00_950;
																										BgL_attrz00_922 =
																											BgL_attrz00_2868;
																										goto
																											BgL_zc3z04anonymousza31317ze3z87_923;
																									}
																								}
																							}
																					}
																				else
																					{	/* Object/slots.scm 134 */
																						goto BgL_tagzd2361zd2_929;
																					}
																			}
																		else
																			{	/* Object/slots.scm 134 */
																				if (
																					(CAR(BgL_ezd2362zd2_930) ==
																						CNST_TABLE_REF(((long) 5))))
																					{	/* Object/slots.scm 134 */
																						if (PAIRP(BgL_cdrzd2366zd2_932))
																							{	/* Object/slots.scm 134 */
																								if (NULLP(CDR
																										(BgL_cdrzd2366zd2_932)))
																									{	/* Object/slots.scm 134 */
																										obj_t BgL_arg1338z00_946;

																										BgL_arg1338z00_946 =
																											CAR(BgL_cdrzd2366zd2_932);
																										BgL_auxz00_2849 =
																											MAKE_YOUNG_PAIR
																											(BGl_slotzd2inlinezd2markz00zzobject_slotsz00,
																											BgL_arg1338z00_946);
																									}
																								else
																									{	/* Object/slots.scm 134 */
																										goto BgL_tagzd2361zd2_929;
																									}
																							}
																						else
																							{	/* Object/slots.scm 134 */
																								goto BgL_tagzd2361zd2_929;
																							}
																					}
																				else
																					{	/* Object/slots.scm 134 */
																						goto BgL_tagzd2361zd2_929;
																					}
																			}
																	}
																else
																	{	/* Object/slots.scm 134 */
																		goto BgL_tagzd2361zd2_929;
																	}
															}
														}
													else
														{	/* Object/slots.scm 132 */
															BgL_auxz00_2849 =
																MAKE_YOUNG_PAIR(BINT(((long) 1)),
																BINT(((long) 2)));
														}
													((((BgL_slotz00_bglt) COBJECT(BgL_new1094z00_1047))->
															BgL_defaultzd2valuezd2) =
														((obj_t) BgL_auxz00_2849), BUNSPEC);
												}
												{
													obj_t BgL_auxz00_2884;

													if (CBOOL(BgL_vgetz00_1025))
														{	/* Object/slots.scm 212 */
															BgL_auxz00_2884 = BgL_vnumz00_1027;
														}
													else
														{	/* Object/slots.scm 212 */
															BgL_auxz00_2884 = BINT(((long) -1));
														}
													((((BgL_slotz00_bglt) COBJECT(BgL_new1094z00_1047))->
															BgL_virtualzd2numzd2) =
														((obj_t) BgL_auxz00_2884), BUNSPEC);
												}
												((((BgL_slotz00_bglt) COBJECT(BgL_new1094z00_1047))->
														BgL_virtualzd2overridezd2) =
													((bool_t) BgL_voverz00_1028), BUNSPEC);
												((((BgL_slotz00_bglt) COBJECT(BgL_new1094z00_1047))->
														BgL_getterz00) =
													((obj_t) BgL_vgetz00_1025), BUNSPEC);
												((((BgL_slotz00_bglt) COBJECT(BgL_new1094z00_1047))->
														BgL_setterz00) =
													((obj_t) BgL_vsetz00_1026), BUNSPEC);
												{
													obj_t BgL_auxz00_2892;

													BgL_attrz00_951 = BgL_attrz00_1024;
												BgL_zc3z04anonymousza31344ze3z87_952:
													if (PAIRP(BgL_attrz00_951))
														{

															{	/* Object/slots.scm 146 */
																obj_t BgL_ezd2387zd2_957;

																BgL_ezd2387zd2_957 = CAR(BgL_attrz00_951);
																if (PAIRP(BgL_ezd2387zd2_957))
																	{	/* Object/slots.scm 146 */
																		obj_t BgL_cdrzd2391zd2_959;

																		BgL_cdrzd2391zd2_959 =
																			CDR(BgL_ezd2387zd2_957);
																		if (
																			(CAR(BgL_ezd2387zd2_957) ==
																				CNST_TABLE_REF(((long) 3))))
																			{	/* Object/slots.scm 146 */
																				if (PAIRP(BgL_cdrzd2391zd2_959))
																					{	/* Object/slots.scm 146 */
																						if (NULLP(CDR
																								(BgL_cdrzd2391zd2_959)))
																							{	/* Object/slots.scm 146 */
																								BgL_auxz00_2892 =
																									CAR(BgL_cdrzd2391zd2_959);
																							}
																						else
																							{	/* Object/slots.scm 146 */
																							BgL_tagzd2386zd2_956:
																								{
																									obj_t BgL_attrz00_2909;

																									BgL_attrz00_2909 =
																										CDR(
																										((obj_t) BgL_attrz00_951));
																									BgL_attrz00_951 =
																										BgL_attrz00_2909;
																									goto
																										BgL_zc3z04anonymousza31344ze3z87_952;
																								}
																							}
																					}
																				else
																					{	/* Object/slots.scm 146 */
																						goto BgL_tagzd2386zd2_956;
																					}
																			}
																		else
																			{	/* Object/slots.scm 146 */
																				goto BgL_tagzd2386zd2_956;
																			}
																	}
																else
																	{	/* Object/slots.scm 146 */
																		goto BgL_tagzd2386zd2_956;
																	}
															}
														}
													else
														{	/* Object/slots.scm 144 */
															BgL_auxz00_2892 = BFALSE;
														}
													((((BgL_slotz00_bglt) COBJECT(BgL_new1094z00_1047))->
															BgL_userzd2infozd2) =
														((obj_t) BgL_auxz00_2892), BUNSPEC);
												}
												return ((obj_t) BgL_new1094z00_1047);
											}
									}
							}
					}
				}
			}
		}

	}



/* &make-class-slots */
	obj_t BGl_z62makezd2classzd2slotsz62zzobject_slotsz00(obj_t BgL_envz00_2065,
		obj_t BgL_classz00_2066, obj_t BgL_clausesz00_2067, obj_t BgL_superz00_2068,
		obj_t BgL_vnumz00_2069, obj_t BgL_srcz00_2070)
	{
		{	/* Object/slots.scm 128 */
			return
				BGl_makezd2classzd2slotsz00zzobject_slotsz00(
				((BgL_typez00_bglt) BgL_classz00_2066), BgL_clausesz00_2067,
				BgL_superz00_2068, CINT(BgL_vnumz00_2069), BgL_srcz00_2070);
		}

	}



/* make-java-class-slots */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00(BgL_typez00_bglt
		BgL_classz00_68, obj_t BgL_clausesz00_69, obj_t BgL_superz00_70,
		obj_t BgL_srcz00_71)
	{
		{	/* Object/slots.scm 323 */
			{	/* Object/slots.scm 325 */
				obj_t BgL_locz00_1125;

				BgL_locz00_1125 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_71);
				{
					obj_t BgL_idz00_1165;
					obj_t BgL_jnamez00_1166;
					obj_t BgL_readozf3zf3_1167;
					obj_t BgL_srcz00_1168;
					obj_t BgL_identz00_1152;
					obj_t BgL_jnamez00_1153;
					obj_t BgL_readozf3zf3_1154;
					obj_t BgL_sz00_1155;
					long BgL_indexz00_1156;

					{	/* Object/slots.scm 356 */
						obj_t BgL_sslotsz00_1128;

						{	/* Object/slots.scm 357 */
							bool_t BgL_test2199z00_2918;

							{	/* Object/slots.scm 357 */
								obj_t BgL_classz00_1759;

								BgL_classz00_1759 = BGl_typez00zztype_typez00;
								if (BGL_OBJECTP(BgL_superz00_70))
									{	/* Object/slots.scm 357 */
										BgL_objectz00_bglt BgL_arg1825z00_1761;

										BgL_arg1825z00_1761 =
											(BgL_objectz00_bglt) (BgL_superz00_70);
										{	/* Object/slots.scm 357 */
											bool_t BgL_arg1822z00_1764;
											bool_t BgL_arg1823z00_1765;

											{	/* Object/slots.scm 357 */
												long BgL_idxz00_1768;

												BgL_idxz00_1768 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1761);
												BgL_arg1822z00_1764 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_1768 + ((long) 1))) ==
													BgL_classz00_1759);
											}
											{	/* Object/slots.scm 357 */
												bool_t BgL_res1979z00_1790;

												{	/* Object/slots.scm 357 */
													obj_t BgL_oclassz00_1776;

													{	/* Object/slots.scm 357 */
														long BgL_arg1833z00_1782;

														{	/* Object/slots.scm 357 */
															long BgL_arg1834z00_1783;

															BgL_arg1834z00_1783 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1761);
															BgL_arg1833z00_1782 =
																(BgL_arg1834z00_1783 - OBJECT_TYPE);
														}
														BgL_oclassz00_1776 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_1782);
													}
													{	/* Object/slots.scm 357 */
														bool_t BgL__ortest_1110z00_1777;

														BgL__ortest_1110z00_1777 =
															(BgL_classz00_1759 == BgL_oclassz00_1776);
														if (BgL__ortest_1110z00_1777)
															{	/* Object/slots.scm 357 */
																BgL_res1979z00_1790 = BgL__ortest_1110z00_1777;
															}
														else
															{	/* Object/slots.scm 357 */
																long BgL_odepthz00_1778;

																BgL_odepthz00_1778 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_1776);
																if ((((long) 1) < BgL_odepthz00_1778))
																	{	/* Object/slots.scm 357 */
																		obj_t BgL_arg1821z00_1780;

																		BgL_arg1821z00_1780 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_1776, ((long) 1));
																		BgL_res1979z00_1790 =
																			(BgL_arg1821z00_1780 ==
																			BgL_classz00_1759);
																	}
																else
																	{	/* Object/slots.scm 357 */
																		BgL_res1979z00_1790 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_1765 = BgL_res1979z00_1790;
											}
											BgL_test2199z00_2918 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_1764,
												BgL_arg1823z00_1765);
										}
									}
								else
									{	/* Object/slots.scm 357 */
										BgL_test2199z00_2918 = ((bool_t) 0);
									}
							}
							if (BgL_test2199z00_2918)
								{	/* Object/slots.scm 359 */
									bool_t BgL_test2203z00_2937;

									{	/* Object/slots.scm 359 */
										obj_t BgL_classz00_1791;

										BgL_classz00_1791 = BGl_jclassz00zzobject_classz00;
										if (BGL_OBJECTP(BgL_superz00_70))
											{	/* Object/slots.scm 359 */
												BgL_objectz00_bglt BgL_arg1825z00_1793;

												BgL_arg1825z00_1793 =
													(BgL_objectz00_bglt) (BgL_superz00_70);
												{	/* Object/slots.scm 359 */
													bool_t BgL_arg1822z00_1796;
													bool_t BgL_arg1823z00_1797;

													{	/* Object/slots.scm 359 */
														long BgL_idxz00_1800;

														BgL_idxz00_1800 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1793);
														BgL_arg1822z00_1796 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_1800 + ((long) 2))) ==
															BgL_classz00_1791);
													}
													{	/* Object/slots.scm 359 */
														bool_t BgL_res1980z00_1822;

														{	/* Object/slots.scm 359 */
															obj_t BgL_oclassz00_1808;

															{	/* Object/slots.scm 359 */
																long BgL_arg1833z00_1814;

																{	/* Object/slots.scm 359 */
																	long BgL_arg1834z00_1815;

																	BgL_arg1834z00_1815 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1793);
																	BgL_arg1833z00_1814 =
																		(BgL_arg1834z00_1815 - OBJECT_TYPE);
																}
																BgL_oclassz00_1808 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_1814);
															}
															{	/* Object/slots.scm 359 */
																bool_t BgL__ortest_1110z00_1809;

																BgL__ortest_1110z00_1809 =
																	(BgL_classz00_1791 == BgL_oclassz00_1808);
																if (BgL__ortest_1110z00_1809)
																	{	/* Object/slots.scm 359 */
																		BgL_res1980z00_1822 =
																			BgL__ortest_1110z00_1809;
																	}
																else
																	{	/* Object/slots.scm 359 */
																		long BgL_odepthz00_1810;

																		BgL_odepthz00_1810 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_1808);
																		if ((((long) 2) < BgL_odepthz00_1810))
																			{	/* Object/slots.scm 359 */
																				obj_t BgL_arg1821z00_1812;

																				BgL_arg1821z00_1812 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_1808, ((long) 2));
																				BgL_res1980z00_1822 =
																					(BgL_arg1821z00_1812 ==
																					BgL_classz00_1791);
																			}
																		else
																			{	/* Object/slots.scm 359 */
																				BgL_res1980z00_1822 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_1797 = BgL_res1980z00_1822;
													}
													BgL_test2203z00_2937 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_1796,
														BgL_arg1823z00_1797);
												}
											}
										else
											{	/* Object/slots.scm 359 */
												BgL_test2203z00_2937 = ((bool_t) 0);
											}
									}
									if (BgL_test2203z00_2937)
										{	/* Object/slots.scm 362 */
											obj_t BgL_arg1668z00_1151;

											{
												BgL_jclassz00_bglt BgL_auxz00_2956;

												{
													obj_t BgL_auxz00_2957;

													{	/* Object/slots.scm 362 */
														BgL_objectz00_bglt BgL_tmpz00_2958;

														BgL_tmpz00_2958 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_superz00_70));
														BgL_auxz00_2957 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2958);
													}
													BgL_auxz00_2956 =
														((BgL_jclassz00_bglt) BgL_auxz00_2957);
												}
												BgL_arg1668z00_1151 =
													(((BgL_jclassz00_bglt) COBJECT(BgL_auxz00_2956))->
													BgL_slotsz00);
											}
											BgL_sslotsz00_1128 = bgl_reverse(BgL_arg1668z00_1151);
										}
									else
										{	/* Object/slots.scm 359 */
											BgL_sslotsz00_1128 = BNIL;
										}
								}
							else
								{	/* Object/slots.scm 357 */
									BgL_sslotsz00_1128 = BNIL;
								}
						}
						{	/* Object/slots.scm 363 */
							long BgL_g1104z00_1129;

							BgL_g1104z00_1129 = bgl_list_length(BgL_sslotsz00_1128);
							{
								obj_t BgL_clausesz00_1131;
								obj_t BgL_resz00_1132;
								long BgL_indexz00_1133;

								BgL_clausesz00_1131 = BgL_clausesz00_69;
								BgL_resz00_1132 = BgL_sslotsz00_1128;
								BgL_indexz00_1133 = BgL_g1104z00_1129;
							BgL_zc3z04anonymousza31648ze3z87_1134:
								if (NULLP(BgL_clausesz00_1131))
									{	/* Object/slots.scm 366 */
										return BgL_resz00_1132;
									}
								else
									{	/* Object/slots.scm 368 */
										obj_t BgL_sz00_1136;

										BgL_sz00_1136 = CAR(((obj_t) BgL_clausesz00_1131));
										{	/* Object/slots.scm 368 */
											obj_t BgL_srcz00_1137;

											BgL_srcz00_1137 = CAR(((obj_t) BgL_sz00_1136));
											{	/* Object/slots.scm 369 */
												obj_t BgL_idz00_1138;

												{	/* Object/slots.scm 370 */
													obj_t BgL_pairz00_1830;

													BgL_pairz00_1830 = CDR(((obj_t) BgL_sz00_1136));
													BgL_idz00_1138 = CAR(BgL_pairz00_1830);
												}
												{	/* Object/slots.scm 370 */
													obj_t BgL_jnamez00_1139;

													{	/* Object/slots.scm 371 */
														obj_t BgL_pairz00_1836;

														{	/* Object/slots.scm 371 */
															obj_t BgL_pairz00_1835;

															BgL_pairz00_1835 = CDR(((obj_t) BgL_sz00_1136));
															BgL_pairz00_1836 = CDR(BgL_pairz00_1835);
														}
														BgL_jnamez00_1139 = CAR(BgL_pairz00_1836);
													}
													{	/* Object/slots.scm 371 */
														obj_t BgL_modz00_1140;

														{	/* Object/slots.scm 372 */
															obj_t BgL_pairz00_1844;

															{	/* Object/slots.scm 372 */
																obj_t BgL_pairz00_1843;

																{	/* Object/slots.scm 372 */
																	obj_t BgL_pairz00_1842;

																	BgL_pairz00_1842 =
																		CDR(((obj_t) BgL_sz00_1136));
																	BgL_pairz00_1843 = CDR(BgL_pairz00_1842);
																}
																BgL_pairz00_1844 = CDR(BgL_pairz00_1843);
															}
															BgL_modz00_1140 = CAR(BgL_pairz00_1844);
														}
														{	/* Object/slots.scm 372 */
															obj_t BgL_readozf3zf3_1141;

															BgL_readozf3zf3_1141 =
																BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																(CNST_TABLE_REF(((long) 9)), BgL_modz00_1140);
															{	/* Object/slots.scm 373 */

																if (CBOOL
																	(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																		(CNST_TABLE_REF(((long) 10)),
																			BgL_modz00_1140)))
																	{	/* Object/slots.scm 374 */
																		BgL_idz00_1165 = BgL_idz00_1138;
																		BgL_jnamez00_1166 = BgL_jnamez00_1139;
																		BgL_readozf3zf3_1167 = BgL_readozf3zf3_1141;
																		BgL_srcz00_1168 = BgL_srcz00_1137;
																		{	/* Object/slots.scm 340 */
																			obj_t BgL_locz00_1170;

																			BgL_locz00_1170 =
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_srcz00_1168, BgL_locz00_1125);
																			{	/* Object/slots.scm 340 */
																				obj_t BgL_slotzd2idzd2_1171;

																				BgL_slotzd2idzd2_1171 =
																					BGl_parsezd2idzd2zzast_identz00
																					(BgL_idz00_1165, BgL_locz00_1170);
																				{	/* Object/slots.scm 341 */
																					obj_t BgL_lzd2idzd2_1172;

																					if (
																						((((BgL_typez00_bglt) COBJECT(
																										((BgL_typez00_bglt)
																											BgL_classz00_68)))->
																								BgL_idz00) ==
																							CNST_TABLE_REF(((long) 7))))
																						{	/* Object/slots.scm 342 */
																							BgL_lzd2idzd2_1172 =
																								CAR(BgL_slotzd2idzd2_1171);
																						}
																					else
																						{	/* Object/slots.scm 344 */
																							obj_t BgL_arg1706z00_1184;
																							obj_t BgL_arg1711z00_1185;

																							BgL_arg1706z00_1184 =
																								(((BgL_typez00_bglt) COBJECT(
																										((BgL_typez00_bglt)
																											BgL_classz00_68)))->
																								BgL_idz00);
																							BgL_arg1711z00_1185 =
																								CAR(BgL_slotzd2idzd2_1171);
																							{	/* Object/slots.scm 344 */
																								obj_t BgL_list1712z00_1186;

																								{	/* Object/slots.scm 344 */
																									obj_t BgL_arg1713z00_1187;

																									{	/* Object/slots.scm 344 */
																										obj_t BgL_arg1714z00_1188;

																										BgL_arg1714z00_1188 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1711z00_1185,
																											BNIL);
																										BgL_arg1713z00_1187 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													8)),
																											BgL_arg1714z00_1188);
																									}
																									BgL_list1712z00_1186 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1706z00_1184,
																										BgL_arg1713z00_1187);
																								}
																								BgL_lzd2idzd2_1172 =
																									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																									(BgL_list1712z00_1186);
																						}}
																					{	/* Object/slots.scm 342 */
																						obj_t BgL_tzd2idzd2_1173;

																						{	/* Object/slots.scm 345 */
																							bool_t BgL_test2210z00_3006;

																							{	/* Object/slots.scm 345 */
																								obj_t BgL_arg1699z00_1181;

																								BgL_arg1699z00_1181 =
																									CDR(BgL_slotzd2idzd2_1171);
																								BgL_test2210z00_3006 =
																									(BgL_arg1699z00_1181 ==
																									BGl_za2_za2z00zztype_cachez00);
																							}
																							if (BgL_test2210z00_3006)
																								{	/* Object/slots.scm 345 */
																									BgL_tzd2idzd2_1173 =
																										BGl_za2objza2z00zztype_cachez00;
																								}
																							else
																								{	/* Object/slots.scm 345 */
																									BgL_tzd2idzd2_1173 =
																										CDR(BgL_slotzd2idzd2_1171);
																								}
																						}
																						{	/* Object/slots.scm 348 */

																							BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00
																								(((BgL_typez00_bglt)
																									BgL_tzd2idzd2_1173),
																								BgL_srcz00_1168);
																							{	/* Object/slots.scm 350 */
																								BgL_globalz00_bglt
																									BgL_gz00_1175;
																								{	/* Object/slots.scm 351 */
																									obj_t BgL_arg1694z00_1178;

																									BgL_arg1694z00_1178 =
																										(((BgL_typez00_bglt)
																											COBJECT((
																													(BgL_typez00_bglt)
																													BgL_tzd2idzd2_1173)))->
																										BgL_idz00);
																									BgL_gz00_1175 =
																										BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2
																										(BgL_lzd2idzd2_1172, BFALSE,
																										BgL_jnamez00_1166,
																										BgL_arg1694z00_1178,
																										CBOOL(BgL_readozf3zf3_1167),
																										BgL_srcz00_1168, BFALSE);
																								}
																								{	/* Object/slots.scm 352 */
																									obj_t BgL_arg1681z00_1176;

																									BgL_arg1681z00_1176 =
																										(((BgL_typez00_bglt)
																											COBJECT((
																													(BgL_typez00_bglt)
																													BgL_classz00_68)))->
																										BgL_idz00);
																									((((BgL_globalz00_bglt)
																												COBJECT
																												(BgL_gz00_1175))->
																											BgL_modulez00) =
																										((obj_t)
																											BgL_arg1681z00_1176),
																										BUNSPEC);
																								}
																								{	/* Object/slots.scm 353 */
																									obj_t BgL_arg1682z00_1177;

																									BgL_arg1682z00_1177 =
																										(((BgL_typez00_bglt)
																											COBJECT((
																													(BgL_typez00_bglt)
																													BgL_classz00_68)))->
																										BgL_namez00);
																									((((BgL_globalz00_bglt)
																												COBJECT
																												(BgL_gz00_1175))->
																											BgL_jvmzd2typezd2namez00)
																										=
																										((obj_t) ((obj_t)
																												BgL_arg1682z00_1177)),
																										BUNSPEC);
																								}
																								BgL_gz00_1175;
																							}
																						}
																					}
																				}
																			}
																		}
																		{	/* Object/slots.scm 377 */
																			obj_t BgL_arg1652z00_1143;

																			BgL_arg1652z00_1143 =
																				CDR(((obj_t) BgL_clausesz00_1131));
																			{
																				obj_t BgL_clausesz00_3025;

																				BgL_clausesz00_3025 =
																					BgL_arg1652z00_1143;
																				BgL_clausesz00_1131 =
																					BgL_clausesz00_3025;
																				goto
																					BgL_zc3z04anonymousza31648ze3z87_1134;
																			}
																		}
																	}
																else
																	{	/* Object/slots.scm 378 */
																		obj_t BgL_arg1656z00_1144;
																		obj_t BgL_arg1657z00_1145;
																		long BgL_arg1660z00_1146;

																		BgL_arg1656z00_1144 =
																			CDR(((obj_t) BgL_clausesz00_1131));
																		{	/* Object/slots.scm 379 */
																			BgL_slotz00_bglt BgL_arg1665z00_1147;

																			BgL_identz00_1152 = BgL_idz00_1138;
																			BgL_jnamez00_1153 = BgL_jnamez00_1139;
																			BgL_readozf3zf3_1154 =
																				BgL_readozf3zf3_1141;
																			BgL_sz00_1155 = BgL_srcz00_1137;
																			BgL_indexz00_1156 = BgL_indexz00_1133;
																			{	/* Object/slots.scm 328 */
																				obj_t BgL_locz00_1158;

																				BgL_locz00_1158 =
																					BGl_findzd2locationzf2locz20zztools_locationz00
																					(BgL_sz00_1155, BgL_locz00_1125);
																				{	/* Object/slots.scm 328 */
																					obj_t BgL_slotzd2idzd2_1159;

																					BgL_slotzd2idzd2_1159 =
																						BGl_parsezd2idzd2zzast_identz00
																						(BgL_identz00_1152,
																						BgL_locz00_1158);
																					{	/* Object/slots.scm 329 */

																						{	/* Object/slots.scm 330 */
																							BgL_slotz00_bglt
																								BgL_new1103z00_1160;
																							{	/* Object/slots.scm 331 */
																								BgL_slotz00_bglt
																									BgL_new1102z00_1163;
																								BgL_new1102z00_1163 =
																									((BgL_slotz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_slotz00_bgl))));
																								{	/* Object/slots.scm 331 */
																									long BgL_arg1678z00_1164;

																									BgL_arg1678z00_1164 =
																										BGL_CLASS_NUM
																										(BGl_slotz00zzobject_slotsz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1102z00_1163),
																										BgL_arg1678z00_1164);
																								}
																								BgL_new1103z00_1160 =
																									BgL_new1102z00_1163;
																							}
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1103z00_1160))->
																									BgL_idz00) =
																								((obj_t)
																									CAR(BgL_slotzd2idzd2_1159)),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1103z00_1160))->
																									BgL_namez00) =
																								((obj_t) BgL_jnamez00_1153),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1103z00_1160))->
																									BgL_srcz00) =
																								((obj_t) BgL_sz00_1155),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1103z00_1160))->
																									BgL_classzd2ownerzd2) =
																								((obj_t) ((obj_t)
																										BgL_classz00_68)), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1103z00_1160))->
																									BgL_indexz00) =
																								((long) BgL_indexz00_1156),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1103z00_1160))->
																									BgL_typez00) =
																								((obj_t)
																									BGl_findzd2slotzd2typez00zzobject_slotsz00
																									(BgL_slotzd2idzd2_1159,
																										BgL_srcz00_71)), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1103z00_1160))->
																									BgL_readzd2onlyzf3z21) =
																								((bool_t)
																									CBOOL(BgL_readozf3zf3_1154)),
																								BUNSPEC);
																							{
																								obj_t BgL_auxz00_3045;

																								{	/* Object/slots.scm 335 */
																									obj_t BgL_arg1675z00_1161;

																									{	/* Object/slots.scm 335 */
																										obj_t BgL_arg1676z00_1162;

																										{	/* Object/slots.scm 335 */
																											obj_t BgL_classz00_1744;

																											BgL_classz00_1744 =
																												BGl_slotz00zzobject_slotsz00;
																											BgL_arg1676z00_1162 =
																												BGL_CLASS_ALL_FIELDS
																												(BgL_classz00_1744);
																										}
																										BgL_arg1675z00_1161 =
																											VECTOR_REF
																											(BgL_arg1676z00_1162,
																											((long) 7));
																									}
																									BgL_auxz00_3045 =
																										BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
																										(BgL_arg1675z00_1161);
																								}
																								((((BgL_slotz00_bglt)
																											COBJECT
																											(BgL_new1103z00_1160))->
																										BgL_defaultzd2valuezd2) =
																									((obj_t) BgL_auxz00_3045),
																									BUNSPEC);
																							}
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1103z00_1160))->
																									BgL_virtualzd2numzd2) =
																								((obj_t) BINT(((long) -1))),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1103z00_1160))->
																									BgL_virtualzd2overridezd2) =
																								((bool_t) ((bool_t) 0)),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1103z00_1160))->
																									BgL_getterz00) =
																								((obj_t) BFALSE), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1103z00_1160))->
																									BgL_setterz00) =
																								((obj_t) BFALSE), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1103z00_1160))->
																									BgL_userzd2infozd2) =
																								((obj_t) BUNSPEC), BUNSPEC);
																							BgL_arg1665z00_1147 =
																								BgL_new1103z00_1160;
																			}}}}
																			BgL_arg1657z00_1145 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_arg1665z00_1147),
																				BgL_resz00_1132);
																		}
																		BgL_arg1660z00_1146 =
																			(((long) 1) + BgL_indexz00_1133);
																		{
																			long BgL_indexz00_3061;
																			obj_t BgL_resz00_3060;
																			obj_t BgL_clausesz00_3059;

																			BgL_clausesz00_3059 = BgL_arg1656z00_1144;
																			BgL_resz00_3060 = BgL_arg1657z00_1145;
																			BgL_indexz00_3061 = BgL_arg1660z00_1146;
																			BgL_indexz00_1133 = BgL_indexz00_3061;
																			BgL_resz00_1132 = BgL_resz00_3060;
																			BgL_clausesz00_1131 = BgL_clausesz00_3059;
																			goto
																				BgL_zc3z04anonymousza31648ze3z87_1134;
																		}
																	}
															}
														}
													}
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}

	}



/* &make-java-class-slots */
	obj_t BGl_z62makezd2javazd2classzd2slotszb0zzobject_slotsz00(obj_t
		BgL_envz00_2071, obj_t BgL_classz00_2072, obj_t BgL_clausesz00_2073,
		obj_t BgL_superz00_2074, obj_t BgL_srcz00_2075)
	{
		{	/* Object/slots.scm 323 */
			return
				BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00(
				((BgL_typez00_bglt) BgL_classz00_2072), BgL_clausesz00_2073,
				BgL_superz00_2074, BgL_srcz00_2075);
		}

	}



/* find-slot-type */
	obj_t BGl_findzd2slotzd2typez00zzobject_slotsz00(obj_t BgL_slotzd2idzd2_72,
		obj_t BgL_srcz00_73)
	{
		{	/* Object/slots.scm 386 */
			{	/* Object/slots.scm 387 */
				obj_t BgL_tz00_1192;

				{	/* Object/slots.scm 387 */
					bool_t BgL_test2211z00_3064;

					{	/* Object/slots.scm 387 */
						obj_t BgL_arg1721z00_1195;

						BgL_arg1721z00_1195 = CDR(((obj_t) BgL_slotzd2idzd2_72));
						BgL_test2211z00_3064 =
							(BgL_arg1721z00_1195 == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2211z00_3064)
						{	/* Object/slots.scm 387 */
							BgL_tz00_1192 = BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Object/slots.scm 387 */
							BgL_tz00_1192 = CDR(((obj_t) BgL_slotzd2idzd2_72));
						}
				}
				BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00(
					((BgL_typez00_bglt) BgL_tz00_1192), BgL_srcz00_73);
				return BgL_tz00_1192;
			}
		}

	}



/* scheme-symbol->c-string */
	obj_t BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00(obj_t
		BgL_symbolz00_74)
	{
		{	/* Object/slots.scm 394 */
			if (CBOOL(BGl_za2astzd2casezd2sensitiveza2z00zzengine_paramz00))
				{	/* Object/slots.scm 395 */
					return BGl_idzd2ze3namez31zzast_identz00(BgL_symbolz00_74);
				}
			else
				{	/* Object/slots.scm 395 */
					return
						BGl_stringzd2downcasezd2zz__r4_strings_6_7z00
						(BGl_idzd2ze3namez31zzast_identz00(BgL_symbolz00_74));
				}
		}

	}



/* get-local-virtual-slots-number */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00
		(BgL_typez00_bglt BgL_classz00_75, obj_t BgL_slotsz00_76)
	{
		{	/* Object/slots.scm 411 */
			{
				obj_t BgL_slotsz00_1198;
				obj_t BgL_numz00_1199;

				{	/* Object/slots.scm 412 */
					long BgL_tmpz00_3077;

					BgL_slotsz00_1198 = BgL_slotsz00_76;
					BgL_numz00_1199 = BINT(((long) -1));
				BgL_zc3z04anonymousza31724ze3z87_1200:
					if (NULLP(BgL_slotsz00_1198))
						{	/* Object/slots.scm 415 */
							BgL_tmpz00_3077 = ((long) CINT(BgL_numz00_1199) + ((long) 1));
						}
					else
						{	/* Object/slots.scm 415 */
							if (
								((long) CINT(
										(((BgL_slotz00_bglt) COBJECT(
													((BgL_slotz00_bglt)
														CAR(
															((obj_t) BgL_slotsz00_1198)))))->
											BgL_virtualzd2numzd2)) >= ((long) 0)))
								{	/* Object/slots.scm 418 */
									obj_t BgL_lnumz00_1204;

									BgL_lnumz00_1204 =
										(((BgL_slotz00_bglt) COBJECT(
												((BgL_slotz00_bglt)
													CAR(
														((obj_t) BgL_slotsz00_1198)))))->
										BgL_virtualzd2numzd2);
									{
										obj_t BgL_numz00_3096;
										obj_t BgL_slotsz00_3093;

										BgL_slotsz00_3093 = CDR(((obj_t) BgL_slotsz00_1198));
										if (
											((long) CINT(BgL_lnumz00_1204) >
												(long) CINT(BgL_numz00_1199)))
											{	/* Object/slots.scm 420 */
												BgL_numz00_3096 = BgL_lnumz00_1204;
											}
										else
											{	/* Object/slots.scm 420 */
												BgL_numz00_3096 = BgL_numz00_1199;
											}
										BgL_numz00_1199 = BgL_numz00_3096;
										BgL_slotsz00_1198 = BgL_slotsz00_3093;
										goto BgL_zc3z04anonymousza31724ze3z87_1200;
									}
								}
							else
								{
									obj_t BgL_slotsz00_3101;

									BgL_slotsz00_3101 = CDR(((obj_t) BgL_slotsz00_1198));
									BgL_slotsz00_1198 = BgL_slotsz00_3101;
									goto BgL_zc3z04anonymousza31724ze3z87_1200;
								}
						}
					return BINT(BgL_tmpz00_3077);
				}
			}
		}

	}



/* &get-local-virtual-slots-number */
	obj_t BGl_z62getzd2localzd2virtualzd2slotszd2numberz62zzobject_slotsz00(obj_t
		BgL_envz00_2076, obj_t BgL_classz00_2077, obj_t BgL_slotsz00_2078)
	{
		{	/* Object/slots.scm 411 */
			return
				BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(
				((BgL_typez00_bglt) BgL_classz00_2077), BgL_slotsz00_2078);
		}

	}



/* make-class-make-formals */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(obj_t BgL_slotsz00_77)
	{
		{	/* Object/slots.scm 429 */
			{
				obj_t BgL_slotsz00_1214;
				obj_t BgL_formalsz00_1215;

				BgL_slotsz00_1214 = BgL_slotsz00_77;
				BgL_formalsz00_1215 = BNIL;
			BgL_zc3z04anonymousza31740ze3z87_1216:
				if (NULLP(BgL_slotsz00_1214))
					{	/* Object/slots.scm 433 */
						return bgl_reverse_bang(BgL_formalsz00_1215);
					}
				else
					{	/* Object/slots.scm 433 */
						if (
							((long) CINT(
									(((BgL_slotz00_bglt) COBJECT(
												((BgL_slotz00_bglt)
													CAR(
														((obj_t) BgL_slotsz00_1214)))))->
										BgL_virtualzd2numzd2)) >= ((long) 0)))
							{	/* Object/slots.scm 436 */
								obj_t BgL_arg1745z00_1220;

								BgL_arg1745z00_1220 = CDR(((obj_t) BgL_slotsz00_1214));
								{
									obj_t BgL_slotsz00_3120;

									BgL_slotsz00_3120 = BgL_arg1745z00_1220;
									BgL_slotsz00_1214 = BgL_slotsz00_3120;
									goto BgL_zc3z04anonymousza31740ze3z87_1216;
								}
							}
						else
							{	/* Object/slots.scm 438 */
								obj_t BgL_arg1746z00_1221;
								obj_t BgL_arg1747z00_1222;

								BgL_arg1746z00_1221 = CDR(((obj_t) BgL_slotsz00_1214));
								{	/* Object/slots.scm 439 */
									obj_t BgL_arg1748z00_1223;

									{	/* Object/slots.scm 439 */
										obj_t BgL_arg1749z00_1224;

										{	/* Object/slots.scm 439 */
											obj_t BgL_arg1750z00_1225;

											BgL_arg1750z00_1225 =
												(((BgL_slotz00_bglt) COBJECT(
														((BgL_slotz00_bglt)
															CAR(((obj_t) BgL_slotsz00_1214)))))->BgL_idz00);
											BgL_arg1749z00_1224 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1750z00_1225);
										}
										BgL_arg1748z00_1223 =
											BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
											(BgL_arg1749z00_1224);
									}
									BgL_arg1747z00_1222 =
										MAKE_YOUNG_PAIR(BgL_arg1748z00_1223, BgL_formalsz00_1215);
								}
								{
									obj_t BgL_formalsz00_3131;
									obj_t BgL_slotsz00_3130;

									BgL_slotsz00_3130 = BgL_arg1746z00_1221;
									BgL_formalsz00_3131 = BgL_arg1747z00_1222;
									BgL_formalsz00_1215 = BgL_formalsz00_3131;
									BgL_slotsz00_1214 = BgL_slotsz00_3130;
									goto BgL_zc3z04anonymousza31740ze3z87_1216;
								}
							}
					}
			}
		}

	}



/* &make-class-make-formals */
	obj_t BGl_z62makezd2classzd2makezd2formalszb0zzobject_slotsz00(obj_t
		BgL_envz00_2079, obj_t BgL_slotsz00_2080)
	{
		{	/* Object/slots.scm 429 */
			return
				BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00
				(BgL_slotsz00_2080);
		}

	}



/* make-class-make-typed-formals */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(obj_t
		BgL_idsz00_78, obj_t BgL_slotsz00_79)
	{
		{	/* Object/slots.scm 445 */
			{
				obj_t BgL_slotsz00_1231;
				obj_t BgL_idsz00_1232;
				obj_t BgL_formalsz00_1233;

				BgL_slotsz00_1231 = BgL_slotsz00_79;
				BgL_idsz00_1232 = BgL_idsz00_78;
				BgL_formalsz00_1233 = BNIL;
			BgL_zc3z04anonymousza31753ze3z87_1234:
				if (NULLP(BgL_slotsz00_1231))
					{	/* Object/slots.scm 450 */
						return bgl_reverse_bang(BgL_formalsz00_1233);
					}
				else
					{	/* Object/slots.scm 450 */
						if (
							((long) CINT(
									(((BgL_slotz00_bglt) COBJECT(
												((BgL_slotz00_bglt)
													CAR(
														((obj_t) BgL_slotsz00_1231)))))->
										BgL_virtualzd2numzd2)) >= ((long) 0)))
							{	/* Object/slots.scm 453 */
								obj_t BgL_arg1761z00_1238;

								BgL_arg1761z00_1238 = CDR(((obj_t) BgL_slotsz00_1231));
								{
									obj_t BgL_slotsz00_3145;

									BgL_slotsz00_3145 = BgL_arg1761z00_1238;
									BgL_slotsz00_1231 = BgL_slotsz00_3145;
									goto BgL_zc3z04anonymousza31753ze3z87_1234;
								}
							}
						else
							{	/* Object/slots.scm 455 */
								obj_t BgL_arg1762z00_1239;
								obj_t BgL_arg1763z00_1240;
								obj_t BgL_arg1766z00_1241;

								BgL_arg1762z00_1239 = CDR(((obj_t) BgL_slotsz00_1231));
								BgL_arg1763z00_1240 = CDR(((obj_t) BgL_idsz00_1232));
								{	/* Object/slots.scm 457 */
									obj_t BgL_arg1770z00_1242;

									{	/* Object/slots.scm 457 */
										obj_t BgL_arg1772z00_1243;
										obj_t BgL_arg1777z00_1244;

										{	/* Object/slots.scm 457 */
											obj_t BgL_arg1781z00_1245;

											BgL_arg1781z00_1245 = CAR(((obj_t) BgL_idsz00_1232));
											BgL_arg1772z00_1243 =
												BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
												(BgL_arg1781z00_1245);
										}
										BgL_arg1777z00_1244 =
											(((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt)
														(((BgL_slotz00_bglt) COBJECT(
																	((BgL_slotz00_bglt)
																		CAR(
																			((obj_t) BgL_slotsz00_1231)))))->
															BgL_typez00))))->BgL_idz00);
										BgL_arg1770z00_1242 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg1772z00_1243, BgL_arg1777z00_1244);
									}
									BgL_arg1766z00_1241 =
										MAKE_YOUNG_PAIR(BgL_arg1770z00_1242, BgL_formalsz00_1233);
								}
								{
									obj_t BgL_formalsz00_3163;
									obj_t BgL_idsz00_3162;
									obj_t BgL_slotsz00_3161;

									BgL_slotsz00_3161 = BgL_arg1762z00_1239;
									BgL_idsz00_3162 = BgL_arg1763z00_1240;
									BgL_formalsz00_3163 = BgL_arg1766z00_1241;
									BgL_formalsz00_1233 = BgL_formalsz00_3163;
									BgL_idsz00_1232 = BgL_idsz00_3162;
									BgL_slotsz00_1231 = BgL_slotsz00_3161;
									goto BgL_zc3z04anonymousza31753ze3z87_1234;
								}
							}
					}
			}
		}

	}



/* &make-class-make-typed-formals */
	obj_t BGl_z62makezd2classzd2makezd2typedzd2formalsz62zzobject_slotsz00(obj_t
		BgL_envz00_2081, obj_t BgL_idsz00_2082, obj_t BgL_slotsz00_2083)
	{
		{	/* Object/slots.scm 445 */
			return
				BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00
				(BgL_idsz00_2082, BgL_slotsz00_2083);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_slotsz00()
	{
		{	/* Object/slots.scm 15 */
			{	/* Object/slots.scm 33 */
				obj_t BgL_arg1807z00_1253;
				obj_t BgL_arg1808z00_1254;

				{	/* Object/slots.scm 33 */
					obj_t BgL_v1165z00_1277;

					BgL_v1165z00_1277 = create_vector(((long) 13));
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1824z00_1278;

						BgL_arg1824z00_1278 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc1994z00zzobject_slotsz00,
							BGl_proc1993z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 11)));
						VECTOR_SET(BgL_v1165z00_1277, ((long) 0), BgL_arg1824z00_1278);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1842z00_1288;

						BgL_arg1842z00_1288 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									12)), BGl_proc1996z00zzobject_slotsz00,
							BGl_proc1995z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1165z00_1277, ((long) 1), BgL_arg1842z00_1288);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1852z00_1298;

						BgL_arg1852z00_1298 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									14)), BGl_proc1998z00zzobject_slotsz00,
							BGl_proc1997z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 15)));
						VECTOR_SET(BgL_v1165z00_1277, ((long) 2), BgL_arg1852z00_1298);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1858z00_1308;

						BgL_arg1858z00_1308 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									16)), BGl_proc2000z00zzobject_slotsz00,
							BGl_proc1999z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 15)));
						VECTOR_SET(BgL_v1165z00_1277, ((long) 3), BgL_arg1858z00_1308);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1867z00_1318;

						BgL_arg1867z00_1318 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc2002z00zzobject_slotsz00,
							BGl_proc2001z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 18)));
						VECTOR_SET(BgL_v1165z00_1277, ((long) 4), BgL_arg1867z00_1318);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1875z00_1328;

						BgL_arg1875z00_1328 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									19)), BGl_proc2004z00zzobject_slotsz00,
							BGl_proc2003z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 15)));
						VECTOR_SET(BgL_v1165z00_1277, ((long) 5), BgL_arg1875z00_1328);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1882z00_1338;

						BgL_arg1882z00_1338 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									20)), BGl_proc2007z00zzobject_slotsz00,
							BGl_proc2006z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc2005z00zzobject_slotsz00,
							CNST_TABLE_REF(((long) 21)));
						VECTOR_SET(BgL_v1165z00_1277, ((long) 6), BgL_arg1882z00_1338);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1890z00_1351;

						BgL_arg1890z00_1351 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc2010z00zzobject_slotsz00,
							BGl_proc2009z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc2008z00zzobject_slotsz00,
							CNST_TABLE_REF(((long) 15)));
						VECTOR_SET(BgL_v1165z00_1277, ((long) 7), BgL_arg1890z00_1351);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1898z00_1364;

						BgL_arg1898z00_1364 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									23)), BGl_proc2013z00zzobject_slotsz00,
							BGl_proc2012z00zzobject_slotsz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2011z00zzobject_slotsz00,
							CNST_TABLE_REF(((long) 15)));
						VECTOR_SET(BgL_v1165z00_1277, ((long) 8), BgL_arg1898z00_1364);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1909z00_1377;

						BgL_arg1909z00_1377 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									24)), BGl_proc2016z00zzobject_slotsz00,
							BGl_proc2015z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc2014z00zzobject_slotsz00,
							CNST_TABLE_REF(((long) 21)));
						VECTOR_SET(BgL_v1165z00_1277, ((long) 9), BgL_arg1909z00_1377);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1916z00_1390;

						BgL_arg1916z00_1390 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									25)), BGl_proc2019z00zzobject_slotsz00,
							BGl_proc2018z00zzobject_slotsz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2017z00zzobject_slotsz00,
							CNST_TABLE_REF(((long) 15)));
						VECTOR_SET(BgL_v1165z00_1277, ((long) 10), BgL_arg1916z00_1390);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1923z00_1403;

						BgL_arg1923z00_1403 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									26)), BGl_proc2022z00zzobject_slotsz00,
							BGl_proc2021z00zzobject_slotsz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2020z00zzobject_slotsz00,
							CNST_TABLE_REF(((long) 15)));
						VECTOR_SET(BgL_v1165z00_1277, ((long) 11), BgL_arg1923z00_1403);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1930z00_1416;

						BgL_arg1930z00_1416 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									27)), BGl_proc2025z00zzobject_slotsz00,
							BGl_proc2024z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc2023z00zzobject_slotsz00,
							CNST_TABLE_REF(((long) 15)));
						VECTOR_SET(BgL_v1165z00_1277, ((long) 12), BgL_arg1930z00_1416);
					}
					BgL_arg1807z00_1253 = BgL_v1165z00_1277;
				}
				{	/* Object/slots.scm 33 */
					obj_t BgL_v1166z00_1429;

					BgL_v1166z00_1429 = create_vector(((long) 0));
					BgL_arg1808z00_1254 = BgL_v1166z00_1429;
				}
				return (BGl_slotz00zzobject_slotsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 28)),
						CNST_TABLE_REF(((long) 29)), BGl_objectz00zz__objectz00,
						((long) 48870), BGl_proc2028z00zzobject_slotsz00,
						BGl_proc2027z00zzobject_slotsz00, BFALSE,
						BGl_proc2026z00zzobject_slotsz00, BFALSE, BgL_arg1807z00_1253,
						BgL_arg1808z00_1254), BUNSPEC);
		}}

	}



/* &<@anonymous:1818> */
	obj_t BGl_z62zc3z04anonymousza31818ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2120, obj_t BgL_new1078z00_2121)
	{
		{	/* Object/slots.scm 33 */
			{
				BgL_slotz00_bglt BgL_auxz00_3222;

				((((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_new1078z00_2121)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 30))), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1078z00_2121)))->BgL_namez00) =
					((obj_t) BGl_string2029z00zzobject_slotsz00), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1078z00_2121)))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1078z00_2121)))->BgL_classzd2ownerzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1078z00_2121)))->BgL_indexz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1078z00_2121)))->BgL_typez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1078z00_2121)))->BgL_readzd2onlyzf3z21) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1078z00_2121)))->BgL_defaultzd2valuezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1078z00_2121)))->BgL_virtualzd2numzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1078z00_2121)))->BgL_virtualzd2overridezd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1078z00_2121)))->BgL_getterz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1078z00_2121)))->BgL_setterz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1078z00_2121)))->BgL_userzd2infozd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_3222 = ((BgL_slotz00_bglt) BgL_new1078z00_2121);
				return ((obj_t) BgL_auxz00_3222);
			}
		}

	}



/* &lambda1811 */
	BgL_slotz00_bglt BGl_z62lambda1811z62zzobject_slotsz00(obj_t BgL_envz00_2122)
	{
		{	/* Object/slots.scm 33 */
			{	/* Object/slots.scm 33 */
				BgL_slotz00_bglt BgL_new1077z00_2249;

				BgL_new1077z00_2249 =
					((BgL_slotz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_slotz00_bgl))));
				{	/* Object/slots.scm 33 */
					long BgL_arg1817z00_2250;

					BgL_arg1817z00_2250 = BGL_CLASS_NUM(BGl_slotz00zzobject_slotsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1077z00_2249), BgL_arg1817z00_2250);
				}
				return BgL_new1077z00_2249;
			}
		}

	}



/* &lambda1809 */
	BgL_slotz00_bglt BGl_z62lambda1809z62zzobject_slotsz00(obj_t BgL_envz00_2123,
		obj_t BgL_id1064z00_2124, obj_t BgL_name1065z00_2125,
		obj_t BgL_src1066z00_2126, obj_t BgL_classzd2owner1067zd2_2127,
		obj_t BgL_index1068z00_2128, obj_t BgL_type1069z00_2129,
		obj_t BgL_readzd2onlyzf31070z21_2130, obj_t BgL_defaultzd2value1071zd2_2131,
		obj_t BgL_virtualzd2num1072zd2_2132,
		obj_t BgL_virtualzd2override1073zd2_2133, obj_t BgL_getter1074z00_2134,
		obj_t BgL_setter1075z00_2135, obj_t BgL_userzd2info1076zd2_2136)
	{
		{	/* Object/slots.scm 33 */
			{	/* Object/slots.scm 33 */
				long BgL_index1068z00_2253;
				bool_t BgL_readzd2onlyzf31070z21_2254;
				bool_t BgL_virtualzd2override1073zd2_2255;

				BgL_index1068z00_2253 = (long) CINT(BgL_index1068z00_2128);
				BgL_readzd2onlyzf31070z21_2254 = CBOOL(BgL_readzd2onlyzf31070z21_2130);
				BgL_virtualzd2override1073zd2_2255 =
					CBOOL(BgL_virtualzd2override1073zd2_2133);
				{	/* Object/slots.scm 33 */
					BgL_slotz00_bglt BgL_new1109z00_2256;

					{	/* Object/slots.scm 33 */
						BgL_slotz00_bglt BgL_new1107z00_2257;

						BgL_new1107z00_2257 =
							((BgL_slotz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_slotz00_bgl))));
						{	/* Object/slots.scm 33 */
							long BgL_arg1810z00_2258;

							BgL_arg1810z00_2258 = BGL_CLASS_NUM(BGl_slotz00zzobject_slotsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1107z00_2257),
								BgL_arg1810z00_2258);
						}
						BgL_new1109z00_2256 = BgL_new1107z00_2257;
					}
					((((BgL_slotz00_bglt) COBJECT(BgL_new1109z00_2256))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1064z00_2124)), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1109z00_2256))->BgL_namez00) =
						((obj_t) ((obj_t) BgL_name1065z00_2125)), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1109z00_2256))->BgL_srcz00) =
						((obj_t) BgL_src1066z00_2126), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1109z00_2256))->
							BgL_classzd2ownerzd2) =
						((obj_t) BgL_classzd2owner1067zd2_2127), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1109z00_2256))->BgL_indexz00) =
						((long) BgL_index1068z00_2253), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1109z00_2256))->BgL_typez00) =
						((obj_t) BgL_type1069z00_2129), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1109z00_2256))->
							BgL_readzd2onlyzf3z21) =
						((bool_t) BgL_readzd2onlyzf31070z21_2254), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1109z00_2256))->
							BgL_defaultzd2valuezd2) =
						((obj_t) BgL_defaultzd2value1071zd2_2131), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1109z00_2256))->
							BgL_virtualzd2numzd2) =
						((obj_t) BgL_virtualzd2num1072zd2_2132), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1109z00_2256))->
							BgL_virtualzd2overridezd2) =
						((bool_t) BgL_virtualzd2override1073zd2_2255), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1109z00_2256))->BgL_getterz00) =
						((obj_t) BgL_getter1074z00_2134), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1109z00_2256))->BgL_setterz00) =
						((obj_t) BgL_setter1075z00_2135), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1109z00_2256))->
							BgL_userzd2infozd2) =
						((obj_t) BgL_userzd2info1076zd2_2136), BUNSPEC);
					return BgL_new1109z00_2256;
				}
			}
		}

	}



/* &<@anonymous:1936> */
	obj_t BGl_z62zc3z04anonymousza31936ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2137)
	{
		{	/* Object/slots.scm 33 */
			return BUNSPEC;
		}

	}



/* &lambda1935 */
	obj_t BGl_z62lambda1935z62zzobject_slotsz00(obj_t BgL_envz00_2138,
		obj_t BgL_oz00_2139, obj_t BgL_vz00_2140)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2139)))->BgL_userzd2infozd2) =
				((obj_t) BgL_vz00_2140), BUNSPEC);
		}

	}



/* &lambda1934 */
	obj_t BGl_z62lambda1934z62zzobject_slotsz00(obj_t BgL_envz00_2141,
		obj_t BgL_oz00_2142)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2142)))->BgL_userzd2infozd2);
		}

	}



/* &<@anonymous:1929> */
	obj_t BGl_z62zc3z04anonymousza31929ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2143)
	{
		{	/* Object/slots.scm 33 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1928 */
	obj_t BGl_z62lambda1928z62zzobject_slotsz00(obj_t BgL_envz00_2144,
		obj_t BgL_oz00_2145, obj_t BgL_vz00_2146)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2145)))->BgL_setterz00) =
				((obj_t) BgL_vz00_2146), BUNSPEC);
		}

	}



/* &lambda1927 */
	obj_t BGl_z62lambda1927z62zzobject_slotsz00(obj_t BgL_envz00_2147,
		obj_t BgL_oz00_2148)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2148)))->BgL_setterz00);
		}

	}



/* &<@anonymous:1922> */
	obj_t BGl_z62zc3z04anonymousza31922ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2149)
	{
		{	/* Object/slots.scm 33 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1921 */
	obj_t BGl_z62lambda1921z62zzobject_slotsz00(obj_t BgL_envz00_2150,
		obj_t BgL_oz00_2151, obj_t BgL_vz00_2152)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2151)))->BgL_getterz00) =
				((obj_t) BgL_vz00_2152), BUNSPEC);
		}

	}



/* &lambda1920 */
	obj_t BGl_z62lambda1920z62zzobject_slotsz00(obj_t BgL_envz00_2153,
		obj_t BgL_oz00_2154)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2154)))->BgL_getterz00);
		}

	}



/* &<@anonymous:1915> */
	obj_t BGl_z62zc3z04anonymousza31915ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2155)
	{
		{	/* Object/slots.scm 33 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1914 */
	obj_t BGl_z62lambda1914z62zzobject_slotsz00(obj_t BgL_envz00_2156,
		obj_t BgL_oz00_2157, obj_t BgL_vz00_2158)
	{
		{	/* Object/slots.scm 33 */
			{	/* Object/slots.scm 33 */
				bool_t BgL_vz00_2266;

				BgL_vz00_2266 = CBOOL(BgL_vz00_2158);
				return
					((((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_oz00_2157)))->
						BgL_virtualzd2overridezd2) = ((bool_t) BgL_vz00_2266), BUNSPEC);
			}
		}

	}



/* &lambda1913 */
	obj_t BGl_z62lambda1913z62zzobject_slotsz00(obj_t BgL_envz00_2159,
		obj_t BgL_oz00_2160)
	{
		{	/* Object/slots.scm 33 */
			return
				BBOOL(
				(((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2160)))->BgL_virtualzd2overridezd2));
		}

	}



/* &<@anonymous:1908> */
	obj_t BGl_z62zc3z04anonymousza31908ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2161)
	{
		{	/* Object/slots.scm 33 */
			return BINT(((long) -1));
		}

	}



/* &lambda1907 */
	obj_t BGl_z62lambda1907z62zzobject_slotsz00(obj_t BgL_envz00_2162,
		obj_t BgL_oz00_2163, obj_t BgL_vz00_2164)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2163)))->BgL_virtualzd2numzd2) =
				((obj_t) BgL_vz00_2164), BUNSPEC);
		}

	}



/* &lambda1906 */
	obj_t BGl_z62lambda1906z62zzobject_slotsz00(obj_t BgL_envz00_2165,
		obj_t BgL_oz00_2166)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2166)))->BgL_virtualzd2numzd2);
		}

	}



/* &<@anonymous:1897> */
	obj_t BGl_z62zc3z04anonymousza31897ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2167)
	{
		{	/* Object/slots.scm 33 */
			return MAKE_YOUNG_PAIR(BINT(((long) 1)), BINT(((long) 2)));
		}

	}



/* &lambda1896 */
	obj_t BGl_z62lambda1896z62zzobject_slotsz00(obj_t BgL_envz00_2168,
		obj_t BgL_oz00_2169, obj_t BgL_vz00_2170)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2169)))->BgL_defaultzd2valuezd2) =
				((obj_t) BgL_vz00_2170), BUNSPEC);
		}

	}



/* &lambda1895 */
	obj_t BGl_z62lambda1895z62zzobject_slotsz00(obj_t BgL_envz00_2171,
		obj_t BgL_oz00_2172)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2172)))->BgL_defaultzd2valuezd2);
		}

	}



/* &<@anonymous:1888> */
	obj_t BGl_z62zc3z04anonymousza31888ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2173)
	{
		{	/* Object/slots.scm 33 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1887 */
	obj_t BGl_z62lambda1887z62zzobject_slotsz00(obj_t BgL_envz00_2174,
		obj_t BgL_oz00_2175, obj_t BgL_vz00_2176)
	{
		{	/* Object/slots.scm 33 */
			{	/* Object/slots.scm 33 */
				bool_t BgL_vz00_2273;

				BgL_vz00_2273 = CBOOL(BgL_vz00_2176);
				return
					((((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_oz00_2175)))->BgL_readzd2onlyzf3z21) =
					((bool_t) BgL_vz00_2273), BUNSPEC);
			}
		}

	}



/* &lambda1886 */
	obj_t BGl_z62lambda1886z62zzobject_slotsz00(obj_t BgL_envz00_2177,
		obj_t BgL_oz00_2178)
	{
		{	/* Object/slots.scm 33 */
			return
				BBOOL(
				(((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2178)))->BgL_readzd2onlyzf3z21));
		}

	}



/* &lambda1880 */
	obj_t BGl_z62lambda1880z62zzobject_slotsz00(obj_t BgL_envz00_2179,
		obj_t BgL_oz00_2180, obj_t BgL_vz00_2181)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2180)))->BgL_typez00) =
				((obj_t) BgL_vz00_2181), BUNSPEC);
		}

	}



/* &lambda1879 */
	obj_t BGl_z62lambda1879z62zzobject_slotsz00(obj_t BgL_envz00_2182,
		obj_t BgL_oz00_2183)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2183)))->BgL_typez00);
		}

	}



/* &lambda1872 */
	obj_t BGl_z62lambda1872z62zzobject_slotsz00(obj_t BgL_envz00_2184,
		obj_t BgL_oz00_2185, obj_t BgL_vz00_2186)
	{
		{	/* Object/slots.scm 33 */
			{	/* Object/slots.scm 33 */
				long BgL_vz00_2278;

				BgL_vz00_2278 = (long) CINT(BgL_vz00_2186);
				return
					((((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_oz00_2185)))->BgL_indexz00) =
					((long) BgL_vz00_2278), BUNSPEC);
		}}

	}



/* &lambda1871 */
	obj_t BGl_z62lambda1871z62zzobject_slotsz00(obj_t BgL_envz00_2187,
		obj_t BgL_oz00_2188)
	{
		{	/* Object/slots.scm 33 */
			return
				BINT(
				(((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2188)))->BgL_indexz00));
		}

	}



/* &lambda1865 */
	obj_t BGl_z62lambda1865z62zzobject_slotsz00(obj_t BgL_envz00_2189,
		obj_t BgL_oz00_2190, obj_t BgL_vz00_2191)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2190)))->BgL_classzd2ownerzd2) =
				((obj_t) BgL_vz00_2191), BUNSPEC);
		}

	}



/* &lambda1864 */
	obj_t BGl_z62lambda1864z62zzobject_slotsz00(obj_t BgL_envz00_2192,
		obj_t BgL_oz00_2193)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2193)))->BgL_classzd2ownerzd2);
		}

	}



/* &lambda1857 */
	obj_t BGl_z62lambda1857z62zzobject_slotsz00(obj_t BgL_envz00_2194,
		obj_t BgL_oz00_2195, obj_t BgL_vz00_2196)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2195)))->BgL_srcz00) =
				((obj_t) BgL_vz00_2196), BUNSPEC);
		}

	}



/* &lambda1856 */
	obj_t BGl_z62lambda1856z62zzobject_slotsz00(obj_t BgL_envz00_2197,
		obj_t BgL_oz00_2198)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2198)))->BgL_srcz00);
		}

	}



/* &lambda1851 */
	obj_t BGl_z62lambda1851z62zzobject_slotsz00(obj_t BgL_envz00_2199,
		obj_t BgL_oz00_2200, obj_t BgL_vz00_2201)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2200)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_2201)), BUNSPEC);
		}

	}



/* &lambda1850 */
	obj_t BGl_z62lambda1850z62zzobject_slotsz00(obj_t BgL_envz00_2202,
		obj_t BgL_oz00_2203)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2203)))->BgL_namez00);
		}

	}



/* &lambda1840 */
	obj_t BGl_z62lambda1840z62zzobject_slotsz00(obj_t BgL_envz00_2204,
		obj_t BgL_oz00_2205, obj_t BgL_vz00_2206)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2205)))->BgL_idz00) = ((obj_t)
					((obj_t) BgL_vz00_2206)), BUNSPEC);
		}

	}



/* &lambda1839 */
	obj_t BGl_z62lambda1839z62zzobject_slotsz00(obj_t BgL_envz00_2207,
		obj_t BgL_oz00_2208)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2208)))->BgL_idz00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_slotsz00()
	{
		{	/* Object/slots.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_slotsz00()
	{
		{	/* Object/slots.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_slotz00zzobject_slotsz00,
				BGl_proc2030z00zzobject_slotsz00, BGl_string2031z00zzobject_slotsz00);
		}

	}



/* &shape-slot1168 */
	obj_t BGl_z62shapezd2slot1168zb0zzobject_slotsz00(obj_t BgL_envz00_2210,
		obj_t BgL_sz00_2211)
	{
		{	/* Object/slots.scm 86 */
			{	/* Object/slots.scm 88 */
				obj_t BgL_arg1937z00_2291;
				obj_t BgL_arg1938z00_2292;
				obj_t BgL_arg1939z00_2293;
				obj_t BgL_arg1940z00_2294;

				{	/* Object/slots.scm 88 */
					obj_t BgL_arg1951z00_2295;

					BgL_arg1951z00_2295 =
						(((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_sz00_2211)))->BgL_idz00);
					{	/* Object/slots.scm 88 */
						obj_t BgL_arg1463z00_2296;

						BgL_arg1463z00_2296 = SYMBOL_TO_STRING(BgL_arg1951z00_2295);
						BgL_arg1937z00_2291 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1463z00_2296);
					}
				}
				BgL_arg1938z00_2292 =
					(((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_sz00_2211)))->BgL_namez00);
				BgL_arg1939z00_2293 =
					BGl_shapez00zztools_shapez00(
					(((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_sz00_2211)))->BgL_classzd2ownerzd2));
				BgL_arg1940z00_2294 =
					BGl_shapez00zztools_shapez00(
					(((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_sz00_2211)))->BgL_typez00));
				{	/* Object/slots.scm 88 */
					obj_t BgL_list1941z00_2297;

					{	/* Object/slots.scm 88 */
						obj_t BgL_arg1942z00_2298;

						{	/* Object/slots.scm 88 */
							obj_t BgL_arg1943z00_2299;

							{	/* Object/slots.scm 88 */
								obj_t BgL_arg1944z00_2300;

								{	/* Object/slots.scm 88 */
									obj_t BgL_arg1945z00_2301;

									{	/* Object/slots.scm 88 */
										obj_t BgL_arg1946z00_2302;

										{	/* Object/slots.scm 88 */
											obj_t BgL_arg1947z00_2303;

											{	/* Object/slots.scm 88 */
												obj_t BgL_arg1948z00_2304;

												{	/* Object/slots.scm 88 */
													obj_t BgL_arg1949z00_2305;

													{	/* Object/slots.scm 88 */
														obj_t BgL_arg1950z00_2306;

														BgL_arg1950z00_2306 =
															MAKE_YOUNG_PAIR
															(BGl_string2032z00zzobject_slotsz00, BNIL);
														BgL_arg1949z00_2305 =
															MAKE_YOUNG_PAIR(BgL_arg1940z00_2294,
															BgL_arg1950z00_2306);
													}
													BgL_arg1948z00_2304 =
														MAKE_YOUNG_PAIR(BGl_string2033z00zzobject_slotsz00,
														BgL_arg1949z00_2305);
												}
												BgL_arg1947z00_2303 =
													MAKE_YOUNG_PAIR(BgL_arg1939z00_2293,
													BgL_arg1948z00_2304);
											}
											BgL_arg1946z00_2302 =
												MAKE_YOUNG_PAIR(BGl_string2034z00zzobject_slotsz00,
												BgL_arg1947z00_2303);
										}
										BgL_arg1945z00_2301 =
											MAKE_YOUNG_PAIR(BGl_string2032z00zzobject_slotsz00,
											BgL_arg1946z00_2302);
									}
									BgL_arg1944z00_2300 =
										MAKE_YOUNG_PAIR(BgL_arg1938z00_2292, BgL_arg1945z00_2301);
								}
								BgL_arg1943z00_2299 =
									MAKE_YOUNG_PAIR(BGl_string2035z00zzobject_slotsz00,
									BgL_arg1944z00_2300);
							}
							BgL_arg1942z00_2298 =
								MAKE_YOUNG_PAIR(BgL_arg1937z00_2291, BgL_arg1943z00_2299);
						}
						BgL_list1941z00_2297 =
							MAKE_YOUNG_PAIR(BGl_string2036z00zzobject_slotsz00,
							BgL_arg1942z00_2298);
					}
					return
						BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1941z00_2297);
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_slotsz00()
	{
		{	/* Object/slots.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2037z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2037z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2037z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2037z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2037z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2037z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2037z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string2037z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2037z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2037z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2037z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2037z00zzobject_slotsz00));
			return
				BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long) 374700232),
				BSTRING_TO_STRING(BGl_string2037z00zzobject_slotsz00));
		}

	}

#ifdef __cplusplus
}
#endif
