/*===========================================================================*/
/*   (Reduce/1occ.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/1occ.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_1occz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12za2zzreduce_1occz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2cast1338z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t
		BGl_z62nodezd21occz12zd2boxzd2setz121362zb0zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd21occz12zd2makezd2box1360za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzreduce_1occz00();
	static obj_t BGl_z62nodezd21occz12zd2setq1340z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd21occz12zd2sync1328z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62reducezd21occz12za2zzreduce_1occz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2fail1344z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_1occz00();
	static obj_t BGl_z62nodezd21occz121315za2zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_1occz00();
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2funcall1332z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_z62nodezd21occz12zd2appzd2ly1330za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_nodezd21occza2z12z62zzreduce_1occz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2letzd2var1350za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2condition1342z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2sequence1326z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2closure1324z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzreduce_1occz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_1occz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2return1358z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2extern1334z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2boxzd2ref1364za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2switch1346z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00(BgL_letzd2varzd2_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t
		BGl_z62nodezd21occz12zd2jumpzd2exzd2i1354z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62nodezd21occz12zd2var1322z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2atom1318z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd21occz12zd2retblock1356z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62nodezd21occz12zd2setzd2exzd2it1352z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzreduce_1occz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_1occz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_1occz00();
	static obj_t BGl_gczd2rootszd2initz00zzreduce_1occz00();
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2kwote1320z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_privatez00zzast_nodez00;
	static long BGl_za2variablezd2removedza2zd2zzreduce_1occz00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2private1336z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2app1366z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2letzd2fun1348za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd21occz12zd2envz12zzreduce_1occz00,
		BgL_bgl_za762reduceza7d21occ1951z00,
		BGl_z62reducezd21occz12za2zzreduce_1occz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711952za7,
		BGl_z62nodezd21occz12za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1916z00zzreduce_1occz00,
		BgL_bgl_string1916za700za7za7r1953za7, "      single occurrence", 23);
	      DEFINE_STRING(BGl_string1917z00zzreduce_1occz00,
		BgL_bgl_string1917za700za7za7r1954za7, "      (removed: ", 16);
	      DEFINE_STRING(BGl_string1919z00zzreduce_1occz00,
		BgL_bgl_string1919za700za7za7r1955za7, "node-1occ!1315", 14);
	      DEFINE_STRING(BGl_string1920z00zzreduce_1occz00,
		BgL_bgl_string1920za700za7za7r1956za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1922z00zzreduce_1occz00,
		BgL_bgl_string1922za700za7za7r1957za7, "node-1occ!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1918z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711958za7,
		BGl_z62nodezd21occz121315za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1921z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711959za7,
		BGl_z62nodezd21occz12zd2atom1318z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1923z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711960za7,
		BGl_z62nodezd21occz12zd2kwote1320z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1924z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711961za7,
		BGl_z62nodezd21occz12zd2var1322z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1925z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711962za7,
		BGl_z62nodezd21occz12zd2closure1324z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1926z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711963za7,
		BGl_z62nodezd21occz12zd2sequence1326z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1927z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711964za7,
		BGl_z62nodezd21occz12zd2sync1328z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1928z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711965za7,
		BGl_z62nodezd21occz12zd2appzd2ly1330za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1929z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711966za7,
		BGl_z62nodezd21occz12zd2funcall1332z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1930z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711967za7,
		BGl_z62nodezd21occz12zd2extern1334z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1931z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711968za7,
		BGl_z62nodezd21occz12zd2private1336z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1932z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711969za7,
		BGl_z62nodezd21occz12zd2cast1338z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1933z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711970za7,
		BGl_z62nodezd21occz12zd2setq1340z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1934z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711971za7,
		BGl_z62nodezd21occz12zd2condition1342z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1935z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711972za7,
		BGl_z62nodezd21occz12zd2fail1344z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1936z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711973za7,
		BGl_z62nodezd21occz12zd2switch1346z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1937z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711974za7,
		BGl_z62nodezd21occz12zd2letzd2fun1348za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1938z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711975za7,
		BGl_z62nodezd21occz12zd2letzd2var1350za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1939z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711976za7,
		BGl_z62nodezd21occz12zd2setzd2exzd2it1352z70zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1947z00zzreduce_1occz00,
		BgL_bgl_string1947za700za7za7r1977za7, "reduce_1occ", 11);
	      DEFINE_STRING(BGl_string1948z00zzreduce_1occz00,
		BgL_bgl_string1948za700za7za7r1978za7, "node-1occ!1315 read ", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1940z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711979za7,
		BGl_z62nodezd21occz12zd2jumpzd2exzd2i1354z70zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711980za7,
		BGl_z62nodezd21occz12zd2retblock1356z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1942z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711981za7,
		BGl_z62nodezd21occz12zd2return1358z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1943z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711982za7,
		BGl_z62nodezd21occz12zd2makezd2box1360za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1944z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711983za7,
		BGl_z62nodezd21occz12zd2boxzd2setz121362zb0zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1945z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711984za7,
		BGl_z62nodezd21occz12zd2boxzd2ref1364za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1946z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711985za7,
		BGl_z62nodezd21occz12zd2app1366z70zzreduce_1occz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_1occz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long
		BgL_checksumz00_2618, char *BgL_fromz00_2619)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_1occz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_1occz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_1occz00();
					BGl_libraryzd2moduleszd2initz00zzreduce_1occz00();
					BGl_cnstzd2initzd2zzreduce_1occz00();
					BGl_importedzd2moduleszd2initz00zzreduce_1occz00();
					BGl_genericzd2initzd2zzreduce_1occz00();
					BGl_methodzd2initzd2zzreduce_1occz00();
					return BGl_toplevelzd2initzd2zzreduce_1occz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_1occz00()
	{
		{	/* Reduce/1occ.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"reduce_1occ");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_1occz00()
	{
		{	/* Reduce/1occ.scm 16 */
			{	/* Reduce/1occ.scm 16 */
				obj_t BgL_cportz00_2434;

				{	/* Reduce/1occ.scm 16 */
					obj_t BgL_stringz00_2442;

					BgL_stringz00_2442 = BGl_string1948z00zzreduce_1occz00;
					{	/* Reduce/1occ.scm 16 */
						obj_t BgL_startz00_2443;

						BgL_startz00_2443 = BINT(((long) 0));
						{	/* Reduce/1occ.scm 16 */
							obj_t BgL_endz00_2444;

							BgL_endz00_2444 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2442)));
							{	/* Reduce/1occ.scm 16 */

								BgL_cportz00_2434 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2442, BgL_startz00_2443, BgL_endz00_2444);
				}}}}
				{
					long BgL_iz00_2435;

					BgL_iz00_2435 = ((long) 1);
				BgL_loopz00_2436:
					if ((BgL_iz00_2435 == ((long) -1)))
						{	/* Reduce/1occ.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/1occ.scm 16 */
							{	/* Reduce/1occ.scm 16 */
								obj_t BgL_arg1950z00_2438;

								{	/* Reduce/1occ.scm 16 */

									{	/* Reduce/1occ.scm 16 */
										obj_t BgL_locationz00_2440;

										BgL_locationz00_2440 = BBOOL(((bool_t) 0));
										{	/* Reduce/1occ.scm 16 */

											BgL_arg1950z00_2438 =
												BGl_readz00zz__readerz00(BgL_cportz00_2434,
												BgL_locationz00_2440);
										}
									}
								}
								{	/* Reduce/1occ.scm 16 */
									int BgL_tmpz00_2650;

									BgL_tmpz00_2650 = (int) (BgL_iz00_2435);
									CNST_TABLE_SET(BgL_tmpz00_2650, BgL_arg1950z00_2438);
							}}
							{	/* Reduce/1occ.scm 16 */
								int BgL_auxz00_2441;

								BgL_auxz00_2441 = (int) ((BgL_iz00_2435 - ((long) 1)));
								{
									long BgL_iz00_2655;

									BgL_iz00_2655 = (long) (BgL_auxz00_2441);
									BgL_iz00_2435 = BgL_iz00_2655;
									goto BgL_loopz00_2436;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_1occz00()
	{
		{	/* Reduce/1occ.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_1occz00()
	{
		{	/* Reduce/1occ.scm 16 */
			BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = ((long) 0);
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzreduce_1occz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1401;

				BgL_headz00_1401 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1402;
					obj_t BgL_tailz00_1403;

					BgL_prevz00_1402 = BgL_headz00_1401;
					BgL_tailz00_1403 = BgL_l1z00_1;
				BgL_loopz00_1404:
					if (PAIRP(BgL_tailz00_1403))
						{
							obj_t BgL_newzd2prevzd2_1406;

							BgL_newzd2prevzd2_1406 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1403), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1402, BgL_newzd2prevzd2_1406);
							{
								obj_t BgL_tailz00_2665;
								obj_t BgL_prevz00_2664;

								BgL_prevz00_2664 = BgL_newzd2prevzd2_1406;
								BgL_tailz00_2665 = CDR(BgL_tailz00_1403);
								BgL_tailz00_1403 = BgL_tailz00_2665;
								BgL_prevz00_1402 = BgL_prevz00_2664;
								goto BgL_loopz00_1404;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1401);
				}
			}
		}

	}



/* reduce-1occ! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/1occ.scm 37 */
			{	/* Reduce/1occ.scm 38 */
				obj_t BgL_list1371z00_1409;

				BgL_list1371z00_1409 =
					MAKE_YOUNG_PAIR(BGl_string1916z00zzreduce_1occz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1371z00_1409);
			}
			BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_3);
			BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = ((long) 0);
			{
				obj_t BgL_l1257z00_1411;

				BgL_l1257z00_1411 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31372ze3z87_1412:
				if (PAIRP(BgL_l1257z00_1411))
					{	/* Reduce/1occ.scm 44 */
						{	/* Reduce/1occ.scm 45 */
							obj_t BgL_globalz00_1414;

							BgL_globalz00_1414 = CAR(BgL_l1257z00_1411);
							{	/* Reduce/1occ.scm 45 */
								BgL_valuez00_bglt BgL_funz00_1415;

								BgL_funz00_1415 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1414))))->
									BgL_valuez00);
								{	/* Reduce/1occ.scm 45 */
									obj_t BgL_nodez00_1416;

									BgL_nodez00_1416 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1415)))->BgL_bodyz00);
									{	/* Reduce/1occ.scm 46 */

										{	/* Reduce/1occ.scm 47 */
											obj_t BgL_arg1380z00_1417;

											{	/* Reduce/1occ.scm 47 */
												obj_t BgL__z00_1418;

												BgL__z00_1418 =
													BGl_nodezd21occz12zc0zzreduce_1occz00(
													((BgL_nodez00_bglt) BgL_nodez00_1416), BNIL);
												{	/* Reduce/1occ.scm 48 */
													obj_t BgL_nodez00_1419;

													{	/* Reduce/1occ.scm 48 */
														obj_t BgL_tmpz00_2066;

														{	/* Reduce/1occ.scm 48 */
															int BgL_tmpz00_2682;

															BgL_tmpz00_2682 = (int) (((long) 1));
															BgL_tmpz00_2066 =
																BGL_MVALUES_VAL(BgL_tmpz00_2682);
														}
														{	/* Reduce/1occ.scm 48 */
															int BgL_tmpz00_2685;

															BgL_tmpz00_2685 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2685, BUNSPEC);
														}
														BgL_nodez00_1419 = BgL_tmpz00_2066;
													}
													BgL_arg1380z00_1417 = BgL_nodez00_1419;
											}}
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1415)))->
													BgL_bodyz00) =
												((obj_t) BgL_arg1380z00_1417), BUNSPEC);
										} BUNSPEC;
						}}}}
						{
							obj_t BgL_l1257z00_2690;

							BgL_l1257z00_2690 = CDR(BgL_l1257z00_1411);
							BgL_l1257z00_1411 = BgL_l1257z00_2690;
							goto BgL_zc3z04anonymousza31372ze3z87_1412;
						}
					}
				else
					{	/* Reduce/1occ.scm 44 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/1occ.scm 52 */
				obj_t BgL_list1382z00_1422;

				{	/* Reduce/1occ.scm 52 */
					obj_t BgL_arg1383z00_1423;

					{	/* Reduce/1occ.scm 52 */
						obj_t BgL_arg1385z00_1424;

						{	/* Reduce/1occ.scm 52 */
							obj_t BgL_arg1386z00_1425;

							BgL_arg1386z00_1425 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1385z00_1424 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ')')),
								BgL_arg1386z00_1425);
						}
						BgL_arg1383z00_1423 =
							MAKE_YOUNG_PAIR(BINT
							(BGl_za2variablezd2removedza2zd2zzreduce_1occz00),
							BgL_arg1385z00_1424);
					}
					BgL_list1382z00_1422 =
						MAKE_YOUNG_PAIR(BGl_string1917z00zzreduce_1occz00,
						BgL_arg1383z00_1423);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1382z00_1422);
			}
			return BgL_globalsz00_3;
		}

	}



/* &reduce-1occ! */
	obj_t BGl_z62reducezd21occz12za2zzreduce_1occz00(obj_t BgL_envz00_2325,
		obj_t BgL_globalsz00_2326)
	{
		{	/* Reduce/1occ.scm 37 */
			return BGl_reducezd21occz12zc0zzreduce_1occz00(BgL_globalsz00_2326);
		}

	}



/* node-1occ-let-var! */
	obj_t BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00(BgL_letzd2varzd2_bglt
		BgL_nodez00_40, obj_t BgL_1zd2expza2z70_41)
	{
		{	/* Reduce/1occ.scm 278 */
			{
				obj_t BgL_obindingsz00_1430;
				bool_t BgL_resetz00_1431;
				obj_t BgL_extendz00_1432;

				BgL_obindingsz00_1430 =
					(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->BgL_bindingsz00);
				BgL_resetz00_1431 = ((bool_t) 0);
				BgL_extendz00_1432 = BNIL;
			BgL_zc3z04anonymousza31388ze3z87_1433:
				if (NULLP(BgL_obindingsz00_1430))
					{	/* Reduce/1occ.scm 284 */
						bool_t BgL_test1991z00_2704;

						if (BgL_resetz00_1431)
							{	/* Reduce/1occ.scm 284 */
								BgL_test1991z00_2704 = ((bool_t) 1);
							}
						else
							{	/* Reduce/1occ.scm 284 */
								BgL_test1991z00_2704 =
									BGl_sidezd2effectzf3z21zzeffect_effectz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
										BgL_bodyz00));
							}
						if (BgL_test1991z00_2704)
							{	/* Reduce/1occ.scm 285 */
								obj_t BgL_resetz72z72_1437;

								BgL_resetz72z72_1437 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
										BgL_bodyz00), BNIL);
								{	/* Reduce/1occ.scm 286 */
									obj_t BgL_nbodyz00_1438;

									{	/* Reduce/1occ.scm 287 */
										obj_t BgL_tmpz00_2069;

										{	/* Reduce/1occ.scm 287 */
											int BgL_tmpz00_2710;

											BgL_tmpz00_2710 = (int) (((long) 1));
											BgL_tmpz00_2069 = BGL_MVALUES_VAL(BgL_tmpz00_2710);
										}
										{	/* Reduce/1occ.scm 287 */
											int BgL_tmpz00_2713;

											BgL_tmpz00_2713 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2713, BUNSPEC);
										}
										BgL_nbodyz00_1438 = BgL_tmpz00_2069;
									}
									((((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
											BgL_bodyz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1438)),
										BUNSPEC);
									{	/* Reduce/1occ.scm 288 */
										int BgL_tmpz00_2718;

										BgL_tmpz00_2718 = (int) (((long) 2));
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2718);
									}
									{	/* Reduce/1occ.scm 288 */
										obj_t BgL_auxz00_2723;
										int BgL_tmpz00_2721;

										BgL_auxz00_2723 = ((obj_t) BgL_nodez00_40);
										BgL_tmpz00_2721 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2721, BgL_auxz00_2723);
									}
									return BTRUE;
								}
							}
						else
							{	/* Reduce/1occ.scm 289 */
								obj_t BgL_1zd2expza2z72z02_1442;

								BgL_1zd2expza2z72z02_1442 =
									BGl_appendzd221011zd2zzreduce_1occz00(BgL_extendz00_1432,
									BgL_1zd2expza2z70_41);
								{	/* Reduce/1occ.scm 290 */
									obj_t BgL_resetz72z72_1443;

									BgL_resetz72z72_1443 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
											BgL_bodyz00), BgL_1zd2expza2z72z02_1442);
									{	/* Reduce/1occ.scm 291 */
										obj_t BgL_nbodyz00_1444;

										{	/* Reduce/1occ.scm 292 */
											obj_t BgL_tmpz00_2070;

											{	/* Reduce/1occ.scm 292 */
												int BgL_tmpz00_2729;

												BgL_tmpz00_2729 = (int) (((long) 1));
												BgL_tmpz00_2070 = BGL_MVALUES_VAL(BgL_tmpz00_2729);
											}
											{	/* Reduce/1occ.scm 292 */
												int BgL_tmpz00_2732;

												BgL_tmpz00_2732 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_2732, BUNSPEC);
											}
											BgL_nbodyz00_1444 = BgL_tmpz00_2070;
										}
										((((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_nbodyz00_1444)), BUNSPEC);
										{
											obj_t BgL_obindingsz00_1448;
											obj_t BgL_nbindingsz00_1449;

											BgL_obindingsz00_1448 =
												(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
												BgL_bindingsz00);
											BgL_nbindingsz00_1449 = BNIL;
										BgL_zc3z04anonymousza31417ze3z87_1450:
											if (NULLP(BgL_obindingsz00_1448))
												{	/* Reduce/1occ.scm 299 */
													bool_t BgL_test1994z00_2739;

													if (
														(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
															BgL_removablezf3zf3))
														{	/* Reduce/1occ.scm 299 */
															BgL_test1994z00_2739 =
																NULLP(BgL_nbindingsz00_1449);
														}
													else
														{	/* Reduce/1occ.scm 299 */
															BgL_test1994z00_2739 = ((bool_t) 0);
														}
													if (BgL_test1994z00_2739)
														{	/* Reduce/1occ.scm 299 */
															{	/* Reduce/1occ.scm 304 */
																BgL_nodez00_bglt BgL_val1_1294z00_1455;

																BgL_val1_1294z00_1455 =
																	(((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_nodez00_40))->BgL_bodyz00);
																{	/* Reduce/1occ.scm 304 */
																	int BgL_tmpz00_2744;

																	BgL_tmpz00_2744 = (int) (((long) 2));
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2744);
																}
																{	/* Reduce/1occ.scm 304 */
																	obj_t BgL_auxz00_2749;
																	int BgL_tmpz00_2747;

																	BgL_auxz00_2749 =
																		((obj_t) BgL_val1_1294z00_1455);
																	BgL_tmpz00_2747 = (int) (((long) 1));
																	BGL_MVALUES_VAL_SET(BgL_tmpz00_2747,
																		BgL_auxz00_2749);
																}
																return BgL_resetz72z72_1443;
															}
														}
													else
														{	/* Reduce/1occ.scm 299 */
															((((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_nodez00_40))->BgL_bindingsz00) =
																((obj_t)
																	bgl_reverse_bang(BgL_nbindingsz00_1449)),
																BUNSPEC);
															{	/* Reduce/1occ.scm 307 */
																int BgL_tmpz00_2754;

																BgL_tmpz00_2754 = (int) (((long) 2));
																BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2754);
															}
															{	/* Reduce/1occ.scm 307 */
																obj_t BgL_auxz00_2759;
																int BgL_tmpz00_2757;

																BgL_auxz00_2759 = ((obj_t) BgL_nodez00_40);
																BgL_tmpz00_2757 = (int) (((long) 1));
																BGL_MVALUES_VAL_SET(BgL_tmpz00_2757,
																	BgL_auxz00_2759);
															}
															return BgL_resetz72z72_1443;
														}
												}
											else
												{	/* Reduce/1occ.scm 308 */
													bool_t BgL_test1996z00_2762;

													{	/* Reduce/1occ.scm 308 */
														obj_t BgL_varz00_1471;
														obj_t BgL_valz00_1472;

														{	/* Reduce/1occ.scm 308 */
															obj_t BgL_pairz00_2072;

															BgL_pairz00_2072 =
																CAR(((obj_t) BgL_obindingsz00_1448));
															BgL_varz00_1471 = CAR(BgL_pairz00_2072);
														}
														{	/* Reduce/1occ.scm 309 */
															obj_t BgL_pairz00_2074;

															BgL_pairz00_2074 =
																CAR(((obj_t) BgL_obindingsz00_1448));
															BgL_valz00_1472 = CDR(BgL_pairz00_2074);
														}
														if (
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_1471))))->
																	BgL_occurrencez00) == ((long) 0)))
															{	/* Reduce/1occ.scm 310 */
																if (BGl_sidezd2effectzf3z21zzeffect_effectz00(
																		((BgL_nodez00_bglt) BgL_valz00_1472)))
																	{	/* Reduce/1occ.scm 311 */
																		BgL_test1996z00_2762 = ((bool_t) 0);
																	}
																else
																	{	/* Reduce/1occ.scm 311 */
																		BgL_test1996z00_2762 = ((bool_t) 1);
																	}
															}
														else
															{	/* Reduce/1occ.scm 310 */
																BgL_test1996z00_2762 = ((bool_t) 0);
															}
													}
													if (BgL_test1996z00_2762)
														{	/* Reduce/1occ.scm 308 */
															{	/* Reduce/1occ.scm 315 */
																obj_t BgL_arg1462z00_1467;

																BgL_arg1462z00_1467 =
																	CDR(((obj_t) BgL_obindingsz00_1448));
																{
																	obj_t BgL_obindingsz00_2779;

																	BgL_obindingsz00_2779 = BgL_arg1462z00_1467;
																	BgL_obindingsz00_1448 = BgL_obindingsz00_2779;
																	goto BgL_zc3z04anonymousza31417ze3z87_1450;
																}
															}
														}
													else
														{	/* Reduce/1occ.scm 317 */
															obj_t BgL_arg1477z00_1468;
															obj_t BgL_arg1494z00_1469;

															BgL_arg1477z00_1468 =
																CDR(((obj_t) BgL_obindingsz00_1448));
															{	/* Reduce/1occ.scm 318 */
																obj_t BgL_arg1496z00_1470;

																BgL_arg1496z00_1470 =
																	CAR(((obj_t) BgL_obindingsz00_1448));
																BgL_arg1494z00_1469 =
																	MAKE_YOUNG_PAIR(BgL_arg1496z00_1470,
																	BgL_nbindingsz00_1449);
															}
															{
																obj_t BgL_nbindingsz00_2786;
																obj_t BgL_obindingsz00_2785;

																BgL_obindingsz00_2785 = BgL_arg1477z00_1468;
																BgL_nbindingsz00_2786 = BgL_arg1494z00_1469;
																BgL_nbindingsz00_1449 = BgL_nbindingsz00_2786;
																BgL_obindingsz00_1448 = BgL_obindingsz00_2785;
																goto BgL_zc3z04anonymousza31417ze3z87_1450;
															}
														}
												}
										}
									}
								}
							}
					}
				else
					{	/* Reduce/1occ.scm 319 */
						obj_t BgL_bindingz00_1481;

						BgL_bindingz00_1481 = CAR(((obj_t) BgL_obindingsz00_1430));
						{	/* Reduce/1occ.scm 320 */
							obj_t BgL_varz00_1482;
							obj_t BgL_valz00_1483;

							BgL_varz00_1482 = CAR(((obj_t) BgL_bindingz00_1481));
							BgL_valz00_1483 = CDR(((obj_t) BgL_bindingz00_1481));
							{	/* Reduce/1occ.scm 322 */
								obj_t BgL_resetz72z72_1484;

								BgL_resetz72z72_1484 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									((BgL_nodez00_bglt) BgL_valz00_1483), BgL_1zd2expza2z70_41);
								{	/* Reduce/1occ.scm 323 */
									obj_t BgL_nvalz00_1485;

									{	/* Reduce/1occ.scm 324 */
										obj_t BgL_tmpz00_2083;

										{	/* Reduce/1occ.scm 324 */
											int BgL_tmpz00_2796;

											BgL_tmpz00_2796 = (int) (((long) 1));
											BgL_tmpz00_2083 = BGL_MVALUES_VAL(BgL_tmpz00_2796);
										}
										{	/* Reduce/1occ.scm 324 */
											int BgL_tmpz00_2799;

											BgL_tmpz00_2799 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2799, BUNSPEC);
										}
										BgL_nvalz00_1485 = BgL_tmpz00_2083;
									}
									{	/* Reduce/1occ.scm 324 */
										obj_t BgL_tmpz00_2802;

										BgL_tmpz00_2802 = ((obj_t) BgL_bindingz00_1481);
										SET_CDR(BgL_tmpz00_2802, BgL_nvalz00_1485);
									}
									{	/* Reduce/1occ.scm 326 */
										bool_t BgL_test1999z00_2805;

										if (BgL_resetz00_1431)
											{	/* Reduce/1occ.scm 326 */
												BgL_test1999z00_2805 = ((bool_t) 1);
											}
										else
											{	/* Reduce/1occ.scm 326 */
												BgL_test1999z00_2805 = CBOOL(BgL_resetz72z72_1484);
											}
										if (BgL_test1999z00_2805)
											{	/* Reduce/1occ.scm 327 */
												obj_t BgL_arg1536z00_1487;

												BgL_arg1536z00_1487 =
													CDR(((obj_t) BgL_obindingsz00_1430));
												{
													obj_t BgL_extendz00_2812;
													bool_t BgL_resetz00_2811;
													obj_t BgL_obindingsz00_2810;

													BgL_obindingsz00_2810 = BgL_arg1536z00_1487;
													BgL_resetz00_2811 = ((bool_t) 1);
													BgL_extendz00_2812 = BNIL;
													BgL_extendz00_1432 = BgL_extendz00_2812;
													BgL_resetz00_1431 = BgL_resetz00_2811;
													BgL_obindingsz00_1430 = BgL_obindingsz00_2810;
													goto BgL_zc3z04anonymousza31388ze3z87_1433;
												}
											}
										else
											{	/* Reduce/1occ.scm 326 */
												if (
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_varz00_1482))))->
															BgL_accessz00) == CNST_TABLE_REF(((long) 0))))
													{	/* Reduce/1occ.scm 330 */
														bool_t BgL_test2002z00_2819;

														if (
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_1482))))->
																	BgL_occurrencez00) == ((long) 1)))
															{	/* Reduce/1occ.scm 330 */
																if (
																	((((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_varz00_1482))))->
																			BgL_accessz00) ==
																		CNST_TABLE_REF(((long) 0))))
																	{	/* Reduce/1occ.scm 331 */
																		if (BGl_sidezd2effectzf3z21zzeffect_effectz00(((BgL_nodez00_bglt) BgL_valz00_1483)))
																			{	/* Reduce/1occ.scm 332 */
																				BgL_test2002z00_2819 = ((bool_t) 0);
																			}
																		else
																			{	/* Reduce/1occ.scm 333 */
																				BgL_typez00_bglt BgL_arg1578z00_1506;
																				BgL_typez00_bglt BgL_arg1581z00_1507;

																				BgL_arg1578z00_1506 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									BgL_varz00_1482))))->
																					BgL_typez00);
																				BgL_arg1581z00_1507 =
																					BGl_getzd2typezd2zztype_typeofz00((
																						(BgL_nodez00_bglt) BgL_valz00_1483),
																					((bool_t) 0));
																				BgL_test2002z00_2819 =
																					BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
																					(BgL_arg1578z00_1506,
																					BgL_arg1581z00_1507);
																			}
																	}
																else
																	{	/* Reduce/1occ.scm 331 */
																		BgL_test2002z00_2819 = ((bool_t) 0);
																	}
															}
														else
															{	/* Reduce/1occ.scm 330 */
																BgL_test2002z00_2819 = ((bool_t) 0);
															}
														if (BgL_test2002z00_2819)
															{	/* Reduce/1occ.scm 330 */
																{	/* Reduce/1occ.scm 337 */
																	obj_t BgL_arg1567z00_1500;
																	obj_t BgL_arg1570z00_1501;

																	BgL_arg1567z00_1500 =
																		CDR(((obj_t) BgL_obindingsz00_1430));
																	BgL_arg1570z00_1501 =
																		MAKE_YOUNG_PAIR(BgL_bindingz00_1481,
																		BgL_extendz00_1432);
																	{
																		obj_t BgL_extendz00_2845;
																		bool_t BgL_resetz00_2844;
																		obj_t BgL_obindingsz00_2843;

																		BgL_obindingsz00_2843 = BgL_arg1567z00_1500;
																		BgL_resetz00_2844 = ((bool_t) 0);
																		BgL_extendz00_2845 = BgL_arg1570z00_1501;
																		BgL_extendz00_1432 = BgL_extendz00_2845;
																		BgL_resetz00_1431 = BgL_resetz00_2844;
																		BgL_obindingsz00_1430 =
																			BgL_obindingsz00_2843;
																		goto BgL_zc3z04anonymousza31388ze3z87_1433;
																	}
																}
															}
														else
															{	/* Reduce/1occ.scm 339 */
																obj_t BgL_arg1571z00_1502;

																BgL_arg1571z00_1502 =
																	CDR(((obj_t) BgL_obindingsz00_1430));
																{
																	bool_t BgL_resetz00_2849;
																	obj_t BgL_obindingsz00_2848;

																	BgL_obindingsz00_2848 = BgL_arg1571z00_1502;
																	BgL_resetz00_2849 = ((bool_t) 0);
																	BgL_resetz00_1431 = BgL_resetz00_2849;
																	BgL_obindingsz00_1430 = BgL_obindingsz00_2848;
																	goto BgL_zc3z04anonymousza31388ze3z87_1433;
																}
															}
													}
												else
													{	/* Reduce/1occ.scm 329 */
														obj_t BgL_arg1584z00_1510;

														BgL_arg1584z00_1510 =
															CDR(((obj_t) BgL_obindingsz00_1430));
														{
															bool_t BgL_resetz00_2853;
															obj_t BgL_obindingsz00_2852;

															BgL_obindingsz00_2852 = BgL_arg1584z00_1510;
															BgL_resetz00_2853 = ((bool_t) 0);
															BgL_resetz00_1431 = BgL_resetz00_2853;
															BgL_obindingsz00_1430 = BgL_obindingsz00_2852;
															goto BgL_zc3z04anonymousza31388ze3z87_1433;
														}
													}
											}
									}
								}
							}
						}
					}
			}
		}

	}



/* node-1occ*! */
	obj_t BGl_nodezd21occza2z12z62zzreduce_1occz00(obj_t BgL_nodeza2za2_58,
		obj_t BgL_1zd2expza2z70_59)
	{
		{	/* Reduce/1occ.scm 430 */
			{
				obj_t BgL_nodeza2za2_1514;
				bool_t BgL_resetz00_1515;
				obj_t BgL_1zd2expza2z70_1516;

				BgL_nodeza2za2_1514 = BgL_nodeza2za2_58;
				BgL_resetz00_1515 = ((bool_t) 0);
				BgL_1zd2expza2z70_1516 = BgL_1zd2expza2z70_59;
			BgL_zc3z04anonymousza31586ze3z87_1517:
				if (NULLP(BgL_nodeza2za2_1514))
					{	/* Reduce/1occ.scm 435 */
						return BBOOL(BgL_resetz00_1515);
					}
				else
					{	/* Reduce/1occ.scm 435 */
						if (NULLP(CDR(((obj_t) BgL_nodeza2za2_1514))))
							{	/* Reduce/1occ.scm 438 */
								obj_t BgL_resetz72z72_1521;

								{	/* Reduce/1occ.scm 439 */
									obj_t BgL_arg1595z00_1524;

									BgL_arg1595z00_1524 = CAR(((obj_t) BgL_nodeza2za2_1514));
									BgL_resetz72z72_1521 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										((BgL_nodez00_bglt) BgL_arg1595z00_1524),
										BgL_1zd2expza2z70_1516);
								}
								{	/* Reduce/1occ.scm 439 */
									obj_t BgL_nodez00_1522;

									{	/* Reduce/1occ.scm 440 */
										obj_t BgL_tmpz00_2096;

										{	/* Reduce/1occ.scm 440 */
											int BgL_tmpz00_2866;

											BgL_tmpz00_2866 = (int) (((long) 1));
											BgL_tmpz00_2096 = BGL_MVALUES_VAL(BgL_tmpz00_2866);
										}
										{	/* Reduce/1occ.scm 440 */
											int BgL_tmpz00_2869;

											BgL_tmpz00_2869 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2869, BUNSPEC);
										}
										BgL_nodez00_1522 = BgL_tmpz00_2096;
									}
									{	/* Reduce/1occ.scm 440 */
										obj_t BgL_tmpz00_2872;

										BgL_tmpz00_2872 = ((obj_t) BgL_nodeza2za2_1514);
										SET_CAR(BgL_tmpz00_2872, BgL_nodez00_1522);
									}
									if (BgL_resetz00_1515)
										{	/* Reduce/1occ.scm 441 */
											return BBOOL(BgL_resetz00_1515);
										}
									else
										{	/* Reduce/1occ.scm 441 */
											return BgL_resetz72z72_1521;
										}
								}
							}
						else
							{	/* Reduce/1occ.scm 443 */
								obj_t BgL_resetz72z72_1525;

								{	/* Reduce/1occ.scm 444 */
									obj_t BgL_arg1602z00_1530;

									BgL_arg1602z00_1530 = CAR(((obj_t) BgL_nodeza2za2_1514));
									BgL_resetz72z72_1525 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										((BgL_nodez00_bglt) BgL_arg1602z00_1530),
										BgL_1zd2expza2z70_1516);
								}
								{	/* Reduce/1occ.scm 444 */
									obj_t BgL_nodez00_1526;

									{	/* Reduce/1occ.scm 445 */
										obj_t BgL_tmpz00_2099;

										{	/* Reduce/1occ.scm 445 */
											int BgL_tmpz00_2881;

											BgL_tmpz00_2881 = (int) (((long) 1));
											BgL_tmpz00_2099 = BGL_MVALUES_VAL(BgL_tmpz00_2881);
										}
										{	/* Reduce/1occ.scm 445 */
											int BgL_tmpz00_2884;

											BgL_tmpz00_2884 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2884, BUNSPEC);
										}
										BgL_nodez00_1526 = BgL_tmpz00_2099;
									}
									{	/* Reduce/1occ.scm 445 */
										obj_t BgL_tmpz00_2887;

										BgL_tmpz00_2887 = ((obj_t) BgL_nodeza2za2_1514);
										SET_CAR(BgL_tmpz00_2887, BgL_nodez00_1526);
									}
									{	/* Reduce/1occ.scm 446 */
										bool_t BgL_test2009z00_2890;

										if (BgL_resetz00_1515)
											{	/* Reduce/1occ.scm 446 */
												BgL_test2009z00_2890 = ((bool_t) 1);
											}
										else
											{	/* Reduce/1occ.scm 446 */
												BgL_test2009z00_2890 = CBOOL(BgL_resetz72z72_1525);
											}
										if (BgL_test2009z00_2890)
											{	/* Reduce/1occ.scm 447 */
												obj_t BgL_arg1597z00_1528;

												BgL_arg1597z00_1528 =
													CDR(((obj_t) BgL_nodeza2za2_1514));
												{
													obj_t BgL_1zd2expza2z70_2897;
													bool_t BgL_resetz00_2896;
													obj_t BgL_nodeza2za2_2895;

													BgL_nodeza2za2_2895 = BgL_arg1597z00_1528;
													BgL_resetz00_2896 = ((bool_t) 1);
													BgL_1zd2expza2z70_2897 = BNIL;
													BgL_1zd2expza2z70_1516 = BgL_1zd2expza2z70_2897;
													BgL_resetz00_1515 = BgL_resetz00_2896;
													BgL_nodeza2za2_1514 = BgL_nodeza2za2_2895;
													goto BgL_zc3z04anonymousza31586ze3z87_1517;
												}
											}
										else
											{	/* Reduce/1occ.scm 448 */
												obj_t BgL_arg1601z00_1529;

												BgL_arg1601z00_1529 =
													CDR(((obj_t) BgL_nodeza2za2_1514));
												{
													bool_t BgL_resetz00_2901;
													obj_t BgL_nodeza2za2_2900;

													BgL_nodeza2za2_2900 = BgL_arg1601z00_1529;
													BgL_resetz00_2901 = ((bool_t) 0);
													BgL_resetz00_1515 = BgL_resetz00_2901;
													BgL_nodeza2za2_1514 = BgL_nodeza2za2_2900;
													goto BgL_zc3z04anonymousza31586ze3z87_1517;
												}
											}
									}
								}
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_1occz00()
	{
		{	/* Reduce/1occ.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_1occz00()
	{
		{	/* Reduce/1occ.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_proc1918z00zzreduce_1occz00, BGl_nodez00zzast_nodez00,
				BGl_string1919z00zzreduce_1occz00);
		}

	}



/* &node-1occ!1315 */
	obj_t BGl_z62nodezd21occz121315za2zzreduce_1occz00(obj_t BgL_envz00_2328,
		obj_t BgL_nodez00_2329, obj_t BgL_1zd2expza2z70_2330)
	{
		{	/* Reduce/1occ.scm 67 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
				BGl_string1920z00zzreduce_1occz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2329)));
		}

	}



/* node-1occ! */
	obj_t BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_nodez00_bglt BgL_nodez00_4,
		obj_t BgL_1zd2expza2z70_5)
	{
		{	/* Reduce/1occ.scm 67 */
			{	/* Reduce/1occ.scm 67 */
				obj_t BgL_method1316z00_1538;

				{	/* Reduce/1occ.scm 67 */
					obj_t BgL_res1911z00_2133;

					{	/* Reduce/1occ.scm 67 */
						long BgL_objzd2classzd2numz00_2104;

						BgL_objzd2classzd2numz00_2104 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/1occ.scm 67 */
							obj_t BgL_arg1829z00_2105;

							BgL_arg1829z00_2105 =
								PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
								(int) (((long) 1)));
							{	/* Reduce/1occ.scm 67 */
								int BgL_offsetz00_2108;

								BgL_offsetz00_2108 = (int) (BgL_objzd2classzd2numz00_2104);
								{	/* Reduce/1occ.scm 67 */
									long BgL_offsetz00_2109;

									BgL_offsetz00_2109 =
										((long) (BgL_offsetz00_2108) - OBJECT_TYPE);
									{	/* Reduce/1occ.scm 67 */
										long BgL_modz00_2110;

										BgL_modz00_2110 =
											(BgL_offsetz00_2109 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Reduce/1occ.scm 67 */
											long BgL_restz00_2112;

											BgL_restz00_2112 =
												(BgL_offsetz00_2109 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Reduce/1occ.scm 67 */

												{	/* Reduce/1occ.scm 67 */
													obj_t BgL_bucketz00_2114;

													BgL_bucketz00_2114 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2105), BgL_modz00_2110);
													BgL_res1911z00_2133 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2114), BgL_restz00_2112);
					}}}}}}}}
					BgL_method1316z00_1538 = BgL_res1911z00_2133;
				}
				return
					PROCEDURE_ENTRY(BgL_method1316z00_1538) (BgL_method1316z00_1538,
					((obj_t) BgL_nodez00_4), BgL_1zd2expza2z70_5, BEOA);
			}
		}

	}



/* &node-1occ! */
	obj_t BGl_z62nodezd21occz12za2zzreduce_1occz00(obj_t BgL_envz00_2331,
		obj_t BgL_nodez00_2332, obj_t BgL_1zd2expza2z70_2333)
	{
		{	/* Reduce/1occ.scm 67 */
			return
				BGl_nodezd21occz12zc0zzreduce_1occz00(
				((BgL_nodez00_bglt) BgL_nodez00_2332), BgL_1zd2expza2z70_2333);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_1occz00()
	{
		{	/* Reduce/1occ.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_atomz00zzast_nodez00,
				BGl_proc1921z00zzreduce_1occz00, BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1923z00zzreduce_1occz00, BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_varz00zzast_nodez00,
				BGl_proc1924z00zzreduce_1occz00, BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_closurez00zzast_nodez00, BGl_proc1925z00zzreduce_1occz00,
				BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1926z00zzreduce_1occz00,
				BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_syncz00zzast_nodez00,
				BGl_proc1927z00zzreduce_1occz00, BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1928z00zzreduce_1occz00,
				BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1929z00zzreduce_1occz00,
				BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_externz00zzast_nodez00, BGl_proc1930z00zzreduce_1occz00,
				BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_privatez00zzast_nodez00, BGl_proc1931z00zzreduce_1occz00,
				BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_castz00zzast_nodez00,
				BGl_proc1932z00zzreduce_1occz00, BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_setqz00zzast_nodez00,
				BGl_proc1933z00zzreduce_1occz00, BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1934z00zzreduce_1occz00,
				BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_failz00zzast_nodez00,
				BGl_proc1935z00zzreduce_1occz00, BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_switchz00zzast_nodez00, BGl_proc1936z00zzreduce_1occz00,
				BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1937z00zzreduce_1occz00,
				BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1938z00zzreduce_1occz00,
				BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1939z00zzreduce_1occz00,
				BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1940z00zzreduce_1occz00,
				BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_retblockz00zzast_nodez00, BGl_proc1941z00zzreduce_1occz00,
				BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_returnz00zzast_nodez00, BGl_proc1942z00zzreduce_1occz00,
				BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1943z00zzreduce_1occz00,
				BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1944z00zzreduce_1occz00,
				BGl_string1922z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1945z00zzreduce_1occz00,
				BGl_string1922z00zzreduce_1occz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_appz00zzast_nodez00,
				BGl_proc1946z00zzreduce_1occz00, BGl_string1922z00zzreduce_1occz00);
		}

	}



/* &node-1occ!-app1366 */
	obj_t BGl_z62nodezd21occz12zd2app1366z70zzreduce_1occz00(obj_t
		BgL_envz00_2359, obj_t BgL_nodez00_2360, obj_t BgL_1zd2expza2z70_2361)
	{
		{	/* Reduce/1occ.scm 417 */
			{	/* Reduce/1occ.scm 418 */
				bool_t BgL_tmpz00_2965;

				{	/* Reduce/1occ.scm 419 */
					obj_t BgL_resetz00_2448;

					BgL_resetz00_2448 =
						BGl_nodezd21occza2z12z62zzreduce_1occz00(
						(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_2360)))->BgL_argsz00),
						BgL_1zd2expza2z70_2361);
					{	/* Reduce/1occ.scm 420 */
						bool_t BgL_test2011z00_2969;

						if (CBOOL(BgL_resetz00_2448))
							{	/* Reduce/1occ.scm 420 */
								BgL_test2011z00_2969 = ((bool_t) 1);
							}
						else
							{	/* Reduce/1occ.scm 420 */
								BgL_test2011z00_2969 =
									BGl_sidezd2effectzf3z21zzeffect_effectz00(
									((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2360)));
							}
						if (BgL_test2011z00_2969)
							{	/* Reduce/1occ.scm 420 */
								{	/* Reduce/1occ.scm 424 */
									int BgL_tmpz00_2975;

									BgL_tmpz00_2975 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2975);
								}
								{	/* Reduce/1occ.scm 424 */
									obj_t BgL_auxz00_2980;
									int BgL_tmpz00_2978;

									BgL_auxz00_2980 =
										((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2360));
									BgL_tmpz00_2978 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_2978, BgL_auxz00_2980);
								}
								BgL_tmpz00_2965 = ((bool_t) 1);
							}
						else
							{	/* Reduce/1occ.scm 420 */
								{	/* Reduce/1occ.scm 425 */
									int BgL_tmpz00_2984;

									BgL_tmpz00_2984 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2984);
								}
								{	/* Reduce/1occ.scm 425 */
									obj_t BgL_auxz00_2989;
									int BgL_tmpz00_2987;

									BgL_auxz00_2989 =
										((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2360));
									BgL_tmpz00_2987 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_2987, BgL_auxz00_2989);
								}
								BgL_tmpz00_2965 = ((bool_t) 0);
				}}}
				return BBOOL(BgL_tmpz00_2965);
			}
		}

	}



/* &node-1occ!-box-ref1364 */
	obj_t BGl_z62nodezd21occz12zd2boxzd2ref1364za2zzreduce_1occz00(obj_t
		BgL_envz00_2362, obj_t BgL_nodez00_2363, obj_t BgL_1zd2expza2z70_2364)
	{
		{	/* Reduce/1occ.scm 411 */
			{	/* Reduce/1occ.scm 412 */
				bool_t BgL_tmpz00_2994;

				{	/* Reduce/1occ.scm 412 */
					int BgL_tmpz00_2995;

					BgL_tmpz00_2995 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2995);
				}
				{	/* Reduce/1occ.scm 412 */
					obj_t BgL_auxz00_3000;
					int BgL_tmpz00_2998;

					BgL_auxz00_3000 =
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2363));
					BgL_tmpz00_2998 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_2998, BgL_auxz00_3000);
				}
				BgL_tmpz00_2994 = ((bool_t) 0);
				return BBOOL(BgL_tmpz00_2994);
			}
		}

	}



/* &node-1occ!-box-set!1362 */
	obj_t BGl_z62nodezd21occz12zd2boxzd2setz121362zb0zzreduce_1occz00(obj_t
		BgL_envz00_2365, obj_t BgL_nodez00_2366, obj_t BgL_1zd2expza2z70_2367)
	{
		{	/* Reduce/1occ.scm 401 */
			{	/* Reduce/1occ.scm 403 */
				obj_t BgL_resetz00_2451;

				BgL_resetz00_2451 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2366)))->BgL_valuez00),
					BgL_1zd2expza2z70_2367);
				{	/* Reduce/1occ.scm 404 */
					obj_t BgL_nvaluez00_2452;

					{	/* Reduce/1occ.scm 405 */
						obj_t BgL_tmpz00_2453;

						{	/* Reduce/1occ.scm 405 */
							int BgL_tmpz00_3008;

							BgL_tmpz00_3008 = (int) (((long) 1));
							BgL_tmpz00_2453 = BGL_MVALUES_VAL(BgL_tmpz00_3008);
						}
						{	/* Reduce/1occ.scm 405 */
							int BgL_tmpz00_3011;

							BgL_tmpz00_3011 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3011, BUNSPEC);
						}
						BgL_nvaluez00_2452 = BgL_tmpz00_2453;
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2366)))->
							BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2452)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 406 */
						int BgL_tmpz00_3017;

						BgL_tmpz00_3017 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3017);
					}
					{	/* Reduce/1occ.scm 406 */
						obj_t BgL_auxz00_3022;
						int BgL_tmpz00_3020;

						BgL_auxz00_3022 =
							((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2366));
						BgL_tmpz00_3020 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3020, BgL_auxz00_3022);
					}
					return BgL_resetz00_2451;
				}
			}
		}

	}



/* &node-1occ!-make-box1360 */
	obj_t BGl_z62nodezd21occz12zd2makezd2box1360za2zzreduce_1occz00(obj_t
		BgL_envz00_2368, obj_t BgL_nodez00_2369, obj_t BgL_1zd2expza2z70_2370)
	{
		{	/* Reduce/1occ.scm 391 */
			{	/* Reduce/1occ.scm 393 */
				obj_t BgL_resetz00_2455;

				BgL_resetz00_2455 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2369)))->BgL_valuez00),
					BgL_1zd2expza2z70_2370);
				{	/* Reduce/1occ.scm 394 */
					obj_t BgL_nvaluez00_2456;

					{	/* Reduce/1occ.scm 395 */
						obj_t BgL_tmpz00_2457;

						{	/* Reduce/1occ.scm 395 */
							int BgL_tmpz00_3029;

							BgL_tmpz00_3029 = (int) (((long) 1));
							BgL_tmpz00_2457 = BGL_MVALUES_VAL(BgL_tmpz00_3029);
						}
						{	/* Reduce/1occ.scm 395 */
							int BgL_tmpz00_3032;

							BgL_tmpz00_3032 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3032, BUNSPEC);
						}
						BgL_nvaluez00_2456 = BgL_tmpz00_2457;
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_2369)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2456)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 396 */
						int BgL_tmpz00_3038;

						BgL_tmpz00_3038 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3038);
					}
					{	/* Reduce/1occ.scm 396 */
						obj_t BgL_auxz00_3043;
						int BgL_tmpz00_3041;

						BgL_auxz00_3043 =
							((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2369));
						BgL_tmpz00_3041 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3041, BgL_auxz00_3043);
					}
					return BgL_resetz00_2455;
				}
			}
		}

	}



/* &node-1occ!-return1358 */
	obj_t BGl_z62nodezd21occz12zd2return1358z70zzreduce_1occz00(obj_t
		BgL_envz00_2371, obj_t BgL_nodez00_2372, obj_t BgL_1zd2expza2z70_2373)
	{
		{	/* Reduce/1occ.scm 381 */
			{	/* Reduce/1occ.scm 383 */
				obj_t BgL_resetz00_2459;

				BgL_resetz00_2459 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2372)))->BgL_valuez00),
					BgL_1zd2expza2z70_2373);
				{	/* Reduce/1occ.scm 384 */
					obj_t BgL_nvaluez00_2460;

					{	/* Reduce/1occ.scm 385 */
						obj_t BgL_tmpz00_2461;

						{	/* Reduce/1occ.scm 385 */
							int BgL_tmpz00_3050;

							BgL_tmpz00_3050 = (int) (((long) 1));
							BgL_tmpz00_2461 = BGL_MVALUES_VAL(BgL_tmpz00_3050);
						}
						{	/* Reduce/1occ.scm 385 */
							int BgL_tmpz00_3053;

							BgL_tmpz00_3053 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3053, BUNSPEC);
						}
						BgL_nvaluez00_2460 = BgL_tmpz00_2461;
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nodez00_2372)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2460)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 386 */
						int BgL_tmpz00_3059;

						BgL_tmpz00_3059 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3059);
					}
					{	/* Reduce/1occ.scm 386 */
						obj_t BgL_auxz00_3064;
						int BgL_tmpz00_3062;

						BgL_auxz00_3064 = ((obj_t) ((BgL_returnz00_bglt) BgL_nodez00_2372));
						BgL_tmpz00_3062 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3062, BgL_auxz00_3064);
					}
					return BgL_resetz00_2459;
				}
			}
		}

	}



/* &node-1occ!-retblock1356 */
	obj_t BGl_z62nodezd21occz12zd2retblock1356z70zzreduce_1occz00(obj_t
		BgL_envz00_2374, obj_t BgL_nodez00_2375, obj_t BgL_1zd2expza2z70_2376)
	{
		{	/* Reduce/1occ.scm 371 */
			{	/* Reduce/1occ.scm 373 */
				obj_t BgL_resetz00_2463;

				BgL_resetz00_2463 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2375)))->BgL_bodyz00),
					BgL_1zd2expza2z70_2376);
				{	/* Reduce/1occ.scm 374 */
					obj_t BgL_nbodyz00_2464;

					{	/* Reduce/1occ.scm 375 */
						obj_t BgL_tmpz00_2465;

						{	/* Reduce/1occ.scm 375 */
							int BgL_tmpz00_3071;

							BgL_tmpz00_3071 = (int) (((long) 1));
							BgL_tmpz00_2465 = BGL_MVALUES_VAL(BgL_tmpz00_3071);
						}
						{	/* Reduce/1occ.scm 375 */
							int BgL_tmpz00_3074;

							BgL_tmpz00_3074 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3074, BUNSPEC);
						}
						BgL_nbodyz00_2464 = BgL_tmpz00_2465;
					}
					((((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nodez00_2375)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2464)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 376 */
						int BgL_tmpz00_3080;

						BgL_tmpz00_3080 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3080);
					}
					{	/* Reduce/1occ.scm 376 */
						obj_t BgL_auxz00_3085;
						int BgL_tmpz00_3083;

						BgL_auxz00_3085 =
							((obj_t) ((BgL_retblockz00_bglt) BgL_nodez00_2375));
						BgL_tmpz00_3083 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3083, BgL_auxz00_3085);
					}
					return BgL_resetz00_2463;
				}
			}
		}

	}



/* &node-1occ!-jump-ex-i1354 */
	obj_t BGl_z62nodezd21occz12zd2jumpzd2exzd2i1354z70zzreduce_1occz00(obj_t
		BgL_envz00_2377, obj_t BgL_nodez00_2378, obj_t BgL_1zd2expza2z70_2379)
	{
		{	/* Reduce/1occ.scm 357 */
			{	/* Reduce/1occ.scm 359 */
				obj_t BgL_resetz00_2467;

				BgL_resetz00_2467 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2378)))->BgL_exitz00),
					BgL_1zd2expza2z70_2379);
				{	/* Reduce/1occ.scm 360 */
					obj_t BgL_nexitz00_2468;

					{	/* Reduce/1occ.scm 361 */
						obj_t BgL_tmpz00_2469;

						{	/* Reduce/1occ.scm 361 */
							int BgL_tmpz00_3092;

							BgL_tmpz00_3092 = (int) (((long) 1));
							BgL_tmpz00_2469 = BGL_MVALUES_VAL(BgL_tmpz00_3092);
						}
						{	/* Reduce/1occ.scm 361 */
							int BgL_tmpz00_3095;

							BgL_tmpz00_3095 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3095, BUNSPEC);
						}
						BgL_nexitz00_2468 = BgL_tmpz00_2469;
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2378)))->
							BgL_exitz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nexitz00_2468)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 362 */
						obj_t BgL_1zd2expza2z72z02_2470;

						if (CBOOL(BgL_resetz00_2467))
							{	/* Reduce/1occ.scm 362 */
								BgL_1zd2expza2z72z02_2470 = BNIL;
							}
						else
							{	/* Reduce/1occ.scm 362 */
								BgL_1zd2expza2z72z02_2470 = BgL_1zd2expza2z70_2379;
							}
						{	/* Reduce/1occ.scm 363 */
							obj_t BgL_resetz72z72_2471;

							BgL_resetz72z72_2471 =
								BGl_nodezd21occz12zc0zzreduce_1occz00(
								(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
											((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2378)))->
									BgL_valuez00), BgL_1zd2expza2z72z02_2470);
							{	/* Reduce/1occ.scm 364 */
								obj_t BgL_nvaluez00_2472;

								{	/* Reduce/1occ.scm 365 */
									obj_t BgL_tmpz00_2473;

									{	/* Reduce/1occ.scm 365 */
										int BgL_tmpz00_3106;

										BgL_tmpz00_3106 = (int) (((long) 1));
										BgL_tmpz00_2473 = BGL_MVALUES_VAL(BgL_tmpz00_3106);
									}
									{	/* Reduce/1occ.scm 365 */
										int BgL_tmpz00_3109;

										BgL_tmpz00_3109 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3109, BUNSPEC);
									}
									BgL_nvaluez00_2472 = BgL_tmpz00_2473;
								}
								((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
												((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2378)))->
										BgL_valuez00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2472)),
									BUNSPEC);
								{	/* Reduce/1occ.scm 366 */
									obj_t BgL_val0_1299z00_2474;

									if (CBOOL(BgL_resetz00_2467))
										{	/* Reduce/1occ.scm 366 */
											BgL_val0_1299z00_2474 = BgL_resetz00_2467;
										}
									else
										{	/* Reduce/1occ.scm 366 */
											BgL_val0_1299z00_2474 = BgL_resetz72z72_2471;
										}
									{	/* Reduce/1occ.scm 366 */
										int BgL_tmpz00_3117;

										BgL_tmpz00_3117 = (int) (((long) 2));
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3117);
									}
									{	/* Reduce/1occ.scm 366 */
										obj_t BgL_auxz00_3122;
										int BgL_tmpz00_3120;

										BgL_auxz00_3122 =
											((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2378));
										BgL_tmpz00_3120 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3120, BgL_auxz00_3122);
									}
									return BgL_val0_1299z00_2474;
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-1occ!-set-ex-it1352 */
	obj_t BGl_z62nodezd21occz12zd2setzd2exzd2it1352z70zzreduce_1occz00(obj_t
		BgL_envz00_2380, obj_t BgL_nodez00_2381, obj_t BgL_1zd2expza2z70_2382)
	{
		{	/* Reduce/1occ.scm 344 */
			{	/* Reduce/1occ.scm 346 */
				obj_t BgL_resetz00_2476;

				BgL_resetz00_2476 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2381)))->BgL_bodyz00),
					BgL_1zd2expza2z70_2382);
				{	/* Reduce/1occ.scm 347 */
					obj_t BgL_nbodyz00_2477;

					{	/* Reduce/1occ.scm 348 */
						obj_t BgL_tmpz00_2478;

						{	/* Reduce/1occ.scm 348 */
							int BgL_tmpz00_3129;

							BgL_tmpz00_3129 = (int) (((long) 1));
							BgL_tmpz00_2478 = BGL_MVALUES_VAL(BgL_tmpz00_3129);
						}
						{	/* Reduce/1occ.scm 348 */
							int BgL_tmpz00_3132;

							BgL_tmpz00_3132 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3132, BUNSPEC);
						}
						BgL_nbodyz00_2477 = BgL_tmpz00_2478;
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2381)))->
							BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2477)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 349 */
						obj_t BgL_resetz72z72_2479;

						BgL_resetz72z72_2479 =
							BGl_nodezd21occz12zc0zzreduce_1occz00(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2381)))->
								BgL_onexitz00), BgL_1zd2expza2z70_2382);
						{	/* Reduce/1occ.scm 350 */
							obj_t BgL_nonexitz00_2480;

							{	/* Reduce/1occ.scm 351 */
								obj_t BgL_tmpz00_2481;

								{	/* Reduce/1occ.scm 351 */
									int BgL_tmpz00_3141;

									BgL_tmpz00_3141 = (int) (((long) 1));
									BgL_tmpz00_2481 = BGL_MVALUES_VAL(BgL_tmpz00_3141);
								}
								{	/* Reduce/1occ.scm 351 */
									int BgL_tmpz00_3144;

									BgL_tmpz00_3144 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3144, BUNSPEC);
								}
								BgL_nonexitz00_2480 = BgL_tmpz00_2481;
							}
							((((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2381)))->
									BgL_onexitz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nonexitz00_2480)),
								BUNSPEC);
							{	/* Reduce/1occ.scm 352 */
								obj_t BgL_val0_1297z00_2482;

								if (CBOOL(BgL_resetz00_2476))
									{	/* Reduce/1occ.scm 352 */
										BgL_val0_1297z00_2482 = BgL_resetz00_2476;
									}
								else
									{	/* Reduce/1occ.scm 352 */
										BgL_val0_1297z00_2482 = BgL_resetz72z72_2479;
									}
								{	/* Reduce/1occ.scm 352 */
									int BgL_tmpz00_3152;

									BgL_tmpz00_3152 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3152);
								}
								{	/* Reduce/1occ.scm 352 */
									obj_t BgL_auxz00_3157;
									int BgL_tmpz00_3155;

									BgL_auxz00_3157 =
										((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2381));
									BgL_tmpz00_3155 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3155, BgL_auxz00_3157);
								}
								return BgL_val0_1297z00_2482;
							}
						}
					}
				}
			}
		}

	}



/* &node-1occ!-let-var1350 */
	obj_t BGl_z62nodezd21occz12zd2letzd2var1350za2zzreduce_1occz00(obj_t
		BgL_envz00_2383, obj_t BgL_nodez00_2384, obj_t BgL_1zd2expza2z70_2385)
	{
		{	/* Reduce/1occ.scm 253 */
			{	/* Reduce/1occ.scm 259 */
				bool_t BgL_test2016z00_3161;

				{	/* Reduce/1occ.scm 259 */
					bool_t BgL_test2017z00_3162;

					{	/* Reduce/1occ.scm 259 */
						obj_t BgL_tmpz00_3163;

						BgL_tmpz00_3163 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2384)))->
							BgL_bindingsz00);
						BgL_test2017z00_3162 = PAIRP(BgL_tmpz00_3163);
					}
					if (BgL_test2017z00_3162)
						{	/* Reduce/1occ.scm 259 */
							if (NULLP(CDR(
										(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2384)))->
											BgL_bindingsz00))))
								{	/* Reduce/1occ.scm 261 */
									obj_t BgL_varz00_2484;

									{	/* Reduce/1occ.scm 261 */
										obj_t BgL_pairz00_2485;

										BgL_pairz00_2485 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2384)))->
											BgL_bindingsz00);
										BgL_varz00_2484 = CAR(CAR(BgL_pairz00_2485));
									}
									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_varz00_2484))))->
												BgL_occurrencez00) == ((long) 1)))
										{	/* Reduce/1occ.scm 263 */
											bool_t BgL_test2020z00_3181;

											{	/* Reduce/1occ.scm 263 */
												BgL_typez00_bglt BgL_arg1751z00_2486;

												BgL_arg1751z00_2486 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_2484)))->
													BgL_typez00);
												BgL_test2020z00_3181 =
													(((obj_t) BgL_arg1751z00_2486) ==
													BGl_za2boolza2z00zztype_cachez00);
											}
											if (BgL_test2020z00_3181)
												{	/* Reduce/1occ.scm 264 */
													bool_t BgL_test2021z00_3186;

													{	/* Reduce/1occ.scm 264 */
														BgL_nodez00_bglt BgL_arg1750z00_2487;

														BgL_arg1750z00_2487 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_2384)))->
															BgL_bodyz00);
														{	/* Reduce/1occ.scm 264 */
															obj_t BgL_classz00_2488;

															BgL_classz00_2488 =
																BGl_conditionalz00zzast_nodez00;
															{	/* Reduce/1occ.scm 264 */
																BgL_objectz00_bglt BgL_arg1825z00_2489;

																{	/* Reduce/1occ.scm 264 */
																	obj_t BgL_tmpz00_3189;

																	BgL_tmpz00_3189 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg1750z00_2487));
																	BgL_arg1825z00_2489 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_3189);
																}
																{	/* Reduce/1occ.scm 264 */
																	bool_t BgL_arg1822z00_2490;
																	bool_t BgL_arg1823z00_2491;

																	{	/* Reduce/1occ.scm 264 */
																		long BgL_idxz00_2492;

																		BgL_idxz00_2492 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_2489);
																		BgL_arg1822z00_2490 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2492 + ((long) 3))) ==
																			BgL_classz00_2488);
																	}
																	{	/* Reduce/1occ.scm 264 */
																		bool_t BgL_res1912z00_2495;

																		{	/* Reduce/1occ.scm 264 */
																			obj_t BgL_oclassz00_2496;

																			{	/* Reduce/1occ.scm 264 */
																				long BgL_arg1833z00_2497;

																				{	/* Reduce/1occ.scm 264 */
																					long BgL_arg1834z00_2498;

																					BgL_arg1834z00_2498 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_2489);
																					BgL_arg1833z00_2497 =
																						(BgL_arg1834z00_2498 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2496 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_2497);
																			}
																			{	/* Reduce/1occ.scm 264 */
																				bool_t BgL__ortest_1110z00_2499;

																				BgL__ortest_1110z00_2499 =
																					(BgL_classz00_2488 ==
																					BgL_oclassz00_2496);
																				if (BgL__ortest_1110z00_2499)
																					{	/* Reduce/1occ.scm 264 */
																						BgL_res1912z00_2495 =
																							BgL__ortest_1110z00_2499;
																					}
																				else
																					{	/* Reduce/1occ.scm 264 */
																						long BgL_odepthz00_2500;

																						BgL_odepthz00_2500 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2496);
																						if ((((long) 3) <
																								BgL_odepthz00_2500))
																							{	/* Reduce/1occ.scm 264 */
																								obj_t BgL_arg1821z00_2501;

																								BgL_arg1821z00_2501 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2496,
																									((long) 3));
																								BgL_res1912z00_2495 =
																									(BgL_arg1821z00_2501 ==
																									BgL_classz00_2488);
																							}
																						else
																							{	/* Reduce/1occ.scm 264 */
																								BgL_res1912z00_2495 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_2491 = BgL_res1912z00_2495;
																	}
																	BgL_test2021z00_3186 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_2490,
																		BgL_arg1823z00_2491);
																}
															}
														}
													}
													if (BgL_test2021z00_3186)
														{	/* Reduce/1occ.scm 265 */
															BgL_conditionalz00_bglt BgL_i1130z00_2502;

															BgL_i1130z00_2502 =
																((BgL_conditionalz00_bglt)
																(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_2384)))->BgL_bodyz00));
															{	/* Reduce/1occ.scm 266 */
																bool_t BgL_test2024z00_3211;

																{	/* Reduce/1occ.scm 266 */
																	BgL_nodez00_bglt BgL_arg1749z00_2503;

																	BgL_arg1749z00_2503 =
																		(((BgL_conditionalz00_bglt)
																			COBJECT(BgL_i1130z00_2502))->BgL_testz00);
																	{	/* Reduce/1occ.scm 266 */
																		obj_t BgL_classz00_2504;

																		BgL_classz00_2504 = BGl_varz00zzast_nodez00;
																		{	/* Reduce/1occ.scm 266 */
																			BgL_objectz00_bglt BgL_arg1825z00_2505;

																			{	/* Reduce/1occ.scm 266 */
																				obj_t BgL_tmpz00_3213;

																				BgL_tmpz00_3213 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_arg1749z00_2503));
																				BgL_arg1825z00_2505 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_3213);
																			}
																			{	/* Reduce/1occ.scm 266 */
																				bool_t BgL_arg1822z00_2506;
																				bool_t BgL_arg1823z00_2507;

																				{	/* Reduce/1occ.scm 266 */
																					long BgL_idxz00_2508;

																					BgL_idxz00_2508 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_2505);
																					BgL_arg1822z00_2506 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2508 + ((long) 2))) ==
																						BgL_classz00_2504);
																				}
																				{	/* Reduce/1occ.scm 266 */
																					bool_t BgL_res1913z00_2511;

																					{	/* Reduce/1occ.scm 266 */
																						obj_t BgL_oclassz00_2512;

																						{	/* Reduce/1occ.scm 266 */
																							long BgL_arg1833z00_2513;

																							{	/* Reduce/1occ.scm 266 */
																								long BgL_arg1834z00_2514;

																								BgL_arg1834z00_2514 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_2505);
																								BgL_arg1833z00_2513 =
																									(BgL_arg1834z00_2514 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2512 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_2513);
																						}
																						{	/* Reduce/1occ.scm 266 */
																							bool_t BgL__ortest_1110z00_2515;

																							BgL__ortest_1110z00_2515 =
																								(BgL_classz00_2504 ==
																								BgL_oclassz00_2512);
																							if (BgL__ortest_1110z00_2515)
																								{	/* Reduce/1occ.scm 266 */
																									BgL_res1913z00_2511 =
																										BgL__ortest_1110z00_2515;
																								}
																							else
																								{	/* Reduce/1occ.scm 266 */
																									long BgL_odepthz00_2516;

																									BgL_odepthz00_2516 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2512);
																									if ((((long) 2) <
																											BgL_odepthz00_2516))
																										{	/* Reduce/1occ.scm 266 */
																											obj_t BgL_arg1821z00_2517;

																											BgL_arg1821z00_2517 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2512,
																												((long) 2));
																											BgL_res1913z00_2511 =
																												(BgL_arg1821z00_2517 ==
																												BgL_classz00_2504);
																										}
																									else
																										{	/* Reduce/1occ.scm 266 */
																											BgL_res1913z00_2511 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_2507 =
																						BgL_res1913z00_2511;
																				}
																				BgL_test2024z00_3211 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_2506,
																					BgL_arg1823z00_2507);
																			}
																		}
																	}
																}
																if (BgL_test2024z00_3211)
																	{	/* Reduce/1occ.scm 266 */
																		BgL_test2016z00_3161 =
																			(
																			((obj_t)
																				(((BgL_varz00_bglt) COBJECT(
																							((BgL_varz00_bglt)
																								(((BgL_conditionalz00_bglt)
																										COBJECT
																										(BgL_i1130z00_2502))->
																									BgL_testz00))))->
																					BgL_variablez00)) == BgL_varz00_2484);
																	}
																else
																	{	/* Reduce/1occ.scm 266 */
																		BgL_test2016z00_3161 = ((bool_t) 0);
																	}
															}
														}
													else
														{	/* Reduce/1occ.scm 264 */
															BgL_test2016z00_3161 = ((bool_t) 0);
														}
												}
											else
												{	/* Reduce/1occ.scm 263 */
													BgL_test2016z00_3161 = ((bool_t) 0);
												}
										}
									else
										{	/* Reduce/1occ.scm 262 */
											BgL_test2016z00_3161 = ((bool_t) 0);
										}
								}
							else
								{	/* Reduce/1occ.scm 260 */
									BgL_test2016z00_3161 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/1occ.scm 259 */
							BgL_test2016z00_3161 = ((bool_t) 0);
						}
				}
				if (BgL_test2016z00_3161)
					{	/* Reduce/1occ.scm 269 */
						BgL_conditionalz00_bglt BgL_i1132z00_2518;

						BgL_i1132z00_2518 =
							((BgL_conditionalz00_bglt)
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2384)))->BgL_bodyz00));
						{
							BgL_nodez00_bglt BgL_auxz00_3240;

							{	/* Reduce/1occ.scm 270 */
								obj_t BgL_pairz00_2519;

								BgL_pairz00_2519 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2384)))->
									BgL_bindingsz00);
								{	/* Reduce/1occ.scm 270 */
									obj_t BgL_pairz00_2520;

									BgL_pairz00_2520 = CAR(BgL_pairz00_2519);
									BgL_auxz00_3240 = ((BgL_nodez00_bglt) CDR(BgL_pairz00_2520));
								}
							}
							((((BgL_conditionalz00_bglt) COBJECT(BgL_i1132z00_2518))->
									BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_3240), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2384)))->
								BgL_bindingsz00) = ((obj_t) BNIL), BUNSPEC);
						return
							BGl_nodezd21occz12zc0zzreduce_1occz00((((BgL_letzd2varzd2_bglt)
									COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_2384)))->
								BgL_bodyz00), BgL_1zd2expza2z70_2385);
					}
				else
					{	/* Reduce/1occ.scm 259 */
						return
							BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2384),
							BgL_1zd2expza2z70_2385);
					}
			}
		}

	}



/* &node-1occ!-let-fun1348 */
	obj_t BGl_z62nodezd21occz12zd2letzd2fun1348za2zzreduce_1occz00(obj_t
		BgL_envz00_2386, obj_t BgL_nodez00_2387, obj_t BgL_1zd2expza2z70_2388)
	{
		{	/* Reduce/1occ.scm 234 */
			{	/* Reduce/1occ.scm 236 */
				obj_t BgL_resetz00_2522;

				BgL_resetz00_2522 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2387)))->BgL_bodyz00),
					BgL_1zd2expza2z70_2388);
				{	/* Reduce/1occ.scm 237 */
					obj_t BgL_nbodyz00_2523;

					{	/* Reduce/1occ.scm 238 */
						obj_t BgL_tmpz00_2524;

						{	/* Reduce/1occ.scm 238 */
							int BgL_tmpz00_3257;

							BgL_tmpz00_3257 = (int) (((long) 1));
							BgL_tmpz00_2524 = BGL_MVALUES_VAL(BgL_tmpz00_3257);
						}
						{	/* Reduce/1occ.scm 238 */
							int BgL_tmpz00_3260;

							BgL_tmpz00_3260 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3260, BUNSPEC);
						}
						BgL_nbodyz00_2523 = BgL_tmpz00_2524;
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2387)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2523)),
						BUNSPEC);
					{
						obj_t BgL_localsz00_2526;
						obj_t BgL_resetz00_2527;

						BgL_localsz00_2526 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2387)))->BgL_localsz00);
						BgL_resetz00_2527 = BgL_resetz00_2522;
					BgL_loopz00_2525:
						if (NULLP(BgL_localsz00_2526))
							{	/* Reduce/1occ.scm 241 */
								{	/* Reduce/1occ.scm 242 */
									int BgL_tmpz00_3268;

									BgL_tmpz00_3268 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3268);
								}
								{	/* Reduce/1occ.scm 242 */
									obj_t BgL_auxz00_3273;
									int BgL_tmpz00_3271;

									BgL_auxz00_3273 =
										((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2387));
									BgL_tmpz00_3271 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3271, BgL_auxz00_3273);
								}
								return BgL_resetz00_2527;
							}
						else
							{	/* Reduce/1occ.scm 243 */
								obj_t BgL_localz00_2528;

								BgL_localz00_2528 = CAR(((obj_t) BgL_localsz00_2526));
								{	/* Reduce/1occ.scm 243 */
									BgL_valuez00_bglt BgL_sfunz00_2529;

									BgL_sfunz00_2529 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2528))))->
										BgL_valuez00);
									{	/* Reduce/1occ.scm 244 */

										{	/* Reduce/1occ.scm 245 */
											obj_t BgL_resetz72z72_2530;

											{	/* Reduce/1occ.scm 246 */
												obj_t BgL_arg1711z00_2531;

												BgL_arg1711z00_2531 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_sfunz00_2529)))->
													BgL_bodyz00);
												BgL_resetz72z72_2530 =
													BGl_nodezd21occz12zc0zzreduce_1occz00((
														(BgL_nodez00_bglt) BgL_arg1711z00_2531), BNIL);
											}
											{	/* Reduce/1occ.scm 246 */
												obj_t BgL_nbodyz00_2532;

												{	/* Reduce/1occ.scm 247 */
													obj_t BgL_tmpz00_2533;

													{	/* Reduce/1occ.scm 247 */
														int BgL_tmpz00_3286;

														BgL_tmpz00_3286 = (int) (((long) 1));
														BgL_tmpz00_2533 = BGL_MVALUES_VAL(BgL_tmpz00_3286);
													}
													{	/* Reduce/1occ.scm 247 */
														int BgL_tmpz00_3289;

														BgL_tmpz00_3289 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_tmpz00_3289, BUNSPEC);
													}
													BgL_nbodyz00_2532 = BgL_tmpz00_2533;
												}
												((((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_sfunz00_2529)))->
														BgL_bodyz00) =
													((obj_t) BgL_nbodyz00_2532), BUNSPEC);
												{	/* Reduce/1occ.scm 248 */
													obj_t BgL_arg1703z00_2534;
													obj_t BgL_arg1706z00_2535;

													BgL_arg1703z00_2534 =
														CDR(((obj_t) BgL_localsz00_2526));
													if (CBOOL(BgL_resetz00_2527))
														{	/* Reduce/1occ.scm 248 */
															BgL_arg1706z00_2535 = BgL_resetz00_2527;
														}
													else
														{	/* Reduce/1occ.scm 248 */
															BgL_arg1706z00_2535 = BgL_resetz72z72_2530;
														}
													{
														obj_t BgL_resetz00_3299;
														obj_t BgL_localsz00_3298;

														BgL_localsz00_3298 = BgL_arg1703z00_2534;
														BgL_resetz00_3299 = BgL_arg1706z00_2535;
														BgL_resetz00_2527 = BgL_resetz00_3299;
														BgL_localsz00_2526 = BgL_localsz00_3298;
														goto BgL_loopz00_2525;
													}
												}
											}
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &node-1occ!-switch1346 */
	obj_t BGl_z62nodezd21occz12zd2switch1346z70zzreduce_1occz00(obj_t
		BgL_envz00_2389, obj_t BgL_nodez00_2390, obj_t BgL_1zd2expza2z70_2391)
	{
		{	/* Reduce/1occ.scm 215 */
			{	/* Reduce/1occ.scm 217 */
				obj_t BgL_resetz00_2537;

				BgL_resetz00_2537 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2390)))->BgL_testz00),
					BgL_1zd2expza2z70_2391);
				{	/* Reduce/1occ.scm 218 */
					obj_t BgL_ntestz00_2538;

					{	/* Reduce/1occ.scm 219 */
						obj_t BgL_tmpz00_2539;

						{	/* Reduce/1occ.scm 219 */
							int BgL_tmpz00_3305;

							BgL_tmpz00_3305 = (int) (((long) 1));
							BgL_tmpz00_2539 = BGL_MVALUES_VAL(BgL_tmpz00_3305);
						}
						{	/* Reduce/1occ.scm 219 */
							int BgL_tmpz00_3308;

							BgL_tmpz00_3308 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3308, BUNSPEC);
						}
						BgL_ntestz00_2538 = BgL_tmpz00_2539;
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2390)))->BgL_testz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_2538)),
						BUNSPEC);
					{
						obj_t BgL_clausesz00_2541;
						obj_t BgL_resetz00_2542;

						BgL_clausesz00_2541 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2390)))->BgL_clausesz00);
						BgL_resetz00_2542 = BgL_resetz00_2537;
					BgL_loopz00_2540:
						if (NULLP(BgL_clausesz00_2541))
							{	/* Reduce/1occ.scm 223 */
								{	/* Reduce/1occ.scm 224 */
									int BgL_tmpz00_3316;

									BgL_tmpz00_3316 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3316);
								}
								{	/* Reduce/1occ.scm 224 */
									obj_t BgL_auxz00_3321;
									int BgL_tmpz00_3319;

									BgL_auxz00_3321 =
										((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_2390));
									BgL_tmpz00_3319 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3319, BgL_auxz00_3321);
								}
								return BgL_resetz00_2542;
							}
						else
							{	/* Reduce/1occ.scm 225 */
								obj_t BgL_clausez00_2543;

								BgL_clausez00_2543 = CAR(((obj_t) BgL_clausesz00_2541));
								{	/* Reduce/1occ.scm 226 */
									obj_t BgL_resetz72z72_2544;

									{	/* Reduce/1occ.scm 227 */
										obj_t BgL_arg1695z00_2545;

										BgL_arg1695z00_2545 = CDR(((obj_t) BgL_clausez00_2543));
										BgL_resetz72z72_2544 =
											BGl_nodezd21occz12zc0zzreduce_1occz00(
											((BgL_nodez00_bglt) BgL_arg1695z00_2545),
											BgL_1zd2expza2z70_2391);
									}
									{	/* Reduce/1occ.scm 227 */
										obj_t BgL_nclausez00_2546;

										{	/* Reduce/1occ.scm 228 */
											obj_t BgL_tmpz00_2547;

											{	/* Reduce/1occ.scm 228 */
												int BgL_tmpz00_3331;

												BgL_tmpz00_3331 = (int) (((long) 1));
												BgL_tmpz00_2547 = BGL_MVALUES_VAL(BgL_tmpz00_3331);
											}
											{	/* Reduce/1occ.scm 228 */
												int BgL_tmpz00_3334;

												BgL_tmpz00_3334 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3334, BUNSPEC);
											}
											BgL_nclausez00_2546 = BgL_tmpz00_2547;
										}
										{	/* Reduce/1occ.scm 228 */
											obj_t BgL_tmpz00_3337;

											BgL_tmpz00_3337 = ((obj_t) BgL_clausez00_2543);
											SET_CDR(BgL_tmpz00_3337, BgL_nclausez00_2546);
										}
										{	/* Reduce/1occ.scm 229 */
											obj_t BgL_arg1682z00_2548;
											obj_t BgL_arg1694z00_2549;

											BgL_arg1682z00_2548 = CDR(((obj_t) BgL_clausesz00_2541));
											if (CBOOL(BgL_resetz00_2542))
												{	/* Reduce/1occ.scm 229 */
													BgL_arg1694z00_2549 = BgL_resetz00_2542;
												}
											else
												{	/* Reduce/1occ.scm 229 */
													BgL_arg1694z00_2549 = BgL_resetz72z72_2544;
												}
											{
												obj_t BgL_resetz00_3345;
												obj_t BgL_clausesz00_3344;

												BgL_clausesz00_3344 = BgL_arg1682z00_2548;
												BgL_resetz00_3345 = BgL_arg1694z00_2549;
												BgL_resetz00_2542 = BgL_resetz00_3345;
												BgL_clausesz00_2541 = BgL_clausesz00_3344;
												goto BgL_loopz00_2540;
											}
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &node-1occ!-fail1344 */
	obj_t BGl_z62nodezd21occz12zd2fail1344z70zzreduce_1occz00(obj_t
		BgL_envz00_2392, obj_t BgL_nodez00_2393, obj_t BgL_1zd2expza2z70_2394)
	{
		{	/* Reduce/1occ.scm 197 */
			{	/* Reduce/1occ.scm 199 */
				obj_t BgL_resetz00_2551;

				BgL_resetz00_2551 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2393)))->BgL_procz00),
					BgL_1zd2expza2z70_2394);
				{	/* Reduce/1occ.scm 200 */
					obj_t BgL_nprocz00_2552;

					{	/* Reduce/1occ.scm 201 */
						obj_t BgL_tmpz00_2553;

						{	/* Reduce/1occ.scm 201 */
							int BgL_tmpz00_3351;

							BgL_tmpz00_3351 = (int) (((long) 1));
							BgL_tmpz00_2553 = BGL_MVALUES_VAL(BgL_tmpz00_3351);
						}
						{	/* Reduce/1occ.scm 201 */
							int BgL_tmpz00_3354;

							BgL_tmpz00_3354 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3354, BUNSPEC);
						}
						BgL_nprocz00_2552 = BgL_tmpz00_2553;
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2393)))->BgL_procz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nprocz00_2552)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 202 */
						obj_t BgL_1zd2expza2z72z02_2554;

						if (CBOOL(BgL_resetz00_2551))
							{	/* Reduce/1occ.scm 202 */
								BgL_1zd2expza2z72z02_2554 = BNIL;
							}
						else
							{	/* Reduce/1occ.scm 202 */
								BgL_1zd2expza2z72z02_2554 = BgL_1zd2expza2z70_2394;
							}
						{	/* Reduce/1occ.scm 203 */
							obj_t BgL_resetz72z72_2555;

							BgL_resetz72z72_2555 =
								BGl_nodezd21occz12zc0zzreduce_1occz00(
								(((BgL_failz00_bglt) COBJECT(
											((BgL_failz00_bglt) BgL_nodez00_2393)))->BgL_msgz00),
								BgL_1zd2expza2z72z02_2554);
							{	/* Reduce/1occ.scm 204 */
								obj_t BgL_nmsgz00_2556;

								{	/* Reduce/1occ.scm 205 */
									obj_t BgL_tmpz00_2557;

									{	/* Reduce/1occ.scm 205 */
										int BgL_tmpz00_3365;

										BgL_tmpz00_3365 = (int) (((long) 1));
										BgL_tmpz00_2557 = BGL_MVALUES_VAL(BgL_tmpz00_3365);
									}
									{	/* Reduce/1occ.scm 205 */
										int BgL_tmpz00_3368;

										BgL_tmpz00_3368 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3368, BUNSPEC);
									}
									BgL_nmsgz00_2556 = BgL_tmpz00_2557;
								}
								((((BgL_failz00_bglt) COBJECT(
												((BgL_failz00_bglt) BgL_nodez00_2393)))->BgL_msgz00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmsgz00_2556)),
									BUNSPEC);
								{	/* Reduce/1occ.scm 206 */
									obj_t BgL_1zd2expza2z72z72z70_2558;

									if (CBOOL(BgL_resetz72z72_2555))
										{	/* Reduce/1occ.scm 206 */
											BgL_1zd2expza2z72z72z70_2558 = BNIL;
										}
									else
										{	/* Reduce/1occ.scm 206 */
											BgL_1zd2expza2z72z72z70_2558 = BgL_1zd2expza2z72z02_2554;
										}
									{	/* Reduce/1occ.scm 207 */
										obj_t BgL_resetz72z72z00_2559;

										BgL_resetz72z72z00_2559 =
											BGl_nodezd21occz12zc0zzreduce_1occz00(
											(((BgL_failz00_bglt) COBJECT(
														((BgL_failz00_bglt) BgL_nodez00_2393)))->
												BgL_objz00), BgL_1zd2expza2z72z72z70_2558);
										{	/* Reduce/1occ.scm 208 */
											obj_t BgL_nobjz00_2560;

											{	/* Reduce/1occ.scm 209 */
												obj_t BgL_tmpz00_2561;

												{	/* Reduce/1occ.scm 209 */
													int BgL_tmpz00_3379;

													BgL_tmpz00_3379 = (int) (((long) 1));
													BgL_tmpz00_2561 = BGL_MVALUES_VAL(BgL_tmpz00_3379);
												}
												{	/* Reduce/1occ.scm 209 */
													int BgL_tmpz00_3382;

													BgL_tmpz00_3382 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_tmpz00_3382, BUNSPEC);
												}
												BgL_nobjz00_2560 = BgL_tmpz00_2561;
											}
											((((BgL_failz00_bglt) COBJECT(
															((BgL_failz00_bglt) BgL_nodez00_2393)))->
													BgL_objz00) =
												((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
														BgL_nobjz00_2560)), BUNSPEC);
											{	/* Reduce/1occ.scm 210 */
												obj_t BgL_val0_1285z00_2562;

												if (CBOOL(BgL_resetz00_2551))
													{	/* Reduce/1occ.scm 210 */
														BgL_val0_1285z00_2562 = BgL_resetz00_2551;
													}
												else
													{	/* Reduce/1occ.scm 210 */
														if (CBOOL(BgL_resetz72z72_2555))
															{	/* Reduce/1occ.scm 210 */
																BgL_val0_1285z00_2562 = BgL_resetz72z72_2555;
															}
														else
															{	/* Reduce/1occ.scm 210 */
																BgL_val0_1285z00_2562 = BgL_resetz72z72z00_2559;
															}
													}
												{	/* Reduce/1occ.scm 210 */
													int BgL_tmpz00_3392;

													BgL_tmpz00_3392 = (int) (((long) 2));
													BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3392);
												}
												{	/* Reduce/1occ.scm 210 */
													obj_t BgL_auxz00_3397;
													int BgL_tmpz00_3395;

													BgL_auxz00_3397 =
														((obj_t) ((BgL_failz00_bglt) BgL_nodez00_2393));
													BgL_tmpz00_3395 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_tmpz00_3395, BgL_auxz00_3397);
												}
												return BgL_val0_1285z00_2562;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-1occ!-condition1342 */
	obj_t BGl_z62nodezd21occz12zd2condition1342z70zzreduce_1occz00(obj_t
		BgL_envz00_2395, obj_t BgL_nodez00_2396, obj_t BgL_1zd2expza2z70_2397)
	{
		{	/* Reduce/1occ.scm 180 */
			{	/* Reduce/1occ.scm 182 */
				obj_t BgL_resetz00_2564;

				BgL_resetz00_2564 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2396)))->BgL_testz00),
					BgL_1zd2expza2z70_2397);
				{	/* Reduce/1occ.scm 183 */
					obj_t BgL_ntestz00_2565;

					{	/* Reduce/1occ.scm 184 */
						obj_t BgL_tmpz00_2566;

						{	/* Reduce/1occ.scm 184 */
							int BgL_tmpz00_3404;

							BgL_tmpz00_3404 = (int) (((long) 1));
							BgL_tmpz00_2566 = BGL_MVALUES_VAL(BgL_tmpz00_3404);
						}
						{	/* Reduce/1occ.scm 184 */
							int BgL_tmpz00_3407;

							BgL_tmpz00_3407 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3407, BUNSPEC);
						}
						BgL_ntestz00_2565 = BgL_tmpz00_2566;
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2396)))->BgL_testz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_2565)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 185 */
						obj_t BgL_1zd2expza2z72z02_2567;

						if (CBOOL(BgL_resetz00_2564))
							{	/* Reduce/1occ.scm 185 */
								BgL_1zd2expza2z72z02_2567 = BNIL;
							}
						else
							{	/* Reduce/1occ.scm 185 */
								BgL_1zd2expza2z72z02_2567 = BgL_1zd2expza2z70_2397;
							}
						{	/* Reduce/1occ.scm 186 */
							obj_t BgL_resetz72z72_2568;

							BgL_resetz72z72_2568 =
								BGl_nodezd21occz12zc0zzreduce_1occz00(
								(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2396)))->
									BgL_truez00), BgL_1zd2expza2z72z02_2567);
							{	/* Reduce/1occ.scm 187 */
								obj_t BgL_ntruez00_2569;

								{	/* Reduce/1occ.scm 188 */
									obj_t BgL_tmpz00_2570;

									{	/* Reduce/1occ.scm 188 */
										int BgL_tmpz00_3418;

										BgL_tmpz00_3418 = (int) (((long) 1));
										BgL_tmpz00_2570 = BGL_MVALUES_VAL(BgL_tmpz00_3418);
									}
									{	/* Reduce/1occ.scm 188 */
										int BgL_tmpz00_3421;

										BgL_tmpz00_3421 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3421, BUNSPEC);
									}
									BgL_ntruez00_2569 = BgL_tmpz00_2570;
								}
								((((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2396)))->
										BgL_truez00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntruez00_2569)),
									BUNSPEC);
								{	/* Reduce/1occ.scm 189 */
									obj_t BgL_resetz72z72z00_2571;

									BgL_resetz72z72z00_2571 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2396)))->
											BgL_falsez00), BgL_1zd2expza2z72z02_2567);
									{	/* Reduce/1occ.scm 190 */
										obj_t BgL_nfalsez00_2572;

										{	/* Reduce/1occ.scm 191 */
											obj_t BgL_tmpz00_2573;

											{	/* Reduce/1occ.scm 191 */
												int BgL_tmpz00_3430;

												BgL_tmpz00_3430 = (int) (((long) 1));
												BgL_tmpz00_2573 = BGL_MVALUES_VAL(BgL_tmpz00_3430);
											}
											{	/* Reduce/1occ.scm 191 */
												int BgL_tmpz00_3433;

												BgL_tmpz00_3433 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3433, BUNSPEC);
											}
											BgL_nfalsez00_2572 = BgL_tmpz00_2573;
										}
										((((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_2396)))->
												BgL_falsez00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_nfalsez00_2572)), BUNSPEC);
										{	/* Reduce/1occ.scm 192 */
											obj_t BgL_val0_1283z00_2574;

											if (CBOOL(BgL_resetz00_2564))
												{	/* Reduce/1occ.scm 192 */
													BgL_val0_1283z00_2574 = BgL_resetz00_2564;
												}
											else
												{	/* Reduce/1occ.scm 192 */
													if (CBOOL(BgL_resetz72z72_2568))
														{	/* Reduce/1occ.scm 192 */
															BgL_val0_1283z00_2574 = BgL_resetz72z72_2568;
														}
													else
														{	/* Reduce/1occ.scm 192 */
															BgL_val0_1283z00_2574 = BgL_resetz72z72z00_2571;
														}
												}
											{	/* Reduce/1occ.scm 192 */
												int BgL_tmpz00_3443;

												BgL_tmpz00_3443 = (int) (((long) 2));
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3443);
											}
											{	/* Reduce/1occ.scm 192 */
												obj_t BgL_auxz00_3448;
												int BgL_tmpz00_3446;

												BgL_auxz00_3448 =
													((obj_t)
													((BgL_conditionalz00_bglt) BgL_nodez00_2396));
												BgL_tmpz00_3446 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3446, BgL_auxz00_3448);
											}
											return BgL_val0_1283z00_2574;
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-1occ!-setq1340 */
	obj_t BGl_z62nodezd21occz12zd2setq1340z70zzreduce_1occz00(obj_t
		BgL_envz00_2398, obj_t BgL_nodez00_2399, obj_t BgL_1zd2expza2z70_2400)
	{
		{	/* Reduce/1occ.scm 170 */
			{	/* Reduce/1occ.scm 172 */
				obj_t BgL_resetz00_2576;

				BgL_resetz00_2576 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2399)))->BgL_valuez00),
					BgL_1zd2expza2z70_2400);
				{	/* Reduce/1occ.scm 173 */
					obj_t BgL_nvaluez00_2577;

					{	/* Reduce/1occ.scm 174 */
						obj_t BgL_tmpz00_2578;

						{	/* Reduce/1occ.scm 174 */
							int BgL_tmpz00_3455;

							BgL_tmpz00_3455 = (int) (((long) 1));
							BgL_tmpz00_2578 = BGL_MVALUES_VAL(BgL_tmpz00_3455);
						}
						{	/* Reduce/1occ.scm 174 */
							int BgL_tmpz00_3458;

							BgL_tmpz00_3458 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3458, BUNSPEC);
						}
						BgL_nvaluez00_2577 = BgL_tmpz00_2578;
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_2399)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2577)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 175 */
						int BgL_tmpz00_3464;

						BgL_tmpz00_3464 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3464);
					}
					{	/* Reduce/1occ.scm 175 */
						obj_t BgL_auxz00_3469;
						int BgL_tmpz00_3467;

						BgL_auxz00_3469 = ((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_2399));
						BgL_tmpz00_3467 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3467, BgL_auxz00_3469);
					}
					return BgL_resetz00_2576;
				}
			}
		}

	}



/* &node-1occ!-cast1338 */
	obj_t BGl_z62nodezd21occz12zd2cast1338z70zzreduce_1occz00(obj_t
		BgL_envz00_2401, obj_t BgL_nodez00_2402, obj_t BgL_1zd2expza2z70_2403)
	{
		{	/* Reduce/1occ.scm 160 */
			{	/* Reduce/1occ.scm 162 */
				obj_t BgL_resetz00_2580;

				BgL_resetz00_2580 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2402)))->BgL_argz00),
					BgL_1zd2expza2z70_2403);
				{	/* Reduce/1occ.scm 163 */
					obj_t BgL_nargz00_2581;

					{	/* Reduce/1occ.scm 164 */
						obj_t BgL_tmpz00_2582;

						{	/* Reduce/1occ.scm 164 */
							int BgL_tmpz00_3476;

							BgL_tmpz00_3476 = (int) (((long) 1));
							BgL_tmpz00_2582 = BGL_MVALUES_VAL(BgL_tmpz00_3476);
						}
						{	/* Reduce/1occ.scm 164 */
							int BgL_tmpz00_3479;

							BgL_tmpz00_3479 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3479, BUNSPEC);
						}
						BgL_nargz00_2581 = BgL_tmpz00_2582;
					}
					((((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nodez00_2402)))->BgL_argz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_2581)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 165 */
						int BgL_tmpz00_3485;

						BgL_tmpz00_3485 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3485);
					}
					{	/* Reduce/1occ.scm 165 */
						obj_t BgL_auxz00_3490;
						int BgL_tmpz00_3488;

						BgL_auxz00_3490 = ((obj_t) ((BgL_castz00_bglt) BgL_nodez00_2402));
						BgL_tmpz00_3488 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3488, BgL_auxz00_3490);
					}
					return BgL_resetz00_2580;
				}
			}
		}

	}



/* &node-1occ!-private1336 */
	obj_t BGl_z62nodezd21occz12zd2private1336z70zzreduce_1occz00(obj_t
		BgL_envz00_2404, obj_t BgL_nodez00_2405, obj_t BgL_1zd2expza2z70_2406)
	{
		{	/* Reduce/1occ.scm 153 */
			{	/* Reduce/1occ.scm 155 */
				obj_t BgL_val0_1277z00_2584;

				{	/* Reduce/1occ.scm 155 */
					obj_t BgL_arg1656z00_2585;

					BgL_arg1656z00_2585 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_privatez00_bglt) BgL_nodez00_2405))))->BgL_exprza2za2);
					BgL_val0_1277z00_2584 =
						BGl_nodezd21occza2z12z62zzreduce_1occz00(BgL_arg1656z00_2585,
						BgL_1zd2expza2z70_2406);
				}
				{	/* Reduce/1occ.scm 155 */
					int BgL_tmpz00_3498;

					BgL_tmpz00_3498 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3498);
				}
				{	/* Reduce/1occ.scm 155 */
					obj_t BgL_auxz00_3503;
					int BgL_tmpz00_3501;

					BgL_auxz00_3503 = ((obj_t) ((BgL_privatez00_bglt) BgL_nodez00_2405));
					BgL_tmpz00_3501 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3501, BgL_auxz00_3503);
				}
				return BgL_val0_1277z00_2584;
			}
		}

	}



/* &node-1occ!-extern1334 */
	obj_t BGl_z62nodezd21occz12zd2extern1334z70zzreduce_1occz00(obj_t
		BgL_envz00_2407, obj_t BgL_nodez00_2408, obj_t BgL_1zd2expza2z70_2409)
	{
		{	/* Reduce/1occ.scm 147 */
			{	/* Reduce/1occ.scm 148 */
				bool_t BgL_tmpz00_3507;

				{	/* Reduce/1occ.scm 148 */
					bool_t BgL_val0_1275z00_2587;

					BgL_val0_1275z00_2587 =
						BGl_sidezd2effectzf3z21zzeffect_effectz00(
						((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2408)));
					{	/* Reduce/1occ.scm 148 */
						int BgL_tmpz00_3511;

						BgL_tmpz00_3511 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3511);
					}
					{	/* Reduce/1occ.scm 148 */
						obj_t BgL_auxz00_3516;
						int BgL_tmpz00_3514;

						BgL_auxz00_3516 = ((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2408));
						BgL_tmpz00_3514 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3514, BgL_auxz00_3516);
					}
					BgL_tmpz00_3507 = BgL_val0_1275z00_2587;
				}
				return BBOOL(BgL_tmpz00_3507);
			}
		}

	}



/* &node-1occ!-funcall1332 */
	obj_t BGl_z62nodezd21occz12zd2funcall1332z70zzreduce_1occz00(obj_t
		BgL_envz00_2410, obj_t BgL_nodez00_2411, obj_t BgL_1zd2expza2z70_2412)
	{
		{	/* Reduce/1occ.scm 136 */
			{	/* Reduce/1occ.scm 138 */
				obj_t BgL_resetz72z72_2589;

				BgL_resetz72z72_2589 =
					BGl_nodezd21occza2z12z62zzreduce_1occz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2411)))->BgL_argsz00),
					BgL_1zd2expza2z70_2412);
				{	/* Reduce/1occ.scm 139 */
					int BgL_tmpz00_3524;

					BgL_tmpz00_3524 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3524);
				}
				{	/* Reduce/1occ.scm 139 */
					obj_t BgL_auxz00_3529;
					int BgL_tmpz00_3527;

					BgL_auxz00_3529 = ((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2411));
					BgL_tmpz00_3527 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3527, BgL_auxz00_3529);
				}
				return BgL_resetz72z72_2589;
			}
		}

	}



/* &node-1occ!-app-ly1330 */
	obj_t BGl_z62nodezd21occz12zd2appzd2ly1330za2zzreduce_1occz00(obj_t
		BgL_envz00_2413, obj_t BgL_nodez00_2414, obj_t BgL_1zd2expza2z70_2415)
	{
		{	/* Reduce/1occ.scm 123 */
			{	/* Reduce/1occ.scm 125 */
				obj_t BgL_resetz00_2591;

				BgL_resetz00_2591 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2414)))->BgL_funz00),
					BgL_1zd2expza2z70_2415);
				{	/* Reduce/1occ.scm 126 */
					obj_t BgL_nfunz00_2592;

					{	/* Reduce/1occ.scm 127 */
						obj_t BgL_tmpz00_2593;

						{	/* Reduce/1occ.scm 127 */
							int BgL_tmpz00_3536;

							BgL_tmpz00_3536 = (int) (((long) 1));
							BgL_tmpz00_2593 = BGL_MVALUES_VAL(BgL_tmpz00_3536);
						}
						{	/* Reduce/1occ.scm 127 */
							int BgL_tmpz00_3539;

							BgL_tmpz00_3539 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3539, BUNSPEC);
						}
						BgL_nfunz00_2592 = BgL_tmpz00_2593;
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2414)))->BgL_funz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nfunz00_2592)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 128 */
						obj_t BgL_resetz72z72_2594;

						{	/* Reduce/1occ.scm 129 */
							BgL_nodez00_bglt BgL_arg1633z00_2595;
							obj_t BgL_arg1636z00_2596;

							BgL_arg1633z00_2595 =
								(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_2414)))->BgL_argz00);
							if (CBOOL(BgL_resetz00_2591))
								{	/* Reduce/1occ.scm 129 */
									BgL_arg1636z00_2596 = BNIL;
								}
							else
								{	/* Reduce/1occ.scm 129 */
									BgL_arg1636z00_2596 = BgL_1zd2expza2z70_2415;
								}
							BgL_resetz72z72_2594 =
								BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg1633z00_2595,
								BgL_arg1636z00_2596);
						}
						{	/* Reduce/1occ.scm 129 */
							obj_t BgL_nargz00_2597;

							{	/* Reduce/1occ.scm 130 */
								obj_t BgL_tmpz00_2598;

								{	/* Reduce/1occ.scm 130 */
									int BgL_tmpz00_3550;

									BgL_tmpz00_3550 = (int) (((long) 1));
									BgL_tmpz00_2598 = BGL_MVALUES_VAL(BgL_tmpz00_3550);
								}
								{	/* Reduce/1occ.scm 130 */
									int BgL_tmpz00_3553;

									BgL_tmpz00_3553 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3553, BUNSPEC);
								}
								BgL_nargz00_2597 = BgL_tmpz00_2598;
							}
							((((BgL_appzd2lyzd2_bglt) COBJECT(
											((BgL_appzd2lyzd2_bglt) BgL_nodez00_2414)))->BgL_argz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_2597)),
								BUNSPEC);
							{	/* Reduce/1occ.scm 131 */
								obj_t BgL_val0_1271z00_2599;

								if (CBOOL(BgL_resetz00_2591))
									{	/* Reduce/1occ.scm 131 */
										BgL_val0_1271z00_2599 = BgL_resetz00_2591;
									}
								else
									{	/* Reduce/1occ.scm 131 */
										BgL_val0_1271z00_2599 = BgL_resetz72z72_2594;
									}
								{	/* Reduce/1occ.scm 131 */
									int BgL_tmpz00_3561;

									BgL_tmpz00_3561 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3561);
								}
								{	/* Reduce/1occ.scm 131 */
									obj_t BgL_auxz00_3566;
									int BgL_tmpz00_3564;

									BgL_auxz00_3566 =
										((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2414));
									BgL_tmpz00_3564 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3564, BgL_auxz00_3566);
								}
								return BgL_val0_1271z00_2599;
							}
						}
					}
				}
			}
		}

	}



/* &node-1occ!-sync1328 */
	obj_t BGl_z62nodezd21occz12zd2sync1328z70zzreduce_1occz00(obj_t
		BgL_envz00_2416, obj_t BgL_nodez00_2417, obj_t BgL_1zd2expza2z70_2418)
	{
		{	/* Reduce/1occ.scm 110 */
			{	/* Reduce/1occ.scm 112 */
				obj_t BgL_resetmz00_2601;

				BgL_resetmz00_2601 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2417)))->BgL_mutexz00),
					BgL_1zd2expza2z70_2418);
				{	/* Reduce/1occ.scm 113 */
					obj_t BgL_nmutexz00_2602;

					{	/* Reduce/1occ.scm 114 */
						obj_t BgL_tmpz00_2603;

						{	/* Reduce/1occ.scm 114 */
							int BgL_tmpz00_3573;

							BgL_tmpz00_3573 = (int) (((long) 1));
							BgL_tmpz00_2603 = BGL_MVALUES_VAL(BgL_tmpz00_3573);
						}
						{	/* Reduce/1occ.scm 114 */
							int BgL_tmpz00_3576;

							BgL_tmpz00_3576 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3576, BUNSPEC);
						}
						BgL_nmutexz00_2602 = BgL_tmpz00_2603;
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2417)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmutexz00_2602)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 115 */
						obj_t BgL_resetpz00_2604;

						BgL_resetpz00_2604 =
							BGl_nodezd21occz12zc0zzreduce_1occz00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_2417)))->BgL_prelockz00),
							BgL_1zd2expza2z70_2418);
						{	/* Reduce/1occ.scm 116 */
							obj_t BgL_nprelockz00_2605;

							{	/* Reduce/1occ.scm 117 */
								obj_t BgL_tmpz00_2606;

								{	/* Reduce/1occ.scm 117 */
									int BgL_tmpz00_3585;

									BgL_tmpz00_3585 = (int) (((long) 1));
									BgL_tmpz00_2606 = BGL_MVALUES_VAL(BgL_tmpz00_3585);
								}
								{	/* Reduce/1occ.scm 117 */
									int BgL_tmpz00_3588;

									BgL_tmpz00_3588 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3588, BUNSPEC);
								}
								BgL_nprelockz00_2605 = BgL_tmpz00_2606;
							}
							((((BgL_syncz00_bglt) COBJECT(
											((BgL_syncz00_bglt) BgL_nodez00_2417)))->BgL_prelockz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nprelockz00_2605)),
								BUNSPEC);
							{	/* Reduce/1occ.scm 118 */
								obj_t BgL_val0_1269z00_2607;

								{	/* Reduce/1occ.scm 118 */
									obj_t BgL__ortest_1107z00_2608;

									BgL__ortest_1107z00_2608 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										(((BgL_syncz00_bglt) COBJECT(
													((BgL_syncz00_bglt) BgL_nodez00_2417)))->BgL_bodyz00),
										BgL_1zd2expza2z70_2418);
									if (CBOOL(BgL__ortest_1107z00_2608))
										{	/* Reduce/1occ.scm 118 */
											BgL_val0_1269z00_2607 = BgL__ortest_1107z00_2608;
										}
									else
										{	/* Reduce/1occ.scm 118 */
											if (CBOOL(BgL_resetmz00_2601))
												{	/* Reduce/1occ.scm 118 */
													BgL_val0_1269z00_2607 = BgL_resetmz00_2601;
												}
											else
												{	/* Reduce/1occ.scm 118 */
													BgL_val0_1269z00_2607 = BgL_resetpz00_2604;
												}
										}
								}
								{	/* Reduce/1occ.scm 118 */
									int BgL_tmpz00_3601;

									BgL_tmpz00_3601 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3601);
								}
								{	/* Reduce/1occ.scm 118 */
									obj_t BgL_auxz00_3606;
									int BgL_tmpz00_3604;

									BgL_auxz00_3606 =
										((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_2417));
									BgL_tmpz00_3604 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3604, BgL_auxz00_3606);
								}
								return BgL_val0_1269z00_2607;
							}
						}
					}
				}
			}
		}

	}



/* &node-1occ!-sequence1326 */
	obj_t BGl_z62nodezd21occz12zd2sequence1326z70zzreduce_1occz00(obj_t
		BgL_envz00_2419, obj_t BgL_nodez00_2420, obj_t BgL_1zd2expza2z70_2421)
	{
		{	/* Reduce/1occ.scm 103 */
			{	/* Reduce/1occ.scm 105 */
				obj_t BgL_val0_1267z00_2610;

				BgL_val0_1267z00_2610 =
					BGl_nodezd21occza2z12z62zzreduce_1occz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2420)))->BgL_nodesz00),
					BgL_1zd2expza2z70_2421);
				{	/* Reduce/1occ.scm 105 */
					int BgL_tmpz00_3613;

					BgL_tmpz00_3613 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3613);
				}
				{	/* Reduce/1occ.scm 105 */
					obj_t BgL_auxz00_3618;
					int BgL_tmpz00_3616;

					BgL_auxz00_3618 = ((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_2420));
					BgL_tmpz00_3616 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3616, BgL_auxz00_3618);
				}
				return BgL_val0_1267z00_2610;
			}
		}

	}



/* &node-1occ!-closure1324 */
	obj_t BGl_z62nodezd21occz12zd2closure1324z70zzreduce_1occz00(obj_t
		BgL_envz00_2422, obj_t BgL_nodez00_2423, obj_t BgL_1zd2expza2z70_2424)
	{
		{	/* Reduce/1occ.scm 97 */
			{	/* Reduce/1occ.scm 98 */
				bool_t BgL_tmpz00_3622;

				{	/* Reduce/1occ.scm 98 */
					int BgL_tmpz00_3623;

					BgL_tmpz00_3623 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3623);
				}
				{	/* Reduce/1occ.scm 98 */
					obj_t BgL_auxz00_3628;
					int BgL_tmpz00_3626;

					BgL_auxz00_3628 = ((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2423));
					BgL_tmpz00_3626 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3626, BgL_auxz00_3628);
				}
				BgL_tmpz00_3622 = ((bool_t) 0);
				return BBOOL(BgL_tmpz00_3622);
			}
		}

	}



/* &node-1occ!-var1322 */
	obj_t BGl_z62nodezd21occz12zd2var1322z70zzreduce_1occz00(obj_t
		BgL_envz00_2425, obj_t BgL_nodez00_2426, obj_t BgL_1zd2expza2z70_2427)
	{
		{	/* Reduce/1occ.scm 84 */
			{	/* Reduce/1occ.scm 85 */
				BgL_variablez00_bglt BgL_vz00_2613;

				BgL_vz00_2613 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2426)))->BgL_variablez00);
				{	/* Reduce/1occ.scm 86 */
					obj_t BgL_falphaz00_2614;

					BgL_falphaz00_2614 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t) BgL_vz00_2613), BgL_1zd2expza2z70_2427);
					if (PAIRP(BgL_falphaz00_2614))
						{	/* Reduce/1occ.scm 87 */
							((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2613))->
									BgL_occurrencez00) =
								((long) ((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2613))->
											BgL_occurrencez00) - ((long) 1))), BUNSPEC);
							BGl_za2variablezd2removedza2zd2zzreduce_1occz00 =
								(BGl_za2variablezd2removedza2zd2zzreduce_1occz00 + ((long) 1));
							{	/* Reduce/1occ.scm 91 */
								obj_t BgL_arg1613z00_2615;

								BgL_arg1613z00_2615 = CDR(BgL_falphaz00_2614);
								return
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									((BgL_nodez00_bglt) BgL_arg1613z00_2615),
									BgL_1zd2expza2z70_2427);
							}
						}
					else
						{	/* Reduce/1occ.scm 87 */
							{	/* Reduce/1occ.scm 92 */
								int BgL_tmpz00_3646;

								BgL_tmpz00_3646 = (int) (((long) 2));
								BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3646);
							}
							{	/* Reduce/1occ.scm 92 */
								obj_t BgL_auxz00_3651;
								int BgL_tmpz00_3649;

								BgL_auxz00_3651 =
									((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2426));
								BgL_tmpz00_3649 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3649, BgL_auxz00_3651);
							}
							return BFALSE;
						}
				}
			}
		}

	}



/* &node-1occ!-kwote1320 */
	obj_t BGl_z62nodezd21occz12zd2kwote1320z70zzreduce_1occz00(obj_t
		BgL_envz00_2428, obj_t BgL_nodez00_2429, obj_t BgL_1zd2expza2z70_2430)
	{
		{	/* Reduce/1occ.scm 78 */
			{	/* Reduce/1occ.scm 79 */
				bool_t BgL_tmpz00_3655;

				{	/* Reduce/1occ.scm 79 */
					int BgL_tmpz00_3656;

					BgL_tmpz00_3656 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3656);
				}
				{	/* Reduce/1occ.scm 79 */
					obj_t BgL_auxz00_3661;
					int BgL_tmpz00_3659;

					BgL_auxz00_3661 = ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_2429));
					BgL_tmpz00_3659 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3659, BgL_auxz00_3661);
				}
				BgL_tmpz00_3655 = ((bool_t) 0);
				return BBOOL(BgL_tmpz00_3655);
			}
		}

	}



/* &node-1occ!-atom1318 */
	obj_t BGl_z62nodezd21occz12zd2atom1318z70zzreduce_1occz00(obj_t
		BgL_envz00_2431, obj_t BgL_nodez00_2432, obj_t BgL_1zd2expza2z70_2433)
	{
		{	/* Reduce/1occ.scm 72 */
			{	/* Reduce/1occ.scm 73 */
				bool_t BgL_tmpz00_3666;

				{	/* Reduce/1occ.scm 73 */
					int BgL_tmpz00_3667;

					BgL_tmpz00_3667 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3667);
				}
				{	/* Reduce/1occ.scm 73 */
					obj_t BgL_auxz00_3672;
					int BgL_tmpz00_3670;

					BgL_auxz00_3672 = ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_2432));
					BgL_tmpz00_3670 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3670, BgL_auxz00_3672);
				}
				BgL_tmpz00_3666 = ((bool_t) 0);
				return BBOOL(BgL_tmpz00_3666);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_1occz00()
	{
		{	/* Reduce/1occ.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1947z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1947z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1947z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1947z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1947z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1947z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1947z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string1947z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1947z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1947z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1947z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1947z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1947z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 282085879),
				BSTRING_TO_STRING(BGl_string1947z00zzreduce_1occz00));
			return
				BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1947z00zzreduce_1occz00));
		}

	}

#ifdef __cplusplus
}
#endif
