/*===========================================================================*/
/*   (Reduce/cond.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/cond.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_z62staticzd2valuezd2atom1325z62zzreduce_condz00(obj_t,
		obj_t);
	static obj_t BGl_z62staticzd2valuezd2sequenc1327z62zzreduce_condz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_nodezd2condz12zc0zzreduce_condz00(BgL_nodez00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2fun1303za2zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_condz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62reducezd2conditionalz12za2zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2condz121269za2zzreduce_condz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62nodezd2condz12za2zzreduce_condz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_condz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2setz121317zb0zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_condz00();
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2makezd2box1315za2zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_staticzd2valuezd2zzreduce_condz00(BgL_nodez00_bglt);
	static obj_t BGl_objectzd2initzd2zzreduce_condz00();
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2var1277z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2atom1273z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_nodezd2condza2z12z62zzreduce_condz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2kwote1275z70zzreduce_condz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_reducezd2conditionalz12zc0zzreduce_condz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_condz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2app1285z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2var1305za2zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2z42zd3fxza2z91zzreduce_condz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2ref1319za2zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2condition1297z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2return1313z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2jumpzd2exzd2i1309z70zzreduce_condz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_condz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_resetzd2condzd2cachez12z12zzreduce_condz00();
	static long BGl_za2condzd2reducedza2zd2zzreduce_condz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2switch1301z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2funcall1289z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2setzd2exzd2it1307z70zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_z62staticzd2valuezb0zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2cast1293z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_initzd2condzd2cachez12z12zzreduce_condz00();
	extern obj_t BGl_kwotez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2sequence1281z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_condz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_condz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_condz00();
	static obj_t BGl_gczd2rootszd2initz00zzreduce_condz00();
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2appzd2ly1287za2zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2setq1295z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2closure1279z70zzreduce_condz00(obj_t, obj_t);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2retblock1311z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2sync1283z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2fail1299z70zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_z62staticzd2valuezd2letzd2var1323zb0zzreduce_condz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62staticzd2value1320zb0zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_za2z42eqza2z42zzreduce_condz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2extern1291z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_staticzd2valuezd2envz00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu1997z00,
		BGl_z62staticzd2valuezb0zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1957z00zzreduce_condz00,
		BgL_bgl_string1957za700za7za7r1998za7, "      conditional expression ", 29);
	      DEFINE_STRING(BGl_string1958z00zzreduce_condz00,
		BgL_bgl_string1958za700za7za7r1999za7, "(reduced: ", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reducezd2conditionalz12zd2envz12zzreduce_condz00,
		BgL_bgl_za762reduceza7d2cond2000z00,
		BGl_z62reducezd2conditionalz12za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1960z00zzreduce_condz00,
		BgL_bgl_string1960za700za7za7r2001za7, "node-cond!1269", 14);
	      DEFINE_STRING(BGl_string1962z00zzreduce_condz00,
		BgL_bgl_string1962za700za7za7r2002za7, "static-value1320", 16);
	      DEFINE_STRING(BGl_string1963z00zzreduce_condz00,
		BgL_bgl_string1963za700za7za7r2003za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1965z00zzreduce_condz00,
		BgL_bgl_string1965za700za7za7r2004za7, "node-cond!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1959z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712005za7,
		BGl_z62nodezd2condz121269za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1961z00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu2006z00,
		BGl_z62staticzd2value1320zb0zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1964z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712007za7,
		BGl_z62nodezd2condz12zd2atom1273z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1966z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712008za7,
		BGl_z62nodezd2condz12zd2kwote1275z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1967z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712009za7,
		BGl_z62nodezd2condz12zd2var1277z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1968z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712010za7,
		BGl_z62nodezd2condz12zd2closure1279z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1969z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712011za7,
		BGl_z62nodezd2condz12zd2sequence1281z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1970z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712012za7,
		BGl_z62nodezd2condz12zd2sync1283z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1971z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712013za7,
		BGl_z62nodezd2condz12zd2app1285z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1972z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712014za7,
		BGl_z62nodezd2condz12zd2appzd2ly1287za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1973z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712015za7,
		BGl_z62nodezd2condz12zd2funcall1289z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1974z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712016za7,
		BGl_z62nodezd2condz12zd2extern1291z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1975z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712017za7,
		BGl_z62nodezd2condz12zd2cast1293z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1976z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712018za7,
		BGl_z62nodezd2condz12zd2setq1295z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1977z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712019za7,
		BGl_z62nodezd2condz12zd2condition1297z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1978z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712020za7,
		BGl_z62nodezd2condz12zd2fail1299z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1979z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712021za7,
		BGl_z62nodezd2condz12zd2switch1301z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1980z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712022za7,
		BGl_z62nodezd2condz12zd2letzd2fun1303za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1981z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712023za7,
		BGl_z62nodezd2condz12zd2letzd2var1305za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1982z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712024za7,
		BGl_z62nodezd2condz12zd2setzd2exzd2it1307z70zzreduce_condz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1983z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712025za7,
		BGl_z62nodezd2condz12zd2jumpzd2exzd2i1309z70zzreduce_condz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1990z00zzreduce_condz00,
		BgL_bgl_string1990za700za7za7r2026za7, "static-value", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1984z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712027za7,
		BGl_z62nodezd2condz12zd2retblock1311z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1985z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712028za7,
		BGl_z62nodezd2condz12zd2return1313z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1986z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712029za7,
		BGl_z62nodezd2condz12zd2makezd2box1315za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1993z00zzreduce_condz00,
		BgL_bgl_string1993za700za7za7r2030za7, "reduce_cond", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1987z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712031za7,
		BGl_z62nodezd2condz12zd2boxzd2setz121317zb0zzreduce_condz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1994z00zzreduce_condz00,
		BgL_bgl_string1994za700za7za7r2032za7,
		"true false node-cond!1269 done c-=fx c-eq? foreign ", 51);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1988z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712033za7,
		BGl_z62nodezd2condz12zd2boxzd2ref1319za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1989z00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu2034z00,
		BGl_z62staticzd2valuezd2letzd2var1323zb0zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1991z00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu2035z00,
		BGl_z62staticzd2valuezd2atom1325z62zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1992z00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu2036z00,
		BGl_z62staticzd2valuezd2sequenc1327z62zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712037za7,
		BGl_z62nodezd2condz12za2zzreduce_condz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_condz00));
		     ADD_ROOT((void *) (&BGl_za2z42zd3fxza2z91zzreduce_condz00));
		     ADD_ROOT((void *) (&BGl_za2z42eqza2z42zzreduce_condz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_condz00(long
		BgL_checksumz00_2867, char *BgL_fromz00_2868)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_condz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_condz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_condz00();
					BGl_libraryzd2moduleszd2initz00zzreduce_condz00();
					BGl_cnstzd2initzd2zzreduce_condz00();
					BGl_importedzd2moduleszd2initz00zzreduce_condz00();
					BGl_genericzd2initzd2zzreduce_condz00();
					BGl_methodzd2initzd2zzreduce_condz00();
					return BGl_toplevelzd2initzd2zzreduce_condz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_condz00()
	{
		{	/* Reduce/cond.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long) 0),
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_cond");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_condz00()
	{
		{	/* Reduce/cond.scm 15 */
			{	/* Reduce/cond.scm 15 */
				obj_t BgL_cportz00_2585;

				{	/* Reduce/cond.scm 15 */
					obj_t BgL_stringz00_2593;

					BgL_stringz00_2593 = BGl_string1994z00zzreduce_condz00;
					{	/* Reduce/cond.scm 15 */
						obj_t BgL_startz00_2594;

						BgL_startz00_2594 = BINT(((long) 0));
						{	/* Reduce/cond.scm 15 */
							obj_t BgL_endz00_2595;

							BgL_endz00_2595 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2593)));
							{	/* Reduce/cond.scm 15 */

								BgL_cportz00_2585 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2593, BgL_startz00_2594, BgL_endz00_2595);
				}}}}
				{
					long BgL_iz00_2586;

					BgL_iz00_2586 = ((long) 6);
				BgL_loopz00_2587:
					if ((BgL_iz00_2586 == ((long) -1)))
						{	/* Reduce/cond.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/cond.scm 15 */
							{	/* Reduce/cond.scm 15 */
								obj_t BgL_arg1996z00_2589;

								{	/* Reduce/cond.scm 15 */

									{	/* Reduce/cond.scm 15 */
										obj_t BgL_locationz00_2591;

										BgL_locationz00_2591 = BBOOL(((bool_t) 0));
										{	/* Reduce/cond.scm 15 */

											BgL_arg1996z00_2589 =
												BGl_readz00zz__readerz00(BgL_cportz00_2585,
												BgL_locationz00_2591);
										}
									}
								}
								{	/* Reduce/cond.scm 15 */
									int BgL_tmpz00_2899;

									BgL_tmpz00_2899 = (int) (BgL_iz00_2586);
									CNST_TABLE_SET(BgL_tmpz00_2899, BgL_arg1996z00_2589);
							}}
							{	/* Reduce/cond.scm 15 */
								int BgL_auxz00_2592;

								BgL_auxz00_2592 = (int) ((BgL_iz00_2586 - ((long) 1)));
								{
									long BgL_iz00_2904;

									BgL_iz00_2904 = (long) (BgL_auxz00_2592);
									BgL_iz00_2586 = BgL_iz00_2904;
									goto BgL_loopz00_2587;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_condz00()
	{
		{	/* Reduce/cond.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_condz00()
	{
		{	/* Reduce/cond.scm 15 */
			BGl_za2z42eqza2z42zzreduce_condz00 = BFALSE;
			BGl_za2z42zd3fxza2z91zzreduce_condz00 = BFALSE;
			BGl_za2condzd2reducedza2zd2zzreduce_condz00 = ((long) 0);
			return BUNSPEC;
		}

	}



/* reduce-conditional! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2conditionalz12zc0zzreduce_condz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/cond.scm 33 */
			{	/* Reduce/cond.scm 34 */
				obj_t BgL_list1333z00_1383;

				BgL_list1333z00_1383 =
					MAKE_YOUNG_PAIR(BGl_string1957z00zzreduce_condz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1333z00_1383);
			}
			BGl_initzd2condzd2cachez12z12zzreduce_condz00();
			{
				obj_t BgL_l1254z00_1385;

				BgL_l1254z00_1385 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31334ze3z87_1386:
				if (PAIRP(BgL_l1254z00_1385))
					{	/* Reduce/cond.scm 36 */
						{	/* Reduce/cond.scm 37 */
							obj_t BgL_globalz00_1388;

							BgL_globalz00_1388 = CAR(BgL_l1254z00_1385);
							{	/* Reduce/cond.scm 37 */
								BgL_valuez00_bglt BgL_funz00_1389;

								BgL_funz00_1389 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1388))))->
									BgL_valuez00);
								{	/* Reduce/cond.scm 37 */
									obj_t BgL_nodez00_1390;

									BgL_nodez00_1390 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1389)))->BgL_bodyz00);
									{	/* Reduce/cond.scm 38 */

										{	/* Reduce/cond.scm 39 */
											BgL_nodez00_bglt BgL_arg1338z00_1391;

											BgL_arg1338z00_1391 =
												BGl_nodezd2condz12zc0zzreduce_condz00(
												((BgL_nodez00_bglt) BgL_nodez00_1390));
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1389)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1338z00_1391)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1254z00_2924;

							BgL_l1254z00_2924 = CDR(BgL_l1254z00_1385);
							BgL_l1254z00_1385 = BgL_l1254z00_2924;
							goto BgL_zc3z04anonymousza31334ze3z87_1386;
						}
					}
				else
					{	/* Reduce/cond.scm 36 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/cond.scm 42 */
				obj_t BgL_list1340z00_1394;

				{	/* Reduce/cond.scm 42 */
					obj_t BgL_arg1341z00_1395;

					{	/* Reduce/cond.scm 42 */
						obj_t BgL_arg1343z00_1396;

						{	/* Reduce/cond.scm 42 */
							obj_t BgL_arg1347z00_1397;

							BgL_arg1347z00_1397 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1343z00_1396 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ')')),
								BgL_arg1347z00_1397);
						}
						BgL_arg1341z00_1395 =
							MAKE_YOUNG_PAIR(BINT(BGl_za2condzd2reducedza2zd2zzreduce_condz00),
							BgL_arg1343z00_1396);
					}
					BgL_list1340z00_1394 =
						MAKE_YOUNG_PAIR(BGl_string1958z00zzreduce_condz00,
						BgL_arg1341z00_1395);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1340z00_1394);
			}
			BGl_resetzd2condzd2cachez12z12zzreduce_condz00();
			return BgL_globalsz00_3;
		}

	}



/* &reduce-conditional! */
	obj_t BGl_z62reducezd2conditionalz12za2zzreduce_condz00(obj_t BgL_envz00_2492,
		obj_t BgL_globalsz00_2493)
	{
		{	/* Reduce/cond.scm 33 */
			return
				BGl_reducezd2conditionalz12zc0zzreduce_condz00(BgL_globalsz00_2493);
		}

	}



/* init-cond-cache! */
	obj_t BGl_initzd2condzd2cachez12z12zzreduce_condz00()
	{
		{	/* Reduce/cond.scm 56 */
			{	/* Reduce/cond.scm 57 */
				obj_t BgL_list1348z00_1398;

				BgL_list1348z00_1398 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
				BGl_za2z42eqza2z42zzreduce_condz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 1)),
					BgL_list1348z00_1398);
			}
			{	/* Reduce/cond.scm 58 */
				obj_t BgL_list1349z00_1399;

				BgL_list1349z00_1399 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
				return (BGl_za2z42zd3fxza2z91zzreduce_condz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 2)),
						BgL_list1349z00_1399), BUNSPEC);
		}}

	}



/* reset-cond-cache! */
	obj_t BGl_resetzd2condzd2cachez12z12zzreduce_condz00()
	{
		{	/* Reduce/cond.scm 63 */
			BGl_za2z42eqza2z42zzreduce_condz00 = BFALSE;
			return (BGl_za2z42zd3fxza2z91zzreduce_condz00 = BFALSE, BUNSPEC);
		}

	}



/* node-cond*! */
	obj_t BGl_nodezd2condza2z12z62zzreduce_condz00(obj_t BgL_nodeza2za2_29)
	{
		{	/* Reduce/cond.scm 343 */
			{
				obj_t BgL_nodeza2za2_1401;

				BgL_nodeza2za2_1401 = BgL_nodeza2za2_29;
			BgL_zc3z04anonymousza31350ze3z87_1402:
				if (NULLP(BgL_nodeza2za2_1401))
					{	/* Reduce/cond.scm 345 */
						return CNST_TABLE_REF(((long) 3));
					}
				else
					{	/* Reduce/cond.scm 345 */
						{	/* Reduce/cond.scm 348 */
							BgL_nodez00_bglt BgL_arg1354z00_1404;

							{	/* Reduce/cond.scm 348 */
								obj_t BgL_arg1357z00_1405;

								BgL_arg1357z00_1405 = CAR(((obj_t) BgL_nodeza2za2_1401));
								BgL_arg1354z00_1404 =
									BGl_nodezd2condz12zc0zzreduce_condz00(
									((BgL_nodez00_bglt) BgL_arg1357z00_1405));
							}
							{	/* Reduce/cond.scm 348 */
								obj_t BgL_auxz00_2954;
								obj_t BgL_tmpz00_2952;

								BgL_auxz00_2954 = ((obj_t) BgL_arg1354z00_1404);
								BgL_tmpz00_2952 = ((obj_t) BgL_nodeza2za2_1401);
								SET_CAR(BgL_tmpz00_2952, BgL_auxz00_2954);
							}
						}
						{	/* Reduce/cond.scm 349 */
							obj_t BgL_arg1358z00_1406;

							BgL_arg1358z00_1406 = CDR(((obj_t) BgL_nodeza2za2_1401));
							{
								obj_t BgL_nodeza2za2_2959;

								BgL_nodeza2za2_2959 = BgL_arg1358z00_1406;
								BgL_nodeza2za2_1401 = BgL_nodeza2za2_2959;
								goto BgL_zc3z04anonymousza31350ze3z87_1402;
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_condz00()
	{
		{	/* Reduce/cond.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_condz00()
	{
		{	/* Reduce/cond.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_proc1959z00zzreduce_condz00, BGl_nodez00zzast_nodez00,
				BGl_string1960z00zzreduce_condz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_staticzd2valuezd2envz00zzreduce_condz00,
				BGl_proc1961z00zzreduce_condz00, BGl_nodez00zzast_nodez00,
				BGl_string1962z00zzreduce_condz00);
		}

	}



/* &static-value1320 */
	obj_t BGl_z62staticzd2value1320zb0zzreduce_condz00(obj_t BgL_envz00_2496,
		obj_t BgL_nodez00_2497)
	{
		{	/* Reduce/cond.scm 354 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &node-cond!1269 */
	obj_t BGl_z62nodezd2condz121269za2zzreduce_condz00(obj_t BgL_envz00_2498,
		obj_t BgL_nodez00_2499)
	{
		{	/* Reduce/cond.scm 75 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 4)),
				BGl_string1963z00zzreduce_condz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2499)));
		}

	}



/* node-cond! */
	BgL_nodez00_bglt BGl_nodezd2condz12zc0zzreduce_condz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		{	/* Reduce/cond.scm 75 */
			{	/* Reduce/cond.scm 75 */
				obj_t BgL_method1270z00_1416;

				{	/* Reduce/cond.scm 75 */
					obj_t BgL_res1937z00_1990;

					{	/* Reduce/cond.scm 75 */
						long BgL_objzd2classzd2numz00_1961;

						BgL_objzd2classzd2numz00_1961 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/cond.scm 75 */
							obj_t BgL_arg1829z00_1962;

							BgL_arg1829z00_1962 =
								PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
								(int) (((long) 1)));
							{	/* Reduce/cond.scm 75 */
								int BgL_offsetz00_1965;

								BgL_offsetz00_1965 = (int) (BgL_objzd2classzd2numz00_1961);
								{	/* Reduce/cond.scm 75 */
									long BgL_offsetz00_1966;

									BgL_offsetz00_1966 =
										((long) (BgL_offsetz00_1965) - OBJECT_TYPE);
									{	/* Reduce/cond.scm 75 */
										long BgL_modz00_1967;

										BgL_modz00_1967 =
											(BgL_offsetz00_1966 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Reduce/cond.scm 75 */
											long BgL_restz00_1969;

											BgL_restz00_1969 =
												(BgL_offsetz00_1966 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Reduce/cond.scm 75 */

												{	/* Reduce/cond.scm 75 */
													obj_t BgL_bucketz00_1971;

													BgL_bucketz00_1971 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_1962), BgL_modz00_1967);
													BgL_res1937z00_1990 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1971), BgL_restz00_1969);
					}}}}}}}}
					BgL_method1270z00_1416 = BgL_res1937z00_1990;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1270z00_1416) (BgL_method1270z00_1416,
						((obj_t) BgL_nodez00_4), BEOA));
			}
		}

	}



/* &node-cond! */
	BgL_nodez00_bglt BGl_z62nodezd2condz12za2zzreduce_condz00(obj_t
		BgL_envz00_2500, obj_t BgL_nodez00_2501)
	{
		{	/* Reduce/cond.scm 75 */
			return
				BGl_nodezd2condz12zc0zzreduce_condz00(
				((BgL_nodez00_bglt) BgL_nodez00_2501));
		}

	}



/* static-value */
	obj_t BGl_staticzd2valuezd2zzreduce_condz00(BgL_nodez00_bglt BgL_nodez00_30)
	{
		{	/* Reduce/cond.scm 354 */
			{	/* Reduce/cond.scm 354 */
				obj_t BgL_method1321z00_1417;

				{	/* Reduce/cond.scm 354 */
					obj_t BgL_res1942z00_2021;

					{	/* Reduce/cond.scm 354 */
						long BgL_objzd2classzd2numz00_1992;

						BgL_objzd2classzd2numz00_1992 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_30));
						{	/* Reduce/cond.scm 354 */
							obj_t BgL_arg1829z00_1993;

							BgL_arg1829z00_1993 =
								PROCEDURE_REF(BGl_staticzd2valuezd2envz00zzreduce_condz00,
								(int) (((long) 1)));
							{	/* Reduce/cond.scm 354 */
								int BgL_offsetz00_1996;

								BgL_offsetz00_1996 = (int) (BgL_objzd2classzd2numz00_1992);
								{	/* Reduce/cond.scm 354 */
									long BgL_offsetz00_1997;

									BgL_offsetz00_1997 =
										((long) (BgL_offsetz00_1996) - OBJECT_TYPE);
									{	/* Reduce/cond.scm 354 */
										long BgL_modz00_1998;

										BgL_modz00_1998 =
											(BgL_offsetz00_1997 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Reduce/cond.scm 354 */
											long BgL_restz00_2000;

											BgL_restz00_2000 =
												(BgL_offsetz00_1997 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Reduce/cond.scm 354 */

												{	/* Reduce/cond.scm 354 */
													obj_t BgL_bucketz00_2002;

													BgL_bucketz00_2002 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_1993), BgL_modz00_1998);
													BgL_res1942z00_2021 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2002), BgL_restz00_2000);
					}}}}}}}}
					BgL_method1321z00_1417 = BgL_res1942z00_2021;
				}
				return
					PROCEDURE_ENTRY(BgL_method1321z00_1417) (BgL_method1321z00_1417,
					((obj_t) BgL_nodez00_30), BEOA);
			}
		}

	}



/* &static-value */
	obj_t BGl_z62staticzd2valuezb0zzreduce_condz00(obj_t BgL_envz00_2502,
		obj_t BgL_nodez00_2503)
	{
		{	/* Reduce/cond.scm 354 */
			return
				BGl_staticzd2valuezd2zzreduce_condz00(
				((BgL_nodez00_bglt) BgL_nodez00_2503));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_condz00()
	{
		{	/* Reduce/cond.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_atomz00zzast_nodez00,
				BGl_proc1964z00zzreduce_condz00, BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1966z00zzreduce_condz00, BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_varz00zzast_nodez00,
				BGl_proc1967z00zzreduce_condz00, BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_closurez00zzast_nodez00, BGl_proc1968z00zzreduce_condz00,
				BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1969z00zzreduce_condz00,
				BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_syncz00zzast_nodez00,
				BGl_proc1970z00zzreduce_condz00, BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_appz00zzast_nodez00,
				BGl_proc1971z00zzreduce_condz00, BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1972z00zzreduce_condz00,
				BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1973z00zzreduce_condz00,
				BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_externz00zzast_nodez00, BGl_proc1974z00zzreduce_condz00,
				BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_castz00zzast_nodez00,
				BGl_proc1975z00zzreduce_condz00, BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_setqz00zzast_nodez00,
				BGl_proc1976z00zzreduce_condz00, BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1977z00zzreduce_condz00,
				BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_failz00zzast_nodez00,
				BGl_proc1978z00zzreduce_condz00, BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_switchz00zzast_nodez00, BGl_proc1979z00zzreduce_condz00,
				BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1980z00zzreduce_condz00,
				BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1981z00zzreduce_condz00,
				BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1982z00zzreduce_condz00,
				BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1983z00zzreduce_condz00,
				BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_retblockz00zzast_nodez00, BGl_proc1984z00zzreduce_condz00,
				BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_returnz00zzast_nodez00, BGl_proc1985z00zzreduce_condz00,
				BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1986z00zzreduce_condz00,
				BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1987z00zzreduce_condz00,
				BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1988z00zzreduce_condz00,
				BGl_string1965z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_staticzd2valuezd2envz00zzreduce_condz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1989z00zzreduce_condz00,
				BGl_string1990z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_staticzd2valuezd2envz00zzreduce_condz00, BGl_atomz00zzast_nodez00,
				BGl_proc1991z00zzreduce_condz00, BGl_string1990z00zzreduce_condz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_staticzd2valuezd2envz00zzreduce_condz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1992z00zzreduce_condz00,
				BGl_string1990z00zzreduce_condz00);
		}

	}



/* &static-value-sequenc1327 */
	obj_t BGl_z62staticzd2valuezd2sequenc1327z62zzreduce_condz00(obj_t
		BgL_envz00_2531, obj_t BgL_nodez00_2532)
	{
		{	/* Reduce/cond.scm 374 */
			if (NULLP(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2532)))->BgL_nodesz00)))
				{	/* Reduce/cond.scm 376 */
					return BFALSE;
				}
			else
				{	/* Reduce/cond.scm 377 */
					obj_t BgL_arg1856z00_2600;

					BgL_arg1856z00_2600 =
						CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
							(((BgL_sequencez00_bglt) COBJECT(
										((BgL_sequencez00_bglt) BgL_nodez00_2532)))->
								BgL_nodesz00)));
					return BGl_staticzd2valuezd2zzreduce_condz00(((BgL_nodez00_bglt)
							BgL_arg1856z00_2600));
				}
		}

	}



/* &static-value-atom1325 */
	obj_t BGl_z62staticzd2valuezd2atom1325z62zzreduce_condz00(obj_t
		BgL_envz00_2533, obj_t BgL_nodez00_2534)
	{
		{	/* Reduce/cond.scm 367 */
			if (
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt) BgL_nodez00_2534)))->BgL_valuez00) ==
					BFALSE))
				{	/* Reduce/cond.scm 369 */
					return CNST_TABLE_REF(((long) 5));
				}
			else
				{	/* Reduce/cond.scm 369 */
					return CNST_TABLE_REF(((long) 6));
		}}

	}



/* &static-value-let-var1323 */
	obj_t BGl_z62staticzd2valuezd2letzd2var1323zb0zzreduce_condz00(obj_t
		BgL_envz00_2535, obj_t BgL_nodez00_2536)
	{
		{	/* Reduce/cond.scm 360 */
			return
				BGl_staticzd2valuezd2zzreduce_condz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2536)))->BgL_bodyz00));
		}

	}



/* &node-cond!-box-ref1319 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2ref1319za2zzreduce_condz00(obj_t
		BgL_envz00_2537, obj_t BgL_nodez00_2538)
	{
		{	/* Reduce/cond.scm 335 */
			{
				BgL_varz00_bglt BgL_auxz00_3078;

				{	/* Reduce/cond.scm 337 */
					BgL_varz00_bglt BgL_arg1848z00_2604;

					BgL_arg1848z00_2604 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2538)))->BgL_varz00);
					BgL_auxz00_3078 =
						((BgL_varz00_bglt)
						BGl_nodezd2condz12zc0zzreduce_condz00(
							((BgL_nodez00_bglt) BgL_arg1848z00_2604)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2538)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3078), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2538));
		}

	}



/* &node-cond!-box-set!1317 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2setz121317zb0zzreduce_condz00(obj_t
		BgL_envz00_2539, obj_t BgL_nodez00_2540)
	{
		{	/* Reduce/cond.scm 326 */
			{
				BgL_varz00_bglt BgL_auxz00_3088;

				{	/* Reduce/cond.scm 328 */
					BgL_varz00_bglt BgL_arg1839z00_2606;

					BgL_arg1839z00_2606 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2540)))->BgL_varz00);
					BgL_auxz00_3088 =
						((BgL_varz00_bglt)
						BGl_nodezd2condz12zc0zzreduce_condz00(
							((BgL_nodez00_bglt) BgL_arg1839z00_2606)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2540)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3088), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3096;

				{	/* Reduce/cond.scm 329 */
					BgL_nodez00_bglt BgL_arg1842z00_2607;

					BgL_arg1842z00_2607 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2540)))->BgL_valuez00);
					BgL_auxz00_3096 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1842z00_2607);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2540)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3096), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2540));
		}

	}



/* &node-cond!-make-box1315 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2makezd2box1315za2zzreduce_condz00(obj_t
		BgL_envz00_2541, obj_t BgL_nodez00_2542)
	{
		{	/* Reduce/cond.scm 318 */
			{
				BgL_nodez00_bglt BgL_auxz00_3104;

				{	/* Reduce/cond.scm 320 */
					BgL_nodez00_bglt BgL_arg1838z00_2609;

					BgL_arg1838z00_2609 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2542)))->BgL_valuez00);
					BgL_auxz00_3104 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1838z00_2609);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2542)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3104), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2542));
		}

	}



/* &node-cond!-return1313 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2return1313z70zzreduce_condz00(obj_t
		BgL_envz00_2543, obj_t BgL_nodez00_2544)
	{
		{	/* Reduce/cond.scm 310 */
			{
				BgL_nodez00_bglt BgL_auxz00_3112;

				{	/* Reduce/cond.scm 312 */
					BgL_nodez00_bglt BgL_arg1837z00_2611;

					BgL_arg1837z00_2611 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2544)))->BgL_valuez00);
					BgL_auxz00_3112 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1837z00_2611);
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2544)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3112), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nodez00_2544));
		}

	}



/* &node-cond!-retblock1311 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2retblock1311z70zzreduce_condz00(obj_t
		BgL_envz00_2545, obj_t BgL_nodez00_2546)
	{
		{	/* Reduce/cond.scm 302 */
			{
				BgL_nodez00_bglt BgL_auxz00_3120;

				{	/* Reduce/cond.scm 304 */
					BgL_nodez00_bglt BgL_arg1824z00_2613;

					BgL_arg1824z00_2613 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2546)))->BgL_bodyz00);
					BgL_auxz00_3120 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1824z00_2613);
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2546)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3120), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nodez00_2546));
		}

	}



/* &node-cond!-jump-ex-i1309 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2jumpzd2exzd2i1309z70zzreduce_condz00(obj_t
		BgL_envz00_2547, obj_t BgL_nodez00_2548)
	{
		{	/* Reduce/cond.scm 293 */
			{
				BgL_nodez00_bglt BgL_auxz00_3128;

				{	/* Reduce/cond.scm 295 */
					BgL_nodez00_bglt BgL_arg1817z00_2615;

					BgL_arg1817z00_2615 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2548)))->BgL_exitz00);
					BgL_auxz00_3128 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1817z00_2615);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2548)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3128), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3134;

				{	/* Reduce/cond.scm 296 */
					BgL_nodez00_bglt BgL_arg1818z00_2616;

					BgL_arg1818z00_2616 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2548)))->
						BgL_valuez00);
					BgL_auxz00_3134 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1818z00_2616);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2548)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3134), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2548));
		}

	}



/* &node-cond!-set-ex-it1307 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2setzd2exzd2it1307z70zzreduce_condz00(obj_t
		BgL_envz00_2549, obj_t BgL_nodez00_2550)
	{
		{	/* Reduce/cond.scm 283 */
			{
				BgL_nodez00_bglt BgL_auxz00_3142;

				{	/* Reduce/cond.scm 285 */
					BgL_nodez00_bglt BgL_arg1808z00_2618;

					BgL_arg1808z00_2618 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2550)))->BgL_bodyz00);
					BgL_auxz00_3142 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1808z00_2618);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2550)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3142), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3148;

				{	/* Reduce/cond.scm 286 */
					BgL_nodez00_bglt BgL_arg1810z00_2619;

					BgL_arg1810z00_2619 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2550)))->
						BgL_onexitz00);
					BgL_auxz00_3148 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1810z00_2619);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2550)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3148), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_3154;

				{	/* Reduce/cond.scm 287 */
					BgL_varz00_bglt BgL_arg1811z00_2620;

					BgL_arg1811z00_2620 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2550)))->BgL_varz00);
					BgL_auxz00_3154 =
						((BgL_varz00_bglt)
						BGl_nodezd2condz12zc0zzreduce_condz00(
							((BgL_nodez00_bglt) BgL_arg1811z00_2620)));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2550)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3154), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2550));
		}

	}



/* &node-cond!-let-var1305 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2var1305za2zzreduce_condz00(obj_t
		BgL_envz00_2551, obj_t BgL_nodez00_2552)
	{
		{	/* Reduce/cond.scm 272 */
			{	/* Reduce/cond.scm 274 */
				obj_t BgL_g1268z00_2622;

				BgL_g1268z00_2622 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2552)))->BgL_bindingsz00);
				{
					obj_t BgL_l1266z00_2624;

					BgL_l1266z00_2624 = BgL_g1268z00_2622;
				BgL_zc3z04anonymousza31789ze3z87_2623:
					if (PAIRP(BgL_l1266z00_2624))
						{	/* Reduce/cond.scm 274 */
							{	/* Reduce/cond.scm 275 */
								obj_t BgL_bindingz00_2625;

								BgL_bindingz00_2625 = CAR(BgL_l1266z00_2624);
								{	/* Reduce/cond.scm 275 */
									BgL_nodez00_bglt BgL_arg1799z00_2626;

									{	/* Reduce/cond.scm 275 */
										obj_t BgL_arg1801z00_2627;

										BgL_arg1801z00_2627 = CDR(((obj_t) BgL_bindingz00_2625));
										BgL_arg1799z00_2626 =
											BGl_nodezd2condz12zc0zzreduce_condz00(
											((BgL_nodez00_bglt) BgL_arg1801z00_2627));
									}
									{	/* Reduce/cond.scm 275 */
										obj_t BgL_auxz00_3175;
										obj_t BgL_tmpz00_3173;

										BgL_auxz00_3175 = ((obj_t) BgL_arg1799z00_2626);
										BgL_tmpz00_3173 = ((obj_t) BgL_bindingz00_2625);
										SET_CDR(BgL_tmpz00_3173, BgL_auxz00_3175);
									}
								}
							}
							{
								obj_t BgL_l1266z00_3178;

								BgL_l1266z00_3178 = CDR(BgL_l1266z00_2624);
								BgL_l1266z00_2624 = BgL_l1266z00_3178;
								goto BgL_zc3z04anonymousza31789ze3z87_2623;
							}
						}
					else
						{	/* Reduce/cond.scm 274 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3180;

				{	/* Reduce/cond.scm 277 */
					BgL_nodez00_bglt BgL_arg1807z00_2628;

					BgL_arg1807z00_2628 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2552)))->BgL_bodyz00);
					BgL_auxz00_3180 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1807z00_2628);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2552)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3180), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2552));
		}

	}



/* &node-cond!-let-fun1303 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2fun1303za2zzreduce_condz00(obj_t
		BgL_envz00_2553, obj_t BgL_nodez00_2554)
	{
		{	/* Reduce/cond.scm 260 */
			{	/* Reduce/cond.scm 262 */
				obj_t BgL_g1265z00_2630;

				BgL_g1265z00_2630 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2554)))->BgL_localsz00);
				{
					obj_t BgL_l1263z00_2632;

					BgL_l1263z00_2632 = BgL_g1265z00_2630;
				BgL_zc3z04anonymousza31773ze3z87_2631:
					if (PAIRP(BgL_l1263z00_2632))
						{	/* Reduce/cond.scm 262 */
							{	/* Reduce/cond.scm 263 */
								obj_t BgL_localz00_2633;

								BgL_localz00_2633 = CAR(BgL_l1263z00_2632);
								{	/* Reduce/cond.scm 263 */
									BgL_valuez00_bglt BgL_funz00_2634;

									BgL_funz00_2634 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2633))))->
										BgL_valuez00);
									{	/* Reduce/cond.scm 264 */
										BgL_nodez00_bglt BgL_arg1777z00_2635;

										{	/* Reduce/cond.scm 264 */
											obj_t BgL_arg1781z00_2636;

											BgL_arg1781z00_2636 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2634)))->
												BgL_bodyz00);
											BgL_arg1777z00_2635 =
												BGl_nodezd2condz12zc0zzreduce_condz00((
													(BgL_nodez00_bglt) BgL_arg1781z00_2636));
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2634)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1777z00_2635)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1263z00_3203;

								BgL_l1263z00_3203 = CDR(BgL_l1263z00_2632);
								BgL_l1263z00_2632 = BgL_l1263z00_3203;
								goto BgL_zc3z04anonymousza31773ze3z87_2631;
							}
						}
					else
						{	/* Reduce/cond.scm 262 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3205;

				{	/* Reduce/cond.scm 266 */
					BgL_nodez00_bglt BgL_arg1788z00_2637;

					BgL_arg1788z00_2637 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2554)))->BgL_bodyz00);
					BgL_auxz00_3205 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1788z00_2637);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2554)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3205), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2554));
		}

	}



/* &node-cond!-switch1301 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2switch1301z70zzreduce_condz00(obj_t
		BgL_envz00_2555, obj_t BgL_nodez00_2556)
	{
		{	/* Reduce/cond.scm 249 */
			{
				BgL_nodez00_bglt BgL_auxz00_3213;

				{	/* Reduce/cond.scm 251 */
					BgL_nodez00_bglt BgL_arg1762z00_2639;

					BgL_arg1762z00_2639 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2556)))->BgL_testz00);
					BgL_auxz00_3213 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1762z00_2639);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2556)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3213), BUNSPEC);
			}
			{	/* Reduce/cond.scm 252 */
				obj_t BgL_g1262z00_2640;

				BgL_g1262z00_2640 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2556)))->BgL_clausesz00);
				{
					obj_t BgL_l1260z00_2642;

					BgL_l1260z00_2642 = BgL_g1262z00_2640;
				BgL_zc3z04anonymousza31763ze3z87_2641:
					if (PAIRP(BgL_l1260z00_2642))
						{	/* Reduce/cond.scm 252 */
							{	/* Reduce/cond.scm 253 */
								obj_t BgL_clausez00_2643;

								BgL_clausez00_2643 = CAR(BgL_l1260z00_2642);
								{	/* Reduce/cond.scm 253 */
									BgL_nodez00_bglt BgL_arg1766z00_2644;

									{	/* Reduce/cond.scm 253 */
										obj_t BgL_arg1770z00_2645;

										BgL_arg1770z00_2645 = CDR(((obj_t) BgL_clausez00_2643));
										BgL_arg1766z00_2644 =
											BGl_nodezd2condz12zc0zzreduce_condz00(
											((BgL_nodez00_bglt) BgL_arg1770z00_2645));
									}
									{	/* Reduce/cond.scm 253 */
										obj_t BgL_auxz00_3230;
										obj_t BgL_tmpz00_3228;

										BgL_auxz00_3230 = ((obj_t) BgL_arg1766z00_2644);
										BgL_tmpz00_3228 = ((obj_t) BgL_clausez00_2643);
										SET_CDR(BgL_tmpz00_3228, BgL_auxz00_3230);
									}
								}
							}
							{
								obj_t BgL_l1260z00_3233;

								BgL_l1260z00_3233 = CDR(BgL_l1260z00_2642);
								BgL_l1260z00_2642 = BgL_l1260z00_3233;
								goto BgL_zc3z04anonymousza31763ze3z87_2641;
							}
						}
					else
						{	/* Reduce/cond.scm 252 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2556));
		}

	}



/* &node-cond!-fail1299 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2fail1299z70zzreduce_condz00(obj_t
		BgL_envz00_2557, obj_t BgL_nodez00_2558)
	{
		{	/* Reduce/cond.scm 239 */
			{
				BgL_nodez00_bglt BgL_auxz00_3237;

				{	/* Reduce/cond.scm 241 */
					BgL_nodez00_bglt BgL_arg1753z00_2647;

					BgL_arg1753z00_2647 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2558)))->BgL_procz00);
					BgL_auxz00_3237 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1753z00_2647);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2558)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3237), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3243;

				{	/* Reduce/cond.scm 242 */
					BgL_nodez00_bglt BgL_arg1759z00_2648;

					BgL_arg1759z00_2648 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2558)))->BgL_msgz00);
					BgL_auxz00_3243 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1759z00_2648);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2558)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3243), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3249;

				{	/* Reduce/cond.scm 243 */
					BgL_nodez00_bglt BgL_arg1761z00_2649;

					BgL_arg1761z00_2649 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2558)))->BgL_objz00);
					BgL_auxz00_3249 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1761z00_2649);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2558)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3249), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2558));
		}

	}



/* &node-cond!-condition1297 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2condition1297z70zzreduce_condz00(obj_t
		BgL_envz00_2559, obj_t BgL_nodez00_2560)
	{
		{	/* Reduce/cond.scm 200 */
			{
				BgL_nodez00_bglt BgL_auxz00_3257;

				{	/* Reduce/cond.scm 202 */
					BgL_nodez00_bglt BgL_arg1597z00_2651;

					BgL_arg1597z00_2651 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2560)))->BgL_testz00);
					BgL_auxz00_3257 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1597z00_2651);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2560)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3257), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3263;

				{	/* Reduce/cond.scm 203 */
					BgL_nodez00_bglt BgL_arg1601z00_2652;

					BgL_arg1601z00_2652 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2560)))->BgL_truez00);
					BgL_auxz00_3263 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1601z00_2652);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2560)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3263), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3269;

				{	/* Reduce/cond.scm 204 */
					BgL_nodez00_bglt BgL_arg1602z00_2653;

					BgL_arg1602z00_2653 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2560)))->BgL_falsez00);
					BgL_auxz00_3269 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1602z00_2653);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2560)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3269), BUNSPEC);
			}
			{	/* Reduce/cond.scm 206 */
				bool_t BgL_test2047z00_3275;

				if (BGl_sidezd2effectzf3z21zzeffect_effectz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2560)))->BgL_testz00)))
					{	/* Reduce/cond.scm 206 */
						BgL_test2047z00_3275 = ((bool_t) 0);
					}
				else
					{	/* Reduce/cond.scm 207 */
						bool_t BgL_test2049z00_3280;

						{	/* Reduce/cond.scm 207 */
							BgL_nodez00_bglt BgL_arg1751z00_2654;

							BgL_arg1751z00_2654 =
								(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2560)))->
								BgL_truez00);
							{	/* Reduce/cond.scm 207 */
								obj_t BgL_classz00_2655;

								BgL_classz00_2655 = BGl_atomz00zzast_nodez00;
								{	/* Reduce/cond.scm 207 */
									BgL_objectz00_bglt BgL_arg1825z00_2656;

									{	/* Reduce/cond.scm 207 */
										obj_t BgL_tmpz00_3283;

										BgL_tmpz00_3283 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1751z00_2654));
										BgL_arg1825z00_2656 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3283);
									}
									{	/* Reduce/cond.scm 207 */
										bool_t BgL_arg1822z00_2657;
										bool_t BgL_arg1823z00_2658;

										{	/* Reduce/cond.scm 207 */
											long BgL_idxz00_2659;

											BgL_idxz00_2659 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2656);
											BgL_arg1822z00_2657 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2659 + ((long) 2))) == BgL_classz00_2655);
										}
										{	/* Reduce/cond.scm 207 */
											bool_t BgL_res1949z00_2662;

											{	/* Reduce/cond.scm 207 */
												obj_t BgL_oclassz00_2663;

												{	/* Reduce/cond.scm 207 */
													long BgL_arg1833z00_2664;

													{	/* Reduce/cond.scm 207 */
														long BgL_arg1834z00_2665;

														BgL_arg1834z00_2665 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2656);
														BgL_arg1833z00_2664 =
															(BgL_arg1834z00_2665 - OBJECT_TYPE);
													}
													BgL_oclassz00_2663 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2664);
												}
												{	/* Reduce/cond.scm 207 */
													bool_t BgL__ortest_1110z00_2666;

													BgL__ortest_1110z00_2666 =
														(BgL_classz00_2655 == BgL_oclassz00_2663);
													if (BgL__ortest_1110z00_2666)
														{	/* Reduce/cond.scm 207 */
															BgL_res1949z00_2662 = BgL__ortest_1110z00_2666;
														}
													else
														{	/* Reduce/cond.scm 207 */
															long BgL_odepthz00_2667;

															BgL_odepthz00_2667 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2663);
															if ((((long) 2) < BgL_odepthz00_2667))
																{	/* Reduce/cond.scm 207 */
																	obj_t BgL_arg1821z00_2668;

																	BgL_arg1821z00_2668 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2663,
																		((long) 2));
																	BgL_res1949z00_2662 =
																		(BgL_arg1821z00_2668 == BgL_classz00_2655);
																}
															else
																{	/* Reduce/cond.scm 207 */
																	BgL_res1949z00_2662 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2658 = BgL_res1949z00_2662;
										}
										BgL_test2049z00_3280 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2657,
											BgL_arg1823z00_2658);
									}
								}
							}
						}
						if (BgL_test2049z00_3280)
							{	/* Reduce/cond.scm 207 */
								bool_t BgL_test2052z00_3302;

								{	/* Reduce/cond.scm 207 */
									BgL_nodez00_bglt BgL_arg1750z00_2669;

									BgL_arg1750z00_2669 =
										(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2560)))->
										BgL_falsez00);
									{	/* Reduce/cond.scm 207 */
										obj_t BgL_classz00_2670;

										BgL_classz00_2670 = BGl_atomz00zzast_nodez00;
										{	/* Reduce/cond.scm 207 */
											BgL_objectz00_bglt BgL_arg1825z00_2671;

											{	/* Reduce/cond.scm 207 */
												obj_t BgL_tmpz00_3305;

												BgL_tmpz00_3305 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg1750z00_2669));
												BgL_arg1825z00_2671 =
													(BgL_objectz00_bglt) (BgL_tmpz00_3305);
											}
											{	/* Reduce/cond.scm 207 */
												bool_t BgL_arg1822z00_2672;
												bool_t BgL_arg1823z00_2673;

												{	/* Reduce/cond.scm 207 */
													long BgL_idxz00_2674;

													BgL_idxz00_2674 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2671);
													BgL_arg1822z00_2672 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2674 + ((long) 2))) ==
														BgL_classz00_2670);
												}
												{	/* Reduce/cond.scm 207 */
													bool_t BgL_res1950z00_2677;

													{	/* Reduce/cond.scm 207 */
														obj_t BgL_oclassz00_2678;

														{	/* Reduce/cond.scm 207 */
															long BgL_arg1833z00_2679;

															{	/* Reduce/cond.scm 207 */
																long BgL_arg1834z00_2680;

																BgL_arg1834z00_2680 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2671);
																BgL_arg1833z00_2679 =
																	(BgL_arg1834z00_2680 - OBJECT_TYPE);
															}
															BgL_oclassz00_2678 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_2679);
														}
														{	/* Reduce/cond.scm 207 */
															bool_t BgL__ortest_1110z00_2681;

															BgL__ortest_1110z00_2681 =
																(BgL_classz00_2670 == BgL_oclassz00_2678);
															if (BgL__ortest_1110z00_2681)
																{	/* Reduce/cond.scm 207 */
																	BgL_res1950z00_2677 =
																		BgL__ortest_1110z00_2681;
																}
															else
																{	/* Reduce/cond.scm 207 */
																	long BgL_odepthz00_2682;

																	BgL_odepthz00_2682 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2678);
																	if ((((long) 2) < BgL_odepthz00_2682))
																		{	/* Reduce/cond.scm 207 */
																			obj_t BgL_arg1821z00_2683;

																			BgL_arg1821z00_2683 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2678, ((long) 2));
																			BgL_res1950z00_2677 =
																				(BgL_arg1821z00_2683 ==
																				BgL_classz00_2670);
																		}
																	else
																		{	/* Reduce/cond.scm 207 */
																			BgL_res1950z00_2677 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_2673 = BgL_res1950z00_2677;
												}
												BgL_test2052z00_3302 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_2672,
													BgL_arg1823z00_2673);
											}
										}
									}
								}
								if (BgL_test2052z00_3302)
									{	/* Reduce/cond.scm 207 */
										if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
												(((BgL_atomz00_bglt) COBJECT(
															((BgL_atomz00_bglt)
																(((BgL_conditionalz00_bglt) COBJECT(
																			((BgL_conditionalz00_bglt)
																				BgL_nodez00_2560)))->BgL_truez00))))->
													BgL_valuez00),
												(((BgL_atomz00_bglt)
														COBJECT(((BgL_atomz00_bglt) ((
																		(BgL_conditionalz00_bglt)
																		COBJECT(((BgL_conditionalz00_bglt)
																				BgL_nodez00_2560)))->BgL_falsez00))))->
													BgL_valuez00)))
											{	/* Reduce/cond.scm 211 */
												bool_t BgL_test2056z00_3334;

												{	/* Reduce/cond.scm 211 */
													obj_t BgL_tmpz00_3335;

													BgL_tmpz00_3335 =
														(((BgL_atomz00_bglt) COBJECT(
																((BgL_atomz00_bglt)
																	(((BgL_conditionalz00_bglt) COBJECT(
																				((BgL_conditionalz00_bglt)
																					BgL_nodez00_2560)))->BgL_truez00))))->
														BgL_valuez00);
													BgL_test2056z00_3334 = REALP(BgL_tmpz00_3335);
												}
												if (BgL_test2056z00_3334)
													{	/* Reduce/cond.scm 211 */
														BgL_test2047z00_3275 = ((bool_t) 0);
													}
												else
													{	/* Reduce/cond.scm 211 */
														BgL_test2047z00_3275 = ((bool_t) 1);
													}
											}
										else
											{	/* Reduce/cond.scm 208 */
												BgL_test2047z00_3275 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/cond.scm 207 */
										BgL_test2047z00_3275 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/cond.scm 207 */
								BgL_test2047z00_3275 = ((bool_t) 0);
							}
					}
				if (BgL_test2047z00_3275)
					{	/* Reduce/cond.scm 206 */
						return
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2560)))->BgL_truez00);
					}
				else
					{	/* Reduce/cond.scm 214 */
						bool_t BgL_test2057z00_3343;

						{	/* Reduce/cond.scm 214 */
							bool_t BgL_test2058z00_3344;

							{	/* Reduce/cond.scm 214 */
								BgL_nodez00_bglt BgL_arg1746z00_2684;

								BgL_arg1746z00_2684 =
									(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2560)))->
									BgL_truez00);
								{	/* Reduce/cond.scm 214 */
									obj_t BgL_classz00_2685;

									BgL_classz00_2685 = BGl_atomz00zzast_nodez00;
									{	/* Reduce/cond.scm 214 */
										BgL_objectz00_bglt BgL_arg1825z00_2686;

										{	/* Reduce/cond.scm 214 */
											obj_t BgL_tmpz00_3347;

											BgL_tmpz00_3347 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1746z00_2684));
											BgL_arg1825z00_2686 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3347);
										}
										{	/* Reduce/cond.scm 214 */
											bool_t BgL_arg1822z00_2687;
											bool_t BgL_arg1823z00_2688;

											{	/* Reduce/cond.scm 214 */
												long BgL_idxz00_2689;

												BgL_idxz00_2689 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2686);
												BgL_arg1822z00_2687 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2689 + ((long) 2))) ==
													BgL_classz00_2685);
											}
											{	/* Reduce/cond.scm 214 */
												bool_t BgL_res1951z00_2692;

												{	/* Reduce/cond.scm 214 */
													obj_t BgL_oclassz00_2693;

													{	/* Reduce/cond.scm 214 */
														long BgL_arg1833z00_2694;

														{	/* Reduce/cond.scm 214 */
															long BgL_arg1834z00_2695;

															BgL_arg1834z00_2695 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2686);
															BgL_arg1833z00_2694 =
																(BgL_arg1834z00_2695 - OBJECT_TYPE);
														}
														BgL_oclassz00_2693 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2694);
													}
													{	/* Reduce/cond.scm 214 */
														bool_t BgL__ortest_1110z00_2696;

														BgL__ortest_1110z00_2696 =
															(BgL_classz00_2685 == BgL_oclassz00_2693);
														if (BgL__ortest_1110z00_2696)
															{	/* Reduce/cond.scm 214 */
																BgL_res1951z00_2692 = BgL__ortest_1110z00_2696;
															}
														else
															{	/* Reduce/cond.scm 214 */
																long BgL_odepthz00_2697;

																BgL_odepthz00_2697 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2693);
																if ((((long) 2) < BgL_odepthz00_2697))
																	{	/* Reduce/cond.scm 214 */
																		obj_t BgL_arg1821z00_2698;

																		BgL_arg1821z00_2698 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2693, ((long) 2));
																		BgL_res1951z00_2692 =
																			(BgL_arg1821z00_2698 ==
																			BgL_classz00_2685);
																	}
																else
																	{	/* Reduce/cond.scm 214 */
																		BgL_res1951z00_2692 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2688 = BgL_res1951z00_2692;
											}
											BgL_test2058z00_3344 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2687,
												BgL_arg1823z00_2688);
										}
									}
								}
							}
							if (BgL_test2058z00_3344)
								{	/* Reduce/cond.scm 214 */
									bool_t BgL_test2061z00_3366;

									{	/* Reduce/cond.scm 214 */
										BgL_nodez00_bglt BgL_arg1745z00_2699;

										BgL_arg1745z00_2699 =
											(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2560)))->
											BgL_falsez00);
										{	/* Reduce/cond.scm 214 */
											obj_t BgL_classz00_2700;

											BgL_classz00_2700 = BGl_atomz00zzast_nodez00;
											{	/* Reduce/cond.scm 214 */
												BgL_objectz00_bglt BgL_arg1825z00_2701;

												{	/* Reduce/cond.scm 214 */
													obj_t BgL_tmpz00_3369;

													BgL_tmpz00_3369 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1745z00_2699));
													BgL_arg1825z00_2701 =
														(BgL_objectz00_bglt) (BgL_tmpz00_3369);
												}
												{	/* Reduce/cond.scm 214 */
													bool_t BgL_arg1822z00_2702;
													bool_t BgL_arg1823z00_2703;

													{	/* Reduce/cond.scm 214 */
														long BgL_idxz00_2704;

														BgL_idxz00_2704 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2701);
														BgL_arg1822z00_2702 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2704 + ((long) 2))) ==
															BgL_classz00_2700);
													}
													{	/* Reduce/cond.scm 214 */
														bool_t BgL_res1952z00_2707;

														{	/* Reduce/cond.scm 214 */
															obj_t BgL_oclassz00_2708;

															{	/* Reduce/cond.scm 214 */
																long BgL_arg1833z00_2709;

																{	/* Reduce/cond.scm 214 */
																	long BgL_arg1834z00_2710;

																	BgL_arg1834z00_2710 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2701);
																	BgL_arg1833z00_2709 =
																		(BgL_arg1834z00_2710 - OBJECT_TYPE);
																}
																BgL_oclassz00_2708 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2709);
															}
															{	/* Reduce/cond.scm 214 */
																bool_t BgL__ortest_1110z00_2711;

																BgL__ortest_1110z00_2711 =
																	(BgL_classz00_2700 == BgL_oclassz00_2708);
																if (BgL__ortest_1110z00_2711)
																	{	/* Reduce/cond.scm 214 */
																		BgL_res1952z00_2707 =
																			BgL__ortest_1110z00_2711;
																	}
																else
																	{	/* Reduce/cond.scm 214 */
																		long BgL_odepthz00_2712;

																		BgL_odepthz00_2712 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2708);
																		if ((((long) 2) < BgL_odepthz00_2712))
																			{	/* Reduce/cond.scm 214 */
																				obj_t BgL_arg1821z00_2713;

																				BgL_arg1821z00_2713 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2708, ((long) 2));
																				BgL_res1952z00_2707 =
																					(BgL_arg1821z00_2713 ==
																					BgL_classz00_2700);
																			}
																		else
																			{	/* Reduce/cond.scm 214 */
																				BgL_res1952z00_2707 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2703 = BgL_res1952z00_2707;
													}
													BgL_test2061z00_3366 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2702,
														BgL_arg1823z00_2703);
												}
											}
										}
									}
									if (BgL_test2061z00_3366)
										{	/* Reduce/cond.scm 214 */
											if (
												((((BgL_atomz00_bglt) COBJECT(
																((BgL_atomz00_bglt)
																	(((BgL_conditionalz00_bglt) COBJECT(
																				((BgL_conditionalz00_bglt)
																					BgL_nodez00_2560)))->BgL_truez00))))->
														BgL_valuez00) == BTRUE))
												{	/* Reduce/cond.scm 215 */
													if (
														((((BgL_atomz00_bglt) COBJECT(
																		((BgL_atomz00_bglt)
																			(((BgL_conditionalz00_bglt) COBJECT(
																						((BgL_conditionalz00_bglt)
																							BgL_nodez00_2560)))->
																				BgL_falsez00))))->BgL_valuez00) ==
															BFALSE))
														{	/* Reduce/cond.scm 217 */
															BgL_typez00_bglt BgL_arg1729z00_2714;

															BgL_arg1729z00_2714 =
																BGl_getzd2typezd2zztype_typeofz00(
																(((BgL_conditionalz00_bglt) COBJECT(
																			((BgL_conditionalz00_bglt)
																				BgL_nodez00_2560)))->BgL_testz00),
																((bool_t) 1));
															BgL_test2057z00_3343 =
																(((obj_t) BgL_arg1729z00_2714) ==
																BGl_za2boolza2z00zztype_cachez00);
														}
													else
														{	/* Reduce/cond.scm 216 */
															BgL_test2057z00_3343 = ((bool_t) 0);
														}
												}
											else
												{	/* Reduce/cond.scm 215 */
													BgL_test2057z00_3343 = ((bool_t) 0);
												}
										}
									else
										{	/* Reduce/cond.scm 214 */
											BgL_test2057z00_3343 = ((bool_t) 0);
										}
								}
							else
								{	/* Reduce/cond.scm 214 */
									BgL_test2057z00_3343 = ((bool_t) 0);
								}
						}
						if (BgL_test2057z00_3343)
							{	/* Reduce/cond.scm 214 */
								return
									(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2560)))->
									BgL_testz00);
							}
						else
							{	/* Reduce/cond.scm 219 */
								bool_t BgL_test2066z00_3407;

								{	/* Reduce/cond.scm 219 */
									BgL_nodez00_bglt BgL_arg1728z00_2715;

									BgL_arg1728z00_2715 =
										(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2560)))->
										BgL_testz00);
									{	/* Reduce/cond.scm 219 */
										obj_t BgL_classz00_2716;

										BgL_classz00_2716 = BGl_atomz00zzast_nodez00;
										{	/* Reduce/cond.scm 219 */
											BgL_objectz00_bglt BgL_arg1825z00_2717;

											{	/* Reduce/cond.scm 219 */
												obj_t BgL_tmpz00_3410;

												BgL_tmpz00_3410 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg1728z00_2715));
												BgL_arg1825z00_2717 =
													(BgL_objectz00_bglt) (BgL_tmpz00_3410);
											}
											{	/* Reduce/cond.scm 219 */
												bool_t BgL_arg1822z00_2718;
												bool_t BgL_arg1823z00_2719;

												{	/* Reduce/cond.scm 219 */
													long BgL_idxz00_2720;

													BgL_idxz00_2720 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2717);
													BgL_arg1822z00_2718 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2720 + ((long) 2))) ==
														BgL_classz00_2716);
												}
												{	/* Reduce/cond.scm 219 */
													bool_t BgL_res1953z00_2723;

													{	/* Reduce/cond.scm 219 */
														obj_t BgL_oclassz00_2724;

														{	/* Reduce/cond.scm 219 */
															long BgL_arg1833z00_2725;

															{	/* Reduce/cond.scm 219 */
																long BgL_arg1834z00_2726;

																BgL_arg1834z00_2726 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2717);
																BgL_arg1833z00_2725 =
																	(BgL_arg1834z00_2726 - OBJECT_TYPE);
															}
															BgL_oclassz00_2724 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_2725);
														}
														{	/* Reduce/cond.scm 219 */
															bool_t BgL__ortest_1110z00_2727;

															BgL__ortest_1110z00_2727 =
																(BgL_classz00_2716 == BgL_oclassz00_2724);
															if (BgL__ortest_1110z00_2727)
																{	/* Reduce/cond.scm 219 */
																	BgL_res1953z00_2723 =
																		BgL__ortest_1110z00_2727;
																}
															else
																{	/* Reduce/cond.scm 219 */
																	long BgL_odepthz00_2728;

																	BgL_odepthz00_2728 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2724);
																	if ((((long) 2) < BgL_odepthz00_2728))
																		{	/* Reduce/cond.scm 219 */
																			obj_t BgL_arg1821z00_2729;

																			BgL_arg1821z00_2729 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2724, ((long) 2));
																			BgL_res1953z00_2723 =
																				(BgL_arg1821z00_2729 ==
																				BgL_classz00_2716);
																		}
																	else
																		{	/* Reduce/cond.scm 219 */
																			BgL_res1953z00_2723 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_2719 = BgL_res1953z00_2723;
												}
												BgL_test2066z00_3407 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_2718,
													BgL_arg1823z00_2719);
											}
										}
									}
								}
								if (BgL_test2066z00_3407)
									{	/* Reduce/cond.scm 219 */
										BGl_za2condzd2reducedza2zd2zzreduce_condz00 =
											(((long) 1) +
											BGl_za2condzd2reducedza2zd2zzreduce_condz00);
										if (CBOOL((((BgL_atomz00_bglt)
														COBJECT(((BgL_atomz00_bglt) ((
																		(BgL_conditionalz00_bglt)
																		COBJECT(((BgL_conditionalz00_bglt)
																				BgL_nodez00_2560)))->BgL_testz00))))->
													BgL_valuez00)))
											{	/* Reduce/cond.scm 222 */
												return
													(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt) BgL_nodez00_2560)))->
													BgL_truez00);
											}
										else
											{	/* Reduce/cond.scm 222 */
												return
													(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt) BgL_nodez00_2560)))->
													BgL_falsez00);
											}
									}
								else
									{	/* Reduce/cond.scm 225 */
										obj_t BgL_g1124z00_2730;

										BgL_g1124z00_2730 =
											BGl_staticzd2valuezd2zzreduce_condz00(
											(((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_2560)))->
												BgL_testz00));
										if (CBOOL(BgL_g1124z00_2730))
											{	/* Reduce/cond.scm 225 */
												BGl_za2condzd2reducedza2zd2zzreduce_condz00 =
													(((long) 1) +
													BGl_za2condzd2reducedza2zd2zzreduce_condz00);
												{	/* Reduce/cond.scm 230 */
													BgL_sequencez00_bglt BgL_new1129z00_2731;

													{	/* Reduce/cond.scm 230 */
														BgL_sequencez00_bglt BgL_new1126z00_2732;

														BgL_new1126z00_2732 =
															((BgL_sequencez00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_sequencez00_bgl))));
														{	/* Reduce/cond.scm 230 */
															long BgL_arg1725z00_2733;

															BgL_arg1725z00_2733 =
																BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1126z00_2732),
																BgL_arg1725z00_2733);
														}
														{	/* Reduce/cond.scm 230 */
															BgL_objectz00_bglt BgL_tmpz00_3450;

															BgL_tmpz00_3450 =
																((BgL_objectz00_bglt) BgL_new1126z00_2732);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3450, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1126z00_2732);
														BgL_new1129z00_2731 = BgL_new1126z00_2732;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1129z00_2731)))->
															BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1129z00_2731)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																	COBJECT(((BgL_nodez00_bglt) (
																				(BgL_conditionalz00_bglt)
																				BgL_nodez00_2560))))->BgL_typez00)),
														BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1129z00_2731)))->
															BgL_sidezd2effectzd2) =
														((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1129z00_2731)))->BgL_keyz00) =
														((obj_t) BINT(((long) -1))), BUNSPEC);
													{
														obj_t BgL_auxz00_3466;

														{	/* Reduce/cond.scm 232 */
															BgL_nodez00_bglt BgL_arg1716z00_2734;
															BgL_nodez00_bglt BgL_arg1721z00_2735;

															BgL_arg1716z00_2734 =
																(((BgL_conditionalz00_bglt) COBJECT(
																		((BgL_conditionalz00_bglt)
																			BgL_nodez00_2560)))->BgL_testz00);
															if ((BgL_g1124z00_2730 ==
																	CNST_TABLE_REF(((long) 6))))
																{	/* Reduce/cond.scm 232 */
																	BgL_arg1721z00_2735 =
																		(((BgL_conditionalz00_bglt) COBJECT(
																				((BgL_conditionalz00_bglt)
																					BgL_nodez00_2560)))->BgL_truez00);
																}
															else
																{	/* Reduce/cond.scm 232 */
																	BgL_arg1721z00_2735 =
																		(((BgL_conditionalz00_bglt) COBJECT(
																				((BgL_conditionalz00_bglt)
																					BgL_nodez00_2560)))->BgL_falsez00);
																}
															{	/* Reduce/cond.scm 232 */
																obj_t BgL_list1722z00_2736;

																{	/* Reduce/cond.scm 232 */
																	obj_t BgL_arg1723z00_2737;

																	BgL_arg1723z00_2737 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1721z00_2735), BNIL);
																	BgL_list1722z00_2736 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1716z00_2734),
																		BgL_arg1723z00_2737);
																}
																BgL_auxz00_3466 = BgL_list1722z00_2736;
															}
														}
														((((BgL_sequencez00_bglt)
																	COBJECT(BgL_new1129z00_2731))->BgL_nodesz00) =
															((obj_t) BgL_auxz00_3466), BUNSPEC);
													}
													((((BgL_sequencez00_bglt)
																COBJECT(BgL_new1129z00_2731))->BgL_unsafez00) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
													((((BgL_sequencez00_bglt)
																COBJECT(BgL_new1129z00_2731))->BgL_metaz00) =
														((obj_t) BNIL), BUNSPEC);
													return ((BgL_nodez00_bglt) BgL_new1129z00_2731);
												}
											}
										else
											{	/* Reduce/cond.scm 225 */
												return
													((BgL_nodez00_bglt)
													((BgL_conditionalz00_bglt) BgL_nodez00_2560));
											}
									}
							}
					}
			}
		}

	}



/* &node-cond!-setq1295 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2setq1295z70zzreduce_condz00(obj_t
		BgL_envz00_2561, obj_t BgL_nodez00_2562)
	{
		{	/* Reduce/cond.scm 191 */
			{
				BgL_nodez00_bglt BgL_auxz00_3486;

				{	/* Reduce/cond.scm 193 */
					BgL_nodez00_bglt BgL_arg1588z00_2739;

					BgL_arg1588z00_2739 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2562)))->BgL_valuez00);
					BgL_auxz00_3486 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1588z00_2739);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2562)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3486), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_3492;

				{	/* Reduce/cond.scm 194 */
					BgL_varz00_bglt BgL_arg1595z00_2740;

					BgL_arg1595z00_2740 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2562)))->BgL_varz00);
					BgL_auxz00_3492 =
						((BgL_varz00_bglt)
						BGl_nodezd2condz12zc0zzreduce_condz00(
							((BgL_nodez00_bglt) BgL_arg1595z00_2740)));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2562)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3492), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2562));
		}

	}



/* &node-cond!-cast1293 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2cast1293z70zzreduce_condz00(obj_t
		BgL_envz00_2563, obj_t BgL_nodez00_2564)
	{
		{	/* Reduce/cond.scm 183 */
			BGl_nodezd2condz12zc0zzreduce_condz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2564)))->BgL_argz00));
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2564));
		}

	}



/* &node-cond!-extern1291 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2extern1291z70zzreduce_condz00(obj_t
		BgL_envz00_2565, obj_t BgL_nodez00_2566)
	{
		{	/* Reduce/cond.scm 175 */
			BGl_nodezd2condza2z12z62zzreduce_condz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2566)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2566));
		}

	}



/* &node-cond!-funcall1289 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2funcall1289z70zzreduce_condz00(obj_t
		BgL_envz00_2567, obj_t BgL_nodez00_2568)
	{
		{	/* Reduce/cond.scm 166 */
			{
				BgL_nodez00_bglt BgL_auxz00_3512;

				{	/* Reduce/cond.scm 168 */
					BgL_nodez00_bglt BgL_arg1583z00_2744;

					BgL_arg1583z00_2744 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2568)))->BgL_funz00);
					BgL_auxz00_3512 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1583z00_2744);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2568)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3512), BUNSPEC);
			}
			BGl_nodezd2condza2z12z62zzreduce_condz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2568)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2568));
		}

	}



/* &node-cond!-app-ly1287 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2appzd2ly1287za2zzreduce_condz00(obj_t
		BgL_envz00_2569, obj_t BgL_nodez00_2570)
	{
		{	/* Reduce/cond.scm 157 */
			{
				BgL_nodez00_bglt BgL_auxz00_3523;

				{	/* Reduce/cond.scm 159 */
					BgL_nodez00_bglt BgL_arg1581z00_2746;

					BgL_arg1581z00_2746 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2570)))->BgL_funz00);
					BgL_auxz00_3523 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1581z00_2746);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2570)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3523), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3529;

				{	/* Reduce/cond.scm 160 */
					BgL_nodez00_bglt BgL_arg1582z00_2747;

					BgL_arg1582z00_2747 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2570)))->BgL_argz00);
					BgL_auxz00_3529 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1582z00_2747);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2570)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3529), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2570));
		}

	}



/* &node-cond!-app1285 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2app1285z70zzreduce_condz00(obj_t
		BgL_envz00_2571, obj_t BgL_nodez00_2572)
	{
		{	/* Reduce/cond.scm 122 */
			{
				obj_t BgL_n1z00_2796;
				obj_t BgL_n2z00_2797;
				BgL_appz00_bglt BgL_nodez00_2751;

				BGl_nodezd2condza2z12z62zzreduce_condz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2572)))->BgL_argsz00));
				{	/* Reduce/cond.scm 147 */
					obj_t BgL_trivz00_2854;

					BgL_nodez00_2751 = ((BgL_appz00_bglt) BgL_nodez00_2572);
					{	/* Reduce/cond.scm 135 */
						bool_t BgL_test2072z00_3540;

						{	/* Reduce/cond.scm 135 */
							bool_t BgL_test2073z00_3541;

							{	/* Reduce/cond.scm 135 */
								bool_t BgL_test2074z00_3542;

								{	/* Reduce/cond.scm 135 */
									BgL_typez00_bglt BgL_arg1578z00_2752;

									BgL_arg1578z00_2752 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_nodez00_2751)))->BgL_typez00);
									BgL_test2074z00_3542 =
										(
										((obj_t) BgL_arg1578z00_2752) ==
										BGl_za2boolza2z00zztype_cachez00);
								}
								if (BgL_test2074z00_3542)
									{	/* Reduce/cond.scm 135 */
										BgL_test2073z00_3541 = ((bool_t) 1);
									}
								else
									{	/* Reduce/cond.scm 135 */
										BgL_typez00_bglt BgL_arg1571z00_2753;

										BgL_arg1571z00_2753 =
											(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_nodez00_2751)))->BgL_typez00);
										BgL_test2073z00_3541 =
											(
											((obj_t) BgL_arg1571z00_2753) ==
											BGl_za2objza2z00zztype_cachez00);
									}
							}
							if (BgL_test2073z00_3541)
								{	/* Reduce/cond.scm 136 */
									obj_t BgL_g1258z00_2754;

									BgL_g1258z00_2754 =
										(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2751))->
										BgL_argsz00);
									{
										obj_t BgL_l1256z00_2756;

										BgL_l1256z00_2756 = BgL_g1258z00_2754;
									BgL_zc3z04anonymousza31568ze3z87_2755:
										if (NULLP(BgL_l1256z00_2756))
											{	/* Reduce/cond.scm 136 */
												BgL_test2072z00_3540 = ((bool_t) 1);
											}
										else
											{	/* Reduce/cond.scm 136 */
												bool_t BgL_test2076z00_3554;

												{	/* Reduce/cond.scm 136 */
													obj_t BgL_nz00_2757;

													BgL_nz00_2757 = CAR(((obj_t) BgL_l1256z00_2756));
													{	/* Reduce/cond.scm 136 */
														bool_t BgL__ortest_1108z00_2758;

														{	/* Reduce/cond.scm 136 */
															obj_t BgL_classz00_2759;

															BgL_classz00_2759 = BGl_atomz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_nz00_2757))
																{	/* Reduce/cond.scm 136 */
																	BgL_objectz00_bglt BgL_arg1825z00_2760;

																	BgL_arg1825z00_2760 =
																		(BgL_objectz00_bglt) (BgL_nz00_2757);
																	{	/* Reduce/cond.scm 136 */
																		bool_t BgL_arg1822z00_2761;
																		bool_t BgL_arg1823z00_2762;

																		{	/* Reduce/cond.scm 136 */
																			long BgL_idxz00_2763;

																			BgL_idxz00_2763 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_2760);
																			BgL_arg1822z00_2761 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2763 + ((long) 2))) ==
																				BgL_classz00_2759);
																		}
																		{	/* Reduce/cond.scm 136 */
																			bool_t BgL_res1947z00_2766;

																			{	/* Reduce/cond.scm 136 */
																				obj_t BgL_oclassz00_2767;

																				{	/* Reduce/cond.scm 136 */
																					long BgL_arg1833z00_2768;

																					{	/* Reduce/cond.scm 136 */
																						long BgL_arg1834z00_2769;

																						BgL_arg1834z00_2769 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_2760);
																						BgL_arg1833z00_2768 =
																							(BgL_arg1834z00_2769 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2767 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_2768);
																				}
																				{	/* Reduce/cond.scm 136 */
																					bool_t BgL__ortest_1110z00_2770;

																					BgL__ortest_1110z00_2770 =
																						(BgL_classz00_2759 ==
																						BgL_oclassz00_2767);
																					if (BgL__ortest_1110z00_2770)
																						{	/* Reduce/cond.scm 136 */
																							BgL_res1947z00_2766 =
																								BgL__ortest_1110z00_2770;
																						}
																					else
																						{	/* Reduce/cond.scm 136 */
																							long BgL_odepthz00_2771;

																							BgL_odepthz00_2771 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2767);
																							if ((((long) 2) <
																									BgL_odepthz00_2771))
																								{	/* Reduce/cond.scm 136 */
																									obj_t BgL_arg1821z00_2772;

																									BgL_arg1821z00_2772 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2767,
																										((long) 2));
																									BgL_res1947z00_2766 =
																										(BgL_arg1821z00_2772 ==
																										BgL_classz00_2759);
																								}
																							else
																								{	/* Reduce/cond.scm 136 */
																									BgL_res1947z00_2766 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_2762 = BgL_res1947z00_2766;
																		}
																		BgL__ortest_1108z00_2758 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_2761,
																			BgL_arg1823z00_2762);
																	}
																}
															else
																{	/* Reduce/cond.scm 136 */
																	BgL__ortest_1108z00_2758 = ((bool_t) 0);
																}
														}
														if (BgL__ortest_1108z00_2758)
															{	/* Reduce/cond.scm 136 */
																BgL_test2076z00_3554 = BgL__ortest_1108z00_2758;
															}
														else
															{	/* Reduce/cond.scm 136 */
																obj_t BgL_classz00_2773;

																BgL_classz00_2773 = BGl_varz00zzast_nodez00;
																if (BGL_OBJECTP(BgL_nz00_2757))
																	{	/* Reduce/cond.scm 136 */
																		BgL_objectz00_bglt BgL_arg1825z00_2774;

																		BgL_arg1825z00_2774 =
																			(BgL_objectz00_bglt) (BgL_nz00_2757);
																		{	/* Reduce/cond.scm 136 */
																			bool_t BgL_arg1822z00_2775;
																			bool_t BgL_arg1823z00_2776;

																			{	/* Reduce/cond.scm 136 */
																				long BgL_idxz00_2777;

																				BgL_idxz00_2777 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1825z00_2774);
																				BgL_arg1822z00_2775 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2777 + ((long) 2))) ==
																					BgL_classz00_2773);
																			}
																			{	/* Reduce/cond.scm 136 */
																				bool_t BgL_res1948z00_2780;

																				{	/* Reduce/cond.scm 136 */
																					obj_t BgL_oclassz00_2781;

																					{	/* Reduce/cond.scm 136 */
																						long BgL_arg1833z00_2782;

																						{	/* Reduce/cond.scm 136 */
																							long BgL_arg1834z00_2783;

																							BgL_arg1834z00_2783 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1825z00_2774);
																							BgL_arg1833z00_2782 =
																								(BgL_arg1834z00_2783 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2781 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1833z00_2782);
																					}
																					{	/* Reduce/cond.scm 136 */
																						bool_t BgL__ortest_1110z00_2784;

																						BgL__ortest_1110z00_2784 =
																							(BgL_classz00_2773 ==
																							BgL_oclassz00_2781);
																						if (BgL__ortest_1110z00_2784)
																							{	/* Reduce/cond.scm 136 */
																								BgL_res1948z00_2780 =
																									BgL__ortest_1110z00_2784;
																							}
																						else
																							{	/* Reduce/cond.scm 136 */
																								long BgL_odepthz00_2785;

																								BgL_odepthz00_2785 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2781);
																								if ((((long) 2) <
																										BgL_odepthz00_2785))
																									{	/* Reduce/cond.scm 136 */
																										obj_t BgL_arg1821z00_2786;

																										BgL_arg1821z00_2786 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2781,
																											((long) 2));
																										BgL_res1948z00_2780 =
																											(BgL_arg1821z00_2786 ==
																											BgL_classz00_2773);
																									}
																								else
																									{	/* Reduce/cond.scm 136 */
																										BgL_res1948z00_2780 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_arg1823z00_2776 =
																					BgL_res1948z00_2780;
																			}
																			BgL_test2076z00_3554 =
																				BGL_ISA_C_BACKEND(BgL_arg1822z00_2775,
																				BgL_arg1823z00_2776);
																		}
																	}
																else
																	{	/* Reduce/cond.scm 136 */
																		BgL_test2076z00_3554 = ((bool_t) 0);
																	}
															}
													}
												}
												if (BgL_test2076z00_3554)
													{	/* Reduce/cond.scm 136 */
														obj_t BgL_arg1570z00_2787;

														BgL_arg1570z00_2787 =
															CDR(((obj_t) BgL_l1256z00_2756));
														{
															obj_t BgL_l1256z00_3596;

															BgL_l1256z00_3596 = BgL_arg1570z00_2787;
															BgL_l1256z00_2756 = BgL_l1256z00_3596;
															goto BgL_zc3z04anonymousza31568ze3z87_2755;
														}
													}
												else
													{	/* Reduce/cond.scm 136 */
														BgL_test2072z00_3540 = ((bool_t) 0);
													}
											}
									}
								}
							else
								{	/* Reduce/cond.scm 135 */
									BgL_test2072z00_3540 = ((bool_t) 0);
								}
						}
						if (BgL_test2072z00_3540)
							{	/* Reduce/cond.scm 138 */
								bool_t BgL_test2084z00_3597;

								{	/* Reduce/cond.scm 138 */
									BgL_variablez00_bglt BgL_arg1564z00_2788;

									BgL_arg1564z00_2788 =
										(((BgL_varz00_bglt) COBJECT(
												(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2751))->
													BgL_funz00)))->BgL_variablez00);
									BgL_test2084z00_3597 =
										(((obj_t) BgL_arg1564z00_2788) ==
										BGl_za2z42eqza2z42zzreduce_condz00);
								}
								if (BgL_test2084z00_3597)
									{	/* Reduce/cond.scm 139 */
										obj_t BgL_arg1500z00_2789;
										obj_t BgL_arg1520z00_2790;

										BgL_arg1500z00_2789 =
											CAR(
											(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2751))->
												BgL_argsz00));
										{	/* Reduce/cond.scm 139 */
											obj_t BgL_pairz00_2791;

											BgL_pairz00_2791 =
												(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2751))->
												BgL_argsz00);
											BgL_arg1520z00_2790 = CAR(CDR(BgL_pairz00_2791));
										}
										BgL_n1z00_2796 = BgL_arg1500z00_2789;
										BgL_n2z00_2797 = BgL_arg1520z00_2790;
									BgL_eqzd2atomzf3z21_2750:
										{	/* Reduce/cond.scm 126 */
											bool_t BgL_test2085z00_3607;

											{	/* Reduce/cond.scm 126 */
												bool_t BgL_test2086z00_3608;

												{	/* Reduce/cond.scm 126 */
													obj_t BgL_classz00_2798;

													BgL_classz00_2798 = BGl_atomz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_n1z00_2796))
														{	/* Reduce/cond.scm 126 */
															BgL_objectz00_bglt BgL_arg1825z00_2799;

															BgL_arg1825z00_2799 =
																(BgL_objectz00_bglt) (BgL_n1z00_2796);
															{	/* Reduce/cond.scm 126 */
																bool_t BgL_arg1822z00_2800;
																bool_t BgL_arg1823z00_2801;

																{	/* Reduce/cond.scm 126 */
																	long BgL_idxz00_2802;

																	BgL_idxz00_2802 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_2799);
																	BgL_arg1822z00_2800 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2802 + ((long) 2))) ==
																		BgL_classz00_2798);
																}
																{	/* Reduce/cond.scm 126 */
																	bool_t BgL_res1943z00_2805;

																	{	/* Reduce/cond.scm 126 */
																		obj_t BgL_oclassz00_2806;

																		{	/* Reduce/cond.scm 126 */
																			long BgL_arg1833z00_2807;

																			{	/* Reduce/cond.scm 126 */
																				long BgL_arg1834z00_2808;

																				BgL_arg1834z00_2808 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_2799);
																				BgL_arg1833z00_2807 =
																					(BgL_arg1834z00_2808 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2806 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_2807);
																		}
																		{	/* Reduce/cond.scm 126 */
																			bool_t BgL__ortest_1110z00_2809;

																			BgL__ortest_1110z00_2809 =
																				(BgL_classz00_2798 ==
																				BgL_oclassz00_2806);
																			if (BgL__ortest_1110z00_2809)
																				{	/* Reduce/cond.scm 126 */
																					BgL_res1943z00_2805 =
																						BgL__ortest_1110z00_2809;
																				}
																			else
																				{	/* Reduce/cond.scm 126 */
																					long BgL_odepthz00_2810;

																					BgL_odepthz00_2810 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_2806);
																					if ((((long) 2) < BgL_odepthz00_2810))
																						{	/* Reduce/cond.scm 126 */
																							obj_t BgL_arg1821z00_2811;

																							BgL_arg1821z00_2811 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_2806,
																								((long) 2));
																							BgL_res1943z00_2805 =
																								(BgL_arg1821z00_2811 ==
																								BgL_classz00_2798);
																						}
																					else
																						{	/* Reduce/cond.scm 126 */
																							BgL_res1943z00_2805 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_2801 = BgL_res1943z00_2805;
																}
																BgL_test2086z00_3608 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_2800,
																	BgL_arg1823z00_2801);
															}
														}
													else
														{	/* Reduce/cond.scm 126 */
															BgL_test2086z00_3608 = ((bool_t) 0);
														}
												}
												if (BgL_test2086z00_3608)
													{	/* Reduce/cond.scm 126 */
														obj_t BgL_classz00_2812;

														BgL_classz00_2812 = BGl_atomz00zzast_nodez00;
														if (BGL_OBJECTP(BgL_n2z00_2797))
															{	/* Reduce/cond.scm 126 */
																BgL_objectz00_bglt BgL_arg1825z00_2813;

																BgL_arg1825z00_2813 =
																	(BgL_objectz00_bglt) (BgL_n2z00_2797);
																{	/* Reduce/cond.scm 126 */
																	bool_t BgL_arg1822z00_2814;
																	bool_t BgL_arg1823z00_2815;

																	{	/* Reduce/cond.scm 126 */
																		long BgL_idxz00_2816;

																		BgL_idxz00_2816 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_2813);
																		BgL_arg1822z00_2814 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2816 + ((long) 2))) ==
																			BgL_classz00_2812);
																	}
																	{	/* Reduce/cond.scm 126 */
																		bool_t BgL_res1944z00_2819;

																		{	/* Reduce/cond.scm 126 */
																			obj_t BgL_oclassz00_2820;

																			{	/* Reduce/cond.scm 126 */
																				long BgL_arg1833z00_2821;

																				{	/* Reduce/cond.scm 126 */
																					long BgL_arg1834z00_2822;

																					BgL_arg1834z00_2822 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_2813);
																					BgL_arg1833z00_2821 =
																						(BgL_arg1834z00_2822 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2820 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_2821);
																			}
																			{	/* Reduce/cond.scm 126 */
																				bool_t BgL__ortest_1110z00_2823;

																				BgL__ortest_1110z00_2823 =
																					(BgL_classz00_2812 ==
																					BgL_oclassz00_2820);
																				if (BgL__ortest_1110z00_2823)
																					{	/* Reduce/cond.scm 126 */
																						BgL_res1944z00_2819 =
																							BgL__ortest_1110z00_2823;
																					}
																				else
																					{	/* Reduce/cond.scm 126 */
																						long BgL_odepthz00_2824;

																						BgL_odepthz00_2824 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2820);
																						if ((((long) 2) <
																								BgL_odepthz00_2824))
																							{	/* Reduce/cond.scm 126 */
																								obj_t BgL_arg1821z00_2825;

																								BgL_arg1821z00_2825 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2820,
																									((long) 2));
																								BgL_res1944z00_2819 =
																									(BgL_arg1821z00_2825 ==
																									BgL_classz00_2812);
																							}
																						else
																							{	/* Reduce/cond.scm 126 */
																								BgL_res1944z00_2819 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_2815 = BgL_res1944z00_2819;
																	}
																	BgL_test2085z00_3607 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_2814,
																		BgL_arg1823z00_2815);
																}
															}
														else
															{	/* Reduce/cond.scm 126 */
																BgL_test2085z00_3607 = ((bool_t) 0);
															}
													}
												else
													{	/* Reduce/cond.scm 126 */
														BgL_test2085z00_3607 = ((bool_t) 0);
													}
											}
											if (BgL_test2085z00_3607)
												{	/* Reduce/cond.scm 126 */
													if (
														((((BgL_atomz00_bglt) COBJECT(
																		((BgL_atomz00_bglt) BgL_n1z00_2796)))->
																BgL_valuez00) ==
															(((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
																			BgL_n2z00_2797)))->BgL_valuez00)))
														{	/* Reduce/cond.scm 127 */
															BgL_trivz00_2854 = CNST_TABLE_REF(((long) 6));
														}
													else
														{	/* Reduce/cond.scm 127 */
															BgL_trivz00_2854 = CNST_TABLE_REF(((long) 5));
												}}
											else
												{	/* Reduce/cond.scm 128 */
													bool_t BgL_test2094z00_3653;

													{	/* Reduce/cond.scm 128 */
														bool_t BgL_test2095z00_3654;

														{	/* Reduce/cond.scm 128 */
															obj_t BgL_classz00_2826;

															BgL_classz00_2826 = BGl_varz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_n1z00_2796))
																{	/* Reduce/cond.scm 128 */
																	BgL_objectz00_bglt BgL_arg1825z00_2827;

																	BgL_arg1825z00_2827 =
																		(BgL_objectz00_bglt) (BgL_n1z00_2796);
																	{	/* Reduce/cond.scm 128 */
																		bool_t BgL_arg1822z00_2828;
																		bool_t BgL_arg1823z00_2829;

																		{	/* Reduce/cond.scm 128 */
																			long BgL_idxz00_2830;

																			BgL_idxz00_2830 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_2827);
																			BgL_arg1822z00_2828 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2830 + ((long) 2))) ==
																				BgL_classz00_2826);
																		}
																		{	/* Reduce/cond.scm 128 */
																			bool_t BgL_res1945z00_2833;

																			{	/* Reduce/cond.scm 128 */
																				obj_t BgL_oclassz00_2834;

																				{	/* Reduce/cond.scm 128 */
																					long BgL_arg1833z00_2835;

																					{	/* Reduce/cond.scm 128 */
																						long BgL_arg1834z00_2836;

																						BgL_arg1834z00_2836 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_2827);
																						BgL_arg1833z00_2835 =
																							(BgL_arg1834z00_2836 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2834 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_2835);
																				}
																				{	/* Reduce/cond.scm 128 */
																					bool_t BgL__ortest_1110z00_2837;

																					BgL__ortest_1110z00_2837 =
																						(BgL_classz00_2826 ==
																						BgL_oclassz00_2834);
																					if (BgL__ortest_1110z00_2837)
																						{	/* Reduce/cond.scm 128 */
																							BgL_res1945z00_2833 =
																								BgL__ortest_1110z00_2837;
																						}
																					else
																						{	/* Reduce/cond.scm 128 */
																							long BgL_odepthz00_2838;

																							BgL_odepthz00_2838 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2834);
																							if ((((long) 2) <
																									BgL_odepthz00_2838))
																								{	/* Reduce/cond.scm 128 */
																									obj_t BgL_arg1821z00_2839;

																									BgL_arg1821z00_2839 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2834,
																										((long) 2));
																									BgL_res1945z00_2833 =
																										(BgL_arg1821z00_2839 ==
																										BgL_classz00_2826);
																								}
																							else
																								{	/* Reduce/cond.scm 128 */
																									BgL_res1945z00_2833 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_2829 = BgL_res1945z00_2833;
																		}
																		BgL_test2095z00_3654 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_2828,
																			BgL_arg1823z00_2829);
																	}
																}
															else
																{	/* Reduce/cond.scm 128 */
																	BgL_test2095z00_3654 = ((bool_t) 0);
																}
														}
														if (BgL_test2095z00_3654)
															{	/* Reduce/cond.scm 128 */
																obj_t BgL_classz00_2840;

																BgL_classz00_2840 = BGl_varz00zzast_nodez00;
																if (BGL_OBJECTP(BgL_n2z00_2797))
																	{	/* Reduce/cond.scm 128 */
																		BgL_objectz00_bglt BgL_arg1825z00_2841;

																		BgL_arg1825z00_2841 =
																			(BgL_objectz00_bglt) (BgL_n2z00_2797);
																		{	/* Reduce/cond.scm 128 */
																			bool_t BgL_arg1822z00_2842;
																			bool_t BgL_arg1823z00_2843;

																			{	/* Reduce/cond.scm 128 */
																				long BgL_idxz00_2844;

																				BgL_idxz00_2844 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1825z00_2841);
																				BgL_arg1822z00_2842 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2844 + ((long) 2))) ==
																					BgL_classz00_2840);
																			}
																			{	/* Reduce/cond.scm 128 */
																				bool_t BgL_res1946z00_2847;

																				{	/* Reduce/cond.scm 128 */
																					obj_t BgL_oclassz00_2848;

																					{	/* Reduce/cond.scm 128 */
																						long BgL_arg1833z00_2849;

																						{	/* Reduce/cond.scm 128 */
																							long BgL_arg1834z00_2850;

																							BgL_arg1834z00_2850 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1825z00_2841);
																							BgL_arg1833z00_2849 =
																								(BgL_arg1834z00_2850 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2848 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1833z00_2849);
																					}
																					{	/* Reduce/cond.scm 128 */
																						bool_t BgL__ortest_1110z00_2851;

																						BgL__ortest_1110z00_2851 =
																							(BgL_classz00_2840 ==
																							BgL_oclassz00_2848);
																						if (BgL__ortest_1110z00_2851)
																							{	/* Reduce/cond.scm 128 */
																								BgL_res1946z00_2847 =
																									BgL__ortest_1110z00_2851;
																							}
																						else
																							{	/* Reduce/cond.scm 128 */
																								long BgL_odepthz00_2852;

																								BgL_odepthz00_2852 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2848);
																								if ((((long) 2) <
																										BgL_odepthz00_2852))
																									{	/* Reduce/cond.scm 128 */
																										obj_t BgL_arg1821z00_2853;

																										BgL_arg1821z00_2853 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2848,
																											((long) 2));
																										BgL_res1946z00_2847 =
																											(BgL_arg1821z00_2853 ==
																											BgL_classz00_2840);
																									}
																								else
																									{	/* Reduce/cond.scm 128 */
																										BgL_res1946z00_2847 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_arg1823z00_2843 =
																					BgL_res1946z00_2847;
																			}
																			BgL_test2094z00_3653 =
																				BGL_ISA_C_BACKEND(BgL_arg1822z00_2842,
																				BgL_arg1823z00_2843);
																		}
																	}
																else
																	{	/* Reduce/cond.scm 128 */
																		BgL_test2094z00_3653 = ((bool_t) 0);
																	}
															}
														else
															{	/* Reduce/cond.scm 128 */
																BgL_test2094z00_3653 = ((bool_t) 0);
															}
													}
													if (BgL_test2094z00_3653)
														{	/* Reduce/cond.scm 128 */
															if (
																(((obj_t)
																		(((BgL_varz00_bglt) COBJECT(
																					((BgL_varz00_bglt) BgL_n1z00_2796)))->
																			BgL_variablez00)) ==
																	((obj_t) (((BgL_varz00_bglt)
																				COBJECT(((BgL_varz00_bglt)
																						BgL_n2z00_2797)))->
																			BgL_variablez00))))
																{	/* Reduce/cond.scm 129 */
																	BgL_trivz00_2854 = CNST_TABLE_REF(((long) 6));
																}
															else
																{	/* Reduce/cond.scm 129 */
																	BgL_trivz00_2854 = BFALSE;
																}
														}
													else
														{	/* Reduce/cond.scm 128 */
															BgL_trivz00_2854 = BFALSE;
														}
												}
										}
									}
								else
									{	/* Reduce/cond.scm 140 */
										bool_t BgL_test2103z00_3700;

										{	/* Reduce/cond.scm 140 */
											BgL_variablez00_bglt BgL_arg1555z00_2792;

											BgL_arg1555z00_2792 =
												(((BgL_varz00_bglt) COBJECT(
														(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2751))->
															BgL_funz00)))->BgL_variablez00);
											BgL_test2103z00_3700 =
												(((obj_t) BgL_arg1555z00_2792) ==
												BGl_za2z42zd3fxza2z91zzreduce_condz00);
										}
										if (BgL_test2103z00_3700)
											{	/* Reduce/cond.scm 141 */
												obj_t BgL_arg1548z00_2793;
												obj_t BgL_arg1551z00_2794;

												BgL_arg1548z00_2793 =
													CAR(
													(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2751))->
														BgL_argsz00));
												{	/* Reduce/cond.scm 141 */
													obj_t BgL_pairz00_2795;

													BgL_pairz00_2795 =
														(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2751))->
														BgL_argsz00);
													BgL_arg1551z00_2794 = CAR(CDR(BgL_pairz00_2795));
												}
												{
													obj_t BgL_n2z00_3711;
													obj_t BgL_n1z00_3710;

													BgL_n1z00_3710 = BgL_arg1548z00_2793;
													BgL_n2z00_3711 = BgL_arg1551z00_2794;
													BgL_n2z00_2797 = BgL_n2z00_3711;
													BgL_n1z00_2796 = BgL_n1z00_3710;
													goto BgL_eqzd2atomzf3z21_2750;
												}
											}
										else
											{	/* Reduce/cond.scm 140 */
												BgL_trivz00_2854 = BFALSE;
											}
									}
							}
						else
							{	/* Reduce/cond.scm 135 */
								BgL_trivz00_2854 = BFALSE;
							}
					}
					if (CBOOL(BgL_trivz00_2854))
						{	/* Reduce/cond.scm 150 */
							BgL_literalz00_bglt BgL_new1111z00_2855;

							{	/* Reduce/cond.scm 150 */
								BgL_literalz00_bglt BgL_new1110z00_2856;

								BgL_new1110z00_2856 =
									((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_literalz00_bgl))));
								{	/* Reduce/cond.scm 150 */
									long BgL_arg1371z00_2857;

									BgL_arg1371z00_2857 =
										BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1110z00_2856),
										BgL_arg1371z00_2857);
								}
								{	/* Reduce/cond.scm 150 */
									BgL_objectz00_bglt BgL_tmpz00_3719;

									BgL_tmpz00_3719 = ((BgL_objectz00_bglt) BgL_new1110z00_2856);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3719, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1110z00_2856);
								BgL_new1111z00_2855 = BgL_new1110z00_2856;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1111z00_2855)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1111z00_2855)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
														BgL_nodez00_2572))))->BgL_typez00)), BUNSPEC);
							((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
												BgL_new1111z00_2855)))->BgL_valuez00) =
								((obj_t) BBOOL((BgL_trivz00_2854 ==
											CNST_TABLE_REF(((long) 6))))), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1111z00_2855);
						}
					else
						{	/* Reduce/cond.scm 148 */
							return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2572));
						}
				}
			}
		}

	}



/* &node-cond!-sync1283 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2sync1283z70zzreduce_condz00(obj_t
		BgL_envz00_2573, obj_t BgL_nodez00_2574)
	{
		{	/* Reduce/cond.scm 112 */
			{
				BgL_nodez00_bglt BgL_auxz00_3738;

				{	/* Reduce/cond.scm 114 */
					BgL_nodez00_bglt BgL_arg1366z00_2859;

					BgL_arg1366z00_2859 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2574)))->BgL_mutexz00);
					BgL_auxz00_3738 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1366z00_2859);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2574)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3738), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3744;

				{	/* Reduce/cond.scm 115 */
					BgL_nodez00_bglt BgL_arg1367z00_2860;

					BgL_arg1367z00_2860 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2574)))->BgL_prelockz00);
					BgL_auxz00_3744 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1367z00_2860);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2574)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3744), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3750;

				{	/* Reduce/cond.scm 116 */
					BgL_nodez00_bglt BgL_arg1369z00_2861;

					BgL_arg1369z00_2861 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2574)))->BgL_bodyz00);
					BgL_auxz00_3750 =
						BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1369z00_2861);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2574)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3750), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2574));
		}

	}



/* &node-cond!-sequence1281 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2sequence1281z70zzreduce_condz00(obj_t
		BgL_envz00_2575, obj_t BgL_nodez00_2576)
	{
		{	/* Reduce/cond.scm 104 */
			BGl_nodezd2condza2z12z62zzreduce_condz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2576)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2576));
		}

	}



/* &node-cond!-closure1279 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2closure1279z70zzreduce_condz00(obj_t
		BgL_envz00_2577, obj_t BgL_nodez00_2578)
	{
		{	/* Reduce/cond.scm 98 */
			return ((BgL_nodez00_bglt) ((BgL_closurez00_bglt) BgL_nodez00_2578));
		}

	}



/* &node-cond!-var1277 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2var1277z70zzreduce_condz00(obj_t
		BgL_envz00_2579, obj_t BgL_nodez00_2580)
	{
		{	/* Reduce/cond.scm 92 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2580));
		}

	}



/* &node-cond!-kwote1275 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2kwote1275z70zzreduce_condz00(obj_t
		BgL_envz00_2581, obj_t BgL_nodez00_2582)
	{
		{	/* Reduce/cond.scm 86 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2582));
		}

	}



/* &node-cond!-atom1273 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2atom1273z70zzreduce_condz00(obj_t
		BgL_envz00_2583, obj_t BgL_nodez00_2584)
	{
		{	/* Reduce/cond.scm 80 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2584));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_condz00()
	{
		{	/* Reduce/cond.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1993z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1993z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1993z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1993z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1993z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1993z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1993z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1993z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1993z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1993z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1993z00zzreduce_condz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1993z00zzreduce_condz00));
		}

	}

#ifdef __cplusplus
}
#endif
