/*===========================================================================*/
/*   (Reduce/cse.scm)                                                        */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/cse.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_z62nodezd2csez12zd2retblock1350z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2closure1321z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2letzd2var1362za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_csez00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2boxzd2ref1358za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static long BGl_za2csezd2removedza2zd2zzreduce_csez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2kwote1317z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzreduce_csez00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_csez00();
	BGL_EXPORTED_DECL obj_t BGl_reducezd2csez12zc0zzreduce_csez00(obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_csez00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2appzd2ly1327za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2csez12zd2jumpzd2exzd2it1348z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzreduce_csez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_csez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2atom1315z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2csez12zd2return1352z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2csez12zd2extern1331z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62reducezd2csez12za2zzreduce_csez00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2boxzd2setz121356zb0zzreduce_csez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2switch1342z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2csez12zd2makezd2box1354za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_samez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2letzd2fun1344za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2setzd2exzd2it1346z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2var1319z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2csez121312za2zzreduce_csez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	BGL_IMPORT obj_t create_struct(obj_t, int);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_csez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_csez00();
	static obj_t BGl_z62nodezd2csez12zd2sequence1323z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_csez00();
	static obj_t BGl_gczd2rootszd2initz00zzreduce_csez00();
	extern bool_t BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_bglt,
		BgL_nodez00_bglt, obj_t);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2cast1334z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62nodezd2csez12zd2setq1336z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2sync1325z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12za2zzreduce_csez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2fail1340z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2csez12zd2funcall1329z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2app1360z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2conditiona1338z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_nodezd2cseza2z12z62zzreduce_csez00(obj_t, obj_t);
	static obj_t BGl_findzd2stackzd2zzreduce_csez00(BgL_nodez00_bglt, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd2csez12zd2envz12zzreduce_csez00,
		BgL_bgl_za762reduceza7d2cseza71896za7,
		BGl_z62reducezd2csez12za2zzreduce_csez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1862z00zzreduce_csez00,
		BgL_bgl_string1862za700za7za7r1897za7, "      cse                    ", 29);
	      DEFINE_STRING(BGl_string1863z00zzreduce_csez00,
		BgL_bgl_string1863za700za7za7r1898za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string1865z00zzreduce_csez00,
		BgL_bgl_string1865za700za7za7r1899za7, "node-cse!1312", 13);
	      DEFINE_STRING(BGl_string1866z00zzreduce_csez00,
		BgL_bgl_string1866za700za7za7r1900za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1868z00zzreduce_csez00,
		BgL_bgl_string1868za700za7za7r1901za7, "node-cse!", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121902za7,
		BGl_z62nodezd2csez121312za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121903za7,
		BGl_z62nodezd2csez12zd2atom1315z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121904za7,
		BGl_z62nodezd2csez12zd2kwote1317z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121905za7,
		BGl_z62nodezd2csez12zd2var1319z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121906za7,
		BGl_z62nodezd2csez12zd2closure1321z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121907za7,
		BGl_z62nodezd2csez12zd2sequence1323z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121908za7,
		BGl_z62nodezd2csez12zd2sync1325z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121909za7,
		BGl_z62nodezd2csez12zd2appzd2ly1327za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121910za7,
		BGl_z62nodezd2csez12zd2funcall1329z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121911za7,
		BGl_z62nodezd2csez12zd2extern1331z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121912za7,
		BGl_z62nodezd2csez12zd2cast1334z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121913za7,
		BGl_z62nodezd2csez12zd2setq1336z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121914za7,
		BGl_z62nodezd2csez12zd2conditiona1338z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121915za7,
		BGl_z62nodezd2csez12zd2fail1340z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121916za7,
		BGl_z62nodezd2csez12zd2switch1342z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121917za7,
		BGl_z62nodezd2csez12zd2letzd2fun1344za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121918za7,
		BGl_z62nodezd2csez12zd2setzd2exzd2it1346z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121919za7,
		BGl_z62nodezd2csez12zd2jumpzd2exzd2it1348z70zzreduce_csez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121920za7,
		BGl_z62nodezd2csez12zd2retblock1350z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1892z00zzreduce_csez00,
		BgL_bgl_string1892za700za7za7r1921za7, "reduce_cse", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121922za7,
		BGl_z62nodezd2csez12zd2return1352z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1893z00zzreduce_csez00,
		BgL_bgl_string1893za700za7za7r1923za7, "call read node-cse!1312 ", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121924za7,
		BGl_z62nodezd2csez12zd2makezd2box1354za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121925za7,
		BGl_z62nodezd2csez12zd2boxzd2setz121356zb0zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121926za7,
		BGl_z62nodezd2csez12zd2boxzd2ref1358za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121927za7,
		BGl_z62nodezd2csez12zd2app1360z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121928za7,
		BGl_z62nodezd2csez12zd2letzd2var1362za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121929za7,
		BGl_z62nodezd2csez12za2zzreduce_csez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_csez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long
		BgL_checksumz00_2689, char *BgL_fromz00_2690)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_csez00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_csez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_csez00();
					BGl_libraryzd2moduleszd2initz00zzreduce_csez00();
					BGl_cnstzd2initzd2zzreduce_csez00();
					BGl_importedzd2moduleszd2initz00zzreduce_csez00();
					BGl_genericzd2initzd2zzreduce_csez00();
					BGl_methodzd2initzd2zzreduce_csez00();
					return BGl_toplevelzd2initzd2zzreduce_csez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_csez00()
	{
		{	/* Reduce/cse.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "reduce_cse");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_csez00()
	{
		{	/* Reduce/cse.scm 15 */
			{	/* Reduce/cse.scm 15 */
				obj_t BgL_cportz00_2461;

				{	/* Reduce/cse.scm 15 */
					obj_t BgL_stringz00_2469;

					BgL_stringz00_2469 = BGl_string1893z00zzreduce_csez00;
					{	/* Reduce/cse.scm 15 */
						obj_t BgL_startz00_2470;

						BgL_startz00_2470 = BINT(((long) 0));
						{	/* Reduce/cse.scm 15 */
							obj_t BgL_endz00_2471;

							BgL_endz00_2471 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2469)));
							{	/* Reduce/cse.scm 15 */

								BgL_cportz00_2461 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2469, BgL_startz00_2470, BgL_endz00_2471);
				}}}}
				{
					long BgL_iz00_2462;

					BgL_iz00_2462 = ((long) 2);
				BgL_loopz00_2463:
					if ((BgL_iz00_2462 == ((long) -1)))
						{	/* Reduce/cse.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/cse.scm 15 */
							{	/* Reduce/cse.scm 15 */
								obj_t BgL_arg1895z00_2465;

								{	/* Reduce/cse.scm 15 */

									{	/* Reduce/cse.scm 15 */
										obj_t BgL_locationz00_2467;

										BgL_locationz00_2467 = BBOOL(((bool_t) 0));
										{	/* Reduce/cse.scm 15 */

											BgL_arg1895z00_2465 =
												BGl_readz00zz__readerz00(BgL_cportz00_2461,
												BgL_locationz00_2467);
										}
									}
								}
								{	/* Reduce/cse.scm 15 */
									int BgL_tmpz00_2723;

									BgL_tmpz00_2723 = (int) (BgL_iz00_2462);
									CNST_TABLE_SET(BgL_tmpz00_2723, BgL_arg1895z00_2465);
							}}
							{	/* Reduce/cse.scm 15 */
								int BgL_auxz00_2468;

								BgL_auxz00_2468 = (int) ((BgL_iz00_2462 - ((long) 1)));
								{
									long BgL_iz00_2728;

									BgL_iz00_2728 = (long) (BgL_auxz00_2468);
									BgL_iz00_2462 = BgL_iz00_2728;
									goto BgL_loopz00_2463;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_csez00()
	{
		{	/* Reduce/cse.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_csez00()
	{
		{	/* Reduce/cse.scm 15 */
			BGl_za2csezd2removedza2zd2zzreduce_csez00 = ((long) 0);
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzreduce_csez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1409;

				BgL_headz00_1409 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1410;
					obj_t BgL_tailz00_1411;

					BgL_prevz00_1410 = BgL_headz00_1409;
					BgL_tailz00_1411 = BgL_l1z00_1;
				BgL_loopz00_1412:
					if (PAIRP(BgL_tailz00_1411))
						{
							obj_t BgL_newzd2prevzd2_1414;

							BgL_newzd2prevzd2_1414 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1411), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1410, BgL_newzd2prevzd2_1414);
							{
								obj_t BgL_tailz00_2738;
								obj_t BgL_prevz00_2737;

								BgL_prevz00_2737 = BgL_newzd2prevzd2_1414;
								BgL_tailz00_2738 = CDR(BgL_tailz00_1411);
								BgL_tailz00_1411 = BgL_tailz00_2738;
								BgL_prevz00_1410 = BgL_prevz00_2737;
								goto BgL_loopz00_1412;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1409);
				}
			}
		}

	}



/* reduce-cse! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2csez12zc0zzreduce_csez00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/cse.scm 34 */
			{	/* Reduce/cse.scm 35 */
				obj_t BgL_list1367z00_1417;

				BgL_list1367z00_1417 =
					MAKE_YOUNG_PAIR(BGl_string1862z00zzreduce_csez00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1367z00_1417);
			}
			BGl_za2csezd2removedza2zd2zzreduce_csez00 = ((long) 0);
			{
				obj_t BgL_l1252z00_1419;

				BgL_l1252z00_1419 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31368ze3z87_1420:
				if (PAIRP(BgL_l1252z00_1419))
					{	/* Reduce/cse.scm 37 */
						{	/* Reduce/cse.scm 38 */
							obj_t BgL_globalz00_1422;

							BgL_globalz00_1422 = CAR(BgL_l1252z00_1419);
							{	/* Reduce/cse.scm 38 */
								BgL_valuez00_bglt BgL_funz00_1423;

								BgL_funz00_1423 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1422))))->
									BgL_valuez00);
								{	/* Reduce/cse.scm 38 */
									obj_t BgL_nodez00_1424;

									BgL_nodez00_1424 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1423)))->BgL_bodyz00);
									{	/* Reduce/cse.scm 39 */

										{	/* Reduce/cse.scm 40 */
											obj_t BgL_arg1380z00_1425;

											{	/* Reduce/cse.scm 40 */
												obj_t BgL__z00_1426;

												BgL__z00_1426 =
													BGl_nodezd2csez12zc0zzreduce_csez00(
													((BgL_nodez00_bglt) BgL_nodez00_1424), BNIL);
												{	/* Reduce/cse.scm 41 */
													obj_t BgL_nodez00_1427;

													{	/* Reduce/cse.scm 41 */
														obj_t BgL_tmpz00_2009;

														{	/* Reduce/cse.scm 41 */
															int BgL_tmpz00_2754;

															BgL_tmpz00_2754 = (int) (((long) 1));
															BgL_tmpz00_2009 =
																BGL_MVALUES_VAL(BgL_tmpz00_2754);
														}
														{	/* Reduce/cse.scm 41 */
															int BgL_tmpz00_2757;

															BgL_tmpz00_2757 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2757, BUNSPEC);
														}
														BgL_nodez00_1427 = BgL_tmpz00_2009;
													}
													BgL_arg1380z00_1425 = BgL_nodez00_1427;
											}}
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1423)))->
													BgL_bodyz00) =
												((obj_t) BgL_arg1380z00_1425), BUNSPEC);
										} BUNSPEC;
						}}}}
						{
							obj_t BgL_l1252z00_2762;

							BgL_l1252z00_2762 = CDR(BgL_l1252z00_1419);
							BgL_l1252z00_1419 = BgL_l1252z00_2762;
							goto BgL_zc3z04anonymousza31368ze3z87_1420;
						}
					}
				else
					{	/* Reduce/cse.scm 37 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/cse.scm 45 */
				obj_t BgL_list1382z00_1430;

				{	/* Reduce/cse.scm 45 */
					obj_t BgL_arg1383z00_1431;

					{	/* Reduce/cse.scm 45 */
						obj_t BgL_arg1385z00_1432;

						{	/* Reduce/cse.scm 45 */
							obj_t BgL_arg1386z00_1433;

							BgL_arg1386z00_1433 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1385z00_1432 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ')')),
								BgL_arg1386z00_1433);
						}
						BgL_arg1383z00_1431 =
							MAKE_YOUNG_PAIR(BINT(BGl_za2csezd2removedza2zd2zzreduce_csez00),
							BgL_arg1385z00_1432);
					}
					BgL_list1382z00_1430 =
						MAKE_YOUNG_PAIR(BGl_string1863z00zzreduce_csez00,
						BgL_arg1383z00_1431);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1382z00_1430);
			}
			return BgL_globalsz00_3;
		}

	}



/* &reduce-cse! */
	obj_t BGl_z62reducezd2csez12za2zzreduce_csez00(obj_t BgL_envz00_2355,
		obj_t BgL_globalsz00_2356)
	{
		{	/* Reduce/cse.scm 34 */
			return BGl_reducezd2csez12zc0zzreduce_csez00(BgL_globalsz00_2356);
		}

	}



/* node-cse*! */
	obj_t BGl_nodezd2cseza2z12z62zzreduce_csez00(obj_t BgL_nodeza2za2_54,
		obj_t BgL_stackz00_55)
	{
		{	/* Reduce/cse.scm 383 */
			{
				obj_t BgL_nodeza2za2_1435;
				bool_t BgL_resetz00_1436;
				obj_t BgL_stackz00_1437;

				BgL_nodeza2za2_1435 = BgL_nodeza2za2_54;
				BgL_resetz00_1436 = ((bool_t) 0);
				BgL_stackz00_1437 = BgL_stackz00_55;
			BgL_zc3z04anonymousza31387ze3z87_1438:
				if (NULLP(BgL_nodeza2za2_1435))
					{	/* Reduce/cse.scm 388 */
						return BBOOL(BgL_resetz00_1436);
					}
				else
					{	/* Reduce/cse.scm 388 */
						if (NULLP(CDR(((obj_t) BgL_nodeza2za2_1435))))
							{	/* Reduce/cse.scm 391 */
								obj_t BgL_resetz72z72_1442;

								{	/* Reduce/cse.scm 392 */
									obj_t BgL_arg1415z00_1445;

									BgL_arg1415z00_1445 = CAR(((obj_t) BgL_nodeza2za2_1435));
									BgL_resetz72z72_1442 =
										BGl_nodezd2csez12zc0zzreduce_csez00(
										((BgL_nodez00_bglt) BgL_arg1415z00_1445),
										BgL_stackz00_1437);
								}
								{	/* Reduce/cse.scm 392 */
									obj_t BgL_nodez00_1443;

									{	/* Reduce/cse.scm 393 */
										obj_t BgL_tmpz00_2014;

										{	/* Reduce/cse.scm 393 */
											int BgL_tmpz00_2785;

											BgL_tmpz00_2785 = (int) (((long) 1));
											BgL_tmpz00_2014 = BGL_MVALUES_VAL(BgL_tmpz00_2785);
										}
										{	/* Reduce/cse.scm 393 */
											int BgL_tmpz00_2788;

											BgL_tmpz00_2788 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2788, BUNSPEC);
										}
										BgL_nodez00_1443 = BgL_tmpz00_2014;
									}
									{	/* Reduce/cse.scm 393 */
										obj_t BgL_tmpz00_2791;

										BgL_tmpz00_2791 = ((obj_t) BgL_nodeza2za2_1435);
										SET_CAR(BgL_tmpz00_2791, BgL_nodez00_1443);
									}
									if (BgL_resetz00_1436)
										{	/* Reduce/cse.scm 394 */
											return BBOOL(BgL_resetz00_1436);
										}
									else
										{	/* Reduce/cse.scm 394 */
											return BgL_resetz72z72_1442;
										}
								}
							}
						else
							{	/* Reduce/cse.scm 396 */
								obj_t BgL_resetz72z72_1446;

								{	/* Reduce/cse.scm 397 */
									obj_t BgL_arg1430z00_1451;

									BgL_arg1430z00_1451 = CAR(((obj_t) BgL_nodeza2za2_1435));
									BgL_resetz72z72_1446 =
										BGl_nodezd2csez12zc0zzreduce_csez00(
										((BgL_nodez00_bglt) BgL_arg1430z00_1451),
										BgL_stackz00_1437);
								}
								{	/* Reduce/cse.scm 397 */
									obj_t BgL_nodez00_1447;

									{	/* Reduce/cse.scm 398 */
										obj_t BgL_tmpz00_2017;

										{	/* Reduce/cse.scm 398 */
											int BgL_tmpz00_2800;

											BgL_tmpz00_2800 = (int) (((long) 1));
											BgL_tmpz00_2017 = BGL_MVALUES_VAL(BgL_tmpz00_2800);
										}
										{	/* Reduce/cse.scm 398 */
											int BgL_tmpz00_2803;

											BgL_tmpz00_2803 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2803, BUNSPEC);
										}
										BgL_nodez00_1447 = BgL_tmpz00_2017;
									}
									{	/* Reduce/cse.scm 398 */
										obj_t BgL_tmpz00_2806;

										BgL_tmpz00_2806 = ((obj_t) BgL_nodeza2za2_1435);
										SET_CAR(BgL_tmpz00_2806, BgL_nodez00_1447);
									}
									{	/* Reduce/cse.scm 399 */
										bool_t BgL_test1937z00_2809;

										if (BgL_resetz00_1436)
											{	/* Reduce/cse.scm 399 */
												BgL_test1937z00_2809 = ((bool_t) 1);
											}
										else
											{	/* Reduce/cse.scm 399 */
												BgL_test1937z00_2809 = CBOOL(BgL_resetz72z72_1446);
											}
										if (BgL_test1937z00_2809)
											{	/* Reduce/cse.scm 400 */
												obj_t BgL_arg1418z00_1449;

												BgL_arg1418z00_1449 =
													CDR(((obj_t) BgL_nodeza2za2_1435));
												{
													obj_t BgL_stackz00_2816;
													bool_t BgL_resetz00_2815;
													obj_t BgL_nodeza2za2_2814;

													BgL_nodeza2za2_2814 = BgL_arg1418z00_1449;
													BgL_resetz00_2815 = ((bool_t) 1);
													BgL_stackz00_2816 = BNIL;
													BgL_stackz00_1437 = BgL_stackz00_2816;
													BgL_resetz00_1436 = BgL_resetz00_2815;
													BgL_nodeza2za2_1435 = BgL_nodeza2za2_2814;
													goto BgL_zc3z04anonymousza31387ze3z87_1438;
												}
											}
										else
											{	/* Reduce/cse.scm 401 */
												obj_t BgL_arg1419z00_1450;

												BgL_arg1419z00_1450 =
													CDR(((obj_t) BgL_nodeza2za2_1435));
												{
													bool_t BgL_resetz00_2820;
													obj_t BgL_nodeza2za2_2819;

													BgL_nodeza2za2_2819 = BgL_arg1419z00_1450;
													BgL_resetz00_2820 = ((bool_t) 0);
													BgL_resetz00_1436 = BgL_resetz00_2820;
													BgL_nodeza2za2_1435 = BgL_nodeza2za2_2819;
													goto BgL_zc3z04anonymousza31387ze3z87_1438;
												}
											}
									}
								}
							}
					}
			}
		}

	}



/* find-stack */
	obj_t BGl_findzd2stackzd2zzreduce_csez00(BgL_nodez00_bglt BgL_nodez00_66,
		obj_t BgL_stackz00_67)
	{
		{	/* Reduce/cse.scm 415 */
			{
				obj_t BgL_stackz00_1466;

				BgL_stackz00_1466 = BgL_stackz00_67;
			BgL_zc3z04anonymousza31495ze3z87_1467:
				if (NULLP(BgL_stackz00_1466))
					{	/* Reduce/cse.scm 419 */
						return BFALSE;
					}
				else
					{	/* Reduce/cse.scm 421 */
						bool_t BgL_test1940z00_2823;

						{	/* Reduce/cse.scm 421 */
							obj_t BgL_arg1534z00_1474;

							{	/* Reduce/cse.scm 406 */
								obj_t BgL_sz00_2029;

								BgL_sz00_2029 = CAR(((obj_t) BgL_stackz00_1466));
								BgL_arg1534z00_1474 =
									STRUCT_REF(BgL_sz00_2029, (int) (((long) 0)));
							}
							BgL_test1940z00_2823 =
								BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_66,
								((BgL_nodez00_bglt) BgL_arg1534z00_1474), BNIL);
						}
						if (BgL_test1940z00_2823)
							{	/* Reduce/cse.scm 406 */
								obj_t BgL_sz00_2031;

								BgL_sz00_2031 = CAR(((obj_t) BgL_stackz00_1466));
								return STRUCT_REF(BgL_sz00_2031, (int) (((long) 1)));
							}
						else
							{	/* Reduce/cse.scm 424 */
								obj_t BgL_arg1524z00_1473;

								BgL_arg1524z00_1473 = CDR(((obj_t) BgL_stackz00_1466));
								{
									obj_t BgL_stackz00_2836;

									BgL_stackz00_2836 = BgL_arg1524z00_1473;
									BgL_stackz00_1466 = BgL_stackz00_2836;
									goto BgL_zc3z04anonymousza31495ze3z87_1467;
								}
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_csez00()
	{
		{	/* Reduce/cse.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_csez00()
	{
		{	/* Reduce/cse.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_proc1864z00zzreduce_csez00, BGl_nodez00zzast_nodez00,
				BGl_string1865z00zzreduce_csez00);
		}

	}



/* &node-cse!1312 */
	obj_t BGl_z62nodezd2csez121312za2zzreduce_csez00(obj_t BgL_envz00_2358,
		obj_t BgL_nodez00_2359, obj_t BgL_stackz00_2360)
	{
		{	/* Reduce/cse.scm 58 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string1866z00zzreduce_csez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2359)));
		}

	}



/* node-cse! */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt
		BgL_nodez00_4, obj_t BgL_stackz00_5)
	{
		{	/* Reduce/cse.scm 58 */
			{	/* Reduce/cse.scm 58 */
				obj_t BgL_method1313z00_1482;

				{	/* Reduce/cse.scm 58 */
					obj_t BgL_res1854z00_2063;

					{	/* Reduce/cse.scm 58 */
						long BgL_objzd2classzd2numz00_2034;

						BgL_objzd2classzd2numz00_2034 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/cse.scm 58 */
							obj_t BgL_arg1829z00_2035;

							BgL_arg1829z00_2035 =
								PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
								(int) (((long) 1)));
							{	/* Reduce/cse.scm 58 */
								int BgL_offsetz00_2038;

								BgL_offsetz00_2038 = (int) (BgL_objzd2classzd2numz00_2034);
								{	/* Reduce/cse.scm 58 */
									long BgL_offsetz00_2039;

									BgL_offsetz00_2039 =
										((long) (BgL_offsetz00_2038) - OBJECT_TYPE);
									{	/* Reduce/cse.scm 58 */
										long BgL_modz00_2040;

										BgL_modz00_2040 =
											(BgL_offsetz00_2039 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Reduce/cse.scm 58 */
											long BgL_restz00_2042;

											BgL_restz00_2042 =
												(BgL_offsetz00_2039 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Reduce/cse.scm 58 */

												{	/* Reduce/cse.scm 58 */
													obj_t BgL_bucketz00_2044;

													BgL_bucketz00_2044 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2035), BgL_modz00_2040);
													BgL_res1854z00_2063 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2044), BgL_restz00_2042);
					}}}}}}}}
					BgL_method1313z00_1482 = BgL_res1854z00_2063;
				}
				return
					PROCEDURE_ENTRY(BgL_method1313z00_1482) (BgL_method1313z00_1482,
					((obj_t) BgL_nodez00_4), BgL_stackz00_5, BEOA);
			}
		}

	}



/* &node-cse! */
	obj_t BGl_z62nodezd2csez12za2zzreduce_csez00(obj_t BgL_envz00_2361,
		obj_t BgL_nodez00_2362, obj_t BgL_stackz00_2363)
	{
		{	/* Reduce/cse.scm 58 */
			return
				BGl_nodezd2csez12zc0zzreduce_csez00(
				((BgL_nodez00_bglt) BgL_nodez00_2362), BgL_stackz00_2363);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_csez00()
	{
		{	/* Reduce/cse.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_atomz00zzast_nodez00,
				BGl_proc1867z00zzreduce_csez00, BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_kwotez00zzast_nodez00,
				BGl_proc1869z00zzreduce_csez00, BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_varz00zzast_nodez00,
				BGl_proc1870z00zzreduce_csez00, BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_closurez00zzast_nodez00,
				BGl_proc1871z00zzreduce_csez00, BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1872z00zzreduce_csez00,
				BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_syncz00zzast_nodez00,
				BGl_proc1873z00zzreduce_csez00, BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1874z00zzreduce_csez00,
				BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_funcallz00zzast_nodez00,
				BGl_proc1875z00zzreduce_csez00, BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_externz00zzast_nodez00,
				BGl_proc1876z00zzreduce_csez00, BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_castz00zzast_nodez00,
				BGl_proc1877z00zzreduce_csez00, BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_setqz00zzast_nodez00,
				BGl_proc1878z00zzreduce_csez00, BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1879z00zzreduce_csez00,
				BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_failz00zzast_nodez00,
				BGl_proc1880z00zzreduce_csez00, BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_switchz00zzast_nodez00,
				BGl_proc1881z00zzreduce_csez00, BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1882z00zzreduce_csez00,
				BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1883z00zzreduce_csez00,
				BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1884z00zzreduce_csez00,
				BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_retblockz00zzast_nodez00, BGl_proc1885z00zzreduce_csez00,
				BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_returnz00zzast_nodez00,
				BGl_proc1886z00zzreduce_csez00, BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1887z00zzreduce_csez00,
				BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1888z00zzreduce_csez00,
				BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1889z00zzreduce_csez00,
				BGl_string1868z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_appz00zzast_nodez00,
				BGl_proc1890z00zzreduce_csez00, BGl_string1868z00zzreduce_csez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1891z00zzreduce_csez00,
				BGl_string1868z00zzreduce_csez00);
		}

	}



/* &node-cse!-let-var1362 */
	obj_t BGl_z62nodezd2csez12zd2letzd2var1362za2zzreduce_csez00(obj_t
		BgL_envz00_2388, obj_t BgL_nodez00_2389, obj_t BgL_stackz00_2390)
	{
		{	/* Reduce/cse.scm 328 */
			{
				obj_t BgL_bindingsz00_2476;
				bool_t BgL_resetz00_2477;
				obj_t BgL_extendz00_2478;

				BgL_bindingsz00_2476 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2389)))->BgL_bindingsz00);
				BgL_resetz00_2477 = ((bool_t) 0);
				BgL_extendz00_2478 = BNIL;
			BgL_loopz00_2475:
				if (NULLP(BgL_bindingsz00_2476))
					{	/* Reduce/cse.scm 334 */
						obj_t BgL_stackz72z72_2479;

						if (BgL_resetz00_2477)
							{	/* Reduce/cse.scm 334 */
								BgL_stackz72z72_2479 = BNIL;
							}
						else
							{	/* Reduce/cse.scm 334 */
								BgL_stackz72z72_2479 =
									BGl_appendzd221011zd2zzreduce_csez00(BgL_extendz00_2478,
									BgL_stackz00_2390);
							}
						{	/* Reduce/cse.scm 335 */
							obj_t BgL_resetz72z72_2480;

							BgL_resetz72z72_2480 =
								BGl_nodezd2csez12zc0zzreduce_csez00(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2389)))->
									BgL_bodyz00), BgL_stackz72z72_2479);
							{	/* Reduce/cse.scm 336 */
								obj_t BgL_nbodyz00_2481;

								{	/* Reduce/cse.scm 337 */
									obj_t BgL_tmpz00_2482;

									{	/* Reduce/cse.scm 337 */
										int BgL_tmpz00_2906;

										BgL_tmpz00_2906 = (int) (((long) 1));
										BgL_tmpz00_2482 = BGL_MVALUES_VAL(BgL_tmpz00_2906);
									}
									{	/* Reduce/cse.scm 337 */
										int BgL_tmpz00_2909;

										BgL_tmpz00_2909 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2909, BUNSPEC);
									}
									BgL_nbodyz00_2481 = BgL_tmpz00_2482;
								}
								((((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2389)))->
										BgL_bodyz00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2481)),
									BUNSPEC);
								{	/* Reduce/cse.scm 339 */
									bool_t BgL_test1943z00_2915;

									if (BgL_resetz00_2477)
										{	/* Reduce/cse.scm 339 */
											BgL_test1943z00_2915 = ((bool_t) 1);
										}
									else
										{	/* Reduce/cse.scm 339 */
											BgL_test1943z00_2915 = CBOOL(BgL_resetz72z72_2480);
										}
									if (BgL_test1943z00_2915)
										{	/* Reduce/cse.scm 339 */
											{	/* Reduce/cse.scm 340 */
												int BgL_tmpz00_2918;

												BgL_tmpz00_2918 = (int) (((long) 2));
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2918);
											}
											{	/* Reduce/cse.scm 340 */
												obj_t BgL_auxz00_2923;
												int BgL_tmpz00_2921;

												BgL_auxz00_2923 =
													((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2389));
												BgL_tmpz00_2921 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_2921, BgL_auxz00_2923);
											}
											return BTRUE;
										}
									else
										{	/* Reduce/cse.scm 339 */
											if (BGl_sidezd2effectzf3z21zzeffect_effectz00(
													((BgL_nodez00_bglt)
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2389))))
												{	/* Reduce/cse.scm 341 */
													{	/* Reduce/cse.scm 342 */
														int BgL_tmpz00_2931;

														BgL_tmpz00_2931 = (int) (((long) 2));
														BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2931);
													}
													{	/* Reduce/cse.scm 342 */
														obj_t BgL_auxz00_2936;
														int BgL_tmpz00_2934;

														BgL_auxz00_2936 =
															((obj_t)
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2389));
														BgL_tmpz00_2934 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_tmpz00_2934,
															BgL_auxz00_2936);
													}
													return BFALSE;
												}
											else
												{	/* Reduce/cse.scm 344 */
													obj_t BgL_previousz00_2483;

													BgL_previousz00_2483 =
														BGl_findzd2stackzd2zzreduce_csez00(
														((BgL_nodez00_bglt)
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2389)),
														BgL_stackz00_2390);
													{	/* Reduce/cse.scm 346 */
														bool_t BgL_test1946z00_2943;

														{	/* Reduce/cse.scm 346 */
															obj_t BgL_classz00_2484;

															BgL_classz00_2484 = BGl_variablez00zzast_varz00;
															if (BGL_OBJECTP(BgL_previousz00_2483))
																{	/* Reduce/cse.scm 346 */
																	BgL_objectz00_bglt BgL_arg1825z00_2485;

																	BgL_arg1825z00_2485 =
																		(BgL_objectz00_bglt) (BgL_previousz00_2483);
																	{	/* Reduce/cse.scm 346 */
																		bool_t BgL_arg1822z00_2486;
																		bool_t BgL_arg1823z00_2487;

																		{	/* Reduce/cse.scm 346 */
																			long BgL_idxz00_2488;

																			BgL_idxz00_2488 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_2485);
																			BgL_arg1822z00_2486 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2488 + ((long) 1))) ==
																				BgL_classz00_2484);
																		}
																		{	/* Reduce/cse.scm 346 */
																			bool_t BgL_res1856z00_2491;

																			{	/* Reduce/cse.scm 346 */
																				obj_t BgL_oclassz00_2492;

																				{	/* Reduce/cse.scm 346 */
																					long BgL_arg1833z00_2493;

																					{	/* Reduce/cse.scm 346 */
																						long BgL_arg1834z00_2494;

																						BgL_arg1834z00_2494 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_2485);
																						BgL_arg1833z00_2493 =
																							(BgL_arg1834z00_2494 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2492 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_2493);
																				}
																				{	/* Reduce/cse.scm 346 */
																					bool_t BgL__ortest_1110z00_2495;

																					BgL__ortest_1110z00_2495 =
																						(BgL_classz00_2484 ==
																						BgL_oclassz00_2492);
																					if (BgL__ortest_1110z00_2495)
																						{	/* Reduce/cse.scm 346 */
																							BgL_res1856z00_2491 =
																								BgL__ortest_1110z00_2495;
																						}
																					else
																						{	/* Reduce/cse.scm 346 */
																							long BgL_odepthz00_2496;

																							BgL_odepthz00_2496 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2492);
																							if ((((long) 1) <
																									BgL_odepthz00_2496))
																								{	/* Reduce/cse.scm 346 */
																									obj_t BgL_arg1821z00_2497;

																									BgL_arg1821z00_2497 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2492,
																										((long) 1));
																									BgL_res1856z00_2491 =
																										(BgL_arg1821z00_2497 ==
																										BgL_classz00_2484);
																								}
																							else
																								{	/* Reduce/cse.scm 346 */
																									BgL_res1856z00_2491 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_2487 = BgL_res1856z00_2491;
																		}
																		BgL_test1946z00_2943 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_2486,
																			BgL_arg1823z00_2487);
																	}
																}
															else
																{	/* Reduce/cse.scm 346 */
																	BgL_test1946z00_2943 = ((bool_t) 0);
																}
														}
														if (BgL_test1946z00_2943)
															{	/* Reduce/cse.scm 346 */
																BGl_za2csezd2removedza2zd2zzreduce_csez00 =
																	(((long) 1) +
																	BGl_za2csezd2removedza2zd2zzreduce_csez00);
																{	/* Reduce/cse.scm 350 */
																	BgL_refz00_bglt BgL_val1_1309z00_2498;

																	{	/* Reduce/cse.scm 350 */
																		BgL_refz00_bglt BgL_new1140z00_2499;

																		{	/* Reduce/cse.scm 353 */
																			BgL_refz00_bglt BgL_new1139z00_2500;

																			BgL_new1139z00_2500 =
																				((BgL_refz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_refz00_bgl))));
																			{	/* Reduce/cse.scm 353 */
																				long BgL_arg1675z00_2501;

																				BgL_arg1675z00_2501 =
																					BGL_CLASS_NUM
																					(BGl_refz00zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1139z00_2500),
																					BgL_arg1675z00_2501);
																			}
																			{	/* Reduce/cse.scm 353 */
																				BgL_objectz00_bglt BgL_tmpz00_2967;

																				BgL_tmpz00_2967 =
																					((BgL_objectz00_bglt)
																					BgL_new1139z00_2500);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2967,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1139z00_2500);
																			BgL_new1140z00_2499 = BgL_new1139z00_2500;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1140z00_2499)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt) (
																									(BgL_letzd2varzd2_bglt)
																									BgL_nodez00_2389))))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1140z00_2499)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt) (
																									(BgL_letzd2varzd2_bglt)
																									BgL_nodez00_2389))))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_varz00_bglt)
																					COBJECT(((BgL_varz00_bglt)
																							BgL_new1140z00_2499)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_previousz00_2483)), BUNSPEC);
																		BgL_val1_1309z00_2498 = BgL_new1140z00_2499;
																	}
																	{	/* Reduce/cse.scm 350 */
																		int BgL_tmpz00_2984;

																		BgL_tmpz00_2984 = (int) (((long) 2));
																		BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2984);
																	}
																	{	/* Reduce/cse.scm 350 */
																		obj_t BgL_auxz00_2989;
																		int BgL_tmpz00_2987;

																		BgL_auxz00_2989 =
																			((obj_t) BgL_val1_1309z00_2498);
																		BgL_tmpz00_2987 = (int) (((long) 1));
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_2987,
																			BgL_auxz00_2989);
																	}
																	return BgL_stackz72z72_2479;
																}
															}
														else
															{	/* Reduce/cse.scm 346 */
																{	/* Reduce/cse.scm 355 */
																	int BgL_tmpz00_2992;

																	BgL_tmpz00_2992 = (int) (((long) 2));
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2992);
																}
																{	/* Reduce/cse.scm 355 */
																	obj_t BgL_auxz00_2997;
																	int BgL_tmpz00_2995;

																	BgL_auxz00_2997 =
																		((obj_t)
																		((BgL_letzd2varzd2_bglt) BgL_nodez00_2389));
																	BgL_tmpz00_2995 = (int) (((long) 1));
																	BGL_MVALUES_VAL_SET(BgL_tmpz00_2995,
																		BgL_auxz00_2997);
																}
																return BFALSE;
															}
													}
												}
										}
								}
							}
						}
					}
				else
					{	/* Reduce/cse.scm 356 */
						obj_t BgL_bindingz00_2502;

						BgL_bindingz00_2502 = CAR(((obj_t) BgL_bindingsz00_2476));
						{	/* Reduce/cse.scm 357 */
							obj_t BgL_varz00_2503;
							obj_t BgL_valz00_2504;

							BgL_varz00_2503 = CAR(((obj_t) BgL_bindingz00_2502));
							BgL_valz00_2504 = CDR(((obj_t) BgL_bindingz00_2502));
							{	/* Reduce/cse.scm 359 */
								obj_t BgL_resetz72z72_2505;

								BgL_resetz72z72_2505 =
									BGl_nodezd2csez12zc0zzreduce_csez00(
									((BgL_nodez00_bglt) BgL_valz00_2504), BgL_stackz00_2390);
								{	/* Reduce/cse.scm 360 */
									obj_t BgL_nvalz00_2506;

									{	/* Reduce/cse.scm 361 */
										obj_t BgL_tmpz00_2507;

										{	/* Reduce/cse.scm 361 */
											int BgL_tmpz00_3009;

											BgL_tmpz00_3009 = (int) (((long) 1));
											BgL_tmpz00_2507 = BGL_MVALUES_VAL(BgL_tmpz00_3009);
										}
										{	/* Reduce/cse.scm 361 */
											int BgL_tmpz00_3012;

											BgL_tmpz00_3012 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_3012, BUNSPEC);
										}
										BgL_nvalz00_2506 = BgL_tmpz00_2507;
									}
									{	/* Reduce/cse.scm 361 */
										obj_t BgL_tmpz00_3015;

										BgL_tmpz00_3015 = ((obj_t) BgL_bindingz00_2502);
										SET_CDR(BgL_tmpz00_3015, BgL_nvalz00_2506);
									}
									{	/* Reduce/cse.scm 363 */
										bool_t BgL_test1950z00_3018;

										if (BgL_resetz00_2477)
											{	/* Reduce/cse.scm 363 */
												BgL_test1950z00_3018 = ((bool_t) 1);
											}
										else
											{	/* Reduce/cse.scm 363 */
												BgL_test1950z00_3018 = CBOOL(BgL_resetz72z72_2505);
											}
										if (BgL_test1950z00_3018)
											{	/* Reduce/cse.scm 364 */
												obj_t BgL_arg1678z00_2508;

												BgL_arg1678z00_2508 =
													CDR(((obj_t) BgL_bindingsz00_2476));
												{
													obj_t BgL_extendz00_3025;
													bool_t BgL_resetz00_3024;
													obj_t BgL_bindingsz00_3023;

													BgL_bindingsz00_3023 = BgL_arg1678z00_2508;
													BgL_resetz00_3024 = ((bool_t) 1);
													BgL_extendz00_3025 = BNIL;
													BgL_extendz00_2478 = BgL_extendz00_3025;
													BgL_resetz00_2477 = BgL_resetz00_3024;
													BgL_bindingsz00_2476 = BgL_bindingsz00_3023;
													goto BgL_loopz00_2475;
												}
											}
										else
											{	/* Reduce/cse.scm 363 */
												if (
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_varz00_2503))))->
															BgL_accessz00) == CNST_TABLE_REF(((long) 1))))
													{	/* Reduce/cse.scm 371 */
														bool_t BgL_test1953z00_3032;

														{	/* Reduce/cse.scm 371 */
															bool_t BgL_test1954z00_3033;

															{	/* Reduce/cse.scm 371 */
																obj_t BgL_classz00_2509;

																BgL_classz00_2509 = BGl_appz00zzast_nodez00;
																if (BGL_OBJECTP(BgL_valz00_2504))
																	{	/* Reduce/cse.scm 371 */
																		BgL_objectz00_bglt BgL_arg1825z00_2510;

																		BgL_arg1825z00_2510 =
																			(BgL_objectz00_bglt) (BgL_valz00_2504);
																		{	/* Reduce/cse.scm 371 */
																			bool_t BgL_arg1822z00_2511;
																			bool_t BgL_arg1823z00_2512;

																			{	/* Reduce/cse.scm 371 */
																				long BgL_idxz00_2513;

																				BgL_idxz00_2513 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1825z00_2510);
																				BgL_arg1822z00_2511 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2513 + ((long) 3))) ==
																					BgL_classz00_2509);
																			}
																			{	/* Reduce/cse.scm 371 */
																				bool_t BgL_res1857z00_2516;

																				{	/* Reduce/cse.scm 371 */
																					obj_t BgL_oclassz00_2517;

																					{	/* Reduce/cse.scm 371 */
																						long BgL_arg1833z00_2518;

																						{	/* Reduce/cse.scm 371 */
																							long BgL_arg1834z00_2519;

																							BgL_arg1834z00_2519 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1825z00_2510);
																							BgL_arg1833z00_2518 =
																								(BgL_arg1834z00_2519 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2517 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1833z00_2518);
																					}
																					{	/* Reduce/cse.scm 371 */
																						bool_t BgL__ortest_1110z00_2520;

																						BgL__ortest_1110z00_2520 =
																							(BgL_classz00_2509 ==
																							BgL_oclassz00_2517);
																						if (BgL__ortest_1110z00_2520)
																							{	/* Reduce/cse.scm 371 */
																								BgL_res1857z00_2516 =
																									BgL__ortest_1110z00_2520;
																							}
																						else
																							{	/* Reduce/cse.scm 371 */
																								long BgL_odepthz00_2521;

																								BgL_odepthz00_2521 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2517);
																								if ((((long) 3) <
																										BgL_odepthz00_2521))
																									{	/* Reduce/cse.scm 371 */
																										obj_t BgL_arg1821z00_2522;

																										BgL_arg1821z00_2522 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2517,
																											((long) 3));
																										BgL_res1857z00_2516 =
																											(BgL_arg1821z00_2522 ==
																											BgL_classz00_2509);
																									}
																								else
																									{	/* Reduce/cse.scm 371 */
																										BgL_res1857z00_2516 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_arg1823z00_2512 =
																					BgL_res1857z00_2516;
																			}
																			BgL_test1954z00_3033 =
																				BGL_ISA_C_BACKEND(BgL_arg1822z00_2511,
																				BgL_arg1823z00_2512);
																		}
																	}
																else
																	{	/* Reduce/cse.scm 371 */
																		BgL_test1954z00_3033 = ((bool_t) 0);
																	}
															}
															if (BgL_test1954z00_3033)
																{	/* Reduce/cse.scm 371 */
																	BgL_test1953z00_3032 = ((bool_t) 1);
																}
															else
																{	/* Reduce/cse.scm 371 */
																	obj_t BgL_classz00_2523;

																	BgL_classz00_2523 =
																		BGl_letzd2varzd2zzast_nodez00;
																	if (BGL_OBJECTP(BgL_valz00_2504))
																		{	/* Reduce/cse.scm 371 */
																			BgL_objectz00_bglt BgL_arg1825z00_2524;

																			BgL_arg1825z00_2524 =
																				(BgL_objectz00_bglt) (BgL_valz00_2504);
																			{	/* Reduce/cse.scm 371 */
																				bool_t BgL_arg1822z00_2525;
																				bool_t BgL_arg1823z00_2526;

																				{	/* Reduce/cse.scm 371 */
																					long BgL_idxz00_2527;

																					BgL_idxz00_2527 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_2524);
																					BgL_arg1822z00_2525 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2527 + ((long) 3))) ==
																						BgL_classz00_2523);
																				}
																				{	/* Reduce/cse.scm 371 */
																					bool_t BgL_res1858z00_2530;

																					{	/* Reduce/cse.scm 371 */
																						obj_t BgL_oclassz00_2531;

																						{	/* Reduce/cse.scm 371 */
																							long BgL_arg1833z00_2532;

																							{	/* Reduce/cse.scm 371 */
																								long BgL_arg1834z00_2533;

																								BgL_arg1834z00_2533 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_2524);
																								BgL_arg1833z00_2532 =
																									(BgL_arg1834z00_2533 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2531 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_2532);
																						}
																						{	/* Reduce/cse.scm 371 */
																							bool_t BgL__ortest_1110z00_2534;

																							BgL__ortest_1110z00_2534 =
																								(BgL_classz00_2523 ==
																								BgL_oclassz00_2531);
																							if (BgL__ortest_1110z00_2534)
																								{	/* Reduce/cse.scm 371 */
																									BgL_res1858z00_2530 =
																										BgL__ortest_1110z00_2534;
																								}
																							else
																								{	/* Reduce/cse.scm 371 */
																									long BgL_odepthz00_2535;

																									BgL_odepthz00_2535 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2531);
																									if ((((long) 3) <
																											BgL_odepthz00_2535))
																										{	/* Reduce/cse.scm 371 */
																											obj_t BgL_arg1821z00_2536;

																											BgL_arg1821z00_2536 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2531,
																												((long) 3));
																											BgL_res1858z00_2530 =
																												(BgL_arg1821z00_2536 ==
																												BgL_classz00_2523);
																										}
																									else
																										{	/* Reduce/cse.scm 371 */
																											BgL_res1858z00_2530 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_2526 =
																						BgL_res1858z00_2530;
																				}
																				BgL_test1953z00_3032 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_2525,
																					BgL_arg1823z00_2526);
																			}
																		}
																	else
																		{	/* Reduce/cse.scm 371 */
																			BgL_test1953z00_3032 = ((bool_t) 0);
																		}
																}
														}
														if (BgL_test1953z00_3032)
															{	/* Reduce/cse.scm 372 */
																obj_t BgL_arg1694z00_2537;
																obj_t BgL_arg1695z00_2538;

																BgL_arg1694z00_2537 =
																	CDR(((obj_t) BgL_bindingsz00_2476));
																{	/* Reduce/cse.scm 374 */
																	obj_t BgL_arg1696z00_2539;

																	{	/* Reduce/cse.scm 406 */
																		obj_t BgL_newz00_2540;

																		BgL_newz00_2540 =
																			create_struct(CNST_TABLE_REF(((long) 2)),
																			(int) (((long) 2)));
																		{	/* Reduce/cse.scm 406 */
																			int BgL_tmpz00_3075;

																			BgL_tmpz00_3075 = (int) (((long) 1));
																			STRUCT_SET(BgL_newz00_2540,
																				BgL_tmpz00_3075, BgL_varz00_2503);
																		}
																		{	/* Reduce/cse.scm 406 */
																			int BgL_tmpz00_3078;

																			BgL_tmpz00_3078 = (int) (((long) 0));
																			STRUCT_SET(BgL_newz00_2540,
																				BgL_tmpz00_3078, BgL_valz00_2504);
																		}
																		BgL_arg1696z00_2539 = BgL_newz00_2540;
																	}
																	BgL_arg1695z00_2538 =
																		MAKE_YOUNG_PAIR(BgL_arg1696z00_2539,
																		BgL_extendz00_2478);
																}
																{
																	obj_t BgL_extendz00_3084;
																	bool_t BgL_resetz00_3083;
																	obj_t BgL_bindingsz00_3082;

																	BgL_bindingsz00_3082 = BgL_arg1694z00_2537;
																	BgL_resetz00_3083 = ((bool_t) 0);
																	BgL_extendz00_3084 = BgL_arg1695z00_2538;
																	BgL_extendz00_2478 = BgL_extendz00_3084;
																	BgL_resetz00_2477 = BgL_resetz00_3083;
																	BgL_bindingsz00_2476 = BgL_bindingsz00_3082;
																	goto BgL_loopz00_2475;
																}
															}
														else
															{	/* Reduce/cse.scm 376 */
																obj_t BgL_arg1699z00_2541;

																BgL_arg1699z00_2541 =
																	CDR(((obj_t) BgL_bindingsz00_2476));
																{
																	bool_t BgL_resetz00_3088;
																	obj_t BgL_bindingsz00_3087;

																	BgL_bindingsz00_3087 = BgL_arg1699z00_2541;
																	BgL_resetz00_3088 = ((bool_t) 0);
																	BgL_resetz00_2477 = BgL_resetz00_3088;
																	BgL_bindingsz00_2476 = BgL_bindingsz00_3087;
																	goto BgL_loopz00_2475;
																}
															}
													}
												else
													{	/* Reduce/cse.scm 368 */
														obj_t BgL_arg1703z00_2542;

														BgL_arg1703z00_2542 =
															CDR(((obj_t) BgL_bindingsz00_2476));
														{
															bool_t BgL_resetz00_3092;
															obj_t BgL_bindingsz00_3091;

															BgL_bindingsz00_3091 = BgL_arg1703z00_2542;
															BgL_resetz00_3092 = ((bool_t) 0);
															BgL_resetz00_2477 = BgL_resetz00_3092;
															BgL_bindingsz00_2476 = BgL_bindingsz00_3091;
															goto BgL_loopz00_2475;
														}
													}
											}
									}
								}
							}
						}
					}
			}
		}

	}



/* &node-cse!-app1360 */
	obj_t BGl_z62nodezd2csez12zd2app1360z70zzreduce_csez00(obj_t BgL_envz00_2391,
		obj_t BgL_nodez00_2392, obj_t BgL_stackz00_2393)
	{
		{	/* Reduce/cse.scm 302 */
			{	/* Reduce/cse.scm 304 */
				obj_t BgL_resetz00_2544;

				BgL_resetz00_2544 =
					BGl_nodezd2cseza2z12z62zzreduce_csez00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2392)))->BgL_argsz00),
					BgL_stackz00_2393);
				{	/* Reduce/cse.scm 305 */
					bool_t BgL_test1961z00_3098;

					if (CBOOL(BgL_resetz00_2544))
						{	/* Reduce/cse.scm 305 */
							BgL_test1961z00_3098 = ((bool_t) 1);
						}
					else
						{	/* Reduce/cse.scm 305 */
							BgL_test1961z00_3098 =
								BGl_sidezd2effectzf3z21zzeffect_effectz00(
								((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2392)));
						}
					if (BgL_test1961z00_3098)
						{	/* Reduce/cse.scm 305 */
							{	/* Reduce/cse.scm 309 */
								int BgL_tmpz00_3104;

								BgL_tmpz00_3104 = (int) (((long) 2));
								BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3104);
							}
							{	/* Reduce/cse.scm 309 */
								obj_t BgL_auxz00_3109;
								int BgL_tmpz00_3107;

								BgL_auxz00_3109 =
									((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2392));
								BgL_tmpz00_3107 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3107, BgL_auxz00_3109);
							}
							return BTRUE;
						}
					else
						{	/* Reduce/cse.scm 310 */
							obj_t BgL_previousz00_2545;

							BgL_previousz00_2545 =
								BGl_findzd2stackzd2zzreduce_csez00(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_2392)), BgL_stackz00_2393);
							{	/* Reduce/cse.scm 312 */
								bool_t BgL_test1963z00_3116;

								{	/* Reduce/cse.scm 312 */
									obj_t BgL_classz00_2546;

									BgL_classz00_2546 = BGl_variablez00zzast_varz00;
									if (BGL_OBJECTP(BgL_previousz00_2545))
										{	/* Reduce/cse.scm 312 */
											BgL_objectz00_bglt BgL_arg1825z00_2547;

											BgL_arg1825z00_2547 =
												(BgL_objectz00_bglt) (BgL_previousz00_2545);
											{	/* Reduce/cse.scm 312 */
												bool_t BgL_arg1822z00_2548;
												bool_t BgL_arg1823z00_2549;

												{	/* Reduce/cse.scm 312 */
													long BgL_idxz00_2550;

													BgL_idxz00_2550 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2547);
													BgL_arg1822z00_2548 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2550 + ((long) 1))) ==
														BgL_classz00_2546);
												}
												{	/* Reduce/cse.scm 312 */
													bool_t BgL_res1855z00_2553;

													{	/* Reduce/cse.scm 312 */
														obj_t BgL_oclassz00_2554;

														{	/* Reduce/cse.scm 312 */
															long BgL_arg1833z00_2555;

															{	/* Reduce/cse.scm 312 */
																long BgL_arg1834z00_2556;

																BgL_arg1834z00_2556 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2547);
																BgL_arg1833z00_2555 =
																	(BgL_arg1834z00_2556 - OBJECT_TYPE);
															}
															BgL_oclassz00_2554 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_2555);
														}
														{	/* Reduce/cse.scm 312 */
															bool_t BgL__ortest_1110z00_2557;

															BgL__ortest_1110z00_2557 =
																(BgL_classz00_2546 == BgL_oclassz00_2554);
															if (BgL__ortest_1110z00_2557)
																{	/* Reduce/cse.scm 312 */
																	BgL_res1855z00_2553 =
																		BgL__ortest_1110z00_2557;
																}
															else
																{	/* Reduce/cse.scm 312 */
																	long BgL_odepthz00_2558;

																	BgL_odepthz00_2558 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2554);
																	if ((((long) 1) < BgL_odepthz00_2558))
																		{	/* Reduce/cse.scm 312 */
																			obj_t BgL_arg1821z00_2559;

																			BgL_arg1821z00_2559 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2554, ((long) 1));
																			BgL_res1855z00_2553 =
																				(BgL_arg1821z00_2559 ==
																				BgL_classz00_2546);
																		}
																	else
																		{	/* Reduce/cse.scm 312 */
																			BgL_res1855z00_2553 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_2549 = BgL_res1855z00_2553;
												}
												BgL_test1963z00_3116 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_2548,
													BgL_arg1823z00_2549);
											}
										}
									else
										{	/* Reduce/cse.scm 312 */
											BgL_test1963z00_3116 = ((bool_t) 0);
										}
								}
								if (BgL_test1963z00_3116)
									{	/* Reduce/cse.scm 312 */
										BGl_za2csezd2removedza2zd2zzreduce_csez00 =
											(((long) 1) + BGl_za2csezd2removedza2zd2zzreduce_csez00);
										{	/* Reduce/cse.scm 315 */
											BgL_refz00_bglt BgL_val1_1301z00_2560;

											{	/* Reduce/cse.scm 315 */
												BgL_refz00_bglt BgL_new1136z00_2561;

												{	/* Reduce/cse.scm 318 */
													BgL_refz00_bglt BgL_new1135z00_2562;

													BgL_new1135z00_2562 =
														((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_refz00_bgl))));
													{	/* Reduce/cse.scm 318 */
														long BgL_arg1660z00_2563;

														BgL_arg1660z00_2563 =
															BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1135z00_2562),
															BgL_arg1660z00_2563);
													}
													{	/* Reduce/cse.scm 318 */
														BgL_objectz00_bglt BgL_tmpz00_3140;

														BgL_tmpz00_3140 =
															((BgL_objectz00_bglt) BgL_new1135z00_2562);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3140, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1135z00_2562);
													BgL_new1136z00_2561 = BgL_new1135z00_2562;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1136z00_2561)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																			BgL_nodez00_2392))))->BgL_locz00)),
													BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1136z00_2561)))->BgL_typez00) =
													((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																			BgL_nodez00_2392))))->BgL_typez00)),
													BUNSPEC);
												((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																	BgL_new1136z00_2561)))->BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_previousz00_2545)), BUNSPEC);
												BgL_val1_1301z00_2560 = BgL_new1136z00_2561;
											}
											{	/* Reduce/cse.scm 315 */
												int BgL_tmpz00_3157;

												BgL_tmpz00_3157 = (int) (((long) 2));
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3157);
											}
											{	/* Reduce/cse.scm 315 */
												obj_t BgL_auxz00_3162;
												int BgL_tmpz00_3160;

												BgL_auxz00_3162 = ((obj_t) BgL_val1_1301z00_2560);
												BgL_tmpz00_3160 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3160, BgL_auxz00_3162);
											}
											return BgL_stackz00_2393;
										}
									}
								else
									{	/* Reduce/cse.scm 312 */
										{	/* Reduce/cse.scm 320 */
											int BgL_tmpz00_3165;

											BgL_tmpz00_3165 = (int) (((long) 2));
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3165);
										}
										{	/* Reduce/cse.scm 320 */
											obj_t BgL_auxz00_3170;
											int BgL_tmpz00_3168;

											BgL_auxz00_3170 =
												((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2392));
											BgL_tmpz00_3168 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_3168, BgL_auxz00_3170);
										}
										return BFALSE;
									}
							}
						}
				}
			}
		}

	}



/* &node-cse!-box-ref1358 */
	obj_t BGl_z62nodezd2csez12zd2boxzd2ref1358za2zzreduce_csez00(obj_t
		BgL_envz00_2394, obj_t BgL_nodez00_2395, obj_t BgL_stackz00_2396)
	{
		{	/* Reduce/cse.scm 296 */
			{	/* Reduce/cse.scm 297 */
				int BgL_tmpz00_3174;

				BgL_tmpz00_3174 = (int) (((long) 2));
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3174);
			}
			{	/* Reduce/cse.scm 297 */
				obj_t BgL_auxz00_3179;
				int BgL_tmpz00_3177;

				BgL_auxz00_3179 = ((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2395));
				BgL_tmpz00_3177 = (int) (((long) 1));
				BGL_MVALUES_VAL_SET(BgL_tmpz00_3177, BgL_auxz00_3179);
			}
			return BFALSE;
		}

	}



/* &node-cse!-box-set!1356 */
	obj_t BGl_z62nodezd2csez12zd2boxzd2setz121356zb0zzreduce_csez00(obj_t
		BgL_envz00_2397, obj_t BgL_nodez00_2398, obj_t BgL_stackz00_2399)
	{
		{	/* Reduce/cse.scm 286 */
			{	/* Reduce/cse.scm 288 */
				obj_t BgL_resetz00_2566;

				BgL_resetz00_2566 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2398)))->BgL_valuez00),
					BgL_stackz00_2399);
				{	/* Reduce/cse.scm 289 */
					obj_t BgL_nvaluez00_2567;

					{	/* Reduce/cse.scm 290 */
						obj_t BgL_tmpz00_2568;

						{	/* Reduce/cse.scm 290 */
							int BgL_tmpz00_3186;

							BgL_tmpz00_3186 = (int) (((long) 1));
							BgL_tmpz00_2568 = BGL_MVALUES_VAL(BgL_tmpz00_3186);
						}
						{	/* Reduce/cse.scm 290 */
							int BgL_tmpz00_3189;

							BgL_tmpz00_3189 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3189, BUNSPEC);
						}
						BgL_nvaluez00_2567 = BgL_tmpz00_2568;
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2398)))->
							BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2567)),
						BUNSPEC);
					{	/* Reduce/cse.scm 291 */
						int BgL_tmpz00_3195;

						BgL_tmpz00_3195 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3195);
					}
					{	/* Reduce/cse.scm 291 */
						obj_t BgL_auxz00_3200;
						int BgL_tmpz00_3198;

						BgL_auxz00_3200 =
							((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2398));
						BgL_tmpz00_3198 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3198, BgL_auxz00_3200);
					}
					return BgL_resetz00_2566;
				}
			}
		}

	}



/* &node-cse!-make-box1354 */
	obj_t BGl_z62nodezd2csez12zd2makezd2box1354za2zzreduce_csez00(obj_t
		BgL_envz00_2400, obj_t BgL_nodez00_2401, obj_t BgL_stackz00_2402)
	{
		{	/* Reduce/cse.scm 276 */
			{	/* Reduce/cse.scm 278 */
				obj_t BgL_resetz00_2570;

				BgL_resetz00_2570 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2401)))->BgL_valuez00),
					BgL_stackz00_2402);
				{	/* Reduce/cse.scm 279 */
					obj_t BgL_nvaluez00_2571;

					{	/* Reduce/cse.scm 280 */
						obj_t BgL_tmpz00_2572;

						{	/* Reduce/cse.scm 280 */
							int BgL_tmpz00_3207;

							BgL_tmpz00_3207 = (int) (((long) 1));
							BgL_tmpz00_2572 = BGL_MVALUES_VAL(BgL_tmpz00_3207);
						}
						{	/* Reduce/cse.scm 280 */
							int BgL_tmpz00_3210;

							BgL_tmpz00_3210 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3210, BUNSPEC);
						}
						BgL_nvaluez00_2571 = BgL_tmpz00_2572;
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_2401)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2571)),
						BUNSPEC);
					{	/* Reduce/cse.scm 281 */
						int BgL_tmpz00_3216;

						BgL_tmpz00_3216 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3216);
					}
					{	/* Reduce/cse.scm 281 */
						obj_t BgL_auxz00_3221;
						int BgL_tmpz00_3219;

						BgL_auxz00_3221 =
							((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2401));
						BgL_tmpz00_3219 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3219, BgL_auxz00_3221);
					}
					return BgL_resetz00_2570;
				}
			}
		}

	}



/* &node-cse!-return1352 */
	obj_t BGl_z62nodezd2csez12zd2return1352z70zzreduce_csez00(obj_t
		BgL_envz00_2403, obj_t BgL_nodez00_2404, obj_t BgL_stackz00_2405)
	{
		{	/* Reduce/cse.scm 266 */
			{	/* Reduce/cse.scm 268 */
				obj_t BgL_resetz00_2574;

				BgL_resetz00_2574 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2404)))->BgL_valuez00),
					BgL_stackz00_2405);
				{	/* Reduce/cse.scm 269 */
					obj_t BgL_nvaluez00_2575;

					{	/* Reduce/cse.scm 270 */
						obj_t BgL_tmpz00_2576;

						{	/* Reduce/cse.scm 270 */
							int BgL_tmpz00_3228;

							BgL_tmpz00_3228 = (int) (((long) 1));
							BgL_tmpz00_2576 = BGL_MVALUES_VAL(BgL_tmpz00_3228);
						}
						{	/* Reduce/cse.scm 270 */
							int BgL_tmpz00_3231;

							BgL_tmpz00_3231 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3231, BUNSPEC);
						}
						BgL_nvaluez00_2575 = BgL_tmpz00_2576;
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nodez00_2404)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2575)),
						BUNSPEC);
					{	/* Reduce/cse.scm 271 */
						int BgL_tmpz00_3237;

						BgL_tmpz00_3237 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3237);
					}
					{	/* Reduce/cse.scm 271 */
						obj_t BgL_auxz00_3242;
						int BgL_tmpz00_3240;

						BgL_auxz00_3242 = ((obj_t) ((BgL_returnz00_bglt) BgL_nodez00_2404));
						BgL_tmpz00_3240 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3240, BgL_auxz00_3242);
					}
					return BgL_resetz00_2574;
				}
			}
		}

	}



/* &node-cse!-retblock1350 */
	obj_t BGl_z62nodezd2csez12zd2retblock1350z70zzreduce_csez00(obj_t
		BgL_envz00_2406, obj_t BgL_nodez00_2407, obj_t BgL_stackz00_2408)
	{
		{	/* Reduce/cse.scm 256 */
			{	/* Reduce/cse.scm 258 */
				obj_t BgL_resetz00_2578;

				BgL_resetz00_2578 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2407)))->BgL_bodyz00),
					BgL_stackz00_2408);
				{	/* Reduce/cse.scm 259 */
					obj_t BgL_nbodyz00_2579;

					{	/* Reduce/cse.scm 260 */
						obj_t BgL_tmpz00_2580;

						{	/* Reduce/cse.scm 260 */
							int BgL_tmpz00_3249;

							BgL_tmpz00_3249 = (int) (((long) 1));
							BgL_tmpz00_2580 = BGL_MVALUES_VAL(BgL_tmpz00_3249);
						}
						{	/* Reduce/cse.scm 260 */
							int BgL_tmpz00_3252;

							BgL_tmpz00_3252 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3252, BUNSPEC);
						}
						BgL_nbodyz00_2579 = BgL_tmpz00_2580;
					}
					((((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nodez00_2407)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2579)),
						BUNSPEC);
					{	/* Reduce/cse.scm 261 */
						int BgL_tmpz00_3258;

						BgL_tmpz00_3258 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3258);
					}
					{	/* Reduce/cse.scm 261 */
						obj_t BgL_auxz00_3263;
						int BgL_tmpz00_3261;

						BgL_auxz00_3263 =
							((obj_t) ((BgL_retblockz00_bglt) BgL_nodez00_2407));
						BgL_tmpz00_3261 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3261, BgL_auxz00_3263);
					}
					return BgL_resetz00_2578;
				}
			}
		}

	}



/* &node-cse!-jump-ex-it1348 */
	obj_t BGl_z62nodezd2csez12zd2jumpzd2exzd2it1348z70zzreduce_csez00(obj_t
		BgL_envz00_2409, obj_t BgL_nodez00_2410, obj_t BgL_stackz00_2411)
	{
		{	/* Reduce/cse.scm 242 */
			{	/* Reduce/cse.scm 244 */
				obj_t BgL_resetz00_2582;

				BgL_resetz00_2582 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2410)))->BgL_exitz00),
					BgL_stackz00_2411);
				{	/* Reduce/cse.scm 245 */
					obj_t BgL_nexitz00_2583;

					{	/* Reduce/cse.scm 246 */
						obj_t BgL_tmpz00_2584;

						{	/* Reduce/cse.scm 246 */
							int BgL_tmpz00_3270;

							BgL_tmpz00_3270 = (int) (((long) 1));
							BgL_tmpz00_2584 = BGL_MVALUES_VAL(BgL_tmpz00_3270);
						}
						{	/* Reduce/cse.scm 246 */
							int BgL_tmpz00_3273;

							BgL_tmpz00_3273 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3273, BUNSPEC);
						}
						BgL_nexitz00_2583 = BgL_tmpz00_2584;
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2410)))->
							BgL_exitz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nexitz00_2583)),
						BUNSPEC);
					{	/* Reduce/cse.scm 247 */
						obj_t BgL_stackz72z72_2585;

						if (CBOOL(BgL_resetz00_2582))
							{	/* Reduce/cse.scm 247 */
								BgL_stackz72z72_2585 = BNIL;
							}
						else
							{	/* Reduce/cse.scm 247 */
								BgL_stackz72z72_2585 = BgL_stackz00_2411;
							}
						{	/* Reduce/cse.scm 248 */
							obj_t BgL_resetz72z72_2586;

							BgL_resetz72z72_2586 =
								BGl_nodezd2csez12zc0zzreduce_csez00(
								(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
											((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2410)))->
									BgL_valuez00), BgL_stackz72z72_2585);
							{	/* Reduce/cse.scm 249 */
								obj_t BgL_nvaluez00_2587;

								{	/* Reduce/cse.scm 250 */
									obj_t BgL_tmpz00_2588;

									{	/* Reduce/cse.scm 250 */
										int BgL_tmpz00_3284;

										BgL_tmpz00_3284 = (int) (((long) 1));
										BgL_tmpz00_2588 = BGL_MVALUES_VAL(BgL_tmpz00_3284);
									}
									{	/* Reduce/cse.scm 250 */
										int BgL_tmpz00_3287;

										BgL_tmpz00_3287 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3287, BUNSPEC);
									}
									BgL_nvaluez00_2587 = BgL_tmpz00_2588;
								}
								((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
												((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2410)))->
										BgL_valuez00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2587)),
									BUNSPEC);
								{	/* Reduce/cse.scm 251 */
									obj_t BgL_val0_1286z00_2589;

									if (CBOOL(BgL_resetz00_2582))
										{	/* Reduce/cse.scm 251 */
											BgL_val0_1286z00_2589 = BgL_resetz00_2582;
										}
									else
										{	/* Reduce/cse.scm 251 */
											BgL_val0_1286z00_2589 = BgL_resetz72z72_2586;
										}
									{	/* Reduce/cse.scm 251 */
										int BgL_tmpz00_3295;

										BgL_tmpz00_3295 = (int) (((long) 2));
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3295);
									}
									{	/* Reduce/cse.scm 251 */
										obj_t BgL_auxz00_3300;
										int BgL_tmpz00_3298;

										BgL_auxz00_3300 =
											((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2410));
										BgL_tmpz00_3298 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3298, BgL_auxz00_3300);
									}
									return BgL_val0_1286z00_2589;
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-cse!-set-ex-it1346 */
	obj_t BGl_z62nodezd2csez12zd2setzd2exzd2it1346z70zzreduce_csez00(obj_t
		BgL_envz00_2412, obj_t BgL_nodez00_2413, obj_t BgL_stackz00_2414)
	{
		{	/* Reduce/cse.scm 229 */
			{	/* Reduce/cse.scm 231 */
				obj_t BgL_resetz00_2591;

				BgL_resetz00_2591 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2413)))->BgL_bodyz00),
					BNIL);
				{	/* Reduce/cse.scm 232 */
					obj_t BgL_nbodyz00_2592;

					{	/* Reduce/cse.scm 233 */
						obj_t BgL_tmpz00_2593;

						{	/* Reduce/cse.scm 233 */
							int BgL_tmpz00_3307;

							BgL_tmpz00_3307 = (int) (((long) 1));
							BgL_tmpz00_2593 = BGL_MVALUES_VAL(BgL_tmpz00_3307);
						}
						{	/* Reduce/cse.scm 233 */
							int BgL_tmpz00_3310;

							BgL_tmpz00_3310 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3310, BUNSPEC);
						}
						BgL_nbodyz00_2592 = BgL_tmpz00_2593;
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2413)))->
							BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2592)),
						BUNSPEC);
					{	/* Reduce/cse.scm 234 */
						obj_t BgL_resetz72z72_2594;

						BgL_resetz72z72_2594 =
							BGl_nodezd2csez12zc0zzreduce_csez00(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2413)))->
								BgL_onexitz00), BNIL);
						{	/* Reduce/cse.scm 235 */
							obj_t BgL_nonexitz00_2595;

							{	/* Reduce/cse.scm 236 */
								obj_t BgL_tmpz00_2596;

								{	/* Reduce/cse.scm 236 */
									int BgL_tmpz00_3319;

									BgL_tmpz00_3319 = (int) (((long) 1));
									BgL_tmpz00_2596 = BGL_MVALUES_VAL(BgL_tmpz00_3319);
								}
								{	/* Reduce/cse.scm 236 */
									int BgL_tmpz00_3322;

									BgL_tmpz00_3322 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3322, BUNSPEC);
								}
								BgL_nonexitz00_2595 = BgL_tmpz00_2596;
							}
							((((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2413)))->
									BgL_onexitz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nonexitz00_2595)),
								BUNSPEC);
							{	/* Reduce/cse.scm 237 */
								obj_t BgL_val0_1284z00_2597;

								if (CBOOL(BgL_resetz00_2591))
									{	/* Reduce/cse.scm 237 */
										BgL_val0_1284z00_2597 = BgL_resetz00_2591;
									}
								else
									{	/* Reduce/cse.scm 237 */
										BgL_val0_1284z00_2597 = BgL_resetz72z72_2594;
									}
								{	/* Reduce/cse.scm 237 */
									int BgL_tmpz00_3330;

									BgL_tmpz00_3330 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3330);
								}
								{	/* Reduce/cse.scm 237 */
									obj_t BgL_auxz00_3335;
									int BgL_tmpz00_3333;

									BgL_auxz00_3335 =
										((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2413));
									BgL_tmpz00_3333 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3333, BgL_auxz00_3335);
								}
								return BgL_val0_1284z00_2597;
							}
						}
					}
				}
			}
		}

	}



/* &node-cse!-let-fun1344 */
	obj_t BGl_z62nodezd2csez12zd2letzd2fun1344za2zzreduce_csez00(obj_t
		BgL_envz00_2415, obj_t BgL_nodez00_2416, obj_t BgL_stackz00_2417)
	{
		{	/* Reduce/cse.scm 210 */
			{	/* Reduce/cse.scm 212 */
				obj_t BgL_resetz00_2599;

				BgL_resetz00_2599 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2416)))->BgL_bodyz00),
					BgL_stackz00_2417);
				{	/* Reduce/cse.scm 213 */
					obj_t BgL_nbodyz00_2600;

					{	/* Reduce/cse.scm 214 */
						obj_t BgL_tmpz00_2601;

						{	/* Reduce/cse.scm 214 */
							int BgL_tmpz00_3342;

							BgL_tmpz00_3342 = (int) (((long) 1));
							BgL_tmpz00_2601 = BGL_MVALUES_VAL(BgL_tmpz00_3342);
						}
						{	/* Reduce/cse.scm 214 */
							int BgL_tmpz00_3345;

							BgL_tmpz00_3345 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3345, BUNSPEC);
						}
						BgL_nbodyz00_2600 = BgL_tmpz00_2601;
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2416)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2600)),
						BUNSPEC);
					{
						obj_t BgL_localsz00_2603;
						obj_t BgL_resetz00_2604;

						BgL_localsz00_2603 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2416)))->BgL_localsz00);
						BgL_resetz00_2604 = BgL_resetz00_2599;
					BgL_loopz00_2602:
						if (NULLP(BgL_localsz00_2603))
							{	/* Reduce/cse.scm 217 */
								{	/* Reduce/cse.scm 218 */
									int BgL_tmpz00_3353;

									BgL_tmpz00_3353 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3353);
								}
								{	/* Reduce/cse.scm 218 */
									obj_t BgL_auxz00_3358;
									int BgL_tmpz00_3356;

									BgL_auxz00_3358 =
										((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2416));
									BgL_tmpz00_3356 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3356, BgL_auxz00_3358);
								}
								return BgL_resetz00_2604;
							}
						else
							{	/* Reduce/cse.scm 219 */
								obj_t BgL_localz00_2605;

								BgL_localz00_2605 = CAR(((obj_t) BgL_localsz00_2603));
								{	/* Reduce/cse.scm 219 */
									BgL_valuez00_bglt BgL_sfunz00_2606;

									BgL_sfunz00_2606 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2605))))->
										BgL_valuez00);
									{	/* Reduce/cse.scm 220 */

										{	/* Reduce/cse.scm 221 */
											obj_t BgL_resetz72z72_2607;

											{	/* Reduce/cse.scm 222 */
												obj_t BgL_arg1613z00_2608;

												BgL_arg1613z00_2608 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_sfunz00_2606)))->
													BgL_bodyz00);
												BgL_resetz72z72_2607 =
													BGl_nodezd2csez12zc0zzreduce_csez00((
														(BgL_nodez00_bglt) BgL_arg1613z00_2608), BNIL);
											}
											{	/* Reduce/cse.scm 222 */
												obj_t BgL_nbodyz00_2609;

												{	/* Reduce/cse.scm 223 */
													obj_t BgL_tmpz00_2610;

													{	/* Reduce/cse.scm 223 */
														int BgL_tmpz00_3371;

														BgL_tmpz00_3371 = (int) (((long) 1));
														BgL_tmpz00_2610 = BGL_MVALUES_VAL(BgL_tmpz00_3371);
													}
													{	/* Reduce/cse.scm 223 */
														int BgL_tmpz00_3374;

														BgL_tmpz00_3374 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_tmpz00_3374, BUNSPEC);
													}
													BgL_nbodyz00_2609 = BgL_tmpz00_2610;
												}
												((((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_sfunz00_2606)))->
														BgL_bodyz00) =
													((obj_t) BgL_nbodyz00_2609), BUNSPEC);
												{	/* Reduce/cse.scm 224 */
													obj_t BgL_arg1606z00_2611;
													obj_t BgL_arg1612z00_2612;

													BgL_arg1606z00_2611 =
														CDR(((obj_t) BgL_localsz00_2603));
													if (CBOOL(BgL_resetz00_2604))
														{	/* Reduce/cse.scm 224 */
															BgL_arg1612z00_2612 = BgL_resetz00_2604;
														}
													else
														{	/* Reduce/cse.scm 224 */
															BgL_arg1612z00_2612 = BgL_resetz72z72_2607;
														}
													{
														obj_t BgL_resetz00_3384;
														obj_t BgL_localsz00_3383;

														BgL_localsz00_3383 = BgL_arg1606z00_2611;
														BgL_resetz00_3384 = BgL_arg1612z00_2612;
														BgL_resetz00_2604 = BgL_resetz00_3384;
														BgL_localsz00_2603 = BgL_localsz00_3383;
														goto BgL_loopz00_2602;
													}
												}
											}
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &node-cse!-switch1342 */
	obj_t BGl_z62nodezd2csez12zd2switch1342z70zzreduce_csez00(obj_t
		BgL_envz00_2418, obj_t BgL_nodez00_2419, obj_t BgL_stackz00_2420)
	{
		{	/* Reduce/cse.scm 191 */
			{	/* Reduce/cse.scm 193 */
				obj_t BgL_resetz00_2614;

				BgL_resetz00_2614 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2419)))->BgL_testz00),
					BgL_stackz00_2420);
				{	/* Reduce/cse.scm 194 */
					obj_t BgL_ntestz00_2615;

					{	/* Reduce/cse.scm 195 */
						obj_t BgL_tmpz00_2616;

						{	/* Reduce/cse.scm 195 */
							int BgL_tmpz00_3390;

							BgL_tmpz00_3390 = (int) (((long) 1));
							BgL_tmpz00_2616 = BGL_MVALUES_VAL(BgL_tmpz00_3390);
						}
						{	/* Reduce/cse.scm 195 */
							int BgL_tmpz00_3393;

							BgL_tmpz00_3393 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3393, BUNSPEC);
						}
						BgL_ntestz00_2615 = BgL_tmpz00_2616;
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2419)))->BgL_testz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_2615)),
						BUNSPEC);
					{
						obj_t BgL_clausesz00_2618;
						obj_t BgL_resetz00_2619;

						BgL_clausesz00_2618 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2419)))->BgL_clausesz00);
						BgL_resetz00_2619 = BgL_resetz00_2614;
					BgL_loopz00_2617:
						if (NULLP(BgL_clausesz00_2618))
							{	/* Reduce/cse.scm 199 */
								{	/* Reduce/cse.scm 200 */
									int BgL_tmpz00_3401;

									BgL_tmpz00_3401 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3401);
								}
								{	/* Reduce/cse.scm 200 */
									obj_t BgL_auxz00_3406;
									int BgL_tmpz00_3404;

									BgL_auxz00_3406 =
										((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_2419));
									BgL_tmpz00_3404 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3404, BgL_auxz00_3406);
								}
								return BgL_resetz00_2619;
							}
						else
							{	/* Reduce/cse.scm 201 */
								obj_t BgL_clausez00_2620;

								BgL_clausez00_2620 = CAR(((obj_t) BgL_clausesz00_2618));
								{	/* Reduce/cse.scm 202 */
									obj_t BgL_resetz72z72_2621;

									{	/* Reduce/cse.scm 203 */
										obj_t BgL_arg1601z00_2622;

										BgL_arg1601z00_2622 = CDR(((obj_t) BgL_clausez00_2620));
										BgL_resetz72z72_2621 =
											BGl_nodezd2csez12zc0zzreduce_csez00(
											((BgL_nodez00_bglt) BgL_arg1601z00_2622),
											BgL_stackz00_2420);
									}
									{	/* Reduce/cse.scm 203 */
										obj_t BgL_nclausez00_2623;

										{	/* Reduce/cse.scm 204 */
											obj_t BgL_tmpz00_2624;

											{	/* Reduce/cse.scm 204 */
												int BgL_tmpz00_3416;

												BgL_tmpz00_3416 = (int) (((long) 1));
												BgL_tmpz00_2624 = BGL_MVALUES_VAL(BgL_tmpz00_3416);
											}
											{	/* Reduce/cse.scm 204 */
												int BgL_tmpz00_3419;

												BgL_tmpz00_3419 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3419, BUNSPEC);
											}
											BgL_nclausez00_2623 = BgL_tmpz00_2624;
										}
										{	/* Reduce/cse.scm 204 */
											obj_t BgL_tmpz00_3422;

											BgL_tmpz00_3422 = ((obj_t) BgL_clausez00_2620);
											SET_CDR(BgL_tmpz00_3422, BgL_nclausez00_2623);
										}
										{	/* Reduce/cse.scm 205 */
											obj_t BgL_arg1595z00_2625;
											obj_t BgL_arg1597z00_2626;

											BgL_arg1595z00_2625 = CDR(((obj_t) BgL_clausesz00_2618));
											if (CBOOL(BgL_resetz00_2619))
												{	/* Reduce/cse.scm 205 */
													BgL_arg1597z00_2626 = BgL_resetz00_2619;
												}
											else
												{	/* Reduce/cse.scm 205 */
													BgL_arg1597z00_2626 = BgL_resetz72z72_2621;
												}
											{
												obj_t BgL_resetz00_3430;
												obj_t BgL_clausesz00_3429;

												BgL_clausesz00_3429 = BgL_arg1595z00_2625;
												BgL_resetz00_3430 = BgL_arg1597z00_2626;
												BgL_resetz00_2619 = BgL_resetz00_3430;
												BgL_clausesz00_2618 = BgL_clausesz00_3429;
												goto BgL_loopz00_2617;
											}
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &node-cse!-fail1340 */
	obj_t BGl_z62nodezd2csez12zd2fail1340z70zzreduce_csez00(obj_t BgL_envz00_2421,
		obj_t BgL_nodez00_2422, obj_t BgL_stackz00_2423)
	{
		{	/* Reduce/cse.scm 173 */
			{	/* Reduce/cse.scm 175 */
				obj_t BgL_resetz00_2628;

				BgL_resetz00_2628 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2422)))->BgL_procz00),
					BgL_stackz00_2423);
				{	/* Reduce/cse.scm 176 */
					obj_t BgL_nprocz00_2629;

					{	/* Reduce/cse.scm 177 */
						obj_t BgL_tmpz00_2630;

						{	/* Reduce/cse.scm 177 */
							int BgL_tmpz00_3436;

							BgL_tmpz00_3436 = (int) (((long) 1));
							BgL_tmpz00_2630 = BGL_MVALUES_VAL(BgL_tmpz00_3436);
						}
						{	/* Reduce/cse.scm 177 */
							int BgL_tmpz00_3439;

							BgL_tmpz00_3439 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3439, BUNSPEC);
						}
						BgL_nprocz00_2629 = BgL_tmpz00_2630;
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2422)))->BgL_procz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nprocz00_2629)),
						BUNSPEC);
					{	/* Reduce/cse.scm 178 */
						obj_t BgL_stackz72z72_2631;

						if (CBOOL(BgL_resetz00_2628))
							{	/* Reduce/cse.scm 178 */
								BgL_stackz72z72_2631 = BNIL;
							}
						else
							{	/* Reduce/cse.scm 178 */
								BgL_stackz72z72_2631 = BgL_stackz00_2423;
							}
						{	/* Reduce/cse.scm 179 */
							obj_t BgL_resetz72z72_2632;

							BgL_resetz72z72_2632 =
								BGl_nodezd2csez12zc0zzreduce_csez00(
								(((BgL_failz00_bglt) COBJECT(
											((BgL_failz00_bglt) BgL_nodez00_2422)))->BgL_msgz00),
								BgL_stackz72z72_2631);
							{	/* Reduce/cse.scm 180 */
								obj_t BgL_nmsgz00_2633;

								{	/* Reduce/cse.scm 181 */
									obj_t BgL_tmpz00_2634;

									{	/* Reduce/cse.scm 181 */
										int BgL_tmpz00_3450;

										BgL_tmpz00_3450 = (int) (((long) 1));
										BgL_tmpz00_2634 = BGL_MVALUES_VAL(BgL_tmpz00_3450);
									}
									{	/* Reduce/cse.scm 181 */
										int BgL_tmpz00_3453;

										BgL_tmpz00_3453 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3453, BUNSPEC);
									}
									BgL_nmsgz00_2633 = BgL_tmpz00_2634;
								}
								((((BgL_failz00_bglt) COBJECT(
												((BgL_failz00_bglt) BgL_nodez00_2422)))->BgL_msgz00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmsgz00_2633)),
									BUNSPEC);
								{	/* Reduce/cse.scm 182 */
									obj_t BgL_stackz72z72z00_2635;

									if (CBOOL(BgL_resetz72z72_2632))
										{	/* Reduce/cse.scm 182 */
											BgL_stackz72z72z00_2635 = BNIL;
										}
									else
										{	/* Reduce/cse.scm 182 */
											BgL_stackz72z72z00_2635 = BgL_stackz72z72_2631;
										}
									{	/* Reduce/cse.scm 183 */
										obj_t BgL_resetz72z72z00_2636;

										BgL_resetz72z72z00_2636 =
											BGl_nodezd2csez12zc0zzreduce_csez00(
											(((BgL_failz00_bglt) COBJECT(
														((BgL_failz00_bglt) BgL_nodez00_2422)))->
												BgL_objz00), BgL_stackz72z72z00_2635);
										{	/* Reduce/cse.scm 184 */
											obj_t BgL_nobjz00_2637;

											{	/* Reduce/cse.scm 185 */
												obj_t BgL_tmpz00_2638;

												{	/* Reduce/cse.scm 185 */
													int BgL_tmpz00_3464;

													BgL_tmpz00_3464 = (int) (((long) 1));
													BgL_tmpz00_2638 = BGL_MVALUES_VAL(BgL_tmpz00_3464);
												}
												{	/* Reduce/cse.scm 185 */
													int BgL_tmpz00_3467;

													BgL_tmpz00_3467 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_tmpz00_3467, BUNSPEC);
												}
												BgL_nobjz00_2637 = BgL_tmpz00_2638;
											}
											((((BgL_failz00_bglt) COBJECT(
															((BgL_failz00_bglt) BgL_nodez00_2422)))->
													BgL_objz00) =
												((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
														BgL_nobjz00_2637)), BUNSPEC);
											{	/* Reduce/cse.scm 186 */
												obj_t BgL_val0_1278z00_2639;

												if (CBOOL(BgL_resetz00_2628))
													{	/* Reduce/cse.scm 186 */
														BgL_val0_1278z00_2639 = BgL_resetz00_2628;
													}
												else
													{	/* Reduce/cse.scm 186 */
														if (CBOOL(BgL_resetz72z72_2632))
															{	/* Reduce/cse.scm 186 */
																BgL_val0_1278z00_2639 = BgL_resetz72z72_2632;
															}
														else
															{	/* Reduce/cse.scm 186 */
																BgL_val0_1278z00_2639 = BgL_resetz72z72z00_2636;
															}
													}
												{	/* Reduce/cse.scm 186 */
													int BgL_tmpz00_3477;

													BgL_tmpz00_3477 = (int) (((long) 2));
													BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3477);
												}
												{	/* Reduce/cse.scm 186 */
													obj_t BgL_auxz00_3482;
													int BgL_tmpz00_3480;

													BgL_auxz00_3482 =
														((obj_t) ((BgL_failz00_bglt) BgL_nodez00_2422));
													BgL_tmpz00_3480 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_tmpz00_3480, BgL_auxz00_3482);
												}
												return BgL_val0_1278z00_2639;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-cse!-conditiona1338 */
	obj_t BGl_z62nodezd2csez12zd2conditiona1338z70zzreduce_csez00(obj_t
		BgL_envz00_2424, obj_t BgL_nodez00_2425, obj_t BgL_stackz00_2426)
	{
		{	/* Reduce/cse.scm 156 */
			{	/* Reduce/cse.scm 158 */
				obj_t BgL_resetz00_2641;

				BgL_resetz00_2641 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2425)))->BgL_testz00),
					BgL_stackz00_2426);
				{	/* Reduce/cse.scm 159 */
					obj_t BgL_ntestz00_2642;

					{	/* Reduce/cse.scm 160 */
						obj_t BgL_tmpz00_2643;

						{	/* Reduce/cse.scm 160 */
							int BgL_tmpz00_3489;

							BgL_tmpz00_3489 = (int) (((long) 1));
							BgL_tmpz00_2643 = BGL_MVALUES_VAL(BgL_tmpz00_3489);
						}
						{	/* Reduce/cse.scm 160 */
							int BgL_tmpz00_3492;

							BgL_tmpz00_3492 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3492, BUNSPEC);
						}
						BgL_ntestz00_2642 = BgL_tmpz00_2643;
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2425)))->BgL_testz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_2642)),
						BUNSPEC);
					{	/* Reduce/cse.scm 161 */
						obj_t BgL_stackz72z72_2644;

						if (CBOOL(BgL_resetz00_2641))
							{	/* Reduce/cse.scm 161 */
								BgL_stackz72z72_2644 = BNIL;
							}
						else
							{	/* Reduce/cse.scm 161 */
								BgL_stackz72z72_2644 = BgL_stackz00_2426;
							}
						{	/* Reduce/cse.scm 162 */
							obj_t BgL_resetz72z72_2645;

							BgL_resetz72z72_2645 =
								BGl_nodezd2csez12zc0zzreduce_csez00(
								(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2425)))->
									BgL_truez00), BgL_stackz72z72_2644);
							{	/* Reduce/cse.scm 163 */
								obj_t BgL_ntruez00_2646;

								{	/* Reduce/cse.scm 164 */
									obj_t BgL_tmpz00_2647;

									{	/* Reduce/cse.scm 164 */
										int BgL_tmpz00_3503;

										BgL_tmpz00_3503 = (int) (((long) 1));
										BgL_tmpz00_2647 = BGL_MVALUES_VAL(BgL_tmpz00_3503);
									}
									{	/* Reduce/cse.scm 164 */
										int BgL_tmpz00_3506;

										BgL_tmpz00_3506 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3506, BUNSPEC);
									}
									BgL_ntruez00_2646 = BgL_tmpz00_2647;
								}
								((((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2425)))->
										BgL_truez00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntruez00_2646)),
									BUNSPEC);
								{	/* Reduce/cse.scm 165 */
									obj_t BgL_resetz72z72z00_2648;

									BgL_resetz72z72z00_2648 =
										BGl_nodezd2csez12zc0zzreduce_csez00(
										(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2425)))->
											BgL_falsez00), BgL_stackz72z72_2644);
									{	/* Reduce/cse.scm 166 */
										obj_t BgL_nfalsez00_2649;

										{	/* Reduce/cse.scm 167 */
											obj_t BgL_tmpz00_2650;

											{	/* Reduce/cse.scm 167 */
												int BgL_tmpz00_3515;

												BgL_tmpz00_3515 = (int) (((long) 1));
												BgL_tmpz00_2650 = BGL_MVALUES_VAL(BgL_tmpz00_3515);
											}
											{	/* Reduce/cse.scm 167 */
												int BgL_tmpz00_3518;

												BgL_tmpz00_3518 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3518, BUNSPEC);
											}
											BgL_nfalsez00_2649 = BgL_tmpz00_2650;
										}
										((((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_2425)))->
												BgL_falsez00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_nfalsez00_2649)), BUNSPEC);
										{	/* Reduce/cse.scm 168 */
											obj_t BgL_val0_1276z00_2651;

											if (CBOOL(BgL_resetz00_2641))
												{	/* Reduce/cse.scm 168 */
													BgL_val0_1276z00_2651 = BgL_resetz00_2641;
												}
											else
												{	/* Reduce/cse.scm 168 */
													if (CBOOL(BgL_resetz72z72_2645))
														{	/* Reduce/cse.scm 168 */
															BgL_val0_1276z00_2651 = BgL_resetz72z72_2645;
														}
													else
														{	/* Reduce/cse.scm 168 */
															BgL_val0_1276z00_2651 = BgL_resetz72z72z00_2648;
														}
												}
											{	/* Reduce/cse.scm 168 */
												int BgL_tmpz00_3528;

												BgL_tmpz00_3528 = (int) (((long) 2));
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3528);
											}
											{	/* Reduce/cse.scm 168 */
												obj_t BgL_auxz00_3533;
												int BgL_tmpz00_3531;

												BgL_auxz00_3533 =
													((obj_t)
													((BgL_conditionalz00_bglt) BgL_nodez00_2425));
												BgL_tmpz00_3531 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3531, BgL_auxz00_3533);
											}
											return BgL_val0_1276z00_2651;
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-cse!-setq1336 */
	obj_t BGl_z62nodezd2csez12zd2setq1336z70zzreduce_csez00(obj_t BgL_envz00_2427,
		obj_t BgL_nodez00_2428, obj_t BgL_stackz00_2429)
	{
		{	/* Reduce/cse.scm 146 */
			{	/* Reduce/cse.scm 148 */
				obj_t BgL_resetz00_2653;

				BgL_resetz00_2653 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2428)))->BgL_valuez00),
					BgL_stackz00_2429);
				{	/* Reduce/cse.scm 149 */
					obj_t BgL_nvaluez00_2654;

					{	/* Reduce/cse.scm 150 */
						obj_t BgL_tmpz00_2655;

						{	/* Reduce/cse.scm 150 */
							int BgL_tmpz00_3540;

							BgL_tmpz00_3540 = (int) (((long) 1));
							BgL_tmpz00_2655 = BGL_MVALUES_VAL(BgL_tmpz00_3540);
						}
						{	/* Reduce/cse.scm 150 */
							int BgL_tmpz00_3543;

							BgL_tmpz00_3543 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3543, BUNSPEC);
						}
						BgL_nvaluez00_2654 = BgL_tmpz00_2655;
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_2428)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2654)),
						BUNSPEC);
					{	/* Reduce/cse.scm 151 */
						int BgL_tmpz00_3549;

						BgL_tmpz00_3549 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3549);
					}
					{	/* Reduce/cse.scm 151 */
						obj_t BgL_auxz00_3554;
						int BgL_tmpz00_3552;

						BgL_auxz00_3554 = ((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_2428));
						BgL_tmpz00_3552 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3552, BgL_auxz00_3554);
					}
					return BgL_resetz00_2653;
				}
			}
		}

	}



/* &node-cse!-cast1334 */
	obj_t BGl_z62nodezd2csez12zd2cast1334z70zzreduce_csez00(obj_t BgL_envz00_2430,
		obj_t BgL_nodez00_2431, obj_t BgL_stackz00_2432)
	{
		{	/* Reduce/cse.scm 136 */
			{	/* Reduce/cse.scm 138 */
				obj_t BgL_resetz00_2657;

				BgL_resetz00_2657 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2431)))->BgL_argz00),
					BgL_stackz00_2432);
				{	/* Reduce/cse.scm 139 */
					obj_t BgL_nargz00_2658;

					{	/* Reduce/cse.scm 140 */
						obj_t BgL_tmpz00_2659;

						{	/* Reduce/cse.scm 140 */
							int BgL_tmpz00_3561;

							BgL_tmpz00_3561 = (int) (((long) 1));
							BgL_tmpz00_2659 = BGL_MVALUES_VAL(BgL_tmpz00_3561);
						}
						{	/* Reduce/cse.scm 140 */
							int BgL_tmpz00_3564;

							BgL_tmpz00_3564 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3564, BUNSPEC);
						}
						BgL_nargz00_2658 = BgL_tmpz00_2659;
					}
					((((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nodez00_2431)))->BgL_argz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_2658)),
						BUNSPEC);
					{	/* Reduce/cse.scm 141 */
						int BgL_tmpz00_3570;

						BgL_tmpz00_3570 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3570);
					}
					{	/* Reduce/cse.scm 141 */
						obj_t BgL_auxz00_3575;
						int BgL_tmpz00_3573;

						BgL_auxz00_3575 = ((obj_t) ((BgL_castz00_bglt) BgL_nodez00_2431));
						BgL_tmpz00_3573 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3573, BgL_auxz00_3575);
					}
					return BgL_resetz00_2657;
				}
			}
		}

	}



/* &node-cse!-extern1331 */
	obj_t BGl_z62nodezd2csez12zd2extern1331z70zzreduce_csez00(obj_t
		BgL_envz00_2433, obj_t BgL_nodez00_2434, obj_t BgL_stackz00_2435)
	{
		{	/* Reduce/cse.scm 128 */
			{	/* Reduce/cse.scm 130 */
				obj_t BgL_resetz72z72_2661;

				BgL_resetz72z72_2661 =
					BGl_nodezd2cseza2z12z62zzreduce_csez00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2434)))->BgL_exprza2za2),
					BgL_stackz00_2435);
				{	/* Reduce/cse.scm 131 */
					int BgL_tmpz00_3582;

					BgL_tmpz00_3582 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3582);
				}
				{	/* Reduce/cse.scm 131 */
					obj_t BgL_auxz00_3587;
					int BgL_tmpz00_3585;

					BgL_auxz00_3587 = ((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2434));
					BgL_tmpz00_3585 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3585, BgL_auxz00_3587);
				}
				return BgL_resetz72z72_2661;
			}
		}

	}



/* &node-cse!-funcall1329 */
	obj_t BGl_z62nodezd2csez12zd2funcall1329z70zzreduce_csez00(obj_t
		BgL_envz00_2436, obj_t BgL_nodez00_2437, obj_t BgL_stackz00_2438)
	{
		{	/* Reduce/cse.scm 120 */
			{	/* Reduce/cse.scm 122 */
				obj_t BgL_resetz72z72_2663;

				BgL_resetz72z72_2663 =
					BGl_nodezd2cseza2z12z62zzreduce_csez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2437)))->BgL_argsz00),
					BgL_stackz00_2438);
				{	/* Reduce/cse.scm 123 */
					int BgL_tmpz00_3594;

					BgL_tmpz00_3594 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3594);
				}
				{	/* Reduce/cse.scm 123 */
					obj_t BgL_auxz00_3599;
					int BgL_tmpz00_3597;

					BgL_auxz00_3599 = ((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2437));
					BgL_tmpz00_3597 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3597, BgL_auxz00_3599);
				}
				return BgL_resetz72z72_2663;
			}
		}

	}



/* &node-cse!-app-ly1327 */
	obj_t BGl_z62nodezd2csez12zd2appzd2ly1327za2zzreduce_csez00(obj_t
		BgL_envz00_2439, obj_t BgL_nodez00_2440, obj_t BgL_stackz00_2441)
	{
		{	/* Reduce/cse.scm 107 */
			{	/* Reduce/cse.scm 109 */
				obj_t BgL_resetz00_2665;

				BgL_resetz00_2665 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2440)))->BgL_funz00),
					BgL_stackz00_2441);
				{	/* Reduce/cse.scm 110 */
					obj_t BgL_nfunz00_2666;

					{	/* Reduce/cse.scm 111 */
						obj_t BgL_tmpz00_2667;

						{	/* Reduce/cse.scm 111 */
							int BgL_tmpz00_3606;

							BgL_tmpz00_3606 = (int) (((long) 1));
							BgL_tmpz00_2667 = BGL_MVALUES_VAL(BgL_tmpz00_3606);
						}
						{	/* Reduce/cse.scm 111 */
							int BgL_tmpz00_3609;

							BgL_tmpz00_3609 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3609, BUNSPEC);
						}
						BgL_nfunz00_2666 = BgL_tmpz00_2667;
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2440)))->BgL_funz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nfunz00_2666)),
						BUNSPEC);
					{	/* Reduce/cse.scm 112 */
						obj_t BgL_resetz72z72_2668;

						{	/* Reduce/cse.scm 113 */
							BgL_nodez00_bglt BgL_arg1554z00_2669;
							obj_t BgL_arg1555z00_2670;

							BgL_arg1554z00_2669 =
								(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_2440)))->BgL_argz00);
							if (CBOOL(BgL_resetz00_2665))
								{	/* Reduce/cse.scm 113 */
									BgL_arg1555z00_2670 = BNIL;
								}
							else
								{	/* Reduce/cse.scm 113 */
									BgL_arg1555z00_2670 = BgL_stackz00_2441;
								}
							BgL_resetz72z72_2668 =
								BGl_nodezd2csez12zc0zzreduce_csez00(BgL_arg1554z00_2669,
								BgL_arg1555z00_2670);
						}
						{	/* Reduce/cse.scm 113 */
							obj_t BgL_nargz00_2671;

							{	/* Reduce/cse.scm 114 */
								obj_t BgL_tmpz00_2672;

								{	/* Reduce/cse.scm 114 */
									int BgL_tmpz00_3620;

									BgL_tmpz00_3620 = (int) (((long) 1));
									BgL_tmpz00_2672 = BGL_MVALUES_VAL(BgL_tmpz00_3620);
								}
								{	/* Reduce/cse.scm 114 */
									int BgL_tmpz00_3623;

									BgL_tmpz00_3623 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3623, BUNSPEC);
								}
								BgL_nargz00_2671 = BgL_tmpz00_2672;
							}
							((((BgL_appzd2lyzd2_bglt) COBJECT(
											((BgL_appzd2lyzd2_bglt) BgL_nodez00_2440)))->BgL_argz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_2671)),
								BUNSPEC);
							{	/* Reduce/cse.scm 115 */
								obj_t BgL_val0_1266z00_2673;

								if (CBOOL(BgL_resetz00_2665))
									{	/* Reduce/cse.scm 115 */
										BgL_val0_1266z00_2673 = BgL_resetz00_2665;
									}
								else
									{	/* Reduce/cse.scm 115 */
										BgL_val0_1266z00_2673 = BgL_resetz72z72_2668;
									}
								{	/* Reduce/cse.scm 115 */
									int BgL_tmpz00_3631;

									BgL_tmpz00_3631 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3631);
								}
								{	/* Reduce/cse.scm 115 */
									obj_t BgL_auxz00_3636;
									int BgL_tmpz00_3634;

									BgL_auxz00_3636 =
										((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2440));
									BgL_tmpz00_3634 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3634, BgL_auxz00_3636);
								}
								return BgL_val0_1266z00_2673;
							}
						}
					}
				}
			}
		}

	}



/* &node-cse!-sync1325 */
	obj_t BGl_z62nodezd2csez12zd2sync1325z70zzreduce_csez00(obj_t BgL_envz00_2442,
		obj_t BgL_nodez00_2443, obj_t BgL_stackz00_2444)
	{
		{	/* Reduce/cse.scm 94 */
			{	/* Reduce/cse.scm 96 */
				obj_t BgL_resetmz00_2675;

				BgL_resetmz00_2675 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2443)))->BgL_mutexz00),
					BgL_stackz00_2444);
				{	/* Reduce/cse.scm 97 */
					obj_t BgL_nmutexz00_2676;

					{	/* Reduce/cse.scm 98 */
						obj_t BgL_tmpz00_2677;

						{	/* Reduce/cse.scm 98 */
							int BgL_tmpz00_3643;

							BgL_tmpz00_3643 = (int) (((long) 1));
							BgL_tmpz00_2677 = BGL_MVALUES_VAL(BgL_tmpz00_3643);
						}
						{	/* Reduce/cse.scm 98 */
							int BgL_tmpz00_3646;

							BgL_tmpz00_3646 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3646, BUNSPEC);
						}
						BgL_nmutexz00_2676 = BgL_tmpz00_2677;
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2443)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmutexz00_2676)),
						BUNSPEC);
					{	/* Reduce/cse.scm 99 */
						obj_t BgL_resetpz00_2678;

						BgL_resetpz00_2678 =
							BGl_nodezd2csez12zc0zzreduce_csez00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_2443)))->BgL_prelockz00),
							BgL_stackz00_2444);
						{	/* Reduce/cse.scm 100 */
							obj_t BgL_nprelockz00_2679;

							{	/* Reduce/cse.scm 101 */
								obj_t BgL_tmpz00_2680;

								{	/* Reduce/cse.scm 101 */
									int BgL_tmpz00_3655;

									BgL_tmpz00_3655 = (int) (((long) 1));
									BgL_tmpz00_2680 = BGL_MVALUES_VAL(BgL_tmpz00_3655);
								}
								{	/* Reduce/cse.scm 101 */
									int BgL_tmpz00_3658;

									BgL_tmpz00_3658 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3658, BUNSPEC);
								}
								BgL_nprelockz00_2679 = BgL_tmpz00_2680;
							}
							((((BgL_syncz00_bglt) COBJECT(
											((BgL_syncz00_bglt) BgL_nodez00_2443)))->BgL_prelockz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nprelockz00_2679)),
								BUNSPEC);
							{	/* Reduce/cse.scm 102 */
								obj_t BgL_val0_1264z00_2681;

								{	/* Reduce/cse.scm 102 */
									obj_t BgL__ortest_1107z00_2682;

									BgL__ortest_1107z00_2682 =
										BGl_nodezd2csez12zc0zzreduce_csez00(
										(((BgL_syncz00_bglt) COBJECT(
													((BgL_syncz00_bglt) BgL_nodez00_2443)))->BgL_bodyz00),
										BgL_stackz00_2444);
									if (CBOOL(BgL__ortest_1107z00_2682))
										{	/* Reduce/cse.scm 102 */
											BgL_val0_1264z00_2681 = BgL__ortest_1107z00_2682;
										}
									else
										{	/* Reduce/cse.scm 102 */
											if (CBOOL(BgL_resetmz00_2675))
												{	/* Reduce/cse.scm 102 */
													BgL_val0_1264z00_2681 = BgL_resetmz00_2675;
												}
											else
												{	/* Reduce/cse.scm 102 */
													BgL_val0_1264z00_2681 = BgL_resetpz00_2678;
												}
										}
								}
								{	/* Reduce/cse.scm 102 */
									int BgL_tmpz00_3671;

									BgL_tmpz00_3671 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3671);
								}
								{	/* Reduce/cse.scm 102 */
									obj_t BgL_auxz00_3676;
									int BgL_tmpz00_3674;

									BgL_auxz00_3676 =
										((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_2443));
									BgL_tmpz00_3674 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3674, BgL_auxz00_3676);
								}
								return BgL_val0_1264z00_2681;
							}
						}
					}
				}
			}
		}

	}



/* &node-cse!-sequence1323 */
	obj_t BGl_z62nodezd2csez12zd2sequence1323z70zzreduce_csez00(obj_t
		BgL_envz00_2445, obj_t BgL_nodez00_2446, obj_t BgL_stackz00_2447)
	{
		{	/* Reduce/cse.scm 87 */
			{	/* Reduce/cse.scm 89 */
				obj_t BgL_val0_1262z00_2684;

				BgL_val0_1262z00_2684 =
					BGl_nodezd2cseza2z12z62zzreduce_csez00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2446)))->BgL_nodesz00),
					BgL_stackz00_2447);
				{	/* Reduce/cse.scm 89 */
					int BgL_tmpz00_3683;

					BgL_tmpz00_3683 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3683);
				}
				{	/* Reduce/cse.scm 89 */
					obj_t BgL_auxz00_3688;
					int BgL_tmpz00_3686;

					BgL_auxz00_3688 = ((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_2446));
					BgL_tmpz00_3686 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3686, BgL_auxz00_3688);
				}
				return BgL_val0_1262z00_2684;
			}
		}

	}



/* &node-cse!-closure1321 */
	obj_t BGl_z62nodezd2csez12zd2closure1321z70zzreduce_csez00(obj_t
		BgL_envz00_2448, obj_t BgL_nodez00_2449, obj_t BgL_stackz00_2450)
	{
		{	/* Reduce/cse.scm 81 */
			{	/* Reduce/cse.scm 82 */
				int BgL_tmpz00_3692;

				BgL_tmpz00_3692 = (int) (((long) 2));
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3692);
			}
			{	/* Reduce/cse.scm 82 */
				obj_t BgL_auxz00_3697;
				int BgL_tmpz00_3695;

				BgL_auxz00_3697 = ((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2449));
				BgL_tmpz00_3695 = (int) (((long) 1));
				BGL_MVALUES_VAL_SET(BgL_tmpz00_3695, BgL_auxz00_3697);
			}
			return BFALSE;
		}

	}



/* &node-cse!-var1319 */
	obj_t BGl_z62nodezd2csez12zd2var1319z70zzreduce_csez00(obj_t BgL_envz00_2451,
		obj_t BgL_nodez00_2452, obj_t BgL_stackz00_2453)
	{
		{	/* Reduce/cse.scm 75 */
			{	/* Reduce/cse.scm 76 */
				int BgL_tmpz00_3701;

				BgL_tmpz00_3701 = (int) (((long) 2));
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3701);
			}
			{	/* Reduce/cse.scm 76 */
				obj_t BgL_auxz00_3706;
				int BgL_tmpz00_3704;

				BgL_auxz00_3706 = ((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2452));
				BgL_tmpz00_3704 = (int) (((long) 1));
				BGL_MVALUES_VAL_SET(BgL_tmpz00_3704, BgL_auxz00_3706);
			}
			return BFALSE;
		}

	}



/* &node-cse!-kwote1317 */
	obj_t BGl_z62nodezd2csez12zd2kwote1317z70zzreduce_csez00(obj_t
		BgL_envz00_2454, obj_t BgL_nodez00_2455, obj_t BgL_stackz00_2456)
	{
		{	/* Reduce/cse.scm 69 */
			{	/* Reduce/cse.scm 70 */
				int BgL_tmpz00_3710;

				BgL_tmpz00_3710 = (int) (((long) 2));
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3710);
			}
			{	/* Reduce/cse.scm 70 */
				obj_t BgL_auxz00_3715;
				int BgL_tmpz00_3713;

				BgL_auxz00_3715 = ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_2455));
				BgL_tmpz00_3713 = (int) (((long) 1));
				BGL_MVALUES_VAL_SET(BgL_tmpz00_3713, BgL_auxz00_3715);
			}
			return BFALSE;
		}

	}



/* &node-cse!-atom1315 */
	obj_t BGl_z62nodezd2csez12zd2atom1315z70zzreduce_csez00(obj_t BgL_envz00_2457,
		obj_t BgL_nodez00_2458, obj_t BgL_stackz00_2459)
	{
		{	/* Reduce/cse.scm 63 */
			{	/* Reduce/cse.scm 64 */
				int BgL_tmpz00_3719;

				BgL_tmpz00_3719 = (int) (((long) 2));
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3719);
			}
			{	/* Reduce/cse.scm 64 */
				obj_t BgL_auxz00_3724;
				int BgL_tmpz00_3722;

				BgL_auxz00_3724 = ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_2458));
				BgL_tmpz00_3722 = (int) (((long) 1));
				BGL_MVALUES_VAL_SET(BgL_tmpz00_3722, BgL_auxz00_3724);
			}
			return BFALSE;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_csez00()
	{
		{	/* Reduce/cse.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1892z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1892z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1892z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1892z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1892z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1892z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1892z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1892z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1892z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1892z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1892z00zzreduce_csez00));
			return
				BGl_modulezd2initializa7ationz75zzreduce_samez00(((long) 284483356),
				BSTRING_TO_STRING(BGl_string1892z00zzreduce_csez00));
		}

	}

#ifdef __cplusplus
}
#endif
