/*===========================================================================*/
/*   (Reduce/sbeta.scm)                                                      */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/sbeta.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static bool_t BGl_simplezf3ze70z14zzreduce_betaz00(obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_betaz00 = BUNSPEC;
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2appzd2ly1421za2zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_betaz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_betaz00();
	extern obj_t BGl_getfieldz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2condition1430z70zzreduce_betaz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_betaz00();
	static obj_t BGl_nodezd2betaza2z12z62zzreduce_betaz00(obj_t);
	static obj_t BGl_za2czd2stringzd2lengthza2z00zzreduce_betaz00 = BUNSPEC;
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62nodezd2betaz121410za2zzreduce_betaz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2switch1432z70zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static long BGl_za2removedza2z00zzreduce_betaz00;
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2boxzd2setz121442zb0zzreduce_betaz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62nodezd2betaz12za2zzreduce_betaz00(obj_t,
		obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2makezd2box1440za2zzreduce_betaz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_betaz00();
	static bool_t BGl_iszd2argumentzf3z21zzreduce_betaz00(BgL_variablez00_bglt,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00 = BUNSPEC;
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62reducezd2betaz12za2zzreduce_betaz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2fun1434za2zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	static BgL_nodez00_bglt
		BGl_nodezd2betazd2earlyzd2appz12zc0zzreduce_betaz00(BgL_appz00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1438z70zzreduce_betaz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1436z70zzreduce_betaz00(obj_t, obj_t);
	static obj_t BGl_za2czd2flonumzf3za2z21zzreduce_betaz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2cast1425z70zzreduce_betaz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2sequence1417z70zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setq1427z70zzreduce_betaz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_betaz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_cfunz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2sync1419z70zzreduce_betaz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2app1445z70zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_nodezd2betazd2predicatez12z12zzreduce_betaz00(BgL_appz00_bglt);
	extern obj_t BGl_vrefz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzreduce_betaz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_betaz00();
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_betaz00();
	static obj_t BGl_gczd2rootszd2initz00zzreduce_betaz00();
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2var1415za2zzreduce_betaz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2funcall1423z70zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_makezd2argszd2listz00zzreduce_betaz00(obj_t, obj_t);
	static bool_t BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00(obj_t);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_findzd2actualzd2expressionz00zzreduce_betaz00(BgL_nodez00_bglt);
	static bool_t BGl_dangerouszf3zf3zzreduce_betaz00(obj_t);
	static obj_t BGl_predicatezf3zf3zzreduce_betaz00(BgL_appz00_bglt);
	static obj_t BGl_za2predicatesza2z00zzreduce_betaz00 = BUNSPEC;
	static bool_t BGl_argumentzf3zf3zzreduce_betaz00(BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_reducezd2betaz12zc0zzreduce_betaz00(obj_t);
	static obj_t __cnst[6];


	   
		 
		DEFINE_STRING(BGl_string2201z00zzreduce_betaz00,
		BgL_bgl_string2201za700za7za7r2222za7, "node-beta!1410", 14);
	      DEFINE_STRING(BGl_string2203z00zzreduce_betaz00,
		BgL_bgl_string2203za700za7za7r2223za7, "node-beta!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712224za7,
		BGl_z62nodezd2betaz121410za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712225za7,
		BGl_z62nodezd2betaz12zd2letzd2var1415za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712226za7,
		BGl_z62nodezd2betaz12zd2sequence1417z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712227za7,
		BGl_z62nodezd2betaz12zd2sync1419z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712228za7,
		BGl_z62nodezd2betaz12zd2appzd2ly1421za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712229za7,
		BGl_z62nodezd2betaz12zd2funcall1423z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712230za7,
		BGl_z62nodezd2betaz12zd2cast1425z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712231za7,
		BGl_z62nodezd2betaz12zd2setq1427z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2218z00zzreduce_betaz00,
		BgL_bgl_string2218za700za7za7r2232za7, "reduce_beta", 11);
	      DEFINE_STRING(BGl_string2219z00zzreduce_betaz00,
		BgL_bgl_string2219za700za7za7r2233za7,
		"bdb nesting $string-length c-flonum? c-fixnum? foreign ", 55);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712234za7,
		BGl_z62nodezd2betaz12zd2condition1430z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712235za7,
		BGl_z62nodezd2betaz12zd2switch1432z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712236za7,
		BGl_z62nodezd2betaz12zd2letzd2fun1434za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712237za7,
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1436z70zzreduce_betaz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712238za7,
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1438z70zzreduce_betaz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712239za7,
		BGl_z62nodezd2betaz12zd2makezd2box1440za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712240za7,
		BGl_z62nodezd2betaz12zd2boxzd2setz121442zb0zzreduce_betaz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712241za7,
		BGl_z62nodezd2betaz12zd2app1445z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd2betaz12zd2envz12zzreduce_betaz00,
		BgL_bgl_za762reduceza7d2beta2242z00,
		BGl_z62reducezd2betaz12za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712243za7,
		BGl_z62nodezd2betaz12za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2196z00zzreduce_betaz00,
		BgL_bgl_string2196za700za7za7r2244za7, "      simple beta reduction  ", 29);
	      DEFINE_STRING(BGl_string2197z00zzreduce_betaz00,
		BgL_bgl_string2197za700za7za7r2245za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string2198z00zzreduce_betaz00,
		BgL_bgl_string2198za700za7za7r2246za7, "node-beta-predicate!", 20);
	      DEFINE_STRING(BGl_string2199z00zzreduce_betaz00,
		BgL_bgl_string2199za700za7za7r2247za7, "Illegal predicate", 17);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_betaz00));
		     ADD_ROOT((void *) (&BGl_za2czd2stringzd2lengthza2z00zzreduce_betaz00));
		     ADD_ROOT((void *) (&BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00));
		     ADD_ROOT((void *) (&BGl_za2czd2flonumzf3za2z21zzreduce_betaz00));
		     ADD_ROOT((void *) (&BGl_za2predicatesza2z00zzreduce_betaz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_betaz00(long
		BgL_checksumz00_4386, char *BgL_fromz00_4387)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_betaz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_betaz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_betaz00();
					BGl_libraryzd2moduleszd2initz00zzreduce_betaz00();
					BGl_cnstzd2initzd2zzreduce_betaz00();
					BGl_importedzd2moduleszd2initz00zzreduce_betaz00();
					BGl_genericzd2initzd2zzreduce_betaz00();
					BGl_methodzd2initzd2zzreduce_betaz00();
					return BGl_toplevelzd2initzd2zzreduce_betaz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_betaz00()
	{
		{	/* Reduce/sbeta.scm 25 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_beta");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_beta");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_beta");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"reduce_beta");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "reduce_beta");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_beta");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"reduce_beta");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_beta");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_beta");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_betaz00()
	{
		{	/* Reduce/sbeta.scm 25 */
			{	/* Reduce/sbeta.scm 25 */
				obj_t BgL_cportz00_4144;

				{	/* Reduce/sbeta.scm 25 */
					obj_t BgL_stringz00_4152;

					BgL_stringz00_4152 = BGl_string2219z00zzreduce_betaz00;
					{	/* Reduce/sbeta.scm 25 */
						obj_t BgL_startz00_4153;

						BgL_startz00_4153 = BINT(((long) 0));
						{	/* Reduce/sbeta.scm 25 */
							obj_t BgL_endz00_4154;

							BgL_endz00_4154 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4152)));
							{	/* Reduce/sbeta.scm 25 */

								BgL_cportz00_4144 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4152, BgL_startz00_4153, BgL_endz00_4154);
				}}}}
				{
					long BgL_iz00_4145;

					BgL_iz00_4145 = ((long) 5);
				BgL_loopz00_4146:
					if ((BgL_iz00_4145 == ((long) -1)))
						{	/* Reduce/sbeta.scm 25 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/sbeta.scm 25 */
							{	/* Reduce/sbeta.scm 25 */
								obj_t BgL_arg2221z00_4148;

								{	/* Reduce/sbeta.scm 25 */

									{	/* Reduce/sbeta.scm 25 */
										obj_t BgL_locationz00_4150;

										BgL_locationz00_4150 = BBOOL(((bool_t) 0));
										{	/* Reduce/sbeta.scm 25 */

											BgL_arg2221z00_4148 =
												BGl_readz00zz__readerz00(BgL_cportz00_4144,
												BgL_locationz00_4150);
										}
									}
								}
								{	/* Reduce/sbeta.scm 25 */
									int BgL_tmpz00_4416;

									BgL_tmpz00_4416 = (int) (BgL_iz00_4145);
									CNST_TABLE_SET(BgL_tmpz00_4416, BgL_arg2221z00_4148);
							}}
							{	/* Reduce/sbeta.scm 25 */
								int BgL_auxz00_4151;

								BgL_auxz00_4151 = (int) ((BgL_iz00_4145 - ((long) 1)));
								{
									long BgL_iz00_4421;

									BgL_iz00_4421 = (long) (BgL_auxz00_4151);
									BgL_iz00_4145 = BgL_iz00_4421;
									goto BgL_loopz00_4146;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_betaz00()
	{
		{	/* Reduce/sbeta.scm 25 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_betaz00()
	{
		{	/* Reduce/sbeta.scm 25 */
			BGl_za2removedza2z00zzreduce_betaz00 = ((long) 0);
			BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00 = BUNSPEC;
			BGl_za2czd2flonumzf3za2z21zzreduce_betaz00 = BUNSPEC;
			BGl_za2czd2stringzd2lengthza2z00zzreduce_betaz00 = BUNSPEC;
			BGl_za2predicatesza2z00zzreduce_betaz00 = BNIL;
			return BUNSPEC;
		}

	}



/* reduce-beta! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2betaz12zc0zzreduce_betaz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/sbeta.scm 47 */
			{	/* Reduce/sbeta.scm 48 */
				obj_t BgL_list1457z00_1473;

				BgL_list1457z00_1473 =
					MAKE_YOUNG_PAIR(BGl_string2196z00zzreduce_betaz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1457z00_1473);
			}
			BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_3);
			BGl_za2removedza2z00zzreduce_betaz00 = ((long) 0);
			{	/* Reduce/sbeta.scm 55 */
				obj_t BgL_list1458z00_1474;

				BgL_list1458z00_1474 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
				BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 1)),
					BgL_list1458z00_1474);
			}
			{	/* Reduce/sbeta.scm 56 */
				obj_t BgL_list1459z00_1475;

				BgL_list1459z00_1475 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
				BGl_za2czd2flonumzf3za2z21zzreduce_betaz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 2)),
					BgL_list1459z00_1475);
			}
			{	/* Reduce/sbeta.scm 57 */
				obj_t BgL_list1460z00_1476;

				BgL_list1460z00_1476 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
				BGl_za2czd2stringzd2lengthza2z00zzreduce_betaz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 3)),
					BgL_list1460z00_1476);
			}
			{	/* Reduce/sbeta.scm 58 */
				obj_t BgL_list1461z00_1477;

				{	/* Reduce/sbeta.scm 58 */
					obj_t BgL_arg1462z00_1478;

					BgL_arg1462z00_1478 =
						MAKE_YOUNG_PAIR(BGl_za2czd2flonumzf3za2z21zzreduce_betaz00, BNIL);
					BgL_list1461z00_1477 =
						MAKE_YOUNG_PAIR(BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00,
						BgL_arg1462z00_1478);
				}
				BGl_za2predicatesza2z00zzreduce_betaz00 = BgL_list1461z00_1477;
			}
			{
				obj_t BgL_l1326z00_1480;

				BgL_l1326z00_1480 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31463ze3z87_1481:
				if (PAIRP(BgL_l1326z00_1480))
					{	/* Reduce/sbeta.scm 60 */
						{	/* Reduce/sbeta.scm 61 */
							obj_t BgL_globalz00_1483;

							BgL_globalz00_1483 = CAR(BgL_l1326z00_1480);
							{	/* Reduce/sbeta.scm 61 */
								BgL_valuez00_bglt BgL_funz00_1484;

								BgL_funz00_1484 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1483))))->
									BgL_valuez00);
								{	/* Reduce/sbeta.scm 61 */
									obj_t BgL_nodez00_1485;

									BgL_nodez00_1485 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1484)))->BgL_bodyz00);
									{	/* Reduce/sbeta.scm 62 */

										{	/* Reduce/sbeta.scm 63 */
											BgL_nodez00_bglt BgL_arg1477z00_1486;

											BgL_arg1477z00_1486 =
												BGl_nodezd2betaz12zc0zzreduce_betaz00(
												((BgL_nodez00_bglt) BgL_nodez00_1485));
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1484)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1477z00_1486)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1326z00_4455;

							BgL_l1326z00_4455 = CDR(BgL_l1326z00_1480);
							BgL_l1326z00_1480 = BgL_l1326z00_4455;
							goto BgL_zc3z04anonymousza31463ze3z87_1481;
						}
					}
				else
					{	/* Reduce/sbeta.scm 60 */
						((bool_t) 1);
					}
			}
			BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00 = BUNSPEC;
			BGl_za2czd2flonumzf3za2z21zzreduce_betaz00 = BUNSPEC;
			BGl_za2czd2stringzd2lengthza2z00zzreduce_betaz00 = BUNSPEC;
			BGl_za2predicatesza2z00zzreduce_betaz00 = BNIL;
			{	/* Reduce/sbeta.scm 72 */
				obj_t BgL_list1495z00_1489;

				{	/* Reduce/sbeta.scm 72 */
					obj_t BgL_arg1496z00_1490;

					{	/* Reduce/sbeta.scm 72 */
						obj_t BgL_arg1497z00_1491;

						{	/* Reduce/sbeta.scm 72 */
							obj_t BgL_arg1500z00_1492;

							BgL_arg1500z00_1492 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1497z00_1491 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ')')),
								BgL_arg1500z00_1492);
						}
						BgL_arg1496z00_1490 =
							MAKE_YOUNG_PAIR(BINT(BGl_za2removedza2z00zzreduce_betaz00),
							BgL_arg1497z00_1491);
					}
					BgL_list1495z00_1489 =
						MAKE_YOUNG_PAIR(BGl_string2197z00zzreduce_betaz00,
						BgL_arg1496z00_1490);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1495z00_1489);
			}
			return BgL_globalsz00_3;
		}

	}



/* &reduce-beta! */
	obj_t BGl_z62reducezd2betaz12za2zzreduce_betaz00(obj_t BgL_envz00_4092,
		obj_t BgL_globalsz00_4093)
	{
		{	/* Reduce/sbeta.scm 47 */
			return BGl_reducezd2betaz12zc0zzreduce_betaz00(BgL_globalsz00_4093);
		}

	}



/* find-actual-expression */
	BgL_nodez00_bglt
		BGl_findzd2actualzd2expressionz00zzreduce_betaz00(BgL_nodez00_bglt
		BgL_bodyz00_5)
	{
		{	/* Reduce/sbeta.scm 97 */
		BGl_findzd2actualzd2expressionz00zzreduce_betaz00:
			{	/* Reduce/sbeta.scm 98 */
				bool_t BgL_test2251z00_4467;

				{	/* Reduce/sbeta.scm 98 */
					obj_t BgL_classz00_2459;

					BgL_classz00_2459 = BGl_sequencez00zzast_nodez00;
					{	/* Reduce/sbeta.scm 98 */
						BgL_objectz00_bglt BgL_arg1825z00_2461;

						{	/* Reduce/sbeta.scm 98 */
							obj_t BgL_tmpz00_4468;

							BgL_tmpz00_4468 = ((obj_t) BgL_bodyz00_5);
							BgL_arg1825z00_2461 = (BgL_objectz00_bglt) (BgL_tmpz00_4468);
						}
						{	/* Reduce/sbeta.scm 98 */
							bool_t BgL_arg1822z00_2464;
							bool_t BgL_arg1823z00_2465;

							{	/* Reduce/sbeta.scm 98 */
								long BgL_idxz00_2468;

								BgL_idxz00_2468 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2461);
								BgL_arg1822z00_2464 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2468 + ((long) 3))) == BgL_classz00_2459);
							}
							{	/* Reduce/sbeta.scm 98 */
								bool_t BgL_res2147z00_2490;

								{	/* Reduce/sbeta.scm 98 */
									obj_t BgL_oclassz00_2476;

									{	/* Reduce/sbeta.scm 98 */
										long BgL_arg1833z00_2482;

										{	/* Reduce/sbeta.scm 98 */
											long BgL_arg1834z00_2483;

											BgL_arg1834z00_2483 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2461);
											BgL_arg1833z00_2482 = (BgL_arg1834z00_2483 - OBJECT_TYPE);
										}
										BgL_oclassz00_2476 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_2482);
									}
									{	/* Reduce/sbeta.scm 98 */
										bool_t BgL__ortest_1110z00_2477;

										BgL__ortest_1110z00_2477 =
											(BgL_classz00_2459 == BgL_oclassz00_2476);
										if (BgL__ortest_1110z00_2477)
											{	/* Reduce/sbeta.scm 98 */
												BgL_res2147z00_2490 = BgL__ortest_1110z00_2477;
											}
										else
											{	/* Reduce/sbeta.scm 98 */
												long BgL_odepthz00_2478;

												BgL_odepthz00_2478 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2476);
												if ((((long) 3) < BgL_odepthz00_2478))
													{	/* Reduce/sbeta.scm 98 */
														obj_t BgL_arg1821z00_2480;

														BgL_arg1821z00_2480 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2476,
															((long) 3));
														BgL_res2147z00_2490 =
															(BgL_arg1821z00_2480 == BgL_classz00_2459);
													}
												else
													{	/* Reduce/sbeta.scm 98 */
														BgL_res2147z00_2490 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_2465 = BgL_res2147z00_2490;
							}
							BgL_test2251z00_4467 =
								BGL_ISA_C_BACKEND(BgL_arg1822z00_2464, BgL_arg1823z00_2465);
						}
					}
				}
				if (BgL_test2251z00_4467)
					{	/* Reduce/sbeta.scm 100 */
						bool_t BgL_test2254z00_4486;

						if (NULLP(
								(((BgL_sequencez00_bglt) COBJECT(
											((BgL_sequencez00_bglt) BgL_bodyz00_5)))->BgL_nodesz00)))
							{	/* Reduce/sbeta.scm 100 */
								BgL_test2254z00_4486 = ((bool_t) 0);
							}
						else
							{	/* Reduce/sbeta.scm 100 */
								bool_t BgL_test2256z00_4491;

								{	/* Reduce/sbeta.scm 100 */
									obj_t BgL_tmpz00_4492;

									{	/* Reduce/sbeta.scm 100 */
										obj_t BgL_pairz00_2491;

										BgL_pairz00_2491 =
											(((BgL_sequencez00_bglt) COBJECT(
													((BgL_sequencez00_bglt) BgL_bodyz00_5)))->
											BgL_nodesz00);
										BgL_tmpz00_4492 = CDR(BgL_pairz00_2491);
									}
									BgL_test2256z00_4491 = NULLP(BgL_tmpz00_4492);
								}
								if (BgL_test2256z00_4491)
									{	/* Reduce/sbeta.scm 100 */
										BgL_test2254z00_4486 =
											NULLP(
											(((BgL_sequencez00_bglt) COBJECT(
														((BgL_sequencez00_bglt) BgL_bodyz00_5)))->
												BgL_metaz00));
									}
								else
									{	/* Reduce/sbeta.scm 100 */
										BgL_test2254z00_4486 = ((bool_t) 0);
									}
							}
						if (BgL_test2254z00_4486)
							{	/* Reduce/sbeta.scm 101 */
								obj_t BgL_arg1551z00_1505;

								{	/* Reduce/sbeta.scm 101 */
									obj_t BgL_pairz00_2492;

									BgL_pairz00_2492 =
										(((BgL_sequencez00_bglt) COBJECT(
												((BgL_sequencez00_bglt) BgL_bodyz00_5)))->BgL_nodesz00);
									BgL_arg1551z00_1505 = CAR(BgL_pairz00_2492);
								}
								{
									BgL_nodez00_bglt BgL_bodyz00_4503;

									BgL_bodyz00_4503 = ((BgL_nodez00_bglt) BgL_arg1551z00_1505);
									BgL_bodyz00_5 = BgL_bodyz00_4503;
									goto BGl_findzd2actualzd2expressionz00zzreduce_betaz00;
								}
							}
						else
							{	/* Reduce/sbeta.scm 100 */
								return BgL_bodyz00_5;
							}
					}
				else
					{	/* Reduce/sbeta.scm 98 */
						return BgL_bodyz00_5;
					}
			}
		}

	}



/* is-argument? */
	bool_t BGl_iszd2argumentzf3z21zzreduce_betaz00(BgL_variablez00_bglt
		BgL_varz00_6, obj_t BgL_bodyz00_7)
	{
		{	/* Reduce/sbeta.scm 108 */
			{	/* Reduce/sbeta.scm 110 */
				bool_t BgL_test2257z00_4505;

				{	/* Reduce/sbeta.scm 207 */
					bool_t BgL_test2258z00_4506;

					{	/* Reduce/sbeta.scm 207 */
						obj_t BgL_classz00_2497;

						BgL_classz00_2497 = BGl_varz00zzast_nodez00;
						{	/* Reduce/sbeta.scm 207 */
							BgL_objectz00_bglt BgL_arg1825z00_2499;

							{	/* Reduce/sbeta.scm 207 */
								obj_t BgL_tmpz00_4507;

								BgL_tmpz00_4507 = ((obj_t) ((BgL_nodez00_bglt) BgL_bodyz00_7));
								BgL_arg1825z00_2499 = (BgL_objectz00_bglt) (BgL_tmpz00_4507);
							}
							{	/* Reduce/sbeta.scm 207 */
								bool_t BgL_arg1822z00_2502;
								bool_t BgL_arg1823z00_2503;

								{	/* Reduce/sbeta.scm 207 */
									long BgL_idxz00_2506;

									BgL_idxz00_2506 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2499);
									BgL_arg1822z00_2502 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2506 + ((long) 2))) == BgL_classz00_2497);
								}
								{	/* Reduce/sbeta.scm 207 */
									bool_t BgL_res2148z00_2528;

									{	/* Reduce/sbeta.scm 207 */
										obj_t BgL_oclassz00_2514;

										{	/* Reduce/sbeta.scm 207 */
											long BgL_arg1833z00_2520;

											{	/* Reduce/sbeta.scm 207 */
												long BgL_arg1834z00_2521;

												BgL_arg1834z00_2521 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2499);
												BgL_arg1833z00_2520 =
													(BgL_arg1834z00_2521 - OBJECT_TYPE);
											}
											BgL_oclassz00_2514 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2520);
										}
										{	/* Reduce/sbeta.scm 207 */
											bool_t BgL__ortest_1110z00_2515;

											BgL__ortest_1110z00_2515 =
												(BgL_classz00_2497 == BgL_oclassz00_2514);
											if (BgL__ortest_1110z00_2515)
												{	/* Reduce/sbeta.scm 207 */
													BgL_res2148z00_2528 = BgL__ortest_1110z00_2515;
												}
											else
												{	/* Reduce/sbeta.scm 207 */
													long BgL_odepthz00_2516;

													BgL_odepthz00_2516 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2514);
													if ((((long) 2) < BgL_odepthz00_2516))
														{	/* Reduce/sbeta.scm 207 */
															obj_t BgL_arg1821z00_2518;

															BgL_arg1821z00_2518 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2514,
																((long) 2));
															BgL_res2148z00_2528 =
																(BgL_arg1821z00_2518 == BgL_classz00_2497);
														}
													else
														{	/* Reduce/sbeta.scm 207 */
															BgL_res2148z00_2528 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2503 = BgL_res2148z00_2528;
								}
								BgL_test2258z00_4506 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2502, BgL_arg1823z00_2503);
							}
						}
					}
					if (BgL_test2258z00_4506)
						{	/* Reduce/sbeta.scm 207 */
							BgL_test2257z00_4505 =
								(
								((obj_t)
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt)
													((BgL_nodez00_bglt) BgL_bodyz00_7))))->
										BgL_variablez00)) == ((obj_t) BgL_varz00_6));
						}
					else
						{	/* Reduce/sbeta.scm 207 */
							BgL_test2257z00_4505 = ((bool_t) 0);
						}
				}
				if (BgL_test2257z00_4505)
					{	/* Reduce/sbeta.scm 110 */
						return ((bool_t) 1);
					}
				else
					{	/* Reduce/sbeta.scm 112 */
						bool_t BgL_test2261z00_4532;

						{	/* Reduce/sbeta.scm 112 */
							obj_t BgL_classz00_2530;

							BgL_classz00_2530 = BGl_castz00zzast_nodez00;
							if (BGL_OBJECTP(BgL_bodyz00_7))
								{	/* Reduce/sbeta.scm 112 */
									BgL_objectz00_bglt BgL_arg1825z00_2532;

									BgL_arg1825z00_2532 = (BgL_objectz00_bglt) (BgL_bodyz00_7);
									{	/* Reduce/sbeta.scm 112 */
										bool_t BgL_arg1822z00_2535;
										bool_t BgL_arg1823z00_2536;

										{	/* Reduce/sbeta.scm 112 */
											long BgL_idxz00_2539;

											BgL_idxz00_2539 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2532);
											BgL_arg1822z00_2535 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2539 + ((long) 2))) == BgL_classz00_2530);
										}
										{	/* Reduce/sbeta.scm 112 */
											bool_t BgL_res2149z00_2561;

											{	/* Reduce/sbeta.scm 112 */
												obj_t BgL_oclassz00_2547;

												{	/* Reduce/sbeta.scm 112 */
													long BgL_arg1833z00_2553;

													{	/* Reduce/sbeta.scm 112 */
														long BgL_arg1834z00_2554;

														BgL_arg1834z00_2554 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2532);
														BgL_arg1833z00_2553 =
															(BgL_arg1834z00_2554 - OBJECT_TYPE);
													}
													BgL_oclassz00_2547 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2553);
												}
												{	/* Reduce/sbeta.scm 112 */
													bool_t BgL__ortest_1110z00_2548;

													BgL__ortest_1110z00_2548 =
														(BgL_classz00_2530 == BgL_oclassz00_2547);
													if (BgL__ortest_1110z00_2548)
														{	/* Reduce/sbeta.scm 112 */
															BgL_res2149z00_2561 = BgL__ortest_1110z00_2548;
														}
													else
														{	/* Reduce/sbeta.scm 112 */
															long BgL_odepthz00_2549;

															BgL_odepthz00_2549 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2547);
															if ((((long) 2) < BgL_odepthz00_2549))
																{	/* Reduce/sbeta.scm 112 */
																	obj_t BgL_arg1821z00_2551;

																	BgL_arg1821z00_2551 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2547,
																		((long) 2));
																	BgL_res2149z00_2561 =
																		(BgL_arg1821z00_2551 == BgL_classz00_2530);
																}
															else
																{	/* Reduce/sbeta.scm 112 */
																	BgL_res2149z00_2561 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2536 = BgL_res2149z00_2561;
										}
										BgL_test2261z00_4532 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2535,
											BgL_arg1823z00_2536);
									}
								}
							else
								{	/* Reduce/sbeta.scm 112 */
									BgL_test2261z00_4532 = ((bool_t) 0);
								}
						}
						if (BgL_test2261z00_4532)
							{	/* Reduce/sbeta.scm 114 */
								BgL_nodez00_bglt BgL_nodez00_2563;

								BgL_nodez00_2563 =
									(((BgL_castz00_bglt) COBJECT(
											((BgL_castz00_bglt) BgL_bodyz00_7)))->BgL_argz00);
								{	/* Reduce/sbeta.scm 207 */
									bool_t BgL_test2265z00_4553;

									{	/* Reduce/sbeta.scm 207 */
										obj_t BgL_classz00_2566;

										BgL_classz00_2566 = BGl_varz00zzast_nodez00;
										{	/* Reduce/sbeta.scm 207 */
											BgL_objectz00_bglt BgL_arg1825z00_2568;

											{	/* Reduce/sbeta.scm 207 */
												obj_t BgL_tmpz00_4554;

												BgL_tmpz00_4554 = ((obj_t) BgL_nodez00_2563);
												BgL_arg1825z00_2568 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4554);
											}
											{	/* Reduce/sbeta.scm 207 */
												bool_t BgL_arg1822z00_2571;
												bool_t BgL_arg1823z00_2572;

												{	/* Reduce/sbeta.scm 207 */
													long BgL_idxz00_2575;

													BgL_idxz00_2575 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2568);
													BgL_arg1822z00_2571 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2575 + ((long) 2))) ==
														BgL_classz00_2566);
												}
												{	/* Reduce/sbeta.scm 207 */
													bool_t BgL_res2150z00_2597;

													{	/* Reduce/sbeta.scm 207 */
														obj_t BgL_oclassz00_2583;

														{	/* Reduce/sbeta.scm 207 */
															long BgL_arg1833z00_2589;

															{	/* Reduce/sbeta.scm 207 */
																long BgL_arg1834z00_2590;

																BgL_arg1834z00_2590 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2568);
																BgL_arg1833z00_2589 =
																	(BgL_arg1834z00_2590 - OBJECT_TYPE);
															}
															BgL_oclassz00_2583 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_2589);
														}
														{	/* Reduce/sbeta.scm 207 */
															bool_t BgL__ortest_1110z00_2584;

															BgL__ortest_1110z00_2584 =
																(BgL_classz00_2566 == BgL_oclassz00_2583);
															if (BgL__ortest_1110z00_2584)
																{	/* Reduce/sbeta.scm 207 */
																	BgL_res2150z00_2597 =
																		BgL__ortest_1110z00_2584;
																}
															else
																{	/* Reduce/sbeta.scm 207 */
																	long BgL_odepthz00_2585;

																	BgL_odepthz00_2585 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2583);
																	if ((((long) 2) < BgL_odepthz00_2585))
																		{	/* Reduce/sbeta.scm 207 */
																			obj_t BgL_arg1821z00_2587;

																			BgL_arg1821z00_2587 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2583, ((long) 2));
																			BgL_res2150z00_2597 =
																				(BgL_arg1821z00_2587 ==
																				BgL_classz00_2566);
																		}
																	else
																		{	/* Reduce/sbeta.scm 207 */
																			BgL_res2150z00_2597 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_2572 = BgL_res2150z00_2597;
												}
												BgL_test2265z00_4553 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_2571,
													BgL_arg1823z00_2572);
											}
										}
									}
									if (BgL_test2265z00_4553)
										{	/* Reduce/sbeta.scm 207 */
											return
												(
												((obj_t)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2563)))->
														BgL_variablez00)) == ((obj_t) BgL_varz00_6));
										}
									else
										{	/* Reduce/sbeta.scm 207 */
											return ((bool_t) 0);
										}
								}
							}
						else
							{	/* Reduce/sbeta.scm 112 */
								return ((bool_t) 0);
							}
					}
			}
		}

	}



/* argument? */
	bool_t BGl_argumentzf3zf3zzreduce_betaz00(BgL_variablez00_bglt BgL_varz00_8,
		obj_t BgL_argsz00_9)
	{
		{	/* Reduce/sbeta.scm 121 */
			{
				obj_t BgL_argsz00_1518;

				BgL_argsz00_1518 = BgL_argsz00_9;
			BgL_zc3z04anonymousza31568ze3z87_1519:
				if (NULLP(BgL_argsz00_1518))
					{	/* Reduce/sbeta.scm 124 */
						return ((bool_t) 0);
					}
				else
					{	/* Reduce/sbeta.scm 126 */
						bool_t BgL_test2269z00_4579;

						{	/* Reduce/sbeta.scm 126 */
							obj_t BgL_arg1581z00_1524;

							BgL_arg1581z00_1524 = CAR(((obj_t) BgL_argsz00_1518));
							BgL_test2269z00_4579 =
								BGl_iszd2argumentzf3z21zzreduce_betaz00(BgL_varz00_8,
								BgL_arg1581z00_1524);
						}
						if (BgL_test2269z00_4579)
							{	/* Reduce/sbeta.scm 126 */
								return ((bool_t) 1);
							}
						else
							{	/* Reduce/sbeta.scm 129 */
								obj_t BgL_arg1578z00_1523;

								BgL_arg1578z00_1523 = CDR(((obj_t) BgL_argsz00_1518));
								{
									obj_t BgL_argsz00_4585;

									BgL_argsz00_4585 = BgL_arg1578z00_1523;
									BgL_argsz00_1518 = BgL_argsz00_4585;
									goto BgL_zc3z04anonymousza31568ze3z87_1519;
								}
							}
					}
			}
		}

	}



/* make-args-list */
	obj_t BGl_makezd2argszd2listz00zzreduce_betaz00(obj_t BgL_bindingsz00_10,
		obj_t BgL_argsz00_11)
	{
		{	/* Reduce/sbeta.scm 134 */
			if (NULLP(BgL_argsz00_11))
				{	/* Reduce/sbeta.scm 135 */
					return BNIL;
				}
			else
				{	/* Reduce/sbeta.scm 135 */
					obj_t BgL_head1330z00_1528;

					BgL_head1330z00_1528 = MAKE_YOUNG_PAIR(BNIL, BNIL);
					{
						obj_t BgL_l1328z00_1530;
						obj_t BgL_tail1331z00_1531;

						BgL_l1328z00_1530 = BgL_argsz00_11;
						BgL_tail1331z00_1531 = BgL_head1330z00_1528;
					BgL_zc3z04anonymousza31583ze3z87_1532:
						if (NULLP(BgL_l1328z00_1530))
							{	/* Reduce/sbeta.scm 135 */
								return CDR(BgL_head1330z00_1528);
							}
						else
							{	/* Reduce/sbeta.scm 135 */
								obj_t BgL_newtail1332z00_1534;

								{	/* Reduce/sbeta.scm 135 */
									obj_t BgL_arg1586z00_1536;

									{	/* Reduce/sbeta.scm 135 */
										obj_t BgL_az00_1537;

										BgL_az00_1537 = CAR(((obj_t) BgL_l1328z00_1530));
										{
											obj_t BgL_bindingsz00_1539;

											BgL_bindingsz00_1539 = BgL_bindingsz00_10;
										BgL_zc3z04anonymousza31587ze3z87_1540:
											if (NULLP(BgL_bindingsz00_1539))
												{	/* Reduce/sbeta.scm 138 */
													BgL_arg1586z00_1536 = BgL_az00_1537;
												}
											else
												{	/* Reduce/sbeta.scm 140 */
													bool_t BgL_test2273z00_4596;

													{	/* Reduce/sbeta.scm 140 */
														obj_t BgL_arg1601z00_1545;

														{	/* Reduce/sbeta.scm 140 */
															obj_t BgL_pairz00_2606;

															BgL_pairz00_2606 =
																CAR(((obj_t) BgL_bindingsz00_1539));
															BgL_arg1601z00_1545 = CAR(BgL_pairz00_2606);
														}
														BgL_test2273z00_4596 =
															BGl_iszd2argumentzf3z21zzreduce_betaz00(
															((BgL_variablez00_bglt) BgL_arg1601z00_1545),
															BgL_az00_1537);
													}
													if (BgL_test2273z00_4596)
														{	/* Reduce/sbeta.scm 141 */
															obj_t BgL_pairz00_2610;

															BgL_pairz00_2610 =
																CAR(((obj_t) BgL_bindingsz00_1539));
															BgL_arg1586z00_1536 = CDR(BgL_pairz00_2610);
														}
													else
														{	/* Reduce/sbeta.scm 143 */
															obj_t BgL_arg1597z00_1544;

															BgL_arg1597z00_1544 =
																CDR(((obj_t) BgL_bindingsz00_1539));
															{
																obj_t BgL_bindingsz00_4607;

																BgL_bindingsz00_4607 = BgL_arg1597z00_1544;
																BgL_bindingsz00_1539 = BgL_bindingsz00_4607;
																goto BgL_zc3z04anonymousza31587ze3z87_1540;
															}
														}
												}
										}
									}
									BgL_newtail1332z00_1534 =
										MAKE_YOUNG_PAIR(BgL_arg1586z00_1536, BNIL);
								}
								SET_CDR(BgL_tail1331z00_1531, BgL_newtail1332z00_1534);
								{	/* Reduce/sbeta.scm 135 */
									obj_t BgL_arg1585z00_1535;

									BgL_arg1585z00_1535 = CDR(((obj_t) BgL_l1328z00_1530));
									{
										obj_t BgL_tail1331z00_4613;
										obj_t BgL_l1328z00_4612;

										BgL_l1328z00_4612 = BgL_arg1585z00_1535;
										BgL_tail1331z00_4613 = BgL_newtail1332z00_1534;
										BgL_tail1331z00_1531 = BgL_tail1331z00_4613;
										BgL_l1328z00_1530 = BgL_l1328z00_4612;
										goto BgL_zc3z04anonymousza31583ze3z87_1532;
									}
								}
							}
					}
				}
		}

	}



/* dangerous? */
	bool_t BGl_dangerouszf3zf3zzreduce_betaz00(obj_t BgL_exprz00_12)
	{
		{	/* Reduce/sbeta.scm 149 */
			{	/* Reduce/sbeta.scm 150 */
				BgL_nodez00_bglt BgL_exprz00_1548;

				BgL_exprz00_1548 =
					BGl_findzd2actualzd2expressionz00zzreduce_betaz00(
					((BgL_nodez00_bglt) BgL_exprz00_12));
				{	/* Reduce/sbeta.scm 152 */
					bool_t BgL_test2274z00_4616;

					{	/* Reduce/sbeta.scm 152 */
						bool_t BgL_test2275z00_4617;

						{	/* Reduce/sbeta.scm 152 */
							obj_t BgL_classz00_2614;

							BgL_classz00_2614 = BGl_varz00zzast_nodez00;
							{	/* Reduce/sbeta.scm 152 */
								BgL_objectz00_bglt BgL_arg1825z00_2616;

								{	/* Reduce/sbeta.scm 152 */
									obj_t BgL_tmpz00_4618;

									BgL_tmpz00_4618 =
										((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1548));
									BgL_arg1825z00_2616 = (BgL_objectz00_bglt) (BgL_tmpz00_4618);
								}
								{	/* Reduce/sbeta.scm 152 */
									bool_t BgL_arg1822z00_2619;
									bool_t BgL_arg1823z00_2620;

									{	/* Reduce/sbeta.scm 152 */
										long BgL_idxz00_2623;

										BgL_idxz00_2623 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2616);
										BgL_arg1822z00_2619 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2623 + ((long) 2))) == BgL_classz00_2614);
									}
									{	/* Reduce/sbeta.scm 152 */
										bool_t BgL_res2151z00_2645;

										{	/* Reduce/sbeta.scm 152 */
											obj_t BgL_oclassz00_2631;

											{	/* Reduce/sbeta.scm 152 */
												long BgL_arg1833z00_2637;

												{	/* Reduce/sbeta.scm 152 */
													long BgL_arg1834z00_2638;

													BgL_arg1834z00_2638 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2616);
													BgL_arg1833z00_2637 =
														(BgL_arg1834z00_2638 - OBJECT_TYPE);
												}
												BgL_oclassz00_2631 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2637);
											}
											{	/* Reduce/sbeta.scm 152 */
												bool_t BgL__ortest_1110z00_2632;

												BgL__ortest_1110z00_2632 =
													(BgL_classz00_2614 == BgL_oclassz00_2631);
												if (BgL__ortest_1110z00_2632)
													{	/* Reduce/sbeta.scm 152 */
														BgL_res2151z00_2645 = BgL__ortest_1110z00_2632;
													}
												else
													{	/* Reduce/sbeta.scm 152 */
														long BgL_odepthz00_2633;

														BgL_odepthz00_2633 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2631);
														if ((((long) 2) < BgL_odepthz00_2633))
															{	/* Reduce/sbeta.scm 152 */
																obj_t BgL_arg1821z00_2635;

																BgL_arg1821z00_2635 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2631,
																	((long) 2));
																BgL_res2151z00_2645 =
																	(BgL_arg1821z00_2635 == BgL_classz00_2614);
															}
														else
															{	/* Reduce/sbeta.scm 152 */
																BgL_res2151z00_2645 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2620 = BgL_res2151z00_2645;
									}
									BgL_test2275z00_4617 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2619, BgL_arg1823z00_2620);
								}
							}
						}
						if (BgL_test2275z00_4617)
							{	/* Reduce/sbeta.scm 152 */
								BgL_test2274z00_4616 = ((bool_t) 1);
							}
						else
							{	/* Reduce/sbeta.scm 152 */
								bool_t BgL_test2278z00_4637;

								{	/* Reduce/sbeta.scm 152 */
									obj_t BgL_classz00_2646;

									BgL_classz00_2646 = BGl_atomz00zzast_nodez00;
									{	/* Reduce/sbeta.scm 152 */
										BgL_objectz00_bglt BgL_arg1825z00_2648;

										{	/* Reduce/sbeta.scm 152 */
											obj_t BgL_tmpz00_4638;

											BgL_tmpz00_4638 =
												((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1548));
											BgL_arg1825z00_2648 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4638);
										}
										{	/* Reduce/sbeta.scm 152 */
											bool_t BgL_arg1822z00_2651;
											bool_t BgL_arg1823z00_2652;

											{	/* Reduce/sbeta.scm 152 */
												long BgL_idxz00_2655;

												BgL_idxz00_2655 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2648);
												BgL_arg1822z00_2651 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2655 + ((long) 2))) ==
													BgL_classz00_2646);
											}
											{	/* Reduce/sbeta.scm 152 */
												bool_t BgL_res2152z00_2677;

												{	/* Reduce/sbeta.scm 152 */
													obj_t BgL_oclassz00_2663;

													{	/* Reduce/sbeta.scm 152 */
														long BgL_arg1833z00_2669;

														{	/* Reduce/sbeta.scm 152 */
															long BgL_arg1834z00_2670;

															BgL_arg1834z00_2670 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2648);
															BgL_arg1833z00_2669 =
																(BgL_arg1834z00_2670 - OBJECT_TYPE);
														}
														BgL_oclassz00_2663 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2669);
													}
													{	/* Reduce/sbeta.scm 152 */
														bool_t BgL__ortest_1110z00_2664;

														BgL__ortest_1110z00_2664 =
															(BgL_classz00_2646 == BgL_oclassz00_2663);
														if (BgL__ortest_1110z00_2664)
															{	/* Reduce/sbeta.scm 152 */
																BgL_res2152z00_2677 = BgL__ortest_1110z00_2664;
															}
														else
															{	/* Reduce/sbeta.scm 152 */
																long BgL_odepthz00_2665;

																BgL_odepthz00_2665 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2663);
																if ((((long) 2) < BgL_odepthz00_2665))
																	{	/* Reduce/sbeta.scm 152 */
																		obj_t BgL_arg1821z00_2667;

																		BgL_arg1821z00_2667 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2663, ((long) 2));
																		BgL_res2152z00_2677 =
																			(BgL_arg1821z00_2667 ==
																			BgL_classz00_2646);
																	}
																else
																	{	/* Reduce/sbeta.scm 152 */
																		BgL_res2152z00_2677 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2652 = BgL_res2152z00_2677;
											}
											BgL_test2278z00_4637 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2651,
												BgL_arg1823z00_2652);
										}
									}
								}
								if (BgL_test2278z00_4637)
									{	/* Reduce/sbeta.scm 152 */
										BgL_test2274z00_4616 = ((bool_t) 1);
									}
								else
									{	/* Reduce/sbeta.scm 152 */
										obj_t BgL_classz00_2678;

										BgL_classz00_2678 = BGl_kwotez00zzast_nodez00;
										{	/* Reduce/sbeta.scm 152 */
											BgL_objectz00_bglt BgL_arg1825z00_2680;

											{	/* Reduce/sbeta.scm 152 */
												obj_t BgL_tmpz00_4657;

												BgL_tmpz00_4657 =
													((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1548));
												BgL_arg1825z00_2680 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4657);
											}
											{	/* Reduce/sbeta.scm 152 */
												bool_t BgL_arg1822z00_2683;
												bool_t BgL_arg1823z00_2684;

												{	/* Reduce/sbeta.scm 152 */
													long BgL_idxz00_2687;

													BgL_idxz00_2687 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2680);
													BgL_arg1822z00_2683 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2687 + ((long) 2))) ==
														BgL_classz00_2678);
												}
												{	/* Reduce/sbeta.scm 152 */
													bool_t BgL_res2153z00_2709;

													{	/* Reduce/sbeta.scm 152 */
														obj_t BgL_oclassz00_2695;

														{	/* Reduce/sbeta.scm 152 */
															long BgL_arg1833z00_2701;

															{	/* Reduce/sbeta.scm 152 */
																long BgL_arg1834z00_2702;

																BgL_arg1834z00_2702 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2680);
																BgL_arg1833z00_2701 =
																	(BgL_arg1834z00_2702 - OBJECT_TYPE);
															}
															BgL_oclassz00_2695 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_2701);
														}
														{	/* Reduce/sbeta.scm 152 */
															bool_t BgL__ortest_1110z00_2696;

															BgL__ortest_1110z00_2696 =
																(BgL_classz00_2678 == BgL_oclassz00_2695);
															if (BgL__ortest_1110z00_2696)
																{	/* Reduce/sbeta.scm 152 */
																	BgL_res2153z00_2709 =
																		BgL__ortest_1110z00_2696;
																}
															else
																{	/* Reduce/sbeta.scm 152 */
																	long BgL_odepthz00_2697;

																	BgL_odepthz00_2697 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2695);
																	if ((((long) 2) < BgL_odepthz00_2697))
																		{	/* Reduce/sbeta.scm 152 */
																			obj_t BgL_arg1821z00_2699;

																			BgL_arg1821z00_2699 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2695, ((long) 2));
																			BgL_res2153z00_2709 =
																				(BgL_arg1821z00_2699 ==
																				BgL_classz00_2678);
																		}
																	else
																		{	/* Reduce/sbeta.scm 152 */
																			BgL_res2153z00_2709 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_2684 = BgL_res2153z00_2709;
												}
												BgL_test2274z00_4616 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_2683,
													BgL_arg1823z00_2684);
											}
										}
									}
							}
					}
					if (BgL_test2274z00_4616)
						{	/* Reduce/sbeta.scm 152 */
							return ((bool_t) 0);
						}
					else
						{	/* Reduce/sbeta.scm 154 */
							bool_t BgL_test2283z00_4676;

							{	/* Reduce/sbeta.scm 154 */
								obj_t BgL_classz00_2710;

								BgL_classz00_2710 = BGl_vrefz00zzast_nodez00;
								{	/* Reduce/sbeta.scm 154 */
									BgL_objectz00_bglt BgL_arg1825z00_2712;

									{	/* Reduce/sbeta.scm 154 */
										obj_t BgL_tmpz00_4677;

										BgL_tmpz00_4677 =
											((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1548));
										BgL_arg1825z00_2712 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4677);
									}
									{	/* Reduce/sbeta.scm 154 */
										bool_t BgL_arg1822z00_2715;
										bool_t BgL_arg1823z00_2716;

										{	/* Reduce/sbeta.scm 154 */
											long BgL_idxz00_2719;

											BgL_idxz00_2719 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2712);
											BgL_arg1822z00_2715 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2719 + ((long) 5))) == BgL_classz00_2710);
										}
										{	/* Reduce/sbeta.scm 154 */
											bool_t BgL_res2154z00_2741;

											{	/* Reduce/sbeta.scm 154 */
												obj_t BgL_oclassz00_2727;

												{	/* Reduce/sbeta.scm 154 */
													long BgL_arg1833z00_2733;

													{	/* Reduce/sbeta.scm 154 */
														long BgL_arg1834z00_2734;

														BgL_arg1834z00_2734 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2712);
														BgL_arg1833z00_2733 =
															(BgL_arg1834z00_2734 - OBJECT_TYPE);
													}
													BgL_oclassz00_2727 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2733);
												}
												{	/* Reduce/sbeta.scm 154 */
													bool_t BgL__ortest_1110z00_2728;

													BgL__ortest_1110z00_2728 =
														(BgL_classz00_2710 == BgL_oclassz00_2727);
													if (BgL__ortest_1110z00_2728)
														{	/* Reduce/sbeta.scm 154 */
															BgL_res2154z00_2741 = BgL__ortest_1110z00_2728;
														}
													else
														{	/* Reduce/sbeta.scm 154 */
															long BgL_odepthz00_2729;

															BgL_odepthz00_2729 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2727);
															if ((((long) 5) < BgL_odepthz00_2729))
																{	/* Reduce/sbeta.scm 154 */
																	obj_t BgL_arg1821z00_2731;

																	BgL_arg1821z00_2731 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2727,
																		((long) 5));
																	BgL_res2154z00_2741 =
																		(BgL_arg1821z00_2731 == BgL_classz00_2710);
																}
															else
																{	/* Reduce/sbeta.scm 154 */
																	BgL_res2154z00_2741 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2716 = BgL_res2154z00_2741;
										}
										BgL_test2283z00_4676 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2715,
											BgL_arg1823z00_2716);
									}
								}
							}
							if (BgL_test2283z00_4676)
								{	/* Reduce/sbeta.scm 155 */
									obj_t BgL_g1335z00_1553;

									BgL_g1335z00_1553 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_vrefz00_bglt) BgL_exprz00_1548))))->
										BgL_exprza2za2);
									{
										obj_t BgL_l1333z00_1555;

										BgL_l1333z00_1555 = BgL_g1335z00_1553;
									BgL_zc3z04anonymousza31608ze3z87_1556:
										if (NULLP(BgL_l1333z00_1555))
											{	/* Reduce/sbeta.scm 155 */
												return ((bool_t) 0);
											}
										else
											{	/* Reduce/sbeta.scm 155 */
												bool_t BgL__ortest_1336z00_1558;

												{	/* Reduce/sbeta.scm 155 */
													obj_t BgL_arg1613z00_1560;

													BgL_arg1613z00_1560 =
														CAR(((obj_t) BgL_l1333z00_1555));
													BgL__ortest_1336z00_1558 =
														BGl_dangerouszf3zf3zzreduce_betaz00
														(BgL_arg1613z00_1560);
												}
												if (BgL__ortest_1336z00_1558)
													{	/* Reduce/sbeta.scm 155 */
														return BgL__ortest_1336z00_1558;
													}
												else
													{	/* Reduce/sbeta.scm 155 */
														obj_t BgL_arg1612z00_1559;

														BgL_arg1612z00_1559 =
															CDR(((obj_t) BgL_l1333z00_1555));
														{
															obj_t BgL_l1333z00_4707;

															BgL_l1333z00_4707 = BgL_arg1612z00_1559;
															BgL_l1333z00_1555 = BgL_l1333z00_4707;
															goto BgL_zc3z04anonymousza31608ze3z87_1556;
														}
													}
											}
									}
								}
							else
								{	/* Reduce/sbeta.scm 156 */
									bool_t BgL_test2288z00_4708;

									{	/* Reduce/sbeta.scm 156 */
										obj_t BgL_classz00_2745;

										BgL_classz00_2745 = BGl_getfieldz00zzast_nodez00;
										{	/* Reduce/sbeta.scm 156 */
											BgL_objectz00_bglt BgL_arg1825z00_2747;

											{	/* Reduce/sbeta.scm 156 */
												obj_t BgL_tmpz00_4709;

												BgL_tmpz00_4709 =
													((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1548));
												BgL_arg1825z00_2747 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4709);
											}
											{	/* Reduce/sbeta.scm 156 */
												bool_t BgL_arg1822z00_2750;
												bool_t BgL_arg1823z00_2751;

												{	/* Reduce/sbeta.scm 156 */
													long BgL_idxz00_2754;

													BgL_idxz00_2754 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2747);
													BgL_arg1822z00_2750 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2754 + ((long) 5))) ==
														BgL_classz00_2745);
												}
												{	/* Reduce/sbeta.scm 156 */
													bool_t BgL_res2155z00_2776;

													{	/* Reduce/sbeta.scm 156 */
														obj_t BgL_oclassz00_2762;

														{	/* Reduce/sbeta.scm 156 */
															long BgL_arg1833z00_2768;

															{	/* Reduce/sbeta.scm 156 */
																long BgL_arg1834z00_2769;

																BgL_arg1834z00_2769 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2747);
																BgL_arg1833z00_2768 =
																	(BgL_arg1834z00_2769 - OBJECT_TYPE);
															}
															BgL_oclassz00_2762 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_2768);
														}
														{	/* Reduce/sbeta.scm 156 */
															bool_t BgL__ortest_1110z00_2763;

															BgL__ortest_1110z00_2763 =
																(BgL_classz00_2745 == BgL_oclassz00_2762);
															if (BgL__ortest_1110z00_2763)
																{	/* Reduce/sbeta.scm 156 */
																	BgL_res2155z00_2776 =
																		BgL__ortest_1110z00_2763;
																}
															else
																{	/* Reduce/sbeta.scm 156 */
																	long BgL_odepthz00_2764;

																	BgL_odepthz00_2764 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2762);
																	if ((((long) 5) < BgL_odepthz00_2764))
																		{	/* Reduce/sbeta.scm 156 */
																			obj_t BgL_arg1821z00_2766;

																			BgL_arg1821z00_2766 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2762, ((long) 5));
																			BgL_res2155z00_2776 =
																				(BgL_arg1821z00_2766 ==
																				BgL_classz00_2745);
																		}
																	else
																		{	/* Reduce/sbeta.scm 156 */
																			BgL_res2155z00_2776 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_2751 = BgL_res2155z00_2776;
												}
												BgL_test2288z00_4708 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_2750,
													BgL_arg1823z00_2751);
											}
										}
									}
									if (BgL_test2288z00_4708)
										{	/* Reduce/sbeta.scm 157 */
											obj_t BgL_g1339z00_1563;

											BgL_g1339z00_1563 =
												(((BgL_externz00_bglt) COBJECT(
														((BgL_externz00_bglt)
															((BgL_getfieldz00_bglt) BgL_exprz00_1548))))->
												BgL_exprza2za2);
											{
												obj_t BgL_l1337z00_1565;

												BgL_l1337z00_1565 = BgL_g1339z00_1563;
											BgL_zc3z04anonymousza31615ze3z87_1566:
												if (NULLP(BgL_l1337z00_1565))
													{	/* Reduce/sbeta.scm 157 */
														return ((bool_t) 0);
													}
												else
													{	/* Reduce/sbeta.scm 157 */
														bool_t BgL__ortest_1340z00_1568;

														{	/* Reduce/sbeta.scm 157 */
															obj_t BgL_arg1620z00_1570;

															BgL_arg1620z00_1570 =
																CAR(((obj_t) BgL_l1337z00_1565));
															BgL__ortest_1340z00_1568 =
																BGl_dangerouszf3zf3zzreduce_betaz00
																(BgL_arg1620z00_1570);
														}
														if (BgL__ortest_1340z00_1568)
															{	/* Reduce/sbeta.scm 157 */
																return BgL__ortest_1340z00_1568;
															}
														else
															{	/* Reduce/sbeta.scm 157 */
																obj_t BgL_arg1619z00_1569;

																BgL_arg1619z00_1569 =
																	CDR(((obj_t) BgL_l1337z00_1565));
																{
																	obj_t BgL_l1337z00_4739;

																	BgL_l1337z00_4739 = BgL_arg1619z00_1569;
																	BgL_l1337z00_1565 = BgL_l1337z00_4739;
																	goto BgL_zc3z04anonymousza31615ze3z87_1566;
																}
															}
													}
											}
										}
									else
										{	/* Reduce/sbeta.scm 158 */
											bool_t BgL_test2293z00_4740;

											{	/* Reduce/sbeta.scm 158 */
												obj_t BgL_classz00_2780;

												BgL_classz00_2780 = BGl_appz00zzast_nodez00;
												{	/* Reduce/sbeta.scm 158 */
													BgL_objectz00_bglt BgL_arg1825z00_2782;

													{	/* Reduce/sbeta.scm 158 */
														obj_t BgL_tmpz00_4741;

														BgL_tmpz00_4741 =
															((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1548));
														BgL_arg1825z00_2782 =
															(BgL_objectz00_bglt) (BgL_tmpz00_4741);
													}
													{	/* Reduce/sbeta.scm 158 */
														bool_t BgL_arg1822z00_2785;
														bool_t BgL_arg1823z00_2786;

														{	/* Reduce/sbeta.scm 158 */
															long BgL_idxz00_2789;

															BgL_idxz00_2789 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2782);
															BgL_arg1822z00_2785 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2789 + ((long) 3))) ==
																BgL_classz00_2780);
														}
														{	/* Reduce/sbeta.scm 158 */
															bool_t BgL_res2156z00_2811;

															{	/* Reduce/sbeta.scm 158 */
																obj_t BgL_oclassz00_2797;

																{	/* Reduce/sbeta.scm 158 */
																	long BgL_arg1833z00_2803;

																	{	/* Reduce/sbeta.scm 158 */
																		long BgL_arg1834z00_2804;

																		BgL_arg1834z00_2804 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2782);
																		BgL_arg1833z00_2803 =
																			(BgL_arg1834z00_2804 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2797 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_2803);
																}
																{	/* Reduce/sbeta.scm 158 */
																	bool_t BgL__ortest_1110z00_2798;

																	BgL__ortest_1110z00_2798 =
																		(BgL_classz00_2780 == BgL_oclassz00_2797);
																	if (BgL__ortest_1110z00_2798)
																		{	/* Reduce/sbeta.scm 158 */
																			BgL_res2156z00_2811 =
																				BgL__ortest_1110z00_2798;
																		}
																	else
																		{	/* Reduce/sbeta.scm 158 */
																			long BgL_odepthz00_2799;

																			BgL_odepthz00_2799 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2797);
																			if ((((long) 3) < BgL_odepthz00_2799))
																				{	/* Reduce/sbeta.scm 158 */
																					obj_t BgL_arg1821z00_2801;

																					BgL_arg1821z00_2801 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2797, ((long) 3));
																					BgL_res2156z00_2811 =
																						(BgL_arg1821z00_2801 ==
																						BgL_classz00_2780);
																				}
																			else
																				{	/* Reduce/sbeta.scm 158 */
																					BgL_res2156z00_2811 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_2786 = BgL_res2156z00_2811;
														}
														BgL_test2293z00_4740 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_2785,
															BgL_arg1823z00_2786);
													}
												}
											}
											if (BgL_test2293z00_4740)
												{	/* Reduce/sbeta.scm 162 */
													BgL_variablez00_bglt BgL_varz00_1574;

													BgL_varz00_1574 =
														(((BgL_varz00_bglt) COBJECT(
																(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_exprz00_1548)))->
																	BgL_funz00)))->BgL_variablez00);
													{	/* Reduce/sbeta.scm 162 */
														BgL_valuez00_bglt BgL_valz00_1575;

														BgL_valz00_1575 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_varz00_1574))->BgL_valuez00);
														{	/* Reduce/sbeta.scm 163 */

															{	/* Reduce/sbeta.scm 164 */
																bool_t BgL_test2296z00_4764;

																{	/* Reduce/sbeta.scm 164 */
																	bool_t BgL_test2297z00_4765;

																	{	/* Reduce/sbeta.scm 164 */
																		obj_t BgL_classz00_2814;

																		BgL_classz00_2814 =
																			BGl_globalz00zzast_varz00;
																		{	/* Reduce/sbeta.scm 164 */
																			BgL_objectz00_bglt BgL_arg1825z00_2816;

																			{	/* Reduce/sbeta.scm 164 */
																				obj_t BgL_tmpz00_4766;

																				BgL_tmpz00_4766 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_varz00_1574));
																				BgL_arg1825z00_2816 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_4766);
																			}
																			{	/* Reduce/sbeta.scm 164 */
																				bool_t BgL_arg1822z00_2819;
																				bool_t BgL_arg1823z00_2820;

																				{	/* Reduce/sbeta.scm 164 */
																					long BgL_idxz00_2823;

																					BgL_idxz00_2823 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_2816);
																					BgL_arg1822z00_2819 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2823 + ((long) 2))) ==
																						BgL_classz00_2814);
																				}
																				{	/* Reduce/sbeta.scm 164 */
																					bool_t BgL_res2157z00_2845;

																					{	/* Reduce/sbeta.scm 164 */
																						obj_t BgL_oclassz00_2831;

																						{	/* Reduce/sbeta.scm 164 */
																							long BgL_arg1833z00_2837;

																							{	/* Reduce/sbeta.scm 164 */
																								long BgL_arg1834z00_2838;

																								BgL_arg1834z00_2838 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_2816);
																								BgL_arg1833z00_2837 =
																									(BgL_arg1834z00_2838 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2831 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_2837);
																						}
																						{	/* Reduce/sbeta.scm 164 */
																							bool_t BgL__ortest_1110z00_2832;

																							BgL__ortest_1110z00_2832 =
																								(BgL_classz00_2814 ==
																								BgL_oclassz00_2831);
																							if (BgL__ortest_1110z00_2832)
																								{	/* Reduce/sbeta.scm 164 */
																									BgL_res2157z00_2845 =
																										BgL__ortest_1110z00_2832;
																								}
																							else
																								{	/* Reduce/sbeta.scm 164 */
																									long BgL_odepthz00_2833;

																									BgL_odepthz00_2833 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2831);
																									if ((((long) 2) <
																											BgL_odepthz00_2833))
																										{	/* Reduce/sbeta.scm 164 */
																											obj_t BgL_arg1821z00_2835;

																											BgL_arg1821z00_2835 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2831,
																												((long) 2));
																											BgL_res2157z00_2845 =
																												(BgL_arg1821z00_2835 ==
																												BgL_classz00_2814);
																										}
																									else
																										{	/* Reduce/sbeta.scm 164 */
																											BgL_res2157z00_2845 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_2820 =
																						BgL_res2157z00_2845;
																				}
																				BgL_test2297z00_4765 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_2819,
																					BgL_arg1823z00_2820);
																			}
																		}
																	}
																	if (BgL_test2297z00_4765)
																		{	/* Reduce/sbeta.scm 165 */
																			bool_t BgL_test2300z00_4785;

																			{	/* Reduce/sbeta.scm 165 */
																				obj_t BgL_classz00_2846;

																				BgL_classz00_2846 =
																					BGl_cfunz00zzast_varz00;
																				{	/* Reduce/sbeta.scm 165 */
																					BgL_objectz00_bglt
																						BgL_arg1825z00_2848;
																					{	/* Reduce/sbeta.scm 165 */
																						obj_t BgL_tmpz00_4786;

																						BgL_tmpz00_4786 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_valz00_1575));
																						BgL_arg1825z00_2848 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_4786);
																					}
																					{	/* Reduce/sbeta.scm 165 */
																						bool_t BgL_arg1822z00_2851;
																						bool_t BgL_arg1823z00_2852;

																						{	/* Reduce/sbeta.scm 165 */
																							long BgL_idxz00_2855;

																							BgL_idxz00_2855 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1825z00_2848);
																							BgL_arg1822z00_2851 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_2855 +
																										((long) 3))) ==
																								BgL_classz00_2846);
																						}
																						{	/* Reduce/sbeta.scm 165 */
																							bool_t BgL_res2158z00_2877;

																							{	/* Reduce/sbeta.scm 165 */
																								obj_t BgL_oclassz00_2863;

																								{	/* Reduce/sbeta.scm 165 */
																									long BgL_arg1833z00_2869;

																									{	/* Reduce/sbeta.scm 165 */
																										long BgL_arg1834z00_2870;

																										BgL_arg1834z00_2870 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1825z00_2848);
																										BgL_arg1833z00_2869 =
																											(BgL_arg1834z00_2870 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_2863 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1833z00_2869);
																								}
																								{	/* Reduce/sbeta.scm 165 */
																									bool_t
																										BgL__ortest_1110z00_2864;
																									BgL__ortest_1110z00_2864 =
																										(BgL_classz00_2846 ==
																										BgL_oclassz00_2863);
																									if (BgL__ortest_1110z00_2864)
																										{	/* Reduce/sbeta.scm 165 */
																											BgL_res2158z00_2877 =
																												BgL__ortest_1110z00_2864;
																										}
																									else
																										{	/* Reduce/sbeta.scm 165 */
																											long BgL_odepthz00_2865;

																											BgL_odepthz00_2865 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_2863);
																											if ((((long) 3) <
																													BgL_odepthz00_2865))
																												{	/* Reduce/sbeta.scm 165 */
																													obj_t
																														BgL_arg1821z00_2867;
																													BgL_arg1821z00_2867 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_2863,
																														((long) 3));
																													BgL_res2158z00_2877 =
																														(BgL_arg1821z00_2867
																														==
																														BgL_classz00_2846);
																												}
																											else
																												{	/* Reduce/sbeta.scm 165 */
																													BgL_res2158z00_2877 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_arg1823z00_2852 =
																								BgL_res2158z00_2877;
																						}
																						BgL_test2300z00_4785 =
																							BGL_ISA_C_BACKEND
																							(BgL_arg1822z00_2851,
																							BgL_arg1823z00_2852);
																					}
																				}
																			}
																			if (BgL_test2300z00_4785)
																				{	/* Reduce/sbeta.scm 165 */
																					if (
																						(((BgL_cfunz00_bglt) COBJECT(
																									((BgL_cfunz00_bglt)
																										BgL_valz00_1575)))->
																							BgL_macrozf3zf3))
																						{	/* Reduce/sbeta.scm 166 */
																							if (CBOOL
																								(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																									(CNST_TABLE_REF(((long) 4)),
																										(((BgL_globalz00_bglt)
																												COBJECT((
																														(BgL_globalz00_bglt)
																														BgL_varz00_1574)))->
																											BgL_pragmaz00))))
																								{	/* Reduce/sbeta.scm 167 */
																									BgL_test2296z00_4764 =
																										((bool_t) 0);
																								}
																							else
																								{	/* Reduce/sbeta.scm 167 */
																									BgL_test2296z00_4764 =
																										((bool_t) 1);
																								}
																						}
																					else
																						{	/* Reduce/sbeta.scm 166 */
																							BgL_test2296z00_4764 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Reduce/sbeta.scm 165 */
																					BgL_test2296z00_4764 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Reduce/sbeta.scm 164 */
																			BgL_test2296z00_4764 = ((bool_t) 0);
																		}
																}
																if (BgL_test2296z00_4764)
																	{	/* Reduce/sbeta.scm 164 */
																		return ((bool_t) 1);
																	}
																else
																	{	/* Reduce/sbeta.scm 169 */
																		obj_t BgL_g1343z00_1583;

																		BgL_g1343z00_1583 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_exprz00_1548)))->BgL_argsz00);
																		{
																			obj_t BgL_l1341z00_1585;

																			BgL_l1341z00_1585 = BgL_g1343z00_1583;
																		BgL_zc3z04anonymousza31638ze3z87_1586:
																			if (NULLP(BgL_l1341z00_1585))
																				{	/* Reduce/sbeta.scm 169 */
																					return ((bool_t) 0);
																				}
																			else
																				{	/* Reduce/sbeta.scm 169 */
																					bool_t BgL__ortest_1344z00_1588;

																					{	/* Reduce/sbeta.scm 169 */
																						obj_t BgL_arg1652z00_1590;

																						BgL_arg1652z00_1590 =
																							CAR(((obj_t) BgL_l1341z00_1585));
																						BgL__ortest_1344z00_1588 =
																							BGl_dangerouszf3zf3zzreduce_betaz00
																							(BgL_arg1652z00_1590);
																					}
																					if (BgL__ortest_1344z00_1588)
																						{	/* Reduce/sbeta.scm 169 */
																							return BgL__ortest_1344z00_1588;
																						}
																					else
																						{	/* Reduce/sbeta.scm 169 */
																							obj_t BgL_arg1647z00_1589;

																							BgL_arg1647z00_1589 =
																								CDR(
																								((obj_t) BgL_l1341z00_1585));
																							{
																								obj_t BgL_l1341z00_4824;

																								BgL_l1341z00_4824 =
																									BgL_arg1647z00_1589;
																								BgL_l1341z00_1585 =
																									BgL_l1341z00_4824;
																								goto
																									BgL_zc3z04anonymousza31638ze3z87_1586;
																							}
																						}
																				}
																		}
																	}
															}
														}
													}
												}
											else
												{	/* Reduce/sbeta.scm 158 */
													return ((bool_t) 1);
												}
										}
								}
						}
				}
			}
		}

	}



/* side-effect-safe? */
	bool_t BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00(obj_t BgL_exprz00_13)
	{
		{	/* Reduce/sbeta.scm 180 */
			{	/* Reduce/sbeta.scm 181 */
				BgL_nodez00_bglt BgL_exprz00_1600;

				BgL_exprz00_1600 =
					BGl_findzd2actualzd2expressionz00zzreduce_betaz00(
					((BgL_nodez00_bglt) BgL_exprz00_13));
				{	/* Reduce/sbeta.scm 183 */
					bool_t BgL_test2307z00_4827;

					{	/* Reduce/sbeta.scm 183 */
						bool_t BgL_test2308z00_4828;

						{	/* Reduce/sbeta.scm 183 */
							obj_t BgL_classz00_2882;

							BgL_classz00_2882 = BGl_varz00zzast_nodez00;
							{	/* Reduce/sbeta.scm 183 */
								BgL_objectz00_bglt BgL_arg1825z00_2884;

								{	/* Reduce/sbeta.scm 183 */
									obj_t BgL_tmpz00_4829;

									BgL_tmpz00_4829 =
										((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1600));
									BgL_arg1825z00_2884 = (BgL_objectz00_bglt) (BgL_tmpz00_4829);
								}
								{	/* Reduce/sbeta.scm 183 */
									bool_t BgL_arg1822z00_2887;
									bool_t BgL_arg1823z00_2888;

									{	/* Reduce/sbeta.scm 183 */
										long BgL_idxz00_2891;

										BgL_idxz00_2891 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2884);
										BgL_arg1822z00_2887 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2891 + ((long) 2))) == BgL_classz00_2882);
									}
									{	/* Reduce/sbeta.scm 183 */
										bool_t BgL_res2159z00_2913;

										{	/* Reduce/sbeta.scm 183 */
											obj_t BgL_oclassz00_2899;

											{	/* Reduce/sbeta.scm 183 */
												long BgL_arg1833z00_2905;

												{	/* Reduce/sbeta.scm 183 */
													long BgL_arg1834z00_2906;

													BgL_arg1834z00_2906 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2884);
													BgL_arg1833z00_2905 =
														(BgL_arg1834z00_2906 - OBJECT_TYPE);
												}
												BgL_oclassz00_2899 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2905);
											}
											{	/* Reduce/sbeta.scm 183 */
												bool_t BgL__ortest_1110z00_2900;

												BgL__ortest_1110z00_2900 =
													(BgL_classz00_2882 == BgL_oclassz00_2899);
												if (BgL__ortest_1110z00_2900)
													{	/* Reduce/sbeta.scm 183 */
														BgL_res2159z00_2913 = BgL__ortest_1110z00_2900;
													}
												else
													{	/* Reduce/sbeta.scm 183 */
														long BgL_odepthz00_2901;

														BgL_odepthz00_2901 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2899);
														if ((((long) 2) < BgL_odepthz00_2901))
															{	/* Reduce/sbeta.scm 183 */
																obj_t BgL_arg1821z00_2903;

																BgL_arg1821z00_2903 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2899,
																	((long) 2));
																BgL_res2159z00_2913 =
																	(BgL_arg1821z00_2903 == BgL_classz00_2882);
															}
														else
															{	/* Reduce/sbeta.scm 183 */
																BgL_res2159z00_2913 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2888 = BgL_res2159z00_2913;
									}
									BgL_test2308z00_4828 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2887, BgL_arg1823z00_2888);
								}
							}
						}
						if (BgL_test2308z00_4828)
							{	/* Reduce/sbeta.scm 183 */
								BgL_test2307z00_4827 = ((bool_t) 1);
							}
						else
							{	/* Reduce/sbeta.scm 183 */
								bool_t BgL_test2311z00_4848;

								{	/* Reduce/sbeta.scm 183 */
									obj_t BgL_classz00_2914;

									BgL_classz00_2914 = BGl_atomz00zzast_nodez00;
									{	/* Reduce/sbeta.scm 183 */
										BgL_objectz00_bglt BgL_arg1825z00_2916;

										{	/* Reduce/sbeta.scm 183 */
											obj_t BgL_tmpz00_4849;

											BgL_tmpz00_4849 =
												((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1600));
											BgL_arg1825z00_2916 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4849);
										}
										{	/* Reduce/sbeta.scm 183 */
											bool_t BgL_arg1822z00_2919;
											bool_t BgL_arg1823z00_2920;

											{	/* Reduce/sbeta.scm 183 */
												long BgL_idxz00_2923;

												BgL_idxz00_2923 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2916);
												BgL_arg1822z00_2919 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2923 + ((long) 2))) ==
													BgL_classz00_2914);
											}
											{	/* Reduce/sbeta.scm 183 */
												bool_t BgL_res2160z00_2945;

												{	/* Reduce/sbeta.scm 183 */
													obj_t BgL_oclassz00_2931;

													{	/* Reduce/sbeta.scm 183 */
														long BgL_arg1833z00_2937;

														{	/* Reduce/sbeta.scm 183 */
															long BgL_arg1834z00_2938;

															BgL_arg1834z00_2938 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2916);
															BgL_arg1833z00_2937 =
																(BgL_arg1834z00_2938 - OBJECT_TYPE);
														}
														BgL_oclassz00_2931 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2937);
													}
													{	/* Reduce/sbeta.scm 183 */
														bool_t BgL__ortest_1110z00_2932;

														BgL__ortest_1110z00_2932 =
															(BgL_classz00_2914 == BgL_oclassz00_2931);
														if (BgL__ortest_1110z00_2932)
															{	/* Reduce/sbeta.scm 183 */
																BgL_res2160z00_2945 = BgL__ortest_1110z00_2932;
															}
														else
															{	/* Reduce/sbeta.scm 183 */
																long BgL_odepthz00_2933;

																BgL_odepthz00_2933 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2931);
																if ((((long) 2) < BgL_odepthz00_2933))
																	{	/* Reduce/sbeta.scm 183 */
																		obj_t BgL_arg1821z00_2935;

																		BgL_arg1821z00_2935 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2931, ((long) 2));
																		BgL_res2160z00_2945 =
																			(BgL_arg1821z00_2935 ==
																			BgL_classz00_2914);
																	}
																else
																	{	/* Reduce/sbeta.scm 183 */
																		BgL_res2160z00_2945 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2920 = BgL_res2160z00_2945;
											}
											BgL_test2311z00_4848 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2919,
												BgL_arg1823z00_2920);
										}
									}
								}
								if (BgL_test2311z00_4848)
									{	/* Reduce/sbeta.scm 183 */
										BgL_test2307z00_4827 = ((bool_t) 1);
									}
								else
									{	/* Reduce/sbeta.scm 183 */
										obj_t BgL_classz00_2946;

										BgL_classz00_2946 = BGl_kwotez00zzast_nodez00;
										{	/* Reduce/sbeta.scm 183 */
											BgL_objectz00_bglt BgL_arg1825z00_2948;

											{	/* Reduce/sbeta.scm 183 */
												obj_t BgL_tmpz00_4868;

												BgL_tmpz00_4868 =
													((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1600));
												BgL_arg1825z00_2948 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4868);
											}
											{	/* Reduce/sbeta.scm 183 */
												bool_t BgL_arg1822z00_2951;
												bool_t BgL_arg1823z00_2952;

												{	/* Reduce/sbeta.scm 183 */
													long BgL_idxz00_2955;

													BgL_idxz00_2955 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2948);
													BgL_arg1822z00_2951 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2955 + ((long) 2))) ==
														BgL_classz00_2946);
												}
												{	/* Reduce/sbeta.scm 183 */
													bool_t BgL_res2161z00_2977;

													{	/* Reduce/sbeta.scm 183 */
														obj_t BgL_oclassz00_2963;

														{	/* Reduce/sbeta.scm 183 */
															long BgL_arg1833z00_2969;

															{	/* Reduce/sbeta.scm 183 */
																long BgL_arg1834z00_2970;

																BgL_arg1834z00_2970 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2948);
																BgL_arg1833z00_2969 =
																	(BgL_arg1834z00_2970 - OBJECT_TYPE);
															}
															BgL_oclassz00_2963 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_2969);
														}
														{	/* Reduce/sbeta.scm 183 */
															bool_t BgL__ortest_1110z00_2964;

															BgL__ortest_1110z00_2964 =
																(BgL_classz00_2946 == BgL_oclassz00_2963);
															if (BgL__ortest_1110z00_2964)
																{	/* Reduce/sbeta.scm 183 */
																	BgL_res2161z00_2977 =
																		BgL__ortest_1110z00_2964;
																}
															else
																{	/* Reduce/sbeta.scm 183 */
																	long BgL_odepthz00_2965;

																	BgL_odepthz00_2965 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2963);
																	if ((((long) 2) < BgL_odepthz00_2965))
																		{	/* Reduce/sbeta.scm 183 */
																			obj_t BgL_arg1821z00_2967;

																			BgL_arg1821z00_2967 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2963, ((long) 2));
																			BgL_res2161z00_2977 =
																				(BgL_arg1821z00_2967 ==
																				BgL_classz00_2946);
																		}
																	else
																		{	/* Reduce/sbeta.scm 183 */
																			BgL_res2161z00_2977 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_2952 = BgL_res2161z00_2977;
												}
												BgL_test2307z00_4827 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_2951,
													BgL_arg1823z00_2952);
											}
										}
									}
							}
					}
					if (BgL_test2307z00_4827)
						{	/* Reduce/sbeta.scm 183 */
							return ((bool_t) 1);
						}
					else
						{	/* Reduce/sbeta.scm 185 */
							bool_t BgL_test2316z00_4887;

							{	/* Reduce/sbeta.scm 185 */
								obj_t BgL_classz00_2978;

								BgL_classz00_2978 = BGl_vrefz00zzast_nodez00;
								{	/* Reduce/sbeta.scm 185 */
									BgL_objectz00_bglt BgL_arg1825z00_2980;

									{	/* Reduce/sbeta.scm 185 */
										obj_t BgL_tmpz00_4888;

										BgL_tmpz00_4888 =
											((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1600));
										BgL_arg1825z00_2980 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4888);
									}
									{	/* Reduce/sbeta.scm 185 */
										bool_t BgL_arg1822z00_2983;
										bool_t BgL_arg1823z00_2984;

										{	/* Reduce/sbeta.scm 185 */
											long BgL_idxz00_2987;

											BgL_idxz00_2987 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2980);
											BgL_arg1822z00_2983 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2987 + ((long) 5))) == BgL_classz00_2978);
										}
										{	/* Reduce/sbeta.scm 185 */
											bool_t BgL_res2162z00_3009;

											{	/* Reduce/sbeta.scm 185 */
												obj_t BgL_oclassz00_2995;

												{	/* Reduce/sbeta.scm 185 */
													long BgL_arg1833z00_3001;

													{	/* Reduce/sbeta.scm 185 */
														long BgL_arg1834z00_3002;

														BgL_arg1834z00_3002 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2980);
														BgL_arg1833z00_3001 =
															(BgL_arg1834z00_3002 - OBJECT_TYPE);
													}
													BgL_oclassz00_2995 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_3001);
												}
												{	/* Reduce/sbeta.scm 185 */
													bool_t BgL__ortest_1110z00_2996;

													BgL__ortest_1110z00_2996 =
														(BgL_classz00_2978 == BgL_oclassz00_2995);
													if (BgL__ortest_1110z00_2996)
														{	/* Reduce/sbeta.scm 185 */
															BgL_res2162z00_3009 = BgL__ortest_1110z00_2996;
														}
													else
														{	/* Reduce/sbeta.scm 185 */
															long BgL_odepthz00_2997;

															BgL_odepthz00_2997 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2995);
															if ((((long) 5) < BgL_odepthz00_2997))
																{	/* Reduce/sbeta.scm 185 */
																	obj_t BgL_arg1821z00_2999;

																	BgL_arg1821z00_2999 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2995,
																		((long) 5));
																	BgL_res2162z00_3009 =
																		(BgL_arg1821z00_2999 == BgL_classz00_2978);
																}
															else
																{	/* Reduce/sbeta.scm 185 */
																	BgL_res2162z00_3009 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2984 = BgL_res2162z00_3009;
										}
										BgL_test2316z00_4887 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2983,
											BgL_arg1823z00_2984);
									}
								}
							}
							if (BgL_test2316z00_4887)
								{	/* Reduce/sbeta.scm 186 */
									obj_t BgL_g1347z00_1605;

									BgL_g1347z00_1605 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_vrefz00_bglt) BgL_exprz00_1600))))->
										BgL_exprza2za2);
									{
										obj_t BgL_l1345z00_1607;

										BgL_l1345z00_1607 = BgL_g1347z00_1605;
									BgL_zc3z04anonymousza31662ze3z87_1608:
										if (NULLP(BgL_l1345z00_1607))
											{	/* Reduce/sbeta.scm 186 */
												return ((bool_t) 1);
											}
										else
											{	/* Reduce/sbeta.scm 186 */
												bool_t BgL_test2320z00_4912;

												{	/* Reduce/sbeta.scm 186 */
													obj_t BgL_arg1667z00_1613;

													BgL_arg1667z00_1613 =
														CAR(((obj_t) BgL_l1345z00_1607));
													BgL_test2320z00_4912 =
														BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00
														(BgL_arg1667z00_1613);
												}
												if (BgL_test2320z00_4912)
													{	/* Reduce/sbeta.scm 186 */
														obj_t BgL_arg1665z00_1612;

														BgL_arg1665z00_1612 =
															CDR(((obj_t) BgL_l1345z00_1607));
														{
															obj_t BgL_l1345z00_4918;

															BgL_l1345z00_4918 = BgL_arg1665z00_1612;
															BgL_l1345z00_1607 = BgL_l1345z00_4918;
															goto BgL_zc3z04anonymousza31662ze3z87_1608;
														}
													}
												else
													{	/* Reduce/sbeta.scm 186 */
														return ((bool_t) 0);
													}
											}
									}
								}
							else
								{	/* Reduce/sbeta.scm 187 */
									bool_t BgL_test2321z00_4919;

									{	/* Reduce/sbeta.scm 187 */
										obj_t BgL_classz00_3013;

										BgL_classz00_3013 = BGl_getfieldz00zzast_nodez00;
										{	/* Reduce/sbeta.scm 187 */
											BgL_objectz00_bglt BgL_arg1825z00_3015;

											{	/* Reduce/sbeta.scm 187 */
												obj_t BgL_tmpz00_4920;

												BgL_tmpz00_4920 =
													((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1600));
												BgL_arg1825z00_3015 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4920);
											}
											{	/* Reduce/sbeta.scm 187 */
												bool_t BgL_arg1822z00_3018;
												bool_t BgL_arg1823z00_3019;

												{	/* Reduce/sbeta.scm 187 */
													long BgL_idxz00_3022;

													BgL_idxz00_3022 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3015);
													BgL_arg1822z00_3018 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3022 + ((long) 5))) ==
														BgL_classz00_3013);
												}
												{	/* Reduce/sbeta.scm 187 */
													bool_t BgL_res2163z00_3044;

													{	/* Reduce/sbeta.scm 187 */
														obj_t BgL_oclassz00_3030;

														{	/* Reduce/sbeta.scm 187 */
															long BgL_arg1833z00_3036;

															{	/* Reduce/sbeta.scm 187 */
																long BgL_arg1834z00_3037;

																BgL_arg1834z00_3037 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3015);
																BgL_arg1833z00_3036 =
																	(BgL_arg1834z00_3037 - OBJECT_TYPE);
															}
															BgL_oclassz00_3030 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_3036);
														}
														{	/* Reduce/sbeta.scm 187 */
															bool_t BgL__ortest_1110z00_3031;

															BgL__ortest_1110z00_3031 =
																(BgL_classz00_3013 == BgL_oclassz00_3030);
															if (BgL__ortest_1110z00_3031)
																{	/* Reduce/sbeta.scm 187 */
																	BgL_res2163z00_3044 =
																		BgL__ortest_1110z00_3031;
																}
															else
																{	/* Reduce/sbeta.scm 187 */
																	long BgL_odepthz00_3032;

																	BgL_odepthz00_3032 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_3030);
																	if ((((long) 5) < BgL_odepthz00_3032))
																		{	/* Reduce/sbeta.scm 187 */
																			obj_t BgL_arg1821z00_3034;

																			BgL_arg1821z00_3034 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_3030, ((long) 5));
																			BgL_res2163z00_3044 =
																				(BgL_arg1821z00_3034 ==
																				BgL_classz00_3013);
																		}
																	else
																		{	/* Reduce/sbeta.scm 187 */
																			BgL_res2163z00_3044 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_3019 = BgL_res2163z00_3044;
												}
												BgL_test2321z00_4919 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_3018,
													BgL_arg1823z00_3019);
											}
										}
									}
									if (BgL_test2321z00_4919)
										{	/* Reduce/sbeta.scm 188 */
											obj_t BgL_g1351z00_1616;

											BgL_g1351z00_1616 =
												(((BgL_externz00_bglt) COBJECT(
														((BgL_externz00_bglt)
															((BgL_getfieldz00_bglt) BgL_exprz00_1600))))->
												BgL_exprza2za2);
											{
												obj_t BgL_l1349z00_1618;

												BgL_l1349z00_1618 = BgL_g1351z00_1616;
											BgL_zc3z04anonymousza31669ze3z87_1619:
												if (NULLP(BgL_l1349z00_1618))
													{	/* Reduce/sbeta.scm 188 */
														return ((bool_t) 1);
													}
												else
													{	/* Reduce/sbeta.scm 188 */
														bool_t BgL_test2325z00_4944;

														{	/* Reduce/sbeta.scm 188 */
															obj_t BgL_arg1676z00_1624;

															BgL_arg1676z00_1624 =
																CAR(((obj_t) BgL_l1349z00_1618));
															BgL_test2325z00_4944 =
																BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00
																(BgL_arg1676z00_1624);
														}
														if (BgL_test2325z00_4944)
															{	/* Reduce/sbeta.scm 188 */
																obj_t BgL_arg1675z00_1623;

																BgL_arg1675z00_1623 =
																	CDR(((obj_t) BgL_l1349z00_1618));
																{
																	obj_t BgL_l1349z00_4950;

																	BgL_l1349z00_4950 = BgL_arg1675z00_1623;
																	BgL_l1349z00_1618 = BgL_l1349z00_4950;
																	goto BgL_zc3z04anonymousza31669ze3z87_1619;
																}
															}
														else
															{	/* Reduce/sbeta.scm 188 */
																return ((bool_t) 0);
															}
													}
											}
										}
									else
										{	/* Reduce/sbeta.scm 189 */
											bool_t BgL_test2326z00_4951;

											{	/* Reduce/sbeta.scm 189 */
												obj_t BgL_classz00_3048;

												BgL_classz00_3048 = BGl_appz00zzast_nodez00;
												{	/* Reduce/sbeta.scm 189 */
													BgL_objectz00_bglt BgL_arg1825z00_3050;

													{	/* Reduce/sbeta.scm 189 */
														obj_t BgL_tmpz00_4952;

														BgL_tmpz00_4952 =
															((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1600));
														BgL_arg1825z00_3050 =
															(BgL_objectz00_bglt) (BgL_tmpz00_4952);
													}
													{	/* Reduce/sbeta.scm 189 */
														bool_t BgL_arg1822z00_3053;
														bool_t BgL_arg1823z00_3054;

														{	/* Reduce/sbeta.scm 189 */
															long BgL_idxz00_3057;

															BgL_idxz00_3057 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3050);
															BgL_arg1822z00_3053 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_3057 + ((long) 3))) ==
																BgL_classz00_3048);
														}
														{	/* Reduce/sbeta.scm 189 */
															bool_t BgL_res2164z00_3079;

															{	/* Reduce/sbeta.scm 189 */
																obj_t BgL_oclassz00_3065;

																{	/* Reduce/sbeta.scm 189 */
																	long BgL_arg1833z00_3071;

																	{	/* Reduce/sbeta.scm 189 */
																		long BgL_arg1834z00_3072;

																		BgL_arg1834z00_3072 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3050);
																		BgL_arg1833z00_3071 =
																			(BgL_arg1834z00_3072 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_3065 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_3071);
																}
																{	/* Reduce/sbeta.scm 189 */
																	bool_t BgL__ortest_1110z00_3066;

																	BgL__ortest_1110z00_3066 =
																		(BgL_classz00_3048 == BgL_oclassz00_3065);
																	if (BgL__ortest_1110z00_3066)
																		{	/* Reduce/sbeta.scm 189 */
																			BgL_res2164z00_3079 =
																				BgL__ortest_1110z00_3066;
																		}
																	else
																		{	/* Reduce/sbeta.scm 189 */
																			long BgL_odepthz00_3067;

																			BgL_odepthz00_3067 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_3065);
																			if ((((long) 3) < BgL_odepthz00_3067))
																				{	/* Reduce/sbeta.scm 189 */
																					obj_t BgL_arg1821z00_3069;

																					BgL_arg1821z00_3069 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_3065, ((long) 3));
																					BgL_res2164z00_3079 =
																						(BgL_arg1821z00_3069 ==
																						BgL_classz00_3048);
																				}
																			else
																				{	/* Reduce/sbeta.scm 189 */
																					BgL_res2164z00_3079 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_3054 = BgL_res2164z00_3079;
														}
														BgL_test2326z00_4951 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_3053,
															BgL_arg1823z00_3054);
													}
												}
											}
											if (BgL_test2326z00_4951)
												{	/* Reduce/sbeta.scm 189 */
													if (CBOOL(
															(((BgL_funz00_bglt) COBJECT(
																		((BgL_funz00_bglt)
																			(((BgL_variablez00_bglt) COBJECT(
																						(((BgL_varz00_bglt) COBJECT(
																									(((BgL_appz00_bglt) COBJECT(
																												((BgL_appz00_bglt)
																													BgL_exprz00_1600)))->
																										BgL_funz00)))->
																							BgL_variablez00)))->
																				BgL_valuez00))))->
																BgL_sidezd2effectzd2)))
														{	/* Reduce/sbeta.scm 193 */
															return ((bool_t) 0);
														}
													else
														{	/* Reduce/sbeta.scm 194 */
															obj_t BgL_g1355z00_1632;

															BgL_g1355z00_1632 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_exprz00_1600)))->
																BgL_argsz00);
															{
																obj_t BgL_l1353z00_1634;

																BgL_l1353z00_1634 = BgL_g1355z00_1632;
															BgL_zc3z04anonymousza31683ze3z87_1635:
																if (NULLP(BgL_l1353z00_1634))
																	{	/* Reduce/sbeta.scm 194 */
																		return ((bool_t) 1);
																	}
																else
																	{	/* Reduce/sbeta.scm 194 */
																		bool_t BgL_test2331z00_4983;

																		{	/* Reduce/sbeta.scm 194 */
																			obj_t BgL_arg1695z00_1640;

																			BgL_arg1695z00_1640 =
																				CAR(((obj_t) BgL_l1353z00_1634));
																			BgL_test2331z00_4983 =
																				BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00
																				(BgL_arg1695z00_1640);
																		}
																		if (BgL_test2331z00_4983)
																			{	/* Reduce/sbeta.scm 194 */
																				obj_t BgL_arg1694z00_1639;

																				BgL_arg1694z00_1639 =
																					CDR(((obj_t) BgL_l1353z00_1634));
																				{
																					obj_t BgL_l1353z00_4989;

																					BgL_l1353z00_4989 =
																						BgL_arg1694z00_1639;
																					BgL_l1353z00_1634 = BgL_l1353z00_4989;
																					goto
																						BgL_zc3z04anonymousza31683ze3z87_1635;
																				}
																			}
																		else
																			{	/* Reduce/sbeta.scm 194 */
																				return ((bool_t) 0);
																			}
																	}
															}
														}
												}
											else
												{	/* Reduce/sbeta.scm 189 */
													return ((bool_t) 0);
												}
										}
								}
						}
				}
			}
		}

	}



/* predicate? */
	obj_t BGl_predicatezf3zf3zzreduce_betaz00(BgL_appz00_bglt BgL_nodez00_32)
	{
		{	/* Reduce/sbeta.scm 449 */
			{	/* Reduce/sbeta.scm 451 */
				bool_t BgL_test2332z00_4990;

				{	/* Reduce/sbeta.scm 451 */
					obj_t BgL_tmpz00_4991;

					BgL_tmpz00_4991 =
						(((BgL_appz00_bglt) COBJECT(BgL_nodez00_32))->BgL_argsz00);
					BgL_test2332z00_4990 = PAIRP(BgL_tmpz00_4991);
				}
				if (BgL_test2332z00_4990)
					{	/* Reduce/sbeta.scm 451 */
						if (NULLP(CDR(
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_32))->BgL_argsz00))))
							{	/* Reduce/sbeta.scm 453 */
								bool_t BgL_test2334z00_4998;

								{	/* Reduce/sbeta.scm 453 */
									bool_t BgL__ortest_1146z00_1656;

									{	/* Reduce/sbeta.scm 453 */
										bool_t BgL_test2335z00_4999;

										{	/* Reduce/sbeta.scm 453 */
											obj_t BgL_arg1723z00_1662;

											BgL_arg1723z00_1662 =
												CAR(
												(((BgL_appz00_bglt) COBJECT(BgL_nodez00_32))->
													BgL_argsz00));
											BgL_test2335z00_4999 =
												BGl_sidezd2effectzf3z21zzeffect_effectz00((
													(BgL_nodez00_bglt) BgL_arg1723z00_1662));
										}
										if (BgL_test2335z00_4999)
											{	/* Reduce/sbeta.scm 453 */
												BgL__ortest_1146z00_1656 = ((bool_t) 0);
											}
										else
											{	/* Reduce/sbeta.scm 453 */
												BgL__ortest_1146z00_1656 = ((bool_t) 1);
											}
									}
									if (BgL__ortest_1146z00_1656)
										{	/* Reduce/sbeta.scm 453 */
											BgL_test2334z00_4998 = BgL__ortest_1146z00_1656;
										}
									else
										{	/* Reduce/sbeta.scm 453 */
											BgL_test2334z00_4998 =
												BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00(CAR(
													(((BgL_appz00_bglt) COBJECT(BgL_nodez00_32))->
														BgL_argsz00)));
										}
								}
								if (BgL_test2334z00_4998)
									{	/* Reduce/sbeta.scm 455 */
										BgL_variablez00_bglt BgL_arg1712z00_1654;

										BgL_arg1712z00_1654 =
											(((BgL_varz00_bglt) COBJECT(
													(((BgL_appz00_bglt) COBJECT(BgL_nodez00_32))->
														BgL_funz00)))->BgL_variablez00);
										return BGl_memqz00zz__r4_pairs_and_lists_6_3z00(((obj_t)
												BgL_arg1712z00_1654),
											BGl_za2predicatesza2z00zzreduce_betaz00);
									}
								else
									{	/* Reduce/sbeta.scm 453 */
										return BFALSE;
									}
							}
						else
							{	/* Reduce/sbeta.scm 452 */
								return BFALSE;
							}
					}
				else
					{	/* Reduce/sbeta.scm 451 */
						return BFALSE;
					}
			}
		}

	}



/* node-beta-predicate! */
	obj_t BGl_nodezd2betazd2predicatez12z12zzreduce_betaz00(BgL_appz00_bglt
		BgL_nodez00_33)
	{
		{	/* Reduce/sbeta.scm 460 */
			{	/* Reduce/sbeta.scm 462 */
				BgL_variablez00_bglt BgL_vfunz00_1668;
				BgL_typez00_bglt BgL_atypez00_1669;

				BgL_vfunz00_1668 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(BgL_nodez00_33))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Reduce/sbeta.scm 463 */
					obj_t BgL_arg1746z00_1684;

					BgL_arg1746z00_1684 =
						CAR((((BgL_appz00_bglt) COBJECT(BgL_nodez00_33))->BgL_argsz00));
					BgL_atypez00_1669 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_arg1746z00_1684), ((bool_t) 0));
				}
				if ((((obj_t) BgL_atypez00_1669) == BGl_za2objza2z00zztype_cachez00))
					{	/* Reduce/sbeta.scm 465 */
						return ((obj_t) BgL_nodez00_33);
					}
				else
					{	/* Reduce/sbeta.scm 465 */
						if (
							(((obj_t) BgL_vfunz00_1668) ==
								BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00))
							{	/* Reduce/sbeta.scm 467 */
								BGl_za2removedza2z00zzreduce_betaz00 =
									(BGl_za2removedza2z00zzreduce_betaz00 + ((long) 1));
								{	/* Reduce/sbeta.scm 469 */
									BgL_literalz00_bglt BgL_new1149z00_1672;

									{	/* Reduce/sbeta.scm 471 */
										BgL_literalz00_bglt BgL_new1148z00_1675;

										BgL_new1148z00_1675 =
											((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_literalz00_bgl))));
										{	/* Reduce/sbeta.scm 471 */
											long BgL_arg1738z00_1676;

											BgL_arg1738z00_1676 =
												BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1148z00_1675),
												BgL_arg1738z00_1676);
										}
										{	/* Reduce/sbeta.scm 471 */
											BgL_objectz00_bglt BgL_tmpz00_5030;

											BgL_tmpz00_5030 =
												((BgL_objectz00_bglt) BgL_new1148z00_1675);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5030, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1148z00_1675);
										BgL_new1149z00_1672 = BgL_new1148z00_1675;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1149z00_1672)))->
											BgL_locz00) =
										((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_nodez00_33)))->BgL_locz00)), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1149z00_1672)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_nodez00_bglt)
													COBJECT(((BgL_nodez00_bglt) BgL_nodez00_33)))->
												BgL_typez00)), BUNSPEC);
									{
										obj_t BgL_auxz00_5042;

										{	/* Reduce/sbeta.scm 472 */
											bool_t BgL__ortest_1150z00_1673;

											BgL__ortest_1150z00_1673 =
												(
												((obj_t) BgL_atypez00_1669) ==
												BGl_za2bintza2z00zztype_cachez00);
											if (BgL__ortest_1150z00_1673)
												{	/* Reduce/sbeta.scm 472 */
													BgL_auxz00_5042 = BBOOL(BgL__ortest_1150z00_1673);
												}
											else
												{	/* Reduce/sbeta.scm 473 */
													bool_t BgL__ortest_1151z00_1674;

													BgL__ortest_1151z00_1674 =
														(
														((obj_t) BgL_atypez00_1669) ==
														BGl_za2intza2z00zztype_cachez00);
													if (BgL__ortest_1151z00_1674)
														{	/* Reduce/sbeta.scm 473 */
															BgL_auxz00_5042 = BBOOL(BgL__ortest_1151z00_1674);
														}
													else
														{	/* Reduce/sbeta.scm 473 */
															BgL_auxz00_5042 =
																BBOOL(
																(((obj_t) BgL_atypez00_1669) ==
																	BGl_za2longza2z00zztype_cachez00));
														}
												}
										}
										((((BgL_atomz00_bglt) COBJECT(
														((BgL_atomz00_bglt) BgL_new1149z00_1672)))->
												BgL_valuez00) = ((obj_t) BgL_auxz00_5042), BUNSPEC);
									}
									return ((obj_t) BgL_new1149z00_1672);
								}
							}
						else
							{	/* Reduce/sbeta.scm 467 */
								if (
									(((obj_t) BgL_vfunz00_1668) ==
										BGl_za2czd2flonumzf3za2z21zzreduce_betaz00))
									{	/* Reduce/sbeta.scm 475 */
										BGl_za2removedza2z00zzreduce_betaz00 =
											(BGl_za2removedza2z00zzreduce_betaz00 + ((long) 1));
										{	/* Reduce/sbeta.scm 477 */
											BgL_literalz00_bglt BgL_new1153z00_1678;

											{	/* Reduce/sbeta.scm 479 */
												BgL_literalz00_bglt BgL_new1152z00_1680;

												BgL_new1152z00_1680 =
													((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_literalz00_bgl))));
												{	/* Reduce/sbeta.scm 479 */
													long BgL_arg1742z00_1681;

													BgL_arg1742z00_1681 =
														BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1152z00_1680),
														BgL_arg1742z00_1681);
												}
												{	/* Reduce/sbeta.scm 479 */
													BgL_objectz00_bglt BgL_tmpz00_5065;

													BgL_tmpz00_5065 =
														((BgL_objectz00_bglt) BgL_new1152z00_1680);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5065, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1152z00_1680);
												BgL_new1153z00_1678 = BgL_new1152z00_1680;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1153z00_1678)))->
													BgL_locz00) =
												((obj_t) (((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) BgL_nodez00_33)))->
														BgL_locz00)), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1153z00_1678)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) BgL_nodez00_33)))->
														BgL_typez00)), BUNSPEC);
											{
												obj_t BgL_auxz00_5077;

												{	/* Reduce/sbeta.scm 480 */
													bool_t BgL__ortest_1154z00_1679;

													BgL__ortest_1154z00_1679 =
														(
														((obj_t) BgL_atypez00_1669) ==
														BGl_za2realza2z00zztype_cachez00);
													if (BgL__ortest_1154z00_1679)
														{	/* Reduce/sbeta.scm 480 */
															BgL_auxz00_5077 = BBOOL(BgL__ortest_1154z00_1679);
														}
													else
														{	/* Reduce/sbeta.scm 480 */
															BgL_auxz00_5077 =
																BBOOL(
																(((obj_t) BgL_atypez00_1669) ==
																	BGl_za2brealza2z00zztype_cachez00));
														}
												}
												((((BgL_atomz00_bglt) COBJECT(
																((BgL_atomz00_bglt) BgL_new1153z00_1678)))->
														BgL_valuez00) = ((obj_t) BgL_auxz00_5077), BUNSPEC);
											}
											return ((obj_t) BgL_new1153z00_1678);
										}
									}
								else
									{	/* Reduce/sbeta.scm 485 */
										obj_t BgL_arg1743z00_1682;

										BgL_arg1743z00_1682 =
											BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_33));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string2198z00zzreduce_betaz00,
											BGl_string2199z00zzreduce_betaz00, BgL_arg1743z00_1682);
									}
							}
					}
			}
		}

	}



/* node-beta*! */
	obj_t BGl_nodezd2betaza2z12z62zzreduce_betaz00(obj_t BgL_nodesz00_34)
	{
		{	/* Reduce/sbeta.scm 490 */
			{
				obj_t BgL_nodesz00_1687;

				BgL_nodesz00_1687 = BgL_nodesz00_34;
			BgL_zc3z04anonymousza31748ze3z87_1688:
				if (NULLP(BgL_nodesz00_1687))
					{	/* Reduce/sbeta.scm 492 */
						return BUNSPEC;
					}
				else
					{	/* Reduce/sbeta.scm 492 */
						{	/* Reduce/sbeta.scm 495 */
							BgL_nodez00_bglt BgL_arg1750z00_1690;

							{	/* Reduce/sbeta.scm 495 */
								obj_t BgL_arg1751z00_1691;

								BgL_arg1751z00_1691 = CAR(((obj_t) BgL_nodesz00_1687));
								BgL_arg1750z00_1690 =
									BGl_nodezd2betaz12zc0zzreduce_betaz00(
									((BgL_nodez00_bglt) BgL_arg1751z00_1691));
							}
							{	/* Reduce/sbeta.scm 495 */
								obj_t BgL_auxz00_5099;
								obj_t BgL_tmpz00_5097;

								BgL_auxz00_5099 = ((obj_t) BgL_arg1750z00_1690);
								BgL_tmpz00_5097 = ((obj_t) BgL_nodesz00_1687);
								SET_CAR(BgL_tmpz00_5097, BgL_auxz00_5099);
							}
						}
						{	/* Reduce/sbeta.scm 496 */
							obj_t BgL_arg1752z00_1692;

							BgL_arg1752z00_1692 = CDR(((obj_t) BgL_nodesz00_1687));
							{
								obj_t BgL_nodesz00_5104;

								BgL_nodesz00_5104 = BgL_arg1752z00_1692;
								BgL_nodesz00_1687 = BgL_nodesz00_5104;
								goto BgL_zc3z04anonymousza31748ze3z87_1688;
							}
						}
					}
			}
		}

	}



/* node-beta-early-app! */
	BgL_nodez00_bglt
		BGl_nodezd2betazd2earlyzd2appz12zc0zzreduce_betaz00(BgL_appz00_bglt
		BgL_nodez00_35)
	{
		{	/* Reduce/sbeta.scm 504 */
			{	/* Reduce/sbeta.scm 506 */
				bool_t BgL_test2344z00_5105;

				{	/* Reduce/sbeta.scm 506 */
					obj_t BgL_g1408z00_1732;

					BgL_g1408z00_1732 =
						(((BgL_appz00_bglt) COBJECT(BgL_nodez00_35))->BgL_argsz00);
					{
						obj_t BgL_l1406z00_1734;

						BgL_l1406z00_1734 = BgL_g1408z00_1732;
					BgL_zc3z04anonymousza31840ze3z87_1735:
						if (NULLP(BgL_l1406z00_1734))
							{	/* Reduce/sbeta.scm 506 */
								BgL_test2344z00_5105 = ((bool_t) 1);
							}
						else
							{	/* Reduce/sbeta.scm 506 */
								bool_t BgL_test2346z00_5109;

								{	/* Reduce/sbeta.scm 506 */
									obj_t BgL_arg1848z00_1740;

									BgL_arg1848z00_1740 = CAR(((obj_t) BgL_l1406z00_1734));
									{	/* Reduce/sbeta.scm 506 */
										obj_t BgL_classz00_3142;

										BgL_classz00_3142 = BGl_atomz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_arg1848z00_1740))
											{	/* Reduce/sbeta.scm 506 */
												BgL_objectz00_bglt BgL_arg1825z00_3144;

												BgL_arg1825z00_3144 =
													(BgL_objectz00_bglt) (BgL_arg1848z00_1740);
												{	/* Reduce/sbeta.scm 506 */
													bool_t BgL_arg1822z00_3147;
													bool_t BgL_arg1823z00_3148;

													{	/* Reduce/sbeta.scm 506 */
														long BgL_idxz00_3151;

														BgL_idxz00_3151 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3144);
														BgL_arg1822z00_3147 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3151 + ((long) 2))) ==
															BgL_classz00_3142);
													}
													{	/* Reduce/sbeta.scm 506 */
														bool_t BgL_res2166z00_3173;

														{	/* Reduce/sbeta.scm 506 */
															obj_t BgL_oclassz00_3159;

															{	/* Reduce/sbeta.scm 506 */
																long BgL_arg1833z00_3165;

																{	/* Reduce/sbeta.scm 506 */
																	long BgL_arg1834z00_3166;

																	BgL_arg1834z00_3166 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3144);
																	BgL_arg1833z00_3165 =
																		(BgL_arg1834z00_3166 - OBJECT_TYPE);
																}
																BgL_oclassz00_3159 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3165);
															}
															{	/* Reduce/sbeta.scm 506 */
																bool_t BgL__ortest_1110z00_3160;

																BgL__ortest_1110z00_3160 =
																	(BgL_classz00_3142 == BgL_oclassz00_3159);
																if (BgL__ortest_1110z00_3160)
																	{	/* Reduce/sbeta.scm 506 */
																		BgL_res2166z00_3173 =
																			BgL__ortest_1110z00_3160;
																	}
																else
																	{	/* Reduce/sbeta.scm 506 */
																		long BgL_odepthz00_3161;

																		BgL_odepthz00_3161 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3159);
																		if ((((long) 2) < BgL_odepthz00_3161))
																			{	/* Reduce/sbeta.scm 506 */
																				obj_t BgL_arg1821z00_3163;

																				BgL_arg1821z00_3163 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3159, ((long) 2));
																				BgL_res2166z00_3173 =
																					(BgL_arg1821z00_3163 ==
																					BgL_classz00_3142);
																			}
																		else
																			{	/* Reduce/sbeta.scm 506 */
																				BgL_res2166z00_3173 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3148 = BgL_res2166z00_3173;
													}
													BgL_test2346z00_5109 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3147,
														BgL_arg1823z00_3148);
												}
											}
										else
											{	/* Reduce/sbeta.scm 506 */
												BgL_test2346z00_5109 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2346z00_5109)
									{	/* Reduce/sbeta.scm 506 */
										obj_t BgL_arg1842z00_1739;

										BgL_arg1842z00_1739 = CDR(((obj_t) BgL_l1406z00_1734));
										{
											obj_t BgL_l1406z00_5132;

											BgL_l1406z00_5132 = BgL_arg1842z00_1739;
											BgL_l1406z00_1734 = BgL_l1406z00_5132;
											goto BgL_zc3z04anonymousza31840ze3z87_1735;
										}
									}
								else
									{	/* Reduce/sbeta.scm 506 */
										BgL_test2344z00_5105 = ((bool_t) 0);
									}
							}
					}
				}
				if (BgL_test2344z00_5105)
					{	/* Reduce/sbeta.scm 507 */
						bool_t BgL_test2350z00_5133;

						if (
							(bgl_list_length(
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_35))->BgL_argsz00)) ==
								((long) 1)))
							{	/* Reduce/sbeta.scm 507 */
								obj_t BgL_tmpz00_5138;

								{
									BgL_atomz00_bglt BgL_auxz00_5139;

									{	/* Reduce/sbeta.scm 507 */
										obj_t BgL_pairz00_3176;

										BgL_pairz00_3176 =
											(((BgL_appz00_bglt) COBJECT(BgL_nodez00_35))->
											BgL_argsz00);
										BgL_auxz00_5139 =
											((BgL_atomz00_bglt) CAR(BgL_pairz00_3176));
									}
									BgL_tmpz00_5138 =
										(((BgL_atomz00_bglt) COBJECT(BgL_auxz00_5139))->
										BgL_valuez00);
								}
								BgL_test2350z00_5133 = STRINGP(BgL_tmpz00_5138);
							}
						else
							{	/* Reduce/sbeta.scm 507 */
								BgL_test2350z00_5133 = ((bool_t) 0);
							}
						if (BgL_test2350z00_5133)
							{	/* Reduce/sbeta.scm 508 */
								bool_t BgL_test2352z00_5145;

								{	/* Reduce/sbeta.scm 508 */
									BgL_variablez00_bglt BgL_arg1811z00_1724;

									BgL_arg1811z00_1724 =
										(((BgL_varz00_bglt) COBJECT(
												(((BgL_appz00_bglt) COBJECT(BgL_nodez00_35))->
													BgL_funz00)))->BgL_variablez00);
									BgL_test2352z00_5145 =
										(((obj_t) BgL_arg1811z00_1724) ==
										BGl_za2czd2stringzd2lengthza2z00zzreduce_betaz00);
								}
								if (BgL_test2352z00_5145)
									{	/* Reduce/sbeta.scm 509 */
										BgL_literalz00_bglt BgL_new1158z00_1718;

										{	/* Reduce/sbeta.scm 510 */
											BgL_literalz00_bglt BgL_new1157z00_1722;

											BgL_new1157z00_1722 =
												((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_literalz00_bgl))));
											{	/* Reduce/sbeta.scm 510 */
												long BgL_arg1810z00_1723;

												BgL_arg1810z00_1723 =
													BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1157z00_1722),
													BgL_arg1810z00_1723);
											}
											{	/* Reduce/sbeta.scm 510 */
												BgL_objectz00_bglt BgL_tmpz00_5154;

												BgL_tmpz00_5154 =
													((BgL_objectz00_bglt) BgL_new1157z00_1722);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5154, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1157z00_1722);
											BgL_new1158z00_1718 = BgL_new1157z00_1722;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1158z00_1718)))->
												BgL_locz00) =
											((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_nodez00_35)))->BgL_locz00)), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1158z00_1718)))->BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_nodez00_bglt)
														COBJECT(((BgL_nodez00_bglt) BgL_nodez00_35)))->
													BgL_typez00)), BUNSPEC);
										{
											obj_t BgL_auxz00_5166;

											{	/* Reduce/sbeta.scm 512 */
												obj_t BgL_stringz00_3187;

												{
													BgL_atomz00_bglt BgL_auxz00_5168;

													{	/* Reduce/sbeta.scm 512 */
														obj_t BgL_pairz00_3185;

														BgL_pairz00_3185 =
															(((BgL_appz00_bglt) COBJECT(BgL_nodez00_35))->
															BgL_argsz00);
														BgL_auxz00_5168 =
															((BgL_atomz00_bglt) CAR(BgL_pairz00_3185));
													}
													BgL_stringz00_3187 =
														(((BgL_atomz00_bglt) COBJECT(BgL_auxz00_5168))->
														BgL_valuez00);
												}
												BgL_auxz00_5166 =
													BINT(STRING_LENGTH(BgL_stringz00_3187));
											}
											((((BgL_atomz00_bglt) COBJECT(
															((BgL_atomz00_bglt) BgL_new1158z00_1718)))->
													BgL_valuez00) = ((obj_t) BgL_auxz00_5166), BUNSPEC);
										}
										return ((BgL_nodez00_bglt) BgL_new1158z00_1718);
									}
								else
									{	/* Reduce/sbeta.scm 508 */
										return ((BgL_nodez00_bglt) BgL_nodez00_35);
									}
							}
						else
							{	/* Reduce/sbeta.scm 507 */
								return ((BgL_nodez00_bglt) BgL_nodez00_35);
							}
					}
				else
					{	/* Reduce/sbeta.scm 506 */
						return ((BgL_nodez00_bglt) BgL_nodez00_35);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_betaz00()
	{
		{	/* Reduce/sbeta.scm 25 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_betaz00()
	{
		{	/* Reduce/sbeta.scm 25 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_proc2200z00zzreduce_betaz00, BGl_nodez00zzast_nodez00,
				BGl_string2201z00zzreduce_betaz00);
		}

	}



/* &node-beta!1410 */
	obj_t BGl_z62nodezd2betaz121410za2zzreduce_betaz00(obj_t BgL_envz00_4095,
		obj_t BgL_nodez00_4096)
	{
		{	/* Reduce/sbeta.scm 91 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_4096));
		}

	}



/* node-beta! */
	BgL_nodez00_bglt BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		{	/* Reduce/sbeta.scm 91 */
			{	/* Reduce/sbeta.scm 91 */
				obj_t BgL_method1412z00_1746;

				{	/* Reduce/sbeta.scm 91 */
					obj_t BgL_res2171z00_3218;

					{	/* Reduce/sbeta.scm 91 */
						long BgL_objzd2classzd2numz00_3189;

						BgL_objzd2classzd2numz00_3189 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/sbeta.scm 91 */
							obj_t BgL_arg1829z00_3190;

							BgL_arg1829z00_3190 =
								PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
								(int) (((long) 1)));
							{	/* Reduce/sbeta.scm 91 */
								int BgL_offsetz00_3193;

								BgL_offsetz00_3193 = (int) (BgL_objzd2classzd2numz00_3189);
								{	/* Reduce/sbeta.scm 91 */
									long BgL_offsetz00_3194;

									BgL_offsetz00_3194 =
										((long) (BgL_offsetz00_3193) - OBJECT_TYPE);
									{	/* Reduce/sbeta.scm 91 */
										long BgL_modz00_3195;

										BgL_modz00_3195 =
											(BgL_offsetz00_3194 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Reduce/sbeta.scm 91 */
											long BgL_restz00_3197;

											BgL_restz00_3197 =
												(BgL_offsetz00_3194 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Reduce/sbeta.scm 91 */

												{	/* Reduce/sbeta.scm 91 */
													obj_t BgL_bucketz00_3199;

													BgL_bucketz00_3199 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3190), BgL_modz00_3195);
													BgL_res2171z00_3218 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3199), BgL_restz00_3197);
					}}}}}}}}
					BgL_method1412z00_1746 = BgL_res2171z00_3218;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1412z00_1746) (BgL_method1412z00_1746,
						((obj_t) BgL_nodez00_4), BEOA));
			}
		}

	}



/* &node-beta! */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12za2zzreduce_betaz00(obj_t
		BgL_envz00_4097, obj_t BgL_nodez00_4098)
	{
		{	/* Reduce/sbeta.scm 91 */
			return
				BGl_nodezd2betaz12zc0zzreduce_betaz00(
				((BgL_nodez00_bglt) BgL_nodez00_4098));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_betaz00()
	{
		{	/* Reduce/sbeta.scm 25 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2202z00zzreduce_betaz00,
				BGl_string2203z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2204z00zzreduce_betaz00,
				BGl_string2203z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_syncz00zzast_nodez00,
				BGl_proc2205z00zzreduce_betaz00, BGl_string2203z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2206z00zzreduce_betaz00,
				BGl_string2203z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2207z00zzreduce_betaz00,
				BGl_string2203z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_castz00zzast_nodez00,
				BGl_proc2208z00zzreduce_betaz00, BGl_string2203z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_setqz00zzast_nodez00,
				BGl_proc2209z00zzreduce_betaz00, BGl_string2203z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2210z00zzreduce_betaz00,
				BGl_string2203z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_switchz00zzast_nodez00, BGl_proc2211z00zzreduce_betaz00,
				BGl_string2203z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2212z00zzreduce_betaz00,
				BGl_string2203z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2213z00zzreduce_betaz00,
				BGl_string2203z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2214z00zzreduce_betaz00,
				BGl_string2203z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2215z00zzreduce_betaz00,
				BGl_string2203z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2216z00zzreduce_betaz00,
				BGl_string2203z00zzreduce_betaz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_appz00zzast_nodez00,
				BGl_proc2217z00zzreduce_betaz00, BGl_string2203z00zzreduce_betaz00);
		}

	}



/* &node-beta!-app1445 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2app1445z70zzreduce_betaz00(obj_t
		BgL_envz00_4114, obj_t BgL_nodez00_4115)
	{
		{	/* Reduce/sbeta.scm 439 */
			BGl_nodezd2betaza2z12z62zzreduce_betaz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_4115)))->BgL_argsz00));
			if (CBOOL(BGl_predicatezf3zf3zzreduce_betaz00(
						((BgL_appz00_bglt) BgL_nodez00_4115))))
				{	/* Reduce/sbeta.scm 442 */
					return
						((BgL_nodez00_bglt)
						BGl_nodezd2betazd2predicatez12z12zzreduce_betaz00(
							((BgL_appz00_bglt) BgL_nodez00_4115)));
				}
			else
				{	/* Reduce/sbeta.scm 442 */
					return
						BGl_nodezd2betazd2earlyzd2appz12zc0zzreduce_betaz00(
						((BgL_appz00_bglt) BgL_nodez00_4115));
				}
		}

	}



/* &node-beta!-box-set!1442 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2boxzd2setz121442zb0zzreduce_betaz00(obj_t
		BgL_envz00_4116, obj_t BgL_nodez00_4117)
	{
		{	/* Reduce/sbeta.scm 431 */
			{
				BgL_nodez00_bglt BgL_auxz00_5243;

				{	/* Reduce/sbeta.scm 433 */
					BgL_nodez00_bglt BgL_arg2086z00_4159;

					BgL_arg2086z00_4159 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4117)))->BgL_valuez00);
					BgL_auxz00_5243 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2086z00_4159);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4117)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5243), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4117));
		}

	}



/* &node-beta!-make-box1440 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2makezd2box1440za2zzreduce_betaz00(obj_t
		BgL_envz00_4118, obj_t BgL_nodez00_4119)
	{
		{	/* Reduce/sbeta.scm 423 */
			{
				BgL_nodez00_bglt BgL_auxz00_5251;

				{	/* Reduce/sbeta.scm 425 */
					BgL_nodez00_bglt BgL_arg2085z00_4161;

					BgL_arg2085z00_4161 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_4119)))->BgL_valuez00);
					BgL_auxz00_5251 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2085z00_4161);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_4119)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5251), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_4119));
		}

	}



/* &node-beta!-jump-ex-i1438 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1438z70zzreduce_betaz00(obj_t
		BgL_envz00_4120, obj_t BgL_nodez00_4121)
	{
		{	/* Reduce/sbeta.scm 414 */
			{
				BgL_nodez00_bglt BgL_auxz00_5259;

				{	/* Reduce/sbeta.scm 416 */
					BgL_nodez00_bglt BgL_arg2083z00_4163;

					BgL_arg2083z00_4163 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4121)))->BgL_exitz00);
					BgL_auxz00_5259 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2083z00_4163);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4121)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_5259), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5265;

				{	/* Reduce/sbeta.scm 417 */
					BgL_nodez00_bglt BgL_arg2084z00_4164;

					BgL_arg2084z00_4164 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4121)))->
						BgL_valuez00);
					BgL_auxz00_5265 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2084z00_4164);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4121)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_5265), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4121));
		}

	}



/* &node-beta!-set-ex-it1436 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1436z70zzreduce_betaz00(obj_t
		BgL_envz00_4122, obj_t BgL_nodez00_4123)
	{
		{	/* Reduce/sbeta.scm 405 */
			{
				BgL_nodez00_bglt BgL_auxz00_5273;

				{	/* Reduce/sbeta.scm 407 */
					BgL_nodez00_bglt BgL_arg2081z00_4166;

					BgL_arg2081z00_4166 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4123)))->BgL_bodyz00);
					BgL_auxz00_5273 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2081z00_4166);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4123)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5273), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5279;

				{	/* Reduce/sbeta.scm 408 */
					BgL_nodez00_bglt BgL_arg2082z00_4167;

					BgL_arg2082z00_4167 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4123)))->
						BgL_onexitz00);
					BgL_auxz00_5279 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2082z00_4167);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4123)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_5279), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4123));
		}

	}



/* &node-beta!-let-fun1434 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2fun1434za2zzreduce_betaz00(obj_t
		BgL_envz00_4124, obj_t BgL_nodez00_4125)
	{
		{	/* Reduce/sbeta.scm 391 */
			{
				BgL_nodez00_bglt BgL_auxz00_5287;

				{	/* Reduce/sbeta.scm 393 */
					BgL_nodez00_bglt BgL_arg2072z00_4169;

					BgL_arg2072z00_4169 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_4125)))->BgL_bodyz00);
					BgL_auxz00_5287 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2072z00_4169);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_4125)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5287), BUNSPEC);
			}
			{
				obj_t BgL_localsz00_4171;

				{	/* Reduce/sbeta.scm 394 */
					obj_t BgL_arg2073z00_4177;

					BgL_arg2073z00_4177 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_4125)))->BgL_localsz00);
					{
						BgL_letzd2funzd2_bglt BgL_auxz00_5295;

						BgL_localsz00_4171 = BgL_arg2073z00_4177;
					BgL_loopz00_4170:
						if (NULLP(BgL_localsz00_4171))
							{	/* Reduce/sbeta.scm 395 */
								BgL_auxz00_5295 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_4125);
							}
						else
							{	/* Reduce/sbeta.scm 397 */
								obj_t BgL_localz00_4172;

								BgL_localz00_4172 = CAR(((obj_t) BgL_localsz00_4171));
								{	/* Reduce/sbeta.scm 397 */
									BgL_valuez00_bglt BgL_sfunz00_4173;

									BgL_sfunz00_4173 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_4172))))->
										BgL_valuez00);
									{	/* Reduce/sbeta.scm 398 */

										{	/* Reduce/sbeta.scm 399 */
											BgL_nodez00_bglt BgL_arg2076z00_4174;

											{	/* Reduce/sbeta.scm 399 */
												obj_t BgL_arg2077z00_4175;

												BgL_arg2077z00_4175 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_sfunz00_4173)))->
													BgL_bodyz00);
												BgL_arg2076z00_4174 =
													BGl_nodezd2betaz12zc0zzreduce_betaz00((
														(BgL_nodez00_bglt) BgL_arg2077z00_4175));
											}
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_sfunz00_4173)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg2076z00_4174)), BUNSPEC);
										}
										{	/* Reduce/sbeta.scm 400 */
											obj_t BgL_arg2078z00_4176;

											BgL_arg2078z00_4176 = CDR(((obj_t) BgL_localsz00_4171));
											{
												obj_t BgL_localsz00_5313;

												BgL_localsz00_5313 = BgL_arg2078z00_4176;
												BgL_localsz00_4171 = BgL_localsz00_5313;
												goto BgL_loopz00_4170;
											}
										}
									}
								}
							}
						return ((BgL_nodez00_bglt) BgL_auxz00_5295);
					}
				}
			}
		}

	}



/* &node-beta!-switch1432 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2switch1432z70zzreduce_betaz00(obj_t
		BgL_envz00_4126, obj_t BgL_nodez00_4127)
	{
		{	/* Reduce/sbeta.scm 378 */
			{
				BgL_nodez00_bglt BgL_auxz00_5315;

				{	/* Reduce/sbeta.scm 380 */
					BgL_nodez00_bglt BgL_arg2064z00_4179;

					BgL_arg2064z00_4179 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4127)))->BgL_testz00);
					BgL_auxz00_5315 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2064z00_4179);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4127)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5315), BUNSPEC);
			}
			{
				obj_t BgL_clausesz00_4181;

				{	/* Reduce/sbeta.scm 381 */
					obj_t BgL_arg2065z00_4186;

					BgL_arg2065z00_4186 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4127)))->BgL_clausesz00);
					{
						BgL_switchz00_bglt BgL_auxz00_5323;

						BgL_clausesz00_4181 = BgL_arg2065z00_4186;
					BgL_loopz00_4180:
						if (NULLP(BgL_clausesz00_4181))
							{	/* Reduce/sbeta.scm 382 */
								BgL_auxz00_5323 = ((BgL_switchz00_bglt) BgL_nodez00_4127);
							}
						else
							{	/* Reduce/sbeta.scm 384 */
								obj_t BgL_clausez00_4182;

								BgL_clausez00_4182 = CAR(((obj_t) BgL_clausesz00_4181));
								{	/* Reduce/sbeta.scm 385 */
									BgL_nodez00_bglt BgL_arg2068z00_4183;

									{	/* Reduce/sbeta.scm 385 */
										obj_t BgL_arg2069z00_4184;

										BgL_arg2069z00_4184 = CDR(((obj_t) BgL_clausez00_4182));
										BgL_arg2068z00_4183 =
											BGl_nodezd2betaz12zc0zzreduce_betaz00(
											((BgL_nodez00_bglt) BgL_arg2069z00_4184));
									}
									{	/* Reduce/sbeta.scm 385 */
										obj_t BgL_auxz00_5335;
										obj_t BgL_tmpz00_5333;

										BgL_auxz00_5335 = ((obj_t) BgL_arg2068z00_4183);
										BgL_tmpz00_5333 = ((obj_t) BgL_clausez00_4182);
										SET_CDR(BgL_tmpz00_5333, BgL_auxz00_5335);
									}
								}
								{	/* Reduce/sbeta.scm 386 */
									obj_t BgL_arg2071z00_4185;

									BgL_arg2071z00_4185 = CDR(((obj_t) BgL_clausesz00_4181));
									{
										obj_t BgL_clausesz00_5340;

										BgL_clausesz00_5340 = BgL_arg2071z00_4185;
										BgL_clausesz00_4181 = BgL_clausesz00_5340;
										goto BgL_loopz00_4180;
									}
								}
							}
						return ((BgL_nodez00_bglt) BgL_auxz00_5323);
					}
				}
			}
		}

	}



/* &node-beta!-condition1430 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2condition1430z70zzreduce_betaz00(obj_t
		BgL_envz00_4128, obj_t BgL_nodez00_4129)
	{
		{	/* Reduce/sbeta.scm 368 */
			{
				BgL_nodez00_bglt BgL_auxz00_5342;

				{	/* Reduce/sbeta.scm 370 */
					BgL_nodez00_bglt BgL_arg2061z00_4188;

					BgL_arg2061z00_4188 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4129)))->BgL_testz00);
					BgL_auxz00_5342 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2061z00_4188);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4129)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5342), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5348;

				{	/* Reduce/sbeta.scm 371 */
					BgL_nodez00_bglt BgL_arg2062z00_4189;

					BgL_arg2062z00_4189 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4129)))->BgL_truez00);
					BgL_auxz00_5348 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2062z00_4189);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4129)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5348), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5354;

				{	/* Reduce/sbeta.scm 372 */
					BgL_nodez00_bglt BgL_arg2063z00_4190;

					BgL_arg2063z00_4190 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4129)))->BgL_falsez00);
					BgL_auxz00_5354 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2063z00_4190);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4129)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5354), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_4129));
		}

	}



/* &node-beta!-setq1427 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2setq1427z70zzreduce_betaz00(obj_t
		BgL_envz00_4130, obj_t BgL_nodez00_4131)
	{
		{	/* Reduce/sbeta.scm 360 */
			{
				BgL_nodez00_bglt BgL_auxz00_5362;

				{	/* Reduce/sbeta.scm 362 */
					BgL_nodez00_bglt BgL_arg2060z00_4192;

					BgL_arg2060z00_4192 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_4131)))->BgL_valuez00);
					BgL_auxz00_5362 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2060z00_4192);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_4131)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5362), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_4131));
		}

	}



/* &node-beta!-cast1425 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2cast1425z70zzreduce_betaz00(obj_t
		BgL_envz00_4132, obj_t BgL_nodez00_4133)
	{
		{	/* Reduce/sbeta.scm 352 */
			{
				BgL_nodez00_bglt BgL_auxz00_5370;

				{	/* Reduce/sbeta.scm 354 */
					BgL_nodez00_bglt BgL_arg2059z00_4194;

					BgL_arg2059z00_4194 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_4133)))->BgL_argz00);
					BgL_auxz00_5370 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2059z00_4194);
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_4133)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5370), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_4133));
		}

	}



/* &node-beta!-funcall1423 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2funcall1423z70zzreduce_betaz00(obj_t
		BgL_envz00_4134, obj_t BgL_nodez00_4135)
	{
		{	/* Reduce/sbeta.scm 344 */
			BGl_nodezd2betaza2z12z62zzreduce_betaz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_4135)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_4135));
		}

	}



/* &node-beta!-app-ly1421 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2appzd2ly1421za2zzreduce_betaz00(obj_t
		BgL_envz00_4136, obj_t BgL_nodez00_4137)
	{
		{	/* Reduce/sbeta.scm 335 */
			{
				BgL_nodez00_bglt BgL_auxz00_5383;

				{	/* Reduce/sbeta.scm 337 */
					BgL_nodez00_bglt BgL_arg2055z00_4197;

					BgL_arg2055z00_4197 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_4137)))->BgL_funz00);
					BgL_auxz00_5383 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2055z00_4197);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_4137)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5383), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5389;

				{	/* Reduce/sbeta.scm 338 */
					BgL_nodez00_bglt BgL_arg2056z00_4198;

					BgL_arg2056z00_4198 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_4137)))->BgL_argz00);
					BgL_auxz00_5389 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2056z00_4198);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_4137)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5389), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_4137));
		}

	}



/* &node-beta!-sync1419 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2sync1419z70zzreduce_betaz00(obj_t
		BgL_envz00_4138, obj_t BgL_nodez00_4139)
	{
		{	/* Reduce/sbeta.scm 325 */
			{
				BgL_nodez00_bglt BgL_auxz00_5397;

				{	/* Reduce/sbeta.scm 327 */
					BgL_nodez00_bglt BgL_arg2052z00_4200;

					BgL_arg2052z00_4200 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4139)))->BgL_mutexz00);
					BgL_auxz00_5397 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2052z00_4200);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4139)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5397), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5403;

				{	/* Reduce/sbeta.scm 328 */
					BgL_nodez00_bglt BgL_arg2053z00_4201;

					BgL_arg2053z00_4201 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4139)))->BgL_prelockz00);
					BgL_auxz00_5403 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2053z00_4201);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4139)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5403), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5409;

				{	/* Reduce/sbeta.scm 329 */
					BgL_nodez00_bglt BgL_arg2054z00_4202;

					BgL_arg2054z00_4202 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4139)))->BgL_bodyz00);
					BgL_auxz00_5409 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2054z00_4202);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4139)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5409), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_4139));
		}

	}



/* &node-beta!-sequence1417 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2sequence1417z70zzreduce_betaz00(obj_t
		BgL_envz00_4140, obj_t BgL_nodez00_4141)
	{
		{	/* Reduce/sbeta.scm 317 */
			BGl_nodezd2betaza2z12z62zzreduce_betaz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_4141)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_4141));
		}

	}



/* &node-beta!-let-var1415 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2var1415za2zzreduce_betaz00(obj_t
		BgL_envz00_4142, obj_t BgL_nodez00_4143)
	{
		{	/* Reduce/sbeta.scm 224 */
			{	/* Reduce/sbeta.scm 232 */
				BgL_nodez00_bglt BgL_abodyz00_4205;

				BgL_abodyz00_4205 =
					BGl_findzd2actualzd2expressionz00zzreduce_betaz00(
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4143)))->BgL_bodyz00));
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4143)))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_abodyz00_4205)), BUNSPEC);
				{	/* Reduce/sbeta.scm 236 */
					obj_t BgL_g1371z00_4206;

					BgL_g1371z00_4206 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4143)))->BgL_bindingsz00);
					{
						obj_t BgL_l1369z00_4208;

						BgL_l1369z00_4208 = BgL_g1371z00_4206;
					BgL_zc3z04anonymousza31850ze3z87_4207:
						if (PAIRP(BgL_l1369z00_4208))
							{	/* Reduce/sbeta.scm 236 */
								{	/* Reduce/sbeta.scm 237 */
									obj_t BgL_bindingz00_4209;

									BgL_bindingz00_4209 = CAR(BgL_l1369z00_4208);
									{	/* Reduce/sbeta.scm 237 */
										BgL_nodez00_bglt BgL_arg1852z00_4210;

										{	/* Reduce/sbeta.scm 237 */
											obj_t BgL_arg1854z00_4211;

											BgL_arg1854z00_4211 = CDR(((obj_t) BgL_bindingz00_4209));
											BgL_arg1852z00_4210 =
												BGl_nodezd2betaz12zc0zzreduce_betaz00(
												((BgL_nodez00_bglt) BgL_arg1854z00_4211));
										}
										{	/* Reduce/sbeta.scm 237 */
											obj_t BgL_auxz00_5439;
											obj_t BgL_tmpz00_5437;

											BgL_auxz00_5439 = ((obj_t) BgL_arg1852z00_4210);
											BgL_tmpz00_5437 = ((obj_t) BgL_bindingz00_4209);
											SET_CDR(BgL_tmpz00_5437, BgL_auxz00_5439);
										}
									}
								}
								{
									obj_t BgL_l1369z00_5442;

									BgL_l1369z00_5442 = CDR(BgL_l1369z00_4208);
									BgL_l1369z00_4208 = BgL_l1369z00_5442;
									goto BgL_zc3z04anonymousza31850ze3z87_4207;
								}
							}
						else
							{	/* Reduce/sbeta.scm 236 */
								((bool_t) 1);
							}
					}
				}
				if (
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4143)))->
						BgL_removablezf3zf3))
					{	/* Reduce/sbeta.scm 241 */
						if (NULLP(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_4143)))->
									BgL_bindingsz00)))
							{	/* Reduce/sbeta.scm 243 */
								return BgL_abodyz00_4205;
							}
						else
							{	/* Reduce/sbeta.scm 245 */
								bool_t BgL_test2359z00_5451;

								{	/* Reduce/sbeta.scm 245 */
									bool_t BgL_test2360z00_5452;

									{	/* Reduce/sbeta.scm 245 */
										obj_t BgL_g1374z00_4212;

										BgL_g1374z00_4212 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_4143)))->
											BgL_bindingsz00);
										{
											obj_t BgL_l1372z00_4214;

											BgL_l1372z00_4214 = BgL_g1374z00_4212;
										BgL_zc3z04anonymousza32024ze3z87_4213:
											if (NULLP(BgL_l1372z00_4214))
												{	/* Reduce/sbeta.scm 245 */
													BgL_test2360z00_5452 = ((bool_t) 0);
												}
											else
												{	/* Reduce/sbeta.scm 249 */
													bool_t BgL__ortest_1375z00_4215;

													{	/* Reduce/sbeta.scm 249 */
														obj_t BgL_bz00_4216;

														BgL_bz00_4216 = CAR(((obj_t) BgL_l1372z00_4214));
														{	/* Reduce/sbeta.scm 249 */
															bool_t BgL__ortest_1121z00_4217;

															BgL__ortest_1121z00_4217 =
																(
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					CAR(
																						((obj_t) BgL_bz00_4216))))))->
																	BgL_occurrencez00) > ((long) 1));
															if (BgL__ortest_1121z00_4217)
																{	/* Reduce/sbeta.scm 249 */
																	BgL__ortest_1375z00_4215 =
																		BgL__ortest_1121z00_4217;
																}
															else
																{	/* Reduce/sbeta.scm 249 */
																	if (
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							CAR(
																								((obj_t) BgL_bz00_4216))))))->
																			BgL_userzf3zf3))
																		{	/* Reduce/sbeta.scm 251 */
																			obj_t BgL__andtest_1123z00_4218;

																			{	/* Reduce/sbeta.scm 252 */
																				obj_t BgL_arg2026z00_4219;

																				{	/* Reduce/sbeta.scm 252 */
																					obj_t BgL_arg2029z00_4220;

																					BgL_arg2029z00_4220 =
																						BGl_thezd2backendzd2zzbackend_backendz00
																						();
																					BgL_arg2026z00_4219 =
																						(((BgL_backendz00_bglt)
																							COBJECT(((BgL_backendz00_bglt)
																									BgL_arg2029z00_4220)))->
																						BgL_debugzd2supportzd2);
																				}
																				BgL__andtest_1123z00_4218 =
																					BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																					(CNST_TABLE_REF(((long) 5)),
																					BgL_arg2026z00_4219);
																			}
																			if (CBOOL(BgL__andtest_1123z00_4218))
																				{	/* Reduce/sbeta.scm 251 */
																					BgL__ortest_1375z00_4215 =
																						(
																						(long)
																						CINT
																						(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
																						> ((long) 0));
																				}
																			else
																				{	/* Reduce/sbeta.scm 251 */
																					BgL__ortest_1375z00_4215 =
																						((bool_t) 0);
																				}
																		}
																	else
																		{	/* Reduce/sbeta.scm 250 */
																			BgL__ortest_1375z00_4215 = ((bool_t) 0);
																		}
																}
														}
													}
													if (BgL__ortest_1375z00_4215)
														{	/* Reduce/sbeta.scm 245 */
															BgL_test2360z00_5452 = BgL__ortest_1375z00_4215;
														}
													else
														{	/* Reduce/sbeta.scm 245 */
															obj_t BgL_arg2025z00_4221;

															BgL_arg2025z00_4221 =
																CDR(((obj_t) BgL_l1372z00_4214));
															{
																obj_t BgL_l1372z00_5484;

																BgL_l1372z00_5484 = BgL_arg2025z00_4221;
																BgL_l1372z00_4214 = BgL_l1372z00_5484;
																goto BgL_zc3z04anonymousza32024ze3z87_4213;
															}
														}
												}
										}
									}
									if (BgL_test2360z00_5452)
										{	/* Reduce/sbeta.scm 245 */
											BgL_test2359z00_5451 = ((bool_t) 1);
										}
									else
										{	/* Reduce/sbeta.scm 255 */
											obj_t BgL_g1378z00_4222;

											BgL_g1378z00_4222 =
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_4143)))->
												BgL_bindingsz00);
											{
												obj_t BgL_l1376z00_4224;

												BgL_l1376z00_4224 = BgL_g1378z00_4222;
											BgL_zc3z04anonymousza32021ze3z87_4223:
												if (NULLP(BgL_l1376z00_4224))
													{	/* Reduce/sbeta.scm 255 */
														BgL_test2359z00_5451 = ((bool_t) 0);
													}
												else
													{	/* Reduce/sbeta.scm 255 */
														bool_t BgL__ortest_1379z00_4225;

														{	/* Reduce/sbeta.scm 255 */
															obj_t BgL_arg2023z00_4226;

															BgL_arg2023z00_4226 =
																CAR(((obj_t) BgL_l1376z00_4224));
															{	/* Reduce/sbeta.scm 201 */
																obj_t BgL_arg1706z00_4227;

																BgL_arg1706z00_4227 =
																	CDR(((obj_t) BgL_arg2023z00_4226));
																BgL__ortest_1379z00_4225 =
																	BGl_dangerouszf3zf3zzreduce_betaz00
																	(BgL_arg1706z00_4227);
															}
														}
														if (BgL__ortest_1379z00_4225)
															{	/* Reduce/sbeta.scm 255 */
																BgL_test2359z00_5451 = BgL__ortest_1379z00_4225;
															}
														else
															{	/* Reduce/sbeta.scm 255 */
																obj_t BgL_arg2022z00_4228;

																BgL_arg2022z00_4228 =
																	CDR(((obj_t) BgL_l1376z00_4224));
																{
																	obj_t BgL_l1376z00_5497;

																	BgL_l1376z00_5497 = BgL_arg2022z00_4228;
																	BgL_l1376z00_4224 = BgL_l1376z00_5497;
																	goto BgL_zc3z04anonymousza32021ze3z87_4223;
																}
															}
													}
											}
										}
								}
								if (BgL_test2359z00_5451)
									{	/* Reduce/sbeta.scm 245 */
										return
											((BgL_nodez00_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_4143));
									}
								else
									{	/* Reduce/sbeta.scm 257 */
										bool_t BgL_test2368z00_5500;

										{	/* Reduce/sbeta.scm 257 */
											bool_t BgL_test2369z00_5501;

											{	/* Reduce/sbeta.scm 257 */
												obj_t BgL_tmpz00_5502;

												BgL_tmpz00_5502 =
													(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_nodez00_4143)))->
													BgL_bindingsz00);
												BgL_test2369z00_5501 = PAIRP(BgL_tmpz00_5502);
											}
											if (BgL_test2369z00_5501)
												{	/* Reduce/sbeta.scm 257 */
													if (NULLP(CDR(
																(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_4143)))->BgL_bindingsz00))))
														{	/* Reduce/sbeta.scm 259 */
															BgL_variablez00_bglt BgL_varz00_4229;

															{	/* Reduce/sbeta.scm 259 */
																obj_t BgL_pairz00_4230;

																BgL_pairz00_4230 =
																	CAR(
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																				((BgL_letzd2varzd2_bglt)
																					BgL_nodez00_4143)))->
																		BgL_bindingsz00));
																BgL_varz00_4229 =
																	((BgL_variablez00_bglt)
																	CAR(BgL_pairz00_4230));
															}
															{	/* Reduce/sbeta.scm 207 */
																bool_t BgL_test2371z00_5516;

																{	/* Reduce/sbeta.scm 207 */
																	obj_t BgL_classz00_4231;

																	BgL_classz00_4231 = BGl_varz00zzast_nodez00;
																	{	/* Reduce/sbeta.scm 207 */
																		BgL_objectz00_bglt BgL_arg1825z00_4232;

																		{	/* Reduce/sbeta.scm 207 */
																			obj_t BgL_tmpz00_5517;

																			BgL_tmpz00_5517 =
																				((obj_t) BgL_abodyz00_4205);
																			BgL_arg1825z00_4232 =
																				(BgL_objectz00_bglt) (BgL_tmpz00_5517);
																		}
																		{	/* Reduce/sbeta.scm 207 */
																			bool_t BgL_arg1822z00_4233;
																			bool_t BgL_arg1823z00_4234;

																			{	/* Reduce/sbeta.scm 207 */
																				long BgL_idxz00_4235;

																				BgL_idxz00_4235 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1825z00_4232);
																				BgL_arg1822z00_4233 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_4235 + ((long) 2))) ==
																					BgL_classz00_4231);
																			}
																			{	/* Reduce/sbeta.scm 207 */
																				bool_t BgL_res2177z00_4238;

																				{	/* Reduce/sbeta.scm 207 */
																					obj_t BgL_oclassz00_4239;

																					{	/* Reduce/sbeta.scm 207 */
																						long BgL_arg1833z00_4240;

																						{	/* Reduce/sbeta.scm 207 */
																							long BgL_arg1834z00_4241;

																							BgL_arg1834z00_4241 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1825z00_4232);
																							BgL_arg1833z00_4240 =
																								(BgL_arg1834z00_4241 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_4239 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1833z00_4240);
																					}
																					{	/* Reduce/sbeta.scm 207 */
																						bool_t BgL__ortest_1110z00_4242;

																						BgL__ortest_1110z00_4242 =
																							(BgL_classz00_4231 ==
																							BgL_oclassz00_4239);
																						if (BgL__ortest_1110z00_4242)
																							{	/* Reduce/sbeta.scm 207 */
																								BgL_res2177z00_4238 =
																									BgL__ortest_1110z00_4242;
																							}
																						else
																							{	/* Reduce/sbeta.scm 207 */
																								long BgL_odepthz00_4243;

																								BgL_odepthz00_4243 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_4239);
																								if ((((long) 2) <
																										BgL_odepthz00_4243))
																									{	/* Reduce/sbeta.scm 207 */
																										obj_t BgL_arg1821z00_4244;

																										BgL_arg1821z00_4244 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_4239,
																											((long) 2));
																										BgL_res2177z00_4238 =
																											(BgL_arg1821z00_4244 ==
																											BgL_classz00_4231);
																									}
																								else
																									{	/* Reduce/sbeta.scm 207 */
																										BgL_res2177z00_4238 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_arg1823z00_4234 =
																					BgL_res2177z00_4238;
																			}
																			BgL_test2371z00_5516 =
																				BGL_ISA_C_BACKEND(BgL_arg1822z00_4233,
																				BgL_arg1823z00_4234);
																		}
																	}
																}
																if (BgL_test2371z00_5516)
																	{	/* Reduce/sbeta.scm 207 */
																		BgL_test2368z00_5500 =
																			(
																			((obj_t)
																				(((BgL_varz00_bglt) COBJECT(
																							((BgL_varz00_bglt)
																								BgL_abodyz00_4205)))->
																					BgL_variablez00)) ==
																			((obj_t) BgL_varz00_4229));
																	}
																else
																	{	/* Reduce/sbeta.scm 207 */
																		BgL_test2368z00_5500 = ((bool_t) 0);
																	}
															}
														}
													else
														{	/* Reduce/sbeta.scm 258 */
															BgL_test2368z00_5500 = ((bool_t) 0);
														}
												}
											else
												{	/* Reduce/sbeta.scm 257 */
													BgL_test2368z00_5500 = ((bool_t) 0);
												}
										}
										if (BgL_test2368z00_5500)
											{	/* Reduce/sbeta.scm 257 */
												BGl_za2removedza2z00zzreduce_betaz00 =
													(BGl_za2removedza2z00zzreduce_betaz00 + ((long) 1));
												{	/* Reduce/sbeta.scm 262 */
													obj_t BgL_arg1904z00_4245;

													{	/* Reduce/sbeta.scm 262 */
														obj_t BgL_pairz00_4246;

														BgL_pairz00_4246 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_4143)))->
															BgL_bindingsz00);
														BgL_arg1904z00_4245 = CDR(CAR(BgL_pairz00_4246));
													}
													return
														BGl_nodezd2betaz12zc0zzreduce_betaz00(
														((BgL_nodez00_bglt) BgL_arg1904z00_4245));
												}
											}
										else
											{	/* Reduce/sbeta.scm 263 */
												bool_t BgL_test2374z00_5547;

												{	/* Reduce/sbeta.scm 263 */
													bool_t BgL_test2375z00_5548;

													{	/* Reduce/sbeta.scm 263 */
														obj_t BgL_classz00_4247;

														BgL_classz00_4247 = BGl_conditionalz00zzast_nodez00;
														{	/* Reduce/sbeta.scm 263 */
															BgL_objectz00_bglt BgL_arg1825z00_4248;

															{	/* Reduce/sbeta.scm 263 */
																obj_t BgL_tmpz00_5549;

																BgL_tmpz00_5549 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_abodyz00_4205));
																BgL_arg1825z00_4248 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_5549);
															}
															{	/* Reduce/sbeta.scm 263 */
																bool_t BgL_arg1822z00_4249;
																bool_t BgL_arg1823z00_4250;

																{	/* Reduce/sbeta.scm 263 */
																	long BgL_idxz00_4251;

																	BgL_idxz00_4251 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_4248);
																	BgL_arg1822z00_4249 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4251 + ((long) 3))) ==
																		BgL_classz00_4247);
																}
																{	/* Reduce/sbeta.scm 263 */
																	bool_t BgL_res2178z00_4254;

																	{	/* Reduce/sbeta.scm 263 */
																		obj_t BgL_oclassz00_4255;

																		{	/* Reduce/sbeta.scm 263 */
																			long BgL_arg1833z00_4256;

																			{	/* Reduce/sbeta.scm 263 */
																				long BgL_arg1834z00_4257;

																				BgL_arg1834z00_4257 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_4248);
																				BgL_arg1833z00_4256 =
																					(BgL_arg1834z00_4257 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4255 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_4256);
																		}
																		{	/* Reduce/sbeta.scm 263 */
																			bool_t BgL__ortest_1110z00_4258;

																			BgL__ortest_1110z00_4258 =
																				(BgL_classz00_4247 ==
																				BgL_oclassz00_4255);
																			if (BgL__ortest_1110z00_4258)
																				{	/* Reduce/sbeta.scm 263 */
																					BgL_res2178z00_4254 =
																						BgL__ortest_1110z00_4258;
																				}
																			else
																				{	/* Reduce/sbeta.scm 263 */
																					long BgL_odepthz00_4259;

																					BgL_odepthz00_4259 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4255);
																					if ((((long) 3) < BgL_odepthz00_4259))
																						{	/* Reduce/sbeta.scm 263 */
																							obj_t BgL_arg1821z00_4260;

																							BgL_arg1821z00_4260 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4255,
																								((long) 3));
																							BgL_res2178z00_4254 =
																								(BgL_arg1821z00_4260 ==
																								BgL_classz00_4247);
																						}
																					else
																						{	/* Reduce/sbeta.scm 263 */
																							BgL_res2178z00_4254 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_4250 = BgL_res2178z00_4254;
																}
																BgL_test2375z00_5548 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_4249,
																	BgL_arg1823z00_4250);
															}
														}
													}
													if (BgL_test2375z00_5548)
														{	/* Reduce/sbeta.scm 263 */
															if (NULLP(CDR(
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_4143)))->
																			BgL_bindingsz00))))
																{	/* Reduce/sbeta.scm 265 */
																	BgL_variablez00_bglt BgL_varz00_4261;
																	BgL_nodez00_bglt BgL_nodez00_4262;

																	{	/* Reduce/sbeta.scm 265 */
																		obj_t BgL_pairz00_4263;

																		BgL_pairz00_4263 =
																			CAR(
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																						((BgL_letzd2varzd2_bglt)
																							BgL_nodez00_4143)))->
																				BgL_bindingsz00));
																		BgL_varz00_4261 =
																			((BgL_variablez00_bglt)
																			CAR(BgL_pairz00_4263));
																	}
																	BgL_nodez00_4262 =
																		(((BgL_conditionalz00_bglt) COBJECT(
																				((BgL_conditionalz00_bglt)
																					BgL_abodyz00_4205)))->BgL_testz00);
																	{	/* Reduce/sbeta.scm 207 */
																		bool_t BgL_test2379z00_5580;

																		{	/* Reduce/sbeta.scm 207 */
																			obj_t BgL_classz00_4264;

																			BgL_classz00_4264 =
																				BGl_varz00zzast_nodez00;
																			{	/* Reduce/sbeta.scm 207 */
																				BgL_objectz00_bglt BgL_arg1825z00_4265;

																				{	/* Reduce/sbeta.scm 207 */
																					obj_t BgL_tmpz00_5581;

																					BgL_tmpz00_5581 =
																						((obj_t) BgL_nodez00_4262);
																					BgL_arg1825z00_4265 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_5581);
																				}
																				{	/* Reduce/sbeta.scm 207 */
																					bool_t BgL_arg1822z00_4266;
																					bool_t BgL_arg1823z00_4267;

																					{	/* Reduce/sbeta.scm 207 */
																						long BgL_idxz00_4268;

																						BgL_idxz00_4268 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1825z00_4265);
																						BgL_arg1822z00_4266 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_4268 +
																									((long) 2))) ==
																							BgL_classz00_4264);
																					}
																					{	/* Reduce/sbeta.scm 207 */
																						bool_t BgL_res2179z00_4271;

																						{	/* Reduce/sbeta.scm 207 */
																							obj_t BgL_oclassz00_4272;

																							{	/* Reduce/sbeta.scm 207 */
																								long BgL_arg1833z00_4273;

																								{	/* Reduce/sbeta.scm 207 */
																									long BgL_arg1834z00_4274;

																									BgL_arg1834z00_4274 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1825z00_4265);
																									BgL_arg1833z00_4273 =
																										(BgL_arg1834z00_4274 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_4272 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1833z00_4273);
																							}
																							{	/* Reduce/sbeta.scm 207 */
																								bool_t BgL__ortest_1110z00_4275;

																								BgL__ortest_1110z00_4275 =
																									(BgL_classz00_4264 ==
																									BgL_oclassz00_4272);
																								if (BgL__ortest_1110z00_4275)
																									{	/* Reduce/sbeta.scm 207 */
																										BgL_res2179z00_4271 =
																											BgL__ortest_1110z00_4275;
																									}
																								else
																									{	/* Reduce/sbeta.scm 207 */
																										long BgL_odepthz00_4276;

																										BgL_odepthz00_4276 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_4272);
																										if ((((long) 2) <
																												BgL_odepthz00_4276))
																											{	/* Reduce/sbeta.scm 207 */
																												obj_t
																													BgL_arg1821z00_4277;
																												BgL_arg1821z00_4277 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_4272,
																													((long) 2));
																												BgL_res2179z00_4271 =
																													(BgL_arg1821z00_4277
																													== BgL_classz00_4264);
																											}
																										else
																											{	/* Reduce/sbeta.scm 207 */
																												BgL_res2179z00_4271 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_arg1823z00_4267 =
																							BgL_res2179z00_4271;
																					}
																					BgL_test2379z00_5580 =
																						BGL_ISA_C_BACKEND
																						(BgL_arg1822z00_4266,
																						BgL_arg1823z00_4267);
																				}
																			}
																		}
																		if (BgL_test2379z00_5580)
																			{	/* Reduce/sbeta.scm 207 */
																				BgL_test2374z00_5547 =
																					(
																					((obj_t)
																						(((BgL_varz00_bglt) COBJECT(
																									((BgL_varz00_bglt)
																										BgL_nodez00_4262)))->
																							BgL_variablez00)) ==
																					((obj_t) BgL_varz00_4261));
																			}
																		else
																			{	/* Reduce/sbeta.scm 207 */
																				BgL_test2374z00_5547 = ((bool_t) 0);
																			}
																	}
																}
															else
																{	/* Reduce/sbeta.scm 264 */
																	BgL_test2374z00_5547 = ((bool_t) 0);
																}
														}
													else
														{	/* Reduce/sbeta.scm 263 */
															BgL_test2374z00_5547 = ((bool_t) 0);
														}
												}
												if (BgL_test2374z00_5547)
													{	/* Reduce/sbeta.scm 263 */
														BGl_za2removedza2z00zzreduce_betaz00 =
															(BGl_za2removedza2z00zzreduce_betaz00 +
															((long) 1));
														{	/* Reduce/sbeta.scm 269 */
															obj_t BgL_valz00_4278;

															BgL_valz00_4278 =
																CDR(CAR(
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																				((BgL_letzd2varzd2_bglt)
																					BgL_nodez00_4143)))->
																		BgL_bindingsz00)));
															((((BgL_conditionalz00_bglt)
																		COBJECT(((BgL_conditionalz00_bglt)
																				BgL_abodyz00_4205)))->BgL_testz00) =
																((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																		BgL_valz00_4278)), BUNSPEC);
															if (CBOOL((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt) (
																						(BgL_conditionalz00_bglt)
																						BgL_abodyz00_4205))))->
																		BgL_sidezd2effectzd2)))
																{	/* Reduce/sbeta.scm 271 */
																	BFALSE;
																}
															else
																{	/* Reduce/sbeta.scm 272 */
																	bool_t BgL_arg1919z00_4279;

																	BgL_arg1919z00_4279 =
																		BGl_sidezd2effectzf3z21zzeffect_effectz00(
																		((BgL_nodez00_bglt) BgL_valz00_4278));
																	((((BgL_nodezf2effectzf2_bglt) COBJECT(
																					((BgL_nodezf2effectzf2_bglt)
																						((BgL_conditionalz00_bglt)
																							BgL_abodyz00_4205))))->
																			BgL_sidezd2effectzd2) =
																		((obj_t) BBOOL(BgL_arg1919z00_4279)),
																		BUNSPEC);
																}
														}
														return BgL_abodyz00_4205;
													}
												else
													{	/* Reduce/sbeta.scm 274 */
														bool_t BgL_test2383z00_5623;

														{	/* Reduce/sbeta.scm 274 */
															bool_t BgL_test2384z00_5624;

															{	/* Reduce/sbeta.scm 274 */
																obj_t BgL_classz00_4280;

																BgL_classz00_4280 = BGl_appz00zzast_nodez00;
																{	/* Reduce/sbeta.scm 274 */
																	BgL_objectz00_bglt BgL_arg1825z00_4281;

																	{	/* Reduce/sbeta.scm 274 */
																		obj_t BgL_tmpz00_5625;

																		BgL_tmpz00_5625 =
																			((obj_t)
																			((BgL_objectz00_bglt) BgL_abodyz00_4205));
																		BgL_arg1825z00_4281 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_5625);
																	}
																	{	/* Reduce/sbeta.scm 274 */
																		bool_t BgL_arg1822z00_4282;
																		bool_t BgL_arg1823z00_4283;

																		{	/* Reduce/sbeta.scm 274 */
																			long BgL_idxz00_4284;

																			BgL_idxz00_4284 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_4281);
																			BgL_arg1822z00_4282 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_4284 + ((long) 3))) ==
																				BgL_classz00_4280);
																		}
																		{	/* Reduce/sbeta.scm 274 */
																			bool_t BgL_res2180z00_4287;

																			{	/* Reduce/sbeta.scm 274 */
																				obj_t BgL_oclassz00_4288;

																				{	/* Reduce/sbeta.scm 274 */
																					long BgL_arg1833z00_4289;

																					{	/* Reduce/sbeta.scm 274 */
																						long BgL_arg1834z00_4290;

																						BgL_arg1834z00_4290 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_4281);
																						BgL_arg1833z00_4289 =
																							(BgL_arg1834z00_4290 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_4288 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_4289);
																				}
																				{	/* Reduce/sbeta.scm 274 */
																					bool_t BgL__ortest_1110z00_4291;

																					BgL__ortest_1110z00_4291 =
																						(BgL_classz00_4280 ==
																						BgL_oclassz00_4288);
																					if (BgL__ortest_1110z00_4291)
																						{	/* Reduce/sbeta.scm 274 */
																							BgL_res2180z00_4287 =
																								BgL__ortest_1110z00_4291;
																						}
																					else
																						{	/* Reduce/sbeta.scm 274 */
																							long BgL_odepthz00_4292;

																							BgL_odepthz00_4292 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_4288);
																							if ((((long) 3) <
																									BgL_odepthz00_4292))
																								{	/* Reduce/sbeta.scm 274 */
																									obj_t BgL_arg1821z00_4293;

																									BgL_arg1821z00_4293 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_4288,
																										((long) 3));
																									BgL_res2180z00_4287 =
																										(BgL_arg1821z00_4293 ==
																										BgL_classz00_4280);
																								}
																							else
																								{	/* Reduce/sbeta.scm 274 */
																									BgL_res2180z00_4287 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_4283 = BgL_res2180z00_4287;
																		}
																		BgL_test2384z00_5624 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_4282,
																			BgL_arg1823z00_4283);
																	}
																}
															}
															if (BgL_test2384z00_5624)
																{	/* Reduce/sbeta.scm 275 */
																	bool_t BgL_test2387z00_5644;

																	{	/* Reduce/sbeta.scm 275 */
																		obj_t BgL_g1382z00_4294;

																		BgL_g1382z00_4294 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_abodyz00_4205)))->BgL_argsz00);
																		{
																			obj_t BgL_l1380z00_4296;

																			BgL_l1380z00_4296 = BgL_g1382z00_4294;
																		BgL_zc3z04anonymousza32006ze3z87_4295:
																			if (NULLP(BgL_l1380z00_4296))
																				{	/* Reduce/sbeta.scm 275 */
																					BgL_test2387z00_5644 = ((bool_t) 1);
																				}
																			else
																				{	/* Reduce/sbeta.scm 275 */
																					bool_t BgL_test2389z00_5649;

																					{	/* Reduce/sbeta.scm 275 */
																						obj_t BgL_arg2008z00_4297;

																						BgL_arg2008z00_4297 =
																							CAR(((obj_t) BgL_l1380z00_4296));
																						BgL_test2389z00_5649 =
																							BGl_simplezf3ze70z14zzreduce_betaz00
																							(BgL_arg2008z00_4297);
																					}
																					if (BgL_test2389z00_5649)
																						{	/* Reduce/sbeta.scm 275 */
																							obj_t BgL_arg2007z00_4298;

																							BgL_arg2007z00_4298 =
																								CDR(
																								((obj_t) BgL_l1380z00_4296));
																							{
																								obj_t BgL_l1380z00_5655;

																								BgL_l1380z00_5655 =
																									BgL_arg2007z00_4298;
																								BgL_l1380z00_4296 =
																									BgL_l1380z00_5655;
																								goto
																									BgL_zc3z04anonymousza32006ze3z87_4295;
																							}
																						}
																					else
																						{	/* Reduce/sbeta.scm 275 */
																							BgL_test2387z00_5644 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	if (BgL_test2387z00_5644)
																		{	/* Reduce/sbeta.scm 276 */
																			bool_t BgL_test2390z00_5656;

																			{	/* Reduce/sbeta.scm 276 */
																				obj_t BgL_g1386z00_4299;

																				BgL_g1386z00_4299 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_abodyz00_4205)))->
																					BgL_argsz00);
																				{
																					obj_t BgL_l1384z00_4301;

																					BgL_l1384z00_4301 = BgL_g1386z00_4299;
																				BgL_zc3z04anonymousza32003ze3z87_4300:
																					if (NULLP(BgL_l1384z00_4301))
																						{	/* Reduce/sbeta.scm 276 */
																							BgL_test2390z00_5656 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Reduce/sbeta.scm 276 */
																							bool_t BgL__ortest_1387z00_4302;

																							{	/* Reduce/sbeta.scm 276 */
																								obj_t BgL_arg2005z00_4303;

																								BgL_arg2005z00_4303 =
																									CAR(
																									((obj_t) BgL_l1384z00_4301));
																								BgL__ortest_1387z00_4302 =
																									BGl_sidezd2effectzf3z21zzeffect_effectz00
																									(((BgL_nodez00_bglt)
																										BgL_arg2005z00_4303));
																							}
																							if (BgL__ortest_1387z00_4302)
																								{	/* Reduce/sbeta.scm 276 */
																									BgL_test2390z00_5656 =
																										BgL__ortest_1387z00_4302;
																								}
																							else
																								{	/* Reduce/sbeta.scm 276 */
																									obj_t BgL_arg2004z00_4304;

																									BgL_arg2004z00_4304 =
																										CDR(
																										((obj_t)
																											BgL_l1384z00_4301));
																									{
																										obj_t BgL_l1384z00_5668;

																										BgL_l1384z00_5668 =
																											BgL_arg2004z00_4304;
																										BgL_l1384z00_4301 =
																											BgL_l1384z00_5668;
																										goto
																											BgL_zc3z04anonymousza32003ze3z87_4300;
																									}
																								}
																						}
																				}
																			}
																			if (BgL_test2390z00_5656)
																				{	/* Reduce/sbeta.scm 276 */
																					BgL_test2383z00_5623 = ((bool_t) 0);
																				}
																			else
																				{	/* Reduce/sbeta.scm 277 */
																					obj_t BgL_g1390z00_4305;

																					BgL_g1390z00_4305 =
																						(((BgL_letzd2varzd2_bglt) COBJECT(
																								((BgL_letzd2varzd2_bglt)
																									BgL_nodez00_4143)))->
																						BgL_bindingsz00);
																					{
																						obj_t BgL_l1388z00_4307;

																						BgL_l1388z00_4307 =
																							BgL_g1390z00_4305;
																					BgL_zc3z04anonymousza31998ze3z87_4306:
																						if (NULLP
																							(BgL_l1388z00_4307))
																							{	/* Reduce/sbeta.scm 277 */
																								BgL_test2383z00_5623 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Reduce/sbeta.scm 277 */
																								bool_t BgL_test2394z00_5673;

																								{	/* Reduce/sbeta.scm 278 */
																									obj_t BgL_bz00_4308;

																									BgL_bz00_4308 =
																										CAR(
																										((obj_t)
																											BgL_l1388z00_4307));
																									{	/* Reduce/sbeta.scm 278 */
																										bool_t BgL_test2395z00_5676;

																										{	/* Reduce/sbeta.scm 278 */
																											obj_t BgL_arg2001z00_4309;
																											obj_t BgL_arg2002z00_4310;

																											BgL_arg2001z00_4309 =
																												CAR(
																												((obj_t)
																													BgL_bz00_4308));
																											BgL_arg2002z00_4310 =
																												(((BgL_appz00_bglt)
																													COBJECT((
																															(BgL_appz00_bglt)
																															BgL_abodyz00_4205)))->
																												BgL_argsz00);
																											BgL_test2395z00_5676 =
																												BGl_argumentzf3zf3zzreduce_betaz00
																												(((BgL_variablez00_bglt)
																													BgL_arg2001z00_4309),
																												BgL_arg2002z00_4310);
																										}
																										if (BgL_test2395z00_5676)
																											{	/* Reduce/sbeta.scm 282 */
																												bool_t
																													BgL_test2396z00_5683;
																												{	/* Reduce/sbeta.scm 282 */
																													obj_t
																														BgL_arg2000z00_4311;
																													BgL_arg2000z00_4311 =
																														CDR(((obj_t)
																															BgL_bz00_4308));
																													{	/* Reduce/sbeta.scm 282 */
																														obj_t
																															BgL_classz00_4312;
																														BgL_classz00_4312 =
																															BGl_kwotez00zzast_nodez00;
																														if (BGL_OBJECTP
																															(BgL_arg2000z00_4311))
																															{	/* Reduce/sbeta.scm 282 */
																																BgL_objectz00_bglt
																																	BgL_arg1825z00_4313;
																																BgL_arg1825z00_4313
																																	=
																																	(BgL_objectz00_bglt)
																																	(BgL_arg2000z00_4311);
																																{	/* Reduce/sbeta.scm 282 */
																																	bool_t
																																		BgL_arg1822z00_4314;
																																	bool_t
																																		BgL_arg1823z00_4315;
																																	{	/* Reduce/sbeta.scm 282 */
																																		long
																																			BgL_idxz00_4316;
																																		BgL_idxz00_4316
																																			=
																																			BGL_OBJECT_INHERITANCE_NUM
																																			(BgL_arg1825z00_4313);
																																		BgL_arg1822z00_4314
																																			=
																																			(VECTOR_REF
																																			(BGl_za2inheritancesza2z00zz__objectz00,
																																				(BgL_idxz00_4316
																																					+
																																					((long) 2))) == BgL_classz00_4312);
																																	}
																																	{	/* Reduce/sbeta.scm 282 */
																																		bool_t
																																			BgL_res2181z00_4319;
																																		{	/* Reduce/sbeta.scm 282 */
																																			obj_t
																																				BgL_oclassz00_4320;
																																			{	/* Reduce/sbeta.scm 282 */
																																				long
																																					BgL_arg1833z00_4321;
																																				{	/* Reduce/sbeta.scm 282 */
																																					long
																																						BgL_arg1834z00_4322;
																																					BgL_arg1834z00_4322
																																						=
																																						BGL_OBJECT_CLASS_NUM
																																						(BgL_arg1825z00_4313);
																																					BgL_arg1833z00_4321
																																						=
																																						(BgL_arg1834z00_4322
																																						-
																																						OBJECT_TYPE);
																																				}
																																				BgL_oclassz00_4320
																																					=
																																					VECTOR_REF
																																					(BGl_za2classesza2z00zz__objectz00,
																																					BgL_arg1833z00_4321);
																																			}
																																			{	/* Reduce/sbeta.scm 282 */
																																				bool_t
																																					BgL__ortest_1110z00_4323;
																																				BgL__ortest_1110z00_4323
																																					=
																																					(BgL_classz00_4312
																																					==
																																					BgL_oclassz00_4320);
																																				if (BgL__ortest_1110z00_4323)
																																					{	/* Reduce/sbeta.scm 282 */
																																						BgL_res2181z00_4319
																																							=
																																							BgL__ortest_1110z00_4323;
																																					}
																																				else
																																					{	/* Reduce/sbeta.scm 282 */
																																						long
																																							BgL_odepthz00_4324;
																																						BgL_odepthz00_4324
																																							=
																																							BGL_CLASS_DEPTH
																																							(BgL_oclassz00_4320);
																																						if (
																																							(((long) 2) < BgL_odepthz00_4324))
																																							{	/* Reduce/sbeta.scm 282 */
																																								obj_t
																																									BgL_arg1821z00_4325;
																																								BgL_arg1821z00_4325
																																									=
																																									BGL_CLASS_ANCESTORS_REF
																																									(BgL_oclassz00_4320,
																																									((long) 2));
																																								BgL_res2181z00_4319
																																									=
																																									(BgL_arg1821z00_4325
																																									==
																																									BgL_classz00_4312);
																																							}
																																						else
																																							{	/* Reduce/sbeta.scm 282 */
																																								BgL_res2181z00_4319
																																									=
																																									(
																																									(bool_t)
																																									0);
																																							}
																																					}
																																			}
																																		}
																																		BgL_arg1823z00_4315
																																			=
																																			BgL_res2181z00_4319;
																																	}
																																	BgL_test2396z00_5683
																																		=
																																		BGL_ISA_C_BACKEND
																																		(BgL_arg1822z00_4314,
																																		BgL_arg1823z00_4315);
																																}
																															}
																														else
																															{	/* Reduce/sbeta.scm 282 */
																																BgL_test2396z00_5683
																																	=
																																	((bool_t) 0);
																															}
																													}
																												}
																												if (BgL_test2396z00_5683)
																													{	/* Reduce/sbeta.scm 282 */
																														BgL_test2394z00_5673
																															= ((bool_t) 0);
																													}
																												else
																													{	/* Reduce/sbeta.scm 282 */
																														BgL_test2394z00_5673
																															= ((bool_t) 1);
																													}
																											}
																										else
																											{	/* Reduce/sbeta.scm 278 */
																												BgL_test2394z00_5673 =
																													((bool_t) 0);
																											}
																									}
																								}
																								if (BgL_test2394z00_5673)
																									{	/* Reduce/sbeta.scm 277 */
																										obj_t BgL_arg1999z00_4326;

																										BgL_arg1999z00_4326 =
																											CDR(
																											((obj_t)
																												BgL_l1388z00_4307));
																										{
																											obj_t BgL_l1388z00_5706;

																											BgL_l1388z00_5706 =
																												BgL_arg1999z00_4326;
																											BgL_l1388z00_4307 =
																												BgL_l1388z00_5706;
																											goto
																												BgL_zc3z04anonymousza31998ze3z87_4306;
																										}
																									}
																								else
																									{	/* Reduce/sbeta.scm 277 */
																										BgL_test2383z00_5623 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																		}
																	else
																		{	/* Reduce/sbeta.scm 275 */
																			BgL_test2383z00_5623 = ((bool_t) 0);
																		}
																}
															else
																{	/* Reduce/sbeta.scm 274 */
																	BgL_test2383z00_5623 = ((bool_t) 0);
																}
														}
														if (BgL_test2383z00_5623)
															{	/* Reduce/sbeta.scm 274 */
																BGl_za2removedza2z00zzreduce_betaz00 =
																	(BGl_za2removedza2z00zzreduce_betaz00 +
																	bgl_list_length(
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_4143)))->
																			BgL_bindingsz00)));
																{	/* Reduce/sbeta.scm 288 */
																	obj_t BgL_nargsz00_4327;

																	{	/* Reduce/sbeta.scm 288 */
																		obj_t BgL_arg1957z00_4328;
																		obj_t BgL_arg1958z00_4329;

																		BgL_arg1957z00_4328 =
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_4143)))->
																			BgL_bindingsz00);
																		BgL_arg1958z00_4329 =
																			(((BgL_appz00_bglt)
																				COBJECT(((BgL_appz00_bglt)
																						BgL_abodyz00_4205)))->BgL_argsz00);
																		BgL_nargsz00_4327 =
																			BGl_makezd2argszd2listz00zzreduce_betaz00
																			(BgL_arg1957z00_4328,
																			BgL_arg1958z00_4329);
																	}
																	((((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_abodyz00_4205)))->BgL_argsz00) =
																		((obj_t) BgL_nargsz00_4327), BUNSPEC);
																	if (CBOOL((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt) (
																								(BgL_appz00_bglt)
																								BgL_abodyz00_4205))))->
																				BgL_sidezd2effectzd2)))
																		{	/* Reduce/sbeta.scm 290 */
																			BFALSE;
																		}
																	else
																		{	/* Reduce/sbeta.scm 291 */
																			bool_t BgL_arg1952z00_4330;

																			{
																				obj_t BgL_l1392z00_4332;

																				BgL_l1392z00_4332 = BgL_nargsz00_4327;
																			BgL_zc3z04anonymousza31953ze3z87_4331:
																				if (NULLP(BgL_l1392z00_4332))
																					{	/* Reduce/sbeta.scm 291 */
																						BgL_arg1952z00_4330 = ((bool_t) 0);
																					}
																				else
																					{	/* Reduce/sbeta.scm 291 */
																						bool_t BgL__ortest_1394z00_4333;

																						{	/* Reduce/sbeta.scm 291 */
																							obj_t BgL_arg1956z00_4334;

																							BgL_arg1956z00_4334 =
																								CAR(
																								((obj_t) BgL_l1392z00_4332));
																							BgL__ortest_1394z00_4333 =
																								BGl_sidezd2effectzf3z21zzeffect_effectz00
																								(((BgL_nodez00_bglt)
																									BgL_arg1956z00_4334));
																						}
																						if (BgL__ortest_1394z00_4333)
																							{	/* Reduce/sbeta.scm 291 */
																								BgL_arg1952z00_4330 =
																									BgL__ortest_1394z00_4333;
																							}
																						else
																							{	/* Reduce/sbeta.scm 291 */
																								obj_t BgL_arg1955z00_4335;

																								BgL_arg1955z00_4335 =
																									CDR(
																									((obj_t) BgL_l1392z00_4332));
																								{
																									obj_t BgL_l1392z00_5732;

																									BgL_l1392z00_5732 =
																										BgL_arg1955z00_4335;
																									BgL_l1392z00_4332 =
																										BgL_l1392z00_5732;
																									goto
																										BgL_zc3z04anonymousza31953ze3z87_4331;
																								}
																							}
																					}
																			}
																			((((BgL_nodezf2effectzf2_bglt) COBJECT(
																							((BgL_nodezf2effectzf2_bglt)
																								((BgL_appz00_bglt)
																									BgL_abodyz00_4205))))->
																					BgL_sidezd2effectzd2) =
																				((obj_t) BBOOL(BgL_arg1952z00_4330)),
																				BUNSPEC);
																		}
																}
																return BgL_abodyz00_4205;
															}
														else
															{	/* Reduce/sbeta.scm 293 */
																bool_t BgL_test2403z00_5737;

																{	/* Reduce/sbeta.scm 293 */
																	bool_t BgL_test2404z00_5738;

																	{	/* Reduce/sbeta.scm 293 */
																		obj_t BgL_classz00_4336;

																		BgL_classz00_4336 =
																			BGl_externz00zzast_nodez00;
																		{	/* Reduce/sbeta.scm 293 */
																			BgL_objectz00_bglt BgL_arg1825z00_4337;

																			{	/* Reduce/sbeta.scm 293 */
																				obj_t BgL_tmpz00_5739;

																				BgL_tmpz00_5739 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_abodyz00_4205));
																				BgL_arg1825z00_4337 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_5739);
																			}
																			{	/* Reduce/sbeta.scm 293 */
																				bool_t BgL_arg1822z00_4338;
																				bool_t BgL_arg1823z00_4339;

																				{	/* Reduce/sbeta.scm 293 */
																					long BgL_idxz00_4340;

																					BgL_idxz00_4340 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_4337);
																					BgL_arg1822z00_4338 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_4340 + ((long) 3))) ==
																						BgL_classz00_4336);
																				}
																				{	/* Reduce/sbeta.scm 293 */
																					bool_t BgL_res2182z00_4343;

																					{	/* Reduce/sbeta.scm 293 */
																						obj_t BgL_oclassz00_4344;

																						{	/* Reduce/sbeta.scm 293 */
																							long BgL_arg1833z00_4345;

																							{	/* Reduce/sbeta.scm 293 */
																								long BgL_arg1834z00_4346;

																								BgL_arg1834z00_4346 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_4337);
																								BgL_arg1833z00_4345 =
																									(BgL_arg1834z00_4346 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_4344 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_4345);
																						}
																						{	/* Reduce/sbeta.scm 293 */
																							bool_t BgL__ortest_1110z00_4347;

																							BgL__ortest_1110z00_4347 =
																								(BgL_classz00_4336 ==
																								BgL_oclassz00_4344);
																							if (BgL__ortest_1110z00_4347)
																								{	/* Reduce/sbeta.scm 293 */
																									BgL_res2182z00_4343 =
																										BgL__ortest_1110z00_4347;
																								}
																							else
																								{	/* Reduce/sbeta.scm 293 */
																									long BgL_odepthz00_4348;

																									BgL_odepthz00_4348 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_4344);
																									if ((((long) 3) <
																											BgL_odepthz00_4348))
																										{	/* Reduce/sbeta.scm 293 */
																											obj_t BgL_arg1821z00_4349;

																											BgL_arg1821z00_4349 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_4344,
																												((long) 3));
																											BgL_res2182z00_4343 =
																												(BgL_arg1821z00_4349 ==
																												BgL_classz00_4336);
																										}
																									else
																										{	/* Reduce/sbeta.scm 293 */
																											BgL_res2182z00_4343 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_4339 =
																						BgL_res2182z00_4343;
																				}
																				BgL_test2404z00_5738 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_4338,
																					BgL_arg1823z00_4339);
																			}
																		}
																	}
																	if (BgL_test2404z00_5738)
																		{	/* Reduce/sbeta.scm 294 */
																			bool_t BgL_test2407z00_5758;

																			{	/* Reduce/sbeta.scm 294 */
																				obj_t BgL_g1397z00_4350;

																				BgL_g1397z00_4350 =
																					(((BgL_externz00_bglt) COBJECT(
																							((BgL_externz00_bglt)
																								BgL_abodyz00_4205)))->
																					BgL_exprza2za2);
																				{
																					obj_t BgL_l1395z00_4352;

																					BgL_l1395z00_4352 = BgL_g1397z00_4350;
																				BgL_zc3z04anonymousza31995ze3z87_4351:
																					if (NULLP(BgL_l1395z00_4352))
																						{	/* Reduce/sbeta.scm 294 */
																							BgL_test2407z00_5758 =
																								((bool_t) 1);
																						}
																					else
																						{	/* Reduce/sbeta.scm 294 */
																							bool_t BgL_test2409z00_5763;

																							{	/* Reduce/sbeta.scm 294 */
																								obj_t BgL_arg1997z00_4353;

																								BgL_arg1997z00_4353 =
																									CAR(
																									((obj_t) BgL_l1395z00_4352));
																								BgL_test2409z00_5763 =
																									BGl_simplezf3ze70z14zzreduce_betaz00
																									(BgL_arg1997z00_4353);
																							}
																							if (BgL_test2409z00_5763)
																								{	/* Reduce/sbeta.scm 294 */
																									obj_t BgL_arg1996z00_4354;

																									BgL_arg1996z00_4354 =
																										CDR(
																										((obj_t)
																											BgL_l1395z00_4352));
																									{
																										obj_t BgL_l1395z00_5769;

																										BgL_l1395z00_5769 =
																											BgL_arg1996z00_4354;
																										BgL_l1395z00_4352 =
																											BgL_l1395z00_5769;
																										goto
																											BgL_zc3z04anonymousza31995ze3z87_4351;
																									}
																								}
																							else
																								{	/* Reduce/sbeta.scm 294 */
																									BgL_test2407z00_5758 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			if (BgL_test2407z00_5758)
																				{	/* Reduce/sbeta.scm 295 */
																					obj_t BgL_g1401z00_4355;

																					BgL_g1401z00_4355 =
																						(((BgL_letzd2varzd2_bglt) COBJECT(
																								((BgL_letzd2varzd2_bglt)
																									BgL_nodez00_4143)))->
																						BgL_bindingsz00);
																					{
																						obj_t BgL_l1399z00_4357;

																						BgL_l1399z00_4357 =
																							BgL_g1401z00_4355;
																					BgL_zc3z04anonymousza31989ze3z87_4356:
																						if (NULLP
																							(BgL_l1399z00_4357))
																							{	/* Reduce/sbeta.scm 295 */
																								BgL_test2403z00_5737 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Reduce/sbeta.scm 295 */
																								bool_t BgL_test2411z00_5774;

																								{	/* Reduce/sbeta.scm 296 */
																									obj_t BgL_bz00_4358;

																									BgL_bz00_4358 =
																										CAR(
																										((obj_t)
																											BgL_l1399z00_4357));
																									{	/* Reduce/sbeta.scm 296 */
																										bool_t BgL_test2412z00_5777;

																										{	/* Reduce/sbeta.scm 296 */
																											obj_t BgL_arg1992z00_4359;
																											obj_t BgL_arg1994z00_4360;

																											BgL_arg1992z00_4359 =
																												CAR(
																												((obj_t)
																													BgL_bz00_4358));
																											BgL_arg1994z00_4360 =
																												(((BgL_externz00_bglt)
																													COBJECT((
																															(BgL_externz00_bglt)
																															BgL_abodyz00_4205)))->
																												BgL_exprza2za2);
																											BgL_test2412z00_5777 =
																												BGl_argumentzf3zf3zzreduce_betaz00
																												(((BgL_variablez00_bglt)
																													BgL_arg1992z00_4359),
																												BgL_arg1994z00_4360);
																										}
																										if (BgL_test2412z00_5777)
																											{	/* Reduce/sbeta.scm 300 */
																												bool_t
																													BgL_test2413z00_5784;
																												{	/* Reduce/sbeta.scm 300 */
																													obj_t
																														BgL_arg1991z00_4361;
																													BgL_arg1991z00_4361 =
																														CDR(((obj_t)
																															BgL_bz00_4358));
																													{	/* Reduce/sbeta.scm 300 */
																														obj_t
																															BgL_classz00_4362;
																														BgL_classz00_4362 =
																															BGl_kwotez00zzast_nodez00;
																														if (BGL_OBJECTP
																															(BgL_arg1991z00_4361))
																															{	/* Reduce/sbeta.scm 300 */
																																BgL_objectz00_bglt
																																	BgL_arg1825z00_4363;
																																BgL_arg1825z00_4363
																																	=
																																	(BgL_objectz00_bglt)
																																	(BgL_arg1991z00_4361);
																																{	/* Reduce/sbeta.scm 300 */
																																	bool_t
																																		BgL_arg1822z00_4364;
																																	bool_t
																																		BgL_arg1823z00_4365;
																																	{	/* Reduce/sbeta.scm 300 */
																																		long
																																			BgL_idxz00_4366;
																																		BgL_idxz00_4366
																																			=
																																			BGL_OBJECT_INHERITANCE_NUM
																																			(BgL_arg1825z00_4363);
																																		BgL_arg1822z00_4364
																																			=
																																			(VECTOR_REF
																																			(BGl_za2inheritancesza2z00zz__objectz00,
																																				(BgL_idxz00_4366
																																					+
																																					((long) 2))) == BgL_classz00_4362);
																																	}
																																	{	/* Reduce/sbeta.scm 300 */
																																		bool_t
																																			BgL_res2183z00_4369;
																																		{	/* Reduce/sbeta.scm 300 */
																																			obj_t
																																				BgL_oclassz00_4370;
																																			{	/* Reduce/sbeta.scm 300 */
																																				long
																																					BgL_arg1833z00_4371;
																																				{	/* Reduce/sbeta.scm 300 */
																																					long
																																						BgL_arg1834z00_4372;
																																					BgL_arg1834z00_4372
																																						=
																																						BGL_OBJECT_CLASS_NUM
																																						(BgL_arg1825z00_4363);
																																					BgL_arg1833z00_4371
																																						=
																																						(BgL_arg1834z00_4372
																																						-
																																						OBJECT_TYPE);
																																				}
																																				BgL_oclassz00_4370
																																					=
																																					VECTOR_REF
																																					(BGl_za2classesza2z00zz__objectz00,
																																					BgL_arg1833z00_4371);
																																			}
																																			{	/* Reduce/sbeta.scm 300 */
																																				bool_t
																																					BgL__ortest_1110z00_4373;
																																				BgL__ortest_1110z00_4373
																																					=
																																					(BgL_classz00_4362
																																					==
																																					BgL_oclassz00_4370);
																																				if (BgL__ortest_1110z00_4373)
																																					{	/* Reduce/sbeta.scm 300 */
																																						BgL_res2183z00_4369
																																							=
																																							BgL__ortest_1110z00_4373;
																																					}
																																				else
																																					{	/* Reduce/sbeta.scm 300 */
																																						long
																																							BgL_odepthz00_4374;
																																						BgL_odepthz00_4374
																																							=
																																							BGL_CLASS_DEPTH
																																							(BgL_oclassz00_4370);
																																						if (
																																							(((long) 2) < BgL_odepthz00_4374))
																																							{	/* Reduce/sbeta.scm 300 */
																																								obj_t
																																									BgL_arg1821z00_4375;
																																								BgL_arg1821z00_4375
																																									=
																																									BGL_CLASS_ANCESTORS_REF
																																									(BgL_oclassz00_4370,
																																									((long) 2));
																																								BgL_res2183z00_4369
																																									=
																																									(BgL_arg1821z00_4375
																																									==
																																									BgL_classz00_4362);
																																							}
																																						else
																																							{	/* Reduce/sbeta.scm 300 */
																																								BgL_res2183z00_4369
																																									=
																																									(
																																									(bool_t)
																																									0);
																																							}
																																					}
																																			}
																																		}
																																		BgL_arg1823z00_4365
																																			=
																																			BgL_res2183z00_4369;
																																	}
																																	BgL_test2413z00_5784
																																		=
																																		BGL_ISA_C_BACKEND
																																		(BgL_arg1822z00_4364,
																																		BgL_arg1823z00_4365);
																																}
																															}
																														else
																															{	/* Reduce/sbeta.scm 300 */
																																BgL_test2413z00_5784
																																	=
																																	((bool_t) 0);
																															}
																													}
																												}
																												if (BgL_test2413z00_5784)
																													{	/* Reduce/sbeta.scm 300 */
																														BgL_test2411z00_5774
																															= ((bool_t) 0);
																													}
																												else
																													{	/* Reduce/sbeta.scm 300 */
																														BgL_test2411z00_5774
																															= ((bool_t) 1);
																													}
																											}
																										else
																											{	/* Reduce/sbeta.scm 296 */
																												BgL_test2411z00_5774 =
																													((bool_t) 0);
																											}
																									}
																								}
																								if (BgL_test2411z00_5774)
																									{	/* Reduce/sbeta.scm 295 */
																										obj_t BgL_arg1990z00_4376;

																										BgL_arg1990z00_4376 =
																											CDR(
																											((obj_t)
																												BgL_l1399z00_4357));
																										{
																											obj_t BgL_l1399z00_5807;

																											BgL_l1399z00_5807 =
																												BgL_arg1990z00_4376;
																											BgL_l1399z00_4357 =
																												BgL_l1399z00_5807;
																											goto
																												BgL_zc3z04anonymousza31989ze3z87_4356;
																										}
																									}
																								else
																									{	/* Reduce/sbeta.scm 295 */
																										BgL_test2403z00_5737 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																			else
																				{	/* Reduce/sbeta.scm 294 */
																					BgL_test2403z00_5737 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Reduce/sbeta.scm 293 */
																			BgL_test2403z00_5737 = ((bool_t) 0);
																		}
																}
																if (BgL_test2403z00_5737)
																	{	/* Reduce/sbeta.scm 293 */
																		BGl_za2removedza2z00zzreduce_betaz00 =
																			(BGl_za2removedza2z00zzreduce_betaz00 +
																			bgl_list_length(
																				(((BgL_letzd2varzd2_bglt) COBJECT(
																							((BgL_letzd2varzd2_bglt)
																								BgL_nodez00_4143)))->
																					BgL_bindingsz00)));
																		{	/* Reduce/sbeta.scm 306 */
																			obj_t BgL_nexprza2za2_4377;

																			{	/* Reduce/sbeta.scm 306 */
																				obj_t BgL_arg1986z00_4378;
																				obj_t BgL_arg1987z00_4379;

																				BgL_arg1986z00_4378 =
																					(((BgL_letzd2varzd2_bglt) COBJECT(
																							((BgL_letzd2varzd2_bglt)
																								BgL_nodez00_4143)))->
																					BgL_bindingsz00);
																				BgL_arg1987z00_4379 =
																					(((BgL_externz00_bglt)
																						COBJECT(((BgL_externz00_bglt) ((
																										(BgL_letzd2varzd2_bglt)
																										COBJECT((
																												(BgL_letzd2varzd2_bglt)
																												BgL_nodez00_4143)))->
																									BgL_bodyz00))))->
																					BgL_exprza2za2);
																				BgL_nexprza2za2_4377 =
																					BGl_makezd2argszd2listz00zzreduce_betaz00
																					(BgL_arg1986z00_4378,
																					BgL_arg1987z00_4379);
																			}
																			((((BgL_externz00_bglt) COBJECT(
																							((BgL_externz00_bglt)
																								BgL_abodyz00_4205)))->
																					BgL_exprza2za2) =
																				((obj_t) ((obj_t)
																						BgL_nexprza2za2_4377)), BUNSPEC);
																			if (CBOOL((((BgL_nodezf2effectzf2_bglt)
																							COBJECT((
																									(BgL_nodezf2effectzf2_bglt) (
																										(BgL_externz00_bglt)
																										BgL_abodyz00_4205))))->
																						BgL_sidezd2effectzd2)))
																				{	/* Reduce/sbeta.scm 308 */
																					BFALSE;
																				}
																			else
																				{	/* Reduce/sbeta.scm 309 */
																					bool_t BgL_arg1981z00_4380;

																					{
																						obj_t BgL_l1403z00_4382;

																						BgL_l1403z00_4382 =
																							BgL_nexprza2za2_4377;
																					BgL_zc3z04anonymousza31982ze3z87_4381:
																						if (NULLP
																							(BgL_l1403z00_4382))
																							{	/* Reduce/sbeta.scm 309 */
																								BgL_arg1981z00_4380 =
																									((bool_t) 0);
																							}
																						else
																							{	/* Reduce/sbeta.scm 309 */
																								bool_t BgL__ortest_1405z00_4383;

																								{	/* Reduce/sbeta.scm 309 */
																									obj_t BgL_arg1985z00_4384;

																									BgL_arg1985z00_4384 =
																										CAR(
																										((obj_t)
																											BgL_l1403z00_4382));
																									BgL__ortest_1405z00_4383 =
																										BGl_sidezd2effectzf3z21zzeffect_effectz00
																										(((BgL_nodez00_bglt)
																											BgL_arg1985z00_4384));
																								}
																								if (BgL__ortest_1405z00_4383)
																									{	/* Reduce/sbeta.scm 309 */
																										BgL_arg1981z00_4380 =
																											BgL__ortest_1405z00_4383;
																									}
																								else
																									{	/* Reduce/sbeta.scm 309 */
																										obj_t BgL_arg1984z00_4385;

																										BgL_arg1984z00_4385 =
																											CDR(
																											((obj_t)
																												BgL_l1403z00_4382));
																										{
																											obj_t BgL_l1403z00_5836;

																											BgL_l1403z00_5836 =
																												BgL_arg1984z00_4385;
																											BgL_l1403z00_4382 =
																												BgL_l1403z00_5836;
																											goto
																												BgL_zc3z04anonymousza31982ze3z87_4381;
																										}
																									}
																							}
																					}
																					((((BgL_nodezf2effectzf2_bglt)
																								COBJECT((
																										(BgL_nodezf2effectzf2_bglt)
																										((BgL_externz00_bglt)
																											BgL_abodyz00_4205))))->
																							BgL_sidezd2effectzd2) =
																						((obj_t)
																							BBOOL(BgL_arg1981z00_4380)),
																						BUNSPEC);
																				}
																		}
																		return BgL_abodyz00_4205;
																	}
																else
																	{	/* Reduce/sbeta.scm 293 */
																		return
																			((BgL_nodez00_bglt)
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_4143));
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Reduce/sbeta.scm 241 */
						return
							((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_4143));
					}
			}
		}

	}



/* simple?~0 */
	bool_t BGl_simplezf3ze70z14zzreduce_betaz00(obj_t BgL_ez00_2080)
	{
		{	/* Reduce/sbeta.scm 230 */
			{	/* Reduce/sbeta.scm 226 */
				bool_t BgL__ortest_1111z00_2082;

				{	/* Reduce/sbeta.scm 226 */
					obj_t BgL_classz00_3219;

					BgL_classz00_3219 = BGl_atomz00zzast_nodez00;
					if (BGL_OBJECTP(BgL_ez00_2080))
						{	/* Reduce/sbeta.scm 226 */
							BgL_objectz00_bglt BgL_arg1825z00_3221;

							BgL_arg1825z00_3221 = (BgL_objectz00_bglt) (BgL_ez00_2080);
							{	/* Reduce/sbeta.scm 226 */
								bool_t BgL_arg1822z00_3224;
								bool_t BgL_arg1823z00_3225;

								{	/* Reduce/sbeta.scm 226 */
									long BgL_idxz00_3228;

									BgL_idxz00_3228 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3221);
									BgL_arg1822z00_3224 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3228 + ((long) 2))) == BgL_classz00_3219);
								}
								{	/* Reduce/sbeta.scm 226 */
									bool_t BgL_res2172z00_3250;

									{	/* Reduce/sbeta.scm 226 */
										obj_t BgL_oclassz00_3236;

										{	/* Reduce/sbeta.scm 226 */
											long BgL_arg1833z00_3242;

											{	/* Reduce/sbeta.scm 226 */
												long BgL_arg1834z00_3243;

												BgL_arg1834z00_3243 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3221);
												BgL_arg1833z00_3242 =
													(BgL_arg1834z00_3243 - OBJECT_TYPE);
											}
											BgL_oclassz00_3236 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3242);
										}
										{	/* Reduce/sbeta.scm 226 */
											bool_t BgL__ortest_1110z00_3237;

											BgL__ortest_1110z00_3237 =
												(BgL_classz00_3219 == BgL_oclassz00_3236);
											if (BgL__ortest_1110z00_3237)
												{	/* Reduce/sbeta.scm 226 */
													BgL_res2172z00_3250 = BgL__ortest_1110z00_3237;
												}
											else
												{	/* Reduce/sbeta.scm 226 */
													long BgL_odepthz00_3238;

													BgL_odepthz00_3238 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3236);
													if ((((long) 2) < BgL_odepthz00_3238))
														{	/* Reduce/sbeta.scm 226 */
															obj_t BgL_arg1821z00_3240;

															BgL_arg1821z00_3240 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3236,
																((long) 2));
															BgL_res2172z00_3250 =
																(BgL_arg1821z00_3240 == BgL_classz00_3219);
														}
													else
														{	/* Reduce/sbeta.scm 226 */
															BgL_res2172z00_3250 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3225 = BgL_res2172z00_3250;
								}
								BgL__ortest_1111z00_2082 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3224, BgL_arg1823z00_3225);
							}
						}
					else
						{	/* Reduce/sbeta.scm 226 */
							BgL__ortest_1111z00_2082 = ((bool_t) 0);
						}
				}
				if (BgL__ortest_1111z00_2082)
					{	/* Reduce/sbeta.scm 226 */
						return BgL__ortest_1111z00_2082;
					}
				else
					{	/* Reduce/sbeta.scm 227 */
						bool_t BgL__ortest_1113z00_2083;

						{	/* Reduce/sbeta.scm 227 */
							obj_t BgL_classz00_3251;

							BgL_classz00_3251 = BGl_varz00zzast_nodez00;
							if (BGL_OBJECTP(BgL_ez00_2080))
								{	/* Reduce/sbeta.scm 227 */
									BgL_objectz00_bglt BgL_arg1825z00_3253;

									BgL_arg1825z00_3253 = (BgL_objectz00_bglt) (BgL_ez00_2080);
									{	/* Reduce/sbeta.scm 227 */
										bool_t BgL_arg1822z00_3256;
										bool_t BgL_arg1823z00_3257;

										{	/* Reduce/sbeta.scm 227 */
											long BgL_idxz00_3260;

											BgL_idxz00_3260 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3253);
											BgL_arg1822z00_3256 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3260 + ((long) 2))) == BgL_classz00_3251);
										}
										{	/* Reduce/sbeta.scm 227 */
											bool_t BgL_res2173z00_3282;

											{	/* Reduce/sbeta.scm 227 */
												obj_t BgL_oclassz00_3268;

												{	/* Reduce/sbeta.scm 227 */
													long BgL_arg1833z00_3274;

													{	/* Reduce/sbeta.scm 227 */
														long BgL_arg1834z00_3275;

														BgL_arg1834z00_3275 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3253);
														BgL_arg1833z00_3274 =
															(BgL_arg1834z00_3275 - OBJECT_TYPE);
													}
													BgL_oclassz00_3268 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_3274);
												}
												{	/* Reduce/sbeta.scm 227 */
													bool_t BgL__ortest_1110z00_3269;

													BgL__ortest_1110z00_3269 =
														(BgL_classz00_3251 == BgL_oclassz00_3268);
													if (BgL__ortest_1110z00_3269)
														{	/* Reduce/sbeta.scm 227 */
															BgL_res2173z00_3282 = BgL__ortest_1110z00_3269;
														}
													else
														{	/* Reduce/sbeta.scm 227 */
															long BgL_odepthz00_3270;

															BgL_odepthz00_3270 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3268);
															if ((((long) 2) < BgL_odepthz00_3270))
																{	/* Reduce/sbeta.scm 227 */
																	obj_t BgL_arg1821z00_3272;

																	BgL_arg1821z00_3272 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3268,
																		((long) 2));
																	BgL_res2173z00_3282 =
																		(BgL_arg1821z00_3272 == BgL_classz00_3251);
																}
															else
																{	/* Reduce/sbeta.scm 227 */
																	BgL_res2173z00_3282 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_3257 = BgL_res2173z00_3282;
										}
										BgL__ortest_1113z00_2083 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_3256,
											BgL_arg1823z00_3257);
									}
								}
							else
								{	/* Reduce/sbeta.scm 227 */
									BgL__ortest_1113z00_2083 = ((bool_t) 0);
								}
						}
						if (BgL__ortest_1113z00_2083)
							{	/* Reduce/sbeta.scm 227 */
								return BgL__ortest_1113z00_2083;
							}
						else
							{	/* Reduce/sbeta.scm 228 */
								bool_t BgL__ortest_1114z00_2084;

								{	/* Reduce/sbeta.scm 228 */
									bool_t BgL_test2428z00_5883;

									{	/* Reduce/sbeta.scm 228 */
										obj_t BgL_classz00_3283;

										BgL_classz00_3283 = BGl_vrefz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_ez00_2080))
											{	/* Reduce/sbeta.scm 228 */
												BgL_objectz00_bglt BgL_arg1825z00_3285;

												BgL_arg1825z00_3285 =
													(BgL_objectz00_bglt) (BgL_ez00_2080);
												{	/* Reduce/sbeta.scm 228 */
													bool_t BgL_arg1822z00_3288;
													bool_t BgL_arg1823z00_3289;

													{	/* Reduce/sbeta.scm 228 */
														long BgL_idxz00_3292;

														BgL_idxz00_3292 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3285);
														BgL_arg1822z00_3288 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3292 + ((long) 5))) ==
															BgL_classz00_3283);
													}
													{	/* Reduce/sbeta.scm 228 */
														bool_t BgL_res2174z00_3314;

														{	/* Reduce/sbeta.scm 228 */
															obj_t BgL_oclassz00_3300;

															{	/* Reduce/sbeta.scm 228 */
																long BgL_arg1833z00_3306;

																{	/* Reduce/sbeta.scm 228 */
																	long BgL_arg1834z00_3307;

																	BgL_arg1834z00_3307 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3285);
																	BgL_arg1833z00_3306 =
																		(BgL_arg1834z00_3307 - OBJECT_TYPE);
																}
																BgL_oclassz00_3300 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3306);
															}
															{	/* Reduce/sbeta.scm 228 */
																bool_t BgL__ortest_1110z00_3301;

																BgL__ortest_1110z00_3301 =
																	(BgL_classz00_3283 == BgL_oclassz00_3300);
																if (BgL__ortest_1110z00_3301)
																	{	/* Reduce/sbeta.scm 228 */
																		BgL_res2174z00_3314 =
																			BgL__ortest_1110z00_3301;
																	}
																else
																	{	/* Reduce/sbeta.scm 228 */
																		long BgL_odepthz00_3302;

																		BgL_odepthz00_3302 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3300);
																		if ((((long) 5) < BgL_odepthz00_3302))
																			{	/* Reduce/sbeta.scm 228 */
																				obj_t BgL_arg1821z00_3304;

																				BgL_arg1821z00_3304 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3300, ((long) 5));
																				BgL_res2174z00_3314 =
																					(BgL_arg1821z00_3304 ==
																					BgL_classz00_3283);
																			}
																		else
																			{	/* Reduce/sbeta.scm 228 */
																				BgL_res2174z00_3314 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3289 = BgL_res2174z00_3314;
													}
													BgL_test2428z00_5883 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3288,
														BgL_arg1823z00_3289);
												}
											}
										else
											{	/* Reduce/sbeta.scm 228 */
												BgL_test2428z00_5883 = ((bool_t) 0);
											}
									}
									if (BgL_test2428z00_5883)
										{	/* Reduce/sbeta.scm 228 */
											obj_t BgL_g1359z00_2111;

											BgL_g1359z00_2111 =
												(((BgL_externz00_bglt) COBJECT(
														((BgL_externz00_bglt)
															((BgL_vrefz00_bglt) BgL_ez00_2080))))->
												BgL_exprza2za2);
											{
												obj_t BgL_l1357z00_2113;

												BgL_l1357z00_2113 = BgL_g1359z00_2111;
											BgL_zc3z04anonymousza32046ze3z87_2114:
												if (NULLP(BgL_l1357z00_2113))
													{	/* Reduce/sbeta.scm 228 */
														BgL__ortest_1114z00_2084 = ((bool_t) 1);
													}
												else
													{	/* Reduce/sbeta.scm 228 */
														bool_t BgL_test2433z00_5907;

														{	/* Reduce/sbeta.scm 228 */
															obj_t BgL_arg2050z00_2119;

															BgL_arg2050z00_2119 =
																CAR(((obj_t) BgL_l1357z00_2113));
															BgL_test2433z00_5907 =
																BGl_simplezf3ze70z14zzreduce_betaz00
																(BgL_arg2050z00_2119);
														}
														if (BgL_test2433z00_5907)
															{	/* Reduce/sbeta.scm 228 */
																obj_t BgL_arg2049z00_2118;

																BgL_arg2049z00_2118 =
																	CDR(((obj_t) BgL_l1357z00_2113));
																{
																	obj_t BgL_l1357z00_5913;

																	BgL_l1357z00_5913 = BgL_arg2049z00_2118;
																	BgL_l1357z00_2113 = BgL_l1357z00_5913;
																	goto BgL_zc3z04anonymousza32046ze3z87_2114;
																}
															}
														else
															{	/* Reduce/sbeta.scm 228 */
																BgL__ortest_1114z00_2084 = ((bool_t) 0);
															}
													}
											}
										}
									else
										{	/* Reduce/sbeta.scm 228 */
											BgL__ortest_1114z00_2084 = ((bool_t) 0);
										}
								}
								if (BgL__ortest_1114z00_2084)
									{	/* Reduce/sbeta.scm 228 */
										return BgL__ortest_1114z00_2084;
									}
								else
									{	/* Reduce/sbeta.scm 229 */
										bool_t BgL__ortest_1115z00_2085;

										{	/* Reduce/sbeta.scm 229 */
											bool_t BgL_test2435z00_5915;

											{	/* Reduce/sbeta.scm 229 */
												obj_t BgL_classz00_3318;

												BgL_classz00_3318 = BGl_appz00zzast_nodez00;
												if (BGL_OBJECTP(BgL_ez00_2080))
													{	/* Reduce/sbeta.scm 229 */
														BgL_objectz00_bglt BgL_arg1825z00_3320;

														BgL_arg1825z00_3320 =
															(BgL_objectz00_bglt) (BgL_ez00_2080);
														{	/* Reduce/sbeta.scm 229 */
															bool_t BgL_arg1822z00_3323;
															bool_t BgL_arg1823z00_3324;

															{	/* Reduce/sbeta.scm 229 */
																long BgL_idxz00_3327;

																BgL_idxz00_3327 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_3320);
																BgL_arg1822z00_3323 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3327 + ((long) 3))) ==
																	BgL_classz00_3318);
															}
															{	/* Reduce/sbeta.scm 229 */
																bool_t BgL_res2175z00_3349;

																{	/* Reduce/sbeta.scm 229 */
																	obj_t BgL_oclassz00_3335;

																	{	/* Reduce/sbeta.scm 229 */
																		long BgL_arg1833z00_3341;

																		{	/* Reduce/sbeta.scm 229 */
																			long BgL_arg1834z00_3342;

																			BgL_arg1834z00_3342 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_3320);
																			BgL_arg1833z00_3341 =
																				(BgL_arg1834z00_3342 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3335 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_3341);
																	}
																	{	/* Reduce/sbeta.scm 229 */
																		bool_t BgL__ortest_1110z00_3336;

																		BgL__ortest_1110z00_3336 =
																			(BgL_classz00_3318 == BgL_oclassz00_3335);
																		if (BgL__ortest_1110z00_3336)
																			{	/* Reduce/sbeta.scm 229 */
																				BgL_res2175z00_3349 =
																					BgL__ortest_1110z00_3336;
																			}
																		else
																			{	/* Reduce/sbeta.scm 229 */
																				long BgL_odepthz00_3337;

																				BgL_odepthz00_3337 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_3335);
																				if ((((long) 3) < BgL_odepthz00_3337))
																					{	/* Reduce/sbeta.scm 229 */
																						obj_t BgL_arg1821z00_3339;

																						BgL_arg1821z00_3339 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_3335, ((long) 3));
																						BgL_res2175z00_3349 =
																							(BgL_arg1821z00_3339 ==
																							BgL_classz00_3318);
																					}
																				else
																					{	/* Reduce/sbeta.scm 229 */
																						BgL_res2175z00_3349 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_3324 = BgL_res2175z00_3349;
															}
															BgL_test2435z00_5915 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_3323,
																BgL_arg1823z00_3324);
														}
													}
												else
													{	/* Reduce/sbeta.scm 229 */
														BgL_test2435z00_5915 = ((bool_t) 0);
													}
											}
											if (BgL_test2435z00_5915)
												{	/* Reduce/sbeta.scm 229 */
													bool_t BgL_test2439z00_5934;

													{	/* Reduce/sbeta.scm 229 */
														obj_t BgL_g1363z00_2100;

														BgL_g1363z00_2100 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_ez00_2080)))->
															BgL_argsz00);
														{
															obj_t BgL_l1361z00_2102;

															BgL_l1361z00_2102 = BgL_g1363z00_2100;
														BgL_zc3z04anonymousza32042ze3z87_2103:
															if (NULLP(BgL_l1361z00_2102))
																{	/* Reduce/sbeta.scm 229 */
																	BgL_test2439z00_5934 = ((bool_t) 1);
																}
															else
																{	/* Reduce/sbeta.scm 229 */
																	bool_t BgL_test2441z00_5939;

																	{	/* Reduce/sbeta.scm 229 */
																		obj_t BgL_arg2045z00_2108;

																		BgL_arg2045z00_2108 =
																			CAR(((obj_t) BgL_l1361z00_2102));
																		BgL_test2441z00_5939 =
																			BGl_simplezf3ze70z14zzreduce_betaz00
																			(BgL_arg2045z00_2108);
																	}
																	if (BgL_test2441z00_5939)
																		{	/* Reduce/sbeta.scm 229 */
																			obj_t BgL_arg2044z00_2107;

																			BgL_arg2044z00_2107 =
																				CDR(((obj_t) BgL_l1361z00_2102));
																			{
																				obj_t BgL_l1361z00_5945;

																				BgL_l1361z00_5945 = BgL_arg2044z00_2107;
																				BgL_l1361z00_2102 = BgL_l1361z00_5945;
																				goto
																					BgL_zc3z04anonymousza32042ze3z87_2103;
																			}
																		}
																	else
																		{	/* Reduce/sbeta.scm 229 */
																			BgL_test2439z00_5934 = ((bool_t) 0);
																		}
																}
														}
													}
													if (BgL_test2439z00_5934)
														{	/* Reduce/sbeta.scm 229 */
															if (BGl_dangerouszf3zf3zzreduce_betaz00
																(BgL_ez00_2080))
																{	/* Reduce/sbeta.scm 229 */
																	BgL__ortest_1115z00_2085 = ((bool_t) 0);
																}
															else
																{	/* Reduce/sbeta.scm 229 */
																	BgL__ortest_1115z00_2085 = ((bool_t) 1);
																}
														}
													else
														{	/* Reduce/sbeta.scm 229 */
															BgL__ortest_1115z00_2085 = ((bool_t) 0);
														}
												}
											else
												{	/* Reduce/sbeta.scm 229 */
													BgL__ortest_1115z00_2085 = ((bool_t) 0);
												}
										}
										if (BgL__ortest_1115z00_2085)
											{	/* Reduce/sbeta.scm 229 */
												return BgL__ortest_1115z00_2085;
											}
										else
											{	/* Reduce/sbeta.scm 230 */
												bool_t BgL_test2444z00_5949;

												{	/* Reduce/sbeta.scm 230 */
													obj_t BgL_classz00_3353;

													BgL_classz00_3353 = BGl_getfieldz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_ez00_2080))
														{	/* Reduce/sbeta.scm 230 */
															BgL_objectz00_bglt BgL_arg1825z00_3355;

															BgL_arg1825z00_3355 =
																(BgL_objectz00_bglt) (BgL_ez00_2080);
															{	/* Reduce/sbeta.scm 230 */
																bool_t BgL_arg1822z00_3358;
																bool_t BgL_arg1823z00_3359;

																{	/* Reduce/sbeta.scm 230 */
																	long BgL_idxz00_3362;

																	BgL_idxz00_3362 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_3355);
																	BgL_arg1822z00_3358 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3362 + ((long) 5))) ==
																		BgL_classz00_3353);
																}
																{	/* Reduce/sbeta.scm 230 */
																	bool_t BgL_res2176z00_3384;

																	{	/* Reduce/sbeta.scm 230 */
																		obj_t BgL_oclassz00_3370;

																		{	/* Reduce/sbeta.scm 230 */
																			long BgL_arg1833z00_3376;

																			{	/* Reduce/sbeta.scm 230 */
																				long BgL_arg1834z00_3377;

																				BgL_arg1834z00_3377 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_3355);
																				BgL_arg1833z00_3376 =
																					(BgL_arg1834z00_3377 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3370 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_3376);
																		}
																		{	/* Reduce/sbeta.scm 230 */
																			bool_t BgL__ortest_1110z00_3371;

																			BgL__ortest_1110z00_3371 =
																				(BgL_classz00_3353 ==
																				BgL_oclassz00_3370);
																			if (BgL__ortest_1110z00_3371)
																				{	/* Reduce/sbeta.scm 230 */
																					BgL_res2176z00_3384 =
																						BgL__ortest_1110z00_3371;
																				}
																			else
																				{	/* Reduce/sbeta.scm 230 */
																					long BgL_odepthz00_3372;

																					BgL_odepthz00_3372 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_3370);
																					if ((((long) 5) < BgL_odepthz00_3372))
																						{	/* Reduce/sbeta.scm 230 */
																							obj_t BgL_arg1821z00_3374;

																							BgL_arg1821z00_3374 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_3370,
																								((long) 5));
																							BgL_res2176z00_3384 =
																								(BgL_arg1821z00_3374 ==
																								BgL_classz00_3353);
																						}
																					else
																						{	/* Reduce/sbeta.scm 230 */
																							BgL_res2176z00_3384 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_3359 = BgL_res2176z00_3384;
																}
																BgL_test2444z00_5949 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_3358,
																	BgL_arg1823z00_3359);
															}
														}
													else
														{	/* Reduce/sbeta.scm 230 */
															BgL_test2444z00_5949 = ((bool_t) 0);
														}
												}
												if (BgL_test2444z00_5949)
													{	/* Reduce/sbeta.scm 230 */
														obj_t BgL_g1367z00_2087;

														BgL_g1367z00_2087 =
															(((BgL_externz00_bglt) COBJECT(
																	((BgL_externz00_bglt)
																		((BgL_getfieldz00_bglt) BgL_ez00_2080))))->
															BgL_exprza2za2);
														{
															obj_t BgL_l1365z00_2089;

															BgL_l1365z00_2089 = BgL_g1367z00_2087;
														BgL_zc3z04anonymousza32037ze3z87_2090:
															if (NULLP(BgL_l1365z00_2089))
																{	/* Reduce/sbeta.scm 230 */
																	return ((bool_t) 1);
																}
															else
																{	/* Reduce/sbeta.scm 230 */
																	bool_t BgL_test2449z00_5973;

																	{	/* Reduce/sbeta.scm 230 */
																		obj_t BgL_arg2040z00_2095;

																		BgL_arg2040z00_2095 =
																			CAR(((obj_t) BgL_l1365z00_2089));
																		BgL_test2449z00_5973 =
																			BGl_simplezf3ze70z14zzreduce_betaz00
																			(BgL_arg2040z00_2095);
																	}
																	if (BgL_test2449z00_5973)
																		{	/* Reduce/sbeta.scm 230 */
																			obj_t BgL_arg2039z00_2094;

																			BgL_arg2039z00_2094 =
																				CDR(((obj_t) BgL_l1365z00_2089));
																			{
																				obj_t BgL_l1365z00_5979;

																				BgL_l1365z00_5979 = BgL_arg2039z00_2094;
																				BgL_l1365z00_2089 = BgL_l1365z00_5979;
																				goto
																					BgL_zc3z04anonymousza32037ze3z87_2090;
																			}
																		}
																	else
																		{	/* Reduce/sbeta.scm 230 */
																			return ((bool_t) 0);
																		}
																}
														}
													}
												else
													{	/* Reduce/sbeta.scm 230 */
														return ((bool_t) 0);
													}
											}
									}
							}
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_betaz00()
	{
		{	/* Reduce/sbeta.scm 25 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_betaz00));
			return
				BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 282085879),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_betaz00));
		}

	}

#ifdef __cplusplus
}
#endif
