/*===========================================================================*/
/*   (Return/walk.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Return/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;


	static obj_t BGl_z62returnzd2walkz12za2zzreturn_walkz00(obj_t, obj_t);
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreturn_walkz00 = BUNSPEC;
	static obj_t BGl_step6bze70ze7zzreturn_walkz00(BgL_nodez00_bglt,
		BgL_localz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62clearzd2returnzd2cachez12z70zzreturn_walkz00(obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_iszd2returnzf3z21zzreturn_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_za2popzd2exitz12za2zc0zzreturn_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_step6ze70ze7zzreturn_walkz00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzreturn_walkz00();
	BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_returnzd2funz12zc0zzreturn_walkz00(obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62returnzd2gotozd2funsz12zd2le1394za2zzreturn_walkz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_z62iszd2returnzf3z43zzreturn_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2envzd2pushzd2exitz12za2z12zzreturn_walkz00 = BUNSPEC;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_iszd2unwindzd2untilzf3zf3zzreturn_walkz00(BgL_variablez00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreturn_walkz00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static obj_t BGl_objectzd2initzd2zzreturn_walkz00();
	static BgL_nodez00_bglt BGl_returnz12z12zzreturn_walkz00(BgL_nodez00_bglt,
		BgL_localz00_bglt, BgL_retblockz00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62iszd2returnzf31375z43zzreturn_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2envzd2popzd2exitz12za2z12zzreturn_walkz00 = BUNSPEC;
	static obj_t BGl_step8ze70ze7zzreturn_walkz00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62returnzd2gotozd2funsz12z70zzreturn_walkz00(obj_t, obj_t);
	static obj_t BGl_z62iszd2getzd2exitdzd2topzf3z43zzreturn_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2pushzd2exitz12za2zc0zzreturn_walkz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzreturn_walkz00();
	static BgL_nodez00_bglt BGl_z62returnz12zd2app1388za2zzreturn_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_iszd2exitzd2returnzf3zf3zzreturn_walkz00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_z62iszd2exitzd2returnzf3z91zzreturn_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62iszd2returnzf3zd2var1378z91zzreturn_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62iszd2unwindzd2untilzf3z91zzreturn_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_za2currentzd2dynamiczd2envza2z00zzreturn_walkz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_functionzd2exitzd2nodez00zzreturn_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_z62returnzd2gotozd2funsz121389z70zzreturn_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62abortz62zzreturn_walkz00(obj_t, obj_t);
	static obj_t BGl_z62initzd2returnzd2cachez12z70zzreturn_walkz00(obj_t);
	static obj_t BGl_z62iszd2returnzf3zd2app1382z91zzreturn_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_returnzd2walkz12zc0zzreturn_walkz00(obj_t);
	extern obj_t BGl_walk2z00zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreturn_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00 = BUNSPEC;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_za2optimzd2returnzd2gotozf3za2zf3zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzreturn_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreturn_walkz00();
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzreturn_walkz00();
	static obj_t BGl_gczd2rootszd2initz00zzreturn_walkz00();
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62returnz12z70zzreturn_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62iszd2returnzf3zd2letzd2var1380z43zzreturn_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_walk2z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00 = BUNSPEC;
	static obj_t BGl_zc3z04exitza32013ze3ze70z60zzreturn_walkz00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_za2exitdzd2protectzd2setz12za2z12zzreturn_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_returnzd2gotozd2funsz12z12zzreturn_walkz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_iszd2getzd2exitdzd2topzf3z21zzreturn_walkz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_initzd2returnzd2cachez12z12zzreturn_walkz00();
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62returnz121383z70zzreturn_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[15];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_clearzd2returnzd2cachez12zd2envzc0zzreturn_walkz00,
		BgL_bgl_za762clearza7d2retur2252z00,
		BGl_z62clearzd2returnzd2cachez12z70zzreturn_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_GENERIC(BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
		BgL_bgl_za762isza7d2returnza7f2253za7,
		BGl_z62iszd2returnzf3z43zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2226z00zzreturn_walkz00,
		BgL_bgl_string2226za700za7za7r2254za7, "Return", 6);
	      DEFINE_STRING(BGl_string2227z00zzreturn_walkz00,
		BgL_bgl_string2227za700za7za7r2255za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2228z00zzreturn_walkz00,
		BgL_bgl_string2228za700za7za7r2256za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2229z00zzreturn_walkz00,
		BgL_bgl_string2229za700za7za7r2257za7, " error", 6);
	      DEFINE_STRING(BGl_string2230z00zzreturn_walkz00,
		BgL_bgl_string2230za700za7za7r2258za7, "s", 1);
	      DEFINE_STRING(BGl_string2231z00zzreturn_walkz00,
		BgL_bgl_string2231za700za7za7r2259za7, "", 0);
	      DEFINE_STRING(BGl_string2232z00zzreturn_walkz00,
		BgL_bgl_string2232za700za7za7r2260za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2233z00zzreturn_walkz00,
		BgL_bgl_string2233za700za7za7r2261za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2235z00zzreturn_walkz00,
		BgL_bgl_string2235za700za7za7r2262za7, "is-return?1375", 14);
	      DEFINE_STRING(BGl_string2237z00zzreturn_walkz00,
		BgL_bgl_string2237za700za7za7r2263za7, "return!1383", 11);
	      DEFINE_STRING(BGl_string2239z00zzreturn_walkz00,
		BgL_bgl_string2239za700za7za7r2264za7, "return-goto-funs!1389", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2234z00zzreturn_walkz00,
		BgL_bgl_za762isza7d2returnza7f2265za7,
		BGl_z62iszd2returnzf31375z43zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2241z00zzreturn_walkz00,
		BgL_bgl_string2241za700za7za7r2266za7, "is-return?", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2236z00zzreturn_walkz00,
		BgL_bgl_za762returnza71213832267z00,
		BGl_z62returnz121383z70zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2238z00zzreturn_walkz00,
		BgL_bgl_za762returnza7d2goto2268z00,
		BGl_z62returnzd2gotozd2funsz121389z70zzreturn_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2245z00zzreturn_walkz00,
		BgL_bgl_string2245za700za7za7r2269za7, "return!::node", 13);
	      DEFINE_STRING(BGl_string2247z00zzreturn_walkz00,
		BgL_bgl_string2247za700za7za7r2270za7, "return-goto-funs!::node", 23);
	      DEFINE_STRING(BGl_string2248z00zzreturn_walkz00,
		BgL_bgl_string2248za700za7za7r2271za7, "return_walk", 11);
	      DEFINE_STRING(BGl_string2249z00zzreturn_walkz00,
		BgL_bgl_string2249za700za7za7r2272za7,
		"sfun $env-push-exit! push-exit! $env-pop-exit! pop-exit! unwind-stack-until! __bexit $env-get-exitd-top $exitd-protect-set! $get-exitd-top $current-dynamic-env foreign (clear-return-cache!) pass-started (init-return-cache!) ",
		224);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2walkz12zd2envz12zzreturn_walkz00,
		BgL_bgl_za762returnza7d2walk2273z00,
		BGl_z62returnzd2walkz12za2zzreturn_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2240z00zzreturn_walkz00,
		BgL_bgl_za762isza7d2returnza7f2274za7,
		BGl_z62iszd2returnzf3zd2var1378z91zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zzreturn_walkz00,
		BgL_bgl_za762isza7d2returnza7f2275za7,
		BGl_z62iszd2returnzf3zd2letzd2var1380z43zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zzreturn_walkz00,
		BgL_bgl_za762isza7d2returnza7f2276za7,
		BGl_z62iszd2returnzf3zd2app1382z91zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zzreturn_walkz00,
		BgL_bgl_za762returnza712za7d2a2277za7,
		BGl_z62returnz12zd2app1388za2zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2246z00zzreturn_walkz00,
		BgL_bgl_za762returnza7d2goto2278z00,
		BGl_z62returnzd2gotozd2funsz12zd2le1394za2zzreturn_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_iszd2exitzd2returnzf3zd2envz21zzreturn_walkz00,
		BgL_bgl_za762isza7d2exitza7d2r2279za7,
		BGl_z62iszd2exitzd2returnzf3z91zzreturn_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_iszd2getzd2exitdzd2topzf3zd2envzf3zzreturn_walkz00,
		BgL_bgl_za762isza7d2getza7d2ex2280za7,
		BGl_z62iszd2getzd2exitdzd2topzf3z43zzreturn_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initzd2returnzd2cachez12zd2envzc0zzreturn_walkz00,
		BgL_bgl_za762initza7d2return2281z00,
		BGl_z62initzd2returnzd2cachez12z70zzreturn_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_GENERIC(BGl_returnz12zd2envzc0zzreturn_walkz00,
		BgL_bgl_za762returnza712za770za72282z00,
		BGl_z62returnz12z70zzreturn_walkz00, 0L, BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_returnzd2gotozd2funsz12zd2envzc0zzreturn_walkz00,
		BgL_bgl_za762returnza7d2goto2283z00,
		BGl_z62returnzd2gotozd2funsz12z70zzreturn_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_iszd2unwindzd2untilzf3zd2envz21zzreturn_walkz00,
		BgL_bgl_za762isza7d2unwindza7d2284za7,
		BGl_z62iszd2unwindzd2untilzf3z91zzreturn_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreturn_walkz00));
		     ADD_ROOT((void *) (&BGl_za2popzd2exitz12za2zc0zzreturn_walkz00));
		   
			 ADD_ROOT((void *) (&BGl_za2envzd2pushzd2exitz12za2z12zzreturn_walkz00));
		     ADD_ROOT((void *) (&BGl_za2envzd2popzd2exitz12za2z12zzreturn_walkz00));
		     ADD_ROOT((void *) (&BGl_za2pushzd2exitz12za2zc0zzreturn_walkz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2currentzd2dynamiczd2envza2z00zzreturn_walkz00));
		     ADD_ROOT((void
				*) (&BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00));
		     ADD_ROOT((void *) (&BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00));
		     ADD_ROOT((void *) (&BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2exitdzd2protectzd2setz12za2z12zzreturn_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreturn_walkz00(long
		BgL_checksumz00_3883, char *BgL_fromz00_3884)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreturn_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzreturn_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreturn_walkz00();
					BGl_libraryzd2moduleszd2initz00zzreturn_walkz00();
					BGl_cnstzd2initzd2zzreturn_walkz00();
					BGl_importedzd2moduleszd2initz00zzreturn_walkz00();
					BGl_genericzd2initzd2zzreturn_walkz00();
					BGl_methodzd2initzd2zzreturn_walkz00();
					return BGl_toplevelzd2initzd2zzreturn_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreturn_walkz00()
	{
		{	/* Return/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"return_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "return_walk");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"return_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"return_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"return_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"return_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "return_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreturn_walkz00()
	{
		{	/* Return/walk.scm 16 */
			{	/* Return/walk.scm 16 */
				obj_t BgL_cportz00_3774;

				{	/* Return/walk.scm 16 */
					obj_t BgL_stringz00_3782;

					BgL_stringz00_3782 = BGl_string2249z00zzreturn_walkz00;
					{	/* Return/walk.scm 16 */
						obj_t BgL_startz00_3783;

						BgL_startz00_3783 = BINT(((long) 0));
						{	/* Return/walk.scm 16 */
							obj_t BgL_endz00_3784;

							BgL_endz00_3784 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3782)));
							{	/* Return/walk.scm 16 */

								BgL_cportz00_3774 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3782, BgL_startz00_3783, BgL_endz00_3784);
				}}}}
				{
					long BgL_iz00_3775;

					BgL_iz00_3775 = ((long) 14);
				BgL_loopz00_3776:
					if ((BgL_iz00_3775 == ((long) -1)))
						{	/* Return/walk.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Return/walk.scm 16 */
							{	/* Return/walk.scm 16 */
								obj_t BgL_arg2251z00_3778;

								{	/* Return/walk.scm 16 */

									{	/* Return/walk.scm 16 */
										obj_t BgL_locationz00_3780;

										BgL_locationz00_3780 = BBOOL(((bool_t) 0));
										{	/* Return/walk.scm 16 */

											BgL_arg2251z00_3778 =
												BGl_readz00zz__readerz00(BgL_cportz00_3774,
												BgL_locationz00_3780);
										}
									}
								}
								{	/* Return/walk.scm 16 */
									int BgL_tmpz00_3918;

									BgL_tmpz00_3918 = (int) (BgL_iz00_3775);
									CNST_TABLE_SET(BgL_tmpz00_3918, BgL_arg2251z00_3778);
							}}
							{	/* Return/walk.scm 16 */
								int BgL_auxz00_3781;

								BgL_auxz00_3781 = (int) ((BgL_iz00_3775 - ((long) 1)));
								{
									long BgL_iz00_3923;

									BgL_iz00_3923 = (long) (BgL_auxz00_3781);
									BgL_iz00_3775 = BgL_iz00_3923;
									goto BgL_loopz00_3776;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreturn_walkz00()
	{
		{	/* Return/walk.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreturn_walkz00()
	{
		{	/* Return/walk.scm 16 */
			BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00 = BUNSPEC;
			BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00 = BUNSPEC;
			BGl_za2exitdzd2protectzd2setz12za2z12zzreturn_walkz00 = BUNSPEC;
			BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00 = BUNSPEC;
			BGl_za2pushzd2exitz12za2zc0zzreturn_walkz00 = BUNSPEC;
			BGl_za2envzd2pushzd2exitz12za2z12zzreturn_walkz00 = BUNSPEC;
			BGl_za2popzd2exitz12za2zc0zzreturn_walkz00 = BUNSPEC;
			BGl_za2envzd2popzd2exitz12za2z12zzreturn_walkz00 = BUNSPEC;
			BGl_za2currentzd2dynamiczd2envza2z00zzreturn_walkz00 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* return-walk! */
	BGL_EXPORTED_DEF obj_t BGl_returnzd2walkz12zc0zzreturn_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Return/walk.scm 43 */
			{	/* Return/walk.scm 44 */
				obj_t BgL_list1455z00_1493;

				{	/* Return/walk.scm 44 */
					obj_t BgL_arg1456z00_1494;

					{	/* Return/walk.scm 44 */
						obj_t BgL_arg1457z00_1495;

						BgL_arg1457z00_1495 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1456z00_1494 =
							MAKE_YOUNG_PAIR(BGl_string2226z00zzreturn_walkz00,
							BgL_arg1457z00_1495);
					}
					BgL_list1455z00_1493 =
						MAKE_YOUNG_PAIR(BGl_string2227z00zzreturn_walkz00,
						BgL_arg1456z00_1494);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1455z00_1493);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2226z00zzreturn_walkz00;
			{	/* Return/walk.scm 44 */
				obj_t BgL_g1116z00_1496;
				obj_t BgL_g1117z00_1497;

				{	/* Return/walk.scm 44 */
					obj_t BgL_list1498z00_1510;

					BgL_list1498z00_1510 =
						MAKE_YOUNG_PAIR
						(BGl_initzd2returnzd2cachez12zd2envzc0zzreturn_walkz00, BNIL);
					BgL_g1116z00_1496 = BgL_list1498z00_1510;
				}
				BgL_g1117z00_1497 = CNST_TABLE_REF(((long) 0));
				{
					obj_t BgL_hooksz00_1499;
					obj_t BgL_hnamesz00_1500;

					BgL_hooksz00_1499 = BgL_g1116z00_1496;
					BgL_hnamesz00_1500 = BgL_g1117z00_1497;
				BgL_zc3z04anonymousza31458ze3z87_1501:
					if (NULLP(BgL_hooksz00_1499))
						{	/* Return/walk.scm 44 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Return/walk.scm 44 */
							bool_t BgL_test2288z00_3938;

							{	/* Return/walk.scm 44 */
								obj_t BgL_fun1497z00_1508;

								BgL_fun1497z00_1508 = CAR(((obj_t) BgL_hooksz00_1499));
								BgL_test2288z00_3938 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1497z00_1508)
									(BgL_fun1497z00_1508, BEOA));
							}
							if (BgL_test2288z00_3938)
								{	/* Return/walk.scm 44 */
									obj_t BgL_arg1477z00_1505;
									obj_t BgL_arg1494z00_1506;

									BgL_arg1477z00_1505 = CDR(((obj_t) BgL_hooksz00_1499));
									BgL_arg1494z00_1506 = CDR(((obj_t) BgL_hnamesz00_1500));
									{
										obj_t BgL_hnamesz00_3950;
										obj_t BgL_hooksz00_3949;

										BgL_hooksz00_3949 = BgL_arg1477z00_1505;
										BgL_hnamesz00_3950 = BgL_arg1494z00_1506;
										BgL_hnamesz00_1500 = BgL_hnamesz00_3950;
										BgL_hooksz00_1499 = BgL_hooksz00_3949;
										goto BgL_zc3z04anonymousza31458ze3z87_1501;
									}
								}
							else
								{	/* Return/walk.scm 44 */
									obj_t BgL_arg1496z00_1507;

									BgL_arg1496z00_1507 = CAR(((obj_t) BgL_hnamesz00_1500));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2226z00zzreturn_walkz00,
										BGl_string2228z00zzreturn_walkz00, BgL_arg1496z00_1507);
								}
						}
				}
			}
			{
				obj_t BgL_l1365z00_1512;

				BgL_l1365z00_1512 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31499ze3z87_1513:
				if (PAIRP(BgL_l1365z00_1512))
					{	/* Return/walk.scm 45 */
						BGl_returnzd2funz12zc0zzreturn_walkz00(CAR(BgL_l1365z00_1512));
						{
							obj_t BgL_l1365z00_3958;

							BgL_l1365z00_3958 = CDR(BgL_l1365z00_1512);
							BgL_l1365z00_1512 = BgL_l1365z00_3958;
							goto BgL_zc3z04anonymousza31499ze3z87_1513;
						}
					}
				else
					{	/* Return/walk.scm 45 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Return/walk.scm 46 */
					{	/* Return/walk.scm 46 */
						obj_t BgL_port1367z00_1520;

						{	/* Return/walk.scm 46 */
							obj_t BgL_tmpz00_3963;

							BgL_tmpz00_3963 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1367z00_1520 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3963);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1367z00_1520);
						bgl_display_string(BGl_string2229z00zzreturn_walkz00,
							BgL_port1367z00_1520);
						{	/* Return/walk.scm 46 */
							obj_t BgL_arg1534z00_1521;

							{	/* Return/walk.scm 46 */
								bool_t BgL_test2291z00_3968;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Return/walk.scm 46 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Return/walk.scm 46 */
												BgL_test2291z00_3968 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Return/walk.scm 46 */
												BgL_test2291z00_3968 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Return/walk.scm 46 */
										BgL_test2291z00_3968 = ((bool_t) 0);
									}
								if (BgL_test2291z00_3968)
									{	/* Return/walk.scm 46 */
										BgL_arg1534z00_1521 = BGl_string2230z00zzreturn_walkz00;
									}
								else
									{	/* Return/walk.scm 46 */
										BgL_arg1534z00_1521 = BGl_string2231z00zzreturn_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1534z00_1521, BgL_port1367z00_1520);
						}
						bgl_display_string(BGl_string2232z00zzreturn_walkz00,
							BgL_port1367z00_1520);
						bgl_display_char(((unsigned char) 10), BgL_port1367z00_1520);
					}
					{	/* Return/walk.scm 46 */
						obj_t BgL_list1538z00_1527;

						BgL_list1538z00_1527 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1538z00_1527);
					}
				}
			else
				{	/* Return/walk.scm 46 */
					obj_t BgL_g1118z00_1528;
					obj_t BgL_g1119z00_1529;

					{	/* Return/walk.scm 46 */
						obj_t BgL_list1555z00_1542;

						BgL_list1555z00_1542 =
							MAKE_YOUNG_PAIR
							(BGl_clearzd2returnzd2cachez12zd2envzc0zzreturn_walkz00, BNIL);
						BgL_g1118z00_1528 = BgL_list1555z00_1542;
					}
					BgL_g1119z00_1529 = CNST_TABLE_REF(((long) 2));
					{
						obj_t BgL_hooksz00_1531;
						obj_t BgL_hnamesz00_1532;

						BgL_hooksz00_1531 = BgL_g1118z00_1528;
						BgL_hnamesz00_1532 = BgL_g1119z00_1529;
					BgL_zc3z04anonymousza31539ze3z87_1533:
						if (NULLP(BgL_hooksz00_1531))
							{	/* Return/walk.scm 46 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Return/walk.scm 46 */
								bool_t BgL_test2295z00_3987;

								{	/* Return/walk.scm 46 */
									obj_t BgL_fun1554z00_1540;

									BgL_fun1554z00_1540 = CAR(((obj_t) BgL_hooksz00_1531));
									BgL_test2295z00_3987 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1554z00_1540)
										(BgL_fun1554z00_1540, BEOA));
								}
								if (BgL_test2295z00_3987)
									{	/* Return/walk.scm 46 */
										obj_t BgL_arg1548z00_1537;
										obj_t BgL_arg1551z00_1538;

										BgL_arg1548z00_1537 = CDR(((obj_t) BgL_hooksz00_1531));
										BgL_arg1551z00_1538 = CDR(((obj_t) BgL_hnamesz00_1532));
										{
											obj_t BgL_hnamesz00_3999;
											obj_t BgL_hooksz00_3998;

											BgL_hooksz00_3998 = BgL_arg1548z00_1537;
											BgL_hnamesz00_3999 = BgL_arg1551z00_1538;
											BgL_hnamesz00_1532 = BgL_hnamesz00_3999;
											BgL_hooksz00_1531 = BgL_hooksz00_3998;
											goto BgL_zc3z04anonymousza31539ze3z87_1533;
										}
									}
								else
									{	/* Return/walk.scm 46 */
										obj_t BgL_arg1552z00_1539;

										BgL_arg1552z00_1539 = CAR(((obj_t) BgL_hnamesz00_1532));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2233z00zzreturn_walkz00, BgL_arg1552z00_1539);
									}
							}
					}
				}
		}

	}



/* &return-walk! */
	obj_t BGl_z62returnzd2walkz12za2zzreturn_walkz00(obj_t BgL_envz00_3710,
		obj_t BgL_globalsz00_3711)
	{
		{	/* Return/walk.scm 43 */
			return BGl_returnzd2walkz12zc0zzreturn_walkz00(BgL_globalsz00_3711);
		}

	}



/* init-return-cache! */
	BGL_EXPORTED_DEF obj_t BGl_initzd2returnzd2cachez12z12zzreturn_walkz00()
	{
		{	/* Return/walk.scm 64 */
			{	/* Return/walk.scm 65 */
				bool_t BgL_test2296z00_4004;

				{	/* Return/walk.scm 65 */
					obj_t BgL_objz00_2482;

					BgL_objz00_2482 = BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00;
					{	/* Return/walk.scm 65 */
						obj_t BgL_classz00_2483;

						BgL_classz00_2483 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_objz00_2482))
							{	/* Return/walk.scm 65 */
								BgL_objectz00_bglt BgL_arg1825z00_2485;

								BgL_arg1825z00_2485 = (BgL_objectz00_bglt) (BgL_objz00_2482);
								{	/* Return/walk.scm 65 */
									bool_t BgL_arg1822z00_2488;
									bool_t BgL_arg1823z00_2489;

									{	/* Return/walk.scm 65 */
										long BgL_idxz00_2492;

										BgL_idxz00_2492 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2485);
										BgL_arg1822z00_2488 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2492 + ((long) 2))) == BgL_classz00_2483);
									}
									{	/* Return/walk.scm 65 */
										bool_t BgL_res2179z00_2514;

										{	/* Return/walk.scm 65 */
											obj_t BgL_oclassz00_2500;

											{	/* Return/walk.scm 65 */
												long BgL_arg1833z00_2506;

												{	/* Return/walk.scm 65 */
													long BgL_arg1834z00_2507;

													BgL_arg1834z00_2507 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2485);
													BgL_arg1833z00_2506 =
														(BgL_arg1834z00_2507 - OBJECT_TYPE);
												}
												BgL_oclassz00_2500 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2506);
											}
											{	/* Return/walk.scm 65 */
												bool_t BgL__ortest_1110z00_2501;

												BgL__ortest_1110z00_2501 =
													(BgL_classz00_2483 == BgL_oclassz00_2500);
												if (BgL__ortest_1110z00_2501)
													{	/* Return/walk.scm 65 */
														BgL_res2179z00_2514 = BgL__ortest_1110z00_2501;
													}
												else
													{	/* Return/walk.scm 65 */
														long BgL_odepthz00_2502;

														BgL_odepthz00_2502 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2500);
														if ((((long) 2) < BgL_odepthz00_2502))
															{	/* Return/walk.scm 65 */
																obj_t BgL_arg1821z00_2504;

																BgL_arg1821z00_2504 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2500,
																	((long) 2));
																BgL_res2179z00_2514 =
																	(BgL_arg1821z00_2504 == BgL_classz00_2483);
															}
														else
															{	/* Return/walk.scm 65 */
																BgL_res2179z00_2514 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2489 = BgL_res2179z00_2514;
									}
									BgL_test2296z00_4004 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2488, BgL_arg1823z00_2489);
								}
							}
						else
							{	/* Return/walk.scm 65 */
								BgL_test2296z00_4004 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test2296z00_4004)
					{	/* Return/walk.scm 65 */
						BFALSE;
					}
				else
					{	/* Return/walk.scm 65 */
						{	/* Return/walk.scm 66 */
							obj_t BgL_list1557z00_1544;

							BgL_list1557z00_1544 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
							BGl_za2currentzd2dynamiczd2envza2z00zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 4)),
								BgL_list1557z00_1544);
						}
						{	/* Return/walk.scm 67 */
							obj_t BgL_list1558z00_1545;

							BgL_list1558z00_1545 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
							BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 5)),
								BgL_list1558z00_1545);
						}
						{	/* Return/walk.scm 68 */
							obj_t BgL_list1559z00_1546;

							BgL_list1559z00_1546 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
							BGl_za2exitdzd2protectzd2setz12za2z12zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 6)),
								BgL_list1559z00_1546);
						}
						{	/* Return/walk.scm 69 */
							obj_t BgL_list1560z00_1547;

							BgL_list1560z00_1547 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
							BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 7)),
								BgL_list1560z00_1547);
						}
						{	/* Return/walk.scm 70 */
							obj_t BgL_list1561z00_1548;

							BgL_list1561z00_1548 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 8)), BNIL);
							BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 9)),
								BgL_list1561z00_1548);
						}
						{	/* Return/walk.scm 71 */
							obj_t BgL_list1562z00_1549;

							BgL_list1562z00_1549 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
							BGl_za2popzd2exitz12za2zc0zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 10)),
								BgL_list1562z00_1549);
						}
						{	/* Return/walk.scm 72 */
							obj_t BgL_list1563z00_1550;

							BgL_list1563z00_1550 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
							BGl_za2envzd2popzd2exitz12za2z12zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 11)),
								BgL_list1563z00_1550);
						}
						{	/* Return/walk.scm 73 */
							obj_t BgL_list1564z00_1551;

							BgL_list1564z00_1551 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
							BGl_za2pushzd2exitz12za2zc0zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 12)),
								BgL_list1564z00_1551);
						}
						{	/* Return/walk.scm 74 */
							obj_t BgL_list1565z00_1552;

							BgL_list1565z00_1552 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
							BGl_za2envzd2pushzd2exitz12za2z12zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 13)),
								BgL_list1565z00_1552);
			}}}
			return BUNSPEC;
		}

	}



/* &init-return-cache! */
	obj_t BGl_z62initzd2returnzd2cachez12z70zzreturn_walkz00(obj_t
		BgL_envz00_3712)
	{
		{	/* Return/walk.scm 64 */
			return BGl_initzd2returnzd2cachez12z12zzreturn_walkz00();
		}

	}



/* &clear-return-cache! */
	obj_t BGl_z62clearzd2returnzd2cachez12z70zzreturn_walkz00(obj_t
		BgL_envz00_3713)
	{
		{	/* Return/walk.scm 80 */
			BGl_za2currentzd2dynamiczd2envza2z00zzreturn_walkz00 = BFALSE;
			BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00 = BFALSE;
			BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00 = BFALSE;
			BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00 = BFALSE;
			BGl_za2pushzd2exitz12za2zc0zzreturn_walkz00 = BFALSE;
			BGl_za2envzd2pushzd2exitz12za2z12zzreturn_walkz00 = BFALSE;
			BGl_za2popzd2exitz12za2zc0zzreturn_walkz00 = BFALSE;
			return (BGl_za2envzd2popzd2exitz12za2z12zzreturn_walkz00 =
				BFALSE, BUNSPEC);
		}

	}



/* return-fun! */
	obj_t BGl_returnzd2funz12zc0zzreturn_walkz00(obj_t BgL_varz00_18)
	{
		{	/* Return/walk.scm 93 */
			{	/* Return/walk.scm 94 */
				obj_t BgL_arg1567z00_1553;

				BgL_arg1567z00_1553 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1567z00_1553);
			}
			{	/* Return/walk.scm 95 */
				BgL_valuez00_bglt BgL_funz00_1554;

				BgL_funz00_1554 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Return/walk.scm 95 */
					obj_t BgL_bodyz00_1555;

					BgL_bodyz00_1555 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1554)))->BgL_bodyz00);
					{	/* Return/walk.scm 96 */
						obj_t BgL_exitz00_1556;

						BgL_exitz00_1556 =
							BGl_functionzd2exitzd2nodez00zzreturn_walkz00(
							((BgL_nodez00_bglt) BgL_bodyz00_1555));
						{	/* Return/walk.scm 97 */

							if (PAIRP(BgL_exitz00_1556))
								{	/* Return/walk.scm 99 */
									obj_t BgL_exitvarz00_1558;
									obj_t BgL_exitnodez00_1559;

									BgL_exitvarz00_1558 = CAR(BgL_exitz00_1556);
									BgL_exitnodez00_1559 = CDR(BgL_exitz00_1556);
									if (BGl_iszd2exitzd2returnzf3zf3zzreturn_walkz00(
											((BgL_nodez00_bglt) BgL_exitnodez00_1559),
											((BgL_localz00_bglt) BgL_exitvarz00_1558)))
										{	/* Return/walk.scm 102 */
											BgL_retblockz00_bglt BgL_rblockz00_1561;

											{	/* Return/walk.scm 102 */
												BgL_retblockz00_bglt BgL_new1121z00_1563;

												{	/* Return/walk.scm 103 */
													BgL_retblockz00_bglt BgL_new1120z00_1564;

													BgL_new1120z00_1564 =
														((BgL_retblockz00_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_retblockz00_bgl))));
													{	/* Return/walk.scm 103 */
														long BgL_arg1570z00_1565;

														BgL_arg1570z00_1565 =
															BGL_CLASS_NUM(BGl_retblockz00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1120z00_1564),
															BgL_arg1570z00_1565);
													}
													{	/* Return/walk.scm 103 */
														BgL_objectz00_bglt BgL_tmpz00_4081;

														BgL_tmpz00_4081 =
															((BgL_objectz00_bglt) BgL_new1120z00_1564);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4081, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1120z00_1564);
													BgL_new1121z00_1563 = BgL_new1120z00_1564;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1121z00_1563)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt)
																		BgL_bodyz00_1555)))->BgL_locz00)), BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1121z00_1563)))->BgL_typez00) =
													((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt)
																		BgL_exitnodez00_1559)))->BgL_typez00)),
													BUNSPEC);
												((((BgL_retblockz00_bglt)
															COBJECT(BgL_new1121z00_1563))->BgL_bodyz00) =
													((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
															BgL_bodyz00_1555)), BUNSPEC);
												BgL_rblockz00_1561 = BgL_new1121z00_1563;
											}
											((((BgL_retblockz00_bglt) COBJECT(BgL_rblockz00_1561))->
													BgL_bodyz00) =
												((BgL_nodez00_bglt)
													BGl_returnz12z12zzreturn_walkz00(((BgL_nodez00_bglt)
															BgL_exitnodez00_1559),
														((BgL_localz00_bglt) BgL_exitvarz00_1558),
														BgL_rblockz00_1561)), BUNSPEC);
											{	/* Return/walk.scm 108 */
												obj_t BgL_vz00_2527;

												BgL_vz00_2527 = CNST_TABLE_REF(((long) 14));
												((((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_funz00_1554)))->
														BgL_classz00) = ((obj_t) BgL_vz00_2527), BUNSPEC);
											}
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1554)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_rblockz00_1561)), BUNSPEC);
										}
									else
										{	/* Return/walk.scm 101 */
											BFALSE;
										}
								}
							else
								{	/* Return/walk.scm 98 */
									BFALSE;
								}
							if (CBOOL(BGl_za2optimzd2returnzd2gotozf3za2zf3zzengine_paramz00))
								{	/* Return/walk.scm 110 */
									((obj_t)
										BGl_returnzd2gotozd2funsz12z12zzreturn_walkz00(
											((BgL_nodez00_bglt) BgL_bodyz00_1555)));
								}
							else
								{	/* Return/walk.scm 110 */
									BFALSE;
								}
							BGl_leavezd2functionzd2zztools_errorz00();
							return BgL_varz00_18;
						}
					}
				}
			}
		}

	}



/* function-exit-node */
	obj_t BGl_functionzd2exitzd2nodez00zzreturn_walkz00(BgL_nodez00_bglt
		BgL_nodez00_19)
	{
		{	/* Return/walk.scm 145 */
			{
				BgL_nodez00_bglt BgL_nodez00_1693;
				BgL_localz00_bglt BgL_varz00_1694;
				BgL_nodez00_bglt BgL_nodez00_1721;
				BgL_localz00_bglt BgL_varz00_1722;
				obj_t BgL_envz00_1723;
				BgL_nodez00_bglt BgL_nodez00_1750;
				BgL_nodez00_bglt BgL_nodez00_1777;
				obj_t BgL_envz00_1778;
				BgL_nodez00_bglt BgL_nodez00_1822;
				BgL_localz00_bglt BgL_exitvarz00_1823;
				BgL_nodez00_bglt BgL_nodez00_1844;
				BgL_localz00_bglt BgL_exitvarz00_1845;
				obj_t BgL_envz00_1846;
				obj_t BgL_nodesz00_1877;
				BgL_localz00_bglt BgL_varz00_1878;
				obj_t BgL_nodesz00_1895;
				BgL_localz00_bglt BgL_varz00_1896;
				obj_t BgL_envz00_1897;
				BgL_nodez00_bglt BgL_bodyz00_1914;
				BgL_varz00_bglt BgL_varz00_1915;
				BgL_nodez00_bglt BgL_bodyz00_1931;
				BgL_varz00_bglt BgL_varz00_1932;

				{	/* Return/walk.scm 320 */
					bool_t BgL_test2303z00_4111;

					{	/* Return/walk.scm 320 */
						obj_t BgL_classz00_3422;

						BgL_classz00_3422 = BGl_setzd2exzd2itz00zzast_nodez00;
						{	/* Return/walk.scm 320 */
							BgL_objectz00_bglt BgL_arg1825z00_3424;

							{	/* Return/walk.scm 320 */
								obj_t BgL_tmpz00_4112;

								BgL_tmpz00_4112 = ((obj_t) BgL_nodez00_19);
								BgL_arg1825z00_3424 = (BgL_objectz00_bglt) (BgL_tmpz00_4112);
							}
							{	/* Return/walk.scm 320 */
								bool_t BgL_arg1822z00_3427;
								bool_t BgL_arg1823z00_3428;

								{	/* Return/walk.scm 320 */
									long BgL_idxz00_3431;

									BgL_idxz00_3431 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3424);
									BgL_arg1822z00_3427 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3431 + ((long) 2))) == BgL_classz00_3422);
								}
								{	/* Return/walk.scm 320 */
									bool_t BgL_res2205z00_3453;

									{	/* Return/walk.scm 320 */
										obj_t BgL_oclassz00_3439;

										{	/* Return/walk.scm 320 */
											long BgL_arg1833z00_3445;

											{	/* Return/walk.scm 320 */
												long BgL_arg1834z00_3446;

												BgL_arg1834z00_3446 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3424);
												BgL_arg1833z00_3445 =
													(BgL_arg1834z00_3446 - OBJECT_TYPE);
											}
											BgL_oclassz00_3439 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3445);
										}
										{	/* Return/walk.scm 320 */
											bool_t BgL__ortest_1110z00_3440;

											BgL__ortest_1110z00_3440 =
												(BgL_classz00_3422 == BgL_oclassz00_3439);
											if (BgL__ortest_1110z00_3440)
												{	/* Return/walk.scm 320 */
													BgL_res2205z00_3453 = BgL__ortest_1110z00_3440;
												}
											else
												{	/* Return/walk.scm 320 */
													long BgL_odepthz00_3441;

													BgL_odepthz00_3441 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3439);
													if ((((long) 2) < BgL_odepthz00_3441))
														{	/* Return/walk.scm 320 */
															obj_t BgL_arg1821z00_3443;

															BgL_arg1821z00_3443 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3439,
																((long) 2));
															BgL_res2205z00_3453 =
																(BgL_arg1821z00_3443 == BgL_classz00_3422);
														}
													else
														{	/* Return/walk.scm 320 */
															BgL_res2205z00_3453 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3428 = BgL_res2205z00_3453;
								}
								BgL_test2303z00_4111 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3427, BgL_arg1823z00_3428);
							}
						}
					}
					if (BgL_test2303z00_4111)
						{	/* Return/walk.scm 322 */
							obj_t BgL__ortest_1176z00_1583;

							{	/* Return/walk.scm 322 */
								BgL_nodez00_bglt BgL_arg1582z00_1586;
								BgL_varz00_bglt BgL_arg1583z00_1587;

								BgL_arg1582z00_1586 =
									(((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_19)))->
									BgL_bodyz00);
								BgL_arg1583z00_1587 =
									(((BgL_setzd2exzd2itz00_bglt)
										COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_19)))->
									BgL_varz00);
								BgL_bodyz00_1914 = BgL_arg1582z00_1586;
								BgL_varz00_1915 = BgL_arg1583z00_1587;
								{	/* Return/walk.scm 298 */
									bool_t BgL_test2306z00_4134;

									{	/* Return/walk.scm 298 */
										obj_t BgL_classz00_3249;

										BgL_classz00_3249 = BGl_letzd2varzd2zzast_nodez00;
										{	/* Return/walk.scm 298 */
											BgL_objectz00_bglt BgL_arg1825z00_3251;

											{	/* Return/walk.scm 298 */
												obj_t BgL_tmpz00_4135;

												BgL_tmpz00_4135 = ((obj_t) BgL_bodyz00_1914);
												BgL_arg1825z00_3251 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4135);
											}
											{	/* Return/walk.scm 298 */
												bool_t BgL_arg1822z00_3254;
												bool_t BgL_arg1823z00_3255;

												{	/* Return/walk.scm 298 */
													long BgL_idxz00_3258;

													BgL_idxz00_3258 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3251);
													BgL_arg1822z00_3254 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3258 + ((long) 3))) ==
														BgL_classz00_3249);
												}
												{	/* Return/walk.scm 298 */
													bool_t BgL_res2200z00_3280;

													{	/* Return/walk.scm 298 */
														obj_t BgL_oclassz00_3266;

														{	/* Return/walk.scm 298 */
															long BgL_arg1833z00_3272;

															{	/* Return/walk.scm 298 */
																long BgL_arg1834z00_3273;

																BgL_arg1834z00_3273 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3251);
																BgL_arg1833z00_3272 =
																	(BgL_arg1834z00_3273 - OBJECT_TYPE);
															}
															BgL_oclassz00_3266 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_3272);
														}
														{	/* Return/walk.scm 298 */
															bool_t BgL__ortest_1110z00_3267;

															BgL__ortest_1110z00_3267 =
																(BgL_classz00_3249 == BgL_oclassz00_3266);
															if (BgL__ortest_1110z00_3267)
																{	/* Return/walk.scm 298 */
																	BgL_res2200z00_3280 =
																		BgL__ortest_1110z00_3267;
																}
															else
																{	/* Return/walk.scm 298 */
																	long BgL_odepthz00_3268;

																	BgL_odepthz00_3268 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_3266);
																	if ((((long) 3) < BgL_odepthz00_3268))
																		{	/* Return/walk.scm 298 */
																			obj_t BgL_arg1821z00_3270;

																			BgL_arg1821z00_3270 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_3266, ((long) 3));
																			BgL_res2200z00_3280 =
																				(BgL_arg1821z00_3270 ==
																				BgL_classz00_3249);
																		}
																	else
																		{	/* Return/walk.scm 298 */
																			BgL_res2200z00_3280 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_3255 = BgL_res2200z00_3280;
												}
												BgL_test2306z00_4134 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_3254,
													BgL_arg1823z00_3255);
											}
										}
									}
									if (BgL_test2306z00_4134)
										{	/* Return/walk.scm 300 */
											bool_t BgL_test2309z00_4153;

											{	/* Return/walk.scm 300 */
												bool_t BgL_test2310z00_4154;

												{	/* Return/walk.scm 300 */
													BgL_nodez00_bglt BgL_arg1983z00_1930;

													BgL_arg1983z00_1930 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_bodyz00_1914)))->
														BgL_bodyz00);
													{	/* Return/walk.scm 300 */
														obj_t BgL_classz00_3281;

														BgL_classz00_3281 = BGl_sequencez00zzast_nodez00;
														{	/* Return/walk.scm 300 */
															BgL_objectz00_bglt BgL_arg1825z00_3283;

															{	/* Return/walk.scm 300 */
																obj_t BgL_tmpz00_4157;

																BgL_tmpz00_4157 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg1983z00_1930));
																BgL_arg1825z00_3283 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_4157);
															}
															{	/* Return/walk.scm 300 */
																bool_t BgL_arg1822z00_3286;
																bool_t BgL_arg1823z00_3287;

																{	/* Return/walk.scm 300 */
																	long BgL_idxz00_3290;

																	BgL_idxz00_3290 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_3283);
																	BgL_arg1822z00_3286 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3290 + ((long) 3))) ==
																		BgL_classz00_3281);
																}
																{	/* Return/walk.scm 300 */
																	bool_t BgL_res2201z00_3312;

																	{	/* Return/walk.scm 300 */
																		obj_t BgL_oclassz00_3298;

																		{	/* Return/walk.scm 300 */
																			long BgL_arg1833z00_3304;

																			{	/* Return/walk.scm 300 */
																				long BgL_arg1834z00_3305;

																				BgL_arg1834z00_3305 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_3283);
																				BgL_arg1833z00_3304 =
																					(BgL_arg1834z00_3305 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3298 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_3304);
																		}
																		{	/* Return/walk.scm 300 */
																			bool_t BgL__ortest_1110z00_3299;

																			BgL__ortest_1110z00_3299 =
																				(BgL_classz00_3281 ==
																				BgL_oclassz00_3298);
																			if (BgL__ortest_1110z00_3299)
																				{	/* Return/walk.scm 300 */
																					BgL_res2201z00_3312 =
																						BgL__ortest_1110z00_3299;
																				}
																			else
																				{	/* Return/walk.scm 300 */
																					long BgL_odepthz00_3300;

																					BgL_odepthz00_3300 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_3298);
																					if ((((long) 3) < BgL_odepthz00_3300))
																						{	/* Return/walk.scm 300 */
																							obj_t BgL_arg1821z00_3302;

																							BgL_arg1821z00_3302 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_3298,
																								((long) 3));
																							BgL_res2201z00_3312 =
																								(BgL_arg1821z00_3302 ==
																								BgL_classz00_3281);
																						}
																					else
																						{	/* Return/walk.scm 300 */
																							BgL_res2201z00_3312 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_3287 = BgL_res2201z00_3312;
																}
																BgL_test2310z00_4154 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_3286,
																	BgL_arg1823z00_3287);
															}
														}
													}
												}
												if (BgL_test2310z00_4154)
													{	/* Return/walk.scm 300 */
														BgL_test2309z00_4153 =
															NULLP(
															(((BgL_letzd2varzd2_bglt) COBJECT(
																		((BgL_letzd2varzd2_bglt)
																			BgL_bodyz00_1914)))->BgL_bindingsz00));
													}
												else
													{	/* Return/walk.scm 300 */
														BgL_test2309z00_4153 = ((bool_t) 0);
													}
											}
											if (BgL_test2309z00_4153)
												{	/* Return/walk.scm 301 */
													BgL_sequencez00_bglt BgL_i1168z00_1924;

													BgL_i1168z00_1924 =
														((BgL_sequencez00_bglt)
														(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_bodyz00_1914)))->
															BgL_bodyz00));
													{	/* Return/walk.scm 303 */
														obj_t BgL_arg1980z00_1926;
														BgL_variablez00_bglt BgL_arg1981z00_1927;

														BgL_arg1980z00_1926 =
															(((BgL_sequencez00_bglt)
																COBJECT(BgL_i1168z00_1924))->BgL_nodesz00);
														BgL_arg1981z00_1927 =
															(((BgL_varz00_bglt) COBJECT(BgL_varz00_1915))->
															BgL_variablez00);
														BgL_nodesz00_1877 = BgL_arg1980z00_1926;
														BgL_varz00_1878 =
															((BgL_localz00_bglt) BgL_arg1981z00_1927);
														{	/* Return/walk.scm 280 */
															bool_t BgL_test2313z00_4184;

															if (
																(bgl_list_length(BgL_nodesz00_1877) ==
																	((long) 2)))
																{	/* Return/walk.scm 280 */
																	BgL_nodez00_1822 =
																		((BgL_nodez00_bglt)
																		CAR(((obj_t) BgL_nodesz00_1877)));
																	BgL_exitvarz00_1823 = BgL_varz00_1878;
																	{	/* Return/walk.scm 247 */
																		bool_t BgL_test2315z00_4188;

																		{	/* Return/walk.scm 247 */
																			obj_t BgL_classz00_3051;

																			BgL_classz00_3051 =
																				BGl_appz00zzast_nodez00;
																			{	/* Return/walk.scm 247 */
																				BgL_objectz00_bglt BgL_arg1825z00_3053;

																				{	/* Return/walk.scm 247 */
																					obj_t BgL_tmpz00_4189;

																					BgL_tmpz00_4189 =
																						((obj_t) BgL_nodez00_1822);
																					BgL_arg1825z00_3053 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_4189);
																				}
																				{	/* Return/walk.scm 247 */
																					bool_t BgL_arg1822z00_3056;
																					bool_t BgL_arg1823z00_3057;

																					{	/* Return/walk.scm 247 */
																						long BgL_idxz00_3060;

																						BgL_idxz00_3060 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1825z00_3053);
																						BgL_arg1822z00_3056 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_3060 +
																									((long) 3))) ==
																							BgL_classz00_3051);
																					}
																					{	/* Return/walk.scm 247 */
																						bool_t BgL_res2195z00_3082;

																						{	/* Return/walk.scm 247 */
																							obj_t BgL_oclassz00_3068;

																							{	/* Return/walk.scm 247 */
																								long BgL_arg1833z00_3074;

																								{	/* Return/walk.scm 247 */
																									long BgL_arg1834z00_3075;

																									BgL_arg1834z00_3075 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1825z00_3053);
																									BgL_arg1833z00_3074 =
																										(BgL_arg1834z00_3075 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_3068 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1833z00_3074);
																							}
																							{	/* Return/walk.scm 247 */
																								bool_t BgL__ortest_1110z00_3069;

																								BgL__ortest_1110z00_3069 =
																									(BgL_classz00_3051 ==
																									BgL_oclassz00_3068);
																								if (BgL__ortest_1110z00_3069)
																									{	/* Return/walk.scm 247 */
																										BgL_res2195z00_3082 =
																											BgL__ortest_1110z00_3069;
																									}
																								else
																									{	/* Return/walk.scm 247 */
																										long BgL_odepthz00_3070;

																										BgL_odepthz00_3070 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_3068);
																										if ((((long) 3) <
																												BgL_odepthz00_3070))
																											{	/* Return/walk.scm 247 */
																												obj_t
																													BgL_arg1821z00_3072;
																												BgL_arg1821z00_3072 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_3068,
																													((long) 3));
																												BgL_res2195z00_3082 =
																													(BgL_arg1821z00_3072
																													== BgL_classz00_3051);
																											}
																										else
																											{	/* Return/walk.scm 247 */
																												BgL_res2195z00_3082 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_arg1823z00_3057 =
																							BgL_res2195z00_3082;
																					}
																					BgL_test2315z00_4188 =
																						BGL_ISA_C_BACKEND
																						(BgL_arg1822z00_3056,
																						BgL_arg1823z00_3057);
																				}
																			}
																		}
																		if (BgL_test2315z00_4188)
																			{	/* Return/walk.scm 249 */
																				BgL_varz00_bglt BgL_i1159z00_1827;

																				BgL_i1159z00_1827 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_nodez00_1822)))->
																					BgL_funz00);
																				{	/* Return/walk.scm 251 */
																					bool_t BgL_test2318z00_4209;

																					{	/* Return/walk.scm 251 */
																						BgL_variablez00_bglt
																							BgL_arg1919z00_1843;
																						BgL_arg1919z00_1843 =
																							(((BgL_varz00_bglt)
																								COBJECT(BgL_i1159z00_1827))->
																							BgL_variablez00);
																						BgL_test2318z00_4209 =
																							(((obj_t) BgL_arg1919z00_1843) ==
																							BGl_za2pushzd2exitz12za2zc0zzreturn_walkz00);
																					}
																					if (BgL_test2318z00_4209)
																						{	/* Return/walk.scm 251 */
																							if (
																								(bgl_list_length(
																										(((BgL_appz00_bglt) COBJECT(
																													((BgL_appz00_bglt)
																														BgL_nodez00_1822)))->
																											BgL_argsz00)) ==
																									((long) 2)))
																								{	/* Return/walk.scm 255 */
																									bool_t BgL_test2320z00_4218;

																									{	/* Return/walk.scm 255 */
																										obj_t BgL_arg1914z00_1839;

																										{	/* Return/walk.scm 255 */
																											obj_t BgL_pairz00_3084;

																											BgL_pairz00_3084 =
																												(((BgL_appz00_bglt)
																													COBJECT((
																															(BgL_appz00_bglt)
																															BgL_nodez00_1822)))->
																												BgL_argsz00);
																											BgL_arg1914z00_1839 =
																												CAR(BgL_pairz00_3084);
																										}
																										{	/* Return/walk.scm 255 */
																											obj_t BgL_classz00_3085;

																											BgL_classz00_3085 =
																												BGl_varz00zzast_nodez00;
																											if (BGL_OBJECTP
																												(BgL_arg1914z00_1839))
																												{	/* Return/walk.scm 255 */
																													BgL_objectz00_bglt
																														BgL_arg1825z00_3087;
																													BgL_arg1825z00_3087 =
																														(BgL_objectz00_bglt)
																														(BgL_arg1914z00_1839);
																													{	/* Return/walk.scm 255 */
																														bool_t
																															BgL_arg1822z00_3090;
																														bool_t
																															BgL_arg1823z00_3091;
																														{	/* Return/walk.scm 255 */
																															long
																																BgL_idxz00_3094;
																															BgL_idxz00_3094 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1825z00_3087);
																															BgL_arg1822z00_3090
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_3094
																																		+
																																		((long) 2)))
																																==
																																BgL_classz00_3085);
																														}
																														{	/* Return/walk.scm 255 */
																															bool_t
																																BgL_res2196z00_3116;
																															{	/* Return/walk.scm 255 */
																																obj_t
																																	BgL_oclassz00_3102;
																																{	/* Return/walk.scm 255 */
																																	long
																																		BgL_arg1833z00_3108;
																																	{	/* Return/walk.scm 255 */
																																		long
																																			BgL_arg1834z00_3109;
																																		BgL_arg1834z00_3109
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1825z00_3087);
																																		BgL_arg1833z00_3108
																																			=
																																			(BgL_arg1834z00_3109
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_3102
																																		=
																																		VECTOR_REF
																																		(BGl_za2classesza2z00zz__objectz00,
																																		BgL_arg1833z00_3108);
																																}
																																{	/* Return/walk.scm 255 */
																																	bool_t
																																		BgL__ortest_1110z00_3103;
																																	BgL__ortest_1110z00_3103
																																		=
																																		(BgL_classz00_3085
																																		==
																																		BgL_oclassz00_3102);
																																	if (BgL__ortest_1110z00_3103)
																																		{	/* Return/walk.scm 255 */
																																			BgL_res2196z00_3116
																																				=
																																				BgL__ortest_1110z00_3103;
																																		}
																																	else
																																		{	/* Return/walk.scm 255 */
																																			long
																																				BgL_odepthz00_3104;
																																			BgL_odepthz00_3104
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_oclassz00_3102);
																																			if ((((long) 2) < BgL_odepthz00_3104))
																																				{	/* Return/walk.scm 255 */
																																					obj_t
																																						BgL_arg1821z00_3106;
																																					BgL_arg1821z00_3106
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_oclassz00_3102,
																																						((long) 2));
																																					BgL_res2196z00_3116
																																						=
																																						(BgL_arg1821z00_3106
																																						==
																																						BgL_classz00_3085);
																																				}
																																			else
																																				{	/* Return/walk.scm 255 */
																																					BgL_res2196z00_3116
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_arg1823z00_3091
																																=
																																BgL_res2196z00_3116;
																														}
																														BgL_test2320z00_4218
																															=
																															BGL_ISA_C_BACKEND
																															(BgL_arg1822z00_3090,
																															BgL_arg1823z00_3091);
																													}
																												}
																											else
																												{	/* Return/walk.scm 255 */
																													BgL_test2320z00_4218 =
																														((bool_t) 0);
																												}
																										}
																									}
																									if (BgL_test2320z00_4218)
																										{	/* Return/walk.scm 258 */
																											obj_t BgL_tmpz00_4240;

																											{
																												BgL_variablez00_bglt
																													BgL_auxz00_4241;
																												{
																													BgL_varz00_bglt
																														BgL_auxz00_4242;
																													{	/* Return/walk.scm 256 */
																														obj_t
																															BgL_pairz00_3117;
																														BgL_pairz00_3117 =
																															(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nodez00_1822)))->BgL_argsz00);
																														BgL_auxz00_4242 =
																															((BgL_varz00_bglt)
																															CAR
																															(BgL_pairz00_3117));
																													}
																													BgL_auxz00_4241 =
																														(((BgL_varz00_bglt)
																															COBJECT
																															(BgL_auxz00_4242))->
																														BgL_variablez00);
																												}
																												BgL_tmpz00_4240 =
																													((obj_t)
																													BgL_auxz00_4241);
																											}
																											BgL_test2313z00_4184 =
																												(BgL_tmpz00_4240 ==
																												((obj_t)
																													BgL_exitvarz00_1823));
																										}
																									else
																										{	/* Return/walk.scm 255 */
																											BgL_test2313z00_4184 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Return/walk.scm 253 */
																									BgL_test2313z00_4184 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Return/walk.scm 251 */
																							BgL_test2313z00_4184 =
																								((bool_t) 0);
																						}
																				}
																			}
																		else
																			{	/* Return/walk.scm 247 */
																				BgL_test2313z00_4184 = ((bool_t) 0);
																			}
																	}
																}
															else
																{	/* Return/walk.scm 280 */
																	BgL_test2313z00_4184 = ((bool_t) 0);
																}
															if (BgL_test2313z00_4184)
																{	/* Return/walk.scm 281 */
																	obj_t BgL_bindingz00_1885;

																	{	/* Return/walk.scm 281 */
																		obj_t BgL_pairz00_3230;

																		BgL_pairz00_3230 =
																			CDR(((obj_t) BgL_nodesz00_1877));
																		BgL_nodez00_1750 =
																			((BgL_nodez00_bglt)
																			CAR(BgL_pairz00_3230));
																	}
																	{	/* Return/walk.scm 216 */
																		bool_t BgL_test2324z00_4254;

																		{	/* Return/walk.scm 216 */
																			obj_t BgL_classz00_2880;

																			BgL_classz00_2880 =
																				BGl_letzd2varzd2zzast_nodez00;
																			{	/* Return/walk.scm 216 */
																				BgL_objectz00_bglt BgL_arg1825z00_2882;

																				{	/* Return/walk.scm 216 */
																					obj_t BgL_tmpz00_4255;

																					BgL_tmpz00_4255 =
																						((obj_t) BgL_nodez00_1750);
																					BgL_arg1825z00_2882 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_4255);
																				}
																				{	/* Return/walk.scm 216 */
																					bool_t BgL_arg1822z00_2885;
																					bool_t BgL_arg1823z00_2886;

																					{	/* Return/walk.scm 216 */
																						long BgL_idxz00_2889;

																						BgL_idxz00_2889 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1825z00_2882);
																						BgL_arg1822z00_2885 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_2889 +
																									((long) 3))) ==
																							BgL_classz00_2880);
																					}
																					{	/* Return/walk.scm 216 */
																						bool_t BgL_res2190z00_2911;

																						{	/* Return/walk.scm 216 */
																							obj_t BgL_oclassz00_2897;

																							{	/* Return/walk.scm 216 */
																								long BgL_arg1833z00_2903;

																								{	/* Return/walk.scm 216 */
																									long BgL_arg1834z00_2904;

																									BgL_arg1834z00_2904 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1825z00_2882);
																									BgL_arg1833z00_2903 =
																										(BgL_arg1834z00_2904 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_2897 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1833z00_2903);
																							}
																							{	/* Return/walk.scm 216 */
																								bool_t BgL__ortest_1110z00_2898;

																								BgL__ortest_1110z00_2898 =
																									(BgL_classz00_2880 ==
																									BgL_oclassz00_2897);
																								if (BgL__ortest_1110z00_2898)
																									{	/* Return/walk.scm 216 */
																										BgL_res2190z00_2911 =
																											BgL__ortest_1110z00_2898;
																									}
																								else
																									{	/* Return/walk.scm 216 */
																										long BgL_odepthz00_2899;

																										BgL_odepthz00_2899 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_2897);
																										if ((((long) 3) <
																												BgL_odepthz00_2899))
																											{	/* Return/walk.scm 216 */
																												obj_t
																													BgL_arg1821z00_2901;
																												BgL_arg1821z00_2901 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_2897,
																													((long) 3));
																												BgL_res2190z00_2911 =
																													(BgL_arg1821z00_2901
																													== BgL_classz00_2880);
																											}
																										else
																											{	/* Return/walk.scm 216 */
																												BgL_res2190z00_2911 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_arg1823z00_2886 =
																							BgL_res2190z00_2911;
																					}
																					BgL_test2324z00_4254 =
																						BGL_ISA_C_BACKEND
																						(BgL_arg1822z00_2885,
																						BgL_arg1823z00_2886);
																				}
																			}
																		}
																		if (BgL_test2324z00_4254)
																			{	/* Return/walk.scm 218 */
																				bool_t BgL_test2327z00_4273;

																				{	/* Return/walk.scm 218 */
																					bool_t BgL_test2328z00_4274;

																					{	/* Return/walk.scm 218 */
																						obj_t BgL_tmpz00_4275;

																						BgL_tmpz00_4275 =
																							(((BgL_letzd2varzd2_bglt) COBJECT(
																									((BgL_letzd2varzd2_bglt)
																										BgL_nodez00_1750)))->
																							BgL_bindingsz00);
																						BgL_test2328z00_4274 =
																							PAIRP(BgL_tmpz00_4275);
																					}
																					if (BgL_test2328z00_4274)
																						{	/* Return/walk.scm 218 */
																							obj_t BgL_tmpz00_4279;

																							{	/* Return/walk.scm 218 */
																								obj_t BgL_pairz00_2912;

																								BgL_pairz00_2912 =
																									(((BgL_letzd2varzd2_bglt)
																										COBJECT((
																												(BgL_letzd2varzd2_bglt)
																												BgL_nodez00_1750)))->
																									BgL_bindingsz00);
																								BgL_tmpz00_4279 =
																									CDR(BgL_pairz00_2912);
																							}
																							BgL_test2327z00_4273 =
																								NULLP(BgL_tmpz00_4279);
																						}
																					else
																						{	/* Return/walk.scm 218 */
																							BgL_test2327z00_4273 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test2327z00_4273)
																					{	/* Return/walk.scm 219 */
																						obj_t BgL_bindingz00_1760;

																						{	/* Return/walk.scm 219 */
																							obj_t BgL_pairz00_2913;

																							BgL_pairz00_2913 =
																								(((BgL_letzd2varzd2_bglt)
																									COBJECT((
																											(BgL_letzd2varzd2_bglt)
																											BgL_nodez00_1750)))->
																								BgL_bindingsz00);
																							BgL_bindingz00_1760 =
																								CAR(BgL_pairz00_2913);
																						}
																						{	/* Return/walk.scm 220 */
																							obj_t BgL_exprz00_1762;

																							BgL_exprz00_1762 =
																								CDR(
																								((obj_t) BgL_bindingz00_1760));
																							{	/* Return/walk.scm 221 */

																								{	/* Return/walk.scm 222 */
																									bool_t BgL_test2329z00_4289;

																									{	/* Return/walk.scm 222 */
																										obj_t BgL_classz00_2916;

																										BgL_classz00_2916 =
																											BGl_appz00zzast_nodez00;
																										if (BGL_OBJECTP
																											(BgL_exprz00_1762))
																											{	/* Return/walk.scm 222 */
																												BgL_objectz00_bglt
																													BgL_arg1825z00_2918;
																												BgL_arg1825z00_2918 =
																													(BgL_objectz00_bglt)
																													(BgL_exprz00_1762);
																												{	/* Return/walk.scm 222 */
																													bool_t
																														BgL_arg1822z00_2921;
																													bool_t
																														BgL_arg1823z00_2922;
																													{	/* Return/walk.scm 222 */
																														long
																															BgL_idxz00_2925;
																														BgL_idxz00_2925 =
																															BGL_OBJECT_INHERITANCE_NUM
																															(BgL_arg1825z00_2918);
																														BgL_arg1822z00_2921
																															=
																															(VECTOR_REF
																															(BGl_za2inheritancesza2z00zz__objectz00,
																																(BgL_idxz00_2925
																																	+
																																	((long) 3)))
																															==
																															BgL_classz00_2916);
																													}
																													{	/* Return/walk.scm 222 */
																														bool_t
																															BgL_res2191z00_2947;
																														{	/* Return/walk.scm 222 */
																															obj_t
																																BgL_oclassz00_2933;
																															{	/* Return/walk.scm 222 */
																																long
																																	BgL_arg1833z00_2939;
																																{	/* Return/walk.scm 222 */
																																	long
																																		BgL_arg1834z00_2940;
																																	BgL_arg1834z00_2940
																																		=
																																		BGL_OBJECT_CLASS_NUM
																																		(BgL_arg1825z00_2918);
																																	BgL_arg1833z00_2939
																																		=
																																		(BgL_arg1834z00_2940
																																		-
																																		OBJECT_TYPE);
																																}
																																BgL_oclassz00_2933
																																	=
																																	VECTOR_REF
																																	(BGl_za2classesza2z00zz__objectz00,
																																	BgL_arg1833z00_2939);
																															}
																															{	/* Return/walk.scm 222 */
																																bool_t
																																	BgL__ortest_1110z00_2934;
																																BgL__ortest_1110z00_2934
																																	=
																																	(BgL_classz00_2916
																																	==
																																	BgL_oclassz00_2933);
																																if (BgL__ortest_1110z00_2934)
																																	{	/* Return/walk.scm 222 */
																																		BgL_res2191z00_2947
																																			=
																																			BgL__ortest_1110z00_2934;
																																	}
																																else
																																	{	/* Return/walk.scm 222 */
																																		long
																																			BgL_odepthz00_2935;
																																		BgL_odepthz00_2935
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_oclassz00_2933);
																																		if ((((long)
																																					3) <
																																				BgL_odepthz00_2935))
																																			{	/* Return/walk.scm 222 */
																																				obj_t
																																					BgL_arg1821z00_2937;
																																				BgL_arg1821z00_2937
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_oclassz00_2933,
																																					((long) 3));
																																				BgL_res2191z00_2947
																																					=
																																					(BgL_arg1821z00_2937
																																					==
																																					BgL_classz00_2916);
																																			}
																																		else
																																			{	/* Return/walk.scm 222 */
																																				BgL_res2191z00_2947
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																															}
																														}
																														BgL_arg1823z00_2922
																															=
																															BgL_res2191z00_2947;
																													}
																													BgL_test2329z00_4289 =
																														BGL_ISA_C_BACKEND
																														(BgL_arg1822z00_2921,
																														BgL_arg1823z00_2922);
																												}
																											}
																										else
																											{	/* Return/walk.scm 222 */
																												BgL_test2329z00_4289 =
																													((bool_t) 0);
																											}
																									}
																									if (BgL_test2329z00_4289)
																										{	/* Return/walk.scm 222 */
																											if (NULLP(
																													(((BgL_appz00_bglt)
																															COBJECT((
																																	(BgL_appz00_bglt)
																																	BgL_exprz00_1762)))->
																														BgL_argsz00)))
																												{	/* Return/walk.scm 226 */
																													bool_t
																														BgL_test2334z00_4312;
																													{	/* Return/walk.scm 226 */
																														BgL_variablez00_bglt
																															BgL_arg1842z00_1770;
																														BgL_arg1842z00_1770
																															=
																															(((BgL_varz00_bglt) COBJECT((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_exprz00_1762)))->BgL_funz00)))->BgL_variablez00);
																														BgL_test2334z00_4312
																															=
																															(((obj_t)
																																BgL_arg1842z00_1770)
																															==
																															BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00);
																													}
																													if (BgL_test2334z00_4312)
																														{	/* Return/walk.scm 226 */
																															BgL_bindingz00_1885
																																=
																																BgL_bindingz00_1760;
																														}
																													else
																														{	/* Return/walk.scm 226 */
																															BgL_bindingz00_1885
																																= BFALSE;
																														}
																												}
																											else
																												{	/* Return/walk.scm 224 */
																													BgL_bindingz00_1885 =
																														BFALSE;
																												}
																										}
																									else
																										{	/* Return/walk.scm 222 */
																											BgL_bindingz00_1885 =
																												BFALSE;
																										}
																								}
																							}
																						}
																					}
																				else
																					{	/* Return/walk.scm 218 */
																						BgL_bindingz00_1885 = BFALSE;
																					}
																			}
																		else
																			{	/* Return/walk.scm 216 */
																				BgL_bindingz00_1885 = BFALSE;
																			}
																	}
																	if (CBOOL(BgL_bindingz00_1885))
																		{	/* Return/walk.scm 283 */
																			BgL_letzd2varzd2_bglt BgL_i1165z00_1886;

																			{	/* Return/walk.scm 283 */
																				obj_t BgL_pairz00_3234;

																				BgL_pairz00_3234 =
																					CDR(((obj_t) BgL_nodesz00_1877));
																				BgL_i1165z00_1886 =
																					((BgL_letzd2varzd2_bglt)
																					CAR(BgL_pairz00_3234));
																			}
																			{	/* Return/walk.scm 284 */
																				obj_t BgL_exitnodez00_1887;

																				{	/* Return/walk.scm 284 */
																					BgL_nodez00_bglt BgL_arg1955z00_1889;
																					obj_t BgL_arg1956z00_1890;

																					BgL_arg1955z00_1889 =
																						(((BgL_letzd2varzd2_bglt)
																							COBJECT(BgL_i1165z00_1886))->
																						BgL_bodyz00);
																					BgL_arg1956z00_1890 =
																						CAR(((obj_t) BgL_bindingz00_1885));
																					BgL_nodez00_1693 =
																						BgL_arg1955z00_1889;
																					BgL_varz00_1694 =
																						((BgL_localz00_bglt)
																						BgL_arg1956z00_1890);
																					{	/* Return/walk.scm 196 */
																						bool_t BgL_test2336z00_4331;

																						{	/* Return/walk.scm 196 */
																							obj_t BgL_classz00_2802;

																							BgL_classz00_2802 =
																								BGl_letzd2varzd2zzast_nodez00;
																							{	/* Return/walk.scm 196 */
																								BgL_objectz00_bglt
																									BgL_arg1825z00_2804;
																								{	/* Return/walk.scm 196 */
																									obj_t BgL_tmpz00_4332;

																									BgL_tmpz00_4332 =
																										((obj_t) BgL_nodez00_1693);
																									BgL_arg1825z00_2804 =
																										(BgL_objectz00_bglt)
																										(BgL_tmpz00_4332);
																								}
																								{	/* Return/walk.scm 196 */
																									bool_t BgL_arg1822z00_2807;
																									bool_t BgL_arg1823z00_2808;

																									{	/* Return/walk.scm 196 */
																										long BgL_idxz00_2811;

																										BgL_idxz00_2811 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1825z00_2804);
																										BgL_arg1822z00_2807 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_2811 +
																													((long) 3))) ==
																											BgL_classz00_2802);
																									}
																									{	/* Return/walk.scm 196 */
																										bool_t BgL_res2188z00_2833;

																										{	/* Return/walk.scm 196 */
																											obj_t BgL_oclassz00_2819;

																											{	/* Return/walk.scm 196 */
																												long
																													BgL_arg1833z00_2825;
																												{	/* Return/walk.scm 196 */
																													long
																														BgL_arg1834z00_2826;
																													BgL_arg1834z00_2826 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1825z00_2804);
																													BgL_arg1833z00_2825 =
																														(BgL_arg1834z00_2826
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_2819 =
																													VECTOR_REF
																													(BGl_za2classesza2z00zz__objectz00,
																													BgL_arg1833z00_2825);
																											}
																											{	/* Return/walk.scm 196 */
																												bool_t
																													BgL__ortest_1110z00_2820;
																												BgL__ortest_1110z00_2820
																													=
																													(BgL_classz00_2802 ==
																													BgL_oclassz00_2819);
																												if (BgL__ortest_1110z00_2820)
																													{	/* Return/walk.scm 196 */
																														BgL_res2188z00_2833
																															=
																															BgL__ortest_1110z00_2820;
																													}
																												else
																													{	/* Return/walk.scm 196 */
																														long
																															BgL_odepthz00_2821;
																														BgL_odepthz00_2821 =
																															BGL_CLASS_DEPTH
																															(BgL_oclassz00_2819);
																														if ((((long) 3) <
																																BgL_odepthz00_2821))
																															{	/* Return/walk.scm 196 */
																																obj_t
																																	BgL_arg1821z00_2823;
																																BgL_arg1821z00_2823
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_oclassz00_2819,
																																	((long) 3));
																																BgL_res2188z00_2833
																																	=
																																	(BgL_arg1821z00_2823
																																	==
																																	BgL_classz00_2802);
																															}
																														else
																															{	/* Return/walk.scm 196 */
																																BgL_res2188z00_2833
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_arg1823z00_2808 =
																											BgL_res2188z00_2833;
																									}
																									BgL_test2336z00_4331 =
																										BGL_ISA_C_BACKEND
																										(BgL_arg1822z00_2807,
																										BgL_arg1823z00_2808);
																								}
																							}
																						}
																						if (BgL_test2336z00_4331)
																							{	/* Return/walk.scm 198 */
																								bool_t BgL_test2339z00_4350;

																								{	/* Return/walk.scm 198 */
																									bool_t BgL_test2340z00_4351;

																									{	/* Return/walk.scm 198 */
																										obj_t BgL_tmpz00_4352;

																										BgL_tmpz00_4352 =
																											(((BgL_letzd2varzd2_bglt)
																												COBJECT((
																														(BgL_letzd2varzd2_bglt)
																														BgL_nodez00_1693)))->
																											BgL_bindingsz00);
																										BgL_test2340z00_4351 =
																											PAIRP(BgL_tmpz00_4352);
																									}
																									if (BgL_test2340z00_4351)
																										{	/* Return/walk.scm 198 */
																											obj_t BgL_tmpz00_4356;

																											{	/* Return/walk.scm 198 */
																												obj_t BgL_pairz00_2834;

																												BgL_pairz00_2834 =
																													(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1693)))->BgL_bindingsz00);
																												BgL_tmpz00_4356 =
																													CDR(BgL_pairz00_2834);
																											}
																											BgL_test2339z00_4350 =
																												NULLP(BgL_tmpz00_4356);
																										}
																									else
																										{	/* Return/walk.scm 198 */
																											BgL_test2339z00_4350 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_test2339z00_4350)
																									{	/* Return/walk.scm 199 */
																										obj_t BgL_bindingz00_1704;

																										{	/* Return/walk.scm 199 */
																											obj_t BgL_pairz00_2835;

																											BgL_pairz00_2835 =
																												(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1693)))->BgL_bindingsz00);
																											BgL_bindingz00_1704 =
																												CAR(BgL_pairz00_2835);
																										}
																										{	/* Return/walk.scm 199 */
																											obj_t BgL_nbodyz00_1705;

																											{	/* Return/walk.scm 200 */
																												BgL_nodez00_bglt
																													BgL_arg1752z00_1714;
																												obj_t
																													BgL_arg1753z00_1715;
																												BgL_arg1752z00_1714 =
																													(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1693)))->BgL_bodyz00);
																												BgL_arg1753z00_1715 =
																													CAR(((obj_t)
																														BgL_bindingz00_1704));
																												BgL_nbodyz00_1705 =
																													BGl_step6ze70ze7zzreturn_walkz00
																													(BgL_arg1752z00_1714,
																													((BgL_localz00_bglt)
																														BgL_arg1753z00_1715));
																											}
																											{	/* Return/walk.scm 200 */

																												if (CBOOL
																													(BgL_nbodyz00_1705))
																													{	/* Return/walk.scm 202 */
																														BgL_letzd2varzd2_bglt
																															BgL_new1134z00_1707;
																														{	/* Return/walk.scm 202 */
																															BgL_letzd2varzd2_bglt
																																BgL_new1141z00_1712;
																															BgL_new1141z00_1712
																																=
																																(
																																(BgL_letzd2varzd2_bglt)
																																BOBJECT
																																(GC_MALLOC
																																	(sizeof(struct
																																			BgL_letzd2varzd2_bgl))));
																															{	/* Return/walk.scm 202 */
																																long
																																	BgL_arg1751z00_1713;
																																BgL_arg1751z00_1713
																																	=
																																	BGL_CLASS_NUM
																																	(BGl_letzd2varzd2zzast_nodez00);
																																BGL_OBJECT_CLASS_NUM_SET
																																	(((BgL_objectz00_bglt) BgL_new1141z00_1712), BgL_arg1751z00_1713);
																															}
																															{	/* Return/walk.scm 202 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_4376;
																																BgL_tmpz00_4376
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1141z00_1712);
																																BGL_OBJECT_WIDENING_SET
																																	(BgL_tmpz00_4376,
																																	BFALSE);
																															}
																															((BgL_objectz00_bglt) BgL_new1141z00_1712);
																															BgL_new1134z00_1707
																																=
																																BgL_new1141z00_1712;
																														}
																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1134z00_1707)))->BgL_locz00) = ((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_1693))->BgL_locz00)), BUNSPEC);
																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1134z00_1707)))->BgL_typez00) = ((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_1693))->BgL_typez00)), BUNSPEC);
																														((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1134z00_1707)))->BgL_sidezd2effectzd2) = ((obj_t) (((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1693)))->BgL_sidezd2effectzd2)), BUNSPEC);
																														((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1134z00_1707)))->BgL_keyz00) = ((obj_t) (((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1693)))->BgL_keyz00)), BUNSPEC);
																														((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1134z00_1707))->BgL_bindingsz00) = ((obj_t) (((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1693)))->BgL_bindingsz00)), BUNSPEC);
																														((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1134z00_1707))->BgL_bodyz00) = ((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1705)), BUNSPEC);
																														((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1134z00_1707))->BgL_removablezf3zf3) = ((bool_t) (((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1693)))->BgL_removablezf3zf3)), BUNSPEC);
																														BgL_exitnodez00_1887
																															=
																															((obj_t)
																															BgL_new1134z00_1707);
																													}
																												else
																													{	/* Return/walk.scm 201 */
																														BgL_exitnodez00_1887
																															= BFALSE;
																													}
																											}
																										}
																									}
																								else
																									{	/* Return/walk.scm 198 */
																										BgL_exitnodez00_1887 =
																											BFALSE;
																									}
																							}
																						else
																							{	/* Return/walk.scm 196 */
																								BgL_exitnodez00_1887 = BFALSE;
																							}
																					}
																				}
																				if (CBOOL(BgL_exitnodez00_1887))
																					{	/* Return/walk.scm 286 */
																						obj_t BgL_arg1954z00_1888;

																						BgL_arg1954z00_1888 =
																							CAR(
																							((obj_t) BgL_bindingz00_1885));
																						BgL__ortest_1176z00_1583 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1954z00_1888,
																							BgL_exitnodez00_1887);
																					}
																				else
																					{	/* Return/walk.scm 285 */
																						BgL__ortest_1176z00_1583 = BFALSE;
																					}
																			}
																		}
																	else
																		{	/* Return/walk.scm 282 */
																			BgL__ortest_1176z00_1583 = BFALSE;
																		}
																}
															else
																{	/* Return/walk.scm 280 */
																	BgL__ortest_1176z00_1583 = BFALSE;
																}
														}
													}
												}
											else
												{	/* Return/walk.scm 300 */
													BgL__ortest_1176z00_1583 = BFALSE;
												}
										}
									else
										{	/* Return/walk.scm 298 */
											BgL__ortest_1176z00_1583 = BFALSE;
										}
								}
							}
							if (CBOOL(BgL__ortest_1176z00_1583))
								{	/* Return/walk.scm 322 */
									return BgL__ortest_1176z00_1583;
								}
							else
								{	/* Return/walk.scm 323 */
									BgL_nodez00_bglt BgL_arg1578z00_1584;
									BgL_varz00_bglt BgL_arg1581z00_1585;

									BgL_arg1578z00_1584 =
										(((BgL_setzd2exzd2itz00_bglt) COBJECT(
												((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_19)))->
										BgL_bodyz00);
									BgL_arg1581z00_1585 =
										(((BgL_setzd2exzd2itz00_bglt)
											COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_19)))->
										BgL_varz00);
									BgL_bodyz00_1931 = BgL_arg1578z00_1584;
									BgL_varz00_1932 = BgL_arg1581z00_1585;
									{	/* Return/walk.scm 307 */
										bool_t BgL_test2344z00_4416;

										{	/* Return/walk.scm 307 */
											obj_t BgL_classz00_3313;

											BgL_classz00_3313 = BGl_letzd2varzd2zzast_nodez00;
											{	/* Return/walk.scm 307 */
												BgL_objectz00_bglt BgL_arg1825z00_3315;

												{	/* Return/walk.scm 307 */
													obj_t BgL_tmpz00_4417;

													BgL_tmpz00_4417 = ((obj_t) BgL_bodyz00_1931);
													BgL_arg1825z00_3315 =
														(BgL_objectz00_bglt) (BgL_tmpz00_4417);
												}
												{	/* Return/walk.scm 307 */
													bool_t BgL_arg1822z00_3318;
													bool_t BgL_arg1823z00_3319;

													{	/* Return/walk.scm 307 */
														long BgL_idxz00_3322;

														BgL_idxz00_3322 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3315);
														BgL_arg1822z00_3318 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3322 + ((long) 3))) ==
															BgL_classz00_3313);
													}
													{	/* Return/walk.scm 307 */
														bool_t BgL_res2202z00_3344;

														{	/* Return/walk.scm 307 */
															obj_t BgL_oclassz00_3330;

															{	/* Return/walk.scm 307 */
																long BgL_arg1833z00_3336;

																{	/* Return/walk.scm 307 */
																	long BgL_arg1834z00_3337;

																	BgL_arg1834z00_3337 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3315);
																	BgL_arg1833z00_3336 =
																		(BgL_arg1834z00_3337 - OBJECT_TYPE);
																}
																BgL_oclassz00_3330 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3336);
															}
															{	/* Return/walk.scm 307 */
																bool_t BgL__ortest_1110z00_3331;

																BgL__ortest_1110z00_3331 =
																	(BgL_classz00_3313 == BgL_oclassz00_3330);
																if (BgL__ortest_1110z00_3331)
																	{	/* Return/walk.scm 307 */
																		BgL_res2202z00_3344 =
																			BgL__ortest_1110z00_3331;
																	}
																else
																	{	/* Return/walk.scm 307 */
																		long BgL_odepthz00_3332;

																		BgL_odepthz00_3332 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3330);
																		if ((((long) 3) < BgL_odepthz00_3332))
																			{	/* Return/walk.scm 307 */
																				obj_t BgL_arg1821z00_3334;

																				BgL_arg1821z00_3334 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3330, ((long) 3));
																				BgL_res2202z00_3344 =
																					(BgL_arg1821z00_3334 ==
																					BgL_classz00_3313);
																			}
																		else
																			{	/* Return/walk.scm 307 */
																				BgL_res2202z00_3344 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3319 = BgL_res2202z00_3344;
													}
													BgL_test2344z00_4416 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3318,
														BgL_arg1823z00_3319);
												}
											}
										}
										if (BgL_test2344z00_4416)
											{	/* Return/walk.scm 309 */
												bool_t BgL_test2347z00_4435;

												{	/* Return/walk.scm 309 */
													bool_t BgL_test2348z00_4436;

													{	/* Return/walk.scm 309 */
														BgL_nodez00_bglt BgL_arg2012z00_1967;

														BgL_arg2012z00_1967 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_bodyz00_1931)))->
															BgL_bodyz00);
														{	/* Return/walk.scm 309 */
															obj_t BgL_classz00_3345;

															BgL_classz00_3345 = BGl_sequencez00zzast_nodez00;
															{	/* Return/walk.scm 309 */
																BgL_objectz00_bglt BgL_arg1825z00_3347;

																{	/* Return/walk.scm 309 */
																	obj_t BgL_tmpz00_4439;

																	BgL_tmpz00_4439 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg2012z00_1967));
																	BgL_arg1825z00_3347 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_4439);
																}
																{	/* Return/walk.scm 309 */
																	bool_t BgL_arg1822z00_3350;
																	bool_t BgL_arg1823z00_3351;

																	{	/* Return/walk.scm 309 */
																		long BgL_idxz00_3354;

																		BgL_idxz00_3354 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_3347);
																		BgL_arg1822z00_3350 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3354 + ((long) 3))) ==
																			BgL_classz00_3345);
																	}
																	{	/* Return/walk.scm 309 */
																		bool_t BgL_res2203z00_3376;

																		{	/* Return/walk.scm 309 */
																			obj_t BgL_oclassz00_3362;

																			{	/* Return/walk.scm 309 */
																				long BgL_arg1833z00_3368;

																				{	/* Return/walk.scm 309 */
																					long BgL_arg1834z00_3369;

																					BgL_arg1834z00_3369 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_3347);
																					BgL_arg1833z00_3368 =
																						(BgL_arg1834z00_3369 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3362 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_3368);
																			}
																			{	/* Return/walk.scm 309 */
																				bool_t BgL__ortest_1110z00_3363;

																				BgL__ortest_1110z00_3363 =
																					(BgL_classz00_3345 ==
																					BgL_oclassz00_3362);
																				if (BgL__ortest_1110z00_3363)
																					{	/* Return/walk.scm 309 */
																						BgL_res2203z00_3376 =
																							BgL__ortest_1110z00_3363;
																					}
																				else
																					{	/* Return/walk.scm 309 */
																						long BgL_odepthz00_3364;

																						BgL_odepthz00_3364 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_3362);
																						if ((((long) 3) <
																								BgL_odepthz00_3364))
																							{	/* Return/walk.scm 309 */
																								obj_t BgL_arg1821z00_3366;

																								BgL_arg1821z00_3366 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_3362,
																									((long) 3));
																								BgL_res2203z00_3376 =
																									(BgL_arg1821z00_3366 ==
																									BgL_classz00_3345);
																							}
																						else
																							{	/* Return/walk.scm 309 */
																								BgL_res2203z00_3376 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_3351 = BgL_res2203z00_3376;
																	}
																	BgL_test2348z00_4436 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_3350,
																		BgL_arg1823z00_3351);
																}
															}
														}
													}
													if (BgL_test2348z00_4436)
														{	/* Return/walk.scm 310 */
															bool_t BgL_test2351z00_4458;

															{	/* Return/walk.scm 310 */
																obj_t BgL_tmpz00_4459;

																BgL_tmpz00_4459 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_bodyz00_1931)))->BgL_bindingsz00);
																BgL_test2351z00_4458 = PAIRP(BgL_tmpz00_4459);
															}
															if (BgL_test2351z00_4458)
																{	/* Return/walk.scm 311 */
																	obj_t BgL_tmpz00_4463;

																	{	/* Return/walk.scm 311 */
																		obj_t BgL_pairz00_3377;

																		BgL_pairz00_3377 =
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_bodyz00_1931)))->
																			BgL_bindingsz00);
																		BgL_tmpz00_4463 = CDR(BgL_pairz00_3377);
																	}
																	BgL_test2347z00_4435 = NULLP(BgL_tmpz00_4463);
																}
															else
																{	/* Return/walk.scm 310 */
																	BgL_test2347z00_4435 = ((bool_t) 0);
																}
														}
													else
														{	/* Return/walk.scm 309 */
															BgL_test2347z00_4435 = ((bool_t) 0);
														}
												}
												if (BgL_test2347z00_4435)
													{	/* Return/walk.scm 312 */
														bool_t BgL_test2352z00_4468;

														{	/* Return/walk.scm 312 */
															obj_t BgL_arg2007z00_1960;

															{	/* Return/walk.scm 312 */
																obj_t BgL_pairz00_3378;

																BgL_pairz00_3378 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_bodyz00_1931)))->BgL_bindingsz00);
																BgL_arg2007z00_1960 =
																	CDR(CAR(BgL_pairz00_3378));
															}
															{	/* Return/walk.scm 312 */
																obj_t BgL_classz00_3382;

																BgL_classz00_3382 = BGl_appz00zzast_nodez00;
																if (BGL_OBJECTP(BgL_arg2007z00_1960))
																	{	/* Return/walk.scm 312 */
																		BgL_objectz00_bglt BgL_arg1825z00_3384;

																		BgL_arg1825z00_3384 =
																			(BgL_objectz00_bglt)
																			(BgL_arg2007z00_1960);
																		{	/* Return/walk.scm 312 */
																			bool_t BgL_arg1822z00_3387;
																			bool_t BgL_arg1823z00_3388;

																			{	/* Return/walk.scm 312 */
																				long BgL_idxz00_3391;

																				BgL_idxz00_3391 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1825z00_3384);
																				BgL_arg1822z00_3387 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_3391 + ((long) 3))) ==
																					BgL_classz00_3382);
																			}
																			{	/* Return/walk.scm 312 */
																				bool_t BgL_res2204z00_3413;

																				{	/* Return/walk.scm 312 */
																					obj_t BgL_oclassz00_3399;

																					{	/* Return/walk.scm 312 */
																						long BgL_arg1833z00_3405;

																						{	/* Return/walk.scm 312 */
																							long BgL_arg1834z00_3406;

																							BgL_arg1834z00_3406 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1825z00_3384);
																							BgL_arg1833z00_3405 =
																								(BgL_arg1834z00_3406 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_3399 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1833z00_3405);
																					}
																					{	/* Return/walk.scm 312 */
																						bool_t BgL__ortest_1110z00_3400;

																						BgL__ortest_1110z00_3400 =
																							(BgL_classz00_3382 ==
																							BgL_oclassz00_3399);
																						if (BgL__ortest_1110z00_3400)
																							{	/* Return/walk.scm 312 */
																								BgL_res2204z00_3413 =
																									BgL__ortest_1110z00_3400;
																							}
																						else
																							{	/* Return/walk.scm 312 */
																								long BgL_odepthz00_3401;

																								BgL_odepthz00_3401 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_3399);
																								if ((((long) 3) <
																										BgL_odepthz00_3401))
																									{	/* Return/walk.scm 312 */
																										obj_t BgL_arg1821z00_3403;

																										BgL_arg1821z00_3403 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_3399,
																											((long) 3));
																										BgL_res2204z00_3413 =
																											(BgL_arg1821z00_3403 ==
																											BgL_classz00_3382);
																									}
																								else
																									{	/* Return/walk.scm 312 */
																										BgL_res2204z00_3413 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_arg1823z00_3388 =
																					BgL_res2204z00_3413;
																			}
																			BgL_test2352z00_4468 =
																				BGL_ISA_C_BACKEND(BgL_arg1822z00_3387,
																				BgL_arg1823z00_3388);
																		}
																	}
																else
																	{	/* Return/walk.scm 312 */
																		BgL_test2352z00_4468 = ((bool_t) 0);
																	}
															}
														}
														if (BgL_test2352z00_4468)
															{	/* Return/walk.scm 313 */
																BgL_appz00_bglt BgL_i1171z00_1948;

																{	/* Return/walk.scm 313 */
																	obj_t BgL_pairz00_3414;

																	BgL_pairz00_3414 =
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																				((BgL_letzd2varzd2_bglt)
																					BgL_bodyz00_1931)))->BgL_bindingsz00);
																	{	/* Return/walk.scm 313 */
																		obj_t BgL_pairz00_3417;

																		BgL_pairz00_3417 = CAR(BgL_pairz00_3414);
																		BgL_i1171z00_1948 =
																			((BgL_appz00_bglt) CDR(BgL_pairz00_3417));
																	}
																}
																{	/* Return/walk.scm 314 */
																	BgL_varz00_bglt BgL_i1172z00_1949;

																	BgL_i1172z00_1949 =
																		(((BgL_appz00_bglt)
																			COBJECT(BgL_i1171z00_1948))->BgL_funz00);
																	{	/* Return/walk.scm 315 */
																		bool_t BgL_test2356z00_4497;

																		{	/* Return/walk.scm 315 */
																			BgL_variablez00_bglt BgL_arg2005z00_1958;

																			BgL_arg2005z00_1958 =
																				(((BgL_varz00_bglt)
																					COBJECT(BgL_i1172z00_1949))->
																				BgL_variablez00);
																			BgL_test2356z00_4497 =
																				(((obj_t) BgL_arg2005z00_1958) ==
																				BGl_za2currentzd2dynamiczd2envza2z00zzreturn_walkz00);
																		}
																		if (BgL_test2356z00_4497)
																			{	/* Return/walk.scm 316 */
																				BgL_sequencez00_bglt BgL_i1173z00_1952;

																				BgL_i1173z00_1952 =
																					((BgL_sequencez00_bglt)
																					(((BgL_letzd2varzd2_bglt) COBJECT(
																								((BgL_letzd2varzd2_bglt)
																									BgL_bodyz00_1931)))->
																						BgL_bodyz00));
																				{	/* Return/walk.scm 318 */
																					obj_t BgL_arg2001z00_1954;
																					BgL_variablez00_bglt
																						BgL_arg2002z00_1955;
																					obj_t BgL_arg2003z00_1956;

																					BgL_arg2001z00_1954 =
																						(((BgL_sequencez00_bglt)
																							COBJECT(BgL_i1173z00_1952))->
																						BgL_nodesz00);
																					BgL_arg2002z00_1955 =
																						(((BgL_varz00_bglt)
																							COBJECT(BgL_varz00_1932))->
																						BgL_variablez00);
																					{	/* Return/walk.scm 318 */
																						obj_t BgL_pairz00_3418;

																						BgL_pairz00_3418 =
																							(((BgL_letzd2varzd2_bglt) COBJECT(
																									((BgL_letzd2varzd2_bglt)
																										BgL_bodyz00_1931)))->
																							BgL_bindingsz00);
																						BgL_arg2003z00_1956 =
																							CAR(CAR(BgL_pairz00_3418));
																					}
																					BgL_nodesz00_1895 =
																						BgL_arg2001z00_1954;
																					BgL_varz00_1896 =
																						((BgL_localz00_bglt)
																						BgL_arg2002z00_1955);
																					BgL_envz00_1897 = BgL_arg2003z00_1956;
																					{	/* Return/walk.scm 289 */
																						bool_t BgL_test2357z00_4510;

																						if (
																							(bgl_list_length
																								(BgL_nodesz00_1895) ==
																								((long) 2)))
																							{	/* Return/walk.scm 289 */
																								obj_t BgL_arg1971z00_1912;

																								BgL_arg1971z00_1912 =
																									CAR(
																									((obj_t) BgL_nodesz00_1895));
																								BgL_nodez00_1844 =
																									((BgL_nodez00_bglt)
																									BgL_arg1971z00_1912);
																								BgL_exitvarz00_1845 =
																									BgL_varz00_1896;
																								BgL_envz00_1846 =
																									BgL_envz00_1897;
																								{	/* Return/walk.scm 261 */
																									bool_t BgL_test2359z00_4516;

																									{	/* Return/walk.scm 261 */
																										obj_t BgL_classz00_3118;

																										BgL_classz00_3118 =
																											BGl_appz00zzast_nodez00;
																										{	/* Return/walk.scm 261 */
																											BgL_objectz00_bglt
																												BgL_arg1825z00_3120;
																											{	/* Return/walk.scm 261 */
																												obj_t BgL_tmpz00_4517;

																												BgL_tmpz00_4517 =
																													((obj_t)
																													BgL_nodez00_1844);
																												BgL_arg1825z00_3120 =
																													(BgL_objectz00_bglt)
																													(BgL_tmpz00_4517);
																											}
																											{	/* Return/walk.scm 261 */
																												bool_t
																													BgL_arg1822z00_3123;
																												bool_t
																													BgL_arg1823z00_3124;
																												{	/* Return/walk.scm 261 */
																													long BgL_idxz00_3127;

																													BgL_idxz00_3127 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1825z00_3120);
																													BgL_arg1822z00_3123 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_3127 +
																																((long) 3))) ==
																														BgL_classz00_3118);
																												}
																												{	/* Return/walk.scm 261 */
																													bool_t
																														BgL_res2197z00_3149;
																													{	/* Return/walk.scm 261 */
																														obj_t
																															BgL_oclassz00_3135;
																														{	/* Return/walk.scm 261 */
																															long
																																BgL_arg1833z00_3141;
																															{	/* Return/walk.scm 261 */
																																long
																																	BgL_arg1834z00_3142;
																																BgL_arg1834z00_3142
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1825z00_3120);
																																BgL_arg1833z00_3141
																																	=
																																	(BgL_arg1834z00_3142
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_3135
																																=
																																VECTOR_REF
																																(BGl_za2classesza2z00zz__objectz00,
																																BgL_arg1833z00_3141);
																														}
																														{	/* Return/walk.scm 261 */
																															bool_t
																																BgL__ortest_1110z00_3136;
																															BgL__ortest_1110z00_3136
																																=
																																(BgL_classz00_3118
																																==
																																BgL_oclassz00_3135);
																															if (BgL__ortest_1110z00_3136)
																																{	/* Return/walk.scm 261 */
																																	BgL_res2197z00_3149
																																		=
																																		BgL__ortest_1110z00_3136;
																																}
																															else
																																{	/* Return/walk.scm 261 */
																																	long
																																		BgL_odepthz00_3137;
																																	BgL_odepthz00_3137
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_oclassz00_3135);
																																	if ((((long)
																																				3) <
																																			BgL_odepthz00_3137))
																																		{	/* Return/walk.scm 261 */
																																			obj_t
																																				BgL_arg1821z00_3139;
																																			BgL_arg1821z00_3139
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_oclassz00_3135,
																																				((long)
																																					3));
																																			BgL_res2197z00_3149
																																				=
																																				(BgL_arg1821z00_3139
																																				==
																																				BgL_classz00_3118);
																																		}
																																	else
																																		{	/* Return/walk.scm 261 */
																																			BgL_res2197z00_3149
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_arg1823z00_3124 =
																														BgL_res2197z00_3149;
																												}
																												BgL_test2359z00_4516 =
																													BGL_ISA_C_BACKEND
																													(BgL_arg1822z00_3123,
																													BgL_arg1823z00_3124);
																											}
																										}
																									}
																									if (BgL_test2359z00_4516)
																										{	/* Return/walk.scm 263 */
																											BgL_varz00_bglt
																												BgL_i1162z00_1850;
																											BgL_i1162z00_1850 =
																												(((BgL_appz00_bglt)
																													COBJECT((
																															(BgL_appz00_bglt)
																															BgL_nodez00_1844)))->
																												BgL_funz00);
																											{	/* Return/walk.scm 265 */
																												bool_t
																													BgL_test2362z00_4537;
																												{	/* Return/walk.scm 265 */
																													BgL_variablez00_bglt
																														BgL_arg1947z00_1876;
																													BgL_arg1947z00_1876 =
																														(((BgL_varz00_bglt)
																															COBJECT
																															(BgL_i1162z00_1850))->
																														BgL_variablez00);
																													BgL_test2362z00_4537 =
																														(((obj_t)
																															BgL_arg1947z00_1876)
																														==
																														BGl_za2envzd2pushzd2exitz12za2z12zzreturn_walkz00);
																												}
																												if (BgL_test2362z00_4537)
																													{	/* Return/walk.scm 265 */
																														if (
																															(bgl_list_length(
																																	(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nodez00_1844)))->BgL_argsz00)) == ((long) 3)))
																															{	/* Return/walk.scm 269 */
																																bool_t
																																	BgL_test2364z00_4546;
																																{	/* Return/walk.scm 269 */
																																	obj_t
																																		BgL_arg1943z00_1872;
																																	{	/* Return/walk.scm 269 */
																																		obj_t
																																			BgL_pairz00_3151;
																																		BgL_pairz00_3151
																																			=
																																			(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nodez00_1844)))->BgL_argsz00);
																																		BgL_arg1943z00_1872
																																			=
																																			CAR(CDR
																																			(BgL_pairz00_3151));
																																	}
																																	{	/* Return/walk.scm 269 */
																																		obj_t
																																			BgL_classz00_3155;
																																		BgL_classz00_3155
																																			=
																																			BGl_varz00zzast_nodez00;
																																		if (BGL_OBJECTP(BgL_arg1943z00_1872))
																																			{	/* Return/walk.scm 269 */
																																				BgL_objectz00_bglt
																																					BgL_arg1825z00_3157;
																																				BgL_arg1825z00_3157
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_arg1943z00_1872);
																																				{	/* Return/walk.scm 269 */
																																					bool_t
																																						BgL_arg1822z00_3160;
																																					bool_t
																																						BgL_arg1823z00_3161;
																																					{	/* Return/walk.scm 269 */
																																						long
																																							BgL_idxz00_3164;
																																						BgL_idxz00_3164
																																							=
																																							BGL_OBJECT_INHERITANCE_NUM
																																							(BgL_arg1825z00_3157);
																																						BgL_arg1822z00_3160
																																							=
																																							(VECTOR_REF
																																							(BGl_za2inheritancesza2z00zz__objectz00,
																																								(BgL_idxz00_3164
																																									+
																																									((long) 2))) == BgL_classz00_3155);
																																					}
																																					{	/* Return/walk.scm 269 */
																																						bool_t
																																							BgL_res2198z00_3186;
																																						{	/* Return/walk.scm 269 */
																																							obj_t
																																								BgL_oclassz00_3172;
																																							{	/* Return/walk.scm 269 */
																																								long
																																									BgL_arg1833z00_3178;
																																								{	/* Return/walk.scm 269 */
																																									long
																																										BgL_arg1834z00_3179;
																																									BgL_arg1834z00_3179
																																										=
																																										BGL_OBJECT_CLASS_NUM
																																										(BgL_arg1825z00_3157);
																																									BgL_arg1833z00_3178
																																										=
																																										(BgL_arg1834z00_3179
																																										-
																																										OBJECT_TYPE);
																																								}
																																								BgL_oclassz00_3172
																																									=
																																									VECTOR_REF
																																									(BGl_za2classesza2z00zz__objectz00,
																																									BgL_arg1833z00_3178);
																																							}
																																							{	/* Return/walk.scm 269 */
																																								bool_t
																																									BgL__ortest_1110z00_3173;
																																								BgL__ortest_1110z00_3173
																																									=
																																									(BgL_classz00_3155
																																									==
																																									BgL_oclassz00_3172);
																																								if (BgL__ortest_1110z00_3173)
																																									{	/* Return/walk.scm 269 */
																																										BgL_res2198z00_3186
																																											=
																																											BgL__ortest_1110z00_3173;
																																									}
																																								else
																																									{	/* Return/walk.scm 269 */
																																										long
																																											BgL_odepthz00_3174;
																																										BgL_odepthz00_3174
																																											=
																																											BGL_CLASS_DEPTH
																																											(BgL_oclassz00_3172);
																																										if ((((long) 2) < BgL_odepthz00_3174))
																																											{	/* Return/walk.scm 269 */
																																												obj_t
																																													BgL_arg1821z00_3176;
																																												BgL_arg1821z00_3176
																																													=
																																													BGL_CLASS_ANCESTORS_REF
																																													(BgL_oclassz00_3172,
																																													((long) 2));
																																												BgL_res2198z00_3186
																																													=
																																													(BgL_arg1821z00_3176
																																													==
																																													BgL_classz00_3155);
																																											}
																																										else
																																											{	/* Return/walk.scm 269 */
																																												BgL_res2198z00_3186
																																													=
																																													(
																																													(bool_t)
																																													0);
																																											}
																																									}
																																							}
																																						}
																																						BgL_arg1823z00_3161
																																							=
																																							BgL_res2198z00_3186;
																																					}
																																					BgL_test2364z00_4546
																																						=
																																						BGL_ISA_C_BACKEND
																																						(BgL_arg1822z00_3160,
																																						BgL_arg1823z00_3161);
																																				}
																																			}
																																		else
																																			{	/* Return/walk.scm 269 */
																																				BgL_test2364z00_4546
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																																}
																																if (BgL_test2364z00_4546)
																																	{	/* Return/walk.scm 270 */
																																		BgL_varz00_bglt
																																			BgL_i1163z00_1859;
																																		{	/* Return/walk.scm 270 */
																																			obj_t
																																				BgL_pairz00_3187;
																																			BgL_pairz00_3187
																																				=
																																				(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nodez00_1844)))->BgL_argsz00);
																																			{	/* Return/walk.scm 270 */
																																				obj_t
																																					BgL_pairz00_3190;
																																				BgL_pairz00_3190
																																					=
																																					CDR
																																					(BgL_pairz00_3187);
																																				BgL_i1163z00_1859
																																					=
																																					(
																																					(BgL_varz00_bglt)
																																					CAR
																																					(BgL_pairz00_3190));
																																			}
																																		}
																																		if (
																																			(((obj_t)
																																					(((BgL_varz00_bglt) COBJECT(BgL_i1163z00_1859))->BgL_variablez00)) == ((obj_t) BgL_exitvarz00_1845)))
																																			{	/* Return/walk.scm 274 */
																																				bool_t
																																					BgL_test2369z00_4579;
																																				{	/* Return/walk.scm 274 */
																																					obj_t
																																						BgL_arg1939z00_1868;
																																					{	/* Return/walk.scm 274 */
																																						obj_t
																																							BgL_pairz00_3191;
																																						BgL_pairz00_3191
																																							=
																																							(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nodez00_1844)))->BgL_argsz00);
																																						BgL_arg1939z00_1868
																																							=
																																							CAR
																																							(BgL_pairz00_3191);
																																					}
																																					{	/* Return/walk.scm 274 */
																																						obj_t
																																							BgL_classz00_3192;
																																						BgL_classz00_3192
																																							=
																																							BGl_varz00zzast_nodez00;
																																						if (BGL_OBJECTP(BgL_arg1939z00_1868))
																																							{	/* Return/walk.scm 274 */
																																								BgL_objectz00_bglt
																																									BgL_arg1825z00_3194;
																																								BgL_arg1825z00_3194
																																									=
																																									(BgL_objectz00_bglt)
																																									(BgL_arg1939z00_1868);
																																								{	/* Return/walk.scm 274 */
																																									bool_t
																																										BgL_arg1822z00_3197;
																																									bool_t
																																										BgL_arg1823z00_3198;
																																									{	/* Return/walk.scm 274 */
																																										long
																																											BgL_idxz00_3201;
																																										BgL_idxz00_3201
																																											=
																																											BGL_OBJECT_INHERITANCE_NUM
																																											(BgL_arg1825z00_3194);
																																										BgL_arg1822z00_3197
																																											=
																																											(VECTOR_REF
																																											(BGl_za2inheritancesza2z00zz__objectz00,
																																												(BgL_idxz00_3201
																																													+
																																													((long) 2))) == BgL_classz00_3192);
																																									}
																																									{	/* Return/walk.scm 274 */
																																										bool_t
																																											BgL_res2199z00_3223;
																																										{	/* Return/walk.scm 274 */
																																											obj_t
																																												BgL_oclassz00_3209;
																																											{	/* Return/walk.scm 274 */
																																												long
																																													BgL_arg1833z00_3215;
																																												{	/* Return/walk.scm 274 */
																																													long
																																														BgL_arg1834z00_3216;
																																													BgL_arg1834z00_3216
																																														=
																																														BGL_OBJECT_CLASS_NUM
																																														(BgL_arg1825z00_3194);
																																													BgL_arg1833z00_3215
																																														=
																																														(BgL_arg1834z00_3216
																																														-
																																														OBJECT_TYPE);
																																												}
																																												BgL_oclassz00_3209
																																													=
																																													VECTOR_REF
																																													(BGl_za2classesza2z00zz__objectz00,
																																													BgL_arg1833z00_3215);
																																											}
																																											{	/* Return/walk.scm 274 */
																																												bool_t
																																													BgL__ortest_1110z00_3210;
																																												BgL__ortest_1110z00_3210
																																													=
																																													(BgL_classz00_3192
																																													==
																																													BgL_oclassz00_3209);
																																												if (BgL__ortest_1110z00_3210)
																																													{	/* Return/walk.scm 274 */
																																														BgL_res2199z00_3223
																																															=
																																															BgL__ortest_1110z00_3210;
																																													}
																																												else
																																													{	/* Return/walk.scm 274 */
																																														long
																																															BgL_odepthz00_3211;
																																														BgL_odepthz00_3211
																																															=
																																															BGL_CLASS_DEPTH
																																															(BgL_oclassz00_3209);
																																														if ((((long) 2) < BgL_odepthz00_3211))
																																															{	/* Return/walk.scm 274 */
																																																obj_t
																																																	BgL_arg1821z00_3213;
																																																BgL_arg1821z00_3213
																																																	=
																																																	BGL_CLASS_ANCESTORS_REF
																																																	(BgL_oclassz00_3209,
																																																	((long) 2));
																																																BgL_res2199z00_3223
																																																	=
																																																	(BgL_arg1821z00_3213
																																																	==
																																																	BgL_classz00_3192);
																																															}
																																														else
																																															{	/* Return/walk.scm 274 */
																																																BgL_res2199z00_3223
																																																	=
																																																	(
																																																	(bool_t)
																																																	0);
																																															}
																																													}
																																											}
																																										}
																																										BgL_arg1823z00_3198
																																											=
																																											BgL_res2199z00_3223;
																																									}
																																									BgL_test2369z00_4579
																																										=
																																										BGL_ISA_C_BACKEND
																																										(BgL_arg1822z00_3197,
																																										BgL_arg1823z00_3198);
																																								}
																																							}
																																						else
																																							{	/* Return/walk.scm 274 */
																																								BgL_test2369z00_4579
																																									=
																																									(
																																									(bool_t)
																																									0);
																																							}
																																					}
																																				}
																																				if (BgL_test2369z00_4579)
																																					{	/* Return/walk.scm 277 */
																																						obj_t
																																							BgL_tmpz00_4601;
																																						{
																																							BgL_variablez00_bglt
																																								BgL_auxz00_4602;
																																							{
																																								BgL_varz00_bglt
																																									BgL_auxz00_4603;
																																								{	/* Return/walk.scm 275 */
																																									obj_t
																																										BgL_pairz00_3224;
																																									BgL_pairz00_3224
																																										=
																																										(
																																										((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nodez00_1844)))->BgL_argsz00);
																																									BgL_auxz00_4603
																																										=
																																										(
																																										(BgL_varz00_bglt)
																																										CAR
																																										(BgL_pairz00_3224));
																																								}
																																								BgL_auxz00_4602
																																									=
																																									(
																																									((BgL_varz00_bglt) COBJECT(BgL_auxz00_4603))->BgL_variablez00);
																																							}
																																							BgL_tmpz00_4601
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_4602);
																																						}
																																						BgL_test2357z00_4510
																																							=
																																							(BgL_tmpz00_4601
																																							==
																																							BgL_envz00_1846);
																																					}
																																				else
																																					{	/* Return/walk.scm 274 */
																																						BgL_test2357z00_4510
																																							=
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																		else
																																			{	/* Return/walk.scm 272 */
																																				BgL_test2357z00_4510
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																																else
																																	{	/* Return/walk.scm 269 */
																																		BgL_test2357z00_4510
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																														else
																															{	/* Return/walk.scm 267 */
																																BgL_test2357z00_4510
																																	=
																																	((bool_t) 0);
																															}
																													}
																												else
																													{	/* Return/walk.scm 265 */
																														BgL_test2357z00_4510
																															= ((bool_t) 0);
																													}
																											}
																										}
																									else
																										{	/* Return/walk.scm 261 */
																											BgL_test2357z00_4510 =
																												((bool_t) 0);
																										}
																								}
																							}
																						else
																							{	/* Return/walk.scm 289 */
																								BgL_test2357z00_4510 =
																									((bool_t) 0);
																							}
																						if (BgL_test2357z00_4510)
																							{	/* Return/walk.scm 290 */
																								obj_t BgL_bindingz00_1904;

																								{	/* Return/walk.scm 290 */
																									obj_t BgL_pairz00_3242;

																									BgL_pairz00_3242 =
																										CDR(
																										((obj_t)
																											BgL_nodesz00_1895));
																									BgL_nodez00_1777 =
																										((BgL_nodez00_bglt)
																										CAR(BgL_pairz00_3242));
																								}
																								BgL_envz00_1778 =
																									BgL_envz00_1897;
																								{	/* Return/walk.scm 230 */
																									bool_t BgL_test2373z00_4612;

																									{	/* Return/walk.scm 230 */
																										obj_t BgL_classz00_2948;

																										BgL_classz00_2948 =
																											BGl_letzd2varzd2zzast_nodez00;
																										{	/* Return/walk.scm 230 */
																											BgL_objectz00_bglt
																												BgL_arg1825z00_2950;
																											{	/* Return/walk.scm 230 */
																												obj_t BgL_tmpz00_4613;

																												BgL_tmpz00_4613 =
																													((obj_t)
																													BgL_nodez00_1777);
																												BgL_arg1825z00_2950 =
																													(BgL_objectz00_bglt)
																													(BgL_tmpz00_4613);
																											}
																											{	/* Return/walk.scm 230 */
																												bool_t
																													BgL_arg1822z00_2953;
																												bool_t
																													BgL_arg1823z00_2954;
																												{	/* Return/walk.scm 230 */
																													long BgL_idxz00_2957;

																													BgL_idxz00_2957 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1825z00_2950);
																													BgL_arg1822z00_2953 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_2957 +
																																((long) 3))) ==
																														BgL_classz00_2948);
																												}
																												{	/* Return/walk.scm 230 */
																													bool_t
																														BgL_res2192z00_2979;
																													{	/* Return/walk.scm 230 */
																														obj_t
																															BgL_oclassz00_2965;
																														{	/* Return/walk.scm 230 */
																															long
																																BgL_arg1833z00_2971;
																															{	/* Return/walk.scm 230 */
																																long
																																	BgL_arg1834z00_2972;
																																BgL_arg1834z00_2972
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1825z00_2950);
																																BgL_arg1833z00_2971
																																	=
																																	(BgL_arg1834z00_2972
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_2965
																																=
																																VECTOR_REF
																																(BGl_za2classesza2z00zz__objectz00,
																																BgL_arg1833z00_2971);
																														}
																														{	/* Return/walk.scm 230 */
																															bool_t
																																BgL__ortest_1110z00_2966;
																															BgL__ortest_1110z00_2966
																																=
																																(BgL_classz00_2948
																																==
																																BgL_oclassz00_2965);
																															if (BgL__ortest_1110z00_2966)
																																{	/* Return/walk.scm 230 */
																																	BgL_res2192z00_2979
																																		=
																																		BgL__ortest_1110z00_2966;
																																}
																															else
																																{	/* Return/walk.scm 230 */
																																	long
																																		BgL_odepthz00_2967;
																																	BgL_odepthz00_2967
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_oclassz00_2965);
																																	if ((((long)
																																				3) <
																																			BgL_odepthz00_2967))
																																		{	/* Return/walk.scm 230 */
																																			obj_t
																																				BgL_arg1821z00_2969;
																																			BgL_arg1821z00_2969
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_oclassz00_2965,
																																				((long)
																																					3));
																																			BgL_res2192z00_2979
																																				=
																																				(BgL_arg1821z00_2969
																																				==
																																				BgL_classz00_2948);
																																		}
																																	else
																																		{	/* Return/walk.scm 230 */
																																			BgL_res2192z00_2979
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_arg1823z00_2954 =
																														BgL_res2192z00_2979;
																												}
																												BgL_test2373z00_4612 =
																													BGL_ISA_C_BACKEND
																													(BgL_arg1822z00_2953,
																													BgL_arg1823z00_2954);
																											}
																										}
																									}
																									if (BgL_test2373z00_4612)
																										{	/* Return/walk.scm 232 */
																											bool_t
																												BgL_test2376z00_4631;
																											{	/* Return/walk.scm 232 */
																												bool_t
																													BgL_test2377z00_4632;
																												{	/* Return/walk.scm 232 */
																													obj_t BgL_tmpz00_4633;

																													BgL_tmpz00_4633 =
																														(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1777)))->BgL_bindingsz00);
																													BgL_test2377z00_4632 =
																														PAIRP
																														(BgL_tmpz00_4633);
																												}
																												if (BgL_test2377z00_4632)
																													{	/* Return/walk.scm 232 */
																														obj_t
																															BgL_tmpz00_4637;
																														{	/* Return/walk.scm 232 */
																															obj_t
																																BgL_pairz00_2980;
																															BgL_pairz00_2980 =
																																(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1777)))->BgL_bindingsz00);
																															BgL_tmpz00_4637 =
																																CDR
																																(BgL_pairz00_2980);
																														}
																														BgL_test2376z00_4631
																															=
																															NULLP
																															(BgL_tmpz00_4637);
																													}
																												else
																													{	/* Return/walk.scm 232 */
																														BgL_test2376z00_4631
																															= ((bool_t) 0);
																													}
																											}
																											if (BgL_test2376z00_4631)
																												{	/* Return/walk.scm 233 */
																													obj_t
																														BgL_bindingz00_1788;
																													{	/* Return/walk.scm 233 */
																														obj_t
																															BgL_pairz00_2981;
																														BgL_pairz00_2981 =
																															(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1777)))->BgL_bindingsz00);
																														BgL_bindingz00_1788
																															=
																															CAR
																															(BgL_pairz00_2981);
																													}
																													{	/* Return/walk.scm 234 */
																														obj_t
																															BgL_exprz00_1790;
																														BgL_exprz00_1790 =
																															CDR(((obj_t)
																																BgL_bindingz00_1788));
																														{	/* Return/walk.scm 235 */

																															{	/* Return/walk.scm 236 */
																																bool_t
																																	BgL_test2378z00_4647;
																																{	/* Return/walk.scm 236 */
																																	obj_t
																																		BgL_classz00_2984;
																																	BgL_classz00_2984
																																		=
																																		BGl_appz00zzast_nodez00;
																																	if (BGL_OBJECTP(BgL_exprz00_1790))
																																		{	/* Return/walk.scm 236 */
																																			BgL_objectz00_bglt
																																				BgL_arg1825z00_2986;
																																			BgL_arg1825z00_2986
																																				=
																																				(BgL_objectz00_bglt)
																																				(BgL_exprz00_1790);
																																			{	/* Return/walk.scm 236 */
																																				bool_t
																																					BgL_arg1822z00_2989;
																																				bool_t
																																					BgL_arg1823z00_2990;
																																				{	/* Return/walk.scm 236 */
																																					long
																																						BgL_idxz00_2993;
																																					BgL_idxz00_2993
																																						=
																																						BGL_OBJECT_INHERITANCE_NUM
																																						(BgL_arg1825z00_2986);
																																					BgL_arg1822z00_2989
																																						=
																																						(VECTOR_REF
																																						(BGl_za2inheritancesza2z00zz__objectz00,
																																							(BgL_idxz00_2993
																																								+
																																								((long) 3))) == BgL_classz00_2984);
																																				}
																																				{	/* Return/walk.scm 236 */
																																					bool_t
																																						BgL_res2193z00_3015;
																																					{	/* Return/walk.scm 236 */
																																						obj_t
																																							BgL_oclassz00_3001;
																																						{	/* Return/walk.scm 236 */
																																							long
																																								BgL_arg1833z00_3007;
																																							{	/* Return/walk.scm 236 */
																																								long
																																									BgL_arg1834z00_3008;
																																								BgL_arg1834z00_3008
																																									=
																																									BGL_OBJECT_CLASS_NUM
																																									(BgL_arg1825z00_2986);
																																								BgL_arg1833z00_3007
																																									=
																																									(BgL_arg1834z00_3008
																																									-
																																									OBJECT_TYPE);
																																							}
																																							BgL_oclassz00_3001
																																								=
																																								VECTOR_REF
																																								(BGl_za2classesza2z00zz__objectz00,
																																								BgL_arg1833z00_3007);
																																						}
																																						{	/* Return/walk.scm 236 */
																																							bool_t
																																								BgL__ortest_1110z00_3002;
																																							BgL__ortest_1110z00_3002
																																								=
																																								(BgL_classz00_2984
																																								==
																																								BgL_oclassz00_3001);
																																							if (BgL__ortest_1110z00_3002)
																																								{	/* Return/walk.scm 236 */
																																									BgL_res2193z00_3015
																																										=
																																										BgL__ortest_1110z00_3002;
																																								}
																																							else
																																								{	/* Return/walk.scm 236 */
																																									long
																																										BgL_odepthz00_3003;
																																									BgL_odepthz00_3003
																																										=
																																										BGL_CLASS_DEPTH
																																										(BgL_oclassz00_3001);
																																									if ((((long) 3) < BgL_odepthz00_3003))
																																										{	/* Return/walk.scm 236 */
																																											obj_t
																																												BgL_arg1821z00_3005;
																																											BgL_arg1821z00_3005
																																												=
																																												BGL_CLASS_ANCESTORS_REF
																																												(BgL_oclassz00_3001,
																																												((long) 3));
																																											BgL_res2193z00_3015
																																												=
																																												(BgL_arg1821z00_3005
																																												==
																																												BgL_classz00_2984);
																																										}
																																									else
																																										{	/* Return/walk.scm 236 */
																																											BgL_res2193z00_3015
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																						}
																																					}
																																					BgL_arg1823z00_2990
																																						=
																																						BgL_res2193z00_3015;
																																				}
																																				BgL_test2378z00_4647
																																					=
																																					BGL_ISA_C_BACKEND
																																					(BgL_arg1822z00_2989,
																																					BgL_arg1823z00_2990);
																																			}
																																		}
																																	else
																																		{	/* Return/walk.scm 236 */
																																			BgL_test2378z00_4647
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																																if (BgL_test2378z00_4647)
																																	{	/* Return/walk.scm 238 */
																																		bool_t
																																			BgL_test2382z00_4666;
																																		{	/* Return/walk.scm 238 */
																																			bool_t
																																				BgL_test2383z00_4667;
																																			{	/* Return/walk.scm 238 */
																																				obj_t
																																					BgL_tmpz00_4668;
																																				BgL_tmpz00_4668
																																					=
																																					(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_exprz00_1790)))->BgL_argsz00);
																																				BgL_test2383z00_4667
																																					=
																																					PAIRP
																																					(BgL_tmpz00_4668);
																																			}
																																			if (BgL_test2383z00_4667)
																																				{	/* Return/walk.scm 238 */
																																					obj_t
																																						BgL_tmpz00_4672;
																																					{	/* Return/walk.scm 238 */
																																						obj_t
																																							BgL_pairz00_3016;
																																						BgL_pairz00_3016
																																							=
																																							(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_exprz00_1790)))->BgL_argsz00);
																																						BgL_tmpz00_4672
																																							=
																																							CDR
																																							(BgL_pairz00_3016);
																																					}
																																					BgL_test2382z00_4666
																																						=
																																						NULLP
																																						(BgL_tmpz00_4672);
																																				}
																																			else
																																				{	/* Return/walk.scm 238 */
																																					BgL_test2382z00_4666
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																		if (BgL_test2382z00_4666)
																																			{	/* Return/walk.scm 239 */
																																				BgL_varz00_bglt
																																					BgL_i1156z00_1799;
																																				BgL_i1156z00_1799
																																					=
																																					(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_exprz00_1790)))->BgL_funz00);
																																				{	/* Return/walk.scm 240 */
																																					bool_t
																																						BgL_test2384z00_4679;
																																					{	/* Return/walk.scm 240 */
																																						BgL_variablez00_bglt
																																							BgL_arg1891z00_1812;
																																						BgL_arg1891z00_1812
																																							=
																																							(((BgL_varz00_bglt) COBJECT(BgL_i1156z00_1799))->BgL_variablez00);
																																						BgL_test2384z00_4679
																																							=
																																							(((obj_t) BgL_arg1891z00_1812) == BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00);
																																					}
																																					if (BgL_test2384z00_4679)
																																						{	/* Return/walk.scm 241 */
																																							bool_t
																																								BgL_test2385z00_4683;
																																							{	/* Return/walk.scm 241 */
																																								obj_t
																																									BgL_arg1888z00_1810;
																																								{	/* Return/walk.scm 241 */
																																									obj_t
																																										BgL_pairz00_3017;
																																									BgL_pairz00_3017
																																										=
																																										(
																																										((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_exprz00_1790)))->BgL_argsz00);
																																									BgL_arg1888z00_1810
																																										=
																																										CAR
																																										(BgL_pairz00_3017);
																																								}
																																								{	/* Return/walk.scm 241 */
																																									obj_t
																																										BgL_classz00_3018;
																																									BgL_classz00_3018
																																										=
																																										BGl_varz00zzast_nodez00;
																																									if (BGL_OBJECTP(BgL_arg1888z00_1810))
																																										{	/* Return/walk.scm 241 */
																																											BgL_objectz00_bglt
																																												BgL_arg1825z00_3020;
																																											BgL_arg1825z00_3020
																																												=
																																												(BgL_objectz00_bglt)
																																												(BgL_arg1888z00_1810);
																																											{	/* Return/walk.scm 241 */
																																												bool_t
																																													BgL_arg1822z00_3023;
																																												bool_t
																																													BgL_arg1823z00_3024;
																																												{	/* Return/walk.scm 241 */
																																													long
																																														BgL_idxz00_3027;
																																													BgL_idxz00_3027
																																														=
																																														BGL_OBJECT_INHERITANCE_NUM
																																														(BgL_arg1825z00_3020);
																																													BgL_arg1822z00_3023
																																														=
																																														(VECTOR_REF
																																														(BGl_za2inheritancesza2z00zz__objectz00,
																																															(BgL_idxz00_3027
																																																+
																																																((long) 2))) == BgL_classz00_3018);
																																												}
																																												{	/* Return/walk.scm 241 */
																																													bool_t
																																														BgL_res2194z00_3049;
																																													{	/* Return/walk.scm 241 */
																																														obj_t
																																															BgL_oclassz00_3035;
																																														{	/* Return/walk.scm 241 */
																																															long
																																																BgL_arg1833z00_3041;
																																															{	/* Return/walk.scm 241 */
																																																long
																																																	BgL_arg1834z00_3042;
																																																BgL_arg1834z00_3042
																																																	=
																																																	BGL_OBJECT_CLASS_NUM
																																																	(BgL_arg1825z00_3020);
																																																BgL_arg1833z00_3041
																																																	=
																																																	(BgL_arg1834z00_3042
																																																	-
																																																	OBJECT_TYPE);
																																															}
																																															BgL_oclassz00_3035
																																																=
																																																VECTOR_REF
																																																(BGl_za2classesza2z00zz__objectz00,
																																																BgL_arg1833z00_3041);
																																														}
																																														{	/* Return/walk.scm 241 */
																																															bool_t
																																																BgL__ortest_1110z00_3036;
																																															BgL__ortest_1110z00_3036
																																																=
																																																(BgL_classz00_3018
																																																==
																																																BgL_oclassz00_3035);
																																															if (BgL__ortest_1110z00_3036)
																																																{	/* Return/walk.scm 241 */
																																																	BgL_res2194z00_3049
																																																		=
																																																		BgL__ortest_1110z00_3036;
																																																}
																																															else
																																																{	/* Return/walk.scm 241 */
																																																	long
																																																		BgL_odepthz00_3037;
																																																	BgL_odepthz00_3037
																																																		=
																																																		BGL_CLASS_DEPTH
																																																		(BgL_oclassz00_3035);
																																																	if ((((long) 2) < BgL_odepthz00_3037))
																																																		{	/* Return/walk.scm 241 */
																																																			obj_t
																																																				BgL_arg1821z00_3039;
																																																			BgL_arg1821z00_3039
																																																				=
																																																				BGL_CLASS_ANCESTORS_REF
																																																				(BgL_oclassz00_3035,
																																																				((long) 2));
																																																			BgL_res2194z00_3049
																																																				=
																																																				(BgL_arg1821z00_3039
																																																				==
																																																				BgL_classz00_3018);
																																																		}
																																																	else
																																																		{	/* Return/walk.scm 241 */
																																																			BgL_res2194z00_3049
																																																				=
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																														}
																																													}
																																													BgL_arg1823z00_3024
																																														=
																																														BgL_res2194z00_3049;
																																												}
																																												BgL_test2385z00_4683
																																													=
																																													BGL_ISA_C_BACKEND
																																													(BgL_arg1822z00_3023,
																																													BgL_arg1823z00_3024);
																																											}
																																										}
																																									else
																																										{	/* Return/walk.scm 241 */
																																											BgL_test2385z00_4683
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							}
																																							if (BgL_test2385z00_4683)
																																								{	/* Return/walk.scm 243 */
																																									bool_t
																																										BgL_test2389z00_4705;
																																									{	/* Return/walk.scm 243 */
																																										obj_t
																																											BgL_tmpz00_4706;
																																										{
																																											BgL_variablez00_bglt
																																												BgL_auxz00_4707;
																																											{
																																												BgL_varz00_bglt
																																													BgL_auxz00_4708;
																																												{	/* Return/walk.scm 242 */
																																													obj_t
																																														BgL_pairz00_3050;
																																													BgL_pairz00_3050
																																														=
																																														(
																																														((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_exprz00_1790)))->BgL_argsz00);
																																													BgL_auxz00_4708
																																														=
																																														(
																																														(BgL_varz00_bglt)
																																														CAR
																																														(BgL_pairz00_3050));
																																												}
																																												BgL_auxz00_4707
																																													=
																																													(
																																													((BgL_varz00_bglt) COBJECT(BgL_auxz00_4708))->BgL_variablez00);
																																											}
																																											BgL_tmpz00_4706
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_4707);
																																										}
																																										BgL_test2389z00_4705
																																											=
																																											(BgL_tmpz00_4706
																																											==
																																											BgL_envz00_1778);
																																									}
																																									if (BgL_test2389z00_4705)
																																										{	/* Return/walk.scm 243 */
																																											BgL_bindingz00_1904
																																												=
																																												BgL_bindingz00_1788;
																																										}
																																									else
																																										{	/* Return/walk.scm 243 */
																																											BgL_bindingz00_1904
																																												=
																																												BFALSE;
																																										}
																																								}
																																							else
																																								{	/* Return/walk.scm 241 */
																																									BgL_bindingz00_1904
																																										=
																																										BFALSE;
																																								}
																																						}
																																					else
																																						{	/* Return/walk.scm 240 */
																																							BgL_bindingz00_1904
																																								=
																																								BFALSE;
																																						}
																																				}
																																			}
																																		else
																																			{	/* Return/walk.scm 238 */
																																				BgL_bindingz00_1904
																																					=
																																					BFALSE;
																																			}
																																	}
																																else
																																	{	/* Return/walk.scm 236 */
																																		BgL_bindingz00_1904
																																			= BFALSE;
																																	}
																															}
																														}
																													}
																												}
																											else
																												{	/* Return/walk.scm 232 */
																													BgL_bindingz00_1904 =
																														BFALSE;
																												}
																										}
																									else
																										{	/* Return/walk.scm 230 */
																											BgL_bindingz00_1904 =
																												BFALSE;
																										}
																								}
																								if (CBOOL(BgL_bindingz00_1904))
																									{	/* Return/walk.scm 292 */
																										BgL_letzd2varzd2_bglt
																											BgL_i1166z00_1905;
																										{	/* Return/walk.scm 292 */
																											obj_t BgL_pairz00_3246;

																											BgL_pairz00_3246 =
																												CDR(
																												((obj_t)
																													BgL_nodesz00_1895));
																											BgL_i1166z00_1905 =
																												((BgL_letzd2varzd2_bglt)
																												CAR(BgL_pairz00_3246));
																										}
																										{	/* Return/walk.scm 293 */
																											obj_t
																												BgL_exitnodez00_1906;
																											{	/* Return/walk.scm 293 */
																												BgL_nodez00_bglt
																													BgL_arg1968z00_1908;
																												obj_t
																													BgL_arg1969z00_1909;
																												BgL_arg1968z00_1908 =
																													(((BgL_letzd2varzd2_bglt) COBJECT(BgL_i1166z00_1905))->BgL_bodyz00);
																												BgL_arg1969z00_1909 =
																													CAR(((obj_t)
																														BgL_bindingz00_1904));
																												BgL_nodez00_1721 =
																													BgL_arg1968z00_1908;
																												BgL_varz00_1722 =
																													((BgL_localz00_bglt)
																													BgL_arg1969z00_1909);
																												BgL_envz00_1723 =
																													BgL_envz00_1897;
																												{	/* Return/walk.scm 206 */
																													bool_t
																														BgL_test2391z00_4729;
																													{	/* Return/walk.scm 206 */
																														obj_t
																															BgL_classz00_2841;
																														BgL_classz00_2841 =
																															BGl_letzd2varzd2zzast_nodez00;
																														{	/* Return/walk.scm 206 */
																															BgL_objectz00_bglt
																																BgL_arg1825z00_2843;
																															{	/* Return/walk.scm 206 */
																																obj_t
																																	BgL_tmpz00_4730;
																																BgL_tmpz00_4730
																																	=
																																	((obj_t)
																																	BgL_nodez00_1721);
																																BgL_arg1825z00_2843
																																	=
																																	(BgL_objectz00_bglt)
																																	(BgL_tmpz00_4730);
																															}
																															{	/* Return/walk.scm 206 */
																																bool_t
																																	BgL_arg1822z00_2846;
																																bool_t
																																	BgL_arg1823z00_2847;
																																{	/* Return/walk.scm 206 */
																																	long
																																		BgL_idxz00_2850;
																																	BgL_idxz00_2850
																																		=
																																		BGL_OBJECT_INHERITANCE_NUM
																																		(BgL_arg1825z00_2843);
																																	BgL_arg1822z00_2846
																																		=
																																		(VECTOR_REF
																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																			(BgL_idxz00_2850
																																				+
																																				((long)
																																					3)))
																																		==
																																		BgL_classz00_2841);
																																}
																																{	/* Return/walk.scm 206 */
																																	bool_t
																																		BgL_res2189z00_2872;
																																	{	/* Return/walk.scm 206 */
																																		obj_t
																																			BgL_oclassz00_2858;
																																		{	/* Return/walk.scm 206 */
																																			long
																																				BgL_arg1833z00_2864;
																																			{	/* Return/walk.scm 206 */
																																				long
																																					BgL_arg1834z00_2865;
																																				BgL_arg1834z00_2865
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_arg1825z00_2843);
																																				BgL_arg1833z00_2864
																																					=
																																					(BgL_arg1834z00_2865
																																					-
																																					OBJECT_TYPE);
																																			}
																																			BgL_oclassz00_2858
																																				=
																																				VECTOR_REF
																																				(BGl_za2classesza2z00zz__objectz00,
																																				BgL_arg1833z00_2864);
																																		}
																																		{	/* Return/walk.scm 206 */
																																			bool_t
																																				BgL__ortest_1110z00_2859;
																																			BgL__ortest_1110z00_2859
																																				=
																																				(BgL_classz00_2841
																																				==
																																				BgL_oclassz00_2858);
																																			if (BgL__ortest_1110z00_2859)
																																				{	/* Return/walk.scm 206 */
																																					BgL_res2189z00_2872
																																						=
																																						BgL__ortest_1110z00_2859;
																																				}
																																			else
																																				{	/* Return/walk.scm 206 */
																																					long
																																						BgL_odepthz00_2860;
																																					BgL_odepthz00_2860
																																						=
																																						BGL_CLASS_DEPTH
																																						(BgL_oclassz00_2858);
																																					if ((((long) 3) < BgL_odepthz00_2860))
																																						{	/* Return/walk.scm 206 */
																																							obj_t
																																								BgL_arg1821z00_2862;
																																							BgL_arg1821z00_2862
																																								=
																																								BGL_CLASS_ANCESTORS_REF
																																								(BgL_oclassz00_2858,
																																								((long) 3));
																																							BgL_res2189z00_2872
																																								=
																																								(BgL_arg1821z00_2862
																																								==
																																								BgL_classz00_2841);
																																						}
																																					else
																																						{	/* Return/walk.scm 206 */
																																							BgL_res2189z00_2872
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																	}
																																	BgL_arg1823z00_2847
																																		=
																																		BgL_res2189z00_2872;
																																}
																																BgL_test2391z00_4729
																																	=
																																	BGL_ISA_C_BACKEND
																																	(BgL_arg1822z00_2846,
																																	BgL_arg1823z00_2847);
																															}
																														}
																													}
																													if (BgL_test2391z00_4729)
																														{	/* Return/walk.scm 208 */
																															bool_t
																																BgL_test2394z00_4748;
																															{	/* Return/walk.scm 208 */
																																bool_t
																																	BgL_test2395z00_4749;
																																{	/* Return/walk.scm 208 */
																																	obj_t
																																		BgL_tmpz00_4750;
																																	BgL_tmpz00_4750
																																		=
																																		(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1721)))->BgL_bindingsz00);
																																	BgL_test2395z00_4749
																																		=
																																		PAIRP
																																		(BgL_tmpz00_4750);
																																}
																																if (BgL_test2395z00_4749)
																																	{	/* Return/walk.scm 208 */
																																		obj_t
																																			BgL_tmpz00_4754;
																																		{	/* Return/walk.scm 208 */
																																			obj_t
																																				BgL_pairz00_2873;
																																			BgL_pairz00_2873
																																				=
																																				(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1721)))->BgL_bindingsz00);
																																			BgL_tmpz00_4754
																																				=
																																				CDR
																																				(BgL_pairz00_2873);
																																		}
																																		BgL_test2394z00_4748
																																			=
																																			NULLP
																																			(BgL_tmpz00_4754);
																																	}
																																else
																																	{	/* Return/walk.scm 208 */
																																		BgL_test2394z00_4748
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																															if (BgL_test2394z00_4748)
																																{	/* Return/walk.scm 209 */
																																	obj_t
																																		BgL_bindingz00_1733;
																																	{	/* Return/walk.scm 209 */
																																		obj_t
																																			BgL_pairz00_2874;
																																		BgL_pairz00_2874
																																			=
																																			(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1721)))->BgL_bindingsz00);
																																		BgL_bindingz00_1733
																																			=
																																			CAR
																																			(BgL_pairz00_2874);
																																	}
																																	{	/* Return/walk.scm 209 */
																																		obj_t
																																			BgL_nbodyz00_1734;
																																		{	/* Return/walk.scm 210 */
																																			BgL_nodez00_bglt
																																				BgL_arg1785z00_1743;
																																			obj_t
																																				BgL_arg1788z00_1744;
																																			BgL_arg1785z00_1743
																																				=
																																				(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1721)))->BgL_bodyz00);
																																			BgL_arg1788z00_1744
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_bindingz00_1733));
																																			BgL_nbodyz00_1734
																																				=
																																				BGl_step6bze70ze7zzreturn_walkz00
																																				(BgL_arg1785z00_1743,
																																				((BgL_localz00_bglt) BgL_arg1788z00_1744), BgL_envz00_1723);
																																		}
																																		{	/* Return/walk.scm 210 */

																																			if (CBOOL
																																				(BgL_nbodyz00_1734))
																																				{	/* Return/walk.scm 212 */
																																					BgL_letzd2varzd2_bglt
																																						BgL_new1143z00_1736;
																																					{	/* Return/walk.scm 212 */
																																						BgL_letzd2varzd2_bglt
																																							BgL_new1150z00_1741;
																																						BgL_new1150z00_1741
																																							=
																																							(
																																							(BgL_letzd2varzd2_bglt)
																																							BOBJECT
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_letzd2varzd2_bgl))));
																																						{	/* Return/walk.scm 212 */
																																							long
																																								BgL_arg1781z00_1742;
																																							BgL_arg1781z00_1742
																																								=
																																								BGL_CLASS_NUM
																																								(BGl_letzd2varzd2zzast_nodez00);
																																							BGL_OBJECT_CLASS_NUM_SET
																																								(
																																								((BgL_objectz00_bglt) BgL_new1150z00_1741), BgL_arg1781z00_1742);
																																						}
																																						{	/* Return/walk.scm 212 */
																																							BgL_objectz00_bglt
																																								BgL_tmpz00_4774;
																																							BgL_tmpz00_4774
																																								=
																																								(
																																								(BgL_objectz00_bglt)
																																								BgL_new1150z00_1741);
																																							BGL_OBJECT_WIDENING_SET
																																								(BgL_tmpz00_4774,
																																								BFALSE);
																																						}
																																						((BgL_objectz00_bglt) BgL_new1150z00_1741);
																																						BgL_new1143z00_1736
																																							=
																																							BgL_new1150z00_1741;
																																					}
																																					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1143z00_1736)))->BgL_locz00) = ((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_1721))->BgL_locz00)), BUNSPEC);
																																					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1143z00_1736)))->BgL_typez00) = ((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_1721))->BgL_typez00)), BUNSPEC);
																																					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1143z00_1736)))->BgL_sidezd2effectzd2) = ((obj_t) (((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1721)))->BgL_sidezd2effectzd2)), BUNSPEC);
																																					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1143z00_1736)))->BgL_keyz00) = ((obj_t) (((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1721)))->BgL_keyz00)), BUNSPEC);
																																					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1143z00_1736))->BgL_bindingsz00) = ((obj_t) (((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1721)))->BgL_bindingsz00)), BUNSPEC);
																																					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1143z00_1736))->BgL_bodyz00) = ((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1734)), BUNSPEC);
																																					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1143z00_1736))->BgL_removablezf3zf3) = ((bool_t) (((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1721)))->BgL_removablezf3zf3)), BUNSPEC);
																																					BgL_exitnodez00_1906
																																						=
																																						(
																																						(obj_t)
																																						BgL_new1143z00_1736);
																																				}
																																			else
																																				{	/* Return/walk.scm 211 */
																																					BgL_exitnodez00_1906
																																						=
																																						BFALSE;
																																				}
																																		}
																																	}
																																}
																															else
																																{	/* Return/walk.scm 208 */
																																	BgL_exitnodez00_1906
																																		= BFALSE;
																																}
																														}
																													else
																														{	/* Return/walk.scm 206 */
																															BgL_exitnodez00_1906
																																= BFALSE;
																														}
																												}
																											}
																											if (CBOOL
																												(BgL_exitnodez00_1906))
																												{	/* Return/walk.scm 295 */
																													obj_t
																														BgL_arg1967z00_1907;
																													BgL_arg1967z00_1907 =
																														CAR(((obj_t)
																															BgL_bindingz00_1904));
																													return
																														MAKE_YOUNG_PAIR
																														(BgL_arg1967z00_1907,
																														BgL_exitnodez00_1906);
																												}
																											else
																												{	/* Return/walk.scm 294 */
																													return BFALSE;
																												}
																										}
																									}
																								else
																									{	/* Return/walk.scm 291 */
																										return BFALSE;
																									}
																							}
																						else
																							{	/* Return/walk.scm 289 */
																								return BFALSE;
																							}
																					}
																				}
																			}
																		else
																			{	/* Return/walk.scm 315 */
																				return BFALSE;
																			}
																	}
																}
															}
														else
															{	/* Return/walk.scm 312 */
																return BFALSE;
															}
													}
												else
													{	/* Return/walk.scm 309 */
														return BFALSE;
													}
											}
										else
											{	/* Return/walk.scm 307 */
												return BFALSE;
											}
									}
								}
						}
					else
						{	/* Return/walk.scm 320 */
							return BFALSE;
						}
				}
			}
		}

	}



/* step8~0 */
	obj_t BGl_step8ze70ze7zzreturn_walkz00(BgL_nodez00_bglt BgL_nodez00_1588,
		BgL_localz00_bglt BgL_resz00_1589)
	{
		{	/* Return/walk.scm 162 */
			{	/* Return/walk.scm 149 */
				bool_t BgL_test2398z00_4808;

				{	/* Return/walk.scm 149 */
					obj_t BgL_classz00_2529;

					BgL_classz00_2529 = BGl_varz00zzast_nodez00;
					{	/* Return/walk.scm 149 */
						BgL_objectz00_bglt BgL_arg1825z00_2531;

						{	/* Return/walk.scm 149 */
							obj_t BgL_tmpz00_4809;

							BgL_tmpz00_4809 = ((obj_t) BgL_nodez00_1588);
							BgL_arg1825z00_2531 = (BgL_objectz00_bglt) (BgL_tmpz00_4809);
						}
						{	/* Return/walk.scm 149 */
							bool_t BgL_arg1822z00_2534;
							bool_t BgL_arg1823z00_2535;

							{	/* Return/walk.scm 149 */
								long BgL_idxz00_2538;

								BgL_idxz00_2538 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2531);
								BgL_arg1822z00_2534 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2538 + ((long) 2))) == BgL_classz00_2529);
							}
							{	/* Return/walk.scm 149 */
								bool_t BgL_res2180z00_2560;

								{	/* Return/walk.scm 149 */
									obj_t BgL_oclassz00_2546;

									{	/* Return/walk.scm 149 */
										long BgL_arg1833z00_2552;

										{	/* Return/walk.scm 149 */
											long BgL_arg1834z00_2553;

											BgL_arg1834z00_2553 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2531);
											BgL_arg1833z00_2552 = (BgL_arg1834z00_2553 - OBJECT_TYPE);
										}
										BgL_oclassz00_2546 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_2552);
									}
									{	/* Return/walk.scm 149 */
										bool_t BgL__ortest_1110z00_2547;

										BgL__ortest_1110z00_2547 =
											(BgL_classz00_2529 == BgL_oclassz00_2546);
										if (BgL__ortest_1110z00_2547)
											{	/* Return/walk.scm 149 */
												BgL_res2180z00_2560 = BgL__ortest_1110z00_2547;
											}
										else
											{	/* Return/walk.scm 149 */
												long BgL_odepthz00_2548;

												BgL_odepthz00_2548 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2546);
												if ((((long) 2) < BgL_odepthz00_2548))
													{	/* Return/walk.scm 149 */
														obj_t BgL_arg1821z00_2550;

														BgL_arg1821z00_2550 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2546,
															((long) 2));
														BgL_res2180z00_2560 =
															(BgL_arg1821z00_2550 == BgL_classz00_2529);
													}
												else
													{	/* Return/walk.scm 149 */
														BgL_res2180z00_2560 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_2535 = BgL_res2180z00_2560;
							}
							BgL_test2398z00_4808 =
								BGL_ISA_C_BACKEND(BgL_arg1822z00_2534, BgL_arg1823z00_2535);
						}
					}
				}
				if (BgL_test2398z00_4808)
					{	/* Return/walk.scm 149 */
						if (
							(((obj_t)
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_1588)))->
										BgL_variablez00)) == ((obj_t) BgL_resz00_1589)))
							{	/* Return/walk.scm 151 */
								return ((obj_t) BgL_nodez00_1588);
							}
						else
							{	/* Return/walk.scm 151 */
								return BFALSE;
							}
					}
				else
					{	/* Return/walk.scm 153 */
						bool_t BgL_test2402z00_4834;

						{	/* Return/walk.scm 153 */
							obj_t BgL_classz00_2561;

							BgL_classz00_2561 = BGl_appz00zzast_nodez00;
							{	/* Return/walk.scm 153 */
								BgL_objectz00_bglt BgL_arg1825z00_2563;

								{	/* Return/walk.scm 153 */
									obj_t BgL_tmpz00_4835;

									BgL_tmpz00_4835 = ((obj_t) BgL_nodez00_1588);
									BgL_arg1825z00_2563 = (BgL_objectz00_bglt) (BgL_tmpz00_4835);
								}
								{	/* Return/walk.scm 153 */
									bool_t BgL_arg1822z00_2566;
									bool_t BgL_arg1823z00_2567;

									{	/* Return/walk.scm 153 */
										long BgL_idxz00_2570;

										BgL_idxz00_2570 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2563);
										BgL_arg1822z00_2566 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2570 + ((long) 3))) == BgL_classz00_2561);
									}
									{	/* Return/walk.scm 153 */
										bool_t BgL_res2181z00_2592;

										{	/* Return/walk.scm 153 */
											obj_t BgL_oclassz00_2578;

											{	/* Return/walk.scm 153 */
												long BgL_arg1833z00_2584;

												{	/* Return/walk.scm 153 */
													long BgL_arg1834z00_2585;

													BgL_arg1834z00_2585 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2563);
													BgL_arg1833z00_2584 =
														(BgL_arg1834z00_2585 - OBJECT_TYPE);
												}
												BgL_oclassz00_2578 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2584);
											}
											{	/* Return/walk.scm 153 */
												bool_t BgL__ortest_1110z00_2579;

												BgL__ortest_1110z00_2579 =
													(BgL_classz00_2561 == BgL_oclassz00_2578);
												if (BgL__ortest_1110z00_2579)
													{	/* Return/walk.scm 153 */
														BgL_res2181z00_2592 = BgL__ortest_1110z00_2579;
													}
												else
													{	/* Return/walk.scm 153 */
														long BgL_odepthz00_2580;

														BgL_odepthz00_2580 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2578);
														if ((((long) 3) < BgL_odepthz00_2580))
															{	/* Return/walk.scm 153 */
																obj_t BgL_arg1821z00_2582;

																BgL_arg1821z00_2582 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2578,
																	((long) 3));
																BgL_res2181z00_2592 =
																	(BgL_arg1821z00_2582 == BgL_classz00_2561);
															}
														else
															{	/* Return/walk.scm 153 */
																BgL_res2181z00_2592 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2567 = BgL_res2181z00_2592;
									}
									BgL_test2402z00_4834 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2566, BgL_arg1823z00_2567);
								}
							}
						}
						if (BgL_test2402z00_4834)
							{	/* Return/walk.scm 155 */
								bool_t BgL_test2405z00_4853;

								{
									obj_t BgL_l1368z00_1610;

									{	/* Return/walk.scm 155 */
										obj_t BgL_tmpz00_4854;

										BgL_l1368z00_1610 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_1588)))->BgL_argsz00);
									BgL_zc3z04anonymousza31597ze3z87_1611:
										if (NULLP(BgL_l1368z00_1610))
											{	/* Return/walk.scm 155 */
												BgL_tmpz00_4854 = BFALSE;
											}
										else
											{	/* Return/walk.scm 155 */
												obj_t BgL__ortest_1371z00_1613;

												BgL__ortest_1371z00_1613 =
													BGl_step8ze70ze7zzreturn_walkz00(
													((BgL_nodez00_bglt)
														CAR(((obj_t) BgL_l1368z00_1610))), BgL_resz00_1589);
												if (CBOOL(BgL__ortest_1371z00_1613))
													{	/* Return/walk.scm 155 */
														BgL_tmpz00_4854 = BgL__ortest_1371z00_1613;
													}
												else
													{
														obj_t BgL_l1368z00_4863;

														BgL_l1368z00_4863 =
															CDR(((obj_t) BgL_l1368z00_1610));
														BgL_l1368z00_1610 = BgL_l1368z00_4863;
														goto BgL_zc3z04anonymousza31597ze3z87_1611;
													}
											}
										BgL_test2405z00_4853 = CBOOL(BgL_tmpz00_4854);
									}
								}
								if (BgL_test2405z00_4853)
									{	/* Return/walk.scm 155 */
										return ((obj_t) BgL_nodez00_1588);
									}
								else
									{	/* Return/walk.scm 155 */
										return BFALSE;
									}
							}
						else
							{	/* Return/walk.scm 157 */
								bool_t BgL_test2408z00_4870;

								{	/* Return/walk.scm 157 */
									obj_t BgL_classz00_2595;

									BgL_classz00_2595 = BGl_castz00zzast_nodez00;
									{	/* Return/walk.scm 157 */
										BgL_objectz00_bglt BgL_arg1825z00_2597;

										{	/* Return/walk.scm 157 */
											obj_t BgL_tmpz00_4871;

											BgL_tmpz00_4871 = ((obj_t) BgL_nodez00_1588);
											BgL_arg1825z00_2597 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4871);
										}
										{	/* Return/walk.scm 157 */
											bool_t BgL_arg1822z00_2600;
											bool_t BgL_arg1823z00_2601;

											{	/* Return/walk.scm 157 */
												long BgL_idxz00_2604;

												BgL_idxz00_2604 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2597);
												BgL_arg1822z00_2600 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2604 + ((long) 2))) ==
													BgL_classz00_2595);
											}
											{	/* Return/walk.scm 157 */
												bool_t BgL_res2182z00_2626;

												{	/* Return/walk.scm 157 */
													obj_t BgL_oclassz00_2612;

													{	/* Return/walk.scm 157 */
														long BgL_arg1833z00_2618;

														{	/* Return/walk.scm 157 */
															long BgL_arg1834z00_2619;

															BgL_arg1834z00_2619 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2597);
															BgL_arg1833z00_2618 =
																(BgL_arg1834z00_2619 - OBJECT_TYPE);
														}
														BgL_oclassz00_2612 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2618);
													}
													{	/* Return/walk.scm 157 */
														bool_t BgL__ortest_1110z00_2613;

														BgL__ortest_1110z00_2613 =
															(BgL_classz00_2595 == BgL_oclassz00_2612);
														if (BgL__ortest_1110z00_2613)
															{	/* Return/walk.scm 157 */
																BgL_res2182z00_2626 = BgL__ortest_1110z00_2613;
															}
														else
															{	/* Return/walk.scm 157 */
																long BgL_odepthz00_2614;

																BgL_odepthz00_2614 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2612);
																if ((((long) 2) < BgL_odepthz00_2614))
																	{	/* Return/walk.scm 157 */
																		obj_t BgL_arg1821z00_2616;

																		BgL_arg1821z00_2616 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2612, ((long) 2));
																		BgL_res2182z00_2626 =
																			(BgL_arg1821z00_2616 ==
																			BgL_classz00_2595);
																	}
																else
																	{	/* Return/walk.scm 157 */
																		BgL_res2182z00_2626 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2601 = BgL_res2182z00_2626;
											}
											BgL_test2408z00_4870 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2600,
												BgL_arg1823z00_2601);
										}
									}
								}
								if (BgL_test2408z00_4870)
									{	/* Return/walk.scm 157 */
										if (CBOOL(BGl_step8ze70ze7zzreturn_walkz00(
													(((BgL_castz00_bglt) COBJECT(
																((BgL_castz00_bglt) BgL_nodez00_1588)))->
														BgL_argz00), BgL_resz00_1589)))
											{	/* Return/walk.scm 159 */
												return ((obj_t) BgL_nodez00_1588);
											}
										else
											{	/* Return/walk.scm 159 */
												return BFALSE;
											}
									}
								else
									{	/* Return/walk.scm 157 */
										return BFALSE;
									}
							}
					}
			}
		}

	}



/* step6~0 */
	obj_t BGl_step6ze70ze7zzreturn_walkz00(BgL_nodez00_bglt BgL_nodez00_1658,
		BgL_localz00_bglt BgL_varz00_1659)
	{
		{	/* Return/walk.scm 186 */
			{
				BgL_nodez00_bglt BgL_nodez00_1622;

				{	/* Return/walk.scm 182 */
					bool_t BgL_test2412z00_4895;

					{	/* Return/walk.scm 182 */
						obj_t BgL_classz00_2726;

						BgL_classz00_2726 = BGl_sequencez00zzast_nodez00;
						{	/* Return/walk.scm 182 */
							BgL_objectz00_bglt BgL_arg1825z00_2728;

							{	/* Return/walk.scm 182 */
								obj_t BgL_tmpz00_4896;

								BgL_tmpz00_4896 = ((obj_t) BgL_nodez00_1658);
								BgL_arg1825z00_2728 = (BgL_objectz00_bglt) (BgL_tmpz00_4896);
							}
							{	/* Return/walk.scm 182 */
								bool_t BgL_arg1822z00_2731;
								bool_t BgL_arg1823z00_2732;

								{	/* Return/walk.scm 182 */
									long BgL_idxz00_2735;

									BgL_idxz00_2735 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2728);
									BgL_arg1822z00_2731 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2735 + ((long) 3))) == BgL_classz00_2726);
								}
								{	/* Return/walk.scm 182 */
									bool_t BgL_res2186z00_2757;

									{	/* Return/walk.scm 182 */
										obj_t BgL_oclassz00_2743;

										{	/* Return/walk.scm 182 */
											long BgL_arg1833z00_2749;

											{	/* Return/walk.scm 182 */
												long BgL_arg1834z00_2750;

												BgL_arg1834z00_2750 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2728);
												BgL_arg1833z00_2749 =
													(BgL_arg1834z00_2750 - OBJECT_TYPE);
											}
											BgL_oclassz00_2743 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2749);
										}
										{	/* Return/walk.scm 182 */
											bool_t BgL__ortest_1110z00_2744;

											BgL__ortest_1110z00_2744 =
												(BgL_classz00_2726 == BgL_oclassz00_2743);
											if (BgL__ortest_1110z00_2744)
												{	/* Return/walk.scm 182 */
													BgL_res2186z00_2757 = BgL__ortest_1110z00_2744;
												}
											else
												{	/* Return/walk.scm 182 */
													long BgL_odepthz00_2745;

													BgL_odepthz00_2745 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2743);
													if ((((long) 3) < BgL_odepthz00_2745))
														{	/* Return/walk.scm 182 */
															obj_t BgL_arg1821z00_2747;

															BgL_arg1821z00_2747 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2743,
																((long) 3));
															BgL_res2186z00_2757 =
																(BgL_arg1821z00_2747 == BgL_classz00_2726);
														}
													else
														{	/* Return/walk.scm 182 */
															BgL_res2186z00_2757 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2732 = BgL_res2186z00_2757;
								}
								BgL_test2412z00_4895 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2731, BgL_arg1823z00_2732);
							}
						}
					}
					if (BgL_test2412z00_4895)
						{	/* Return/walk.scm 182 */
							if (
								(bgl_list_length(
										(((BgL_sequencez00_bglt) COBJECT(
													((BgL_sequencez00_bglt) BgL_nodez00_1658)))->
											BgL_nodesz00)) == ((long) 2)))
								{	/* Return/walk.scm 185 */
									bool_t BgL_test2416z00_4919;

									{	/* Return/walk.scm 185 */
										obj_t BgL_pairz00_2759;

										BgL_pairz00_2759 =
											(((BgL_sequencez00_bglt) COBJECT(
													((BgL_sequencez00_bglt) BgL_nodez00_1658)))->
											BgL_nodesz00);
										BgL_nodez00_1622 =
											((BgL_nodez00_bglt) CAR(BgL_pairz00_2759));
									}
									{	/* Return/walk.scm 165 */
										bool_t BgL_test2417z00_4920;

										{	/* Return/walk.scm 165 */
											obj_t BgL_classz00_2627;

											BgL_classz00_2627 = BGl_appz00zzast_nodez00;
											{	/* Return/walk.scm 165 */
												BgL_objectz00_bglt BgL_arg1825z00_2629;

												{	/* Return/walk.scm 165 */
													obj_t BgL_tmpz00_4921;

													BgL_tmpz00_4921 = ((obj_t) BgL_nodez00_1622);
													BgL_arg1825z00_2629 =
														(BgL_objectz00_bglt) (BgL_tmpz00_4921);
												}
												{	/* Return/walk.scm 165 */
													bool_t BgL_arg1822z00_2632;
													bool_t BgL_arg1823z00_2633;

													{	/* Return/walk.scm 165 */
														long BgL_idxz00_2636;

														BgL_idxz00_2636 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2629);
														BgL_arg1822z00_2632 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2636 + ((long) 3))) ==
															BgL_classz00_2627);
													}
													{	/* Return/walk.scm 165 */
														bool_t BgL_res2183z00_2658;

														{	/* Return/walk.scm 165 */
															obj_t BgL_oclassz00_2644;

															{	/* Return/walk.scm 165 */
																long BgL_arg1833z00_2650;

																{	/* Return/walk.scm 165 */
																	long BgL_arg1834z00_2651;

																	BgL_arg1834z00_2651 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2629);
																	BgL_arg1833z00_2650 =
																		(BgL_arg1834z00_2651 - OBJECT_TYPE);
																}
																BgL_oclassz00_2644 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2650);
															}
															{	/* Return/walk.scm 165 */
																bool_t BgL__ortest_1110z00_2645;

																BgL__ortest_1110z00_2645 =
																	(BgL_classz00_2627 == BgL_oclassz00_2644);
																if (BgL__ortest_1110z00_2645)
																	{	/* Return/walk.scm 165 */
																		BgL_res2183z00_2658 =
																			BgL__ortest_1110z00_2645;
																	}
																else
																	{	/* Return/walk.scm 165 */
																		long BgL_odepthz00_2646;

																		BgL_odepthz00_2646 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2644);
																		if ((((long) 3) < BgL_odepthz00_2646))
																			{	/* Return/walk.scm 165 */
																				obj_t BgL_arg1821z00_2648;

																				BgL_arg1821z00_2648 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2644, ((long) 3));
																				BgL_res2183z00_2658 =
																					(BgL_arg1821z00_2648 ==
																					BgL_classz00_2627);
																			}
																		else
																			{	/* Return/walk.scm 165 */
																				BgL_res2183z00_2658 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2633 = BgL_res2183z00_2658;
													}
													BgL_test2417z00_4920 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2632,
														BgL_arg1823z00_2633);
												}
											}
										}
										if (BgL_test2417z00_4920)
											{	/* Return/walk.scm 165 */
												if (NULLP(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_1622)))->
															BgL_argsz00)))
													{	/* Return/walk.scm 168 */
														BgL_varz00_bglt BgL_i1127z00_1628;

														BgL_i1127z00_1628 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_1622)))->
															BgL_funz00);
														{	/* Return/walk.scm 169 */
															BgL_variablez00_bglt BgL_arg1619z00_1629;

															BgL_arg1619z00_1629 =
																(((BgL_varz00_bglt)
																	COBJECT(BgL_i1127z00_1628))->BgL_variablez00);
															BgL_test2416z00_4919 =
																(((obj_t) BgL_arg1619z00_1629) ==
																BGl_za2popzd2exitz12za2zc0zzreturn_walkz00);
														}
													}
												else
													{	/* Return/walk.scm 167 */
														BgL_test2416z00_4919 = ((bool_t) 0);
													}
											}
										else
											{	/* Return/walk.scm 165 */
												BgL_test2416z00_4919 = ((bool_t) 0);
											}
									}
									if (BgL_test2416z00_4919)
										{	/* Return/walk.scm 186 */
											obj_t BgL_arg1706z00_1669;

											{	/* Return/walk.scm 186 */
												obj_t BgL_pairz00_2760;

												BgL_pairz00_2760 =
													(((BgL_sequencez00_bglt) COBJECT(
															((BgL_sequencez00_bglt) BgL_nodez00_1658)))->
													BgL_nodesz00);
												BgL_arg1706z00_1669 = CAR(CDR(BgL_pairz00_2760));
											}
											return
												BGl_step8ze70ze7zzreturn_walkz00(
												((BgL_nodez00_bglt) BgL_arg1706z00_1669),
												BgL_varz00_1659);
										}
									else
										{	/* Return/walk.scm 185 */
											return BFALSE;
										}
								}
							else
								{	/* Return/walk.scm 184 */
									return BFALSE;
								}
						}
					else
						{	/* Return/walk.scm 182 */
							return BFALSE;
						}
				}
			}
		}

	}



/* step6b~0 */
	obj_t BGl_step6bze70ze7zzreturn_walkz00(BgL_nodez00_bglt BgL_nodez00_1675,
		BgL_localz00_bglt BgL_varz00_1676, obj_t BgL_envz00_1677)
	{
		{	/* Return/walk.scm 193 */
			{
				BgL_nodez00_bglt BgL_nodez00_1631;
				obj_t BgL_envz00_1632;

				{	/* Return/walk.scm 189 */
					bool_t BgL_test2421z00_4958;

					{	/* Return/walk.scm 189 */
						obj_t BgL_classz00_2764;

						BgL_classz00_2764 = BGl_sequencez00zzast_nodez00;
						{	/* Return/walk.scm 189 */
							BgL_objectz00_bglt BgL_arg1825z00_2766;

							{	/* Return/walk.scm 189 */
								obj_t BgL_tmpz00_4959;

								BgL_tmpz00_4959 = ((obj_t) BgL_nodez00_1675);
								BgL_arg1825z00_2766 = (BgL_objectz00_bglt) (BgL_tmpz00_4959);
							}
							{	/* Return/walk.scm 189 */
								bool_t BgL_arg1822z00_2769;
								bool_t BgL_arg1823z00_2770;

								{	/* Return/walk.scm 189 */
									long BgL_idxz00_2773;

									BgL_idxz00_2773 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2766);
									BgL_arg1822z00_2769 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2773 + ((long) 3))) == BgL_classz00_2764);
								}
								{	/* Return/walk.scm 189 */
									bool_t BgL_res2187z00_2795;

									{	/* Return/walk.scm 189 */
										obj_t BgL_oclassz00_2781;

										{	/* Return/walk.scm 189 */
											long BgL_arg1833z00_2787;

											{	/* Return/walk.scm 189 */
												long BgL_arg1834z00_2788;

												BgL_arg1834z00_2788 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2766);
												BgL_arg1833z00_2787 =
													(BgL_arg1834z00_2788 - OBJECT_TYPE);
											}
											BgL_oclassz00_2781 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2787);
										}
										{	/* Return/walk.scm 189 */
											bool_t BgL__ortest_1110z00_2782;

											BgL__ortest_1110z00_2782 =
												(BgL_classz00_2764 == BgL_oclassz00_2781);
											if (BgL__ortest_1110z00_2782)
												{	/* Return/walk.scm 189 */
													BgL_res2187z00_2795 = BgL__ortest_1110z00_2782;
												}
											else
												{	/* Return/walk.scm 189 */
													long BgL_odepthz00_2783;

													BgL_odepthz00_2783 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2781);
													if ((((long) 3) < BgL_odepthz00_2783))
														{	/* Return/walk.scm 189 */
															obj_t BgL_arg1821z00_2785;

															BgL_arg1821z00_2785 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2781,
																((long) 3));
															BgL_res2187z00_2795 =
																(BgL_arg1821z00_2785 == BgL_classz00_2764);
														}
													else
														{	/* Return/walk.scm 189 */
															BgL_res2187z00_2795 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2770 = BgL_res2187z00_2795;
								}
								BgL_test2421z00_4958 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2769, BgL_arg1823z00_2770);
							}
						}
					}
					if (BgL_test2421z00_4958)
						{	/* Return/walk.scm 189 */
							if (
								(bgl_list_length(
										(((BgL_sequencez00_bglt) COBJECT(
													((BgL_sequencez00_bglt) BgL_nodez00_1675)))->
											BgL_nodesz00)) == ((long) 2)))
								{	/* Return/walk.scm 192 */
									bool_t BgL_test2425z00_4982;

									{	/* Return/walk.scm 192 */
										obj_t BgL_pairz00_2797;

										BgL_pairz00_2797 =
											(((BgL_sequencez00_bglt) COBJECT(
													((BgL_sequencez00_bglt) BgL_nodez00_1675)))->
											BgL_nodesz00);
										BgL_nodez00_1631 =
											((BgL_nodez00_bglt) CAR(BgL_pairz00_2797));
									}
									BgL_envz00_1632 = BgL_envz00_1677;
									{	/* Return/walk.scm 172 */
										bool_t BgL_test2426z00_4983;

										{	/* Return/walk.scm 172 */
											obj_t BgL_classz00_2659;

											BgL_classz00_2659 = BGl_appz00zzast_nodez00;
											{	/* Return/walk.scm 172 */
												BgL_objectz00_bglt BgL_arg1825z00_2661;

												{	/* Return/walk.scm 172 */
													obj_t BgL_tmpz00_4984;

													BgL_tmpz00_4984 = ((obj_t) BgL_nodez00_1631);
													BgL_arg1825z00_2661 =
														(BgL_objectz00_bglt) (BgL_tmpz00_4984);
												}
												{	/* Return/walk.scm 172 */
													bool_t BgL_arg1822z00_2664;
													bool_t BgL_arg1823z00_2665;

													{	/* Return/walk.scm 172 */
														long BgL_idxz00_2668;

														BgL_idxz00_2668 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2661);
														BgL_arg1822z00_2664 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2668 + ((long) 3))) ==
															BgL_classz00_2659);
													}
													{	/* Return/walk.scm 172 */
														bool_t BgL_res2184z00_2690;

														{	/* Return/walk.scm 172 */
															obj_t BgL_oclassz00_2676;

															{	/* Return/walk.scm 172 */
																long BgL_arg1833z00_2682;

																{	/* Return/walk.scm 172 */
																	long BgL_arg1834z00_2683;

																	BgL_arg1834z00_2683 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2661);
																	BgL_arg1833z00_2682 =
																		(BgL_arg1834z00_2683 - OBJECT_TYPE);
																}
																BgL_oclassz00_2676 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_2682);
															}
															{	/* Return/walk.scm 172 */
																bool_t BgL__ortest_1110z00_2677;

																BgL__ortest_1110z00_2677 =
																	(BgL_classz00_2659 == BgL_oclassz00_2676);
																if (BgL__ortest_1110z00_2677)
																	{	/* Return/walk.scm 172 */
																		BgL_res2184z00_2690 =
																			BgL__ortest_1110z00_2677;
																	}
																else
																	{	/* Return/walk.scm 172 */
																		long BgL_odepthz00_2678;

																		BgL_odepthz00_2678 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2676);
																		if ((((long) 3) < BgL_odepthz00_2678))
																			{	/* Return/walk.scm 172 */
																				obj_t BgL_arg1821z00_2680;

																				BgL_arg1821z00_2680 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2676, ((long) 3));
																				BgL_res2184z00_2690 =
																					(BgL_arg1821z00_2680 ==
																					BgL_classz00_2659);
																			}
																		else
																			{	/* Return/walk.scm 172 */
																				BgL_res2184z00_2690 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_2665 = BgL_res2184z00_2690;
													}
													BgL_test2426z00_4983 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_2664,
														BgL_arg1823z00_2665);
												}
											}
										}
										if (BgL_test2426z00_4983)
											{	/* Return/walk.scm 174 */
												bool_t BgL_test2429z00_5002;

												{	/* Return/walk.scm 174 */
													bool_t BgL_test2430z00_5003;

													{	/* Return/walk.scm 174 */
														obj_t BgL_tmpz00_5004;

														BgL_tmpz00_5004 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_1631)))->
															BgL_argsz00);
														BgL_test2430z00_5003 = PAIRP(BgL_tmpz00_5004);
													}
													if (BgL_test2430z00_5003)
														{	/* Return/walk.scm 174 */
															obj_t BgL_tmpz00_5008;

															{	/* Return/walk.scm 174 */
																obj_t BgL_pairz00_2691;

																BgL_pairz00_2691 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_1631)))->
																	BgL_argsz00);
																BgL_tmpz00_5008 = CDR(BgL_pairz00_2691);
															}
															BgL_test2429z00_5002 = NULLP(BgL_tmpz00_5008);
														}
													else
														{	/* Return/walk.scm 174 */
															BgL_test2429z00_5002 = ((bool_t) 0);
														}
												}
												if (BgL_test2429z00_5002)
													{	/* Return/walk.scm 175 */
														BgL_varz00_bglt BgL_i1129z00_1642;

														BgL_i1129z00_1642 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_1631)))->
															BgL_funz00);
														{	/* Return/walk.scm 176 */
															bool_t BgL_test2431z00_5015;

															{	/* Return/walk.scm 176 */
																BgL_variablez00_bglt BgL_arg1678z00_1653;

																BgL_arg1678z00_1653 =
																	(((BgL_varz00_bglt)
																		COBJECT(BgL_i1129z00_1642))->
																	BgL_variablez00);
																BgL_test2431z00_5015 =
																	(((obj_t) BgL_arg1678z00_1653) ==
																	BGl_za2envzd2popzd2exitz12za2z12zzreturn_walkz00);
															}
															if (BgL_test2431z00_5015)
																{	/* Return/walk.scm 177 */
																	bool_t BgL_test2432z00_5019;

																	{	/* Return/walk.scm 177 */
																		obj_t BgL_arg1675z00_1651;

																		{	/* Return/walk.scm 177 */
																			obj_t BgL_pairz00_2692;

																			BgL_pairz00_2692 =
																				(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							BgL_nodez00_1631)))->BgL_argsz00);
																			BgL_arg1675z00_1651 =
																				CAR(BgL_pairz00_2692);
																		}
																		{	/* Return/walk.scm 177 */
																			obj_t BgL_classz00_2693;

																			BgL_classz00_2693 =
																				BGl_varz00zzast_nodez00;
																			if (BGL_OBJECTP(BgL_arg1675z00_1651))
																				{	/* Return/walk.scm 177 */
																					BgL_objectz00_bglt
																						BgL_arg1825z00_2695;
																					BgL_arg1825z00_2695 =
																						(BgL_objectz00_bglt)
																						(BgL_arg1675z00_1651);
																					{	/* Return/walk.scm 177 */
																						bool_t BgL_arg1822z00_2698;
																						bool_t BgL_arg1823z00_2699;

																						{	/* Return/walk.scm 177 */
																							long BgL_idxz00_2702;

																							BgL_idxz00_2702 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1825z00_2695);
																							BgL_arg1822z00_2698 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_2702 +
																										((long) 2))) ==
																								BgL_classz00_2693);
																						}
																						{	/* Return/walk.scm 177 */
																							bool_t BgL_res2185z00_2724;

																							{	/* Return/walk.scm 177 */
																								obj_t BgL_oclassz00_2710;

																								{	/* Return/walk.scm 177 */
																									long BgL_arg1833z00_2716;

																									{	/* Return/walk.scm 177 */
																										long BgL_arg1834z00_2717;

																										BgL_arg1834z00_2717 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1825z00_2695);
																										BgL_arg1833z00_2716 =
																											(BgL_arg1834z00_2717 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_2710 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1833z00_2716);
																								}
																								{	/* Return/walk.scm 177 */
																									bool_t
																										BgL__ortest_1110z00_2711;
																									BgL__ortest_1110z00_2711 =
																										(BgL_classz00_2693 ==
																										BgL_oclassz00_2710);
																									if (BgL__ortest_1110z00_2711)
																										{	/* Return/walk.scm 177 */
																											BgL_res2185z00_2724 =
																												BgL__ortest_1110z00_2711;
																										}
																									else
																										{	/* Return/walk.scm 177 */
																											long BgL_odepthz00_2712;

																											BgL_odepthz00_2712 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_2710);
																											if ((((long) 2) <
																													BgL_odepthz00_2712))
																												{	/* Return/walk.scm 177 */
																													obj_t
																														BgL_arg1821z00_2714;
																													BgL_arg1821z00_2714 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_2710,
																														((long) 2));
																													BgL_res2185z00_2724 =
																														(BgL_arg1821z00_2714
																														==
																														BgL_classz00_2693);
																												}
																											else
																												{	/* Return/walk.scm 177 */
																													BgL_res2185z00_2724 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_arg1823z00_2699 =
																								BgL_res2185z00_2724;
																						}
																						BgL_test2432z00_5019 =
																							BGL_ISA_C_BACKEND
																							(BgL_arg1822z00_2698,
																							BgL_arg1823z00_2699);
																					}
																				}
																			else
																				{	/* Return/walk.scm 177 */
																					BgL_test2432z00_5019 = ((bool_t) 0);
																				}
																		}
																	}
																	if (BgL_test2432z00_5019)
																		{	/* Return/walk.scm 179 */
																			obj_t BgL_tmpz00_5041;

																			{
																				BgL_variablez00_bglt BgL_auxz00_5042;

																				{
																					BgL_varz00_bglt BgL_auxz00_5043;

																					{	/* Return/walk.scm 178 */
																						obj_t BgL_pairz00_2725;

																						BgL_pairz00_2725 =
																							(((BgL_appz00_bglt) COBJECT(
																									((BgL_appz00_bglt)
																										BgL_nodez00_1631)))->
																							BgL_argsz00);
																						BgL_auxz00_5043 =
																							((BgL_varz00_bglt)
																							CAR(BgL_pairz00_2725));
																					}
																					BgL_auxz00_5042 =
																						(((BgL_varz00_bglt)
																							COBJECT(BgL_auxz00_5043))->
																						BgL_variablez00);
																				}
																				BgL_tmpz00_5041 =
																					((obj_t) BgL_auxz00_5042);
																			}
																			BgL_test2425z00_4982 =
																				(BgL_tmpz00_5041 == BgL_envz00_1632);
																		}
																	else
																		{	/* Return/walk.scm 177 */
																			BgL_test2425z00_4982 = ((bool_t) 0);
																		}
																}
															else
																{	/* Return/walk.scm 176 */
																	BgL_test2425z00_4982 = ((bool_t) 0);
																}
														}
													}
												else
													{	/* Return/walk.scm 174 */
														BgL_test2425z00_4982 = ((bool_t) 0);
													}
											}
										else
											{	/* Return/walk.scm 172 */
												BgL_test2425z00_4982 = ((bool_t) 0);
											}
									}
									if (BgL_test2425z00_4982)
										{	/* Return/walk.scm 193 */
											obj_t BgL_arg1728z00_1687;

											{	/* Return/walk.scm 193 */
												obj_t BgL_pairz00_2798;

												BgL_pairz00_2798 =
													(((BgL_sequencez00_bglt) COBJECT(
															((BgL_sequencez00_bglt) BgL_nodez00_1675)))->
													BgL_nodesz00);
												BgL_arg1728z00_1687 = CAR(CDR(BgL_pairz00_2798));
											}
											return
												BGl_step8ze70ze7zzreturn_walkz00(
												((BgL_nodez00_bglt) BgL_arg1728z00_1687),
												BgL_varz00_1676);
										}
									else
										{	/* Return/walk.scm 192 */
											return BFALSE;
										}
								}
							else
								{	/* Return/walk.scm 191 */
									return BFALSE;
								}
						}
					else
						{	/* Return/walk.scm 189 */
							return BFALSE;
						}
				}
			}
		}

	}



/* is-unwind-until? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2unwindzd2untilzf3zf3zzreturn_walkz00(BgL_variablez00_bglt
		BgL_vz00_20)
	{
		{	/* Return/walk.scm 328 */
			return
				(
				((obj_t) BgL_vz00_20) ==
				BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00);
		}

	}



/* &is-unwind-until? */
	obj_t BGl_z62iszd2unwindzd2untilzf3z91zzreturn_walkz00(obj_t BgL_envz00_3714,
		obj_t BgL_vz00_3715)
	{
		{	/* Return/walk.scm 328 */
			return
				BBOOL(BGl_iszd2unwindzd2untilzf3zf3zzreturn_walkz00(
					((BgL_variablez00_bglt) BgL_vz00_3715)));
		}

	}



/* is-get-exitd-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2getzd2exitdzd2topzf3z21zzreturn_walkz00(BgL_variablez00_bglt
		BgL_vz00_21)
	{
		{	/* Return/walk.scm 334 */
			return
				(
				((obj_t) BgL_vz00_21) ==
				BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00);
		}

	}



/* &is-get-exitd-top? */
	obj_t BGl_z62iszd2getzd2exitdzd2topzf3z43zzreturn_walkz00(obj_t
		BgL_envz00_3716, obj_t BgL_vz00_3717)
	{
		{	/* Return/walk.scm 334 */
			return
				BBOOL(BGl_iszd2getzd2exitdzd2topzf3z21zzreturn_walkz00(
					((BgL_variablez00_bglt) BgL_vz00_3717)));
		}

	}



/* is-exit-return? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2exitzd2returnzf3zf3zzreturn_walkz00(BgL_nodez00_bglt
		BgL_nodez00_22, BgL_localz00_bglt BgL_exitvarz00_23)
	{
		{	/* Return/walk.scm 342 */
			return
				CBOOL(BGl_zc3z04exitza32013ze3ze70z60zzreturn_walkz00(BgL_nodez00_22,
					BgL_exitvarz00_23));
		}

	}



/* <@exit:2013>~0 */
	obj_t BGl_zc3z04exitza32013ze3ze70z60zzreturn_walkz00(BgL_nodez00_bglt
		BgL_nodez00_3772, BgL_localz00_bglt BgL_exitvarz00_3771)
	{
		{	/* Return/walk.scm 343 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1177z00_1984;

			if (SET_EXIT(BgL_an_exit1177z00_1984))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1177z00_1984 = (void *) jmpbuf;
					{	/* Return/walk.scm 343 */
						obj_t BgL_env1181z00_1985;

						BgL_env1181z00_1985 = BGL_CURRENT_DYNAMIC_ENV();
						PUSH_ENV_EXIT(BgL_env1181z00_1985, BgL_an_exit1177z00_1984,
							((long) 1));
						{	/* Return/walk.scm 343 */
							obj_t BgL_an_exitd1178z00_1986;

							BgL_an_exitd1178z00_1986 =
								BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1181z00_1985);
							{	/* Return/walk.scm 343 */
								obj_t BgL_abortz00_3718;

								BgL_abortz00_3718 =
									MAKE_FX_PROCEDURE(BGl_z62abortz62zzreturn_walkz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_abortz00_3718,
									(int) (((long) 0)), BgL_an_exitd1178z00_1986);
								{	/* Return/walk.scm 343 */
									bool_t BgL_res1180z00_1989;

									{	/* Return/walk.scm 344 */
										obj_t BgL_arg2014z00_1990;

										{	/* Return/walk.scm 344 */
											obj_t BgL_list2015z00_1991;

											BgL_list2015z00_1991 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_exitvarz00_3771), BNIL);
											BgL_arg2014z00_1990 = BgL_list2015z00_1991;
										}
										BGl_iszd2returnzf3z21zzreturn_walkz00(BgL_nodez00_3772,
											BgL_arg2014z00_1990, BgL_abortz00_3718);
									}
									BgL_res1180z00_1989 = ((bool_t) 1);
									POP_ENV_EXIT(BgL_env1181z00_1985);
									return BBOOL(BgL_res1180z00_1989);
								}
							}
						}
					}
				}
		}

	}



/* &is-exit-return? */
	obj_t BGl_z62iszd2exitzd2returnzf3z91zzreturn_walkz00(obj_t BgL_envz00_3719,
		obj_t BgL_nodez00_3720, obj_t BgL_exitvarz00_3721)
	{
		{	/* Return/walk.scm 342 */
			return
				BBOOL(BGl_iszd2exitzd2returnzf3zf3zzreturn_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_3720),
					((BgL_localz00_bglt) BgL_exitvarz00_3721)));
		}

	}



/* &abort */
	obj_t BGl_z62abortz62zzreturn_walkz00(obj_t BgL_envz00_3722,
		obj_t BgL_val1179z00_3724)
	{
		{	/* Return/walk.scm 343 */
			return
				unwind_stack_until(PROCEDURE_REF(BgL_envz00_3722,
					(int) (((long) 0))), BFALSE, BgL_val1179z00_3724, BFALSE, BFALSE);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreturn_walkz00()
	{
		{	/* Return/walk.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreturn_walkz00()
	{
		{	/* Return/walk.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
				BGl_proc2234z00zzreturn_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2235z00zzreturn_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_returnz12zd2envzc0zzreturn_walkz00,
				BGl_proc2236z00zzreturn_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2237z00zzreturn_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_returnzd2gotozd2funsz12zd2envzc0zzreturn_walkz00,
				BGl_proc2238z00zzreturn_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2239z00zzreturn_walkz00);
		}

	}



/* &return-goto-funs!1389 */
	obj_t BGl_z62returnzd2gotozd2funsz121389z70zzreturn_walkz00(obj_t
		BgL_envz00_3738, obj_t BgL_nodez00_3739)
	{
		{	/* Return/walk.scm 435 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_3739),
					BGl_returnzd2gotozd2funsz12zd2envzc0zzreturn_walkz00));
		}

	}



/* &return!1383 */
	obj_t BGl_z62returnz121383z70zzreturn_walkz00(obj_t BgL_envz00_3740,
		obj_t BgL_nodez00_3741, obj_t BgL_exitvarz00_3742, obj_t BgL_rblockz00_3743)
	{
		{	/* Return/walk.scm 409 */
			{
				BgL_nodez00_bglt BgL_auxz00_5101;

				{

					BgL_auxz00_5101 =
						BGl_walk2z12z12zzast_walkz00(
						((BgL_nodez00_bglt) BgL_nodez00_3741),
						BGl_returnz12zd2envzc0zzreturn_walkz00,
						((obj_t) ((BgL_localz00_bglt) BgL_exitvarz00_3742)),
						((obj_t) ((BgL_retblockz00_bglt) BgL_rblockz00_3743)));
				}
				return ((obj_t) BgL_auxz00_5101);
			}
		}

	}



/* &is-return?1375 */
	obj_t BGl_z62iszd2returnzf31375z43zzreturn_walkz00(obj_t BgL_envz00_3744,
		obj_t BgL_nodez00_3745, obj_t BgL_exitvarz00_3746, obj_t BgL_abortz00_3747)
	{
		{	/* Return/walk.scm 350 */
			{

				return
					BGl_walk2z00zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_3745),
					BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
					((obj_t) BgL_exitvarz00_3746), BgL_abortz00_3747);
			}
		}

	}



/* is-return? */
	obj_t BGl_iszd2returnzf3z21zzreturn_walkz00(BgL_nodez00_bglt BgL_nodez00_24,
		obj_t BgL_exitvarz00_25, obj_t BgL_abortz00_26)
	{
		{	/* Return/walk.scm 350 */
			{	/* Return/walk.scm 350 */
				obj_t BgL_method1376z00_2049;

				{	/* Return/walk.scm 350 */
					obj_t BgL_res2211z00_3488;

					{	/* Return/walk.scm 350 */
						long BgL_objzd2classzd2numz00_3459;

						BgL_objzd2classzd2numz00_3459 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_24));
						{	/* Return/walk.scm 350 */
							obj_t BgL_arg1829z00_3460;

							BgL_arg1829z00_3460 =
								PROCEDURE_REF(BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
								(int) (((long) 1)));
							{	/* Return/walk.scm 350 */
								int BgL_offsetz00_3463;

								BgL_offsetz00_3463 = (int) (BgL_objzd2classzd2numz00_3459);
								{	/* Return/walk.scm 350 */
									long BgL_offsetz00_3464;

									BgL_offsetz00_3464 =
										((long) (BgL_offsetz00_3463) - OBJECT_TYPE);
									{	/* Return/walk.scm 350 */
										long BgL_modz00_3465;

										BgL_modz00_3465 =
											(BgL_offsetz00_3464 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Return/walk.scm 350 */
											long BgL_restz00_3467;

											BgL_restz00_3467 =
												(BgL_offsetz00_3464 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Return/walk.scm 350 */

												{	/* Return/walk.scm 350 */
													obj_t BgL_bucketz00_3469;

													BgL_bucketz00_3469 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3460), BgL_modz00_3465);
													BgL_res2211z00_3488 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3469), BgL_restz00_3467);
					}}}}}}}}
					BgL_method1376z00_2049 = BgL_res2211z00_3488;
				}
				return
					PROCEDURE_ENTRY(BgL_method1376z00_2049) (BgL_method1376z00_2049,
					((obj_t) BgL_nodez00_24), BgL_exitvarz00_25, BgL_abortz00_26, BEOA);
			}
		}

	}



/* &is-return? */
	obj_t BGl_z62iszd2returnzf3z43zzreturn_walkz00(obj_t BgL_envz00_3734,
		obj_t BgL_nodez00_3735, obj_t BgL_exitvarz00_3736, obj_t BgL_abortz00_3737)
	{
		{	/* Return/walk.scm 350 */
			return
				BGl_iszd2returnzf3z21zzreturn_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3735), BgL_exitvarz00_3736,
				BgL_abortz00_3737);
		}

	}



/* return! */
	BgL_nodez00_bglt BGl_returnz12z12zzreturn_walkz00(BgL_nodez00_bglt
		BgL_nodez00_36, BgL_localz00_bglt BgL_exitvarz00_37,
		BgL_retblockz00_bglt BgL_rblockz00_38)
	{
		{	/* Return/walk.scm 409 */
			{	/* Return/walk.scm 409 */
				obj_t BgL_method1385z00_2050;

				{	/* Return/walk.scm 409 */
					obj_t BgL_res2216z00_3519;

					{	/* Return/walk.scm 409 */
						long BgL_objzd2classzd2numz00_3490;

						BgL_objzd2classzd2numz00_3490 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_36));
						{	/* Return/walk.scm 409 */
							obj_t BgL_arg1829z00_3491;

							BgL_arg1829z00_3491 =
								PROCEDURE_REF(BGl_returnz12zd2envzc0zzreturn_walkz00,
								(int) (((long) 1)));
							{	/* Return/walk.scm 409 */
								int BgL_offsetz00_3494;

								BgL_offsetz00_3494 = (int) (BgL_objzd2classzd2numz00_3490);
								{	/* Return/walk.scm 409 */
									long BgL_offsetz00_3495;

									BgL_offsetz00_3495 =
										((long) (BgL_offsetz00_3494) - OBJECT_TYPE);
									{	/* Return/walk.scm 409 */
										long BgL_modz00_3496;

										BgL_modz00_3496 =
											(BgL_offsetz00_3495 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Return/walk.scm 409 */
											long BgL_restz00_3498;

											BgL_restz00_3498 =
												(BgL_offsetz00_3495 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Return/walk.scm 409 */

												{	/* Return/walk.scm 409 */
													obj_t BgL_bucketz00_3500;

													BgL_bucketz00_3500 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3491), BgL_modz00_3496);
													BgL_res2216z00_3519 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3500), BgL_restz00_3498);
					}}}}}}}}
					BgL_method1385z00_2050 = BgL_res2216z00_3519;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1385z00_2050) (BgL_method1385z00_2050,
						((obj_t) BgL_nodez00_36),
						((obj_t) BgL_exitvarz00_37), ((obj_t) BgL_rblockz00_38), BEOA));
			}
		}

	}



/* &return! */
	BgL_nodez00_bglt BGl_z62returnz12z70zzreturn_walkz00(obj_t BgL_envz00_3729,
		obj_t BgL_nodez00_3730, obj_t BgL_exitvarz00_3731, obj_t BgL_rblockz00_3732)
	{
		{	/* Return/walk.scm 409 */
			return
				BGl_returnz12z12zzreturn_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3730),
				((BgL_localz00_bglt) BgL_exitvarz00_3731),
				((BgL_retblockz00_bglt) BgL_rblockz00_3732));
		}

	}



/* return-goto-funs! */
	BgL_nodez00_bglt
		BGl_returnzd2gotozd2funsz12z12zzreturn_walkz00(BgL_nodez00_bglt
		BgL_nodez00_42)
	{
		{	/* Return/walk.scm 435 */
			{	/* Return/walk.scm 435 */
				obj_t BgL_method1391z00_2051;

				{	/* Return/walk.scm 435 */
					obj_t BgL_res2221z00_3550;

					{	/* Return/walk.scm 435 */
						long BgL_objzd2classzd2numz00_3521;

						BgL_objzd2classzd2numz00_3521 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_42));
						{	/* Return/walk.scm 435 */
							obj_t BgL_arg1829z00_3522;

							BgL_arg1829z00_3522 =
								PROCEDURE_REF
								(BGl_returnzd2gotozd2funsz12zd2envzc0zzreturn_walkz00,
								(int) (((long) 1)));
							{	/* Return/walk.scm 435 */
								int BgL_offsetz00_3525;

								BgL_offsetz00_3525 = (int) (BgL_objzd2classzd2numz00_3521);
								{	/* Return/walk.scm 435 */
									long BgL_offsetz00_3526;

									BgL_offsetz00_3526 =
										((long) (BgL_offsetz00_3525) - OBJECT_TYPE);
									{	/* Return/walk.scm 435 */
										long BgL_modz00_3527;

										BgL_modz00_3527 =
											(BgL_offsetz00_3526 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Return/walk.scm 435 */
											long BgL_restz00_3529;

											BgL_restz00_3529 =
												(BgL_offsetz00_3526 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Return/walk.scm 435 */

												{	/* Return/walk.scm 435 */
													obj_t BgL_bucketz00_3531;

													BgL_bucketz00_3531 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3522), BgL_modz00_3527);
													BgL_res2221z00_3550 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3531), BgL_restz00_3529);
					}}}}}}}}
					BgL_method1391z00_2051 = BgL_res2221z00_3550;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1391z00_2051) (BgL_method1391z00_2051,
						((obj_t) BgL_nodez00_42), BEOA));
			}
		}

	}



/* &return-goto-funs! */
	BgL_nodez00_bglt BGl_z62returnzd2gotozd2funsz12z70zzreturn_walkz00(obj_t
		BgL_envz00_3726, obj_t BgL_nodez00_3727)
	{
		{	/* Return/walk.scm 435 */
			return
				BGl_returnzd2gotozd2funsz12z12zzreturn_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3727));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreturn_walkz00()
	{
		{	/* Return/walk.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00, BGl_varz00zzast_nodez00,
				BGl_proc2240z00zzreturn_walkz00, BGl_string2241z00zzreturn_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2242z00zzreturn_walkz00,
				BGl_string2241z00zzreturn_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2243z00zzreturn_walkz00, BGl_string2241z00zzreturn_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_returnz12zd2envzc0zzreturn_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2244z00zzreturn_walkz00, BGl_string2245z00zzreturn_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_returnzd2gotozd2funsz12zd2envzc0zzreturn_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2246z00zzreturn_walkz00,
				BGl_string2247z00zzreturn_walkz00);
		}

	}



/* &return-goto-funs!-le1394 */
	BgL_nodez00_bglt
		BGl_z62returnzd2gotozd2funsz12zd2le1394za2zzreturn_walkz00(obj_t
		BgL_envz00_3753, obj_t BgL_nodez00_3754)
	{
		{	/* Return/walk.scm 441 */
			{	/* Return/walk.scm 443 */
				obj_t BgL_g1374z00_3795;

				BgL_g1374z00_3795 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3754)))->BgL_localsz00);
				{
					obj_t BgL_l1372z00_3797;

					BgL_l1372z00_3797 = BgL_g1374z00_3795;
				BgL_zc3z04anonymousza32112ze3z87_3796:
					if (PAIRP(BgL_l1372z00_3797))
						{	/* Return/walk.scm 443 */
							BGl_returnzd2funz12zc0zzreturn_walkz00(CAR(BgL_l1372z00_3797));
							{
								obj_t BgL_l1372z00_5229;

								BgL_l1372z00_5229 = CDR(BgL_l1372z00_3797);
								BgL_l1372z00_3797 = BgL_l1372z00_5229;
								goto BgL_zc3z04anonymousza32112ze3z87_3796;
							}
						}
					else
						{	/* Return/walk.scm 443 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5231;

				{	/* Return/walk.scm 444 */
					BgL_nodez00_bglt BgL_arg2116z00_3798;

					BgL_arg2116z00_3798 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3754)))->BgL_bodyz00);
					BgL_auxz00_5231 =
						BGl_returnzd2gotozd2funsz12z12zzreturn_walkz00(BgL_arg2116z00_3798);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3754)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5231), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_3754));
		}

	}



/* &return!-app1388 */
	BgL_nodez00_bglt BGl_z62returnz12zd2app1388za2zzreturn_walkz00(obj_t
		BgL_envz00_3755, obj_t BgL_nodez00_3756, obj_t BgL_exitvarz00_3757,
		obj_t BgL_rblockz00_3758)
	{
		{	/* Return/walk.scm 415 */
			{

				{	/* Return/walk.scm 417 */
					BgL_varz00_bglt BgL_i1194z00_3803;

					BgL_i1194z00_3803 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3756)))->BgL_funz00);
					{	/* Return/walk.scm 418 */
						bool_t BgL_test2437z00_5241;

						{	/* Return/walk.scm 418 */
							BgL_variablez00_bglt BgL_arg2108z00_3804;

							BgL_arg2108z00_3804 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1194z00_3803))->
								BgL_variablez00);
							BgL_test2437z00_5241 =
								(((obj_t) BgL_arg2108z00_3804) ==
								BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00);
						}
						if (BgL_test2437z00_5241)
							{	/* Return/walk.scm 420 */
								bool_t BgL_test2438z00_5245;

								{	/* Return/walk.scm 420 */
									obj_t BgL_arg2106z00_3805;

									BgL_arg2106z00_3805 =
										CAR(
										(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_3756)))->BgL_argsz00));
									{	/* Return/walk.scm 420 */
										obj_t BgL_classz00_3806;

										BgL_classz00_3806 = BGl_varz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_arg2106z00_3805))
											{	/* Return/walk.scm 420 */
												BgL_objectz00_bglt BgL_arg1825z00_3807;

												BgL_arg1825z00_3807 =
													(BgL_objectz00_bglt) (BgL_arg2106z00_3805);
												{	/* Return/walk.scm 420 */
													bool_t BgL_arg1822z00_3808;
													bool_t BgL_arg1823z00_3809;

													{	/* Return/walk.scm 420 */
														long BgL_idxz00_3810;

														BgL_idxz00_3810 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3807);
														BgL_arg1822z00_3808 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3810 + ((long) 2))) ==
															BgL_classz00_3806);
													}
													{	/* Return/walk.scm 420 */
														bool_t BgL_res2224z00_3813;

														{	/* Return/walk.scm 420 */
															obj_t BgL_oclassz00_3814;

															{	/* Return/walk.scm 420 */
																long BgL_arg1833z00_3815;

																{	/* Return/walk.scm 420 */
																	long BgL_arg1834z00_3816;

																	BgL_arg1834z00_3816 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3807);
																	BgL_arg1833z00_3815 =
																		(BgL_arg1834z00_3816 - OBJECT_TYPE);
																}
																BgL_oclassz00_3814 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3815);
															}
															{	/* Return/walk.scm 420 */
																bool_t BgL__ortest_1110z00_3817;

																BgL__ortest_1110z00_3817 =
																	(BgL_classz00_3806 == BgL_oclassz00_3814);
																if (BgL__ortest_1110z00_3817)
																	{	/* Return/walk.scm 420 */
																		BgL_res2224z00_3813 =
																			BgL__ortest_1110z00_3817;
																	}
																else
																	{	/* Return/walk.scm 420 */
																		long BgL_odepthz00_3818;

																		BgL_odepthz00_3818 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3814);
																		if ((((long) 2) < BgL_odepthz00_3818))
																			{	/* Return/walk.scm 420 */
																				obj_t BgL_arg1821z00_3819;

																				BgL_arg1821z00_3819 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3814, ((long) 2));
																				BgL_res2224z00_3813 =
																					(BgL_arg1821z00_3819 ==
																					BgL_classz00_3806);
																			}
																		else
																			{	/* Return/walk.scm 420 */
																				BgL_res2224z00_3813 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3809 = BgL_res2224z00_3813;
													}
													BgL_test2438z00_5245 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3808,
														BgL_arg1823z00_3809);
												}
											}
										else
											{	/* Return/walk.scm 420 */
												BgL_test2438z00_5245 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2438z00_5245)
									{	/* Return/walk.scm 421 */
										BgL_varz00_bglt BgL_i1195z00_3820;

										{	/* Return/walk.scm 421 */
											obj_t BgL_pairz00_3821;

											BgL_pairz00_3821 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_3756)))->
												BgL_argsz00);
											BgL_i1195z00_3820 =
												((BgL_varz00_bglt) CAR(BgL_pairz00_3821));
										}
										if (
											(((obj_t)
													(((BgL_varz00_bglt) COBJECT(BgL_i1195z00_3820))->
														BgL_variablez00)) ==
												((obj_t) ((BgL_localz00_bglt) BgL_exitvarz00_3757))))
											{	/* Return/walk.scm 423 */
												BgL_returnz00_bglt BgL_new1197z00_3822;

												{	/* Return/walk.scm 424 */
													BgL_returnz00_bglt BgL_new1196z00_3823;

													BgL_new1196z00_3823 =
														((BgL_returnz00_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_returnz00_bgl))));
													{	/* Return/walk.scm 424 */
														long BgL_arg2103z00_3824;

														BgL_arg2103z00_3824 =
															BGL_CLASS_NUM(BGl_returnz00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1196z00_3823),
															BgL_arg2103z00_3824);
													}
													{	/* Return/walk.scm 424 */
														BgL_objectz00_bglt BgL_tmpz00_5281;

														BgL_tmpz00_5281 =
															((BgL_objectz00_bglt) BgL_new1196z00_3823);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5281, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1196z00_3823);
													BgL_new1197z00_3822 = BgL_new1196z00_3823;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1197z00_3822)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																			BgL_nodez00_3756))))->BgL_locz00)),
													BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1197z00_3822)))->BgL_typez00) =
													((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) (
																			(BgL_retblockz00_bglt)
																			BgL_rblockz00_3758))))->BgL_typez00)),
													BUNSPEC);
												((((BgL_returnz00_bglt) COBJECT(BgL_new1197z00_3822))->
														BgL_blockz00) =
													((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt)
															BgL_rblockz00_3758)), BUNSPEC);
												{
													BgL_nodez00_bglt BgL_auxz00_5297;

													{	/* Return/walk.scm 427 */
														obj_t BgL_pairz00_3825;

														BgL_pairz00_3825 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_3756)))->
															BgL_argsz00);
														{	/* Return/walk.scm 427 */
															obj_t BgL_pairz00_3826;

															{	/* Return/walk.scm 427 */
																obj_t BgL_pairz00_3827;

																BgL_pairz00_3827 = CDR(BgL_pairz00_3825);
																BgL_pairz00_3826 = CDR(BgL_pairz00_3827);
															}
															BgL_auxz00_5297 =
																((BgL_nodez00_bglt) CAR(BgL_pairz00_3826));
													}}
													((((BgL_returnz00_bglt)
																COBJECT(BgL_new1197z00_3822))->BgL_valuez00) =
														((BgL_nodez00_bglt) BgL_auxz00_5297), BUNSPEC);
												}
												return ((BgL_nodez00_bglt) BgL_new1197z00_3822);
											}
										else
											{	/* Return/walk.scm 422 */
											BgL_callzd2defaultzd2walkerz00_3802:
												return
													BGl_walk2z12z12zzast_walkz00(
													((BgL_nodez00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_3756)),
													BGl_returnz12zd2envzc0zzreturn_walkz00,
													((obj_t) ((BgL_localz00_bglt) BgL_exitvarz00_3757)),
													((obj_t) ((BgL_retblockz00_bglt)
															BgL_rblockz00_3758)));
											}
									}
								else
									{	/* Return/walk.scm 420 */
										goto BgL_callzd2defaultzd2walkerz00_3802;
									}
							}
						else
							{	/* Return/walk.scm 418 */
								goto BgL_callzd2defaultzd2walkerz00_3802;
							}
					}
				}
			}
		}

	}



/* &is-return?-app1382 */
	obj_t BGl_z62iszd2returnzf3zd2app1382z91zzreturn_walkz00(obj_t
		BgL_envz00_3759, obj_t BgL_nodez00_3760, obj_t BgL_exitvarz00_3761,
		obj_t BgL_abortz00_3762)
	{
		{	/* Return/walk.scm 388 */
			{

				{	/* Return/walk.scm 390 */
					BgL_varz00_bglt BgL_i1188z00_3830;

					BgL_i1188z00_3830 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3760)))->BgL_funz00);
					{	/* Return/walk.scm 392 */
						bool_t BgL_test2443z00_5315;

						{	/* Return/walk.scm 392 */
							BgL_variablez00_bglt BgL_arg2089z00_3831;

							BgL_arg2089z00_3831 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1188z00_3830))->
								BgL_variablez00);
							BgL_test2443z00_5315 =
								(((obj_t) BgL_arg2089z00_3831) ==
								BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00);
						}
						if (BgL_test2443z00_5315)
							{	/* Return/walk.scm 393 */
								bool_t BgL_test2444z00_5319;

								{	/* Return/walk.scm 393 */
									obj_t BgL_arg2075z00_3832;

									BgL_arg2075z00_3832 =
										CAR(
										(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_3760)))->BgL_argsz00));
									{	/* Return/walk.scm 393 */
										obj_t BgL_classz00_3833;

										BgL_classz00_3833 = BGl_varz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_arg2075z00_3832))
											{	/* Return/walk.scm 393 */
												BgL_objectz00_bglt BgL_arg1825z00_3834;

												BgL_arg1825z00_3834 =
													(BgL_objectz00_bglt) (BgL_arg2075z00_3832);
												{	/* Return/walk.scm 393 */
													bool_t BgL_arg1822z00_3835;
													bool_t BgL_arg1823z00_3836;

													{	/* Return/walk.scm 393 */
														long BgL_idxz00_3837;

														BgL_idxz00_3837 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3834);
														BgL_arg1822z00_3835 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3837 + ((long) 2))) ==
															BgL_classz00_3833);
													}
													{	/* Return/walk.scm 393 */
														bool_t BgL_res2223z00_3840;

														{	/* Return/walk.scm 393 */
															obj_t BgL_oclassz00_3841;

															{	/* Return/walk.scm 393 */
																long BgL_arg1833z00_3842;

																{	/* Return/walk.scm 393 */
																	long BgL_arg1834z00_3843;

																	BgL_arg1834z00_3843 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3834);
																	BgL_arg1833z00_3842 =
																		(BgL_arg1834z00_3843 - OBJECT_TYPE);
																}
																BgL_oclassz00_3841 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3842);
															}
															{	/* Return/walk.scm 393 */
																bool_t BgL__ortest_1110z00_3844;

																BgL__ortest_1110z00_3844 =
																	(BgL_classz00_3833 == BgL_oclassz00_3841);
																if (BgL__ortest_1110z00_3844)
																	{	/* Return/walk.scm 393 */
																		BgL_res2223z00_3840 =
																			BgL__ortest_1110z00_3844;
																	}
																else
																	{	/* Return/walk.scm 393 */
																		long BgL_odepthz00_3845;

																		BgL_odepthz00_3845 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3841);
																		if ((((long) 2) < BgL_odepthz00_3845))
																			{	/* Return/walk.scm 393 */
																				obj_t BgL_arg1821z00_3846;

																				BgL_arg1821z00_3846 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3841, ((long) 2));
																				BgL_res2223z00_3840 =
																					(BgL_arg1821z00_3846 ==
																					BgL_classz00_3833);
																			}
																		else
																			{	/* Return/walk.scm 393 */
																				BgL_res2223z00_3840 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3836 = BgL_res2223z00_3840;
													}
													BgL_test2444z00_5319 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3835,
														BgL_arg1823z00_3836);
												}
											}
										else
											{	/* Return/walk.scm 393 */
												BgL_test2444z00_5319 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2444z00_5319)
									{	/* Return/walk.scm 394 */
										BgL_varz00_bglt BgL_i1189z00_3847;

										{	/* Return/walk.scm 394 */
											obj_t BgL_pairz00_3848;

											BgL_pairz00_3848 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_3760)))->
												BgL_argsz00);
											BgL_i1189z00_3847 =
												((BgL_varz00_bglt) CAR(BgL_pairz00_3848));
										}
										{	/* Return/walk.scm 395 */
											obj_t BgL__ortest_1190z00_3849;

											if (PAIRP(BgL_exitvarz00_3761))
												{	/* Return/walk.scm 395 */
													BgL__ortest_1190z00_3849 =
														BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
														((obj_t)
															(((BgL_varz00_bglt) COBJECT(BgL_i1189z00_3847))->
																BgL_variablez00)), BgL_exitvarz00_3761);
												}
											else
												{	/* Return/walk.scm 395 */
													BgL__ortest_1190z00_3849 = BFALSE;
												}
											if (CBOOL(BgL__ortest_1190z00_3849))
												{	/* Return/walk.scm 395 */
													return BgL__ortest_1190z00_3849;
												}
											else
												{	/* Return/walk.scm 396 */
													obj_t BgL_arg2071z00_3850;

													BgL_arg2071z00_3850 =
														CAR(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_3760)))->
															BgL_argsz00));
													return
														BGl_iszd2returnzf3z21zzreturn_walkz00((
															(BgL_nodez00_bglt) BgL_arg2071z00_3850),
														BgL_exitvarz00_3761, BgL_abortz00_3762);
												}
										}
									}
								else
									{	/* Return/walk.scm 393 */
									BgL_callzd2defaultzd2walkerz00_3829:
										return
											BGl_walk2z00zzast_walkz00(
											((BgL_nodez00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_3760)),
											BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
											BgL_exitvarz00_3761, BgL_abortz00_3762);
									}
							}
						else
							{	/* Return/walk.scm 398 */
								bool_t BgL_test2450z00_5360;

								{	/* Return/walk.scm 398 */
									bool_t BgL_test2451z00_5361;

									{	/* Return/walk.scm 398 */
										BgL_variablez00_bglt BgL_arg2088z00_3851;

										BgL_arg2088z00_3851 =
											(((BgL_varz00_bglt) COBJECT(BgL_i1188z00_3830))->
											BgL_variablez00);
										BgL_test2451z00_5361 =
											(((obj_t) BgL_arg2088z00_3851) ==
											BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00);
									}
									if (BgL_test2451z00_5361)
										{	/* Return/walk.scm 398 */
											BgL_test2450z00_5360 = ((bool_t) 1);
										}
									else
										{	/* Return/walk.scm 399 */
											BgL_variablez00_bglt BgL_arg2087z00_3852;

											BgL_arg2087z00_3852 =
												(((BgL_varz00_bglt) COBJECT(BgL_i1188z00_3830))->
												BgL_variablez00);
											BgL_test2450z00_5360 =
												(((obj_t) BgL_arg2087z00_3852) ==
												BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00);
										}
								}
								if (BgL_test2450z00_5360)
									{	/* Return/walk.scm 400 */
										obj_t BgL__ortest_1192z00_3853;

										BgL__ortest_1192z00_3853 =
											BGl_za2optimzd2returnzd2gotozf3za2zf3zzengine_paramz00;
										if (CBOOL(BgL__ortest_1192z00_3853))
											{	/* Return/walk.scm 400 */
												return BgL__ortest_1192z00_3853;
											}
										else
											{	/* Return/walk.scm 400 */
												return
													PROCEDURE_ENTRY(BgL_abortz00_3762) (BgL_abortz00_3762,
													BFALSE, BEOA);
											}
									}
								else
									{	/* Return/walk.scm 401 */
										bool_t BgL_test2453z00_5374;

										{	/* Return/walk.scm 401 */
											BgL_variablez00_bglt BgL_arg2086z00_3854;

											BgL_arg2086z00_3854 =
												(((BgL_varz00_bglt) COBJECT(BgL_i1188z00_3830))->
												BgL_variablez00);
											BgL_test2453z00_5374 =
												(((obj_t) BgL_arg2086z00_3854) ==
												BGl_za2exitdzd2protectzd2setz12za2z12zzreturn_walkz00);
										}
										if (BgL_test2453z00_5374)
											{	/* Return/walk.scm 401 */
												return
													PROCEDURE_ENTRY(BgL_abortz00_3762) (BgL_abortz00_3762,
													BFALSE, BEOA);
											}
										else
											{	/* Return/walk.scm 401 */
												goto BgL_callzd2defaultzd2walkerz00_3829;
											}
									}
							}
					}
				}
			}
		}

	}



/* &is-return?-let-var1380 */
	obj_t BGl_z62iszd2returnzf3zd2letzd2var1380z43zzreturn_walkz00(obj_t
		BgL_envz00_3763, obj_t BgL_nodez00_3764, obj_t BgL_exitvarz00_3765,
		obj_t BgL_abortz00_3766)
	{
		{	/* Return/walk.scm 364 */
			{

				if (CBOOL(BGl_za2optimzd2returnzd2gotozf3za2zf3zzengine_paramz00))
					{	/* Return/walk.scm 369 */
						bool_t BgL_test2455z00_5384;

						{	/* Return/walk.scm 369 */
							bool_t BgL_test2456z00_5385;

							{	/* Return/walk.scm 369 */
								obj_t BgL_tmpz00_5386;

								BgL_tmpz00_5386 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_3764)))->
									BgL_bindingsz00);
								BgL_test2456z00_5385 = PAIRP(BgL_tmpz00_5386);
							}
							if (BgL_test2456z00_5385)
								{	/* Return/walk.scm 369 */
									BgL_test2455z00_5384 =
										NULLP(CDR(
											(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_3764)))->
												BgL_bindingsz00)));
								}
							else
								{	/* Return/walk.scm 369 */
									BgL_test2455z00_5384 = ((bool_t) 0);
								}
						}
						if (BgL_test2455z00_5384)
							{	/* Return/walk.scm 370 */
								obj_t BgL_bnodez00_3857;

								{	/* Return/walk.scm 370 */
									obj_t BgL_pairz00_3858;

									BgL_pairz00_3858 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_3764)))->
										BgL_bindingsz00);
									BgL_bnodez00_3857 = CDR(CAR(BgL_pairz00_3858));
								}
								{	/* Return/walk.scm 371 */
									bool_t BgL_test2457z00_5398;

									{	/* Return/walk.scm 371 */
										obj_t BgL_classz00_3859;

										BgL_classz00_3859 = BGl_appz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_bnodez00_3857))
											{	/* Return/walk.scm 371 */
												BgL_objectz00_bglt BgL_arg1825z00_3860;

												BgL_arg1825z00_3860 =
													(BgL_objectz00_bglt) (BgL_bnodez00_3857);
												{	/* Return/walk.scm 371 */
													bool_t BgL_arg1822z00_3861;
													bool_t BgL_arg1823z00_3862;

													{	/* Return/walk.scm 371 */
														long BgL_idxz00_3863;

														BgL_idxz00_3863 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3860);
														BgL_arg1822z00_3861 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3863 + ((long) 3))) ==
															BgL_classz00_3859);
													}
													{	/* Return/walk.scm 371 */
														bool_t BgL_res2222z00_3866;

														{	/* Return/walk.scm 371 */
															obj_t BgL_oclassz00_3867;

															{	/* Return/walk.scm 371 */
																long BgL_arg1833z00_3868;

																{	/* Return/walk.scm 371 */
																	long BgL_arg1834z00_3869;

																	BgL_arg1834z00_3869 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3860);
																	BgL_arg1833z00_3868 =
																		(BgL_arg1834z00_3869 - OBJECT_TYPE);
																}
																BgL_oclassz00_3867 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3868);
															}
															{	/* Return/walk.scm 371 */
																bool_t BgL__ortest_1110z00_3870;

																BgL__ortest_1110z00_3870 =
																	(BgL_classz00_3859 == BgL_oclassz00_3867);
																if (BgL__ortest_1110z00_3870)
																	{	/* Return/walk.scm 371 */
																		BgL_res2222z00_3866 =
																			BgL__ortest_1110z00_3870;
																	}
																else
																	{	/* Return/walk.scm 371 */
																		long BgL_odepthz00_3871;

																		BgL_odepthz00_3871 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3867);
																		if ((((long) 3) < BgL_odepthz00_3871))
																			{	/* Return/walk.scm 371 */
																				obj_t BgL_arg1821z00_3872;

																				BgL_arg1821z00_3872 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3867, ((long) 3));
																				BgL_res2222z00_3866 =
																					(BgL_arg1821z00_3872 ==
																					BgL_classz00_3859);
																			}
																		else
																			{	/* Return/walk.scm 371 */
																				BgL_res2222z00_3866 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3862 = BgL_res2222z00_3866;
													}
													BgL_test2457z00_5398 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3861,
														BgL_arg1823z00_3862);
												}
											}
										else
											{	/* Return/walk.scm 371 */
												BgL_test2457z00_5398 = ((bool_t) 0);
											}
									}
									if (BgL_test2457z00_5398)
										{	/* Return/walk.scm 373 */
											BgL_varz00_bglt BgL_i1186z00_3873;

											BgL_i1186z00_3873 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_bnodez00_3857)))->
												BgL_funz00);
											{	/* Return/walk.scm 375 */
												bool_t BgL_test2461z00_5419;

												{	/* Return/walk.scm 375 */
													BgL_variablez00_bglt BgL_arg2058z00_3874;

													BgL_arg2058z00_3874 =
														(((BgL_varz00_bglt) COBJECT(BgL_i1186z00_3873))->
														BgL_variablez00);
													BgL_test2461z00_5419 =
														(((obj_t) BgL_arg2058z00_3874) ==
														BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00);
												}
												if (BgL_test2461z00_5419)
													{	/* Return/walk.scm 376 */
														BgL_nodez00_bglt BgL_arg2045z00_3875;
														obj_t BgL_arg2046z00_3876;

														BgL_arg2045z00_3875 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_3764)))->
															BgL_bodyz00);
														{	/* Return/walk.scm 376 */
															obj_t BgL_arg2047z00_3877;

															{	/* Return/walk.scm 376 */
																obj_t BgL_pairz00_3878;

																BgL_pairz00_3878 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_3764)))->BgL_bindingsz00);
																BgL_arg2047z00_3877 =
																	CAR(CAR(BgL_pairz00_3878));
															}
															BgL_arg2046z00_3876 =
																MAKE_YOUNG_PAIR(BgL_arg2047z00_3877,
																BgL_exitvarz00_3765);
														}
														return
															BGl_iszd2returnzf3z21zzreturn_walkz00
															(BgL_arg2045z00_3875, BgL_arg2046z00_3876,
															BgL_abortz00_3766);
													}
												else
													{	/* Return/walk.scm 377 */
														bool_t BgL_test2462z00_5431;

														{	/* Return/walk.scm 377 */
															BgL_variablez00_bglt BgL_arg2056z00_3879;

															BgL_arg2056z00_3879 =
																(((BgL_varz00_bglt)
																	COBJECT(BgL_i1186z00_3873))->BgL_variablez00);
															BgL_test2462z00_5431 =
																(((obj_t) BgL_arg2056z00_3879) ==
																BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00);
														}
														if (BgL_test2462z00_5431)
															{	/* Return/walk.scm 378 */
																BgL_nodez00_bglt BgL_arg2052z00_3880;
																obj_t BgL_arg2053z00_3881;

																BgL_arg2052z00_3880 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_3764)))->BgL_bodyz00);
																BgL_arg2053z00_3881 =
																	MAKE_YOUNG_PAIR(CAR((((BgL_letzd2varzd2_bglt)
																				COBJECT(((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_3764)))->
																			BgL_bindingsz00)), BgL_exitvarz00_3765);
																return
																	BGl_iszd2returnzf3z21zzreturn_walkz00
																	(BgL_arg2052z00_3880, BgL_arg2053z00_3881,
																	BgL_abortz00_3766);
															}
														else
															{	/* Return/walk.scm 377 */
															BgL_callzd2defaultzd2walkerz00_3856:
																return
																	BGl_walk2z00zzast_walkz00(
																	((BgL_nodez00_bglt)
																		((BgL_letzd2varzd2_bglt) BgL_nodez00_3764)),
																	BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
																	BgL_exitvarz00_3765, BgL_abortz00_3766);
															}
													}
											}
										}
									else
										{	/* Return/walk.scm 371 */
											goto BgL_callzd2defaultzd2walkerz00_3856;
										}
								}
							}
						else
							{	/* Return/walk.scm 369 */
								goto BgL_callzd2defaultzd2walkerz00_3856;
							}
					}
				else
					{	/* Return/walk.scm 367 */
						goto BgL_callzd2defaultzd2walkerz00_3856;
					}
			}
		}

	}



/* &is-return?-var1378 */
	obj_t BGl_z62iszd2returnzf3zd2var1378z91zzreturn_walkz00(obj_t
		BgL_envz00_3767, obj_t BgL_nodez00_3768, obj_t BgL_exitvarz00_3769,
		obj_t BgL_abortz00_3770)
	{
		{	/* Return/walk.scm 356 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_3768)))->BgL_variablez00)),
						BgL_exitvarz00_3769)))
				{	/* Return/walk.scm 358 */
					return
						PROCEDURE_ENTRY(BgL_abortz00_3770) (BgL_abortz00_3770, BFALSE,
						BEOA);
				}
			else
				{	/* Return/walk.scm 358 */
					return BFALSE;
				}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreturn_walkz00()
	{
		{	/* Return/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(((long) 343174225),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2248z00zzreturn_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
