/*===========================================================================*/
/*   (SawC/code.scm)                                                         */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawC/code.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_cvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}             *BgL_cvmz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_totypez00;
		struct BgL_typez00_bgl *BgL_fromtypez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_sawciregz00_bgl
	{
		obj_t BgL_indexz00;
	}                  *BgL_sawciregz00_bglt;


	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t BGl_genzd2typezd2regsz00zzsaw_c_codez00(obj_t);
	static obj_t BGl_emitzd2pragmazd2zzsaw_c_codez00(obj_t, obj_t);
	static obj_t BGl_z62genzd2prefixzd2rtl_cast1763z62zzsaw_c_codez00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	static bool_t BGl_za2inlinezd2simplezd2macrosza2z00zzsaw_c_codez00;
	static obj_t BGl_z62genzd2exprzd2rtl_setfiel1705z62zzsaw_c_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t
		BGl_makezd2typedzd2declarationz00zztype_toolsz00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_genzd2exprzd2zzsaw_c_codez00(BgL_rtl_funz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_rtl_pragmaz00zzsaw_defsz00;
	static obj_t BGl_z62sawzd2cheaderzb0zzsaw_c_codez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_c_codez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31863ze3ze5zzsaw_c_codez00(obj_t);
	static bool_t BGl_za2commentza2z00zzsaw_c_codez00;
	static obj_t BGl_genzd2inszd2zzsaw_c_codez00(BgL_rtl_insz00_bglt);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62genzd2prefixzd2rtl_store1745z62zzsaw_c_codez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_za2czd2portza2zd2zzbackend_c_emitz00;
	static obj_t BGl_z62acceptzd2foldingzf3zd2cvm1767z91zzsaw_c_codez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_genzd2typezd2regz00zzsaw_c_codez00(obj_t);
	extern obj_t BGl_emitzd2atomzd2valuez00zzbackend_c_emitz00(obj_t);
	BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_toplevelzd2initzd2zzsaw_c_codez00();
	extern obj_t BGl_rtl_protectz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t BGl_sawzd2cepiloguezd2zzsaw_c_codez00();
	extern obj_t BGl_rtl_ifeqz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2exprzd2rtl_switch1713z62zzsaw_c_codez00(obj_t,
		obj_t, obj_t);
	static bool_t BGl_genbodyz00zzsaw_c_codez00(obj_t);
	static obj_t BGl_headerz00zzsaw_c_codez00();
	extern obj_t BGl_rtl_vlengthz00zzsaw_defsz00;
	static bool_t BGl_za2haspushexitza2z00zzsaw_c_codez00;
	static obj_t BGl_genericzd2initzd2zzsaw_c_codez00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static bool_t BGl_printzd2locationzf3z21zzsaw_c_codez00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_vsetz00zzsaw_defsz00;
	static obj_t BGl_objectzd2initzd2zzsaw_c_codez00();
	extern obj_t BGl_bbvz00zzsaw_bbvz00(BgL_backendz00_bglt, BgL_globalz00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_buildzd2treezd2zzsaw_exprz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static bool_t BGl_za2hasprotectza2z00zzsaw_c_codez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static long BGl_za2counterza2z00zzsaw_c_codez00;
	static obj_t BGl_walkze70ze7zzsaw_c_codez00(obj_t);
	static obj_t BGl_genzd2funzd2namez00zzsaw_c_codez00(BgL_rtl_funz00_bglt);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2czd2debugzd2lineszd2infoza2zd2zzengine_paramz00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vallocz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2exprzd2rtl_getfiel1703z62zzsaw_c_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2prefixzd2rtl_cast_1765z62zzsaw_c_codez00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_cast_nullz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadfunz00zzsaw_defsz00;
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2prefix1734zb0zzsaw_c_codez00(obj_t, obj_t);
	static obj_t BGl_getzd2localszd2zzsaw_c_codez00(obj_t, obj_t);
	static bool_t BGl_declarezd2regszd2zzsaw_c_codez00(obj_t);
	static obj_t BGl_z62genzd2prefixzd2rtl_globa1747z62zzsaw_c_codez00(obj_t,
		obj_t);
	extern BgL_rtl_regz00_bglt
		BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_inlzd2opzd2zzsaw_c_codez00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_c_codez00();
	static obj_t BGl_genzd2regzd2zzsaw_c_codez00(obj_t);
	static obj_t BGl_z62genzd2prefixzd2rtl_vset1759z62zzsaw_c_codez00(obj_t,
		obj_t);
	static obj_t BGl_genzd2prefixzd2zzsaw_c_codez00(BgL_rtl_funz00_bglt);
	extern obj_t BGl_globalzd2ze3blocksz31zzsaw_woodcutterz00(BgL_backendz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_z62sawzd2cgenzb0zzsaw_c_codez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62genzd2prefixzd2rtl_vref1757z62zzsaw_c_codez00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_switchz00zzsaw_defsz00;
	BGL_IMPORT obj_t make_string(long, unsigned char);
	extern obj_t BGl_rtl_goz00zzsaw_defsz00;
	static bool_t BGl_multiplezd2evaluationzd2zzsaw_c_codez00(obj_t, obj_t);
	extern obj_t BGl_rtl_ifnez00zzsaw_defsz00;
	extern obj_t
		BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, BgL_globalz00_bglt, obj_t, obj_t);
	static obj_t BGl_exprzd2ze3iregze70zd6zzsaw_c_codez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_rtl_setfieldz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62genzd2prefixzd2rtl_vallo1755z62zzsaw_c_codez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t rgc_buffer_substring(obj_t, long, long);
	extern bool_t BGl_globalzd2argszd2safezf3zf3zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62genzd2prefixzb0zzsaw_c_codez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32251ze3ze5zzsaw_c_codez00(obj_t, obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static bool_t BGl_deepzd2movzf3z21zzsaw_c_codez00(obj_t);
	static obj_t BGl_z62genzd2exprzd2rtl_lightfu1701z62zzsaw_c_codez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62genzd2prefixzd2rtl_loadf1743z62zzsaw_c_codez00(obj_t,
		obj_t);
	static obj_t BGl_z62genzd2exprzd2rtl_protect1709z62zzsaw_c_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2prefixzd2rtl_go1749z62zzsaw_c_codez00(obj_t, obj_t);
	static obj_t BGl_genzd2regzf2destz20zzsaw_c_codez00(obj_t);
	static bool_t BGl_outzd2labelzd2zzsaw_c_codez00(int);
	extern obj_t BGl_rtl_storegz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2exprzd2rtl_pragma1711z62zzsaw_c_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2badzd2macrosza2zd2zzsaw_c_codez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static bool_t BGl_za2haspushbeforeza2z00zzsaw_c_codez00;
	static obj_t BGl_genzd2Xfuncallzd2zzsaw_c_codez00(obj_t, obj_t, bool_t);
	static obj_t BGl_z62genzd2prefixzd2rtl_ifne1753z62zzsaw_c_codez00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_returnz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2funzd2name1716z62zzsaw_c_codez00(obj_t, obj_t);
	static obj_t BGl_check_funze70ze7zzsaw_c_codez00(BgL_rtl_funz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_c_codez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_exprz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_woodcutterz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	static obj_t BGl_findzd2locationzd2zzsaw_c_codez00(BgL_rtl_insz00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	static bool_t BGl_za2traceza2z00zzsaw_c_codez00;
	static long BGl_za2pushtraceemmitedza2z00zzsaw_c_codez00;
	static obj_t BGl_z62genzd2prefixzd2rtl_loadg1741z62zzsaw_c_codez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	static bool_t BGl_za2countza2z00zzsaw_c_codez00;
	static obj_t BGl_z62genzd2prefixzd2rtl_ifeq1751z62zzsaw_c_codez00(obj_t,
		obj_t);
	static obj_t BGl_SawCIregz00zzsaw_c_codez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzsaw_c_codez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_c_codez00();
	static obj_t BGl_z62genzd2funzd2namez62zzsaw_c_codez00(obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2namezd2rtl_mov1727zb0zzsaw_c_codez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_c_codez00();
	static obj_t BGl_gczd2rootszd2initz00zzsaw_c_codez00();
	static BgL_rtl_regz00_bglt BGl_z62lambda2246z62zzsaw_c_codez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sawzd2cgenzd2zzsaw_c_codez00(BgL_cvmz00_bglt,
		BgL_globalz00_bglt);
	static BgL_rtl_regz00_bglt BGl_z62lambda2249z62zzsaw_c_codez00(obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2namezd2rtl_vre1721zb0zzsaw_c_codez00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_castz00zzsaw_defsz00;
	BGL_IMPORT obj_t bigloo_mangle(obj_t);
	static obj_t BGl_genzd2upcasezd2zzsaw_c_codez00(BgL_rtl_funz00_bglt);
	static obj_t BGl_z62genzd2exprzb0zzsaw_c_codez00(obj_t, obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda2252z62zzsaw_c_codez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2259z62zzsaw_c_codez00(obj_t, obj_t);
	extern obj_t BGl_rtl_globalrefz00zzsaw_defsz00;
	static obj_t BGl_z62lambda2260z62zzsaw_c_codez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2namezd2rtl_vle1725zb0zzsaw_c_codez00(obj_t,
		obj_t);
	static obj_t BGl_z62sawzd2cepiloguezb0zzsaw_c_codez00(obj_t);
	BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sawzd2cheaderzd2zzsaw_c_codez00();
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2expr1698zb0zzsaw_c_codez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	static obj_t BGl_z62zc3z04anonymousza31808ze3ze5zzsaw_c_codez00(obj_t);
	static obj_t BGl_z62genzd2funzd2namezd2rtl_ret1733zb0zzsaw_c_codez00(obj_t,
		obj_t);
	static bool_t BGl_cepiloguez00zzsaw_c_codez00();
	extern obj_t BGl_za2stdcza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2namezd2rtl_loa1729zb0zzsaw_c_codez00(obj_t,
		obj_t);
	static obj_t BGl_thezd2stringze70z35zzsaw_c_codez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31825ze3ze5zzsaw_c_codez00(obj_t);
	static obj_t BGl_z62genzd2prefixzd2rtl_loadi1739z62zzsaw_c_codez00(obj_t,
		obj_t);
	static obj_t BGl_z62genzd2funzd2namezd2rtl_vse1723zb0zzsaw_c_codez00(obj_t,
		obj_t);
	static obj_t BGl_genfunz00zzsaw_c_codez00(BgL_cvmz00_bglt, BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62genzd2prefixzd2rtl_vleng1761z62zzsaw_c_codez00(obj_t,
		obj_t);
	static obj_t BGl_z62genzd2funzd2namezd2rtl_loa1731zb0zzsaw_c_codez00(obj_t,
		obj_t);
	static obj_t BGl_vfunzd2namezd2zzsaw_c_codez00(obj_t, BgL_typez00_bglt);
	extern obj_t
		BGl_za2bdbzd2debugzd2nozd2linezd2directiveszf3za2zf3zzengine_paramz00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62genzd2funzd2namezd2rtl_val1719zb0zzsaw_c_codez00(obj_t,
		obj_t);
	BGL_IMPORT bool_t rgc_fill_buffer(obj_t);
	static obj_t BGl_z62genzd2exprzd2rtl_funcall1707z62zzsaw_c_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_cvmz00zzbackend_cvmz00;
	static obj_t BGl_z62genzd2exprzd2rtl_call1715z62zzsaw_c_codez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_reg_namez00zzsaw_c_codez00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_vextraz00zzsaw_c_codez00(BgL_typez00_bglt);
	static bool_t BGl_genzd2argszd2zzsaw_c_codez00(obj_t);
	static obj_t __cnst[10];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawzd2cheaderzd2envz00zzsaw_c_codez00,
		BgL_bgl_za762sawza7d2cheader2769z00, BGl_z62sawzd2cheaderzb0zzsaw_c_codez00,
		0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2611z00zzsaw_c_codez00,
		BgL_bgl_string2611za700za7za7s2770za7, "\n", 1);
	      DEFINE_STRING(BGl_string2613z00zzsaw_c_codez00,
		BgL_bgl_string2613za700za7za7s2771za7, " ", 1);
	      DEFINE_STRING(BGl_string2614z00zzsaw_c_codez00,
		BgL_bgl_string2614za700za7za7s2772za7, " {\n", 3);
	      DEFINE_STRING(BGl_string2615z00zzsaw_c_codez00,
		BgL_bgl_string2615za700za7za7s2773za7, " jmp_buf_t jmpbuf;\n", 19);
	      DEFINE_STRING(BGl_string2616z00zzsaw_c_codez00,
		BgL_bgl_string2616za700za7za7s2774za7, " struct exitd exitd;\n", 21);
	      DEFINE_STRING(BGl_string2617z00zzsaw_c_codez00,
		BgL_bgl_string2617za700za7za7s2775za7, " struct befored befored;\n", 25);
	      DEFINE_STRING(BGl_string2618z00zzsaw_c_codez00,
		BgL_bgl_string2618za700za7za7s2776za7, "\n}\n\n", 4);
	      DEFINE_STRING(BGl_string2619z00zzsaw_c_codez00,
		BgL_bgl_string2619za700za7za7s2777za7, "(", 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawzd2cgenzd2envz00zzsaw_c_codez00,
		BgL_bgl_za762sawza7d2cgenza7b02778za7, BGl_z62sawzd2cgenzb0zzsaw_c_codez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2610z00zzsaw_c_codez00,
		BgL_bgl_za762za7c3za704anonymo2779za7,
		BGl_z62zc3z04anonymousza31808ze3ze5zzsaw_c_codez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2612z00zzsaw_c_codez00,
		BgL_bgl_za762za7c3za704anonymo2780za7,
		BGl_z62zc3z04anonymousza31825ze3ze5zzsaw_c_codez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2620z00zzsaw_c_codez00,
		BgL_bgl_string2620za700za7za7s2781za7, ", ", 2);
	      DEFINE_STRING(BGl_string2621z00zzsaw_c_codez00,
		BgL_bgl_string2621za700za7za7s2782za7, ")", 1);
	      DEFINE_STRING(BGl_string2622z00zzsaw_c_codez00,
		BgL_bgl_string2622za700za7za7s2783za7, "V", 1);
	      DEFINE_STRING(BGl_string2623z00zzsaw_c_codez00,
		BgL_bgl_string2623za700za7za7s2784za7, "R", 1);
	      DEFINE_STRING(BGl_string2624z00zzsaw_c_codez00,
		BgL_bgl_string2624za700za7za7s2785za7, ";\n", 2);
	      DEFINE_STRING(BGl_string2625z00zzsaw_c_codez00,
		BgL_bgl_string2625za700za7za7s2786za7, "", 0);
	      DEFINE_STRING(BGl_string2626z00zzsaw_c_codez00,
		BgL_bgl_string2626za700za7za7s2787za7, ":", 1);
	      DEFINE_STRING(BGl_string2708z00zzsaw_c_codez00,
		BgL_bgl_string2708za700za7za7s2788za7, "gen-fun-name", 12);
	      DEFINE_STRING(BGl_string2627z00zzsaw_c_codez00,
		BgL_bgl_string2627za700za7za7s2789za7, "L", 1);
	      DEFINE_STRING(BGl_string2628z00zzsaw_c_codez00,
		BgL_bgl_string2628za700za7za7s2790za7, "#line ", 6);
	      DEFINE_STRING(BGl_string2629z00zzsaw_c_codez00,
		BgL_bgl_string2629za700za7za7s2791za7, " \"", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2700z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2exprza7d22792za7,
		BGl_z62genzd2exprzd2rtl_getfiel1703z62zzsaw_c_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2701z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2exprza7d22793za7,
		BGl_z62genzd2exprzd2rtl_setfiel1705z62zzsaw_c_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2702z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2exprza7d22794za7,
		BGl_z62genzd2exprzd2rtl_funcall1707z62zzsaw_c_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2703z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2exprza7d22795za7,
		BGl_z62genzd2exprzd2rtl_protect1709z62zzsaw_c_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2704z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2exprza7d22796za7,
		BGl_z62genzd2exprzd2rtl_pragma1711z62zzsaw_c_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2705z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2exprza7d22797za7,
		BGl_z62genzd2exprzd2rtl_switch1713z62zzsaw_c_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2630z00zzsaw_c_codez00,
		BgL_bgl_string2630za700za7za7s2798za7, "\"", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2706z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2exprza7d22799za7,
		BGl_z62genzd2exprzd2rtl_call1715z62zzsaw_c_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2631z00zzsaw_c_codez00,
		BgL_bgl_string2631za700za7za7s2800za7, "\t", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2707z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n2801za7,
		BGl_z62genzd2funzd2namezd2rtl_val1719zb0zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2632z00zzsaw_c_codez00,
		BgL_bgl_string2632za700za7za7s2802za7, " = ", 3);
	      DEFINE_STRING(BGl_string2633z00zzsaw_c_codez00,
		BgL_bgl_string2633za700za7za7s2803za7, "ENTRY(", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2709z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n2804za7,
		BGl_z62genzd2funzd2namezd2rtl_vre1721zb0zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2634z00zzsaw_c_codez00,
		BgL_bgl_string2634za700za7za7s2805za7, "PROCEDURE_", 10);
	      DEFINE_STRING(BGl_string2635z00zzsaw_c_codez00,
		BgL_bgl_string2635za700za7za7s2806za7, ")(", 2);
	      DEFINE_STRING(BGl_string2717z00zzsaw_c_codez00,
		BgL_bgl_string2717za700za7za7s2807za7, "gen-prefix", 10);
	      DEFINE_STRING(BGl_string2636z00zzsaw_c_codez00,
		BgL_bgl_string2636za700za7za7s2808za7, ", BEOA", 6);
	      DEFINE_STRING(BGl_string2637z00zzsaw_c_codez00,
		BgL_bgl_string2637za700za7za7s2809za7, "BGL_", 4);
	      DEFINE_STRING(BGl_string2638z00zzsaw_c_codez00,
		BgL_bgl_string2638za700za7za7s2810za7, "T", 1);
	      DEFINE_STRING(BGl_string2639z00zzsaw_c_codez00,
		BgL_bgl_string2639za700za7za7s2811za7, "BGL_RTL_", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2710z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n2812za7,
		BGl_z62genzd2funzd2namezd2rtl_vse1723zb0zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2711z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n2813za7,
		BGl_z62genzd2funzd2namezd2rtl_vle1725zb0zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2712z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n2814za7,
		BGl_z62genzd2funzd2namezd2rtl_mov1727zb0zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2713z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n2815za7,
		BGl_z62genzd2funzd2namezd2rtl_loa1729zb0zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2714z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n2816za7,
		BGl_z62genzd2funzd2namezd2rtl_loa1731zb0zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2715z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n2817za7,
		BGl_z62genzd2funzd2namezd2rtl_ret1733zb0zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2640z00zzsaw_c_codez00,
		BgL_bgl_string2640za700za7za7s2818za7, "==", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2716z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza72819za7,
		BGl_z62genzd2prefixzd2rtl_loadi1739z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2641z00zzsaw_c_codez00,
		BgL_bgl_string2641za700za7za7s2820za7, "BGL_RTL_EQ", 10);
	      DEFINE_STRING(BGl_string2642z00zzsaw_c_codez00,
		BgL_bgl_string2642za700za7za7s2821za7, ">=", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2718z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza72822za7,
		BGl_z62genzd2prefixzd2rtl_loadg1741z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2643z00zzsaw_c_codez00,
		BgL_bgl_string2643za700za7za7s2823za7, "BGL_RTL_GE", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2719z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza72824za7,
		BGl_z62genzd2prefixzd2rtl_loadf1743z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2644z00zzsaw_c_codez00,
		BgL_bgl_string2644za700za7za7s2825za7, "<=", 2);
	      DEFINE_STRING(BGl_string2645z00zzsaw_c_codez00,
		BgL_bgl_string2645za700za7za7s2826za7, "BGL_RTL_LE", 10);
	      DEFINE_STRING(BGl_string2646z00zzsaw_c_codez00,
		BgL_bgl_string2646za700za7za7s2827za7, ">", 1);
	      DEFINE_STRING(BGl_string2647z00zzsaw_c_codez00,
		BgL_bgl_string2647za700za7za7s2828za7, "BGL_RTL_GT", 10);
	      DEFINE_STRING(BGl_string2648z00zzsaw_c_codez00,
		BgL_bgl_string2648za700za7za7s2829za7, "<", 1);
	      DEFINE_STRING(BGl_string2649z00zzsaw_c_codez00,
		BgL_bgl_string2649za700za7za7s2830za7, "BGL_RTL_LT", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2720z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza72831za7,
		BGl_z62genzd2prefixzd2rtl_store1745z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2721z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza72832za7,
		BGl_z62genzd2prefixzd2rtl_globa1747z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2722z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza72833za7,
		BGl_z62genzd2prefixzd2rtl_go1749z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2723z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza72834za7,
		BGl_z62genzd2prefixzd2rtl_ifeq1751z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2724z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza72835za7,
		BGl_z62genzd2prefixzd2rtl_ifne1753z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2725z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza72836za7,
		BGl_z62genzd2prefixzd2rtl_vallo1755z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2650z00zzsaw_c_codez00,
		BgL_bgl_string2650za700za7za7s2837za7, "|", 1);
	      DEFINE_STRING(BGl_string2732z00zzsaw_c_codez00,
		BgL_bgl_string2732za700za7za7s2838za7, "accept-folding?", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2726z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza72839za7,
		BGl_z62genzd2prefixzd2rtl_vref1757z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2651z00zzsaw_c_codez00,
		BgL_bgl_string2651za700za7za7s2840za7, "BGL_RTL_OR", 10);
	      DEFINE_STRING(BGl_string2733z00zzsaw_c_codez00,
		BgL_bgl_string2733za700za7za7s2841za7, "(obj_t) ", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2727z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza72842za7,
		BGl_z62genzd2prefixzd2rtl_vset1759z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2652z00zzsaw_c_codez00,
		BgL_bgl_string2652za700za7za7s2843za7, "&", 1);
	      DEFINE_STRING(BGl_string2734z00zzsaw_c_codez00,
		BgL_bgl_string2734za700za7za7s2844za7, "return", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2728z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza72845za7,
		BGl_z62genzd2prefixzd2rtl_vleng1761z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2653z00zzsaw_c_codez00,
		BgL_bgl_string2653za700za7za7s2846za7, "BGL_RTL_AND", 11);
	      DEFINE_STRING(BGl_string2735z00zzsaw_c_codez00,
		BgL_bgl_string2735za700za7za7s2847za7, "VLENGTH", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2729z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza72848za7,
		BGl_z62genzd2prefixzd2rtl_cast1763z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2654z00zzsaw_c_codez00,
		BgL_bgl_string2654za700za7za7s2849za7, "+", 1);
	      DEFINE_STRING(BGl_string2736z00zzsaw_c_codez00,
		BgL_bgl_string2736za700za7za7s2850za7, "VSET", 4);
	      DEFINE_STRING(BGl_string2655z00zzsaw_c_codez00,
		BgL_bgl_string2655za700za7za7s2851za7, "BGL_RTL_ADD", 11);
	      DEFINE_STRING(BGl_string2737z00zzsaw_c_codez00,
		BgL_bgl_string2737za700za7za7s2852za7, "VREF", 4);
	      DEFINE_STRING(BGl_string2656z00zzsaw_c_codez00,
		BgL_bgl_string2656za700za7za7s2853za7, "-", 1);
	      DEFINE_STRING(BGl_string2738z00zzsaw_c_codez00,
		BgL_bgl_string2738za700za7za7s2854za7, "VALLOC", 6);
	      DEFINE_STRING(BGl_string2657z00zzsaw_c_codez00,
		BgL_bgl_string2657za700za7za7s2855za7, "BGL_RTL_SUB", 11);
	      DEFINE_STRING(BGl_string2739z00zzsaw_c_codez00,
		BgL_bgl_string2739za700za7za7s2856za7, "make_fx_procedure", 17);
	      DEFINE_STRING(BGl_string2658z00zzsaw_c_codez00,
		BgL_bgl_string2658za700za7za7s2857za7, "*", 1);
	      DEFINE_STRING(BGl_string2659z00zzsaw_c_codez00,
		BgL_bgl_string2659za700za7za7s2858za7, "BGL_RTL_MUL", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2730z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza72859za7,
		BGl_z62genzd2prefixzd2rtl_cast_1765z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2731z00zzsaw_c_codez00,
		BgL_bgl_za762acceptza7d2fold2860z00,
		BGl_z62acceptzd2foldingzf3zd2cvm1767z91zzsaw_c_codez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2740z00zzsaw_c_codez00,
		BgL_bgl_string2740za700za7za7s2861za7, "MAKE_FX_PROCEDURE", 17);
	      DEFINE_STRING(BGl_string2741z00zzsaw_c_codez00,
		BgL_bgl_string2741za700za7za7s2862za7, "make_va_procedure", 17);
	      DEFINE_STRING(BGl_string2660z00zzsaw_c_codez00,
		BgL_bgl_string2660za700za7za7s2863za7, "/", 1);
	      DEFINE_STRING(BGl_string2742z00zzsaw_c_codez00,
		BgL_bgl_string2742za700za7za7s2864za7, "MAKE_VA_PROCEDURE", 17);
	      DEFINE_STRING(BGl_string2661z00zzsaw_c_codez00,
		BgL_bgl_string2661za700za7za7s2865za7, "BGL_RTL_DIV", 11);
	      DEFINE_STRING(BGl_string2743z00zzsaw_c_codez00,
		BgL_bgl_string2743za700za7za7s2866za7, "MAKE_L_PROCEDURE", 16);
	      DEFINE_STRING(BGl_string2662z00zzsaw_c_codez00,
		BgL_bgl_string2662za700za7za7s2867za7, "%", 1);
	      DEFINE_STRING(BGl_string2744z00zzsaw_c_codez00,
		BgL_bgl_string2744za700za7za7s2868za7, "(function_t) ", 13);
	      DEFINE_STRING(BGl_string2663z00zzsaw_c_codez00,
		BgL_bgl_string2663za700za7za7s2869za7, "BGL_RTL_REM", 11);
	      DEFINE_STRING(BGl_string2745z00zzsaw_c_codez00,
		BgL_bgl_string2745za700za7za7s2870za7, "switch(", 7);
	      DEFINE_STRING(BGl_string2664z00zzsaw_c_codez00,
		BgL_bgl_string2664za700za7za7s2871za7, " | ", 3);
	      DEFINE_STRING(BGl_string2746z00zzsaw_c_codez00,
		BgL_bgl_string2746za700za7za7s2872za7, ") {", 3);
	      DEFINE_STRING(BGl_string2665z00zzsaw_c_codez00,
		BgL_bgl_string2665za700za7za7s2873za7, " & ", 3);
	      DEFINE_STRING(BGl_string2747z00zzsaw_c_codez00,
		BgL_bgl_string2747za700za7za7s2874za7, "\n\t default: ", 12);
	      DEFINE_STRING(BGl_string2666z00zzsaw_c_codez00,
		BgL_bgl_string2666za700za7za7s2875za7, " ^ ", 3);
	      DEFINE_STRING(BGl_string2748z00zzsaw_c_codez00,
		BgL_bgl_string2748za700za7za7s2876za7, "\n\t case ", 8);
	      DEFINE_STRING(BGl_string2667z00zzsaw_c_codez00,
		BgL_bgl_string2667za700za7za7s2877za7, "BGL_RTL_XOR", 11);
	      DEFINE_STRING(BGl_string2749z00zzsaw_c_codez00,
		BgL_bgl_string2749za700za7za7s2878za7, ";", 1);
	      DEFINE_STRING(BGl_string2668z00zzsaw_c_codez00,
		BgL_bgl_string2668za700za7za7s2879za7, " >> ", 4);
	      DEFINE_STRING(BGl_string2669z00zzsaw_c_codez00,
		BgL_bgl_string2669za700za7za7s2880za7, "BGL_RTL_RSH", 11);
	      DEFINE_STRING(BGl_string2750z00zzsaw_c_codez00,
		BgL_bgl_string2750za700za7za7s2881za7, " goto L", 7);
	      DEFINE_STRING(BGl_string2751z00zzsaw_c_codez00,
		BgL_bgl_string2751za700za7za7s2882za7, "\n\t}", 3);
	      DEFINE_STRING(BGl_string2670z00zzsaw_c_codez00,
		BgL_bgl_string2670za700za7za7s2883za7, " << ", 4);
	      DEFINE_STRING(BGl_string2752z00zzsaw_c_codez00,
		BgL_bgl_string2752za700za7za7s2884za7, "(obj_t) jmpbuf;\n\t", 17);
	      DEFINE_STRING(BGl_string2671z00zzsaw_c_codez00,
		BgL_bgl_string2671za700za7za7s2885za7, "BGL_RTL_LSH", 11);
	      DEFINE_STRING(BGl_string2753z00zzsaw_c_codez00,
		BgL_bgl_string2753za700za7za7s2886za7, "{BGL_STORE_TRACE();", 19);
	      DEFINE_STRING(BGl_string2672z00zzsaw_c_codez00,
		BgL_bgl_string2672za700za7za7s2887za7, "PUSH_EXIT", 9);
	      DEFINE_STRING(BGl_string2754z00zzsaw_c_codez00,
		BgL_bgl_string2754za700za7za7s2888za7,
		"if(SETJMP(jmpbuf)) {BGL_RESTORE_TRACE(); return(BGL_EXIT_VALUE());}}\n",
		69);
	      DEFINE_STRING(BGl_string2673z00zzsaw_c_codez00,
		BgL_bgl_string2673za700za7za7s2889za7, "BGL_RTL_PUSH_EXIT", 17);
	      DEFINE_STRING(BGl_string2755z00zzsaw_c_codez00,
		BgL_bgl_string2755za700za7za7s2890za7, "#if( SIGSETJMP_SAVESIGS == 0 )\n",
		31);
	      DEFINE_STRING(BGl_string2674z00zzsaw_c_codez00,
		BgL_bgl_string2674za700za7za7s2891za7, "PUSH_BEFORE", 11);
	      DEFINE_STRING(BGl_string2756z00zzsaw_c_codez00,
		BgL_bgl_string2756za700za7za7s2892za7,
		"  // bgl_restore_signal_handlers();\n", 36);
	      DEFINE_STRING(BGl_string2675z00zzsaw_c_codez00,
		BgL_bgl_string2675za700za7za7s2893za7, "BGL_RTL_PUSH_BEFORE", 19);
	      DEFINE_STRING(BGl_string2757z00zzsaw_c_codez00,
		BgL_bgl_string2757za700za7za7s2894za7, "#endif\n", 7);
	      DEFINE_STRING(BGl_string2676z00zzsaw_c_codez00,
		BgL_bgl_string2676za700za7za7s2895za7, "PUSH_TRACE", 10);
	      DEFINE_STRING(BGl_string2758z00zzsaw_c_codez00,
		BgL_bgl_string2758za700za7za7s2896za7, "(VA_PROCEDUREP(", 15);
	      DEFINE_STRING(BGl_string2677z00zzsaw_c_codez00,
		BgL_bgl_string2677za700za7za7s2897za7, "{PUSH_TRACE", 11);
	      DEFINE_STRING(BGl_string2759z00zzsaw_c_codez00,
		BgL_bgl_string2759za700za7za7s2898za7, ") ? ", 4);
	      DEFINE_STRING(BGl_string2678z00zzsaw_c_codez00,
		BgL_bgl_string2678za700za7za7s2899za7, "BGL_ENV_PUSH_TRACE", 18);
	      DEFINE_STRING(BGl_string2679z00zzsaw_c_codez00,
		BgL_bgl_string2679za700za7za7s2900za7, "{BGL_ENV_PUSH_TRACE", 19);
	      DEFINE_STRING(BGl_string2760z00zzsaw_c_codez00,
		BgL_bgl_string2760za700za7za7s2901za7, " : ", 3);
	      DEFINE_STRING(BGl_string2761z00zzsaw_c_codez00,
		BgL_bgl_string2761za700za7za7s2902za7, "((", 2);
	      DEFINE_STRING(BGl_string2680z00zzsaw_c_codez00,
		BgL_bgl_string2680za700za7za7s2903za7, "BIGLOO_EXIT", 11);
	      DEFINE_STRING(BGl_string2762z00zzsaw_c_codez00,
		BgL_bgl_string2762za700za7za7s2904za7, ")->", 3);
	      DEFINE_STRING(BGl_string2681z00zzsaw_c_codez00,
		BgL_bgl_string2681za700za7za7s2905za7, "STRING_REF", 10);
	      DEFINE_STRING(BGl_string2763z00zzsaw_c_codez00,
		BgL_bgl_string2763za700za7za7s2906za7, "=", 1);
	      DEFINE_STRING(BGl_string2682z00zzsaw_c_codez00,
		BgL_bgl_string2682za700za7za7s2907za7, "BGL_RTL_STRING_REF", 18);
	      DEFINE_STRING(BGl_string2764z00zzsaw_c_codez00,
		BgL_bgl_string2764za700za7za7s2908za7, "L_", 2);
	      DEFINE_STRING(BGl_string2683z00zzsaw_c_codez00,
		BgL_bgl_string2683za700za7za7s2909za7, "regular-grammar", 15);
	      DEFINE_STRING(BGl_string2765z00zzsaw_c_codez00,
		BgL_bgl_string2765za700za7za7s2910za7, "saw_c_code", 10);
	      DEFINE_STRING(BGl_string2684z00zzsaw_c_codez00,
		BgL_bgl_string2684za700za7za7s2911za7, "Illegal match", 13);
	      DEFINE_STRING(BGl_string2766z00zzsaw_c_codez00,
		BgL_bgl_string2766za700za7za7s2912za7,
		"else saw_c_code SawCIreg obj index (double llong ullong elong uelong long ulong int uint char uchar byte ubyte bool string int8 uint8 int16 uint16 int32 uint32 int64 uint64) location push-before! push-exit! (\"WRITE_CHAR\" \"BOOLEANP\" \"INTEGERP\" \"NULLP\" \"PAIRP\" \"SYMBOLP\" \"VECTORP\") ",
		280);
	      DEFINE_STRING(BGl_string2685z00zzsaw_c_codez00,
		BgL_bgl_string2685za700za7za7s2913za7, "$", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2686z00zzsaw_c_codez00,
		BgL_bgl_za762lambda2260za7622914z00, BGl_z62lambda2260z62zzsaw_c_codez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2693z00zzsaw_c_codez00,
		BgL_bgl_string2693za700za7za7s2915za7, "gen-expr1698", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2687z00zzsaw_c_codez00,
		BgL_bgl_za762lambda2259za7622916z00, BGl_z62lambda2259z62zzsaw_c_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2688z00zzsaw_c_codez00,
		BgL_bgl_za762lambda2252za7622917z00, BGl_z62lambda2252z62zzsaw_c_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2695z00zzsaw_c_codez00,
		BgL_bgl_string2695za700za7za7s2918za7, "gen-fun-name1716", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2689z00zzsaw_c_codez00,
		BgL_bgl_za762za7c3za704anonymo2919za7,
		BGl_z62zc3z04anonymousza32251ze3ze5zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2697z00zzsaw_c_codez00,
		BgL_bgl_string2697za700za7za7s2920za7, "gen-prefix1734", 14);
	      DEFINE_STRING(BGl_string2699z00zzsaw_c_codez00,
		BgL_bgl_string2699za700za7za7s2921za7, "gen-expr", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2690z00zzsaw_c_codez00,
		BgL_bgl_za762lambda2249za7622922z00, BGl_z62lambda2249z62zzsaw_c_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2691z00zzsaw_c_codez00,
		BgL_bgl_za762lambda2246za7622923z00, BGl_z62lambda2246z62zzsaw_c_codez00,
		0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2692z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2expr1692924z00,
		BGl_z62genzd2expr1698zb0zzsaw_c_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2694z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n2925za7,
		BGl_z62genzd2funzd2name1716z62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2696z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefix12926z00,
		BGl_z62genzd2prefix1734zb0zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2698z00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2exprza7d22927za7,
		BGl_z62genzd2exprzd2rtl_lightfu1701z62zzsaw_c_codez00, 0L, BUNSPEC, 2);
	extern obj_t BGl_acceptzd2foldingzf3zd2envzf3zzsaw_exprz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawzd2cepiloguezd2envz00zzsaw_c_codez00,
		BgL_bgl_za762sawza7d2cepilog2928z00,
		BGl_z62sawzd2cepiloguezb0zzsaw_c_codez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_GENERIC(BGl_genzd2exprzd2envz00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2exprza7b02929za7, BGl_z62genzd2exprzb0zzsaw_c_codez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
		BgL_bgl_za762genza7d2funza7d2n2930za7,
		BGl_z62genzd2funzd2namez62zzsaw_c_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
		BgL_bgl_za762genza7d2prefixza72931za7,
		BGl_z62genzd2prefixzb0zzsaw_c_codez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_c_codez00));
		     ADD_ROOT((void *) (&BGl_za2badzd2macrosza2zd2zzsaw_c_codez00));
		     ADD_ROOT((void *) (&BGl_SawCIregz00zzsaw_c_codez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_c_codez00(long
		BgL_checksumz00_5955, char *BgL_fromz00_5956)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_c_codez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_c_codez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_c_codez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_c_codez00();
					BGl_cnstzd2initzd2zzsaw_c_codez00();
					BGl_importedzd2moduleszd2initz00zzsaw_c_codez00();
					BGl_objectzd2initzd2zzsaw_c_codez00();
					BGl_genericzd2initzd2zzsaw_c_codez00();
					BGl_methodzd2initzd2zzsaw_c_codez00();
					return BGl_toplevelzd2initzd2zzsaw_c_codez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_c_codez00()
	{
		{	/* SawC/code.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_c_code");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_c_code");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_c_code");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 0),
				"saw_c_code");
			BGl_modulezd2initializa7ationz75zz__rgcz00(((long) 0), "saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_c_code");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_c_code");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"saw_c_code");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_c_codez00()
	{
		{	/* SawC/code.scm 1 */
			{	/* SawC/code.scm 1 */
				obj_t BgL_cportz00_5740;

				{	/* SawC/code.scm 1 */
					obj_t BgL_stringz00_5748;

					BgL_stringz00_5748 = BGl_string2766z00zzsaw_c_codez00;
					{	/* SawC/code.scm 1 */
						obj_t BgL_startz00_5749;

						BgL_startz00_5749 = BINT(((long) 0));
						{	/* SawC/code.scm 1 */
							obj_t BgL_endz00_5750;

							BgL_endz00_5750 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5748)));
							{	/* SawC/code.scm 1 */

								BgL_cportz00_5740 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5748, BgL_startz00_5749, BgL_endz00_5750);
				}}}}
				{
					long BgL_iz00_5741;

					BgL_iz00_5741 = ((long) 9);
				BgL_loopz00_5742:
					if ((BgL_iz00_5741 == ((long) -1)))
						{	/* SawC/code.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawC/code.scm 1 */
							{	/* SawC/code.scm 1 */
								obj_t BgL_arg2768z00_5744;

								{	/* SawC/code.scm 1 */

									{	/* SawC/code.scm 1 */
										obj_t BgL_locationz00_5746;

										BgL_locationz00_5746 = BBOOL(((bool_t) 0));
										{	/* SawC/code.scm 1 */

											BgL_arg2768z00_5744 =
												BGl_readz00zz__readerz00(BgL_cportz00_5740,
												BgL_locationz00_5746);
										}
									}
								}
								{	/* SawC/code.scm 1 */
									int BgL_tmpz00_5994;

									BgL_tmpz00_5994 = (int) (BgL_iz00_5741);
									CNST_TABLE_SET(BgL_tmpz00_5994, BgL_arg2768z00_5744);
							}}
							{	/* SawC/code.scm 1 */
								int BgL_auxz00_5747;

								BgL_auxz00_5747 = (int) ((BgL_iz00_5741 - ((long) 1)));
								{
									long BgL_iz00_5999;

									BgL_iz00_5999 = (long) (BgL_auxz00_5747);
									BgL_iz00_5741 = BgL_iz00_5999;
									goto BgL_loopz00_5742;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_c_codez00()
	{
		{	/* SawC/code.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_c_codez00()
	{
		{	/* SawC/code.scm 1 */
			BGl_za2commentza2z00zzsaw_c_codez00 = ((bool_t) 0);
			BGl_za2traceza2z00zzsaw_c_codez00 = ((bool_t) 0);
			BGl_za2countza2z00zzsaw_c_codez00 = ((bool_t) 0);
			BGl_za2inlinezd2simplezd2macrosza2z00zzsaw_c_codez00 = ((bool_t) 1);
			BGl_za2counterza2z00zzsaw_c_codez00 = ((long) 0);
			BGl_za2hasprotectza2z00zzsaw_c_codez00 = ((bool_t) 0);
			BGl_za2haspushexitza2z00zzsaw_c_codez00 = ((bool_t) 0);
			BGl_za2haspushbeforeza2z00zzsaw_c_codez00 = ((bool_t) 0);
			BGl_za2pushtraceemmitedza2z00zzsaw_c_codez00 = ((long) 0);
			return (BGl_za2badzd2macrosza2zd2zzsaw_c_codez00 =
				CNST_TABLE_REF(((long) 0)), BUNSPEC);
		}

	}



/* saw-cheader */
	BGL_EXPORTED_DEF obj_t BGl_sawzd2cheaderzd2zzsaw_c_codez00()
	{
		{	/* SawC/code.scm 42 */
			return
				BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
				(BGl_za2czd2portza2zd2zzbackend_c_emitz00,
				BGl_proc2610z00zzsaw_c_codez00);
		}

	}



/* &saw-cheader */
	obj_t BGl_z62sawzd2cheaderzb0zzsaw_c_codez00(obj_t BgL_envz00_5567)
	{
		{	/* SawC/code.scm 42 */
			return BGl_sawzd2cheaderzd2zzsaw_c_codez00();
		}

	}



/* &<@anonymous:1808> */
	obj_t BGl_z62zc3z04anonymousza31808ze3ze5zzsaw_c_codez00(obj_t
		BgL_envz00_5568)
	{
		{	/* SawC/code.scm 44 */
			return BGl_headerz00zzsaw_c_codez00();
		}

	}



/* header */
	obj_t BGl_headerz00zzsaw_c_codez00()
	{
		{	/* SawC/code.scm 46 */
			{	/* SawC/code.scm 52 */
				obj_t BgL_arg1818z00_2394;

				{	/* SawC/code.scm 52 */
					obj_t BgL_tmpz00_6006;

					BgL_tmpz00_6006 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1818z00_2394 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6006);
				}
				return
					bgl_display_string(BGl_string2611z00zzsaw_c_codez00,
					BgL_arg1818z00_2394);
			}
		}

	}



/* saw-cepilogue */
	BGL_EXPORTED_DEF obj_t BGl_sawzd2cepiloguezd2zzsaw_c_codez00()
	{
		{	/* SawC/code.scm 54 */
			return
				BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
				(BGl_za2czd2portza2zd2zzbackend_c_emitz00,
				BGl_proc2612z00zzsaw_c_codez00);
		}

	}



/* &saw-cepilogue */
	obj_t BGl_z62sawzd2cepiloguezb0zzsaw_c_codez00(obj_t BgL_envz00_5570)
	{
		{	/* SawC/code.scm 54 */
			return BGl_sawzd2cepiloguezd2zzsaw_c_codez00();
		}

	}



/* &<@anonymous:1825> */
	obj_t BGl_z62zc3z04anonymousza31825ze3ze5zzsaw_c_codez00(obj_t
		BgL_envz00_5571)
	{
		{	/* SawC/code.scm 56 */
			return BBOOL(BGl_cepiloguez00zzsaw_c_codez00());
		}

	}



/* cepilogue */
	bool_t BGl_cepiloguez00zzsaw_c_codez00()
	{
		{	/* SawC/code.scm 58 */
			{	/* SawC/code.scm 59 */
				obj_t BgL_arg1837z00_2398;

				{	/* SawC/code.scm 59 */
					obj_t BgL_tmpz00_6014;

					BgL_tmpz00_6014 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1837z00_2398 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6014);
				}
				bgl_display_string(BGl_string2611z00zzsaw_c_codez00,
					BgL_arg1837z00_2398);
			}
			return ((bool_t) 0);
		}

	}



/* saw-cgen */
	BGL_EXPORTED_DEF obj_t BGl_sawzd2cgenzd2zzsaw_c_codez00(BgL_cvmz00_bglt
		BgL_bz00_46, BgL_globalz00_bglt BgL_vz00_47)
	{
		{	/* SawC/code.scm 70 */
			{	/* SawC/code.scm 71 */
				obj_t BgL_lz00_2413;

				BgL_lz00_2413 =
					BGl_globalzd2ze3blocksz31zzsaw_woodcutterz00(
					((BgL_backendz00_bglt) BgL_bz00_46), BgL_vz00_47);
				BGl_za2hasprotectza2z00zzsaw_c_codez00 = ((bool_t) 0);
				BGl_za2haspushexitza2z00zzsaw_c_codez00 = ((bool_t) 0);
				BGl_za2haspushbeforeza2z00zzsaw_c_codez00 = ((bool_t) 0);
				BGl_za2pushtraceemmitedza2z00zzsaw_c_codez00 = ((long) 0);
				{	/* SawC/code.scm 77 */
					obj_t BgL_zc3z04anonymousza31863ze3z87_5572;

					BgL_zc3z04anonymousza31863ze3z87_5572 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31863ze3ze5zzsaw_c_codez00,
						(int) (((long) 0)), (int) (((long) 3)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31863ze3z87_5572,
						(int) (((long) 0)), ((obj_t) BgL_bz00_46));
					PROCEDURE_SET(BgL_zc3z04anonymousza31863ze3z87_5572,
						(int) (((long) 1)), ((obj_t) BgL_vz00_47));
					PROCEDURE_SET(BgL_zc3z04anonymousza31863ze3z87_5572,
						(int) (((long) 2)), BgL_lz00_2413);
					return
						BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
						(BGl_za2czd2portza2zd2zzbackend_c_emitz00,
						BgL_zc3z04anonymousza31863ze3z87_5572);
				}
			}
		}

	}



/* &saw-cgen */
	obj_t BGl_z62sawzd2cgenzb0zzsaw_c_codez00(obj_t BgL_envz00_5573,
		obj_t BgL_bz00_5574, obj_t BgL_vz00_5575)
	{
		{	/* SawC/code.scm 70 */
			return
				BGl_sawzd2cgenzd2zzsaw_c_codez00(
				((BgL_cvmz00_bglt) BgL_bz00_5574),
				((BgL_globalz00_bglt) BgL_vz00_5575));
		}

	}



/* &<@anonymous:1863> */
	obj_t BGl_z62zc3z04anonymousza31863ze3ze5zzsaw_c_codez00(obj_t
		BgL_envz00_5576)
	{
		{	/* SawC/code.scm 77 */
			{	/* SawC/code.scm 77 */
				BgL_cvmz00_bglt BgL_bz00_5577;
				BgL_globalz00_bglt BgL_vz00_5578;
				obj_t BgL_lz00_5579;

				BgL_bz00_5577 =
					((BgL_cvmz00_bglt)
					PROCEDURE_REF(BgL_envz00_5576, (int) (((long) 0))));
				BgL_vz00_5578 =
					((BgL_globalz00_bglt)
					PROCEDURE_REF(BgL_envz00_5576, (int) (((long) 1))));
				BgL_lz00_5579 =
					((obj_t) PROCEDURE_REF(BgL_envz00_5576, (int) (((long) 2))));
				return
					BGl_genfunz00zzsaw_c_codez00(BgL_bz00_5577, BgL_vz00_5578,
					BgL_lz00_5579);
			}
		}

	}



/* genfun */
	obj_t BGl_genfunz00zzsaw_c_codez00(BgL_cvmz00_bglt BgL_bz00_48,
		BgL_globalz00_bglt BgL_vz00_49, obj_t BgL_lz00_50)
	{
		{	/* SawC/code.scm 79 */
			{	/* SawC/code.scm 81 */
				BgL_sfunz00_bglt BgL_i1175z00_2418;

				BgL_i1175z00_2418 =
					((BgL_sfunz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_vz00_49)))->BgL_valuez00));
				{	/* SawC/code.scm 82 */
					obj_t BgL_paramsz00_2419;

					{	/* SawC/code.scm 82 */
						obj_t BgL_l1654z00_2447;

						BgL_l1654z00_2447 =
							(((BgL_sfunz00_bglt) COBJECT(BgL_i1175z00_2418))->BgL_argsz00);
						if (NULLP(BgL_l1654z00_2447))
							{	/* SawC/code.scm 82 */
								BgL_paramsz00_2419 = BNIL;
							}
						else
							{	/* SawC/code.scm 82 */
								obj_t BgL_head1656z00_2449;

								{	/* SawC/code.scm 82 */
									BgL_rtl_regz00_bglt BgL_arg1905z00_2461;

									{	/* SawC/code.scm 82 */
										obj_t BgL_arg1906z00_2462;

										BgL_arg1906z00_2462 = CAR(((obj_t) BgL_l1654z00_2447));
										BgL_arg1905z00_2461 =
											BGl_localzd2ze3regz31zzsaw_node2rtlz00(
											((BgL_localz00_bglt) BgL_arg1906z00_2462));
									}
									BgL_head1656z00_2449 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg1905z00_2461), BNIL);
								}
								{	/* SawC/code.scm 82 */
									obj_t BgL_g1659z00_2450;

									BgL_g1659z00_2450 = CDR(((obj_t) BgL_l1654z00_2447));
									{
										obj_t BgL_l1654z00_2452;
										obj_t BgL_tail1657z00_2453;

										BgL_l1654z00_2452 = BgL_g1659z00_2450;
										BgL_tail1657z00_2453 = BgL_head1656z00_2449;
									BgL_zc3z04anonymousza31896ze3z87_2454:
										if (NULLP(BgL_l1654z00_2452))
											{	/* SawC/code.scm 82 */
												BgL_paramsz00_2419 = BgL_head1656z00_2449;
											}
										else
											{	/* SawC/code.scm 82 */
												obj_t BgL_newtail1658z00_2456;

												{	/* SawC/code.scm 82 */
													BgL_rtl_regz00_bglt BgL_arg1901z00_2458;

													{	/* SawC/code.scm 82 */
														obj_t BgL_arg1904z00_2459;

														BgL_arg1904z00_2459 =
															CAR(((obj_t) BgL_l1654z00_2452));
														BgL_arg1901z00_2458 =
															BGl_localzd2ze3regz31zzsaw_node2rtlz00(
															((BgL_localz00_bglt) BgL_arg1904z00_2459));
													}
													BgL_newtail1658z00_2456 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg1901z00_2458), BNIL);
												}
												SET_CDR(BgL_tail1657z00_2453, BgL_newtail1658z00_2456);
												{	/* SawC/code.scm 82 */
													obj_t BgL_arg1898z00_2457;

													BgL_arg1898z00_2457 =
														CDR(((obj_t) BgL_l1654z00_2452));
													{
														obj_t BgL_tail1657z00_6071;
														obj_t BgL_l1654z00_6070;

														BgL_l1654z00_6070 = BgL_arg1898z00_2457;
														BgL_tail1657z00_6071 = BgL_newtail1658z00_2456;
														BgL_tail1657z00_2453 = BgL_tail1657z00_6071;
														BgL_l1654z00_2452 = BgL_l1654z00_6070;
														goto BgL_zc3z04anonymousza31896ze3z87_2454;
													}
												}
											}
									}
								}
							}
					}
					BGl_buildzd2treezd2zzsaw_exprz00(
						((BgL_backendz00_bglt) BgL_bz00_48), BgL_paramsz00_2419,
						BgL_lz00_50);
					BgL_lz00_50 =
						BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2((
							(BgL_backendz00_bglt) BgL_bz00_48), BgL_vz00_49,
						BgL_paramsz00_2419, BgL_lz00_50);
					BgL_lz00_50 =
						BGl_bbvz00zzsaw_bbvz00(((BgL_backendz00_bglt) BgL_bz00_48),
						BgL_vz00_49, BgL_paramsz00_2419, BgL_lz00_50);
					{	/* SawC/code.scm 87 */
						obj_t BgL_localsz00_2420;

						BgL_localsz00_2420 =
							BGl_getzd2localszd2zzsaw_c_codez00(BgL_paramsz00_2419,
							BgL_lz00_50);
						{	/* SawC/code.scm 89 */
							obj_t BgL_insz00_2425;

							{	/* SawC/code.scm 89 */
								obj_t BgL_arg1875z00_2430;

								{	/* SawC/code.scm 89 */
									BgL_blockz00_bglt BgL_oz00_3984;

									{	/* SawC/code.scm 89 */
										obj_t BgL_pairz00_3983;

										BgL_pairz00_3983 = BgL_lz00_50;
										BgL_oz00_3984 = ((BgL_blockz00_bglt) CAR(BgL_pairz00_3983));
									}
									BgL_arg1875z00_2430 =
										(((BgL_blockz00_bglt) COBJECT(BgL_oz00_3984))->
										BgL_firstz00);
								}
								BgL_insz00_2425 = CAR(BgL_arg1875z00_2430);
							}
							{	/* SawC/code.scm 90 */
								bool_t BgL_test2936z00_6083;

								if (CBOOL
									(BGl_za2czd2debugzd2lineszd2infoza2zd2zzengine_paramz00))
									{	/* SawC/code.scm 90 */
										if (CBOOL
											(BGl_za2bdbzd2debugzd2nozd2linezd2directiveszf3za2zf3zzengine_paramz00))
											{	/* SawC/code.scm 91 */
												BgL_test2936z00_6083 = ((bool_t) 0);
											}
										else
											{	/* SawC/code.scm 91 */
												BgL_test2936z00_6083 = ((bool_t) 1);
											}
									}
								else
									{	/* SawC/code.scm 90 */
										BgL_test2936z00_6083 = ((bool_t) 0);
									}
								if (BgL_test2936z00_6083)
									{	/* SawC/code.scm 92 */
										bool_t BgL__ortest_1176z00_2427;

										BgL__ortest_1176z00_2427 =
											BGl_printzd2locationzf3z21zzsaw_c_codez00(
											(((BgL_sfunz00_bglt) COBJECT(BgL_i1175z00_2418))->
												BgL_locz00));
										if (BgL__ortest_1176z00_2427)
											{	/* SawC/code.scm 92 */
												BgL__ortest_1176z00_2427;
											}
										else
											{	/* SawC/code.scm 93 */
												obj_t BgL_arg1871z00_2428;

												BgL_arg1871z00_2428 =
													BGl_findzd2locationzd2zzsaw_c_codez00(
													((BgL_rtl_insz00_bglt) BgL_insz00_2425));
												BGl_printzd2locationzf3z21zzsaw_c_codez00
													(BgL_arg1871z00_2428);
											}
									}
								else
									{	/* SawC/code.scm 90 */
										((bool_t) 0);
									}
							}
						}
						{	/* SawC/code.scm 94 */
							BgL_typez00_bglt BgL_arg1878z00_2432;

							BgL_arg1878z00_2432 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_vz00_49)))->BgL_typez00);
							{	/* SawC/code.scm 451 */
								obj_t BgL_arg2063z00_3987;

								BgL_arg2063z00_3987 =
									(((BgL_typez00_bglt) COBJECT(BgL_arg1878z00_2432))->
									BgL_namez00);
								{	/* SawC/code.scm 451 */
									obj_t BgL_list2064z00_3988;

									BgL_list2064z00_3988 =
										MAKE_YOUNG_PAIR(BgL_arg2063z00_3987, BNIL);
									BGl_displayza2za2zz__r4_output_6_10_3z00
										(BgL_list2064z00_3988);
								}
							}
						}
						{	/* SawC/code.scm 95 */
							obj_t BgL_arg1880z00_2433;

							{	/* SawC/code.scm 470 */
								obj_t BgL_arg2066z00_3991;

								BgL_arg2066z00_3991 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_49)))->BgL_namez00);
								BgL_arg1880z00_2433 =
									BGl_inlzd2opzd2zzsaw_c_codez00(BgL_arg2066z00_3991);
							}
							{	/* SawC/code.scm 95 */
								obj_t BgL_list1881z00_2434;

								{	/* SawC/code.scm 95 */
									obj_t BgL_arg1882z00_2435;

									BgL_arg1882z00_2435 =
										MAKE_YOUNG_PAIR(BgL_arg1880z00_2433, BNIL);
									BgL_list1881z00_2434 =
										MAKE_YOUNG_PAIR(BGl_string2613z00zzsaw_c_codez00,
										BgL_arg1882z00_2435);
								}
								BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1881z00_2434);
							}
						}
						BGl_genzd2typezd2regsz00zzsaw_c_codez00(BgL_paramsz00_2419);
						{	/* SawC/code.scm 97 */
							obj_t BgL_arg1883z00_2436;

							{	/* SawC/code.scm 97 */
								obj_t BgL_tmpz00_6106;

								BgL_tmpz00_6106 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg1883z00_2436 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6106);
							}
							bgl_display_string(BGl_string2614z00zzsaw_c_codez00,
								BgL_arg1883z00_2436);
						}
						if (BGl_za2hasprotectza2z00zzsaw_c_codez00)
							{	/* SawC/code.scm 98 */
								obj_t BgL_arg1884z00_2437;

								{	/* SawC/code.scm 98 */
									obj_t BgL_tmpz00_6111;

									BgL_tmpz00_6111 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_arg1884z00_2437 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6111);
								}
								bgl_display_string(BGl_string2615z00zzsaw_c_codez00,
									BgL_arg1884z00_2437);
							}
						else
							{	/* SawC/code.scm 98 */
								BFALSE;
							}
						if (BGl_za2haspushexitza2z00zzsaw_c_codez00)
							{	/* SawC/code.scm 99 */
								obj_t BgL_arg1885z00_2438;

								{	/* SawC/code.scm 99 */
									obj_t BgL_tmpz00_6116;

									BgL_tmpz00_6116 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_arg1885z00_2438 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6116);
								}
								bgl_display_string(BGl_string2616z00zzsaw_c_codez00,
									BgL_arg1885z00_2438);
							}
						else
							{	/* SawC/code.scm 99 */
								BFALSE;
							}
						if (BGl_za2haspushbeforeza2z00zzsaw_c_codez00)
							{	/* SawC/code.scm 100 */
								obj_t BgL_arg1886z00_2439;

								{	/* SawC/code.scm 100 */
									obj_t BgL_tmpz00_6121;

									BgL_tmpz00_6121 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_arg1886z00_2439 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6121);
								}
								bgl_display_string(BGl_string2617z00zzsaw_c_codez00,
									BgL_arg1886z00_2439);
							}
						else
							{	/* SawC/code.scm 100 */
								BFALSE;
							}
						BGl_declarezd2regszd2zzsaw_c_codez00(BgL_localsz00_2420);
						((bool_t) 0);
					}
				}
			}
			BGl_genbodyz00zzsaw_c_codez00(BgL_lz00_50);
			{	/* SawC/code.scm 104 */
				obj_t BgL_arg1907z00_2463;
				obj_t BgL_arg1908z00_2464;

				BgL_arg1907z00_2463 =
					make_string(BGl_za2pushtraceemmitedza2z00zzsaw_c_codez00,
					((unsigned char) '}'));
				{	/* SawC/code.scm 104 */
					obj_t BgL_tmpz00_6128;

					BgL_tmpz00_6128 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1908z00_2464 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6128);
				}
				bgl_display_obj(BgL_arg1907z00_2463, BgL_arg1908z00_2464);
			}
			{	/* SawC/code.scm 105 */
				obj_t BgL_arg1909z00_2465;

				{	/* SawC/code.scm 105 */
					obj_t BgL_tmpz00_6132;

					BgL_tmpz00_6132 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1909z00_2465 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6132);
				}
				return
					bgl_display_string(BGl_string2618z00zzsaw_c_codez00,
					BgL_arg1909z00_2465);
			}
		}

	}



/* get-locals */
	obj_t BGl_getzd2localszd2zzsaw_c_codez00(obj_t BgL_paramsz00_51,
		obj_t BgL_lz00_52)
	{
		{	/* SawC/code.scm 107 */
			{	/* SawC/code.scm 109 */
				struct bgl_cell BgL_box2943_5734z00;
				struct bgl_cell BgL_box2944_5735z00;
				obj_t BgL_nz00_5734;
				obj_t BgL_regsz00_5735;

				BgL_nz00_5734 = MAKE_CELL_STACK(BINT(((long) 0)), BgL_box2943_5734z00);
				BgL_regsz00_5735 = MAKE_CELL_STACK(BNIL, BgL_box2944_5735z00);
				{
					BgL_blockz00_bglt BgL_bz00_2519;

					{
						obj_t BgL_l1672z00_2472;

						BgL_l1672z00_2472 = BgL_paramsz00_51;
					BgL_zc3z04anonymousza31910ze3z87_2473:
						if (PAIRP(BgL_l1672z00_2472))
							{	/* SawC/code.scm 132 */
								BGl_exprzd2ze3iregze70zd6zzsaw_c_codez00(BgL_regsz00_5735,
									BgL_nz00_5734, CAR(BgL_l1672z00_2472));
								{
									obj_t BgL_l1672z00_6141;

									BgL_l1672z00_6141 = CDR(BgL_l1672z00_2472);
									BgL_l1672z00_2472 = BgL_l1672z00_6141;
									goto BgL_zc3z04anonymousza31910ze3z87_2473;
								}
							}
						else
							{	/* SawC/code.scm 132 */
								((bool_t) 1);
							}
					}
					{	/* SawC/code.scm 133 */
						obj_t BgL_auxz00_5736;

						BgL_auxz00_5736 = BNIL;
						CELL_SET(BgL_regsz00_5735, BgL_auxz00_5736);
					}
					{
						obj_t BgL_l1674z00_2479;

						BgL_l1674z00_2479 = BgL_lz00_52;
					BgL_zc3z04anonymousza31914ze3z87_2480:
						if (PAIRP(BgL_l1674z00_2479))
							{	/* SawC/code.scm 134 */
								{	/* SawC/code.scm 134 */
									obj_t BgL_arg1916z00_2482;

									BgL_arg1916z00_2482 = CAR(BgL_l1674z00_2479);
									BgL_bz00_2519 = ((BgL_blockz00_bglt) BgL_arg1916z00_2482);
									{	/* SawC/code.scm 125 */
										obj_t BgL_g1671z00_2521;

										BgL_g1671z00_2521 =
											(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2519))->
											BgL_firstz00);
										{
											obj_t BgL_l1669z00_2523;

											BgL_l1669z00_2523 = BgL_g1671z00_2521;
										BgL_zc3z04anonymousza31938ze3z87_2524:
											if (PAIRP(BgL_l1669z00_2523))
												{	/* SawC/code.scm 131 */
													{	/* SawC/code.scm 127 */
														obj_t BgL_insz00_2526;

														BgL_insz00_2526 = CAR(BgL_l1669z00_2523);
														{	/* SawC/code.scm 128 */
															BgL_rtl_funz00_bglt BgL_arg1940z00_2528;

															BgL_arg1940z00_2528 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_insz00_2526)))->
																BgL_funz00);
															BGl_check_funze70ze7zzsaw_c_codez00
																(BgL_arg1940z00_2528);
														}
														if (CBOOL(
																(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_insz00_2526)))->BgL_destz00)))
															{	/* SawC/code.scm 129 */
																obj_t BgL_arg1942z00_2530;

																BgL_arg1942z00_2530 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_insz00_2526)))->BgL_destz00);
																BGl_exprzd2ze3iregze70zd6zzsaw_c_codez00
																	(BgL_regsz00_5735, BgL_nz00_5734,
																	BgL_arg1942z00_2530);
															}
														else
															{	/* SawC/code.scm 129 */
																BFALSE;
															}
														{	/* SawC/code.scm 130 */
															obj_t BgL_g1668z00_2531;

															BgL_g1668z00_2531 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_insz00_2526)))->
																BgL_argsz00);
															{
																obj_t BgL_l1666z00_2533;

																BgL_l1666z00_2533 = BgL_g1668z00_2531;
															BgL_zc3z04anonymousza31943ze3z87_2534:
																if (PAIRP(BgL_l1666z00_2533))
																	{	/* SawC/code.scm 130 */
																		BGl_exprzd2ze3iregze70zd6zzsaw_c_codez00
																			(BgL_regsz00_5735, BgL_nz00_5734,
																			CAR(BgL_l1666z00_2533));
																		{
																			obj_t BgL_l1666z00_6166;

																			BgL_l1666z00_6166 =
																				CDR(BgL_l1666z00_2533);
																			BgL_l1666z00_2533 = BgL_l1666z00_6166;
																			goto
																				BgL_zc3z04anonymousza31943ze3z87_2534;
																		}
																	}
																else
																	{	/* SawC/code.scm 130 */
																		((bool_t) 1);
																	}
															}
														}
													}
													{
														obj_t BgL_l1669z00_6168;

														BgL_l1669z00_6168 = CDR(BgL_l1669z00_2523);
														BgL_l1669z00_2523 = BgL_l1669z00_6168;
														goto BgL_zc3z04anonymousza31938ze3z87_2524;
													}
												}
											else
												{	/* SawC/code.scm 131 */
													((bool_t) 1);
												}
										}
									}
								}
								{
									obj_t BgL_l1674z00_6171;

									BgL_l1674z00_6171 = CDR(BgL_l1674z00_2479);
									BgL_l1674z00_2479 = BgL_l1674z00_6171;
									goto BgL_zc3z04anonymousza31914ze3z87_2480;
								}
							}
						else
							{	/* SawC/code.scm 134 */
								((bool_t) 1);
							}
					}
					return CELL_REF(BgL_regsz00_5735);
				}
			}
		}

	}



/* check_fun~0 */
	obj_t BGl_check_funze70ze7zzsaw_c_codez00(BgL_rtl_funz00_bglt BgL_funz00_2485)
	{
		{	/* SawC/code.scm 111 */
			{	/* SawC/code.scm 111 */
				bool_t BgL_test2950z00_6173;

				{	/* SawC/code.scm 111 */
					obj_t BgL_classz00_4010;

					BgL_classz00_4010 = BGl_rtl_protectz00zzsaw_defsz00;
					{	/* SawC/code.scm 111 */
						BgL_objectz00_bglt BgL_arg1825z00_4012;

						{	/* SawC/code.scm 111 */
							obj_t BgL_tmpz00_6174;

							BgL_tmpz00_6174 =
								((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2485));
							BgL_arg1825z00_4012 = (BgL_objectz00_bglt) (BgL_tmpz00_6174);
						}
						{	/* SawC/code.scm 111 */
							bool_t BgL_arg1822z00_4015;
							bool_t BgL_arg1823z00_4016;

							{	/* SawC/code.scm 111 */
								long BgL_idxz00_4019;

								BgL_idxz00_4019 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4012);
								BgL_arg1822z00_4015 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4019 + ((long) 2))) == BgL_classz00_4010);
							}
							{	/* SawC/code.scm 111 */
								bool_t BgL_res2568z00_4041;

								{	/* SawC/code.scm 111 */
									obj_t BgL_oclassz00_4027;

									{	/* SawC/code.scm 111 */
										long BgL_arg1833z00_4033;

										{	/* SawC/code.scm 111 */
											long BgL_arg1834z00_4034;

											BgL_arg1834z00_4034 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4012);
											BgL_arg1833z00_4033 = (BgL_arg1834z00_4034 - OBJECT_TYPE);
										}
										BgL_oclassz00_4027 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4033);
									}
									{	/* SawC/code.scm 111 */
										bool_t BgL__ortest_1110z00_4028;

										BgL__ortest_1110z00_4028 =
											(BgL_classz00_4010 == BgL_oclassz00_4027);
										if (BgL__ortest_1110z00_4028)
											{	/* SawC/code.scm 111 */
												BgL_res2568z00_4041 = BgL__ortest_1110z00_4028;
											}
										else
											{	/* SawC/code.scm 111 */
												long BgL_odepthz00_4029;

												BgL_odepthz00_4029 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4027);
												if ((((long) 2) < BgL_odepthz00_4029))
													{	/* SawC/code.scm 111 */
														obj_t BgL_arg1821z00_4031;

														BgL_arg1821z00_4031 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4027,
															((long) 2));
														BgL_res2568z00_4041 =
															(BgL_arg1821z00_4031 == BgL_classz00_4010);
													}
												else
													{	/* SawC/code.scm 111 */
														BgL_res2568z00_4041 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4016 = BgL_res2568z00_4041;
							}
							BgL_test2950z00_6173 =
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4015, BgL_arg1823z00_4016);
						}
					}
				}
				if (BgL_test2950z00_6173)
					{	/* SawC/code.scm 111 */
						BGl_za2hasprotectza2z00zzsaw_c_codez00 = ((bool_t) 1);
					}
				else
					{	/* SawC/code.scm 111 */
						BFALSE;
					}
			}
			{	/* SawC/code.scm 112 */
				bool_t BgL_test2953z00_6193;

				{	/* SawC/code.scm 112 */
					obj_t BgL_classz00_4042;

					BgL_classz00_4042 = BGl_rtl_callz00zzsaw_defsz00;
					{	/* SawC/code.scm 112 */
						BgL_objectz00_bglt BgL_arg1825z00_4044;

						{	/* SawC/code.scm 112 */
							obj_t BgL_tmpz00_6194;

							BgL_tmpz00_6194 =
								((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2485));
							BgL_arg1825z00_4044 = (BgL_objectz00_bglt) (BgL_tmpz00_6194);
						}
						{	/* SawC/code.scm 112 */
							bool_t BgL_arg1822z00_4047;
							bool_t BgL_arg1823z00_4048;

							{	/* SawC/code.scm 112 */
								long BgL_idxz00_4051;

								BgL_idxz00_4051 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4044);
								BgL_arg1822z00_4047 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4051 + ((long) 2))) == BgL_classz00_4042);
							}
							{	/* SawC/code.scm 112 */
								bool_t BgL_res2569z00_4073;

								{	/* SawC/code.scm 112 */
									obj_t BgL_oclassz00_4059;

									{	/* SawC/code.scm 112 */
										long BgL_arg1833z00_4065;

										{	/* SawC/code.scm 112 */
											long BgL_arg1834z00_4066;

											BgL_arg1834z00_4066 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4044);
											BgL_arg1833z00_4065 = (BgL_arg1834z00_4066 - OBJECT_TYPE);
										}
										BgL_oclassz00_4059 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4065);
									}
									{	/* SawC/code.scm 112 */
										bool_t BgL__ortest_1110z00_4060;

										BgL__ortest_1110z00_4060 =
											(BgL_classz00_4042 == BgL_oclassz00_4059);
										if (BgL__ortest_1110z00_4060)
											{	/* SawC/code.scm 112 */
												BgL_res2569z00_4073 = BgL__ortest_1110z00_4060;
											}
										else
											{	/* SawC/code.scm 112 */
												long BgL_odepthz00_4061;

												BgL_odepthz00_4061 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4059);
												if ((((long) 2) < BgL_odepthz00_4061))
													{	/* SawC/code.scm 112 */
														obj_t BgL_arg1821z00_4063;

														BgL_arg1821z00_4063 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4059,
															((long) 2));
														BgL_res2569z00_4073 =
															(BgL_arg1821z00_4063 == BgL_classz00_4042);
													}
												else
													{	/* SawC/code.scm 112 */
														BgL_res2569z00_4073 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4048 = BgL_res2569z00_4073;
							}
							BgL_test2953z00_6193 =
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4047, BgL_arg1823z00_4048);
						}
					}
				}
				if (BgL_test2953z00_6193)
					{	/* SawC/code.scm 113 */
						obj_t BgL_idz00_2489;

						BgL_idz00_2489 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										(((BgL_rtl_callz00_bglt) COBJECT(
													((BgL_rtl_callz00_bglt) BgL_funz00_2485)))->
											BgL_varz00))))->BgL_idz00);
						if ((BgL_idz00_2489 == CNST_TABLE_REF(((long) 1))))
							{	/* SawC/code.scm 114 */
								BGl_za2haspushexitza2z00zzsaw_c_codez00 = ((bool_t) 1);
							}
						else
							{	/* SawC/code.scm 114 */
								BFALSE;
							}
						if ((BgL_idz00_2489 == CNST_TABLE_REF(((long) 2))))
							{	/* SawC/code.scm 115 */
								return (BGl_za2haspushbeforeza2z00zzsaw_c_codez00 =
									((bool_t) 1), BUNSPEC);
							}
						else
							{	/* SawC/code.scm 115 */
								return BFALSE;
							}
					}
				else
					{	/* SawC/code.scm 112 */
						return BFALSE;
					}
			}
		}

	}



/* expr->ireg~0 */
	obj_t BGl_exprzd2ze3iregze70zd6zzsaw_c_codez00(obj_t BgL_regsz00_5731,
		obj_t BgL_nz00_5730, obj_t BgL_ez00_2493)
	{
		{	/* SawC/code.scm 123 */
			{	/* SawC/code.scm 118 */
				bool_t BgL__ortest_1177z00_2495;

				{	/* SawC/code.scm 118 */
					obj_t BgL_classz00_4076;

					BgL_classz00_4076 = BGl_SawCIregz00zzsaw_c_codez00;
					if (BGL_OBJECTP(BgL_ez00_2493))
						{	/* SawC/code.scm 118 */
							obj_t BgL_oclassz00_4078;

							{	/* SawC/code.scm 118 */
								long BgL_arg1833z00_4080;

								{	/* SawC/code.scm 118 */
									long BgL_arg1834z00_4081;

									BgL_arg1834z00_4081 =
										BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_2493));
									BgL_arg1833z00_4080 = (BgL_arg1834z00_4081 - OBJECT_TYPE);
								}
								BgL_oclassz00_4078 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1833z00_4080);
							}
							BgL__ortest_1177z00_2495 =
								(BgL_oclassz00_4078 == BgL_classz00_4076);
						}
					else
						{	/* SawC/code.scm 118 */
							BgL__ortest_1177z00_2495 = ((bool_t) 0);
						}
				}
				if (BgL__ortest_1177z00_2495)
					{	/* SawC/code.scm 118 */
						return BBOOL(BgL__ortest_1177z00_2495);
					}
				else
					{	/* SawC/code.scm 119 */
						bool_t BgL_test2960z00_6232;

						{	/* SawC/code.scm 119 */
							obj_t BgL_classz00_4087;

							BgL_classz00_4087 = BGl_rtl_regz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_ez00_2493))
								{	/* SawC/code.scm 119 */
									BgL_objectz00_bglt BgL_arg1825z00_4089;

									BgL_arg1825z00_4089 = (BgL_objectz00_bglt) (BgL_ez00_2493);
									{	/* SawC/code.scm 119 */
										bool_t BgL_arg1822z00_4092;
										bool_t BgL_arg1823z00_4093;

										{	/* SawC/code.scm 119 */
											long BgL_idxz00_4096;

											BgL_idxz00_4096 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4089);
											BgL_arg1822z00_4092 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4096 + ((long) 1))) == BgL_classz00_4087);
										}
										{	/* SawC/code.scm 119 */
											bool_t BgL_res2570z00_4118;

											{	/* SawC/code.scm 119 */
												obj_t BgL_oclassz00_4104;

												{	/* SawC/code.scm 119 */
													long BgL_arg1833z00_4110;

													{	/* SawC/code.scm 119 */
														long BgL_arg1834z00_4111;

														BgL_arg1834z00_4111 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4089);
														BgL_arg1833z00_4110 =
															(BgL_arg1834z00_4111 - OBJECT_TYPE);
													}
													BgL_oclassz00_4104 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_4110);
												}
												{	/* SawC/code.scm 119 */
													bool_t BgL__ortest_1110z00_4105;

													BgL__ortest_1110z00_4105 =
														(BgL_classz00_4087 == BgL_oclassz00_4104);
													if (BgL__ortest_1110z00_4105)
														{	/* SawC/code.scm 119 */
															BgL_res2570z00_4118 = BgL__ortest_1110z00_4105;
														}
													else
														{	/* SawC/code.scm 119 */
															long BgL_odepthz00_4106;

															BgL_odepthz00_4106 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4104);
															if ((((long) 1) < BgL_odepthz00_4106))
																{	/* SawC/code.scm 119 */
																	obj_t BgL_arg1821z00_4108;

																	BgL_arg1821z00_4108 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4104,
																		((long) 1));
																	BgL_res2570z00_4118 =
																		(BgL_arg1821z00_4108 == BgL_classz00_4087);
																}
															else
																{	/* SawC/code.scm 119 */
																	BgL_res2570z00_4118 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_4093 = BgL_res2570z00_4118;
										}
										BgL_test2960z00_6232 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_4092,
											BgL_arg1823z00_4093);
									}
								}
							else
								{	/* SawC/code.scm 119 */
									BgL_test2960z00_6232 = ((bool_t) 0);
								}
						}
						if (BgL_test2960z00_6232)
							{	/* SawC/code.scm 119 */
								{	/* SawC/code.scm 119 */
									BgL_sawciregz00_bglt BgL_wide1180z00_2499;

									BgL_wide1180z00_2499 =
										((BgL_sawciregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_sawciregz00_bgl))));
									{	/* SawC/code.scm 119 */
										obj_t BgL_auxz00_6256;
										BgL_objectz00_bglt BgL_tmpz00_6252;

										BgL_auxz00_6256 = ((obj_t) BgL_wide1180z00_2499);
										BgL_tmpz00_6252 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_ez00_2493)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6252, BgL_auxz00_6256);
									}
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_ez00_2493)));
									{	/* SawC/code.scm 119 */
										long BgL_arg1926z00_2500;

										BgL_arg1926z00_2500 =
											BGL_CLASS_NUM(BGl_SawCIregz00zzsaw_c_codez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_ez00_2493))),
											BgL_arg1926z00_2500);
									}
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_ez00_2493)));
								}
								{
									BgL_sawciregz00_bglt BgL_auxz00_6270;

									{
										obj_t BgL_auxz00_6271;

										{	/* SawC/code.scm 119 */
											BgL_objectz00_bglt BgL_tmpz00_6272;

											BgL_tmpz00_6272 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_ez00_2493)));
											BgL_auxz00_6271 = BGL_OBJECT_WIDENING(BgL_tmpz00_6272);
										}
										BgL_auxz00_6270 = ((BgL_sawciregz00_bglt) BgL_auxz00_6271);
									}
									((((BgL_sawciregz00_bglt) COBJECT(BgL_auxz00_6270))->
											BgL_indexz00) =
										((obj_t) CELL_REF(BgL_nz00_5730)), BUNSPEC);
								}
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_ez00_2493));
								{	/* SawC/code.scm 120 */
									obj_t BgL_auxz00_5732;

									BgL_auxz00_5732 =
										ADDFX(CELL_REF(BgL_nz00_5730), BINT(((long) 1)));
									CELL_SET(BgL_nz00_5730, BgL_auxz00_5732);
								}
								{	/* SawC/code.scm 121 */
									obj_t BgL_auxz00_5733;

									BgL_auxz00_5733 =
										MAKE_YOUNG_PAIR(BgL_ez00_2493, CELL_REF(BgL_regsz00_5731));
									return CELL_SET(BgL_regsz00_5731, BgL_auxz00_5733);
								}
							}
						else
							{	/* SawC/code.scm 119 */
								{	/* SawC/code.scm 122 */
									BgL_rtl_funz00_bglt BgL_arg1927z00_2502;

									BgL_arg1927z00_2502 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_ez00_2493)))->BgL_funz00);
									BGl_check_funze70ze7zzsaw_c_codez00(BgL_arg1927z00_2502);
								}
								{	/* SawC/code.scm 123 */
									obj_t BgL_l1660z00_2503;

									BgL_l1660z00_2503 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_ez00_2493)))->BgL_argsz00);
									if (NULLP(BgL_l1660z00_2503))
										{	/* SawC/code.scm 123 */
											return BNIL;
										}
									else
										{	/* SawC/code.scm 123 */
											obj_t BgL_head1662z00_2505;

											{	/* SawC/code.scm 123 */
												obj_t BgL_arg1935z00_2517;

												{	/* SawC/code.scm 123 */
													obj_t BgL_arg1936z00_2518;

													BgL_arg1936z00_2518 = CAR(BgL_l1660z00_2503);
													BgL_arg1935z00_2517 =
														BGl_exprzd2ze3iregze70zd6zzsaw_c_codez00
														(BgL_regsz00_5731, BgL_nz00_5730,
														BgL_arg1936z00_2518);
												}
												BgL_head1662z00_2505 =
													MAKE_YOUNG_PAIR(BgL_arg1935z00_2517, BNIL);
											}
											{	/* SawC/code.scm 123 */
												obj_t BgL_g1665z00_2506;

												BgL_g1665z00_2506 = CDR(BgL_l1660z00_2503);
												{
													obj_t BgL_l1660z00_2508;
													obj_t BgL_tail1663z00_2509;

													BgL_l1660z00_2508 = BgL_g1665z00_2506;
													BgL_tail1663z00_2509 = BgL_head1662z00_2505;
												BgL_zc3z04anonymousza31929ze3z87_2510:
													if (NULLP(BgL_l1660z00_2508))
														{	/* SawC/code.scm 123 */
															return BgL_head1662z00_2505;
														}
													else
														{	/* SawC/code.scm 123 */
															obj_t BgL_newtail1664z00_2512;

															{	/* SawC/code.scm 123 */
																obj_t BgL_arg1932z00_2514;

																{	/* SawC/code.scm 123 */
																	obj_t BgL_arg1933z00_2515;

																	BgL_arg1933z00_2515 =
																		CAR(((obj_t) BgL_l1660z00_2508));
																	BgL_arg1932z00_2514 =
																		BGl_exprzd2ze3iregze70zd6zzsaw_c_codez00
																		(BgL_regsz00_5731, BgL_nz00_5730,
																		BgL_arg1933z00_2515);
																}
																BgL_newtail1664z00_2512 =
																	MAKE_YOUNG_PAIR(BgL_arg1932z00_2514, BNIL);
															}
															SET_CDR(BgL_tail1663z00_2509,
																BgL_newtail1664z00_2512);
															{	/* SawC/code.scm 123 */
																obj_t BgL_arg1931z00_2513;

																BgL_arg1931z00_2513 =
																	CDR(((obj_t) BgL_l1660z00_2508));
																{
																	obj_t BgL_tail1663z00_6305;
																	obj_t BgL_l1660z00_6304;

																	BgL_l1660z00_6304 = BgL_arg1931z00_2513;
																	BgL_tail1663z00_6305 =
																		BgL_newtail1664z00_2512;
																	BgL_tail1663z00_2509 = BgL_tail1663z00_6305;
																	BgL_l1660z00_2508 = BgL_l1660z00_6304;
																	goto BgL_zc3z04anonymousza31929ze3z87_2510;
																}
															}
														}
												}
											}
										}
								}
							}
					}
			}
		}

	}



/* gen-type-regs */
	obj_t BGl_genzd2typezd2regsz00zzsaw_c_codez00(obj_t BgL_lz00_53)
	{
		{	/* SawC/code.scm 137 */
			{	/* SawC/code.scm 138 */
				obj_t BgL_arg1948z00_2544;

				{	/* SawC/code.scm 138 */
					obj_t BgL_tmpz00_6306;

					BgL_tmpz00_6306 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1948z00_2544 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6306);
				}
				bgl_display_string(BGl_string2619z00zzsaw_c_codez00,
					BgL_arg1948z00_2544);
			}
			if (NULLP(BgL_lz00_53))
				{	/* SawC/code.scm 139 */
					((bool_t) 0);
				}
			else
				{	/* SawC/code.scm 139 */
					BGl_genzd2typezd2regz00zzsaw_c_codez00(CAR(BgL_lz00_53));
					{	/* SawC/code.scm 142 */
						obj_t BgL_g1678z00_2547;

						BgL_g1678z00_2547 = CDR(BgL_lz00_53);
						{
							obj_t BgL_l1676z00_2549;

							BgL_l1676z00_2549 = BgL_g1678z00_2547;
						BgL_zc3z04anonymousza31951ze3z87_2550:
							if (PAIRP(BgL_l1676z00_2549))
								{	/* SawC/code.scm 143 */
									{	/* SawC/code.scm 142 */
										obj_t BgL_argz00_2552;

										BgL_argz00_2552 = CAR(BgL_l1676z00_2549);
										{	/* SawC/code.scm 142 */
											obj_t BgL_arg1953z00_2553;

											{	/* SawC/code.scm 142 */
												obj_t BgL_tmpz00_6318;

												BgL_tmpz00_6318 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_arg1953z00_2553 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6318);
											}
											bgl_display_string(BGl_string2620z00zzsaw_c_codez00,
												BgL_arg1953z00_2553);
										}
										BGl_genzd2typezd2regz00zzsaw_c_codez00(BgL_argz00_2552);
									}
									{
										obj_t BgL_l1676z00_6323;

										BgL_l1676z00_6323 = CDR(BgL_l1676z00_2549);
										BgL_l1676z00_2549 = BgL_l1676z00_6323;
										goto BgL_zc3z04anonymousza31951ze3z87_2550;
									}
								}
							else
								{	/* SawC/code.scm 143 */
									((bool_t) 1);
								}
						}
					}
				}
			{	/* SawC/code.scm 144 */
				obj_t BgL_arg1955z00_2556;

				{	/* SawC/code.scm 144 */
					obj_t BgL_tmpz00_6325;

					BgL_tmpz00_6325 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1955z00_2556 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6325);
				}
				return
					bgl_display_string(BGl_string2621z00zzsaw_c_codez00,
					BgL_arg1955z00_2556);
			}
		}

	}



/* gen-type-reg */
	obj_t BGl_genzd2typezd2regz00zzsaw_c_codez00(obj_t BgL_regz00_54)
	{
		{	/* SawC/code.scm 146 */
			{	/* SawC/code.scm 147 */
				obj_t BgL_arg1956z00_2557;
				obj_t BgL_arg1957z00_2558;

				{	/* SawC/code.scm 147 */
					BgL_typez00_bglt BgL_arg1958z00_2559;
					obj_t BgL_arg1959z00_2560;

					BgL_arg1958z00_2559 =
						(((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_regz00_54)))->BgL_typez00);
					BgL_arg1959z00_2560 = BGl_reg_namez00zzsaw_c_codez00(BgL_regz00_54);
					BgL_arg1956z00_2557 =
						BGl_makezd2typedzd2declarationz00zztype_toolsz00
						(BgL_arg1958z00_2559, BgL_arg1959z00_2560);
				}
				{	/* SawC/code.scm 147 */
					obj_t BgL_tmpz00_6333;

					BgL_tmpz00_6333 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1957z00_2558 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6333);
				}
				return bgl_display_obj(BgL_arg1956z00_2557, BgL_arg1957z00_2558);
			}
		}

	}



/* reg_name */
	obj_t BGl_reg_namez00zzsaw_c_codez00(obj_t BgL_regz00_55)
	{
		{	/* SawC/code.scm 149 */
			{	/* SawC/code.scm 150 */
				obj_t BgL_arg1960z00_2561;
				obj_t BgL_arg1961z00_2562;

				if (CBOOL(
						(((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_regz00_55))))->BgL_varz00)))
					{	/* SawC/code.scm 150 */
						BgL_arg1960z00_2561 = BGl_string2622z00zzsaw_c_codez00;
					}
				else
					{	/* SawC/code.scm 150 */
						BgL_arg1960z00_2561 = BGl_string2623z00zzsaw_c_codez00;
					}
				{	/* SawC/code.scm 151 */
					obj_t BgL_arg1964z00_2564;

					{
						BgL_sawciregz00_bglt BgL_auxz00_6342;

						{
							obj_t BgL_auxz00_6343;

							{	/* SawC/code.scm 151 */
								BgL_objectz00_bglt BgL_tmpz00_6344;

								BgL_tmpz00_6344 =
									((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_regz00_55));
								BgL_auxz00_6343 = BGL_OBJECT_WIDENING(BgL_tmpz00_6344);
							}
							BgL_auxz00_6342 = ((BgL_sawciregz00_bglt) BgL_auxz00_6343);
						}
						BgL_arg1964z00_2564 =
							(((BgL_sawciregz00_bglt) COBJECT(BgL_auxz00_6342))->BgL_indexz00);
					}
					{	/* SawC/code.scm 151 */

						BgL_arg1961z00_2562 =
							BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
							(long) CINT(BgL_arg1964z00_2564), ((long) 10));
				}}
				return string_append(BgL_arg1960z00_2561, BgL_arg1961z00_2562);
			}
		}

	}



/* declare-regs */
	bool_t BGl_declarezd2regszd2zzsaw_c_codez00(obj_t BgL_lz00_56)
	{
		{	/* SawC/code.scm 153 */
			{
				obj_t BgL_l1679z00_2568;

				BgL_l1679z00_2568 = BgL_lz00_56;
			BgL_zc3z04anonymousza31965ze3z87_2569:
				if (PAIRP(BgL_l1679z00_2568))
					{	/* SawC/code.scm 154 */
						{	/* SawC/code.scm 155 */
							obj_t BgL_rz00_2571;

							BgL_rz00_2571 = CAR(BgL_l1679z00_2568);
							{	/* SawC/code.scm 155 */
								obj_t BgL_arg1967z00_2572;

								{	/* SawC/code.scm 155 */
									obj_t BgL_tmpz00_6356;

									BgL_tmpz00_6356 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_arg1967z00_2572 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6356);
								}
								bgl_display_string(BGl_string2613z00zzsaw_c_codez00,
									BgL_arg1967z00_2572);
							}
							BGl_genzd2typezd2regz00zzsaw_c_codez00(BgL_rz00_2571);
							{	/* SawC/code.scm 161 */
								obj_t BgL_arg1975z00_2582;

								{	/* SawC/code.scm 161 */
									obj_t BgL_tmpz00_6361;

									BgL_tmpz00_6361 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_arg1975z00_2582 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6361);
								}
								bgl_display_string(BGl_string2624z00zzsaw_c_codez00,
									BgL_arg1975z00_2582);
							}
						}
						{
							obj_t BgL_l1679z00_6365;

							BgL_l1679z00_6365 = CDR(BgL_l1679z00_2568);
							BgL_l1679z00_2568 = BgL_l1679z00_6365;
							goto BgL_zc3z04anonymousza31965ze3z87_2569;
						}
					}
				else
					{	/* SawC/code.scm 154 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* genbody */
	bool_t BGl_genbodyz00zzsaw_c_codez00(obj_t BgL_lz00_57)
	{
		{	/* SawC/code.scm 164 */
			{
				obj_t BgL_l1684z00_2586;

				BgL_l1684z00_2586 = BgL_lz00_57;
			BgL_zc3z04anonymousza31977ze3z87_2587:
				if (PAIRP(BgL_l1684z00_2586))
					{	/* SawC/code.scm 165 */
						{	/* SawC/code.scm 166 */
							obj_t BgL_bz00_2589;

							BgL_bz00_2589 = CAR(BgL_l1684z00_2586);
							{	/* SawC/code.scm 166 */
								int BgL_arg1979z00_2590;

								BgL_arg1979z00_2590 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_bz00_2589)))->BgL_labelz00);
								BGl_outzd2labelzd2zzsaw_c_codez00(BgL_arg1979z00_2590);
							}
							{	/* SawC/code.scm 167 */
								obj_t BgL_lz00_2591;

								BgL_lz00_2591 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_bz00_2589)))->BgL_firstz00);
								{	/* SawC/code.scm 168 */
									bool_t BgL_test2971z00_6375;

									{	/* SawC/code.scm 168 */
										obj_t BgL_arg1983z00_2596;

										{	/* SawC/code.scm 168 */
											obj_t BgL_arg1984z00_2597;

											BgL_arg1984z00_2597 = CAR(BgL_lz00_2591);
											BgL_arg1983z00_2596 =
												BGl_findzd2locationzd2zzsaw_c_codez00(
												((BgL_rtl_insz00_bglt) BgL_arg1984z00_2597));
										}
										if (STRUCTP(BgL_arg1983z00_2596))
											{	/* SawC/code.scm 168 */
												BgL_test2971z00_6375 =
													(STRUCT_KEY(BgL_arg1983z00_2596) ==
													CNST_TABLE_REF(((long) 3)));
											}
										else
											{	/* SawC/code.scm 168 */
												BgL_test2971z00_6375 = ((bool_t) 0);
											}
									}
									if (BgL_test2971z00_6375)
										{	/* SawC/code.scm 168 */
											obj_t BgL_port1681z00_2595;

											{	/* SawC/code.scm 168 */
												obj_t BgL_tmpz00_6384;

												BgL_tmpz00_6384 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_port1681z00_2595 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6384);
											}
											bgl_display_string(BGl_string2625z00zzsaw_c_codez00,
												BgL_port1681z00_2595);
											bgl_display_char(((unsigned char) 10),
												BgL_port1681z00_2595);
										}
									else
										{	/* SawC/code.scm 168 */
											BFALSE;
										}
								}
								{
									obj_t BgL_l1682z00_2599;

									BgL_l1682z00_2599 = BgL_lz00_2591;
								BgL_zc3z04anonymousza31985ze3z87_2600:
									if (PAIRP(BgL_l1682z00_2599))
										{	/* SawC/code.scm 169 */
											{	/* SawC/code.scm 169 */
												obj_t BgL_arg1987z00_2602;

												BgL_arg1987z00_2602 = CAR(BgL_l1682z00_2599);
												BGl_genzd2inszd2zzsaw_c_codez00(
													((BgL_rtl_insz00_bglt) BgL_arg1987z00_2602));
											}
											{
												obj_t BgL_l1682z00_6394;

												BgL_l1682z00_6394 = CDR(BgL_l1682z00_2599);
												BgL_l1682z00_2599 = BgL_l1682z00_6394;
												goto BgL_zc3z04anonymousza31985ze3z87_2600;
											}
										}
									else
										{	/* SawC/code.scm 169 */
											((bool_t) 1);
										}
								}
							}
						}
						{
							obj_t BgL_l1684z00_6396;

							BgL_l1684z00_6396 = CDR(BgL_l1684z00_2586);
							BgL_l1684z00_2586 = BgL_l1684z00_6396;
							goto BgL_zc3z04anonymousza31977ze3z87_2587;
						}
					}
				else
					{	/* SawC/code.scm 165 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* out-label */
	bool_t BGl_outzd2labelzd2zzsaw_c_codez00(int BgL_labelz00_58)
	{
		{	/* SawC/code.scm 172 */
			{	/* SawC/code.scm 173 */
				obj_t BgL_list1990z00_2607;

				{	/* SawC/code.scm 173 */
					obj_t BgL_arg1991z00_2608;

					{	/* SawC/code.scm 173 */
						obj_t BgL_arg1992z00_2609;

						BgL_arg1992z00_2609 =
							MAKE_YOUNG_PAIR(BGl_string2626z00zzsaw_c_codez00, BNIL);
						BgL_arg1991z00_2608 =
							MAKE_YOUNG_PAIR(BINT(BgL_labelz00_58), BgL_arg1992z00_2609);
					}
					BgL_list1990z00_2607 =
						MAKE_YOUNG_PAIR(BGl_string2627z00zzsaw_c_codez00,
						BgL_arg1991z00_2608);
				}
				BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1990z00_2607);
			}
			return ((bool_t) 0);
		}

	}



/* print-location? */
	bool_t BGl_printzd2locationzf3z21zzsaw_c_codez00(obj_t BgL_locz00_59)
	{
		{	/* SawC/code.scm 179 */
			{	/* SawC/code.scm 180 */
				bool_t BgL_test2974z00_6403;

				if (STRUCTP(BgL_locz00_59))
					{	/* SawC/code.scm 180 */
						BgL_test2974z00_6403 =
							(STRUCT_KEY(BgL_locz00_59) == CNST_TABLE_REF(((long) 3)));
					}
				else
					{	/* SawC/code.scm 180 */
						BgL_test2974z00_6403 = ((bool_t) 0);
					}
				if (BgL_test2974z00_6403)
					{	/* SawC/code.scm 180 */
						{	/* SawC/code.scm 182 */
							obj_t BgL_port1686z00_2618;

							{	/* SawC/code.scm 182 */
								obj_t BgL_tmpz00_6409;

								BgL_tmpz00_6409 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_port1686z00_2618 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6409);
							}
							bgl_display_string(BGl_string2628z00zzsaw_c_codez00,
								BgL_port1686z00_2618);
							bgl_display_obj(STRUCT_REF(BgL_locz00_59, (int) (((long) 2))),
								BgL_port1686z00_2618);
							bgl_display_string(BGl_string2629z00zzsaw_c_codez00,
								BgL_port1686z00_2618);
							bgl_display_obj(STRUCT_REF(BgL_locz00_59, (int) (((long) 0))),
								BgL_port1686z00_2618);
							bgl_display_string(BGl_string2630z00zzsaw_c_codez00,
								BgL_port1686z00_2618);
							bgl_display_char(((unsigned char) 10), BgL_port1686z00_2618);
						}
						return ((bool_t) 1);
					}
				else
					{	/* SawC/code.scm 180 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* find-location */
	obj_t BGl_findzd2locationzd2zzsaw_c_codez00(BgL_rtl_insz00_bglt BgL_insz00_60)
	{
		{	/* SawC/code.scm 186 */
			{	/* SawC/code.scm 198 */
				obj_t BgL__andtest_1186z00_2623;

				BgL__andtest_1186z00_2623 =
					BGl_za2czd2debugzd2lineszd2infoza2zd2zzengine_paramz00;
				if (CBOOL(BgL__andtest_1186z00_2623))
					{	/* SawC/code.scm 199 */
						obj_t BgL__andtest_1187z00_2624;

						BgL__andtest_1187z00_2624 =
							BGl_za2bdbzd2debugzd2nozd2linezd2directiveszf3za2zf3zzengine_paramz00;
						if (CBOOL(BgL__andtest_1187z00_2624))
							{	/* SawC/code.scm 199 */
								return BFALSE;
							}
						else
							{	/* SawC/code.scm 199 */
								return BGl_walkze70ze7zzsaw_c_codez00(((obj_t) BgL_insz00_60));
							}
					}
				else
					{	/* SawC/code.scm 198 */
						return BFALSE;
					}
			}
		}

	}



/* walk~0 */
	obj_t BGl_walkze70ze7zzsaw_c_codez00(obj_t BgL_insz00_2631)
	{
		{	/* SawC/code.scm 197 */
			{
				obj_t BgL_lz00_2625;

				{	/* SawC/code.scm 192 */
					bool_t BgL_test2978z00_6428;

					{	/* SawC/code.scm 192 */
						obj_t BgL_classz00_4200;

						BgL_classz00_4200 = BGl_rtl_insz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_insz00_2631))
							{	/* SawC/code.scm 192 */
								BgL_objectz00_bglt BgL_arg1825z00_4202;

								BgL_arg1825z00_4202 = (BgL_objectz00_bglt) (BgL_insz00_2631);
								{	/* SawC/code.scm 192 */
									bool_t BgL_arg1822z00_4205;
									bool_t BgL_arg1823z00_4206;

									{	/* SawC/code.scm 192 */
										long BgL_idxz00_4209;

										BgL_idxz00_4209 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4202);
										BgL_arg1822z00_4205 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4209 + ((long) 1))) == BgL_classz00_4200);
									}
									{	/* SawC/code.scm 192 */
										bool_t BgL_res2573z00_4231;

										{	/* SawC/code.scm 192 */
											obj_t BgL_oclassz00_4217;

											{	/* SawC/code.scm 192 */
												long BgL_arg1833z00_4223;

												{	/* SawC/code.scm 192 */
													long BgL_arg1834z00_4224;

													BgL_arg1834z00_4224 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4202);
													BgL_arg1833z00_4223 =
														(BgL_arg1834z00_4224 - OBJECT_TYPE);
												}
												BgL_oclassz00_4217 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_4223);
											}
											{	/* SawC/code.scm 192 */
												bool_t BgL__ortest_1110z00_4218;

												BgL__ortest_1110z00_4218 =
													(BgL_classz00_4200 == BgL_oclassz00_4217);
												if (BgL__ortest_1110z00_4218)
													{	/* SawC/code.scm 192 */
														BgL_res2573z00_4231 = BgL__ortest_1110z00_4218;
													}
												else
													{	/* SawC/code.scm 192 */
														long BgL_odepthz00_4219;

														BgL_odepthz00_4219 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4217);
														if ((((long) 1) < BgL_odepthz00_4219))
															{	/* SawC/code.scm 192 */
																obj_t BgL_arg1821z00_4221;

																BgL_arg1821z00_4221 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4217,
																	((long) 1));
																BgL_res2573z00_4231 =
																	(BgL_arg1821z00_4221 == BgL_classz00_4200);
															}
														else
															{	/* SawC/code.scm 192 */
																BgL_res2573z00_4231 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_4206 = BgL_res2573z00_4231;
									}
									BgL_test2978z00_6428 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_4205, BgL_arg1823z00_4206);
								}
							}
						else
							{	/* SawC/code.scm 192 */
								BgL_test2978z00_6428 = ((bool_t) 0);
							}
					}
					if (BgL_test2978z00_6428)
						{	/* SawC/code.scm 194 */
							obj_t BgL_locz00_2634;

							BgL_locz00_2634 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_2631)))->BgL_locz00);
							{	/* SawC/code.scm 195 */
								bool_t BgL_test2982z00_6449;

								if (STRUCTP(BgL_locz00_2634))
									{	/* SawC/code.scm 195 */
										BgL_test2982z00_6449 =
											(STRUCT_KEY(BgL_locz00_2634) ==
											CNST_TABLE_REF(((long) 3)));
									}
								else
									{	/* SawC/code.scm 195 */
										BgL_test2982z00_6449 = ((bool_t) 0);
									}
								if (BgL_test2982z00_6449)
									{	/* SawC/code.scm 195 */
										return BgL_locz00_2634;
									}
								else
									{	/* SawC/code.scm 197 */
										obj_t BgL_arg2010z00_2636;

										BgL_arg2010z00_2636 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_insz00_2631)))->
											BgL_argsz00);
										BgL_lz00_2625 = BgL_arg2010z00_2636;
									BgL_zc3z04anonymousza32004ze3z87_2626:
										if (NULLP(BgL_lz00_2625))
											{	/* SawC/code.scm 188 */
												return BFALSE;
											}
										else
											{	/* SawC/code.scm 189 */
												obj_t BgL__ortest_1185z00_2628;

												{	/* SawC/code.scm 189 */
													obj_t BgL_arg2006z00_2630;

													BgL_arg2006z00_2630 = CAR(((obj_t) BgL_lz00_2625));
													BgL__ortest_1185z00_2628 =
														BGl_walkze70ze7zzsaw_c_codez00(BgL_arg2006z00_2630);
												}
												if (CBOOL(BgL__ortest_1185z00_2628))
													{	/* SawC/code.scm 189 */
														return BgL__ortest_1185z00_2628;
													}
												else
													{	/* SawC/code.scm 190 */
														obj_t BgL_arg2005z00_2629;

														BgL_arg2005z00_2629 = CDR(((obj_t) BgL_lz00_2625));
														{
															obj_t BgL_lz00_6466;

															BgL_lz00_6466 = BgL_arg2005z00_2629;
															BgL_lz00_2625 = BgL_lz00_6466;
															goto BgL_zc3z04anonymousza32004ze3z87_2626;
														}
													}
											}
									}
							}
						}
					else
						{	/* SawC/code.scm 192 */
							return BFALSE;
						}
				}
			}
		}

	}



/* gen-ins */
	obj_t BGl_genzd2inszd2zzsaw_c_codez00(BgL_rtl_insz00_bglt BgL_insz00_61)
	{
		{	/* SawC/code.scm 205 */
			BGl_printzd2locationzf3z21zzsaw_c_codez00
				(BGl_findzd2locationzd2zzsaw_c_codez00(BgL_insz00_61));
			{	/* SawC/code.scm 208 */
				obj_t BgL_arg2012z00_2641;

				{	/* SawC/code.scm 208 */
					obj_t BgL_tmpz00_6469;

					BgL_tmpz00_6469 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2012z00_2641 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6469);
				}
				bgl_display_string(BGl_string2631z00zzsaw_c_codez00,
					BgL_arg2012z00_2641);
			}
			if (CBOOL((((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_61))->BgL_destz00)))
				{	/* SawC/code.scm 209 */
					BGl_genzd2regzf2destz20zzsaw_c_codez00(
						(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_61))->BgL_destz00));
					{	/* SawC/code.scm 211 */
						obj_t BgL_arg2015z00_2644;

						{	/* SawC/code.scm 211 */
							obj_t BgL_tmpz00_6478;

							BgL_tmpz00_6478 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg2015z00_2644 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6478);
						}
						bgl_display_string(BGl_string2632z00zzsaw_c_codez00,
							BgL_arg2015z00_2644);
					}
				}
			else
				{	/* SawC/code.scm 209 */
					BFALSE;
				}
			BGl_genzd2exprzd2zzsaw_c_codez00(
				(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_61))->BgL_funz00),
				(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_61))->BgL_argsz00));
			{	/* SawC/code.scm 213 */
				obj_t BgL_arg2018z00_2647;

				{	/* SawC/code.scm 213 */
					obj_t BgL_tmpz00_6485;

					BgL_tmpz00_6485 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2018z00_2647 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6485);
				}
				return
					bgl_display_string(BGl_string2624z00zzsaw_c_codez00,
					BgL_arg2018z00_2647);
			}
		}

	}



/* gen-args */
	bool_t BGl_genzd2argszd2zzsaw_c_codez00(obj_t BgL_argsz00_64)
	{
		{	/* SawC/code.scm 223 */
			if (NULLP(BgL_argsz00_64))
				{	/* SawC/code.scm 224 */
					return ((bool_t) 0);
				}
			else
				{	/* SawC/code.scm 224 */
					{	/* SawC/code.scm 225 */
						obj_t BgL_arg2020z00_2649;

						BgL_arg2020z00_2649 = CAR(((obj_t) BgL_argsz00_64));
						BGl_genzd2regzd2zzsaw_c_codez00(BgL_arg2020z00_2649);
					}
					{	/* SawC/code.scm 226 */
						obj_t BgL_g1689z00_2650;

						BgL_g1689z00_2650 = CDR(((obj_t) BgL_argsz00_64));
						{
							obj_t BgL_l1687z00_2652;

							BgL_l1687z00_2652 = BgL_g1689z00_2650;
						BgL_zc3z04anonymousza32021ze3z87_2653:
							if (PAIRP(BgL_l1687z00_2652))
								{	/* SawC/code.scm 227 */
									{	/* SawC/code.scm 226 */
										obj_t BgL_rz00_2655;

										BgL_rz00_2655 = CAR(BgL_l1687z00_2652);
										{	/* SawC/code.scm 226 */
											obj_t BgL_arg2023z00_2656;

											{	/* SawC/code.scm 226 */
												obj_t BgL_tmpz00_6499;

												BgL_tmpz00_6499 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_arg2023z00_2656 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6499);
											}
											bgl_display_string(BGl_string2620z00zzsaw_c_codez00,
												BgL_arg2023z00_2656);
										}
										BGl_genzd2regzd2zzsaw_c_codez00(BgL_rz00_2655);
									}
									{
										obj_t BgL_l1687z00_6504;

										BgL_l1687z00_6504 = CDR(BgL_l1687z00_2652);
										BgL_l1687z00_2652 = BgL_l1687z00_6504;
										goto BgL_zc3z04anonymousza32021ze3z87_2653;
									}
								}
							else
								{	/* SawC/code.scm 227 */
									return ((bool_t) 1);
								}
						}
					}
				}
		}

	}



/* gen-reg */
	obj_t BGl_genzd2regzd2zzsaw_c_codez00(obj_t BgL_regz00_65)
	{
		{	/* SawC/code.scm 229 */
			{	/* SawC/code.scm 230 */
				bool_t BgL_test2989z00_6506;

				{	/* SawC/code.scm 230 */
					obj_t BgL_classz00_4254;

					BgL_classz00_4254 = BGl_SawCIregz00zzsaw_c_codez00;
					if (BGL_OBJECTP(BgL_regz00_65))
						{	/* SawC/code.scm 230 */
							obj_t BgL_oclassz00_4256;

							{	/* SawC/code.scm 230 */
								long BgL_arg1833z00_4258;

								{	/* SawC/code.scm 230 */
									long BgL_arg1834z00_4259;

									BgL_arg1834z00_4259 =
										BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_regz00_65));
									BgL_arg1833z00_4258 = (BgL_arg1834z00_4259 - OBJECT_TYPE);
								}
								BgL_oclassz00_4256 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1833z00_4258);
							}
							BgL_test2989z00_6506 = (BgL_oclassz00_4256 == BgL_classz00_4254);
						}
					else
						{	/* SawC/code.scm 230 */
							BgL_test2989z00_6506 = ((bool_t) 0);
						}
				}
				if (BgL_test2989z00_6506)
					{	/* SawC/code.scm 230 */
						return BGl_genzd2regzf2destz20zzsaw_c_codez00(BgL_regz00_65);
					}
				else
					{	/* SawC/code.scm 232 */
						BgL_rtl_funz00_bglt BgL_arg2026z00_2660;
						obj_t BgL_arg2029z00_2661;

						BgL_arg2026z00_2660 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_regz00_65)))->BgL_funz00);
						BgL_arg2029z00_2661 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_regz00_65)))->BgL_argsz00);
						return
							BGl_genzd2exprzd2zzsaw_c_codez00(BgL_arg2026z00_2660,
							BgL_arg2029z00_2661);
					}
			}
		}

	}



/* gen-reg/dest */
	obj_t BGl_genzd2regzf2destz20zzsaw_c_codez00(obj_t BgL_regz00_66)
	{
		{	/* SawC/code.scm 234 */
			{	/* SawC/code.scm 235 */
				obj_t BgL_arg2030z00_2662;
				obj_t BgL_arg2031z00_2663;

				if (CBOOL(
						(((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_regz00_66))))->BgL_varz00)))
					{	/* SawC/code.scm 235 */
						BgL_arg2030z00_2662 = BGl_string2622z00zzsaw_c_codez00;
					}
				else
					{	/* SawC/code.scm 235 */
						BgL_arg2030z00_2662 = BGl_string2623z00zzsaw_c_codez00;
					}
				{	/* SawC/code.scm 235 */
					obj_t BgL_tmpz00_6525;

					BgL_tmpz00_6525 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2031z00_2663 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6525);
				}
				bgl_display_obj(BgL_arg2030z00_2662, BgL_arg2031z00_2663);
			}
			{	/* SawC/code.scm 236 */
				obj_t BgL_arg2034z00_2665;
				obj_t BgL_arg2035z00_2666;

				{
					BgL_sawciregz00_bglt BgL_auxz00_6529;

					{
						obj_t BgL_auxz00_6530;

						{	/* SawC/code.scm 236 */
							BgL_objectz00_bglt BgL_tmpz00_6531;

							BgL_tmpz00_6531 =
								((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_regz00_66));
							BgL_auxz00_6530 = BGL_OBJECT_WIDENING(BgL_tmpz00_6531);
						}
						BgL_auxz00_6529 = ((BgL_sawciregz00_bglt) BgL_auxz00_6530);
					}
					BgL_arg2034z00_2665 =
						(((BgL_sawciregz00_bglt) COBJECT(BgL_auxz00_6529))->BgL_indexz00);
				}
				{	/* SawC/code.scm 236 */
					obj_t BgL_tmpz00_6537;

					BgL_tmpz00_6537 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2035z00_2666 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6537);
				}
				return bgl_display_obj(BgL_arg2034z00_2665, BgL_arg2035z00_2666);
			}
		}

	}



/* gen-Xfuncall */
	obj_t BGl_genzd2Xfuncallzd2zzsaw_c_codez00(obj_t BgL_typez00_75,
		obj_t BgL_argsz00_76, bool_t BgL_eoazf3zf3_77)
	{
		{	/* SawC/code.scm 274 */
			{	/* SawC/code.scm 275 */
				obj_t BgL_list2036z00_2667;

				{	/* SawC/code.scm 275 */
					obj_t BgL_arg2037z00_2668;

					{	/* SawC/code.scm 275 */
						obj_t BgL_arg2039z00_2669;

						BgL_arg2039z00_2669 =
							MAKE_YOUNG_PAIR(BGl_string2633z00zzsaw_c_codez00, BNIL);
						BgL_arg2037z00_2668 =
							MAKE_YOUNG_PAIR(BgL_typez00_75, BgL_arg2039z00_2669);
					}
					BgL_list2036z00_2667 =
						MAKE_YOUNG_PAIR(BGl_string2634z00zzsaw_c_codez00,
						BgL_arg2037z00_2668);
				}
				BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2036z00_2667);
			}
			{	/* SawC/code.scm 276 */
				obj_t BgL_arg2040z00_2670;

				BgL_arg2040z00_2670 = CAR(((obj_t) BgL_argsz00_76));
				BGl_genzd2regzd2zzsaw_c_codez00(BgL_arg2040z00_2670);
			}
			{	/* SawC/code.scm 277 */
				obj_t BgL_arg2041z00_2671;

				{	/* SawC/code.scm 277 */
					obj_t BgL_tmpz00_6548;

					BgL_tmpz00_6548 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2041z00_2671 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6548);
				}
				bgl_display_string(BGl_string2635z00zzsaw_c_codez00,
					BgL_arg2041z00_2671);
			}
			BGl_genzd2argszd2zzsaw_c_codez00(BgL_argsz00_76);
			if (BgL_eoazf3zf3_77)
				{	/* SawC/code.scm 279 */
					obj_t BgL_arg2042z00_2672;

					{	/* SawC/code.scm 279 */
						obj_t BgL_tmpz00_6554;

						BgL_tmpz00_6554 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_arg2042z00_2672 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6554);
					}
					bgl_display_string(BGl_string2636z00zzsaw_c_codez00,
						BgL_arg2042z00_2672);
				}
			else
				{	/* SawC/code.scm 279 */
					BFALSE;
				}
			{	/* SawC/code.scm 280 */
				obj_t BgL_arg2043z00_2673;

				{	/* SawC/code.scm 280 */
					obj_t BgL_tmpz00_6558;

					BgL_tmpz00_6558 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2043z00_2673 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6558);
				}
				return
					bgl_display_string(BGl_string2621z00zzsaw_c_codez00,
					BgL_arg2043z00_2673);
			}
		}

	}



/* gen-upcase */
	obj_t BGl_genzd2upcasezd2zzsaw_c_codez00(BgL_rtl_funz00_bglt BgL_funz00_87)
	{
		{	/* SawC/code.scm 363 */
			{	/* SawC/code.scm 365 */
				obj_t BgL_arg2044z00_2674;

				{	/* SawC/code.scm 365 */
					obj_t BgL_arg2047z00_2677;

					{	/* SawC/code.scm 365 */
						obj_t BgL_arg2049z00_2678;

						{	/* SawC/code.scm 365 */
							obj_t BgL_arg2050z00_2679;

							{	/* SawC/code.scm 365 */
								long BgL_arg1833z00_4283;

								{	/* SawC/code.scm 365 */
									long BgL_arg1834z00_4284;

									BgL_arg1834z00_4284 =
										BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_87));
									BgL_arg1833z00_4283 = (BgL_arg1834z00_4284 - OBJECT_TYPE);
								}
								BgL_arg2050z00_2679 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1833z00_4283);
							}
							BgL_arg2049z00_2678 =
								BGl_classzd2namezd2zz__objectz00(BgL_arg2050z00_2679);
						}
						{	/* SawC/code.scm 365 */
							obj_t BgL_arg1463z00_4291;

							BgL_arg1463z00_4291 = SYMBOL_TO_STRING(BgL_arg2049z00_2678);
							BgL_arg2047z00_2677 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1463z00_4291);
					}}
					BgL_arg2044z00_2674 =
						BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(BgL_arg2047z00_2677);
				}
				{	/* SawC/code.scm 364 */
					obj_t BgL_list2045z00_2675;

					{	/* SawC/code.scm 364 */
						obj_t BgL_arg2046z00_2676;

						BgL_arg2046z00_2676 = MAKE_YOUNG_PAIR(BgL_arg2044z00_2674, BNIL);
						BgL_list2045z00_2675 =
							MAKE_YOUNG_PAIR(BGl_string2637z00zzsaw_c_codez00,
							BgL_arg2046z00_2676);
					}
					return BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2045z00_2675);
				}
			}
		}

	}



/* vfun-name */
	obj_t BGl_vfunzd2namezd2zzsaw_c_codez00(obj_t BgL_fz00_88,
		BgL_typez00_bglt BgL_typez00_89)
	{
		{	/* SawC/code.scm 367 */
			{	/* SawC/code.scm 368 */
				obj_t BgL_arg2051z00_2680;

				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							(((BgL_typez00_bglt) COBJECT(BgL_typez00_89))->BgL_idz00),
							CNST_TABLE_REF(((long) 4)))))
					{	/* SawC/code.scm 368 */
						BgL_arg2051z00_2680 = BGl_string2638z00zzsaw_c_codez00;
					}
				else
					{	/* SawC/code.scm 368 */
						BgL_arg2051z00_2680 = BGl_string2625z00zzsaw_c_codez00;
					}
				{	/* SawC/code.scm 368 */
					obj_t BgL_list2052z00_2681;

					{	/* SawC/code.scm 368 */
						obj_t BgL_arg2053z00_2682;

						{	/* SawC/code.scm 368 */
							obj_t BgL_arg2054z00_2683;

							BgL_arg2054z00_2683 = MAKE_YOUNG_PAIR(BgL_fz00_88, BNIL);
							BgL_arg2053z00_2682 =
								MAKE_YOUNG_PAIR(BgL_arg2051z00_2680, BgL_arg2054z00_2683);
						}
						BgL_list2052z00_2681 =
							MAKE_YOUNG_PAIR(BGl_string2639z00zzsaw_c_codez00,
							BgL_arg2053z00_2682);
					}
					return BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2052z00_2681);
				}
			}
		}

	}



/* vextra */
	obj_t BGl_vextraz00zzsaw_c_codez00(BgL_typez00_bglt BgL_typez00_108)
	{
		{	/* SawC/code.scm 423 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						(((BgL_typez00_bglt) COBJECT(BgL_typez00_108))->BgL_idz00),
						CNST_TABLE_REF(((long) 4)))))
				{	/* SawC/code.scm 425 */
					obj_t BgL_tnz00_2686;

					BgL_tnz00_2686 =
						(((BgL_typez00_bglt) COBJECT(BgL_typez00_108))->BgL_namez00);
					{	/* SawC/code.scm 426 */
						obj_t BgL_arg2058z00_2687;

						BgL_arg2058z00_2687 = bigloo_mangle(BgL_tnz00_2686);
						{	/* SawC/code.scm 426 */
							obj_t BgL_list2059z00_2688;

							{	/* SawC/code.scm 426 */
								obj_t BgL_arg2060z00_2689;

								{	/* SawC/code.scm 426 */
									obj_t BgL_arg2061z00_2690;

									{	/* SawC/code.scm 426 */
										obj_t BgL_arg2062z00_2691;

										BgL_arg2062z00_2691 =
											MAKE_YOUNG_PAIR(BGl_string2620z00zzsaw_c_codez00, BNIL);
										BgL_arg2061z00_2690 =
											MAKE_YOUNG_PAIR(BgL_tnz00_2686, BgL_arg2062z00_2691);
									}
									BgL_arg2060z00_2689 =
										MAKE_YOUNG_PAIR(BGl_string2620z00zzsaw_c_codez00,
										BgL_arg2061z00_2690);
								}
								BgL_list2059z00_2688 =
									MAKE_YOUNG_PAIR(BgL_arg2058z00_2687, BgL_arg2060z00_2689);
							}
							return
								BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2059z00_2688);
						}
					}
				}
			else
				{	/* SawC/code.scm 424 */
					return BFALSE;
				}
		}

	}



/* inl-op */
	obj_t BGl_inlzd2opzd2zzsaw_c_codez00(obj_t BgL_sz00_118)
	{
		{	/* SawC/code.scm 472 */
			{	/* SawC/code.scm 474 */
				bool_t BgL_test2995z00_6594;

				{	/* SawC/code.scm 474 */
					long BgL_l1z00_4308;

					BgL_l1z00_4308 = STRING_LENGTH(((obj_t) BgL_sz00_118));
					if ((BgL_l1z00_4308 == ((long) 2)))
						{	/* SawC/code.scm 474 */
							int BgL_arg1289z00_4311;

							{	/* SawC/code.scm 474 */
								char *BgL_auxz00_6602;
								char *BgL_tmpz00_6599;

								BgL_auxz00_6602 =
									BSTRING_TO_STRING(BGl_string2640z00zzsaw_c_codez00);
								BgL_tmpz00_6599 = BSTRING_TO_STRING(((obj_t) BgL_sz00_118));
								BgL_arg1289z00_4311 =
									memcmp(BgL_tmpz00_6599, BgL_auxz00_6602, BgL_l1z00_4308);
							}
							BgL_test2995z00_6594 =
								((long) (BgL_arg1289z00_4311) == ((long) 0));
						}
					else
						{	/* SawC/code.scm 474 */
							BgL_test2995z00_6594 = ((bool_t) 0);
						}
				}
				if (BgL_test2995z00_6594)
					{	/* SawC/code.scm 474 */
						return BGl_string2641z00zzsaw_c_codez00;
					}
				else
					{	/* SawC/code.scm 475 */
						bool_t BgL_test2997z00_6607;

						{	/* SawC/code.scm 475 */
							long BgL_l1z00_4319;

							BgL_l1z00_4319 = STRING_LENGTH(((obj_t) BgL_sz00_118));
							if ((BgL_l1z00_4319 == ((long) 2)))
								{	/* SawC/code.scm 475 */
									int BgL_arg1289z00_4322;

									{	/* SawC/code.scm 475 */
										char *BgL_auxz00_6615;
										char *BgL_tmpz00_6612;

										BgL_auxz00_6615 =
											BSTRING_TO_STRING(BGl_string2642z00zzsaw_c_codez00);
										BgL_tmpz00_6612 = BSTRING_TO_STRING(((obj_t) BgL_sz00_118));
										BgL_arg1289z00_4322 =
											memcmp(BgL_tmpz00_6612, BgL_auxz00_6615, BgL_l1z00_4319);
									}
									BgL_test2997z00_6607 =
										((long) (BgL_arg1289z00_4322) == ((long) 0));
								}
							else
								{	/* SawC/code.scm 475 */
									BgL_test2997z00_6607 = ((bool_t) 0);
								}
						}
						if (BgL_test2997z00_6607)
							{	/* SawC/code.scm 475 */
								return BGl_string2643z00zzsaw_c_codez00;
							}
						else
							{	/* SawC/code.scm 476 */
								bool_t BgL_test2999z00_6620;

								{	/* SawC/code.scm 476 */
									long BgL_l1z00_4330;

									BgL_l1z00_4330 = STRING_LENGTH(((obj_t) BgL_sz00_118));
									if ((BgL_l1z00_4330 == ((long) 2)))
										{	/* SawC/code.scm 476 */
											int BgL_arg1289z00_4333;

											{	/* SawC/code.scm 476 */
												char *BgL_auxz00_6628;
												char *BgL_tmpz00_6625;

												BgL_auxz00_6628 =
													BSTRING_TO_STRING(BGl_string2644z00zzsaw_c_codez00);
												BgL_tmpz00_6625 =
													BSTRING_TO_STRING(((obj_t) BgL_sz00_118));
												BgL_arg1289z00_4333 =
													memcmp(BgL_tmpz00_6625, BgL_auxz00_6628,
													BgL_l1z00_4330);
											}
											BgL_test2999z00_6620 =
												((long) (BgL_arg1289z00_4333) == ((long) 0));
										}
									else
										{	/* SawC/code.scm 476 */
											BgL_test2999z00_6620 = ((bool_t) 0);
										}
								}
								if (BgL_test2999z00_6620)
									{	/* SawC/code.scm 476 */
										return BGl_string2645z00zzsaw_c_codez00;
									}
								else
									{	/* SawC/code.scm 477 */
										bool_t BgL_test3001z00_6633;

										{	/* SawC/code.scm 477 */
											long BgL_l1z00_4341;

											BgL_l1z00_4341 = STRING_LENGTH(((obj_t) BgL_sz00_118));
											if ((BgL_l1z00_4341 == ((long) 1)))
												{	/* SawC/code.scm 477 */
													int BgL_arg1289z00_4344;

													{	/* SawC/code.scm 477 */
														char *BgL_auxz00_6641;
														char *BgL_tmpz00_6638;

														BgL_auxz00_6641 =
															BSTRING_TO_STRING
															(BGl_string2646z00zzsaw_c_codez00);
														BgL_tmpz00_6638 =
															BSTRING_TO_STRING(((obj_t) BgL_sz00_118));
														BgL_arg1289z00_4344 =
															memcmp(BgL_tmpz00_6638, BgL_auxz00_6641,
															BgL_l1z00_4341);
													}
													BgL_test3001z00_6633 =
														((long) (BgL_arg1289z00_4344) == ((long) 0));
												}
											else
												{	/* SawC/code.scm 477 */
													BgL_test3001z00_6633 = ((bool_t) 0);
												}
										}
										if (BgL_test3001z00_6633)
											{	/* SawC/code.scm 477 */
												return BGl_string2647z00zzsaw_c_codez00;
											}
										else
											{	/* SawC/code.scm 478 */
												bool_t BgL_test3003z00_6646;

												{	/* SawC/code.scm 478 */
													long BgL_l1z00_4352;

													BgL_l1z00_4352 =
														STRING_LENGTH(((obj_t) BgL_sz00_118));
													if ((BgL_l1z00_4352 == ((long) 1)))
														{	/* SawC/code.scm 478 */
															int BgL_arg1289z00_4355;

															{	/* SawC/code.scm 478 */
																char *BgL_auxz00_6654;
																char *BgL_tmpz00_6651;

																BgL_auxz00_6654 =
																	BSTRING_TO_STRING
																	(BGl_string2648z00zzsaw_c_codez00);
																BgL_tmpz00_6651 =
																	BSTRING_TO_STRING(((obj_t) BgL_sz00_118));
																BgL_arg1289z00_4355 =
																	memcmp(BgL_tmpz00_6651, BgL_auxz00_6654,
																	BgL_l1z00_4352);
															}
															BgL_test3003z00_6646 =
																((long) (BgL_arg1289z00_4355) == ((long) 0));
														}
													else
														{	/* SawC/code.scm 478 */
															BgL_test3003z00_6646 = ((bool_t) 0);
														}
												}
												if (BgL_test3003z00_6646)
													{	/* SawC/code.scm 478 */
														return BGl_string2649z00zzsaw_c_codez00;
													}
												else
													{	/* SawC/code.scm 479 */
														bool_t BgL_test3005z00_6659;

														{	/* SawC/code.scm 479 */
															long BgL_l1z00_4363;

															BgL_l1z00_4363 =
																STRING_LENGTH(((obj_t) BgL_sz00_118));
															if ((BgL_l1z00_4363 == ((long) 1)))
																{	/* SawC/code.scm 479 */
																	int BgL_arg1289z00_4366;

																	{	/* SawC/code.scm 479 */
																		char *BgL_auxz00_6667;
																		char *BgL_tmpz00_6664;

																		BgL_auxz00_6667 =
																			BSTRING_TO_STRING
																			(BGl_string2650z00zzsaw_c_codez00);
																		BgL_tmpz00_6664 =
																			BSTRING_TO_STRING(((obj_t) BgL_sz00_118));
																		BgL_arg1289z00_4366 =
																			memcmp(BgL_tmpz00_6664, BgL_auxz00_6667,
																			BgL_l1z00_4363);
																	}
																	BgL_test3005z00_6659 =
																		(
																		(long) (BgL_arg1289z00_4366) == ((long) 0));
																}
															else
																{	/* SawC/code.scm 479 */
																	BgL_test3005z00_6659 = ((bool_t) 0);
																}
														}
														if (BgL_test3005z00_6659)
															{	/* SawC/code.scm 479 */
																return BGl_string2651z00zzsaw_c_codez00;
															}
														else
															{	/* SawC/code.scm 480 */
																bool_t BgL_test3007z00_6672;

																{	/* SawC/code.scm 480 */
																	long BgL_l1z00_4374;

																	BgL_l1z00_4374 =
																		STRING_LENGTH(((obj_t) BgL_sz00_118));
																	if ((BgL_l1z00_4374 == ((long) 1)))
																		{	/* SawC/code.scm 480 */
																			int BgL_arg1289z00_4377;

																			{	/* SawC/code.scm 480 */
																				char *BgL_auxz00_6680;
																				char *BgL_tmpz00_6677;

																				BgL_auxz00_6680 =
																					BSTRING_TO_STRING
																					(BGl_string2652z00zzsaw_c_codez00);
																				BgL_tmpz00_6677 =
																					BSTRING_TO_STRING(((obj_t)
																						BgL_sz00_118));
																				BgL_arg1289z00_4377 =
																					memcmp(BgL_tmpz00_6677,
																					BgL_auxz00_6680, BgL_l1z00_4374);
																			}
																			BgL_test3007z00_6672 =
																				(
																				(long) (BgL_arg1289z00_4377) ==
																				((long) 0));
																		}
																	else
																		{	/* SawC/code.scm 480 */
																			BgL_test3007z00_6672 = ((bool_t) 0);
																		}
																}
																if (BgL_test3007z00_6672)
																	{	/* SawC/code.scm 480 */
																		return BGl_string2653z00zzsaw_c_codez00;
																	}
																else
																	{	/* SawC/code.scm 481 */
																		bool_t BgL_test3009z00_6685;

																		{	/* SawC/code.scm 481 */
																			long BgL_l1z00_4385;

																			BgL_l1z00_4385 =
																				STRING_LENGTH(((obj_t) BgL_sz00_118));
																			if ((BgL_l1z00_4385 == ((long) 1)))
																				{	/* SawC/code.scm 481 */
																					int BgL_arg1289z00_4388;

																					{	/* SawC/code.scm 481 */
																						char *BgL_auxz00_6693;
																						char *BgL_tmpz00_6690;

																						BgL_auxz00_6693 =
																							BSTRING_TO_STRING
																							(BGl_string2654z00zzsaw_c_codez00);
																						BgL_tmpz00_6690 =
																							BSTRING_TO_STRING(((obj_t)
																								BgL_sz00_118));
																						BgL_arg1289z00_4388 =
																							memcmp(BgL_tmpz00_6690,
																							BgL_auxz00_6693, BgL_l1z00_4385);
																					}
																					BgL_test3009z00_6685 =
																						(
																						(long) (BgL_arg1289z00_4388) ==
																						((long) 0));
																				}
																			else
																				{	/* SawC/code.scm 481 */
																					BgL_test3009z00_6685 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test3009z00_6685)
																			{	/* SawC/code.scm 481 */
																				return BGl_string2655z00zzsaw_c_codez00;
																			}
																		else
																			{	/* SawC/code.scm 482 */
																				bool_t BgL_test3011z00_6698;

																				{	/* SawC/code.scm 482 */
																					long BgL_l1z00_4396;

																					BgL_l1z00_4396 =
																						STRING_LENGTH(
																						((obj_t) BgL_sz00_118));
																					if ((BgL_l1z00_4396 == ((long) 1)))
																						{	/* SawC/code.scm 482 */
																							int BgL_arg1289z00_4399;

																							{	/* SawC/code.scm 482 */
																								char *BgL_auxz00_6706;
																								char *BgL_tmpz00_6703;

																								BgL_auxz00_6706 =
																									BSTRING_TO_STRING
																									(BGl_string2656z00zzsaw_c_codez00);
																								BgL_tmpz00_6703 =
																									BSTRING_TO_STRING(((obj_t)
																										BgL_sz00_118));
																								BgL_arg1289z00_4399 =
																									memcmp(BgL_tmpz00_6703,
																									BgL_auxz00_6706,
																									BgL_l1z00_4396);
																							}
																							BgL_test3011z00_6698 =
																								(
																								(long) (BgL_arg1289z00_4399) ==
																								((long) 0));
																						}
																					else
																						{	/* SawC/code.scm 482 */
																							BgL_test3011z00_6698 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test3011z00_6698)
																					{	/* SawC/code.scm 482 */
																						return
																							BGl_string2657z00zzsaw_c_codez00;
																					}
																				else
																					{	/* SawC/code.scm 483 */
																						bool_t BgL_test3013z00_6711;

																						{	/* SawC/code.scm 483 */
																							long BgL_l1z00_4407;

																							BgL_l1z00_4407 =
																								STRING_LENGTH(
																								((obj_t) BgL_sz00_118));
																							if (
																								(BgL_l1z00_4407 == ((long) 1)))
																								{	/* SawC/code.scm 483 */
																									int BgL_arg1289z00_4410;

																									{	/* SawC/code.scm 483 */
																										char *BgL_auxz00_6719;
																										char *BgL_tmpz00_6716;

																										BgL_auxz00_6719 =
																											BSTRING_TO_STRING
																											(BGl_string2658z00zzsaw_c_codez00);
																										BgL_tmpz00_6716 =
																											BSTRING_TO_STRING(((obj_t)
																												BgL_sz00_118));
																										BgL_arg1289z00_4410 =
																											memcmp(BgL_tmpz00_6716,
																											BgL_auxz00_6719,
																											BgL_l1z00_4407);
																									}
																									BgL_test3013z00_6711 =
																										(
																										(long) (BgL_arg1289z00_4410)
																										== ((long) 0));
																								}
																							else
																								{	/* SawC/code.scm 483 */
																									BgL_test3013z00_6711 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_test3013z00_6711)
																							{	/* SawC/code.scm 483 */
																								return
																									BGl_string2659z00zzsaw_c_codez00;
																							}
																						else
																							{	/* SawC/code.scm 484 */
																								bool_t BgL_test3015z00_6724;

																								{	/* SawC/code.scm 484 */
																									long BgL_l1z00_4418;

																									BgL_l1z00_4418 =
																										STRING_LENGTH(
																										((obj_t) BgL_sz00_118));
																									if (
																										(BgL_l1z00_4418 ==
																											((long) 1)))
																										{	/* SawC/code.scm 484 */
																											int BgL_arg1289z00_4421;

																											{	/* SawC/code.scm 484 */
																												char *BgL_auxz00_6732;
																												char *BgL_tmpz00_6729;

																												BgL_auxz00_6732 =
																													BSTRING_TO_STRING
																													(BGl_string2660z00zzsaw_c_codez00);
																												BgL_tmpz00_6729 =
																													BSTRING_TO_STRING((
																														(obj_t)
																														BgL_sz00_118));
																												BgL_arg1289z00_4421 =
																													memcmp
																													(BgL_tmpz00_6729,
																													BgL_auxz00_6732,
																													BgL_l1z00_4418);
																											}
																											BgL_test3015z00_6724 =
																												(
																												(long)
																												(BgL_arg1289z00_4421) ==
																												((long) 0));
																										}
																									else
																										{	/* SawC/code.scm 484 */
																											BgL_test3015z00_6724 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_test3015z00_6724)
																									{	/* SawC/code.scm 484 */
																										return
																											BGl_string2661z00zzsaw_c_codez00;
																									}
																								else
																									{	/* SawC/code.scm 485 */
																										bool_t BgL_test3017z00_6737;

																										{	/* SawC/code.scm 485 */
																											long BgL_l1z00_4429;

																											BgL_l1z00_4429 =
																												STRING_LENGTH(
																												((obj_t) BgL_sz00_118));
																											if (
																												(BgL_l1z00_4429 ==
																													((long) 1)))
																												{	/* SawC/code.scm 485 */
																													int
																														BgL_arg1289z00_4432;
																													{	/* SawC/code.scm 485 */
																														char
																															*BgL_auxz00_6745;
																														char
																															*BgL_tmpz00_6742;
																														BgL_auxz00_6745 =
																															BSTRING_TO_STRING
																															(BGl_string2662z00zzsaw_c_codez00);
																														BgL_tmpz00_6742 =
																															BSTRING_TO_STRING(
																															((obj_t)
																																BgL_sz00_118));
																														BgL_arg1289z00_4432
																															=
																															memcmp
																															(BgL_tmpz00_6742,
																															BgL_auxz00_6745,
																															BgL_l1z00_4429);
																													}
																													BgL_test3017z00_6737 =
																														(
																														(long)
																														(BgL_arg1289z00_4432)
																														== ((long) 0));
																												}
																											else
																												{	/* SawC/code.scm 485 */
																													BgL_test3017z00_6737 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test3017z00_6737)
																											{	/* SawC/code.scm 485 */
																												return
																													BGl_string2663z00zzsaw_c_codez00;
																											}
																										else
																											{	/* SawC/code.scm 486 */
																												bool_t
																													BgL_test3019z00_6750;
																												{	/* SawC/code.scm 486 */
																													long BgL_l1z00_4440;

																													BgL_l1z00_4440 =
																														STRING_LENGTH(
																														((obj_t)
																															BgL_sz00_118));
																													if ((BgL_l1z00_4440 ==
																															((long) 3)))
																														{	/* SawC/code.scm 486 */
																															int
																																BgL_arg1289z00_4443;
																															{	/* SawC/code.scm 486 */
																																char
																																	*BgL_auxz00_6758;
																																char
																																	*BgL_tmpz00_6755;
																																BgL_auxz00_6758
																																	=
																																	BSTRING_TO_STRING
																																	(BGl_string2664z00zzsaw_c_codez00);
																																BgL_tmpz00_6755
																																	=
																																	BSTRING_TO_STRING
																																	(((obj_t)
																																		BgL_sz00_118));
																																BgL_arg1289z00_4443
																																	=
																																	memcmp
																																	(BgL_tmpz00_6755,
																																	BgL_auxz00_6758,
																																	BgL_l1z00_4440);
																															}
																															BgL_test3019z00_6750
																																=
																																((long)
																																(BgL_arg1289z00_4443)
																																== ((long) 0));
																														}
																													else
																														{	/* SawC/code.scm 486 */
																															BgL_test3019z00_6750
																																= ((bool_t) 0);
																														}
																												}
																												if (BgL_test3019z00_6750)
																													{	/* SawC/code.scm 486 */
																														return
																															BGl_string2651z00zzsaw_c_codez00;
																													}
																												else
																													{	/* SawC/code.scm 487 */
																														bool_t
																															BgL_test3021z00_6763;
																														{	/* SawC/code.scm 487 */
																															long
																																BgL_l1z00_4451;
																															BgL_l1z00_4451 =
																																STRING_LENGTH((
																																	(obj_t)
																																	BgL_sz00_118));
																															if (
																																(BgL_l1z00_4451
																																	==
																																	((long) 3)))
																																{	/* SawC/code.scm 487 */
																																	int
																																		BgL_arg1289z00_4454;
																																	{	/* SawC/code.scm 487 */
																																		char
																																			*BgL_auxz00_6771;
																																		char
																																			*BgL_tmpz00_6768;
																																		BgL_auxz00_6771
																																			=
																																			BSTRING_TO_STRING
																																			(BGl_string2665z00zzsaw_c_codez00);
																																		BgL_tmpz00_6768
																																			=
																																			BSTRING_TO_STRING
																																			(((obj_t)
																																				BgL_sz00_118));
																																		BgL_arg1289z00_4454
																																			=
																																			memcmp
																																			(BgL_tmpz00_6768,
																																			BgL_auxz00_6771,
																																			BgL_l1z00_4451);
																																	}
																																	BgL_test3021z00_6763
																																		=
																																		((long)
																																		(BgL_arg1289z00_4454)
																																		==
																																		((long) 0));
																																}
																															else
																																{	/* SawC/code.scm 487 */
																																	BgL_test3021z00_6763
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																														if (BgL_test3021z00_6763)
																															{	/* SawC/code.scm 487 */
																																return
																																	BGl_string2653z00zzsaw_c_codez00;
																															}
																														else
																															{	/* SawC/code.scm 488 */
																																bool_t
																																	BgL_test3023z00_6776;
																																{	/* SawC/code.scm 488 */
																																	long
																																		BgL_l1z00_4462;
																																	BgL_l1z00_4462
																																		=
																																		STRING_LENGTH
																																		(((obj_t)
																																			BgL_sz00_118));
																																	if (
																																		(BgL_l1z00_4462
																																			==
																																			((long)
																																				3)))
																																		{	/* SawC/code.scm 488 */
																																			int
																																				BgL_arg1289z00_4465;
																																			{	/* SawC/code.scm 488 */
																																				char
																																					*BgL_auxz00_6784;
																																				char
																																					*BgL_tmpz00_6781;
																																				BgL_auxz00_6784
																																					=
																																					BSTRING_TO_STRING
																																					(BGl_string2666z00zzsaw_c_codez00);
																																				BgL_tmpz00_6781
																																					=
																																					BSTRING_TO_STRING
																																					(((obj_t) BgL_sz00_118));
																																				BgL_arg1289z00_4465
																																					=
																																					memcmp
																																					(BgL_tmpz00_6781,
																																					BgL_auxz00_6784,
																																					BgL_l1z00_4462);
																																			}
																																			BgL_test3023z00_6776
																																				=
																																				((long)
																																				(BgL_arg1289z00_4465)
																																				==
																																				((long)
																																					0));
																																		}
																																	else
																																		{	/* SawC/code.scm 488 */
																																			BgL_test3023z00_6776
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																																if (BgL_test3023z00_6776)
																																	{	/* SawC/code.scm 488 */
																																		return
																																			BGl_string2667z00zzsaw_c_codez00;
																																	}
																																else
																																	{	/* SawC/code.scm 489 */
																																		bool_t
																																			BgL_test3025z00_6789;
																																		{	/* SawC/code.scm 489 */
																																			long
																																				BgL_l1z00_4473;
																																			BgL_l1z00_4473
																																				=
																																				STRING_LENGTH
																																				(((obj_t) BgL_sz00_118));
																																			if (
																																				(BgL_l1z00_4473
																																					==
																																					((long) 4)))
																																				{	/* SawC/code.scm 489 */
																																					int
																																						BgL_arg1289z00_4476;
																																					{	/* SawC/code.scm 489 */
																																						char
																																							*BgL_auxz00_6797;
																																						char
																																							*BgL_tmpz00_6794;
																																						BgL_auxz00_6797
																																							=
																																							BSTRING_TO_STRING
																																							(BGl_string2668z00zzsaw_c_codez00);
																																						BgL_tmpz00_6794
																																							=
																																							BSTRING_TO_STRING
																																							(((obj_t) BgL_sz00_118));
																																						BgL_arg1289z00_4476
																																							=
																																							memcmp
																																							(BgL_tmpz00_6794,
																																							BgL_auxz00_6797,
																																							BgL_l1z00_4473);
																																					}
																																					BgL_test3025z00_6789
																																						=
																																						(
																																						(long)
																																						(BgL_arg1289z00_4476)
																																						==
																																						((long) 0));
																																				}
																																			else
																																				{	/* SawC/code.scm 489 */
																																					BgL_test3025z00_6789
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																		if (BgL_test3025z00_6789)
																																			{	/* SawC/code.scm 489 */
																																				return
																																					BGl_string2669z00zzsaw_c_codez00;
																																			}
																																		else
																																			{	/* SawC/code.scm 490 */
																																				bool_t
																																					BgL_test3027z00_6802;
																																				{	/* SawC/code.scm 490 */
																																					long
																																						BgL_l1z00_4484;
																																					BgL_l1z00_4484
																																						=
																																						STRING_LENGTH
																																						(((obj_t) BgL_sz00_118));
																																					if (
																																						(BgL_l1z00_4484
																																							==
																																							((long) 4)))
																																						{	/* SawC/code.scm 490 */
																																							int
																																								BgL_arg1289z00_4487;
																																							{	/* SawC/code.scm 490 */
																																								char
																																									*BgL_auxz00_6810;
																																								char
																																									*BgL_tmpz00_6807;
																																								BgL_auxz00_6810
																																									=
																																									BSTRING_TO_STRING
																																									(BGl_string2670z00zzsaw_c_codez00);
																																								BgL_tmpz00_6807
																																									=
																																									BSTRING_TO_STRING
																																									(
																																									((obj_t) BgL_sz00_118));
																																								BgL_arg1289z00_4487
																																									=
																																									memcmp
																																									(BgL_tmpz00_6807,
																																									BgL_auxz00_6810,
																																									BgL_l1z00_4484);
																																							}
																																							BgL_test3027z00_6802
																																								=
																																								(
																																								(long)
																																								(BgL_arg1289z00_4487)
																																								==
																																								((long) 0));
																																						}
																																					else
																																						{	/* SawC/code.scm 490 */
																																							BgL_test3027z00_6802
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																				if (BgL_test3027z00_6802)
																																					{	/* SawC/code.scm 490 */
																																						return
																																							BGl_string2671z00zzsaw_c_codez00;
																																					}
																																				else
																																					{	/* SawC/code.scm 491 */
																																						bool_t
																																							BgL_test3029z00_6815;
																																						{	/* SawC/code.scm 491 */
																																							long
																																								BgL_l1z00_4495;
																																							BgL_l1z00_4495
																																								=
																																								STRING_LENGTH
																																								(
																																								((obj_t) BgL_sz00_118));
																																							if ((BgL_l1z00_4495 == ((long) 9)))
																																								{	/* SawC/code.scm 491 */
																																									int
																																										BgL_arg1289z00_4498;
																																									{	/* SawC/code.scm 491 */
																																										char
																																											*BgL_auxz00_6823;
																																										char
																																											*BgL_tmpz00_6820;
																																										BgL_auxz00_6823
																																											=
																																											BSTRING_TO_STRING
																																											(BGl_string2672z00zzsaw_c_codez00);
																																										BgL_tmpz00_6820
																																											=
																																											BSTRING_TO_STRING
																																											(
																																											((obj_t) BgL_sz00_118));
																																										BgL_arg1289z00_4498
																																											=
																																											memcmp
																																											(BgL_tmpz00_6820,
																																											BgL_auxz00_6823,
																																											BgL_l1z00_4495);
																																									}
																																									BgL_test3029z00_6815
																																										=
																																										(
																																										(long)
																																										(BgL_arg1289z00_4498)
																																										==
																																										((long) 0));
																																								}
																																							else
																																								{	/* SawC/code.scm 491 */
																																									BgL_test3029z00_6815
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																						if (BgL_test3029z00_6815)
																																							{	/* SawC/code.scm 491 */
																																								return
																																									BGl_string2673z00zzsaw_c_codez00;
																																							}
																																						else
																																							{	/* SawC/code.scm 492 */
																																								bool_t
																																									BgL_test3031z00_6828;
																																								{	/* SawC/code.scm 492 */
																																									long
																																										BgL_l1z00_4506;
																																									BgL_l1z00_4506
																																										=
																																										STRING_LENGTH
																																										(
																																										((obj_t) BgL_sz00_118));
																																									if ((BgL_l1z00_4506 == ((long) 11)))
																																										{	/* SawC/code.scm 492 */
																																											int
																																												BgL_arg1289z00_4509;
																																											{	/* SawC/code.scm 492 */
																																												char
																																													*BgL_auxz00_6836;
																																												char
																																													*BgL_tmpz00_6833;
																																												BgL_auxz00_6836
																																													=
																																													BSTRING_TO_STRING
																																													(BGl_string2674z00zzsaw_c_codez00);
																																												BgL_tmpz00_6833
																																													=
																																													BSTRING_TO_STRING
																																													(
																																													((obj_t) BgL_sz00_118));
																																												BgL_arg1289z00_4509
																																													=
																																													memcmp
																																													(BgL_tmpz00_6833,
																																													BgL_auxz00_6836,
																																													BgL_l1z00_4506);
																																											}
																																											BgL_test3031z00_6828
																																												=
																																												(
																																												(long)
																																												(BgL_arg1289z00_4509)
																																												==
																																												((long) 0));
																																										}
																																									else
																																										{	/* SawC/code.scm 492 */
																																											BgL_test3031z00_6828
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																								if (BgL_test3031z00_6828)
																																									{	/* SawC/code.scm 492 */
																																										return
																																											BGl_string2675z00zzsaw_c_codez00;
																																									}
																																								else
																																									{	/* SawC/code.scm 493 */
																																										bool_t
																																											BgL_test3033z00_6841;
																																										{	/* SawC/code.scm 493 */
																																											long
																																												BgL_l1z00_4517;
																																											BgL_l1z00_4517
																																												=
																																												STRING_LENGTH
																																												(
																																												((obj_t) BgL_sz00_118));
																																											if ((BgL_l1z00_4517 == ((long) 10)))
																																												{	/* SawC/code.scm 493 */
																																													int
																																														BgL_arg1289z00_4520;
																																													{	/* SawC/code.scm 493 */
																																														char
																																															*BgL_auxz00_6849;
																																														char
																																															*BgL_tmpz00_6846;
																																														BgL_auxz00_6849
																																															=
																																															BSTRING_TO_STRING
																																															(BGl_string2676z00zzsaw_c_codez00);
																																														BgL_tmpz00_6846
																																															=
																																															BSTRING_TO_STRING
																																															(
																																															((obj_t) BgL_sz00_118));
																																														BgL_arg1289z00_4520
																																															=
																																															memcmp
																																															(BgL_tmpz00_6846,
																																															BgL_auxz00_6849,
																																															BgL_l1z00_4517);
																																													}
																																													BgL_test3033z00_6841
																																														=
																																														(
																																														(long)
																																														(BgL_arg1289z00_4520)
																																														==
																																														((long) 0));
																																												}
																																											else
																																												{	/* SawC/code.scm 493 */
																																													BgL_test3033z00_6841
																																														=
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																										if (BgL_test3033z00_6841)
																																											{	/* SawC/code.scm 493 */
																																												BGl_za2pushtraceemmitedza2z00zzsaw_c_codez00
																																													=
																																													(
																																													((long) 1) + BGl_za2pushtraceemmitedza2z00zzsaw_c_codez00);
																																												return
																																													BGl_string2677z00zzsaw_c_codez00;
																																											}
																																										else
																																											{	/* SawC/code.scm 496 */
																																												bool_t
																																													BgL_test3035z00_6855;
																																												{	/* SawC/code.scm 496 */
																																													long
																																														BgL_l1z00_4529;
																																													BgL_l1z00_4529
																																														=
																																														STRING_LENGTH
																																														(
																																														((obj_t) BgL_sz00_118));
																																													if ((BgL_l1z00_4529 == ((long) 18)))
																																														{	/* SawC/code.scm 496 */
																																															int
																																																BgL_arg1289z00_4532;
																																															{	/* SawC/code.scm 496 */
																																																char
																																																	*BgL_auxz00_6863;
																																																char
																																																	*BgL_tmpz00_6860;
																																																BgL_auxz00_6863
																																																	=
																																																	BSTRING_TO_STRING
																																																	(BGl_string2678z00zzsaw_c_codez00);
																																																BgL_tmpz00_6860
																																																	=
																																																	BSTRING_TO_STRING
																																																	(
																																																	((obj_t) BgL_sz00_118));
																																																BgL_arg1289z00_4532
																																																	=
																																																	memcmp
																																																	(BgL_tmpz00_6860,
																																																	BgL_auxz00_6863,
																																																	BgL_l1z00_4529);
																																															}
																																															BgL_test3035z00_6855
																																																=
																																																(
																																																(long)
																																																(BgL_arg1289z00_4532)
																																																==
																																																((long) 0));
																																														}
																																													else
																																														{	/* SawC/code.scm 496 */
																																															BgL_test3035z00_6855
																																																=
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																												if (BgL_test3035z00_6855)
																																													{	/* SawC/code.scm 496 */
																																														BGl_za2pushtraceemmitedza2z00zzsaw_c_codez00
																																															=
																																															(
																																															((long) 1) + BGl_za2pushtraceemmitedza2z00zzsaw_c_codez00);
																																														return
																																															BGl_string2679z00zzsaw_c_codez00;
																																													}
																																												else
																																													{	/* SawC/code.scm 499 */
																																														bool_t
																																															BgL_test3037z00_6869;
																																														{	/* SawC/code.scm 499 */
																																															long
																																																BgL_l1z00_4541;
																																															BgL_l1z00_4541
																																																=
																																																STRING_LENGTH
																																																(
																																																((obj_t) BgL_sz00_118));
																																															if ((BgL_l1z00_4541 == ((long) 11)))
																																																{	/* SawC/code.scm 499 */
																																																	int
																																																		BgL_arg1289z00_4544;
																																																	{	/* SawC/code.scm 499 */
																																																		char
																																																			*BgL_auxz00_6877;
																																																		char
																																																			*BgL_tmpz00_6874;
																																																		BgL_auxz00_6877
																																																			=
																																																			BSTRING_TO_STRING
																																																			(BGl_string2680z00zzsaw_c_codez00);
																																																		BgL_tmpz00_6874
																																																			=
																																																			BSTRING_TO_STRING
																																																			(
																																																			((obj_t) BgL_sz00_118));
																																																		BgL_arg1289z00_4544
																																																			=
																																																			memcmp
																																																			(BgL_tmpz00_6874,
																																																			BgL_auxz00_6877,
																																																			BgL_l1z00_4541);
																																																	}
																																																	BgL_test3037z00_6869
																																																		=
																																																		(
																																																		(long)
																																																		(BgL_arg1289z00_4544)
																																																		==
																																																		((long) 0));
																																																}
																																															else
																																																{	/* SawC/code.scm 499 */
																																																	BgL_test3037z00_6869
																																																		=
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																														if (BgL_test3037z00_6869)
																																															{	/* SawC/code.scm 499 */
																																																return
																																																	BgL_sz00_118;
																																															}
																																														else
																																															{	/* SawC/code.scm 502 */
																																																bool_t
																																																	BgL_test3039z00_6882;
																																																{	/* SawC/code.scm 502 */
																																																	long
																																																		BgL_l1z00_4552;
																																																	BgL_l1z00_4552
																																																		=
																																																		STRING_LENGTH
																																																		(
																																																		((obj_t) BgL_sz00_118));
																																																	if ((BgL_l1z00_4552 == ((long) 10)))
																																																		{	/* SawC/code.scm 502 */
																																																			int
																																																				BgL_arg1289z00_4555;
																																																			{	/* SawC/code.scm 502 */
																																																				char
																																																					*BgL_auxz00_6890;
																																																				char
																																																					*BgL_tmpz00_6887;
																																																				BgL_auxz00_6890
																																																					=
																																																					BSTRING_TO_STRING
																																																					(BGl_string2681z00zzsaw_c_codez00);
																																																				BgL_tmpz00_6887
																																																					=
																																																					BSTRING_TO_STRING
																																																					(
																																																					((obj_t) BgL_sz00_118));
																																																				BgL_arg1289z00_4555
																																																					=
																																																					memcmp
																																																					(BgL_tmpz00_6887,
																																																					BgL_auxz00_6890,
																																																					BgL_l1z00_4552);
																																																			}
																																																			BgL_test3039z00_6882
																																																				=
																																																				(
																																																				(long)
																																																				(BgL_arg1289z00_4555)
																																																				==
																																																				((long) 0));
																																																		}
																																																	else
																																																		{	/* SawC/code.scm 502 */
																																																			BgL_test3039z00_6882
																																																				=
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																																if (BgL_test3039z00_6882)
																																																	{	/* SawC/code.scm 502 */
																																																		return
																																																			BGl_string2682z00zzsaw_c_codez00;
																																																	}
																																																else
																																																	{	/* SawC/code.scm 502 */
																																																		return
																																																			BgL_sz00_118;
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* deep-mov? */
	bool_t BGl_deepzd2movzf3z21zzsaw_c_codez00(obj_t BgL_insz00_122)
	{
		{	/* SawC/code.scm 512 */
		BGl_deepzd2movzf3z21zzsaw_c_codez00:
			{	/* SawC/code.scm 513 */
				bool_t BgL__ortest_1192z00_2720;

				{	/* SawC/code.scm 513 */
					obj_t BgL_classz00_4561;

					BgL_classz00_4561 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_insz00_122))
						{	/* SawC/code.scm 513 */
							BgL_objectz00_bglt BgL_arg1825z00_4563;

							BgL_arg1825z00_4563 = (BgL_objectz00_bglt) (BgL_insz00_122);
							{	/* SawC/code.scm 513 */
								bool_t BgL_arg1822z00_4566;
								bool_t BgL_arg1823z00_4567;

								{	/* SawC/code.scm 513 */
									long BgL_idxz00_4570;

									BgL_idxz00_4570 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4563);
									BgL_arg1822z00_4566 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4570 + ((long) 1))) == BgL_classz00_4561);
								}
								{	/* SawC/code.scm 513 */
									bool_t BgL_res2575z00_4592;

									{	/* SawC/code.scm 513 */
										obj_t BgL_oclassz00_4578;

										{	/* SawC/code.scm 513 */
											long BgL_arg1833z00_4584;

											{	/* SawC/code.scm 513 */
												long BgL_arg1834z00_4585;

												BgL_arg1834z00_4585 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4563);
												BgL_arg1833z00_4584 =
													(BgL_arg1834z00_4585 - OBJECT_TYPE);
											}
											BgL_oclassz00_4578 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4584);
										}
										{	/* SawC/code.scm 513 */
											bool_t BgL__ortest_1110z00_4579;

											BgL__ortest_1110z00_4579 =
												(BgL_classz00_4561 == BgL_oclassz00_4578);
											if (BgL__ortest_1110z00_4579)
												{	/* SawC/code.scm 513 */
													BgL_res2575z00_4592 = BgL__ortest_1110z00_4579;
												}
											else
												{	/* SawC/code.scm 513 */
													long BgL_odepthz00_4580;

													BgL_odepthz00_4580 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4578);
													if ((((long) 1) < BgL_odepthz00_4580))
														{	/* SawC/code.scm 513 */
															obj_t BgL_arg1821z00_4582;

															BgL_arg1821z00_4582 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4578,
																((long) 1));
															BgL_res2575z00_4592 =
																(BgL_arg1821z00_4582 == BgL_classz00_4561);
														}
													else
														{	/* SawC/code.scm 513 */
															BgL_res2575z00_4592 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4567 = BgL_res2575z00_4592;
								}
								BgL__ortest_1192z00_2720 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4566, BgL_arg1823z00_4567);
							}
						}
					else
						{	/* SawC/code.scm 513 */
							BgL__ortest_1192z00_2720 = ((bool_t) 0);
						}
				}
				if (BgL__ortest_1192z00_2720)
					{	/* SawC/code.scm 513 */
						return BgL__ortest_1192z00_2720;
					}
				else
					{	/* SawC/code.scm 514 */
						bool_t BgL_test3045z00_6914;

						{	/* SawC/code.scm 514 */
							BgL_rtl_funz00_bglt BgL_arg2092z00_2724;

							BgL_arg2092z00_2724 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_122)))->BgL_funz00);
							{	/* SawC/code.scm 514 */
								obj_t BgL_classz00_4594;

								BgL_classz00_4594 = BGl_rtl_movz00zzsaw_defsz00;
								{	/* SawC/code.scm 514 */
									BgL_objectz00_bglt BgL_arg1825z00_4596;

									{	/* SawC/code.scm 514 */
										obj_t BgL_tmpz00_6917;

										BgL_tmpz00_6917 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2092z00_2724));
										BgL_arg1825z00_4596 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6917);
									}
									{	/* SawC/code.scm 514 */
										bool_t BgL_arg1822z00_4599;
										bool_t BgL_arg1823z00_4600;

										{	/* SawC/code.scm 514 */
											long BgL_idxz00_4603;

											BgL_idxz00_4603 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4596);
											BgL_arg1822z00_4599 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4603 + ((long) 3))) == BgL_classz00_4594);
										}
										{	/* SawC/code.scm 514 */
											bool_t BgL_res2576z00_4625;

											{	/* SawC/code.scm 514 */
												obj_t BgL_oclassz00_4611;

												{	/* SawC/code.scm 514 */
													long BgL_arg1833z00_4617;

													{	/* SawC/code.scm 514 */
														long BgL_arg1834z00_4618;

														BgL_arg1834z00_4618 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4596);
														BgL_arg1833z00_4617 =
															(BgL_arg1834z00_4618 - OBJECT_TYPE);
													}
													BgL_oclassz00_4611 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_4617);
												}
												{	/* SawC/code.scm 514 */
													bool_t BgL__ortest_1110z00_4612;

													BgL__ortest_1110z00_4612 =
														(BgL_classz00_4594 == BgL_oclassz00_4611);
													if (BgL__ortest_1110z00_4612)
														{	/* SawC/code.scm 514 */
															BgL_res2576z00_4625 = BgL__ortest_1110z00_4612;
														}
													else
														{	/* SawC/code.scm 514 */
															long BgL_odepthz00_4613;

															BgL_odepthz00_4613 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4611);
															if ((((long) 3) < BgL_odepthz00_4613))
																{	/* SawC/code.scm 514 */
																	obj_t BgL_arg1821z00_4615;

																	BgL_arg1821z00_4615 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4611,
																		((long) 3));
																	BgL_res2576z00_4625 =
																		(BgL_arg1821z00_4615 == BgL_classz00_4594);
																}
															else
																{	/* SawC/code.scm 514 */
																	BgL_res2576z00_4625 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_4600 = BgL_res2576z00_4625;
										}
										BgL_test3045z00_6914 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_4599,
											BgL_arg1823z00_4600);
									}
								}
							}
						}
						if (BgL_test3045z00_6914)
							{	/* SawC/code.scm 515 */
								obj_t BgL_arg2090z00_2722;

								{	/* SawC/code.scm 515 */
									obj_t BgL_pairz00_4627;

									BgL_pairz00_4627 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_insz00_122)))->BgL_argsz00);
									BgL_arg2090z00_2722 = CAR(BgL_pairz00_4627);
								}
								{
									obj_t BgL_insz00_6939;

									BgL_insz00_6939 = BgL_arg2090z00_2722;
									BgL_insz00_122 = BgL_insz00_6939;
									goto BGl_deepzd2movzf3z21zzsaw_c_codez00;
								}
							}
						else
							{	/* SawC/code.scm 514 */
								return ((bool_t) 0);
							}
					}
			}
		}

	}



/* multiple-evaluation */
	bool_t BGl_multiplezd2evaluationzd2zzsaw_c_codez00(obj_t BgL_insz00_123,
		obj_t BgL_treez00_124)
	{
		{	/* SawC/code.scm 517 */
			{	/* SawC/code.scm 518 */
				BgL_rtl_funz00_bglt BgL_funz00_2725;

				BgL_funz00_2725 =
					(((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_insz00_123)))->BgL_funz00);
				{	/* SawC/code.scm 520 */
					bool_t BgL__ortest_1194z00_2726;

					{	/* SawC/code.scm 520 */
						obj_t BgL_classz00_4629;

						BgL_classz00_4629 = BGl_rtl_vallocz00zzsaw_defsz00;
						{	/* SawC/code.scm 520 */
							BgL_objectz00_bglt BgL_arg1825z00_4631;

							{	/* SawC/code.scm 520 */
								obj_t BgL_tmpz00_6942;

								BgL_tmpz00_6942 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2725));
								BgL_arg1825z00_4631 = (BgL_objectz00_bglt) (BgL_tmpz00_6942);
							}
							{	/* SawC/code.scm 520 */
								bool_t BgL_arg1822z00_4634;
								bool_t BgL_arg1823z00_4635;

								{	/* SawC/code.scm 520 */
									long BgL_idxz00_4638;

									BgL_idxz00_4638 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4631);
									BgL_arg1822z00_4634 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4638 + ((long) 3))) == BgL_classz00_4629);
								}
								{	/* SawC/code.scm 520 */
									bool_t BgL_res2577z00_4660;

									{	/* SawC/code.scm 520 */
										obj_t BgL_oclassz00_4646;

										{	/* SawC/code.scm 520 */
											long BgL_arg1833z00_4652;

											{	/* SawC/code.scm 520 */
												long BgL_arg1834z00_4653;

												BgL_arg1834z00_4653 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4631);
												BgL_arg1833z00_4652 =
													(BgL_arg1834z00_4653 - OBJECT_TYPE);
											}
											BgL_oclassz00_4646 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4652);
										}
										{	/* SawC/code.scm 520 */
											bool_t BgL__ortest_1110z00_4647;

											BgL__ortest_1110z00_4647 =
												(BgL_classz00_4629 == BgL_oclassz00_4646);
											if (BgL__ortest_1110z00_4647)
												{	/* SawC/code.scm 520 */
													BgL_res2577z00_4660 = BgL__ortest_1110z00_4647;
												}
											else
												{	/* SawC/code.scm 520 */
													long BgL_odepthz00_4648;

													BgL_odepthz00_4648 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4646);
													if ((((long) 3) < BgL_odepthz00_4648))
														{	/* SawC/code.scm 520 */
															obj_t BgL_arg1821z00_4650;

															BgL_arg1821z00_4650 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4646,
																((long) 3));
															BgL_res2577z00_4660 =
																(BgL_arg1821z00_4650 == BgL_classz00_4629);
														}
													else
														{	/* SawC/code.scm 520 */
															BgL_res2577z00_4660 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4635 = BgL_res2577z00_4660;
								}
								BgL__ortest_1194z00_2726 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4634, BgL_arg1823z00_4635);
							}
						}
					}
					if (BgL__ortest_1194z00_2726)
						{	/* SawC/code.scm 520 */
							return BgL__ortest_1194z00_2726;
						}
					else
						{	/* SawC/code.scm 521 */
							bool_t BgL__ortest_1195z00_2727;

							{	/* SawC/code.scm 521 */
								bool_t BgL_test3051z00_6962;

								{	/* SawC/code.scm 521 */
									obj_t BgL_classz00_4661;

									BgL_classz00_4661 = BGl_rtl_lightfuncallz00zzsaw_defsz00;
									{	/* SawC/code.scm 521 */
										BgL_objectz00_bglt BgL_arg1825z00_4663;

										{	/* SawC/code.scm 521 */
											obj_t BgL_tmpz00_6963;

											BgL_tmpz00_6963 =
												((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2725));
											BgL_arg1825z00_4663 =
												(BgL_objectz00_bglt) (BgL_tmpz00_6963);
										}
										{	/* SawC/code.scm 521 */
											bool_t BgL_arg1822z00_4666;
											bool_t BgL_arg1823z00_4667;

											{	/* SawC/code.scm 521 */
												long BgL_idxz00_4670;

												BgL_idxz00_4670 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4663);
												BgL_arg1822z00_4666 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4670 + ((long) 2))) ==
													BgL_classz00_4661);
											}
											{	/* SawC/code.scm 521 */
												bool_t BgL_res2578z00_4692;

												{	/* SawC/code.scm 521 */
													obj_t BgL_oclassz00_4678;

													{	/* SawC/code.scm 521 */
														long BgL_arg1833z00_4684;

														{	/* SawC/code.scm 521 */
															long BgL_arg1834z00_4685;

															BgL_arg1834z00_4685 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4663);
															BgL_arg1833z00_4684 =
																(BgL_arg1834z00_4685 - OBJECT_TYPE);
														}
														BgL_oclassz00_4678 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_4684);
													}
													{	/* SawC/code.scm 521 */
														bool_t BgL__ortest_1110z00_4679;

														BgL__ortest_1110z00_4679 =
															(BgL_classz00_4661 == BgL_oclassz00_4678);
														if (BgL__ortest_1110z00_4679)
															{	/* SawC/code.scm 521 */
																BgL_res2578z00_4692 = BgL__ortest_1110z00_4679;
															}
														else
															{	/* SawC/code.scm 521 */
																long BgL_odepthz00_4680;

																BgL_odepthz00_4680 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4678);
																if ((((long) 2) < BgL_odepthz00_4680))
																	{	/* SawC/code.scm 521 */
																		obj_t BgL_arg1821z00_4682;

																		BgL_arg1821z00_4682 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4678, ((long) 2));
																		BgL_res2578z00_4692 =
																			(BgL_arg1821z00_4682 ==
																			BgL_classz00_4661);
																	}
																else
																	{	/* SawC/code.scm 521 */
																		BgL_res2578z00_4692 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_4667 = BgL_res2578z00_4692;
											}
											BgL_test3051z00_6962 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_4666,
												BgL_arg1823z00_4667);
										}
									}
								}
								if (BgL_test3051z00_6962)
									{	/* SawC/code.scm 522 */
										obj_t BgL_tmpz00_6982;

										{	/* SawC/code.scm 522 */
											obj_t BgL_pairz00_4694;

											BgL_pairz00_4694 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_insz00_123)))->
												BgL_argsz00);
											BgL_tmpz00_6982 = CAR(BgL_pairz00_4694);
										}
										BgL__ortest_1195z00_2727 =
											(BgL_tmpz00_6982 ==
											(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_treez00_124)))->
												BgL_destz00));
									}
								else
									{	/* SawC/code.scm 521 */
										BgL__ortest_1195z00_2727 = ((bool_t) 0);
									}
							}
							if (BgL__ortest_1195z00_2727)
								{	/* SawC/code.scm 521 */
									return BgL__ortest_1195z00_2727;
								}
							else
								{	/* SawC/code.scm 524 */
									bool_t BgL__ortest_1196z00_2728;

									{	/* SawC/code.scm 524 */
										bool_t BgL_test3055z00_6990;

										{	/* SawC/code.scm 524 */
											obj_t BgL_classz00_4696;

											BgL_classz00_4696 = BGl_rtl_funcallz00zzsaw_defsz00;
											{	/* SawC/code.scm 524 */
												BgL_objectz00_bglt BgL_arg1825z00_4698;

												{	/* SawC/code.scm 524 */
													obj_t BgL_tmpz00_6991;

													BgL_tmpz00_6991 =
														((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2725));
													BgL_arg1825z00_4698 =
														(BgL_objectz00_bglt) (BgL_tmpz00_6991);
												}
												{	/* SawC/code.scm 524 */
													bool_t BgL_arg1822z00_4701;
													bool_t BgL_arg1823z00_4702;

													{	/* SawC/code.scm 524 */
														long BgL_idxz00_4705;

														BgL_idxz00_4705 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4698);
														BgL_arg1822z00_4701 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4705 + ((long) 2))) ==
															BgL_classz00_4696);
													}
													{	/* SawC/code.scm 524 */
														bool_t BgL_res2579z00_4727;

														{	/* SawC/code.scm 524 */
															obj_t BgL_oclassz00_4713;

															{	/* SawC/code.scm 524 */
																long BgL_arg1833z00_4719;

																{	/* SawC/code.scm 524 */
																	long BgL_arg1834z00_4720;

																	BgL_arg1834z00_4720 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4698);
																	BgL_arg1833z00_4719 =
																		(BgL_arg1834z00_4720 - OBJECT_TYPE);
																}
																BgL_oclassz00_4713 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_4719);
															}
															{	/* SawC/code.scm 524 */
																bool_t BgL__ortest_1110z00_4714;

																BgL__ortest_1110z00_4714 =
																	(BgL_classz00_4696 == BgL_oclassz00_4713);
																if (BgL__ortest_1110z00_4714)
																	{	/* SawC/code.scm 524 */
																		BgL_res2579z00_4727 =
																			BgL__ortest_1110z00_4714;
																	}
																else
																	{	/* SawC/code.scm 524 */
																		long BgL_odepthz00_4715;

																		BgL_odepthz00_4715 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_4713);
																		if ((((long) 2) < BgL_odepthz00_4715))
																			{	/* SawC/code.scm 524 */
																				obj_t BgL_arg1821z00_4717;

																				BgL_arg1821z00_4717 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_4713, ((long) 2));
																				BgL_res2579z00_4727 =
																					(BgL_arg1821z00_4717 ==
																					BgL_classz00_4696);
																			}
																		else
																			{	/* SawC/code.scm 524 */
																				BgL_res2579z00_4727 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_4702 = BgL_res2579z00_4727;
													}
													BgL_test3055z00_6990 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_4701,
														BgL_arg1823z00_4702);
												}
											}
										}
										if (BgL_test3055z00_6990)
											{	/* SawC/code.scm 525 */
												obj_t BgL_tmpz00_7010;

												{	/* SawC/code.scm 525 */
													obj_t BgL_pairz00_4729;

													BgL_pairz00_4729 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_insz00_123)))->
														BgL_argsz00);
													BgL_tmpz00_7010 = CAR(BgL_pairz00_4729);
												}
												BgL__ortest_1196z00_2728 =
													(BgL_tmpz00_7010 ==
													(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_treez00_124)))->
														BgL_destz00));
											}
										else
											{	/* SawC/code.scm 524 */
												BgL__ortest_1196z00_2728 = ((bool_t) 0);
											}
									}
									if (BgL__ortest_1196z00_2728)
										{	/* SawC/code.scm 524 */
											return BgL__ortest_1196z00_2728;
										}
									else
										{	/* SawC/code.scm 527 */
											bool_t BgL_test3059z00_7018;

											{	/* SawC/code.scm 527 */
												obj_t BgL_classz00_4731;

												BgL_classz00_4731 = BGl_rtl_callz00zzsaw_defsz00;
												{	/* SawC/code.scm 527 */
													BgL_objectz00_bglt BgL_arg1825z00_4733;

													{	/* SawC/code.scm 527 */
														obj_t BgL_tmpz00_7019;

														BgL_tmpz00_7019 =
															((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2725));
														BgL_arg1825z00_4733 =
															(BgL_objectz00_bglt) (BgL_tmpz00_7019);
													}
													{	/* SawC/code.scm 527 */
														bool_t BgL_arg1822z00_4736;
														bool_t BgL_arg1823z00_4737;

														{	/* SawC/code.scm 527 */
															long BgL_idxz00_4740;

															BgL_idxz00_4740 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4733);
															BgL_arg1822z00_4736 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4740 + ((long) 2))) ==
																BgL_classz00_4731);
														}
														{	/* SawC/code.scm 527 */
															bool_t BgL_res2580z00_4762;

															{	/* SawC/code.scm 527 */
																obj_t BgL_oclassz00_4748;

																{	/* SawC/code.scm 527 */
																	long BgL_arg1833z00_4754;

																	{	/* SawC/code.scm 527 */
																		long BgL_arg1834z00_4755;

																		BgL_arg1834z00_4755 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4733);
																		BgL_arg1833z00_4754 =
																			(BgL_arg1834z00_4755 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4748 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_4754);
																}
																{	/* SawC/code.scm 527 */
																	bool_t BgL__ortest_1110z00_4749;

																	BgL__ortest_1110z00_4749 =
																		(BgL_classz00_4731 == BgL_oclassz00_4748);
																	if (BgL__ortest_1110z00_4749)
																		{	/* SawC/code.scm 527 */
																			BgL_res2580z00_4762 =
																				BgL__ortest_1110z00_4749;
																		}
																	else
																		{	/* SawC/code.scm 527 */
																			long BgL_odepthz00_4750;

																			BgL_odepthz00_4750 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_4748);
																			if ((((long) 2) < BgL_odepthz00_4750))
																				{	/* SawC/code.scm 527 */
																					obj_t BgL_arg1821z00_4752;

																					BgL_arg1821z00_4752 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_4748, ((long) 2));
																					BgL_res2580z00_4762 =
																						(BgL_arg1821z00_4752 ==
																						BgL_classz00_4731);
																				}
																			else
																				{	/* SawC/code.scm 527 */
																					BgL_res2580z00_4762 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_4737 = BgL_res2580z00_4762;
														}
														BgL_test3059z00_7018 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_4736,
															BgL_arg1823z00_4737);
													}
												}
											}
											if (BgL_test3059z00_7018)
												{	/* SawC/code.scm 527 */
													if (BGl_globalzd2argszd2safezf3zf3zzast_varz00(
															(((BgL_rtl_callz00_bglt) COBJECT(
																		((BgL_rtl_callz00_bglt) BgL_funz00_2725)))->
																BgL_varz00)))
														{	/* SawC/code.scm 539 */
															return ((bool_t) 0);
														}
													else
														{	/* SawC/code.scm 539 */
															return ((bool_t) 1);
														}
												}
											else
												{	/* SawC/code.scm 527 */
													return ((bool_t) 0);
												}
										}
								}
						}
				}
			}
		}

	}



/* emit-pragma */
	obj_t BGl_emitzd2pragmazd2zzsaw_c_codez00(obj_t BgL_formatz00_126,
		obj_t BgL_argsz00_127)
	{
		{	/* SawC/code.scm 544 */
			if (NULLP(BgL_argsz00_127))
				{	/* SawC/code.scm 545 */
					return
						bgl_display_obj(BgL_formatz00_126,
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				}
			else
				{	/* SawC/code.scm 547 */
					obj_t BgL_sportz00_2741;

					{	/* SawC/code.scm 547 */
						long BgL_endz00_3027;

						BgL_endz00_3027 = STRING_LENGTH(BgL_formatz00_126);
						{	/* SawC/code.scm 547 */

							BgL_sportz00_2741 =
								BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00
								(BgL_formatz00_126, BINT(((long) 0)), BINT(BgL_endz00_3027));
					}}
					{	/* SawC/code.scm 547 */
						obj_t BgL_argsz00_2742;

						BgL_argsz00_2742 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_argsz00_127);
						{
							obj_t BgL_iportz00_2745;

							{	/* SawC/code.scm 549 */

								BgL_iportz00_2745 = BgL_sportz00_2741;
								{
									obj_t BgL_iportz00_2780;
									long BgL_lastzd2matchzd2_2781;
									long BgL_forwardz00_2782;
									long BgL_bufposz00_2783;
									obj_t BgL_iportz00_2793;
									long BgL_lastzd2matchzd2_2794;
									long BgL_forwardz00_2795;
									long BgL_bufposz00_2796;
									obj_t BgL_iportz00_2816;
									long BgL_lastzd2matchzd2_2817;
									long BgL_forwardz00_2818;
									long BgL_bufposz00_2819;
									obj_t BgL_iportz00_2829;
									long BgL_lastzd2matchzd2_2830;
									long BgL_forwardz00_2831;
									long BgL_bufposz00_2832;
									obj_t BgL_iportz00_2842;
									long BgL_lastzd2matchzd2_2843;
									long BgL_forwardz00_2844;
									long BgL_bufposz00_2845;

								BgL_zc3z04anonymousza32232ze3z87_2975:
									RGC_START_MATCH(BgL_iportz00_2745);
									{	/* SawC/code.scm 549 */
										long BgL_matchz00_2976;

										{	/* SawC/code.scm 549 */
											long BgL_arg2238z00_2989;
											long BgL_arg2239z00_2990;

											BgL_arg2238z00_2989 =
												RGC_BUFFER_FORWARD(BgL_iportz00_2745);
											BgL_arg2239z00_2990 =
												RGC_BUFFER_BUFPOS(BgL_iportz00_2745);
											BgL_iportz00_2829 = BgL_iportz00_2745;
											BgL_lastzd2matchzd2_2830 = ((long) 3);
											BgL_forwardz00_2831 = BgL_arg2238z00_2989;
											BgL_bufposz00_2832 = BgL_arg2239z00_2990;
										BgL_zc3z04anonymousza32130ze3z87_2833:
											if ((BgL_forwardz00_2831 == BgL_bufposz00_2832))
												{	/* SawC/code.scm 549 */
													if (rgc_fill_buffer(BgL_iportz00_2829))
														{	/* SawC/code.scm 549 */
															long BgL_arg2133z00_2836;
															long BgL_arg2134z00_2837;

															BgL_arg2133z00_2836 =
																RGC_BUFFER_FORWARD(BgL_iportz00_2829);
															BgL_arg2134z00_2837 =
																RGC_BUFFER_BUFPOS(BgL_iportz00_2829);
															{
																long BgL_bufposz00_7060;
																long BgL_forwardz00_7059;

																BgL_forwardz00_7059 = BgL_arg2133z00_2836;
																BgL_bufposz00_7060 = BgL_arg2134z00_2837;
																BgL_bufposz00_2832 = BgL_bufposz00_7060;
																BgL_forwardz00_2831 = BgL_forwardz00_7059;
																goto BgL_zc3z04anonymousza32130ze3z87_2833;
															}
														}
													else
														{	/* SawC/code.scm 549 */
															BgL_matchz00_2976 = BgL_lastzd2matchzd2_2830;
														}
												}
											else
												{	/* SawC/code.scm 549 */
													int BgL_curz00_2838;

													BgL_curz00_2838 =
														RGC_BUFFER_GET_CHAR(BgL_iportz00_2829,
														BgL_forwardz00_2831);
													{	/* SawC/code.scm 549 */

														if (((long) (BgL_curz00_2838) == ((long) 36)))
															{	/* SawC/code.scm 549 */
																BgL_iportz00_2793 = BgL_iportz00_2829;
																BgL_lastzd2matchzd2_2794 =
																	BgL_lastzd2matchzd2_2830;
																BgL_forwardz00_2795 =
																	(((long) 1) + BgL_forwardz00_2831);
																BgL_bufposz00_2796 = BgL_bufposz00_2832;
															BgL_zc3z04anonymousza32112ze3z87_2797:
																{	/* SawC/code.scm 549 */
																	long BgL_newzd2matchzd2_2798;

																	RGC_STOP_MATCH(BgL_iportz00_2793,
																		BgL_forwardz00_2795);
																	BgL_newzd2matchzd2_2798 = ((long) 3);
																	if (
																		(BgL_forwardz00_2795 == BgL_bufposz00_2796))
																		{	/* SawC/code.scm 549 */
																			if (rgc_fill_buffer(BgL_iportz00_2793))
																				{	/* SawC/code.scm 549 */
																					long BgL_arg2115z00_2801;
																					long BgL_arg2116z00_2802;

																					BgL_arg2115z00_2801 =
																						RGC_BUFFER_FORWARD
																						(BgL_iportz00_2793);
																					BgL_arg2116z00_2802 =
																						RGC_BUFFER_BUFPOS
																						(BgL_iportz00_2793);
																					{
																						long BgL_bufposz00_7073;
																						long BgL_forwardz00_7072;

																						BgL_forwardz00_7072 =
																							BgL_arg2115z00_2801;
																						BgL_bufposz00_7073 =
																							BgL_arg2116z00_2802;
																						BgL_bufposz00_2796 =
																							BgL_bufposz00_7073;
																						BgL_forwardz00_2795 =
																							BgL_forwardz00_7072;
																						goto
																							BgL_zc3z04anonymousza32112ze3z87_2797;
																					}
																				}
																			else
																				{	/* SawC/code.scm 549 */
																					BgL_matchz00_2976 =
																						BgL_newzd2matchzd2_2798;
																				}
																		}
																	else
																		{	/* SawC/code.scm 549 */
																			int BgL_curz00_2803;

																			BgL_curz00_2803 =
																				RGC_BUFFER_GET_CHAR(BgL_iportz00_2793,
																				BgL_forwardz00_2795);
																			{	/* SawC/code.scm 549 */

																				{	/* SawC/code.scm 549 */
																					bool_t BgL_test3069z00_7075;

																					if (
																						((long) (BgL_curz00_2803) >=
																							((long) 48)))
																						{	/* SawC/code.scm 549 */
																							BgL_test3069z00_7075 =
																								(
																								(long) (BgL_curz00_2803) <
																								((long) 58));
																						}
																					else
																						{	/* SawC/code.scm 549 */
																							BgL_test3069z00_7075 =
																								((bool_t) 0);
																						}
																					if (BgL_test3069z00_7075)
																						{	/* SawC/code.scm 549 */
																							BgL_iportz00_2842 =
																								BgL_iportz00_2793;
																							BgL_lastzd2matchzd2_2843 =
																								BgL_newzd2matchzd2_2798;
																							BgL_forwardz00_2844 =
																								(((long) 1) +
																								BgL_forwardz00_2795);
																							BgL_bufposz00_2845 =
																								BgL_bufposz00_2796;
																						BgL_zc3z04anonymousza32138ze3z87_2846:
																							{	/* SawC/code.scm 549 */
																								long BgL_newzd2matchzd2_2847;

																								RGC_STOP_MATCH
																									(BgL_iportz00_2842,
																									BgL_forwardz00_2844);
																								BgL_newzd2matchzd2_2847 =
																									((long) 0);
																								if ((BgL_forwardz00_2844 ==
																										BgL_bufposz00_2845))
																									{	/* SawC/code.scm 549 */
																										if (rgc_fill_buffer
																											(BgL_iportz00_2842))
																											{	/* SawC/code.scm 549 */
																												long
																													BgL_arg2141z00_2850;
																												long
																													BgL_arg2142z00_2851;
																												BgL_arg2141z00_2850 =
																													RGC_BUFFER_FORWARD
																													(BgL_iportz00_2842);
																												BgL_arg2142z00_2851 =
																													RGC_BUFFER_BUFPOS
																													(BgL_iportz00_2842);
																												{
																													long
																														BgL_bufposz00_7089;
																													long
																														BgL_forwardz00_7088;
																													BgL_forwardz00_7088 =
																														BgL_arg2141z00_2850;
																													BgL_bufposz00_7089 =
																														BgL_arg2142z00_2851;
																													BgL_bufposz00_2845 =
																														BgL_bufposz00_7089;
																													BgL_forwardz00_2844 =
																														BgL_forwardz00_7088;
																													goto
																														BgL_zc3z04anonymousza32138ze3z87_2846;
																												}
																											}
																										else
																											{	/* SawC/code.scm 549 */
																												BgL_matchz00_2976 =
																													BgL_newzd2matchzd2_2847;
																											}
																									}
																								else
																									{	/* SawC/code.scm 549 */
																										int BgL_curz00_2852;

																										BgL_curz00_2852 =
																											RGC_BUFFER_GET_CHAR
																											(BgL_iportz00_2842,
																											BgL_forwardz00_2844);
																										{	/* SawC/code.scm 549 */

																											{	/* SawC/code.scm 549 */
																												bool_t
																													BgL_test3073z00_7091;
																												if (((long)
																														(BgL_curz00_2852) >=
																														((long) 48)))
																													{	/* SawC/code.scm 549 */
																														BgL_test3073z00_7091
																															=
																															((long)
																															(BgL_curz00_2852)
																															< ((long) 58));
																													}
																												else
																													{	/* SawC/code.scm 549 */
																														BgL_test3073z00_7091
																															= ((bool_t) 0);
																													}
																												if (BgL_test3073z00_7091)
																													{
																														long
																															BgL_forwardz00_7098;
																														long
																															BgL_lastzd2matchzd2_7097;
																														BgL_lastzd2matchzd2_7097
																															=
																															BgL_newzd2matchzd2_2847;
																														BgL_forwardz00_7098
																															=
																															(((long) 1) +
																															BgL_forwardz00_2844);
																														BgL_forwardz00_2844
																															=
																															BgL_forwardz00_7098;
																														BgL_lastzd2matchzd2_2843
																															=
																															BgL_lastzd2matchzd2_7097;
																														goto
																															BgL_zc3z04anonymousza32138ze3z87_2846;
																													}
																												else
																													{	/* SawC/code.scm 549 */
																														BgL_matchz00_2976 =
																															BgL_newzd2matchzd2_2847;
																													}
																											}
																										}
																									}
																							}
																						}
																					else
																						{	/* SawC/code.scm 549 */
																							if (
																								((long) (BgL_curz00_2803) ==
																									((long) 36)))
																								{	/* SawC/code.scm 549 */
																									long BgL_arg2121z00_2808;

																									BgL_arg2121z00_2808 =
																										(((long) 1) +
																										BgL_forwardz00_2795);
																									{	/* SawC/code.scm 549 */
																										long
																											BgL_newzd2matchzd2_4792;
																										RGC_STOP_MATCH
																											(BgL_iportz00_2793,
																											BgL_arg2121z00_2808);
																										BgL_newzd2matchzd2_4792 =
																											((long) 2);
																										BgL_matchz00_2976 =
																											BgL_newzd2matchzd2_4792;
																								}}
																							else
																								{	/* SawC/code.scm 549 */
																									BgL_matchz00_2976 =
																										BgL_newzd2matchzd2_2798;
																								}
																						}
																				}
																			}
																		}
																}
															}
														else
															{	/* SawC/code.scm 549 */
																BgL_iportz00_2816 = BgL_iportz00_2829;
																BgL_lastzd2matchzd2_2817 =
																	BgL_lastzd2matchzd2_2830;
																BgL_forwardz00_2818 =
																	(((long) 1) + BgL_forwardz00_2831);
																BgL_bufposz00_2819 = BgL_bufposz00_2832;
															BgL_zc3z04anonymousza32123ze3z87_2820:
																{	/* SawC/code.scm 549 */
																	long BgL_newzd2matchzd2_2821;

																	RGC_STOP_MATCH(BgL_iportz00_2816,
																		BgL_forwardz00_2818);
																	BgL_newzd2matchzd2_2821 = ((long) 1);
																	if (
																		(BgL_forwardz00_2818 == BgL_bufposz00_2819))
																		{	/* SawC/code.scm 549 */
																			if (rgc_fill_buffer(BgL_iportz00_2816))
																				{	/* SawC/code.scm 549 */
																					long BgL_arg2126z00_2824;
																					long BgL_arg2127z00_2825;

																					BgL_arg2126z00_2824 =
																						RGC_BUFFER_FORWARD
																						(BgL_iportz00_2816);
																					BgL_arg2127z00_2825 =
																						RGC_BUFFER_BUFPOS
																						(BgL_iportz00_2816);
																					{
																						long BgL_bufposz00_7115;
																						long BgL_forwardz00_7114;

																						BgL_forwardz00_7114 =
																							BgL_arg2126z00_2824;
																						BgL_bufposz00_7115 =
																							BgL_arg2127z00_2825;
																						BgL_bufposz00_2819 =
																							BgL_bufposz00_7115;
																						BgL_forwardz00_2818 =
																							BgL_forwardz00_7114;
																						goto
																							BgL_zc3z04anonymousza32123ze3z87_2820;
																					}
																				}
																			else
																				{	/* SawC/code.scm 549 */
																					BgL_matchz00_2976 =
																						BgL_newzd2matchzd2_2821;
																				}
																		}
																	else
																		{	/* SawC/code.scm 549 */
																			int BgL_curz00_2826;

																			BgL_curz00_2826 =
																				RGC_BUFFER_GET_CHAR(BgL_iportz00_2816,
																				BgL_forwardz00_2818);
																			{	/* SawC/code.scm 549 */

																				if (
																					((long) (BgL_curz00_2826) ==
																						((long) 36)))
																					{	/* SawC/code.scm 549 */
																						BgL_matchz00_2976 =
																							BgL_newzd2matchzd2_2821;
																					}
																				else
																					{	/* SawC/code.scm 549 */
																						BgL_iportz00_2780 =
																							BgL_iportz00_2816;
																						BgL_lastzd2matchzd2_2781 =
																							BgL_newzd2matchzd2_2821;
																						BgL_forwardz00_2782 =
																							(((long) 1) +
																							BgL_forwardz00_2818);
																						BgL_bufposz00_2783 =
																							BgL_bufposz00_2819;
																					BgL_zc3z04anonymousza32105ze3z87_2784:
																						{	/* SawC/code.scm 549 */
																							long BgL_newzd2matchzd2_2785;

																							RGC_STOP_MATCH(BgL_iportz00_2780,
																								BgL_forwardz00_2782);
																							BgL_newzd2matchzd2_2785 =
																								((long) 1);
																							if ((BgL_forwardz00_2782 ==
																									BgL_bufposz00_2783))
																								{	/* SawC/code.scm 549 */
																									if (rgc_fill_buffer
																										(BgL_iportz00_2780))
																										{	/* SawC/code.scm 549 */
																											long BgL_arg2108z00_2788;
																											long BgL_arg2109z00_2789;

																											BgL_arg2108z00_2788 =
																												RGC_BUFFER_FORWARD
																												(BgL_iportz00_2780);
																											BgL_arg2109z00_2789 =
																												RGC_BUFFER_BUFPOS
																												(BgL_iportz00_2780);
																											{
																												long BgL_bufposz00_7128;
																												long
																													BgL_forwardz00_7127;
																												BgL_forwardz00_7127 =
																													BgL_arg2108z00_2788;
																												BgL_bufposz00_7128 =
																													BgL_arg2109z00_2789;
																												BgL_bufposz00_2783 =
																													BgL_bufposz00_7128;
																												BgL_forwardz00_2782 =
																													BgL_forwardz00_7127;
																												goto
																													BgL_zc3z04anonymousza32105ze3z87_2784;
																											}
																										}
																									else
																										{	/* SawC/code.scm 549 */
																											BgL_matchz00_2976 =
																												BgL_newzd2matchzd2_2785;
																										}
																								}
																							else
																								{	/* SawC/code.scm 549 */
																									int BgL_curz00_2790;

																									BgL_curz00_2790 =
																										RGC_BUFFER_GET_CHAR
																										(BgL_iportz00_2780,
																										BgL_forwardz00_2782);
																									{	/* SawC/code.scm 549 */

																										if (
																											((long) (BgL_curz00_2790)
																												== ((long) 36)))
																											{	/* SawC/code.scm 549 */
																												BgL_matchz00_2976 =
																													BgL_newzd2matchzd2_2785;
																											}
																										else
																											{
																												long
																													BgL_forwardz00_7134;
																												long
																													BgL_lastzd2matchzd2_7133;
																												BgL_lastzd2matchzd2_7133
																													=
																													BgL_newzd2matchzd2_2785;
																												BgL_forwardz00_7134 =
																													(((long) 1) +
																													BgL_forwardz00_2782);
																												BgL_forwardz00_2782 =
																													BgL_forwardz00_7134;
																												BgL_lastzd2matchzd2_2781
																													=
																													BgL_lastzd2matchzd2_7133;
																												goto
																													BgL_zc3z04anonymousza32105ze3z87_2784;
																											}
																									}
																								}
																						}
																					}
																			}
																		}
																}
															}
													}
												}
										}
										RGC_SET_FILEPOS(BgL_iportz00_2745);
										{

											switch (BgL_matchz00_2976)
												{
												case ((long) 3):

													{	/* SawC/code.scm 549 */
														bool_t BgL_test3082z00_7139;

														{	/* SawC/code.scm 549 */
															long BgL_arg2226z00_2966;

															BgL_arg2226z00_2966 =
																RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_2745);
															BgL_test3082z00_7139 =
																(BgL_arg2226z00_2966 == ((long) 0));
														}
														if (BgL_test3082z00_7139)
															{	/* SawC/code.scm 549 */
																BEOF;
															}
														else
															{	/* SawC/code.scm 549 */
																BCHAR(RGC_BUFFER_CHARACTER(BgL_iportz00_2745));
															}
													}
													break;
												case ((long) 2):

													bgl_display_string(BGl_string2685z00zzsaw_c_codez00,
														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
													goto BgL_zc3z04anonymousza32232ze3z87_2975;
													break;
												case ((long) 1):

													{	/* SawC/code.scm 558 */
														obj_t BgL_arg2234z00_2980;

														BgL_arg2234z00_2980 =
															BGl_thezd2stringze70z35zzsaw_c_codez00
															(BgL_iportz00_2745);
														bgl_display_obj(BgL_arg2234z00_2980,
															BGl_za2czd2portza2zd2zzbackend_c_emitz00);
													}
													goto BgL_zc3z04anonymousza32232ze3z87_2975;
													break;
												case ((long) 0):

													{	/* SawC/code.scm 551 */
														obj_t BgL_strz00_2981;

														BgL_strz00_2981 =
															BGl_thezd2stringze70z35zzsaw_c_codez00
															(BgL_iportz00_2745);
														{	/* SawC/code.scm 551 */
															long BgL_lenz00_2982;

															BgL_lenz00_2982 =
																RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_2745);
															{	/* SawC/code.scm 552 */
																obj_t BgL_indexz00_2983;

																{	/* SawC/code.scm 554 */
																	obj_t BgL_arg2237z00_2986;

																	BgL_arg2237z00_2986 =
																		c_substring(BgL_strz00_2981, ((long) 1),
																		BgL_lenz00_2982);
																	{	/* SawC/code.scm 553 */

																		BgL_indexz00_2983 =
																			BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00
																			(BgL_arg2237z00_2986, BINT(((long) 10)));
																}}
																{	/* SawC/code.scm 553 */

																	BGl_genzd2regzd2zzsaw_c_codez00(VECTOR_REF
																		(BgL_argsz00_2742,
																			((long) CINT(BgL_indexz00_2983) -
																				((long) 1))));
																	goto BgL_zc3z04anonymousza32232ze3z87_2975;
																}
															}
														}
													}
													break;
												default:
													BGl_errorz00zz__errorz00
														(BGl_string2683z00zzsaw_c_codez00,
														BGl_string2684z00zzsaw_c_codez00,
														BINT(BgL_matchz00_2976));
												}
										}
									}
								}
								return BTRUE;
							}
						}
					}
				}
		}

	}



/* the-string~0 */
	obj_t BGl_thezd2stringze70z35zzsaw_c_codez00(obj_t BgL_iportz00_5729)
	{
		{	/* SawC/code.scm 549 */
			{	/* SawC/code.scm 549 */
				long BgL_arg2152z00_2868;

				BgL_arg2152z00_2868 = RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_5729);
				return
					rgc_buffer_substring(BgL_iportz00_5729, ((long) 0),
					BgL_arg2152z00_2868);
		}}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_c_codez00()
	{
		{	/* SawC/code.scm 1 */
			{	/* SawC/code.scm 29 */
				obj_t BgL_arg2244z00_3032;
				obj_t BgL_arg2245z00_3033;

				{	/* SawC/code.scm 29 */
					obj_t BgL_v1696z00_3061;

					BgL_v1696z00_3061 = create_vector(((long) 1));
					{	/* SawC/code.scm 29 */
						obj_t BgL_arg2256z00_3062;

						BgL_arg2256z00_3062 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc2687z00zzsaw_c_codez00,
							BGl_proc2686z00zzsaw_c_codez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1696z00_3061, ((long) 0), BgL_arg2256z00_3062);
					}
					BgL_arg2244z00_3032 = BgL_v1696z00_3061;
				}
				{	/* SawC/code.scm 29 */
					obj_t BgL_v1697z00_3072;

					BgL_v1697z00_3072 = create_vector(((long) 0));
					BgL_arg2245z00_3033 = BgL_v1697z00_3072;
				}
				return (BGl_SawCIregz00zzsaw_c_codez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 7)),
						CNST_TABLE_REF(((long) 8)), BGl_rtl_regz00zzsaw_defsz00,
						((long) 48725), BGl_proc2691z00zzsaw_c_codez00,
						BGl_proc2690z00zzsaw_c_codez00, BFALSE,
						BGl_proc2689z00zzsaw_c_codez00, BGl_proc2688z00zzsaw_c_codez00,
						BgL_arg2244z00_3032, BgL_arg2245z00_3033), BUNSPEC);
		}}

	}



/* &lambda2252 */
	BgL_rtl_regz00_bglt BGl_z62lambda2252z62zzsaw_c_codez00(obj_t BgL_envz00_5586,
		obj_t BgL_o1164z00_5587)
	{
		{	/* SawC/code.scm 29 */
			{	/* SawC/code.scm 29 */
				long BgL_arg2253z00_5753;

				{	/* SawC/code.scm 29 */
					obj_t BgL_arg2254z00_5754;

					{	/* SawC/code.scm 29 */
						obj_t BgL_arg2255z00_5755;

						{	/* SawC/code.scm 29 */
							long BgL_arg1833z00_5756;

							{	/* SawC/code.scm 29 */
								long BgL_arg1834z00_5757;

								BgL_arg1834z00_5757 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_o1164z00_5587)));
								BgL_arg1833z00_5756 = (BgL_arg1834z00_5757 - OBJECT_TYPE);
							}
							BgL_arg2255z00_5755 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_5756);
						}
						BgL_arg2254z00_5754 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2255z00_5755);
					}
					{	/* SawC/code.scm 29 */
						obj_t BgL_tmpz00_7176;

						BgL_tmpz00_7176 = ((obj_t) BgL_arg2254z00_5754);
						BgL_arg2253z00_5753 = BGL_CLASS_NUM(BgL_tmpz00_7176);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) BgL_o1164z00_5587)), BgL_arg2253z00_5753);
			}
			{	/* SawC/code.scm 29 */
				BgL_objectz00_bglt BgL_tmpz00_7182;

				BgL_tmpz00_7182 =
					((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1164z00_5587));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7182, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1164z00_5587));
			return ((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1164z00_5587));
		}

	}



/* &<@anonymous:2251> */
	obj_t BGl_z62zc3z04anonymousza32251ze3ze5zzsaw_c_codez00(obj_t
		BgL_envz00_5588, obj_t BgL_new1163z00_5589)
	{
		{	/* SawC/code.scm 29 */
			{
				BgL_rtl_regz00_bglt BgL_auxz00_7190;

				{
					BgL_typez00_bglt BgL_auxz00_7191;

					{	/* SawC/code.scm 29 */
						obj_t BgL_classz00_5759;

						BgL_classz00_5759 = BGl_typez00zztype_typez00;
						{	/* SawC/code.scm 29 */
							obj_t BgL__ortest_1112z00_5760;

							BgL__ortest_1112z00_5760 = BGL_CLASS_NIL(BgL_classz00_5759);
							if (CBOOL(BgL__ortest_1112z00_5760))
								{	/* SawC/code.scm 29 */
									BgL_auxz00_7191 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_5760);
								}
							else
								{	/* SawC/code.scm 29 */
									BgL_auxz00_7191 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5759));
								}
						}
					}
					((((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_new1163z00_5589))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_7191), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt)
									((BgL_rtl_regz00_bglt) BgL_new1163z00_5589))))->BgL_varz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1163z00_5589))))->BgL_onexprzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1163z00_5589))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1163z00_5589))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1163z00_5589))))->BgL_hardwarez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_sawciregz00_bglt BgL_auxz00_7216;

					{
						obj_t BgL_auxz00_7217;

						{	/* SawC/code.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_7218;

							BgL_tmpz00_7218 =
								((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_new1163z00_5589));
							BgL_auxz00_7217 = BGL_OBJECT_WIDENING(BgL_tmpz00_7218);
						}
						BgL_auxz00_7216 = ((BgL_sawciregz00_bglt) BgL_auxz00_7217);
					}
					((((BgL_sawciregz00_bglt) COBJECT(BgL_auxz00_7216))->BgL_indexz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_7190 = ((BgL_rtl_regz00_bglt) BgL_new1163z00_5589);
				return ((obj_t) BgL_auxz00_7190);
			}
		}

	}



/* &lambda2249 */
	BgL_rtl_regz00_bglt BGl_z62lambda2249z62zzsaw_c_codez00(obj_t BgL_envz00_5590,
		obj_t BgL_o1160z00_5591)
	{
		{	/* SawC/code.scm 29 */
			{	/* SawC/code.scm 29 */
				BgL_sawciregz00_bglt BgL_wide1162z00_5762;

				BgL_wide1162z00_5762 =
					((BgL_sawciregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sawciregz00_bgl))));
				{	/* SawC/code.scm 29 */
					obj_t BgL_auxz00_7231;
					BgL_objectz00_bglt BgL_tmpz00_7227;

					BgL_auxz00_7231 = ((obj_t) BgL_wide1162z00_5762);
					BgL_tmpz00_7227 =
						((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1160z00_5591)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7227, BgL_auxz00_7231);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1160z00_5591)));
				{	/* SawC/code.scm 29 */
					long BgL_arg2250z00_5763;

					BgL_arg2250z00_5763 = BGL_CLASS_NUM(BGl_SawCIregz00zzsaw_c_codez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_o1160z00_5591))),
						BgL_arg2250z00_5763);
				}
				return
					((BgL_rtl_regz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1160z00_5591)));
			}
		}

	}



/* &lambda2246 */
	BgL_rtl_regz00_bglt BGl_z62lambda2246z62zzsaw_c_codez00(obj_t BgL_envz00_5592,
		obj_t BgL_type1153z00_5593, obj_t BgL_var1154z00_5594,
		obj_t BgL_onexprzf31155zf3_5595, obj_t BgL_name1156z00_5596,
		obj_t BgL_key1157z00_5597, obj_t BgL_hardware1158z00_5598,
		obj_t BgL_index1159z00_5599)
	{
		{	/* SawC/code.scm 29 */
			{	/* SawC/code.scm 29 */
				BgL_rtl_regz00_bglt BgL_new1212z00_5765;

				{	/* SawC/code.scm 29 */
					BgL_rtl_regz00_bglt BgL_tmp1210z00_5766;
					BgL_sawciregz00_bglt BgL_wide1211z00_5767;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_7245;

						{	/* SawC/code.scm 29 */
							BgL_rtl_regz00_bglt BgL_new1209z00_5768;

							BgL_new1209z00_5768 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawC/code.scm 29 */
								long BgL_arg2248z00_5769;

								BgL_arg2248z00_5769 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1209z00_5768),
									BgL_arg2248z00_5769);
							}
							{	/* SawC/code.scm 29 */
								BgL_objectz00_bglt BgL_tmpz00_7250;

								BgL_tmpz00_7250 = ((BgL_objectz00_bglt) BgL_new1209z00_5768);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7250, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1209z00_5768);
							BgL_auxz00_7245 = BgL_new1209z00_5768;
						}
						BgL_tmp1210z00_5766 = ((BgL_rtl_regz00_bglt) BgL_auxz00_7245);
					}
					BgL_wide1211z00_5767 =
						((BgL_sawciregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sawciregz00_bgl))));
					{	/* SawC/code.scm 29 */
						obj_t BgL_auxz00_7258;
						BgL_objectz00_bglt BgL_tmpz00_7256;

						BgL_auxz00_7258 = ((obj_t) BgL_wide1211z00_5767);
						BgL_tmpz00_7256 = ((BgL_objectz00_bglt) BgL_tmp1210z00_5766);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7256, BgL_auxz00_7258);
					}
					((BgL_objectz00_bglt) BgL_tmp1210z00_5766);
					{	/* SawC/code.scm 29 */
						long BgL_arg2247z00_5770;

						BgL_arg2247z00_5770 = BGL_CLASS_NUM(BGl_SawCIregz00zzsaw_c_codez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1210z00_5766), BgL_arg2247z00_5770);
					}
					BgL_new1212z00_5765 = ((BgL_rtl_regz00_bglt) BgL_tmp1210z00_5766);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1212z00_5765)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1153z00_5593)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1212z00_5765)))->BgL_varz00) =
					((obj_t) BgL_var1154z00_5594), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1212z00_5765)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31155zf3_5595), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1212z00_5765)))->BgL_namez00) =
					((obj_t) BgL_name1156z00_5596), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1212z00_5765)))->BgL_keyz00) =
					((obj_t) BgL_key1157z00_5597), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1212z00_5765)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1158z00_5598), BUNSPEC);
				{
					BgL_sawciregz00_bglt BgL_auxz00_7279;

					{
						obj_t BgL_auxz00_7280;

						{	/* SawC/code.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_7281;

							BgL_tmpz00_7281 = ((BgL_objectz00_bglt) BgL_new1212z00_5765);
							BgL_auxz00_7280 = BGL_OBJECT_WIDENING(BgL_tmpz00_7281);
						}
						BgL_auxz00_7279 = ((BgL_sawciregz00_bglt) BgL_auxz00_7280);
					}
					((((BgL_sawciregz00_bglt) COBJECT(BgL_auxz00_7279))->BgL_indexz00) =
						((obj_t) BgL_index1159z00_5599), BUNSPEC);
				}
				return BgL_new1212z00_5765;
			}
		}

	}



/* &lambda2260 */
	obj_t BGl_z62lambda2260z62zzsaw_c_codez00(obj_t BgL_envz00_5600,
		obj_t BgL_oz00_5601, obj_t BgL_vz00_5602)
	{
		{	/* SawC/code.scm 29 */
			{
				BgL_sawciregz00_bglt BgL_auxz00_7286;

				{
					obj_t BgL_auxz00_7287;

					{	/* SawC/code.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_7288;

						BgL_tmpz00_7288 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_5601));
						BgL_auxz00_7287 = BGL_OBJECT_WIDENING(BgL_tmpz00_7288);
					}
					BgL_auxz00_7286 = ((BgL_sawciregz00_bglt) BgL_auxz00_7287);
				}
				return
					((((BgL_sawciregz00_bglt) COBJECT(BgL_auxz00_7286))->BgL_indexz00) =
					((obj_t) BgL_vz00_5602), BUNSPEC);
			}
		}

	}



/* &lambda2259 */
	obj_t BGl_z62lambda2259z62zzsaw_c_codez00(obj_t BgL_envz00_5603,
		obj_t BgL_oz00_5604)
	{
		{	/* SawC/code.scm 29 */
			{
				BgL_sawciregz00_bglt BgL_auxz00_7294;

				{
					obj_t BgL_auxz00_7295;

					{	/* SawC/code.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_7296;

						BgL_tmpz00_7296 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_5604));
						BgL_auxz00_7295 = BGL_OBJECT_WIDENING(BgL_tmpz00_7296);
					}
					BgL_auxz00_7294 = ((BgL_sawciregz00_bglt) BgL_auxz00_7295);
				}
				return
					(((BgL_sawciregz00_bglt) COBJECT(BgL_auxz00_7294))->BgL_indexz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_c_codez00()
	{
		{	/* SawC/code.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_genzd2exprzd2envz00zzsaw_c_codez00, BGl_proc2692z00zzsaw_c_codez00,
				BGl_rtl_funz00zzsaw_defsz00, BGl_string2693z00zzsaw_c_codez00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
				BGl_proc2694z00zzsaw_c_codez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string2695z00zzsaw_c_codez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
				BGl_proc2696z00zzsaw_c_codez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string2697z00zzsaw_c_codez00);
		}

	}



/* &gen-prefix1734 */
	obj_t BGl_z62genzd2prefix1734zb0zzsaw_c_codez00(obj_t BgL_envz00_5608,
		obj_t BgL_funz00_5609)
	{
		{	/* SawC/code.scm 396 */
			return BGl_string2625z00zzsaw_c_codez00;
		}

	}



/* &gen-fun-name1716 */
	obj_t BGl_z62genzd2funzd2name1716z62zzsaw_c_codez00(obj_t BgL_envz00_5610,
		obj_t BgL_funz00_5611)
	{
		{	/* SawC/code.scm 359 */
			return
				BGl_genzd2upcasezd2zzsaw_c_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5611));
		}

	}



/* &gen-expr1698 */
	obj_t BGl_z62genzd2expr1698zb0zzsaw_c_codez00(obj_t BgL_envz00_5612,
		obj_t BgL_funz00_5613, obj_t BgL_argsz00_5614)
	{
		{	/* SawC/code.scm 215 */
			BGl_genzd2funzd2namez00zzsaw_c_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5613));
			{	/* SawC/code.scm 218 */
				obj_t BgL_arg2262z00_5776;

				{	/* SawC/code.scm 218 */
					obj_t BgL_tmpz00_7309;

					BgL_tmpz00_7309 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2262z00_5776 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7309);
				}
				bgl_display_string(BGl_string2619z00zzsaw_c_codez00,
					BgL_arg2262z00_5776);
			}
			BGl_genzd2prefixzd2zzsaw_c_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5613));
			BGl_genzd2argszd2zzsaw_c_codez00(BgL_argsz00_5614);
			{	/* SawC/code.scm 221 */
				obj_t BgL_arg2263z00_5777;

				{	/* SawC/code.scm 221 */
					obj_t BgL_tmpz00_7316;

					BgL_tmpz00_7316 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2263z00_5777 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7316);
				}
				return
					bgl_display_string(BGl_string2621z00zzsaw_c_codez00,
					BgL_arg2263z00_5777);
			}
		}

	}



/* gen-expr */
	obj_t BGl_genzd2exprzd2zzsaw_c_codez00(BgL_rtl_funz00_bglt BgL_funz00_62,
		obj_t BgL_argsz00_63)
	{
		{	/* SawC/code.scm 215 */
			{	/* SawC/code.scm 215 */
				obj_t BgL_method1699z00_3092;

				{	/* SawC/code.scm 215 */
					obj_t BgL_res2585z00_4917;

					{	/* SawC/code.scm 215 */
						long BgL_objzd2classzd2numz00_4888;

						BgL_objzd2classzd2numz00_4888 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_62));
						{	/* SawC/code.scm 215 */
							obj_t BgL_arg1829z00_4889;

							BgL_arg1829z00_4889 =
								PROCEDURE_REF(BGl_genzd2exprzd2envz00zzsaw_c_codez00,
								(int) (((long) 1)));
							{	/* SawC/code.scm 215 */
								int BgL_offsetz00_4892;

								BgL_offsetz00_4892 = (int) (BgL_objzd2classzd2numz00_4888);
								{	/* SawC/code.scm 215 */
									long BgL_offsetz00_4893;

									BgL_offsetz00_4893 =
										((long) (BgL_offsetz00_4892) - OBJECT_TYPE);
									{	/* SawC/code.scm 215 */
										long BgL_modz00_4894;

										BgL_modz00_4894 =
											(BgL_offsetz00_4893 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawC/code.scm 215 */
											long BgL_restz00_4896;

											BgL_restz00_4896 =
												(BgL_offsetz00_4893 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawC/code.scm 215 */

												{	/* SawC/code.scm 215 */
													obj_t BgL_bucketz00_4898;

													BgL_bucketz00_4898 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_4889), BgL_modz00_4894);
													BgL_res2585z00_4917 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4898), BgL_restz00_4896);
					}}}}}}}}
					BgL_method1699z00_3092 = BgL_res2585z00_4917;
				}
				return
					PROCEDURE_ENTRY(BgL_method1699z00_3092) (BgL_method1699z00_3092,
					((obj_t) BgL_funz00_62), BgL_argsz00_63, BEOA);
			}
		}

	}



/* &gen-expr */
	obj_t BGl_z62genzd2exprzb0zzsaw_c_codez00(obj_t BgL_envz00_5615,
		obj_t BgL_funz00_5616, obj_t BgL_argsz00_5617)
	{
		{	/* SawC/code.scm 215 */
			return
				BGl_genzd2exprzd2zzsaw_c_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5616), BgL_argsz00_5617);
		}

	}



/* gen-fun-name */
	obj_t BGl_genzd2funzd2namez00zzsaw_c_codez00(BgL_rtl_funz00_bglt
		BgL_funz00_86)
	{
		{	/* SawC/code.scm 359 */
			{	/* SawC/code.scm 359 */
				obj_t BgL_method1717z00_3093;

				{	/* SawC/code.scm 359 */
					obj_t BgL_res2590z00_4948;

					{	/* SawC/code.scm 359 */
						long BgL_objzd2classzd2numz00_4919;

						BgL_objzd2classzd2numz00_4919 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_86));
						{	/* SawC/code.scm 359 */
							obj_t BgL_arg1829z00_4920;

							BgL_arg1829z00_4920 =
								PROCEDURE_REF(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
								(int) (((long) 1)));
							{	/* SawC/code.scm 359 */
								int BgL_offsetz00_4923;

								BgL_offsetz00_4923 = (int) (BgL_objzd2classzd2numz00_4919);
								{	/* SawC/code.scm 359 */
									long BgL_offsetz00_4924;

									BgL_offsetz00_4924 =
										((long) (BgL_offsetz00_4923) - OBJECT_TYPE);
									{	/* SawC/code.scm 359 */
										long BgL_modz00_4925;

										BgL_modz00_4925 =
											(BgL_offsetz00_4924 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawC/code.scm 359 */
											long BgL_restz00_4927;

											BgL_restz00_4927 =
												(BgL_offsetz00_4924 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawC/code.scm 359 */

												{	/* SawC/code.scm 359 */
													obj_t BgL_bucketz00_4929;

													BgL_bucketz00_4929 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_4920), BgL_modz00_4925);
													BgL_res2590z00_4948 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4929), BgL_restz00_4927);
					}}}}}}}}
					BgL_method1717z00_3093 = BgL_res2590z00_4948;
				}
				return
					PROCEDURE_ENTRY(BgL_method1717z00_3093) (BgL_method1717z00_3093,
					((obj_t) BgL_funz00_86), BEOA);
			}
		}

	}



/* &gen-fun-name */
	obj_t BGl_z62genzd2funzd2namez62zzsaw_c_codez00(obj_t BgL_envz00_5618,
		obj_t BgL_funz00_5619)
	{
		{	/* SawC/code.scm 359 */
			return
				BGl_genzd2funzd2namez00zzsaw_c_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5619));
		}

	}



/* gen-prefix */
	obj_t BGl_genzd2prefixzd2zzsaw_c_codez00(BgL_rtl_funz00_bglt BgL_funz00_99)
	{
		{	/* SawC/code.scm 396 */
			{	/* SawC/code.scm 396 */
				obj_t BgL_method1737z00_3094;

				{	/* SawC/code.scm 396 */
					obj_t BgL_res2595z00_4979;

					{	/* SawC/code.scm 396 */
						long BgL_objzd2classzd2numz00_4950;

						BgL_objzd2classzd2numz00_4950 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_99));
						{	/* SawC/code.scm 396 */
							obj_t BgL_arg1829z00_4951;

							BgL_arg1829z00_4951 =
								PROCEDURE_REF(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
								(int) (((long) 1)));
							{	/* SawC/code.scm 396 */
								int BgL_offsetz00_4954;

								BgL_offsetz00_4954 = (int) (BgL_objzd2classzd2numz00_4950);
								{	/* SawC/code.scm 396 */
									long BgL_offsetz00_4955;

									BgL_offsetz00_4955 =
										((long) (BgL_offsetz00_4954) - OBJECT_TYPE);
									{	/* SawC/code.scm 396 */
										long BgL_modz00_4956;

										BgL_modz00_4956 =
											(BgL_offsetz00_4955 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawC/code.scm 396 */
											long BgL_restz00_4958;

											BgL_restz00_4958 =
												(BgL_offsetz00_4955 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawC/code.scm 396 */

												{	/* SawC/code.scm 396 */
													obj_t BgL_bucketz00_4960;

													BgL_bucketz00_4960 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_4951), BgL_modz00_4956);
													BgL_res2595z00_4979 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4960), BgL_restz00_4958);
					}}}}}}}}
					BgL_method1737z00_3094 = BgL_res2595z00_4979;
				}
				return
					PROCEDURE_ENTRY(BgL_method1737z00_3094) (BgL_method1737z00_3094,
					((obj_t) BgL_funz00_99), BEOA);
			}
		}

	}



/* &gen-prefix */
	obj_t BGl_z62genzd2prefixzb0zzsaw_c_codez00(obj_t BgL_envz00_5620,
		obj_t BgL_funz00_5621)
	{
		{	/* SawC/code.scm 396 */
			return
				BGl_genzd2prefixzd2zzsaw_c_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5621));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_c_codez00()
	{
		{	/* SawC/code.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2exprzd2envz00zzsaw_c_codez00,
				BGl_rtl_lightfuncallz00zzsaw_defsz00, BGl_proc2698z00zzsaw_c_codez00,
				BGl_string2699z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2exprzd2envz00zzsaw_c_codez00,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc2700z00zzsaw_c_codez00,
				BGl_string2699z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2exprzd2envz00zzsaw_c_codez00,
				BGl_rtl_setfieldz00zzsaw_defsz00, BGl_proc2701z00zzsaw_c_codez00,
				BGl_string2699z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2exprzd2envz00zzsaw_c_codez00,
				BGl_rtl_funcallz00zzsaw_defsz00, BGl_proc2702z00zzsaw_c_codez00,
				BGl_string2699z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2exprzd2envz00zzsaw_c_codez00,
				BGl_rtl_protectz00zzsaw_defsz00, BGl_proc2703z00zzsaw_c_codez00,
				BGl_string2699z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2exprzd2envz00zzsaw_c_codez00, BGl_rtl_pragmaz00zzsaw_defsz00,
				BGl_proc2704z00zzsaw_c_codez00, BGl_string2699z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2exprzd2envz00zzsaw_c_codez00, BGl_rtl_switchz00zzsaw_defsz00,
				BGl_proc2705z00zzsaw_c_codez00, BGl_string2699z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2exprzd2envz00zzsaw_c_codez00, BGl_rtl_callz00zzsaw_defsz00,
				BGl_proc2706z00zzsaw_c_codez00, BGl_string2699z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
				BGl_rtl_vallocz00zzsaw_defsz00, BGl_proc2707z00zzsaw_c_codez00,
				BGl_string2708z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
				BGl_rtl_vrefz00zzsaw_defsz00, BGl_proc2709z00zzsaw_c_codez00,
				BGl_string2708z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
				BGl_rtl_vsetz00zzsaw_defsz00, BGl_proc2710z00zzsaw_c_codez00,
				BGl_string2708z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
				BGl_rtl_vlengthz00zzsaw_defsz00, BGl_proc2711z00zzsaw_c_codez00,
				BGl_string2708z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
				BGl_rtl_movz00zzsaw_defsz00, BGl_proc2712z00zzsaw_c_codez00,
				BGl_string2708z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
				BGl_rtl_loadiz00zzsaw_defsz00, BGl_proc2713z00zzsaw_c_codez00,
				BGl_string2708z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
				BGl_rtl_loadgz00zzsaw_defsz00, BGl_proc2714z00zzsaw_c_codez00,
				BGl_string2708z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2namezd2envzd2zzsaw_c_codez00,
				BGl_rtl_returnz00zzsaw_defsz00, BGl_proc2715z00zzsaw_c_codez00,
				BGl_string2708z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
				BGl_rtl_loadiz00zzsaw_defsz00, BGl_proc2716z00zzsaw_c_codez00,
				BGl_string2717z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
				BGl_rtl_loadgz00zzsaw_defsz00, BGl_proc2718z00zzsaw_c_codez00,
				BGl_string2717z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
				BGl_rtl_loadfunz00zzsaw_defsz00, BGl_proc2719z00zzsaw_c_codez00,
				BGl_string2717z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
				BGl_rtl_storegz00zzsaw_defsz00, BGl_proc2720z00zzsaw_c_codez00,
				BGl_string2717z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
				BGl_rtl_globalrefz00zzsaw_defsz00, BGl_proc2721z00zzsaw_c_codez00,
				BGl_string2717z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00, BGl_rtl_goz00zzsaw_defsz00,
				BGl_proc2722z00zzsaw_c_codez00, BGl_string2717z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00, BGl_rtl_ifeqz00zzsaw_defsz00,
				BGl_proc2723z00zzsaw_c_codez00, BGl_string2717z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00, BGl_rtl_ifnez00zzsaw_defsz00,
				BGl_proc2724z00zzsaw_c_codez00, BGl_string2717z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
				BGl_rtl_vallocz00zzsaw_defsz00, BGl_proc2725z00zzsaw_c_codez00,
				BGl_string2717z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00, BGl_rtl_vrefz00zzsaw_defsz00,
				BGl_proc2726z00zzsaw_c_codez00, BGl_string2717z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00, BGl_rtl_vsetz00zzsaw_defsz00,
				BGl_proc2727z00zzsaw_c_codez00, BGl_string2717z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
				BGl_rtl_vlengthz00zzsaw_defsz00, BGl_proc2728z00zzsaw_c_codez00,
				BGl_string2717z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00, BGl_rtl_castz00zzsaw_defsz00,
				BGl_proc2729z00zzsaw_c_codez00, BGl_string2717z00zzsaw_c_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2prefixzd2envz00zzsaw_c_codez00,
				BGl_rtl_cast_nullz00zzsaw_defsz00, BGl_proc2730z00zzsaw_c_codez00,
				BGl_string2717z00zzsaw_c_codez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_acceptzd2foldingzf3zd2envzf3zzsaw_exprz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2731z00zzsaw_c_codez00,
				BGl_string2732z00zzsaw_c_codez00);
		}

	}



/* &accept-folding?-cvm1767 */
	obj_t BGl_z62acceptzd2foldingzf3zd2cvm1767z91zzsaw_c_codez00(obj_t
		BgL_envz00_5653, obj_t BgL_bz00_5654, obj_t BgL_insz00_5655,
		obj_t BgL_treez00_5656)
	{
		{	/* SawC/code.scm 508 */
			{	/* SawC/code.scm 509 */
				bool_t BgL__ortest_1191z00_5779;

				BgL__ortest_1191z00_5779 =
					BGl_deepzd2movzf3z21zzsaw_c_codez00(BgL_treez00_5656);
				if (BgL__ortest_1191z00_5779)
					{	/* SawC/code.scm 509 */
						return BBOOL(BgL__ortest_1191z00_5779);
					}
				else
					{	/* SawC/code.scm 509 */
						if (BGl_multiplezd2evaluationzd2zzsaw_c_codez00(BgL_insz00_5655,
								BgL_treez00_5656))
							{	/* SawC/code.scm 510 */
								return BFALSE;
							}
						else
							{	/* SawC/code.scm 510 */
								return BTRUE;
							}
					}
			}
		}

	}



/* &gen-prefix-rtl_cast_1765 */
	obj_t BGl_z62genzd2prefixzd2rtl_cast_1765z62zzsaw_c_codez00(obj_t
		BgL_envz00_5657, obj_t BgL_funz00_5658)
	{
		{	/* SawC/code.scm 444 */
			{	/* SawC/code.scm 445 */
				obj_t BgL_arg2403z00_5781;
				obj_t BgL_arg2404z00_5782;

				BgL_arg2403z00_5781 =
					BGl_makezd2typedzd2declarationz00zztype_toolsz00(
					(((BgL_rtl_cast_nullz00_bglt) COBJECT(
								((BgL_rtl_cast_nullz00_bglt) BgL_funz00_5658)))->BgL_typez00),
					BGl_string2625z00zzsaw_c_codez00);
				{	/* SawC/code.scm 445 */
					obj_t BgL_tmpz00_7456;

					BgL_tmpz00_7456 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2404z00_5782 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7456);
				}
				return bgl_display_obj(BgL_arg2403z00_5781, BgL_arg2404z00_5782);
			}
		}

	}



/* &gen-prefix-rtl_cast1763 */
	obj_t BGl_z62genzd2prefixzd2rtl_cast1763z62zzsaw_c_codez00(obj_t
		BgL_envz00_5659, obj_t BgL_funz00_5660)
	{
		{	/* SawC/code.scm 440 */
			{	/* SawC/code.scm 441 */
				obj_t BgL_arg2398z00_5784;
				obj_t BgL_arg2399z00_5785;

				BgL_arg2398z00_5784 =
					BGl_makezd2typedzd2declarationz00zztype_toolsz00(
					(((BgL_rtl_castz00_bglt) COBJECT(
								((BgL_rtl_castz00_bglt) BgL_funz00_5660)))->BgL_totypez00),
					BGl_string2625z00zzsaw_c_codez00);
				{	/* SawC/code.scm 441 */
					obj_t BgL_tmpz00_7463;

					BgL_tmpz00_7463 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2399z00_5785 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7463);
				}
				bgl_display_obj(BgL_arg2398z00_5784, BgL_arg2399z00_5785);
			}
			{	/* SawC/code.scm 442 */
				obj_t BgL_arg2402z00_5786;

				{	/* SawC/code.scm 442 */
					obj_t BgL_tmpz00_7467;

					BgL_tmpz00_7467 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2402z00_5786 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7467);
				}
				return
					bgl_display_string(BGl_string2620z00zzsaw_c_codez00,
					BgL_arg2402z00_5786);
			}
		}

	}



/* &gen-prefix-rtl_vleng1761 */
	obj_t BGl_z62genzd2prefixzd2rtl_vleng1761z62zzsaw_c_codez00(obj_t
		BgL_envz00_5661, obj_t BgL_funz00_5662)
	{
		{	/* SawC/code.scm 437 */
			return
				BGl_vextraz00zzsaw_c_codez00(
				(((BgL_rtl_vlengthz00_bglt) COBJECT(
							((BgL_rtl_vlengthz00_bglt) BgL_funz00_5662)))->BgL_typez00));
		}

	}



/* &gen-prefix-rtl_vset1759 */
	obj_t BGl_z62genzd2prefixzd2rtl_vset1759z62zzsaw_c_codez00(obj_t
		BgL_envz00_5663, obj_t BgL_funz00_5664)
	{
		{	/* SawC/code.scm 434 */
			return
				BGl_vextraz00zzsaw_c_codez00(
				(((BgL_rtl_vsetz00_bglt) COBJECT(
							((BgL_rtl_vsetz00_bglt) BgL_funz00_5664)))->BgL_typez00));
		}

	}



/* &gen-prefix-rtl_vref1757 */
	obj_t BGl_z62genzd2prefixzd2rtl_vref1757z62zzsaw_c_codez00(obj_t
		BgL_envz00_5665, obj_t BgL_funz00_5666)
	{
		{	/* SawC/code.scm 431 */
			return
				BGl_vextraz00zzsaw_c_codez00(
				(((BgL_rtl_vrefz00_bglt) COBJECT(
							((BgL_rtl_vrefz00_bglt) BgL_funz00_5666)))->BgL_typez00));
		}

	}



/* &gen-prefix-rtl_vallo1755 */
	obj_t BGl_z62genzd2prefixzd2rtl_vallo1755z62zzsaw_c_codez00(obj_t
		BgL_envz00_5667, obj_t BgL_funz00_5668)
	{
		{	/* SawC/code.scm 428 */
			return
				BGl_vextraz00zzsaw_c_codez00(
				(((BgL_rtl_vallocz00_bglt) COBJECT(
							((BgL_rtl_vallocz00_bglt) BgL_funz00_5668)))->BgL_typez00));
		}

	}



/* &gen-prefix-rtl_ifne1753 */
	obj_t BGl_z62genzd2prefixzd2rtl_ifne1753z62zzsaw_c_codez00(obj_t
		BgL_envz00_5669, obj_t BgL_funz00_5670)
	{
		{	/* SawC/code.scm 420 */
			{	/* SawC/code.scm 421 */
				int BgL_arg2388z00_5792;

				BgL_arg2388z00_5792 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_ifnez00_bglt) COBJECT(
										((BgL_rtl_ifnez00_bglt) BgL_funz00_5670)))->BgL_thenz00)))->
					BgL_labelz00);
				{	/* SawC/code.scm 421 */
					obj_t BgL_list2389z00_5793;

					{	/* SawC/code.scm 421 */
						obj_t BgL_arg2390z00_5794;

						{	/* SawC/code.scm 421 */
							obj_t BgL_arg2391z00_5795;

							BgL_arg2391z00_5795 =
								MAKE_YOUNG_PAIR(BGl_string2620z00zzsaw_c_codez00, BNIL);
							BgL_arg2390z00_5794 =
								MAKE_YOUNG_PAIR(BINT(BgL_arg2388z00_5792), BgL_arg2391z00_5795);
						}
						BgL_list2389z00_5793 =
							MAKE_YOUNG_PAIR(BGl_string2627z00zzsaw_c_codez00,
							BgL_arg2390z00_5794);
					}
					return BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2389z00_5793);
				}
			}
		}

	}



/* &gen-prefix-rtl_ifeq1751 */
	obj_t BGl_z62genzd2prefixzd2rtl_ifeq1751z62zzsaw_c_codez00(obj_t
		BgL_envz00_5671, obj_t BgL_funz00_5672)
	{
		{	/* SawC/code.scm 417 */
			{	/* SawC/code.scm 418 */
				int BgL_arg2382z00_5797;

				BgL_arg2382z00_5797 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_ifeqz00_bglt) COBJECT(
										((BgL_rtl_ifeqz00_bglt) BgL_funz00_5672)))->BgL_thenz00)))->
					BgL_labelz00);
				{	/* SawC/code.scm 418 */
					obj_t BgL_list2383z00_5798;

					{	/* SawC/code.scm 418 */
						obj_t BgL_arg2384z00_5799;

						{	/* SawC/code.scm 418 */
							obj_t BgL_arg2385z00_5800;

							BgL_arg2385z00_5800 =
								MAKE_YOUNG_PAIR(BGl_string2620z00zzsaw_c_codez00, BNIL);
							BgL_arg2384z00_5799 =
								MAKE_YOUNG_PAIR(BINT(BgL_arg2382z00_5797), BgL_arg2385z00_5800);
						}
						BgL_list2383z00_5798 =
							MAKE_YOUNG_PAIR(BGl_string2627z00zzsaw_c_codez00,
							BgL_arg2384z00_5799);
					}
					return BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2383z00_5798);
				}
			}
		}

	}



/* &gen-prefix-rtl_go1749 */
	obj_t BGl_z62genzd2prefixzd2rtl_go1749z62zzsaw_c_codez00(obj_t
		BgL_envz00_5673, obj_t BgL_funz00_5674)
	{
		{	/* SawC/code.scm 414 */
			{	/* SawC/code.scm 415 */
				int BgL_arg2378z00_5802;

				BgL_arg2378z00_5802 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_goz00_bglt) COBJECT(
										((BgL_rtl_goz00_bglt) BgL_funz00_5674)))->BgL_toz00)))->
					BgL_labelz00);
				{	/* SawC/code.scm 415 */
					obj_t BgL_list2379z00_5803;

					{	/* SawC/code.scm 415 */
						obj_t BgL_arg2380z00_5804;

						BgL_arg2380z00_5804 =
							MAKE_YOUNG_PAIR(BINT(BgL_arg2378z00_5802), BNIL);
						BgL_list2379z00_5803 =
							MAKE_YOUNG_PAIR(BGl_string2627z00zzsaw_c_codez00,
							BgL_arg2380z00_5804);
					}
					return BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2379z00_5803);
				}
			}
		}

	}



/* &gen-prefix-rtl_globa1747 */
	obj_t BGl_z62genzd2prefixzd2rtl_globa1747z62zzsaw_c_codez00(obj_t
		BgL_envz00_5675, obj_t BgL_funz00_5676)
	{
		{	/* SawC/code.scm 411 */
			{	/* SawC/code.scm 412 */
				obj_t BgL_arg2375z00_5806;

				{	/* SawC/code.scm 412 */
					BgL_globalz00_bglt BgL_arg2377z00_5807;

					BgL_arg2377z00_5807 =
						(((BgL_rtl_globalrefz00_bglt) COBJECT(
								((BgL_rtl_globalrefz00_bglt) BgL_funz00_5676)))->BgL_varz00);
					{	/* SawC/code.scm 470 */
						obj_t BgL_arg2066z00_5808;

						BgL_arg2066z00_5808 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_arg2377z00_5807)))->BgL_namez00);
						BgL_arg2375z00_5806 =
							BGl_inlzd2opzd2zzsaw_c_codez00(BgL_arg2066z00_5808);
					}
				}
				{	/* SawC/code.scm 412 */
					obj_t BgL_list2376z00_5809;

					BgL_list2376z00_5809 = MAKE_YOUNG_PAIR(BgL_arg2375z00_5806, BNIL);
					return BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2376z00_5809);
				}
			}
		}

	}



/* &gen-prefix-rtl_store1745 */
	obj_t BGl_z62genzd2prefixzd2rtl_store1745z62zzsaw_c_codez00(obj_t
		BgL_envz00_5677, obj_t BgL_funz00_5678)
	{
		{	/* SawC/code.scm 408 */
			{	/* SawC/code.scm 409 */
				obj_t BgL_arg2370z00_5811;

				{	/* SawC/code.scm 409 */
					BgL_globalz00_bglt BgL_arg2374z00_5812;

					BgL_arg2374z00_5812 =
						(((BgL_rtl_storegz00_bglt) COBJECT(
								((BgL_rtl_storegz00_bglt) BgL_funz00_5678)))->BgL_varz00);
					{	/* SawC/code.scm 470 */
						obj_t BgL_arg2066z00_5813;

						BgL_arg2066z00_5813 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_arg2374z00_5812)))->BgL_namez00);
						BgL_arg2370z00_5811 =
							BGl_inlzd2opzd2zzsaw_c_codez00(BgL_arg2066z00_5813);
					}
				}
				{	/* SawC/code.scm 409 */
					obj_t BgL_list2371z00_5814;

					{	/* SawC/code.scm 409 */
						obj_t BgL_arg2372z00_5815;

						BgL_arg2372z00_5815 =
							MAKE_YOUNG_PAIR(BGl_string2620z00zzsaw_c_codez00, BNIL);
						BgL_list2371z00_5814 =
							MAKE_YOUNG_PAIR(BgL_arg2370z00_5811, BgL_arg2372z00_5815);
					}
					return BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2371z00_5814);
				}
			}
		}

	}



/* &gen-prefix-rtl_loadf1743 */
	obj_t BGl_z62genzd2prefixzd2rtl_loadf1743z62zzsaw_c_codez00(obj_t
		BgL_envz00_5679, obj_t BgL_funz00_5680)
	{
		{	/* SawC/code.scm 405 */
			{	/* SawC/code.scm 406 */
				obj_t BgL_arg2366z00_5817;

				{	/* SawC/code.scm 406 */
					BgL_globalz00_bglt BgL_arg2369z00_5818;

					BgL_arg2369z00_5818 =
						(((BgL_rtl_loadfunz00_bglt) COBJECT(
								((BgL_rtl_loadfunz00_bglt) BgL_funz00_5680)))->BgL_varz00);
					{	/* SawC/code.scm 470 */
						obj_t BgL_arg2066z00_5819;

						BgL_arg2066z00_5819 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_arg2369z00_5818)))->BgL_namez00);
						BgL_arg2366z00_5817 =
							BGl_inlzd2opzd2zzsaw_c_codez00(BgL_arg2066z00_5819);
					}
				}
				{	/* SawC/code.scm 406 */
					obj_t BgL_list2367z00_5820;

					{	/* SawC/code.scm 406 */
						obj_t BgL_arg2368z00_5821;

						BgL_arg2368z00_5821 = MAKE_YOUNG_PAIR(BgL_arg2366z00_5817, BNIL);
						BgL_list2367z00_5820 =
							MAKE_YOUNG_PAIR(BGl_string2733z00zzsaw_c_codez00,
							BgL_arg2368z00_5821);
					}
					return BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2367z00_5820);
				}
			}
		}

	}



/* &gen-prefix-rtl_loadg1741 */
	obj_t BGl_z62genzd2prefixzd2rtl_loadg1741z62zzsaw_c_codez00(obj_t
		BgL_envz00_5681, obj_t BgL_funz00_5682)
	{
		{	/* SawC/code.scm 402 */
			{	/* SawC/code.scm 403 */
				obj_t BgL_arg2363z00_5823;
				obj_t BgL_arg2364z00_5824;

				{	/* SawC/code.scm 403 */
					BgL_globalz00_bglt BgL_arg2365z00_5825;

					BgL_arg2365z00_5825 =
						(((BgL_rtl_loadgz00_bglt) COBJECT(
								((BgL_rtl_loadgz00_bglt) BgL_funz00_5682)))->BgL_varz00);
					{	/* SawC/code.scm 470 */
						obj_t BgL_arg2066z00_5826;

						BgL_arg2066z00_5826 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_arg2365z00_5825)))->BgL_namez00);
						BgL_arg2363z00_5823 =
							BGl_inlzd2opzd2zzsaw_c_codez00(BgL_arg2066z00_5826);
					}
				}
				{	/* SawC/code.scm 403 */
					obj_t BgL_tmpz00_7534;

					BgL_tmpz00_7534 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2364z00_5824 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7534);
				}
				return bgl_display_obj(BgL_arg2363z00_5823, BgL_arg2364z00_5824);
			}
		}

	}



/* &gen-prefix-rtl_loadi1739 */
	obj_t BGl_z62genzd2prefixzd2rtl_loadi1739z62zzsaw_c_codez00(obj_t
		BgL_envz00_5683, obj_t BgL_funz00_5684)
	{
		{	/* SawC/code.scm 399 */
			return
				BGl_emitzd2atomzd2valuez00zzbackend_c_emitz00(
				(((BgL_atomz00_bglt) COBJECT(
							(((BgL_rtl_loadiz00_bglt) COBJECT(
										((BgL_rtl_loadiz00_bglt) BgL_funz00_5684)))->
								BgL_constantz00)))->BgL_valuez00));
		}

	}



/* &gen-fun-name-rtl_ret1733 */
	obj_t BGl_z62genzd2funzd2namezd2rtl_ret1733zb0zzsaw_c_codez00(obj_t
		BgL_envz00_5685, obj_t BgL_funz00_5686)
	{
		{	/* SawC/code.scm 390 */
			{	/* SawC/code.scm 391 */
				obj_t BgL_arg2358z00_5829;

				{	/* SawC/code.scm 391 */
					obj_t BgL_tmpz00_7542;

					BgL_tmpz00_7542 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2358z00_5829 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7542);
				}
				return
					bgl_display_string(BGl_string2734z00zzsaw_c_codez00,
					BgL_arg2358z00_5829);
			}
		}

	}



/* &gen-fun-name-rtl_loa1731 */
	obj_t BGl_z62genzd2funzd2namezd2rtl_loa1731zb0zzsaw_c_codez00(obj_t
		BgL_envz00_5687, obj_t BgL_funz00_5688)
	{
		{	/* SawC/code.scm 388 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &gen-fun-name-rtl_loa1729 */
	obj_t BGl_z62genzd2funzd2namezd2rtl_loa1729zb0zzsaw_c_codez00(obj_t
		BgL_envz00_5689, obj_t BgL_funz00_5690)
	{
		{	/* SawC/code.scm 387 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &gen-fun-name-rtl_mov1727 */
	obj_t BGl_z62genzd2funzd2namezd2rtl_mov1727zb0zzsaw_c_codez00(obj_t
		BgL_envz00_5691, obj_t BgL_funz00_5692)
	{
		{	/* SawC/code.scm 386 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &gen-fun-name-rtl_vle1725 */
	obj_t BGl_z62genzd2funzd2namezd2rtl_vle1725zb0zzsaw_c_codez00(obj_t
		BgL_envz00_5693, obj_t BgL_funz00_5694)
	{
		{	/* SawC/code.scm 379 */
			return
				BGl_vfunzd2namezd2zzsaw_c_codez00(BGl_string2735z00zzsaw_c_codez00,
				(((BgL_rtl_vlengthz00_bglt) COBJECT(
							((BgL_rtl_vlengthz00_bglt) BgL_funz00_5694)))->BgL_typez00));
		}

	}



/* &gen-fun-name-rtl_vse1723 */
	obj_t BGl_z62genzd2funzd2namezd2rtl_vse1723zb0zzsaw_c_codez00(obj_t
		BgL_envz00_5695, obj_t BgL_funz00_5696)
	{
		{	/* SawC/code.scm 376 */
			return
				BGl_vfunzd2namezd2zzsaw_c_codez00(BGl_string2736z00zzsaw_c_codez00,
				(((BgL_rtl_vsetz00_bglt) COBJECT(
							((BgL_rtl_vsetz00_bglt) BgL_funz00_5696)))->BgL_typez00));
		}

	}



/* &gen-fun-name-rtl_vre1721 */
	obj_t BGl_z62genzd2funzd2namezd2rtl_vre1721zb0zzsaw_c_codez00(obj_t
		BgL_envz00_5697, obj_t BgL_funz00_5698)
	{
		{	/* SawC/code.scm 373 */
			return
				BGl_vfunzd2namezd2zzsaw_c_codez00(BGl_string2737z00zzsaw_c_codez00,
				(((BgL_rtl_vrefz00_bglt) COBJECT(
							((BgL_rtl_vrefz00_bglt) BgL_funz00_5698)))->BgL_typez00));
		}

	}



/* &gen-fun-name-rtl_val1719 */
	obj_t BGl_z62genzd2funzd2namezd2rtl_val1719zb0zzsaw_c_codez00(obj_t
		BgL_envz00_5699, obj_t BgL_funz00_5700)
	{
		{	/* SawC/code.scm 370 */
			return
				BGl_vfunzd2namezd2zzsaw_c_codez00(BGl_string2738z00zzsaw_c_codez00,
				(((BgL_rtl_vallocz00_bglt) COBJECT(
							((BgL_rtl_vallocz00_bglt) BgL_funz00_5700)))->BgL_typez00));
		}

	}



/* &gen-expr-rtl_call1715 */
	obj_t BGl_z62genzd2exprzd2rtl_call1715z62zzsaw_c_codez00(obj_t
		BgL_envz00_5701, obj_t BgL_funz00_5702, obj_t BgL_argsz00_5703)
	{
		{	/* SawC/code.scm 317 */
			{
				obj_t BgL_namez00_5856;
				obj_t BgL_argsz00_5857;
				obj_t BgL_namez00_5840;
				obj_t BgL_argsz00_5841;

				{	/* SawC/code.scm 347 */
					BgL_globalz00_bglt BgL_varz00_5869;

					BgL_varz00_5869 =
						(((BgL_rtl_callz00_bglt) COBJECT(
								((BgL_rtl_callz00_bglt) BgL_funz00_5702)))->BgL_varz00);
					{	/* SawC/code.scm 347 */
						obj_t BgL_namez00_5870;

						{	/* SawC/code.scm 470 */
							obj_t BgL_arg2066z00_5871;

							BgL_arg2066z00_5871 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_varz00_5869)))->BgL_namez00);
							BgL_namez00_5870 =
								BGl_inlzd2opzd2zzsaw_c_codez00(BgL_arg2066z00_5871);
						}
						{	/* SawC/code.scm 348 */

							{	/* SawC/code.scm 349 */
								bool_t BgL_test3086z00_7566;

								{	/* SawC/code.scm 349 */
									bool_t BgL_test3087z00_7567;

									{	/* SawC/code.scm 349 */
										obj_t BgL_classz00_5872;

										BgL_classz00_5872 = BGl_globalz00zzast_varz00;
										{	/* SawC/code.scm 349 */
											BgL_objectz00_bglt BgL_arg1825z00_5873;

											{	/* SawC/code.scm 349 */
												obj_t BgL_tmpz00_7568;

												BgL_tmpz00_7568 =
													((obj_t) ((BgL_objectz00_bglt) BgL_varz00_5869));
												BgL_arg1825z00_5873 =
													(BgL_objectz00_bglt) (BgL_tmpz00_7568);
											}
											{	/* SawC/code.scm 349 */
												bool_t BgL_arg1822z00_5874;
												bool_t BgL_arg1823z00_5875;

												{	/* SawC/code.scm 349 */
													long BgL_idxz00_5876;

													BgL_idxz00_5876 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5873);
													BgL_arg1822z00_5874 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_5876 + ((long) 2))) ==
														BgL_classz00_5872);
												}
												{	/* SawC/code.scm 349 */
													bool_t BgL_res2596z00_5879;

													{	/* SawC/code.scm 349 */
														obj_t BgL_oclassz00_5880;

														{	/* SawC/code.scm 349 */
															long BgL_arg1833z00_5881;

															{	/* SawC/code.scm 349 */
																long BgL_arg1834z00_5882;

																BgL_arg1834z00_5882 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5873);
																BgL_arg1833z00_5881 =
																	(BgL_arg1834z00_5882 - OBJECT_TYPE);
															}
															BgL_oclassz00_5880 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_5881);
														}
														{	/* SawC/code.scm 349 */
															bool_t BgL__ortest_1110z00_5883;

															BgL__ortest_1110z00_5883 =
																(BgL_classz00_5872 == BgL_oclassz00_5880);
															if (BgL__ortest_1110z00_5883)
																{	/* SawC/code.scm 349 */
																	BgL_res2596z00_5879 =
																		BgL__ortest_1110z00_5883;
																}
															else
																{	/* SawC/code.scm 349 */
																	long BgL_odepthz00_5884;

																	BgL_odepthz00_5884 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_5880);
																	if ((((long) 2) < BgL_odepthz00_5884))
																		{	/* SawC/code.scm 349 */
																			obj_t BgL_arg1821z00_5885;

																			BgL_arg1821z00_5885 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_5880, ((long) 2));
																			BgL_res2596z00_5879 =
																				(BgL_arg1821z00_5885 ==
																				BgL_classz00_5872);
																		}
																	else
																		{	/* SawC/code.scm 349 */
																			BgL_res2596z00_5879 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_5875 = BgL_res2596z00_5879;
												}
												BgL_test3087z00_7567 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_5874,
													BgL_arg1823z00_5875);
											}
										}
									}
									if (BgL_test3087z00_7567)
										{	/* SawC/code.scm 350 */
											bool_t BgL_test3090z00_7587;

											{	/* SawC/code.scm 350 */
												BgL_valuez00_bglt BgL_arg2323z00_5886;

												BgL_arg2323z00_5886 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_5869)))->
													BgL_valuez00);
												{	/* SawC/code.scm 350 */
													obj_t BgL_classz00_5887;

													BgL_classz00_5887 = BGl_cfunz00zzast_varz00;
													{	/* SawC/code.scm 350 */
														BgL_objectz00_bglt BgL_arg1825z00_5888;

														{	/* SawC/code.scm 350 */
															obj_t BgL_tmpz00_7590;

															BgL_tmpz00_7590 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg2323z00_5886));
															BgL_arg1825z00_5888 =
																(BgL_objectz00_bglt) (BgL_tmpz00_7590);
														}
														{	/* SawC/code.scm 350 */
															bool_t BgL_arg1822z00_5889;
															bool_t BgL_arg1823z00_5890;

															{	/* SawC/code.scm 350 */
																long BgL_idxz00_5891;

																BgL_idxz00_5891 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_5888);
																BgL_arg1822z00_5889 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_5891 + ((long) 3))) ==
																	BgL_classz00_5887);
															}
															{	/* SawC/code.scm 350 */
																bool_t BgL_res2597z00_5894;

																{	/* SawC/code.scm 350 */
																	obj_t BgL_oclassz00_5895;

																	{	/* SawC/code.scm 350 */
																		long BgL_arg1833z00_5896;

																		{	/* SawC/code.scm 350 */
																			long BgL_arg1834z00_5897;

																			BgL_arg1834z00_5897 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_5888);
																			BgL_arg1833z00_5896 =
																				(BgL_arg1834z00_5897 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_5895 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_5896);
																	}
																	{	/* SawC/code.scm 350 */
																		bool_t BgL__ortest_1110z00_5898;

																		BgL__ortest_1110z00_5898 =
																			(BgL_classz00_5887 == BgL_oclassz00_5895);
																		if (BgL__ortest_1110z00_5898)
																			{	/* SawC/code.scm 350 */
																				BgL_res2597z00_5894 =
																					BgL__ortest_1110z00_5898;
																			}
																		else
																			{	/* SawC/code.scm 350 */
																				long BgL_odepthz00_5899;

																				BgL_odepthz00_5899 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_5895);
																				if ((((long) 3) < BgL_odepthz00_5899))
																					{	/* SawC/code.scm 350 */
																						obj_t BgL_arg1821z00_5900;

																						BgL_arg1821z00_5900 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_5895, ((long) 3));
																						BgL_res2597z00_5894 =
																							(BgL_arg1821z00_5900 ==
																							BgL_classz00_5887);
																					}
																				else
																					{	/* SawC/code.scm 350 */
																						BgL_res2597z00_5894 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_5890 = BgL_res2597z00_5894;
															}
															BgL_test3090z00_7587 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_5889,
																BgL_arg1823z00_5890);
														}
													}
												}
											}
											if (BgL_test3090z00_7587)
												{	/* SawC/code.scm 350 */
													if (
														(((BgL_cfunz00_bglt) COBJECT(
																	((BgL_cfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						BgL_varz00_5869)))->
																			BgL_valuez00))))->BgL_infixzf3zf3))
														{	/* SawC/code.scm 352 */
															bool_t BgL_test3094z00_7614;

															if (
																((((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_varz00_5869)))->BgL_namez00) ==
																	BgL_namez00_5870))
																{	/* SawC/code.scm 320 */
																	BgL_test3094z00_7614 = ((bool_t) 0);
																}
															else
																{	/* SawC/code.scm 320 */
																	BgL_test3094z00_7614 = ((bool_t) 1);
																}
															if (BgL_test3094z00_7614)
																{	/* SawC/code.scm 352 */
																	BgL_test3086z00_7566 = ((bool_t) 0);
																}
															else
																{	/* SawC/code.scm 352 */
																	BgL_test3086z00_7566 = ((bool_t) 1);
																}
														}
													else
														{	/* SawC/code.scm 351 */
															BgL_test3086z00_7566 = ((bool_t) 0);
														}
												}
											else
												{	/* SawC/code.scm 350 */
													BgL_test3086z00_7566 = ((bool_t) 0);
												}
										}
									else
										{	/* SawC/code.scm 349 */
											BgL_test3086z00_7566 = ((bool_t) 0);
										}
								}
								if (BgL_test3086z00_7566)
									{	/* SawC/code.scm 349 */
										BgL_namez00_5856 = BgL_namez00_5870;
										BgL_argsz00_5857 = BgL_argsz00_5703;
										if (NULLP(BgL_argsz00_5857))
											{	/* SawC/code.scm 324 */
												obj_t BgL_list2330z00_5858;

												{	/* SawC/code.scm 324 */
													obj_t BgL_arg2331z00_5859;

													{	/* SawC/code.scm 324 */
														obj_t BgL_arg2332z00_5860;

														BgL_arg2332z00_5860 =
															MAKE_YOUNG_PAIR(BGl_string2621z00zzsaw_c_codez00,
															BNIL);
														BgL_arg2331z00_5859 =
															MAKE_YOUNG_PAIR(BgL_namez00_5856,
															BgL_arg2332z00_5860);
													}
													BgL_list2330z00_5858 =
														MAKE_YOUNG_PAIR(BGl_string2619z00zzsaw_c_codez00,
														BgL_arg2331z00_5859);
												}
												return
													BGl_displayza2za2zz__r4_output_6_10_3z00
													(BgL_list2330z00_5858);
											}
										else
											{	/* SawC/code.scm 323 */
												{	/* SawC/code.scm 326 */
													obj_t BgL_arg2334z00_5861;

													{	/* SawC/code.scm 326 */
														obj_t BgL_tmpz00_7625;

														BgL_tmpz00_7625 = BGL_CURRENT_DYNAMIC_ENV();
														BgL_arg2334z00_5861 =
															BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7625);
													}
													bgl_display_string(BGl_string2619z00zzsaw_c_codez00,
														BgL_arg2334z00_5861);
												}
												{	/* SawC/code.scm 327 */
													obj_t BgL_arg2335z00_5862;

													BgL_arg2335z00_5862 = CAR(((obj_t) BgL_argsz00_5857));
													BGl_genzd2regzd2zzsaw_c_codez00(BgL_arg2335z00_5862);
												}
												{	/* SawC/code.scm 328 */
													obj_t BgL_arg2336z00_5863;

													{	/* SawC/code.scm 328 */
														obj_t BgL_tmpz00_7632;

														BgL_tmpz00_7632 = BGL_CURRENT_DYNAMIC_ENV();
														BgL_arg2336z00_5863 =
															BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7632);
													}
													bgl_display_obj(BgL_namez00_5856,
														BgL_arg2336z00_5863);
												}
												{	/* SawC/code.scm 329 */
													obj_t BgL_g1189z00_5864;

													BgL_g1189z00_5864 = CDR(((obj_t) BgL_argsz00_5857));
													{
														obj_t BgL_argsz00_5866;

														BgL_argsz00_5866 = BgL_g1189z00_5864;
													BgL_loopz00_5865:
														if (PAIRP(BgL_argsz00_5866))
															{	/* SawC/code.scm 330 */
																BGl_genzd2regzd2zzsaw_c_codez00(CAR
																	(BgL_argsz00_5866));
																{	/* SawC/code.scm 332 */
																	obj_t BgL_arg2341z00_5867;

																	{	/* SawC/code.scm 332 */
																		obj_t BgL_tmpz00_7642;

																		BgL_tmpz00_7642 = BGL_CURRENT_DYNAMIC_ENV();
																		BgL_arg2341z00_5867 =
																			BGL_ENV_CURRENT_OUTPUT_PORT
																			(BgL_tmpz00_7642);
																	}
																	bgl_display_obj(BgL_namez00_5856,
																		BgL_arg2341z00_5867);
																}
																{
																	obj_t BgL_argsz00_7646;

																	BgL_argsz00_7646 = CDR(BgL_argsz00_5866);
																	BgL_argsz00_5866 = BgL_argsz00_7646;
																	goto BgL_loopz00_5865;
																}
															}
														else
															{	/* SawC/code.scm 330 */
																((bool_t) 0);
															}
													}
												}
												{	/* SawC/code.scm 334 */
													obj_t BgL_arg2343z00_5868;

													{	/* SawC/code.scm 334 */
														obj_t BgL_tmpz00_7648;

														BgL_tmpz00_7648 = BGL_CURRENT_DYNAMIC_ENV();
														BgL_arg2343z00_5868 =
															BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7648);
													}
													return
														bgl_display_string(BGl_string2621z00zzsaw_c_codez00,
														BgL_arg2343z00_5868);
												}
											}
									}
								else
									{	/* SawC/code.scm 349 */
										BgL_namez00_5840 = BgL_namez00_5870;
										BgL_argsz00_5841 = BgL_argsz00_5703;
										{	/* SawC/code.scm 337 */
											obj_t BgL_list2345z00_5842;

											{	/* SawC/code.scm 337 */
												obj_t BgL_arg2346z00_5843;

												BgL_arg2346z00_5843 =
													MAKE_YOUNG_PAIR(BGl_string2619z00zzsaw_c_codez00,
													BNIL);
												BgL_list2345z00_5842 =
													MAKE_YOUNG_PAIR(BgL_namez00_5840,
													BgL_arg2346z00_5843);
											}
											BGl_displayza2za2zz__r4_output_6_10_3z00
												(BgL_list2345z00_5842);
										}
										{	/* SawC/code.scm 338 */
											bool_t BgL_test3098z00_7655;

											{	/* SawC/code.scm 338 */
												bool_t BgL_test3099z00_7656;

												{	/* SawC/code.scm 338 */
													long BgL_l1z00_5844;

													BgL_l1z00_5844 =
														STRING_LENGTH(((obj_t) BgL_namez00_5840));
													if ((BgL_l1z00_5844 == ((long) 17)))
														{	/* SawC/code.scm 338 */
															int BgL_arg1289z00_5845;

															{	/* SawC/code.scm 338 */
																char *BgL_auxz00_7664;
																char *BgL_tmpz00_7661;

																BgL_auxz00_7664 =
																	BSTRING_TO_STRING
																	(BGl_string2739z00zzsaw_c_codez00);
																BgL_tmpz00_7661 =
																	BSTRING_TO_STRING(((obj_t) BgL_namez00_5840));
																BgL_arg1289z00_5845 =
																	memcmp(BgL_tmpz00_7661, BgL_auxz00_7664,
																	BgL_l1z00_5844);
															}
															BgL_test3099z00_7656 =
																((long) (BgL_arg1289z00_5845) == ((long) 0));
														}
													else
														{	/* SawC/code.scm 338 */
															BgL_test3099z00_7656 = ((bool_t) 0);
														}
												}
												if (BgL_test3099z00_7656)
													{	/* SawC/code.scm 338 */
														BgL_test3098z00_7655 = ((bool_t) 1);
													}
												else
													{	/* SawC/code.scm 339 */
														bool_t BgL_test3101z00_7669;

														{	/* SawC/code.scm 339 */
															long BgL_l1z00_5846;

															BgL_l1z00_5846 =
																STRING_LENGTH(((obj_t) BgL_namez00_5840));
															if ((BgL_l1z00_5846 == ((long) 17)))
																{	/* SawC/code.scm 339 */
																	int BgL_arg1289z00_5847;

																	{	/* SawC/code.scm 339 */
																		char *BgL_auxz00_7677;
																		char *BgL_tmpz00_7674;

																		BgL_auxz00_7677 =
																			BSTRING_TO_STRING
																			(BGl_string2740z00zzsaw_c_codez00);
																		BgL_tmpz00_7674 =
																			BSTRING_TO_STRING(((obj_t)
																				BgL_namez00_5840));
																		BgL_arg1289z00_5847 =
																			memcmp(BgL_tmpz00_7674, BgL_auxz00_7677,
																			BgL_l1z00_5846);
																	}
																	BgL_test3101z00_7669 =
																		(
																		(long) (BgL_arg1289z00_5847) == ((long) 0));
																}
															else
																{	/* SawC/code.scm 339 */
																	BgL_test3101z00_7669 = ((bool_t) 0);
																}
														}
														if (BgL_test3101z00_7669)
															{	/* SawC/code.scm 339 */
																BgL_test3098z00_7655 = ((bool_t) 1);
															}
														else
															{	/* SawC/code.scm 340 */
																bool_t BgL_test3103z00_7682;

																{	/* SawC/code.scm 340 */
																	long BgL_l1z00_5848;

																	BgL_l1z00_5848 =
																		STRING_LENGTH(((obj_t) BgL_namez00_5840));
																	if ((BgL_l1z00_5848 == ((long) 17)))
																		{	/* SawC/code.scm 340 */
																			int BgL_arg1289z00_5849;

																			{	/* SawC/code.scm 340 */
																				char *BgL_auxz00_7690;
																				char *BgL_tmpz00_7687;

																				BgL_auxz00_7690 =
																					BSTRING_TO_STRING
																					(BGl_string2741z00zzsaw_c_codez00);
																				BgL_tmpz00_7687 =
																					BSTRING_TO_STRING(((obj_t)
																						BgL_namez00_5840));
																				BgL_arg1289z00_5849 =
																					memcmp(BgL_tmpz00_7687,
																					BgL_auxz00_7690, BgL_l1z00_5848);
																			}
																			BgL_test3103z00_7682 =
																				(
																				(long) (BgL_arg1289z00_5849) ==
																				((long) 0));
																		}
																	else
																		{	/* SawC/code.scm 340 */
																			BgL_test3103z00_7682 = ((bool_t) 0);
																		}
																}
																if (BgL_test3103z00_7682)
																	{	/* SawC/code.scm 340 */
																		BgL_test3098z00_7655 = ((bool_t) 1);
																	}
																else
																	{	/* SawC/code.scm 341 */
																		bool_t BgL_test3105z00_7695;

																		{	/* SawC/code.scm 341 */
																			long BgL_l1z00_5850;

																			BgL_l1z00_5850 =
																				STRING_LENGTH(
																				((obj_t) BgL_namez00_5840));
																			if ((BgL_l1z00_5850 == ((long) 17)))
																				{	/* SawC/code.scm 341 */
																					int BgL_arg1289z00_5851;

																					{	/* SawC/code.scm 341 */
																						char *BgL_auxz00_7703;
																						char *BgL_tmpz00_7700;

																						BgL_auxz00_7703 =
																							BSTRING_TO_STRING
																							(BGl_string2742z00zzsaw_c_codez00);
																						BgL_tmpz00_7700 =
																							BSTRING_TO_STRING(((obj_t)
																								BgL_namez00_5840));
																						BgL_arg1289z00_5851 =
																							memcmp(BgL_tmpz00_7700,
																							BgL_auxz00_7703, BgL_l1z00_5850);
																					}
																					BgL_test3105z00_7695 =
																						(
																						(long) (BgL_arg1289z00_5851) ==
																						((long) 0));
																				}
																			else
																				{	/* SawC/code.scm 341 */
																					BgL_test3105z00_7695 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test3105z00_7695)
																			{	/* SawC/code.scm 341 */
																				BgL_test3098z00_7655 = ((bool_t) 1);
																			}
																		else
																			{	/* SawC/code.scm 342 */
																				long BgL_l1z00_5852;

																				BgL_l1z00_5852 =
																					STRING_LENGTH(
																					((obj_t) BgL_namez00_5840));
																				if ((BgL_l1z00_5852 == ((long) 16)))
																					{	/* SawC/code.scm 342 */
																						int BgL_arg1289z00_5853;

																						{	/* SawC/code.scm 342 */
																							char *BgL_auxz00_7715;
																							char *BgL_tmpz00_7712;

																							BgL_auxz00_7715 =
																								BSTRING_TO_STRING
																								(BGl_string2743z00zzsaw_c_codez00);
																							BgL_tmpz00_7712 =
																								BSTRING_TO_STRING(((obj_t)
																									BgL_namez00_5840));
																							BgL_arg1289z00_5853 =
																								memcmp(BgL_tmpz00_7712,
																								BgL_auxz00_7715,
																								BgL_l1z00_5852);
																						}
																						BgL_test3098z00_7655 =
																							(
																							(long) (BgL_arg1289z00_5853) ==
																							((long) 0));
																					}
																				else
																					{	/* SawC/code.scm 342 */
																						BgL_test3098z00_7655 = ((bool_t) 0);
																					}
																			}
																	}
															}
													}
											}
											if (BgL_test3098z00_7655)
												{	/* SawC/code.scm 343 */
													obj_t BgL_arg2352z00_5854;

													{	/* SawC/code.scm 343 */
														obj_t BgL_tmpz00_7720;

														BgL_tmpz00_7720 = BGL_CURRENT_DYNAMIC_ENV();
														BgL_arg2352z00_5854 =
															BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7720);
													}
													bgl_display_string(BGl_string2744z00zzsaw_c_codez00,
														BgL_arg2352z00_5854);
												}
											else
												{	/* SawC/code.scm 338 */
													BFALSE;
												}
										}
										BGl_genzd2argszd2zzsaw_c_codez00(BgL_argsz00_5841);
										{	/* SawC/code.scm 345 */
											obj_t BgL_arg2353z00_5855;

											{	/* SawC/code.scm 345 */
												obj_t BgL_tmpz00_7725;

												BgL_tmpz00_7725 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_arg2353z00_5855 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7725);
											}
											return
												bgl_display_string(BGl_string2621z00zzsaw_c_codez00,
												BgL_arg2353z00_5855);
										}
									}
							}
						}
					}
				}
			}
		}

	}



/* &gen-expr-rtl_switch1713 */
	obj_t BGl_z62genzd2exprzd2rtl_switch1713z62zzsaw_c_codez00(obj_t
		BgL_envz00_5704, obj_t BgL_funz00_5705, obj_t BgL_argsz00_5706)
	{
		{	/* SawC/code.scm 298 */
			{	/* SawC/code.scm 299 */
				obj_t BgL_patsz00_5902;

				BgL_patsz00_5902 =
					(((BgL_rtl_selectz00_bglt) COBJECT(
							((BgL_rtl_selectz00_bglt)
								((BgL_rtl_switchz00_bglt) BgL_funz00_5705))))->BgL_patternsz00);
				{	/* SawC/code.scm 300 */
					obj_t BgL_arg2292z00_5903;

					{	/* SawC/code.scm 300 */
						obj_t BgL_tmpz00_7732;

						BgL_tmpz00_7732 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_arg2292z00_5903 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7732);
					}
					bgl_display_string(BGl_string2745z00zzsaw_c_codez00,
						BgL_arg2292z00_5903);
				}
				{	/* SawC/code.scm 301 */
					obj_t BgL_arg2293z00_5904;

					BgL_arg2293z00_5904 = CAR(((obj_t) BgL_argsz00_5706));
					BGl_genzd2regzd2zzsaw_c_codez00(BgL_arg2293z00_5904);
				}
				{	/* SawC/code.scm 302 */
					obj_t BgL_arg2294z00_5905;

					{	/* SawC/code.scm 302 */
						obj_t BgL_tmpz00_7739;

						BgL_tmpz00_7739 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_arg2294z00_5905 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7739);
					}
					bgl_display_string(BGl_string2746z00zzsaw_c_codez00,
						BgL_arg2294z00_5905);
				}
				{	/* SawC/code.scm 303 */
					obj_t BgL_g1695z00_5906;

					BgL_g1695z00_5906 =
						(((BgL_rtl_switchz00_bglt) COBJECT(
								((BgL_rtl_switchz00_bglt) BgL_funz00_5705)))->BgL_labelsz00);
					{
						obj_t BgL_ll1692z00_5908;
						obj_t BgL_ll1693z00_5909;

						BgL_ll1692z00_5908 = BgL_patsz00_5902;
						BgL_ll1693z00_5909 = BgL_g1695z00_5906;
					BgL_zc3z04anonymousza32295ze3z87_5907:
						if (NULLP(BgL_ll1692z00_5908))
							{	/* SawC/code.scm 303 */
								((bool_t) 1);
							}
						else
							{	/* SawC/code.scm 303 */
								{	/* SawC/code.scm 310 */
									obj_t BgL_patz00_5910;
									obj_t BgL_labz00_5911;

									BgL_patz00_5910 = CAR(((obj_t) BgL_ll1692z00_5908));
									BgL_labz00_5911 = CAR(((obj_t) BgL_ll1693z00_5909));
									if ((BgL_patz00_5910 == CNST_TABLE_REF(((long) 9))))
										{	/* SawC/code.scm 305 */
											obj_t BgL_list2298z00_5912;

											BgL_list2298z00_5912 =
												MAKE_YOUNG_PAIR(BGl_string2747z00zzsaw_c_codez00, BNIL);
											BGl_displayza2za2zz__r4_output_6_10_3z00
												(BgL_list2298z00_5912);
										}
									else
										{
											obj_t BgL_l1690z00_5914;

											{	/* SawC/code.scm 306 */
												bool_t BgL_tmpz00_7756;

												BgL_l1690z00_5914 = BgL_patz00_5910;
											BgL_zc3z04anonymousza32299ze3z87_5913:
												if (PAIRP(BgL_l1690z00_5914))
													{	/* SawC/code.scm 306 */
														{	/* SawC/code.scm 307 */
															obj_t BgL_nz00_5915;

															BgL_nz00_5915 = CAR(BgL_l1690z00_5914);
															{	/* SawC/code.scm 307 */
																obj_t BgL_arg2301z00_5916;

																{	/* SawC/code.scm 307 */
																	obj_t BgL_tmpz00_7760;

																	BgL_tmpz00_7760 = BGL_CURRENT_DYNAMIC_ENV();
																	BgL_arg2301z00_5916 =
																		BGL_ENV_CURRENT_OUTPUT_PORT
																		(BgL_tmpz00_7760);
																}
																bgl_display_string
																	(BGl_string2748z00zzsaw_c_codez00,
																	BgL_arg2301z00_5916);
															}
															BGl_emitzd2atomzd2valuez00zzbackend_c_emitz00
																(BgL_nz00_5915);
															{	/* SawC/code.scm 309 */
																obj_t BgL_arg2302z00_5917;

																{	/* SawC/code.scm 309 */
																	obj_t BgL_tmpz00_7765;

																	BgL_tmpz00_7765 = BGL_CURRENT_DYNAMIC_ENV();
																	BgL_arg2302z00_5917 =
																		BGL_ENV_CURRENT_OUTPUT_PORT
																		(BgL_tmpz00_7765);
																}
																bgl_display_string
																	(BGl_string2626z00zzsaw_c_codez00,
																	BgL_arg2302z00_5917);
															}
														}
														{
															obj_t BgL_l1690z00_7769;

															BgL_l1690z00_7769 = CDR(BgL_l1690z00_5914);
															BgL_l1690z00_5914 = BgL_l1690z00_7769;
															goto BgL_zc3z04anonymousza32299ze3z87_5913;
														}
													}
												else
													{	/* SawC/code.scm 306 */
														BgL_tmpz00_7756 = ((bool_t) 1);
													}
												BBOOL(BgL_tmpz00_7756);
											}
										}
									{	/* SawC/code.scm 311 */
										int BgL_arg2305z00_5918;

										BgL_arg2305z00_5918 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_labz00_5911)))->
											BgL_labelz00);
										{	/* SawC/code.scm 311 */
											obj_t BgL_list2306z00_5919;

											{	/* SawC/code.scm 311 */
												obj_t BgL_arg2307z00_5920;

												{	/* SawC/code.scm 311 */
													obj_t BgL_arg2308z00_5921;

													BgL_arg2308z00_5921 =
														MAKE_YOUNG_PAIR(BGl_string2749z00zzsaw_c_codez00,
														BNIL);
													BgL_arg2307z00_5920 =
														MAKE_YOUNG_PAIR(BINT(BgL_arg2305z00_5918),
														BgL_arg2308z00_5921);
												}
												BgL_list2306z00_5919 =
													MAKE_YOUNG_PAIR(BGl_string2750z00zzsaw_c_codez00,
													BgL_arg2307z00_5920);
											}
											BGl_displayza2za2zz__r4_output_6_10_3z00
												(BgL_list2306z00_5919);
								}}}
								{	/* SawC/code.scm 303 */
									obj_t BgL_arg2309z00_5922;
									obj_t BgL_arg2310z00_5923;

									BgL_arg2309z00_5922 = CDR(((obj_t) BgL_ll1692z00_5908));
									BgL_arg2310z00_5923 = CDR(((obj_t) BgL_ll1693z00_5909));
									{
										obj_t BgL_ll1693z00_7784;
										obj_t BgL_ll1692z00_7783;

										BgL_ll1692z00_7783 = BgL_arg2309z00_5922;
										BgL_ll1693z00_7784 = BgL_arg2310z00_5923;
										BgL_ll1693z00_5909 = BgL_ll1693z00_7784;
										BgL_ll1692z00_5908 = BgL_ll1692z00_7783;
										goto BgL_zc3z04anonymousza32295ze3z87_5907;
									}
								}
							}
					}
				}
				{	/* SawC/code.scm 314 */
					obj_t BgL_arg2311z00_5924;

					{	/* SawC/code.scm 314 */
						obj_t BgL_tmpz00_7785;

						BgL_tmpz00_7785 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_arg2311z00_5924 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7785);
					}
					return
						bgl_display_string(BGl_string2751z00zzsaw_c_codez00,
						BgL_arg2311z00_5924);
				}
			}
		}

	}



/* &gen-expr-rtl_pragma1711 */
	obj_t BGl_z62genzd2exprzd2rtl_pragma1711z62zzsaw_c_codez00(obj_t
		BgL_envz00_5707, obj_t BgL_funz00_5708, obj_t BgL_argsz00_5709)
	{
		{	/* SawC/code.scm 293 */
			BGl_emitzd2pragmazd2zzsaw_c_codez00(
				(((BgL_rtl_pragmaz00_bglt) COBJECT(
							((BgL_rtl_pragmaz00_bglt) BgL_funz00_5708)))->BgL_formatz00),
				BgL_argsz00_5709);
			{	/* SawC/code.scm 295 */
				obj_t BgL_arg2291z00_5926;

				{	/* SawC/code.scm 295 */
					obj_t BgL_tmpz00_7792;

					BgL_tmpz00_7792 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2291z00_5926 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7792);
				}
				return
					bgl_display_string(BGl_string2625z00zzsaw_c_codez00,
					BgL_arg2291z00_5926);
			}
		}

	}



/* &gen-expr-rtl_protect1709 */
	obj_t BGl_z62genzd2exprzd2rtl_protect1709z62zzsaw_c_codez00(obj_t
		BgL_envz00_5710, obj_t BgL_funz00_5711, obj_t BgL_argsz00_5712)
	{
		{	/* SawC/code.scm 283 */
			{	/* SawC/code.scm 285 */
				obj_t BgL_arg2287z00_5928;

				{	/* SawC/code.scm 285 */
					obj_t BgL_tmpz00_7796;

					BgL_tmpz00_7796 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2287z00_5928 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7796);
				}
				bgl_display_string(BGl_string2752z00zzsaw_c_codez00,
					BgL_arg2287z00_5928);
			}
			{	/* SawC/code.scm 286 */
				obj_t BgL_arg2288z00_5929;

				{	/* SawC/code.scm 286 */
					obj_t BgL_tmpz00_7800;

					BgL_tmpz00_7800 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2288z00_5929 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7800);
				}
				bgl_display_string(BGl_string2753z00zzsaw_c_codez00,
					BgL_arg2288z00_5929);
			}
			{	/* SawC/code.scm 287 */
				obj_t BgL_arg2289z00_5930;

				{	/* SawC/code.scm 287 */
					obj_t BgL_tmpz00_7804;

					BgL_tmpz00_7804 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2289z00_5930 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7804);
				}
				bgl_display_string(BGl_string2754z00zzsaw_c_codez00,
					BgL_arg2289z00_5930);
			}
			bgl_display_string(BGl_string2755z00zzsaw_c_codez00,
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			bgl_display_string(BGl_string2756z00zzsaw_c_codez00,
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			return bgl_display_string(BGl_string2757z00zzsaw_c_codez00,
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}

	}



/* &gen-expr-rtl_funcall1707 */
	obj_t BGl_z62genzd2exprzd2rtl_funcall1707z62zzsaw_c_codez00(obj_t
		BgL_envz00_5713, obj_t BgL_funz00_5714, obj_t BgL_argsz00_5715)
	{
		{	/* SawC/code.scm 263 */
			if (CBOOL(BGl_za2stdcza2z00zzengine_paramz00))
				{	/* SawC/code.scm 264 */
					{	/* SawC/code.scm 265 */
						obj_t BgL_arg2281z00_5932;

						{	/* SawC/code.scm 265 */
							obj_t BgL_tmpz00_7813;

							BgL_tmpz00_7813 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg2281z00_5932 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7813);
						}
						bgl_display_string(BGl_string2758z00zzsaw_c_codez00,
							BgL_arg2281z00_5932);
					}
					{	/* SawC/code.scm 266 */
						obj_t BgL_arg2282z00_5933;

						BgL_arg2282z00_5933 = CAR(((obj_t) BgL_argsz00_5715));
						BGl_genzd2regzd2zzsaw_c_codez00(BgL_arg2282z00_5933);
					}
					{	/* SawC/code.scm 267 */
						obj_t BgL_arg2283z00_5934;

						{	/* SawC/code.scm 267 */
							obj_t BgL_tmpz00_7820;

							BgL_tmpz00_7820 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg2283z00_5934 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7820);
						}
						bgl_display_string(BGl_string2759z00zzsaw_c_codez00,
							BgL_arg2283z00_5934);
					}
					BGl_genzd2Xfuncallzd2zzsaw_c_codez00(BGl_string2625z00zzsaw_c_codez00,
						BgL_argsz00_5715, ((bool_t) 1));
					{	/* SawC/code.scm 269 */
						obj_t BgL_arg2284z00_5935;

						{	/* SawC/code.scm 269 */
							obj_t BgL_tmpz00_7825;

							BgL_tmpz00_7825 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg2284z00_5935 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7825);
						}
						bgl_display_string(BGl_string2760z00zzsaw_c_codez00,
							BgL_arg2284z00_5935);
					}
					BGl_genzd2Xfuncallzd2zzsaw_c_codez00(BGl_string2625z00zzsaw_c_codez00,
						BgL_argsz00_5715, ((bool_t) 0));
					{	/* SawC/code.scm 271 */
						obj_t BgL_arg2286z00_5936;

						{	/* SawC/code.scm 271 */
							obj_t BgL_tmpz00_7830;

							BgL_tmpz00_7830 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg2286z00_5936 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7830);
						}
						return
							bgl_display_string(BGl_string2621z00zzsaw_c_codez00,
							BgL_arg2286z00_5936);
					}
				}
			else
				{	/* SawC/code.scm 264 */
					return
						BGl_genzd2Xfuncallzd2zzsaw_c_codez00
						(BGl_string2625z00zzsaw_c_codez00, BgL_argsz00_5715, ((bool_t) 1));
				}
		}

	}



/* &gen-expr-rtl_setfiel1705 */
	obj_t BGl_z62genzd2exprzd2rtl_setfiel1705z62zzsaw_c_codez00(obj_t
		BgL_envz00_5716, obj_t BgL_funz00_5717, obj_t BgL_argsz00_5718)
	{
		{	/* SawC/code.scm 252 */
			{	/* SawC/code.scm 253 */
				obj_t BgL_arg2272z00_5938;

				{	/* SawC/code.scm 253 */
					obj_t BgL_tmpz00_7835;

					BgL_tmpz00_7835 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2272z00_5938 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7835);
				}
				bgl_display_string(BGl_string2761z00zzsaw_c_codez00,
					BgL_arg2272z00_5938);
			}
			BGl_genzd2prefixzd2zzsaw_c_codez00(
				((BgL_rtl_funz00_bglt) ((BgL_rtl_setfieldz00_bglt) BgL_funz00_5717)));
			{	/* SawC/code.scm 255 */
				obj_t BgL_arg2273z00_5939;

				BgL_arg2273z00_5939 = CAR(((obj_t) BgL_argsz00_5718));
				BGl_genzd2regzd2zzsaw_c_codez00(BgL_arg2273z00_5939);
			}
			{	/* SawC/code.scm 256 */
				obj_t BgL_arg2274z00_5940;

				{	/* SawC/code.scm 256 */
					obj_t BgL_tmpz00_7845;

					BgL_tmpz00_7845 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2274z00_5940 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7845);
				}
				bgl_display_string(BGl_string2762z00zzsaw_c_codez00,
					BgL_arg2274z00_5940);
			}
			{	/* SawC/code.scm 257 */
				obj_t BgL_arg2275z00_5941;
				obj_t BgL_arg2276z00_5942;

				BgL_arg2275z00_5941 =
					(((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_funz00_5717)))->BgL_namez00);
				{	/* SawC/code.scm 257 */
					obj_t BgL_tmpz00_7851;

					BgL_tmpz00_7851 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2276z00_5942 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7851);
				}
				bgl_display_obj(BgL_arg2275z00_5941, BgL_arg2276z00_5942);
			}
			{	/* SawC/code.scm 258 */
				obj_t BgL_arg2277z00_5943;

				{	/* SawC/code.scm 258 */
					obj_t BgL_tmpz00_7855;

					BgL_tmpz00_7855 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2277z00_5943 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7855);
				}
				bgl_display_string(BGl_string2763z00zzsaw_c_codez00,
					BgL_arg2277z00_5943);
			}
			{	/* SawC/code.scm 259 */
				obj_t BgL_arg2278z00_5944;

				{	/* SawC/code.scm 259 */
					obj_t BgL_pairz00_5945;

					BgL_pairz00_5945 = CDR(((obj_t) BgL_argsz00_5718));
					BgL_arg2278z00_5944 = CAR(BgL_pairz00_5945);
				}
				BGl_genzd2regzd2zzsaw_c_codez00(BgL_arg2278z00_5944);
			}
			{	/* SawC/code.scm 260 */
				obj_t BgL_arg2280z00_5946;

				{	/* SawC/code.scm 260 */
					obj_t BgL_tmpz00_7863;

					BgL_tmpz00_7863 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2280z00_5946 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7863);
				}
				return
					bgl_display_string(BGl_string2621z00zzsaw_c_codez00,
					BgL_arg2280z00_5946);
			}
		}

	}



/* &gen-expr-rtl_getfiel1703 */
	obj_t BGl_z62genzd2exprzd2rtl_getfiel1703z62zzsaw_c_codez00(obj_t
		BgL_envz00_5719, obj_t BgL_funz00_5720, obj_t BgL_argsz00_5721)
	{
		{	/* SawC/code.scm 244 */
			{	/* SawC/code.scm 245 */
				obj_t BgL_arg2266z00_5948;

				{	/* SawC/code.scm 245 */
					obj_t BgL_tmpz00_7867;

					BgL_tmpz00_7867 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2266z00_5948 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7867);
				}
				bgl_display_string(BGl_string2761z00zzsaw_c_codez00,
					BgL_arg2266z00_5948);
			}
			BGl_genzd2prefixzd2zzsaw_c_codez00(
				((BgL_rtl_funz00_bglt) ((BgL_rtl_getfieldz00_bglt) BgL_funz00_5720)));
			{	/* SawC/code.scm 247 */
				obj_t BgL_arg2267z00_5949;

				BgL_arg2267z00_5949 = CAR(((obj_t) BgL_argsz00_5721));
				BGl_genzd2regzd2zzsaw_c_codez00(BgL_arg2267z00_5949);
			}
			{	/* SawC/code.scm 248 */
				obj_t BgL_arg2268z00_5950;

				{	/* SawC/code.scm 248 */
					obj_t BgL_tmpz00_7877;

					BgL_tmpz00_7877 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2268z00_5950 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7877);
				}
				bgl_display_string(BGl_string2762z00zzsaw_c_codez00,
					BgL_arg2268z00_5950);
			}
			{	/* SawC/code.scm 249 */
				obj_t BgL_arg2269z00_5951;
				obj_t BgL_arg2270z00_5952;

				BgL_arg2269z00_5951 =
					(((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_funz00_5720)))->BgL_namez00);
				{	/* SawC/code.scm 249 */
					obj_t BgL_tmpz00_7883;

					BgL_tmpz00_7883 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2270z00_5952 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7883);
				}
				bgl_display_obj(BgL_arg2269z00_5951, BgL_arg2270z00_5952);
			}
			{	/* SawC/code.scm 250 */
				obj_t BgL_arg2271z00_5953;

				{	/* SawC/code.scm 250 */
					obj_t BgL_tmpz00_7887;

					BgL_tmpz00_7887 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg2271z00_5953 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_7887);
				}
				return
					bgl_display_string(BGl_string2621z00zzsaw_c_codez00,
					BgL_arg2271z00_5953);
			}
		}

	}



/* &gen-expr-rtl_lightfu1701 */
	obj_t BGl_z62genzd2exprzd2rtl_lightfu1701z62zzsaw_c_codez00(obj_t
		BgL_envz00_5722, obj_t BgL_funz00_5723, obj_t BgL_argsz00_5724)
	{
		{	/* SawC/code.scm 241 */
			return
				BGl_genzd2Xfuncallzd2zzsaw_c_codez00(BGl_string2764z00zzsaw_c_codez00,
				BgL_argsz00_5724, ((bool_t) 0));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_c_codez00()
	{
		{	/* SawC/code.scm 1 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long) 192699986),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_cvmz00(((long) 18449009),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(((long) 14466025),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 79517123),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_woodcutterz00(((long) 352965511),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(((long) 20930040),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_exprz00(((long) 142709001),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(((long) 454038607),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(((long)
					250697396), BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
			return BGl_modulezd2initializa7ationz75zzsaw_bbvz00(((long) 263563890),
				BSTRING_TO_STRING(BGl_string2765z00zzsaw_c_codez00));
		}

	}

#ifdef __cplusplus
}
#endif
