/*===========================================================================*/
/*   (SawJvm/code.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawJvm/code.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                        *BgL_rtl_instanceofz00_bglt;

	typedef struct BgL_rtl_makeboxz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_makeboxz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_totypez00;
		struct BgL_typez00_bgl *BgL_fromtypez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_indexedz00_bgl
	{
		int BgL_indexz00;
	}                 *BgL_indexedz00_bglt;

	typedef struct BgL_lregz00_bgl
	{
		obj_t BgL_idz00;
	}              *BgL_lregz00_bglt;

	typedef struct BgL_liveblockz00_bgl
	{
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                   *BgL_liveblockz00_bglt;


	static obj_t BGl_za2lastzd2lineza2zd2zzsaw_jvm_codez00 = BUNSPEC;
	static bool_t BGl_fixpointze70ze7zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2withzd2args1739zb0zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2funzd2rtl_go1760z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_call1766z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_protecte1810z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_genzd2exprzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_blockz00_bglt BGl_livezd2initzd2zzsaw_jvm_codez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_codez00 = BUNSPEC;
	static obj_t
		BGl_genzd2funzd2withzd2argszd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_genzd2inszd2zzsaw_jvm_codez00(BgL_jvmz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62genzd2argszd2genzd2funzb0zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_boxrefz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2funzd2rtl_fail1806z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_globalre1754z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genzd2funzd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_codez00();
	static obj_t BGl_exprze70ze7zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_protectz00zzsaw_defsz00;
	extern obj_t BGl_rtl_ifeqz00zzsaw_defsz00;
	extern obj_t BGl_rtl_boxsetz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza32112ze3ze5zzsaw_jvm_codez00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_vlengthz00zzsaw_defsz00;
	extern obj_t BGl_loadzd2fieldzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62modulezd2codezb0zzsaw_jvm_codez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_makeboxz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_codez00();
	static obj_t BGl_regzd2ze3lregze70zd6zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62genzd2argszd2genzd2funzd2rtl1756z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62genzd2argszd2genzd2funzd2rtl1758z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_vsetz00zzsaw_defsz00;
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_codez00();
	static obj_t BGl_z62genzd2funzd2rtl_instance1792z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t
		BGl_z62genzd2argszd2genzd2funzd2rtl1764z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static bool_t BGl_za2hasprotectza2z00zzsaw_jvm_codez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62genzd2funzd2rtl_cast1794z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_storeg1752z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vallocz00zzsaw_defsz00;
	extern obj_t BGl_rtl_cast_nullz00zzsaw_defsz00;
	extern obj_t BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_rtl_loadfunz00zzsaw_defsz00;
	static obj_t BGl_livezd2resetzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_getzd2localszd2zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t
		BGl_z62genzd2argszd2genzd2funzd2rtl1786z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32214ze3ze5zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32133ze3ze5zzsaw_jvm_codez00(obj_t,
		obj_t);
	static obj_t
		BGl_z62genzd2argszd2genzd2funzd2rtl1798z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_codez00();
	static obj_t BGl_z62genzd2funzd2rtl_cast_nul1796z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_livezd2argze70z35zzsaw_jvm_codez00(obj_t, obj_t);
	extern obj_t BGl_rtl_jumpexitz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza32305ze3ze5zzsaw_jvm_codez00(obj_t);
	static obj_t BGl_outzd2linezd2zzsaw_jvm_codez00(obj_t, BgL_rtl_funz00_bglt);
	extern obj_t BGl_labelz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_rtl_switchz00zzsaw_defsz00;
	extern obj_t BGl_rtl_goz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2argszd2genzd2fun1737zb0zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_branchz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t, obj_t);
	extern obj_t BGl_rtl_ifnez00zzsaw_defsz00;
	static obj_t BGl_z62genzd2funzd2rtl_jumpexit1804z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_mov1746z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_storezd2regzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62genzd2funzd2withzd2argszb0zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_instanceofz00zzsaw_defsz00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_rtl_setfieldz00zzsaw_defsz00;
	extern obj_t BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_protect1808z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2argszd2genzd2predica1811zb0zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62genzd2argszd2genzd2predica1814zb0zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_genzd2argszd2genzd2predicatezd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t
		BGl_inlinezd2callzd2withzd2argszf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_apply1776z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda2107z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static bool_t BGl_za2protectresultza2z00zzsaw_jvm_codez00;
	static obj_t BGl_livezd2argsze70z35zzsaw_jvm_codez00(obj_t, obj_t);
	static bool_t BGl_livezd2fixzd2zzsaw_jvm_codez00(obj_t);
	extern obj_t BGl_rtl_storegz00zzsaw_defsz00;
	static BgL_rtl_regz00_bglt BGl_z62lambda2110z62zzsaw_jvm_codez00(obj_t,
		obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda2113z62zzsaw_jvm_codez00(obj_t,
		obj_t);
	extern obj_t BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static bool_t BGl_includeze70ze7zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_vlength1782z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_storezd2fieldzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, obj_t);
	extern obj_t BGl_rtl_lastz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2funzd2rtl_vset1780z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2120z62zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2121z62zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	static obj_t BGl_livezd2instrsze70z35zzsaw_jvm_codez00(obj_t, obj_t);
	extern obj_t BGl_rtl_returnz00zzsaw_defsz00;
	static obj_t BGl_check_funze70ze7zzsaw_jvm_codez00(obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2128z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzjas_asz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_z62genzd2funzd2rtl_vref1778z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2131z62zzsaw_jvm_codez00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2134z62zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_intifyz00zzsaw_jvm_codez00(obj_t);
	extern obj_t BGl_za2jvmzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62genzd2funzb0zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	static bool_t BGl_zc3z04anonymousza31959ze3ze70z60zzsaw_jvm_codez00(obj_t,
		obj_t);
	static obj_t BGl_flatz00zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_loadg1750z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_z62lambda2142z62zzsaw_jvm_codez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62lambda2143z62zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2147z62zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2148z62zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	static obj_t BGl_Lze70ze7zzsaw_jvm_codez00(obj_t);
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	extern obj_t BGl_codez12z12zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_rtl_notseqz00zzsaw_defsz00;
	extern obj_t BGl_rtl_failz00zzsaw_defsz00;
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_codez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_codez00();
	extern obj_t BGl_inlinezd2predicatezf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt, obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_valloc1784z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_lregz00zzsaw_jvm_codez00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_codez00();
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_codez00();
	BGL_IMPORT obj_t bgl_remq(obj_t, obj_t);
	extern obj_t BGl_rtl_castz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2exprzb0zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_globalrefz00zzsaw_defsz00;
	static obj_t BGl_za2bexitregza2z00zzsaw_jvm_codez00 = BUNSPEC;
	static obj_t BGl_z62genzd2funzd2rtl_loadfun1774z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_newobjz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, BgL_typez00_bglt,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_getfield1788z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2argszd2genzd2predicatezb0zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_lightfun1768z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern int BGl_siza7ezd2destz75zzsaw_jvm_typez00(obj_t);
	extern obj_t BGl_rtl_effectz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2fun1741zb0zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	static obj_t BGl_loadzd2regzd2zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_genzd2funcallzd2zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_nop1744z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_loadi1748z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_liveblockz00zzsaw_jvm_codez00 = BUNSPEC;
	extern obj_t BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_za2jvmzd2charzd2infoza2z00zzjas_asz00;
	static obj_t BGl_doubleze70ze7zzsaw_jvm_codez00(obj_t);
	static obj_t
		BGl_genzd2argszd2genzd2funzd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_boxset1802z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_localvarz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_switch1762z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2codezd2zzsaw_jvm_codez00(BgL_jvmz00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_pushzd2intzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_rtl_protectedz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2funzd2rtl_boxref1800z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_blockz00zzsaw_defsz00;
	extern obj_t BGl_za2purifyza2z00zzengine_paramz00;
	static obj_t BGl_z62genzd2funzd2rtl_setfield1790z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62genzd2funzd2withzd2argszd2rt1770z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62genzd2funzd2withzd2argszd2rt1772z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_inlinezd2callzf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static obj_t __cnst[113];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7b0za72594z00,
		BGl_z62genzd2funzb0zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2520z00zzsaw_jvm_codez00,
		BgL_bgl_string2520za700za7za7s2595za7, "P", 1);
	      DEFINE_STRING(BGl_string2521z00zzsaw_jvm_codez00,
		BgL_bgl_string2521za700za7za7s2596za7, "V", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2522z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2121za7622597z00, BGl_z62lambda2121z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2523z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2120za7622598z00, BGl_z62lambda2120z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2524z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2113za7622599z00, BGl_z62lambda2113z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2525z00zzsaw_jvm_codez00,
		BgL_bgl_za762za7c3za704anonymo2600za7,
		BGl_z62zc3z04anonymousza32112ze3ze5zzsaw_jvm_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2526z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2110za7622601z00, BGl_z62lambda2110z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2527z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2107za7622602z00, BGl_z62lambda2107z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2528z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2143za7622603z00, BGl_z62lambda2143z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2529z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2142za7622604z00, BGl_z62lambda2142z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2537z00zzsaw_jvm_codez00,
		BgL_bgl_string2537za700za7za7s2605za7, "gen-args-gen-fun1737", 20);
	      DEFINE_STRING(BGl_string2539z00zzsaw_jvm_codez00,
		BgL_bgl_string2539za700za7za7s2606za7, "gen-fun-with-args1739", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2530z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2148za7622607z00, BGl_z62lambda2148z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2531z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2147za7622608z00, BGl_z62lambda2147z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2532z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2134za7622609z00, BGl_z62lambda2134z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2533z00zzsaw_jvm_codez00,
		BgL_bgl_za762za7c3za704anonymo2610za7,
		BGl_z62zc3z04anonymousza32133ze3ze5zzsaw_jvm_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2534z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2131za7622611z00, BGl_z62lambda2131z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2541z00zzsaw_jvm_codez00,
		BgL_bgl_string2541za700za7za7s2612za7, "gen-fun1741", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2535z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2128za7622613z00, BGl_z62lambda2128z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2536z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22614za7,
		BGl_z62genzd2argszd2genzd2fun1737zb0zzsaw_jvm_codez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2543z00zzsaw_jvm_codez00,
		BgL_bgl_string2543za700za7za7s2615za7, "gen-args-gen-predica1811", 24);
	      DEFINE_STRING(BGl_string2544z00zzsaw_jvm_codez00,
		BgL_bgl_string2544za700za7za7s2616za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2538z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2w2617za7,
		BGl_z62genzd2funzd2withzd2args1739zb0zzsaw_jvm_codez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2546z00zzsaw_jvm_codez00,
		BgL_bgl_string2546za700za7za7s2618za7, "gen-fun", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2540z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2fun17412619z00,
		BGl_z62genzd2fun1741zb0zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2542z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22620za7,
		BGl_z62genzd2argszd2genzd2predica1811zb0zzsaw_jvm_codez00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2545z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2621za7,
		BGl_z62genzd2funzd2rtl_nop1744z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2553z00zzsaw_jvm_codez00,
		BgL_bgl_string2553za700za7za7s2622za7, "gen-args-gen-fun", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2547z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2623za7,
		BGl_z62genzd2funzd2rtl_mov1746z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2548z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2624za7,
		BGl_z62genzd2funzd2rtl_loadi1748z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2549z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2625za7,
		BGl_z62genzd2funzd2rtl_loadg1750z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2550z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2626za7,
		BGl_z62genzd2funzd2rtl_storeg1752z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2551z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2627za7,
		BGl_z62genzd2funzd2rtl_globalre1754z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2552z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22628za7,
		BGl_z62genzd2argszd2genzd2funzd2rtl1756z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2554z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22629za7,
		BGl_z62genzd2argszd2genzd2funzd2rtl1758z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STRING(BGl_string2561z00zzsaw_jvm_codez00,
		BgL_bgl_string2561za700za7za7s2630za7, "gen-fun-with-args", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2555z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2631za7,
		BGl_z62genzd2funzd2rtl_go1760z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2556z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2632za7,
		BGl_z62genzd2funzd2rtl_switch1762z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2557z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22633za7,
		BGl_z62genzd2argszd2genzd2funzd2rtl1764z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2558z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2634za7,
		BGl_z62genzd2funzd2rtl_call1766z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2559z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2635za7,
		BGl_z62genzd2funzd2rtl_lightfun1768z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_genzd2funzd2withzd2argszd2envz00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2w2636za7,
		BGl_z62genzd2funzd2withzd2argszb0zzsaw_jvm_codez00, 0L, BUNSPEC, 3);
	      DEFINE_REAL(BGl_real2586z00zzsaw_jvm_codez00,
		BgL_bgl_real2586za700za7za7saw2637za7, 0.75);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2560z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2w2638za7,
		BGl_z62genzd2funzd2withzd2argszd2rt1770z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2562z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2w2639za7,
		BGl_z62genzd2funzd2withzd2argszd2rt1772z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2563z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2640za7,
		BGl_z62genzd2funzd2rtl_loadfun1774z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2564z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2641za7,
		BGl_z62genzd2funzd2rtl_apply1776z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2565z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2642za7,
		BGl_z62genzd2funzd2rtl_vref1778z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2566z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2643za7,
		BGl_z62genzd2funzd2rtl_vset1780z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2567z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2644za7,
		BGl_z62genzd2funzd2rtl_vlength1782z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2568z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2645za7,
		BGl_z62genzd2funzd2rtl_valloc1784z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2569z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22646za7,
		BGl_z62genzd2argszd2genzd2funzd2rtl1786z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2570z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2647za7,
		BGl_z62genzd2funzd2rtl_getfield1788z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2571z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2648za7,
		BGl_z62genzd2funzd2rtl_setfield1790z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2572z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2649za7,
		BGl_z62genzd2funzd2rtl_instance1792z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2573z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2650za7,
		BGl_z62genzd2funzd2rtl_cast1794z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2574z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2651za7,
		BGl_z62genzd2funzd2rtl_cast_nul1796z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2575z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22652za7,
		BGl_z62genzd2argszd2genzd2funzd2rtl1798z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2576z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2653za7,
		BGl_z62genzd2funzd2rtl_boxref1800z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2583z00zzsaw_jvm_codez00,
		BgL_bgl_string2583za700za7za7s2654za7, "gen-args-gen-predicate", 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2577z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2655za7,
		BGl_z62genzd2funzd2rtl_boxset1802z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2584z00zzsaw_jvm_codez00,
		BgL_bgl_string2584za700za7za7s2656za7, "I", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2578z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2657za7,
		BGl_z62genzd2funzd2rtl_jumpexit1804z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2579z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2658za7,
		BGl_z62genzd2funzd2rtl_fail1806z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2587z00zzsaw_jvm_codez00,
		BgL_bgl_string2587za700za7za7s2659za7, "L", 1);
	      DEFINE_STRING(BGl_string2588z00zzsaw_jvm_codez00,
		BgL_bgl_string2588za700za7za7s2660za7, "loadi", 5);
	      DEFINE_STRING(BGl_string2589z00zzsaw_jvm_codez00,
		BgL_bgl_string2589za700za7za7s2661za7, "bad atom value", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2580z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2662za7,
		BGl_z62genzd2funzd2rtl_protect1808z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2581z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2663za7,
		BGl_z62genzd2funzd2rtl_protecte1810z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2582z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22664za7,
		BGl_z62genzd2argszd2genzd2predica1814zb0zzsaw_jvm_codez00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string2590z00zzsaw_jvm_codez00,
		BgL_bgl_string2590za700za7za7s2665za7, "saw_jvm_code", 12);
	      DEFINE_STRING(BGl_string2591z00zzsaw_jvm_codez00,
		BgL_bgl_string2591za700za7za7s2666za7,
		"(invokespecial init_bucs2) (new bucs2) (getstatic *key*) (getstatic *rest*) (getstatic *optional*) (getstatic *eof*) (invokestatic getbytes) getstatic putstatic (putfield procindex) (invokespecial init) (new me) tableswitch lookupswitch if_icmpne else invokestatic (dreturn) (freturn) (lreturn) (ireturn) (return) void (aaload) (daload) (faload) (laload) (iaload) (saload) (caload) (baload) (aastore) (dastore) (fastore) (lastore) (iastore) (sastore) (castore) (bastore) (arraylength) anewarray newarray goto instanceof checkcast aconst_null fconst_0 (invokespecial init_cell) (dup) (new cell) (getfield ccar) (putfield ccar) (checkcast throwable) (invokestatic jumpexit) (athrow) (invokestatic fail) (invokestatic setexit) ok not-inlined gen-fun1741 ifeq ifne liveblock out in saw_jvm_code lreg obj id (invokevirtual pfuncall4) (invokevirtual pfuncall3) (invokevirtual pfuncall2) (invokevirtual pfuncall1) (invokevirtual pfuncall0) (invokevirtual papply) (invokestatic cons) (getstatic *nil*) line location astore dstore fs"
		"tore lstore istore aload dload fload float lload iload int short char byte boolean from (pop) (pop2) (getstatic *unspecified*) no-value _ long double (invokestatic java_exception_handler) catch2 (areturn) (invokestatic debug_handler) (checkcast exit) catch end begin (handler from catch catch2 throwable) (handler from catch catch bexception) ",
		1367);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2585z00zzsaw_jvm_codez00,
		BgL_bgl_za762za7c3za704anonymo2667za7,
		BGl_z62zc3z04anonymousza32214ze3ze5zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_genzd2argszd2genzd2predicatezd2envz00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22668za7,
		BGl_z62genzd2argszd2genzd2predicatezb0zzsaw_jvm_codez00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_modulezd2codezd2envz00zzsaw_jvm_codez00,
		BgL_bgl_za762moduleza7d2code2669z00,
		BGl_z62modulezd2codezb0zzsaw_jvm_codez00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genzd2exprzd2envz00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2exprza7b02670za7,
		BGl_z62genzd2exprzb0zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22671za7,
		BGl_z62genzd2argszd2genzd2funzb0zzsaw_jvm_codez00, 0L, BUNSPEC, 3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2lastzd2lineza2zd2zzsaw_jvm_codez00));
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_codez00));
		     ADD_ROOT((void *) (&BGl_lregz00zzsaw_jvm_codez00));
		     ADD_ROOT((void *) (&BGl_za2bexitregza2z00zzsaw_jvm_codez00));
		     ADD_ROOT((void *) (&BGl_liveblockz00zzsaw_jvm_codez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(long
		BgL_checksumz00_5941, char *BgL_fromz00_5942)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_codez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_codez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_codez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_codez00();
					BGl_cnstzd2initzd2zzsaw_jvm_codez00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_codez00();
					BGl_objectzd2initzd2zzsaw_jvm_codez00();
					BGl_genericzd2initzd2zzsaw_jvm_codez00();
					BGl_methodzd2initzd2zzsaw_jvm_codez00();
					return BGl_toplevelzd2initzd2zzsaw_jvm_codez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_codez00()
	{
		{	/* SawJvm/code.scm 1 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__ucs2z00(((long) 0), "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "saw_jvm_code");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_codez00()
	{
		{	/* SawJvm/code.scm 1 */
			{	/* SawJvm/code.scm 1 */
				obj_t BgL_cportz00_5647;

				{	/* SawJvm/code.scm 1 */
					obj_t BgL_stringz00_5655;

					BgL_stringz00_5655 = BGl_string2591z00zzsaw_jvm_codez00;
					{	/* SawJvm/code.scm 1 */
						obj_t BgL_startz00_5656;

						BgL_startz00_5656 = BINT(((long) 0));
						{	/* SawJvm/code.scm 1 */
							obj_t BgL_endz00_5657;

							BgL_endz00_5657 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5655)));
							{	/* SawJvm/code.scm 1 */

								BgL_cportz00_5647 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5655, BgL_startz00_5656, BgL_endz00_5657);
				}}}}
				{
					long BgL_iz00_5648;

					BgL_iz00_5648 = ((long) 112);
				BgL_loopz00_5649:
					if ((BgL_iz00_5648 == ((long) -1)))
						{	/* SawJvm/code.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/code.scm 1 */
							{	/* SawJvm/code.scm 1 */
								obj_t BgL_arg2593z00_5651;

								{	/* SawJvm/code.scm 1 */

									{	/* SawJvm/code.scm 1 */
										obj_t BgL_locationz00_5653;

										BgL_locationz00_5653 = BBOOL(((bool_t) 0));
										{	/* SawJvm/code.scm 1 */

											BgL_arg2593z00_5651 =
												BGl_readz00zz__readerz00(BgL_cportz00_5647,
												BgL_locationz00_5653);
										}
									}
								}
								{	/* SawJvm/code.scm 1 */
									int BgL_tmpz00_5981;

									BgL_tmpz00_5981 = (int) (BgL_iz00_5648);
									CNST_TABLE_SET(BgL_tmpz00_5981, BgL_arg2593z00_5651);
							}}
							{	/* SawJvm/code.scm 1 */
								int BgL_auxz00_5654;

								BgL_auxz00_5654 = (int) ((BgL_iz00_5648 - ((long) 1)));
								{
									long BgL_iz00_5986;

									BgL_iz00_5986 = (long) (BgL_auxz00_5654);
									BgL_iz00_5648 = BgL_iz00_5986;
									goto BgL_loopz00_5649;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_codez00()
	{
		{	/* SawJvm/code.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_jvm_codez00()
	{
		{	/* SawJvm/code.scm 1 */
			BGl_za2hasprotectza2z00zzsaw_jvm_codez00 = ((bool_t) 0);
			BGl_za2protectresultza2z00zzsaw_jvm_codez00 = ((bool_t) 0);
			BGl_za2bexitregza2z00zzsaw_jvm_codez00 = BFALSE;
			BGl_za2lastzd2lineza2zd2zzsaw_jvm_codez00 = BINT(((long) -1));
			return BUNSPEC;
		}

	}



/* module-code */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2codezd2zzsaw_jvm_codez00(BgL_jvmz00_bglt
		BgL_mez00_71, obj_t BgL_paramsz00_72, obj_t BgL_lz00_73)
	{
		{	/* SawJvm/code.scm 46 */
			{	/* SawJvm/code.scm 47 */
				obj_t BgL_locsz00_2727;

				BgL_locsz00_2727 =
					BGl_getzd2localszd2zzsaw_jvm_codez00(BgL_paramsz00_72, BgL_lz00_73);
				BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_71,
					BGl_doubleze70ze7zzsaw_jvm_codez00(BgL_paramsz00_72),
					BGl_doubleze70ze7zzsaw_jvm_codez00(BgL_locsz00_2727));
			}
			if (BGl_za2hasprotectza2z00zzsaw_jvm_codez00)
				{	/* SawJvm/code.scm 57 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 0)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 1)));
				}
			else
				{	/* SawJvm/code.scm 57 */
					BFALSE;
				}
			{	/* SawJvm/code.scm 62 */
				obj_t BgL_pendingz00_2746;

				BgL_pendingz00_2746 = BUNSPEC;
				if (CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
					{	/* SawJvm/code.scm 63 */
						BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_71,
							CNST_TABLE_REF(((long) 2)));
						{
							obj_t BgL_l1666z00_2748;

							BgL_l1666z00_2748 = BgL_lz00_73;
						BgL_zc3z04anonymousza31870ze3z87_2749:
							if (PAIRP(BgL_l1666z00_2748))
								{	/* SawJvm/code.scm 65 */
									BGl_livezd2initzd2zzsaw_jvm_codez00(CAR(BgL_l1666z00_2748));
									{
										obj_t BgL_l1666z00_6007;

										BgL_l1666z00_6007 = CDR(BgL_l1666z00_2748);
										BgL_l1666z00_2748 = BgL_l1666z00_6007;
										goto BgL_zc3z04anonymousza31870ze3z87_2749;
									}
								}
							else
								{	/* SawJvm/code.scm 65 */
									((bool_t) 1);
								}
						}
						{
							obj_t BgL_l1668z00_2755;

							BgL_l1668z00_2755 = BgL_lz00_73;
						BgL_zc3z04anonymousza31876ze3z87_2756:
							if (PAIRP(BgL_l1668z00_2755))
								{	/* SawJvm/code.scm 66 */
									BGl_livezd2fixzd2zzsaw_jvm_codez00(CAR(BgL_l1668z00_2755));
									{
										obj_t BgL_l1668z00_6013;

										BgL_l1668z00_6013 = CDR(BgL_l1668z00_2755);
										BgL_l1668z00_2755 = BgL_l1668z00_6013;
										goto BgL_zc3z04anonymousza31876ze3z87_2756;
									}
								}
							else
								{	/* SawJvm/code.scm 66 */
									((bool_t) 1);
								}
						}
						if (NULLP(BgL_paramsz00_72))
							{	/* SawJvm/code.scm 67 */
								BgL_pendingz00_2746 = BNIL;
							}
						else
							{	/* SawJvm/code.scm 67 */
								obj_t BgL_head1672z00_2763;

								BgL_head1672z00_2763 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1670z00_2765;
									obj_t BgL_tail1673z00_2766;

									BgL_l1670z00_2765 = BgL_paramsz00_72;
									BgL_tail1673z00_2766 = BgL_head1672z00_2763;
								BgL_zc3z04anonymousza31882ze3z87_2767:
									if (NULLP(BgL_l1670z00_2765))
										{	/* SawJvm/code.scm 67 */
											BgL_pendingz00_2746 = CDR(BgL_head1672z00_2763);
										}
									else
										{	/* SawJvm/code.scm 67 */
											obj_t BgL_newtail1674z00_2769;

											{	/* SawJvm/code.scm 67 */
												obj_t BgL_arg1885z00_2771;

												{	/* SawJvm/code.scm 67 */
													obj_t BgL_pz00_2772;

													BgL_pz00_2772 = CAR(((obj_t) BgL_l1670z00_2765));
													BgL_arg1885z00_2771 =
														MAKE_YOUNG_PAIR(BgL_pz00_2772,
														CNST_TABLE_REF(((long) 2)));
												}
												BgL_newtail1674z00_2769 =
													MAKE_YOUNG_PAIR(BgL_arg1885z00_2771, BNIL);
											}
											SET_CDR(BgL_tail1673z00_2766, BgL_newtail1674z00_2769);
											{	/* SawJvm/code.scm 67 */
												obj_t BgL_arg1884z00_2770;

												BgL_arg1884z00_2770 = CDR(((obj_t) BgL_l1670z00_2765));
												{
													obj_t BgL_tail1673z00_6030;
													obj_t BgL_l1670z00_6029;

													BgL_l1670z00_6029 = BgL_arg1884z00_2770;
													BgL_tail1673z00_6030 = BgL_newtail1674z00_2769;
													BgL_tail1673z00_2766 = BgL_tail1673z00_6030;
													BgL_l1670z00_2765 = BgL_l1670z00_6029;
													goto BgL_zc3z04anonymousza31882ze3z87_2767;
												}
											}
										}
								}
							}
					}
				else
					{	/* SawJvm/code.scm 63 */
						BFALSE;
					}
				{
					obj_t BgL_l1678z00_2775;

					BgL_l1678z00_2775 = BgL_lz00_73;
				BgL_zc3z04anonymousza31886ze3z87_2776:
					if (PAIRP(BgL_l1678z00_2775))
						{	/* SawJvm/code.scm 68 */
							{	/* SawJvm/code.scm 69 */
								obj_t BgL_bz00_2778;

								BgL_bz00_2778 = CAR(BgL_l1678z00_2775);
								{	/* SawJvm/code.scm 69 */
									int BgL_arg1888z00_2779;

									BgL_arg1888z00_2779 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_bz00_2778)))->BgL_labelz00);
									BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_71,
										BINT(BgL_arg1888z00_2779));
								}
								if (CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
									{	/* SawJvm/code.scm 70 */
										BgL_pendingz00_2746 =
											BGl_livezd2resetzd2zzsaw_jvm_codez00(BgL_mez00_71,
											BgL_bz00_2778, BgL_pendingz00_2746);
									}
								else
									{	/* SawJvm/code.scm 70 */
										BFALSE;
									}
								{	/* SawJvm/code.scm 71 */
									obj_t BgL_g1677z00_2780;

									BgL_g1677z00_2780 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_bz00_2778)))->BgL_firstz00);
									{
										obj_t BgL_l1675z00_2782;

										BgL_l1675z00_2782 = BgL_g1677z00_2780;
									BgL_zc3z04anonymousza31889ze3z87_2783:
										if (PAIRP(BgL_l1675z00_2782))
											{	/* SawJvm/code.scm 72 */
												{	/* SawJvm/code.scm 71 */
													obj_t BgL_iz00_2785;

													BgL_iz00_2785 = CAR(BgL_l1675z00_2782);
													BgL_pendingz00_2746 =
														BGl_genzd2inszd2zzsaw_jvm_codez00(BgL_mez00_71,
														BgL_iz00_2785, BgL_pendingz00_2746);
												}
												{
													obj_t BgL_l1675z00_6047;

													BgL_l1675z00_6047 = CDR(BgL_l1675z00_2782);
													BgL_l1675z00_2782 = BgL_l1675z00_6047;
													goto BgL_zc3z04anonymousza31889ze3z87_2783;
												}
											}
										else
											{	/* SawJvm/code.scm 72 */
												((bool_t) 1);
											}
									}
								}
							}
							{
								obj_t BgL_l1678z00_6049;

								BgL_l1678z00_6049 = CDR(BgL_l1678z00_2775);
								BgL_l1678z00_2775 = BgL_l1678z00_6049;
								goto BgL_zc3z04anonymousza31886ze3z87_2776;
							}
						}
					else
						{	/* SawJvm/code.scm 68 */
							((bool_t) 1);
						}
				}
				if (CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
					{	/* SawJvm/code.scm 74 */
						BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_71,
							CNST_TABLE_REF(((long) 3)));
						{
							obj_t BgL_l1680z00_2791;

							BgL_l1680z00_2791 = BgL_pendingz00_2746;
						BgL_zc3z04anonymousza31893ze3z87_2792:
							if (PAIRP(BgL_l1680z00_2791))
								{	/* SawJvm/code.scm 76 */
									{	/* SawJvm/code.scm 76 */
										obj_t BgL_pz00_2794;

										BgL_pz00_2794 = CAR(BgL_l1680z00_2791);
										{	/* SawJvm/code.scm 76 */
											obj_t BgL_arg1895z00_2795;
											obj_t BgL_arg1896z00_2796;

											BgL_arg1895z00_2795 = CAR(((obj_t) BgL_pz00_2794));
											BgL_arg1896z00_2796 = CDR(((obj_t) BgL_pz00_2794));
											{	/* SawJvm/code.scm 76 */
												obj_t BgL_ez00_4336;

												BgL_ez00_4336 = CNST_TABLE_REF(((long) 3));
												{	/* SawJvm/code.scm 205 */
													obj_t BgL_arg1999z00_4338;

													{
														BgL_lregz00_bglt BgL_auxz00_6063;

														{
															obj_t BgL_auxz00_6064;

															{	/* SawJvm/code.scm 205 */
																BgL_objectz00_bglt BgL_tmpz00_6065;

																BgL_tmpz00_6065 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_regz00_bglt) BgL_arg1895z00_2795));
																BgL_auxz00_6064 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6065);
															}
															BgL_auxz00_6063 =
																((BgL_lregz00_bglt) BgL_auxz00_6064);
														}
														BgL_arg1999z00_4338 =
															(((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6063))->
															BgL_idz00);
													}
													BGl_localvarz00zzsaw_jvm_outz00(BgL_mez00_71,
														BgL_arg1895z00_2795, BgL_arg1896z00_2796,
														BgL_ez00_4336, BgL_arg1999z00_4338);
									}}}}
									{
										obj_t BgL_l1680z00_6072;

										BgL_l1680z00_6072 = CDR(BgL_l1680z00_2791);
										BgL_l1680z00_2791 = BgL_l1680z00_6072;
										goto BgL_zc3z04anonymousza31893ze3z87_2792;
									}
								}
							else
								{	/* SawJvm/code.scm 76 */
									((bool_t) 1);
								}
						}
					}
				else
					{	/* SawJvm/code.scm 74 */
						((bool_t) 0);
					}
			}
			if (BGl_za2hasprotectza2z00zzsaw_jvm_codez00)
				{	/* SawJvm/code.scm 79 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 4)));
					BGl_loadzd2regzd2zzsaw_jvm_codez00(
						((obj_t) BgL_mez00_71), BGl_za2bexitregza2z00zzsaw_jvm_codez00);
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 5)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 6)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 7)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 8)));
					BGl_loadzd2regzd2zzsaw_jvm_codez00(
						((obj_t) BgL_mez00_71), BGl_za2bexitregza2z00zzsaw_jvm_codez00);
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 5)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 9)));
					return
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 7)));
				}
			else
				{	/* SawJvm/code.scm 79 */
					return BFALSE;
				}
		}

	}



/* double~0 */
	obj_t BGl_doubleze70ze7zzsaw_jvm_codez00(obj_t BgL_lz00_2731)
	{
		{	/* SawJvm/code.scm 55 */
			if (NULLP(BgL_lz00_2731))
				{	/* SawJvm/code.scm 49 */
					return BgL_lz00_2731;
				}
			else
				{	/* SawJvm/code.scm 51 */
					obj_t BgL_regz00_2734;
					obj_t BgL_rz00_2735;

					BgL_regz00_2734 = CAR(((obj_t) BgL_lz00_2731));
					{	/* SawJvm/code.scm 51 */
						obj_t BgL_arg1869z00_2744;

						BgL_arg1869z00_2744 = CDR(((obj_t) BgL_lz00_2731));
						BgL_rz00_2735 =
							BGl_doubleze70ze7zzsaw_jvm_codez00(BgL_arg1869z00_2744);
					}
					{	/* SawJvm/code.scm 52 */
						obj_t BgL_typez00_2736;

						BgL_typez00_2736 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_rtl_regz00_bglt) COBJECT(
												((BgL_rtl_regz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_regz00_2734))))->
										BgL_typez00)))->BgL_namez00);
						{	/* SawJvm/code.scm 53 */
							bool_t BgL_test2687z00_6106;

							if ((BgL_typez00_2736 == CNST_TABLE_REF(((long) 10))))
								{	/* SawJvm/code.scm 53 */
									BgL_test2687z00_6106 = ((bool_t) 1);
								}
							else
								{	/* SawJvm/code.scm 53 */
									BgL_test2687z00_6106 =
										(BgL_typez00_2736 == CNST_TABLE_REF(((long) 11)));
								}
							if (BgL_test2687z00_6106)
								{	/* SawJvm/code.scm 54 */
									obj_t BgL_arg1862z00_2739;
									obj_t BgL_arg1863z00_2740;

									{
										BgL_lregz00_bglt BgL_auxz00_6112;

										{
											obj_t BgL_auxz00_6113;

											{	/* SawJvm/code.scm 54 */
												BgL_objectz00_bglt BgL_tmpz00_6114;

												BgL_tmpz00_6114 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_regz00_2734));
												BgL_auxz00_6113 = BGL_OBJECT_WIDENING(BgL_tmpz00_6114);
											}
											BgL_auxz00_6112 = ((BgL_lregz00_bglt) BgL_auxz00_6113);
										}
										BgL_arg1862z00_2739 =
											(((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6112))->
											BgL_idz00);
									}
									BgL_arg1863z00_2740 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)), BgL_rz00_2735);
									return
										MAKE_YOUNG_PAIR(BgL_arg1862z00_2739, BgL_arg1863z00_2740);
								}
							else
								{	/* SawJvm/code.scm 55 */
									obj_t BgL_arg1865z00_2741;

									{
										BgL_lregz00_bglt BgL_auxz00_6123;

										{
											obj_t BgL_auxz00_6124;

											{	/* SawJvm/code.scm 55 */
												BgL_objectz00_bglt BgL_tmpz00_6125;

												BgL_tmpz00_6125 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_regz00_2734));
												BgL_auxz00_6124 = BGL_OBJECT_WIDENING(BgL_tmpz00_6125);
											}
											BgL_auxz00_6123 = ((BgL_lregz00_bglt) BgL_auxz00_6124);
										}
										BgL_arg1865z00_2741 =
											(((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6123))->
											BgL_idz00);
									}
									return MAKE_YOUNG_PAIR(BgL_arg1865z00_2741, BgL_rz00_2735);
								}
						}
					}
				}
		}

	}



/* &module-code */
	obj_t BGl_z62modulezd2codezb0zzsaw_jvm_codez00(obj_t BgL_envz00_5373,
		obj_t BgL_mez00_5374, obj_t BgL_paramsz00_5375, obj_t BgL_lz00_5376)
	{
		{	/* SawJvm/code.scm 46 */
			return
				BGl_modulezd2codezd2zzsaw_jvm_codez00(
				((BgL_jvmz00_bglt) BgL_mez00_5374), BgL_paramsz00_5375, BgL_lz00_5376);
		}

	}



/* get-locals */
	obj_t BGl_getzd2localszd2zzsaw_jvm_codez00(obj_t BgL_paramsz00_74,
		obj_t BgL_lz00_75)
	{
		{	/* SawJvm/code.scm 96 */
			BGl_za2hasprotectza2z00zzsaw_jvm_codez00 = ((bool_t) 0);
			{	/* SawJvm/code.scm 98 */
				struct bgl_cell BgL_box2689_5641z00;
				struct bgl_cell BgL_box2690_5642z00;
				obj_t BgL_nz00_5641;
				obj_t BgL_regsz00_5642;

				BgL_nz00_5641 = MAKE_CELL_STACK(BINT(((long) 0)), BgL_box2689_5641z00);
				BgL_regsz00_5642 = MAKE_CELL_STACK(BNIL, BgL_box2690_5642z00);
				{
					obj_t BgL_ez00_2873;

					{
						obj_t BgL_lz00_2808;

						BgL_lz00_2808 = BgL_paramsz00_74;
					BgL_zc3z04anonymousza31898ze3z87_2809:
						if (NULLP(BgL_lz00_2808))
							{	/* SawJvm/code.scm 134 */
								((bool_t) 0);
							}
						else
							{	/* SawJvm/code.scm 134 */
								{	/* SawJvm/code.scm 135 */
									BgL_rtl_regz00_bglt BgL_tmp1195z00_2811;

									BgL_tmp1195z00_2811 =
										((BgL_rtl_regz00_bglt) CAR(((obj_t) BgL_lz00_2808)));
									{	/* SawJvm/code.scm 135 */
										BgL_lregz00_bglt BgL_wide1197z00_2813;

										BgL_wide1197z00_2813 =
											((BgL_lregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_lregz00_bgl))));
										{	/* SawJvm/code.scm 135 */
											obj_t BgL_auxz00_6144;
											BgL_objectz00_bglt BgL_tmpz00_6141;

											BgL_auxz00_6144 = ((obj_t) BgL_wide1197z00_2813);
											BgL_tmpz00_6141 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_tmp1195z00_2811));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6141, BgL_auxz00_6144);
										}
										((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_tmp1195z00_2811));
										{	/* SawJvm/code.scm 135 */
											long BgL_arg1901z00_2814;

											BgL_arg1901z00_2814 =
												BGL_CLASS_NUM(BGl_lregz00zzsaw_jvm_codez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_tmp1195z00_2811)),
												BgL_arg1901z00_2814);
										}
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_tmp1195z00_2811));
									}
									{
										obj_t BgL_auxz00_6162;
										BgL_lregz00_bglt BgL_auxz00_6155;

										{	/* SawJvm/code.scm 135 */
											long BgL_nz00_4480;

											BgL_nz00_4480 = (long) CINT(CELL_REF(BgL_nz00_5641));
											{	/* SawJvm/code.scm 100 */
												obj_t BgL_arg1913z00_4481;

												{	/* SawJvm/code.scm 100 */
													obj_t BgL_arg1914z00_4482;

													{	/* SawJvm/code.scm 100 */

														BgL_arg1914z00_4482 =
															BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
															(BgL_nz00_4480, ((long) 10));
													}
													BgL_arg1913z00_4481 =
														string_append(BGl_string2520z00zzsaw_jvm_codez00,
														BgL_arg1914z00_4482);
												}
												BgL_auxz00_6162 =
													bstring_to_symbol(BgL_arg1913z00_4481);
										}}
										{
											obj_t BgL_auxz00_6156;

											{	/* SawJvm/code.scm 135 */
												BgL_objectz00_bglt BgL_tmpz00_6157;

												BgL_tmpz00_6157 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_tmp1195z00_2811));
												BgL_auxz00_6156 = BGL_OBJECT_WIDENING(BgL_tmpz00_6157);
											}
											BgL_auxz00_6155 = ((BgL_lregz00_bglt) BgL_auxz00_6156);
										}
										((((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6155))->
												BgL_idz00) = ((obj_t) BgL_auxz00_6162), BUNSPEC);
									}
									((BgL_rtl_regz00_bglt) BgL_tmp1195z00_2811);
								}
								{	/* SawJvm/code.scm 136 */
									obj_t BgL_auxz00_5643;

									BgL_auxz00_5643 =
										ADDFX(CELL_REF(BgL_nz00_5641), BINT(((long) 1)));
									CELL_SET(BgL_nz00_5641, BgL_auxz00_5643);
								}
								{	/* SawJvm/code.scm 137 */
									obj_t BgL_arg1904z00_2816;

									BgL_arg1904z00_2816 = CDR(((obj_t) BgL_lz00_2808));
									{
										obj_t BgL_lz00_6173;

										BgL_lz00_6173 = BgL_arg1904z00_2816;
										BgL_lz00_2808 = BgL_lz00_6173;
										goto BgL_zc3z04anonymousza31898ze3z87_2809;
									}
								}
							}
					}
					{
						obj_t BgL_l1691z00_2819;

						BgL_l1691z00_2819 = BgL_lz00_75;
					BgL_zc3z04anonymousza31905ze3z87_2820:
						if (PAIRP(BgL_l1691z00_2819))
							{	/* SawJvm/code.scm 138 */
								{	/* SawJvm/code.scm 138 */
									obj_t BgL_bz00_2822;

									BgL_bz00_2822 = CAR(BgL_l1691z00_2819);
									{	/* SawJvm/code.scm 138 */
										obj_t BgL_g1690z00_2823;

										BgL_g1690z00_2823 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_bz00_2822)))->BgL_firstz00);
										{
											obj_t BgL_l1688z00_2825;

											BgL_l1688z00_2825 = BgL_g1690z00_2823;
										BgL_zc3z04anonymousza31907ze3z87_2826:
											if (PAIRP(BgL_l1688z00_2825))
												{	/* SawJvm/code.scm 138 */
													BgL_ez00_2873 = CAR(BgL_l1688z00_2825);
													{	/* SawJvm/code.scm 129 */
														obj_t BgL_destz00_2875;

														BgL_destz00_2875 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_ez00_2873)))->
															BgL_destz00);
														if (CBOOL(BgL_destz00_2875))
															{	/* SawJvm/code.scm 130 */
																BGl_regzd2ze3lregze70zd6zzsaw_jvm_codez00
																	(BgL_regsz00_5642, BgL_nz00_5641,
																	BgL_destz00_2875);
															}
														else
															{	/* SawJvm/code.scm 130 */
																BFALSE;
															}
														BGl_check_funze70ze7zzsaw_jvm_codez00
															(BgL_ez00_2873);
														{	/* SawJvm/code.scm 132 */
															obj_t BgL_g1687z00_2876;

															BgL_g1687z00_2876 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_ez00_2873)))->
																BgL_argsz00);
															{
																obj_t BgL_l1685z00_2878;

																BgL_l1685z00_2878 = BgL_g1687z00_2876;
															BgL_zc3z04anonymousza31932ze3z87_2879:
																if (PAIRP(BgL_l1685z00_2878))
																	{	/* SawJvm/code.scm 132 */
																		BGl_exprze70ze7zzsaw_jvm_codez00
																			(BgL_regsz00_5642, BgL_nz00_5641,
																			CAR(BgL_l1685z00_2878));
																		{
																			obj_t BgL_l1685z00_6193;

																			BgL_l1685z00_6193 =
																				CDR(BgL_l1685z00_2878);
																			BgL_l1685z00_2878 = BgL_l1685z00_6193;
																			goto
																				BgL_zc3z04anonymousza31932ze3z87_2879;
																		}
																	}
																else
																	{	/* SawJvm/code.scm 132 */
																		((bool_t) 1);
																	}
															}
														}
													}
													{
														obj_t BgL_l1688z00_6196;

														BgL_l1688z00_6196 = CDR(BgL_l1688z00_2825);
														BgL_l1688z00_2825 = BgL_l1688z00_6196;
														goto BgL_zc3z04anonymousza31907ze3z87_2826;
													}
												}
											else
												{	/* SawJvm/code.scm 138 */
													((bool_t) 1);
												}
										}
									}
								}
								{
									obj_t BgL_l1691z00_6198;

									BgL_l1691z00_6198 = CDR(BgL_l1691z00_2819);
									BgL_l1691z00_2819 = BgL_l1691z00_6198;
									goto BgL_zc3z04anonymousza31905ze3z87_2820;
								}
							}
						else
							{	/* SawJvm/code.scm 138 */
								((bool_t) 1);
							}
					}
					return bgl_reverse_bang(CELL_REF(BgL_regsz00_5642));
				}
			}
		}

	}



/* reg->lreg~0 */
	obj_t BGl_regzd2ze3lregze70zd6zzsaw_jvm_codez00(obj_t BgL_regsz00_5636,
		obj_t BgL_nz00_5635, obj_t BgL_rz00_2840)
	{
		{	/* SawJvm/code.scm 106 */
			{	/* SawJvm/code.scm 103 */
				bool_t BgL_test2696z00_6201;

				{	/* SawJvm/code.scm 103 */
					obj_t BgL_classz00_4346;

					BgL_classz00_4346 = BGl_lregz00zzsaw_jvm_codez00;
					if (BGL_OBJECTP(BgL_rz00_2840))
						{	/* SawJvm/code.scm 103 */
							obj_t BgL_oclassz00_4348;

							{	/* SawJvm/code.scm 103 */
								long BgL_arg1833z00_4350;

								{	/* SawJvm/code.scm 103 */
									long BgL_arg1834z00_4351;

									BgL_arg1834z00_4351 =
										BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_rz00_2840));
									BgL_arg1833z00_4350 = (BgL_arg1834z00_4351 - OBJECT_TYPE);
								}
								BgL_oclassz00_4348 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1833z00_4350);
							}
							BgL_test2696z00_6201 = (BgL_oclassz00_4348 == BgL_classz00_4346);
						}
					else
						{	/* SawJvm/code.scm 103 */
							BgL_test2696z00_6201 = ((bool_t) 0);
						}
				}
				if (BgL_test2696z00_6201)
					{	/* SawJvm/code.scm 103 */
						return BFALSE;
					}
				else
					{	/* SawJvm/code.scm 103 */
						{	/* SawJvm/code.scm 104 */
							BgL_lregz00_bglt BgL_wide1190z00_2845;

							BgL_wide1190z00_2845 =
								((BgL_lregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_lregz00_bgl))));
							{	/* SawJvm/code.scm 104 */
								obj_t BgL_auxz00_6214;
								BgL_objectz00_bglt BgL_tmpz00_6210;

								BgL_auxz00_6214 = ((obj_t) BgL_wide1190z00_2845);
								BgL_tmpz00_6210 =
									((BgL_objectz00_bglt)
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_rz00_2840)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6210, BgL_auxz00_6214);
							}
							((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2840)));
							{	/* SawJvm/code.scm 104 */
								long BgL_arg1917z00_2846;

								BgL_arg1917z00_2846 =
									BGL_CLASS_NUM(BGl_lregz00zzsaw_jvm_codez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2840))),
									BgL_arg1917z00_2846);
							}
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2840)));
						}
						{
							obj_t BgL_auxz00_6236;
							BgL_lregz00_bglt BgL_auxz00_6228;

							{	/* SawJvm/code.scm 104 */
								long BgL_nz00_4362;

								BgL_nz00_4362 = (long) CINT(CELL_REF(BgL_nz00_5635));
								{	/* SawJvm/code.scm 100 */
									obj_t BgL_arg1913z00_4363;

									{	/* SawJvm/code.scm 100 */
										obj_t BgL_arg1914z00_4364;

										{	/* SawJvm/code.scm 100 */

											BgL_arg1914z00_4364 =
												BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
												(BgL_nz00_4362, ((long) 10));
										}
										BgL_arg1913z00_4363 =
											string_append(BGl_string2521z00zzsaw_jvm_codez00,
											BgL_arg1914z00_4364);
									}
									BgL_auxz00_6236 = bstring_to_symbol(BgL_arg1913z00_4363);
							}}
							{
								obj_t BgL_auxz00_6229;

								{	/* SawJvm/code.scm 104 */
									BgL_objectz00_bglt BgL_tmpz00_6230;

									BgL_tmpz00_6230 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2840)));
									BgL_auxz00_6229 = BGL_OBJECT_WIDENING(BgL_tmpz00_6230);
								}
								BgL_auxz00_6228 = ((BgL_lregz00_bglt) BgL_auxz00_6229);
							}
							((((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6228))->BgL_idz00) =
								((obj_t) BgL_auxz00_6236), BUNSPEC);
						}
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2840));
						{	/* SawJvm/code.scm 105 */
							obj_t BgL_auxz00_5637;

							BgL_auxz00_5637 =
								ADDFX(CELL_REF(BgL_nz00_5635), BINT(((long) 1)));
							CELL_SET(BgL_nz00_5635, BgL_auxz00_5637);
						}
						{	/* SawJvm/code.scm 106 */
							obj_t BgL_auxz00_5638;

							BgL_auxz00_5638 =
								MAKE_YOUNG_PAIR(BgL_rz00_2840, CELL_REF(BgL_regsz00_5636));
							return CELL_SET(BgL_regsz00_5636, BgL_auxz00_5638);
						}
					}
			}
		}

	}



/* check_fun~0 */
	obj_t BGl_check_funze70ze7zzsaw_jvm_codez00(obj_t BgL_ez00_2857)
	{
		{	/* SawJvm/code.scm 122 */
			{	/* SawJvm/code.scm 117 */
				BgL_rtl_funz00_bglt BgL_funz00_2859;

				BgL_funz00_2859 =
					(((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_ez00_2857)))->BgL_funz00);
				{	/* SawJvm/code.scm 119 */
					bool_t BgL_test2698z00_6249;

					{	/* SawJvm/code.scm 119 */
						obj_t BgL_classz00_4370;

						BgL_classz00_4370 = BGl_rtl_protectz00zzsaw_defsz00;
						{	/* SawJvm/code.scm 119 */
							BgL_objectz00_bglt BgL_arg1825z00_4372;

							{	/* SawJvm/code.scm 119 */
								obj_t BgL_tmpz00_6250;

								BgL_tmpz00_6250 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2859));
								BgL_arg1825z00_4372 = (BgL_objectz00_bglt) (BgL_tmpz00_6250);
							}
							{	/* SawJvm/code.scm 119 */
								bool_t BgL_arg1822z00_4375;
								bool_t BgL_arg1823z00_4376;

								{	/* SawJvm/code.scm 119 */
									long BgL_idxz00_4379;

									BgL_idxz00_4379 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4372);
									BgL_arg1822z00_4375 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4379 + ((long) 2))) == BgL_classz00_4370);
								}
								{	/* SawJvm/code.scm 119 */
									bool_t BgL_res2481z00_4401;

									{	/* SawJvm/code.scm 119 */
										obj_t BgL_oclassz00_4387;

										{	/* SawJvm/code.scm 119 */
											long BgL_arg1833z00_4393;

											{	/* SawJvm/code.scm 119 */
												long BgL_arg1834z00_4394;

												BgL_arg1834z00_4394 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4372);
												BgL_arg1833z00_4393 =
													(BgL_arg1834z00_4394 - OBJECT_TYPE);
											}
											BgL_oclassz00_4387 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4393);
										}
										{	/* SawJvm/code.scm 119 */
											bool_t BgL__ortest_1110z00_4388;

											BgL__ortest_1110z00_4388 =
												(BgL_classz00_4370 == BgL_oclassz00_4387);
											if (BgL__ortest_1110z00_4388)
												{	/* SawJvm/code.scm 119 */
													BgL_res2481z00_4401 = BgL__ortest_1110z00_4388;
												}
											else
												{	/* SawJvm/code.scm 119 */
													long BgL_odepthz00_4389;

													BgL_odepthz00_4389 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4387);
													if ((((long) 2) < BgL_odepthz00_4389))
														{	/* SawJvm/code.scm 119 */
															obj_t BgL_arg1821z00_4391;

															BgL_arg1821z00_4391 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4387,
																((long) 2));
															BgL_res2481z00_4401 =
																(BgL_arg1821z00_4391 == BgL_classz00_4370);
														}
													else
														{	/* SawJvm/code.scm 119 */
															BgL_res2481z00_4401 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4376 = BgL_res2481z00_4401;
								}
								BgL_test2698z00_6249 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4375, BgL_arg1823z00_4376);
							}
						}
					}
					if (BgL_test2698z00_6249)
						{	/* SawJvm/code.scm 119 */
							BGl_za2hasprotectza2z00zzsaw_jvm_codez00 = ((bool_t) 1);
							return (BGl_za2bexitregza2z00zzsaw_jvm_codez00 =
								(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_ez00_2857)))->BgL_destz00),
								BUNSPEC);
						}
					else
						{	/* SawJvm/code.scm 122 */
							bool_t BgL__ortest_1194z00_2861;

							{	/* SawJvm/code.scm 122 */
								obj_t BgL_classz00_4403;

								BgL_classz00_4403 = BGl_rtl_switchz00zzsaw_defsz00;
								{	/* SawJvm/code.scm 122 */
									BgL_objectz00_bglt BgL_arg1825z00_4405;

									{	/* SawJvm/code.scm 122 */
										obj_t BgL_tmpz00_6271;

										BgL_tmpz00_6271 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2859));
										BgL_arg1825z00_4405 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6271);
									}
									{	/* SawJvm/code.scm 122 */
										bool_t BgL_arg1822z00_4408;
										bool_t BgL_arg1823z00_4409;

										{	/* SawJvm/code.scm 122 */
											long BgL_idxz00_4412;

											BgL_idxz00_4412 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4405);
											BgL_arg1822z00_4408 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4412 + ((long) 4))) == BgL_classz00_4403);
										}
										{	/* SawJvm/code.scm 122 */
											bool_t BgL_res2482z00_4434;

											{	/* SawJvm/code.scm 122 */
												obj_t BgL_oclassz00_4420;

												{	/* SawJvm/code.scm 122 */
													long BgL_arg1833z00_4426;

													{	/* SawJvm/code.scm 122 */
														long BgL_arg1834z00_4427;

														BgL_arg1834z00_4427 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4405);
														BgL_arg1833z00_4426 =
															(BgL_arg1834z00_4427 - OBJECT_TYPE);
													}
													BgL_oclassz00_4420 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_4426);
												}
												{	/* SawJvm/code.scm 122 */
													bool_t BgL__ortest_1110z00_4421;

													BgL__ortest_1110z00_4421 =
														(BgL_classz00_4403 == BgL_oclassz00_4420);
													if (BgL__ortest_1110z00_4421)
														{	/* SawJvm/code.scm 122 */
															BgL_res2482z00_4434 = BgL__ortest_1110z00_4421;
														}
													else
														{	/* SawJvm/code.scm 122 */
															long BgL_odepthz00_4422;

															BgL_odepthz00_4422 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4420);
															if ((((long) 4) < BgL_odepthz00_4422))
																{	/* SawJvm/code.scm 122 */
																	obj_t BgL_arg1821z00_4424;

																	BgL_arg1821z00_4424 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4420,
																		((long) 4));
																	BgL_res2482z00_4434 =
																		(BgL_arg1821z00_4424 == BgL_classz00_4403);
																}
															else
																{	/* SawJvm/code.scm 122 */
																	BgL_res2482z00_4434 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_4409 = BgL_res2482z00_4434;
										}
										BgL__ortest_1194z00_2861 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_4408,
											BgL_arg1823z00_4409);
									}
								}
							}
							if (BgL__ortest_1194z00_2861)
								{	/* SawJvm/code.scm 122 */
									return BBOOL(BgL__ortest_1194z00_2861);
								}
							else
								{	/* SawJvm/code.scm 122 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* expr~0 */
	obj_t BGl_exprze70ze7zzsaw_jvm_codez00(obj_t BgL_regsz00_5640,
		obj_t BgL_nz00_5639, obj_t BgL_ez00_2862)
	{
		{	/* SawJvm/code.scm 127 */
			{	/* SawJvm/code.scm 124 */
				bool_t BgL_test2704z00_6292;

				{	/* SawJvm/code.scm 124 */
					obj_t BgL_classz00_4435;

					BgL_classz00_4435 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_ez00_2862))
						{	/* SawJvm/code.scm 124 */
							BgL_objectz00_bglt BgL_arg1825z00_4437;

							BgL_arg1825z00_4437 = (BgL_objectz00_bglt) (BgL_ez00_2862);
							{	/* SawJvm/code.scm 124 */
								bool_t BgL_arg1822z00_4440;
								bool_t BgL_arg1823z00_4441;

								{	/* SawJvm/code.scm 124 */
									long BgL_idxz00_4444;

									BgL_idxz00_4444 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4437);
									BgL_arg1822z00_4440 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4444 + ((long) 1))) == BgL_classz00_4435);
								}
								{	/* SawJvm/code.scm 124 */
									bool_t BgL_res2483z00_4466;

									{	/* SawJvm/code.scm 124 */
										obj_t BgL_oclassz00_4452;

										{	/* SawJvm/code.scm 124 */
											long BgL_arg1833z00_4458;

											{	/* SawJvm/code.scm 124 */
												long BgL_arg1834z00_4459;

												BgL_arg1834z00_4459 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4437);
												BgL_arg1833z00_4458 =
													(BgL_arg1834z00_4459 - OBJECT_TYPE);
											}
											BgL_oclassz00_4452 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4458);
										}
										{	/* SawJvm/code.scm 124 */
											bool_t BgL__ortest_1110z00_4453;

											BgL__ortest_1110z00_4453 =
												(BgL_classz00_4435 == BgL_oclassz00_4452);
											if (BgL__ortest_1110z00_4453)
												{	/* SawJvm/code.scm 124 */
													BgL_res2483z00_4466 = BgL__ortest_1110z00_4453;
												}
											else
												{	/* SawJvm/code.scm 124 */
													long BgL_odepthz00_4454;

													BgL_odepthz00_4454 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4452);
													if ((((long) 1) < BgL_odepthz00_4454))
														{	/* SawJvm/code.scm 124 */
															obj_t BgL_arg1821z00_4456;

															BgL_arg1821z00_4456 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4452,
																((long) 1));
															BgL_res2483z00_4466 =
																(BgL_arg1821z00_4456 == BgL_classz00_4435);
														}
													else
														{	/* SawJvm/code.scm 124 */
															BgL_res2483z00_4466 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4441 = BgL_res2483z00_4466;
								}
								BgL_test2704z00_6292 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4440, BgL_arg1823z00_4441);
							}
						}
					else
						{	/* SawJvm/code.scm 124 */
							BgL_test2704z00_6292 = ((bool_t) 0);
						}
				}
				if (BgL_test2704z00_6292)
					{	/* SawJvm/code.scm 124 */
						return
							BGl_regzd2ze3lregze70zd6zzsaw_jvm_codez00(BgL_regsz00_5640,
							BgL_nz00_5639, BgL_ez00_2862);
					}
				else
					{	/* SawJvm/code.scm 124 */
						BGl_check_funze70ze7zzsaw_jvm_codez00(BgL_ez00_2862);
						{	/* SawJvm/code.scm 127 */
							obj_t BgL_g1684z00_2865;

							BgL_g1684z00_2865 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_ez00_2862)))->BgL_argsz00);
							{
								obj_t BgL_l1682z00_2867;

								{	/* SawJvm/code.scm 127 */
									bool_t BgL_tmpz00_6315;

									BgL_l1682z00_2867 = BgL_g1684z00_2865;
								BgL_zc3z04anonymousza31927ze3z87_2868:
									if (PAIRP(BgL_l1682z00_2867))
										{	/* SawJvm/code.scm 127 */
											{	/* SawJvm/code.scm 127 */
												obj_t BgL_arg1929z00_2870;

												BgL_arg1929z00_2870 = CAR(BgL_l1682z00_2867);
												BGl_exprze70ze7zzsaw_jvm_codez00(BgL_regsz00_5640,
													BgL_nz00_5639, BgL_arg1929z00_2870);
											}
											{
												obj_t BgL_l1682z00_6320;

												BgL_l1682z00_6320 = CDR(BgL_l1682z00_2867);
												BgL_l1682z00_2867 = BgL_l1682z00_6320;
												goto BgL_zc3z04anonymousza31927ze3z87_2868;
											}
										}
									else
										{	/* SawJvm/code.scm 127 */
											BgL_tmpz00_6315 = ((bool_t) 1);
										}
									return BBOOL(BgL_tmpz00_6315);
								}
							}
						}
					}
			}
		}

	}



/* live-init */
	BgL_blockz00_bglt BGl_livezd2initzd2zzsaw_jvm_codez00(obj_t BgL_bz00_76)
	{
		{	/* SawJvm/code.scm 145 */
			{	/* SawJvm/code.scm 146 */
				BgL_liveblockz00_bglt BgL_wide1201z00_2892;

				BgL_wide1201z00_2892 =
					((BgL_liveblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_liveblockz00_bgl))));
				{	/* SawJvm/code.scm 146 */
					obj_t BgL_auxz00_6328;
					BgL_objectz00_bglt BgL_tmpz00_6324;

					BgL_auxz00_6328 = ((obj_t) BgL_wide1201z00_2892);
					BgL_tmpz00_6324 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_76)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6324, BgL_auxz00_6328);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_76)));
				{	/* SawJvm/code.scm 146 */
					long BgL_arg1937z00_2893;

					BgL_arg1937z00_2893 =
						BGL_CLASS_NUM(BGl_liveblockz00zzsaw_jvm_codez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_bz00_76))), BgL_arg1937z00_2893);
				}
				((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_76)));
			}
			{
				BgL_liveblockz00_bglt BgL_auxz00_6342;

				{
					obj_t BgL_auxz00_6343;

					{	/* SawJvm/code.scm 146 */
						BgL_objectz00_bglt BgL_tmpz00_6344;

						BgL_tmpz00_6344 =
							((BgL_objectz00_bglt)
							((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_76)));
						BgL_auxz00_6343 = BGL_OBJECT_WIDENING(BgL_tmpz00_6344);
					}
					BgL_auxz00_6342 = ((BgL_liveblockz00_bglt) BgL_auxz00_6343);
				}
				((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6342))->BgL_inz00) =
					((obj_t) BNIL), BUNSPEC);
			}
			{
				BgL_liveblockz00_bglt BgL_auxz00_6351;

				{
					obj_t BgL_auxz00_6352;

					{	/* SawJvm/code.scm 146 */
						BgL_objectz00_bglt BgL_tmpz00_6353;

						BgL_tmpz00_6353 =
							((BgL_objectz00_bglt)
							((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_76)));
						BgL_auxz00_6352 = BGL_OBJECT_WIDENING(BgL_tmpz00_6353);
					}
					BgL_auxz00_6351 = ((BgL_liveblockz00_bglt) BgL_auxz00_6352);
				}
				((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6351))->BgL_outz00) =
					((obj_t) BNIL), BUNSPEC);
			}
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_76));
		}

	}



/* live-fix */
	bool_t BGl_livezd2fixzd2zzsaw_jvm_codez00(obj_t BgL_bz00_77)
	{
		{	/* SawJvm/code.scm 148 */
			{	/* SawJvm/code.scm 185 */
				obj_t BgL_arg1938z00_2902;

				{
					BgL_liveblockz00_bglt BgL_auxz00_6362;

					{
						obj_t BgL_auxz00_6363;

						{	/* SawJvm/code.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_6364;

							BgL_tmpz00_6364 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_77));
							BgL_auxz00_6363 = BGL_OBJECT_WIDENING(BgL_tmpz00_6364);
						}
						BgL_auxz00_6362 = ((BgL_liveblockz00_bglt) BgL_auxz00_6363);
					}
					BgL_arg1938z00_2902 =
						(((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6362))->BgL_outz00);
				}
				return
					BGl_fixpointze70ze7zzsaw_jvm_codez00(BgL_bz00_77,
					BgL_arg1938z00_2902);
			}
		}

	}



/* <@anonymous:1959>~0 */
	bool_t BGl_zc3z04anonymousza31959ze3ze70z60zzsaw_jvm_codez00(obj_t
		BgL_regsz00_5632, obj_t BgL_l1693z00_2932)
	{
		{	/* SawJvm/code.scm 165 */
		BGl_zc3z04anonymousza31959ze3ze70z60zzsaw_jvm_codez00:
			if (PAIRP(BgL_l1693z00_2932))
				{	/* SawJvm/code.scm 165 */
					{	/* SawJvm/code.scm 165 */
						obj_t BgL_az00_2935;

						BgL_az00_2935 = CAR(BgL_l1693z00_2932);
						{	/* SawJvm/code.scm 165 */
							obj_t BgL_auxz00_5633;

							BgL_auxz00_5633 =
								BGl_livezd2argze70z35zzsaw_jvm_codez00(BgL_az00_2935,
								CELL_REF(BgL_regsz00_5632));
							CELL_SET(BgL_regsz00_5632, BgL_auxz00_5633);
						}
					}
					{	/* SawJvm/code.scm 165 */
						obj_t BgL_arg1961z00_2936;

						BgL_arg1961z00_2936 = CDR(BgL_l1693z00_2932);
						{
							obj_t BgL_l1693z00_6376;

							BgL_l1693z00_6376 = BgL_arg1961z00_2936;
							BgL_l1693z00_2932 = BgL_l1693z00_6376;
							goto BGl_zc3z04anonymousza31959ze3ze70z60zzsaw_jvm_codez00;
						}
					}
				}
			else
				{	/* SawJvm/code.scm 165 */
					return ((bool_t) 1);
				}
		}

	}



/* live-args~0 */
	obj_t BGl_livezd2argsze70z35zzsaw_jvm_codez00(obj_t BgL_argsz00_2928,
		obj_t BgL_regsz00_2929)
	{
		{	/* SawJvm/code.scm 165 */
			{	/* SawJvm/code.scm 165 */
				struct bgl_cell BgL_box2710_5634z00;
				obj_t BgL_regsz00_5634;

				BgL_regsz00_5634 =
					MAKE_CELL_STACK(BgL_regsz00_2929, BgL_box2710_5634z00);
				BGl_zc3z04anonymousza31959ze3ze70z60zzsaw_jvm_codez00(BgL_regsz00_5634,
					BgL_argsz00_2928);
				return CELL_REF(BgL_regsz00_5634);
			}
		}

	}



/* live-arg~0 */
	obj_t BGl_livezd2argze70z35zzsaw_jvm_codez00(obj_t BgL_az00_2922,
		obj_t BgL_regsz00_2923)
	{
		{	/* SawJvm/code.scm 163 */
			{	/* SawJvm/code.scm 159 */
				bool_t BgL_test2711z00_6378;

				{	/* SawJvm/code.scm 159 */
					obj_t BgL_classz00_4505;

					BgL_classz00_4505 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_az00_2922))
						{	/* SawJvm/code.scm 159 */
							BgL_objectz00_bglt BgL_arg1825z00_4507;

							BgL_arg1825z00_4507 = (BgL_objectz00_bglt) (BgL_az00_2922);
							{	/* SawJvm/code.scm 159 */
								bool_t BgL_arg1822z00_4510;
								bool_t BgL_arg1823z00_4511;

								{	/* SawJvm/code.scm 159 */
									long BgL_idxz00_4514;

									BgL_idxz00_4514 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4507);
									BgL_arg1822z00_4510 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4514 + ((long) 1))) == BgL_classz00_4505);
								}
								{	/* SawJvm/code.scm 159 */
									bool_t BgL_res2484z00_4536;

									{	/* SawJvm/code.scm 159 */
										obj_t BgL_oclassz00_4522;

										{	/* SawJvm/code.scm 159 */
											long BgL_arg1833z00_4528;

											{	/* SawJvm/code.scm 159 */
												long BgL_arg1834z00_4529;

												BgL_arg1834z00_4529 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4507);
												BgL_arg1833z00_4528 =
													(BgL_arg1834z00_4529 - OBJECT_TYPE);
											}
											BgL_oclassz00_4522 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4528);
										}
										{	/* SawJvm/code.scm 159 */
											bool_t BgL__ortest_1110z00_4523;

											BgL__ortest_1110z00_4523 =
												(BgL_classz00_4505 == BgL_oclassz00_4522);
											if (BgL__ortest_1110z00_4523)
												{	/* SawJvm/code.scm 159 */
													BgL_res2484z00_4536 = BgL__ortest_1110z00_4523;
												}
											else
												{	/* SawJvm/code.scm 159 */
													long BgL_odepthz00_4524;

													BgL_odepthz00_4524 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4522);
													if ((((long) 1) < BgL_odepthz00_4524))
														{	/* SawJvm/code.scm 159 */
															obj_t BgL_arg1821z00_4526;

															BgL_arg1821z00_4526 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4522,
																((long) 1));
															BgL_res2484z00_4536 =
																(BgL_arg1821z00_4526 == BgL_classz00_4505);
														}
													else
														{	/* SawJvm/code.scm 159 */
															BgL_res2484z00_4536 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4511 = BgL_res2484z00_4536;
								}
								BgL_test2711z00_6378 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4510, BgL_arg1823z00_4511);
							}
						}
					else
						{	/* SawJvm/code.scm 159 */
							BgL_test2711z00_6378 = ((bool_t) 0);
						}
				}
				if (BgL_test2711z00_6378)
					{	/* SawJvm/code.scm 159 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_az00_2922,
									BgL_regsz00_2923)))
							{	/* SawJvm/code.scm 161 */
								return BgL_regsz00_2923;
							}
						else
							{	/* SawJvm/code.scm 161 */
								return MAKE_YOUNG_PAIR(BgL_az00_2922, BgL_regsz00_2923);
							}
					}
				else
					{	/* SawJvm/code.scm 160 */
						obj_t BgL_arg1957z00_2927;

						BgL_arg1957z00_2927 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_az00_2922)))->BgL_argsz00);
						return
							BGl_livezd2argsze70z35zzsaw_jvm_codez00(BgL_arg1957z00_2927,
							BgL_regsz00_2923);
					}
			}
		}

	}



/* live-instrs~0 */
	obj_t BGl_livezd2instrsze70z35zzsaw_jvm_codez00(obj_t BgL_lz00_2946,
		obj_t BgL_regsz00_2947)
	{
		{	/* SawJvm/code.scm 173 */
			{
				obj_t BgL_insz00_2938;
				obj_t BgL_regsz00_2939;

				if (NULLP(BgL_lz00_2946))
					{	/* SawJvm/code.scm 171 */
						return BgL_regsz00_2947;
					}
				else
					{	/* SawJvm/code.scm 173 */
						obj_t BgL_arg1970z00_2950;
						obj_t BgL_arg1971z00_2951;

						BgL_arg1970z00_2950 = CAR(((obj_t) BgL_lz00_2946));
						{	/* SawJvm/code.scm 173 */
							obj_t BgL_arg1972z00_2952;

							BgL_arg1972z00_2952 = CDR(((obj_t) BgL_lz00_2946));
							BgL_arg1971z00_2951 =
								BGl_livezd2instrsze70z35zzsaw_jvm_codez00(BgL_arg1972z00_2952,
								BgL_regsz00_2947);
						}
						BgL_insz00_2938 = BgL_arg1970z00_2950;
						BgL_regsz00_2939 = BgL_arg1971z00_2951;
						{	/* SawJvm/code.scm 169 */
							obj_t BgL_arg1964z00_2942;
							obj_t BgL_arg1965z00_2943;

							BgL_arg1964z00_2942 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_2938)))->BgL_argsz00);
							if (CBOOL(
									(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_insz00_2938)))->
										BgL_destz00)))
								{	/* SawJvm/code.scm 169 */
									BgL_arg1965z00_2943 =
										bgl_remq(
										(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_insz00_2938)))->
											BgL_destz00), BgL_regsz00_2939);
								}
							else
								{	/* SawJvm/code.scm 169 */
									BgL_arg1965z00_2943 = BgL_regsz00_2939;
								}
							return
								BGl_livezd2argsze70z35zzsaw_jvm_codez00(BgL_arg1964z00_2942,
								BgL_arg1965z00_2943);
						}
					}
			}
		}

	}



/* include~0 */
	bool_t BGl_includeze70ze7zzsaw_jvm_codez00(obj_t BgL_l1z00_2903,
		obj_t BgL_l2z00_2904)
	{
		{	/* SawJvm/code.scm 152 */
		BGl_includeze70ze7zzsaw_jvm_codez00:
			if (NULLP(BgL_l1z00_2903))
				{	/* SawJvm/code.scm 150 */
					return ((bool_t) 1);
				}
			else
				{	/* SawJvm/code.scm 150 */
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
									((obj_t) BgL_l1z00_2903)), BgL_l2z00_2904)))
						{
							obj_t BgL_l1z00_6428;

							BgL_l1z00_6428 = CDR(((obj_t) BgL_l1z00_2903));
							BgL_l1z00_2903 = BgL_l1z00_6428;
							goto BGl_includeze70ze7zzsaw_jvm_codez00;
						}
					else
						{	/* SawJvm/code.scm 151 */
							return ((bool_t) 0);
						}
				}
		}

	}



/* fixpoint~0 */
	bool_t BGl_fixpointze70ze7zzsaw_jvm_codez00(obj_t BgL_bz00_2953,
		obj_t BgL_livez00_2954)
	{
		{	/* SawJvm/code.scm 184 */
			{
				obj_t BgL_l1z00_2911;
				obj_t BgL_l2z00_2912;

				{
					BgL_liveblockz00_bglt BgL_auxz00_6431;

					{
						obj_t BgL_auxz00_6432;

						{	/* SawJvm/code.scm 176 */
							BgL_objectz00_bglt BgL_tmpz00_6433;

							BgL_tmpz00_6433 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2953));
							BgL_auxz00_6432 = BGL_OBJECT_WIDENING(BgL_tmpz00_6433);
						}
						BgL_auxz00_6431 = ((BgL_liveblockz00_bglt) BgL_auxz00_6432);
					}
					((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6431))->BgL_outz00) =
						((obj_t) BgL_livez00_2954), BUNSPEC);
				}
				{	/* SawJvm/code.scm 177 */
					obj_t BgL_nlivez00_2957;

					{	/* SawJvm/code.scm 177 */
						obj_t BgL_arg1982z00_2972;

						BgL_arg1982z00_2972 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt)
										((BgL_blockz00_bglt) BgL_bz00_2953))))->BgL_firstz00);
						BgL_nlivez00_2957 =
							BGl_livezd2instrsze70z35zzsaw_jvm_codez00(BgL_arg1982z00_2972,
							BgL_livez00_2954);
					}
					{	/* SawJvm/code.scm 178 */
						bool_t BgL_test2720z00_6443;

						{	/* SawJvm/code.scm 178 */
							obj_t BgL_arg1981z00_2971;

							{
								BgL_liveblockz00_bglt BgL_auxz00_6444;

								{
									obj_t BgL_auxz00_6445;

									{	/* SawJvm/code.scm 178 */
										BgL_objectz00_bglt BgL_tmpz00_6446;

										BgL_tmpz00_6446 =
											((BgL_objectz00_bglt)
											((BgL_blockz00_bglt) BgL_bz00_2953));
										BgL_auxz00_6445 = BGL_OBJECT_WIDENING(BgL_tmpz00_6446);
									}
									BgL_auxz00_6444 = ((BgL_liveblockz00_bglt) BgL_auxz00_6445);
								}
								BgL_arg1981z00_2971 =
									(((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6444))->
									BgL_inz00);
							}
							BgL_test2720z00_6443 =
								BGl_includeze70ze7zzsaw_jvm_codez00(BgL_nlivez00_2957,
								BgL_arg1981z00_2971);
						}
						if (BgL_test2720z00_6443)
							{	/* SawJvm/code.scm 178 */
								return ((bool_t) 0);
							}
						else
							{	/* SawJvm/code.scm 178 */
								{
									BgL_liveblockz00_bglt BgL_auxz00_6453;

									{
										obj_t BgL_auxz00_6454;

										{	/* SawJvm/code.scm 179 */
											BgL_objectz00_bglt BgL_tmpz00_6455;

											BgL_tmpz00_6455 =
												((BgL_objectz00_bglt)
												((BgL_blockz00_bglt) BgL_bz00_2953));
											BgL_auxz00_6454 = BGL_OBJECT_WIDENING(BgL_tmpz00_6455);
										}
										BgL_auxz00_6453 = ((BgL_liveblockz00_bglt) BgL_auxz00_6454);
									}
									((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6453))->
											BgL_inz00) = ((obj_t) BgL_nlivez00_2957), BUNSPEC);
								}
								{	/* SawJvm/code.scm 180 */
									obj_t BgL_g1697z00_2960;

									BgL_g1697z00_2960 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt)
													((BgL_blockz00_bglt) BgL_bz00_2953))))->BgL_predsz00);
									{
										obj_t BgL_l1695z00_2962;

										BgL_l1695z00_2962 = BgL_g1697z00_2960;
									BgL_zc3z04anonymousza31976ze3z87_2963:
										if (PAIRP(BgL_l1695z00_2962))
											{	/* SawJvm/code.scm 180 */
												{	/* SawJvm/code.scm 181 */
													obj_t BgL_pz00_2965;

													BgL_pz00_2965 = CAR(BgL_l1695z00_2962);
													{	/* SawJvm/code.scm 181 */
														obj_t BgL_oz00_2966;

														{
															BgL_liveblockz00_bglt BgL_auxz00_6467;

															{
																obj_t BgL_auxz00_6468;

																{	/* SawJvm/code.scm 181 */
																	BgL_objectz00_bglt BgL_tmpz00_6469;

																	BgL_tmpz00_6469 =
																		((BgL_objectz00_bglt)
																		((BgL_blockz00_bglt) BgL_pz00_2965));
																	BgL_auxz00_6468 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_6469);
																}
																BgL_auxz00_6467 =
																	((BgL_liveblockz00_bglt) BgL_auxz00_6468);
															}
															BgL_oz00_2966 =
																(((BgL_liveblockz00_bglt)
																	COBJECT(BgL_auxz00_6467))->BgL_outz00);
														}
														if (BGl_includeze70ze7zzsaw_jvm_codez00
															(BgL_nlivez00_2957, BgL_oz00_2966))
															{	/* SawJvm/code.scm 182 */
																((bool_t) 0);
															}
														else
															{	/* SawJvm/code.scm 183 */
																obj_t BgL_auxz00_6477;

																BgL_l1z00_2911 = BgL_nlivez00_2957;
																BgL_l2z00_2912 = BgL_oz00_2966;
															BgL_zc3z04anonymousza31945ze3z87_2913:
																if (NULLP(BgL_l1z00_2911))
																	{	/* SawJvm/code.scm 154 */
																		BgL_auxz00_6477 = BgL_l2z00_2912;
																	}
																else
																	{	/* SawJvm/code.scm 154 */
																		if (CBOOL
																			(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																				(CAR(((obj_t) BgL_l1z00_2911)),
																					BgL_l2z00_2912)))
																			{	/* SawJvm/code.scm 155 */
																				obj_t BgL_arg1949z00_2917;

																				BgL_arg1949z00_2917 =
																					CDR(((obj_t) BgL_l1z00_2911));
																				{
																					obj_t BgL_l1z00_6487;

																					BgL_l1z00_6487 = BgL_arg1949z00_2917;
																					BgL_l1z00_2911 = BgL_l1z00_6487;
																					goto
																						BgL_zc3z04anonymousza31945ze3z87_2913;
																				}
																			}
																		else
																			{	/* SawJvm/code.scm 156 */
																				obj_t BgL_arg1950z00_2918;
																				obj_t BgL_arg1951z00_2919;

																				BgL_arg1950z00_2918 =
																					CDR(((obj_t) BgL_l1z00_2911));
																				{	/* SawJvm/code.scm 156 */
																					obj_t BgL_arg1952z00_2920;

																					BgL_arg1952z00_2920 =
																						CAR(((obj_t) BgL_l1z00_2911));
																					BgL_arg1951z00_2919 =
																						MAKE_YOUNG_PAIR(BgL_arg1952z00_2920,
																						BgL_l2z00_2912);
																				}
																				{
																					obj_t BgL_l2z00_6494;
																					obj_t BgL_l1z00_6493;

																					BgL_l1z00_6493 = BgL_arg1950z00_2918;
																					BgL_l2z00_6494 = BgL_arg1951z00_2919;
																					BgL_l2z00_2912 = BgL_l2z00_6494;
																					BgL_l1z00_2911 = BgL_l1z00_6493;
																					goto
																						BgL_zc3z04anonymousza31945ze3z87_2913;
																				}
																			}
																	}
																BGl_fixpointze70ze7zzsaw_jvm_codez00
																	(BgL_pz00_2965, BgL_auxz00_6477);
															}
													}
												}
												{
													obj_t BgL_l1695z00_6496;

													BgL_l1695z00_6496 = CDR(BgL_l1695z00_2962);
													BgL_l1695z00_2962 = BgL_l1695z00_6496;
													goto BgL_zc3z04anonymousza31976ze3z87_2963;
												}
											}
										else
											{	/* SawJvm/code.scm 180 */
												return ((bool_t) 1);
											}
									}
								}
							}
					}
				}
			}
		}

	}



/* live-reset */
	obj_t BGl_livezd2resetzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt BgL_mez00_78,
		obj_t BgL_bz00_79, obj_t BgL_pendingz00_80)
	{
		{	/* SawJvm/code.scm 187 */
			{	/* SawJvm/code.scm 188 */
				obj_t BgL_labz00_2980;
				obj_t BgL_npendingz00_2981;

				{	/* SawJvm/code.scm 188 */

					{	/* SawJvm/code.scm 188 */

						BgL_labz00_2980 = BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
					}
				}
				BgL_npendingz00_2981 = BNIL;
				BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_78, BgL_labz00_2980);
				{
					obj_t BgL_l1698z00_2984;

					BgL_l1698z00_2984 = BgL_pendingz00_80;
				BgL_zc3z04anonymousza31983ze3z87_2985:
					if (PAIRP(BgL_l1698z00_2984))
						{	/* SawJvm/code.scm 191 */
							{	/* SawJvm/code.scm 192 */
								obj_t BgL_pz00_2987;

								BgL_pz00_2987 = CAR(BgL_l1698z00_2984);
								{	/* SawJvm/code.scm 192 */
									bool_t BgL_test2726z00_6503;

									{	/* SawJvm/code.scm 192 */
										obj_t BgL_arg1990z00_2993;
										obj_t BgL_arg1991z00_2994;

										BgL_arg1990z00_2993 = CAR(((obj_t) BgL_pz00_2987));
										{
											BgL_liveblockz00_bglt BgL_auxz00_6506;

											{
												obj_t BgL_auxz00_6507;

												{	/* SawJvm/code.scm 192 */
													BgL_objectz00_bglt BgL_tmpz00_6508;

													BgL_tmpz00_6508 =
														((BgL_objectz00_bglt)
														((BgL_blockz00_bglt) BgL_bz00_79));
													BgL_auxz00_6507 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6508);
												}
												BgL_auxz00_6506 =
													((BgL_liveblockz00_bglt) BgL_auxz00_6507);
											}
											BgL_arg1991z00_2994 =
												(((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6506))->
												BgL_inz00);
										}
										BgL_test2726z00_6503 =
											CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(BgL_arg1990z00_2993, BgL_arg1991z00_2994));
									}
									if (BgL_test2726z00_6503)
										{	/* SawJvm/code.scm 192 */
											BgL_npendingz00_2981 =
												MAKE_YOUNG_PAIR(BgL_pz00_2987, BgL_npendingz00_2981);
										}
									else
										{	/* SawJvm/code.scm 194 */
											obj_t BgL_arg1988z00_2991;
											obj_t BgL_arg1989z00_2992;

											BgL_arg1988z00_2991 = CAR(((obj_t) BgL_pz00_2987));
											BgL_arg1989z00_2992 = CDR(((obj_t) BgL_pz00_2987));
											{	/* SawJvm/code.scm 205 */
												obj_t BgL_arg1999z00_4557;

												{
													BgL_lregz00_bglt BgL_auxz00_6521;

													{
														obj_t BgL_auxz00_6522;

														{	/* SawJvm/code.scm 205 */
															BgL_objectz00_bglt BgL_tmpz00_6523;

															BgL_tmpz00_6523 =
																((BgL_objectz00_bglt)
																((BgL_rtl_regz00_bglt) BgL_arg1988z00_2991));
															BgL_auxz00_6522 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_6523);
														}
														BgL_auxz00_6521 =
															((BgL_lregz00_bglt) BgL_auxz00_6522);
													}
													BgL_arg1999z00_4557 =
														(((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6521))->
														BgL_idz00);
												}
												BGl_localvarz00zzsaw_jvm_outz00(BgL_mez00_78,
													BgL_arg1988z00_2991, BgL_arg1989z00_2992,
													BgL_labz00_2980, BgL_arg1999z00_4557);
											}
										}
								}
							}
							{
								obj_t BgL_l1698z00_6530;

								BgL_l1698z00_6530 = CDR(BgL_l1698z00_2984);
								BgL_l1698z00_2984 = BgL_l1698z00_6530;
								goto BgL_zc3z04anonymousza31983ze3z87_2985;
							}
						}
					else
						{	/* SawJvm/code.scm 191 */
							((bool_t) 1);
						}
				}
				{	/* SawJvm/code.scm 196 */
					obj_t BgL_g1702z00_2997;

					{
						BgL_liveblockz00_bglt BgL_auxz00_6532;

						{
							obj_t BgL_auxz00_6533;

							{	/* SawJvm/code.scm 196 */
								BgL_objectz00_bglt BgL_tmpz00_6534;

								BgL_tmpz00_6534 =
									((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_79));
								BgL_auxz00_6533 = BGL_OBJECT_WIDENING(BgL_tmpz00_6534);
							}
							BgL_auxz00_6532 = ((BgL_liveblockz00_bglt) BgL_auxz00_6533);
						}
						BgL_g1702z00_2997 =
							(((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6532))->BgL_inz00);
					}
					{
						obj_t BgL_l1700z00_2999;

						BgL_l1700z00_2999 = BgL_g1702z00_2997;
					BgL_zc3z04anonymousza31993ze3z87_3000:
						if (PAIRP(BgL_l1700z00_2999))
							{	/* SawJvm/code.scm 196 */
								{	/* SawJvm/code.scm 197 */
									obj_t BgL_iz00_3002;

									BgL_iz00_3002 = CAR(BgL_l1700z00_2999);
									if (CBOOL(BGl_assqz00zz__r4_pairs_and_lists_6_3z00
											(BgL_iz00_3002, BgL_npendingz00_2981)))
										{	/* SawJvm/code.scm 197 */
											BFALSE;
										}
									else
										{	/* SawJvm/code.scm 198 */
											obj_t BgL_arg1996z00_3004;

											BgL_arg1996z00_3004 =
												MAKE_YOUNG_PAIR(BgL_iz00_3002, BgL_labz00_2980);
											BgL_npendingz00_2981 =
												MAKE_YOUNG_PAIR(BgL_arg1996z00_3004,
												BgL_npendingz00_2981);
										}
								}
								{
									obj_t BgL_l1700z00_6548;

									BgL_l1700z00_6548 = CDR(BgL_l1700z00_2999);
									BgL_l1700z00_2999 = BgL_l1700z00_6548;
									goto BgL_zc3z04anonymousza31993ze3z87_3000;
								}
							}
						else
							{	/* SawJvm/code.scm 196 */
								((bool_t) 1);
							}
					}
				}
				return BgL_npendingz00_2981;
			}
		}

	}



/* gen-ins */
	obj_t BGl_genzd2inszd2zzsaw_jvm_codez00(BgL_jvmz00_bglt BgL_mez00_85,
		obj_t BgL_insz00_86, obj_t BgL_pz00_87)
	{
		{	/* SawJvm/code.scm 210 */
			{	/* SawJvm/code.scm 213 */
				bool_t BgL_test2729z00_6550;

				{	/* SawJvm/code.scm 213 */
					obj_t BgL_arg2022z00_3035;

					{	/* SawJvm/code.scm 213 */
						BgL_rtl_funz00_bglt BgL_arg2023z00_3036;
						obj_t BgL_arg2024z00_3037;

						BgL_arg2023z00_3036 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_funz00);
						BgL_arg2024z00_3037 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_argsz00);
						BgL_arg2022z00_3035 =
							BGl_genzd2argszd2genzd2funzd2zzsaw_jvm_codez00
							(BgL_arg2023z00_3036, ((obj_t) BgL_mez00_85),
							BgL_arg2024z00_3037);
					}
					BgL_test2729z00_6550 =
						(BgL_arg2022z00_3035 == CNST_TABLE_REF(((long) 13)));
				}
				if (BgL_test2729z00_6550)
					{	/* SawJvm/code.scm 213 */
						if (CBOOL(
								(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00)))
							{	/* SawJvm/code.scm 214 */
								BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_85,
									CNST_TABLE_REF(((long) 14)));
								{	/* SawJvm/code.scm 216 */
									obj_t BgL_arg2005z00_3016;

									BgL_arg2005z00_3016 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00);
									BGl_storezd2regzd2zzsaw_jvm_codez00(BgL_mez00_85,
										BgL_arg2005z00_3016);
							}}
						else
							{	/* SawJvm/code.scm 214 */
								BFALSE;
							}
					}
				else
					{	/* SawJvm/code.scm 213 */
						if (CBOOL(
								(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00)))
							{	/* SawJvm/code.scm 218 */
								obj_t BgL_arg2007z00_3018;

								BgL_arg2007z00_3018 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00);
								BGl_storezd2regzd2zzsaw_jvm_codez00(BgL_mez00_85,
									BgL_arg2007z00_3018);
							}
						else
							{	/* SawJvm/code.scm 220 */
								bool_t BgL_test2732z00_6575;

								{	/* SawJvm/code.scm 220 */
									bool_t BgL_test2733z00_6576;

									{	/* SawJvm/code.scm 220 */
										BgL_rtl_funz00_bglt BgL_arg2020z00_3034;

										BgL_arg2020z00_3034 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_funz00);
										{	/* SawJvm/code.scm 220 */
											obj_t BgL_classz00_4566;

											BgL_classz00_4566 = BGl_rtl_lastz00zzsaw_defsz00;
											{	/* SawJvm/code.scm 220 */
												BgL_objectz00_bglt BgL_arg1825z00_4568;

												{	/* SawJvm/code.scm 220 */
													obj_t BgL_tmpz00_6579;

													BgL_tmpz00_6579 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg2020z00_3034));
													BgL_arg1825z00_4568 =
														(BgL_objectz00_bglt) (BgL_tmpz00_6579);
												}
												{	/* SawJvm/code.scm 220 */
													bool_t BgL_arg1822z00_4571;
													bool_t BgL_arg1823z00_4572;

													{	/* SawJvm/code.scm 220 */
														long BgL_idxz00_4575;

														BgL_idxz00_4575 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4568);
														BgL_arg1822z00_4571 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4575 + ((long) 2))) ==
															BgL_classz00_4566);
													}
													{	/* SawJvm/code.scm 220 */
														bool_t BgL_res2485z00_4597;

														{	/* SawJvm/code.scm 220 */
															obj_t BgL_oclassz00_4583;

															{	/* SawJvm/code.scm 220 */
																long BgL_arg1833z00_4589;

																{	/* SawJvm/code.scm 220 */
																	long BgL_arg1834z00_4590;

																	BgL_arg1834z00_4590 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4568);
																	BgL_arg1833z00_4589 =
																		(BgL_arg1834z00_4590 - OBJECT_TYPE);
																}
																BgL_oclassz00_4583 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_4589);
															}
															{	/* SawJvm/code.scm 220 */
																bool_t BgL__ortest_1110z00_4584;

																BgL__ortest_1110z00_4584 =
																	(BgL_classz00_4566 == BgL_oclassz00_4583);
																if (BgL__ortest_1110z00_4584)
																	{	/* SawJvm/code.scm 220 */
																		BgL_res2485z00_4597 =
																			BgL__ortest_1110z00_4584;
																	}
																else
																	{	/* SawJvm/code.scm 220 */
																		long BgL_odepthz00_4585;

																		BgL_odepthz00_4585 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_4583);
																		if ((((long) 2) < BgL_odepthz00_4585))
																			{	/* SawJvm/code.scm 220 */
																				obj_t BgL_arg1821z00_4587;

																				BgL_arg1821z00_4587 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_4583, ((long) 2));
																				BgL_res2485z00_4597 =
																					(BgL_arg1821z00_4587 ==
																					BgL_classz00_4566);
																			}
																		else
																			{	/* SawJvm/code.scm 220 */
																				BgL_res2485z00_4597 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_4572 = BgL_res2485z00_4597;
													}
													BgL_test2733z00_6576 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_4571,
														BgL_arg1823z00_4572);
												}
											}
										}
									}
									if (BgL_test2733z00_6576)
										{	/* SawJvm/code.scm 220 */
											BgL_test2732z00_6575 = ((bool_t) 1);
										}
									else
										{	/* SawJvm/code.scm 221 */
											bool_t BgL_test2736z00_6598;

											{	/* SawJvm/code.scm 221 */
												BgL_rtl_funz00_bglt BgL_arg2019z00_3033;

												BgL_arg2019z00_3033 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_insz00_86)))->
													BgL_funz00);
												{	/* SawJvm/code.scm 221 */
													obj_t BgL_classz00_4598;

													BgL_classz00_4598 = BGl_rtl_notseqz00zzsaw_defsz00;
													{	/* SawJvm/code.scm 221 */
														BgL_objectz00_bglt BgL_arg1825z00_4600;

														{	/* SawJvm/code.scm 221 */
															obj_t BgL_tmpz00_6601;

															BgL_tmpz00_6601 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg2019z00_3033));
															BgL_arg1825z00_4600 =
																(BgL_objectz00_bglt) (BgL_tmpz00_6601);
														}
														{	/* SawJvm/code.scm 221 */
															bool_t BgL_arg1822z00_4603;
															bool_t BgL_arg1823z00_4604;

															{	/* SawJvm/code.scm 221 */
																long BgL_idxz00_4607;

																BgL_idxz00_4607 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_4600);
																BgL_arg1822z00_4603 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4607 + ((long) 2))) ==
																	BgL_classz00_4598);
															}
															{	/* SawJvm/code.scm 221 */
																bool_t BgL_res2486z00_4629;

																{	/* SawJvm/code.scm 221 */
																	obj_t BgL_oclassz00_4615;

																	{	/* SawJvm/code.scm 221 */
																		long BgL_arg1833z00_4621;

																		{	/* SawJvm/code.scm 221 */
																			long BgL_arg1834z00_4622;

																			BgL_arg1834z00_4622 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_4600);
																			BgL_arg1833z00_4621 =
																				(BgL_arg1834z00_4622 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4615 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_4621);
																	}
																	{	/* SawJvm/code.scm 221 */
																		bool_t BgL__ortest_1110z00_4616;

																		BgL__ortest_1110z00_4616 =
																			(BgL_classz00_4598 == BgL_oclassz00_4615);
																		if (BgL__ortest_1110z00_4616)
																			{	/* SawJvm/code.scm 221 */
																				BgL_res2486z00_4629 =
																					BgL__ortest_1110z00_4616;
																			}
																		else
																			{	/* SawJvm/code.scm 221 */
																				long BgL_odepthz00_4617;

																				BgL_odepthz00_4617 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_4615);
																				if ((((long) 2) < BgL_odepthz00_4617))
																					{	/* SawJvm/code.scm 221 */
																						obj_t BgL_arg1821z00_4619;

																						BgL_arg1821z00_4619 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_4615, ((long) 2));
																						BgL_res2486z00_4629 =
																							(BgL_arg1821z00_4619 ==
																							BgL_classz00_4598);
																					}
																				else
																					{	/* SawJvm/code.scm 221 */
																						BgL_res2486z00_4629 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_4604 = BgL_res2486z00_4629;
															}
															BgL_test2736z00_6598 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_4603,
																BgL_arg1823z00_4604);
														}
													}
												}
											}
											if (BgL_test2736z00_6598)
												{	/* SawJvm/code.scm 221 */
													BgL_test2732z00_6575 = ((bool_t) 1);
												}
											else
												{	/* SawJvm/code.scm 222 */
													BgL_rtl_funz00_bglt BgL_arg2018z00_3032;

													BgL_arg2018z00_3032 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_insz00_86)))->
														BgL_funz00);
													{	/* SawJvm/code.scm 222 */
														obj_t BgL_classz00_4630;

														BgL_classz00_4630 = BGl_rtl_effectz00zzsaw_defsz00;
														{	/* SawJvm/code.scm 222 */
															BgL_objectz00_bglt BgL_arg1825z00_4632;

															{	/* SawJvm/code.scm 222 */
																obj_t BgL_tmpz00_6622;

																BgL_tmpz00_6622 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg2018z00_3032));
																BgL_arg1825z00_4632 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_6622);
															}
															{	/* SawJvm/code.scm 222 */
																bool_t BgL_arg1822z00_4635;
																bool_t BgL_arg1823z00_4636;

																{	/* SawJvm/code.scm 222 */
																	long BgL_idxz00_4639;

																	BgL_idxz00_4639 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_4632);
																	BgL_arg1822z00_4635 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4639 + ((long) 2))) ==
																		BgL_classz00_4630);
																}
																{	/* SawJvm/code.scm 222 */
																	bool_t BgL_res2487z00_4661;

																	{	/* SawJvm/code.scm 222 */
																		obj_t BgL_oclassz00_4647;

																		{	/* SawJvm/code.scm 222 */
																			long BgL_arg1833z00_4653;

																			{	/* SawJvm/code.scm 222 */
																				long BgL_arg1834z00_4654;

																				BgL_arg1834z00_4654 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_4632);
																				BgL_arg1833z00_4653 =
																					(BgL_arg1834z00_4654 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4647 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_4653);
																		}
																		{	/* SawJvm/code.scm 222 */
																			bool_t BgL__ortest_1110z00_4648;

																			BgL__ortest_1110z00_4648 =
																				(BgL_classz00_4630 ==
																				BgL_oclassz00_4647);
																			if (BgL__ortest_1110z00_4648)
																				{	/* SawJvm/code.scm 222 */
																					BgL_res2487z00_4661 =
																						BgL__ortest_1110z00_4648;
																				}
																			else
																				{	/* SawJvm/code.scm 222 */
																					long BgL_odepthz00_4649;

																					BgL_odepthz00_4649 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4647);
																					if ((((long) 2) < BgL_odepthz00_4649))
																						{	/* SawJvm/code.scm 222 */
																							obj_t BgL_arg1821z00_4651;

																							BgL_arg1821z00_4651 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4647,
																								((long) 2));
																							BgL_res2487z00_4661 =
																								(BgL_arg1821z00_4651 ==
																								BgL_classz00_4630);
																						}
																					else
																						{	/* SawJvm/code.scm 222 */
																							BgL_res2487z00_4661 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_4636 = BgL_res2487z00_4661;
																}
																BgL_test2732z00_6575 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_4635,
																	BgL_arg1823z00_4636);
															}
														}
													}
												}
										}
								}
								if (BgL_test2732z00_6575)
									{	/* SawJvm/code.scm 220 */
										BFALSE;
									}
								else
									{	/* SawJvm/code.scm 223 */
										int BgL_nz00_3027;

										BgL_nz00_3027 =
											BGl_siza7ezd2destz75zzsaw_jvm_typez00(BgL_insz00_86);
										if (((long) (BgL_nz00_3027) > ((long) 0)))
											{	/* SawJvm/code.scm 224 */
												if (((long) (BgL_nz00_3027) > ((long) 1)))
													{	/* SawJvm/code.scm 225 */
														BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_85,
															CNST_TABLE_REF(((long) 15)));
													}
												else
													{	/* SawJvm/code.scm 225 */
														BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_85,
															CNST_TABLE_REF(((long) 16)));
											}}
										else
											{	/* SawJvm/code.scm 224 */
												BFALSE;
											}
									}
							}
					}
			}
			{	/* SawJvm/code.scm 228 */
				bool_t BgL_test2743z00_6652;

				{	/* SawJvm/code.scm 228 */
					BgL_rtl_funz00_bglt BgL_arg2029z00_3040;

					BgL_arg2029z00_3040 =
						(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_funz00);
					{	/* SawJvm/code.scm 228 */
						obj_t BgL_classz00_4664;

						BgL_classz00_4664 = BGl_rtl_protectz00zzsaw_defsz00;
						{	/* SawJvm/code.scm 228 */
							BgL_objectz00_bglt BgL_arg1825z00_4666;

							{	/* SawJvm/code.scm 228 */
								obj_t BgL_tmpz00_6655;

								BgL_tmpz00_6655 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg2029z00_3040));
								BgL_arg1825z00_4666 = (BgL_objectz00_bglt) (BgL_tmpz00_6655);
							}
							{	/* SawJvm/code.scm 228 */
								bool_t BgL_arg1822z00_4669;
								bool_t BgL_arg1823z00_4670;

								{	/* SawJvm/code.scm 228 */
									long BgL_idxz00_4673;

									BgL_idxz00_4673 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4666);
									BgL_arg1822z00_4669 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4673 + ((long) 2))) == BgL_classz00_4664);
								}
								{	/* SawJvm/code.scm 228 */
									bool_t BgL_res2488z00_4695;

									{	/* SawJvm/code.scm 228 */
										obj_t BgL_oclassz00_4681;

										{	/* SawJvm/code.scm 228 */
											long BgL_arg1833z00_4687;

											{	/* SawJvm/code.scm 228 */
												long BgL_arg1834z00_4688;

												BgL_arg1834z00_4688 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4666);
												BgL_arg1833z00_4687 =
													(BgL_arg1834z00_4688 - OBJECT_TYPE);
											}
											BgL_oclassz00_4681 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4687);
										}
										{	/* SawJvm/code.scm 228 */
											bool_t BgL__ortest_1110z00_4682;

											BgL__ortest_1110z00_4682 =
												(BgL_classz00_4664 == BgL_oclassz00_4681);
											if (BgL__ortest_1110z00_4682)
												{	/* SawJvm/code.scm 228 */
													BgL_res2488z00_4695 = BgL__ortest_1110z00_4682;
												}
											else
												{	/* SawJvm/code.scm 228 */
													long BgL_odepthz00_4683;

													BgL_odepthz00_4683 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4681);
													if ((((long) 2) < BgL_odepthz00_4683))
														{	/* SawJvm/code.scm 228 */
															obj_t BgL_arg1821z00_4685;

															BgL_arg1821z00_4685 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4681,
																((long) 2));
															BgL_res2488z00_4695 =
																(BgL_arg1821z00_4685 == BgL_classz00_4664);
														}
													else
														{	/* SawJvm/code.scm 228 */
															BgL_res2488z00_4695 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4670 = BgL_res2488z00_4695;
								}
								BgL_test2743z00_6652 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4669, BgL_arg1823z00_4670);
							}
						}
					}
				}
				if (BgL_test2743z00_6652)
					{	/* SawJvm/code.scm 228 */
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_85,
							CNST_TABLE_REF(((long) 17)));
					}
				else
					{	/* SawJvm/code.scm 228 */
						BFALSE;
					}
			}
			{	/* SawJvm/code.scm 229 */
				bool_t BgL_test2746z00_6676;

				if (CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
					{	/* SawJvm/code.scm 229 */
						BgL_test2746z00_6676 =
							CBOOL(
							(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00));
					}
				else
					{	/* SawJvm/code.scm 229 */
						BgL_test2746z00_6676 = ((bool_t) 0);
					}
				if (BgL_test2746z00_6676)
					{	/* SawJvm/code.scm 230 */
						bool_t BgL_test2748z00_6682;

						{	/* SawJvm/code.scm 230 */
							obj_t BgL_arg2036z00_3048;

							BgL_arg2036z00_3048 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00);
							BgL_test2748z00_6682 =
								CBOOL(BGl_assqz00zz__r4_pairs_and_lists_6_3z00
								(BgL_arg2036z00_3048, BgL_pz00_87));
						}
						if (BgL_test2748z00_6682)
							{	/* SawJvm/code.scm 230 */
								BFALSE;
							}
						else
							{	/* SawJvm/code.scm 231 */
								obj_t BgL_labz00_3044;

								{	/* SawJvm/code.scm 231 */

									{	/* SawJvm/code.scm 231 */

										BgL_labz00_3044 =
											BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
									}
								}
								BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_85, BgL_labz00_3044);
								{	/* SawJvm/code.scm 233 */
									obj_t BgL_arg2034z00_3045;

									{	/* SawJvm/code.scm 233 */
										obj_t BgL_arg2035z00_3046;

										BgL_arg2035z00_3046 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00);
										BgL_arg2034z00_3045 =
											MAKE_YOUNG_PAIR(BgL_arg2035z00_3046, BgL_labz00_3044);
									}
									BgL_pz00_87 =
										MAKE_YOUNG_PAIR(BgL_arg2034z00_3045, BgL_pz00_87);
								}
							}
					}
				else
					{	/* SawJvm/code.scm 229 */
						BFALSE;
					}
			}
			return BgL_pz00_87;
		}

	}



/* gen-expr */
	BGL_EXPORTED_DEF obj_t BGl_genzd2exprzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt
		BgL_mez00_88, obj_t BgL_insz00_89)
	{
		{	/* SawJvm/code.scm 236 */
			{	/* SawJvm/code.scm 237 */
				bool_t BgL_test2749z00_6693;

				{	/* SawJvm/code.scm 237 */
					obj_t BgL_classz00_4696;

					BgL_classz00_4696 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_insz00_89))
						{	/* SawJvm/code.scm 237 */
							BgL_objectz00_bglt BgL_arg1825z00_4698;

							BgL_arg1825z00_4698 = (BgL_objectz00_bglt) (BgL_insz00_89);
							{	/* SawJvm/code.scm 237 */
								bool_t BgL_arg1822z00_4701;
								bool_t BgL_arg1823z00_4702;

								{	/* SawJvm/code.scm 237 */
									long BgL_idxz00_4705;

									BgL_idxz00_4705 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4698);
									BgL_arg1822z00_4701 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4705 + ((long) 1))) == BgL_classz00_4696);
								}
								{	/* SawJvm/code.scm 237 */
									bool_t BgL_res2489z00_4727;

									{	/* SawJvm/code.scm 237 */
										obj_t BgL_oclassz00_4713;

										{	/* SawJvm/code.scm 237 */
											long BgL_arg1833z00_4719;

											{	/* SawJvm/code.scm 237 */
												long BgL_arg1834z00_4720;

												BgL_arg1834z00_4720 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4698);
												BgL_arg1833z00_4719 =
													(BgL_arg1834z00_4720 - OBJECT_TYPE);
											}
											BgL_oclassz00_4713 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4719);
										}
										{	/* SawJvm/code.scm 237 */
											bool_t BgL__ortest_1110z00_4714;

											BgL__ortest_1110z00_4714 =
												(BgL_classz00_4696 == BgL_oclassz00_4713);
											if (BgL__ortest_1110z00_4714)
												{	/* SawJvm/code.scm 237 */
													BgL_res2489z00_4727 = BgL__ortest_1110z00_4714;
												}
											else
												{	/* SawJvm/code.scm 237 */
													long BgL_odepthz00_4715;

													BgL_odepthz00_4715 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4713);
													if ((((long) 1) < BgL_odepthz00_4715))
														{	/* SawJvm/code.scm 237 */
															obj_t BgL_arg1821z00_4717;

															BgL_arg1821z00_4717 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4713,
																((long) 1));
															BgL_res2489z00_4727 =
																(BgL_arg1821z00_4717 == BgL_classz00_4696);
														}
													else
														{	/* SawJvm/code.scm 237 */
															BgL_res2489z00_4727 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4702 = BgL_res2489z00_4727;
								}
								BgL_test2749z00_6693 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4701, BgL_arg1823z00_4702);
							}
						}
					else
						{	/* SawJvm/code.scm 237 */
							BgL_test2749z00_6693 = ((bool_t) 0);
						}
				}
				if (BgL_test2749z00_6693)
					{	/* SawJvm/code.scm 237 */
						return
							BGl_loadzd2regzd2zzsaw_jvm_codez00(
							((obj_t) BgL_mez00_88), BgL_insz00_89);
					}
				else
					{	/* SawJvm/code.scm 240 */
						bool_t BgL_test2753z00_6714;

						{	/* SawJvm/code.scm 240 */
							obj_t BgL_arg2043z00_3055;

							{	/* SawJvm/code.scm 240 */
								BgL_rtl_funz00_bglt BgL_arg2044z00_3056;
								obj_t BgL_arg2045z00_3057;

								BgL_arg2044z00_3056 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_89)))->BgL_funz00);
								BgL_arg2045z00_3057 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_89)))->BgL_argsz00);
								BgL_arg2043z00_3055 =
									BGl_genzd2argszd2genzd2funzd2zzsaw_jvm_codez00
									(BgL_arg2044z00_3056, ((obj_t) BgL_mez00_88),
									BgL_arg2045z00_3057);
							}
							BgL_test2753z00_6714 =
								(BgL_arg2043z00_3055 == CNST_TABLE_REF(((long) 13)));
						}
						if (BgL_test2753z00_6714)
							{	/* SawJvm/code.scm 240 */
								return
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_88,
									CNST_TABLE_REF(((long) 14)));
							}
						else
							{	/* SawJvm/code.scm 240 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &gen-expr */
	obj_t BGl_z62genzd2exprzb0zzsaw_jvm_codez00(obj_t BgL_envz00_5377,
		obj_t BgL_mez00_5378, obj_t BgL_insz00_5379)
	{
		{	/* SawJvm/code.scm 236 */
			return
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
				((BgL_jvmz00_bglt) BgL_mez00_5378), BgL_insz00_5379);
		}

	}



/* load-reg */
	obj_t BGl_loadzd2regzd2zzsaw_jvm_codez00(obj_t BgL_mez00_90,
		obj_t BgL_rz00_91)
	{
		{	/* SawJvm/code.scm 243 */
			{	/* SawJvm/code.scm 245 */
				obj_t BgL_arg2046z00_3058;

				{	/* SawJvm/code.scm 245 */
					obj_t BgL_arg2047z00_3059;
					obj_t BgL_arg2049z00_3060;

					{	/* SawJvm/code.scm 245 */
						obj_t BgL_casezd2valuezd2_3061;

						BgL_casezd2valuezd2_3061 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_rtl_regz00_bglt) COBJECT(
												((BgL_rtl_regz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_rz00_91))))->
										BgL_typez00)))->BgL_namez00);
						{	/* SawJvm/code.scm 245 */
							bool_t BgL_test2754z00_6731;

							{	/* SawJvm/code.scm 245 */
								bool_t BgL__ortest_1209z00_3071;

								BgL__ortest_1209z00_3071 =
									(BgL_casezd2valuezd2_3061 == CNST_TABLE_REF(((long) 18)));
								if (BgL__ortest_1209z00_3071)
									{	/* SawJvm/code.scm 245 */
										BgL_test2754z00_6731 = BgL__ortest_1209z00_3071;
									}
								else
									{	/* SawJvm/code.scm 245 */
										bool_t BgL__ortest_1210z00_3072;

										BgL__ortest_1210z00_3072 =
											(BgL_casezd2valuezd2_3061 == CNST_TABLE_REF(((long) 19)));
										if (BgL__ortest_1210z00_3072)
											{	/* SawJvm/code.scm 245 */
												BgL_test2754z00_6731 = BgL__ortest_1210z00_3072;
											}
										else
											{	/* SawJvm/code.scm 245 */
												bool_t BgL__ortest_1211z00_3073;

												BgL__ortest_1211z00_3073 =
													(BgL_casezd2valuezd2_3061 ==
													CNST_TABLE_REF(((long) 20)));
												if (BgL__ortest_1211z00_3073)
													{	/* SawJvm/code.scm 245 */
														BgL_test2754z00_6731 = BgL__ortest_1211z00_3073;
													}
												else
													{	/* SawJvm/code.scm 245 */
														bool_t BgL__ortest_1212z00_3074;

														BgL__ortest_1212z00_3074 =
															(BgL_casezd2valuezd2_3061 ==
															CNST_TABLE_REF(((long) 21)));
														if (BgL__ortest_1212z00_3074)
															{	/* SawJvm/code.scm 245 */
																BgL_test2754z00_6731 = BgL__ortest_1212z00_3074;
															}
														else
															{	/* SawJvm/code.scm 245 */
																BgL_test2754z00_6731 =
																	(BgL_casezd2valuezd2_3061 ==
																	CNST_TABLE_REF(((long) 22)));
							}}}}}
							if (BgL_test2754z00_6731)
								{	/* SawJvm/code.scm 245 */
									BgL_arg2047z00_3059 = CNST_TABLE_REF(((long) 23));
								}
							else
								{	/* SawJvm/code.scm 245 */
									if ((BgL_casezd2valuezd2_3061 == CNST_TABLE_REF(((long) 11))))
										{	/* SawJvm/code.scm 245 */
											BgL_arg2047z00_3059 = CNST_TABLE_REF(((long) 24));
										}
									else
										{	/* SawJvm/code.scm 245 */
											if (
												(BgL_casezd2valuezd2_3061 ==
													CNST_TABLE_REF(((long) 25))))
												{	/* SawJvm/code.scm 245 */
													BgL_arg2047z00_3059 = CNST_TABLE_REF(((long) 26));
												}
											else
												{	/* SawJvm/code.scm 245 */
													if (
														(BgL_casezd2valuezd2_3061 ==
															CNST_TABLE_REF(((long) 10))))
														{	/* SawJvm/code.scm 245 */
															BgL_arg2047z00_3059 = CNST_TABLE_REF(((long) 27));
														}
													else
														{	/* SawJvm/code.scm 245 */
															BgL_arg2047z00_3059 = CNST_TABLE_REF(((long) 28));
					}}}}}}
					{	/* SawJvm/code.scm 251 */
						obj_t BgL_arg2055z00_3076;

						{
							BgL_lregz00_bglt BgL_auxz00_6760;

							{
								obj_t BgL_auxz00_6761;

								{	/* SawJvm/code.scm 251 */
									BgL_objectz00_bglt BgL_tmpz00_6762;

									BgL_tmpz00_6762 =
										((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_91));
									BgL_auxz00_6761 = BGL_OBJECT_WIDENING(BgL_tmpz00_6762);
								}
								BgL_auxz00_6760 = ((BgL_lregz00_bglt) BgL_auxz00_6761);
							}
							BgL_arg2055z00_3076 =
								(((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6760))->BgL_idz00);
						}
						BgL_arg2049z00_3060 = MAKE_YOUNG_PAIR(BgL_arg2055z00_3076, BNIL);
					}
					BgL_arg2046z00_3058 =
						MAKE_YOUNG_PAIR(BgL_arg2047z00_3059, BgL_arg2049z00_3060);
				}
				return
					BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_90), BgL_arg2046z00_3058);
			}
		}

	}



/* store-reg */
	obj_t BGl_storezd2regzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt BgL_mez00_92,
		obj_t BgL_rz00_93)
	{
		{	/* SawJvm/code.scm 253 */
			{	/* SawJvm/code.scm 255 */
				obj_t BgL_arg2056z00_3077;

				{	/* SawJvm/code.scm 255 */
					obj_t BgL_arg2058z00_3078;
					obj_t BgL_arg2059z00_3079;

					{	/* SawJvm/code.scm 255 */
						obj_t BgL_casezd2valuezd2_3080;

						BgL_casezd2valuezd2_3080 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_rtl_regz00_bglt) COBJECT(
												((BgL_rtl_regz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_rz00_93))))->
										BgL_typez00)))->BgL_namez00);
						{	/* SawJvm/code.scm 255 */
							bool_t BgL_test2762z00_6776;

							{	/* SawJvm/code.scm 255 */
								bool_t BgL__ortest_1213z00_3090;

								BgL__ortest_1213z00_3090 =
									(BgL_casezd2valuezd2_3080 == CNST_TABLE_REF(((long) 18)));
								if (BgL__ortest_1213z00_3090)
									{	/* SawJvm/code.scm 255 */
										BgL_test2762z00_6776 = BgL__ortest_1213z00_3090;
									}
								else
									{	/* SawJvm/code.scm 255 */
										bool_t BgL__ortest_1214z00_3091;

										BgL__ortest_1214z00_3091 =
											(BgL_casezd2valuezd2_3080 == CNST_TABLE_REF(((long) 19)));
										if (BgL__ortest_1214z00_3091)
											{	/* SawJvm/code.scm 255 */
												BgL_test2762z00_6776 = BgL__ortest_1214z00_3091;
											}
										else
											{	/* SawJvm/code.scm 255 */
												bool_t BgL__ortest_1215z00_3092;

												BgL__ortest_1215z00_3092 =
													(BgL_casezd2valuezd2_3080 ==
													CNST_TABLE_REF(((long) 20)));
												if (BgL__ortest_1215z00_3092)
													{	/* SawJvm/code.scm 255 */
														BgL_test2762z00_6776 = BgL__ortest_1215z00_3092;
													}
												else
													{	/* SawJvm/code.scm 255 */
														bool_t BgL__ortest_1216z00_3093;

														BgL__ortest_1216z00_3093 =
															(BgL_casezd2valuezd2_3080 ==
															CNST_TABLE_REF(((long) 21)));
														if (BgL__ortest_1216z00_3093)
															{	/* SawJvm/code.scm 255 */
																BgL_test2762z00_6776 = BgL__ortest_1216z00_3093;
															}
														else
															{	/* SawJvm/code.scm 255 */
																BgL_test2762z00_6776 =
																	(BgL_casezd2valuezd2_3080 ==
																	CNST_TABLE_REF(((long) 22)));
							}}}}}
							if (BgL_test2762z00_6776)
								{	/* SawJvm/code.scm 255 */
									BgL_arg2058z00_3078 = CNST_TABLE_REF(((long) 29));
								}
							else
								{	/* SawJvm/code.scm 255 */
									if ((BgL_casezd2valuezd2_3080 == CNST_TABLE_REF(((long) 11))))
										{	/* SawJvm/code.scm 255 */
											BgL_arg2058z00_3078 = CNST_TABLE_REF(((long) 30));
										}
									else
										{	/* SawJvm/code.scm 255 */
											if (
												(BgL_casezd2valuezd2_3080 ==
													CNST_TABLE_REF(((long) 25))))
												{	/* SawJvm/code.scm 255 */
													BgL_arg2058z00_3078 = CNST_TABLE_REF(((long) 31));
												}
											else
												{	/* SawJvm/code.scm 255 */
													if (
														(BgL_casezd2valuezd2_3080 ==
															CNST_TABLE_REF(((long) 10))))
														{	/* SawJvm/code.scm 255 */
															BgL_arg2058z00_3078 = CNST_TABLE_REF(((long) 32));
														}
													else
														{	/* SawJvm/code.scm 255 */
															BgL_arg2058z00_3078 = CNST_TABLE_REF(((long) 33));
					}}}}}}
					{	/* SawJvm/code.scm 261 */
						obj_t BgL_arg2065z00_3095;

						{
							BgL_lregz00_bglt BgL_auxz00_6805;

							{
								obj_t BgL_auxz00_6806;

								{	/* SawJvm/code.scm 261 */
									BgL_objectz00_bglt BgL_tmpz00_6807;

									BgL_tmpz00_6807 =
										((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_93));
									BgL_auxz00_6806 = BGL_OBJECT_WIDENING(BgL_tmpz00_6807);
								}
								BgL_auxz00_6805 = ((BgL_lregz00_bglt) BgL_auxz00_6806);
							}
							BgL_arg2065z00_3095 =
								(((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6805))->BgL_idz00);
						}
						BgL_arg2059z00_3079 = MAKE_YOUNG_PAIR(BgL_arg2065z00_3095, BNIL);
					}
					BgL_arg2056z00_3077 =
						MAKE_YOUNG_PAIR(BgL_arg2058z00_3078, BgL_arg2059z00_3079);
				}
				return
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_92, BgL_arg2056z00_3077);
			}
		}

	}



/* out-line */
	obj_t BGl_outzd2linezd2zzsaw_jvm_codez00(obj_t BgL_mez00_94,
		BgL_rtl_funz00_bglt BgL_funz00_95)
	{
		{	/* SawJvm/code.scm 267 */
			{	/* SawJvm/code.scm 268 */
				obj_t BgL_locz00_3096;

				BgL_locz00_3096 =
					(((BgL_rtl_funz00_bglt) COBJECT(BgL_funz00_95))->BgL_locz00);
				{	/* SawJvm/code.scm 269 */
					bool_t BgL_test2770z00_6817;

					if (CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
						{	/* SawJvm/code.scm 269 */
							if (STRUCTP(BgL_locz00_3096))
								{	/* SawJvm/code.scm 269 */
									BgL_test2770z00_6817 =
										(STRUCT_KEY(BgL_locz00_3096) ==
										CNST_TABLE_REF(((long) 34)));
								}
							else
								{	/* SawJvm/code.scm 269 */
									BgL_test2770z00_6817 = ((bool_t) 0);
								}
						}
					else
						{	/* SawJvm/code.scm 269 */
							BgL_test2770z00_6817 = ((bool_t) 0);
						}
					if (BgL_test2770z00_6817)
						{	/* SawJvm/code.scm 270 */
							obj_t BgL_nz00_3098;

							BgL_nz00_3098 = STRUCT_REF(BgL_locz00_3096, (int) (((long) 2)));
							{	/* SawJvm/code.scm 270 */
								long BgL_pz00_3099;

								BgL_pz00_3099 =
									(
									(long) CINT(STRUCT_REF(BgL_locz00_3096,
											(int) (((long) 1)))) + ((long) 1));
								{	/* SawJvm/code.scm 271 */
									obj_t BgL_lastz00_3100;

									if (CBOOL(BGl_za2jvmzd2charzd2infoza2z00zzjas_asz00))
										{	/* SawJvm/code.scm 272 */
											BgL_lastz00_3100 = BINT(BgL_pz00_3099);
										}
									else
										{	/* SawJvm/code.scm 272 */
											BgL_lastz00_3100 = BgL_nz00_3098;
										}
									{	/* SawJvm/code.scm 272 */

										if (
											((long) CINT(BgL_lastz00_3100) ==
												(long) CINT(BGl_za2lastzd2lineza2zd2zzsaw_jvm_codez00)))
											{	/* SawJvm/code.scm 275 */
												return BFALSE;
											}
										else
											{	/* SawJvm/code.scm 275 */
												BGl_za2lastzd2lineza2zd2zzsaw_jvm_codez00 =
													BgL_lastz00_3100;
												{	/* SawJvm/code.scm 277 */
													obj_t BgL_arg2068z00_3102;

													{	/* SawJvm/code.scm 277 */
														obj_t BgL_arg2069z00_3103;

														{	/* SawJvm/code.scm 277 */
															obj_t BgL_arg2071z00_3104;

															BgL_arg2071z00_3104 =
																MAKE_YOUNG_PAIR(BINT(BgL_pz00_3099), BNIL);
															BgL_arg2069z00_3103 =
																MAKE_YOUNG_PAIR(BgL_nz00_3098,
																BgL_arg2071z00_3104);
														}
														BgL_arg2068z00_3102 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 35)),
															BgL_arg2069z00_3103);
													}
													return
														BGl_codez12z12zzsaw_jvm_outz00(
														((BgL_jvmz00_bglt) BgL_mez00_94),
														BgL_arg2068z00_3102);
												}
											}
									}
								}
							}
						}
					else
						{	/* SawJvm/code.scm 269 */
							return BFALSE;
						}
				}
			}
		}

	}



/* intify */
	obj_t BGl_intifyz00zzsaw_jvm_codez00(obj_t BgL_xz00_124)
	{
		{	/* SawJvm/code.scm 400 */
			if (INTEGERP(BgL_xz00_124))
				{	/* SawJvm/code.scm 402 */
					return BgL_xz00_124;
				}
			else
				{	/* SawJvm/code.scm 402 */
					if (BGL_UINT32P(BgL_xz00_124))
						{	/* SawJvm/code.scm 403 */
							uint32_t BgL_xz00_4752;

							BgL_xz00_4752 = BGL_BUINT32_TO_UINT32(BgL_xz00_124);
							return BINT((long) (BgL_xz00_4752));
						}
					else
						{	/* SawJvm/code.scm 403 */
							if (BGL_INT32P(BgL_xz00_124))
								{	/* SawJvm/code.scm 404 */
									int32_t BgL_xz00_4753;

									BgL_xz00_4753 = BGL_BINT32_TO_INT32(BgL_xz00_124);
									{	/* SawJvm/code.scm 404 */
										long BgL_arg1452z00_4754;

										BgL_arg1452z00_4754 = (long) (BgL_xz00_4753);
										return BINT((long) (BgL_arg1452z00_4754));
								}}
							else
								{	/* SawJvm/code.scm 404 */
									return BgL_xz00_124;
								}
						}
				}
		}

	}



/* flat */
	obj_t BGl_flatz00zzsaw_jvm_codez00(obj_t BgL_alz00_127, obj_t BgL_ldefz00_128)
	{
		{	/* SawJvm/code.scm 438 */
			{
				obj_t BgL_alz00_3111;
				obj_t BgL_iz00_3112;
				obj_t BgL_rz00_3113;

				{	/* SawJvm/code.scm 445 */
					obj_t BgL_arg2076z00_3110;

					{	/* SawJvm/code.scm 445 */
						obj_t BgL_pairz00_4779;

						BgL_pairz00_4779 = CAR(((obj_t) BgL_alz00_127));
						BgL_arg2076z00_3110 = CAR(BgL_pairz00_4779);
					}
					BgL_alz00_3111 = BgL_alz00_127;
					BgL_iz00_3112 = BgL_arg2076z00_3110;
					BgL_rz00_3113 = BNIL;
				BgL_zc3z04anonymousza32077ze3z87_3114:
					if (NULLP(BgL_alz00_3111))
						{	/* SawJvm/code.scm 441 */
							return bgl_reverse_bang(BgL_rz00_3113);
						}
					else
						{	/* SawJvm/code.scm 442 */
							bool_t BgL_test2779z00_6864;

							{	/* SawJvm/code.scm 442 */
								long BgL_tmpz00_6865;

								{	/* SawJvm/code.scm 442 */
									obj_t BgL_pairz00_4759;

									BgL_pairz00_4759 = CAR(((obj_t) BgL_alz00_3111));
									BgL_tmpz00_6865 = (long) CINT(CAR(BgL_pairz00_4759));
								}
								BgL_test2779z00_6864 =
									((long) CINT(BgL_iz00_3112) == BgL_tmpz00_6865);
							}
							if (BgL_test2779z00_6864)
								{	/* SawJvm/code.scm 442 */
									obj_t BgL_arg2083z00_3118;
									long BgL_arg2084z00_3119;
									obj_t BgL_arg2085z00_3120;

									BgL_arg2083z00_3118 = CDR(((obj_t) BgL_alz00_3111));
									BgL_arg2084z00_3119 =
										((long) CINT(BgL_iz00_3112) + ((long) 1));
									{	/* SawJvm/code.scm 442 */
										obj_t BgL_arg2086z00_3121;

										{	/* SawJvm/code.scm 442 */
											obj_t BgL_pairz00_4767;

											BgL_pairz00_4767 = CAR(((obj_t) BgL_alz00_3111));
											BgL_arg2086z00_3121 = CDR(BgL_pairz00_4767);
										}
										BgL_arg2085z00_3120 =
											MAKE_YOUNG_PAIR(BgL_arg2086z00_3121, BgL_rz00_3113);
									}
									{
										obj_t BgL_rz00_6883;
										obj_t BgL_iz00_6881;
										obj_t BgL_alz00_6880;

										BgL_alz00_6880 = BgL_arg2083z00_3118;
										BgL_iz00_6881 = BINT(BgL_arg2084z00_3119);
										BgL_rz00_6883 = BgL_arg2085z00_3120;
										BgL_rz00_3113 = BgL_rz00_6883;
										BgL_iz00_3112 = BgL_iz00_6881;
										BgL_alz00_3111 = BgL_alz00_6880;
										goto BgL_zc3z04anonymousza32077ze3z87_3114;
									}
								}
							else
								{	/* SawJvm/code.scm 443 */
									bool_t BgL_test2780z00_6884;

									{	/* SawJvm/code.scm 443 */
										long BgL_tmpz00_6885;

										{	/* SawJvm/code.scm 443 */
											obj_t BgL_pairz00_4771;

											BgL_pairz00_4771 = CAR(((obj_t) BgL_alz00_3111));
											BgL_tmpz00_6885 = (long) CINT(CAR(BgL_pairz00_4771));
										}
										BgL_test2780z00_6884 =
											((long) CINT(BgL_iz00_3112) > BgL_tmpz00_6885);
									}
									if (BgL_test2780z00_6884)
										{	/* SawJvm/code.scm 443 */
											obj_t BgL_arg2089z00_3124;

											BgL_arg2089z00_3124 = CDR(((obj_t) BgL_alz00_3111));
											{
												obj_t BgL_alz00_6894;

												BgL_alz00_6894 = BgL_arg2089z00_3124;
												BgL_alz00_3111 = BgL_alz00_6894;
												goto BgL_zc3z04anonymousza32077ze3z87_3114;
											}
										}
									else
										{	/* SawJvm/code.scm 444 */
											long BgL_arg2090z00_3125;
											obj_t BgL_arg2091z00_3126;

											BgL_arg2090z00_3125 =
												((long) CINT(BgL_iz00_3112) + ((long) 1));
											BgL_arg2091z00_3126 =
												MAKE_YOUNG_PAIR(BgL_ldefz00_128, BgL_rz00_3113);
											{
												obj_t BgL_rz00_6900;
												obj_t BgL_iz00_6898;

												BgL_iz00_6898 = BINT(BgL_arg2090z00_3125);
												BgL_rz00_6900 = BgL_arg2091z00_3126;
												BgL_rz00_3113 = BgL_rz00_6900;
												BgL_iz00_3112 = BgL_iz00_6898;
												goto BgL_zc3z04anonymousza32077ze3z87_3114;
											}
										}
								}
						}
				}
			}
		}

	}



/* gen-funcall */
	obj_t BGl_genzd2funcallzd2zzsaw_jvm_codez00(obj_t BgL_mez00_139,
		obj_t BgL_argsz00_140)
	{
		{	/* SawJvm/code.scm 482 */
			{	/* SawJvm/code.scm 483 */
				long BgL_nz00_3130;

				BgL_nz00_3130 = (bgl_list_length(BgL_argsz00_140) - ((long) 1));
				{

					switch (BgL_nz00_3130)
						{
						case ((long) 0):

							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139), CNST_TABLE_REF(((long) 39)));
							break;
						case ((long) 1):

							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139), CNST_TABLE_REF(((long) 40)));
							break;
						case ((long) 2):

							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139), CNST_TABLE_REF(((long) 41)));
							break;
						case ((long) 3):

							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139), CNST_TABLE_REF(((long) 42)));
							break;
						case ((long) 4):

							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139), CNST_TABLE_REF(((long) 43)));
							break;
						default:
							BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139), CNST_TABLE_REF(((long) 36)));
							{	/* SawJvm/code.scm 492 */
								obj_t BgL_g1728z00_3134;

								BgL_g1728z00_3134 = CDR(((obj_t) BgL_argsz00_140));
								{
									obj_t BgL_l1726z00_3136;

									BgL_l1726z00_3136 = BgL_g1728z00_3134;
								BgL_zc3z04anonymousza32095ze3z87_3137:
									if (PAIRP(BgL_l1726z00_3136))
										{	/* SawJvm/code.scm 492 */
											BGl_codez12z12zzsaw_jvm_outz00(
												((BgL_jvmz00_bglt) BgL_mez00_139),
												CNST_TABLE_REF(((long) 37)));
											{
												obj_t BgL_l1726z00_6928;

												BgL_l1726z00_6928 = CDR(BgL_l1726z00_3136);
												BgL_l1726z00_3136 = BgL_l1726z00_6928;
												goto BgL_zc3z04anonymousza32095ze3z87_3137;
											}
										}
									else
										{	/* SawJvm/code.scm 492 */
											((bool_t) 1);
										}
								}
							}
							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139), CNST_TABLE_REF(((long) 38)));
		}}}}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_codez00()
	{
		{	/* SawJvm/code.scm 1 */
			{	/* SawJvm/code.scm 27 */
				obj_t BgL_arg2105z00_3147;
				obj_t BgL_arg2106z00_3148;

				{	/* SawJvm/code.scm 27 */
					obj_t BgL_v1733z00_3176;

					BgL_v1733z00_3176 = create_vector(((long) 1));
					{	/* SawJvm/code.scm 27 */
						obj_t BgL_arg2117z00_3177;

						BgL_arg2117z00_3177 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									44)), BGl_proc2523z00zzsaw_jvm_codez00,
							BGl_proc2522z00zzsaw_jvm_codez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 45)));
						VECTOR_SET(BgL_v1733z00_3176, ((long) 0), BgL_arg2117z00_3177);
					}
					BgL_arg2105z00_3147 = BgL_v1733z00_3176;
				}
				{	/* SawJvm/code.scm 27 */
					obj_t BgL_v1734z00_3187;

					BgL_v1734z00_3187 = create_vector(((long) 0));
					BgL_arg2106z00_3148 = BgL_v1734z00_3187;
				}
				BGl_lregz00zzsaw_jvm_codez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 46)),
					CNST_TABLE_REF(((long) 47)), BGl_rtl_regz00zzsaw_defsz00,
					((long) 43957), BGl_proc2527z00zzsaw_jvm_codez00,
					BGl_proc2526z00zzsaw_jvm_codez00, BFALSE,
					BGl_proc2525z00zzsaw_jvm_codez00, BGl_proc2524z00zzsaw_jvm_codez00,
					BgL_arg2105z00_3147, BgL_arg2106z00_3148);
			}
			{	/* SawJvm/code.scm 28 */
				obj_t BgL_arg2126z00_3196;
				obj_t BgL_arg2127z00_3197;

				{	/* SawJvm/code.scm 28 */
					obj_t BgL_v1735z00_3224;

					BgL_v1735z00_3224 = create_vector(((long) 2));
					{	/* SawJvm/code.scm 28 */
						obj_t BgL_arg2139z00_3225;

						BgL_arg2139z00_3225 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									48)), BGl_proc2529z00zzsaw_jvm_codez00,
							BGl_proc2528z00zzsaw_jvm_codez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 45)));
						VECTOR_SET(BgL_v1735z00_3224, ((long) 0), BgL_arg2139z00_3225);
					}
					{	/* SawJvm/code.scm 28 */
						obj_t BgL_arg2144z00_3235;

						BgL_arg2144z00_3235 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									49)), BGl_proc2531z00zzsaw_jvm_codez00,
							BGl_proc2530z00zzsaw_jvm_codez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 45)));
						VECTOR_SET(BgL_v1735z00_3224, ((long) 1), BgL_arg2144z00_3235);
					}
					BgL_arg2126z00_3196 = BgL_v1735z00_3224;
				}
				{	/* SawJvm/code.scm 28 */
					obj_t BgL_v1736z00_3245;

					BgL_v1736z00_3245 = create_vector(((long) 0));
					BgL_arg2127z00_3197 = BgL_v1736z00_3245;
				}
				return (BGl_liveblockz00zzsaw_jvm_codez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 50)),
						CNST_TABLE_REF(((long) 47)), BGl_blockz00zzsaw_defsz00,
						((long) 41336), BGl_proc2535z00zzsaw_jvm_codez00,
						BGl_proc2534z00zzsaw_jvm_codez00, BFALSE,
						BGl_proc2533z00zzsaw_jvm_codez00, BGl_proc2532z00zzsaw_jvm_codez00,
						BgL_arg2126z00_3196, BgL_arg2127z00_3197), BUNSPEC);
		}}

	}



/* &lambda2134 */
	BgL_blockz00_bglt BGl_z62lambda2134z62zzsaw_jvm_codez00(obj_t BgL_envz00_5394,
		obj_t BgL_o1179z00_5395)
	{
		{	/* SawJvm/code.scm 28 */
			{	/* SawJvm/code.scm 28 */
				long BgL_arg2136z00_5660;

				{	/* SawJvm/code.scm 28 */
					obj_t BgL_arg2137z00_5661;

					{	/* SawJvm/code.scm 28 */
						obj_t BgL_arg2138z00_5662;

						{	/* SawJvm/code.scm 28 */
							long BgL_arg1833z00_5663;

							{	/* SawJvm/code.scm 28 */
								long BgL_arg1834z00_5664;

								BgL_arg1834z00_5664 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_o1179z00_5395)));
								BgL_arg1833z00_5663 = (BgL_arg1834z00_5664 - OBJECT_TYPE);
							}
							BgL_arg2138z00_5662 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_5663);
						}
						BgL_arg2137z00_5661 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2138z00_5662);
					}
					{	/* SawJvm/code.scm 28 */
						obj_t BgL_tmpz00_6962;

						BgL_tmpz00_6962 = ((obj_t) BgL_arg2137z00_5661);
						BgL_arg2136z00_5660 = BGL_CLASS_NUM(BgL_tmpz00_6962);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1179z00_5395)), BgL_arg2136z00_5660);
			}
			{	/* SawJvm/code.scm 28 */
				BgL_objectz00_bglt BgL_tmpz00_6968;

				BgL_tmpz00_6968 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1179z00_5395));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6968, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1179z00_5395));
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1179z00_5395));
		}

	}



/* &<@anonymous:2133> */
	obj_t BGl_z62zc3z04anonymousza32133ze3ze5zzsaw_jvm_codez00(obj_t
		BgL_envz00_5396, obj_t BgL_new1178z00_5397)
	{
		{	/* SawJvm/code.scm 28 */
			{
				BgL_blockz00_bglt BgL_auxz00_6976;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_new1178z00_5397))))->BgL_labelz00) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1178z00_5397))))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1178z00_5397))))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1178z00_5397))))->BgL_firstz00) =
					((obj_t) MAKE_YOUNG_PAIR(BFALSE, BFALSE)), BUNSPEC);
				{
					BgL_liveblockz00_bglt BgL_auxz00_6991;

					{
						obj_t BgL_auxz00_6992;

						{	/* SawJvm/code.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_6993;

							BgL_tmpz00_6993 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1178z00_5397));
							BgL_auxz00_6992 = BGL_OBJECT_WIDENING(BgL_tmpz00_6993);
						}
						BgL_auxz00_6991 = ((BgL_liveblockz00_bglt) BgL_auxz00_6992);
					}
					((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6991))->BgL_inz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_liveblockz00_bglt BgL_auxz00_6999;

					{
						obj_t BgL_auxz00_7000;

						{	/* SawJvm/code.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_7001;

							BgL_tmpz00_7001 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1178z00_5397));
							BgL_auxz00_7000 = BGL_OBJECT_WIDENING(BgL_tmpz00_7001);
						}
						BgL_auxz00_6999 = ((BgL_liveblockz00_bglt) BgL_auxz00_7000);
					}
					((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6999))->BgL_outz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_6976 = ((BgL_blockz00_bglt) BgL_new1178z00_5397);
				return ((obj_t) BgL_auxz00_6976);
			}
		}

	}



/* &lambda2131 */
	BgL_blockz00_bglt BGl_z62lambda2131z62zzsaw_jvm_codez00(obj_t BgL_envz00_5398,
		obj_t BgL_o1175z00_5399)
	{
		{	/* SawJvm/code.scm 28 */
			{	/* SawJvm/code.scm 28 */
				BgL_liveblockz00_bglt BgL_wide1177z00_5667;

				BgL_wide1177z00_5667 =
					((BgL_liveblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_liveblockz00_bgl))));
				{	/* SawJvm/code.scm 28 */
					obj_t BgL_auxz00_7014;
					BgL_objectz00_bglt BgL_tmpz00_7010;

					BgL_auxz00_7014 = ((obj_t) BgL_wide1177z00_5667);
					BgL_tmpz00_7010 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1175z00_5399)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7010, BgL_auxz00_7014);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1175z00_5399)));
				{	/* SawJvm/code.scm 28 */
					long BgL_arg2132z00_5668;

					BgL_arg2132z00_5668 =
						BGL_CLASS_NUM(BGl_liveblockz00zzsaw_jvm_codez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1175z00_5399))), BgL_arg2132z00_5668);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1175z00_5399)));
			}
		}

	}



/* &lambda2128 */
	BgL_blockz00_bglt BGl_z62lambda2128z62zzsaw_jvm_codez00(obj_t BgL_envz00_5400,
		obj_t BgL_label1169z00_5401, obj_t BgL_preds1170z00_5402,
		obj_t BgL_succs1171z00_5403, obj_t BgL_first1172z00_5404,
		obj_t BgL_in1173z00_5405, obj_t BgL_out1174z00_5406)
	{
		{	/* SawJvm/code.scm 28 */
			{	/* SawJvm/code.scm 28 */
				int BgL_label1169z00_5669;

				BgL_label1169z00_5669 = CINT(BgL_label1169z00_5401);
				{	/* SawJvm/code.scm 28 */
					BgL_blockz00_bglt BgL_new1248z00_5673;

					{	/* SawJvm/code.scm 28 */
						BgL_blockz00_bglt BgL_tmp1246z00_5674;
						BgL_liveblockz00_bglt BgL_wide1247z00_5675;

						{
							BgL_blockz00_bglt BgL_auxz00_7029;

							{	/* SawJvm/code.scm 28 */
								BgL_blockz00_bglt BgL_new1245z00_5676;

								BgL_new1245z00_5676 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawJvm/code.scm 28 */
									long BgL_arg2130z00_5677;

									BgL_arg2130z00_5677 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1245z00_5676),
										BgL_arg2130z00_5677);
								}
								{	/* SawJvm/code.scm 28 */
									BgL_objectz00_bglt BgL_tmpz00_7034;

									BgL_tmpz00_7034 = ((BgL_objectz00_bglt) BgL_new1245z00_5676);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7034, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1245z00_5676);
								BgL_auxz00_7029 = BgL_new1245z00_5676;
							}
							BgL_tmp1246z00_5674 = ((BgL_blockz00_bglt) BgL_auxz00_7029);
						}
						BgL_wide1247z00_5675 =
							((BgL_liveblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_liveblockz00_bgl))));
						{	/* SawJvm/code.scm 28 */
							obj_t BgL_auxz00_7042;
							BgL_objectz00_bglt BgL_tmpz00_7040;

							BgL_auxz00_7042 = ((obj_t) BgL_wide1247z00_5675);
							BgL_tmpz00_7040 = ((BgL_objectz00_bglt) BgL_tmp1246z00_5674);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7040, BgL_auxz00_7042);
						}
						((BgL_objectz00_bglt) BgL_tmp1246z00_5674);
						{	/* SawJvm/code.scm 28 */
							long BgL_arg2129z00_5678;

							BgL_arg2129z00_5678 =
								BGL_CLASS_NUM(BGl_liveblockz00zzsaw_jvm_codez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1246z00_5674),
								BgL_arg2129z00_5678);
						}
						BgL_new1248z00_5673 = ((BgL_blockz00_bglt) BgL_tmp1246z00_5674);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1248z00_5673)))->BgL_labelz00) =
						((int) BgL_label1169z00_5669), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1248z00_5673)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1170z00_5402)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1248z00_5673)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1171z00_5403)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1248z00_5673)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1172z00_5404)), BUNSPEC);
					{
						BgL_liveblockz00_bglt BgL_auxz00_7061;

						{
							obj_t BgL_auxz00_7062;

							{	/* SawJvm/code.scm 28 */
								BgL_objectz00_bglt BgL_tmpz00_7063;

								BgL_tmpz00_7063 = ((BgL_objectz00_bglt) BgL_new1248z00_5673);
								BgL_auxz00_7062 = BGL_OBJECT_WIDENING(BgL_tmpz00_7063);
							}
							BgL_auxz00_7061 = ((BgL_liveblockz00_bglt) BgL_auxz00_7062);
						}
						((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7061))->BgL_inz00) =
							((obj_t) BgL_in1173z00_5405), BUNSPEC);
					}
					{
						BgL_liveblockz00_bglt BgL_auxz00_7068;

						{
							obj_t BgL_auxz00_7069;

							{	/* SawJvm/code.scm 28 */
								BgL_objectz00_bglt BgL_tmpz00_7070;

								BgL_tmpz00_7070 = ((BgL_objectz00_bglt) BgL_new1248z00_5673);
								BgL_auxz00_7069 = BGL_OBJECT_WIDENING(BgL_tmpz00_7070);
							}
							BgL_auxz00_7068 = ((BgL_liveblockz00_bglt) BgL_auxz00_7069);
						}
						((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7068))->BgL_outz00) =
							((obj_t) BgL_out1174z00_5406), BUNSPEC);
					}
					return BgL_new1248z00_5673;
				}
			}
		}

	}



/* &lambda2148 */
	obj_t BGl_z62lambda2148z62zzsaw_jvm_codez00(obj_t BgL_envz00_5407,
		obj_t BgL_oz00_5408, obj_t BgL_vz00_5409)
	{
		{	/* SawJvm/code.scm 28 */
			{
				BgL_liveblockz00_bglt BgL_auxz00_7075;

				{
					obj_t BgL_auxz00_7076;

					{	/* SawJvm/code.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_7077;

						BgL_tmpz00_7077 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_5408));
						BgL_auxz00_7076 = BGL_OBJECT_WIDENING(BgL_tmpz00_7077);
					}
					BgL_auxz00_7075 = ((BgL_liveblockz00_bglt) BgL_auxz00_7076);
				}
				return
					((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7075))->BgL_outz00) =
					((obj_t) BgL_vz00_5409), BUNSPEC);
			}
		}

	}



/* &lambda2147 */
	obj_t BGl_z62lambda2147z62zzsaw_jvm_codez00(obj_t BgL_envz00_5410,
		obj_t BgL_oz00_5411)
	{
		{	/* SawJvm/code.scm 28 */
			{
				BgL_liveblockz00_bglt BgL_auxz00_7083;

				{
					obj_t BgL_auxz00_7084;

					{	/* SawJvm/code.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_7085;

						BgL_tmpz00_7085 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_5411));
						BgL_auxz00_7084 = BGL_OBJECT_WIDENING(BgL_tmpz00_7085);
					}
					BgL_auxz00_7083 = ((BgL_liveblockz00_bglt) BgL_auxz00_7084);
				}
				return (((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7083))->BgL_outz00);
			}
		}

	}



/* &lambda2143 */
	obj_t BGl_z62lambda2143z62zzsaw_jvm_codez00(obj_t BgL_envz00_5412,
		obj_t BgL_oz00_5413, obj_t BgL_vz00_5414)
	{
		{	/* SawJvm/code.scm 28 */
			{
				BgL_liveblockz00_bglt BgL_auxz00_7091;

				{
					obj_t BgL_auxz00_7092;

					{	/* SawJvm/code.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_7093;

						BgL_tmpz00_7093 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_5413));
						BgL_auxz00_7092 = BGL_OBJECT_WIDENING(BgL_tmpz00_7093);
					}
					BgL_auxz00_7091 = ((BgL_liveblockz00_bglt) BgL_auxz00_7092);
				}
				return
					((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7091))->BgL_inz00) =
					((obj_t) BgL_vz00_5414), BUNSPEC);
			}
		}

	}



/* &lambda2142 */
	obj_t BGl_z62lambda2142z62zzsaw_jvm_codez00(obj_t BgL_envz00_5415,
		obj_t BgL_oz00_5416)
	{
		{	/* SawJvm/code.scm 28 */
			{
				BgL_liveblockz00_bglt BgL_auxz00_7099;

				{
					obj_t BgL_auxz00_7100;

					{	/* SawJvm/code.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_7101;

						BgL_tmpz00_7101 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_5416));
						BgL_auxz00_7100 = BGL_OBJECT_WIDENING(BgL_tmpz00_7101);
					}
					BgL_auxz00_7099 = ((BgL_liveblockz00_bglt) BgL_auxz00_7100);
				}
				return (((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7099))->BgL_inz00);
			}
		}

	}



/* &lambda2113 */
	BgL_rtl_regz00_bglt BGl_z62lambda2113z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5417, obj_t BgL_o1167z00_5418)
	{
		{	/* SawJvm/code.scm 27 */
			{	/* SawJvm/code.scm 27 */
				long BgL_arg2114z00_5684;

				{	/* SawJvm/code.scm 27 */
					obj_t BgL_arg2115z00_5685;

					{	/* SawJvm/code.scm 27 */
						obj_t BgL_arg2116z00_5686;

						{	/* SawJvm/code.scm 27 */
							long BgL_arg1833z00_5687;

							{	/* SawJvm/code.scm 27 */
								long BgL_arg1834z00_5688;

								BgL_arg1834z00_5688 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_o1167z00_5418)));
								BgL_arg1833z00_5687 = (BgL_arg1834z00_5688 - OBJECT_TYPE);
							}
							BgL_arg2116z00_5686 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_5687);
						}
						BgL_arg2115z00_5685 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2116z00_5686);
					}
					{	/* SawJvm/code.scm 27 */
						obj_t BgL_tmpz00_7113;

						BgL_tmpz00_7113 = ((obj_t) BgL_arg2115z00_5685);
						BgL_arg2114z00_5684 = BGL_CLASS_NUM(BgL_tmpz00_7113);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) BgL_o1167z00_5418)), BgL_arg2114z00_5684);
			}
			{	/* SawJvm/code.scm 27 */
				BgL_objectz00_bglt BgL_tmpz00_7119;

				BgL_tmpz00_7119 =
					((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1167z00_5418));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7119, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1167z00_5418));
			return ((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1167z00_5418));
		}

	}



/* &<@anonymous:2112> */
	obj_t BGl_z62zc3z04anonymousza32112ze3ze5zzsaw_jvm_codez00(obj_t
		BgL_envz00_5419, obj_t BgL_new1166z00_5420)
	{
		{	/* SawJvm/code.scm 27 */
			{
				BgL_rtl_regz00_bglt BgL_auxz00_7127;

				{
					BgL_typez00_bglt BgL_auxz00_7128;

					{	/* SawJvm/code.scm 27 */
						obj_t BgL_classz00_5690;

						BgL_classz00_5690 = BGl_typez00zztype_typez00;
						{	/* SawJvm/code.scm 27 */
							obj_t BgL__ortest_1112z00_5691;

							BgL__ortest_1112z00_5691 = BGL_CLASS_NIL(BgL_classz00_5690);
							if (CBOOL(BgL__ortest_1112z00_5691))
								{	/* SawJvm/code.scm 27 */
									BgL_auxz00_7128 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_5691);
								}
							else
								{	/* SawJvm/code.scm 27 */
									BgL_auxz00_7128 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5690));
								}
						}
					}
					((((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_new1166z00_5420))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_7128), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt)
									((BgL_rtl_regz00_bglt) BgL_new1166z00_5420))))->BgL_varz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1166z00_5420))))->BgL_onexprzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1166z00_5420))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1166z00_5420))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1166z00_5420))))->BgL_hardwarez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_lregz00_bglt BgL_auxz00_7153;

					{
						obj_t BgL_auxz00_7154;

						{	/* SawJvm/code.scm 27 */
							BgL_objectz00_bglt BgL_tmpz00_7155;

							BgL_tmpz00_7155 =
								((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_new1166z00_5420));
							BgL_auxz00_7154 = BGL_OBJECT_WIDENING(BgL_tmpz00_7155);
						}
						BgL_auxz00_7153 = ((BgL_lregz00_bglt) BgL_auxz00_7154);
					}
					((((BgL_lregz00_bglt) COBJECT(BgL_auxz00_7153))->BgL_idz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_7127 = ((BgL_rtl_regz00_bglt) BgL_new1166z00_5420);
				return ((obj_t) BgL_auxz00_7127);
			}
		}

	}



/* &lambda2110 */
	BgL_rtl_regz00_bglt BGl_z62lambda2110z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5421, obj_t BgL_o1163z00_5422)
	{
		{	/* SawJvm/code.scm 27 */
			{	/* SawJvm/code.scm 27 */
				BgL_lregz00_bglt BgL_wide1165z00_5693;

				BgL_wide1165z00_5693 =
					((BgL_lregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_lregz00_bgl))));
				{	/* SawJvm/code.scm 27 */
					obj_t BgL_auxz00_7168;
					BgL_objectz00_bglt BgL_tmpz00_7164;

					BgL_auxz00_7168 = ((obj_t) BgL_wide1165z00_5693);
					BgL_tmpz00_7164 =
						((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1163z00_5422)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7164, BgL_auxz00_7168);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1163z00_5422)));
				{	/* SawJvm/code.scm 27 */
					long BgL_arg2111z00_5694;

					BgL_arg2111z00_5694 = BGL_CLASS_NUM(BGl_lregz00zzsaw_jvm_codez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_o1163z00_5422))),
						BgL_arg2111z00_5694);
				}
				return
					((BgL_rtl_regz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1163z00_5422)));
			}
		}

	}



/* &lambda2107 */
	BgL_rtl_regz00_bglt BGl_z62lambda2107z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5423, obj_t BgL_type1156z00_5424, obj_t BgL_var1157z00_5425,
		obj_t BgL_onexprzf31158zf3_5426, obj_t BgL_name1159z00_5427,
		obj_t BgL_key1160z00_5428, obj_t BgL_hardware1161z00_5429,
		obj_t BgL_id1162z00_5430)
	{
		{	/* SawJvm/code.scm 27 */
			{	/* SawJvm/code.scm 27 */
				BgL_rtl_regz00_bglt BgL_new1243z00_5696;

				{	/* SawJvm/code.scm 27 */
					BgL_rtl_regz00_bglt BgL_tmp1241z00_5697;
					BgL_lregz00_bglt BgL_wide1242z00_5698;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_7182;

						{	/* SawJvm/code.scm 27 */
							BgL_rtl_regz00_bglt BgL_new1240z00_5699;

							BgL_new1240z00_5699 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawJvm/code.scm 27 */
								long BgL_arg2109z00_5700;

								BgL_arg2109z00_5700 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1240z00_5699),
									BgL_arg2109z00_5700);
							}
							{	/* SawJvm/code.scm 27 */
								BgL_objectz00_bglt BgL_tmpz00_7187;

								BgL_tmpz00_7187 = ((BgL_objectz00_bglt) BgL_new1240z00_5699);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7187, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1240z00_5699);
							BgL_auxz00_7182 = BgL_new1240z00_5699;
						}
						BgL_tmp1241z00_5697 = ((BgL_rtl_regz00_bglt) BgL_auxz00_7182);
					}
					BgL_wide1242z00_5698 =
						((BgL_lregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_lregz00_bgl))));
					{	/* SawJvm/code.scm 27 */
						obj_t BgL_auxz00_7195;
						BgL_objectz00_bglt BgL_tmpz00_7193;

						BgL_auxz00_7195 = ((obj_t) BgL_wide1242z00_5698);
						BgL_tmpz00_7193 = ((BgL_objectz00_bglt) BgL_tmp1241z00_5697);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7193, BgL_auxz00_7195);
					}
					((BgL_objectz00_bglt) BgL_tmp1241z00_5697);
					{	/* SawJvm/code.scm 27 */
						long BgL_arg2108z00_5701;

						BgL_arg2108z00_5701 = BGL_CLASS_NUM(BGl_lregz00zzsaw_jvm_codez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1241z00_5697), BgL_arg2108z00_5701);
					}
					BgL_new1243z00_5696 = ((BgL_rtl_regz00_bglt) BgL_tmp1241z00_5697);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1243z00_5696)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1156z00_5424)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1243z00_5696)))->BgL_varz00) =
					((obj_t) BgL_var1157z00_5425), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1243z00_5696)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31158zf3_5426), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1243z00_5696)))->BgL_namez00) =
					((obj_t) BgL_name1159z00_5427), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1243z00_5696)))->BgL_keyz00) =
					((obj_t) BgL_key1160z00_5428), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1243z00_5696)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1161z00_5429), BUNSPEC);
				{
					BgL_lregz00_bglt BgL_auxz00_7216;

					{
						obj_t BgL_auxz00_7217;

						{	/* SawJvm/code.scm 27 */
							BgL_objectz00_bglt BgL_tmpz00_7218;

							BgL_tmpz00_7218 = ((BgL_objectz00_bglt) BgL_new1243z00_5696);
							BgL_auxz00_7217 = BGL_OBJECT_WIDENING(BgL_tmpz00_7218);
						}
						BgL_auxz00_7216 = ((BgL_lregz00_bglt) BgL_auxz00_7217);
					}
					((((BgL_lregz00_bglt) COBJECT(BgL_auxz00_7216))->BgL_idz00) =
						((obj_t) BgL_id1162z00_5430), BUNSPEC);
				}
				return BgL_new1243z00_5696;
			}
		}

	}



/* &lambda2121 */
	obj_t BGl_z62lambda2121z62zzsaw_jvm_codez00(obj_t BgL_envz00_5431,
		obj_t BgL_oz00_5432, obj_t BgL_vz00_5433)
	{
		{	/* SawJvm/code.scm 27 */
			{
				BgL_lregz00_bglt BgL_auxz00_7223;

				{
					obj_t BgL_auxz00_7224;

					{	/* SawJvm/code.scm 27 */
						BgL_objectz00_bglt BgL_tmpz00_7225;

						BgL_tmpz00_7225 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_5432));
						BgL_auxz00_7224 = BGL_OBJECT_WIDENING(BgL_tmpz00_7225);
					}
					BgL_auxz00_7223 = ((BgL_lregz00_bglt) BgL_auxz00_7224);
				}
				return
					((((BgL_lregz00_bglt) COBJECT(BgL_auxz00_7223))->BgL_idz00) =
					((obj_t) BgL_vz00_5433), BUNSPEC);
			}
		}

	}



/* &lambda2120 */
	obj_t BGl_z62lambda2120z62zzsaw_jvm_codez00(obj_t BgL_envz00_5434,
		obj_t BgL_oz00_5435)
	{
		{	/* SawJvm/code.scm 27 */
			{
				BgL_lregz00_bglt BgL_auxz00_7231;

				{
					obj_t BgL_auxz00_7232;

					{	/* SawJvm/code.scm 27 */
						BgL_objectz00_bglt BgL_tmpz00_7233;

						BgL_tmpz00_7233 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_5435));
						BgL_auxz00_7232 = BGL_OBJECT_WIDENING(BgL_tmpz00_7233);
					}
					BgL_auxz00_7231 = ((BgL_lregz00_bglt) BgL_auxz00_7232);
				}
				return (((BgL_lregz00_bglt) COBJECT(BgL_auxz00_7231))->BgL_idz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_codez00()
	{
		{	/* SawJvm/code.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_proc2536z00zzsaw_jvm_codez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string2537z00zzsaw_jvm_codez00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_genzd2funzd2withzd2argszd2envz00zzsaw_jvm_codez00,
				BGl_proc2538z00zzsaw_jvm_codez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string2539z00zzsaw_jvm_codez00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_proc2540z00zzsaw_jvm_codez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string2541z00zzsaw_jvm_codez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_genzd2argszd2genzd2predicatezd2envz00zzsaw_jvm_codez00,
				BGl_proc2542z00zzsaw_jvm_codez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string2543z00zzsaw_jvm_codez00);
		}

	}



/* &gen-args-gen-predica1811 */
	obj_t BGl_z62genzd2argszd2genzd2predica1811zb0zzsaw_jvm_codez00(obj_t
		BgL_envz00_5440, obj_t BgL_funz00_5441, obj_t BgL_mez00_5442,
		obj_t BgL_argsz00_5443, obj_t BgL_onzf3zf3_5444, obj_t BgL_labz00_5445)
	{
		{	/* SawJvm/code.scm 638 */
			BGl_genzd2argszd2genzd2funzd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5441), BgL_mez00_5442,
				BgL_argsz00_5443);
			BGl_outzd2linezd2zzsaw_jvm_codez00(BgL_mez00_5442,
				((BgL_rtl_funz00_bglt) BgL_funz00_5441));
			{	/* SawJvm/code.scm 642 */
				obj_t BgL_arg2156z00_5705;

				if (CBOOL(BgL_onzf3zf3_5444))
					{	/* SawJvm/code.scm 642 */
						BgL_arg2156z00_5705 = CNST_TABLE_REF(((long) 51));
					}
				else
					{	/* SawJvm/code.scm 642 */
						BgL_arg2156z00_5705 = CNST_TABLE_REF(((long) 52));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5442), BgL_arg2156z00_5705,
					BgL_labz00_5445);
			}
		}

	}



/* &gen-fun1741 */
	obj_t BGl_z62genzd2fun1741zb0zzsaw_jvm_codez00(obj_t BgL_envz00_5446,
		obj_t BgL_funz00_5447, obj_t BgL_mez00_5448)
	{
		{	/* SawJvm/code.scm 308 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 53)),
				BGl_string2544z00zzsaw_jvm_codez00,
				((obj_t) ((BgL_rtl_funz00_bglt) BgL_funz00_5447)));
		}

	}



/* &gen-fun-with-args1739 */
	obj_t BGl_z62genzd2funzd2withzd2args1739zb0zzsaw_jvm_codez00(obj_t
		BgL_envz00_5449, obj_t BgL_funz00_5450, obj_t BgL_mez00_5451,
		obj_t BgL_argsz00_5452)
	{
		{	/* SawJvm/code.scm 294 */
			return
				BGl_genzd2funzd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5450), BgL_mez00_5451);
		}

	}



/* &gen-args-gen-fun1737 */
	obj_t BGl_z62genzd2argszd2genzd2fun1737zb0zzsaw_jvm_codez00(obj_t
		BgL_envz00_5453, obj_t BgL_funz00_5454, obj_t BgL_mez00_5455,
		obj_t BgL_argsz00_5456)
	{
		{	/* SawJvm/code.scm 284 */
			{
				obj_t BgL_l1703z00_5710;

				BgL_l1703z00_5710 = BgL_argsz00_5456;
			BgL_zc3z04anonymousza32150ze3z87_5709:
				if (PAIRP(BgL_l1703z00_5710))
					{	/* SawJvm/code.scm 286 */
						{	/* SawJvm/code.scm 286 */
							obj_t BgL_az00_5711;

							BgL_az00_5711 = CAR(BgL_l1703z00_5710);
							BGl_genzd2exprzd2zzsaw_jvm_codez00(
								((BgL_jvmz00_bglt) BgL_mez00_5455), BgL_az00_5711);
						}
						{
							obj_t BgL_l1703z00_7264;

							BgL_l1703z00_7264 = CDR(BgL_l1703z00_5710);
							BgL_l1703z00_5710 = BgL_l1703z00_7264;
							goto BgL_zc3z04anonymousza32150ze3z87_5709;
						}
					}
				else
					{	/* SawJvm/code.scm 286 */
						((bool_t) 1);
					}
			}
			BGl_outzd2linezd2zzsaw_jvm_codez00(BgL_mez00_5455,
				((BgL_rtl_funz00_bglt) BgL_funz00_5454));
			return
				BGl_genzd2funzd2withzd2argszd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5454), BgL_mez00_5455,
				BgL_argsz00_5456);
		}

	}



/* gen-args-gen-fun */
	obj_t BGl_genzd2argszd2genzd2funzd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt
		BgL_funz00_96, obj_t BgL_mez00_97, obj_t BgL_argsz00_98)
	{
		{	/* SawJvm/code.scm 284 */
			{	/* SawJvm/code.scm 284 */
				obj_t BgL_method1738z00_3283;

				{	/* SawJvm/code.scm 284 */
					obj_t BgL_res2495z00_4882;

					{	/* SawJvm/code.scm 284 */
						long BgL_objzd2classzd2numz00_4853;

						BgL_objzd2classzd2numz00_4853 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_96));
						{	/* SawJvm/code.scm 284 */
							obj_t BgL_arg1829z00_4854;

							BgL_arg1829z00_4854 =
								PROCEDURE_REF
								(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
								(int) (((long) 1)));
							{	/* SawJvm/code.scm 284 */
								int BgL_offsetz00_4857;

								BgL_offsetz00_4857 = (int) (BgL_objzd2classzd2numz00_4853);
								{	/* SawJvm/code.scm 284 */
									long BgL_offsetz00_4858;

									BgL_offsetz00_4858 =
										((long) (BgL_offsetz00_4857) - OBJECT_TYPE);
									{	/* SawJvm/code.scm 284 */
										long BgL_modz00_4859;

										BgL_modz00_4859 =
											(BgL_offsetz00_4858 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawJvm/code.scm 284 */
											long BgL_restz00_4861;

											BgL_restz00_4861 =
												(BgL_offsetz00_4858 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawJvm/code.scm 284 */

												{	/* SawJvm/code.scm 284 */
													obj_t BgL_bucketz00_4863;

													BgL_bucketz00_4863 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_4854), BgL_modz00_4859);
													BgL_res2495z00_4882 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4863), BgL_restz00_4861);
					}}}}}}}}
					BgL_method1738z00_3283 = BgL_res2495z00_4882;
				}
				return
					PROCEDURE_ENTRY(BgL_method1738z00_3283) (BgL_method1738z00_3283,
					((obj_t) BgL_funz00_96), BgL_mez00_97, BgL_argsz00_98, BEOA);
			}
		}

	}



/* &gen-args-gen-fun */
	obj_t BGl_z62genzd2argszd2genzd2funzb0zzsaw_jvm_codez00(obj_t BgL_envz00_5457,
		obj_t BgL_funz00_5458, obj_t BgL_mez00_5459, obj_t BgL_argsz00_5460)
	{
		{	/* SawJvm/code.scm 284 */
			return
				BGl_genzd2argszd2genzd2funzd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5458), BgL_mez00_5459,
				BgL_argsz00_5460);
		}

	}



/* gen-fun-with-args */
	obj_t BGl_genzd2funzd2withzd2argszd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt
		BgL_funz00_99, obj_t BgL_mez00_100, obj_t BgL_argsz00_101)
	{
		{	/* SawJvm/code.scm 294 */
			{	/* SawJvm/code.scm 294 */
				obj_t BgL_method1740z00_3284;

				{	/* SawJvm/code.scm 294 */
					obj_t BgL_res2500z00_4913;

					{	/* SawJvm/code.scm 294 */
						long BgL_objzd2classzd2numz00_4884;

						BgL_objzd2classzd2numz00_4884 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_99));
						{	/* SawJvm/code.scm 294 */
							obj_t BgL_arg1829z00_4885;

							BgL_arg1829z00_4885 =
								PROCEDURE_REF
								(BGl_genzd2funzd2withzd2argszd2envz00zzsaw_jvm_codez00,
								(int) (((long) 1)));
							{	/* SawJvm/code.scm 294 */
								int BgL_offsetz00_4888;

								BgL_offsetz00_4888 = (int) (BgL_objzd2classzd2numz00_4884);
								{	/* SawJvm/code.scm 294 */
									long BgL_offsetz00_4889;

									BgL_offsetz00_4889 =
										((long) (BgL_offsetz00_4888) - OBJECT_TYPE);
									{	/* SawJvm/code.scm 294 */
										long BgL_modz00_4890;

										BgL_modz00_4890 =
											(BgL_offsetz00_4889 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawJvm/code.scm 294 */
											long BgL_restz00_4892;

											BgL_restz00_4892 =
												(BgL_offsetz00_4889 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawJvm/code.scm 294 */

												{	/* SawJvm/code.scm 294 */
													obj_t BgL_bucketz00_4894;

													BgL_bucketz00_4894 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_4885), BgL_modz00_4890);
													BgL_res2500z00_4913 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4894), BgL_restz00_4892);
					}}}}}}}}
					BgL_method1740z00_3284 = BgL_res2500z00_4913;
				}
				return
					PROCEDURE_ENTRY(BgL_method1740z00_3284) (BgL_method1740z00_3284,
					((obj_t) BgL_funz00_99), BgL_mez00_100, BgL_argsz00_101, BEOA);
			}
		}

	}



/* &gen-fun-with-args */
	obj_t BGl_z62genzd2funzd2withzd2argszb0zzsaw_jvm_codez00(obj_t
		BgL_envz00_5461, obj_t BgL_funz00_5462, obj_t BgL_mez00_5463,
		obj_t BgL_argsz00_5464)
	{
		{	/* SawJvm/code.scm 294 */
			return
				BGl_genzd2funzd2withzd2argszd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5462), BgL_mez00_5463,
				BgL_argsz00_5464);
		}

	}



/* gen-fun */
	obj_t BGl_genzd2funzd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt BgL_funz00_102,
		obj_t BgL_mez00_103)
	{
		{	/* SawJvm/code.scm 308 */
			{	/* SawJvm/code.scm 308 */
				obj_t BgL_method1742z00_3285;

				{	/* SawJvm/code.scm 308 */
					obj_t BgL_res2505z00_4944;

					{	/* SawJvm/code.scm 308 */
						long BgL_objzd2classzd2numz00_4915;

						BgL_objzd2classzd2numz00_4915 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_102));
						{	/* SawJvm/code.scm 308 */
							obj_t BgL_arg1829z00_4916;

							BgL_arg1829z00_4916 =
								PROCEDURE_REF(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
								(int) (((long) 1)));
							{	/* SawJvm/code.scm 308 */
								int BgL_offsetz00_4919;

								BgL_offsetz00_4919 = (int) (BgL_objzd2classzd2numz00_4915);
								{	/* SawJvm/code.scm 308 */
									long BgL_offsetz00_4920;

									BgL_offsetz00_4920 =
										((long) (BgL_offsetz00_4919) - OBJECT_TYPE);
									{	/* SawJvm/code.scm 308 */
										long BgL_modz00_4921;

										BgL_modz00_4921 =
											(BgL_offsetz00_4920 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawJvm/code.scm 308 */
											long BgL_restz00_4923;

											BgL_restz00_4923 =
												(BgL_offsetz00_4920 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawJvm/code.scm 308 */

												{	/* SawJvm/code.scm 308 */
													obj_t BgL_bucketz00_4925;

													BgL_bucketz00_4925 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_4916), BgL_modz00_4921);
													BgL_res2505z00_4944 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4925), BgL_restz00_4923);
					}}}}}}}}
					BgL_method1742z00_3285 = BgL_res2505z00_4944;
				}
				return
					PROCEDURE_ENTRY(BgL_method1742z00_3285) (BgL_method1742z00_3285,
					((obj_t) BgL_funz00_102), BgL_mez00_103, BEOA);
			}
		}

	}



/* &gen-fun */
	obj_t BGl_z62genzd2funzb0zzsaw_jvm_codez00(obj_t BgL_envz00_5465,
		obj_t BgL_funz00_5466, obj_t BgL_mez00_5467)
	{
		{	/* SawJvm/code.scm 308 */
			return
				BGl_genzd2funzd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5466), BgL_mez00_5467);
		}

	}



/* gen-args-gen-predicate */
	obj_t BGl_genzd2argszd2genzd2predicatezd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt
		BgL_funz00_184, obj_t BgL_mez00_185, obj_t BgL_argsz00_186,
		obj_t BgL_onzf3zf3_187, obj_t BgL_labz00_188)
	{
		{	/* SawJvm/code.scm 638 */
			{	/* SawJvm/code.scm 638 */
				obj_t BgL_method1812z00_3286;

				{	/* SawJvm/code.scm 638 */
					obj_t BgL_res2510z00_4975;

					{	/* SawJvm/code.scm 638 */
						long BgL_objzd2classzd2numz00_4946;

						BgL_objzd2classzd2numz00_4946 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_184));
						{	/* SawJvm/code.scm 638 */
							obj_t BgL_arg1829z00_4947;

							BgL_arg1829z00_4947 =
								PROCEDURE_REF
								(BGl_genzd2argszd2genzd2predicatezd2envz00zzsaw_jvm_codez00,
								(int) (((long) 1)));
							{	/* SawJvm/code.scm 638 */
								int BgL_offsetz00_4950;

								BgL_offsetz00_4950 = (int) (BgL_objzd2classzd2numz00_4946);
								{	/* SawJvm/code.scm 638 */
									long BgL_offsetz00_4951;

									BgL_offsetz00_4951 =
										((long) (BgL_offsetz00_4950) - OBJECT_TYPE);
									{	/* SawJvm/code.scm 638 */
										long BgL_modz00_4952;

										BgL_modz00_4952 =
											(BgL_offsetz00_4951 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawJvm/code.scm 638 */
											long BgL_restz00_4954;

											BgL_restz00_4954 =
												(BgL_offsetz00_4951 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawJvm/code.scm 638 */

												{	/* SawJvm/code.scm 638 */
													obj_t BgL_bucketz00_4956;

													BgL_bucketz00_4956 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_4947), BgL_modz00_4952);
													BgL_res2510z00_4975 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4956), BgL_restz00_4954);
					}}}}}}}}
					BgL_method1812z00_3286 = BgL_res2510z00_4975;
				}
				return
					PROCEDURE_ENTRY(BgL_method1812z00_3286) (BgL_method1812z00_3286,
					((obj_t) BgL_funz00_184), BgL_mez00_185, BgL_argsz00_186,
					BgL_onzf3zf3_187, BgL_labz00_188, BEOA);
			}
		}

	}



/* &gen-args-gen-predicate */
	obj_t BGl_z62genzd2argszd2genzd2predicatezb0zzsaw_jvm_codez00(obj_t
		BgL_envz00_5468, obj_t BgL_funz00_5469, obj_t BgL_mez00_5470,
		obj_t BgL_argsz00_5471, obj_t BgL_onzf3zf3_5472, obj_t BgL_labz00_5473)
	{
		{	/* SawJvm/code.scm 638 */
			return
				BGl_genzd2argszd2genzd2predicatezd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5469), BgL_mez00_5470,
				BgL_argsz00_5471, BgL_onzf3zf3_5472, BgL_labz00_5473);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_codez00()
	{
		{	/* SawJvm/code.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_nopz00zzsaw_defsz00,
				BGl_proc2545z00zzsaw_jvm_codez00, BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_movz00zzsaw_defsz00,
				BGl_proc2547z00zzsaw_jvm_codez00, BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_loadiz00zzsaw_defsz00,
				BGl_proc2548z00zzsaw_jvm_codez00, BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_loadgz00zzsaw_defsz00,
				BGl_proc2549z00zzsaw_jvm_codez00, BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_storegz00zzsaw_defsz00, BGl_proc2550z00zzsaw_jvm_codez00,
				BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_globalrefz00zzsaw_defsz00, BGl_proc2551z00zzsaw_jvm_codez00,
				BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_ifeqz00zzsaw_defsz00, BGl_proc2552z00zzsaw_jvm_codez00,
				BGl_string2553z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_ifnez00zzsaw_defsz00, BGl_proc2554z00zzsaw_jvm_codez00,
				BGl_string2553z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_goz00zzsaw_defsz00,
				BGl_proc2555z00zzsaw_jvm_codez00, BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_switchz00zzsaw_defsz00, BGl_proc2556z00zzsaw_jvm_codez00,
				BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc2557z00zzsaw_jvm_codez00,
				BGl_string2553z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_callz00zzsaw_defsz00,
				BGl_proc2558z00zzsaw_jvm_codez00, BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_lightfuncallz00zzsaw_defsz00, BGl_proc2559z00zzsaw_jvm_codez00,
				BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2withzd2argszd2envz00zzsaw_jvm_codez00,
				BGl_rtl_funcallz00zzsaw_defsz00, BGl_proc2560z00zzsaw_jvm_codez00,
				BGl_string2561z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2withzd2argszd2envz00zzsaw_jvm_codez00,
				BGl_rtl_returnz00zzsaw_defsz00, BGl_proc2562z00zzsaw_jvm_codez00,
				BGl_string2561z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_loadfunz00zzsaw_defsz00, BGl_proc2563z00zzsaw_jvm_codez00,
				BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_applyz00zzsaw_defsz00,
				BGl_proc2564z00zzsaw_jvm_codez00, BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_vrefz00zzsaw_defsz00,
				BGl_proc2565z00zzsaw_jvm_codez00, BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_vsetz00zzsaw_defsz00,
				BGl_proc2566z00zzsaw_jvm_codez00, BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_vlengthz00zzsaw_defsz00, BGl_proc2567z00zzsaw_jvm_codez00,
				BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_vallocz00zzsaw_defsz00, BGl_proc2568z00zzsaw_jvm_codez00,
				BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_newz00zzsaw_defsz00, BGl_proc2569z00zzsaw_jvm_codez00,
				BGl_string2553z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc2570z00zzsaw_jvm_codez00,
				BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_setfieldz00zzsaw_defsz00, BGl_proc2571z00zzsaw_jvm_codez00,
				BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_instanceofz00zzsaw_defsz00, BGl_proc2572z00zzsaw_jvm_codez00,
				BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_castz00zzsaw_defsz00,
				BGl_proc2573z00zzsaw_jvm_codez00, BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_cast_nullz00zzsaw_defsz00, BGl_proc2574z00zzsaw_jvm_codez00,
				BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_makeboxz00zzsaw_defsz00, BGl_proc2575z00zzsaw_jvm_codez00,
				BGl_string2553z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_boxrefz00zzsaw_defsz00, BGl_proc2576z00zzsaw_jvm_codez00,
				BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_boxsetz00zzsaw_defsz00, BGl_proc2577z00zzsaw_jvm_codez00,
				BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_jumpexitz00zzsaw_defsz00, BGl_proc2578z00zzsaw_jvm_codez00,
				BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_failz00zzsaw_defsz00,
				BGl_proc2579z00zzsaw_jvm_codez00, BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_protectz00zzsaw_defsz00, BGl_proc2580z00zzsaw_jvm_codez00,
				BGl_string2546z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_protectedz00zzsaw_defsz00, BGl_proc2581z00zzsaw_jvm_codez00,
				BGl_string2546z00zzsaw_jvm_codez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2argszd2genzd2predicatezd2envz00zzsaw_jvm_codez00,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc2582z00zzsaw_jvm_codez00,
				BGl_string2583z00zzsaw_jvm_codez00);
		}

	}



/* &gen-args-gen-predica1814 */
	obj_t BGl_z62genzd2argszd2genzd2predica1814zb0zzsaw_jvm_codez00(obj_t
		BgL_envz00_5511, obj_t BgL_funz00_5512, obj_t BgL_mez00_5513,
		obj_t BgL_argsz00_5514, obj_t BgL_onzf3zf3_5515, obj_t BgL_labz00_5516)
	{
		{	/* SawJvm/code.scm 645 */
			{
				obj_t BgL_l1731z00_5714;

				BgL_l1731z00_5714 = BgL_argsz00_5514;
			BgL_zc3z04anonymousza32335ze3z87_5713:
				if (PAIRP(BgL_l1731z00_5714))
					{	/* SawJvm/code.scm 646 */
						{	/* SawJvm/code.scm 646 */
							obj_t BgL_az00_5715;

							BgL_az00_5715 = CAR(BgL_l1731z00_5714);
							BGl_genzd2exprzd2zzsaw_jvm_codez00(
								((BgL_jvmz00_bglt) BgL_mez00_5513), BgL_az00_5715);
						}
						{
							obj_t BgL_l1731z00_7447;

							BgL_l1731z00_7447 = CDR(BgL_l1731z00_5714);
							BgL_l1731z00_5714 = BgL_l1731z00_7447;
							goto BgL_zc3z04anonymousza32335ze3z87_5713;
						}
					}
				else
					{	/* SawJvm/code.scm 646 */
						((bool_t) 1);
					}
			}
			BGl_outzd2linezd2zzsaw_jvm_codez00(BgL_mez00_5513,
				((BgL_rtl_funz00_bglt) ((BgL_rtl_callz00_bglt) BgL_funz00_5512)));
			{	/* SawJvm/code.scm 648 */
				obj_t BgL_rz00_5716;

				{	/* SawJvm/code.scm 648 */
					BgL_globalz00_bglt BgL_arg2341z00_5717;

					BgL_arg2341z00_5717 =
						(((BgL_rtl_callz00_bglt) COBJECT(
								((BgL_rtl_callz00_bglt) BgL_funz00_5512)))->BgL_varz00);
					BgL_rz00_5716 =
						BGl_inlinezd2predicatezf3z21zzsaw_jvm_inlinez00(
						((BgL_jvmz00_bglt) BgL_mez00_5513), BgL_arg2341z00_5717,
						BgL_onzf3zf3_5515, BgL_labz00_5516);
				}
				if ((BgL_rz00_5716 == CNST_TABLE_REF(((long) 54))))
					{	/* SawJvm/code.scm 649 */
						BGl_genzd2funzd2withzd2argszd2zzsaw_jvm_codez00(
							((BgL_rtl_funz00_bglt)
								((BgL_rtl_callz00_bglt) BgL_funz00_5512)), BgL_mez00_5513,
							BgL_argsz00_5514);
						{	/* SawJvm/code.scm 651 */
							obj_t BgL_arg2340z00_5718;

							if (CBOOL(BgL_onzf3zf3_5515))
								{	/* SawJvm/code.scm 651 */
									BgL_arg2340z00_5718 = CNST_TABLE_REF(((long) 51));
								}
							else
								{	/* SawJvm/code.scm 651 */
									BgL_arg2340z00_5718 = CNST_TABLE_REF(((long) 52));
								}
							return
								BGl_branchz00zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_5513), BgL_arg2340z00_5718,
								BgL_labz00_5516);
						}
					}
				else
					{	/* SawJvm/code.scm 649 */
						return BgL_rz00_5716;
					}
			}
		}

	}



/* &gen-fun-rtl_protecte1810 */
	obj_t BGl_z62genzd2funzd2rtl_protecte1810z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5517, obj_t BgL_funz00_5518, obj_t BgL_mez00_5519)
	{
		{	/* SawJvm/code.scm 629 */
			return CNST_TABLE_REF(((long) 55));
		}

	}



/* &gen-fun-rtl_protect1808 */
	obj_t BGl_z62genzd2funzd2rtl_protect1808z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5520, obj_t BgL_funz00_5521, obj_t BgL_mez00_5522)
	{
		{	/* SawJvm/code.scm 626 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5522), CNST_TABLE_REF(((long) 56)));
		}

	}



/* &gen-fun-rtl_fail1806 */
	obj_t BGl_z62genzd2funzd2rtl_fail1806z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5523, obj_t BgL_funz00_5524, obj_t BgL_mez00_5525)
	{
		{	/* SawJvm/code.scm 621 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5525), CNST_TABLE_REF(((long) 57)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5525), CNST_TABLE_REF(((long) 58)));
			return CNST_TABLE_REF(((long) 13));
		}

	}



/* &gen-fun-rtl_jumpexit1804 */
	obj_t BGl_z62genzd2funzd2rtl_jumpexit1804z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5526, obj_t BgL_funz00_5527, obj_t BgL_mez00_5528)
	{
		{	/* SawJvm/code.scm 614 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5528), CNST_TABLE_REF(((long) 59)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5528), CNST_TABLE_REF(((long) 60)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5528), CNST_TABLE_REF(((long) 58)));
			return CNST_TABLE_REF(((long) 13));
		}

	}



/* &gen-fun-rtl_boxset1802 */
	obj_t BGl_z62genzd2funzd2rtl_boxset1802z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5529, obj_t BgL_funz00_5530, obj_t BgL_mez00_5531)
	{
		{	/* SawJvm/code.scm 607 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5531), CNST_TABLE_REF(((long) 61)));
			return CNST_TABLE_REF(((long) 13));
		}

	}



/* &gen-fun-rtl_boxref1800 */
	obj_t BGl_z62genzd2funzd2rtl_boxref1800z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5532, obj_t BgL_funz00_5533, obj_t BgL_mez00_5534)
	{
		{	/* SawJvm/code.scm 604 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5534), CNST_TABLE_REF(((long) 62)));
		}

	}



/* &gen-args-gen-fun-rtl1798 */
	obj_t BGl_z62genzd2argszd2genzd2funzd2rtl1798z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5535, obj_t BgL_funz00_5536, obj_t BgL_mez00_5537,
		obj_t BgL_argsz00_5538)
	{
		{	/* SawJvm/code.scm 597 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5537), CNST_TABLE_REF(((long) 63)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5537), CNST_TABLE_REF(((long) 64)));
			{	/* SawJvm/code.scm 600 */
				obj_t BgL_arg2334z00_5726;

				BgL_arg2334z00_5726 = CAR(((obj_t) BgL_argsz00_5538));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_5537), BgL_arg2334z00_5726);
			}
			BGl_outzd2linezd2zzsaw_jvm_codez00(BgL_mez00_5537,
				((BgL_rtl_funz00_bglt) ((BgL_rtl_makeboxz00_bglt) BgL_funz00_5536)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5537), CNST_TABLE_REF(((long) 65)));
		}

	}



/* &gen-fun-rtl_cast_nul1796 */
	obj_t BGl_z62genzd2funzd2rtl_cast_nul1796z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5539, obj_t BgL_funz00_5540, obj_t BgL_mez00_5541)
	{
		{	/* SawJvm/code.scm 588 */
			{	/* SawJvm/code.scm 589 */
				BgL_typez00_bglt BgL_typez00_5728;

				BgL_typez00_5728 =
					(((BgL_rtl_cast_nullz00_bglt) COBJECT(
							((BgL_rtl_cast_nullz00_bglt) BgL_funz00_5540)))->BgL_typez00);
				if (
					((((BgL_typez00_bglt) COBJECT(BgL_typez00_5728))->BgL_namez00) ==
						CNST_TABLE_REF(((long) 25))))
					{	/* SawJvm/code.scm 591 */
						obj_t BgL_arg2329z00_5729;

						BgL_arg2329z00_5729 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 66)), BNIL);
						return
							BGl_codez12z12zzsaw_jvm_outz00(
							((BgL_jvmz00_bglt) BgL_mez00_5541), BgL_arg2329z00_5729);
					}
				else
					{	/* SawJvm/code.scm 592 */
						obj_t BgL_arg2331z00_5730;

						BgL_arg2331z00_5730 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 67)), BNIL);
						return
							BGl_codez12z12zzsaw_jvm_outz00(
							((BgL_jvmz00_bglt) BgL_mez00_5541), BgL_arg2331z00_5730);
					}
			}
		}

	}



/* &gen-fun-rtl_cast1794 */
	obj_t BGl_z62genzd2funzd2rtl_cast1794z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5542, obj_t BgL_funz00_5543, obj_t BgL_mez00_5544)
	{
		{	/* SawJvm/code.scm 582 */
			if (CBOOL(BGl_za2purifyza2z00zzengine_paramz00))
				{	/* SawJvm/code.scm 584 */
					BgL_typez00_bglt BgL_typez00_5732;

					BgL_typez00_5732 =
						(((BgL_rtl_castz00_bglt) COBJECT(
								((BgL_rtl_castz00_bglt) BgL_funz00_5543)))->BgL_totypez00);
					if (
						((((BgL_typez00_bglt) COBJECT(BgL_typez00_5732))->BgL_namez00) ==
							CNST_TABLE_REF(((long) 45))))
						{	/* SawJvm/code.scm 585 */
							return BFALSE;
						}
					else
						{	/* SawJvm/code.scm 586 */
							obj_t BgL_arg2323z00_5733;

							{	/* SawJvm/code.scm 586 */
								obj_t BgL_arg2324z00_5734;

								{	/* SawJvm/code.scm 586 */
									obj_t BgL_arg2325z00_5735;

									BgL_arg2325z00_5735 =
										BGl_compilezd2typezd2zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_5544), BgL_typez00_5732);
									BgL_arg2324z00_5734 =
										MAKE_YOUNG_PAIR(BgL_arg2325z00_5735, BNIL);
								}
								BgL_arg2323z00_5733 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 68)),
									BgL_arg2324z00_5734);
							}
							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_5544), BgL_arg2323z00_5733);
						}
				}
			else
				{	/* SawJvm/code.scm 583 */
					return BFALSE;
				}
		}

	}



/* &gen-fun-rtl_instance1792 */
	obj_t BGl_z62genzd2funzd2rtl_instance1792z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5545, obj_t BgL_funz00_5546, obj_t BgL_mez00_5547)
	{
		{	/* SawJvm/code.scm 572 */
			{	/* SawJvm/code.scm 573 */
				obj_t BgL_arg2316z00_5737;

				{	/* SawJvm/code.scm 573 */
					obj_t BgL_arg2317z00_5738;

					{	/* SawJvm/code.scm 573 */
						obj_t BgL_arg2319z00_5739;

						{	/* SawJvm/code.scm 573 */
							BgL_typez00_bglt BgL_arg2320z00_5740;

							BgL_arg2320z00_5740 =
								(((BgL_rtl_instanceofz00_bglt) COBJECT(
										((BgL_rtl_instanceofz00_bglt) BgL_funz00_5546)))->
								BgL_typez00);
							BgL_arg2319z00_5739 =
								BGl_compilezd2typezd2zzsaw_jvm_outz00(((BgL_jvmz00_bglt)
									BgL_mez00_5547), BgL_arg2320z00_5740);
						}
						BgL_arg2317z00_5738 = MAKE_YOUNG_PAIR(BgL_arg2319z00_5739, BNIL);
					}
					BgL_arg2316z00_5737 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 69)), BgL_arg2317z00_5738);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5547), BgL_arg2316z00_5737);
			}
			{	/* SawJvm/code.scm 574 */
				obj_t BgL_l1z00_5741;
				obj_t BgL_l2z00_5742;

				BgL_l1z00_5741 =
					BGl_gensymz00zz__r4_symbols_6_4z00
					(BGl_string2584z00zzsaw_jvm_codez00);
				BgL_l2z00_5742 =
					BGl_gensymz00zz__r4_symbols_6_4z00
					(BGl_string2584z00zzsaw_jvm_codez00);
				BGl_branchz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5547),
					CNST_TABLE_REF(((long) 52)), BgL_l1z00_5741);
				BGl_pushzd2intzd2zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5547),
					BINT(((long) 1)));
				BGl_branchz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5547),
					CNST_TABLE_REF(((long) 70)), BgL_l2z00_5742);
				BGl_labelz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5547),
					BgL_l1z00_5741);
				BGl_pushzd2intzd2zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5547),
					BINT(((long) 0)));
				return BGl_labelz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5547),
					BgL_l2z00_5742);
			}
		}

	}



/* &gen-fun-rtl_setfield1790 */
	obj_t BGl_z62genzd2funzd2rtl_setfield1790z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5548, obj_t BgL_funz00_5549, obj_t BgL_mez00_5550)
	{
		{	/* SawJvm/code.scm 567 */
			{	/* SawJvm/code.scm 569 */
				BgL_typez00_bglt BgL_arg2312z00_5744;
				BgL_typez00_bglt BgL_arg2314z00_5745;
				obj_t BgL_arg2315z00_5746;

				BgL_arg2312z00_5744 =
					(((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_funz00_5549)))->BgL_typez00);
				BgL_arg2314z00_5745 =
					(((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_funz00_5549)))->BgL_objtypez00);
				BgL_arg2315z00_5746 =
					(((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_funz00_5549)))->BgL_namez00);
				BGl_storezd2fieldzd2zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5550), BgL_arg2312z00_5744,
					BgL_arg2314z00_5745, BgL_arg2315z00_5746);
			}
			return CNST_TABLE_REF(((long) 13));
		}

	}



/* &gen-fun-rtl_getfield1788 */
	obj_t BGl_z62genzd2funzd2rtl_getfield1788z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5551, obj_t BgL_funz00_5552, obj_t BgL_mez00_5553)
	{
		{	/* SawJvm/code.scm 563 */
			{	/* SawJvm/code.scm 565 */
				BgL_typez00_bglt BgL_arg2309z00_5748;
				BgL_typez00_bglt BgL_arg2310z00_5749;
				obj_t BgL_arg2311z00_5750;

				BgL_arg2309z00_5748 =
					(((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_funz00_5552)))->BgL_typez00);
				BgL_arg2310z00_5749 =
					(((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_funz00_5552)))->BgL_objtypez00);
				BgL_arg2311z00_5750 =
					(((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_funz00_5552)))->BgL_namez00);
				return
					BGl_loadzd2fieldzd2zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5553), BgL_arg2309z00_5748,
					BgL_arg2310z00_5749, BgL_arg2311z00_5750);
			}
		}

	}



/* &gen-args-gen-fun-rtl1786 */
	obj_t BGl_z62genzd2argszd2genzd2funzd2rtl1786z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5554, obj_t BgL_funz00_5555, obj_t BgL_mez00_5556,
		obj_t BgL_argsz00_5557)
	{
		{	/* SawJvm/code.scm 557 */
			BGl_outzd2linezd2zzsaw_jvm_codez00(BgL_mez00_5556,
				((BgL_rtl_funz00_bglt) ((BgL_rtl_newz00_bglt) BgL_funz00_5555)));
			{	/* SawJvm/code.scm 559 */
				BgL_typez00_bglt BgL_arg2301z00_5752;
				obj_t BgL_arg2304z00_5753;

				BgL_arg2301z00_5752 =
					(((BgL_rtl_newz00_bglt) COBJECT(
							((BgL_rtl_newz00_bglt) BgL_funz00_5555)))->BgL_typez00);
				BgL_arg2304z00_5753 =
					(((BgL_rtl_newz00_bglt) COBJECT(
							((BgL_rtl_newz00_bglt) BgL_funz00_5555)))->BgL_constrz00);
				{	/* SawJvm/code.scm 560 */
					obj_t BgL_zc3z04anonymousza32305ze3z87_5754;

					BgL_zc3z04anonymousza32305ze3z87_5754 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32305ze3ze5zzsaw_jvm_codez00,
						(int) (((long) 0)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32305ze3z87_5754,
						(int) (((long) 0)), BgL_mez00_5556);
					PROCEDURE_SET(BgL_zc3z04anonymousza32305ze3z87_5754,
						(int) (((long) 1)), BgL_argsz00_5557);
					return BGl_newobjz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt)
							BgL_mez00_5556), BgL_arg2301z00_5752,
						BgL_zc3z04anonymousza32305ze3z87_5754, BgL_arg2304z00_5753);
				}
			}
		}

	}



/* &<@anonymous:2305> */
	obj_t BGl_z62zc3z04anonymousza32305ze3ze5zzsaw_jvm_codez00(obj_t
		BgL_envz00_5558)
	{
		{	/* SawJvm/code.scm 560 */
			{	/* SawJvm/code.scm 560 */
				obj_t BgL_mez00_5559;
				obj_t BgL_argsz00_5560;

				BgL_mez00_5559 = PROCEDURE_REF(BgL_envz00_5558, (int) (((long) 0)));
				BgL_argsz00_5560 = PROCEDURE_REF(BgL_envz00_5558, (int) (((long) 1)));
				{	/* SawJvm/code.scm 560 */
					bool_t BgL_tmpz00_7605;

					{
						obj_t BgL_l1729z00_5756;

						BgL_l1729z00_5756 = BgL_argsz00_5560;
					BgL_zc3z04anonymousza32306ze3z87_5755:
						if (PAIRP(BgL_l1729z00_5756))
							{	/* SawJvm/code.scm 560 */
								{	/* SawJvm/code.scm 560 */
									obj_t BgL_az00_5757;

									BgL_az00_5757 = CAR(BgL_l1729z00_5756);
									BGl_genzd2exprzd2zzsaw_jvm_codez00(
										((BgL_jvmz00_bglt) BgL_mez00_5559), BgL_az00_5757);
								}
								{
									obj_t BgL_l1729z00_7611;

									BgL_l1729z00_7611 = CDR(BgL_l1729z00_5756);
									BgL_l1729z00_5756 = BgL_l1729z00_7611;
									goto BgL_zc3z04anonymousza32306ze3z87_5755;
								}
							}
						else
							{	/* SawJvm/code.scm 560 */
								BgL_tmpz00_7605 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_tmpz00_7605);
				}
			}
		}

	}



/* &gen-fun-rtl_valloc1784 */
	obj_t BGl_z62genzd2funzd2rtl_valloc1784z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5561, obj_t BgL_funz00_5562, obj_t BgL_mez00_5563)
	{
		{	/* SawJvm/code.scm 546 */
			{	/* SawJvm/code.scm 547 */
				obj_t BgL_typez00_5759;

				{	/* SawJvm/code.scm 547 */
					BgL_typez00_bglt BgL_arg2299z00_5760;

					BgL_arg2299z00_5760 =
						(((BgL_rtl_vallocz00_bglt) COBJECT(
								((BgL_rtl_vallocz00_bglt) BgL_funz00_5562)))->BgL_typez00);
					BgL_typez00_5759 =
						BGl_compilezd2typezd2zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5563), BgL_arg2299z00_5760);
				}
				{	/* SawJvm/code.scm 548 */
					obj_t BgL_arg2295z00_5761;

					{	/* SawJvm/code.scm 548 */
						obj_t BgL_arg2296z00_5762;
						obj_t BgL_arg2297z00_5763;

						{	/* SawJvm/code.scm 548 */
							bool_t BgL_test2792z00_7618;

							{	/* SawJvm/code.scm 548 */
								bool_t BgL__ortest_1231z00_5764;

								BgL__ortest_1231z00_5764 =
									(BgL_typez00_5759 == CNST_TABLE_REF(((long) 18)));
								if (BgL__ortest_1231z00_5764)
									{	/* SawJvm/code.scm 548 */
										BgL_test2792z00_7618 = BgL__ortest_1231z00_5764;
									}
								else
									{	/* SawJvm/code.scm 548 */
										bool_t BgL__ortest_1232z00_5765;

										BgL__ortest_1232z00_5765 =
											(BgL_typez00_5759 == CNST_TABLE_REF(((long) 19)));
										if (BgL__ortest_1232z00_5765)
											{	/* SawJvm/code.scm 548 */
												BgL_test2792z00_7618 = BgL__ortest_1232z00_5765;
											}
										else
											{	/* SawJvm/code.scm 548 */
												bool_t BgL__ortest_1233z00_5766;

												BgL__ortest_1233z00_5766 =
													(BgL_typez00_5759 == CNST_TABLE_REF(((long) 20)));
												if (BgL__ortest_1233z00_5766)
													{	/* SawJvm/code.scm 548 */
														BgL_test2792z00_7618 = BgL__ortest_1233z00_5766;
													}
												else
													{	/* SawJvm/code.scm 548 */
														bool_t BgL__ortest_1234z00_5767;

														BgL__ortest_1234z00_5767 =
															(BgL_typez00_5759 == CNST_TABLE_REF(((long) 21)));
														if (BgL__ortest_1234z00_5767)
															{	/* SawJvm/code.scm 548 */
																BgL_test2792z00_7618 = BgL__ortest_1234z00_5767;
															}
														else
															{	/* SawJvm/code.scm 548 */
																bool_t BgL__ortest_1235z00_5768;

																BgL__ortest_1235z00_5768 =
																	(BgL_typez00_5759 ==
																	CNST_TABLE_REF(((long) 22)));
																if (BgL__ortest_1235z00_5768)
																	{	/* SawJvm/code.scm 548 */
																		BgL_test2792z00_7618 =
																			BgL__ortest_1235z00_5768;
																	}
																else
																	{	/* SawJvm/code.scm 548 */
																		bool_t BgL__ortest_1236z00_5769;

																		BgL__ortest_1236z00_5769 =
																			(BgL_typez00_5759 ==
																			CNST_TABLE_REF(((long) 11)));
																		if (BgL__ortest_1236z00_5769)
																			{	/* SawJvm/code.scm 548 */
																				BgL_test2792z00_7618 =
																					BgL__ortest_1236z00_5769;
																			}
																		else
																			{	/* SawJvm/code.scm 548 */
																				bool_t BgL__ortest_1237z00_5770;

																				BgL__ortest_1237z00_5770 =
																					(BgL_typez00_5759 ==
																					CNST_TABLE_REF(((long) 25)));
																				if (BgL__ortest_1237z00_5770)
																					{	/* SawJvm/code.scm 548 */
																						BgL_test2792z00_7618 =
																							BgL__ortest_1237z00_5770;
																					}
																				else
																					{	/* SawJvm/code.scm 548 */
																						BgL_test2792z00_7618 =
																							(BgL_typez00_5759 ==
																							CNST_TABLE_REF(((long) 10)));
							}}}}}}}}
							if (BgL_test2792z00_7618)
								{	/* SawJvm/code.scm 548 */
									BgL_arg2296z00_5762 = CNST_TABLE_REF(((long) 71));
								}
							else
								{	/* SawJvm/code.scm 548 */
									BgL_arg2296z00_5762 = CNST_TABLE_REF(((long) 72));
						}}
						BgL_arg2297z00_5763 = MAKE_YOUNG_PAIR(BgL_typez00_5759, BNIL);
						BgL_arg2295z00_5761 =
							MAKE_YOUNG_PAIR(BgL_arg2296z00_5762, BgL_arg2297z00_5763);
					}
					return
						BGl_codez12z12zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5563), BgL_arg2295z00_5761);
				}
			}
		}

	}



/* &gen-fun-rtl_vlength1782 */
	obj_t BGl_z62genzd2funzd2rtl_vlength1782z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5564, obj_t BgL_funz00_5565, obj_t BgL_mez00_5566)
	{
		{	/* SawJvm/code.scm 543 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5566), CNST_TABLE_REF(((long) 73)));
		}

	}



/* &gen-fun-rtl_vset1780 */
	obj_t BGl_z62genzd2funzd2rtl_vset1780z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5567, obj_t BgL_funz00_5568, obj_t BgL_mez00_5569)
	{
		{	/* SawJvm/code.scm 530 */
			{	/* SawJvm/code.scm 531 */
				obj_t BgL_typez00_5773;

				{	/* SawJvm/code.scm 531 */
					BgL_typez00_bglt BgL_arg2294z00_5774;

					BgL_arg2294z00_5774 =
						(((BgL_rtl_vsetz00_bglt) COBJECT(
								((BgL_rtl_vsetz00_bglt) BgL_funz00_5568)))->BgL_typez00);
					BgL_typez00_5773 =
						BGl_compilezd2typezd2zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5569), BgL_arg2294z00_5774);
				}
				{	/* SawJvm/code.scm 532 */
					obj_t BgL_arg2286z00_5775;

					{	/* SawJvm/code.scm 532 */
						bool_t BgL_test2800z00_7655;

						{	/* SawJvm/code.scm 532 */
							bool_t BgL__ortest_1230z00_5776;

							BgL__ortest_1230z00_5776 =
								(BgL_typez00_5773 == CNST_TABLE_REF(((long) 18)));
							if (BgL__ortest_1230z00_5776)
								{	/* SawJvm/code.scm 532 */
									BgL_test2800z00_7655 = BgL__ortest_1230z00_5776;
								}
							else
								{	/* SawJvm/code.scm 532 */
									BgL_test2800z00_7655 =
										(BgL_typez00_5773 == CNST_TABLE_REF(((long) 19)));
						}}
						if (BgL_test2800z00_7655)
							{	/* SawJvm/code.scm 532 */
								BgL_arg2286z00_5775 = CNST_TABLE_REF(((long) 74));
							}
						else
							{	/* SawJvm/code.scm 532 */
								if ((BgL_typez00_5773 == CNST_TABLE_REF(((long) 20))))
									{	/* SawJvm/code.scm 532 */
										BgL_arg2286z00_5775 = CNST_TABLE_REF(((long) 75));
									}
								else
									{	/* SawJvm/code.scm 532 */
										if ((BgL_typez00_5773 == CNST_TABLE_REF(((long) 21))))
											{	/* SawJvm/code.scm 532 */
												BgL_arg2286z00_5775 = CNST_TABLE_REF(((long) 76));
											}
										else
											{	/* SawJvm/code.scm 532 */
												if ((BgL_typez00_5773 == CNST_TABLE_REF(((long) 22))))
													{	/* SawJvm/code.scm 532 */
														BgL_arg2286z00_5775 = CNST_TABLE_REF(((long) 77));
													}
												else
													{	/* SawJvm/code.scm 532 */
														if (
															(BgL_typez00_5773 == CNST_TABLE_REF(((long) 11))))
															{	/* SawJvm/code.scm 532 */
																BgL_arg2286z00_5775 =
																	CNST_TABLE_REF(((long) 78));
															}
														else
															{	/* SawJvm/code.scm 532 */
																if (
																	(BgL_typez00_5773 ==
																		CNST_TABLE_REF(((long) 25))))
																	{	/* SawJvm/code.scm 532 */
																		BgL_arg2286z00_5775 =
																			CNST_TABLE_REF(((long) 79));
																	}
																else
																	{	/* SawJvm/code.scm 532 */
																		if (
																			(BgL_typez00_5773 ==
																				CNST_TABLE_REF(((long) 10))))
																			{	/* SawJvm/code.scm 532 */
																				BgL_arg2286z00_5775 =
																					CNST_TABLE_REF(((long) 80));
																			}
																		else
																			{	/* SawJvm/code.scm 532 */
																				BgL_arg2286z00_5775 =
																					CNST_TABLE_REF(((long) 81));
					}}}}}}}}
					BGl_codez12z12zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5569), BgL_arg2286z00_5775);
				}
				return CNST_TABLE_REF(((long) 13));
		}}

	}



/* &gen-fun-rtl_vref1778 */
	obj_t BGl_z62genzd2funzd2rtl_vref1778z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5570, obj_t BgL_funz00_5571, obj_t BgL_mez00_5572)
	{
		{	/* SawJvm/code.scm 518 */
			{	/* SawJvm/code.scm 519 */
				obj_t BgL_typez00_5778;

				{	/* SawJvm/code.scm 519 */
					BgL_typez00_bglt BgL_arg2284z00_5779;

					BgL_arg2284z00_5779 =
						(((BgL_rtl_vrefz00_bglt) COBJECT(
								((BgL_rtl_vrefz00_bglt) BgL_funz00_5571)))->BgL_typez00);
					BgL_typez00_5778 =
						BGl_compilezd2typezd2zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5572), BgL_arg2284z00_5779);
				}
				{	/* SawJvm/code.scm 520 */
					obj_t BgL_arg2276z00_5780;

					{	/* SawJvm/code.scm 520 */
						bool_t BgL_test2808z00_7694;

						{	/* SawJvm/code.scm 520 */
							bool_t BgL__ortest_1229z00_5781;

							BgL__ortest_1229z00_5781 =
								(BgL_typez00_5778 == CNST_TABLE_REF(((long) 18)));
							if (BgL__ortest_1229z00_5781)
								{	/* SawJvm/code.scm 520 */
									BgL_test2808z00_7694 = BgL__ortest_1229z00_5781;
								}
							else
								{	/* SawJvm/code.scm 520 */
									BgL_test2808z00_7694 =
										(BgL_typez00_5778 == CNST_TABLE_REF(((long) 19)));
						}}
						if (BgL_test2808z00_7694)
							{	/* SawJvm/code.scm 520 */
								BgL_arg2276z00_5780 = CNST_TABLE_REF(((long) 82));
							}
						else
							{	/* SawJvm/code.scm 520 */
								if ((BgL_typez00_5778 == CNST_TABLE_REF(((long) 20))))
									{	/* SawJvm/code.scm 520 */
										BgL_arg2276z00_5780 = CNST_TABLE_REF(((long) 83));
									}
								else
									{	/* SawJvm/code.scm 520 */
										if ((BgL_typez00_5778 == CNST_TABLE_REF(((long) 21))))
											{	/* SawJvm/code.scm 520 */
												BgL_arg2276z00_5780 = CNST_TABLE_REF(((long) 84));
											}
										else
											{	/* SawJvm/code.scm 520 */
												if ((BgL_typez00_5778 == CNST_TABLE_REF(((long) 22))))
													{	/* SawJvm/code.scm 520 */
														BgL_arg2276z00_5780 = CNST_TABLE_REF(((long) 85));
													}
												else
													{	/* SawJvm/code.scm 520 */
														if (
															(BgL_typez00_5778 == CNST_TABLE_REF(((long) 11))))
															{	/* SawJvm/code.scm 520 */
																BgL_arg2276z00_5780 =
																	CNST_TABLE_REF(((long) 86));
															}
														else
															{	/* SawJvm/code.scm 520 */
																if (
																	(BgL_typez00_5778 ==
																		CNST_TABLE_REF(((long) 25))))
																	{	/* SawJvm/code.scm 520 */
																		BgL_arg2276z00_5780 =
																			CNST_TABLE_REF(((long) 87));
																	}
																else
																	{	/* SawJvm/code.scm 520 */
																		if (
																			(BgL_typez00_5778 ==
																				CNST_TABLE_REF(((long) 10))))
																			{	/* SawJvm/code.scm 520 */
																				BgL_arg2276z00_5780 =
																					CNST_TABLE_REF(((long) 88));
																			}
																		else
																			{	/* SawJvm/code.scm 520 */
																				BgL_arg2276z00_5780 =
																					CNST_TABLE_REF(((long) 89));
					}}}}}}}}
					return
						BGl_codez12z12zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5572), BgL_arg2276z00_5780);
				}
			}
		}

	}



/* &gen-fun-rtl_apply1776 */
	obj_t BGl_z62genzd2funzd2rtl_apply1776z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5573, obj_t BgL_funz00_5574, obj_t BgL_mez00_5575)
	{
		{	/* SawJvm/code.scm 512 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5575), CNST_TABLE_REF(((long) 38)));
		}

	}



/* &gen-fun-rtl_loadfun1774 */
	obj_t BGl_z62genzd2funzd2rtl_loadfun1774z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5576, obj_t BgL_funz00_5577, obj_t BgL_mez00_5578)
	{
		{	/* SawJvm/code.scm 508 */
			{	/* SawJvm/code.scm 509 */
				BgL_globalz00_bglt BgL_varz00_5784;

				BgL_varz00_5784 =
					(((BgL_rtl_loadfunz00_bglt) COBJECT(
							((BgL_rtl_loadfunz00_bglt) BgL_funz00_5577)))->BgL_varz00);
				{	/* SawJvm/code.scm 510 */
					int BgL_arg2275z00_5785;

					{
						BgL_indexedz00_bglt BgL_auxz00_7733;

						{
							obj_t BgL_auxz00_7734;

							{	/* SawJvm/code.scm 510 */
								BgL_objectz00_bglt BgL_tmpz00_7735;

								BgL_tmpz00_7735 =
									((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5784));
								BgL_auxz00_7734 = BGL_OBJECT_WIDENING(BgL_tmpz00_7735);
							}
							BgL_auxz00_7733 = ((BgL_indexedz00_bglt) BgL_auxz00_7734);
						}
						BgL_arg2275z00_5785 =
							(((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_7733))->BgL_indexz00);
					}
					return
						BGl_pushzd2intzd2zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5578), BINT(BgL_arg2275z00_5785));
				}
			}
		}

	}



/* &gen-fun-with-args-rt1772 */
	obj_t BGl_z62genzd2funzd2withzd2argszd2rt1772z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5579, obj_t BgL_funz00_5580, obj_t BgL_mez00_5581,
		obj_t BgL_argsz00_5582)
	{
		{	/* SawJvm/code.scm 495 */
			{	/* SawJvm/code.scm 496 */
				obj_t BgL_az00_5787;

				BgL_az00_5787 = CAR(((obj_t) BgL_argsz00_5582));
				{	/* SawJvm/code.scm 497 */
					obj_t BgL_regz00_5788;

					{	/* SawJvm/code.scm 497 */
						bool_t BgL_test2816z00_7746;

						{	/* SawJvm/code.scm 497 */
							obj_t BgL_classz00_5789;

							BgL_classz00_5789 = BGl_rtl_regz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_az00_5787))
								{	/* SawJvm/code.scm 497 */
									BgL_objectz00_bglt BgL_arg1825z00_5790;

									BgL_arg1825z00_5790 = (BgL_objectz00_bglt) (BgL_az00_5787);
									{	/* SawJvm/code.scm 497 */
										bool_t BgL_arg1822z00_5791;
										bool_t BgL_arg1823z00_5792;

										{	/* SawJvm/code.scm 497 */
											long BgL_idxz00_5793;

											BgL_idxz00_5793 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5790);
											BgL_arg1822z00_5791 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5793 + ((long) 1))) == BgL_classz00_5789);
										}
										{	/* SawJvm/code.scm 497 */
											bool_t BgL_res2513z00_5796;

											{	/* SawJvm/code.scm 497 */
												obj_t BgL_oclassz00_5797;

												{	/* SawJvm/code.scm 497 */
													long BgL_arg1833z00_5798;

													{	/* SawJvm/code.scm 497 */
														long BgL_arg1834z00_5799;

														BgL_arg1834z00_5799 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5790);
														BgL_arg1833z00_5798 =
															(BgL_arg1834z00_5799 - OBJECT_TYPE);
													}
													BgL_oclassz00_5797 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_5798);
												}
												{	/* SawJvm/code.scm 497 */
													bool_t BgL__ortest_1110z00_5800;

													BgL__ortest_1110z00_5800 =
														(BgL_classz00_5789 == BgL_oclassz00_5797);
													if (BgL__ortest_1110z00_5800)
														{	/* SawJvm/code.scm 497 */
															BgL_res2513z00_5796 = BgL__ortest_1110z00_5800;
														}
													else
														{	/* SawJvm/code.scm 497 */
															long BgL_odepthz00_5801;

															BgL_odepthz00_5801 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5797);
															if ((((long) 1) < BgL_odepthz00_5801))
																{	/* SawJvm/code.scm 497 */
																	obj_t BgL_arg1821z00_5802;

																	BgL_arg1821z00_5802 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5797,
																		((long) 1));
																	BgL_res2513z00_5796 =
																		(BgL_arg1821z00_5802 == BgL_classz00_5789);
																}
															else
																{	/* SawJvm/code.scm 497 */
																	BgL_res2513z00_5796 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_5792 = BgL_res2513z00_5796;
										}
										BgL_test2816z00_7746 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_5791,
											BgL_arg1823z00_5792);
									}
								}
							else
								{	/* SawJvm/code.scm 497 */
									BgL_test2816z00_7746 = ((bool_t) 0);
								}
						}
						if (BgL_test2816z00_7746)
							{	/* SawJvm/code.scm 497 */
								BgL_regz00_5788 = BgL_az00_5787;
							}
						else
							{	/* SawJvm/code.scm 497 */
								BgL_regz00_5788 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_az00_5787)))->BgL_destz00);
							}
					}
					{	/* SawJvm/code.scm 499 */
						obj_t BgL_arg2267z00_5803;

						{	/* SawJvm/code.scm 499 */
							obj_t BgL_casezd2valuezd2_5804;

							BgL_casezd2valuezd2_5804 =
								(((BgL_typez00_bglt) COBJECT(
										(((BgL_rtl_regz00_bglt) COBJECT(
													((BgL_rtl_regz00_bglt) BgL_regz00_5788)))->
											BgL_typez00)))->BgL_namez00);
							if ((BgL_casezd2valuezd2_5804 == CNST_TABLE_REF(((long) 90))))
								{	/* SawJvm/code.scm 499 */
									BgL_arg2267z00_5803 = CNST_TABLE_REF(((long) 91));
								}
							else
								{	/* SawJvm/code.scm 499 */
									bool_t BgL_test2821z00_7774;

									{	/* SawJvm/code.scm 499 */
										bool_t BgL__ortest_1225z00_5805;

										BgL__ortest_1225z00_5805 =
											(BgL_casezd2valuezd2_5804 == CNST_TABLE_REF(((long) 18)));
										if (BgL__ortest_1225z00_5805)
											{	/* SawJvm/code.scm 499 */
												BgL_test2821z00_7774 = BgL__ortest_1225z00_5805;
											}
										else
											{	/* SawJvm/code.scm 499 */
												bool_t BgL__ortest_1226z00_5806;

												BgL__ortest_1226z00_5806 =
													(BgL_casezd2valuezd2_5804 ==
													CNST_TABLE_REF(((long) 19)));
												if (BgL__ortest_1226z00_5806)
													{	/* SawJvm/code.scm 499 */
														BgL_test2821z00_7774 = BgL__ortest_1226z00_5806;
													}
												else
													{	/* SawJvm/code.scm 499 */
														bool_t BgL__ortest_1227z00_5807;

														BgL__ortest_1227z00_5807 =
															(BgL_casezd2valuezd2_5804 ==
															CNST_TABLE_REF(((long) 20)));
														if (BgL__ortest_1227z00_5807)
															{	/* SawJvm/code.scm 499 */
																BgL_test2821z00_7774 = BgL__ortest_1227z00_5807;
															}
														else
															{	/* SawJvm/code.scm 499 */
																bool_t BgL__ortest_1228z00_5808;

																BgL__ortest_1228z00_5808 =
																	(BgL_casezd2valuezd2_5804 ==
																	CNST_TABLE_REF(((long) 21)));
																if (BgL__ortest_1228z00_5808)
																	{	/* SawJvm/code.scm 499 */
																		BgL_test2821z00_7774 =
																			BgL__ortest_1228z00_5808;
																	}
																else
																	{	/* SawJvm/code.scm 499 */
																		BgL_test2821z00_7774 =
																			(BgL_casezd2valuezd2_5804 ==
																			CNST_TABLE_REF(((long) 22)));
									}}}}}
									if (BgL_test2821z00_7774)
										{	/* SawJvm/code.scm 499 */
											BgL_arg2267z00_5803 = CNST_TABLE_REF(((long) 92));
										}
									else
										{	/* SawJvm/code.scm 499 */
											if (
												(BgL_casezd2valuezd2_5804 ==
													CNST_TABLE_REF(((long) 11))))
												{	/* SawJvm/code.scm 499 */
													BgL_arg2267z00_5803 = CNST_TABLE_REF(((long) 93));
												}
											else
												{	/* SawJvm/code.scm 499 */
													if (
														(BgL_casezd2valuezd2_5804 ==
															CNST_TABLE_REF(((long) 25))))
														{	/* SawJvm/code.scm 499 */
															BgL_arg2267z00_5803 = CNST_TABLE_REF(((long) 94));
														}
													else
														{	/* SawJvm/code.scm 499 */
															if (
																(BgL_casezd2valuezd2_5804 ==
																	CNST_TABLE_REF(((long) 10))))
																{	/* SawJvm/code.scm 499 */
																	BgL_arg2267z00_5803 =
																		CNST_TABLE_REF(((long) 95));
																}
															else
																{	/* SawJvm/code.scm 499 */
																	BgL_arg2267z00_5803 =
																		CNST_TABLE_REF(((long) 7));
						}}}}}}
						BGl_codez12z12zzsaw_jvm_outz00(
							((BgL_jvmz00_bglt) BgL_mez00_5581), BgL_arg2267z00_5803);
					}
					return CNST_TABLE_REF(((long) 13));
		}}}

	}



/* &gen-fun-with-args-rt1770 */
	obj_t BGl_z62genzd2funzd2withzd2argszd2rt1770z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5583, obj_t BgL_funz00_5584, obj_t BgL_mez00_5585,
		obj_t BgL_argsz00_5586)
	{
		{	/* SawJvm/code.scm 479 */
			return
				BGl_genzd2funcallzd2zzsaw_jvm_codez00(BgL_mez00_5585, BgL_argsz00_5586);
		}

	}



/* &gen-fun-rtl_lightfun1768 */
	obj_t BGl_z62genzd2funzd2rtl_lightfun1768z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5587, obj_t BgL_funz00_5588, obj_t BgL_mez00_5589)
	{
		{	/* SawJvm/code.scm 471 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							((BgL_rtl_lightfuncallz00_bglt) BgL_funz00_5588)),
						(((BgL_jvmz00_bglt) COBJECT(
									((BgL_jvmz00_bglt) BgL_mez00_5589)))->
							BgL_lightzd2funcallszd2))))
				{	/* SawJvm/code.scm 474 */
					BFALSE;
				}
			else
				{
					obj_t BgL_auxz00_7814;

					{	/* SawJvm/code.scm 475 */
						obj_t BgL_arg2262z00_5811;

						BgL_arg2262z00_5811 =
							(((BgL_jvmz00_bglt) COBJECT(
									((BgL_jvmz00_bglt) BgL_mez00_5589)))->
							BgL_lightzd2funcallszd2);
						BgL_auxz00_7814 =
							MAKE_YOUNG_PAIR(((obj_t) ((BgL_rtl_lightfuncallz00_bglt)
									BgL_funz00_5588)), BgL_arg2262z00_5811);
					}
					((((BgL_jvmz00_bglt) COBJECT(
									((BgL_jvmz00_bglt) BgL_mez00_5589)))->
							BgL_lightzd2funcallszd2) = ((obj_t) BgL_auxz00_7814), BUNSPEC);
				}
			{	/* SawJvm/code.scm 476 */
				obj_t BgL_arg2264z00_5812;

				{	/* SawJvm/code.scm 476 */
					obj_t BgL_arg2265z00_5813;

					BgL_arg2265z00_5813 =
						MAKE_YOUNG_PAIR(
						(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
									((BgL_rtl_lightfuncallz00_bglt) BgL_funz00_5588)))->
							BgL_namez00), BNIL);
					BgL_arg2264z00_5812 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 96)), BgL_arg2265z00_5813);
				}
				return
					BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5589), BgL_arg2264z00_5812);
			}
		}

	}



/* &gen-fun-rtl_call1766 */
	obj_t BGl_z62genzd2funzd2rtl_call1766z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5590, obj_t BgL_funz00_5591, obj_t BgL_mez00_5592)
	{
		{	/* SawJvm/code.scm 457 */
			{	/* SawJvm/code.scm 458 */
				BgL_globalz00_bglt BgL_varz00_5815;

				BgL_varz00_5815 =
					(((BgL_rtl_callz00_bglt) COBJECT(
							((BgL_rtl_callz00_bglt) BgL_funz00_5591)))->BgL_varz00);
				{	/* SawJvm/code.scm 459 */
					obj_t BgL_rz00_5816;

					BgL_rz00_5816 =
						BGl_inlinezd2callzf3z21zzsaw_jvm_inlinez00(
						((BgL_jvmz00_bglt) BgL_mez00_5592), BgL_varz00_5815);
					if ((BgL_rz00_5816 == CNST_TABLE_REF(((long) 54))))
						{	/* SawJvm/code.scm 460 */
							BGl_callzd2globalzd2zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_5592), BgL_varz00_5815);
							if (
								((((BgL_typez00_bglt) COBJECT(
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_5815)))->
													BgL_typez00)))->BgL_namez00) ==
									CNST_TABLE_REF(((long) 90))))
								{	/* SawJvm/code.scm 463 */
									return CNST_TABLE_REF(((long) 13));
								}
							else
								{	/* SawJvm/code.scm 463 */
									return CNST_TABLE_REF(((long) 55));
						}}
					else
						{	/* SawJvm/code.scm 460 */
							return BgL_rz00_5816;
						}
				}
			}
		}

	}



/* &gen-args-gen-fun-rtl1764 */
	obj_t BGl_z62genzd2argszd2genzd2funzd2rtl1764z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5593, obj_t BgL_funz00_5594, obj_t BgL_mez00_5595,
		obj_t BgL_argsz00_5596)
	{
		{	/* SawJvm/code.scm 450 */
			{	/* SawJvm/code.scm 451 */
				obj_t BgL_rz00_5818;

				{	/* SawJvm/code.scm 451 */
					BgL_globalz00_bglt BgL_arg2253z00_5819;

					BgL_arg2253z00_5819 =
						(((BgL_rtl_callz00_bglt) COBJECT(
								((BgL_rtl_callz00_bglt) BgL_funz00_5594)))->BgL_varz00);
					BgL_rz00_5818 =
						BGl_inlinezd2callzd2withzd2argszf3z21zzsaw_jvm_inlinez00(
						((BgL_jvmz00_bglt) BgL_mez00_5595), BgL_arg2253z00_5819,
						BgL_argsz00_5596);
				}
				if ((BgL_rz00_5818 == CNST_TABLE_REF(((long) 54))))
					{	/* SawJvm/code.scm 452 */
						{
							obj_t BgL_l1724z00_5821;

							BgL_l1724z00_5821 = BgL_argsz00_5596;
						BgL_zc3z04anonymousza32250ze3z87_5820:
							if (PAIRP(BgL_l1724z00_5821))
								{	/* SawJvm/code.scm 453 */
									{	/* SawJvm/code.scm 453 */
										obj_t BgL_az00_5822;

										BgL_az00_5822 = CAR(BgL_l1724z00_5821);
										BGl_genzd2exprzd2zzsaw_jvm_codez00(
											((BgL_jvmz00_bglt) BgL_mez00_5595), BgL_az00_5822);
									}
									{
										obj_t BgL_l1724z00_7858;

										BgL_l1724z00_7858 = CDR(BgL_l1724z00_5821);
										BgL_l1724z00_5821 = BgL_l1724z00_7858;
										goto BgL_zc3z04anonymousza32250ze3z87_5820;
									}
								}
							else
								{	/* SawJvm/code.scm 453 */
									((bool_t) 1);
								}
						}
						return
							BGl_genzd2funzd2zzsaw_jvm_codez00(
							((BgL_rtl_funz00_bglt)
								((BgL_rtl_callz00_bglt) BgL_funz00_5594)), BgL_mez00_5595);
					}
				else
					{	/* SawJvm/code.scm 452 */
						return BgL_rz00_5818;
					}
			}
		}

	}



/* &gen-fun-rtl_switch1762 */
	obj_t BGl_z62genzd2funzd2rtl_switch1762z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5597, obj_t BgL_funz00_5598, obj_t BgL_mez00_5599)
	{
		{	/* SawJvm/code.scm 407 */
			{	/* SawJvm/code.scm 410 */
				obj_t BgL_ldefz00_5824;
				obj_t BgL_num2labz00_5825;

				BgL_ldefz00_5824 = BUNSPEC;
				BgL_num2labz00_5825 = BNIL;
				{
					obj_t BgL_nz00_5827;
					obj_t BgL_labz00_5828;

					{	/* SawJvm/code.scm 415 */
						obj_t BgL_g1716z00_5830;
						obj_t BgL_g1717z00_5831;

						BgL_g1716z00_5830 =
							(((BgL_rtl_selectz00_bglt) COBJECT(
									((BgL_rtl_selectz00_bglt)
										((BgL_rtl_switchz00_bglt) BgL_funz00_5598))))->
							BgL_patternsz00);
						{	/* SawJvm/code.scm 420 */
							obj_t BgL_l1707z00_5832;

							BgL_l1707z00_5832 =
								(((BgL_rtl_switchz00_bglt) COBJECT(
										((BgL_rtl_switchz00_bglt) BgL_funz00_5598)))->
								BgL_labelsz00);
							if (NULLP(BgL_l1707z00_5832))
								{	/* SawJvm/code.scm 420 */
									BgL_g1717z00_5831 = BNIL;
								}
							else
								{	/* SawJvm/code.scm 420 */
									obj_t BgL_head1709z00_5833;

									{	/* SawJvm/code.scm 420 */
										int BgL_arg2207z00_5834;

										BgL_arg2207z00_5834 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt)
														CAR(((obj_t) BgL_l1707z00_5832)))))->BgL_labelz00);
										BgL_head1709z00_5833 =
											MAKE_YOUNG_PAIR(BINT(BgL_arg2207z00_5834), BNIL);
									}
									{	/* SawJvm/code.scm 420 */
										obj_t BgL_g1712z00_5835;

										BgL_g1712z00_5835 = CDR(((obj_t) BgL_l1707z00_5832));
										{
											obj_t BgL_l1707z00_5837;
											obj_t BgL_tail1710z00_5838;

											BgL_l1707z00_5837 = BgL_g1712z00_5835;
											BgL_tail1710z00_5838 = BgL_head1709z00_5833;
										BgL_zc3z04anonymousza32202ze3z87_5836:
											if (NULLP(BgL_l1707z00_5837))
												{	/* SawJvm/code.scm 420 */
													BgL_g1717z00_5831 = BgL_head1709z00_5833;
												}
											else
												{	/* SawJvm/code.scm 420 */
													obj_t BgL_newtail1711z00_5839;

													{	/* SawJvm/code.scm 420 */
														int BgL_arg2205z00_5840;

														BgL_arg2205z00_5840 =
															(((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt)
																		CAR(
																			((obj_t) BgL_l1707z00_5837)))))->
															BgL_labelz00);
														BgL_newtail1711z00_5839 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg2205z00_5840), BNIL);
													}
													SET_CDR(BgL_tail1710z00_5838,
														BgL_newtail1711z00_5839);
													{	/* SawJvm/code.scm 420 */
														obj_t BgL_arg2204z00_5841;

														BgL_arg2204z00_5841 =
															CDR(((obj_t) BgL_l1707z00_5837));
														{
															obj_t BgL_tail1710z00_7890;
															obj_t BgL_l1707z00_7889;

															BgL_l1707z00_7889 = BgL_arg2204z00_5841;
															BgL_tail1710z00_7890 = BgL_newtail1711z00_5839;
															BgL_tail1710z00_5838 = BgL_tail1710z00_7890;
															BgL_l1707z00_5837 = BgL_l1707z00_7889;
															goto BgL_zc3z04anonymousza32202ze3z87_5836;
														}
													}
												}
										}
									}
								}
						}
						{
							obj_t BgL_ll1713z00_5843;
							obj_t BgL_ll1714z00_5844;

							BgL_ll1713z00_5843 = BgL_g1716z00_5830;
							BgL_ll1714z00_5844 = BgL_g1717z00_5831;
						BgL_zc3z04anonymousza32193ze3z87_5842:
							if (NULLP(BgL_ll1713z00_5843))
								{	/* SawJvm/code.scm 415 */
									((bool_t) 1);
								}
							else
								{	/* SawJvm/code.scm 415 */
									{	/* SawJvm/code.scm 416 */
										obj_t BgL_patz00_5845;
										obj_t BgL_labz00_5846;

										BgL_patz00_5845 = CAR(((obj_t) BgL_ll1713z00_5843));
										BgL_labz00_5846 = CAR(((obj_t) BgL_ll1714z00_5844));
										if ((BgL_patz00_5845 == CNST_TABLE_REF(((long) 97))))
											{	/* SawJvm/code.scm 416 */
												BgL_ldefz00_5824 =
													BGl_Lze70ze7zzsaw_jvm_codez00(BgL_labz00_5846);
											}
										else
											{
												obj_t BgL_l1705z00_5848;

												{	/* SawJvm/code.scm 418 */
													bool_t BgL_tmpz00_7901;

													BgL_l1705z00_5848 = BgL_patz00_5845;
												BgL_zc3z04anonymousza32196ze3z87_5847:
													if (PAIRP(BgL_l1705z00_5848))
														{	/* SawJvm/code.scm 418 */
															BgL_nz00_5827 = CAR(BgL_l1705z00_5848);
															BgL_labz00_5828 = BgL_labz00_5846;
															{	/* SawJvm/code.scm 414 */
																obj_t BgL_arg2246z00_5829;

																BgL_arg2246z00_5829 =
																	MAKE_YOUNG_PAIR(BGl_intifyz00zzsaw_jvm_codez00
																	(BgL_nz00_5827),
																	BGl_Lze70ze7zzsaw_jvm_codez00
																	(BgL_labz00_5828));
																BgL_num2labz00_5825 =
																	MAKE_YOUNG_PAIR(BgL_arg2246z00_5829,
																	BgL_num2labz00_5825);
															}
															{
																obj_t BgL_l1705z00_7909;

																BgL_l1705z00_7909 = CDR(BgL_l1705z00_5848);
																BgL_l1705z00_5848 = BgL_l1705z00_7909;
																goto BgL_zc3z04anonymousza32196ze3z87_5847;
															}
														}
													else
														{	/* SawJvm/code.scm 418 */
															BgL_tmpz00_7901 = ((bool_t) 1);
														}
													BBOOL(BgL_tmpz00_7901);
												}
											}
									}
									{	/* SawJvm/code.scm 415 */
										obj_t BgL_arg2199z00_5849;
										obj_t BgL_arg2200z00_5850;

										BgL_arg2199z00_5849 = CDR(((obj_t) BgL_ll1713z00_5843));
										BgL_arg2200z00_5850 = CDR(((obj_t) BgL_ll1714z00_5844));
										{
											obj_t BgL_ll1714z00_7917;
											obj_t BgL_ll1713z00_7916;

											BgL_ll1713z00_7916 = BgL_arg2199z00_5849;
											BgL_ll1714z00_7917 = BgL_arg2200z00_5850;
											BgL_ll1714z00_5844 = BgL_ll1714z00_7917;
											BgL_ll1713z00_5843 = BgL_ll1713z00_7916;
											goto BgL_zc3z04anonymousza32193ze3z87_5842;
										}
									}
								}
						}
					}
					if (NULLP(CDR(BgL_num2labz00_5825)))
						{	/* SawJvm/code.scm 422 */
							{	/* SawJvm/code.scm 423 */
								obj_t BgL_arg2211z00_5851;

								{	/* SawJvm/code.scm 423 */
									obj_t BgL_pairz00_5852;

									BgL_pairz00_5852 = BgL_num2labz00_5825;
									BgL_arg2211z00_5851 = CAR(CAR(BgL_pairz00_5852));
								}
								BGl_pushzd2intzd2zzsaw_jvm_outz00(
									((BgL_jvmz00_bglt) BgL_mez00_5599), BgL_arg2211z00_5851);
							}
							BGl_branchz00zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_5599),
								CNST_TABLE_REF(((long) 98)), BgL_ldefz00_5824);
							{	/* SawJvm/code.scm 425 */
								obj_t BgL_arg2212z00_5853;

								{	/* SawJvm/code.scm 425 */
									obj_t BgL_pairz00_5854;

									BgL_pairz00_5854 = BgL_num2labz00_5825;
									BgL_arg2212z00_5853 = CDR(CAR(BgL_pairz00_5854));
								}
								BGl_branchz00zzsaw_jvm_outz00(
									((BgL_jvmz00_bglt) BgL_mez00_5599),
									CNST_TABLE_REF(((long) 70)), BgL_arg2212z00_5853);
						}}
					else
						{	/* SawJvm/code.scm 422 */
							BgL_num2labz00_5825 =
								BGl_sortz00zz__r4_vectors_6_8z00(BgL_num2labz00_5825,
								BGl_proc2585z00zzsaw_jvm_codez00);
							{	/* SawJvm/code.scm 428 */
								obj_t BgL_numsz00_5856;

								{	/* SawJvm/code.scm 428 */
									obj_t BgL_l1718z00_5857;

									BgL_l1718z00_5857 = BgL_num2labz00_5825;
									if (NULLP(BgL_l1718z00_5857))
										{	/* SawJvm/code.scm 428 */
											BgL_numsz00_5856 = BNIL;
										}
									else
										{	/* SawJvm/code.scm 428 */
											obj_t BgL_head1720z00_5858;

											{	/* SawJvm/code.scm 428 */
												obj_t BgL_arg2239z00_5859;

												{	/* SawJvm/code.scm 428 */
													obj_t BgL_pairz00_5860;

													BgL_pairz00_5860 = CAR(((obj_t) BgL_l1718z00_5857));
													BgL_arg2239z00_5859 = CAR(BgL_pairz00_5860);
												}
												BgL_head1720z00_5858 =
													MAKE_YOUNG_PAIR(BgL_arg2239z00_5859, BNIL);
											}
											{	/* SawJvm/code.scm 428 */
												obj_t BgL_g1723z00_5861;

												BgL_g1723z00_5861 = CDR(((obj_t) BgL_l1718z00_5857));
												{
													obj_t BgL_l1718z00_5863;
													obj_t BgL_tail1721z00_5864;

													BgL_l1718z00_5863 = BgL_g1723z00_5861;
													BgL_tail1721z00_5864 = BgL_head1720z00_5858;
												BgL_zc3z04anonymousza32234ze3z87_5862:
													if (NULLP(BgL_l1718z00_5863))
														{	/* SawJvm/code.scm 428 */
															BgL_numsz00_5856 = BgL_head1720z00_5858;
														}
													else
														{	/* SawJvm/code.scm 428 */
															obj_t BgL_newtail1722z00_5865;

															{	/* SawJvm/code.scm 428 */
																obj_t BgL_arg2237z00_5866;

																{	/* SawJvm/code.scm 428 */
																	obj_t BgL_pairz00_5867;

																	BgL_pairz00_5867 =
																		CAR(((obj_t) BgL_l1718z00_5863));
																	BgL_arg2237z00_5866 = CAR(BgL_pairz00_5867);
																}
																BgL_newtail1722z00_5865 =
																	MAKE_YOUNG_PAIR(BgL_arg2237z00_5866, BNIL);
															}
															SET_CDR(BgL_tail1721z00_5864,
																BgL_newtail1722z00_5865);
															{	/* SawJvm/code.scm 428 */
																obj_t BgL_arg2236z00_5868;

																BgL_arg2236z00_5868 =
																	CDR(((obj_t) BgL_l1718z00_5863));
																{
																	obj_t BgL_tail1721z00_7952;
																	obj_t BgL_l1718z00_7951;

																	BgL_l1718z00_7951 = BgL_arg2236z00_5868;
																	BgL_tail1721z00_7952 =
																		BgL_newtail1722z00_5865;
																	BgL_tail1721z00_5864 = BgL_tail1721z00_7952;
																	BgL_l1718z00_5863 = BgL_l1718z00_7951;
																	goto BgL_zc3z04anonymousza32234ze3z87_5862;
																}
															}
														}
												}
											}
										}
								}
								{	/* SawJvm/code.scm 428 */
									obj_t BgL_minz00_5869;

									BgL_minz00_5869 = CAR(((obj_t) BgL_numsz00_5856));
									{	/* SawJvm/code.scm 429 */
										obj_t BgL_maxz00_5870;

										BgL_maxz00_5870 =
											CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
											(BgL_numsz00_5856));
										{	/* SawJvm/code.scm 430 */
											long BgL_nz00_5871;

											BgL_nz00_5871 = bgl_list_length(BgL_numsz00_5856);
											{	/* SawJvm/code.scm 431 */

												if (BGl_2zc3zc3zz__r4_numbers_6_5z00
													(BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(BgL_nz00_5871),
															BINT((((long) 1) + ((long) CINT(BgL_maxz00_5870) -
																		(long) CINT(BgL_minz00_5869))))),
														BGL_REAL_CNST(BGl_real2586z00zzsaw_jvm_codez00)))
													{	/* SawJvm/code.scm 433 */
														obj_t BgL_arg2221z00_5872;

														{	/* SawJvm/code.scm 433 */
															obj_t BgL_arg2222z00_5873;

															{	/* SawJvm/code.scm 433 */
																obj_t BgL_arg2223z00_5874;

																BgL_arg2223z00_5874 =
																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																	(BgL_num2labz00_5825, BNIL);
																BgL_arg2222z00_5873 =
																	MAKE_YOUNG_PAIR(BgL_ldefz00_5824,
																	BgL_arg2223z00_5874);
															}
															BgL_arg2221z00_5872 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 99)),
																BgL_arg2222z00_5873);
														}
														BGl_codez12z12zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_5599),
															BgL_arg2221z00_5872);
													}
												else
													{	/* SawJvm/code.scm 435 */
														obj_t BgL_arg2224z00_5875;

														{	/* SawJvm/code.scm 435 */
															obj_t BgL_arg2225z00_5876;

															{	/* SawJvm/code.scm 435 */
																obj_t BgL_arg2226z00_5877;

																BgL_arg2226z00_5877 =
																	MAKE_YOUNG_PAIR(BgL_minz00_5869,
																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																	(BGl_flatz00zzsaw_jvm_codez00
																		(BgL_num2labz00_5825, BgL_ldefz00_5824),
																		BNIL));
																BgL_arg2225z00_5876 =
																	MAKE_YOUNG_PAIR(BgL_ldefz00_5824,
																	BgL_arg2226z00_5877);
															}
															BgL_arg2224z00_5875 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 100)),
																BgL_arg2225z00_5876);
														}
														BGl_codez12z12zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_5599),
															BgL_arg2224z00_5875);
						}}}}}}}
					return CNST_TABLE_REF(((long) 13));
		}}}

	}



/* L~0 */
	obj_t BGl_Lze70ze7zzsaw_jvm_codez00(obj_t BgL_nz00_3471)
	{
		{	/* SawJvm/code.scm 412 */
			{	/* SawJvm/code.scm 412 */
				obj_t BgL_arg2243z00_3473;

				{	/* SawJvm/code.scm 412 */
					obj_t BgL_arg2244z00_3474;

					{	/* SawJvm/code.scm 412 */

						BgL_arg2244z00_3474 =
							BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
							(long) CINT(BgL_nz00_3471), ((long) 10));
					}
					BgL_arg2243z00_3473 =
						string_append(BGl_string2587z00zzsaw_jvm_codez00,
						BgL_arg2244z00_3474);
				}
				return bstring_to_symbol(BgL_arg2243z00_3473);
			}
		}

	}



/* &<@anonymous:2214> */
	obj_t BGl_z62zc3z04anonymousza32214ze3ze5zzsaw_jvm_codez00(obj_t
		BgL_envz00_5600, obj_t BgL_xz00_5601, obj_t BgL_yz00_5602)
	{
		{	/* SawJvm/code.scm 427 */
			return
				BBOOL(
				((long) CINT(CAR(
							((obj_t) BgL_xz00_5601))) <
					(long) CINT(CAR(((obj_t) BgL_yz00_5602)))));
		}

	}



/* &gen-fun-rtl_go1760 */
	obj_t BGl_z62genzd2funzd2rtl_go1760z62zzsaw_jvm_codez00(obj_t BgL_envz00_5603,
		obj_t BgL_funz00_5604, obj_t BgL_mez00_5605)
	{
		{	/* SawJvm/code.scm 396 */
			{	/* SawJvm/code.scm 397 */
				int BgL_arg2191z00_5879;

				BgL_arg2191z00_5879 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_goz00_bglt) COBJECT(
										((BgL_rtl_goz00_bglt) BgL_funz00_5604)))->BgL_toz00)))->
					BgL_labelz00);
				BGl_branchz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5605),
					CNST_TABLE_REF(((long) 70)), BINT(BgL_arg2191z00_5879));
			}
			return CNST_TABLE_REF(((long) 13));
		}

	}



/* &gen-args-gen-fun-rtl1758 */
	obj_t BGl_z62genzd2argszd2genzd2funzd2rtl1758z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5606, obj_t BgL_funz00_5607, obj_t BgL_mez00_5608,
		obj_t BgL_argsz00_5609)
	{
		{	/* SawJvm/code.scm 387 */
			{	/* SawJvm/code.scm 388 */
				obj_t BgL_argz00_5881;
				int BgL_labz00_5882;

				BgL_argz00_5881 = CAR(((obj_t) BgL_argsz00_5609));
				BgL_labz00_5882 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_ifnez00_bglt) COBJECT(
										((BgL_rtl_ifnez00_bglt) BgL_funz00_5607)))->BgL_thenz00)))->
					BgL_labelz00);
				{	/* SawJvm/code.scm 389 */
					bool_t BgL_test2843z00_8007;

					{	/* SawJvm/code.scm 389 */
						obj_t BgL_classz00_5883;

						BgL_classz00_5883 = BGl_rtl_regz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_argz00_5881))
							{	/* SawJvm/code.scm 389 */
								BgL_objectz00_bglt BgL_arg1825z00_5884;

								BgL_arg1825z00_5884 = (BgL_objectz00_bglt) (BgL_argz00_5881);
								{	/* SawJvm/code.scm 389 */
									bool_t BgL_arg1822z00_5885;
									bool_t BgL_arg1823z00_5886;

									{	/* SawJvm/code.scm 389 */
										long BgL_idxz00_5887;

										BgL_idxz00_5887 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5884);
										BgL_arg1822z00_5885 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5887 + ((long) 1))) == BgL_classz00_5883);
									}
									{	/* SawJvm/code.scm 389 */
										bool_t BgL_res2512z00_5890;

										{	/* SawJvm/code.scm 389 */
											obj_t BgL_oclassz00_5891;

											{	/* SawJvm/code.scm 389 */
												long BgL_arg1833z00_5892;

												{	/* SawJvm/code.scm 389 */
													long BgL_arg1834z00_5893;

													BgL_arg1834z00_5893 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5884);
													BgL_arg1833z00_5892 =
														(BgL_arg1834z00_5893 - OBJECT_TYPE);
												}
												BgL_oclassz00_5891 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_5892);
											}
											{	/* SawJvm/code.scm 389 */
												bool_t BgL__ortest_1110z00_5894;

												BgL__ortest_1110z00_5894 =
													(BgL_classz00_5883 == BgL_oclassz00_5891);
												if (BgL__ortest_1110z00_5894)
													{	/* SawJvm/code.scm 389 */
														BgL_res2512z00_5890 = BgL__ortest_1110z00_5894;
													}
												else
													{	/* SawJvm/code.scm 389 */
														long BgL_odepthz00_5895;

														BgL_odepthz00_5895 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5891);
														if ((((long) 1) < BgL_odepthz00_5895))
															{	/* SawJvm/code.scm 389 */
																obj_t BgL_arg1821z00_5896;

																BgL_arg1821z00_5896 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5891,
																	((long) 1));
																BgL_res2512z00_5890 =
																	(BgL_arg1821z00_5896 == BgL_classz00_5883);
															}
														else
															{	/* SawJvm/code.scm 389 */
																BgL_res2512z00_5890 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_5886 = BgL_res2512z00_5890;
									}
									BgL_test2843z00_8007 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_5885, BgL_arg1823z00_5886);
								}
							}
						else
							{	/* SawJvm/code.scm 389 */
								BgL_test2843z00_8007 = ((bool_t) 0);
							}
					}
					if (BgL_test2843z00_8007)
						{	/* SawJvm/code.scm 389 */
							BGl_loadzd2regzd2zzsaw_jvm_codez00(BgL_mez00_5608,
								BgL_argz00_5881);
							BGl_branchz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5608),
								CNST_TABLE_REF(((long) 51)), BINT(BgL_labz00_5882));
						}
					else
						{	/* SawJvm/code.scm 393 */
							BgL_rtl_funz00_bglt BgL_arg2188z00_5897;
							obj_t BgL_arg2189z00_5898;

							BgL_arg2188z00_5897 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_argz00_5881)))->BgL_funz00);
							BgL_arg2189z00_5898 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_argz00_5881)))->BgL_argsz00);
							BGl_genzd2argszd2genzd2predicatezd2zzsaw_jvm_codez00
								(BgL_arg2188z00_5897, BgL_mez00_5608, BgL_arg2189z00_5898,
								BTRUE, BINT(BgL_labz00_5882));
						}
				}
				return CNST_TABLE_REF(((long) 13));
		}}

	}



/* &gen-args-gen-fun-rtl1756 */
	obj_t BGl_z62genzd2argszd2genzd2funzd2rtl1756z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5610, obj_t BgL_funz00_5611, obj_t BgL_mez00_5612,
		obj_t BgL_argsz00_5613)
	{
		{	/* SawJvm/code.scm 378 */
			{	/* SawJvm/code.scm 379 */
				obj_t BgL_argz00_5900;
				int BgL_labz00_5901;

				BgL_argz00_5900 = CAR(((obj_t) BgL_argsz00_5613));
				BgL_labz00_5901 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_ifeqz00_bglt) COBJECT(
										((BgL_rtl_ifeqz00_bglt) BgL_funz00_5611)))->BgL_thenz00)))->
					BgL_labelz00);
				{	/* SawJvm/code.scm 380 */
					bool_t BgL_test2847z00_8043;

					{	/* SawJvm/code.scm 380 */
						obj_t BgL_classz00_5902;

						BgL_classz00_5902 = BGl_rtl_regz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_argz00_5900))
							{	/* SawJvm/code.scm 380 */
								BgL_objectz00_bglt BgL_arg1825z00_5903;

								BgL_arg1825z00_5903 = (BgL_objectz00_bglt) (BgL_argz00_5900);
								{	/* SawJvm/code.scm 380 */
									bool_t BgL_arg1822z00_5904;
									bool_t BgL_arg1823z00_5905;

									{	/* SawJvm/code.scm 380 */
										long BgL_idxz00_5906;

										BgL_idxz00_5906 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5903);
										BgL_arg1822z00_5904 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5906 + ((long) 1))) == BgL_classz00_5902);
									}
									{	/* SawJvm/code.scm 380 */
										bool_t BgL_res2511z00_5909;

										{	/* SawJvm/code.scm 380 */
											obj_t BgL_oclassz00_5910;

											{	/* SawJvm/code.scm 380 */
												long BgL_arg1833z00_5911;

												{	/* SawJvm/code.scm 380 */
													long BgL_arg1834z00_5912;

													BgL_arg1834z00_5912 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5903);
													BgL_arg1833z00_5911 =
														(BgL_arg1834z00_5912 - OBJECT_TYPE);
												}
												BgL_oclassz00_5910 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_5911);
											}
											{	/* SawJvm/code.scm 380 */
												bool_t BgL__ortest_1110z00_5913;

												BgL__ortest_1110z00_5913 =
													(BgL_classz00_5902 == BgL_oclassz00_5910);
												if (BgL__ortest_1110z00_5913)
													{	/* SawJvm/code.scm 380 */
														BgL_res2511z00_5909 = BgL__ortest_1110z00_5913;
													}
												else
													{	/* SawJvm/code.scm 380 */
														long BgL_odepthz00_5914;

														BgL_odepthz00_5914 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5910);
														if ((((long) 1) < BgL_odepthz00_5914))
															{	/* SawJvm/code.scm 380 */
																obj_t BgL_arg1821z00_5915;

																BgL_arg1821z00_5915 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5910,
																	((long) 1));
																BgL_res2511z00_5909 =
																	(BgL_arg1821z00_5915 == BgL_classz00_5902);
															}
														else
															{	/* SawJvm/code.scm 380 */
																BgL_res2511z00_5909 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_5905 = BgL_res2511z00_5909;
									}
									BgL_test2847z00_8043 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_5904, BgL_arg1823z00_5905);
								}
							}
						else
							{	/* SawJvm/code.scm 380 */
								BgL_test2847z00_8043 = ((bool_t) 0);
							}
					}
					if (BgL_test2847z00_8043)
						{	/* SawJvm/code.scm 380 */
							BGl_loadzd2regzd2zzsaw_jvm_codez00(BgL_mez00_5612,
								BgL_argz00_5900);
							BGl_branchz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5612),
								CNST_TABLE_REF(((long) 52)), BINT(BgL_labz00_5901));
						}
					else
						{	/* SawJvm/code.scm 384 */
							BgL_rtl_funz00_bglt BgL_arg2183z00_5916;
							obj_t BgL_arg2185z00_5917;

							BgL_arg2183z00_5916 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_argz00_5900)))->BgL_funz00);
							BgL_arg2185z00_5917 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_argz00_5900)))->BgL_argsz00);
							BGl_genzd2argszd2genzd2predicatezd2zzsaw_jvm_codez00
								(BgL_arg2183z00_5916, BgL_mez00_5612, BgL_arg2185z00_5917,
								BFALSE, BINT(BgL_labz00_5901));
						}
				}
				return CNST_TABLE_REF(((long) 13));
		}}

	}



/* &gen-fun-rtl_globalre1754 */
	obj_t BGl_z62genzd2funzd2rtl_globalre1754z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5614, obj_t BgL_funz00_5615, obj_t BgL_mez00_5616)
	{
		{	/* SawJvm/code.scm 366 */
			{	/* SawJvm/code.scm 367 */
				BgL_globalz00_bglt BgL_varz00_5919;

				BgL_varz00_5919 =
					(((BgL_rtl_globalrefz00_bglt) COBJECT(
							((BgL_rtl_globalrefz00_bglt) BgL_funz00_5615)))->BgL_varz00);
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5616), CNST_TABLE_REF(((long) 101)));
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5616), CNST_TABLE_REF(((long) 64)));
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5616), CNST_TABLE_REF(((long) 102)));
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5616), CNST_TABLE_REF(((long) 64)));
				{	/* SawJvm/code.scm 372 */
					int BgL_arg2181z00_5920;

					{
						BgL_indexedz00_bglt BgL_auxz00_8088;

						{
							obj_t BgL_auxz00_8089;

							{	/* SawJvm/code.scm 372 */
								BgL_objectz00_bglt BgL_tmpz00_8090;

								BgL_tmpz00_8090 =
									((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5919));
								BgL_auxz00_8089 = BGL_OBJECT_WIDENING(BgL_tmpz00_8090);
							}
							BgL_auxz00_8088 = ((BgL_indexedz00_bglt) BgL_auxz00_8089);
						}
						BgL_arg2181z00_5920 =
							(((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_8088))->BgL_indexz00);
					}
					BGl_pushzd2intzd2zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5616), BINT(BgL_arg2181z00_5920));
				}
				return
					BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5616), CNST_TABLE_REF(((long) 103)));
		}}

	}



/* &gen-fun-rtl_storeg1752 */
	obj_t BGl_z62genzd2funzd2rtl_storeg1752z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5617, obj_t BgL_funz00_5618, obj_t BgL_mez00_5619)
	{
		{	/* SawJvm/code.scm 362 */
			{	/* SawJvm/code.scm 363 */
				obj_t BgL_arg2177z00_5922;

				{	/* SawJvm/code.scm 363 */
					obj_t BgL_arg2178z00_5923;

					{	/* SawJvm/code.scm 363 */
						obj_t BgL_arg2179z00_5924;

						{	/* SawJvm/code.scm 363 */
							BgL_globalz00_bglt BgL_arg2180z00_5925;

							BgL_arg2180z00_5925 =
								(((BgL_rtl_storegz00_bglt) COBJECT(
										((BgL_rtl_storegz00_bglt) BgL_funz00_5618)))->BgL_varz00);
							BgL_arg2179z00_5924 =
								BGl_declarezd2globalzd2zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_5619), BgL_arg2180z00_5925);
						}
						BgL_arg2178z00_5923 = MAKE_YOUNG_PAIR(BgL_arg2179z00_5924, BNIL);
					}
					BgL_arg2177z00_5922 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 104)), BgL_arg2178z00_5923);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5619), BgL_arg2177z00_5922);
			}
			return CNST_TABLE_REF(((long) 13));
		}

	}



/* &gen-fun-rtl_loadg1750 */
	obj_t BGl_z62genzd2funzd2rtl_loadg1750z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5620, obj_t BgL_funz00_5621, obj_t BgL_mez00_5622)
	{
		{	/* SawJvm/code.scm 359 */
			{	/* SawJvm/code.scm 360 */
				obj_t BgL_arg2173z00_5927;

				{	/* SawJvm/code.scm 360 */
					obj_t BgL_arg2174z00_5928;

					{	/* SawJvm/code.scm 360 */
						obj_t BgL_arg2175z00_5929;

						{	/* SawJvm/code.scm 360 */
							BgL_globalz00_bglt BgL_arg2176z00_5930;

							BgL_arg2176z00_5930 =
								(((BgL_rtl_loadgz00_bglt) COBJECT(
										((BgL_rtl_loadgz00_bglt) BgL_funz00_5621)))->BgL_varz00);
							BgL_arg2175z00_5929 =
								BGl_declarezd2globalzd2zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_5622), BgL_arg2176z00_5930);
						}
						BgL_arg2174z00_5928 = MAKE_YOUNG_PAIR(BgL_arg2175z00_5929, BNIL);
					}
					BgL_arg2173z00_5927 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 105)), BgL_arg2174z00_5928);
				}
				return
					BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5622), BgL_arg2173z00_5927);
			}
		}

	}



/* &gen-fun-rtl_loadi1748 */
	obj_t BGl_z62genzd2funzd2rtl_loadi1748z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5623, obj_t BgL_funz00_5624, obj_t BgL_mez00_5625)
	{
		{	/* SawJvm/code.scm 322 */
			{	/* SawJvm/code.scm 323 */
				BgL_atomz00_bglt BgL_constantz00_5932;

				BgL_constantz00_5932 =
					(((BgL_rtl_loadiz00_bglt) COBJECT(
							((BgL_rtl_loadiz00_bglt) BgL_funz00_5624)))->BgL_constantz00);
				{	/* SawJvm/code.scm 324 */
					obj_t BgL_valuez00_5933;

					BgL_valuez00_5933 =
						(((BgL_atomz00_bglt) COBJECT(BgL_constantz00_5932))->BgL_valuez00);
					if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_5933))
						{	/* SawJvm/code.scm 327 */
							obj_t BgL_arg2158z00_5934;

							BgL_arg2158z00_5934 =
								(((BgL_typez00_bglt) COBJECT(
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_constantz00_5932)))->
											BgL_typez00)))->BgL_namez00);
							return BGl_pushzd2numzd2zzsaw_jvm_outz00(((BgL_jvmz00_bglt)
									BgL_mez00_5625), BgL_valuez00_5933, BgL_arg2158z00_5934);
						}
					else
						{	/* SawJvm/code.scm 326 */
							if (NULLP(BgL_valuez00_5933))
								{	/* SawJvm/code.scm 328 */
									return
										BGl_codez12z12zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_5625),
										CNST_TABLE_REF(((long) 36)));
								}
							else
								{	/* SawJvm/code.scm 328 */
									if (BOOLEANP(BgL_valuez00_5933))
										{	/* SawJvm/code.scm 331 */
											long BgL_arg2162z00_5935;

											if (CBOOL(BgL_valuez00_5933))
												{	/* SawJvm/code.scm 331 */
													BgL_arg2162z00_5935 = ((long) 1);
												}
											else
												{	/* SawJvm/code.scm 331 */
													BgL_arg2162z00_5935 = ((long) 0);
												}
											return
												BGl_pushzd2intzd2zzsaw_jvm_outz00(
												((BgL_jvmz00_bglt) BgL_mez00_5625),
												BINT(BgL_arg2162z00_5935));
										}
									else
										{	/* SawJvm/code.scm 330 */
											if (CHARP(BgL_valuez00_5933))
												{	/* SawJvm/code.scm 333 */
													long BgL_arg2164z00_5936;

													BgL_arg2164z00_5936 = (CCHAR(BgL_valuez00_5933));
													return
														BGl_pushzd2intzd2zzsaw_jvm_outz00(
														((BgL_jvmz00_bglt) BgL_mez00_5625),
														BINT(BgL_arg2164z00_5936));
												}
											else
												{	/* SawJvm/code.scm 332 */
													if (STRINGP(BgL_valuez00_5933))
														{	/* SawJvm/code.scm 334 */
															BGl_pushzd2stringzd2zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_5625),
																BgL_valuez00_5933);
															return
																BGl_codez12z12zzsaw_jvm_outz00((
																	(BgL_jvmz00_bglt) BgL_mez00_5625),
																CNST_TABLE_REF(((long) 106)));
														}
													else
														{	/* SawJvm/code.scm 334 */
															if (EOF_OBJECTP(BgL_valuez00_5933))
																{	/* SawJvm/code.scm 338 */
																	return
																		BGl_codez12z12zzsaw_jvm_outz00(
																		((BgL_jvmz00_bglt) BgL_mez00_5625),
																		CNST_TABLE_REF(((long) 107)));
																}
															else
																{	/* SawJvm/code.scm 338 */
																	if ((BgL_valuez00_5933 == (BOPTIONAL)))
																		{	/* SawJvm/code.scm 340 */
																			return
																				BGl_codez12z12zzsaw_jvm_outz00(
																				((BgL_jvmz00_bglt) BgL_mez00_5625),
																				CNST_TABLE_REF(((long) 108)));
																		}
																	else
																		{	/* SawJvm/code.scm 340 */
																			if ((BgL_valuez00_5933 == (BREST)))
																				{	/* SawJvm/code.scm 342 */
																					return
																						BGl_codez12z12zzsaw_jvm_outz00(
																						((BgL_jvmz00_bglt) BgL_mez00_5625),
																						CNST_TABLE_REF(((long) 109)));
																				}
																			else
																				{	/* SawJvm/code.scm 342 */
																					if ((BgL_valuez00_5933 == (BKEY)))
																						{	/* SawJvm/code.scm 344 */
																							return
																								BGl_codez12z12zzsaw_jvm_outz00(
																								((BgL_jvmz00_bglt)
																									BgL_mez00_5625),
																								CNST_TABLE_REF(((long) 110)));
																						}
																					else
																						{	/* SawJvm/code.scm 344 */
																							if (
																								(BgL_valuez00_5933 == BUNSPEC))
																								{	/* SawJvm/code.scm 346 */
																									return
																										BGl_codez12z12zzsaw_jvm_outz00
																										(((BgL_jvmz00_bglt)
																											BgL_mez00_5625),
																										CNST_TABLE_REF(((long)
																												14)));
																								}
																							else
																								{	/* SawJvm/code.scm 346 */
																									if (UCS2P(BgL_valuez00_5933))
																										{	/* SawJvm/code.scm 348 */
																											BGl_codez12z12zzsaw_jvm_outz00
																												(((BgL_jvmz00_bglt)
																													BgL_mez00_5625),
																												CNST_TABLE_REF(((long)
																														111)));
																											BGl_codez12z12zzsaw_jvm_outz00
																												(((BgL_jvmz00_bglt)
																													BgL_mez00_5625),
																												CNST_TABLE_REF(((long)
																														64)));
																											{	/* SawJvm/code.scm 352 */
																												int BgL_arg2172z00_5937;

																												{	/* SawJvm/code.scm 352 */
																													ucs2_t
																														BgL_ucs2z00_5938;
																													BgL_ucs2z00_5938 =
																														CUCS2
																														(BgL_valuez00_5933);
																													{	/* SawJvm/code.scm 352 */
																														obj_t
																															BgL_tmpz00_8191;
																														BgL_tmpz00_8191 =
																															BUCS2
																															(BgL_ucs2z00_5938);
																														BgL_arg2172z00_5937
																															=
																															CUCS2
																															(BgL_tmpz00_8191);
																												}}
																												BGl_pushzd2intzd2zzsaw_jvm_outz00
																													(((BgL_jvmz00_bglt)
																														BgL_mez00_5625),
																													BINT
																													(BgL_arg2172z00_5937));
																											}
																											return
																												BGl_codez12z12zzsaw_jvm_outz00
																												(((BgL_jvmz00_bglt)
																													BgL_mez00_5625),
																												CNST_TABLE_REF(((long)
																														112)));
																										}
																									else
																										{	/* SawJvm/code.scm 348 */
																											return
																												BGl_errorz00zz__errorz00
																												(BGl_string2588z00zzsaw_jvm_codez00,
																												BGl_string2589z00zzsaw_jvm_codez00,
																												BgL_valuez00_5933);
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
			}
		}

	}



/* &gen-fun-rtl_mov1746 */
	obj_t BGl_z62genzd2funzd2rtl_mov1746z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5626, obj_t BgL_funz00_5627, obj_t BgL_mez00_5628)
	{
		{	/* SawJvm/code.scm 316 */
			return CNST_TABLE_REF(((long) 55));
		}

	}



/* &gen-fun-rtl_nop1744 */
	obj_t BGl_z62genzd2funzd2rtl_nop1744z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5629, obj_t BgL_funz00_5630, obj_t BgL_mez00_5631)
	{
		{	/* SawJvm/code.scm 313 */
			return CNST_TABLE_REF(((long) 13));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_codez00()
	{
		{	/* SawJvm/code.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 336068337),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_libz00(((long) 321177283),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 79517123),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(((long) 179871433),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_typez00(((long) 437600037),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(((long) 441641707),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(((long) 282450876),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(((long) 252555369),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
			return
				BGl_modulezd2initializa7ationz75zzjas_asz00(((long) 476839586),
				BSTRING_TO_STRING(BGl_string2590z00zzsaw_jvm_codez00));
		}

	}

#ifdef __cplusplus
}
#endif
