/*===========================================================================*/
/*   (SawJvm/funcall.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawJvm/funcall.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_indexedz00_bgl
	{
		int BgL_indexz00;
	}                 *BgL_indexedz00_bglt;


	static obj_t BGl_z62indexedzd2evalzf3z43zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2removablezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2initzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2importzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_indexedzd2nilzd2zzsaw_jvm_funcallz00();
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00 = BUNSPEC;
	static obj_t BGl_compilezd2dispatchzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2fastzd2alphaz00zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_getzd2labsze70z35zzsaw_jvm_funcallz00(long, obj_t, obj_t);
	static obj_t BGl_getzd2labsze71z35zzsaw_jvm_funcallz00(long, obj_t, obj_t);
	static obj_t BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(long, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2aliaszd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2pragmazd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL int
		BGl_indexedzd2indexzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_xx_globalzd2arityze70z35zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2evaluablezf3z43zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t BGl_z62indexedzd2indexzd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static bool_t BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2evalzf3zd2setz12ze1zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		bool_t);
	static BgL_valuez00_bglt BGl_z62indexedzd2valuezb0zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t BGl_z62indexedzd2removablezb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2userzf3z43zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31956ze3ze5zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_funcallz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_compilezd2forzd2applyz00zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62makezd2indexedzb0zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_funcallz00();
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2accesszd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2namezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t
		BGl_z62indexedzd2occurrencewzd2setz12z70zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_compilezd2applyzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static BgL_globalz00_bglt BGl_z62indexedzd2nilzb0zzsaw_jvm_funcallz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62indexedzd2evaluablezf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62modulezd2funcallzf2applyz42zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_funcallz00();
	static obj_t BGl_z62indexedzd2valuezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62indexedzd2removablezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt, long,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2namezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2modulezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_indexedzd2evalzf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2aliaszd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2occurrencezb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	extern obj_t BGl_labelz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	static bool_t
		BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2initzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_forzd2eachzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_funcallzd2lightzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t
		BGl_z62indexedzd2fastzd2alphazd2setz12za2zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32137ze3ze5zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	extern BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62indexedzd2occurrencezd2setz12z70zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2jvmzd2typezd2namezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2idzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62indexedzd2pragmazb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2accesszb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzf3z91zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2userzf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static bool_t BGl_neededzf3ze70z14zzsaw_jvm_funcallz00(long, BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2idzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2occurrencewzd2setz12z12zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt, long);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_indexedzd2valuezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_indexedzd2userzf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_nameze70ze7zzsaw_jvm_funcallz00(long);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_indexedzd2typezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_indexedz00zzsaw_jvm_funcallz00 = BUNSPEC;
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2typezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62indexedzd2occurrencewzb0zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_proceduresz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62indexedzd2jvmzd2typezd2namezb0zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_indexedzd2evaluablezf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2indexzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		int);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2initzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2modulezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2132z62zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62indexedzd2namezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2srczd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2135z62zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2138z62zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t BGl_compilezd2funizd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt, long,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62lambda2145z62zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2146z62zzsaw_jvm_funcallz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32078ze3ze5zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62indexedzd2fastzd2alphaz62zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2srczd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_Lze70ze7zzsaw_jvm_funcallz00(long);
	extern obj_t BGl_codez12z12zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2pragmazd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_funcallz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_funcallz00();
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2accesszd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_funcallz00();
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_funcallz00();
	static obj_t BGl_z62indexedzd2importzd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2jvmzd2typezd2namezd2setz12z12zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62indexedzd2evalzf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62indexedzd2aliaszb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2indexzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2indexedzd2zzsaw_jvm_funcallz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, int);
	static obj_t BGl_z62indexedzd2modulezb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2valuezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		BgL_valuez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2removablezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2namezb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2srczd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62indexedzd2jvmzd2typezd2namezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2evaluablezf3zd2setz12ze1zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt, bool_t);
	static obj_t BGl_getzd2typeze70z35zzsaw_jvm_funcallz00(obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_EXPORTED_DECL bool_t BGl_indexedzf3zf3zzsaw_jvm_funcallz00(obj_t);
	static obj_t BGl_z62indexedzd2initzd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_indexedzd2occurrencewzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL long
		BGl_indexedzd2occurrencezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2libraryzd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2importzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	extern obj_t BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62indexedzd2pragmazd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static bool_t
		BGl_funcallzd2lightzd2switchz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_getzd2procedureszd2zzsaw_proceduresz00(obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62indexedzd2srczb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2libraryzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	extern obj_t BGl_declarezd2methodzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62modulezd2lightzd2funcallz62zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2libraryzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2libraryzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31819ze3ze5zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_compilezd2forzd2funcalliz00zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2userzf3zd2setz12ze1zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2fastzd2alphazd2setz12zc0zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt, obj_t);
	BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2typezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2occurrencezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2modulezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2aliaszd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62indexedzd2accesszd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2importzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_z62indexedzd2typezb0zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t __cnst[53];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2userzf3zd2envzf3zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2use2287z00,
		BGl_z62indexedzd2userzf3z43zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2evalzf3zd2setz12zd2envz33zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2eva2288z00,
		BGl_z62indexedzd2evalzf3zd2setz12z83zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2fastzd2alphazd2setz12zd2envz12zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2fas2289z00,
		BGl_z62indexedzd2fastzd2alphazd2setz12za2zzsaw_jvm_funcallz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2occurrencezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2occ2290z00,
		BGl_z62indexedzd2occurrencezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2aliaszd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ali2291z00,
		BGl_z62indexedzd2aliaszb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2pragmazd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2pra2292z00,
		BGl_z62indexedzd2pragmazd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2importzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2imp2293z00,
		BGl_z62indexedzd2importzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2removablezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2rem2294z00,
		BGl_z62indexedzd2removablezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2nilzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2nil2295z00,
		BGl_z62indexedzd2nilzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2namezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2nam2296z00,
		BGl_z62indexedzd2namezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2268z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2268za700za7za7s2297za7, "unknown type", 12);
	      DEFINE_STRING(BGl_string2269z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2269za700za7za7s2298za7, "funcall light", 13);
	      DEFINE_STRING(BGl_string2270z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2270za700za7za7s2299za7, "internal error", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2indexedzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762makeza7d2indexe2300z00,
		BGl_z62makezd2indexedzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 21);
	      DEFINE_STRING(BGl_string2271z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2271za700za7za7s2301za7, "L", 1);
	      DEFINE_STRING(BGl_string2272z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2272za700za7za7s2302za7, "funcall", 7);
	      DEFINE_STRING(BGl_string2273z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2273za700za7za7s2303za7, "p", 1);
	      DEFINE_STRING(BGl_string2274z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2274za700za7za7s2304za7, "make_vector", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2libraryzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2lib2305z00,
		BGl_z62indexedzd2libraryzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2281z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2281za700za7za7s2306za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2275z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2146za7622307z00,
		BGl_z62lambda2146z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2282z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2282za700za7za7s2308za7, "saw_jvm_funcall", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2276z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2145za7622309z00,
		BGl_z62lambda2145z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2283z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2283za700za7za7s2310za7,
		"_ saw_jvm_funcall indexed index (invokestatic list_to_vector) (astore l) (dup) (getfield cdr) (getfield car) (checkcast pair) (invokespecial papply) (aload l) (this l) apply (getstatic *nil*) invokestatic putstatic getstatic (pop) (invokestatic cons) invokespecial (aload this) this light checkcast dload fload lload iload (athrow) (invokestatic fail) tableswitch err (areturn) (dreturn) double (freturn) float (lreturn) long (ireturn) int short char byte boolean (return) void compile-bad-type (getfield procindex) aload (private static) me ",
		542);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2277z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2138za7622311z00,
		BGl_z62lambda2138z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2278z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762za7c3za704anonymo2312za7,
		BGl_z62zc3z04anonymousza32137ze3ze5zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2279z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2135za7622313z00,
		BGl_z62lambda2135z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2280z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2132za7622314z00,
		BGl_z62lambda2132z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 21);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2evaluablezf3zd2envzf3zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2eva2315z00,
		BGl_z62indexedzd2evaluablezf3z43zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2importzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2imp2316z00,
		BGl_z62indexedzd2importzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2namezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2nam2317z00,
		BGl_z62indexedzd2namezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2modulezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2mod2318z00,
		BGl_z62indexedzd2modulezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2srczd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2src2319z00,
		BGl_z62indexedzd2srczb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2valuezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2val2320z00,
		BGl_z62indexedzd2valuezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2pragmazd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2pra2321z00,
		BGl_z62indexedzd2pragmazb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2modulezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2mod2322z00,
		BGl_z62indexedzd2modulezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2jvmzd2typezd2namezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2jvm2323z00,
		BGl_z62indexedzd2jvmzd2typezd2namezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2accesszd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2acc2324z00,
		BGl_z62indexedzd2accesszd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2libraryzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2lib2325z00,
		BGl_z62indexedzd2libraryzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2occurrencewzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2occ2326z00,
		BGl_z62indexedzd2occurrencewzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2typezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2typ2327z00,
		BGl_z62indexedzd2typezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2occurrencewzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2occ2328z00,
		BGl_z62indexedzd2occurrencewzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_modulezd2lightzd2funcallzd2envzd2zzsaw_jvm_funcallz00,
		BgL_bgl_za762moduleza7d2ligh2329z00,
		BGl_z62modulezd2lightzd2funcallz62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2indexzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ind2330z00,
		BGl_z62indexedzd2indexzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2srczd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2src2331z00,
		BGl_z62indexedzd2srczd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2aliaszd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ali2332z00,
		BGl_z62indexedzd2aliaszd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2removablezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2rem2333z00,
		BGl_z62indexedzd2removablezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2accesszd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2acc2334z00,
		BGl_z62indexedzd2accesszb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2userzf3zd2setz12zd2envz33zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2use2335z00,
		BGl_z62indexedzd2userzf3zd2setz12z83zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2occurrencezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2occ2336z00,
		BGl_z62indexedzd2occurrencezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2evaluablezf3zd2setz12zd2envz33zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2eva2337z00,
		BGl_z62indexedzd2evaluablezf3zd2setz12z83zzsaw_jvm_funcallz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzf3zd2envz21zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7f3za7912338za7,
		BGl_z62indexedzf3z91zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2typezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2typ2339z00,
		BGl_z62indexedzd2typezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2idzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2idza72340za7,
		BGl_z62indexedzd2idzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2initzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ini2341z00,
		BGl_z62indexedzd2initzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2indexzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ind2342z00,
		BGl_z62indexedzd2indexzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2valuezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2val2343z00,
		BGl_z62indexedzd2valuezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2initzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ini2344z00,
		BGl_z62indexedzd2initzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2fastzd2alphazd2envzd2zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2fas2345z00,
		BGl_z62indexedzd2fastzd2alphaz62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2jvmzd2typezd2namezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2jvm2346z00,
		BGl_z62indexedzd2jvmzd2typezd2namezd2setz12z70zzsaw_jvm_funcallz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2evalzf3zd2envzf3zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2eva2347z00,
		BGl_z62indexedzd2evalzf3z43zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_modulezd2funcallzf2applyzd2envzf2zzsaw_jvm_funcallz00,
		BgL_bgl_za762moduleza7d2func2348z00,
		BGl_z62modulezd2funcallzf2applyz42zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00));
		     ADD_ROOT((void *) (&BGl_indexedz00zzsaw_jvm_funcallz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long
		BgL_checksumz00_4523, char *BgL_fromz00_4524)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_funcallz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_funcallz00();
					BGl_cnstzd2initzd2zzsaw_jvm_funcallz00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_funcallz00();
					BGl_objectzd2initzd2zzsaw_jvm_funcallz00();
					return BGl_methodzd2initzd2zzsaw_jvm_funcallz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_funcallz00()
	{
		{	/* SawJvm/funcall.scm 1 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_jvm_funcall");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_funcallz00()
	{
		{	/* SawJvm/funcall.scm 1 */
			{	/* SawJvm/funcall.scm 1 */
				obj_t BgL_cportz00_4429;

				{	/* SawJvm/funcall.scm 1 */
					obj_t BgL_stringz00_4437;

					BgL_stringz00_4437 = BGl_string2283z00zzsaw_jvm_funcallz00;
					{	/* SawJvm/funcall.scm 1 */
						obj_t BgL_startz00_4438;

						BgL_startz00_4438 = BINT(((long) 0));
						{	/* SawJvm/funcall.scm 1 */
							obj_t BgL_endz00_4439;

							BgL_endz00_4439 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4437)));
							{	/* SawJvm/funcall.scm 1 */

								BgL_cportz00_4429 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4437, BgL_startz00_4438, BgL_endz00_4439);
				}}}}
				{
					long BgL_iz00_4430;

					BgL_iz00_4430 = ((long) 52);
				BgL_loopz00_4431:
					if ((BgL_iz00_4430 == ((long) -1)))
						{	/* SawJvm/funcall.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/funcall.scm 1 */
							{	/* SawJvm/funcall.scm 1 */
								obj_t BgL_arg2286z00_4433;

								{	/* SawJvm/funcall.scm 1 */

									{	/* SawJvm/funcall.scm 1 */
										obj_t BgL_locationz00_4435;

										BgL_locationz00_4435 = BBOOL(((bool_t) 0));
										{	/* SawJvm/funcall.scm 1 */

											BgL_arg2286z00_4433 =
												BGl_readz00zz__readerz00(BgL_cportz00_4429,
												BgL_locationz00_4435);
										}
									}
								}
								{	/* SawJvm/funcall.scm 1 */
									int BgL_tmpz00_4555;

									BgL_tmpz00_4555 = (int) (BgL_iz00_4430);
									CNST_TABLE_SET(BgL_tmpz00_4555, BgL_arg2286z00_4433);
							}}
							{	/* SawJvm/funcall.scm 1 */
								int BgL_auxz00_4436;

								BgL_auxz00_4436 = (int) ((BgL_iz00_4430 - ((long) 1)));
								{
									long BgL_iz00_4560;

									BgL_iz00_4560 = (long) (BgL_auxz00_4436);
									BgL_iz00_4430 = BgL_iz00_4560;
									goto BgL_loopz00_4431;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_funcallz00()
	{
		{	/* SawJvm/funcall.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* make-indexed */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2indexedzd2zzsaw_jvm_funcallz00(obj_t BgL_id1175z00_3,
		obj_t BgL_name1176z00_4, BgL_typez00_bglt BgL_type1177z00_5,
		BgL_valuez00_bglt BgL_value1178z00_6, obj_t BgL_access1179z00_7,
		obj_t BgL_fastzd2alpha1180zd2_8, obj_t BgL_removable1181z00_9,
		long BgL_occurrence1182z00_10, long BgL_occurrencew1183z00_11,
		bool_t BgL_userzf31184zf3_12, obj_t BgL_module1185z00_13,
		obj_t BgL_import1186z00_14, bool_t BgL_evaluablezf31187zf3_15,
		bool_t BgL_evalzf31188zf3_16, obj_t BgL_library1189z00_17,
		obj_t BgL_pragma1190z00_18, obj_t BgL_src1191z00_19,
		obj_t BgL_jvmzd2typezd2name1192z00_20, obj_t BgL_init1193z00_21,
		obj_t BgL_alias1194z00_22, int BgL_index1195z00_23)
	{
		{	/* SawJvm/funcall.sch 62 */
			{	/* SawJvm/funcall.sch 62 */
				BgL_globalz00_bglt BgL_new1183z00_4441;

				{	/* SawJvm/funcall.sch 62 */
					BgL_globalz00_bglt BgL_tmp1181z00_4442;
					BgL_indexedz00_bglt BgL_wide1182z00_4443;

					{
						BgL_globalz00_bglt BgL_auxz00_4563;

						{	/* SawJvm/funcall.sch 62 */
							BgL_globalz00_bglt BgL_new1180z00_4444;

							BgL_new1180z00_4444 =
								((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							{	/* SawJvm/funcall.sch 62 */
								long BgL_arg1711z00_4445;

								BgL_arg1711z00_4445 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1180z00_4444),
									BgL_arg1711z00_4445);
							}
							{	/* SawJvm/funcall.sch 62 */
								BgL_objectz00_bglt BgL_tmpz00_4568;

								BgL_tmpz00_4568 = ((BgL_objectz00_bglt) BgL_new1180z00_4444);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4568, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1180z00_4444);
							BgL_auxz00_4563 = BgL_new1180z00_4444;
						}
						BgL_tmp1181z00_4442 = ((BgL_globalz00_bglt) BgL_auxz00_4563);
					}
					BgL_wide1182z00_4443 =
						((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_indexedz00_bgl))));
					{	/* SawJvm/funcall.sch 62 */
						obj_t BgL_auxz00_4576;
						BgL_objectz00_bglt BgL_tmpz00_4574;

						BgL_auxz00_4576 = ((obj_t) BgL_wide1182z00_4443);
						BgL_tmpz00_4574 = ((BgL_objectz00_bglt) BgL_tmp1181z00_4442);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4574, BgL_auxz00_4576);
					}
					((BgL_objectz00_bglt) BgL_tmp1181z00_4442);
					{	/* SawJvm/funcall.sch 62 */
						long BgL_arg1706z00_4446;

						BgL_arg1706z00_4446 =
							BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1181z00_4442), BgL_arg1706z00_4446);
					}
					BgL_new1183z00_4441 = ((BgL_globalz00_bglt) BgL_tmp1181z00_4442);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1183z00_4441)))->BgL_idz00) =
					((obj_t) BgL_id1175z00_3), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1183z00_4441)))->BgL_namez00) =
					((obj_t) BgL_name1176z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1183z00_4441)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1177z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1183z00_4441)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1178z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1183z00_4441)))->BgL_accessz00) =
					((obj_t) BgL_access1179z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1183z00_4441)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1180zd2_8), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1183z00_4441)))->BgL_removablez00) =
					((obj_t) BgL_removable1181z00_9), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1183z00_4441)))->BgL_occurrencez00) =
					((long) BgL_occurrence1182z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1183z00_4441)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1183z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1183z00_4441)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31184zf3_12), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1183z00_4441)))->BgL_modulez00) =
					((obj_t) BgL_module1185z00_13), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1183z00_4441)))->BgL_importz00) =
					((obj_t) BgL_import1186z00_14), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1183z00_4441)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31187zf3_15), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1183z00_4441)))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31188zf3_16), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1183z00_4441)))->BgL_libraryz00) =
					((obj_t) BgL_library1189z00_17), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1183z00_4441)))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1190z00_18), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1183z00_4441)))->BgL_srcz00) =
					((obj_t) BgL_src1191z00_19), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1183z00_4441)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BgL_jvmzd2typezd2name1192z00_20), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1183z00_4441)))->BgL_initz00) =
					((obj_t) BgL_init1193z00_21), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1183z00_4441)))->BgL_aliasz00) =
					((obj_t) BgL_alias1194z00_22), BUNSPEC);
				{
					BgL_indexedz00_bglt BgL_auxz00_4624;

					{
						obj_t BgL_auxz00_4625;

						{	/* SawJvm/funcall.sch 62 */
							BgL_objectz00_bglt BgL_tmpz00_4626;

							BgL_tmpz00_4626 = ((BgL_objectz00_bglt) BgL_new1183z00_4441);
							BgL_auxz00_4625 = BGL_OBJECT_WIDENING(BgL_tmpz00_4626);
						}
						BgL_auxz00_4624 = ((BgL_indexedz00_bglt) BgL_auxz00_4625);
					}
					((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4624))->BgL_indexz00) =
						((int) BgL_index1195z00_23), BUNSPEC);
				}
				return BgL_new1183z00_4441;
			}
		}

	}



/* &make-indexed */
	BgL_globalz00_bglt BGl_z62makezd2indexedzb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4232, obj_t BgL_id1175z00_4233, obj_t BgL_name1176z00_4234,
		obj_t BgL_type1177z00_4235, obj_t BgL_value1178z00_4236,
		obj_t BgL_access1179z00_4237, obj_t BgL_fastzd2alpha1180zd2_4238,
		obj_t BgL_removable1181z00_4239, obj_t BgL_occurrence1182z00_4240,
		obj_t BgL_occurrencew1183z00_4241, obj_t BgL_userzf31184zf3_4242,
		obj_t BgL_module1185z00_4243, obj_t BgL_import1186z00_4244,
		obj_t BgL_evaluablezf31187zf3_4245, obj_t BgL_evalzf31188zf3_4246,
		obj_t BgL_library1189z00_4247, obj_t BgL_pragma1190z00_4248,
		obj_t BgL_src1191z00_4249, obj_t BgL_jvmzd2typezd2name1192z00_4250,
		obj_t BgL_init1193z00_4251, obj_t BgL_alias1194z00_4252,
		obj_t BgL_index1195z00_4253)
	{
		{	/* SawJvm/funcall.sch 62 */
			return
				BGl_makezd2indexedzd2zzsaw_jvm_funcallz00(BgL_id1175z00_4233,
				BgL_name1176z00_4234, ((BgL_typez00_bglt) BgL_type1177z00_4235),
				((BgL_valuez00_bglt) BgL_value1178z00_4236), BgL_access1179z00_4237,
				BgL_fastzd2alpha1180zd2_4238, BgL_removable1181z00_4239,
				(long) CINT(BgL_occurrence1182z00_4240),
				(long) CINT(BgL_occurrencew1183z00_4241),
				CBOOL(BgL_userzf31184zf3_4242), BgL_module1185z00_4243,
				BgL_import1186z00_4244, CBOOL(BgL_evaluablezf31187zf3_4245),
				CBOOL(BgL_evalzf31188zf3_4246), BgL_library1189z00_4247,
				BgL_pragma1190z00_4248, BgL_src1191z00_4249,
				BgL_jvmzd2typezd2name1192z00_4250, BgL_init1193z00_4251,
				BgL_alias1194z00_4252, CINT(BgL_index1195z00_4253));
		}

	}



/* indexed? */
	BGL_EXPORTED_DEF bool_t BGl_indexedzf3zf3zzsaw_jvm_funcallz00(obj_t
		BgL_objz00_24)
	{
		{	/* SawJvm/funcall.sch 63 */
			{	/* SawJvm/funcall.sch 63 */
				obj_t BgL_classz00_4447;

				BgL_classz00_4447 = BGl_indexedz00zzsaw_jvm_funcallz00;
				if (BGL_OBJECTP(BgL_objz00_24))
					{	/* SawJvm/funcall.sch 63 */
						BgL_objectz00_bglt BgL_arg1825z00_4448;

						BgL_arg1825z00_4448 = (BgL_objectz00_bglt) (BgL_objz00_24);
						{	/* SawJvm/funcall.sch 63 */
							bool_t BgL_arg1822z00_4449;
							bool_t BgL_arg1823z00_4450;

							{	/* SawJvm/funcall.sch 63 */
								long BgL_idxz00_4451;

								BgL_idxz00_4451 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4448);
								BgL_arg1822z00_4449 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4451 + ((long) 3))) == BgL_classz00_4447);
							}
							{	/* SawJvm/funcall.sch 63 */
								bool_t BgL_res2256z00_4454;

								{	/* SawJvm/funcall.sch 63 */
									obj_t BgL_oclassz00_4455;

									{	/* SawJvm/funcall.sch 63 */
										long BgL_arg1833z00_4456;

										{	/* SawJvm/funcall.sch 63 */
											long BgL_arg1834z00_4457;

											BgL_arg1834z00_4457 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4448);
											BgL_arg1833z00_4456 = (BgL_arg1834z00_4457 - OBJECT_TYPE);
										}
										BgL_oclassz00_4455 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4456);
									}
									{	/* SawJvm/funcall.sch 63 */
										bool_t BgL__ortest_1110z00_4458;

										BgL__ortest_1110z00_4458 =
											(BgL_classz00_4447 == BgL_oclassz00_4455);
										if (BgL__ortest_1110z00_4458)
											{	/* SawJvm/funcall.sch 63 */
												BgL_res2256z00_4454 = BgL__ortest_1110z00_4458;
											}
										else
											{	/* SawJvm/funcall.sch 63 */
												long BgL_odepthz00_4459;

												BgL_odepthz00_4459 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4455);
												if ((((long) 3) < BgL_odepthz00_4459))
													{	/* SawJvm/funcall.sch 63 */
														obj_t BgL_arg1821z00_4460;

														BgL_arg1821z00_4460 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4455,
															((long) 3));
														BgL_res2256z00_4454 =
															(BgL_arg1821z00_4460 == BgL_classz00_4447);
													}
												else
													{	/* SawJvm/funcall.sch 63 */
														BgL_res2256z00_4454 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4450 = BgL_res2256z00_4454;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4449, BgL_arg1823z00_4450);
						}
					}
				else
					{	/* SawJvm/funcall.sch 63 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &indexed? */
	obj_t BGl_z62indexedzf3z91zzsaw_jvm_funcallz00(obj_t BgL_envz00_4254,
		obj_t BgL_objz00_4255)
	{
		{	/* SawJvm/funcall.sch 63 */
			return BBOOL(BGl_indexedzf3zf3zzsaw_jvm_funcallz00(BgL_objz00_4255));
		}

	}



/* indexed-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_indexedzd2nilzd2zzsaw_jvm_funcallz00()
	{
		{	/* SawJvm/funcall.sch 64 */
			{	/* SawJvm/funcall.sch 64 */
				obj_t BgL_classz00_3761;

				BgL_classz00_3761 = BGl_indexedz00zzsaw_jvm_funcallz00;
				{	/* SawJvm/funcall.sch 64 */
					obj_t BgL__ortest_1112z00_3762;

					BgL__ortest_1112z00_3762 = BGL_CLASS_NIL(BgL_classz00_3761);
					if (CBOOL(BgL__ortest_1112z00_3762))
						{	/* SawJvm/funcall.sch 64 */
							return ((BgL_globalz00_bglt) BgL__ortest_1112z00_3762);
						}
					else
						{	/* SawJvm/funcall.sch 64 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3761));
						}
				}
			}
		}

	}



/* &indexed-nil */
	BgL_globalz00_bglt BGl_z62indexedzd2nilzb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4256)
	{
		{	/* SawJvm/funcall.sch 64 */
			return BGl_indexedzd2nilzd2zzsaw_jvm_funcallz00();
		}

	}



/* indexed-index */
	BGL_EXPORTED_DEF int
		BGl_indexedzd2indexzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_25)
	{
		{	/* SawJvm/funcall.sch 65 */
			{
				BgL_indexedz00_bglt BgL_auxz00_4667;

				{
					obj_t BgL_auxz00_4668;

					{	/* SawJvm/funcall.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_4669;

						BgL_tmpz00_4669 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_4668 = BGL_OBJECT_WIDENING(BgL_tmpz00_4669);
					}
					BgL_auxz00_4667 = ((BgL_indexedz00_bglt) BgL_auxz00_4668);
				}
				return (((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4667))->BgL_indexz00);
			}
		}

	}



/* &indexed-index */
	obj_t BGl_z62indexedzd2indexzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4257,
		obj_t BgL_oz00_4258)
	{
		{	/* SawJvm/funcall.sch 65 */
			return
				BINT(BGl_indexedzd2indexzd2zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4258)));
		}

	}



/* indexed-index-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2indexzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_26, int BgL_vz00_27)
	{
		{	/* SawJvm/funcall.sch 66 */
			{
				BgL_indexedz00_bglt BgL_auxz00_4677;

				{
					obj_t BgL_auxz00_4678;

					{	/* SawJvm/funcall.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_4679;

						BgL_tmpz00_4679 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_4678 = BGL_OBJECT_WIDENING(BgL_tmpz00_4679);
					}
					BgL_auxz00_4677 = ((BgL_indexedz00_bglt) BgL_auxz00_4678);
				}
				return
					((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4677))->BgL_indexz00) =
					((int) BgL_vz00_27), BUNSPEC);
		}}

	}



/* &indexed-index-set! */
	obj_t BGl_z62indexedzd2indexzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4259, obj_t BgL_oz00_4260, obj_t BgL_vz00_4261)
	{
		{	/* SawJvm/funcall.sch 66 */
			return
				BGl_indexedzd2indexzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4260), CINT(BgL_vz00_4261));
		}

	}



/* indexed-alias */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2aliaszd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_28)
	{
		{	/* SawJvm/funcall.sch 67 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_28)))->BgL_aliasz00);
		}

	}



/* &indexed-alias */
	obj_t BGl_z62indexedzd2aliaszb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4262,
		obj_t BgL_oz00_4263)
	{
		{	/* SawJvm/funcall.sch 67 */
			return
				BGl_indexedzd2aliaszd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4263));
		}

	}



/* indexed-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2aliaszd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawJvm/funcall.sch 68 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_29)))->BgL_aliasz00) =
				((obj_t) BgL_vz00_30), BUNSPEC);
		}

	}



/* &indexed-alias-set! */
	obj_t BGl_z62indexedzd2aliaszd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4264, obj_t BgL_oz00_4265, obj_t BgL_vz00_4266)
	{
		{	/* SawJvm/funcall.sch 68 */
			return
				BGl_indexedzd2aliaszd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4265), BgL_vz00_4266);
		}

	}



/* indexed-init */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2initzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_31)
	{
		{	/* SawJvm/funcall.sch 69 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_31)))->BgL_initz00);
		}

	}



/* &indexed-init */
	obj_t BGl_z62indexedzd2initzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4267,
		obj_t BgL_oz00_4268)
	{
		{	/* SawJvm/funcall.sch 69 */
			return
				BGl_indexedzd2initzd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4268));
		}

	}



/* indexed-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2initzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_32, obj_t BgL_vz00_33)
	{
		{	/* SawJvm/funcall.sch 70 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_32)))->BgL_initz00) =
				((obj_t) BgL_vz00_33), BUNSPEC);
		}

	}



/* &indexed-init-set! */
	obj_t BGl_z62indexedzd2initzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4269, obj_t BgL_oz00_4270, obj_t BgL_vz00_4271)
	{
		{	/* SawJvm/funcall.sch 70 */
			return
				BGl_indexedzd2initzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4270), BgL_vz00_4271);
		}

	}



/* indexed-jvm-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2jvmzd2typezd2namezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_34)
	{
		{	/* SawJvm/funcall.sch 71 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_34)))->BgL_jvmzd2typezd2namez00);
		}

	}



/* &indexed-jvm-type-name */
	obj_t BGl_z62indexedzd2jvmzd2typezd2namezb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4272, obj_t BgL_oz00_4273)
	{
		{	/* SawJvm/funcall.sch 71 */
			return
				BGl_indexedzd2jvmzd2typezd2namezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4273));
		}

	}



/* indexed-jvm-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2jvmzd2typezd2namezd2setz12z12zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt BgL_oz00_35, obj_t BgL_vz00_36)
	{
		{	/* SawJvm/funcall.sch 72 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_35)))->BgL_jvmzd2typezd2namez00) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &indexed-jvm-type-name-set! */
	obj_t BGl_z62indexedzd2jvmzd2typezd2namezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4274, obj_t BgL_oz00_4275, obj_t BgL_vz00_4276)
	{
		{	/* SawJvm/funcall.sch 72 */
			return
				BGl_indexedzd2jvmzd2typezd2namezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4275), BgL_vz00_4276);
		}

	}



/* indexed-src */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2srczd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_37)
	{
		{	/* SawJvm/funcall.sch 73 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_37)))->BgL_srcz00);
		}

	}



/* &indexed-src */
	obj_t BGl_z62indexedzd2srczb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4277,
		obj_t BgL_oz00_4278)
	{
		{	/* SawJvm/funcall.sch 73 */
			return
				BGl_indexedzd2srczd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4278));
		}

	}



/* indexed-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2srczd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_38, obj_t BgL_vz00_39)
	{
		{	/* SawJvm/funcall.sch 74 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_38)))->BgL_srcz00) =
				((obj_t) BgL_vz00_39), BUNSPEC);
		}

	}



/* &indexed-src-set! */
	obj_t BGl_z62indexedzd2srczd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4279, obj_t BgL_oz00_4280, obj_t BgL_vz00_4281)
	{
		{	/* SawJvm/funcall.sch 74 */
			return
				BGl_indexedzd2srczd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4280), BgL_vz00_4281);
		}

	}



/* indexed-pragma */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2pragmazd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_40)
	{
		{	/* SawJvm/funcall.sch 75 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_40)))->BgL_pragmaz00);
		}

	}



/* &indexed-pragma */
	obj_t BGl_z62indexedzd2pragmazb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4282,
		obj_t BgL_oz00_4283)
	{
		{	/* SawJvm/funcall.sch 75 */
			return
				BGl_indexedzd2pragmazd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4283));
		}

	}



/* indexed-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2pragmazd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_41, obj_t BgL_vz00_42)
	{
		{	/* SawJvm/funcall.sch 76 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_41)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_42), BUNSPEC);
		}

	}



/* &indexed-pragma-set! */
	obj_t BGl_z62indexedzd2pragmazd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4284, obj_t BgL_oz00_4285, obj_t BgL_vz00_4286)
	{
		{	/* SawJvm/funcall.sch 76 */
			return
				BGl_indexedzd2pragmazd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4285), BgL_vz00_4286);
		}

	}



/* indexed-library */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2libraryzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_43)
	{
		{	/* SawJvm/funcall.sch 77 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_43)))->BgL_libraryz00);
		}

	}



/* &indexed-library */
	obj_t BGl_z62indexedzd2libraryzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4287,
		obj_t BgL_oz00_4288)
	{
		{	/* SawJvm/funcall.sch 77 */
			return
				BGl_indexedzd2libraryzd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4288));
		}

	}



/* indexed-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2libraryzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawJvm/funcall.sch 78 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_44)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &indexed-library-set! */
	obj_t BGl_z62indexedzd2libraryzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4289, obj_t BgL_oz00_4290, obj_t BgL_vz00_4291)
	{
		{	/* SawJvm/funcall.sch 78 */
			return
				BGl_indexedzd2libraryzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4290), BgL_vz00_4291);
		}

	}



/* indexed-eval? */
	BGL_EXPORTED_DEF bool_t
		BGl_indexedzd2evalzf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_46)
	{
		{	/* SawJvm/funcall.sch 79 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_46)))->BgL_evalzf3zf3);
		}

	}



/* &indexed-eval? */
	obj_t BGl_z62indexedzd2evalzf3z43zzsaw_jvm_funcallz00(obj_t BgL_envz00_4292,
		obj_t BgL_oz00_4293)
	{
		{	/* SawJvm/funcall.sch 79 */
			return
				BBOOL(BGl_indexedzd2evalzf3z21zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4293)));
		}

	}



/* indexed-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2evalzf3zd2setz12ze1zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_47, bool_t BgL_vz00_48)
	{
		{	/* SawJvm/funcall.sch 80 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_47)))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &indexed-eval?-set! */
	obj_t BGl_z62indexedzd2evalzf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4294, obj_t BgL_oz00_4295, obj_t BgL_vz00_4296)
	{
		{	/* SawJvm/funcall.sch 80 */
			return
				BGl_indexedzd2evalzf3zd2setz12ze1zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4295), CBOOL(BgL_vz00_4296));
		}

	}



/* indexed-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_indexedzd2evaluablezf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_49)
	{
		{	/* SawJvm/funcall.sch 81 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_49)))->BgL_evaluablezf3zf3);
		}

	}



/* &indexed-evaluable? */
	obj_t BGl_z62indexedzd2evaluablezf3z43zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4297, obj_t BgL_oz00_4298)
	{
		{	/* SawJvm/funcall.sch 81 */
			return
				BBOOL(BGl_indexedzd2evaluablezf3z21zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4298)));
		}

	}



/* indexed-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2evaluablezf3zd2setz12ze1zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt BgL_oz00_50, bool_t BgL_vz00_51)
	{
		{	/* SawJvm/funcall.sch 82 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_50)))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_51), BUNSPEC);
		}

	}



/* &indexed-evaluable?-set! */
	obj_t BGl_z62indexedzd2evaluablezf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4299, obj_t BgL_oz00_4300, obj_t BgL_vz00_4301)
	{
		{	/* SawJvm/funcall.sch 82 */
			return
				BGl_indexedzd2evaluablezf3zd2setz12ze1zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4300), CBOOL(BgL_vz00_4301));
		}

	}



/* indexed-import */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2importzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_52)
	{
		{	/* SawJvm/funcall.sch 83 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_52)))->BgL_importz00);
		}

	}



/* &indexed-import */
	obj_t BGl_z62indexedzd2importzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4302,
		obj_t BgL_oz00_4303)
	{
		{	/* SawJvm/funcall.sch 83 */
			return
				BGl_indexedzd2importzd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4303));
		}

	}



/* indexed-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2importzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_53, obj_t BgL_vz00_54)
	{
		{	/* SawJvm/funcall.sch 84 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_53)))->BgL_importz00) =
				((obj_t) BgL_vz00_54), BUNSPEC);
		}

	}



/* &indexed-import-set! */
	obj_t BGl_z62indexedzd2importzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4304, obj_t BgL_oz00_4305, obj_t BgL_vz00_4306)
	{
		{	/* SawJvm/funcall.sch 84 */
			return
				BGl_indexedzd2importzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4305), BgL_vz00_4306);
		}

	}



/* indexed-module */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2modulezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_55)
	{
		{	/* SawJvm/funcall.sch 85 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_55)))->BgL_modulez00);
		}

	}



/* &indexed-module */
	obj_t BGl_z62indexedzd2modulezb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4307,
		obj_t BgL_oz00_4308)
	{
		{	/* SawJvm/funcall.sch 85 */
			return
				BGl_indexedzd2modulezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4308));
		}

	}



/* indexed-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2modulezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_56, obj_t BgL_vz00_57)
	{
		{	/* SawJvm/funcall.sch 86 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_56)))->BgL_modulez00) =
				((obj_t) BgL_vz00_57), BUNSPEC);
		}

	}



/* &indexed-module-set! */
	obj_t BGl_z62indexedzd2modulezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4309, obj_t BgL_oz00_4310, obj_t BgL_vz00_4311)
	{
		{	/* SawJvm/funcall.sch 86 */
			return
				BGl_indexedzd2modulezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4310), BgL_vz00_4311);
		}

	}



/* indexed-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_indexedzd2userzf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_58)
	{
		{	/* SawJvm/funcall.sch 87 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_58)))->BgL_userzf3zf3);
		}

	}



/* &indexed-user? */
	obj_t BGl_z62indexedzd2userzf3z43zzsaw_jvm_funcallz00(obj_t BgL_envz00_4312,
		obj_t BgL_oz00_4313)
	{
		{	/* SawJvm/funcall.sch 87 */
			return
				BBOOL(BGl_indexedzd2userzf3z21zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4313)));
		}

	}



/* indexed-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2userzf3zd2setz12ze1zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_59, bool_t BgL_vz00_60)
	{
		{	/* SawJvm/funcall.sch 88 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_59)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &indexed-user?-set! */
	obj_t BGl_z62indexedzd2userzf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4314, obj_t BgL_oz00_4315, obj_t BgL_vz00_4316)
	{
		{	/* SawJvm/funcall.sch 88 */
			return
				BGl_indexedzd2userzf3zd2setz12ze1zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4315), CBOOL(BgL_vz00_4316));
		}

	}



/* indexed-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_indexedzd2occurrencewzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_61)
	{
		{	/* SawJvm/funcall.sch 89 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_61)))->BgL_occurrencewz00);
		}

	}



/* &indexed-occurrencew */
	obj_t BGl_z62indexedzd2occurrencewzb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4317, obj_t BgL_oz00_4318)
	{
		{	/* SawJvm/funcall.sch 89 */
			return
				BINT(BGl_indexedzd2occurrencewzd2zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4318)));
		}

	}



/* indexed-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2occurrencewzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_62, long BgL_vz00_63)
	{
		{	/* SawJvm/funcall.sch 90 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_62)))->BgL_occurrencewz00) =
				((long) BgL_vz00_63), BUNSPEC);
		}

	}



/* &indexed-occurrencew-set! */
	obj_t BGl_z62indexedzd2occurrencewzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4319, obj_t BgL_oz00_4320, obj_t BgL_vz00_4321)
	{
		{	/* SawJvm/funcall.sch 90 */
			return
				BGl_indexedzd2occurrencewzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4320), (long) CINT(BgL_vz00_4321));
		}

	}



/* indexed-occurrence */
	BGL_EXPORTED_DEF long
		BGl_indexedzd2occurrencezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_64)
	{
		{	/* SawJvm/funcall.sch 91 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_64)))->BgL_occurrencez00);
		}

	}



/* &indexed-occurrence */
	obj_t BGl_z62indexedzd2occurrencezb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4322, obj_t BgL_oz00_4323)
	{
		{	/* SawJvm/funcall.sch 91 */
			return
				BINT(BGl_indexedzd2occurrencezd2zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4323)));
		}

	}



/* indexed-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2occurrencezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_65, long BgL_vz00_66)
	{
		{	/* SawJvm/funcall.sch 92 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_65)))->BgL_occurrencez00) =
				((long) BgL_vz00_66), BUNSPEC);
		}

	}



/* &indexed-occurrence-set! */
	obj_t BGl_z62indexedzd2occurrencezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4324, obj_t BgL_oz00_4325, obj_t BgL_vz00_4326)
	{
		{	/* SawJvm/funcall.sch 92 */
			return
				BGl_indexedzd2occurrencezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4325), (long) CINT(BgL_vz00_4326));
		}

	}



/* indexed-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2removablezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_67)
	{
		{	/* SawJvm/funcall.sch 93 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_67)))->BgL_removablez00);
		}

	}



/* &indexed-removable */
	obj_t BGl_z62indexedzd2removablezb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4327,
		obj_t BgL_oz00_4328)
	{
		{	/* SawJvm/funcall.sch 93 */
			return
				BGl_indexedzd2removablezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4328));
		}

	}



/* indexed-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2removablezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_68, obj_t BgL_vz00_69)
	{
		{	/* SawJvm/funcall.sch 94 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_68)))->BgL_removablez00) =
				((obj_t) BgL_vz00_69), BUNSPEC);
		}

	}



/* &indexed-removable-set! */
	obj_t BGl_z62indexedzd2removablezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4329, obj_t BgL_oz00_4330, obj_t BgL_vz00_4331)
	{
		{	/* SawJvm/funcall.sch 94 */
			return
				BGl_indexedzd2removablezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4330), BgL_vz00_4331);
		}

	}



/* indexed-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2fastzd2alphaz00zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_70)
	{
		{	/* SawJvm/funcall.sch 95 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_70)))->BgL_fastzd2alphazd2);
		}

	}



/* &indexed-fast-alpha */
	obj_t BGl_z62indexedzd2fastzd2alphaz62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4332, obj_t BgL_oz00_4333)
	{
		{	/* SawJvm/funcall.sch 95 */
			return
				BGl_indexedzd2fastzd2alphaz00zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4333));
		}

	}



/* indexed-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2fastzd2alphazd2setz12zc0zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt BgL_oz00_71, obj_t BgL_vz00_72)
	{
		{	/* SawJvm/funcall.sch 96 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_71)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_72), BUNSPEC);
		}

	}



/* &indexed-fast-alpha-set! */
	obj_t BGl_z62indexedzd2fastzd2alphazd2setz12za2zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4334, obj_t BgL_oz00_4335, obj_t BgL_vz00_4336)
	{
		{	/* SawJvm/funcall.sch 96 */
			return
				BGl_indexedzd2fastzd2alphazd2setz12zc0zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4335), BgL_vz00_4336);
		}

	}



/* indexed-access */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2accesszd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_73)
	{
		{	/* SawJvm/funcall.sch 97 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_73)))->BgL_accessz00);
		}

	}



/* &indexed-access */
	obj_t BGl_z62indexedzd2accesszb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4337,
		obj_t BgL_oz00_4338)
	{
		{	/* SawJvm/funcall.sch 97 */
			return
				BGl_indexedzd2accesszd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4338));
		}

	}



/* indexed-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2accesszd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_74, obj_t BgL_vz00_75)
	{
		{	/* SawJvm/funcall.sch 98 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_74)))->BgL_accessz00) =
				((obj_t) BgL_vz00_75), BUNSPEC);
		}

	}



/* &indexed-access-set! */
	obj_t BGl_z62indexedzd2accesszd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4339, obj_t BgL_oz00_4340, obj_t BgL_vz00_4341)
	{
		{	/* SawJvm/funcall.sch 98 */
			return
				BGl_indexedzd2accesszd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4340), BgL_vz00_4341);
		}

	}



/* indexed-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_indexedzd2valuezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_76)
	{
		{	/* SawJvm/funcall.sch 99 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_76)))->BgL_valuez00);
		}

	}



/* &indexed-value */
	BgL_valuez00_bglt BGl_z62indexedzd2valuezb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4342, obj_t BgL_oz00_4343)
	{
		{	/* SawJvm/funcall.sch 99 */
			return
				BGl_indexedzd2valuezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4343));
		}

	}



/* indexed-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2valuezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_77, BgL_valuez00_bglt BgL_vz00_78)
	{
		{	/* SawJvm/funcall.sch 100 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_77)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_78), BUNSPEC);
		}

	}



/* &indexed-value-set! */
	obj_t BGl_z62indexedzd2valuezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4344, obj_t BgL_oz00_4345, obj_t BgL_vz00_4346)
	{
		{	/* SawJvm/funcall.sch 100 */
			return
				BGl_indexedzd2valuezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4345),
				((BgL_valuez00_bglt) BgL_vz00_4346));
		}

	}



/* indexed-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_indexedzd2typezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_79)
	{
		{	/* SawJvm/funcall.sch 101 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_79)))->BgL_typez00);
		}

	}



/* &indexed-type */
	BgL_typez00_bglt BGl_z62indexedzd2typezb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4347, obj_t BgL_oz00_4348)
	{
		{	/* SawJvm/funcall.sch 101 */
			return
				BGl_indexedzd2typezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4348));
		}

	}



/* indexed-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2typezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_80, BgL_typez00_bglt BgL_vz00_81)
	{
		{	/* SawJvm/funcall.sch 102 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_80)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_81), BUNSPEC);
		}

	}



/* &indexed-type-set! */
	obj_t BGl_z62indexedzd2typezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4349, obj_t BgL_oz00_4350, obj_t BgL_vz00_4351)
	{
		{	/* SawJvm/funcall.sch 102 */
			return
				BGl_indexedzd2typezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4350),
				((BgL_typez00_bglt) BgL_vz00_4351));
		}

	}



/* indexed-name */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2namezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_82)
	{
		{	/* SawJvm/funcall.sch 103 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_82)))->BgL_namez00);
		}

	}



/* &indexed-name */
	obj_t BGl_z62indexedzd2namezb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4352,
		obj_t BgL_oz00_4353)
	{
		{	/* SawJvm/funcall.sch 103 */
			return
				BGl_indexedzd2namezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4353));
		}

	}



/* indexed-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2namezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_83, obj_t BgL_vz00_84)
	{
		{	/* SawJvm/funcall.sch 104 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_83)))->BgL_namez00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}

	}



/* &indexed-name-set! */
	obj_t BGl_z62indexedzd2namezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4354, obj_t BgL_oz00_4355, obj_t BgL_vz00_4356)
	{
		{	/* SawJvm/funcall.sch 104 */
			return
				BGl_indexedzd2namezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4355), BgL_vz00_4356);
		}

	}



/* indexed-id */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2idzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_85)
	{
		{	/* SawJvm/funcall.sch 105 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_85)))->BgL_idz00);
		}

	}



/* &indexed-id */
	obj_t BGl_z62indexedzd2idzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4357,
		obj_t BgL_oz00_4358)
	{
		{	/* SawJvm/funcall.sch 105 */
			return
				BGl_indexedzd2idzd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4358));
		}

	}



/* key-opt? */
	bool_t BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(obj_t BgL_vz00_88)
	{
		{	/* SawJvm/funcall.scm 22 */
			{	/* SawJvm/funcall.scm 23 */
				BgL_globalz00_bglt BgL_vz00_2491;

				BgL_vz00_2491 =
					BGl_globalzd2entryzd2zzbackend_cplibz00(
					((BgL_globalz00_bglt) BgL_vz00_88));
				{	/* SawJvm/funcall.scm 24 */
					BgL_valuez00_bglt BgL_valz00_2492;

					BgL_valz00_2492 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_vz00_2491)))->BgL_valuez00);
					{	/* SawJvm/funcall.scm 25 */
						bool_t BgL_test2355z00_4859;

						{	/* SawJvm/funcall.scm 25 */
							obj_t BgL_classz00_3766;

							BgL_classz00_3766 = BGl_sfunz00zzast_varz00;
							{	/* SawJvm/funcall.scm 25 */
								BgL_objectz00_bglt BgL_arg1825z00_3768;

								{	/* SawJvm/funcall.scm 25 */
									obj_t BgL_tmpz00_4860;

									BgL_tmpz00_4860 =
										((obj_t) ((BgL_objectz00_bglt) BgL_valz00_2492));
									BgL_arg1825z00_3768 = (BgL_objectz00_bglt) (BgL_tmpz00_4860);
								}
								{	/* SawJvm/funcall.scm 25 */
									bool_t BgL_arg1822z00_3771;
									bool_t BgL_arg1823z00_3772;

									{	/* SawJvm/funcall.scm 25 */
										long BgL_idxz00_3775;

										BgL_idxz00_3775 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3768);
										BgL_arg1822z00_3771 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3775 + ((long) 3))) == BgL_classz00_3766);
									}
									{	/* SawJvm/funcall.scm 25 */
										bool_t BgL_res2257z00_3797;

										{	/* SawJvm/funcall.scm 25 */
											obj_t BgL_oclassz00_3783;

											{	/* SawJvm/funcall.scm 25 */
												long BgL_arg1833z00_3789;

												{	/* SawJvm/funcall.scm 25 */
													long BgL_arg1834z00_3790;

													BgL_arg1834z00_3790 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3768);
													BgL_arg1833z00_3789 =
														(BgL_arg1834z00_3790 - OBJECT_TYPE);
												}
												BgL_oclassz00_3783 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_3789);
											}
											{	/* SawJvm/funcall.scm 25 */
												bool_t BgL__ortest_1110z00_3784;

												BgL__ortest_1110z00_3784 =
													(BgL_classz00_3766 == BgL_oclassz00_3783);
												if (BgL__ortest_1110z00_3784)
													{	/* SawJvm/funcall.scm 25 */
														BgL_res2257z00_3797 = BgL__ortest_1110z00_3784;
													}
												else
													{	/* SawJvm/funcall.scm 25 */
														long BgL_odepthz00_3785;

														BgL_odepthz00_3785 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3783);
														if ((((long) 3) < BgL_odepthz00_3785))
															{	/* SawJvm/funcall.scm 25 */
																obj_t BgL_arg1821z00_3787;

																BgL_arg1821z00_3787 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3783,
																	((long) 3));
																BgL_res2257z00_3797 =
																	(BgL_arg1821z00_3787 == BgL_classz00_3766);
															}
														else
															{	/* SawJvm/funcall.scm 25 */
																BgL_res2257z00_3797 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_3772 = BgL_res2257z00_3797;
									}
									BgL_test2355z00_4859 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_3771, BgL_arg1823z00_3772);
								}
							}
						}
						if (BgL_test2355z00_4859)
							{	/* SawJvm/funcall.scm 26 */
								obj_t BgL_cloz00_2494;

								BgL_cloz00_2494 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_valz00_2492)))->
									BgL_thezd2closurezd2globalz00);
								{	/* SawJvm/funcall.scm 27 */
									bool_t BgL_oz00_2495;
									bool_t BgL_kz00_2496;

									BgL_oz00_2495 =
										BGl_globalzd2optionalzf3z21zzast_varz00(BgL_cloz00_2494);
									BgL_kz00_2496 =
										BGl_globalzd2keyzf3z21zzast_varz00(BgL_cloz00_2494);
									if (BgL_oz00_2495)
										{	/* SawJvm/funcall.scm 28 */
											return BgL_oz00_2495;
										}
									else
										{	/* SawJvm/funcall.scm 28 */
											return BgL_kz00_2496;
										}
								}
							}
						else
							{	/* SawJvm/funcall.scm 25 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* module-light-funcall */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_89)
	{
		{	/* SawJvm/funcall.scm 32 */
			{	/* SawJvm/funcall.scm 34 */
				obj_t BgL_g1627z00_2499;

				BgL_g1627z00_2499 =
					(((BgL_jvmz00_bglt) COBJECT(BgL_mez00_89))->BgL_lightzd2funcallszd2);
				{
					obj_t BgL_l1625z00_2501;

					{	/* SawJvm/funcall.scm 34 */
						bool_t BgL_tmpz00_4885;

						BgL_l1625z00_2501 = BgL_g1627z00_2499;
					BgL_zc3z04anonymousza31713ze3z87_2502:
						if (PAIRP(BgL_l1625z00_2501))
							{	/* SawJvm/funcall.scm 34 */
								{	/* SawJvm/funcall.scm 35 */
									obj_t BgL_insz00_2504;

									BgL_insz00_2504 = CAR(BgL_l1625z00_2501);
									{	/* SawJvm/funcall.scm 36 */
										obj_t BgL_arg1715z00_2506;
										obj_t BgL_arg1716z00_2507;
										obj_t BgL_arg1721z00_2508;

										BgL_arg1715z00_2506 =
											(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
													((BgL_rtl_lightfuncallz00_bglt) BgL_insz00_2504)))->
											BgL_namez00);
										BgL_arg1716z00_2507 =
											(((BgL_rtl_lightfuncallz00_bglt)
												COBJECT(((BgL_rtl_lightfuncallz00_bglt)
														BgL_insz00_2504)))->BgL_funsz00);
										BgL_arg1721z00_2508 =
											(((BgL_rtl_lightfuncallz00_bglt)
												COBJECT(((BgL_rtl_lightfuncallz00_bglt)
														BgL_insz00_2504)))->BgL_rettypez00);
										BGl_funcallzd2lightzd2zzsaw_jvm_funcallz00(BgL_mez00_89,
											BgL_arg1715z00_2506, BgL_arg1716z00_2507,
											BgL_arg1721z00_2508);
									}
								}
								{
									obj_t BgL_l1625z00_4896;

									BgL_l1625z00_4896 = CDR(BgL_l1625z00_2501);
									BgL_l1625z00_2501 = BgL_l1625z00_4896;
									goto BgL_zc3z04anonymousza31713ze3z87_2502;
								}
							}
						else
							{	/* SawJvm/funcall.scm 34 */
								BgL_tmpz00_4885 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_4885);
					}
				}
			}
		}

	}



/* &module-light-funcall */
	obj_t BGl_z62modulezd2lightzd2funcallz62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4359, obj_t BgL_mez00_4360)
	{
		{	/* SawJvm/funcall.scm 32 */
			return
				BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(
				((BgL_jvmz00_bglt) BgL_mez00_4360));
		}

	}



/* funcall-light */
	obj_t BGl_funcallzd2lightzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt BgL_mez00_90,
		obj_t BgL_namez00_91, obj_t BgL_funsz00_92, obj_t BgL_rettypez00_93)
	{
		{	/* SawJvm/funcall.scm 39 */
			{
				obj_t BgL_tz00_2541;
				BgL_variablez00_bglt BgL_gz00_2580;

				{	/* SawJvm/funcall.scm 70 */
					obj_t BgL_fz00_2518;

					BgL_fz00_2518 = CAR(((obj_t) BgL_funsz00_92));
					{	/* SawJvm/funcall.scm 70 */
						BgL_variablez00_bglt BgL_gz00_2519;

						BgL_gz00_2519 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_fz00_2518)))->BgL_variablez00);
						{	/* SawJvm/funcall.scm 71 */
							obj_t BgL_trz00_2520;

							BgL_trz00_2520 =
								BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_mez00_90,
								((BgL_typez00_bglt) BgL_rettypez00_93));
							{	/* SawJvm/funcall.scm 72 */
								obj_t BgL_talz00_2521;

								BgL_gz00_2580 = BgL_gz00_2519;
								{	/* SawJvm/funcall.scm 66 */
									obj_t BgL_argsz00_2582;

									BgL_argsz00_2582 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_gz00_2580))))->
														BgL_valuez00))))->BgL_argsz00);
									{	/* SawJvm/funcall.scm 67 */
										obj_t BgL_arg1761z00_2583;
										obj_t BgL_arg1762z00_2584;

										{	/* SawJvm/funcall.scm 67 */
											obj_t BgL_arg1763z00_2585;

											BgL_arg1763z00_2585 = CAR(((obj_t) BgL_argsz00_2582));
											{	/* SawJvm/funcall.scm 52 */
												obj_t BgL_arg1746z00_3875;

												BgL_arg1746z00_3875 =
													BGl_getzd2typeze70z35zzsaw_jvm_funcallz00
													(BgL_arg1763z00_2585);
												BgL_arg1761z00_2583 =
													BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_mez00_90,
													((BgL_typez00_bglt) BgL_arg1746z00_3875));
											}
										}
										{	/* SawJvm/funcall.scm 68 */
											obj_t BgL_l1628z00_2586;

											BgL_l1628z00_2586 = CDR(((obj_t) BgL_argsz00_2582));
											if (NULLP(BgL_l1628z00_2586))
												{	/* SawJvm/funcall.scm 68 */
													BgL_arg1762z00_2584 = BNIL;
												}
											else
												{	/* SawJvm/funcall.scm 68 */
													obj_t BgL_head1630z00_2588;

													BgL_head1630z00_2588 = MAKE_YOUNG_PAIR(BNIL, BNIL);
													{
														obj_t BgL_l1628z00_2590;
														obj_t BgL_tail1631z00_2591;

														BgL_l1628z00_2590 = BgL_l1628z00_2586;
														BgL_tail1631z00_2591 = BgL_head1630z00_2588;
													BgL_zc3z04anonymousza31765ze3z87_2592:
														if (NULLP(BgL_l1628z00_2590))
															{	/* SawJvm/funcall.scm 68 */
																BgL_arg1762z00_2584 = CDR(BgL_head1630z00_2588);
															}
														else
															{	/* SawJvm/funcall.scm 68 */
																obj_t BgL_newtail1632z00_2594;

																{	/* SawJvm/funcall.scm 68 */
																	obj_t BgL_arg1772z00_2596;

																	{	/* SawJvm/funcall.scm 68 */
																		obj_t BgL_az00_2597;

																		BgL_az00_2597 =
																			CAR(((obj_t) BgL_l1628z00_2590));
																		{	/* SawJvm/funcall.scm 54 */
																			obj_t BgL_arg1748z00_3880;

																			BgL_tz00_2541 =
																				BGl_getzd2typeze70z35zzsaw_jvm_funcallz00
																				(BgL_az00_2597);
																			if (BGl_bigloozd2typezf3z21zztype_typez00(
																					((BgL_typez00_bglt) BgL_tz00_2541)))
																				{	/* SawJvm/funcall.scm 41 */
																					BgL_arg1748z00_3880 =
																						BGl_za2objza2z00zztype_cachez00;
																				}
																			else
																				{	/* SawJvm/funcall.scm 41 */
																					BgL_arg1748z00_3880 = BgL_tz00_2541;
																				}
																			BgL_arg1772z00_2596 =
																				BGl_compilezd2typezd2zzsaw_jvm_outz00
																				(BgL_mez00_90,
																				((BgL_typez00_bglt)
																					BgL_arg1748z00_3880));
																		}
																	}
																	BgL_newtail1632z00_2594 =
																		MAKE_YOUNG_PAIR(BgL_arg1772z00_2596, BNIL);
																}
																SET_CDR(BgL_tail1631z00_2591,
																	BgL_newtail1632z00_2594);
																{	/* SawJvm/funcall.scm 68 */
																	obj_t BgL_arg1770z00_2595;

																	BgL_arg1770z00_2595 =
																		CDR(((obj_t) BgL_l1628z00_2590));
																	{
																		obj_t BgL_tail1631z00_4938;
																		obj_t BgL_l1628z00_4937;

																		BgL_l1628z00_4937 = BgL_arg1770z00_2595;
																		BgL_tail1631z00_4938 =
																			BgL_newtail1632z00_2594;
																		BgL_tail1631z00_2591 = BgL_tail1631z00_4938;
																		BgL_l1628z00_2590 = BgL_l1628z00_4937;
																		goto BgL_zc3z04anonymousza31765ze3z87_2592;
																	}
																}
															}
													}
												}
										}
										BgL_talz00_2521 =
											MAKE_YOUNG_PAIR(BgL_arg1761z00_2583, BgL_arg1762z00_2584);
									}
								}
								{	/* SawJvm/funcall.scm 73 */
									obj_t BgL_pz00_2522;

									{	/* SawJvm/funcall.scm 74 */
										obj_t BgL_head1635z00_2529;

										BgL_head1635z00_2529 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1633z00_2531;
											obj_t BgL_tail1636z00_2532;

											BgL_l1633z00_2531 = BgL_talz00_2521;
											BgL_tail1636z00_2532 = BgL_head1635z00_2529;
										BgL_zc3z04anonymousza31731ze3z87_2533:
											if (NULLP(BgL_l1633z00_2531))
												{	/* SawJvm/funcall.scm 74 */
													BgL_pz00_2522 = CDR(BgL_head1635z00_2529);
												}
											else
												{	/* SawJvm/funcall.scm 74 */
													obj_t BgL_newtail1637z00_2535;

													{	/* SawJvm/funcall.scm 74 */
														obj_t BgL_arg1739z00_2537;

														{	/* SawJvm/funcall.scm 74 */

															{	/* SawJvm/funcall.scm 74 */

																BgL_arg1739z00_2537 =
																	BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
															}
														}
														BgL_newtail1637z00_2535 =
															MAKE_YOUNG_PAIR(BgL_arg1739z00_2537, BNIL);
													}
													SET_CDR(BgL_tail1636z00_2532,
														BgL_newtail1637z00_2535);
													{	/* SawJvm/funcall.scm 74 */
														obj_t BgL_arg1738z00_2536;

														BgL_arg1738z00_2536 =
															CDR(((obj_t) BgL_l1633z00_2531));
														{
															obj_t BgL_tail1636z00_4950;
															obj_t BgL_l1633z00_4949;

															BgL_l1633z00_4949 = BgL_arg1738z00_2536;
															BgL_tail1636z00_4950 = BgL_newtail1637z00_2535;
															BgL_tail1636z00_2532 = BgL_tail1636z00_4950;
															BgL_l1633z00_2531 = BgL_l1633z00_4949;
															goto BgL_zc3z04anonymousza31731ze3z87_2533;
														}
													}
												}
										}
									}
									{	/* SawJvm/funcall.scm 74 */

										{	/* SawJvm/funcall.scm 76 */
											obj_t BgL_arg1725z00_2523;

											{	/* SawJvm/funcall.scm 76 */
												obj_t BgL_arg1463z00_3891;

												BgL_arg1463z00_3891 = SYMBOL_TO_STRING(BgL_namez00_91);
												BgL_arg1725z00_2523 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1463z00_3891);
											}
											BGl_declarezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_90,
												BgL_namez00_91, CNST_TABLE_REF(((long) 0)),
												CNST_TABLE_REF(((long) 1)), BgL_trz00_2520,
												BgL_arg1725z00_2523, BgL_talz00_2521);
										}
										BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_90,
											BgL_namez00_91);
										BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_90,
											BgL_pz00_2522, BNIL);
										{	/* SawJvm/funcall.scm 80 */
											obj_t BgL_arg1726z00_2524;

											{	/* SawJvm/funcall.scm 80 */
												obj_t BgL_arg1728z00_2525;

												{	/* SawJvm/funcall.scm 80 */
													obj_t BgL_arg1729z00_2526;

													BgL_arg1729z00_2526 = CAR(((obj_t) BgL_pz00_2522));
													BgL_arg1728z00_2525 =
														MAKE_YOUNG_PAIR(BgL_arg1729z00_2526, BNIL);
												}
												BgL_arg1726z00_2524 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)),
													BgL_arg1728z00_2525);
											}
											BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_90,
												BgL_arg1726z00_2524);
										}
										BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_90,
											CNST_TABLE_REF(((long) 3)));
										BGl_funcallzd2lightzd2switchz00zzsaw_jvm_funcallz00
											(BgL_mez00_90, BgL_funsz00_92, BgL_trz00_2520,
											BgL_pz00_2522, BgL_talz00_2521);
										return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_90);
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* get-type~0 */
	obj_t BGl_getzd2typeze70z35zzsaw_jvm_funcallz00(obj_t BgL_tz00_2544)
	{
		{	/* SawJvm/funcall.scm 50 */
			{	/* SawJvm/funcall.scm 46 */
				bool_t BgL_test2364z00_4968;

				{	/* SawJvm/funcall.scm 46 */
					obj_t BgL_classz00_3802;

					BgL_classz00_3802 = BGl_localz00zzast_varz00;
					if (BGL_OBJECTP(BgL_tz00_2544))
						{	/* SawJvm/funcall.scm 46 */
							BgL_objectz00_bglt BgL_arg1825z00_3804;

							BgL_arg1825z00_3804 = (BgL_objectz00_bglt) (BgL_tz00_2544);
							{	/* SawJvm/funcall.scm 46 */
								bool_t BgL_arg1822z00_3807;
								bool_t BgL_arg1823z00_3808;

								{	/* SawJvm/funcall.scm 46 */
									long BgL_idxz00_3811;

									BgL_idxz00_3811 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3804);
									BgL_arg1822z00_3807 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3811 + ((long) 2))) == BgL_classz00_3802);
								}
								{	/* SawJvm/funcall.scm 46 */
									bool_t BgL_res2258z00_3833;

									{	/* SawJvm/funcall.scm 46 */
										obj_t BgL_oclassz00_3819;

										{	/* SawJvm/funcall.scm 46 */
											long BgL_arg1833z00_3825;

											{	/* SawJvm/funcall.scm 46 */
												long BgL_arg1834z00_3826;

												BgL_arg1834z00_3826 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3804);
												BgL_arg1833z00_3825 =
													(BgL_arg1834z00_3826 - OBJECT_TYPE);
											}
											BgL_oclassz00_3819 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3825);
										}
										{	/* SawJvm/funcall.scm 46 */
											bool_t BgL__ortest_1110z00_3820;

											BgL__ortest_1110z00_3820 =
												(BgL_classz00_3802 == BgL_oclassz00_3819);
											if (BgL__ortest_1110z00_3820)
												{	/* SawJvm/funcall.scm 46 */
													BgL_res2258z00_3833 = BgL__ortest_1110z00_3820;
												}
											else
												{	/* SawJvm/funcall.scm 46 */
													long BgL_odepthz00_3821;

													BgL_odepthz00_3821 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3819);
													if ((((long) 2) < BgL_odepthz00_3821))
														{	/* SawJvm/funcall.scm 46 */
															obj_t BgL_arg1821z00_3823;

															BgL_arg1821z00_3823 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3819,
																((long) 2));
															BgL_res2258z00_3833 =
																(BgL_arg1821z00_3823 == BgL_classz00_3802);
														}
													else
														{	/* SawJvm/funcall.scm 46 */
															BgL_res2258z00_3833 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3808 = BgL_res2258z00_3833;
								}
								BgL_test2364z00_4968 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3807, BgL_arg1823z00_3808);
							}
						}
					else
						{	/* SawJvm/funcall.scm 46 */
							BgL_test2364z00_4968 = ((bool_t) 0);
						}
				}
				if (BgL_test2364z00_4968)
					{	/* SawJvm/funcall.scm 46 */
						return
							((obj_t)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_tz00_2544))))->BgL_typez00));
					}
				else
					{	/* SawJvm/funcall.scm 48 */
						bool_t BgL_test2368z00_4991;

						{	/* SawJvm/funcall.scm 48 */
							obj_t BgL_classz00_3835;

							BgL_classz00_3835 = BGl_typez00zztype_typez00;
							if (BGL_OBJECTP(BgL_tz00_2544))
								{	/* SawJvm/funcall.scm 48 */
									BgL_objectz00_bglt BgL_arg1825z00_3837;

									BgL_arg1825z00_3837 = (BgL_objectz00_bglt) (BgL_tz00_2544);
									{	/* SawJvm/funcall.scm 48 */
										bool_t BgL_arg1822z00_3840;
										bool_t BgL_arg1823z00_3841;

										{	/* SawJvm/funcall.scm 48 */
											long BgL_idxz00_3844;

											BgL_idxz00_3844 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3837);
											BgL_arg1822z00_3840 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3844 + ((long) 1))) == BgL_classz00_3835);
										}
										{	/* SawJvm/funcall.scm 48 */
											bool_t BgL_res2259z00_3866;

											{	/* SawJvm/funcall.scm 48 */
												obj_t BgL_oclassz00_3852;

												{	/* SawJvm/funcall.scm 48 */
													long BgL_arg1833z00_3858;

													{	/* SawJvm/funcall.scm 48 */
														long BgL_arg1834z00_3859;

														BgL_arg1834z00_3859 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3837);
														BgL_arg1833z00_3858 =
															(BgL_arg1834z00_3859 - OBJECT_TYPE);
													}
													BgL_oclassz00_3852 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_3858);
												}
												{	/* SawJvm/funcall.scm 48 */
													bool_t BgL__ortest_1110z00_3853;

													BgL__ortest_1110z00_3853 =
														(BgL_classz00_3835 == BgL_oclassz00_3852);
													if (BgL__ortest_1110z00_3853)
														{	/* SawJvm/funcall.scm 48 */
															BgL_res2259z00_3866 = BgL__ortest_1110z00_3853;
														}
													else
														{	/* SawJvm/funcall.scm 48 */
															long BgL_odepthz00_3854;

															BgL_odepthz00_3854 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3852);
															if ((((long) 1) < BgL_odepthz00_3854))
																{	/* SawJvm/funcall.scm 48 */
																	obj_t BgL_arg1821z00_3856;

																	BgL_arg1821z00_3856 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3852,
																		((long) 1));
																	BgL_res2259z00_3866 =
																		(BgL_arg1821z00_3856 == BgL_classz00_3835);
																}
															else
																{	/* SawJvm/funcall.scm 48 */
																	BgL_res2259z00_3866 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_3841 = BgL_res2259z00_3866;
										}
										BgL_test2368z00_4991 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_3840,
											BgL_arg1823z00_3841);
									}
								}
							else
								{	/* SawJvm/funcall.scm 48 */
									BgL_test2368z00_4991 = ((bool_t) 0);
								}
						}
						if (BgL_test2368z00_4991)
							{	/* SawJvm/funcall.scm 48 */
								return BgL_tz00_2544;
							}
						else
							{	/* SawJvm/funcall.scm 48 */
								return
									BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 4)),
									BGl_string2268z00zzsaw_jvm_funcallz00, BgL_tz00_2544);
		}}}}

	}



/* funcall-light-switch */
	bool_t BGl_funcallzd2lightzd2switchz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_94, obj_t BgL_funsz00_95, obj_t BgL_trz00_96, obj_t BgL_pz00_97,
		obj_t BgL_talz00_98)
	{
		{	/* SawJvm/funcall.scm 85 */
			{
				obj_t BgL_tz00_2654;
				obj_t BgL_lz00_2671;

				{	/* SawJvm/funcall.scm 113 */
					obj_t BgL_thisz00_2612;

					BgL_thisz00_2612 = CAR(((obj_t) BgL_pz00_97));
					{	/* SawJvm/funcall.scm 113 */
						obj_t BgL_iza2za2_2613;

						BgL_lz00_2671 = BgL_funsz00_95;
						if (NULLP(BgL_funsz00_95))
							{	/* SawJvm/funcall.scm 96 */
								BgL_iza2za2_2613 = BNIL;
							}
						else
							{	/* SawJvm/funcall.scm 96 */
								obj_t BgL_head1640z00_2675;

								BgL_head1640z00_2675 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1638z00_2677;
									obj_t BgL_tail1641z00_2678;

									BgL_l1638z00_2677 = BgL_funsz00_95;
									BgL_tail1641z00_2678 = BgL_head1640z00_2675;
								BgL_zc3z04anonymousza31860ze3z87_2679:
									if (NULLP(BgL_l1638z00_2677))
										{	/* SawJvm/funcall.scm 96 */
											BgL_iza2za2_2613 = CDR(BgL_head1640z00_2675);
										}
									else
										{	/* SawJvm/funcall.scm 96 */
											obj_t BgL_newtail1642z00_2681;

											{	/* SawJvm/funcall.scm 96 */
												int BgL_arg1863z00_2683;

												{	/* SawJvm/funcall.scm 96 */
													BgL_globalz00_bglt BgL_oz00_3900;

													BgL_oz00_3900 =
														((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt)
																		CAR(
																			((obj_t) BgL_l1638z00_2677)))))->
															BgL_variablez00));
													{
														BgL_indexedz00_bglt BgL_auxz00_5025;

														{
															obj_t BgL_auxz00_5026;

															{	/* SawJvm/funcall.scm 96 */
																BgL_objectz00_bglt BgL_tmpz00_5027;

																BgL_tmpz00_5027 =
																	((BgL_objectz00_bglt) BgL_oz00_3900);
																BgL_auxz00_5026 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5027);
															}
															BgL_auxz00_5025 =
																((BgL_indexedz00_bglt) BgL_auxz00_5026);
														}
														BgL_arg1863z00_2683 =
															(((BgL_indexedz00_bglt)
																COBJECT(BgL_auxz00_5025))->BgL_indexz00);
												}}
												BgL_newtail1642z00_2681 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg1863z00_2683), BNIL);
											}
											SET_CDR(BgL_tail1641z00_2678, BgL_newtail1642z00_2681);
											{	/* SawJvm/funcall.scm 96 */
												obj_t BgL_arg1862z00_2682;

												BgL_arg1862z00_2682 = CDR(((obj_t) BgL_l1638z00_2677));
												{
													obj_t BgL_tail1641z00_5038;
													obj_t BgL_l1638z00_5037;

													BgL_l1638z00_5037 = BgL_arg1862z00_2682;
													BgL_tail1641z00_5038 = BgL_newtail1642z00_2681;
													BgL_tail1641z00_2678 = BgL_tail1641z00_5038;
													BgL_l1638z00_2677 = BgL_l1638z00_5037;
													goto BgL_zc3z04anonymousza31860ze3z87_2679;
												}
											}
										}
								}
							}
						{	/* SawJvm/funcall.scm 114 */
							obj_t BgL_labsz00_2614;

							BgL_labsz00_2614 =
								BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(((long) 0),
								BGl_sortz00zz__r4_vectors_6_8z00(BgL_iza2za2_2613,
									BGl_zc3zd2envz11zz__r4_numbers_6_5z00));
							{	/* SawJvm/funcall.scm 115 */

								{	/* SawJvm/funcall.scm 118 */
									obj_t BgL_arg1781z00_2615;

									{	/* SawJvm/funcall.scm 118 */
										obj_t BgL_arg1785z00_2616;

										{	/* SawJvm/funcall.scm 118 */
											obj_t BgL_arg1788z00_2617;

											BgL_arg1788z00_2617 =
												MAKE_YOUNG_PAIR(BINT(((long) 0)),
												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
												(BgL_labsz00_2614, BNIL));
											BgL_arg1785z00_2616 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
												BgL_arg1788z00_2617);
										}
										BgL_arg1781z00_2615 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 21)),
											BgL_arg1785z00_2616);
									}
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
										BgL_arg1781z00_2615);
								}
								BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_94,
									CNST_TABLE_REF(((long) 20)));
								BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_mez00_94,
									BGl_string2269z00zzsaw_jvm_funcallz00);
								BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_mez00_94,
									BGl_string2270z00zzsaw_jvm_funcallz00);
								{	/* SawJvm/funcall.scm 122 */
									obj_t BgL_arg1799z00_2619;

									{	/* SawJvm/funcall.scm 122 */
										obj_t BgL_arg1801z00_2620;

										BgL_arg1801z00_2620 =
											MAKE_YOUNG_PAIR(BgL_thisz00_2612, BNIL);
										BgL_arg1799z00_2619 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)),
											BgL_arg1801z00_2620);
									}
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
										BgL_arg1799z00_2619);
								}
								BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
									CNST_TABLE_REF(((long) 22)));
								BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
									CNST_TABLE_REF(((long) 23)));
								{
									obj_t BgL_l1643z00_2622;

									BgL_l1643z00_2622 = BgL_funsz00_95;
								BgL_zc3z04anonymousza31802ze3z87_2623:
									if (PAIRP(BgL_l1643z00_2622))
										{	/* SawJvm/funcall.scm 125 */
											{	/* SawJvm/funcall.scm 126 */
												obj_t BgL_fz00_2625;

												BgL_fz00_2625 = CAR(BgL_l1643z00_2622);
												{	/* SawJvm/funcall.scm 126 */
													BgL_variablez00_bglt BgL_gz00_2626;

													BgL_gz00_2626 =
														(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_fz00_2625)))->
														BgL_variablez00);
													{	/* SawJvm/funcall.scm 127 */
														obj_t BgL_arg1805z00_2627;

														{	/* SawJvm/funcall.scm 127 */
															int BgL_arg1807z00_2628;

															{
																BgL_indexedz00_bglt BgL_auxz00_5066;

																{
																	obj_t BgL_auxz00_5067;

																	{	/* SawJvm/funcall.scm 127 */
																		BgL_objectz00_bglt BgL_tmpz00_5068;

																		BgL_tmpz00_5068 =
																			((BgL_objectz00_bglt)
																			((BgL_globalz00_bglt) BgL_gz00_2626));
																		BgL_auxz00_5067 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5068);
																	}
																	BgL_auxz00_5066 =
																		((BgL_indexedz00_bglt) BgL_auxz00_5067);
																}
																BgL_arg1807z00_2628 =
																	(((BgL_indexedz00_bglt)
																		COBJECT(BgL_auxz00_5066))->BgL_indexz00);
															}
															BgL_arg1805z00_2627 =
																BGl_Lze70ze7zzsaw_jvm_funcallz00(
																(long) (BgL_arg1807z00_2628));
														}
														BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_94,
															BgL_arg1805z00_2627);
													}
													{	/* SawJvm/funcall.scm 128 */
														obj_t BgL_arg1810z00_2630;

														BgL_arg1810z00_2630 =
															(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_gz00_2626))))->
																			BgL_valuez00))))->BgL_argsz00);
														{	/* SawJvm/funcall.scm 129 */
															obj_t BgL_zc3z04anonymousza31819ze3z87_4361;

															BgL_zc3z04anonymousza31819ze3z87_4361 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza31819ze3ze5zzsaw_jvm_funcallz00,
																(int) (((long) 3)), (int) (((long) 1)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza31819ze3z87_4361,
																(int) (((long) 0)), ((obj_t) BgL_mez00_94));
															{	/* SawJvm/funcall.scm 128 */
																obj_t BgL_list1811z00_2631;

																{	/* SawJvm/funcall.scm 128 */
																	obj_t BgL_arg1817z00_2632;

																	{	/* SawJvm/funcall.scm 128 */
																		obj_t BgL_arg1818z00_2633;

																		BgL_arg1818z00_2633 =
																			MAKE_YOUNG_PAIR(BgL_arg1810z00_2630,
																			BNIL);
																		BgL_arg1817z00_2632 =
																			MAKE_YOUNG_PAIR(BgL_pz00_97,
																			BgL_arg1818z00_2633);
																	}
																	BgL_list1811z00_2631 =
																		MAKE_YOUNG_PAIR(BgL_talz00_98,
																		BgL_arg1817z00_2632);
																}
																BGl_forzd2eachzd2zz__r4_control_features_6_9z00
																	(BgL_zc3z04anonymousza31819ze3z87_4361,
																	BgL_list1811z00_2631);
													}}}
													{	/* SawJvm/funcall.scm 134 */
														BgL_globalz00_bglt BgL_arg1848z00_2650;

														BgL_arg1848z00_2650 =
															BGl_globalzd2entryzd2zzbackend_cplibz00(
															((BgL_globalz00_bglt) BgL_gz00_2626));
														BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_94,
															BgL_arg1848z00_2650);
													}
													BgL_tz00_2654 = BgL_trz00_96;
													{	/* SawJvm/funcall.scm 88 */
														obj_t BgL_arg1852z00_2656;

														if ((BgL_tz00_2654 == CNST_TABLE_REF(((long) 5))))
															{	/* SawJvm/funcall.scm 88 */
																BgL_arg1852z00_2656 =
																	CNST_TABLE_REF(((long) 6));
															}
														else
															{	/* SawJvm/funcall.scm 88 */
																bool_t BgL_test2376z00_5099;

																{	/* SawJvm/funcall.scm 88 */
																	bool_t BgL__ortest_1191z00_2667;

																	BgL__ortest_1191z00_2667 =
																		(BgL_tz00_2654 ==
																		CNST_TABLE_REF(((long) 7)));
																	if (BgL__ortest_1191z00_2667)
																		{	/* SawJvm/funcall.scm 88 */
																			BgL_test2376z00_5099 =
																				BgL__ortest_1191z00_2667;
																		}
																	else
																		{	/* SawJvm/funcall.scm 88 */
																			bool_t BgL__ortest_1192z00_2668;

																			BgL__ortest_1192z00_2668 =
																				(BgL_tz00_2654 ==
																				CNST_TABLE_REF(((long) 8)));
																			if (BgL__ortest_1192z00_2668)
																				{	/* SawJvm/funcall.scm 88 */
																					BgL_test2376z00_5099 =
																						BgL__ortest_1192z00_2668;
																				}
																			else
																				{	/* SawJvm/funcall.scm 88 */
																					bool_t BgL__ortest_1193z00_2669;

																					BgL__ortest_1193z00_2669 =
																						(BgL_tz00_2654 ==
																						CNST_TABLE_REF(((long) 9)));
																					if (BgL__ortest_1193z00_2669)
																						{	/* SawJvm/funcall.scm 88 */
																							BgL_test2376z00_5099 =
																								BgL__ortest_1193z00_2669;
																						}
																					else
																						{	/* SawJvm/funcall.scm 88 */
																							bool_t BgL__ortest_1194z00_2670;

																							BgL__ortest_1194z00_2670 =
																								(BgL_tz00_2654 ==
																								CNST_TABLE_REF(((long) 10)));
																							if (BgL__ortest_1194z00_2670)
																								{	/* SawJvm/funcall.scm 88 */
																									BgL_test2376z00_5099 =
																										BgL__ortest_1194z00_2670;
																								}
																							else
																								{	/* SawJvm/funcall.scm 88 */
																									BgL_test2376z00_5099 =
																										(BgL_tz00_2654 ==
																										CNST_TABLE_REF(((long)
																												11)));
																}}}}}
																if (BgL_test2376z00_5099)
																	{	/* SawJvm/funcall.scm 88 */
																		BgL_arg1852z00_2656 =
																			CNST_TABLE_REF(((long) 12));
																	}
																else
																	{	/* SawJvm/funcall.scm 88 */
																		if (
																			(BgL_tz00_2654 ==
																				CNST_TABLE_REF(((long) 13))))
																			{	/* SawJvm/funcall.scm 88 */
																				BgL_arg1852z00_2656 =
																					CNST_TABLE_REF(((long) 14));
																			}
																		else
																			{	/* SawJvm/funcall.scm 88 */
																				if (
																					(BgL_tz00_2654 ==
																						CNST_TABLE_REF(((long) 15))))
																					{	/* SawJvm/funcall.scm 88 */
																						BgL_arg1852z00_2656 =
																							CNST_TABLE_REF(((long) 16));
																					}
																				else
																					{	/* SawJvm/funcall.scm 88 */
																						if (
																							(BgL_tz00_2654 ==
																								CNST_TABLE_REF(((long) 17))))
																							{	/* SawJvm/funcall.scm 88 */
																								BgL_arg1852z00_2656 =
																									CNST_TABLE_REF(((long) 18));
																							}
																						else
																							{	/* SawJvm/funcall.scm 88 */
																								BgL_arg1852z00_2656 =
																									CNST_TABLE_REF(((long) 19));
															}}}}}
														BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
															BgL_arg1852z00_2656);
											}}}
											{
												obj_t BgL_l1643z00_5129;

												BgL_l1643z00_5129 = CDR(BgL_l1643z00_2622);
												BgL_l1643z00_2622 = BgL_l1643z00_5129;
												goto BgL_zc3z04anonymousza31802ze3z87_2623;
											}
										}
									else
										{	/* SawJvm/funcall.scm 125 */
											return ((bool_t) 1);
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* get-labs~2 */
	obj_t BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(long BgL_iz00_2693,
		obj_t BgL_lz00_2694)
	{
		{	/* SawJvm/funcall.scm 103 */
			if (NULLP(BgL_lz00_2694))
				{	/* SawJvm/funcall.scm 100 */
					return BNIL;
				}
			else
				{	/* SawJvm/funcall.scm 100 */
					if ((BgL_iz00_2693 == (long) CINT(CAR(((obj_t) BgL_lz00_2694)))))
						{	/* SawJvm/funcall.scm 102 */
							obj_t BgL_arg1875z00_2699;
							obj_t BgL_arg1877z00_2700;

							BgL_arg1875z00_2699 =
								BGl_Lze70ze7zzsaw_jvm_funcallz00(BgL_iz00_2693);
							{	/* SawJvm/funcall.scm 102 */
								long BgL_arg1878z00_2701;
								obj_t BgL_arg1880z00_2702;

								BgL_arg1878z00_2701 = (BgL_iz00_2693 + ((long) 1));
								BgL_arg1880z00_2702 = CDR(((obj_t) BgL_lz00_2694));
								BgL_arg1877z00_2700 =
									BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(BgL_arg1878z00_2701,
									BgL_arg1880z00_2702);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1875z00_2699, BgL_arg1877z00_2700);
						}
					else
						{	/* SawJvm/funcall.scm 103 */
							obj_t BgL_arg1882z00_2703;

							BgL_arg1882z00_2703 =
								BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(
								(BgL_iz00_2693 + ((long) 1)), BgL_lz00_2694);
							return
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
								BgL_arg1882z00_2703);
		}}}

	}



/* L~0 */
	obj_t BGl_Lze70ze7zzsaw_jvm_funcallz00(long BgL_nz00_2687)
	{
		{	/* SawJvm/funcall.scm 97 */
			{	/* SawJvm/funcall.scm 97 */
				obj_t BgL_arg1867z00_2689;

				{	/* SawJvm/funcall.scm 97 */
					obj_t BgL_arg1869z00_2690;

					{	/* SawJvm/funcall.scm 97 */

						BgL_arg1869z00_2690 =
							BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
							(BgL_nz00_2687, ((long) 10));
					}
					BgL_arg1867z00_2689 =
						string_append(BGl_string2271z00zzsaw_jvm_funcallz00,
						BgL_arg1869z00_2690);
				}
				return bstring_to_symbol(BgL_arg1867z00_2689);
			}
		}

	}



/* &<@anonymous:1819> */
	obj_t BGl_z62zc3z04anonymousza31819ze3ze5zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4362, obj_t BgL_tz00_4364, obj_t BgL_vz00_4365,
		obj_t BgL_az00_4366)
	{
		{	/* SawJvm/funcall.scm 128 */
			{	/* SawJvm/funcall.scm 129 */
				BgL_jvmz00_bglt BgL_mez00_4363;

				BgL_mez00_4363 =
					((BgL_jvmz00_bglt)
					PROCEDURE_REF(BgL_envz00_4362, (int) (((long) 0))));
				{
					obj_t BgL_tz00_4462;
					obj_t BgL_vz00_4463;

					{	/* SawJvm/funcall.scm 129 */
						obj_t BgL_taz00_4471;

						{	/* SawJvm/funcall.scm 129 */
							bool_t BgL_test2386z00_5154;

							{	/* SawJvm/funcall.scm 129 */
								obj_t BgL_classz00_4472;

								BgL_classz00_4472 = BGl_localz00zzast_varz00;
								if (BGL_OBJECTP(BgL_az00_4366))
									{	/* SawJvm/funcall.scm 129 */
										BgL_objectz00_bglt BgL_arg1825z00_4473;

										BgL_arg1825z00_4473 = (BgL_objectz00_bglt) (BgL_az00_4366);
										{	/* SawJvm/funcall.scm 129 */
											bool_t BgL_arg1822z00_4474;
											bool_t BgL_arg1823z00_4475;

											{	/* SawJvm/funcall.scm 129 */
												long BgL_idxz00_4476;

												BgL_idxz00_4476 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4473);
												BgL_arg1822z00_4474 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4476 + ((long) 2))) ==
													BgL_classz00_4472);
											}
											{	/* SawJvm/funcall.scm 129 */
												bool_t BgL_res2260z00_4479;

												{	/* SawJvm/funcall.scm 129 */
													obj_t BgL_oclassz00_4480;

													{	/* SawJvm/funcall.scm 129 */
														long BgL_arg1833z00_4481;

														{	/* SawJvm/funcall.scm 129 */
															long BgL_arg1834z00_4482;

															BgL_arg1834z00_4482 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4473);
															BgL_arg1833z00_4481 =
																(BgL_arg1834z00_4482 - OBJECT_TYPE);
														}
														BgL_oclassz00_4480 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_4481);
													}
													{	/* SawJvm/funcall.scm 129 */
														bool_t BgL__ortest_1110z00_4483;

														BgL__ortest_1110z00_4483 =
															(BgL_classz00_4472 == BgL_oclassz00_4480);
														if (BgL__ortest_1110z00_4483)
															{	/* SawJvm/funcall.scm 129 */
																BgL_res2260z00_4479 = BgL__ortest_1110z00_4483;
															}
														else
															{	/* SawJvm/funcall.scm 129 */
																long BgL_odepthz00_4484;

																BgL_odepthz00_4484 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4480);
																if ((((long) 2) < BgL_odepthz00_4484))
																	{	/* SawJvm/funcall.scm 129 */
																		obj_t BgL_arg1821z00_4485;

																		BgL_arg1821z00_4485 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4480, ((long) 2));
																		BgL_res2260z00_4479 =
																			(BgL_arg1821z00_4485 ==
																			BgL_classz00_4472);
																	}
																else
																	{	/* SawJvm/funcall.scm 129 */
																		BgL_res2260z00_4479 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_4475 = BgL_res2260z00_4479;
											}
											BgL_test2386z00_5154 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_4474,
												BgL_arg1823z00_4475);
										}
									}
								else
									{	/* SawJvm/funcall.scm 129 */
										BgL_test2386z00_5154 = ((bool_t) 0);
									}
							}
							if (BgL_test2386z00_5154)
								{	/* SawJvm/funcall.scm 129 */
									BgL_taz00_4471 =
										((obj_t)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_az00_4366))))->
											BgL_typez00));
								}
							else
								{	/* SawJvm/funcall.scm 129 */
									BgL_taz00_4471 = BgL_az00_4366;
								}
						}
						BgL_tz00_4462 = BgL_tz00_4364;
						BgL_vz00_4463 = BgL_vz00_4365;
						{	/* SawJvm/funcall.scm 106 */
							obj_t BgL_arg1886z00_4464;

							{	/* SawJvm/funcall.scm 106 */
								obj_t BgL_arg1887z00_4465;
								obj_t BgL_arg1888z00_4466;

								{	/* SawJvm/funcall.scm 106 */
									bool_t BgL_test2390z00_5177;

									{	/* SawJvm/funcall.scm 106 */
										bool_t BgL__ortest_1195z00_4467;

										BgL__ortest_1195z00_4467 =
											(BgL_tz00_4462 == CNST_TABLE_REF(((long) 7)));
										if (BgL__ortest_1195z00_4467)
											{	/* SawJvm/funcall.scm 106 */
												BgL_test2390z00_5177 = BgL__ortest_1195z00_4467;
											}
										else
											{	/* SawJvm/funcall.scm 106 */
												bool_t BgL__ortest_1196z00_4468;

												BgL__ortest_1196z00_4468 =
													(BgL_tz00_4462 == CNST_TABLE_REF(((long) 8)));
												if (BgL__ortest_1196z00_4468)
													{	/* SawJvm/funcall.scm 106 */
														BgL_test2390z00_5177 = BgL__ortest_1196z00_4468;
													}
												else
													{	/* SawJvm/funcall.scm 106 */
														bool_t BgL__ortest_1197z00_4469;

														BgL__ortest_1197z00_4469 =
															(BgL_tz00_4462 == CNST_TABLE_REF(((long) 9)));
														if (BgL__ortest_1197z00_4469)
															{	/* SawJvm/funcall.scm 106 */
																BgL_test2390z00_5177 = BgL__ortest_1197z00_4469;
															}
														else
															{	/* SawJvm/funcall.scm 106 */
																bool_t BgL__ortest_1198z00_4470;

																BgL__ortest_1198z00_4470 =
																	(BgL_tz00_4462 ==
																	CNST_TABLE_REF(((long) 10)));
																if (BgL__ortest_1198z00_4470)
																	{	/* SawJvm/funcall.scm 106 */
																		BgL_test2390z00_5177 =
																			BgL__ortest_1198z00_4470;
																	}
																else
																	{	/* SawJvm/funcall.scm 106 */
																		BgL_test2390z00_5177 =
																			(BgL_tz00_4462 ==
																			CNST_TABLE_REF(((long) 11)));
									}}}}}
									if (BgL_test2390z00_5177)
										{	/* SawJvm/funcall.scm 106 */
											BgL_arg1887z00_4465 = CNST_TABLE_REF(((long) 24));
										}
									else
										{	/* SawJvm/funcall.scm 106 */
											if ((BgL_tz00_4462 == CNST_TABLE_REF(((long) 13))))
												{	/* SawJvm/funcall.scm 106 */
													BgL_arg1887z00_4465 = CNST_TABLE_REF(((long) 25));
												}
											else
												{	/* SawJvm/funcall.scm 106 */
													if ((BgL_tz00_4462 == CNST_TABLE_REF(((long) 15))))
														{	/* SawJvm/funcall.scm 106 */
															BgL_arg1887z00_4465 = CNST_TABLE_REF(((long) 26));
														}
													else
														{	/* SawJvm/funcall.scm 106 */
															if (
																(BgL_tz00_4462 == CNST_TABLE_REF(((long) 17))))
																{	/* SawJvm/funcall.scm 106 */
																	BgL_arg1887z00_4465 =
																		CNST_TABLE_REF(((long) 27));
																}
															else
																{	/* SawJvm/funcall.scm 106 */
																	BgL_arg1887z00_4465 =
																		CNST_TABLE_REF(((long) 2));
								}}}}}
								BgL_arg1888z00_4466 = MAKE_YOUNG_PAIR(BgL_vz00_4463, BNIL);
								BgL_arg1886z00_4464 =
									MAKE_YOUNG_PAIR(BgL_arg1887z00_4465, BgL_arg1888z00_4466);
							}
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_4363,
								BgL_arg1886z00_4464);
						}
						{	/* SawJvm/funcall.scm 131 */
							bool_t BgL_test2398z00_5209;

							if (BGl_bigloozd2typezf3z21zztype_typez00(
									((BgL_typez00_bglt) BgL_taz00_4471)))
								{	/* SawJvm/funcall.scm 131 */
									if ((BgL_taz00_4471 == BGl_za2objza2z00zztype_cachez00))
										{	/* SawJvm/funcall.scm 131 */
											BgL_test2398z00_5209 = ((bool_t) 0);
										}
									else
										{	/* SawJvm/funcall.scm 131 */
											BgL_test2398z00_5209 = ((bool_t) 1);
										}
								}
							else
								{	/* SawJvm/funcall.scm 131 */
									BgL_test2398z00_5209 = ((bool_t) 0);
								}
							if (BgL_test2398z00_5209)
								{	/* SawJvm/funcall.scm 132 */
									obj_t BgL_arg1824z00_4486;

									{	/* SawJvm/funcall.scm 132 */
										obj_t BgL_arg1837z00_4487;

										{	/* SawJvm/funcall.scm 132 */
											obj_t BgL_arg1838z00_4488;

											BgL_arg1838z00_4488 =
												BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_mez00_4363,
												((BgL_typez00_bglt) BgL_taz00_4471));
											BgL_arg1837z00_4487 =
												MAKE_YOUNG_PAIR(BgL_arg1838z00_4488, BNIL);
										}
										BgL_arg1824z00_4486 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 28)),
											BgL_arg1837z00_4487);
									}
									return
										BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_4363,
										BgL_arg1824z00_4486);
								}
							else
								{	/* SawJvm/funcall.scm 131 */
									return BFALSE;
								}
						}
					}
				}
			}
		}

	}



/* module-funcall/apply */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_99)
	{
		{	/* SawJvm/funcall.scm 141 */
			{	/* SawJvm/funcall.scm 142 */
				obj_t BgL_pz00_2731;

				{	/* SawJvm/funcall.scm 142 */
					obj_t BgL_arg1901z00_2751;

					{	/* SawJvm/funcall.scm 142 */
						obj_t BgL_arg1904z00_2752;

						BgL_arg1904z00_2752 =
							(((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_mez00_99)))->BgL_functionsz00);
						BgL_arg1901z00_2751 =
							BGl_getzd2procedureszd2zzsaw_proceduresz00(BgL_arg1904z00_2752);
					}
					BgL_pz00_2731 = bgl_reverse_bang(BgL_arg1901z00_2751);
				}
				{	/* SawJvm/funcall.scm 144 */
					long BgL_nz00_2732;

					BgL_nz00_2732 = ((long) 0);
					{
						obj_t BgL_l1645z00_2734;

						BgL_l1645z00_2734 = BgL_pz00_2731;
					BgL_zc3z04anonymousza31893ze3z87_2735:
						if (PAIRP(BgL_l1645z00_2734))
							{	/* SawJvm/funcall.scm 145 */
								{	/* SawJvm/funcall.scm 146 */
									obj_t BgL_varz00_2737;

									BgL_varz00_2737 = CAR(BgL_l1645z00_2734);
									{	/* SawJvm/funcall.scm 146 */
										BgL_indexedz00_bglt BgL_wide1201z00_2740;

										BgL_wide1201z00_2740 =
											((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_indexedz00_bgl))));
										{	/* SawJvm/funcall.scm 146 */
											obj_t BgL_auxz00_5233;
											BgL_objectz00_bglt BgL_tmpz00_5229;

											BgL_auxz00_5233 = ((obj_t) BgL_wide1201z00_2740);
											BgL_tmpz00_5229 =
												((BgL_objectz00_bglt)
												((BgL_globalz00_bglt)
													((BgL_globalz00_bglt) BgL_varz00_2737)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5229, BgL_auxz00_5233);
										}
										((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_varz00_2737)));
										{	/* SawJvm/funcall.scm 146 */
											long BgL_arg1895z00_2741;

											BgL_arg1895z00_2741 =
												BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_globalz00_bglt)
														((BgL_globalz00_bglt) BgL_varz00_2737))),
												BgL_arg1895z00_2741);
										}
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_varz00_2737)));
									}
									{
										BgL_indexedz00_bglt BgL_auxz00_5247;

										{
											obj_t BgL_auxz00_5248;

											{	/* SawJvm/funcall.scm 146 */
												BgL_objectz00_bglt BgL_tmpz00_5249;

												BgL_tmpz00_5249 =
													((BgL_objectz00_bglt)
													((BgL_globalz00_bglt)
														((BgL_globalz00_bglt) BgL_varz00_2737)));
												BgL_auxz00_5248 = BGL_OBJECT_WIDENING(BgL_tmpz00_5249);
											}
											BgL_auxz00_5247 = ((BgL_indexedz00_bglt) BgL_auxz00_5248);
										}
										((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_5247))->
												BgL_indexz00) = ((int) (int) (BgL_nz00_2732)), BUNSPEC);
									}
									((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_2737));
									{	/* SawJvm/funcall.scm 147 */
										BgL_globalz00_bglt BgL_tmp1203z00_2743;

										BgL_tmp1203z00_2743 =
											BGl_globalzd2entryzd2zzbackend_cplibz00(
											((BgL_globalz00_bglt) BgL_varz00_2737));
										{	/* SawJvm/funcall.scm 147 */
											BgL_indexedz00_bglt BgL_wide1205z00_2745;

											BgL_wide1205z00_2745 =
												((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_indexedz00_bgl))));
											{	/* SawJvm/funcall.scm 147 */
												obj_t BgL_auxz00_5265;
												BgL_objectz00_bglt BgL_tmpz00_5262;

												BgL_auxz00_5265 = ((obj_t) BgL_wide1205z00_2745);
												BgL_tmpz00_5262 =
													((BgL_objectz00_bglt)
													((BgL_globalz00_bglt) BgL_tmp1203z00_2743));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5262,
													BgL_auxz00_5265);
											}
											((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_tmp1203z00_2743));
											{	/* SawJvm/funcall.scm 147 */
												long BgL_arg1896z00_2746;

												BgL_arg1896z00_2746 =
													BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt)
														((BgL_globalz00_bglt) BgL_tmp1203z00_2743)),
													BgL_arg1896z00_2746);
											}
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_tmp1203z00_2743));
										}
										{
											BgL_indexedz00_bglt BgL_auxz00_5276;

											{
												obj_t BgL_auxz00_5277;

												{	/* SawJvm/funcall.scm 147 */
													BgL_objectz00_bglt BgL_tmpz00_5278;

													BgL_tmpz00_5278 =
														((BgL_objectz00_bglt)
														((BgL_globalz00_bglt) BgL_tmp1203z00_2743));
													BgL_auxz00_5277 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5278);
												}
												BgL_auxz00_5276 =
													((BgL_indexedz00_bglt) BgL_auxz00_5277);
											}
											((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_5276))->
													BgL_indexz00) =
												((int) (int) (BgL_nz00_2732)), BUNSPEC);
										}
										((BgL_globalz00_bglt) BgL_tmp1203z00_2743);
									}
									BgL_nz00_2732 = (BgL_nz00_2732 + ((long) 1));
								}
								{
									obj_t BgL_l1645z00_5287;

									BgL_l1645z00_5287 = CDR(BgL_l1645z00_2734);
									BgL_l1645z00_2734 = BgL_l1645z00_5287;
									goto BgL_zc3z04anonymousza31893ze3z87_2735;
								}
							}
						else
							{	/* SawJvm/funcall.scm 145 */
								((bool_t) 1);
							}
					}
				}
				if (NULLP(BgL_pz00_2731))
					{	/* SawJvm/funcall.scm 150 */
						return BFALSE;
					}
				else
					{	/* SawJvm/funcall.scm 150 */
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, ((long) 0),
							BgL_pz00_2731);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, ((long) 1),
							BgL_pz00_2731);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, ((long) 2),
							BgL_pz00_2731);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, ((long) 3),
							BgL_pz00_2731);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, ((long) 4),
							BgL_pz00_2731);
						return BGl_compilezd2applyzd2zzsaw_jvm_funcallz00(BgL_mez00_99,
							BgL_pz00_2731);
					}
			}
		}

	}



/* &module-funcall/apply */
	obj_t BGl_z62modulezd2funcallzf2applyz42zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4371, obj_t BgL_mez00_4372)
	{
		{	/* SawJvm/funcall.scm 141 */
			return
				BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(
				((BgL_jvmz00_bglt) BgL_mez00_4372));
		}

	}



/* is-light-procedure? */
	bool_t BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_103, obj_t BgL_gz00_104)
	{
		{	/* SawJvm/funcall.scm 164 */
			{	/* SawJvm/funcall.scm 165 */
				BgL_valuez00_bglt BgL_vz00_2757;

				BgL_vz00_2757 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_gz00_104))))->BgL_valuez00);
				{	/* SawJvm/funcall.scm 166 */
					bool_t BgL_test2403z00_5302;

					{	/* SawJvm/funcall.scm 166 */
						obj_t BgL_classz00_3971;

						BgL_classz00_3971 = BGl_sfunz00zzast_varz00;
						{	/* SawJvm/funcall.scm 166 */
							BgL_objectz00_bglt BgL_arg1825z00_3973;

							{	/* SawJvm/funcall.scm 166 */
								obj_t BgL_tmpz00_5303;

								BgL_tmpz00_5303 =
									((obj_t) ((BgL_objectz00_bglt) BgL_vz00_2757));
								BgL_arg1825z00_3973 = (BgL_objectz00_bglt) (BgL_tmpz00_5303);
							}
							{	/* SawJvm/funcall.scm 166 */
								bool_t BgL_arg1822z00_3976;
								bool_t BgL_arg1823z00_3977;

								{	/* SawJvm/funcall.scm 166 */
									long BgL_idxz00_3980;

									BgL_idxz00_3980 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3973);
									BgL_arg1822z00_3976 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3980 + ((long) 3))) == BgL_classz00_3971);
								}
								{	/* SawJvm/funcall.scm 166 */
									bool_t BgL_res2261z00_4002;

									{	/* SawJvm/funcall.scm 166 */
										obj_t BgL_oclassz00_3988;

										{	/* SawJvm/funcall.scm 166 */
											long BgL_arg1833z00_3994;

											{	/* SawJvm/funcall.scm 166 */
												long BgL_arg1834z00_3995;

												BgL_arg1834z00_3995 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3973);
												BgL_arg1833z00_3994 =
													(BgL_arg1834z00_3995 - OBJECT_TYPE);
											}
											BgL_oclassz00_3988 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3994);
										}
										{	/* SawJvm/funcall.scm 166 */
											bool_t BgL__ortest_1110z00_3989;

											BgL__ortest_1110z00_3989 =
												(BgL_classz00_3971 == BgL_oclassz00_3988);
											if (BgL__ortest_1110z00_3989)
												{	/* SawJvm/funcall.scm 166 */
													BgL_res2261z00_4002 = BgL__ortest_1110z00_3989;
												}
											else
												{	/* SawJvm/funcall.scm 166 */
													long BgL_odepthz00_3990;

													BgL_odepthz00_3990 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3988);
													if ((((long) 3) < BgL_odepthz00_3990))
														{	/* SawJvm/funcall.scm 166 */
															obj_t BgL_arg1821z00_3992;

															BgL_arg1821z00_3992 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3988,
																((long) 3));
															BgL_res2261z00_4002 =
																(BgL_arg1821z00_3992 == BgL_classz00_3971);
														}
													else
														{	/* SawJvm/funcall.scm 166 */
															BgL_res2261z00_4002 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3977 = BgL_res2261z00_4002;
								}
								BgL_test2403z00_5302 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3976, BgL_arg1823z00_3977);
							}
						}
					}
					if (BgL_test2403z00_5302)
						{	/* SawJvm/funcall.scm 166 */
							return
								(
								(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_vz00_2757)))->BgL_strengthz00) ==
								CNST_TABLE_REF(((long) 29)));
						}
					else
						{	/* SawJvm/funcall.scm 166 */
							return ((bool_t) 0);
						}
				}
			}
		}

	}



/* funcalli */
	obj_t BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt BgL_mez00_105,
		long BgL_iz00_106, obj_t BgL_procsz00_107)
	{
		{	/* SawJvm/funcall.scm 172 */
			{	/* SawJvm/funcall.scm 184 */
				obj_t BgL_needz00_2762;

				if (NULLP(BgL_procsz00_107))
					{	/* SawJvm/funcall.scm 184 */
						BgL_needz00_2762 = BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 184 */
						obj_t BgL_head1649z00_2791;

						{	/* SawJvm/funcall.scm 184 */
							bool_t BgL_arg1925z00_2803;

							BgL_arg1925z00_2803 =
								BGl_neededzf3ze70z14zzsaw_jvm_funcallz00(BgL_iz00_106,
								BgL_mez00_105, CAR(BgL_procsz00_107));
							BgL_head1649z00_2791 =
								MAKE_YOUNG_PAIR(BBOOL(BgL_arg1925z00_2803), BNIL);
						}
						{	/* SawJvm/funcall.scm 184 */
							obj_t BgL_g1652z00_2792;

							BgL_g1652z00_2792 = CDR(BgL_procsz00_107);
							{
								obj_t BgL_l1647z00_2794;
								obj_t BgL_tail1650z00_2795;

								BgL_l1647z00_2794 = BgL_g1652z00_2792;
								BgL_tail1650z00_2795 = BgL_head1649z00_2791;
							BgL_zc3z04anonymousza31920ze3z87_2796:
								if (NULLP(BgL_l1647z00_2794))
									{	/* SawJvm/funcall.scm 184 */
										BgL_needz00_2762 = BgL_head1649z00_2791;
									}
								else
									{	/* SawJvm/funcall.scm 184 */
										obj_t BgL_newtail1651z00_2798;

										{	/* SawJvm/funcall.scm 184 */
											bool_t BgL_arg1923z00_2800;

											{	/* SawJvm/funcall.scm 184 */
												obj_t BgL_arg1924z00_2801;

												BgL_arg1924z00_2801 = CAR(((obj_t) BgL_l1647z00_2794));
												BgL_arg1923z00_2800 =
													BGl_neededzf3ze70z14zzsaw_jvm_funcallz00(BgL_iz00_106,
													BgL_mez00_105, BgL_arg1924z00_2801);
											}
											BgL_newtail1651z00_2798 =
												MAKE_YOUNG_PAIR(BBOOL(BgL_arg1923z00_2800), BNIL);
										}
										SET_CDR(BgL_tail1650z00_2795, BgL_newtail1651z00_2798);
										{	/* SawJvm/funcall.scm 184 */
											obj_t BgL_arg1922z00_2799;

											BgL_arg1922z00_2799 = CDR(((obj_t) BgL_l1647z00_2794));
											{
												obj_t BgL_tail1650z00_5344;
												obj_t BgL_l1647z00_5343;

												BgL_l1647z00_5343 = BgL_arg1922z00_2799;
												BgL_tail1650z00_5344 = BgL_newtail1651z00_2798;
												BgL_tail1650z00_2795 = BgL_tail1650z00_5344;
												BgL_l1647z00_2794 = BgL_l1647z00_5343;
												goto BgL_zc3z04anonymousza31920ze3z87_2796;
											}
										}
									}
							}
						}
					}
				{	/* SawJvm/funcall.scm 185 */
					bool_t BgL_test2408z00_5345;

					{
						obj_t BgL_l1653z00_2781;

						BgL_l1653z00_2781 = BgL_needz00_2762;
					BgL_zc3z04anonymousza31917ze3z87_2782:
						if (NULLP(BgL_l1653z00_2781))
							{	/* SawJvm/funcall.scm 185 */
								BgL_test2408z00_5345 = ((bool_t) 1);
							}
						else
							{	/* SawJvm/funcall.scm 185 */
								bool_t BgL_test2410z00_5348;

								if (CBOOL(CAR(((obj_t) BgL_l1653z00_2781))))
									{	/* SawJvm/funcall.scm 185 */
										BgL_test2410z00_5348 = ((bool_t) 0);
									}
								else
									{	/* SawJvm/funcall.scm 185 */
										BgL_test2410z00_5348 = ((bool_t) 1);
									}
								if (BgL_test2410z00_5348)
									{
										obj_t BgL_l1653z00_5353;

										BgL_l1653z00_5353 = CDR(((obj_t) BgL_l1653z00_2781));
										BgL_l1653z00_2781 = BgL_l1653z00_5353;
										goto BgL_zc3z04anonymousza31917ze3z87_2782;
									}
								else
									{	/* SawJvm/funcall.scm 185 */
										BgL_test2408z00_5345 = ((bool_t) 0);
									}
							}
					}
					if (BgL_test2408z00_5345)
						{	/* SawJvm/funcall.scm 185 */
							return BFALSE;
						}
					else
						{	/* SawJvm/funcall.scm 186 */
							obj_t BgL_fnamez00_2773;

							{	/* SawJvm/funcall.scm 186 */
								obj_t BgL_arg1916z00_2777;

								{	/* SawJvm/funcall.scm 186 */

									BgL_arg1916z00_2777 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_iz00_106, ((long) 10));
								}
								BgL_fnamez00_2773 =
									string_append(BGl_string2272z00zzsaw_jvm_funcallz00,
									BgL_arg1916z00_2777);
							}
							{	/* SawJvm/funcall.scm 186 */
								obj_t BgL_pz00_2774;

								{	/* SawJvm/funcall.scm 187 */
									obj_t BgL_arg1914z00_2776;

									BgL_arg1914z00_2776 =
										BGl_nameze70ze7zzsaw_jvm_funcallz00(BgL_iz00_106);
									BgL_pz00_2774 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 30)),
										BgL_arg1914z00_2776);
								}
								{	/* SawJvm/funcall.scm 187 */

									BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_105,
										bstring_to_symbol(BgL_fnamez00_2773));
									BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_105,
										BgL_pz00_2774, BNIL);
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_105,
										CNST_TABLE_REF(((long) 31)));
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_105,
										CNST_TABLE_REF(((long) 3)));
									BGl_compilezd2funizd2zzsaw_jvm_funcallz00(BgL_mez00_105,
										BgL_iz00_106, BgL_needz00_2762, BgL_procsz00_107,
										BgL_fnamez00_2773, BgL_pz00_2774);
									return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_105);
								}
							}
						}
				}
			}
		}

	}



/* needed?~0 */
	bool_t BGl_neededzf3ze70z14zzsaw_jvm_funcallz00(long BgL_iz00_4428,
		BgL_jvmz00_bglt BgL_mez00_4427, obj_t BgL_pz00_2805)
	{
		{	/* SawJvm/funcall.scm 182 */
			{	/* SawJvm/funcall.scm 174 */
				bool_t BgL_test2412z00_5370;

				{	/* SawJvm/funcall.scm 174 */
					BgL_globalz00_bglt BgL_arg1933z00_2816;

					BgL_arg1933z00_2816 =
						BGl_globalzd2entryzd2zzbackend_cplibz00(
						((BgL_globalz00_bglt) BgL_pz00_2805));
					BgL_test2412z00_5370 =
						BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00(BgL_mez00_4427,
						((obj_t) BgL_arg1933z00_2816));
				}
				if (BgL_test2412z00_5370)
					{	/* SawJvm/funcall.scm 174 */
						return ((bool_t) 0);
					}
				else
					{	/* SawJvm/funcall.scm 175 */
						obj_t BgL_arityz00_2808;

						BgL_arityz00_2808 =
							BGl_globalzd2arityzd2zzbackend_cplibz00(
							((BgL_globalz00_bglt) BgL_pz00_2805));
						if (CBOOL(BgL_arityz00_2808))
							{	/* SawJvm/funcall.scm 177 */
								bool_t BgL__ortest_1208z00_2809;

								if (((long) CINT(BgL_arityz00_2808) >= ((long) 0)))
									{	/* SawJvm/funcall.scm 177 */
										if (BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(BgL_pz00_2805))
											{	/* SawJvm/funcall.scm 178 */
												BgL__ortest_1208z00_2809 =
													BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_arityz00_2808,
													BINT(BgL_iz00_4428));
											}
										else
											{	/* SawJvm/funcall.scm 178 */
												BgL__ortest_1208z00_2809 =
													((long) CINT(BgL_arityz00_2808) == BgL_iz00_4428);
									}}
								else
									{	/* SawJvm/funcall.scm 177 */
										BgL__ortest_1208z00_2809 = ((bool_t) 0);
									}
								if (BgL__ortest_1208z00_2809)
									{	/* SawJvm/funcall.scm 177 */
										return BgL__ortest_1208z00_2809;
									}
								else
									{	/* SawJvm/funcall.scm 177 */
										if (((long) CINT(BgL_arityz00_2808) < ((long) 0)))
											{	/* SawJvm/funcall.scm 181 */
												obj_t BgL_arg1929z00_2811;

												BgL_arg1929z00_2811 =
													BGL_SAFE_MINUS_FX(((long) -1), BgL_iz00_4428);
												return
													BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_arityz00_2808,
													BgL_arg1929z00_2811);
											}
										else
											{	/* SawJvm/funcall.scm 181 */
												return ((bool_t) 0);
											}
									}
							}
						else
							{	/* SawJvm/funcall.scm 176 */
								return (BgL_iz00_4428 <= ((long) 1));
		}}}}

	}



/* name~0 */
	obj_t BGl_nameze70ze7zzsaw_jvm_funcallz00(long BgL_nz00_2817)
	{
		{	/* SawJvm/funcall.scm 183 */
			if ((BgL_nz00_2817 == ((long) 0)))
				{	/* SawJvm/funcall.scm 183 */
					return BNIL;
				}
			else
				{	/* SawJvm/funcall.scm 183 */
					obj_t BgL_arg1936z00_2820;
					obj_t BgL_arg1937z00_2821;

					{	/* SawJvm/funcall.scm 183 */

						{	/* SawJvm/funcall.scm 183 */

							BgL_arg1936z00_2820 = BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
						}
					}
					BgL_arg1937z00_2821 =
						BGl_nameze70ze7zzsaw_jvm_funcallz00((BgL_nz00_2817 - ((long) 1)));
					return MAKE_YOUNG_PAIR(BgL_arg1936z00_2820, BgL_arg1937z00_2821);
				}
		}

	}



/* compile-funi */
	obj_t BGl_compilezd2funizd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt BgL_mez00_108,
		long BgL_iz00_109, obj_t BgL_needz00_110, obj_t BgL_procsz00_111,
		obj_t BgL_fnamez00_112, obj_t BgL_paramsz00_113)
	{
		{	/* SawJvm/funcall.scm 196 */
			{	/* SawJvm/funcall.scm 203 */
				obj_t BgL_labsz00_2828;

				BgL_labsz00_2828 =
					BGl_getzd2labsze71z35zzsaw_jvm_funcallz00(((long) 0), BgL_needz00_110,
					BgL_procsz00_111);
				{	/* SawJvm/funcall.scm 204 */
					obj_t BgL_arg1939z00_2829;

					{	/* SawJvm/funcall.scm 204 */
						obj_t BgL_arg1940z00_2830;

						{	/* SawJvm/funcall.scm 204 */
							obj_t BgL_arg1941z00_2831;

							BgL_arg1941z00_2831 =
								MAKE_YOUNG_PAIR(BINT(((long) 0)),
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
								(BgL_labsz00_2828, BNIL));
							BgL_arg1940z00_2830 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
								BgL_arg1941z00_2831);
						}
						BgL_arg1939z00_2829 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 21)), BgL_arg1940z00_2830);
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_108, BgL_arg1939z00_2829);
				}
				BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_108,
					CNST_TABLE_REF(((long) 20)));
				{
					obj_t BgL_l1656z00_2834;

					BgL_l1656z00_2834 = BgL_paramsz00_113;
				BgL_zc3z04anonymousza31943ze3z87_2835:
					if (PAIRP(BgL_l1656z00_2834))
						{	/* SawJvm/funcall.scm 206 */
							{	/* SawJvm/funcall.scm 206 */
								obj_t BgL_vz00_2837;

								BgL_vz00_2837 = CAR(BgL_l1656z00_2834);
								{	/* SawJvm/funcall.scm 206 */
									obj_t BgL_arg1945z00_2838;

									{	/* SawJvm/funcall.scm 206 */
										obj_t BgL_arg1946z00_2839;

										BgL_arg1946z00_2839 = MAKE_YOUNG_PAIR(BgL_vz00_2837, BNIL);
										BgL_arg1945z00_2838 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)),
											BgL_arg1946z00_2839);
									}
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_108,
										BgL_arg1945z00_2838);
							}}
							{
								obj_t BgL_l1656z00_5419;

								BgL_l1656z00_5419 = CDR(BgL_l1656z00_2834);
								BgL_l1656z00_2834 = BgL_l1656z00_5419;
								goto BgL_zc3z04anonymousza31943ze3z87_2835;
							}
						}
					else
						{	/* SawJvm/funcall.scm 206 */
							((bool_t) 1);
						}
				}
				{	/* SawJvm/funcall.scm 207 */
					obj_t BgL_arg1948z00_2842;

					{	/* SawJvm/funcall.scm 207 */
						obj_t BgL_arg1949z00_2843;

						BgL_arg1949z00_2843 =
							MAKE_YOUNG_PAIR(bstring_to_symbol(string_append
								(BGl_string2273z00zzsaw_jvm_funcallz00, BgL_fnamez00_112)),
							BNIL);
						BgL_arg1948z00_2842 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 32)), BgL_arg1949z00_2843);
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_108, BgL_arg1948z00_2842);
				}
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_108,
					CNST_TABLE_REF(((long) 19)));
				{	/* SawJvm/funcall.scm 210 */
					obj_t BgL_zc3z04anonymousza31956ze3z87_4373;

					BgL_zc3z04anonymousza31956ze3z87_4373 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31956ze3ze5zzsaw_jvm_funcallz00,
						(int) (((long) 3)), (int) (((long) 3)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31956ze3z87_4373,
						(int) (((long) 0)), ((obj_t) BgL_mez00_108));
					PROCEDURE_SET(BgL_zc3z04anonymousza31956ze3z87_4373,
						(int) (((long) 1)), BINT(BgL_iz00_109));
					PROCEDURE_SET(BgL_zc3z04anonymousza31956ze3z87_4373,
						(int) (((long) 2)), BgL_paramsz00_113);
					{	/* SawJvm/funcall.scm 209 */
						obj_t BgL_list1953z00_2847;

						{	/* SawJvm/funcall.scm 209 */
							obj_t BgL_arg1954z00_2848;

							{	/* SawJvm/funcall.scm 209 */
								obj_t BgL_arg1955z00_2849;

								BgL_arg1955z00_2849 = MAKE_YOUNG_PAIR(BgL_procsz00_111, BNIL);
								BgL_arg1954z00_2848 =
									MAKE_YOUNG_PAIR(BgL_labsz00_2828, BgL_arg1955z00_2849);
							}
							BgL_list1953z00_2847 =
								MAKE_YOUNG_PAIR(BgL_needz00_110, BgL_arg1954z00_2848);
						}
						return
							BGl_forzd2eachzd2zz__r4_control_features_6_9z00
							(BgL_zc3z04anonymousza31956ze3z87_4373, BgL_list1953z00_2847);
					}
				}
			}
		}

	}



/* get-labs~1 */
	obj_t BGl_getzd2labsze71z35zzsaw_jvm_funcallz00(long BgL_iz00_2861,
		obj_t BgL_nsz00_2862, obj_t BgL_psz00_2863)
	{
		{	/* SawJvm/funcall.scm 202 */
			{
				long BgL_nz00_2855;

				if (NULLP(BgL_nsz00_2862))
					{	/* SawJvm/funcall.scm 199 */
						return BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 201 */
						obj_t BgL_arg1962z00_2866;
						obj_t BgL_arg1964z00_2867;

						if (CBOOL(CAR(((obj_t) BgL_nsz00_2862))))
							{	/* SawJvm/funcall.scm 201 */
								BgL_nz00_2855 = BgL_iz00_2861;
								{	/* SawJvm/funcall.scm 197 */
									obj_t BgL_arg1958z00_2857;

									{	/* SawJvm/funcall.scm 197 */
										obj_t BgL_arg1959z00_2858;

										{	/* SawJvm/funcall.scm 197 */

											BgL_arg1959z00_2858 =
												BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
												(BgL_nz00_2855, ((long) 10));
										}
										BgL_arg1958z00_2857 =
											string_append(BGl_string2271z00zzsaw_jvm_funcallz00,
											BgL_arg1959z00_2858);
									}
									BgL_arg1962z00_2866 = bstring_to_symbol(BgL_arg1958z00_2857);
							}}
						else
							{	/* SawJvm/funcall.scm 201 */
								BgL_arg1962z00_2866 = CNST_TABLE_REF(((long) 20));
							}
						{	/* SawJvm/funcall.scm 202 */
							long BgL_arg1966z00_2869;
							obj_t BgL_arg1967z00_2870;
							obj_t BgL_arg1968z00_2871;

							BgL_arg1966z00_2869 = (BgL_iz00_2861 + ((long) 1));
							BgL_arg1967z00_2870 = CDR(((obj_t) BgL_nsz00_2862));
							BgL_arg1968z00_2871 = CDR(((obj_t) BgL_psz00_2863));
							BgL_arg1964z00_2867 =
								BGl_getzd2labsze71z35zzsaw_jvm_funcallz00(BgL_arg1966z00_2869,
								BgL_arg1967z00_2870, BgL_arg1968z00_2871);
						}
						return MAKE_YOUNG_PAIR(BgL_arg1962z00_2866, BgL_arg1964z00_2867);
					}
			}
		}

	}



/* &<@anonymous:1956> */
	obj_t BGl_z62zc3z04anonymousza31956ze3ze5zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4374, obj_t BgL_nzf3zf3_4378, obj_t BgL_labz00_4379,
		obj_t BgL_pz00_4380)
	{
		{	/* SawJvm/funcall.scm 209 */
			{	/* SawJvm/funcall.scm 210 */
				BgL_jvmz00_bglt BgL_mez00_4375;
				long BgL_iz00_4376;
				obj_t BgL_paramsz00_4377;

				BgL_mez00_4375 =
					((BgL_jvmz00_bglt)
					PROCEDURE_REF(BgL_envz00_4374, (int) (((long) 0))));
				BgL_iz00_4376 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_4374, (int) (((long) 1))));
				BgL_paramsz00_4377 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4374, (int) (((long) 2))));
				if (CBOOL(BgL_nzf3zf3_4378))
					{	/* SawJvm/funcall.scm 210 */
						return
							BGl_compilezd2forzd2funcalliz00zzsaw_jvm_funcallz00(
							((obj_t) BgL_mez00_4375),
							BINT(BgL_iz00_4376), BgL_labz00_4379, BgL_pz00_4380,
							BgL_paramsz00_4377);
					}
				else
					{	/* SawJvm/funcall.scm 210 */
						return BFALSE;
					}
			}
		}

	}



/* compile-for-funcalli */
	obj_t BGl_compilezd2forzd2funcalliz00zzsaw_jvm_funcallz00(obj_t BgL_mez00_114,
		obj_t BgL_iz00_115, obj_t BgL_labz00_116, obj_t BgL_pz00_117,
		obj_t BgL_paramsz00_118)
	{
		{	/* SawJvm/funcall.scm 216 */
			{	/* SawJvm/funcall.scm 217 */
				obj_t BgL_arityz00_2874;

				BgL_arityz00_2874 =
					BGl_globalzd2arityzd2zzbackend_cplibz00(
					((BgL_globalz00_bglt) BgL_pz00_117));
				{	/* SawJvm/funcall.scm 217 */
					BgL_globalz00_bglt BgL_entryz00_2875;

					BgL_entryz00_2875 =
						BGl_globalzd2entryzd2zzbackend_cplibz00(
						((BgL_globalz00_bglt) BgL_pz00_117));
					{	/* SawJvm/funcall.scm 218 */

						{
							obj_t BgL_nz00_3002;
							obj_t BgL_iz00_2996;

							BGl_labelz00zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_114), BgL_labz00_116);
							if ((BgL_arityz00_2874 == BFALSE))
								{	/* SawJvm/funcall.scm 228 */
									{
										obj_t BgL_l1658z00_2880;

										BgL_l1658z00_2880 = BgL_paramsz00_118;
									BgL_zc3z04anonymousza31970ze3z87_2881:
										if (PAIRP(BgL_l1658z00_2880))
											{	/* SawJvm/funcall.scm 229 */
												{	/* SawJvm/funcall.scm 229 */
													obj_t BgL_vz00_2883;

													BgL_vz00_2883 = CAR(BgL_l1658z00_2880);
													{	/* SawJvm/funcall.scm 229 */
														obj_t BgL_arg1972z00_2884;

														{	/* SawJvm/funcall.scm 229 */
															obj_t BgL_arg1973z00_2885;

															BgL_arg1973z00_2885 =
																MAKE_YOUNG_PAIR(BgL_vz00_2883, BNIL);
															BgL_arg1972z00_2884 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)),
																BgL_arg1973z00_2885);
														}
														BGl_codez12z12zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_114),
															BgL_arg1972z00_2884);
												}}
												{
													obj_t BgL_l1658z00_5491;

													BgL_l1658z00_5491 = CDR(BgL_l1658z00_2880);
													BgL_l1658z00_2880 = BgL_l1658z00_5491;
													goto BgL_zc3z04anonymousza31970ze3z87_2881;
												}
											}
										else
											{	/* SawJvm/funcall.scm 229 */
												((bool_t) 1);
											}
									}
									if (((long) CINT(BgL_iz00_115) == ((long) 0)))
										{	/* SawJvm/funcall.scm 230 */
											BGl_codez12z12zzsaw_jvm_outz00(
												((BgL_jvmz00_bglt) BgL_mez00_114),
												CNST_TABLE_REF(((long) 34)));
											{	/* SawJvm/funcall.scm 232 */
												obj_t BgL_arg1976z00_2889;

												{	/* SawJvm/funcall.scm 232 */
													obj_t BgL_arg1977z00_2890;

													{	/* SawJvm/funcall.scm 232 */
														obj_t BgL_arg1978z00_2891;

														BgL_arg1978z00_2891 =
															BGl_declarezd2globalzd2zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_114),
															((BgL_globalz00_bglt) BgL_pz00_117));
														BgL_arg1977z00_2890 =
															MAKE_YOUNG_PAIR(BgL_arg1978z00_2891, BNIL);
													}
													BgL_arg1976z00_2889 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 35)),
														BgL_arg1977z00_2890);
												}
												BGl_codez12z12zzsaw_jvm_outz00(
													((BgL_jvmz00_bglt) BgL_mez00_114),
													BgL_arg1976z00_2889);
										}}
									else
										{	/* SawJvm/funcall.scm 233 */
											obj_t BgL_arg1979z00_2892;

											{	/* SawJvm/funcall.scm 233 */
												obj_t BgL_arg1980z00_2893;

												{	/* SawJvm/funcall.scm 233 */
													obj_t BgL_arg1981z00_2894;

													BgL_arg1981z00_2894 =
														BGl_declarezd2globalzd2zzsaw_jvm_outz00(
														((BgL_jvmz00_bglt) BgL_mez00_114),
														((BgL_globalz00_bglt) BgL_pz00_117));
													BgL_arg1980z00_2893 =
														MAKE_YOUNG_PAIR(BgL_arg1981z00_2894, BNIL);
												}
												BgL_arg1979z00_2892 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 36)),
													BgL_arg1980z00_2893);
											}
											BGl_codez12z12zzsaw_jvm_outz00(
												((BgL_jvmz00_bglt) BgL_mez00_114), BgL_arg1979z00_2892);
								}}
							else
								{	/* SawJvm/funcall.scm 228 */
									if (((long) CINT(BgL_arityz00_2874) >= ((long) 0)))
										{	/* SawJvm/funcall.scm 234 */
											if (BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(BgL_pz00_117))
												{	/* SawJvm/funcall.scm 235 */
													{
														obj_t BgL_l1660z00_2899;

														BgL_l1660z00_2899 = BgL_paramsz00_118;
													BgL_zc3z04anonymousza31984ze3z87_2900:
														if (PAIRP(BgL_l1660z00_2899))
															{	/* SawJvm/funcall.scm 237 */
																{	/* SawJvm/funcall.scm 237 */
																	obj_t BgL_vz00_2902;

																	BgL_vz00_2902 = CAR(BgL_l1660z00_2899);
																	{	/* SawJvm/funcall.scm 237 */
																		obj_t BgL_arg1986z00_2903;

																		{	/* SawJvm/funcall.scm 237 */
																			obj_t BgL_arg1987z00_2904;

																			BgL_arg1987z00_2904 =
																				MAKE_YOUNG_PAIR(BgL_vz00_2902, BNIL);
																			BgL_arg1986z00_2903 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						2)), BgL_arg1987z00_2904);
																		}
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_114),
																			BgL_arg1986z00_2903);
																}}
																{
																	obj_t BgL_l1660z00_5528;

																	BgL_l1660z00_5528 = CDR(BgL_l1660z00_2899);
																	BgL_l1660z00_2899 = BgL_l1660z00_5528;
																	goto BgL_zc3z04anonymousza31984ze3z87_2900;
																}
															}
														else
															{	/* SawJvm/funcall.scm 237 */
																((bool_t) 1);
															}
													}
													{	/* SawJvm/funcall.scm 238 */
														obj_t BgL_arg1989z00_2907;

														{	/* SawJvm/funcall.scm 238 */
															obj_t BgL_arg1990z00_2908;

															{	/* SawJvm/funcall.scm 238 */
																obj_t BgL_tmpz00_5530;

																BgL_iz00_2996 = BgL_iz00_115;
																{	/* SawJvm/funcall.scm 220 */
																	obj_t BgL_arg2045z00_2998;

																	{	/* SawJvm/funcall.scm 220 */
																		obj_t BgL_arg2046z00_2999;

																		{	/* SawJvm/funcall.scm 220 */

																			BgL_arg2046z00_2999 =
																				BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																				((long) CINT(BgL_iz00_2996),
																				((long) 10));
																		}
																		BgL_arg2045z00_2998 =
																			string_append
																			(BGl_string2274z00zzsaw_jvm_funcallz00,
																			BgL_arg2046z00_2999);
																	}
																	BgL_tmpz00_5530 =
																		bstring_to_symbol(BgL_arg2045z00_2998);
																}
																BgL_arg1990z00_2908 =
																	MAKE_YOUNG_PAIR(BgL_tmpz00_5530, BNIL);
															}
															BgL_arg1989z00_2907 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 37)),
																BgL_arg1990z00_2908);
														}
														BGl_codez12z12zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_114),
															BgL_arg1989z00_2907);
													}
													BGl_callzd2globalzd2zzsaw_jvm_outz00(
														((BgL_jvmz00_bglt) BgL_mez00_114),
														BgL_entryz00_2875);
												}
											else
												{	/* SawJvm/funcall.scm 240 */
													obj_t BgL_argsz00_2910;

													BgL_argsz00_2910 =
														(((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_entryz00_2875)))->
																		BgL_valuez00))))->BgL_argsz00);
													{	/* SawJvm/funcall.scm 240 */
														obj_t BgL_typesz00_2911;

														if (NULLP(BgL_argsz00_2910))
															{	/* SawJvm/funcall.scm 241 */
																BgL_typesz00_2911 = BNIL;
															}
														else
															{	/* SawJvm/funcall.scm 241 */
																obj_t BgL_head1664z00_2930;

																{	/* SawJvm/funcall.scm 241 */
																	BgL_typez00_bglt BgL_arg2009z00_2942;

																	BgL_arg2009z00_2942 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						CAR(
																							((obj_t) BgL_argsz00_2910))))))->
																		BgL_typez00);
																	BgL_head1664z00_2930 =
																		MAKE_YOUNG_PAIR(((obj_t)
																			BgL_arg2009z00_2942), BNIL);
																}
																{	/* SawJvm/funcall.scm 241 */
																	obj_t BgL_g1667z00_2931;

																	BgL_g1667z00_2931 =
																		CDR(((obj_t) BgL_argsz00_2910));
																	{
																		obj_t BgL_l1662z00_2933;
																		obj_t BgL_tail1665z00_2934;

																		BgL_l1662z00_2933 = BgL_g1667z00_2931;
																		BgL_tail1665z00_2934 = BgL_head1664z00_2930;
																	BgL_zc3z04anonymousza32004ze3z87_2935:
																		if (NULLP(BgL_l1662z00_2933))
																			{	/* SawJvm/funcall.scm 241 */
																				BgL_typesz00_2911 =
																					BgL_head1664z00_2930;
																			}
																		else
																			{	/* SawJvm/funcall.scm 241 */
																				obj_t BgL_newtail1666z00_2937;

																				{	/* SawJvm/funcall.scm 241 */
																					BgL_typez00_bglt BgL_arg2007z00_2939;

																					BgL_arg2007z00_2939 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										CAR(
																											((obj_t)
																												BgL_l1662z00_2933))))))->
																						BgL_typez00);
																					BgL_newtail1666z00_2937 =
																						MAKE_YOUNG_PAIR(((obj_t)
																							BgL_arg2007z00_2939), BNIL);
																				}
																				SET_CDR(BgL_tail1665z00_2934,
																					BgL_newtail1666z00_2937);
																				{	/* SawJvm/funcall.scm 241 */
																					obj_t BgL_arg2006z00_2938;

																					BgL_arg2006z00_2938 =
																						CDR(((obj_t) BgL_l1662z00_2933));
																					{
																						obj_t BgL_tail1665z00_5570;
																						obj_t BgL_l1662z00_5569;

																						BgL_l1662z00_5569 =
																							BgL_arg2006z00_2938;
																						BgL_tail1665z00_5570 =
																							BgL_newtail1666z00_2937;
																						BgL_tail1665z00_2934 =
																							BgL_tail1665z00_5570;
																						BgL_l1662z00_2933 =
																							BgL_l1662z00_5569;
																						goto
																							BgL_zc3z04anonymousza32004ze3z87_2935;
																					}
																				}
																			}
																	}
																}
															}
														{	/* SawJvm/funcall.scm 241 */

															{
																obj_t BgL_ll1668z00_2913;
																obj_t BgL_ll1669z00_2914;

																BgL_ll1668z00_2913 = BgL_paramsz00_118;
																BgL_ll1669z00_2914 = BgL_typesz00_2911;
															BgL_zc3z04anonymousza31992ze3z87_2915:
																if (NULLP(BgL_ll1668z00_2913))
																	{	/* SawJvm/funcall.scm 242 */
																		((bool_t) 1);
																	}
																else
																	{	/* SawJvm/funcall.scm 242 */
																		{	/* SawJvm/funcall.scm 243 */
																			obj_t BgL_vz00_2917;
																			obj_t BgL_tz00_2918;

																			BgL_vz00_2917 =
																				CAR(((obj_t) BgL_ll1668z00_2913));
																			BgL_tz00_2918 =
																				CAR(((obj_t) BgL_ll1669z00_2914));
																			{	/* SawJvm/funcall.scm 243 */
																				obj_t BgL_arg1994z00_2919;

																				{	/* SawJvm/funcall.scm 243 */
																					obj_t BgL_arg1995z00_2920;

																					BgL_arg1995z00_2920 =
																						MAKE_YOUNG_PAIR(BgL_vz00_2917,
																						BNIL);
																					BgL_arg1994z00_2919 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 2)),
																						BgL_arg1995z00_2920);
																				}
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_114),
																					BgL_arg1994z00_2919);
																			}
																			if (
																				(BgL_tz00_2918 ==
																					BGl_za2objza2z00zztype_cachez00))
																				{	/* SawJvm/funcall.scm 244 */
																					BFALSE;
																				}
																			else
																				{	/* SawJvm/funcall.scm 245 */
																					obj_t BgL_arg1997z00_2922;

																					{	/* SawJvm/funcall.scm 245 */
																						obj_t BgL_arg1999z00_2923;

																						{	/* SawJvm/funcall.scm 245 */
																							obj_t BgL_arg2000z00_2924;

																							BgL_arg2000z00_2924 =
																								BGl_compilezd2typezd2zzsaw_jvm_outz00
																								(((BgL_jvmz00_bglt)
																									BgL_mez00_114),
																								((BgL_typez00_bglt)
																									BgL_tz00_2918));
																							BgL_arg1999z00_2923 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2000z00_2924, BNIL);
																						}
																						BgL_arg1997z00_2922 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 28)),
																							BgL_arg1999z00_2923);
																					}
																					BGl_codez12z12zzsaw_jvm_outz00(
																						((BgL_jvmz00_bglt) BgL_mez00_114),
																						BgL_arg1997z00_2922);
																		}}
																		{	/* SawJvm/funcall.scm 242 */
																			obj_t BgL_arg2001z00_2925;
																			obj_t BgL_arg2002z00_2926;

																			BgL_arg2001z00_2925 =
																				CDR(((obj_t) BgL_ll1668z00_2913));
																			BgL_arg2002z00_2926 =
																				CDR(((obj_t) BgL_ll1669z00_2914));
																			{
																				obj_t BgL_ll1669z00_5597;
																				obj_t BgL_ll1668z00_5596;

																				BgL_ll1668z00_5596 =
																					BgL_arg2001z00_2925;
																				BgL_ll1669z00_5597 =
																					BgL_arg2002z00_2926;
																				BgL_ll1669z00_2914 = BgL_ll1669z00_5597;
																				BgL_ll1668z00_2913 = BgL_ll1668z00_5596;
																				goto
																					BgL_zc3z04anonymousza31992ze3z87_2915;
																			}
																		}
																	}
															}
															BGl_callzd2globalzd2zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_114),
																BgL_entryz00_2875);
														}
													}
												}
										}
									else
										{	/* SawJvm/funcall.scm 234 */
											{	/* SawJvm/funcall.scm 249 */
												obj_t BgL_argsz00_2945;

												BgL_argsz00_2945 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_entryz00_2875)))->BgL_valuez00))))->
													BgL_argsz00);
												{	/* SawJvm/funcall.scm 249 */
													obj_t BgL_typesz00_2946;

													if (NULLP(BgL_argsz00_2945))
														{	/* SawJvm/funcall.scm 250 */
															BgL_typesz00_2946 = BNIL;
														}
													else
														{	/* SawJvm/funcall.scm 250 */
															obj_t BgL_head1673z00_2978;

															{	/* SawJvm/funcall.scm 250 */
																BgL_typez00_bglt BgL_arg2037z00_2990;

																BgL_arg2037z00_2990 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					CAR(
																						((obj_t) BgL_argsz00_2945))))))->
																	BgL_typez00);
																BgL_head1673z00_2978 =
																	MAKE_YOUNG_PAIR(((obj_t) BgL_arg2037z00_2990),
																	BNIL);
															}
															{	/* SawJvm/funcall.scm 250 */
																obj_t BgL_g1676z00_2979;

																BgL_g1676z00_2979 =
																	CDR(((obj_t) BgL_argsz00_2945));
																{
																	obj_t BgL_l1671z00_2981;
																	obj_t BgL_tail1674z00_2982;

																	BgL_l1671z00_2981 = BgL_g1676z00_2979;
																	BgL_tail1674z00_2982 = BgL_head1673z00_2978;
																BgL_zc3z04anonymousza32032ze3z87_2983:
																	if (NULLP(BgL_l1671z00_2981))
																		{	/* SawJvm/funcall.scm 250 */
																			BgL_typesz00_2946 = BgL_head1673z00_2978;
																		}
																	else
																		{	/* SawJvm/funcall.scm 250 */
																			obj_t BgL_newtail1675z00_2985;

																			{	/* SawJvm/funcall.scm 250 */
																				BgL_typez00_bglt BgL_arg2035z00_2987;

																				BgL_arg2035z00_2987 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									CAR(
																										((obj_t)
																											BgL_l1671z00_2981))))))->
																					BgL_typez00);
																				BgL_newtail1675z00_2985 =
																					MAKE_YOUNG_PAIR(((obj_t)
																						BgL_arg2035z00_2987), BNIL);
																			}
																			SET_CDR(BgL_tail1674z00_2982,
																				BgL_newtail1675z00_2985);
																			{	/* SawJvm/funcall.scm 250 */
																				obj_t BgL_arg2034z00_2986;

																				BgL_arg2034z00_2986 =
																					CDR(((obj_t) BgL_l1671z00_2981));
																				{
																					obj_t BgL_tail1674z00_5628;
																					obj_t BgL_l1671z00_5627;

																					BgL_l1671z00_5627 =
																						BgL_arg2034z00_2986;
																					BgL_tail1674z00_5628 =
																						BgL_newtail1675z00_2985;
																					BgL_tail1674z00_2982 =
																						BgL_tail1674z00_5628;
																					BgL_l1671z00_2981 = BgL_l1671z00_5627;
																					goto
																						BgL_zc3z04anonymousza32032ze3z87_2983;
																				}
																			}
																		}
																}
															}
														}
													{	/* SawJvm/funcall.scm 250 */

														{	/* SawJvm/funcall.scm 251 */
															obj_t BgL_g1211z00_2947;

															BgL_g1211z00_2947 =
																BGl_zd2zd2zz__r4_numbers_6_5z00
																(BgL_arityz00_2874, BNIL);
															{
																obj_t BgL_iz00_2949;
																obj_t BgL_paramsz00_2950;
																obj_t BgL_typesz00_2951;

																BgL_iz00_2949 = BgL_g1211z00_2947;
																BgL_paramsz00_2950 = BgL_paramsz00_118;
																BgL_typesz00_2951 = BgL_typesz00_2946;
															BgL_zc3z04anonymousza32012ze3z87_2952:
																if (((long) CINT(BgL_iz00_2949) == ((long) 0)))
																	{
																		obj_t BgL_l1677z00_2955;

																		BgL_l1677z00_2955 = BgL_paramsz00_2950;
																	BgL_zc3z04anonymousza32014ze3z87_2956:
																		if (PAIRP(BgL_l1677z00_2955))
																			{	/* SawJvm/funcall.scm 255 */
																				{	/* SawJvm/funcall.scm 255 */
																					obj_t BgL_vz00_2958;

																					BgL_vz00_2958 =
																						CAR(BgL_l1677z00_2955);
																					{	/* SawJvm/funcall.scm 255 */
																						obj_t BgL_arg2016z00_2959;

																						{	/* SawJvm/funcall.scm 255 */
																							obj_t BgL_arg2017z00_2960;

																							BgL_arg2017z00_2960 =
																								MAKE_YOUNG_PAIR(BgL_vz00_2958,
																								BNIL);
																							BgL_arg2016z00_2959 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 2)),
																								BgL_arg2017z00_2960);
																						}
																						BGl_codez12z12zzsaw_jvm_outz00(
																							((BgL_jvmz00_bglt) BgL_mez00_114),
																							BgL_arg2016z00_2959);
																				}}
																				{
																					obj_t BgL_l1677z00_5641;

																					BgL_l1677z00_5641 =
																						CDR(BgL_l1677z00_2955);
																					BgL_l1677z00_2955 = BgL_l1677z00_5641;
																					goto
																						BgL_zc3z04anonymousza32014ze3z87_2956;
																				}
																			}
																		else
																			{	/* SawJvm/funcall.scm 255 */
																				((bool_t) 1);
																			}
																	}
																else
																	{	/* SawJvm/funcall.scm 256 */
																		obj_t BgL_vz00_2963;
																		obj_t BgL_tz00_2964;

																		BgL_vz00_2963 =
																			CAR(((obj_t) BgL_paramsz00_2950));
																		BgL_tz00_2964 =
																			CAR(((obj_t) BgL_typesz00_2951));
																		{	/* SawJvm/funcall.scm 258 */
																			obj_t BgL_arg2019z00_2965;

																			{	/* SawJvm/funcall.scm 258 */
																				obj_t BgL_arg2020z00_2966;

																				BgL_arg2020z00_2966 =
																					MAKE_YOUNG_PAIR(BgL_vz00_2963, BNIL);
																				BgL_arg2019z00_2965 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							2)), BgL_arg2020z00_2966);
																			}
																			BGl_codez12z12zzsaw_jvm_outz00(
																				((BgL_jvmz00_bglt) BgL_mez00_114),
																				BgL_arg2019z00_2965);
																		}
																		if (
																			(BgL_tz00_2964 ==
																				BGl_za2objza2z00zztype_cachez00))
																			{	/* SawJvm/funcall.scm 259 */
																				BFALSE;
																			}
																		else
																			{	/* SawJvm/funcall.scm 260 */
																				obj_t BgL_arg2022z00_2968;

																				{	/* SawJvm/funcall.scm 260 */
																					obj_t BgL_arg2023z00_2969;

																					{	/* SawJvm/funcall.scm 260 */
																						obj_t BgL_arg2024z00_2970;

																						BgL_arg2024z00_2970 =
																							BGl_compilezd2typezd2zzsaw_jvm_outz00
																							(((BgL_jvmz00_bglt)
																								BgL_mez00_114),
																							((BgL_typez00_bglt)
																								BgL_tz00_2964));
																						BgL_arg2023z00_2969 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2024z00_2970, BNIL);
																					}
																					BgL_arg2022z00_2968 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 28)),
																						BgL_arg2023z00_2969);
																				}
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_114),
																					BgL_arg2022z00_2968);
																			}
																		{	/* SawJvm/funcall.scm 261 */
																			long BgL_arg2025z00_2971;
																			obj_t BgL_arg2026z00_2972;
																			obj_t BgL_arg2029z00_2973;

																			BgL_arg2025z00_2971 =
																				(
																				(long) CINT(BgL_iz00_2949) -
																				((long) 1));
																			BgL_arg2026z00_2972 =
																				CDR(((obj_t) BgL_paramsz00_2950));
																			BgL_arg2029z00_2973 =
																				CDR(((obj_t) BgL_typesz00_2951));
																			{
																				obj_t BgL_typesz00_5671;
																				obj_t BgL_paramsz00_5670;
																				obj_t BgL_iz00_5668;

																				BgL_iz00_5668 =
																					BINT(BgL_arg2025z00_2971);
																				BgL_paramsz00_5670 =
																					BgL_arg2026z00_2972;
																				BgL_typesz00_5671 = BgL_arg2029z00_2973;
																				BgL_typesz00_2951 = BgL_typesz00_5671;
																				BgL_paramsz00_2950 = BgL_paramsz00_5670;
																				BgL_iz00_2949 = BgL_iz00_5668;
																				goto
																					BgL_zc3z04anonymousza32012ze3z87_2952;
																			}
																		}
																	}
															}
														}
													}
												}
											}
											BGl_codez12z12zzsaw_jvm_outz00(
												((BgL_jvmz00_bglt) BgL_mez00_114),
												CNST_TABLE_REF(((long) 38)));
											{	/* SawJvm/funcall.scm 263 */
												obj_t BgL_arg2041z00_2993;

												{	/* SawJvm/funcall.scm 263 */
													obj_t BgL_arg2042z00_2994;

													if (INTEGERP(BgL_arityz00_2874))
														{	/* SawJvm/funcall.scm 263 */
															long BgL_tmpz00_5677;

															BgL_tmpz00_5677 = (long) CINT(BgL_arityz00_2874);
															BgL_arg2042z00_2994 =
																BGL_SAFE_PLUS_FX(((long) 1), BgL_tmpz00_5677);
														}
													else
														{	/* SawJvm/funcall.scm 263 */
															BgL_arg2042z00_2994 =
																BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(((long)
																		1)), BgL_arityz00_2874);
														}
													BgL_arg2041z00_2993 =
														BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_iz00_115,
														BgL_arg2042z00_2994);
												}
												BgL_nz00_3002 = BgL_arg2041z00_2993;
											BgL_zc3z04anonymousza32047ze3z87_3003:
												{	/* SawJvm/funcall.scm 222 */
													bool_t BgL_test2439z00_5683;

													if (INTEGERP(BgL_nz00_3002))
														{	/* SawJvm/funcall.scm 222 */
															BgL_test2439z00_5683 =
																((long) CINT(BgL_nz00_3002) == ((long) 0));
														}
													else
														{	/* SawJvm/funcall.scm 222 */
															BgL_test2439z00_5683 =
																BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_3002,
																BINT(((long) 0)));
														}
													if (BgL_test2439z00_5683)
														{	/* SawJvm/funcall.scm 222 */
															BGl_callzd2globalzd2zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_114),
																BgL_entryz00_2875);
														}
													else
														{	/* SawJvm/funcall.scm 222 */
															BGl_codez12z12zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_114),
																CNST_TABLE_REF(((long) 33)));
															{	/* SawJvm/funcall.scm 225 */
																long BgL_arg2050z00_3006;

																BgL_arg2050z00_3006 =
																	((long) CINT(BgL_nz00_3002) - ((long) 1));
																{
																	obj_t BgL_nz00_5697;

																	BgL_nz00_5697 = BINT(BgL_arg2050z00_3006);
																	BgL_nz00_3002 = BgL_nz00_5697;
																	goto BgL_zc3z04anonymousza32047ze3z87_3003;
																}
															}
														}
												}
											}
										}
								}
							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_114), CNST_TABLE_REF(((long) 19)));
		}}}}}

	}



/* compile-apply */
	obj_t BGl_compilezd2applyzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_119, obj_t BgL_procsz00_120)
	{
		{	/* SawJvm/funcall.scm 269 */
			{	/* SawJvm/funcall.scm 274 */
				obj_t BgL_needz00_3011;

				if (NULLP(BgL_procsz00_120))
					{	/* SawJvm/funcall.scm 274 */
						BgL_needz00_3011 = BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 274 */
						obj_t BgL_head1681z00_3033;

						BgL_head1681z00_3033 =
							MAKE_YOUNG_PAIR(BGl_xx_globalzd2arityze70z35zzsaw_jvm_funcallz00
							(BgL_mez00_119, CAR(BgL_procsz00_120)), BNIL);
						{	/* SawJvm/funcall.scm 274 */
							obj_t BgL_g1684z00_3034;

							BgL_g1684z00_3034 = CDR(BgL_procsz00_120);
							{
								obj_t BgL_l1679z00_3036;
								obj_t BgL_tail1682z00_3037;

								BgL_l1679z00_3036 = BgL_g1684z00_3034;
								BgL_tail1682z00_3037 = BgL_head1681z00_3033;
							BgL_zc3z04anonymousza32060ze3z87_3038:
								if (NULLP(BgL_l1679z00_3036))
									{	/* SawJvm/funcall.scm 274 */
										BgL_needz00_3011 = BgL_head1681z00_3033;
									}
								else
									{	/* SawJvm/funcall.scm 274 */
										obj_t BgL_newtail1683z00_3040;

										{	/* SawJvm/funcall.scm 274 */
											obj_t BgL_arg2063z00_3042;

											{	/* SawJvm/funcall.scm 274 */
												obj_t BgL_arg2064z00_3043;

												BgL_arg2064z00_3043 = CAR(((obj_t) BgL_l1679z00_3036));
												BgL_arg2063z00_3042 =
													BGl_xx_globalzd2arityze70z35zzsaw_jvm_funcallz00
													(BgL_mez00_119, BgL_arg2064z00_3043);
											}
											BgL_newtail1683z00_3040 =
												MAKE_YOUNG_PAIR(BgL_arg2063z00_3042, BNIL);
										}
										SET_CDR(BgL_tail1682z00_3037, BgL_newtail1683z00_3040);
										{	/* SawJvm/funcall.scm 274 */
											obj_t BgL_arg2062z00_3041;

											BgL_arg2062z00_3041 = CDR(((obj_t) BgL_l1679z00_3036));
											{
												obj_t BgL_tail1682z00_5718;
												obj_t BgL_l1679z00_5717;

												BgL_l1679z00_5717 = BgL_arg2062z00_3041;
												BgL_tail1682z00_5718 = BgL_newtail1683z00_3040;
												BgL_tail1682z00_3037 = BgL_tail1682z00_5718;
												BgL_l1679z00_3036 = BgL_l1679z00_5717;
												goto BgL_zc3z04anonymousza32060ze3z87_3038;
											}
										}
									}
							}
						}
					}
				{	/* SawJvm/funcall.scm 275 */
					bool_t BgL_test2443z00_5719;

					{
						obj_t BgL_l1685z00_3023;

						BgL_l1685z00_3023 = BgL_needz00_3011;
					BgL_zc3z04anonymousza32056ze3z87_3024:
						if (NULLP(BgL_l1685z00_3023))
							{	/* SawJvm/funcall.scm 275 */
								BgL_test2443z00_5719 = ((bool_t) 1);
							}
						else
							{	/* SawJvm/funcall.scm 275 */
								bool_t BgL_test2445z00_5722;

								if (CBOOL(CAR(((obj_t) BgL_l1685z00_3023))))
									{	/* SawJvm/funcall.scm 275 */
										BgL_test2445z00_5722 = ((bool_t) 0);
									}
								else
									{	/* SawJvm/funcall.scm 275 */
										BgL_test2445z00_5722 = ((bool_t) 1);
									}
								if (BgL_test2445z00_5722)
									{
										obj_t BgL_l1685z00_5727;

										BgL_l1685z00_5727 = CDR(((obj_t) BgL_l1685z00_3023));
										BgL_l1685z00_3023 = BgL_l1685z00_5727;
										goto BgL_zc3z04anonymousza32056ze3z87_3024;
									}
								else
									{	/* SawJvm/funcall.scm 275 */
										BgL_test2443z00_5719 = ((bool_t) 0);
									}
							}
					}
					if (BgL_test2443z00_5719)
						{	/* SawJvm/funcall.scm 275 */
							return BFALSE;
						}
					else
						{	/* SawJvm/funcall.scm 275 */
							BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_119,
								CNST_TABLE_REF(((long) 39)));
							BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_119,
								CNST_TABLE_REF(((long) 40)), BNIL);
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_119,
								CNST_TABLE_REF(((long) 31)));
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_119,
								CNST_TABLE_REF(((long) 31)));
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_119,
								CNST_TABLE_REF(((long) 3)));
							BGl_compilezd2dispatchzd2zzsaw_jvm_funcallz00(BgL_mez00_119,
								BgL_needz00_3011, BgL_procsz00_120);
							return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_119);
						}
				}
			}
		}

	}



/* xx_global-arity~0 */
	obj_t BGl_xx_globalzd2arityze70z35zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_4426, obj_t BgL_pz00_3047)
	{
		{	/* SawJvm/funcall.scm 273 */
			if (BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00(BgL_mez00_4426,
					BgL_pz00_3047))
				{	/* SawJvm/funcall.scm 271 */
					return BFALSE;
				}
			else
				{	/* SawJvm/funcall.scm 272 */
					bool_t BgL_test2448z00_5744;

					{	/* SawJvm/funcall.scm 272 */
						BgL_globalz00_bglt BgL_arg2068z00_3051;

						BgL_arg2068z00_3051 =
							BGl_globalzd2entryzd2zzbackend_cplibz00(
							((BgL_globalz00_bglt) BgL_pz00_3047));
						BgL_test2448z00_5744 =
							BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00
							(BgL_mez00_4426, ((obj_t) BgL_arg2068z00_3051));
					}
					if (BgL_test2448z00_5744)
						{	/* SawJvm/funcall.scm 272 */
							return BFALSE;
						}
					else
						{	/* SawJvm/funcall.scm 272 */
							return
								BGl_globalzd2arityzd2zzbackend_cplibz00(
								((BgL_globalz00_bglt) BgL_pz00_3047));
						}
				}
		}

	}



/* compile-dispatch */
	obj_t BGl_compilezd2dispatchzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_121, obj_t BgL_needz00_122, obj_t BgL_procsz00_123)
	{
		{	/* SawJvm/funcall.scm 284 */
			{	/* SawJvm/funcall.scm 291 */
				obj_t BgL_labsz00_3055;

				BgL_labsz00_3055 =
					BGl_getzd2labsze70z35zzsaw_jvm_funcallz00(((long) 0), BgL_needz00_122,
					BgL_procsz00_123);
				{	/* SawJvm/funcall.scm 292 */
					obj_t BgL_arg2069z00_3056;

					{	/* SawJvm/funcall.scm 292 */
						obj_t BgL_arg2071z00_3057;

						{	/* SawJvm/funcall.scm 292 */
							obj_t BgL_arg2072z00_3058;

							BgL_arg2072z00_3058 =
								MAKE_YOUNG_PAIR(BINT(((long) 0)),
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
								(BgL_labsz00_3055, BNIL));
							BgL_arg2071z00_3057 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
								BgL_arg2072z00_3058);
						}
						BgL_arg2069z00_3056 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 21)), BgL_arg2071z00_3057);
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_121, BgL_arg2069z00_3056);
				}
				BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_121,
					CNST_TABLE_REF(((long) 20)));
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_121,
					CNST_TABLE_REF(((long) 41)));
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_121,
					CNST_TABLE_REF(((long) 42)));
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_121,
					CNST_TABLE_REF(((long) 19)));
				{	/* SawJvm/funcall.scm 297 */
					obj_t BgL_zc3z04anonymousza32078ze3z87_4381;

					BgL_zc3z04anonymousza32078ze3z87_4381 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32078ze3ze5zzsaw_jvm_funcallz00,
						(int) (((long) 3)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32078ze3z87_4381,
						(int) (((long) 0)), ((obj_t) BgL_mez00_121));
					{	/* SawJvm/funcall.scm 297 */
						obj_t BgL_list2075z00_3061;

						{	/* SawJvm/funcall.scm 297 */
							obj_t BgL_arg2076z00_3062;

							{	/* SawJvm/funcall.scm 297 */
								obj_t BgL_arg2077z00_3063;

								BgL_arg2077z00_3063 = MAKE_YOUNG_PAIR(BgL_procsz00_123, BNIL);
								BgL_arg2076z00_3062 =
									MAKE_YOUNG_PAIR(BgL_labsz00_3055, BgL_arg2077z00_3063);
							}
							BgL_list2075z00_3061 =
								MAKE_YOUNG_PAIR(BgL_needz00_122, BgL_arg2076z00_3062);
						}
						return
							BGl_forzd2eachzd2zz__r4_control_features_6_9z00
							(BgL_zc3z04anonymousza32078ze3z87_4381, BgL_list2075z00_3061);
					}
				}
			}
		}

	}



/* get-labs~0 */
	obj_t BGl_getzd2labsze70z35zzsaw_jvm_funcallz00(long BgL_iz00_3075,
		obj_t BgL_nsz00_3076, obj_t BgL_psz00_3077)
	{
		{	/* SawJvm/funcall.scm 290 */
			{
				long BgL_nz00_3069;

				if (NULLP(BgL_nsz00_3076))
					{	/* SawJvm/funcall.scm 287 */
						return BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 289 */
						obj_t BgL_arg2085z00_3080;
						obj_t BgL_arg2086z00_3081;

						if (CBOOL(CAR(((obj_t) BgL_nsz00_3076))))
							{	/* SawJvm/funcall.scm 289 */
								BgL_nz00_3069 = BgL_iz00_3075;
								{	/* SawJvm/funcall.scm 285 */
									obj_t BgL_arg2081z00_3071;

									{	/* SawJvm/funcall.scm 285 */
										obj_t BgL_arg2082z00_3072;

										{	/* SawJvm/funcall.scm 285 */

											BgL_arg2082z00_3072 =
												BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
												(BgL_nz00_3069, ((long) 10));
										}
										BgL_arg2081z00_3071 =
											string_append(BGl_string2271z00zzsaw_jvm_funcallz00,
											BgL_arg2082z00_3072);
									}
									BgL_arg2085z00_3080 = bstring_to_symbol(BgL_arg2081z00_3071);
							}}
						else
							{	/* SawJvm/funcall.scm 289 */
								BgL_arg2085z00_3080 = CNST_TABLE_REF(((long) 20));
							}
						{	/* SawJvm/funcall.scm 290 */
							long BgL_arg2088z00_3083;
							obj_t BgL_arg2089z00_3084;
							obj_t BgL_arg2090z00_3085;

							BgL_arg2088z00_3083 = (BgL_iz00_3075 + ((long) 1));
							BgL_arg2089z00_3084 = CDR(((obj_t) BgL_nsz00_3076));
							BgL_arg2090z00_3085 = CDR(((obj_t) BgL_psz00_3077));
							BgL_arg2086z00_3081 =
								BGl_getzd2labsze70z35zzsaw_jvm_funcallz00(BgL_arg2088z00_3083,
								BgL_arg2089z00_3084, BgL_arg2090z00_3085);
						}
						return MAKE_YOUNG_PAIR(BgL_arg2085z00_3080, BgL_arg2086z00_3081);
					}
			}
		}

	}



/* &<@anonymous:2078> */
	obj_t BGl_z62zc3z04anonymousza32078ze3ze5zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4382, obj_t BgL_nzf3zf3_4384, obj_t BgL_labz00_4385,
		obj_t BgL_pz00_4386)
	{
		{	/* SawJvm/funcall.scm 297 */
			{	/* SawJvm/funcall.scm 297 */
				BgL_jvmz00_bglt BgL_mez00_4383;

				BgL_mez00_4383 =
					((BgL_jvmz00_bglt)
					PROCEDURE_REF(BgL_envz00_4382, (int) (((long) 0))));
				if (CBOOL(BgL_nzf3zf3_4384))
					{	/* SawJvm/funcall.scm 297 */
						return
							BGl_compilezd2forzd2applyz00zzsaw_jvm_funcallz00(
							((obj_t) BgL_mez00_4383), BgL_labz00_4385, BgL_pz00_4386);
					}
				else
					{	/* SawJvm/funcall.scm 297 */
						return BFALSE;
					}
			}
		}

	}



/* compile-for-apply */
	obj_t BGl_compilezd2forzd2applyz00zzsaw_jvm_funcallz00(obj_t BgL_mez00_124,
		obj_t BgL_labz00_125, obj_t BgL_pz00_126)
	{
		{	/* SawJvm/funcall.scm 302 */
			{
				obj_t BgL_mez00_3116;
				obj_t BgL_nz00_3117;
				bool_t BgL_fixedarityzf3zf3_3118;
				obj_t BgL_typesz00_3119;

				{	/* SawJvm/funcall.scm 328 */
					obj_t BgL_arityz00_3089;

					BgL_arityz00_3089 =
						BGl_globalzd2arityzd2zzbackend_cplibz00(
						((BgL_globalz00_bglt) BgL_pz00_126));
					{	/* SawJvm/funcall.scm 328 */
						BgL_globalz00_bglt BgL_entryz00_3090;

						BgL_entryz00_3090 =
							BGl_globalzd2entryzd2zzbackend_cplibz00(
							((BgL_globalz00_bglt) BgL_pz00_126));
						{	/* SawJvm/funcall.scm 329 */
							obj_t BgL_argsz00_3091;

							BgL_argsz00_3091 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_entryz00_3090)))->
												BgL_valuez00))))->BgL_argsz00);
							{	/* SawJvm/funcall.scm 330 */
								obj_t BgL_typesz00_3092;

								{	/* SawJvm/funcall.scm 331 */
									obj_t BgL_l1688z00_3099;

									BgL_l1688z00_3099 = CDR(((obj_t) BgL_argsz00_3091));
									if (NULLP(BgL_l1688z00_3099))
										{	/* SawJvm/funcall.scm 331 */
											BgL_typesz00_3092 = BNIL;
										}
									else
										{	/* SawJvm/funcall.scm 331 */
											obj_t BgL_head1690z00_3101;

											{	/* SawJvm/funcall.scm 331 */
												BgL_typez00_bglt BgL_arg2103z00_3113;

												BgL_arg2103z00_3113 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt)
																	CAR(
																		((obj_t) BgL_l1688z00_3099))))))->
													BgL_typez00);
												BgL_head1690z00_3101 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg2103z00_3113), BNIL);
											}
											{	/* SawJvm/funcall.scm 331 */
												obj_t BgL_g1693z00_3102;

												BgL_g1693z00_3102 = CDR(((obj_t) BgL_l1688z00_3099));
												{
													obj_t BgL_l1688z00_3104;
													obj_t BgL_tail1691z00_3105;

													BgL_l1688z00_3104 = BgL_g1693z00_3102;
													BgL_tail1691z00_3105 = BgL_head1690z00_3101;
												BgL_zc3z04anonymousza32097ze3z87_3106:
													if (NULLP(BgL_l1688z00_3104))
														{	/* SawJvm/funcall.scm 331 */
															BgL_typesz00_3092 = BgL_head1690z00_3101;
														}
													else
														{	/* SawJvm/funcall.scm 331 */
															obj_t BgL_newtail1692z00_3108;

															{	/* SawJvm/funcall.scm 331 */
																BgL_typez00_bglt BgL_arg2101z00_3110;

																BgL_arg2101z00_3110 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					CAR(
																						((obj_t) BgL_l1688z00_3104))))))->
																	BgL_typez00);
																BgL_newtail1692z00_3108 =
																	MAKE_YOUNG_PAIR(((obj_t) BgL_arg2101z00_3110),
																	BNIL);
															}
															SET_CDR(BgL_tail1691z00_3105,
																BgL_newtail1692z00_3108);
															{	/* SawJvm/funcall.scm 331 */
																obj_t BgL_arg2100z00_3109;

																BgL_arg2100z00_3109 =
																	CDR(((obj_t) BgL_l1688z00_3104));
																{
																	obj_t BgL_tail1691z00_5836;
																	obj_t BgL_l1688z00_5835;

																	BgL_l1688z00_5835 = BgL_arg2100z00_3109;
																	BgL_tail1691z00_5836 =
																		BgL_newtail1692z00_3108;
																	BgL_tail1691z00_3105 = BgL_tail1691z00_5836;
																	BgL_l1688z00_3104 = BgL_l1688z00_5835;
																	goto BgL_zc3z04anonymousza32097ze3z87_3106;
																}
															}
														}
												}
											}
										}
								}
								{	/* SawJvm/funcall.scm 331 */

									BGl_labelz00zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_124), BgL_labz00_125);
									{	/* SawJvm/funcall.scm 333 */
										bool_t BgL_test2454z00_5839;

										if (INTEGERP(BgL_arityz00_3089))
											{	/* SawJvm/funcall.scm 333 */
												BgL_test2454z00_5839 =
													((long) CINT(BgL_arityz00_3089) >= ((long) 0));
											}
										else
											{	/* SawJvm/funcall.scm 333 */
												BgL_test2454z00_5839 =
													BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_arityz00_3089,
													BINT(((long) 0)));
											}
										if (BgL_test2454z00_5839)
											{	/* SawJvm/funcall.scm 333 */
												if (BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00
													(BgL_pz00_126))
													{	/* SawJvm/funcall.scm 334 */
														BGl_codez12z12zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_124),
															CNST_TABLE_REF(((long) 41)));
														BGl_codez12z12zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_124),
															CNST_TABLE_REF(((long) 48)));
													}
												else
													{	/* SawJvm/funcall.scm 334 */
														BgL_mez00_3116 = BgL_mez00_124;
														BgL_nz00_3117 = BgL_arityz00_3089;
														BgL_fixedarityzf3zf3_3118 = ((bool_t) 1);
														BgL_typesz00_3119 = BgL_typesz00_3092;
													BgL_zc3z04anonymousza32106ze3z87_3120:
														if (((long) CINT(BgL_nz00_3117) == ((long) 0)))
															{	/* SawJvm/funcall.scm 305 */
																if (BgL_fixedarityzf3zf3_3118)
																	{	/* SawJvm/funcall.scm 306 */
																		BFALSE;
																	}
																else
																	{	/* SawJvm/funcall.scm 306 */
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3116),
																			CNST_TABLE_REF(((long) 41)));
															}}
														else
															{	/* SawJvm/funcall.scm 305 */
																if (((long) CINT(BgL_nz00_3117) == ((long) 1)))
																	{	/* SawJvm/funcall.scm 308 */
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3116),
																			CNST_TABLE_REF(((long) 41)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3116),
																			CNST_TABLE_REF(((long) 43)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3116),
																			CNST_TABLE_REF(((long) 44)));
																		{	/* SawJvm/funcall.scm 312 */
																			bool_t BgL_test2460z00_5873;

																			{	/* SawJvm/funcall.scm 312 */
																				obj_t BgL_arg2115z00_3129;

																				BgL_arg2115z00_3129 =
																					CAR(((obj_t) BgL_typesz00_3119));
																				BgL_test2460z00_5873 =
																					(BgL_arg2115z00_3129 ==
																					BGl_za2objza2z00zztype_cachez00);
																			}
																			if (BgL_test2460z00_5873)
																				{	/* SawJvm/funcall.scm 312 */
																					BFALSE;
																				}
																			else
																				{	/* SawJvm/funcall.scm 313 */
																					obj_t BgL_arg2111z00_3125;

																					{	/* SawJvm/funcall.scm 313 */
																						obj_t BgL_arg2112z00_3126;

																						{	/* SawJvm/funcall.scm 313 */
																							obj_t BgL_arg2113z00_3127;

																							{	/* SawJvm/funcall.scm 313 */
																								obj_t BgL_arg2114z00_3128;

																								BgL_arg2114z00_3128 =
																									CAR(
																									((obj_t) BgL_typesz00_3119));
																								BgL_arg2113z00_3127 =
																									BGl_compilezd2typezd2zzsaw_jvm_outz00
																									(((BgL_jvmz00_bglt)
																										BgL_mez00_3116),
																									((BgL_typez00_bglt)
																										BgL_arg2114z00_3128));
																							}
																							BgL_arg2112z00_3126 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2113z00_3127, BNIL);
																						}
																						BgL_arg2111z00_3125 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 28)),
																							BgL_arg2112z00_3126);
																					}
																					BGl_codez12z12zzsaw_jvm_outz00(
																						((BgL_jvmz00_bglt) BgL_mez00_3116),
																						BgL_arg2111z00_3125);
																		}}
																		if (BgL_fixedarityzf3zf3_3118)
																			{	/* SawJvm/funcall.scm 314 */
																				BFALSE;
																			}
																		else
																			{	/* SawJvm/funcall.scm 314 */
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_3116),
																					CNST_TABLE_REF(((long) 41)));
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_3116),
																					CNST_TABLE_REF(((long) 43)));
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_3116),
																					CNST_TABLE_REF(((long) 45)));
																	}}
																else
																	{	/* SawJvm/funcall.scm 308 */
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3116),
																			CNST_TABLE_REF(((long) 41)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3116),
																			CNST_TABLE_REF(((long) 43)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3116),
																			CNST_TABLE_REF(((long) 46)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3116),
																			CNST_TABLE_REF(((long) 45)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3116),
																			CNST_TABLE_REF(((long) 47)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3116),
																			CNST_TABLE_REF(((long) 44)));
																		{	/* SawJvm/funcall.scm 325 */
																			bool_t BgL_test2462z00_5915;

																			{	/* SawJvm/funcall.scm 325 */
																				obj_t BgL_arg2122z00_3136;

																				BgL_arg2122z00_3136 =
																					CAR(((obj_t) BgL_typesz00_3119));
																				BgL_test2462z00_5915 =
																					(BgL_arg2122z00_3136 ==
																					BGl_za2objza2z00zztype_cachez00);
																			}
																			if (BgL_test2462z00_5915)
																				{	/* SawJvm/funcall.scm 325 */
																					BFALSE;
																				}
																			else
																				{	/* SawJvm/funcall.scm 326 */
																					obj_t BgL_arg2118z00_3132;

																					{	/* SawJvm/funcall.scm 326 */
																						obj_t BgL_arg2119z00_3133;

																						{	/* SawJvm/funcall.scm 326 */
																							obj_t BgL_arg2120z00_3134;

																							{	/* SawJvm/funcall.scm 326 */
																								obj_t BgL_arg2121z00_3135;

																								BgL_arg2121z00_3135 =
																									CAR(
																									((obj_t) BgL_typesz00_3119));
																								BgL_arg2120z00_3134 =
																									BGl_compilezd2typezd2zzsaw_jvm_outz00
																									(((BgL_jvmz00_bglt)
																										BgL_mez00_3116),
																									((BgL_typez00_bglt)
																										BgL_arg2121z00_3135));
																							}
																							BgL_arg2119z00_3133 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2120z00_3134, BNIL);
																						}
																						BgL_arg2118z00_3132 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 28)),
																							BgL_arg2119z00_3133);
																					}
																					BGl_codez12z12zzsaw_jvm_outz00(
																						((BgL_jvmz00_bglt) BgL_mez00_3116),
																						BgL_arg2118z00_3132);
																		}}
																		{	/* SawJvm/funcall.scm 327 */
																			obj_t BgL_arg2123z00_3137;
																			obj_t BgL_arg2124z00_3138;

																			if (INTEGERP(BgL_nz00_3117))
																				{	/* SawJvm/funcall.scm 327 */
																					long BgL_tmpz00_5931;

																					BgL_tmpz00_5931 =
																						(long) CINT(BgL_nz00_3117);
																					BgL_arg2123z00_3137 =
																						BGL_SAFE_MINUS_FX(BgL_tmpz00_5931,
																						((long) 1));
																				}
																			else
																				{	/* SawJvm/funcall.scm 327 */
																					BgL_arg2123z00_3137 =
																						BGl_2zd2zd2zz__r4_numbers_6_5z00
																						(BgL_nz00_3117, BINT(((long) 1)));
																				}
																			BgL_arg2124z00_3138 =
																				CDR(((obj_t) BgL_typesz00_3119));
																			{
																				obj_t BgL_typesz00_5939;
																				obj_t BgL_nz00_5938;

																				BgL_nz00_5938 = BgL_arg2123z00_3137;
																				BgL_typesz00_5939 = BgL_arg2124z00_3138;
																				BgL_typesz00_3119 = BgL_typesz00_5939;
																				BgL_nz00_3117 = BgL_nz00_5938;
																				goto
																					BgL_zc3z04anonymousza32106ze3z87_3120;
																			}
																		}
																	}
															}
													}
											}
										else
											{	/* SawJvm/funcall.scm 338 */
												obj_t BgL_arg2094z00_3096;

												if (INTEGERP(BgL_arityz00_3089))
													{	/* SawJvm/funcall.scm 338 */
														long BgL_tmpz00_5942;

														BgL_tmpz00_5942 = (long) CINT(BgL_arityz00_3089);
														BgL_arg2094z00_3096 =
															BGL_SAFE_MINUS_FX(((long) -1), BgL_tmpz00_5942);
													}
												else
													{	/* SawJvm/funcall.scm 338 */
														BgL_arg2094z00_3096 =
															BGl_2zd2zd2zz__r4_numbers_6_5z00(BINT(((long)
																	-1)), BgL_arityz00_3089);
													}
												{
													obj_t BgL_typesz00_5950;
													bool_t BgL_fixedarityzf3zf3_5949;
													obj_t BgL_nz00_5948;
													obj_t BgL_mez00_5947;

													BgL_mez00_5947 = BgL_mez00_124;
													BgL_nz00_5948 = BgL_arg2094z00_3096;
													BgL_fixedarityzf3zf3_5949 = ((bool_t) 0);
													BgL_typesz00_5950 = BgL_typesz00_3092;
													BgL_typesz00_3119 = BgL_typesz00_5950;
													BgL_fixedarityzf3zf3_3118 = BgL_fixedarityzf3zf3_5949;
													BgL_nz00_3117 = BgL_nz00_5948;
													BgL_mez00_3116 = BgL_mez00_5947;
													goto BgL_zc3z04anonymousza32106ze3z87_3120;
												}
											}
									}
									BGl_callzd2globalzd2zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_124), BgL_entryz00_3090);
									return
										BGl_codez12z12zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_124),
										CNST_TABLE_REF(((long) 19)));
		}}}}}}}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_funcallz00()
	{
		{	/* SawJvm/funcall.scm 1 */
			{	/* SawJvm/funcall.scm 19 */
				obj_t BgL_arg2130z00_3145;
				obj_t BgL_arg2131z00_3146;

				{	/* SawJvm/funcall.scm 19 */
					obj_t BgL_v1694z00_3188;

					BgL_v1694z00_3188 = create_vector(((long) 1));
					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_arg2142z00_3189;

						BgL_arg2142z00_3189 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									49)), BGl_proc2276z00zzsaw_jvm_funcallz00,
							BGl_proc2275z00zzsaw_jvm_funcallz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 11)));
						VECTOR_SET(BgL_v1694z00_3188, ((long) 0), BgL_arg2142z00_3189);
					}
					BgL_arg2130z00_3145 = BgL_v1694z00_3188;
				}
				{	/* SawJvm/funcall.scm 19 */
					obj_t BgL_v1695z00_3199;

					BgL_v1695z00_3199 = create_vector(((long) 0));
					BgL_arg2131z00_3146 = BgL_v1695z00_3199;
				}
				return (BGl_indexedz00zzsaw_jvm_funcallz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 50)),
						CNST_TABLE_REF(((long) 51)), BGl_globalz00zzast_varz00,
						((long) 1316), BGl_proc2280z00zzsaw_jvm_funcallz00,
						BGl_proc2279z00zzsaw_jvm_funcallz00, BFALSE,
						BGl_proc2278z00zzsaw_jvm_funcallz00,
						BGl_proc2277z00zzsaw_jvm_funcallz00, BgL_arg2130z00_3145,
						BgL_arg2131z00_3146), BUNSPEC);
		}}

	}



/* &lambda2138 */
	BgL_globalz00_bglt BGl_z62lambda2138z62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4393, obj_t BgL_o1178z00_4394)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				long BgL_arg2139z00_4490;

				{	/* SawJvm/funcall.scm 19 */
					obj_t BgL_arg2140z00_4491;

					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_arg2141z00_4492;

						{	/* SawJvm/funcall.scm 19 */
							long BgL_arg1833z00_4493;

							{	/* SawJvm/funcall.scm 19 */
								long BgL_arg1834z00_4494;

								BgL_arg1834z00_4494 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt) BgL_o1178z00_4394)));
								BgL_arg1833z00_4493 = (BgL_arg1834z00_4494 - OBJECT_TYPE);
							}
							BgL_arg2141z00_4492 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_4493);
						}
						BgL_arg2140z00_4491 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2141z00_4492);
					}
					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_tmpz00_5971;

						BgL_tmpz00_5971 = ((obj_t) BgL_arg2140z00_4491);
						BgL_arg2139z00_4490 = BGL_CLASS_NUM(BgL_tmpz00_5971);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) BgL_o1178z00_4394)), BgL_arg2139z00_4490);
			}
			{	/* SawJvm/funcall.scm 19 */
				BgL_objectz00_bglt BgL_tmpz00_5977;

				BgL_tmpz00_5977 =
					((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1178z00_4394));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5977, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1178z00_4394));
			return ((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1178z00_4394));
		}

	}



/* &<@anonymous:2137> */
	obj_t BGl_z62zc3z04anonymousza32137ze3ze5zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4395, obj_t BgL_new1177z00_4396)
	{
		{	/* SawJvm/funcall.scm 19 */
			{
				BgL_globalz00_bglt BgL_auxz00_5985;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1177z00_4396))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 52))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1177z00_4396))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_5993;

					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_classz00_4496;

						BgL_classz00_4496 = BGl_typez00zztype_typez00;
						{	/* SawJvm/funcall.scm 19 */
							obj_t BgL__ortest_1112z00_4497;

							BgL__ortest_1112z00_4497 = BGL_CLASS_NIL(BgL_classz00_4496);
							if (CBOOL(BgL__ortest_1112z00_4497))
								{	/* SawJvm/funcall.scm 19 */
									BgL_auxz00_5993 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_4497);
								}
							else
								{	/* SawJvm/funcall.scm 19 */
									BgL_auxz00_5993 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4496));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1177z00_4396))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5993), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_6003;

					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_classz00_4498;

						BgL_classz00_4498 = BGl_valuez00zzast_varz00;
						{	/* SawJvm/funcall.scm 19 */
							obj_t BgL__ortest_1112z00_4499;

							BgL__ortest_1112z00_4499 = BGL_CLASS_NIL(BgL_classz00_4498);
							if (CBOOL(BgL__ortest_1112z00_4499))
								{	/* SawJvm/funcall.scm 19 */
									BgL_auxz00_6003 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_4499);
								}
							else
								{	/* SawJvm/funcall.scm 19 */
									BgL_auxz00_6003 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4498));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1177z00_4396))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_6003), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1177z00_4396))))->
						BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1177z00_4396))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1177z00_4396))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1177z00_4396))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1177z00_4396))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1177z00_4396))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1177z00_4396))))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 52))), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1177z00_4396))))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1177z00_4396))))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1177z00_4396))))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1177z00_4396))))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1177z00_4396))))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1177z00_4396))))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1177z00_4396))))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string2281z00zzsaw_jvm_funcallz00), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1177z00_4396))))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1177z00_4396))))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_indexedz00_bglt BgL_auxz00_6062;

					{
						obj_t BgL_auxz00_6063;

						{	/* SawJvm/funcall.scm 19 */
							BgL_objectz00_bglt BgL_tmpz00_6064;

							BgL_tmpz00_6064 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt) BgL_new1177z00_4396));
							BgL_auxz00_6063 = BGL_OBJECT_WIDENING(BgL_tmpz00_6064);
						}
						BgL_auxz00_6062 = ((BgL_indexedz00_bglt) BgL_auxz00_6063);
					}
					((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_6062))->BgL_indexz00) =
						((int) (int) (((long) 0))), BUNSPEC);
				}
				BgL_auxz00_5985 = ((BgL_globalz00_bglt) BgL_new1177z00_4396);
				return ((obj_t) BgL_auxz00_5985);
			}
		}

	}



/* &lambda2135 */
	BgL_globalz00_bglt BGl_z62lambda2135z62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4397, obj_t BgL_o1174z00_4398)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				BgL_indexedz00_bglt BgL_wide1176z00_4501;

				BgL_wide1176z00_4501 =
					((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_indexedz00_bgl))));
				{	/* SawJvm/funcall.scm 19 */
					obj_t BgL_auxz00_6078;
					BgL_objectz00_bglt BgL_tmpz00_6074;

					BgL_auxz00_6078 = ((obj_t) BgL_wide1176z00_4501);
					BgL_tmpz00_6074 =
						((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1174z00_4398)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6074, BgL_auxz00_6078);
				}
				((BgL_objectz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1174z00_4398)));
				{	/* SawJvm/funcall.scm 19 */
					long BgL_arg2136z00_4502;

					BgL_arg2136z00_4502 =
						BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_o1174z00_4398))),
						BgL_arg2136z00_4502);
				}
				return
					((BgL_globalz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1174z00_4398)));
			}
		}

	}



/* &lambda2132 */
	BgL_globalz00_bglt BGl_z62lambda2132z62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4399, obj_t BgL_id1153z00_4400, obj_t BgL_name1154z00_4401,
		obj_t BgL_type1155z00_4402, obj_t BgL_value1156z00_4403,
		obj_t BgL_access1157z00_4404, obj_t BgL_fastzd2alpha1158zd2_4405,
		obj_t BgL_removable1159z00_4406, obj_t BgL_occurrence1160z00_4407,
		obj_t BgL_occurrencew1161z00_4408, obj_t BgL_userzf31162zf3_4409,
		obj_t BgL_module1163z00_4410, obj_t BgL_import1164z00_4411,
		obj_t BgL_evaluablezf31165zf3_4412, obj_t BgL_evalzf31166zf3_4413,
		obj_t BgL_library1167z00_4414, obj_t BgL_pragma1168z00_4415,
		obj_t BgL_src1169z00_4416, obj_t BgL_jvmzd2typezd2name1170z00_4417,
		obj_t BgL_init1171z00_4418, obj_t BgL_alias1172z00_4419,
		obj_t BgL_index1173z00_4420)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				long BgL_occurrence1160z00_4506;
				long BgL_occurrencew1161z00_4507;
				bool_t BgL_userzf31162zf3_4508;
				bool_t BgL_evaluablezf31165zf3_4510;
				bool_t BgL_evalzf31166zf3_4511;
				int BgL_index1173z00_4513;

				BgL_occurrence1160z00_4506 = (long) CINT(BgL_occurrence1160z00_4407);
				BgL_occurrencew1161z00_4507 = (long) CINT(BgL_occurrencew1161z00_4408);
				BgL_userzf31162zf3_4508 = CBOOL(BgL_userzf31162zf3_4409);
				BgL_evaluablezf31165zf3_4510 = CBOOL(BgL_evaluablezf31165zf3_4412);
				BgL_evalzf31166zf3_4511 = CBOOL(BgL_evalzf31166zf3_4413);
				BgL_index1173z00_4513 = CINT(BgL_index1173z00_4420);
				{	/* SawJvm/funcall.scm 19 */
					BgL_globalz00_bglt BgL_new1217z00_4514;

					{	/* SawJvm/funcall.scm 19 */
						BgL_globalz00_bglt BgL_tmp1215z00_4515;
						BgL_indexedz00_bglt BgL_wide1216z00_4516;

						{
							BgL_globalz00_bglt BgL_auxz00_6098;

							{	/* SawJvm/funcall.scm 19 */
								BgL_globalz00_bglt BgL_new1214z00_4517;

								BgL_new1214z00_4517 =
									((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* SawJvm/funcall.scm 19 */
									long BgL_arg2134z00_4518;

									BgL_arg2134z00_4518 =
										BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1214z00_4517),
										BgL_arg2134z00_4518);
								}
								{	/* SawJvm/funcall.scm 19 */
									BgL_objectz00_bglt BgL_tmpz00_6103;

									BgL_tmpz00_6103 = ((BgL_objectz00_bglt) BgL_new1214z00_4517);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6103, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1214z00_4517);
								BgL_auxz00_6098 = BgL_new1214z00_4517;
							}
							BgL_tmp1215z00_4515 = ((BgL_globalz00_bglt) BgL_auxz00_6098);
						}
						BgL_wide1216z00_4516 =
							((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_indexedz00_bgl))));
						{	/* SawJvm/funcall.scm 19 */
							obj_t BgL_auxz00_6111;
							BgL_objectz00_bglt BgL_tmpz00_6109;

							BgL_auxz00_6111 = ((obj_t) BgL_wide1216z00_4516);
							BgL_tmpz00_6109 = ((BgL_objectz00_bglt) BgL_tmp1215z00_4515);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6109, BgL_auxz00_6111);
						}
						((BgL_objectz00_bglt) BgL_tmp1215z00_4515);
						{	/* SawJvm/funcall.scm 19 */
							long BgL_arg2133z00_4519;

							BgL_arg2133z00_4519 =
								BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1215z00_4515),
								BgL_arg2133z00_4519);
						}
						BgL_new1217z00_4514 = ((BgL_globalz00_bglt) BgL_tmp1215z00_4515);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1217z00_4514)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1153z00_4400)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1217z00_4514)))->BgL_namez00) =
						((obj_t) BgL_name1154z00_4401), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1217z00_4514)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1155z00_4402)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1217z00_4514)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1156z00_4403)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1217z00_4514)))->BgL_accessz00) =
						((obj_t) BgL_access1157z00_4404), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1217z00_4514)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1158zd2_4405), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1217z00_4514)))->BgL_removablez00) =
						((obj_t) BgL_removable1159z00_4406), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1217z00_4514)))->BgL_occurrencez00) =
						((long) BgL_occurrence1160z00_4506), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1217z00_4514)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1161z00_4507), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1217z00_4514)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31162zf3_4508), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1217z00_4514)))->BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1163z00_4410)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1217z00_4514)))->BgL_importz00) =
						((obj_t) BgL_import1164z00_4411), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1217z00_4514)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31165zf3_4510), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1217z00_4514)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31166zf3_4511), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1217z00_4514)))->BgL_libraryz00) =
						((obj_t) BgL_library1167z00_4414), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1217z00_4514)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1168z00_4415), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1217z00_4514)))->BgL_srcz00) =
						((obj_t) BgL_src1169z00_4416), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1217z00_4514)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) ((obj_t) BgL_jvmzd2typezd2name1170z00_4417)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1217z00_4514)))->BgL_initz00) =
						((obj_t) BgL_init1171z00_4418), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1217z00_4514)))->BgL_aliasz00) =
						((obj_t) BgL_alias1172z00_4419), BUNSPEC);
					{
						BgL_indexedz00_bglt BgL_auxz00_6164;

						{
							obj_t BgL_auxz00_6165;

							{	/* SawJvm/funcall.scm 19 */
								BgL_objectz00_bglt BgL_tmpz00_6166;

								BgL_tmpz00_6166 = ((BgL_objectz00_bglt) BgL_new1217z00_4514);
								BgL_auxz00_6165 = BGL_OBJECT_WIDENING(BgL_tmpz00_6166);
							}
							BgL_auxz00_6164 = ((BgL_indexedz00_bglt) BgL_auxz00_6165);
						}
						((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_6164))->BgL_indexz00) =
							((int) BgL_index1173z00_4513), BUNSPEC);
					}
					return BgL_new1217z00_4514;
				}
			}
		}

	}



/* &lambda2146 */
	obj_t BGl_z62lambda2146z62zzsaw_jvm_funcallz00(obj_t BgL_envz00_4421,
		obj_t BgL_oz00_4422, obj_t BgL_vz00_4423)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				int BgL_vz00_4521;

				BgL_vz00_4521 = CINT(BgL_vz00_4423);
				{
					BgL_indexedz00_bglt BgL_auxz00_6172;

					{
						obj_t BgL_auxz00_6173;

						{	/* SawJvm/funcall.scm 19 */
							BgL_objectz00_bglt BgL_tmpz00_6174;

							BgL_tmpz00_6174 =
								((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_4422));
							BgL_auxz00_6173 = BGL_OBJECT_WIDENING(BgL_tmpz00_6174);
						}
						BgL_auxz00_6172 = ((BgL_indexedz00_bglt) BgL_auxz00_6173);
					}
					return
						((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_6172))->BgL_indexz00) =
						((int) BgL_vz00_4521), BUNSPEC);
		}}}

	}



/* &lambda2145 */
	obj_t BGl_z62lambda2145z62zzsaw_jvm_funcallz00(obj_t BgL_envz00_4424,
		obj_t BgL_oz00_4425)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				int BgL_tmpz00_6180;

				{
					BgL_indexedz00_bglt BgL_auxz00_6181;

					{
						obj_t BgL_auxz00_6182;

						{	/* SawJvm/funcall.scm 19 */
							BgL_objectz00_bglt BgL_tmpz00_6183;

							BgL_tmpz00_6183 =
								((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_4425));
							BgL_auxz00_6182 = BGL_OBJECT_WIDENING(BgL_tmpz00_6183);
						}
						BgL_auxz00_6181 = ((BgL_indexedz00_bglt) BgL_auxz00_6182);
					}
					BgL_tmpz00_6180 =
						(((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_6181))->BgL_indexz00);
				}
				return BINT(BgL_tmpz00_6180);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_funcallz00()
	{
		{	/* SawJvm/funcall.scm 1 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_funcallz00()
	{
		{	/* SawJvm/funcall.scm 1 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_funcallz00()
	{
		{	/* SawJvm/funcall.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2282z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2282z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2282z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2282z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2282z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2282z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2282z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2282z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string2282z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2282z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 336068337),
				BSTRING_TO_STRING(BGl_string2282z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2282z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_libz00(((long) 321177283),
				BSTRING_TO_STRING(BGl_string2282z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string2282z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 79517123),
				BSTRING_TO_STRING(BGl_string2282z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzsaw_proceduresz00(((long) 401547344),
				BSTRING_TO_STRING(BGl_string2282z00zzsaw_jvm_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(((long) 441641707),
				BSTRING_TO_STRING(BGl_string2282z00zzsaw_jvm_funcallz00));
		}

	}

#ifdef __cplusplus
}
#endif
