/*===========================================================================*/
/*   (SawJvm/inline.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawJvm/inline.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;


	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31943ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31927ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31676ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31838ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31919ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31668ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	extern obj_t BGl_genzd2exprzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_inlinez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31960ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31871ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31952ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31855ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31596ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62inlinezd2predicatezf3z43zzsaw_jvm_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31864ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31945ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31937ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza31962ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31954ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31695ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31849ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31679ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_inlinez00();
	static obj_t BGl_z62zc3z04anonymousza31971ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31947ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31858ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31939ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31891ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31883ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31956ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31786ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31778ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_inlinez00();
	static obj_t BGl_z62zc3z04anonymousza31981ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31973ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31965ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_inlinez00();
	static obj_t BGl_z62zc3z04anonymousza31876ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31868ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31949ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza31893ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31885ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31958ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_za2jvmzd2inlinesza2zd2zzsaw_jvm_inlinez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31991ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31983ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31975ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31967ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31789ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza31895ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31887ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31879ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31993ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31985ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31977ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31969ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_inlinez00();
	static obj_t BGl_z62zc3z04anonymousza31897ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31889ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31995ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31987ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31979ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62inlinezd2callzf3z43zzsaw_jvm_inlinez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_branchz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t, obj_t);
	static obj_t BGl_skipzd2movzd2zzsaw_jvm_inlinez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31899ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00();
	static obj_t BGl_z62zc3z04anonymousza31989ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31700ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2callzd2withzd2argszf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31613ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_za2optimzd2jvmzd2fasteqza2z00zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31800ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62zc3z04anonymousza31802ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	extern obj_t BGl_codez12z12zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31730ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31811ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31722ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31633ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_inlinez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_inlinez00();
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2predicatezf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_inlinez00();
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_inlinez00();
	static obj_t BGl_z62zc3z04anonymousza31902ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31732ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31911ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31806ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31750ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31726ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
	static obj_t
		BGl_z62inlinezd2callzd2withzd2argszf3z43zzsaw_jvm_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31840ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31921ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31913ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31905ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31808ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62checkzd2jvmzd2inlinesz62zzsaw_jvm_inlinez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31760ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31752ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31582ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31744ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31825ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31931ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31915ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31907ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31818ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31851ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31843ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31924ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31746ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31657ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31941ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_za2toozd2hardza2zd2zzsaw_jvm_inlinez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31771ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31682ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31763ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31917ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31909ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32001ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2callzf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31853ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31934ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t __cnst[184];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2265za7,
		BGl_z62zc3z04anonymousza31858ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2266za7,
		BGl_z62zc3z04anonymousza31864ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2267za7,
		BGl_z62zc3z04anonymousza31868ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2268za7,
		BGl_z62zc3z04anonymousza31871ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2269za7,
		BGl_z62zc3z04anonymousza31876ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2270za7,
		BGl_z62zc3z04anonymousza31879ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2271za7,
		BGl_z62zc3z04anonymousza31883ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2272za7,
		BGl_z62zc3z04anonymousza31885ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2273za7,
		BGl_z62zc3z04anonymousza31887ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2274za7,
		BGl_z62zc3z04anonymousza31889ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2275za7,
		BGl_z62zc3z04anonymousza31891ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2276za7,
		BGl_z62zc3z04anonymousza31893ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2277za7,
		BGl_z62zc3z04anonymousza31895ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2278za7,
		BGl_z62zc3z04anonymousza31897ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2279za7,
		BGl_z62zc3z04anonymousza31899ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2280za7,
		BGl_z62zc3z04anonymousza31902ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2281za7,
		BGl_z62zc3z04anonymousza31905ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2282za7,
		BGl_z62zc3z04anonymousza31907ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2283za7,
		BGl_z62zc3z04anonymousza31909ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2284za7,
		BGl_z62zc3z04anonymousza31911ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2285za7,
		BGl_z62zc3z04anonymousza31913ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2286za7,
		BGl_z62zc3z04anonymousza31915ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2287za7,
		BGl_z62zc3z04anonymousza31917ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2288za7,
		BGl_z62zc3z04anonymousza31919ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2289za7,
		BGl_z62zc3z04anonymousza31921ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2290za7,
		BGl_z62zc3z04anonymousza31924ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2291za7,
		BGl_z62zc3z04anonymousza31927ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2292za7,
		BGl_z62zc3z04anonymousza31931ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2293za7,
		BGl_z62zc3z04anonymousza31934ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2294za7,
		BGl_z62zc3z04anonymousza31937ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2295za7,
		BGl_z62zc3z04anonymousza31939ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2296za7,
		BGl_z62zc3z04anonymousza31941ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2232z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2297za7,
		BGl_z62zc3z04anonymousza31943ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2298za7,
		BGl_z62zc3z04anonymousza31945ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2234z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2299za7,
		BGl_z62zc3z04anonymousza31947ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2235z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2300za7,
		BGl_z62zc3z04anonymousza31949ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2236z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2301za7,
		BGl_z62zc3z04anonymousza31952ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2237z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2302za7,
		BGl_z62zc3z04anonymousza31954ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2238z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2303za7,
		BGl_z62zc3z04anonymousza31956ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2304za7,
		BGl_z62zc3z04anonymousza31958ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2predicatezf3zd2envzf3zzsaw_jvm_inlinez00,
		BgL_bgl_za762inlineza7d2pred2305z00,
		BGl_z62inlinezd2predicatezf3z43zzsaw_jvm_inlinez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2240z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2306za7,
		BGl_z62zc3z04anonymousza31960ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2241z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2307za7,
		BGl_z62zc3z04anonymousza31962ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2308za7,
		BGl_z62zc3z04anonymousza31965ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2309za7,
		BGl_z62zc3z04anonymousza31582ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2310za7,
		BGl_z62zc3z04anonymousza31967ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2311za7,
		BGl_z62zc3z04anonymousza31596ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2312za7,
		BGl_z62zc3z04anonymousza31969ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2313za7,
		BGl_z62zc3z04anonymousza31613ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2314za7,
		BGl_z62zc3z04anonymousza31971ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2315za7,
		BGl_z62zc3z04anonymousza31633ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2246z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2316za7,
		BGl_z62zc3z04anonymousza31973ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2317za7,
		BGl_z62zc3z04anonymousza31657ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2247z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2318za7,
		BGl_z62zc3z04anonymousza31975ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2319za7,
		BGl_z62zc3z04anonymousza31668ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2248z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2320za7,
		BGl_z62zc3z04anonymousza31977ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2321za7,
		BGl_z62zc3z04anonymousza31676ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2249z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2322za7,
		BGl_z62zc3z04anonymousza31979ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2323za7,
		BGl_z62zc3z04anonymousza31679ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2324za7,
		BGl_z62zc3z04anonymousza31682ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2259z00zzsaw_jvm_inlinez00,
		BgL_bgl_string2259za700za7za7s2325za7, "I", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2250z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2326za7,
		BGl_z62zc3z04anonymousza31981ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2251z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2327za7,
		BGl_z62zc3z04anonymousza31983ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2328za7,
		BGl_z62zc3z04anonymousza31695ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2252z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2329za7,
		BGl_z62zc3z04anonymousza31985ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2330za7,
		BGl_z62zc3z04anonymousza31700ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2253z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2331za7,
		BGl_z62zc3z04anonymousza31987ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2332za7,
		BGl_z62zc3z04anonymousza31722ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2260z00zzsaw_jvm_inlinez00,
		BgL_bgl_string2260za700za7za7s2333za7, "Cannot find inlined functions", 29);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2254z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2334za7,
		BGl_z62zc3z04anonymousza31989ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2335za7,
		BGl_z62zc3z04anonymousza31726ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2261z00zzsaw_jvm_inlinez00,
		BgL_bgl_string2261za700za7za7s2336za7, "saw_jvm_inline", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2255z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2337za7,
		BGl_z62zc3z04anonymousza31991ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2338za7,
		BGl_z62zc3z04anonymousza31730ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2262z00zzsaw_jvm_inlinez00,
		BgL_bgl_string2262za700za7za7s2339za7,
		"(iconst_0) SawJvm (putfield procarity) (putfield procenv) (putfield procindex) (invokespecial init) (dup) (new me) (anewarray obj) (instanceof bbool) goto (getstatic faux) (getstatic vrai) not-inlined (instanceof bchar) getstatic bchar_allocated (getfield bchar_value) getfield bchar_value (instanceof bint) (instanceof belong) (i2s) (i2b) (getfield bint_value) if_icmpne if_icmpeq if_icmple if_icmpgt if_icmplt if_icmpge (iadd) (isub) (imul) (idiv) (irem) (ior) (ixor) (ineg) (iconst_1) (instanceof real) (getfield real_value) (i2d) (d2i) (l2d) (d2l) ifne ifeq (dcmpl) ifle ifgt iflt ifge (dcmpg) (dadd) (dsub) (dmul) (ddiv) (dneg) if_acmpne if_acmpeq (getstatic *nil*) (instanceof (vector byte)) ok (iand) (sipush 255) (baload) (bastore) (arraylength) (newarray byte) (instanceof symbol) (getfield symbol_string) (putfield ccar) (getfield ccar) (instanceof pair) (getfield car) (getfield cdr) (putfield car) (putfield cdr) (instanceof extended_pair) (getfield cer) (putfield cer) (instanceof (vector obj)) (instanceof proc"
		"edure) no-value (aastore) (aaload) (getfield procenv) procedure-ref procedure-set! c-procedure? $vector? $set-cer! $cer $epair? $set-cdr! $set-car! $cdr $car $pair? cell-ref cell-set! c-symbol->string c-symbol? $make-string/wo-fill $string-length $string-set! $string-ref $bstring->string $string->bstring $string? $null? c-negfl c-/fl c-*fl c--fl c-+fl c->=fl c->fl c-<=fl c-<fl c-=fl $flonum->llong $llong->flonum $flonum->elong $elong->flonum $flonum->fixnum $fixnum->flonum $real->double c-flonum? c-bitnot c-bitxor c-bitand c-bitor c-remainderfx c-quotientfx c-/fx c-*fx c--fx c-+fx c-oddfx? c-evenfx? c->=fx c->fx c-<=fx c-<fx c-=fx $bint->int $long->int $int->long $bint->long $short->int $int->byte $int->short char->integer c-elong? c-fixnum? c-char>=? c-char>? c-char<=? c-char<? c-char=? $uchar->char $bchar->uchar $bchar->char $uchar->bchar c-char? c-eq? c-boxed-eq? $bool->bbool saw_jvm_inline_predicate $obj->bool c-boolean? procedure-el-set! procedure-el-ref saw_jvm_inline_function make-el-procedure make-l-p"
		"rocedure make-va-procedure make-fx-procedure cnst-table-set! saw_jvm_inline_function_args cnst-table-ref (%exit long->bint $cons c-write-char) ",
		2191);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2256z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2340za7,
		BGl_z62zc3z04anonymousza31993ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2341za7,
		BGl_z62zc3z04anonymousza31732ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2257z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2342za7,
		BGl_z62zc3z04anonymousza31995ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2343za7,
		BGl_z62zc3z04anonymousza31744ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2258z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2344za7,
		BGl_z62zc3z04anonymousza32001ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2345za7,
		BGl_z62zc3z04anonymousza31746ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2346za7,
		BGl_z62zc3z04anonymousza31750ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2347za7,
		BGl_z62zc3z04anonymousza31752ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2348za7,
		BGl_z62zc3z04anonymousza31760ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2349za7,
		BGl_z62zc3z04anonymousza31763ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2350za7,
		BGl_z62zc3z04anonymousza31771ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2351za7,
		BGl_z62zc3z04anonymousza31778ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2352za7,
		BGl_z62zc3z04anonymousza31786ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2353za7,
		BGl_z62zc3z04anonymousza31789ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2354za7,
		BGl_z62zc3z04anonymousza31800ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2355za7,
		BGl_z62zc3z04anonymousza31802ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2356za7,
		BGl_z62zc3z04anonymousza31806ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2357za7,
		BGl_z62zc3z04anonymousza31808ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2358za7,
		BGl_z62zc3z04anonymousza31811ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2359za7,
		BGl_z62zc3z04anonymousza31818ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2360za7,
		BGl_z62zc3z04anonymousza31825ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2361za7,
		BGl_z62zc3z04anonymousza31838ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2362za7,
		BGl_z62zc3z04anonymousza31840ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2363za7,
		BGl_z62zc3z04anonymousza31843ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2364za7,
		BGl_z62zc3z04anonymousza31849ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2365za7,
		BGl_z62zc3z04anonymousza31851ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2366za7,
		BGl_z62zc3z04anonymousza31853ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2367za7,
		BGl_z62zc3z04anonymousza31855ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_checkzd2jvmzd2inlineszd2envzd2zzsaw_jvm_inlinez00,
		BgL_bgl_za762checkza7d2jvmza7d2368za7,
		BGl_z62checkzd2jvmzd2inlinesz62zzsaw_jvm_inlinez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2callzd2withzd2argszf3zd2envzf3zzsaw_jvm_inlinez00,
		BgL_bgl_za762inlineza7d2call2369z00,
		BGl_z62inlinezd2callzd2withzd2argszf3z43zzsaw_jvm_inlinez00, 0L, BUNSPEC,
		3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2callzf3zd2envzf3zzsaw_jvm_inlinez00,
		BgL_bgl_za762inlineza7d2call2370z00,
		BGl_z62inlinezd2callzf3z43zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_inlinez00));
		     ADD_ROOT((void *) (&BGl_za2jvmzd2inlinesza2zd2zzsaw_jvm_inlinez00));
		     ADD_ROOT((void *) (&BGl_za2toozd2hardza2zd2zzsaw_jvm_inlinez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(long
		BgL_checksumz00_4190, char *BgL_fromz00_4191)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_inlinez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_inlinez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_inlinez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_inlinez00();
					BGl_cnstzd2initzd2zzsaw_jvm_inlinez00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_inlinez00();
					return BGl_toplevelzd2initzd2zzsaw_jvm_inlinez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_inlinez00()
	{
		{	/* SawJvm/inline.scm 1 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_jvm_inline");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_inlinez00()
	{
		{	/* SawJvm/inline.scm 1 */
			{	/* SawJvm/inline.scm 1 */
				obj_t BgL_cportz00_4093;

				{	/* SawJvm/inline.scm 1 */
					obj_t BgL_stringz00_4101;

					BgL_stringz00_4101 = BGl_string2262z00zzsaw_jvm_inlinez00;
					{	/* SawJvm/inline.scm 1 */
						obj_t BgL_startz00_4102;

						BgL_startz00_4102 = BINT(((long) 0));
						{	/* SawJvm/inline.scm 1 */
							obj_t BgL_endz00_4103;

							BgL_endz00_4103 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4101)));
							{	/* SawJvm/inline.scm 1 */

								BgL_cportz00_4093 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4101, BgL_startz00_4102, BgL_endz00_4103);
				}}}}
				{
					long BgL_iz00_4094;

					BgL_iz00_4094 = ((long) 183);
				BgL_loopz00_4095:
					if ((BgL_iz00_4094 == ((long) -1)))
						{	/* SawJvm/inline.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/inline.scm 1 */
							{	/* SawJvm/inline.scm 1 */
								obj_t BgL_arg2264z00_4097;

								{	/* SawJvm/inline.scm 1 */

									{	/* SawJvm/inline.scm 1 */
										obj_t BgL_locationz00_4099;

										BgL_locationz00_4099 = BBOOL(((bool_t) 0));
										{	/* SawJvm/inline.scm 1 */

											BgL_arg2264z00_4097 =
												BGl_readz00zz__readerz00(BgL_cportz00_4093,
												BgL_locationz00_4099);
										}
									}
								}
								{	/* SawJvm/inline.scm 1 */
									int BgL_tmpz00_4219;

									BgL_tmpz00_4219 = (int) (BgL_iz00_4094);
									CNST_TABLE_SET(BgL_tmpz00_4219, BgL_arg2264z00_4097);
							}}
							{	/* SawJvm/inline.scm 1 */
								int BgL_auxz00_4100;

								BgL_auxz00_4100 = (int) ((BgL_iz00_4094 - ((long) 1)));
								{
									long BgL_iz00_4224;

									BgL_iz00_4224 = (long) (BgL_auxz00_4100);
									BgL_iz00_4094 = BgL_iz00_4224;
									goto BgL_loopz00_4095;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_inlinez00()
	{
		{	/* SawJvm/inline.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_jvm_inlinez00()
	{
		{	/* SawJvm/inline.scm 1 */
			BGl_za2jvmzd2inlinesza2zd2zzsaw_jvm_inlinez00 = BNIL;
			BGl_za2toozd2hardza2zd2zzsaw_jvm_inlinez00 = CNST_TABLE_REF(((long) 0));
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 1)),
				CNST_TABLE_REF(((long) 2)), BGl_proc2161z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 3)),
				CNST_TABLE_REF(((long) 2)), BGl_proc2162z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 4)),
				CNST_TABLE_REF(((long) 2)), BGl_proc2163z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)),
				CNST_TABLE_REF(((long) 2)), BGl_proc2164z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 6)),
				CNST_TABLE_REF(((long) 2)), BGl_proc2165z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 7)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2166z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 9)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2167z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 10)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2168z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 11)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2169z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 12)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2170z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 14)),
				CNST_TABLE_REF(((long) 2)), BGl_proc2171z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 15)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2172z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 16)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2173z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 17)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2174z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 18)),
				CNST_TABLE_REF(((long) 2)), BGl_proc2175z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 19)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2176z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 20)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2177z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 21)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2178z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 22)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2179z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 23)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2180z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 24)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2181z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 25)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2182z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 26)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2183z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 27)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2184z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 28)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2185z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 29)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2186z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 30)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2187z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 31)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2188z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 32)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2189z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 33)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2190z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 34)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2191z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 35)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2192z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 36)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2193z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 37)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2194z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 38)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2195z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 39)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2196z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 40)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2197z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 41)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2198z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 37)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2199z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 38)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2200z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 39)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2201z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 40)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2202z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 41)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2203z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 42)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2204z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 43)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2205z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 44)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2206z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 45)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2207z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 46)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2208z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 47)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2209z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 48)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2210z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 49)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2211z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 50)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2212z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 51)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2213z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 52)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2214z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 53)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2215z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 54)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2216z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 55)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2217z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 56)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2218z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 57)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2219z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 58)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2220z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 59)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2221z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 60)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2222z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 61)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2223z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 62)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2224z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 63)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2225z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 64)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2226z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 65)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2227z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 66)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2228z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 67)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2229z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 68)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2230z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 69)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2231z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 70)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2232z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 71)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2233z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 72)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2234z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 72)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2235z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 73)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2236z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 74)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2237z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 75)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2238z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 76)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2239z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 77)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2240z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 78)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2241z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 79)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2242z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 80)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2243z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 81)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2244z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 82)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2245z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 83)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2246z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 84)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2247z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 85)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2248z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 86)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2249z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 87)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2250z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 88)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2251z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 89)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2252z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 90)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2253z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 91)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2254z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 92)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2255z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 93)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2256z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 94)),
				CNST_TABLE_REF(((long) 2)), BGl_proc2257z00zzsaw_jvm_inlinez00);
			return
				BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 95)),
				CNST_TABLE_REF(((long) 2)), BGl_proc2258z00zzsaw_jvm_inlinez00);
		}

	}



/* &<@anonymous:2001> */
	obj_t BGl_z62zc3z04anonymousza32001ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3833, obj_t BgL_mez00_3834, obj_t BgL_argsz00_3835)
	{
		{	/* SawJvm/inline.scm 548 */
			{	/* SawJvm/inline.scm 549 */
				obj_t BgL_arg2002z00_4105;

				BgL_arg2002z00_4105 = CAR(((obj_t) BgL_argsz00_3835));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3834), BgL_arg2002z00_4105);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3834), CNST_TABLE_REF(((long) 96)));
			{	/* SawJvm/inline.scm 551 */
				obj_t BgL_arg2003z00_4106;

				{	/* SawJvm/inline.scm 551 */
					obj_t BgL_pairz00_4107;

					BgL_pairz00_4107 = CDR(((obj_t) BgL_argsz00_3835));
					BgL_arg2003z00_4106 = CAR(BgL_pairz00_4107);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3834), BgL_arg2003z00_4106);
			}
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3834), CNST_TABLE_REF(((long) 97)));
		}

	}



/* &<@anonymous:1995> */
	obj_t BGl_z62zc3z04anonymousza31995ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3836, obj_t BgL_mez00_3837, obj_t BgL_argsz00_3838)
	{
		{	/* SawJvm/inline.scm 540 */
			{	/* SawJvm/inline.scm 541 */
				obj_t BgL_arg1996z00_4108;

				BgL_arg1996z00_4108 = CAR(((obj_t) BgL_argsz00_3838));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3837), BgL_arg1996z00_4108);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3837), CNST_TABLE_REF(((long) 96)));
			{	/* SawJvm/inline.scm 543 */
				obj_t BgL_arg1997z00_4109;

				{	/* SawJvm/inline.scm 543 */
					obj_t BgL_pairz00_4110;

					BgL_pairz00_4110 = CDR(((obj_t) BgL_argsz00_3838));
					BgL_arg1997z00_4109 = CAR(BgL_pairz00_4110);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3837), BgL_arg1997z00_4109);
			}
			{	/* SawJvm/inline.scm 544 */
				obj_t BgL_arg1999z00_4111;

				{	/* SawJvm/inline.scm 544 */
					obj_t BgL_pairz00_4112;

					{	/* SawJvm/inline.scm 544 */
						obj_t BgL_pairz00_4113;

						BgL_pairz00_4113 = CDR(((obj_t) BgL_argsz00_3838));
						BgL_pairz00_4112 = CDR(BgL_pairz00_4113);
					}
					BgL_arg1999z00_4111 = CAR(BgL_pairz00_4112);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3837), BgL_arg1999z00_4111);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3837), CNST_TABLE_REF(((long) 98)));
			return CNST_TABLE_REF(((long) 99));
		}

	}



/* &<@anonymous:1993> */
	obj_t BGl_z62zc3z04anonymousza31993ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3839, obj_t BgL_mez00_3840)
	{
		{	/* SawJvm/inline.scm 537 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3840), CNST_TABLE_REF(((long) 100)));
		}

	}



/* &<@anonymous:1991> */
	obj_t BGl_z62zc3z04anonymousza31991ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3841, obj_t BgL_mez00_3842)
	{
		{	/* SawJvm/inline.scm 519 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3842), CNST_TABLE_REF(((long) 101)));
		}

	}



/* &<@anonymous:1989> */
	obj_t BGl_z62zc3z04anonymousza31989ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3843, obj_t BgL_mez00_3844)
	{
		{	/* SawJvm/inline.scm 512 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3844), CNST_TABLE_REF(((long) 102)));
			return CNST_TABLE_REF(((long) 99));
		}

	}



/* &<@anonymous:1987> */
	obj_t BGl_z62zc3z04anonymousza31987ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3845, obj_t BgL_mez00_3846)
	{
		{	/* SawJvm/inline.scm 509 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3846), CNST_TABLE_REF(((long) 103)));
		}

	}



/* &<@anonymous:1985> */
	obj_t BGl_z62zc3z04anonymousza31985ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3847, obj_t BgL_mez00_3848)
	{
		{	/* SawJvm/inline.scm 506 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3848), CNST_TABLE_REF(((long) 104)));
		}

	}



/* &<@anonymous:1983> */
	obj_t BGl_z62zc3z04anonymousza31983ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3849, obj_t BgL_mez00_3850)
	{
		{	/* SawJvm/inline.scm 499 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3850), CNST_TABLE_REF(((long) 105)));
			return CNST_TABLE_REF(((long) 99));
		}

	}



/* &<@anonymous:1981> */
	obj_t BGl_z62zc3z04anonymousza31981ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3851, obj_t BgL_mez00_3852)
	{
		{	/* SawJvm/inline.scm 495 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3852), CNST_TABLE_REF(((long) 106)));
			return CNST_TABLE_REF(((long) 99));
		}

	}



/* &<@anonymous:1979> */
	obj_t BGl_z62zc3z04anonymousza31979ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3853, obj_t BgL_mez00_3854)
	{
		{	/* SawJvm/inline.scm 492 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3854), CNST_TABLE_REF(((long) 107)));
		}

	}



/* &<@anonymous:1977> */
	obj_t BGl_z62zc3z04anonymousza31977ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3855, obj_t BgL_mez00_3856)
	{
		{	/* SawJvm/inline.scm 489 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3856), CNST_TABLE_REF(((long) 108)));
		}

	}



/* &<@anonymous:1975> */
	obj_t BGl_z62zc3z04anonymousza31975ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3857, obj_t BgL_mez00_3858)
	{
		{	/* SawJvm/inline.scm 486 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3858), CNST_TABLE_REF(((long) 109)));
		}

	}



/* &<@anonymous:1973> */
	obj_t BGl_z62zc3z04anonymousza31973ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3859, obj_t BgL_mez00_3860)
	{
		{	/* SawJvm/inline.scm 470 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3860), CNST_TABLE_REF(((long) 110)));
		}

	}



/* &<@anonymous:1971> */
	obj_t BGl_z62zc3z04anonymousza31971ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3861, obj_t BgL_mez00_3862)
	{
		{	/* SawJvm/inline.scm 466 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3862), CNST_TABLE_REF(((long) 111)));
			return CNST_TABLE_REF(((long) 99));
		}

	}



/* &<@anonymous:1969> */
	obj_t BGl_z62zc3z04anonymousza31969ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3863, obj_t BgL_mez00_3864)
	{
		{	/* SawJvm/inline.scm 460 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3864), CNST_TABLE_REF(((long) 112)));
		}

	}



/* &<@anonymous:1967> */
	obj_t BGl_z62zc3z04anonymousza31967ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3865, obj_t BgL_mez00_3866)
	{
		{	/* SawJvm/inline.scm 457 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3866), CNST_TABLE_REF(((long) 113)));
		}

	}



/* &<@anonymous:1965> */
	obj_t BGl_z62zc3z04anonymousza31965ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3867, obj_t BgL_mez00_3868)
	{
		{	/* SawJvm/inline.scm 438 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3868), CNST_TABLE_REF(((long) 114)));
		}

	}



/* &<@anonymous:1962> */
	obj_t BGl_z62zc3z04anonymousza31962ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3869, obj_t BgL_mez00_3870)
	{
		{	/* SawJvm/inline.scm 435 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3870), CNST_TABLE_REF(((long) 115)));
		}

	}



/* &<@anonymous:1960> */
	obj_t BGl_z62zc3z04anonymousza31960ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3871, obj_t BgL_mez00_3872)
	{
		{	/* SawJvm/inline.scm 431 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3872), CNST_TABLE_REF(((long) 116)));
			return CNST_TABLE_REF(((long) 99));
		}

	}



/* &<@anonymous:1958> */
	obj_t BGl_z62zc3z04anonymousza31958ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3873, obj_t BgL_mez00_3874)
	{
		{	/* SawJvm/inline.scm 426 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3874), CNST_TABLE_REF(((long) 117)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3874), CNST_TABLE_REF(((long) 118)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3874), CNST_TABLE_REF(((long) 119)));
		}

	}



/* &<@anonymous:1956> */
	obj_t BGl_z62zc3z04anonymousza31956ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3875, obj_t BgL_mez00_3876)
	{
		{	/* SawJvm/inline.scm 423 */
			return CNST_TABLE_REF(((long) 120));
		}

	}



/* &<@anonymous:1954> */
	obj_t BGl_z62zc3z04anonymousza31954ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3877, obj_t BgL_mez00_3878)
	{
		{	/* SawJvm/inline.scm 420 */
			return CNST_TABLE_REF(((long) 120));
		}

	}



/* &<@anonymous:1952> */
	obj_t BGl_z62zc3z04anonymousza31952ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3879, obj_t BgL_mez00_3880)
	{
		{	/* SawJvm/inline.scm 417 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3880), CNST_TABLE_REF(((long) 121)));
		}

	}



/* &<@anonymous:1949> */
	obj_t BGl_z62zc3z04anonymousza31949ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3881, obj_t BgL_mez00_3882, obj_t BgL_onzf3zf3_3883,
		obj_t BgL_labz00_3884)
	{
		{	/* SawJvm/inline.scm 392 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3882), CNST_TABLE_REF(((long) 122)));
			{	/* SawJvm/inline.scm 394 */
				obj_t BgL_arg1950z00_4114;

				if (CBOOL(BgL_onzf3zf3_3883))
					{	/* SawJvm/inline.scm 394 */
						BgL_arg1950z00_4114 = CNST_TABLE_REF(((long) 123));
					}
				else
					{	/* SawJvm/inline.scm 394 */
						BgL_arg1950z00_4114 = CNST_TABLE_REF(((long) 124));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3882), BgL_arg1950z00_4114,
					BgL_labz00_3884);
			}
		}

	}



/* &<@anonymous:1947> */
	obj_t BGl_z62zc3z04anonymousza31947ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3885, obj_t BgL_mez00_3886)
	{
		{	/* SawJvm/inline.scm 388 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3886), CNST_TABLE_REF(((long) 122)));
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_3886,
				CNST_TABLE_REF(((long) 123)));
		}

	}



/* &<@anonymous:1945> */
	obj_t BGl_z62zc3z04anonymousza31945ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3887, obj_t BgL_mez00_3888)
	{
		{	/* SawJvm/inline.scm 380 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3888), CNST_TABLE_REF(((long) 125)));
		}

	}



/* &<@anonymous:1943> */
	obj_t BGl_z62zc3z04anonymousza31943ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3889, obj_t BgL_mez00_3890)
	{
		{	/* SawJvm/inline.scm 379 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3890), CNST_TABLE_REF(((long) 126)));
		}

	}



/* &<@anonymous:1941> */
	obj_t BGl_z62zc3z04anonymousza31941ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3891, obj_t BgL_mez00_3892)
	{
		{	/* SawJvm/inline.scm 378 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3892), CNST_TABLE_REF(((long) 127)));
		}

	}



/* &<@anonymous:1939> */
	obj_t BGl_z62zc3z04anonymousza31939ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3893, obj_t BgL_mez00_3894)
	{
		{	/* SawJvm/inline.scm 377 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3894), CNST_TABLE_REF(((long) 128)));
		}

	}



/* &<@anonymous:1937> */
	obj_t BGl_z62zc3z04anonymousza31937ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3895, obj_t BgL_mez00_3896)
	{
		{	/* SawJvm/inline.scm 376 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3896), CNST_TABLE_REF(((long) 129)));
		}

	}



/* &<@anonymous:1934> */
	obj_t BGl_z62zc3z04anonymousza31934ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3897, obj_t BgL_mez00_3898, obj_t BgL_onzf3zf3_3899,
		obj_t BgL_labz00_3900)
	{
		{	/* SawJvm/inline.scm 372 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3898), CNST_TABLE_REF(((long) 130)));
			{	/* SawJvm/inline.scm 374 */
				obj_t BgL_arg1935z00_4115;

				if (CBOOL(BgL_onzf3zf3_3899))
					{	/* SawJvm/inline.scm 374 */
						BgL_arg1935z00_4115 = CNST_TABLE_REF(((long) 131));
					}
				else
					{	/* SawJvm/inline.scm 374 */
						BgL_arg1935z00_4115 = CNST_TABLE_REF(((long) 132));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3898), BgL_arg1935z00_4115,
					BgL_labz00_3900);
			}
		}

	}



/* &<@anonymous:1931> */
	obj_t BGl_z62zc3z04anonymousza31931ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3901, obj_t BgL_mez00_3902, obj_t BgL_onzf3zf3_3903,
		obj_t BgL_labz00_3904)
	{
		{	/* SawJvm/inline.scm 368 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3902), CNST_TABLE_REF(((long) 130)));
			{	/* SawJvm/inline.scm 370 */
				obj_t BgL_arg1932z00_4116;

				if (CBOOL(BgL_onzf3zf3_3903))
					{	/* SawJvm/inline.scm 370 */
						BgL_arg1932z00_4116 = CNST_TABLE_REF(((long) 133));
					}
				else
					{	/* SawJvm/inline.scm 370 */
						BgL_arg1932z00_4116 = CNST_TABLE_REF(((long) 134));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3902), BgL_arg1932z00_4116,
					BgL_labz00_3904);
			}
		}

	}



/* &<@anonymous:1927> */
	obj_t BGl_z62zc3z04anonymousza31927ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3905, obj_t BgL_mez00_3906, obj_t BgL_onzf3zf3_3907,
		obj_t BgL_labz00_3908)
	{
		{	/* SawJvm/inline.scm 364 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3906), CNST_TABLE_REF(((long) 135)));
			{	/* SawJvm/inline.scm 366 */
				obj_t BgL_arg1929z00_4117;

				if (CBOOL(BgL_onzf3zf3_3907))
					{	/* SawJvm/inline.scm 366 */
						BgL_arg1929z00_4117 = CNST_TABLE_REF(((long) 134));
					}
				else
					{	/* SawJvm/inline.scm 366 */
						BgL_arg1929z00_4117 = CNST_TABLE_REF(((long) 133));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3906), BgL_arg1929z00_4117,
					BgL_labz00_3908);
			}
		}

	}



/* &<@anonymous:1924> */
	obj_t BGl_z62zc3z04anonymousza31924ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3909, obj_t BgL_mez00_3910, obj_t BgL_onzf3zf3_3911,
		obj_t BgL_labz00_3912)
	{
		{	/* SawJvm/inline.scm 360 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3910), CNST_TABLE_REF(((long) 135)));
			{	/* SawJvm/inline.scm 362 */
				obj_t BgL_arg1925z00_4118;

				if (CBOOL(BgL_onzf3zf3_3911))
					{	/* SawJvm/inline.scm 362 */
						BgL_arg1925z00_4118 = CNST_TABLE_REF(((long) 132));
					}
				else
					{	/* SawJvm/inline.scm 362 */
						BgL_arg1925z00_4118 = CNST_TABLE_REF(((long) 131));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3910), BgL_arg1925z00_4118,
					BgL_labz00_3912);
			}
		}

	}



/* &<@anonymous:1921> */
	obj_t BGl_z62zc3z04anonymousza31921ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3913, obj_t BgL_mez00_3914, obj_t BgL_onzf3zf3_3915,
		obj_t BgL_labz00_3916)
	{
		{	/* SawJvm/inline.scm 356 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3914), CNST_TABLE_REF(((long) 130)));
			{	/* SawJvm/inline.scm 358 */
				obj_t BgL_arg1922z00_4119;

				if (CBOOL(BgL_onzf3zf3_3915))
					{	/* SawJvm/inline.scm 358 */
						BgL_arg1922z00_4119 = CNST_TABLE_REF(((long) 136));
					}
				else
					{	/* SawJvm/inline.scm 358 */
						BgL_arg1922z00_4119 = CNST_TABLE_REF(((long) 137));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3914), BgL_arg1922z00_4119,
					BgL_labz00_3916);
			}
		}

	}



/* &<@anonymous:1919> */
	obj_t BGl_z62zc3z04anonymousza31919ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3917, obj_t BgL_mez00_3918)
	{
		{	/* SawJvm/inline.scm 353 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3918), CNST_TABLE_REF(((long) 138)));
		}

	}



/* &<@anonymous:1917> */
	obj_t BGl_z62zc3z04anonymousza31917ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3919, obj_t BgL_mez00_3920)
	{
		{	/* SawJvm/inline.scm 350 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3920), CNST_TABLE_REF(((long) 139)));
		}

	}



/* &<@anonymous:1915> */
	obj_t BGl_z62zc3z04anonymousza31915ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3921, obj_t BgL_mez00_3922)
	{
		{	/* SawJvm/inline.scm 347 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3922), CNST_TABLE_REF(((long) 138)));
		}

	}



/* &<@anonymous:1913> */
	obj_t BGl_z62zc3z04anonymousza31913ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3923, obj_t BgL_mez00_3924)
	{
		{	/* SawJvm/inline.scm 344 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3924), CNST_TABLE_REF(((long) 139)));
		}

	}



/* &<@anonymous:1911> */
	obj_t BGl_z62zc3z04anonymousza31911ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3925, obj_t BgL_mez00_3926)
	{
		{	/* SawJvm/inline.scm 341 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3926), CNST_TABLE_REF(((long) 140)));
		}

	}



/* &<@anonymous:1909> */
	obj_t BGl_z62zc3z04anonymousza31909ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3927, obj_t BgL_mez00_3928)
	{
		{	/* SawJvm/inline.scm 338 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3928), CNST_TABLE_REF(((long) 141)));
		}

	}



/* &<@anonymous:1907> */
	obj_t BGl_z62zc3z04anonymousza31907ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3929, obj_t BgL_mez00_3930)
	{
		{	/* SawJvm/inline.scm 335 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3930), CNST_TABLE_REF(((long) 142)));
		}

	}



/* &<@anonymous:1905> */
	obj_t BGl_z62zc3z04anonymousza31905ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3931, obj_t BgL_mez00_3932)
	{
		{	/* SawJvm/inline.scm 332 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3932), CNST_TABLE_REF(((long) 143)));
		}

	}



/* &<@anonymous:1902> */
	obj_t BGl_z62zc3z04anonymousza31902ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3933, obj_t BgL_mez00_3934)
	{
		{	/* SawJvm/inline.scm 324 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3934), CNST_TABLE_REF(((long) 144)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3934), CNST_TABLE_REF(((long) 145)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3934), CNST_TABLE_REF(((long) 146)));
		}

	}



/* &<@anonymous:1899> */
	obj_t BGl_z62zc3z04anonymousza31899ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3935, obj_t BgL_mez00_3936)
	{
		{	/* SawJvm/inline.scm 323 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3936), CNST_TABLE_REF(((long) 146)));
		}

	}



/* &<@anonymous:1897> */
	obj_t BGl_z62zc3z04anonymousza31897ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3937, obj_t BgL_mez00_3938)
	{
		{	/* SawJvm/inline.scm 322 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3938), CNST_TABLE_REF(((long) 119)));
		}

	}



/* &<@anonymous:1895> */
	obj_t BGl_z62zc3z04anonymousza31895ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3939, obj_t BgL_mez00_3940)
	{
		{	/* SawJvm/inline.scm 321 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3940), CNST_TABLE_REF(((long) 147)));
		}

	}



/* &<@anonymous:1893> */
	obj_t BGl_z62zc3z04anonymousza31893ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3941, obj_t BgL_mez00_3942)
	{
		{	/* SawJvm/inline.scm 320 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3942), CNST_TABLE_REF(((long) 148)));
		}

	}



/* &<@anonymous:1891> */
	obj_t BGl_z62zc3z04anonymousza31891ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3943, obj_t BgL_mez00_3944)
	{
		{	/* SawJvm/inline.scm 319 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3944), CNST_TABLE_REF(((long) 149)));
		}

	}



/* &<@anonymous:1889> */
	obj_t BGl_z62zc3z04anonymousza31889ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3945, obj_t BgL_mez00_3946)
	{
		{	/* SawJvm/inline.scm 318 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3946), CNST_TABLE_REF(((long) 149)));
		}

	}



/* &<@anonymous:1887> */
	obj_t BGl_z62zc3z04anonymousza31887ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3947, obj_t BgL_mez00_3948)
	{
		{	/* SawJvm/inline.scm 317 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3948), CNST_TABLE_REF(((long) 150)));
		}

	}



/* &<@anonymous:1885> */
	obj_t BGl_z62zc3z04anonymousza31885ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3949, obj_t BgL_mez00_3950)
	{
		{	/* SawJvm/inline.scm 316 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3950), CNST_TABLE_REF(((long) 151)));
		}

	}



/* &<@anonymous:1883> */
	obj_t BGl_z62zc3z04anonymousza31883ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3951, obj_t BgL_mez00_3952)
	{
		{	/* SawJvm/inline.scm 315 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3952), CNST_TABLE_REF(((long) 152)));
		}

	}



/* &<@anonymous:1879> */
	obj_t BGl_z62zc3z04anonymousza31879ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3953, obj_t BgL_mez00_3954, obj_t BgL_onzf3zf3_3955,
		obj_t BgL_labz00_3956)
	{
		{	/* SawJvm/inline.scm 310 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3954), CNST_TABLE_REF(((long) 144)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3954), CNST_TABLE_REF(((long) 119)));
			{	/* SawJvm/inline.scm 313 */
				obj_t BgL_arg1880z00_4120;

				if (CBOOL(BgL_onzf3zf3_3955))
					{	/* SawJvm/inline.scm 313 */
						BgL_arg1880z00_4120 = CNST_TABLE_REF(((long) 137));
					}
				else
					{	/* SawJvm/inline.scm 313 */
						BgL_arg1880z00_4120 = CNST_TABLE_REF(((long) 136));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3954), BgL_arg1880z00_4120,
					BgL_labz00_3956);
			}
		}

	}



/* &<@anonymous:1876> */
	obj_t BGl_z62zc3z04anonymousza31876ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3957, obj_t BgL_mez00_3958, obj_t BgL_onzf3zf3_3959,
		obj_t BgL_labz00_3960)
	{
		{	/* SawJvm/inline.scm 305 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3958), CNST_TABLE_REF(((long) 144)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3958), CNST_TABLE_REF(((long) 119)));
			{	/* SawJvm/inline.scm 308 */
				obj_t BgL_arg1877z00_4121;

				if (CBOOL(BgL_onzf3zf3_3959))
					{	/* SawJvm/inline.scm 308 */
						BgL_arg1877z00_4121 = CNST_TABLE_REF(((long) 136));
					}
				else
					{	/* SawJvm/inline.scm 308 */
						BgL_arg1877z00_4121 = CNST_TABLE_REF(((long) 137));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3958), BgL_arg1877z00_4121,
					BgL_labz00_3960);
			}
		}

	}



/* &<@anonymous:1871> */
	obj_t BGl_z62zc3z04anonymousza31871ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3961, obj_t BgL_mez00_3962, obj_t BgL_onzf3zf3_3963,
		obj_t BgL_labz00_3964)
	{
		{	/* SawJvm/inline.scm 302 */
			{	/* SawJvm/inline.scm 303 */
				obj_t BgL_arg1872z00_4122;

				if (CBOOL(BgL_onzf3zf3_3963))
					{	/* SawJvm/inline.scm 303 */
						BgL_arg1872z00_4122 = CNST_TABLE_REF(((long) 153));
					}
				else
					{	/* SawJvm/inline.scm 303 */
						BgL_arg1872z00_4122 = CNST_TABLE_REF(((long) 154));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3962), BgL_arg1872z00_4122,
					BgL_labz00_3964);
			}
		}

	}



/* &<@anonymous:1868> */
	obj_t BGl_z62zc3z04anonymousza31868ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3965, obj_t BgL_mez00_3966, obj_t BgL_onzf3zf3_3967,
		obj_t BgL_labz00_3968)
	{
		{	/* SawJvm/inline.scm 299 */
			{	/* SawJvm/inline.scm 300 */
				obj_t BgL_arg1869z00_4123;

				if (CBOOL(BgL_onzf3zf3_3967))
					{	/* SawJvm/inline.scm 300 */
						BgL_arg1869z00_4123 = CNST_TABLE_REF(((long) 155));
					}
				else
					{	/* SawJvm/inline.scm 300 */
						BgL_arg1869z00_4123 = CNST_TABLE_REF(((long) 156));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3966), BgL_arg1869z00_4123,
					BgL_labz00_3968);
			}
		}

	}



/* &<@anonymous:1864> */
	obj_t BGl_z62zc3z04anonymousza31864ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3969, obj_t BgL_mez00_3970, obj_t BgL_onzf3zf3_3971,
		obj_t BgL_labz00_3972)
	{
		{	/* SawJvm/inline.scm 296 */
			{	/* SawJvm/inline.scm 297 */
				obj_t BgL_arg1865z00_4124;

				if (CBOOL(BgL_onzf3zf3_3971))
					{	/* SawJvm/inline.scm 297 */
						BgL_arg1865z00_4124 = CNST_TABLE_REF(((long) 156));
					}
				else
					{	/* SawJvm/inline.scm 297 */
						BgL_arg1865z00_4124 = CNST_TABLE_REF(((long) 155));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3970), BgL_arg1865z00_4124,
					BgL_labz00_3972);
			}
		}

	}



/* &<@anonymous:1858> */
	obj_t BGl_z62zc3z04anonymousza31858ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3973, obj_t BgL_mez00_3974, obj_t BgL_onzf3zf3_3975,
		obj_t BgL_labz00_3976)
	{
		{	/* SawJvm/inline.scm 293 */
			{	/* SawJvm/inline.scm 294 */
				obj_t BgL_arg1862z00_4125;

				if (CBOOL(BgL_onzf3zf3_3975))
					{	/* SawJvm/inline.scm 294 */
						BgL_arg1862z00_4125 = CNST_TABLE_REF(((long) 154));
					}
				else
					{	/* SawJvm/inline.scm 294 */
						BgL_arg1862z00_4125 = CNST_TABLE_REF(((long) 153));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3974), BgL_arg1862z00_4125,
					BgL_labz00_3976);
			}
		}

	}



/* &<@anonymous:1855> */
	obj_t BGl_z62zc3z04anonymousza31855ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3977, obj_t BgL_mez00_3978, obj_t BgL_onzf3zf3_3979,
		obj_t BgL_labz00_3980)
	{
		{	/* SawJvm/inline.scm 290 */
			{	/* SawJvm/inline.scm 291 */
				obj_t BgL_arg1856z00_4126;

				if (CBOOL(BgL_onzf3zf3_3979))
					{	/* SawJvm/inline.scm 291 */
						BgL_arg1856z00_4126 = CNST_TABLE_REF(((long) 157));
					}
				else
					{	/* SawJvm/inline.scm 291 */
						BgL_arg1856z00_4126 = CNST_TABLE_REF(((long) 158));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3978), BgL_arg1856z00_4126,
					BgL_labz00_3980);
			}
		}

	}



/* &<@anonymous:1853> */
	obj_t BGl_z62zc3z04anonymousza31853ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3981, obj_t BgL_mez00_3982)
	{
		{	/* SawJvm/inline.scm 287 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_3982,
				CNST_TABLE_REF(((long) 153)));
		}

	}



/* &<@anonymous:1851> */
	obj_t BGl_z62zc3z04anonymousza31851ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3983, obj_t BgL_mez00_3984)
	{
		{	/* SawJvm/inline.scm 284 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_3984,
				CNST_TABLE_REF(((long) 155)));
		}

	}



/* &<@anonymous:1849> */
	obj_t BGl_z62zc3z04anonymousza31849ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3985, obj_t BgL_mez00_3986)
	{
		{	/* SawJvm/inline.scm 281 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_3986,
				CNST_TABLE_REF(((long) 156)));
		}

	}



/* &<@anonymous:1843> */
	obj_t BGl_z62zc3z04anonymousza31843ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3987, obj_t BgL_mez00_3988)
	{
		{	/* SawJvm/inline.scm 278 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_3988,
				CNST_TABLE_REF(((long) 154)));
		}

	}



/* &<@anonymous:1840> */
	obj_t BGl_z62zc3z04anonymousza31840ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3989, obj_t BgL_mez00_3990)
	{
		{	/* SawJvm/inline.scm 275 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_3990,
				CNST_TABLE_REF(((long) 157)));
		}

	}



/* &<@anonymous:1838> */
	obj_t BGl_z62zc3z04anonymousza31838ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3991, obj_t BgL_mez00_3992)
	{
		{	/* SawJvm/inline.scm 262 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3992), CNST_TABLE_REF(((long) 159)));
		}

	}



/* &<@anonymous:1825> */
	obj_t BGl_z62zc3z04anonymousza31825ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3993, obj_t BgL_mez00_3994)
	{
		{	/* SawJvm/inline.scm 259 */
			return CNST_TABLE_REF(((long) 120));
		}

	}



/* &<@anonymous:1818> */
	obj_t BGl_z62zc3z04anonymousza31818ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3995, obj_t BgL_mez00_3996)
	{
		{	/* SawJvm/inline.scm 256 */
			return CNST_TABLE_REF(((long) 120));
		}

	}



/* &<@anonymous:1811> */
	obj_t BGl_z62zc3z04anonymousza31811ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3997, obj_t BgL_mez00_3998)
	{
		{	/* SawJvm/inline.scm 250 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3998), CNST_TABLE_REF(((long) 159)));
		}

	}



/* &<@anonymous:1808> */
	obj_t BGl_z62zc3z04anonymousza31808ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3999, obj_t BgL_mez00_4000)
	{
		{	/* SawJvm/inline.scm 247 */
			return CNST_TABLE_REF(((long) 120));
		}

	}



/* &<@anonymous:1806> */
	obj_t BGl_z62zc3z04anonymousza31806ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4001, obj_t BgL_mez00_4002)
	{
		{	/* SawJvm/inline.scm 244 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4002), CNST_TABLE_REF(((long) 160)));
		}

	}



/* &<@anonymous:1802> */
	obj_t BGl_z62zc3z04anonymousza31802ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4003, obj_t BgL_mez00_4004)
	{
		{	/* SawJvm/inline.scm 241 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4004), CNST_TABLE_REF(((long) 161)));
		}

	}



/* &<@anonymous:1800> */
	obj_t BGl_z62zc3z04anonymousza31800ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4005, obj_t BgL_mez00_4006)
	{
		{	/* SawJvm/inline.scm 237 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4006), CNST_TABLE_REF(((long) 118)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4006), CNST_TABLE_REF(((long) 119)));
		}

	}



/* &<@anonymous:1789> */
	obj_t BGl_z62zc3z04anonymousza31789ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4007, obj_t BgL_mez00_4008)
	{
		{	/* SawJvm/inline.scm 234 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4008), CNST_TABLE_REF(((long) 162)));
		}

	}



/* &<@anonymous:1786> */
	obj_t BGl_z62zc3z04anonymousza31786ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4009, obj_t BgL_mez00_4010)
	{
		{	/* SawJvm/inline.scm 231 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4010), CNST_TABLE_REF(((long) 163)));
		}

	}



/* &<@anonymous:1778> */
	obj_t BGl_z62zc3z04anonymousza31778ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4011, obj_t BgL_mez00_4012, obj_t BgL_onzf3zf3_4013,
		obj_t BgL_labz00_4014)
	{
		{	/* SawJvm/inline.scm 225 */
			{	/* SawJvm/inline.scm 226 */
				obj_t BgL_arg1781z00_4127;

				if (CBOOL(BgL_onzf3zf3_4013))
					{	/* SawJvm/inline.scm 226 */
						BgL_arg1781z00_4127 = CNST_TABLE_REF(((long) 153));
					}
				else
					{	/* SawJvm/inline.scm 226 */
						BgL_arg1781z00_4127 = CNST_TABLE_REF(((long) 154));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4012), BgL_arg1781z00_4127,
					BgL_labz00_4014);
			}
		}

	}



/* &<@anonymous:1771> */
	obj_t BGl_z62zc3z04anonymousza31771ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4015, obj_t BgL_mez00_4016, obj_t BgL_onzf3zf3_4017,
		obj_t BgL_labz00_4018)
	{
		{	/* SawJvm/inline.scm 222 */
			{	/* SawJvm/inline.scm 223 */
				obj_t BgL_arg1772z00_4128;

				if (CBOOL(BgL_onzf3zf3_4017))
					{	/* SawJvm/inline.scm 223 */
						BgL_arg1772z00_4128 = CNST_TABLE_REF(((long) 155));
					}
				else
					{	/* SawJvm/inline.scm 223 */
						BgL_arg1772z00_4128 = CNST_TABLE_REF(((long) 156));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4016), BgL_arg1772z00_4128,
					BgL_labz00_4018);
			}
		}

	}



/* &<@anonymous:1763> */
	obj_t BGl_z62zc3z04anonymousza31763ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4019, obj_t BgL_mez00_4020, obj_t BgL_onzf3zf3_4021,
		obj_t BgL_labz00_4022)
	{
		{	/* SawJvm/inline.scm 219 */
			{	/* SawJvm/inline.scm 220 */
				obj_t BgL_arg1766z00_4129;

				if (CBOOL(BgL_onzf3zf3_4021))
					{	/* SawJvm/inline.scm 220 */
						BgL_arg1766z00_4129 = CNST_TABLE_REF(((long) 156));
					}
				else
					{	/* SawJvm/inline.scm 220 */
						BgL_arg1766z00_4129 = CNST_TABLE_REF(((long) 155));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4020), BgL_arg1766z00_4129,
					BgL_labz00_4022);
			}
		}

	}



/* &<@anonymous:1760> */
	obj_t BGl_z62zc3z04anonymousza31760ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4023, obj_t BgL_mez00_4024, obj_t BgL_onzf3zf3_4025,
		obj_t BgL_labz00_4026)
	{
		{	/* SawJvm/inline.scm 216 */
			{	/* SawJvm/inline.scm 217 */
				obj_t BgL_arg1761z00_4130;

				if (CBOOL(BgL_onzf3zf3_4025))
					{	/* SawJvm/inline.scm 217 */
						BgL_arg1761z00_4130 = CNST_TABLE_REF(((long) 154));
					}
				else
					{	/* SawJvm/inline.scm 217 */
						BgL_arg1761z00_4130 = CNST_TABLE_REF(((long) 153));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4024), BgL_arg1761z00_4130,
					BgL_labz00_4026);
			}
		}

	}



/* &<@anonymous:1752> */
	obj_t BGl_z62zc3z04anonymousza31752ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4027, obj_t BgL_mez00_4028, obj_t BgL_onzf3zf3_4029,
		obj_t BgL_labz00_4030)
	{
		{	/* SawJvm/inline.scm 213 */
			{	/* SawJvm/inline.scm 214 */
				obj_t BgL_arg1753z00_4131;

				if (CBOOL(BgL_onzf3zf3_4029))
					{	/* SawJvm/inline.scm 214 */
						BgL_arg1753z00_4131 = CNST_TABLE_REF(((long) 157));
					}
				else
					{	/* SawJvm/inline.scm 214 */
						BgL_arg1753z00_4131 = CNST_TABLE_REF(((long) 158));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4028), BgL_arg1753z00_4131,
					BgL_labz00_4030);
			}
		}

	}



/* &<@anonymous:1750> */
	obj_t BGl_z62zc3z04anonymousza31750ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4031, obj_t BgL_mez00_4032)
	{
		{	/* SawJvm/inline.scm 210 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4032), CNST_TABLE_REF(((long) 160)));
		}

	}



/* &<@anonymous:1746> */
	obj_t BGl_z62zc3z04anonymousza31746ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4033, obj_t BgL_mez00_4034)
	{
		{	/* SawJvm/inline.scm 205 */
			{	/* SawJvm/inline.scm 206 */
				obj_t BgL_arg1747z00_4132;

				{	/* SawJvm/inline.scm 206 */
					obj_t BgL_arg1748z00_4133;

					BgL_arg1748z00_4133 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 164)), BNIL);
					BgL_arg1747z00_4132 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 165)), BgL_arg1748z00_4133);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4034), BgL_arg1747z00_4132);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4034), CNST_TABLE_REF(((long) 118)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4034), CNST_TABLE_REF(((long) 119)));
		}

	}



/* &<@anonymous:1744> */
	obj_t BGl_z62zc3z04anonymousza31744ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4035, obj_t BgL_mez00_4036)
	{
		{	/* SawJvm/inline.scm 202 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4036), CNST_TABLE_REF(((long) 166)));
		}

	}



/* &<@anonymous:1732> */
	obj_t BGl_z62zc3z04anonymousza31732ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4037, obj_t BgL_mez00_4038, obj_t BgL_argsz00_4039)
	{
		{	/* SawJvm/inline.scm 195 */
			{	/* SawJvm/inline.scm 196 */
				obj_t BgL_arg1738z00_4134;

				{	/* SawJvm/inline.scm 196 */
					obj_t BgL_arg1739z00_4135;

					BgL_arg1739z00_4135 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 167)), BNIL);
					BgL_arg1738z00_4134 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 168)), BgL_arg1739z00_4135);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4038), BgL_arg1738z00_4134);
			}
			{	/* SawJvm/inline.scm 197 */
				obj_t BgL_arg1742z00_4136;

				BgL_arg1742z00_4136 = CAR(((obj_t) BgL_argsz00_4039));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4038), BgL_arg1742z00_4136);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4038), CNST_TABLE_REF(((long) 118)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4038), CNST_TABLE_REF(((long) 119)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4038), CNST_TABLE_REF(((long) 97)));
		}

	}



/* &<@anonymous:1730> */
	obj_t BGl_z62zc3z04anonymousza31730ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4040, obj_t BgL_mez00_4041)
	{
		{	/* SawJvm/inline.scm 192 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4041), CNST_TABLE_REF(((long) 169)));
		}

	}



/* &<@anonymous:1726> */
	obj_t BGl_z62zc3z04anonymousza31726ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4042, obj_t BgL_mez00_4043, obj_t BgL_onzf3zf3_4044,
		obj_t BgL_labz00_4045)
	{
		{	/* SawJvm/inline.scm 184 */
			if (CBOOL(BGl_za2optimzd2jvmzd2fasteqza2z00zzengine_paramz00))
				{	/* SawJvm/inline.scm 186 */
					obj_t BgL_arg1728z00_4137;

					if (CBOOL(BgL_onzf3zf3_4044))
						{	/* SawJvm/inline.scm 186 */
							BgL_arg1728z00_4137 = CNST_TABLE_REF(((long) 123));
						}
					else
						{	/* SawJvm/inline.scm 186 */
							BgL_arg1728z00_4137 = CNST_TABLE_REF(((long) 124));
						}
					return
						BGl_branchz00zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_4043), BgL_arg1728z00_4137,
						BgL_labz00_4045);
				}
			else
				{	/* SawJvm/inline.scm 185 */
					return CNST_TABLE_REF(((long) 170));
		}}

	}



/* &<@anonymous:1722> */
	obj_t BGl_z62zc3z04anonymousza31722ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4046, obj_t BgL_mez00_4047, obj_t BgL_onzf3zf3_4048,
		obj_t BgL_labz00_4049)
	{
		{	/* SawJvm/inline.scm 181 */
			{	/* SawJvm/inline.scm 182 */
				obj_t BgL_arg1723z00_4138;

				if (CBOOL(BgL_onzf3zf3_4048))
					{	/* SawJvm/inline.scm 182 */
						BgL_arg1723z00_4138 = CNST_TABLE_REF(((long) 123));
					}
				else
					{	/* SawJvm/inline.scm 182 */
						BgL_arg1723z00_4138 = CNST_TABLE_REF(((long) 124));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4047), BgL_arg1723z00_4138,
					BgL_labz00_4049);
			}
		}

	}



/* &<@anonymous:1700> */
	obj_t BGl_z62zc3z04anonymousza31700ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4050, obj_t BgL_mez00_4051, obj_t BgL_argsz00_4052)
	{
		{	/* SawJvm/inline.scm 166 */
			{	/* SawJvm/inline.scm 167 */
				obj_t BgL_funz00_4139;

				{	/* SawJvm/inline.scm 167 */
					obj_t BgL_arg1716z00_4140;

					BgL_arg1716z00_4140 = CAR(((obj_t) BgL_argsz00_4052));
					BgL_funz00_4139 =
						BGl_skipzd2movzd2zzsaw_jvm_inlinez00(BgL_arg1716z00_4140);
				}
				{	/* SawJvm/inline.scm 168 */
					bool_t BgL_test2394z00_4942;

					{	/* SawJvm/inline.scm 168 */
						obj_t BgL_classz00_4141;

						BgL_classz00_4141 = BGl_rtl_loadiz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_funz00_4139))
							{	/* SawJvm/inline.scm 168 */
								BgL_objectz00_bglt BgL_arg1825z00_4142;

								BgL_arg1825z00_4142 = (BgL_objectz00_bglt) (BgL_funz00_4139);
								{	/* SawJvm/inline.scm 168 */
									bool_t BgL_arg1822z00_4143;
									bool_t BgL_arg1823z00_4144;

									{	/* SawJvm/inline.scm 168 */
										long BgL_idxz00_4145;

										BgL_idxz00_4145 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4142);
										BgL_arg1822z00_4143 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4145 + ((long) 3))) == BgL_classz00_4141);
									}
									{	/* SawJvm/inline.scm 168 */
										bool_t BgL_res2155z00_4148;

										{	/* SawJvm/inline.scm 168 */
											obj_t BgL_oclassz00_4149;

											{	/* SawJvm/inline.scm 168 */
												long BgL_arg1833z00_4150;

												{	/* SawJvm/inline.scm 168 */
													long BgL_arg1834z00_4151;

													BgL_arg1834z00_4151 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4142);
													BgL_arg1833z00_4150 =
														(BgL_arg1834z00_4151 - OBJECT_TYPE);
												}
												BgL_oclassz00_4149 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_4150);
											}
											{	/* SawJvm/inline.scm 168 */
												bool_t BgL__ortest_1110z00_4152;

												BgL__ortest_1110z00_4152 =
													(BgL_classz00_4141 == BgL_oclassz00_4149);
												if (BgL__ortest_1110z00_4152)
													{	/* SawJvm/inline.scm 168 */
														BgL_res2155z00_4148 = BgL__ortest_1110z00_4152;
													}
												else
													{	/* SawJvm/inline.scm 168 */
														long BgL_odepthz00_4153;

														BgL_odepthz00_4153 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4149);
														if ((((long) 3) < BgL_odepthz00_4153))
															{	/* SawJvm/inline.scm 168 */
																obj_t BgL_arg1821z00_4154;

																BgL_arg1821z00_4154 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4149,
																	((long) 3));
																BgL_res2155z00_4148 =
																	(BgL_arg1821z00_4154 == BgL_classz00_4141);
															}
														else
															{	/* SawJvm/inline.scm 168 */
																BgL_res2155z00_4148 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_4144 = BgL_res2155z00_4148;
									}
									BgL_test2394z00_4942 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_4143, BgL_arg1823z00_4144);
								}
							}
						else
							{	/* SawJvm/inline.scm 168 */
								BgL_test2394z00_4942 = ((bool_t) 0);
							}
					}
					if (BgL_test2394z00_4942)
						{	/* SawJvm/inline.scm 168 */
							if (CBOOL(
									(((BgL_atomz00_bglt) COBJECT(
												(((BgL_rtl_loadiz00_bglt) COBJECT(
															((BgL_rtl_loadiz00_bglt) BgL_funz00_4139)))->
													BgL_constantz00)))->BgL_valuez00)))
								{	/* SawJvm/inline.scm 169 */
									return
										BGl_codez12z12zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_4051),
										CNST_TABLE_REF(((long) 171)));
								}
							else
								{	/* SawJvm/inline.scm 169 */
									return
										BGl_codez12z12zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_4051),
										CNST_TABLE_REF(((long) 172)));
						}}
					else
						{	/* SawJvm/inline.scm 172 */
							obj_t BgL_l1z00_4155;
							obj_t BgL_l2z00_4156;

							BgL_l1z00_4155 =
								BGl_gensymz00zz__r4_symbols_6_4z00
								(BGl_string2259z00zzsaw_jvm_inlinez00);
							BgL_l2z00_4156 =
								BGl_gensymz00zz__r4_symbols_6_4z00
								(BGl_string2259z00zzsaw_jvm_inlinez00);
							{	/* SawJvm/inline.scm 173 */
								obj_t BgL_arg1711z00_4157;

								BgL_arg1711z00_4157 = CAR(((obj_t) BgL_argsz00_4052));
								BGl_genzd2exprzd2zzsaw_jvm_codez00(
									((BgL_jvmz00_bglt) BgL_mez00_4051), BgL_arg1711z00_4157);
							}
							{	/* SawJvm/inline.scm 174 */
								obj_t BgL_arg1712z00_4158;

								{	/* SawJvm/inline.scm 174 */
									obj_t BgL_arg1713z00_4159;

									BgL_arg1713z00_4159 = MAKE_YOUNG_PAIR(BgL_l1z00_4155, BNIL);
									BgL_arg1712z00_4158 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 136)),
										BgL_arg1713z00_4159);
								}
								BGl_codez12z12zzsaw_jvm_outz00(
									((BgL_jvmz00_bglt) BgL_mez00_4051), BgL_arg1712z00_4158);
							}
							BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4051),
								CNST_TABLE_REF(((long) 171)));
							{	/* SawJvm/inline.scm 176 */
								obj_t BgL_arg1714z00_4160;

								{	/* SawJvm/inline.scm 176 */
									obj_t BgL_arg1715z00_4161;

									BgL_arg1715z00_4161 = MAKE_YOUNG_PAIR(BgL_l2z00_4156, BNIL);
									BgL_arg1714z00_4160 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 173)),
										BgL_arg1715z00_4161);
								}
								BGl_codez12z12zzsaw_jvm_outz00(
									((BgL_jvmz00_bglt) BgL_mez00_4051), BgL_arg1714z00_4160);
							}
							BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4051), BgL_l1z00_4155);
							BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4051),
								CNST_TABLE_REF(((long) 172)));
							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4051), BgL_l2z00_4156);
						}
				}
			}
		}

	}



/* &<@anonymous:1695> */
	obj_t BGl_z62zc3z04anonymousza31695ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4053, obj_t BgL_mez00_4054, obj_t BgL_onzf3zf3_4055,
		obj_t BgL_labz00_4056)
	{
		{	/* SawJvm/inline.scm 162 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4054), CNST_TABLE_REF(((long) 172)));
			{	/* SawJvm/inline.scm 164 */
				obj_t BgL_arg1696z00_4162;

				if (CBOOL(BgL_onzf3zf3_4055))
					{	/* SawJvm/inline.scm 164 */
						BgL_arg1696z00_4162 = CNST_TABLE_REF(((long) 124));
					}
				else
					{	/* SawJvm/inline.scm 164 */
						BgL_arg1696z00_4162 = CNST_TABLE_REF(((long) 123));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4054), BgL_arg1696z00_4162,
					BgL_labz00_4056);
			}
		}

	}



/* &<@anonymous:1682> */
	obj_t BGl_z62zc3z04anonymousza31682ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4057, obj_t BgL_mez00_4058)
	{
		{	/* SawJvm/inline.scm 159 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4058), CNST_TABLE_REF(((long) 174)));
		}

	}



/* &<@anonymous:1679> */
	obj_t BGl_z62zc3z04anonymousza31679ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4059, obj_t BgL_mez00_4060)
	{
		{	/* SawJvm/inline.scm 151 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4060), CNST_TABLE_REF(((long) 98)));
			return CNST_TABLE_REF(((long) 99));
		}

	}



/* &<@anonymous:1676> */
	obj_t BGl_z62zc3z04anonymousza31676ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4061, obj_t BgL_mez00_4062)
	{
		{	/* SawJvm/inline.scm 148 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4062), CNST_TABLE_REF(((long) 97)));
		}

	}



/* &<@anonymous:1668> */
	obj_t BGl_z62zc3z04anonymousza31668ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4063, obj_t BgL_mez00_4064)
	{
		{	/* SawJvm/inline.scm 145 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4064), CNST_TABLE_REF(((long) 175)));
		}

	}



/* &<@anonymous:1657> */
	obj_t BGl_z62zc3z04anonymousza31657ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4065, obj_t BgL_mez00_4066, obj_t BgL_argsz00_4067)
	{
		{	/* SawJvm/inline.scm 133 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4066), CNST_TABLE_REF(((long) 176)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4066), CNST_TABLE_REF(((long) 177)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4066), CNST_TABLE_REF(((long) 178)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4066), CNST_TABLE_REF(((long) 177)));
			{	/* SawJvm/inline.scm 138 */
				obj_t BgL_arg1660z00_4163;

				BgL_arg1660z00_4163 = CAR(((obj_t) BgL_argsz00_4067));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4066), BgL_arg1660z00_4163);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4066), CNST_TABLE_REF(((long) 179)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4066), CNST_TABLE_REF(((long) 177)));
			{	/* SawJvm/inline.scm 141 */
				obj_t BgL_arg1665z00_4164;

				{	/* SawJvm/inline.scm 141 */
					obj_t BgL_pairz00_4165;

					BgL_pairz00_4165 = CDR(((obj_t) BgL_argsz00_4067));
					BgL_arg1665z00_4164 = CAR(BgL_pairz00_4165);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4066), BgL_arg1665z00_4164);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4066), CNST_TABLE_REF(((long) 175)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4066), CNST_TABLE_REF(((long) 180)));
		}

	}



/* &<@anonymous:1633> */
	obj_t BGl_z62zc3z04anonymousza31633ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4068, obj_t BgL_mez00_4069, obj_t BgL_argsz00_4070)
	{
		{	/* SawJvm/inline.scm 118 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4069), CNST_TABLE_REF(((long) 176)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4069), CNST_TABLE_REF(((long) 177)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4069), CNST_TABLE_REF(((long) 178)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4069), CNST_TABLE_REF(((long) 177)));
			{	/* SawJvm/inline.scm 123 */
				obj_t BgL_arg1636z00_4166;

				BgL_arg1636z00_4166 = CAR(((obj_t) BgL_argsz00_4070));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4069), BgL_arg1636z00_4166);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4069), CNST_TABLE_REF(((long) 179)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4069), CNST_TABLE_REF(((long) 177)));
			{	/* SawJvm/inline.scm 126 */
				obj_t BgL_arg1647z00_4167;

				{	/* SawJvm/inline.scm 126 */
					obj_t BgL_pairz00_4168;

					BgL_pairz00_4168 = CDR(((obj_t) BgL_argsz00_4070));
					BgL_arg1647z00_4167 = CAR(BgL_pairz00_4168);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4069), BgL_arg1647z00_4167);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4069), CNST_TABLE_REF(((long) 181)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4069), CNST_TABLE_REF(((long) 177)));
			{	/* SawJvm/inline.scm 129 */
				obj_t BgL_arg1652z00_4169;

				{	/* SawJvm/inline.scm 129 */
					obj_t BgL_pairz00_4170;

					{	/* SawJvm/inline.scm 129 */
						obj_t BgL_pairz00_4171;

						BgL_pairz00_4171 = CDR(((obj_t) BgL_argsz00_4070));
						BgL_pairz00_4170 = CDR(BgL_pairz00_4171);
					}
					BgL_arg1652z00_4169 = CAR(BgL_pairz00_4170);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4069), BgL_arg1652z00_4169);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4069), CNST_TABLE_REF(((long) 175)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4069), CNST_TABLE_REF(((long) 180)));
		}

	}



/* &<@anonymous:1613> */
	obj_t BGl_z62zc3z04anonymousza31613ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4071, obj_t BgL_mez00_4072, obj_t BgL_argsz00_4073)
	{
		{	/* SawJvm/inline.scm 103 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4072), CNST_TABLE_REF(((long) 176)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4072), CNST_TABLE_REF(((long) 177)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4072), CNST_TABLE_REF(((long) 178)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4072), CNST_TABLE_REF(((long) 177)));
			{	/* SawJvm/inline.scm 108 */
				obj_t BgL_arg1619z00_4172;

				BgL_arg1619z00_4172 = CAR(((obj_t) BgL_argsz00_4073));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4072), BgL_arg1619z00_4172);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4072), CNST_TABLE_REF(((long) 179)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4072), CNST_TABLE_REF(((long) 177)));
			{	/* SawJvm/inline.scm 111 */
				obj_t BgL_arg1620z00_4173;

				{	/* SawJvm/inline.scm 111 */
					obj_t BgL_pairz00_4174;

					BgL_pairz00_4174 = CDR(((obj_t) BgL_argsz00_4073));
					BgL_arg1620z00_4173 = CAR(BgL_pairz00_4174);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4072), BgL_arg1620z00_4173);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4072), CNST_TABLE_REF(((long) 181)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4072), CNST_TABLE_REF(((long) 177)));
			{	/* SawJvm/inline.scm 114 */
				obj_t BgL_arg1621z00_4175;

				{	/* SawJvm/inline.scm 114 */
					obj_t BgL_pairz00_4176;

					{	/* SawJvm/inline.scm 114 */
						obj_t BgL_pairz00_4177;

						BgL_pairz00_4177 = CDR(((obj_t) BgL_argsz00_4073));
						BgL_pairz00_4176 = CDR(BgL_pairz00_4177);
					}
					BgL_arg1621z00_4175 = CAR(BgL_pairz00_4176);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4072), BgL_arg1621z00_4175);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4072), CNST_TABLE_REF(((long) 175)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4072), CNST_TABLE_REF(((long) 180)));
		}

	}



/* &<@anonymous:1596> */
	obj_t BGl_z62zc3z04anonymousza31596ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4074, obj_t BgL_mez00_4075, obj_t BgL_argsz00_4076)
	{
		{	/* SawJvm/inline.scm 96 */
			{	/* SawJvm/inline.scm 97 */
				obj_t BgL_arg1597z00_4178;

				{	/* SawJvm/inline.scm 97 */
					obj_t BgL_arg1601z00_4179;

					{	/* SawJvm/inline.scm 97 */
						obj_t BgL_arg1602z00_4180;

						{	/* SawJvm/inline.scm 97 */
							obj_t BgL_arg1603z00_4181;

							BgL_arg1603z00_4181 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
							BgL_arg1602z00_4180 =
								BGl_declarezd2globalzd2zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4075),
								((BgL_globalz00_bglt) BgL_arg1603z00_4181));
						}
						BgL_arg1601z00_4179 = MAKE_YOUNG_PAIR(BgL_arg1602z00_4180, BNIL);
					}
					BgL_arg1597z00_4178 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 168)), BgL_arg1601z00_4179);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4075), BgL_arg1597z00_4178);
			}
			{	/* SawJvm/inline.scm 98 */
				obj_t BgL_arg1604z00_4182;

				BgL_arg1604z00_4182 = CAR(((obj_t) BgL_argsz00_4076));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4075), BgL_arg1604z00_4182);
			}
			{	/* SawJvm/inline.scm 99 */
				obj_t BgL_arg1606z00_4183;

				{	/* SawJvm/inline.scm 99 */
					obj_t BgL_pairz00_4184;

					BgL_pairz00_4184 = CDR(((obj_t) BgL_argsz00_4076));
					BgL_arg1606z00_4183 = CAR(BgL_pairz00_4184);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4075), BgL_arg1606z00_4183);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4075), CNST_TABLE_REF(((long) 98)));
			return CNST_TABLE_REF(((long) 99));
		}

	}



/* &<@anonymous:1582> */
	obj_t BGl_z62zc3z04anonymousza31582ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4077, obj_t BgL_mez00_4078, obj_t BgL_argsz00_4079)
	{
		{	/* SawJvm/inline.scm 91 */
			{	/* SawJvm/inline.scm 92 */
				obj_t BgL_arg1583z00_4185;

				{	/* SawJvm/inline.scm 92 */
					obj_t BgL_arg1584z00_4186;

					{	/* SawJvm/inline.scm 92 */
						obj_t BgL_arg1585z00_4187;

						{	/* SawJvm/inline.scm 92 */
							obj_t BgL_arg1586z00_4188;

							BgL_arg1586z00_4188 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
							BgL_arg1585z00_4187 =
								BGl_declarezd2globalzd2zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4078),
								((BgL_globalz00_bglt) BgL_arg1586z00_4188));
						}
						BgL_arg1584z00_4186 = MAKE_YOUNG_PAIR(BgL_arg1585z00_4187, BNIL);
					}
					BgL_arg1583z00_4185 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 168)), BgL_arg1584z00_4186);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4078), BgL_arg1583z00_4185);
			}
			{	/* SawJvm/inline.scm 93 */
				obj_t BgL_arg1588z00_4189;

				BgL_arg1588z00_4189 = CAR(((obj_t) BgL_argsz00_4079));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4078), BgL_arg1588z00_4189);
			}
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4078), CNST_TABLE_REF(((long) 97)));
		}

	}



/* check-jvm-inlines */
	BGL_EXPORTED_DEF obj_t BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00()
	{
		{	/* SawJvm/inline.scm 24 */
			{	/* SawJvm/inline.scm 25 */
				obj_t BgL_unresolvedz00_2888;

				{	/* SawJvm/inline.scm 25 */
					obj_t BgL_hook1580z00_2890;

					BgL_hook1580z00_2890 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
					{
						obj_t BgL_l1577z00_2892;
						obj_t BgL_h1578z00_2893;

						BgL_l1577z00_2892 = BNIL;
						BgL_h1578z00_2893 = BgL_hook1580z00_2890;
					BgL_zc3z04anonymousza32008ze3z87_2894:
						if (NULLP(BgL_l1577z00_2892))
							{	/* SawJvm/inline.scm 25 */
								BgL_unresolvedz00_2888 = CDR(BgL_hook1580z00_2890);
							}
						else
							{	/* SawJvm/inline.scm 25 */
								bool_t BgL_test2401z00_5185;

								if (CBOOL(BGl_findzd2globalzd2zzast_envz00(CAR(
												((obj_t) BgL_l1577z00_2892)), BNIL)))
									{	/* SawJvm/inline.scm 25 */
										BgL_test2401z00_5185 = ((bool_t) 0);
									}
								else
									{	/* SawJvm/inline.scm 25 */
										BgL_test2401z00_5185 = ((bool_t) 1);
									}
								if (BgL_test2401z00_5185)
									{	/* SawJvm/inline.scm 25 */
										obj_t BgL_nh1579z00_2901;

										{	/* SawJvm/inline.scm 25 */
											obj_t BgL_arg2015z00_2903;

											BgL_arg2015z00_2903 = CAR(((obj_t) BgL_l1577z00_2892));
											BgL_nh1579z00_2901 =
												MAKE_YOUNG_PAIR(BgL_arg2015z00_2903, BNIL);
										}
										SET_CDR(BgL_h1578z00_2893, BgL_nh1579z00_2901);
										{	/* SawJvm/inline.scm 25 */
											obj_t BgL_arg2014z00_2902;

											BgL_arg2014z00_2902 = CDR(((obj_t) BgL_l1577z00_2892));
											{
												obj_t BgL_h1578z00_5198;
												obj_t BgL_l1577z00_5197;

												BgL_l1577z00_5197 = BgL_arg2014z00_2902;
												BgL_h1578z00_5198 = BgL_nh1579z00_2901;
												BgL_h1578z00_2893 = BgL_h1578z00_5198;
												BgL_l1577z00_2892 = BgL_l1577z00_5197;
												goto BgL_zc3z04anonymousza32008ze3z87_2894;
											}
										}
									}
								else
									{	/* SawJvm/inline.scm 25 */
										obj_t BgL_arg2016z00_2904;

										BgL_arg2016z00_2904 = CDR(((obj_t) BgL_l1577z00_2892));
										{
											obj_t BgL_l1577z00_5201;

											BgL_l1577z00_5201 = BgL_arg2016z00_2904;
											BgL_l1577z00_2892 = BgL_l1577z00_5201;
											goto BgL_zc3z04anonymousza32008ze3z87_2894;
										}
									}
							}
					}
				}
				if (PAIRP(BgL_unresolvedz00_2888))
					{	/* SawJvm/inline.scm 27 */
						return
							BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 182)),
							BGl_string2260z00zzsaw_jvm_inlinez00, BgL_unresolvedz00_2888);
					}
				else
					{	/* SawJvm/inline.scm 27 */
						return BFALSE;
					}
			}
		}

	}



/* &check-jvm-inlines */
	obj_t BGl_z62checkzd2jvmzd2inlinesz62zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4080)
	{
		{	/* SawJvm/inline.scm 24 */
			return BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00();
		}

	}



/* inline-call? */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2callzf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt BgL_mez00_3,
		BgL_globalz00_bglt BgL_varz00_4)
	{
		{	/* SawJvm/inline.scm 35 */
			if (CBOOL((((BgL_jvmz00_bglt) COBJECT(BgL_mez00_3))->BgL_inlinez00)))
				{	/* SawJvm/inline.scm 37 */
					obj_t BgL_funz00_2910;

					BgL_funz00_2910 =
						BGl_getpropz00zz__r4_symbols_6_4z00(
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_4)))->BgL_idz00),
						CNST_TABLE_REF(((long) 8)));
					if (CBOOL(BgL_funz00_2910))
						{	/* SawJvm/inline.scm 38 */
							return
								PROCEDURE_ENTRY(BgL_funz00_2910) (BgL_funz00_2910,
								((obj_t) BgL_mez00_3), BEOA);
						}
					else
						{	/* SawJvm/inline.scm 38 */
							return CNST_TABLE_REF(((long) 170));
				}}
			else
				{	/* SawJvm/inline.scm 36 */
					return BFALSE;
				}
		}

	}



/* &inline-call? */
	obj_t BGl_z62inlinezd2callzf3z43zzsaw_jvm_inlinez00(obj_t BgL_envz00_4081,
		obj_t BgL_mez00_4082, obj_t BgL_varz00_4083)
	{
		{	/* SawJvm/inline.scm 35 */
			return
				BGl_inlinezd2callzf3z21zzsaw_jvm_inlinez00(
				((BgL_jvmz00_bglt) BgL_mez00_4082),
				((BgL_globalz00_bglt) BgL_varz00_4083));
		}

	}



/* inline-call-with-args? */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2callzd2withzd2argszf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt
		BgL_mez00_5, BgL_globalz00_bglt BgL_varz00_6, obj_t BgL_argsz00_7)
	{
		{	/* SawJvm/inline.scm 52 */
			if (CBOOL((((BgL_jvmz00_bglt) COBJECT(BgL_mez00_5))->BgL_inlinez00)))
				{	/* SawJvm/inline.scm 54 */
					obj_t BgL_funz00_2915;

					BgL_funz00_2915 =
						BGl_getpropz00zz__r4_symbols_6_4z00(
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_6)))->BgL_idz00),
						CNST_TABLE_REF(((long) 2)));
					if (CBOOL(BgL_funz00_2915))
						{	/* SawJvm/inline.scm 55 */
							return
								PROCEDURE_ENTRY(BgL_funz00_2915) (BgL_funz00_2915,
								((obj_t) BgL_mez00_5), BgL_argsz00_7, BEOA);
						}
					else
						{	/* SawJvm/inline.scm 55 */
							return CNST_TABLE_REF(((long) 170));
				}}
			else
				{	/* SawJvm/inline.scm 53 */
					return BFALSE;
				}
		}

	}



/* &inline-call-with-args? */
	obj_t BGl_z62inlinezd2callzd2withzd2argszf3z43zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4084, obj_t BgL_mez00_4085, obj_t BgL_varz00_4086,
		obj_t BgL_argsz00_4087)
	{
		{	/* SawJvm/inline.scm 52 */
			return
				BGl_inlinezd2callzd2withzd2argszf3z21zzsaw_jvm_inlinez00(
				((BgL_jvmz00_bglt) BgL_mez00_4085),
				((BgL_globalz00_bglt) BgL_varz00_4086), BgL_argsz00_4087);
		}

	}



/* inline-predicate? */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2predicatezf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt BgL_mez00_8,
		BgL_globalz00_bglt BgL_varz00_9, obj_t BgL_onzf3zf3_10, obj_t BgL_labz00_11)
	{
		{	/* SawJvm/inline.scm 66 */
			if (CBOOL((((BgL_jvmz00_bglt) COBJECT(BgL_mez00_8))->BgL_inlinez00)))
				{	/* SawJvm/inline.scm 68 */
					obj_t BgL_funz00_3566;

					BgL_funz00_3566 =
						BGl_getpropz00zz__r4_symbols_6_4z00(
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_9)))->BgL_idz00),
						CNST_TABLE_REF(((long) 13)));
					if (CBOOL(BgL_funz00_3566))
						{	/* SawJvm/inline.scm 69 */
							return
								PROCEDURE_ENTRY(BgL_funz00_3566) (BgL_funz00_3566,
								((obj_t) BgL_mez00_8), BgL_onzf3zf3_10, BgL_labz00_11, BEOA);
						}
					else
						{	/* SawJvm/inline.scm 69 */
							return CNST_TABLE_REF(((long) 170));
				}}
			else
				{	/* SawJvm/inline.scm 67 */
					return BFALSE;
				}
		}

	}



/* &inline-predicate? */
	obj_t BGl_z62inlinezd2predicatezf3z43zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4088, obj_t BgL_mez00_4089, obj_t BgL_varz00_4090,
		obj_t BgL_onzf3zf3_4091, obj_t BgL_labz00_4092)
	{
		{	/* SawJvm/inline.scm 66 */
			return
				BGl_inlinezd2predicatezf3z21zzsaw_jvm_inlinez00(
				((BgL_jvmz00_bglt) BgL_mez00_4089),
				((BgL_globalz00_bglt) BgL_varz00_4090), BgL_onzf3zf3_4091,
				BgL_labz00_4092);
		}

	}



/* skip-mov */
	obj_t BGl_skipzd2movzd2zzsaw_jvm_inlinez00(obj_t BgL_argz00_12)
	{
		{	/* SawJvm/inline.scm 80 */
		BGl_skipzd2movzd2zzsaw_jvm_inlinez00:
			{	/* SawJvm/inline.scm 81 */
				bool_t BgL_test2410z00_5264;

				{	/* SawJvm/inline.scm 81 */
					obj_t BgL_classz00_3571;

					BgL_classz00_3571 = BGl_rtl_insz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_argz00_12))
						{	/* SawJvm/inline.scm 81 */
							BgL_objectz00_bglt BgL_arg1825z00_3573;

							BgL_arg1825z00_3573 = (BgL_objectz00_bglt) (BgL_argz00_12);
							{	/* SawJvm/inline.scm 81 */
								bool_t BgL_arg1822z00_3576;
								bool_t BgL_arg1823z00_3577;

								{	/* SawJvm/inline.scm 81 */
									long BgL_idxz00_3580;

									BgL_idxz00_3580 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3573);
									BgL_arg1822z00_3576 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3580 + ((long) 1))) == BgL_classz00_3571);
								}
								{	/* SawJvm/inline.scm 81 */
									bool_t BgL_res2156z00_3602;

									{	/* SawJvm/inline.scm 81 */
										obj_t BgL_oclassz00_3588;

										{	/* SawJvm/inline.scm 81 */
											long BgL_arg1833z00_3594;

											{	/* SawJvm/inline.scm 81 */
												long BgL_arg1834z00_3595;

												BgL_arg1834z00_3595 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3573);
												BgL_arg1833z00_3594 =
													(BgL_arg1834z00_3595 - OBJECT_TYPE);
											}
											BgL_oclassz00_3588 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3594);
										}
										{	/* SawJvm/inline.scm 81 */
											bool_t BgL__ortest_1110z00_3589;

											BgL__ortest_1110z00_3589 =
												(BgL_classz00_3571 == BgL_oclassz00_3588);
											if (BgL__ortest_1110z00_3589)
												{	/* SawJvm/inline.scm 81 */
													BgL_res2156z00_3602 = BgL__ortest_1110z00_3589;
												}
											else
												{	/* SawJvm/inline.scm 81 */
													long BgL_odepthz00_3590;

													BgL_odepthz00_3590 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3588);
													if ((((long) 1) < BgL_odepthz00_3590))
														{	/* SawJvm/inline.scm 81 */
															obj_t BgL_arg1821z00_3592;

															BgL_arg1821z00_3592 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3588,
																((long) 1));
															BgL_res2156z00_3602 =
																(BgL_arg1821z00_3592 == BgL_classz00_3571);
														}
													else
														{	/* SawJvm/inline.scm 81 */
															BgL_res2156z00_3602 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3577 = BgL_res2156z00_3602;
								}
								BgL_test2410z00_5264 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3576, BgL_arg1823z00_3577);
							}
						}
					else
						{	/* SawJvm/inline.scm 81 */
							BgL_test2410z00_5264 = ((bool_t) 0);
						}
				}
				if (BgL_test2410z00_5264)
					{	/* SawJvm/inline.scm 82 */
						BgL_rtl_funz00_bglt BgL_funz00_2921;

						BgL_funz00_2921 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_argz00_12)))->BgL_funz00);
						{	/* SawJvm/inline.scm 83 */
							bool_t BgL_test2414z00_5285;

							{	/* SawJvm/inline.scm 83 */
								obj_t BgL_classz00_3604;

								BgL_classz00_3604 = BGl_rtl_movz00zzsaw_defsz00;
								{	/* SawJvm/inline.scm 83 */
									BgL_objectz00_bglt BgL_arg1825z00_3606;

									{	/* SawJvm/inline.scm 83 */
										obj_t BgL_tmpz00_5286;

										BgL_tmpz00_5286 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2921));
										BgL_arg1825z00_3606 =
											(BgL_objectz00_bglt) (BgL_tmpz00_5286);
									}
									{	/* SawJvm/inline.scm 83 */
										bool_t BgL_arg1822z00_3609;
										bool_t BgL_arg1823z00_3610;

										{	/* SawJvm/inline.scm 83 */
											long BgL_idxz00_3613;

											BgL_idxz00_3613 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3606);
											BgL_arg1822z00_3609 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3613 + ((long) 3))) == BgL_classz00_3604);
										}
										{	/* SawJvm/inline.scm 83 */
											bool_t BgL_res2157z00_3635;

											{	/* SawJvm/inline.scm 83 */
												obj_t BgL_oclassz00_3621;

												{	/* SawJvm/inline.scm 83 */
													long BgL_arg1833z00_3627;

													{	/* SawJvm/inline.scm 83 */
														long BgL_arg1834z00_3628;

														BgL_arg1834z00_3628 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3606);
														BgL_arg1833z00_3627 =
															(BgL_arg1834z00_3628 - OBJECT_TYPE);
													}
													BgL_oclassz00_3621 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_3627);
												}
												{	/* SawJvm/inline.scm 83 */
													bool_t BgL__ortest_1110z00_3622;

													BgL__ortest_1110z00_3622 =
														(BgL_classz00_3604 == BgL_oclassz00_3621);
													if (BgL__ortest_1110z00_3622)
														{	/* SawJvm/inline.scm 83 */
															BgL_res2157z00_3635 = BgL__ortest_1110z00_3622;
														}
													else
														{	/* SawJvm/inline.scm 83 */
															long BgL_odepthz00_3623;

															BgL_odepthz00_3623 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3621);
															if ((((long) 3) < BgL_odepthz00_3623))
																{	/* SawJvm/inline.scm 83 */
																	obj_t BgL_arg1821z00_3625;

																	BgL_arg1821z00_3625 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3621,
																		((long) 3));
																	BgL_res2157z00_3635 =
																		(BgL_arg1821z00_3625 == BgL_classz00_3604);
																}
															else
																{	/* SawJvm/inline.scm 83 */
																	BgL_res2157z00_3635 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_3610 = BgL_res2157z00_3635;
										}
										BgL_test2414z00_5285 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_3609,
											BgL_arg1823z00_3610);
									}
								}
							}
							if (BgL_test2414z00_5285)
								{	/* SawJvm/inline.scm 84 */
									obj_t BgL_arg2029z00_2923;

									{	/* SawJvm/inline.scm 84 */
										obj_t BgL_pairz00_3637;

										BgL_pairz00_3637 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_argz00_12)))->BgL_argsz00);
										BgL_arg2029z00_2923 = CAR(BgL_pairz00_3637);
									}
									{
										obj_t BgL_argz00_5308;

										BgL_argz00_5308 = BgL_arg2029z00_2923;
										BgL_argz00_12 = BgL_argz00_5308;
										goto BGl_skipzd2movzd2zzsaw_jvm_inlinez00;
									}
								}
							else
								{	/* SawJvm/inline.scm 83 */
									return ((obj_t) BgL_funz00_2921);
								}
						}
					}
				else
					{	/* SawJvm/inline.scm 81 */
						return BgL_argz00_12;
					}
			}
		}

	}



/* compute-boolean */
	obj_t BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(obj_t BgL_mez00_13,
		obj_t BgL_copz00_14)
	{
		{	/* SawJvm/inline.scm 265 */
			{	/* SawJvm/inline.scm 267 */
				obj_t BgL_l1z00_2925;
				obj_t BgL_l2z00_2926;

				BgL_l1z00_2925 =
					BGl_gensymz00zz__r4_symbols_6_4z00
					(BGl_string2259z00zzsaw_jvm_inlinez00);
				BgL_l2z00_2926 =
					BGl_gensymz00zz__r4_symbols_6_4z00
					(BGl_string2259z00zzsaw_jvm_inlinez00);
				{	/* SawJvm/inline.scm 268 */
					obj_t BgL_arg2031z00_2927;

					{	/* SawJvm/inline.scm 268 */
						obj_t BgL_arg2032z00_2928;

						BgL_arg2032z00_2928 = MAKE_YOUNG_PAIR(BgL_l1z00_2925, BNIL);
						BgL_arg2031z00_2927 =
							MAKE_YOUNG_PAIR(BgL_copz00_14, BgL_arg2032z00_2928);
					}
					BGl_codez12z12zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_13), BgL_arg2031z00_2927);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_13), CNST_TABLE_REF(((long) 183)));
				{	/* SawJvm/inline.scm 270 */
					obj_t BgL_arg2034z00_2929;

					{	/* SawJvm/inline.scm 270 */
						obj_t BgL_arg2035z00_2930;

						BgL_arg2035z00_2930 = MAKE_YOUNG_PAIR(BgL_l2z00_2926, BNIL);
						BgL_arg2034z00_2929 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 173)),
							BgL_arg2035z00_2930);
					}
					BGl_codez12z12zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_13), BgL_arg2034z00_2929);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_13), BgL_l1z00_2925);
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_13), CNST_TABLE_REF(((long) 144)));
				return
					BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_13), BgL_l2z00_2926);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_inlinez00()
	{
		{	/* SawJvm/inline.scm 1 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_inlinez00()
	{
		{	/* SawJvm/inline.scm 1 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_inlinez00()
	{
		{	/* SawJvm/inline.scm 1 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_inlinez00()
	{
		{	/* SawJvm/inline.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2261z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2261z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2261z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2261z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2261z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2261z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string2261z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2261z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long) 192699986),
				BSTRING_TO_STRING(BGl_string2261z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string2261z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2261z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 336068337),
				BSTRING_TO_STRING(BGl_string2261z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2261z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 79517123),
				BSTRING_TO_STRING(BGl_string2261z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(((long) 441641707),
				BSTRING_TO_STRING(BGl_string2261z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(((long) 44765844),
				BSTRING_TO_STRING(BGl_string2261z00zzsaw_jvm_inlinez00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2261z00zzsaw_jvm_inlinez00));
		}

	}

#ifdef __cplusplus
}
#endif
