/*===========================================================================*/
/*   (SawMill/bbv-specialize.scm)                                            */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/bbv-specialize.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_movz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_movz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;

	typedef struct BgL_blockvz00_bgl
	{
		obj_t BgL_versionsz00;
		long BgL_z52markz52;
	}                *BgL_blockvz00_bglt;

	typedef struct BgL_blocksz00_bgl
	{
		obj_t BgL_ictxz00;
		obj_t BgL_octxsz00;
		long BgL_z52markz52;
		obj_t BgL_z52parentz52;
		obj_t BgL_z52hashz52;
		obj_t BgL_z52blacklistz52;
	}                *BgL_blocksz00_bglt;

	typedef struct BgL_rtl_inszf2bbvzf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_outz00;
		obj_t BgL_inz00;
		obj_t BgL_z52hashz52;
	}                       *BgL_rtl_inszf2bbvzf2_bglt;

	typedef struct BgL_bbvzd2ctxentryzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_rtl_regz00_bgl *BgL_regz00;
		struct BgL_typez00_bgl *BgL_typz00;
		bool_t BgL_flagz00;
		obj_t BgL_valuez00;
		obj_t BgL_aliasesz00;
	}                        *BgL_bbvzd2ctxentryzd2_bglt;


	static obj_t
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2specializa7ez75
		(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	static bool_t BGl_za2typezd2callza2zd2zzsaw_bbvzd2specializa7ez75;
	static obj_t BGl_intervalzd2ltszd2zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		int);
	static obj_t
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2;
	static obj_t BGl_z62blockSzd2ictxzb0zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_blockVzd2nilzd2zzsaw_bbvzd2specializa7ez75();
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2firstzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_2minz00zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62blockVzd2firstzb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2defz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_inszf2bbvzd2defz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_inszf2bbvzd2argsz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt);
	extern obj_t BGl_funz00zzast_varz00;
	extern bool_t
		BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static BgL_blockz00_bglt
		BGl_z62blockVzd2nilzb0zzsaw_bbvzd2specializa7ez75(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2argszd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2z52hashzd2setz12zd0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62blockSzd2z52hashze2zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_blockSzd2z52markz80zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62blockVzd2z52markze2zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62blockVzd2versionszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62blockSzd2succszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2ctxentryzf3z43zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL int
		BGl_blockVzd2labelzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2specializa7ez75(int, int, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2specializa7ez75(BgL_typez00_bglt,
		obj_t, obj_t, obj_t, obj_t, obj_t, int, obj_t, obj_t, int, obj_t, obj_t);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2z52spillz10zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t
		BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2inz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2outzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62blockSzd2predszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2specializa7ez75();
	static obj_t
		BGl_z62blockVzd2succszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2z52spillzd2setz12zb2zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	extern obj_t BGl_rtl_ifeqz00zzsaw_defsz00;
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt);
	static obj_t
		BGl_z62blockSzd2octxszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2minzd2fixnumza2zd2zzsaw_bbvzd2typeszd2;
	static obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2versionszd2setz12z12zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt, obj_t);
	static obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	static obj_t
		BGl_z62blockSzd2labelzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62blockVzd2predszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2specializa7ez75zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2z52hashz72zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt);
	extern bool_t
		BGl_rtl_inszd2vlenzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_genericzd2initzd2zzsaw_bbvzd2specializa7ez75();
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62blockSzf3z91zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2outzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2specializa7ez75(obj_t);
	static obj_t
		BGl_z62blockVzd2labelzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt);
	static obj_t BGl_objectzd2initzd2zzsaw_bbvzd2specializa7ez75();
	static obj_t
		BGl_z62rtl_inszf2bbvzd2funzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62blockSzd2z52markzd2setz12z22zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2argszd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt);
	BGL_IMPORT bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t
		BGl_z62blockVzd2z52markzd2setz12z22zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_invzd2opze70z35zzsaw_bbvzd2specializa7ez75(obj_t);
	extern bool_t
		BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2outz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	extern obj_t BGl_regsetz00zzsaw_regsetz00;
	static obj_t BGl_z62rtl_inszf2bbvzd2outz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t BGl_z62blockSzd2predszb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_bbvzd2ctxentryzd2typz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2funzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, BgL_rtl_funz00_bglt);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszf2bbvzf3z01zzsaw_bbvzd2specializa7ez75(obj_t);
	static obj_t BGl_z62blockVzf3z91zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2z52hashzd2setz12z40zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt, obj_t);
	static obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxentryzd2valuez00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt);
	static BgL_rtl_insz00_bglt
		BGl_rtl_inszd2specializa7ezd2vlengthza7zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	static BgL_bbvzd2ctxentryzd2_bglt
		BGl_z62makezd2bbvzd2ctxentryz62zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62blockSzd2octxszb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	extern obj_t
		BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2succszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62blockVzd2succszb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_methodzd2initzd2zzsaw_bbvzd2specializa7ez75();
	BGL_EXPORTED_DECL BgL_bbvzd2ctxentryzd2_bglt
		BGl_bbvzd2ctxentryzd2nilz00zzsaw_bbvzd2specializa7ez75();
	static obj_t
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2specializa7ez75
		(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2zb2infze20za2z50zzsaw_bbvzd2typeszd2;
	static BgL_regsetz00_bglt
		BGl_z62makezd2regsetzb0zzsaw_bbvzd2specializa7ez75(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2specializa7ez75();
	static BgL_typez00_bglt
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_makezd2blockSzd2zzsaw_bbvzd2specializa7ez75(int, obj_t, obj_t, obj_t,
		obj_t, obj_t, long, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2predszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_makezd2blockVzd2zzsaw_bbvzd2specializa7ez75(int, obj_t, obj_t, obj_t,
		obj_t, long);
	static BgL_rtl_loadiz00_bglt BGl_trueze70ze7zzsaw_bbvzd2specializa7ez75();
	extern obj_t BGl_za2zc3fxza2zc3zzsaw_bbvzd2cachezd2;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2destzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	extern obj_t BGl_za2maxzd2fixnumza2zd2zzsaw_bbvzd2typeszd2;
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2z52blacklistzd2setz12z40zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt, obj_t);
	extern obj_t BGl_rtl_goz00zzsaw_defsz00;
	extern obj_t
		BGl_rtl_inszd2typecheckzd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern bool_t
		BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_rtl_ifnez00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt);
	static obj_t
		BGl_z62bbvzd2ctxentryzd2aliasesz62zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	extern bool_t BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static bool_t BGl_intervalzd3zf3z20zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	static obj_t
		BGl_z62rtl_inszd2typecheckzf3z43zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_bbvzd2ctxentryzd2flagz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt);
	static obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62bbvzd2ctxentryzd2typz62zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	static obj_t BGl_z62blockSzd2firstzb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static BgL_rtl_insz00_bglt
		BGl_rtl_inszd2specializa7ezd2typecheckza7zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt);
	static obj_t
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_bbvzd2ctxentryzf3z21zzsaw_bbvzd2specializa7ez75(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2z52blacklistz80zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	extern obj_t BGl_za2zd3fxza2zd3zzsaw_bbvzd2cachezd2;
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_bbvzd2ctxentryzd2regz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt);
	static obj_t
		BGl_z62bbvzd2ctxentryzd2aliaseszd2setz12za2zzsaw_bbvzd2specializa7ez75
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxentryzd2aliasesz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2defzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2zc3zd3fxza2z10zzsaw_bbvzd2cachezd2;
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2firstzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		obj_t);
	static obj_t BGl_intervalzd2valuezd2zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_rtl_insz00_bglt
		BGl_makezd2rtl_inszf2bbvz20zzsaw_bbvzd2specializa7ez75(obj_t, obj_t, obj_t,
		BgL_rtl_funz00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt);
	extern obj_t BGl_ctxzd2getzd2zzsaw_bbvzd2typeszd2(obj_t, BgL_rtl_regz00_bglt);
	extern obj_t BGl_blockSz00zzsaw_bbvzd2typeszd2;
	static obj_t
		BGl_z62rtl_inszf2bbvzd2destzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62blockSzd2z52markze2zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	extern obj_t BGl_blockVz00zzsaw_bbvzd2typeszd2;
	extern obj_t BGl_extendzd2normaliza7ezd2ctxza7zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2versionszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2specializa7ez75
		(BgL_regsetz00_bglt, obj_t);
	BGL_EXPORTED_DECL int
		BGl_blockSzd2labelzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	static obj_t BGl_z62blockVzd2versionszb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2firstzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2intcmpzf3z21zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62blockVzd2labelzb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszd2intcmpzf3z43zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	extern obj_t BGl_za2intzd2ze3longza2z31zzsaw_bbvzd2cachezd2;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2z52spillz72zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2defzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	static BgL_bbvzd2ctxentryzd2_bglt
		BGl_z62bbvzd2ctxentryzd2nilz62zzsaw_bbvzd2specializa7ez75(obj_t);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2z52hashz10zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	extern obj_t BGl_za2ze3fxza2ze3zzsaw_bbvzd2cachezd2;
	static obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2firstzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_testzd2ctxszd2refze70ze7zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_regze70ze7zzsaw_bbvzd2specializa7ez75(obj_t);
	static obj_t
		BGl_z62rtl_inszd2specializa7ezd2intcmpzc5zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxentryzd2aliaseszd2setz12zc0zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_blockSzd2nilzd2zzsaw_bbvzd2specializa7ez75();
	static BgL_blockz00_bglt
		BGl_z62makezd2blockSzb0zzsaw_bbvzd2specializa7ez75(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_regzf2razf3z01zzsaw_bbvzd2specializa7ez75(obj_t);
	static BgL_blockz00_bglt
		BGl_z62makezd2blockVzb0zzsaw_bbvzd2specializa7ez75(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2z52hashz80zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2z52spillzd2setz12zd0zzsaw_bbvzd2specializa7ez75
		(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	BGL_EXPORTED_DECL long
		BGl_blockVzd2z52markz80zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	static obj_t BGl_z62blockSzd2z52parentze2zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2specializa7ez75
		(obj_t, obj_t, obj_t);
	extern obj_t BGl_aliaszd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t,
		BgL_rtl_regz00_bglt, BgL_rtl_regz00_bglt);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2inzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t
		BGl_z62rtl_inszf2bbvzd2loczd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62blockSzd2z52hashzd2setz12z22zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2specializa7ez75();
	static BgL_rtl_regz00_bglt
		BGl_z62bbvzd2ctxentryzd2regz62zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funz00_bglt
		BGl_rtl_inszf2bbvzd2funz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2specializa7ez75();
	BGL_EXPORTED_DECL bool_t BGl_blockSzf3zf3zzsaw_bbvzd2specializa7ez75(obj_t);
	static BgL_rtl_funz00_bglt
		BGl_z62rtl_inszf2bbvzd2funz42zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	static obj_t BGl_intervalzd2gtszd2zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		int);
	BGL_IMPORT long bgl_list_length(obj_t);
	static bool_t BGl_regzf3ze70z14zzsaw_bbvzd2specializa7ez75(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2specializa7ez75();
	static bool_t BGl_regzf3ze71z14zzsaw_bbvzd2specializa7ez75(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2specializa7ez75();
	static BgL_blockz00_bglt
		BGl_z62blockSzd2nilzb0zzsaw_bbvzd2specializa7ez75(obj_t);
	static BgL_rtl_insz00_bglt
		BGl_z62makezd2rtl_inszf2bbvz42zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2destz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	static obj_t BGl_specializa7ezf2opze70zb2zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2succszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzf3z63zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62blockSzd2z52blacklistzd2setz12z22zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2specializa7ezd2intcmpza7zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2loczd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt, int);
	static obj_t
		BGl_z62rtl_inszd2specializa7ez17zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2bintzd2ze3longza2z31zzsaw_bbvzd2cachezd2;
	extern obj_t BGl_za2zd2infze20za2z30zzsaw_bbvzd2typeszd2;
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2ictxzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2predszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2ictxzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	extern obj_t BGl_za2maxzd2lengthza2zd2zzsaw_bbvzd2typeszd2;
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2succszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		obj_t);
	extern obj_t BGl_za2ze3zd3fxza2z30zzsaw_bbvzd2cachezd2;
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62blockSzd2succszb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2z52hashzd2setz12zb2zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2octxszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_2maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_blockVzf3zf3zzsaw_bbvzd2specializa7ez75(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2labelzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		int);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2predszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_regsetzf3zf3zzsaw_bbvzd2specializa7ez75(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_insz00_bglt
		BGl_rtl_inszf2bbvzd2nilz20zzsaw_bbvzd2specializa7ez75();
	static obj_t BGl_za2fixnumzd2intvza2zd2zzsaw_bbvzd2specializa7ez75 = BUNSPEC;
	static BgL_rtl_insz00_bglt
		BGl_z62rtl_inszf2bbvzd2nilz42zzsaw_bbvzd2specializa7ez75(obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2labelzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		int);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2predszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	static obj_t BGl_za2infinityzd2intvza2zd2zzsaw_bbvzd2specializa7ez75 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt);
	static obj_t BGl_z62blockVzd2predszb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2ctxentryzd2flagz62zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2z52markzd2setz12z40zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt, long);
	static BgL_rtl_loadiz00_bglt BGl_falseze70ze7zzsaw_bbvzd2specializa7ez75();
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2z52parentz80zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	static obj_t
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_z62blockSzd2z52blacklistze2zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2locz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzd2locz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62bbvzd2ctxentryzd2valuez62zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2z52markzd2setz12z40zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt, long);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2specializa7ez75();
	BGL_EXPORTED_DECL obj_t
		BGl_blockSzd2octxszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2argsz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt);
	static obj_t BGl_za2lengthzd2intvza2zd2zzsaw_bbvzd2specializa7ez75 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2typecheckzf3z21zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt);
	static obj_t
		BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2succszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	static obj_t
		BGl_z62blockSzd2firstzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	extern bool_t
		BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszf2bbvzd2inzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	static obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzd2destz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxentryzd2_bglt
		BGl_makezd2bbvzd2ctxentryz00zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt, bool_t, obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2specializa7ez75
		(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62blockVzd2firstzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	static obj_t BGl_boolzd2valuezd2zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	static BgL_regsetz00_bglt
		BGl_z62regsetzd2nilzb0zzsaw_bbvzd2specializa7ez75(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt);
	static obj_t
		BGl_z62blockSzd2ictxzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
	static obj_t BGl_intervalzd2eqzd2zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	extern obj_t BGl_blockz00zzsaw_defsz00;
	BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszf2bbvzd2inz42zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2specializa7ez75
		(BgL_regsetz00_bglt, int);
	static obj_t BGl_z62blockSzd2labelzb0zzsaw_bbvzd2specializa7ez75(obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2specializa7ez75(obj_t, obj_t);
	static obj_t __cnst[13];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52hashzd2setz12zd2envz92zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2za752h2616za7,
		BGl_z62blockSzd2z52hashzd2setz12z22zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2namezd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72617za7,
		BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2argszd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2618z00,
		BGl_z62rtl_inszf2bbvzd2argszd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52parentzd2envz52zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2za752p2619za7,
		BGl_z62blockSzd2z52parentze2zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2nilzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762regsetza7d2nilza72620za7,
		BGl_z62regsetzd2nilzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2predszd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2pred2621z00,
		BGl_z62blockSzd2predszd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2ictxzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2ictx2622z00,
		BGl_z62blockSzd2ictxzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2inzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2623z00,
		BGl_z62rtl_inszf2bbvzd2inz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2firstzd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2firs2624z00,
		BGl_z62blockSzd2firstzd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2nilzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2nilza72625za7,
		BGl_z62blockVzd2nilzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52hashzd2envz52zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2za752h2626za7,
		BGl_z62blockSzd2z52hashze2zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72627za7,
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2inzd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2628z00,
		BGl_z62rtl_inszf2bbvzd2inzd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72629za7,
		BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2setz12zd2envzc1zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72630za7,
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72631za7,
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2specializa7ez75,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72632za7,
		BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2z52hashzd2setz12zd2envz60zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2633z00,
		BGl_z62rtl_inszf2bbvzd2z52hashzd2setz12zd0zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72634za7,
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2versionszd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2vers2635z00,
		BGl_z62blockVzd2versionszd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2regvzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762regsetza7d2regv2636z00,
		BGl_z62regsetzd2regvzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2specializa7ezd2envza7zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7d2spe2637z00,
		BGl_z62rtl_inszd2specializa7ez17zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2bbvzd2ctxentryzd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762makeza7d2bbvza7d22638za7,
		BGl_z62makezd2bbvzd2ctxentryz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2nilzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2639z00,
		BGl_z62rtl_inszf2bbvzd2nilz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzf3zd2envz21zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7f3za791za72640z00,
		BGl_z62blockSzf3z91zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2612z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string2612za700za7za7s2641za7, "saw_bbv-specialize", 18);
	      DEFINE_STRING(BGl_string2613z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_string2613za700za7za7s2642za7,
		"!== != === == = > >= <= < _ false true interval ", 48);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2flagzd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr2643z00,
		BGl_z62bbvzd2ctxentryzd2flagz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762regsetza7d2leng2644z00,
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2firstzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2firs2645z00,
		BGl_z62blockVzd2firstzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2msiza7ezd2envza7zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762regsetza7d2msiza72646za7,
		BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzf3zd2envzf3zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr2647z00,
		BGl_z62bbvzd2ctxentryzf3z43zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2aliaseszd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr2648z00,
		BGl_z62bbvzd2ctxentryzd2aliasesz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2nilzd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr2649z00,
		BGl_z62bbvzd2ctxentryzd2nilz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2octxszd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2octx2650z00,
		BGl_z62blockSzd2octxszb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2ictxzd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2ictx2651z00,
		BGl_z62blockSzd2ictxzd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72652za7,
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72653za7,
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2outzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2654z00,
		BGl_z62rtl_inszf2bbvzd2outz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2nilzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2nilza72655za7,
		BGl_z62blockSzd2nilzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_inszf2bbvzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762makeza7d2rtl_in2656z00,
		BGl_z62makezd2rtl_inszf2bbvz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2firstzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2firs2657z00,
		BGl_z62blockSzd2firstzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72658za7,
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2z52markzd2envz52zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2za752m2659za7,
		BGl_z62blockVzd2z52markze2zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2labelzd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2labe2660z00,
		BGl_z62blockSzd2labelzd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2versionszd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2vers2661z00,
		BGl_z62blockVzd2versionszb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2z52hashzd2envza0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2662z00,
		BGl_z62rtl_inszf2bbvzd2z52hashz10zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52markzd2setz12zd2envz92zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2za752m2663za7,
		BGl_z62blockSzd2z52markzd2setz12z22zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52markzd2envz52zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2za752m2664za7,
		BGl_z62blockSzd2z52markze2zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2succszd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2succ2665z00,
		BGl_z62blockSzd2succszd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2nilzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72666za7,
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72667za7,
		BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2blockSzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762makeza7d2blocks2668z00,
		BGl_z62makezd2blockSzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2numzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72669za7,
		BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	      DEFINE_LLONG(BGl_llong2611z00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_llong2611za700za7za7sa2670za7, ((BGL_LONGLONG_T) 0));
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2typzd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr2671z00,
		BGl_z62bbvzd2ctxentryzd2typz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2octxszd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2octx2672z00,
		BGl_z62blockSzd2octxszd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2predszd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2pred2673z00,
		BGl_z62blockVzd2predszd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762regsetza7d2stri2674z00,
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2firstzd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2firs2675z00,
		BGl_z62blockVzd2firstzd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2valuezd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr2676z00,
		BGl_z62bbvzd2ctxentryzd2valuez62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72677za7,
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2envz01zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72678za7,
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2outzd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2679z00,
		BGl_z62rtl_inszf2bbvzd2outzd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762regsetza7d2stri2680z00,
		BGl_z62regsetzd2stringzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52blacklistzd2envz52zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2za752b2681za7,
		BGl_z62blockSzd2z52blacklistze2zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72682za7,
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_regzf2razd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762makeza7d2rtl_re2683z00,
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2argszd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2684z00,
		BGl_z62rtl_inszf2bbvzd2argsz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razf3zd2envzd3zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72685za7,
		BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2z52spillzd2setz12zd2envz60zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2686z00,
		BGl_z62rtl_inszf2bbvzd2z52spillzd2setz12zd0zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762regsetza7d2leng2687z00,
		BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzf3zd2envzd3zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2688z00,
		BGl_z62rtl_inszf2bbvzf3z63zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72689za7,
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72690za7,
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2hardwarezd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72691za7,
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2loczd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2692z00,
		BGl_z62rtl_inszf2bbvzd2locz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2aliaseszd2setz12zd2envz12zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr2693z00,
		BGl_z62bbvzd2ctxentryzd2aliaseszd2setz12za2zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2regsetzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762makeza7d2regset2694z00,
		BGl_z62makezd2regsetzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2typecheckzf3zd2envzf3zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7d2typ2695z00,
		BGl_z62rtl_inszd2typecheckzf3z43zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2succszd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2succ2696z00,
		BGl_z62blockVzd2succszb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2funzd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2697z00,
		BGl_z62rtl_inszf2bbvzd2funzd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2destzd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2698z00,
		BGl_z62rtl_inszf2bbvzd2destzd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzf3zd2envz21zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7f3za791za72699z00,
		BGl_z62blockVzf3z91zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2z52blacklistzd2setz12zd2envz92zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2za752b2700za7,
		BGl_z62blockSzd2z52blacklistzd2setz12z22zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2intcmpzf3zd2envzf3zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7d2int2701z00,
		BGl_z62rtl_inszd2intcmpzf3z43zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2z52spillzd2envza0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2702z00,
		BGl_z62rtl_inszf2bbvzd2z52spillz10zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2defzd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2703z00,
		BGl_z62rtl_inszf2bbvzd2defzd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2labelzd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2labe2704z00,
		BGl_z62blockVzd2labelzd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2succszd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2succ2705z00,
		BGl_z62blockSzd2succszb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2destzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2706z00,
		BGl_z62rtl_inszf2bbvzd2destz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2specializa7ezd2intcmpzd2envz75zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7d2spe2707z00,
		BGl_z62rtl_inszd2specializa7ezd2intcmpzc5zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2loczd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2708z00,
		BGl_z62rtl_inszf2bbvzd2loczd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2labelzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2labe2709z00,
		BGl_z62blockVzd2labelzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxentryzd2regzd2envzd2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762bbvza7d2ctxentr2710z00,
		BGl_z62bbvzd2ctxentryzd2regz62zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2z52markzd2setz12zd2envz92zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2za752m2711za7,
		BGl_z62blockVzd2z52markzd2setz12z22zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2succszd2setz12zd2envzc0zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2succ2712z00,
		BGl_z62blockVzd2succszd2setz12z70zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2predszd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blockvza7d2pred2713z00,
		BGl_z62blockVzd2predszb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2blockVzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762makeza7d2blockv2714z00,
		BGl_z62makezd2blockVzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzf3zd2envz21zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762regsetza7f3za791za72715z00,
		BGl_z62regsetzf3z91zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2labelzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2labe2716z00,
		BGl_z62blockSzd2labelzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2funzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2717z00,
		BGl_z62rtl_inszf2bbvzd2funz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2keyzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72718za7,
		BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockSzd2predszd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762blocksza7d2pred2719z00,
		BGl_z62blockSzd2predszb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2setz12zd2envz32zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_regza7f2raza72720za7,
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2specializa7ez75, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszf2bbvzd2defzd2envzf2zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762rtl_insza7f2bbv2721z00,
		BGl_z62rtl_inszf2bbvzd2defz42zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2reglzd2envz00zzsaw_bbvzd2specializa7ez75,
		BgL_bgl_za762regsetza7d2regl2722z00,
		BGl_z62regsetzd2reglzb0zzsaw_bbvzd2specializa7ez75, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75));
		     ADD_ROOT((void
				*) (&BGl_za2fixnumzd2intvza2zd2zzsaw_bbvzd2specializa7ez75));
		     ADD_ROOT((void
				*) (&BGl_za2infinityzd2intvza2zd2zzsaw_bbvzd2specializa7ez75));
		     ADD_ROOT((void
				*) (&BGl_za2lengthzd2intvza2zd2zzsaw_bbvzd2specializa7ez75));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(long
		BgL_checksumz00_5890, char *BgL_fromz00_5891)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75))
				{
					BGl_requirezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_bbvzd2specializa7ez75();
					BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2specializa7ez75();
					BGl_cnstzd2initzd2zzsaw_bbvzd2specializa7ez75();
					BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2specializa7ez75();
					return BGl_toplevelzd2initzd2zzsaw_bbvzd2specializa7ez75();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2specializa7ez75()
	{
		{	/* SawMill/bbv-specialize.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"saw_bbv-specialize");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"saw_bbv-specialize");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2specializa7ez75()
	{
		{	/* SawMill/bbv-specialize.scm 15 */
			{	/* SawMill/bbv-specialize.scm 15 */
				obj_t BgL_cportz00_5764;

				{	/* SawMill/bbv-specialize.scm 15 */
					obj_t BgL_stringz00_5772;

					BgL_stringz00_5772 = BGl_string2613z00zzsaw_bbvzd2specializa7ez75;
					{	/* SawMill/bbv-specialize.scm 15 */
						obj_t BgL_startz00_5773;

						BgL_startz00_5773 = BINT(((long) 0));
						{	/* SawMill/bbv-specialize.scm 15 */
							obj_t BgL_endz00_5774;

							BgL_endz00_5774 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5772)));
							{	/* SawMill/bbv-specialize.scm 15 */

								BgL_cportz00_5764 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5772, BgL_startz00_5773, BgL_endz00_5774);
				}}}}
				{
					long BgL_iz00_5765;

					BgL_iz00_5765 = ((long) 12);
				BgL_loopz00_5766:
					if ((BgL_iz00_5765 == ((long) -1)))
						{	/* SawMill/bbv-specialize.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/bbv-specialize.scm 15 */
							{	/* SawMill/bbv-specialize.scm 15 */
								obj_t BgL_arg2615z00_5768;

								{	/* SawMill/bbv-specialize.scm 15 */

									{	/* SawMill/bbv-specialize.scm 15 */
										obj_t BgL_locationz00_5770;

										BgL_locationz00_5770 = BBOOL(((bool_t) 0));
										{	/* SawMill/bbv-specialize.scm 15 */

											BgL_arg2615z00_5768 =
												BGl_readz00zz__readerz00(BgL_cportz00_5764,
												BgL_locationz00_5770);
										}
									}
								}
								{	/* SawMill/bbv-specialize.scm 15 */
									int BgL_tmpz00_5921;

									BgL_tmpz00_5921 = (int) (BgL_iz00_5765);
									CNST_TABLE_SET(BgL_tmpz00_5921, BgL_arg2615z00_5768);
							}}
							{	/* SawMill/bbv-specialize.scm 15 */
								int BgL_auxz00_5771;

								BgL_auxz00_5771 = (int) ((BgL_iz00_5765 - ((long) 1)));
								{
									long BgL_iz00_5926;

									BgL_iz00_5926 = (long) (BgL_auxz00_5771);
									BgL_iz00_5765 = BgL_iz00_5926;
									goto BgL_loopz00_5766;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2specializa7ez75()
	{
		{	/* SawMill/bbv-specialize.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2specializa7ez75()
	{
		{	/* SawMill/bbv-specialize.scm 15 */
			BGl_za2typezd2callza2zd2zzsaw_bbvzd2specializa7ez75 = ((bool_t) 1);
			{	/* SawMill/bbv-specialize.scm 50 */
				obj_t BgL_minz00_3579;
				obj_t BgL_maxz00_3580;

				BgL_minz00_3579 = BGl_za2zd2infze20za2z30zzsaw_bbvzd2typeszd2;
				BgL_maxz00_3580 = BGl_za2zb2infze20za2z50zzsaw_bbvzd2typeszd2;
				{	/* SawMill/bbv-specialize.scm 50 */
					obj_t BgL_newz00_3581;

					BgL_newz00_3581 =
						create_struct(CNST_TABLE_REF(((long) 0)), (int) (((long) 2)));
					{	/* SawMill/bbv-specialize.scm 50 */
						int BgL_tmpz00_5932;

						BgL_tmpz00_5932 = (int) (((long) 1));
						STRUCT_SET(BgL_newz00_3581, BgL_tmpz00_5932, BgL_maxz00_3580);
					}
					{	/* SawMill/bbv-specialize.scm 50 */
						int BgL_tmpz00_5935;

						BgL_tmpz00_5935 = (int) (((long) 0));
						STRUCT_SET(BgL_newz00_3581, BgL_tmpz00_5935, BgL_minz00_3579);
					}
					BGl_za2infinityzd2intvza2zd2zzsaw_bbvzd2specializa7ez75 =
						BgL_newz00_3581;
			}}
			{	/* SawMill/bbv-specialize.scm 51 */
				obj_t BgL_maxz00_3584;

				BgL_maxz00_3584 = BGl_za2maxzd2lengthza2zd2zzsaw_bbvzd2typeszd2;
				{	/* SawMill/bbv-specialize.scm 51 */
					obj_t BgL_newz00_3585;

					BgL_newz00_3585 =
						create_struct(CNST_TABLE_REF(((long) 0)), (int) (((long) 2)));
					{	/* SawMill/bbv-specialize.scm 51 */
						int BgL_tmpz00_5941;

						BgL_tmpz00_5941 = (int) (((long) 1));
						STRUCT_SET(BgL_newz00_3585, BgL_tmpz00_5941, BgL_maxz00_3584);
					}
					{	/* SawMill/bbv-specialize.scm 51 */
						int BgL_tmpz00_5944;

						BgL_tmpz00_5944 = (int) (((long) 0));
						STRUCT_SET(BgL_newz00_3585, BgL_tmpz00_5944,
							BGl_llong2611z00zzsaw_bbvzd2specializa7ez75);
					}
					BGl_za2lengthzd2intvza2zd2zzsaw_bbvzd2specializa7ez75 =
						BgL_newz00_3585;
			}}
			{	/* SawMill/bbv-specialize.scm 52 */
				obj_t BgL_minz00_3588;
				obj_t BgL_maxz00_3589;

				BgL_minz00_3588 = BGl_za2minzd2fixnumza2zd2zzsaw_bbvzd2typeszd2;
				BgL_maxz00_3589 = BGl_za2maxzd2fixnumza2zd2zzsaw_bbvzd2typeszd2;
				{	/* SawMill/bbv-specialize.scm 52 */
					obj_t BgL_newz00_3590;

					BgL_newz00_3590 =
						create_struct(CNST_TABLE_REF(((long) 0)), (int) (((long) 2)));
					{	/* SawMill/bbv-specialize.scm 52 */
						int BgL_tmpz00_5950;

						BgL_tmpz00_5950 = (int) (((long) 1));
						STRUCT_SET(BgL_newz00_3590, BgL_tmpz00_5950, BgL_maxz00_3589);
					}
					{	/* SawMill/bbv-specialize.scm 52 */
						int BgL_tmpz00_5953;

						BgL_tmpz00_5953 = (int) (((long) 0));
						STRUCT_SET(BgL_newz00_3590, BgL_tmpz00_5953, BgL_minz00_3588);
					}
					return (BGl_za2fixnumzd2intvza2zd2zzsaw_bbvzd2specializa7ez75 =
						BgL_newz00_3590, BUNSPEC);
				}
			}
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_bbvzd2specializa7ez75(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_2099;

				BgL_headz00_2099 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2100;
					obj_t BgL_tailz00_2101;

					BgL_prevz00_2100 = BgL_headz00_2099;
					BgL_tailz00_2101 = BgL_l1z00_1;
				BgL_loopz00_2102:
					if (PAIRP(BgL_tailz00_2101))
						{
							obj_t BgL_newzd2prevzd2_2104;

							BgL_newzd2prevzd2_2104 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2101), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2100, BgL_newzd2prevzd2_2104);
							{
								obj_t BgL_tailz00_5963;
								obj_t BgL_prevz00_5962;

								BgL_prevz00_5962 = BgL_newzd2prevzd2_2104;
								BgL_tailz00_5963 = CDR(BgL_tailz00_2101);
								BgL_tailz00_2101 = BgL_tailz00_5963;
								BgL_prevz00_2100 = BgL_prevz00_5962;
								goto BgL_loopz00_2102;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_2099);
				}
			}
		}

	}



/* make-rtl_reg/ra */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2specializa7ez75(BgL_typez00_bglt
		BgL_type1179z00_3, obj_t BgL_var1180z00_4, obj_t BgL_onexprzf31181zf3_5,
		obj_t BgL_name1182z00_6, obj_t BgL_key1183z00_7,
		obj_t BgL_hardware1184z00_8, int BgL_num1185z00_9,
		obj_t BgL_color1186z00_10, obj_t BgL_coalesce1187z00_11,
		int BgL_occurrences1188z00_12, obj_t BgL_interfere1189z00_13,
		obj_t BgL_interfere21190z00_14)
	{
		{	/* SawMill/regset.sch 55 */
			{	/* SawMill/regset.sch 55 */
				BgL_rtl_regz00_bglt BgL_new1161z00_5776;

				{	/* SawMill/regset.sch 55 */
					BgL_rtl_regz00_bglt BgL_tmp1159z00_5777;
					BgL_rtl_regzf2razf2_bglt BgL_wide1160z00_5778;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_5966;

						{	/* SawMill/regset.sch 55 */
							BgL_rtl_regz00_bglt BgL_new1158z00_5779;

							BgL_new1158z00_5779 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/regset.sch 55 */
								long BgL_arg1897z00_5780;

								BgL_arg1897z00_5780 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1158z00_5779),
									BgL_arg1897z00_5780);
							}
							{	/* SawMill/regset.sch 55 */
								BgL_objectz00_bglt BgL_tmpz00_5971;

								BgL_tmpz00_5971 = ((BgL_objectz00_bglt) BgL_new1158z00_5779);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5971, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1158z00_5779);
							BgL_auxz00_5966 = BgL_new1158z00_5779;
						}
						BgL_tmp1159z00_5777 = ((BgL_rtl_regz00_bglt) BgL_auxz00_5966);
					}
					BgL_wide1160z00_5778 =
						((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regzf2razf2_bgl))));
					{	/* SawMill/regset.sch 55 */
						obj_t BgL_auxz00_5979;
						BgL_objectz00_bglt BgL_tmpz00_5977;

						BgL_auxz00_5979 = ((obj_t) BgL_wide1160z00_5778);
						BgL_tmpz00_5977 = ((BgL_objectz00_bglt) BgL_tmp1159z00_5777);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5977, BgL_auxz00_5979);
					}
					((BgL_objectz00_bglt) BgL_tmp1159z00_5777);
					{	/* SawMill/regset.sch 55 */
						long BgL_arg1896z00_5781;

						BgL_arg1896z00_5781 =
							BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1159z00_5777), BgL_arg1896z00_5781);
					}
					BgL_new1161z00_5776 = ((BgL_rtl_regz00_bglt) BgL_tmp1159z00_5777);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1161z00_5776)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1179z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_5776)))->BgL_varz00) =
					((obj_t) BgL_var1180z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_5776)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31181zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_5776)))->BgL_namez00) =
					((obj_t) BgL_name1182z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_5776)))->BgL_keyz00) =
					((obj_t) BgL_key1183z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_5776)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1184z00_8), BUNSPEC);
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_5999;

					{
						obj_t BgL_auxz00_6000;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_6001;

							BgL_tmpz00_6001 = ((BgL_objectz00_bglt) BgL_new1161z00_5776);
							BgL_auxz00_6000 = BGL_OBJECT_WIDENING(BgL_tmpz00_6001);
						}
						BgL_auxz00_5999 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6000);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5999))->BgL_numz00) =
						((int) BgL_num1185z00_9), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_6006;

					{
						obj_t BgL_auxz00_6007;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_6008;

							BgL_tmpz00_6008 = ((BgL_objectz00_bglt) BgL_new1161z00_5776);
							BgL_auxz00_6007 = BGL_OBJECT_WIDENING(BgL_tmpz00_6008);
						}
						BgL_auxz00_6006 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6007);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6006))->
							BgL_colorz00) = ((obj_t) BgL_color1186z00_10), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_6013;

					{
						obj_t BgL_auxz00_6014;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_6015;

							BgL_tmpz00_6015 = ((BgL_objectz00_bglt) BgL_new1161z00_5776);
							BgL_auxz00_6014 = BGL_OBJECT_WIDENING(BgL_tmpz00_6015);
						}
						BgL_auxz00_6013 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6014);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6013))->
							BgL_coalescez00) = ((obj_t) BgL_coalesce1187z00_11), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_6020;

					{
						obj_t BgL_auxz00_6021;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_6022;

							BgL_tmpz00_6022 = ((BgL_objectz00_bglt) BgL_new1161z00_5776);
							BgL_auxz00_6021 = BGL_OBJECT_WIDENING(BgL_tmpz00_6022);
						}
						BgL_auxz00_6020 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6021);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6020))->
							BgL_occurrencesz00) = ((int) BgL_occurrences1188z00_12), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_6027;

					{
						obj_t BgL_auxz00_6028;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_6029;

							BgL_tmpz00_6029 = ((BgL_objectz00_bglt) BgL_new1161z00_5776);
							BgL_auxz00_6028 = BGL_OBJECT_WIDENING(BgL_tmpz00_6029);
						}
						BgL_auxz00_6027 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6028);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6027))->
							BgL_interferez00) = ((obj_t) BgL_interfere1189z00_13), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_6034;

					{
						obj_t BgL_auxz00_6035;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_6036;

							BgL_tmpz00_6036 = ((BgL_objectz00_bglt) BgL_new1161z00_5776);
							BgL_auxz00_6035 = BGL_OBJECT_WIDENING(BgL_tmpz00_6036);
						}
						BgL_auxz00_6034 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6035);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6034))->
							BgL_interfere2z00) = ((obj_t) BgL_interfere21190z00_14), BUNSPEC);
				}
				return BgL_new1161z00_5776;
			}
		}

	}



/* &make-rtl_reg/ra */
	BgL_rtl_regz00_bglt
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5483, obj_t BgL_type1179z00_5484, obj_t BgL_var1180z00_5485,
		obj_t BgL_onexprzf31181zf3_5486, obj_t BgL_name1182z00_5487,
		obj_t BgL_key1183z00_5488, obj_t BgL_hardware1184z00_5489,
		obj_t BgL_num1185z00_5490, obj_t BgL_color1186z00_5491,
		obj_t BgL_coalesce1187z00_5492, obj_t BgL_occurrences1188z00_5493,
		obj_t BgL_interfere1189z00_5494, obj_t BgL_interfere21190z00_5495)
	{
		{	/* SawMill/regset.sch 55 */
			return
				BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2specializa7ez75(
				((BgL_typez00_bglt) BgL_type1179z00_5484), BgL_var1180z00_5485,
				BgL_onexprzf31181zf3_5486, BgL_name1182z00_5487, BgL_key1183z00_5488,
				BgL_hardware1184z00_5489, CINT(BgL_num1185z00_5490),
				BgL_color1186z00_5491, BgL_coalesce1187z00_5492,
				CINT(BgL_occurrences1188z00_5493), BgL_interfere1189z00_5494,
				BgL_interfere21190z00_5495);
		}

	}



/* rtl_reg/ra? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_regzf2razf3z01zzsaw_bbvzd2specializa7ez75(obj_t BgL_objz00_15)
	{
		{	/* SawMill/regset.sch 56 */
			{	/* SawMill/regset.sch 56 */
				obj_t BgL_classz00_5782;

				BgL_classz00_5782 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* SawMill/regset.sch 56 */
						BgL_objectz00_bglt BgL_arg1825z00_5783;

						BgL_arg1825z00_5783 = (BgL_objectz00_bglt) (BgL_objz00_15);
						{	/* SawMill/regset.sch 56 */
							bool_t BgL_arg1822z00_5784;
							bool_t BgL_arg1823z00_5785;

							{	/* SawMill/regset.sch 56 */
								long BgL_idxz00_5786;

								BgL_idxz00_5786 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5783);
								BgL_arg1822z00_5784 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5786 + ((long) 2))) == BgL_classz00_5782);
							}
							{	/* SawMill/regset.sch 56 */
								bool_t BgL_res2567z00_5789;

								{	/* SawMill/regset.sch 56 */
									obj_t BgL_oclassz00_5790;

									{	/* SawMill/regset.sch 56 */
										long BgL_arg1833z00_5791;

										{	/* SawMill/regset.sch 56 */
											long BgL_arg1834z00_5792;

											BgL_arg1834z00_5792 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5783);
											BgL_arg1833z00_5791 = (BgL_arg1834z00_5792 - OBJECT_TYPE);
										}
										BgL_oclassz00_5790 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_5791);
									}
									{	/* SawMill/regset.sch 56 */
										bool_t BgL__ortest_1110z00_5793;

										BgL__ortest_1110z00_5793 =
											(BgL_classz00_5782 == BgL_oclassz00_5790);
										if (BgL__ortest_1110z00_5793)
											{	/* SawMill/regset.sch 56 */
												BgL_res2567z00_5789 = BgL__ortest_1110z00_5793;
											}
										else
											{	/* SawMill/regset.sch 56 */
												long BgL_odepthz00_5794;

												BgL_odepthz00_5794 =
													BGL_CLASS_DEPTH(BgL_oclassz00_5790);
												if ((((long) 2) < BgL_odepthz00_5794))
													{	/* SawMill/regset.sch 56 */
														obj_t BgL_arg1821z00_5795;

														BgL_arg1821z00_5795 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5790,
															((long) 2));
														BgL_res2567z00_5789 =
															(BgL_arg1821z00_5795 == BgL_classz00_5782);
													}
												else
													{	/* SawMill/regset.sch 56 */
														BgL_res2567z00_5789 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_5785 = BgL_res2567z00_5789;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_5784, BgL_arg1823z00_5785);
						}
					}
				else
					{	/* SawMill/regset.sch 56 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg/ra? */
	obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5496, obj_t BgL_objz00_5497)
	{
		{	/* SawMill/regset.sch 56 */
			return
				BBOOL(BGl_rtl_regzf2razf3z01zzsaw_bbvzd2specializa7ez75
				(BgL_objz00_5497));
		}

	}



/* rtl_reg/ra-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2specializa7ez75()
	{
		{	/* SawMill/regset.sch 57 */
			{	/* SawMill/regset.sch 57 */
				obj_t BgL_classz00_3649;

				BgL_classz00_3649 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				{	/* SawMill/regset.sch 57 */
					obj_t BgL__ortest_1112z00_3650;

					BgL__ortest_1112z00_3650 = BGL_CLASS_NIL(BgL_classz00_3649);
					if (CBOOL(BgL__ortest_1112z00_3650))
						{	/* SawMill/regset.sch 57 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1112z00_3650);
						}
					else
						{	/* SawMill/regset.sch 57 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3649));
						}
				}
			}
		}

	}



/* &rtl_reg/ra-nil */
	BgL_rtl_regz00_bglt
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5498)
	{
		{	/* SawMill/regset.sch 57 */
			return BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2specializa7ez75();
		}

	}



/* rtl_reg/ra-interfere2 */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_16)
	{
		{	/* SawMill/regset.sch 58 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6072;

				{
					obj_t BgL_auxz00_6073;

					{	/* SawMill/regset.sch 58 */
						BgL_objectz00_bglt BgL_tmpz00_6074;

						BgL_tmpz00_6074 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_6073 = BGL_OBJECT_WIDENING(BgL_tmpz00_6074);
					}
					BgL_auxz00_6072 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6073);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6072))->
					BgL_interfere2z00);
			}
		}

	}



/* &rtl_reg/ra-interfere2 */
	obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5499, obj_t BgL_oz00_5500)
	{
		{	/* SawMill/regset.sch 58 */
			return
				BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_5500));
		}

	}



/* rtl_reg/ra-interfere2-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* SawMill/regset.sch 59 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6081;

				{
					obj_t BgL_auxz00_6082;

					{	/* SawMill/regset.sch 59 */
						BgL_objectz00_bglt BgL_tmpz00_6083;

						BgL_tmpz00_6083 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_6082 = BGL_OBJECT_WIDENING(BgL_tmpz00_6083);
					}
					BgL_auxz00_6081 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6082);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6081))->
						BgL_interfere2z00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere2-set! */
	obj_t
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2specializa7ez75
		(obj_t BgL_envz00_5501, obj_t BgL_oz00_5502, obj_t BgL_vz00_5503)
	{
		{	/* SawMill/regset.sch 59 */
			return
				BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_5502), BgL_vz00_5503);
		}

	}



/* rtl_reg/ra-interfere */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_19)
	{
		{	/* SawMill/regset.sch 60 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6090;

				{
					obj_t BgL_auxz00_6091;

					{	/* SawMill/regset.sch 60 */
						BgL_objectz00_bglt BgL_tmpz00_6092;

						BgL_tmpz00_6092 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_6091 = BGL_OBJECT_WIDENING(BgL_tmpz00_6092);
					}
					BgL_auxz00_6090 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6091);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6090))->
					BgL_interferez00);
			}
		}

	}



/* &rtl_reg/ra-interfere */
	obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5504, obj_t BgL_oz00_5505)
	{
		{	/* SawMill/regset.sch 60 */
			return
				BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_5505));
		}

	}



/* rtl_reg/ra-interfere-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/regset.sch 61 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6099;

				{
					obj_t BgL_auxz00_6100;

					{	/* SawMill/regset.sch 61 */
						BgL_objectz00_bglt BgL_tmpz00_6101;

						BgL_tmpz00_6101 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_6100 = BGL_OBJECT_WIDENING(BgL_tmpz00_6101);
					}
					BgL_auxz00_6099 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6100);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6099))->
						BgL_interferez00) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere-set! */
	obj_t
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5506, obj_t BgL_oz00_5507, obj_t BgL_vz00_5508)
	{
		{	/* SawMill/regset.sch 61 */
			return
				BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_5507), BgL_vz00_5508);
		}

	}



/* rtl_reg/ra-occurrences */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_22)
	{
		{	/* SawMill/regset.sch 62 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6108;

				{
					obj_t BgL_auxz00_6109;

					{	/* SawMill/regset.sch 62 */
						BgL_objectz00_bglt BgL_tmpz00_6110;

						BgL_tmpz00_6110 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_6109 = BGL_OBJECT_WIDENING(BgL_tmpz00_6110);
					}
					BgL_auxz00_6108 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6109);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6108))->
					BgL_occurrencesz00);
			}
		}

	}



/* &rtl_reg/ra-occurrences */
	obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5509, obj_t BgL_oz00_5510)
	{
		{	/* SawMill/regset.sch 62 */
			return
				BINT(BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2specializa7ez75(
					((BgL_rtl_regz00_bglt) BgL_oz00_5510)));
		}

	}



/* rtl_reg/ra-occurrences-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_23, int BgL_vz00_24)
	{
		{	/* SawMill/regset.sch 63 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6118;

				{
					obj_t BgL_auxz00_6119;

					{	/* SawMill/regset.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_6120;

						BgL_tmpz00_6120 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_6119 = BGL_OBJECT_WIDENING(BgL_tmpz00_6120);
					}
					BgL_auxz00_6118 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6119);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6118))->
						BgL_occurrencesz00) = ((int) BgL_vz00_24), BUNSPEC);
		}}

	}



/* &rtl_reg/ra-occurrences-set! */
	obj_t
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2specializa7ez75
		(obj_t BgL_envz00_5511, obj_t BgL_oz00_5512, obj_t BgL_vz00_5513)
	{
		{	/* SawMill/regset.sch 63 */
			return
				BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_5512), CINT(BgL_vz00_5513));
		}

	}



/* rtl_reg/ra-coalesce */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_25)
	{
		{	/* SawMill/regset.sch 64 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6128;

				{
					obj_t BgL_auxz00_6129;

					{	/* SawMill/regset.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_6130;

						BgL_tmpz00_6130 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_6129 = BGL_OBJECT_WIDENING(BgL_tmpz00_6130);
					}
					BgL_auxz00_6128 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6129);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6128))->
					BgL_coalescez00);
			}
		}

	}



/* &rtl_reg/ra-coalesce */
	obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5514, obj_t BgL_oz00_5515)
	{
		{	/* SawMill/regset.sch 64 */
			return
				BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_5515));
		}

	}



/* rtl_reg/ra-coalesce-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* SawMill/regset.sch 65 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6137;

				{
					obj_t BgL_auxz00_6138;

					{	/* SawMill/regset.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_6139;

						BgL_tmpz00_6139 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_6138 = BGL_OBJECT_WIDENING(BgL_tmpz00_6139);
					}
					BgL_auxz00_6137 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6138);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6137))->
						BgL_coalescez00) = ((obj_t) BgL_vz00_27), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-coalesce-set! */
	obj_t
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5516, obj_t BgL_oz00_5517, obj_t BgL_vz00_5518)
	{
		{	/* SawMill/regset.sch 65 */
			return
				BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_5517), BgL_vz00_5518);
		}

	}



/* rtl_reg/ra-color */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt
		BgL_oz00_28)
	{
		{	/* SawMill/regset.sch 66 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6146;

				{
					obj_t BgL_auxz00_6147;

					{	/* SawMill/regset.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_6148;

						BgL_tmpz00_6148 = ((BgL_objectz00_bglt) BgL_oz00_28);
						BgL_auxz00_6147 = BGL_OBJECT_WIDENING(BgL_tmpz00_6148);
					}
					BgL_auxz00_6146 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6147);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6146))->BgL_colorz00);
			}
		}

	}



/* &rtl_reg/ra-color */
	obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5519, obj_t BgL_oz00_5520)
	{
		{	/* SawMill/regset.sch 66 */
			return
				BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_5520));
		}

	}



/* rtl_reg/ra-color-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawMill/regset.sch 67 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6155;

				{
					obj_t BgL_auxz00_6156;

					{	/* SawMill/regset.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_6157;

						BgL_tmpz00_6157 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_6156 = BGL_OBJECT_WIDENING(BgL_tmpz00_6157);
					}
					BgL_auxz00_6155 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6156);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6155))->
						BgL_colorz00) = ((obj_t) BgL_vz00_30), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-color-set! */
	obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5521, obj_t BgL_oz00_5522, obj_t BgL_vz00_5523)
	{
		{	/* SawMill/regset.sch 67 */
			return
				BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_5522), BgL_vz00_5523);
		}

	}



/* rtl_reg/ra-num */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt
		BgL_oz00_31)
	{
		{	/* SawMill/regset.sch 68 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_6164;

				{
					obj_t BgL_auxz00_6165;

					{	/* SawMill/regset.sch 68 */
						BgL_objectz00_bglt BgL_tmpz00_6166;

						BgL_tmpz00_6166 = ((BgL_objectz00_bglt) BgL_oz00_31);
						BgL_auxz00_6165 = BGL_OBJECT_WIDENING(BgL_tmpz00_6166);
					}
					BgL_auxz00_6164 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6165);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6164))->BgL_numz00);
			}
		}

	}



/* &rtl_reg/ra-num */
	obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5524, obj_t BgL_oz00_5525)
	{
		{	/* SawMill/regset.sch 68 */
			return
				BINT(BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2specializa7ez75(
					((BgL_rtl_regz00_bglt) BgL_oz00_5525)));
		}

	}



/* rtl_reg/ra-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_34)
	{
		{	/* SawMill/regset.sch 70 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_34)))->BgL_hardwarez00);
		}

	}



/* &rtl_reg/ra-hardware */
	obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5526, obj_t BgL_oz00_5527)
	{
		{	/* SawMill/regset.sch 70 */
			return
				BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_5527));
		}

	}



/* rtl_reg/ra-key */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt
		BgL_oz00_37)
	{
		{	/* SawMill/regset.sch 72 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_37)))->BgL_keyz00);
		}

	}



/* &rtl_reg/ra-key */
	obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5528, obj_t BgL_oz00_5529)
	{
		{	/* SawMill/regset.sch 72 */
			return
				BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_5529));
		}

	}



/* rtl_reg/ra-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt
		BgL_oz00_40)
	{
		{	/* SawMill/regset.sch 74 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_40)))->BgL_namez00);
		}

	}



/* &rtl_reg/ra-name */
	obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5530, obj_t BgL_oz00_5531)
	{
		{	/* SawMill/regset.sch 74 */
			return
				BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_5531));
		}

	}



/* rtl_reg/ra-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_43)
	{
		{	/* SawMill/regset.sch 76 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_43)))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg/ra-onexpr? */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5532, obj_t BgL_oz00_5533)
	{
		{	/* SawMill/regset.sch 76 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_5533));
		}

	}



/* rtl_reg/ra-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawMill/regset.sch 77 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_44)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &rtl_reg/ra-onexpr?-set! */
	obj_t
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5534, obj_t BgL_oz00_5535, obj_t BgL_vz00_5536)
	{
		{	/* SawMill/regset.sch 77 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_5535), BgL_vz00_5536);
		}

	}



/* rtl_reg/ra-var */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt
		BgL_oz00_46)
	{
		{	/* SawMill/regset.sch 78 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_46)))->BgL_varz00);
		}

	}



/* &rtl_reg/ra-var */
	obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5537, obj_t BgL_oz00_5538)
	{
		{	/* SawMill/regset.sch 78 */
			return
				BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_5538));
		}

	}



/* rtl_reg/ra-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* SawMill/regset.sch 79 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_47)))->BgL_varz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &rtl_reg/ra-var-set! */
	obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5539, obj_t BgL_oz00_5540, obj_t BgL_vz00_5541)
	{
		{	/* SawMill/regset.sch 79 */
			return
				BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_5540), BgL_vz00_5541);
		}

	}



/* rtl_reg/ra-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt
		BgL_oz00_49)
	{
		{	/* SawMill/regset.sch 80 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_49)))->BgL_typez00);
		}

	}



/* &rtl_reg/ra-type */
	BgL_typez00_bglt
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5542, obj_t BgL_oz00_5543)
	{
		{	/* SawMill/regset.sch 80 */
			return
				BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_5543));
		}

	}



/* rtl_reg/ra-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_regz00_bglt BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		{	/* SawMill/regset.sch 81 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_reg/ra-type-set! */
	obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5544, obj_t BgL_oz00_5545, obj_t BgL_vz00_5546)
	{
		{	/* SawMill/regset.sch 81 */
			return
				BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_oz00_5545),
				((BgL_typez00_bglt) BgL_vz00_5546));
		}

	}



/* make-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2specializa7ez75(int BgL_length1172z00_52,
		int BgL_msiza7e1173za7_53, obj_t BgL_regv1174z00_54,
		obj_t BgL_regl1175z00_55, obj_t BgL_string1176z00_56)
	{
		{	/* SawMill/regset.sch 84 */
			{	/* SawMill/regset.sch 84 */
				BgL_regsetz00_bglt BgL_new1163z00_5796;

				{	/* SawMill/regset.sch 84 */
					BgL_regsetz00_bglt BgL_new1162z00_5797;

					BgL_new1162z00_5797 =
						((BgL_regsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_regsetz00_bgl))));
					{	/* SawMill/regset.sch 84 */
						long BgL_arg1898z00_5798;

						BgL_arg1898z00_5798 = BGL_CLASS_NUM(BGl_regsetz00zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1162z00_5797), BgL_arg1898z00_5798);
					}
					BgL_new1163z00_5796 = BgL_new1162z00_5797;
				}
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_5796))->BgL_lengthz00) =
					((int) BgL_length1172z00_52), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_5796))->BgL_msiza7eza7) =
					((int) BgL_msiza7e1173za7_53), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_5796))->BgL_regvz00) =
					((obj_t) BgL_regv1174z00_54), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_5796))->BgL_reglz00) =
					((obj_t) BgL_regl1175z00_55), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_5796))->BgL_stringz00) =
					((obj_t) BgL_string1176z00_56), BUNSPEC);
				return BgL_new1163z00_5796;
			}
		}

	}



/* &make-regset */
	BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5547, obj_t BgL_length1172z00_5548,
		obj_t BgL_msiza7e1173za7_5549, obj_t BgL_regv1174z00_5550,
		obj_t BgL_regl1175z00_5551, obj_t BgL_string1176z00_5552)
	{
		{	/* SawMill/regset.sch 84 */
			return
				BGl_makezd2regsetzd2zzsaw_bbvzd2specializa7ez75(CINT
				(BgL_length1172z00_5548), CINT(BgL_msiza7e1173za7_5549),
				BgL_regv1174z00_5550, BgL_regl1175z00_5551, BgL_string1176z00_5552);
		}

	}



/* regset? */
	BGL_EXPORTED_DEF bool_t BGl_regsetzf3zf3zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_objz00_57)
	{
		{	/* SawMill/regset.sch 85 */
			{	/* SawMill/regset.sch 85 */
				obj_t BgL_classz00_5799;

				BgL_classz00_5799 = BGl_regsetz00zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/regset.sch 85 */
						BgL_objectz00_bglt BgL_arg1825z00_5800;

						BgL_arg1825z00_5800 = (BgL_objectz00_bglt) (BgL_objz00_57);
						{	/* SawMill/regset.sch 85 */
							bool_t BgL_arg1822z00_5801;
							bool_t BgL_arg1823z00_5802;

							{	/* SawMill/regset.sch 85 */
								long BgL_idxz00_5803;

								BgL_idxz00_5803 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5800);
								BgL_arg1822z00_5801 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5803 + ((long) 1))) == BgL_classz00_5799);
							}
							{	/* SawMill/regset.sch 85 */
								bool_t BgL_res2568z00_5806;

								{	/* SawMill/regset.sch 85 */
									obj_t BgL_oclassz00_5807;

									{	/* SawMill/regset.sch 85 */
										long BgL_arg1833z00_5808;

										{	/* SawMill/regset.sch 85 */
											long BgL_arg1834z00_5809;

											BgL_arg1834z00_5809 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5800);
											BgL_arg1833z00_5808 = (BgL_arg1834z00_5809 - OBJECT_TYPE);
										}
										BgL_oclassz00_5807 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_5808);
									}
									{	/* SawMill/regset.sch 85 */
										bool_t BgL__ortest_1110z00_5810;

										BgL__ortest_1110z00_5810 =
											(BgL_classz00_5799 == BgL_oclassz00_5807);
										if (BgL__ortest_1110z00_5810)
											{	/* SawMill/regset.sch 85 */
												BgL_res2568z00_5806 = BgL__ortest_1110z00_5810;
											}
										else
											{	/* SawMill/regset.sch 85 */
												long BgL_odepthz00_5811;

												BgL_odepthz00_5811 =
													BGL_CLASS_DEPTH(BgL_oclassz00_5807);
												if ((((long) 1) < BgL_odepthz00_5811))
													{	/* SawMill/regset.sch 85 */
														obj_t BgL_arg1821z00_5812;

														BgL_arg1821z00_5812 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5807,
															((long) 1));
														BgL_res2568z00_5806 =
															(BgL_arg1821z00_5812 == BgL_classz00_5799);
													}
												else
													{	/* SawMill/regset.sch 85 */
														BgL_res2568z00_5806 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_5802 = BgL_res2568z00_5806;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_5801, BgL_arg1823z00_5802);
						}
					}
				else
					{	/* SawMill/regset.sch 85 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &regset? */
	obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2specializa7ez75(obj_t BgL_envz00_5553,
		obj_t BgL_objz00_5554)
	{
		{	/* SawMill/regset.sch 85 */
			return
				BBOOL(BGl_regsetzf3zf3zzsaw_bbvzd2specializa7ez75(BgL_objz00_5554));
		}

	}



/* regset-nil */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2specializa7ez75()
	{
		{	/* SawMill/regset.sch 86 */
			{	/* SawMill/regset.sch 86 */
				obj_t BgL_classz00_3700;

				BgL_classz00_3700 = BGl_regsetz00zzsaw_regsetz00;
				{	/* SawMill/regset.sch 86 */
					obj_t BgL__ortest_1112z00_3701;

					BgL__ortest_1112z00_3701 = BGL_CLASS_NIL(BgL_classz00_3700);
					if (CBOOL(BgL__ortest_1112z00_3701))
						{	/* SawMill/regset.sch 86 */
							return ((BgL_regsetz00_bglt) BgL__ortest_1112z00_3701);
						}
					else
						{	/* SawMill/regset.sch 86 */
							return
								((BgL_regsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3700));
						}
				}
			}
		}

	}



/* &regset-nil */
	BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5555)
	{
		{	/* SawMill/regset.sch 86 */
			return BGl_regsetzd2nilzd2zzsaw_bbvzd2specializa7ez75();
		}

	}



/* regset-string */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt
		BgL_oz00_58)
	{
		{	/* SawMill/regset.sch 87 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_58))->BgL_stringz00);
		}

	}



/* &regset-string */
	obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5556, obj_t BgL_oz00_5557)
	{
		{	/* SawMill/regset.sch 87 */
			return
				BGl_regsetzd2stringzd2zzsaw_bbvzd2specializa7ez75(
				((BgL_regsetz00_bglt) BgL_oz00_5557));
		}

	}



/* regset-string-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2specializa7ez75
		(BgL_regsetz00_bglt BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* SawMill/regset.sch 88 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_59))->BgL_stringz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &regset-string-set! */
	obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5558, obj_t BgL_oz00_5559, obj_t BgL_vz00_5560)
	{
		{	/* SawMill/regset.sch 88 */
			return
				BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_regsetz00_bglt) BgL_oz00_5559), BgL_vz00_5560);
		}

	}



/* regset-regl */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt
		BgL_oz00_61)
	{
		{	/* SawMill/regset.sch 89 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_61))->BgL_reglz00);
		}

	}



/* &regset-regl */
	obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5561, obj_t BgL_oz00_5562)
	{
		{	/* SawMill/regset.sch 89 */
			return
				BGl_regsetzd2reglzd2zzsaw_bbvzd2specializa7ez75(
				((BgL_regsetz00_bglt) BgL_oz00_5562));
		}

	}



/* regset-regv */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt
		BgL_oz00_64)
	{
		{	/* SawMill/regset.sch 91 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_64))->BgL_regvz00);
		}

	}



/* &regset-regv */
	obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5563, obj_t BgL_oz00_5564)
	{
		{	/* SawMill/regset.sch 91 */
			return
				BGl_regsetzd2regvzd2zzsaw_bbvzd2specializa7ez75(
				((BgL_regsetz00_bglt) BgL_oz00_5564));
		}

	}



/* regset-msize */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt
		BgL_oz00_67)
	{
		{	/* SawMill/regset.sch 93 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_67))->BgL_msiza7eza7);
		}

	}



/* &regset-msize */
	obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5565, obj_t BgL_oz00_5566)
	{
		{	/* SawMill/regset.sch 93 */
			return
				BINT(BGl_regsetzd2msiza7ez75zzsaw_bbvzd2specializa7ez75(
					((BgL_regsetz00_bglt) BgL_oz00_5566)));
		}

	}



/* regset-length */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2specializa7ez75(BgL_regsetz00_bglt
		BgL_oz00_70)
	{
		{	/* SawMill/regset.sch 95 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_70))->BgL_lengthz00);
		}

	}



/* &regset-length */
	obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5567, obj_t BgL_oz00_5568)
	{
		{	/* SawMill/regset.sch 95 */
			return
				BINT(BGl_regsetzd2lengthzd2zzsaw_bbvzd2specializa7ez75(
					((BgL_regsetz00_bglt) BgL_oz00_5568)));
		}

	}



/* regset-length-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2specializa7ez75
		(BgL_regsetz00_bglt BgL_oz00_71, int BgL_vz00_72)
	{
		{	/* SawMill/regset.sch 96 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_71))->BgL_lengthz00) =
				((int) BgL_vz00_72), BUNSPEC);
		}

	}



/* &regset-length-set! */
	obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5569, obj_t BgL_oz00_5570, obj_t BgL_vz00_5571)
	{
		{	/* SawMill/regset.sch 96 */
			return
				BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_regsetz00_bglt) BgL_oz00_5570), CINT(BgL_vz00_5571));
		}

	}



/* make-blockV */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_makezd2blockVzd2zzsaw_bbvzd2specializa7ez75(int BgL_label1226z00_73,
		obj_t BgL_preds1227z00_74, obj_t BgL_succs1228z00_75,
		obj_t BgL_first1229z00_76, obj_t BgL_versions1230z00_77,
		long BgL_z52mark1231z52_78)
	{
		{	/* SawMill/bbv-types.sch 97 */
			{	/* SawMill/bbv-types.sch 97 */
				BgL_blockz00_bglt BgL_new1167z00_5813;

				{	/* SawMill/bbv-types.sch 97 */
					BgL_blockz00_bglt BgL_tmp1165z00_5814;
					BgL_blockvz00_bglt BgL_wide1166z00_5815;

					{
						BgL_blockz00_bglt BgL_auxz00_6274;

						{	/* SawMill/bbv-types.sch 97 */
							BgL_blockz00_bglt BgL_new1164z00_5816;

							BgL_new1164z00_5816 =
								((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_blockz00_bgl))));
							{	/* SawMill/bbv-types.sch 97 */
								long BgL_arg1904z00_5817;

								BgL_arg1904z00_5817 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1164z00_5816),
									BgL_arg1904z00_5817);
							}
							{	/* SawMill/bbv-types.sch 97 */
								BgL_objectz00_bglt BgL_tmpz00_6279;

								BgL_tmpz00_6279 = ((BgL_objectz00_bglt) BgL_new1164z00_5816);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6279, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1164z00_5816);
							BgL_auxz00_6274 = BgL_new1164z00_5816;
						}
						BgL_tmp1165z00_5814 = ((BgL_blockz00_bglt) BgL_auxz00_6274);
					}
					BgL_wide1166z00_5815 =
						((BgL_blockvz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_blockvz00_bgl))));
					{	/* SawMill/bbv-types.sch 97 */
						obj_t BgL_auxz00_6287;
						BgL_objectz00_bglt BgL_tmpz00_6285;

						BgL_auxz00_6287 = ((obj_t) BgL_wide1166z00_5815);
						BgL_tmpz00_6285 = ((BgL_objectz00_bglt) BgL_tmp1165z00_5814);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6285, BgL_auxz00_6287);
					}
					((BgL_objectz00_bglt) BgL_tmp1165z00_5814);
					{	/* SawMill/bbv-types.sch 97 */
						long BgL_arg1901z00_5818;

						BgL_arg1901z00_5818 =
							BGL_CLASS_NUM(BGl_blockVz00zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1165z00_5814), BgL_arg1901z00_5818);
					}
					BgL_new1167z00_5813 = ((BgL_blockz00_bglt) BgL_tmp1165z00_5814);
				}
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_new1167z00_5813)))->BgL_labelz00) =
					((int) BgL_label1226z00_73), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1167z00_5813)))->BgL_predsz00) =
					((obj_t) BgL_preds1227z00_74), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1167z00_5813)))->BgL_succsz00) =
					((obj_t) BgL_succs1228z00_75), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1167z00_5813)))->BgL_firstz00) =
					((obj_t) BgL_first1229z00_76), BUNSPEC);
				{
					BgL_blockvz00_bglt BgL_auxz00_6303;

					{
						obj_t BgL_auxz00_6304;

						{	/* SawMill/bbv-types.sch 97 */
							BgL_objectz00_bglt BgL_tmpz00_6305;

							BgL_tmpz00_6305 = ((BgL_objectz00_bglt) BgL_new1167z00_5813);
							BgL_auxz00_6304 = BGL_OBJECT_WIDENING(BgL_tmpz00_6305);
						}
						BgL_auxz00_6303 = ((BgL_blockvz00_bglt) BgL_auxz00_6304);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_6303))->BgL_versionsz00) =
						((obj_t) BgL_versions1230z00_77), BUNSPEC);
				}
				{
					BgL_blockvz00_bglt BgL_auxz00_6310;

					{
						obj_t BgL_auxz00_6311;

						{	/* SawMill/bbv-types.sch 97 */
							BgL_objectz00_bglt BgL_tmpz00_6312;

							BgL_tmpz00_6312 = ((BgL_objectz00_bglt) BgL_new1167z00_5813);
							BgL_auxz00_6311 = BGL_OBJECT_WIDENING(BgL_tmpz00_6312);
						}
						BgL_auxz00_6310 = ((BgL_blockvz00_bglt) BgL_auxz00_6311);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_6310))->BgL_z52markz52) =
						((long) BgL_z52mark1231z52_78), BUNSPEC);
				}
				return BgL_new1167z00_5813;
			}
		}

	}



/* &make-blockV */
	BgL_blockz00_bglt BGl_z62makezd2blockVzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5572, obj_t BgL_label1226z00_5573, obj_t BgL_preds1227z00_5574,
		obj_t BgL_succs1228z00_5575, obj_t BgL_first1229z00_5576,
		obj_t BgL_versions1230z00_5577, obj_t BgL_z52mark1231z52_5578)
	{
		{	/* SawMill/bbv-types.sch 97 */
			return
				BGl_makezd2blockVzd2zzsaw_bbvzd2specializa7ez75(CINT
				(BgL_label1226z00_5573), BgL_preds1227z00_5574, BgL_succs1228z00_5575,
				BgL_first1229z00_5576, BgL_versions1230z00_5577,
				(long) CINT(BgL_z52mark1231z52_5578));
		}

	}



/* blockV? */
	BGL_EXPORTED_DEF bool_t BGl_blockVzf3zf3zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_objz00_79)
	{
		{	/* SawMill/bbv-types.sch 98 */
			{	/* SawMill/bbv-types.sch 98 */
				obj_t BgL_classz00_5819;

				BgL_classz00_5819 = BGl_blockVz00zzsaw_bbvzd2typeszd2;
				if (BGL_OBJECTP(BgL_objz00_79))
					{	/* SawMill/bbv-types.sch 98 */
						BgL_objectz00_bglt BgL_arg1825z00_5820;

						BgL_arg1825z00_5820 = (BgL_objectz00_bglt) (BgL_objz00_79);
						{	/* SawMill/bbv-types.sch 98 */
							bool_t BgL_arg1822z00_5821;
							bool_t BgL_arg1823z00_5822;

							{	/* SawMill/bbv-types.sch 98 */
								long BgL_idxz00_5823;

								BgL_idxz00_5823 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5820);
								BgL_arg1822z00_5821 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5823 + ((long) 2))) == BgL_classz00_5819);
							}
							{	/* SawMill/bbv-types.sch 98 */
								bool_t BgL_res2569z00_5826;

								{	/* SawMill/bbv-types.sch 98 */
									obj_t BgL_oclassz00_5827;

									{	/* SawMill/bbv-types.sch 98 */
										long BgL_arg1833z00_5828;

										{	/* SawMill/bbv-types.sch 98 */
											long BgL_arg1834z00_5829;

											BgL_arg1834z00_5829 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5820);
											BgL_arg1833z00_5828 = (BgL_arg1834z00_5829 - OBJECT_TYPE);
										}
										BgL_oclassz00_5827 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_5828);
									}
									{	/* SawMill/bbv-types.sch 98 */
										bool_t BgL__ortest_1110z00_5830;

										BgL__ortest_1110z00_5830 =
											(BgL_classz00_5819 == BgL_oclassz00_5827);
										if (BgL__ortest_1110z00_5830)
											{	/* SawMill/bbv-types.sch 98 */
												BgL_res2569z00_5826 = BgL__ortest_1110z00_5830;
											}
										else
											{	/* SawMill/bbv-types.sch 98 */
												long BgL_odepthz00_5831;

												BgL_odepthz00_5831 =
													BGL_CLASS_DEPTH(BgL_oclassz00_5827);
												if ((((long) 2) < BgL_odepthz00_5831))
													{	/* SawMill/bbv-types.sch 98 */
														obj_t BgL_arg1821z00_5832;

														BgL_arg1821z00_5832 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5827,
															((long) 2));
														BgL_res2569z00_5826 =
															(BgL_arg1821z00_5832 == BgL_classz00_5819);
													}
												else
													{	/* SawMill/bbv-types.sch 98 */
														BgL_res2569z00_5826 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_5822 = BgL_res2569z00_5826;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_5821, BgL_arg1823z00_5822);
						}
					}
				else
					{	/* SawMill/bbv-types.sch 98 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &blockV? */
	obj_t BGl_z62blockVzf3z91zzsaw_bbvzd2specializa7ez75(obj_t BgL_envz00_5579,
		obj_t BgL_objz00_5580)
	{
		{	/* SawMill/bbv-types.sch 98 */
			return
				BBOOL(BGl_blockVzf3zf3zzsaw_bbvzd2specializa7ez75(BgL_objz00_5580));
		}

	}



/* blockV-nil */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_blockVzd2nilzd2zzsaw_bbvzd2specializa7ez75()
	{
		{	/* SawMill/bbv-types.sch 99 */
			{	/* SawMill/bbv-types.sch 99 */
				obj_t BgL_classz00_3750;

				BgL_classz00_3750 = BGl_blockVz00zzsaw_bbvzd2typeszd2;
				{	/* SawMill/bbv-types.sch 99 */
					obj_t BgL__ortest_1112z00_3751;

					BgL__ortest_1112z00_3751 = BGL_CLASS_NIL(BgL_classz00_3750);
					if (CBOOL(BgL__ortest_1112z00_3751))
						{	/* SawMill/bbv-types.sch 99 */
							return ((BgL_blockz00_bglt) BgL__ortest_1112z00_3751);
						}
					else
						{	/* SawMill/bbv-types.sch 99 */
							return
								((BgL_blockz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3750));
						}
				}
			}
		}

	}



/* &blockV-nil */
	BgL_blockz00_bglt BGl_z62blockVzd2nilzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5581)
	{
		{	/* SawMill/bbv-types.sch 99 */
			return BGl_blockVzd2nilzd2zzsaw_bbvzd2specializa7ez75();
		}

	}



/* blockV-%mark */
	BGL_EXPORTED_DEF long
		BGl_blockVzd2z52markz80zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_80)
	{
		{	/* SawMill/bbv-types.sch 100 */
			{
				BgL_blockvz00_bglt BgL_auxz00_6347;

				{
					obj_t BgL_auxz00_6348;

					{	/* SawMill/bbv-types.sch 100 */
						BgL_objectz00_bglt BgL_tmpz00_6349;

						BgL_tmpz00_6349 = ((BgL_objectz00_bglt) BgL_oz00_80);
						BgL_auxz00_6348 = BGL_OBJECT_WIDENING(BgL_tmpz00_6349);
					}
					BgL_auxz00_6347 = ((BgL_blockvz00_bglt) BgL_auxz00_6348);
				}
				return
					(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_6347))->BgL_z52markz52);
			}
		}

	}



/* &blockV-%mark */
	obj_t BGl_z62blockVzd2z52markze2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5582, obj_t BgL_oz00_5583)
	{
		{	/* SawMill/bbv-types.sch 100 */
			return
				BINT(BGl_blockVzd2z52markz80zzsaw_bbvzd2specializa7ez75(
					((BgL_blockz00_bglt) BgL_oz00_5583)));
		}

	}



/* blockV-%mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2z52markzd2setz12z40zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt BgL_oz00_81, long BgL_vz00_82)
	{
		{	/* SawMill/bbv-types.sch 101 */
			{
				BgL_blockvz00_bglt BgL_auxz00_6357;

				{
					obj_t BgL_auxz00_6358;

					{	/* SawMill/bbv-types.sch 101 */
						BgL_objectz00_bglt BgL_tmpz00_6359;

						BgL_tmpz00_6359 = ((BgL_objectz00_bglt) BgL_oz00_81);
						BgL_auxz00_6358 = BGL_OBJECT_WIDENING(BgL_tmpz00_6359);
					}
					BgL_auxz00_6357 = ((BgL_blockvz00_bglt) BgL_auxz00_6358);
				}
				return
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_6357))->BgL_z52markz52) =
					((long) BgL_vz00_82), BUNSPEC);
		}}

	}



/* &blockV-%mark-set! */
	obj_t BGl_z62blockVzd2z52markzd2setz12z22zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5584, obj_t BgL_oz00_5585, obj_t BgL_vz00_5586)
	{
		{	/* SawMill/bbv-types.sch 101 */
			return
				BGl_blockVzd2z52markzd2setz12z40zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5585), (long) CINT(BgL_vz00_5586));
		}

	}



/* blockV-versions */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2versionszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_83)
	{
		{	/* SawMill/bbv-types.sch 102 */
			{
				BgL_blockvz00_bglt BgL_auxz00_6367;

				{
					obj_t BgL_auxz00_6368;

					{	/* SawMill/bbv-types.sch 102 */
						BgL_objectz00_bglt BgL_tmpz00_6369;

						BgL_tmpz00_6369 = ((BgL_objectz00_bglt) BgL_oz00_83);
						BgL_auxz00_6368 = BGL_OBJECT_WIDENING(BgL_tmpz00_6369);
					}
					BgL_auxz00_6367 = ((BgL_blockvz00_bglt) BgL_auxz00_6368);
				}
				return
					(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_6367))->BgL_versionsz00);
			}
		}

	}



/* &blockV-versions */
	obj_t BGl_z62blockVzd2versionszb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5587, obj_t BgL_oz00_5588)
	{
		{	/* SawMill/bbv-types.sch 102 */
			return
				BGl_blockVzd2versionszd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5588));
		}

	}



/* blockV-versions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2versionszd2setz12z12zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt BgL_oz00_84, obj_t BgL_vz00_85)
	{
		{	/* SawMill/bbv-types.sch 103 */
			{
				BgL_blockvz00_bglt BgL_auxz00_6376;

				{
					obj_t BgL_auxz00_6377;

					{	/* SawMill/bbv-types.sch 103 */
						BgL_objectz00_bglt BgL_tmpz00_6378;

						BgL_tmpz00_6378 = ((BgL_objectz00_bglt) BgL_oz00_84);
						BgL_auxz00_6377 = BGL_OBJECT_WIDENING(BgL_tmpz00_6378);
					}
					BgL_auxz00_6376 = ((BgL_blockvz00_bglt) BgL_auxz00_6377);
				}
				return
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_6376))->BgL_versionsz00) =
					((obj_t) BgL_vz00_85), BUNSPEC);
			}
		}

	}



/* &blockV-versions-set! */
	obj_t BGl_z62blockVzd2versionszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5589, obj_t BgL_oz00_5590, obj_t BgL_vz00_5591)
	{
		{	/* SawMill/bbv-types.sch 103 */
			return
				BGl_blockVzd2versionszd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5590), BgL_vz00_5591);
		}

	}



/* blockV-first */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2firstzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_86)
	{
		{	/* SawMill/bbv-types.sch 104 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_86)))->BgL_firstz00);
		}

	}



/* &blockV-first */
	obj_t BGl_z62blockVzd2firstzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5592, obj_t BgL_oz00_5593)
	{
		{	/* SawMill/bbv-types.sch 104 */
			return
				BGl_blockVzd2firstzd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5593));
		}

	}



/* blockV-first-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2firstzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_87, obj_t BgL_vz00_88)
	{
		{	/* SawMill/bbv-types.sch 105 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_87)))->BgL_firstz00) =
				((obj_t) BgL_vz00_88), BUNSPEC);
		}

	}



/* &blockV-first-set! */
	obj_t BGl_z62blockVzd2firstzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5594, obj_t BgL_oz00_5595, obj_t BgL_vz00_5596)
	{
		{	/* SawMill/bbv-types.sch 105 */
			return
				BGl_blockVzd2firstzd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5595), BgL_vz00_5596);
		}

	}



/* blockV-succs */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2succszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_89)
	{
		{	/* SawMill/bbv-types.sch 106 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_89)))->BgL_succsz00);
		}

	}



/* &blockV-succs */
	obj_t BGl_z62blockVzd2succszb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5597, obj_t BgL_oz00_5598)
	{
		{	/* SawMill/bbv-types.sch 106 */
			return
				BGl_blockVzd2succszd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5598));
		}

	}



/* blockV-succs-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2succszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_90, obj_t BgL_vz00_91)
	{
		{	/* SawMill/bbv-types.sch 107 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_90)))->BgL_succsz00) =
				((obj_t) BgL_vz00_91), BUNSPEC);
		}

	}



/* &blockV-succs-set! */
	obj_t BGl_z62blockVzd2succszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5599, obj_t BgL_oz00_5600, obj_t BgL_vz00_5601)
	{
		{	/* SawMill/bbv-types.sch 107 */
			return
				BGl_blockVzd2succszd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5600), BgL_vz00_5601);
		}

	}



/* blockV-preds */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2predszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_92)
	{
		{	/* SawMill/bbv-types.sch 108 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_92)))->BgL_predsz00);
		}

	}



/* &blockV-preds */
	obj_t BGl_z62blockVzd2predszb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5602, obj_t BgL_oz00_5603)
	{
		{	/* SawMill/bbv-types.sch 108 */
			return
				BGl_blockVzd2predszd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5603));
		}

	}



/* blockV-preds-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2predszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_93, obj_t BgL_vz00_94)
	{
		{	/* SawMill/bbv-types.sch 109 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_93)))->BgL_predsz00) =
				((obj_t) BgL_vz00_94), BUNSPEC);
		}

	}



/* &blockV-preds-set! */
	obj_t BGl_z62blockVzd2predszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5604, obj_t BgL_oz00_5605, obj_t BgL_vz00_5606)
	{
		{	/* SawMill/bbv-types.sch 109 */
			return
				BGl_blockVzd2predszd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5605), BgL_vz00_5606);
		}

	}



/* blockV-label */
	BGL_EXPORTED_DEF int
		BGl_blockVzd2labelzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_95)
	{
		{	/* SawMill/bbv-types.sch 110 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_95)))->BgL_labelz00);
		}

	}



/* &blockV-label */
	obj_t BGl_z62blockVzd2labelzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5607, obj_t BgL_oz00_5608)
	{
		{	/* SawMill/bbv-types.sch 110 */
			return
				BINT(BGl_blockVzd2labelzd2zzsaw_bbvzd2specializa7ez75(
					((BgL_blockz00_bglt) BgL_oz00_5608)));
		}

	}



/* blockV-label-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2labelzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_96, int BgL_vz00_97)
	{
		{	/* SawMill/bbv-types.sch 111 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_96)))->BgL_labelz00) =
				((int) BgL_vz00_97), BUNSPEC);
		}

	}



/* &blockV-label-set! */
	obj_t BGl_z62blockVzd2labelzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5609, obj_t BgL_oz00_5610, obj_t BgL_vz00_5611)
	{
		{	/* SawMill/bbv-types.sch 111 */
			return
				BGl_blockVzd2labelzd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5610), CINT(BgL_vz00_5611));
		}

	}



/* make-blockS */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_makezd2blockSzd2zzsaw_bbvzd2specializa7ez75(int BgL_label1215z00_98,
		obj_t BgL_preds1216z00_99, obj_t BgL_succs1217z00_100,
		obj_t BgL_first1218z00_101, obj_t BgL_ictx1219z00_102,
		obj_t BgL_octxs1220z00_103, long BgL_z52mark1221z52_104,
		obj_t BgL_z52parent1222z52_105, obj_t BgL_z52hash1223z52_106,
		obj_t BgL_z52blacklist1224z52_107)
	{
		{	/* SawMill/bbv-types.sch 114 */
			{	/* SawMill/bbv-types.sch 114 */
				BgL_blockz00_bglt BgL_new1171z00_5833;

				{	/* SawMill/bbv-types.sch 114 */
					BgL_blockz00_bglt BgL_tmp1169z00_5834;
					BgL_blocksz00_bglt BgL_wide1170z00_5835;

					{
						BgL_blockz00_bglt BgL_auxz00_6419;

						{	/* SawMill/bbv-types.sch 114 */
							BgL_blockz00_bglt BgL_new1168z00_5836;

							BgL_new1168z00_5836 =
								((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_blockz00_bgl))));
							{	/* SawMill/bbv-types.sch 114 */
								long BgL_arg1906z00_5837;

								BgL_arg1906z00_5837 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1168z00_5836),
									BgL_arg1906z00_5837);
							}
							{	/* SawMill/bbv-types.sch 114 */
								BgL_objectz00_bglt BgL_tmpz00_6424;

								BgL_tmpz00_6424 = ((BgL_objectz00_bglt) BgL_new1168z00_5836);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6424, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1168z00_5836);
							BgL_auxz00_6419 = BgL_new1168z00_5836;
						}
						BgL_tmp1169z00_5834 = ((BgL_blockz00_bglt) BgL_auxz00_6419);
					}
					BgL_wide1170z00_5835 =
						((BgL_blocksz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_blocksz00_bgl))));
					{	/* SawMill/bbv-types.sch 114 */
						obj_t BgL_auxz00_6432;
						BgL_objectz00_bglt BgL_tmpz00_6430;

						BgL_auxz00_6432 = ((obj_t) BgL_wide1170z00_5835);
						BgL_tmpz00_6430 = ((BgL_objectz00_bglt) BgL_tmp1169z00_5834);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6430, BgL_auxz00_6432);
					}
					((BgL_objectz00_bglt) BgL_tmp1169z00_5834);
					{	/* SawMill/bbv-types.sch 114 */
						long BgL_arg1905z00_5838;

						BgL_arg1905z00_5838 =
							BGL_CLASS_NUM(BGl_blockSz00zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1169z00_5834), BgL_arg1905z00_5838);
					}
					BgL_new1171z00_5833 = ((BgL_blockz00_bglt) BgL_tmp1169z00_5834);
				}
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_new1171z00_5833)))->BgL_labelz00) =
					((int) BgL_label1215z00_98), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1171z00_5833)))->BgL_predsz00) =
					((obj_t) BgL_preds1216z00_99), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1171z00_5833)))->BgL_succsz00) =
					((obj_t) BgL_succs1217z00_100), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1171z00_5833)))->BgL_firstz00) =
					((obj_t) BgL_first1218z00_101), BUNSPEC);
				{
					BgL_blocksz00_bglt BgL_auxz00_6448;

					{
						obj_t BgL_auxz00_6449;

						{	/* SawMill/bbv-types.sch 114 */
							BgL_objectz00_bglt BgL_tmpz00_6450;

							BgL_tmpz00_6450 = ((BgL_objectz00_bglt) BgL_new1171z00_5833);
							BgL_auxz00_6449 = BGL_OBJECT_WIDENING(BgL_tmpz00_6450);
						}
						BgL_auxz00_6448 = ((BgL_blocksz00_bglt) BgL_auxz00_6449);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6448))->BgL_ictxz00) =
						((obj_t) BgL_ictx1219z00_102), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_6455;

					{
						obj_t BgL_auxz00_6456;

						{	/* SawMill/bbv-types.sch 114 */
							BgL_objectz00_bglt BgL_tmpz00_6457;

							BgL_tmpz00_6457 = ((BgL_objectz00_bglt) BgL_new1171z00_5833);
							BgL_auxz00_6456 = BGL_OBJECT_WIDENING(BgL_tmpz00_6457);
						}
						BgL_auxz00_6455 = ((BgL_blocksz00_bglt) BgL_auxz00_6456);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6455))->BgL_octxsz00) =
						((obj_t) BgL_octxs1220z00_103), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_6462;

					{
						obj_t BgL_auxz00_6463;

						{	/* SawMill/bbv-types.sch 114 */
							BgL_objectz00_bglt BgL_tmpz00_6464;

							BgL_tmpz00_6464 = ((BgL_objectz00_bglt) BgL_new1171z00_5833);
							BgL_auxz00_6463 = BGL_OBJECT_WIDENING(BgL_tmpz00_6464);
						}
						BgL_auxz00_6462 = ((BgL_blocksz00_bglt) BgL_auxz00_6463);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6462))->BgL_z52markz52) =
						((long) BgL_z52mark1221z52_104), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_6469;

					{
						obj_t BgL_auxz00_6470;

						{	/* SawMill/bbv-types.sch 114 */
							BgL_objectz00_bglt BgL_tmpz00_6471;

							BgL_tmpz00_6471 = ((BgL_objectz00_bglt) BgL_new1171z00_5833);
							BgL_auxz00_6470 = BGL_OBJECT_WIDENING(BgL_tmpz00_6471);
						}
						BgL_auxz00_6469 = ((BgL_blocksz00_bglt) BgL_auxz00_6470);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6469))->BgL_z52parentz52) =
						((obj_t) BgL_z52parent1222z52_105), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_6476;

					{
						obj_t BgL_auxz00_6477;

						{	/* SawMill/bbv-types.sch 114 */
							BgL_objectz00_bglt BgL_tmpz00_6478;

							BgL_tmpz00_6478 = ((BgL_objectz00_bglt) BgL_new1171z00_5833);
							BgL_auxz00_6477 = BGL_OBJECT_WIDENING(BgL_tmpz00_6478);
						}
						BgL_auxz00_6476 = ((BgL_blocksz00_bglt) BgL_auxz00_6477);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6476))->BgL_z52hashz52) =
						((obj_t) BgL_z52hash1223z52_106), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_6483;

					{
						obj_t BgL_auxz00_6484;

						{	/* SawMill/bbv-types.sch 114 */
							BgL_objectz00_bglt BgL_tmpz00_6485;

							BgL_tmpz00_6485 = ((BgL_objectz00_bglt) BgL_new1171z00_5833);
							BgL_auxz00_6484 = BGL_OBJECT_WIDENING(BgL_tmpz00_6485);
						}
						BgL_auxz00_6483 = ((BgL_blocksz00_bglt) BgL_auxz00_6484);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6483))->
							BgL_z52blacklistz52) =
						((obj_t) BgL_z52blacklist1224z52_107), BUNSPEC);
				}
				return BgL_new1171z00_5833;
			}
		}

	}



/* &make-blockS */
	BgL_blockz00_bglt BGl_z62makezd2blockSzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5612, obj_t BgL_label1215z00_5613, obj_t BgL_preds1216z00_5614,
		obj_t BgL_succs1217z00_5615, obj_t BgL_first1218z00_5616,
		obj_t BgL_ictx1219z00_5617, obj_t BgL_octxs1220z00_5618,
		obj_t BgL_z52mark1221z52_5619, obj_t BgL_z52parent1222z52_5620,
		obj_t BgL_z52hash1223z52_5621, obj_t BgL_z52blacklist1224z52_5622)
	{
		{	/* SawMill/bbv-types.sch 114 */
			return
				BGl_makezd2blockSzd2zzsaw_bbvzd2specializa7ez75(CINT
				(BgL_label1215z00_5613), BgL_preds1216z00_5614, BgL_succs1217z00_5615,
				BgL_first1218z00_5616, BgL_ictx1219z00_5617, BgL_octxs1220z00_5618,
				(long) CINT(BgL_z52mark1221z52_5619), BgL_z52parent1222z52_5620,
				BgL_z52hash1223z52_5621, BgL_z52blacklist1224z52_5622);
		}

	}



/* blockS? */
	BGL_EXPORTED_DEF bool_t BGl_blockSzf3zf3zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_objz00_108)
	{
		{	/* SawMill/bbv-types.sch 115 */
			{	/* SawMill/bbv-types.sch 115 */
				obj_t BgL_classz00_5839;

				BgL_classz00_5839 = BGl_blockSz00zzsaw_bbvzd2typeszd2;
				if (BGL_OBJECTP(BgL_objz00_108))
					{	/* SawMill/bbv-types.sch 115 */
						BgL_objectz00_bglt BgL_arg1825z00_5840;

						BgL_arg1825z00_5840 = (BgL_objectz00_bglt) (BgL_objz00_108);
						{	/* SawMill/bbv-types.sch 115 */
							bool_t BgL_arg1822z00_5841;
							bool_t BgL_arg1823z00_5842;

							{	/* SawMill/bbv-types.sch 115 */
								long BgL_idxz00_5843;

								BgL_idxz00_5843 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5840);
								BgL_arg1822z00_5841 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5843 + ((long) 2))) == BgL_classz00_5839);
							}
							{	/* SawMill/bbv-types.sch 115 */
								bool_t BgL_res2570z00_5846;

								{	/* SawMill/bbv-types.sch 115 */
									obj_t BgL_oclassz00_5847;

									{	/* SawMill/bbv-types.sch 115 */
										long BgL_arg1833z00_5848;

										{	/* SawMill/bbv-types.sch 115 */
											long BgL_arg1834z00_5849;

											BgL_arg1834z00_5849 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5840);
											BgL_arg1833z00_5848 = (BgL_arg1834z00_5849 - OBJECT_TYPE);
										}
										BgL_oclassz00_5847 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_5848);
									}
									{	/* SawMill/bbv-types.sch 115 */
										bool_t BgL__ortest_1110z00_5850;

										BgL__ortest_1110z00_5850 =
											(BgL_classz00_5839 == BgL_oclassz00_5847);
										if (BgL__ortest_1110z00_5850)
											{	/* SawMill/bbv-types.sch 115 */
												BgL_res2570z00_5846 = BgL__ortest_1110z00_5850;
											}
										else
											{	/* SawMill/bbv-types.sch 115 */
												long BgL_odepthz00_5851;

												BgL_odepthz00_5851 =
													BGL_CLASS_DEPTH(BgL_oclassz00_5847);
												if ((((long) 2) < BgL_odepthz00_5851))
													{	/* SawMill/bbv-types.sch 115 */
														obj_t BgL_arg1821z00_5852;

														BgL_arg1821z00_5852 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5847,
															((long) 2));
														BgL_res2570z00_5846 =
															(BgL_arg1821z00_5852 == BgL_classz00_5839);
													}
												else
													{	/* SawMill/bbv-types.sch 115 */
														BgL_res2570z00_5846 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_5842 = BgL_res2570z00_5846;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_5841, BgL_arg1823z00_5842);
						}
					}
				else
					{	/* SawMill/bbv-types.sch 115 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &blockS? */
	obj_t BGl_z62blockSzf3z91zzsaw_bbvzd2specializa7ez75(obj_t BgL_envz00_5623,
		obj_t BgL_objz00_5624)
	{
		{	/* SawMill/bbv-types.sch 115 */
			return
				BBOOL(BGl_blockSzf3zf3zzsaw_bbvzd2specializa7ez75(BgL_objz00_5624));
		}

	}



/* blockS-nil */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_blockSzd2nilzd2zzsaw_bbvzd2specializa7ez75()
	{
		{	/* SawMill/bbv-types.sch 116 */
			{	/* SawMill/bbv-types.sch 116 */
				obj_t BgL_classz00_3808;

				BgL_classz00_3808 = BGl_blockSz00zzsaw_bbvzd2typeszd2;
				{	/* SawMill/bbv-types.sch 116 */
					obj_t BgL__ortest_1112z00_3809;

					BgL__ortest_1112z00_3809 = BGL_CLASS_NIL(BgL_classz00_3808);
					if (CBOOL(BgL__ortest_1112z00_3809))
						{	/* SawMill/bbv-types.sch 116 */
							return ((BgL_blockz00_bglt) BgL__ortest_1112z00_3809);
						}
					else
						{	/* SawMill/bbv-types.sch 116 */
							return
								((BgL_blockz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3808));
						}
				}
			}
		}

	}



/* &blockS-nil */
	BgL_blockz00_bglt BGl_z62blockSzd2nilzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5625)
	{
		{	/* SawMill/bbv-types.sch 116 */
			return BGl_blockSzd2nilzd2zzsaw_bbvzd2specializa7ez75();
		}

	}



/* blockS-%blacklist */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2z52blacklistz80zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_109)
	{
		{	/* SawMill/bbv-types.sch 117 */
			{
				BgL_blocksz00_bglt BgL_auxz00_6520;

				{
					obj_t BgL_auxz00_6521;

					{	/* SawMill/bbv-types.sch 117 */
						BgL_objectz00_bglt BgL_tmpz00_6522;

						BgL_tmpz00_6522 = ((BgL_objectz00_bglt) BgL_oz00_109);
						BgL_auxz00_6521 = BGL_OBJECT_WIDENING(BgL_tmpz00_6522);
					}
					BgL_auxz00_6520 = ((BgL_blocksz00_bglt) BgL_auxz00_6521);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6520))->
					BgL_z52blacklistz52);
			}
		}

	}



/* &blockS-%blacklist */
	obj_t BGl_z62blockSzd2z52blacklistze2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5626, obj_t BgL_oz00_5627)
	{
		{	/* SawMill/bbv-types.sch 117 */
			return
				BGl_blockSzd2z52blacklistz80zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5627));
		}

	}



/* blockS-%blacklist-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2z52blacklistzd2setz12z40zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt BgL_oz00_110, obj_t BgL_vz00_111)
	{
		{	/* SawMill/bbv-types.sch 118 */
			{
				BgL_blocksz00_bglt BgL_auxz00_6529;

				{
					obj_t BgL_auxz00_6530;

					{	/* SawMill/bbv-types.sch 118 */
						BgL_objectz00_bglt BgL_tmpz00_6531;

						BgL_tmpz00_6531 = ((BgL_objectz00_bglt) BgL_oz00_110);
						BgL_auxz00_6530 = BGL_OBJECT_WIDENING(BgL_tmpz00_6531);
					}
					BgL_auxz00_6529 = ((BgL_blocksz00_bglt) BgL_auxz00_6530);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6529))->
						BgL_z52blacklistz52) = ((obj_t) BgL_vz00_111), BUNSPEC);
			}
		}

	}



/* &blockS-%blacklist-set! */
	obj_t
		BGl_z62blockSzd2z52blacklistzd2setz12z22zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5628, obj_t BgL_oz00_5629, obj_t BgL_vz00_5630)
	{
		{	/* SawMill/bbv-types.sch 118 */
			return
				BGl_blockSzd2z52blacklistzd2setz12z40zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5629), BgL_vz00_5630);
		}

	}



/* blockS-%hash */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2z52hashz80zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_112)
	{
		{	/* SawMill/bbv-types.sch 119 */
			{
				BgL_blocksz00_bglt BgL_auxz00_6538;

				{
					obj_t BgL_auxz00_6539;

					{	/* SawMill/bbv-types.sch 119 */
						BgL_objectz00_bglt BgL_tmpz00_6540;

						BgL_tmpz00_6540 = ((BgL_objectz00_bglt) BgL_oz00_112);
						BgL_auxz00_6539 = BGL_OBJECT_WIDENING(BgL_tmpz00_6540);
					}
					BgL_auxz00_6538 = ((BgL_blocksz00_bglt) BgL_auxz00_6539);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6538))->BgL_z52hashz52);
			}
		}

	}



/* &blockS-%hash */
	obj_t BGl_z62blockSzd2z52hashze2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5631, obj_t BgL_oz00_5632)
	{
		{	/* SawMill/bbv-types.sch 119 */
			return
				BGl_blockSzd2z52hashz80zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5632));
		}

	}



/* blockS-%hash-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2z52hashzd2setz12z40zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt BgL_oz00_113, obj_t BgL_vz00_114)
	{
		{	/* SawMill/bbv-types.sch 120 */
			{
				BgL_blocksz00_bglt BgL_auxz00_6547;

				{
					obj_t BgL_auxz00_6548;

					{	/* SawMill/bbv-types.sch 120 */
						BgL_objectz00_bglt BgL_tmpz00_6549;

						BgL_tmpz00_6549 = ((BgL_objectz00_bglt) BgL_oz00_113);
						BgL_auxz00_6548 = BGL_OBJECT_WIDENING(BgL_tmpz00_6549);
					}
					BgL_auxz00_6547 = ((BgL_blocksz00_bglt) BgL_auxz00_6548);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6547))->BgL_z52hashz52) =
					((obj_t) BgL_vz00_114), BUNSPEC);
			}
		}

	}



/* &blockS-%hash-set! */
	obj_t BGl_z62blockSzd2z52hashzd2setz12z22zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5633, obj_t BgL_oz00_5634, obj_t BgL_vz00_5635)
	{
		{	/* SawMill/bbv-types.sch 120 */
			return
				BGl_blockSzd2z52hashzd2setz12z40zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5634), BgL_vz00_5635);
		}

	}



/* blockS-%parent */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2z52parentz80zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_115)
	{
		{	/* SawMill/bbv-types.sch 121 */
			{
				BgL_blocksz00_bglt BgL_auxz00_6556;

				{
					obj_t BgL_auxz00_6557;

					{	/* SawMill/bbv-types.sch 121 */
						BgL_objectz00_bglt BgL_tmpz00_6558;

						BgL_tmpz00_6558 = ((BgL_objectz00_bglt) BgL_oz00_115);
						BgL_auxz00_6557 = BGL_OBJECT_WIDENING(BgL_tmpz00_6558);
					}
					BgL_auxz00_6556 = ((BgL_blocksz00_bglt) BgL_auxz00_6557);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6556))->BgL_z52parentz52);
			}
		}

	}



/* &blockS-%parent */
	obj_t BGl_z62blockSzd2z52parentze2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5636, obj_t BgL_oz00_5637)
	{
		{	/* SawMill/bbv-types.sch 121 */
			return
				BGl_blockSzd2z52parentz80zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5637));
		}

	}



/* blockS-%mark */
	BGL_EXPORTED_DEF long
		BGl_blockSzd2z52markz80zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_118)
	{
		{	/* SawMill/bbv-types.sch 123 */
			{
				BgL_blocksz00_bglt BgL_auxz00_6565;

				{
					obj_t BgL_auxz00_6566;

					{	/* SawMill/bbv-types.sch 123 */
						BgL_objectz00_bglt BgL_tmpz00_6567;

						BgL_tmpz00_6567 = ((BgL_objectz00_bglt) BgL_oz00_118);
						BgL_auxz00_6566 = BGL_OBJECT_WIDENING(BgL_tmpz00_6567);
					}
					BgL_auxz00_6565 = ((BgL_blocksz00_bglt) BgL_auxz00_6566);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6565))->BgL_z52markz52);
			}
		}

	}



/* &blockS-%mark */
	obj_t BGl_z62blockSzd2z52markze2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5638, obj_t BgL_oz00_5639)
	{
		{	/* SawMill/bbv-types.sch 123 */
			return
				BINT(BGl_blockSzd2z52markz80zzsaw_bbvzd2specializa7ez75(
					((BgL_blockz00_bglt) BgL_oz00_5639)));
		}

	}



/* blockS-%mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2z52markzd2setz12z40zzsaw_bbvzd2specializa7ez75
		(BgL_blockz00_bglt BgL_oz00_119, long BgL_vz00_120)
	{
		{	/* SawMill/bbv-types.sch 124 */
			{
				BgL_blocksz00_bglt BgL_auxz00_6575;

				{
					obj_t BgL_auxz00_6576;

					{	/* SawMill/bbv-types.sch 124 */
						BgL_objectz00_bglt BgL_tmpz00_6577;

						BgL_tmpz00_6577 = ((BgL_objectz00_bglt) BgL_oz00_119);
						BgL_auxz00_6576 = BGL_OBJECT_WIDENING(BgL_tmpz00_6577);
					}
					BgL_auxz00_6575 = ((BgL_blocksz00_bglt) BgL_auxz00_6576);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6575))->BgL_z52markz52) =
					((long) BgL_vz00_120), BUNSPEC);
		}}

	}



/* &blockS-%mark-set! */
	obj_t BGl_z62blockSzd2z52markzd2setz12z22zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5640, obj_t BgL_oz00_5641, obj_t BgL_vz00_5642)
	{
		{	/* SawMill/bbv-types.sch 124 */
			return
				BGl_blockSzd2z52markzd2setz12z40zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5641), (long) CINT(BgL_vz00_5642));
		}

	}



/* blockS-octxs */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2octxszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_121)
	{
		{	/* SawMill/bbv-types.sch 125 */
			{
				BgL_blocksz00_bglt BgL_auxz00_6585;

				{
					obj_t BgL_auxz00_6586;

					{	/* SawMill/bbv-types.sch 125 */
						BgL_objectz00_bglt BgL_tmpz00_6587;

						BgL_tmpz00_6587 = ((BgL_objectz00_bglt) BgL_oz00_121);
						BgL_auxz00_6586 = BGL_OBJECT_WIDENING(BgL_tmpz00_6587);
					}
					BgL_auxz00_6585 = ((BgL_blocksz00_bglt) BgL_auxz00_6586);
				}
				return (((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6585))->BgL_octxsz00);
			}
		}

	}



/* &blockS-octxs */
	obj_t BGl_z62blockSzd2octxszb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5643, obj_t BgL_oz00_5644)
	{
		{	/* SawMill/bbv-types.sch 125 */
			return
				BGl_blockSzd2octxszd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5644));
		}

	}



/* blockS-octxs-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2octxszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_122, obj_t BgL_vz00_123)
	{
		{	/* SawMill/bbv-types.sch 126 */
			{
				BgL_blocksz00_bglt BgL_auxz00_6594;

				{
					obj_t BgL_auxz00_6595;

					{	/* SawMill/bbv-types.sch 126 */
						BgL_objectz00_bglt BgL_tmpz00_6596;

						BgL_tmpz00_6596 = ((BgL_objectz00_bglt) BgL_oz00_122);
						BgL_auxz00_6595 = BGL_OBJECT_WIDENING(BgL_tmpz00_6596);
					}
					BgL_auxz00_6594 = ((BgL_blocksz00_bglt) BgL_auxz00_6595);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6594))->BgL_octxsz00) =
					((obj_t) BgL_vz00_123), BUNSPEC);
			}
		}

	}



/* &blockS-octxs-set! */
	obj_t BGl_z62blockSzd2octxszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5645, obj_t BgL_oz00_5646, obj_t BgL_vz00_5647)
	{
		{	/* SawMill/bbv-types.sch 126 */
			return
				BGl_blockSzd2octxszd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5646), BgL_vz00_5647);
		}

	}



/* blockS-ictx */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2ictxzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_124)
	{
		{	/* SawMill/bbv-types.sch 127 */
			{
				BgL_blocksz00_bglt BgL_auxz00_6603;

				{
					obj_t BgL_auxz00_6604;

					{	/* SawMill/bbv-types.sch 127 */
						BgL_objectz00_bglt BgL_tmpz00_6605;

						BgL_tmpz00_6605 = ((BgL_objectz00_bglt) BgL_oz00_124);
						BgL_auxz00_6604 = BGL_OBJECT_WIDENING(BgL_tmpz00_6605);
					}
					BgL_auxz00_6603 = ((BgL_blocksz00_bglt) BgL_auxz00_6604);
				}
				return (((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6603))->BgL_ictxz00);
			}
		}

	}



/* &blockS-ictx */
	obj_t BGl_z62blockSzd2ictxzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5648, obj_t BgL_oz00_5649)
	{
		{	/* SawMill/bbv-types.sch 127 */
			return
				BGl_blockSzd2ictxzd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5649));
		}

	}



/* blockS-ictx-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2ictxzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_125, obj_t BgL_vz00_126)
	{
		{	/* SawMill/bbv-types.sch 128 */
			{
				BgL_blocksz00_bglt BgL_auxz00_6612;

				{
					obj_t BgL_auxz00_6613;

					{	/* SawMill/bbv-types.sch 128 */
						BgL_objectz00_bglt BgL_tmpz00_6614;

						BgL_tmpz00_6614 = ((BgL_objectz00_bglt) BgL_oz00_125);
						BgL_auxz00_6613 = BGL_OBJECT_WIDENING(BgL_tmpz00_6614);
					}
					BgL_auxz00_6612 = ((BgL_blocksz00_bglt) BgL_auxz00_6613);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6612))->BgL_ictxz00) =
					((obj_t) BgL_vz00_126), BUNSPEC);
			}
		}

	}



/* &blockS-ictx-set! */
	obj_t BGl_z62blockSzd2ictxzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5650, obj_t BgL_oz00_5651, obj_t BgL_vz00_5652)
	{
		{	/* SawMill/bbv-types.sch 128 */
			return
				BGl_blockSzd2ictxzd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5651), BgL_vz00_5652);
		}

	}



/* blockS-first */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2firstzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_127)
	{
		{	/* SawMill/bbv-types.sch 129 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_127)))->BgL_firstz00);
		}

	}



/* &blockS-first */
	obj_t BGl_z62blockSzd2firstzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5653, obj_t BgL_oz00_5654)
	{
		{	/* SawMill/bbv-types.sch 129 */
			return
				BGl_blockSzd2firstzd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5654));
		}

	}



/* blockS-first-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2firstzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_128, obj_t BgL_vz00_129)
	{
		{	/* SawMill/bbv-types.sch 130 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_128)))->BgL_firstz00) =
				((obj_t) BgL_vz00_129), BUNSPEC);
		}

	}



/* &blockS-first-set! */
	obj_t BGl_z62blockSzd2firstzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5655, obj_t BgL_oz00_5656, obj_t BgL_vz00_5657)
	{
		{	/* SawMill/bbv-types.sch 130 */
			return
				BGl_blockSzd2firstzd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5656), BgL_vz00_5657);
		}

	}



/* blockS-succs */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2succszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_130)
	{
		{	/* SawMill/bbv-types.sch 131 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_130)))->BgL_succsz00);
		}

	}



/* &blockS-succs */
	obj_t BGl_z62blockSzd2succszb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5658, obj_t BgL_oz00_5659)
	{
		{	/* SawMill/bbv-types.sch 131 */
			return
				BGl_blockSzd2succszd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5659));
		}

	}



/* blockS-succs-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2succszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_131, obj_t BgL_vz00_132)
	{
		{	/* SawMill/bbv-types.sch 132 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_131)))->BgL_succsz00) =
				((obj_t) BgL_vz00_132), BUNSPEC);
		}

	}



/* &blockS-succs-set! */
	obj_t BGl_z62blockSzd2succszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5660, obj_t BgL_oz00_5661, obj_t BgL_vz00_5662)
	{
		{	/* SawMill/bbv-types.sch 132 */
			return
				BGl_blockSzd2succszd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5661), BgL_vz00_5662);
		}

	}



/* blockS-preds */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2predszd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_133)
	{
		{	/* SawMill/bbv-types.sch 133 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_133)))->BgL_predsz00);
		}

	}



/* &blockS-preds */
	obj_t BGl_z62blockSzd2predszb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5663, obj_t BgL_oz00_5664)
	{
		{	/* SawMill/bbv-types.sch 133 */
			return
				BGl_blockSzd2predszd2zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5664));
		}

	}



/* blockS-preds-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2predszd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_134, obj_t BgL_vz00_135)
	{
		{	/* SawMill/bbv-types.sch 134 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_134)))->BgL_predsz00) =
				((obj_t) BgL_vz00_135), BUNSPEC);
		}

	}



/* &blockS-preds-set! */
	obj_t BGl_z62blockSzd2predszd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5665, obj_t BgL_oz00_5666, obj_t BgL_vz00_5667)
	{
		{	/* SawMill/bbv-types.sch 134 */
			return
				BGl_blockSzd2predszd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5666), BgL_vz00_5667);
		}

	}



/* blockS-label */
	BGL_EXPORTED_DEF int
		BGl_blockSzd2labelzd2zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_136)
	{
		{	/* SawMill/bbv-types.sch 135 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_136)))->BgL_labelz00);
		}

	}



/* &blockS-label */
	obj_t BGl_z62blockSzd2labelzb0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5668, obj_t BgL_oz00_5669)
	{
		{	/* SawMill/bbv-types.sch 135 */
			return
				BINT(BGl_blockSzd2labelzd2zzsaw_bbvzd2specializa7ez75(
					((BgL_blockz00_bglt) BgL_oz00_5669)));
		}

	}



/* blockS-label-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockSzd2labelzd2setz12z12zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt
		BgL_oz00_137, int BgL_vz00_138)
	{
		{	/* SawMill/bbv-types.sch 136 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_137)))->BgL_labelz00) =
				((int) BgL_vz00_138), BUNSPEC);
		}

	}



/* &blockS-label-set! */
	obj_t BGl_z62blockSzd2labelzd2setz12z70zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5670, obj_t BgL_oz00_5671, obj_t BgL_vz00_5672)
	{
		{	/* SawMill/bbv-types.sch 136 */
			return
				BGl_blockSzd2labelzd2setz12z12zzsaw_bbvzd2specializa7ez75(
				((BgL_blockz00_bglt) BgL_oz00_5671), CINT(BgL_vz00_5672));
		}

	}



/* make-rtl_ins/bbv */
	BGL_EXPORTED_DEF BgL_rtl_insz00_bglt
		BGl_makezd2rtl_inszf2bbvz20zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_loc1205z00_139, obj_t BgL_z52spill1206z52_140,
		obj_t BgL_dest1207z00_141, BgL_rtl_funz00_bglt BgL_fun1208z00_142,
		obj_t BgL_args1209z00_143, obj_t BgL_def1210z00_144,
		obj_t BgL_out1211z00_145, obj_t BgL_in1212z00_146,
		obj_t BgL_z52hash1213z52_147)
	{
		{	/* SawMill/bbv-types.sch 139 */
			{	/* SawMill/bbv-types.sch 139 */
				BgL_rtl_insz00_bglt BgL_new1175z00_5853;

				{	/* SawMill/bbv-types.sch 139 */
					BgL_rtl_insz00_bglt BgL_tmp1173z00_5854;
					BgL_rtl_inszf2bbvzf2_bglt BgL_wide1174z00_5855;

					{
						BgL_rtl_insz00_bglt BgL_auxz00_6655;

						{	/* SawMill/bbv-types.sch 139 */
							BgL_rtl_insz00_bglt BgL_new1172z00_5856;

							BgL_new1172z00_5856 =
								((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_insz00_bgl))));
							{	/* SawMill/bbv-types.sch 139 */
								long BgL_arg1908z00_5857;

								BgL_arg1908z00_5857 =
									BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1172z00_5856),
									BgL_arg1908z00_5857);
							}
							{	/* SawMill/bbv-types.sch 139 */
								BgL_objectz00_bglt BgL_tmpz00_6660;

								BgL_tmpz00_6660 = ((BgL_objectz00_bglt) BgL_new1172z00_5856);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6660, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1172z00_5856);
							BgL_auxz00_6655 = BgL_new1172z00_5856;
						}
						BgL_tmp1173z00_5854 = ((BgL_rtl_insz00_bglt) BgL_auxz00_6655);
					}
					BgL_wide1174z00_5855 =
						((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_inszf2bbvzf2_bgl))));
					{	/* SawMill/bbv-types.sch 139 */
						obj_t BgL_auxz00_6668;
						BgL_objectz00_bglt BgL_tmpz00_6666;

						BgL_auxz00_6668 = ((obj_t) BgL_wide1174z00_5855);
						BgL_tmpz00_6666 = ((BgL_objectz00_bglt) BgL_tmp1173z00_5854);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6666, BgL_auxz00_6668);
					}
					((BgL_objectz00_bglt) BgL_tmp1173z00_5854);
					{	/* SawMill/bbv-types.sch 139 */
						long BgL_arg1907z00_5858;

						BgL_arg1907z00_5858 =
							BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1173z00_5854), BgL_arg1907z00_5858);
					}
					BgL_new1175z00_5853 = ((BgL_rtl_insz00_bglt) BgL_tmp1173z00_5854);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1175z00_5853)))->BgL_locz00) =
					((obj_t) BgL_loc1205z00_139), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1175z00_5853)))->BgL_z52spillz52) =
					((obj_t) BgL_z52spill1206z52_140), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1175z00_5853)))->BgL_destz00) =
					((obj_t) BgL_dest1207z00_141), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1175z00_5853)))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) BgL_fun1208z00_142), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1175z00_5853)))->BgL_argsz00) =
					((obj_t) BgL_args1209z00_143), BUNSPEC);
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6686;

					{
						obj_t BgL_auxz00_6687;

						{	/* SawMill/bbv-types.sch 139 */
							BgL_objectz00_bglt BgL_tmpz00_6688;

							BgL_tmpz00_6688 = ((BgL_objectz00_bglt) BgL_new1175z00_5853);
							BgL_auxz00_6687 = BGL_OBJECT_WIDENING(BgL_tmpz00_6688);
						}
						BgL_auxz00_6686 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6687);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6686))->
							BgL_defz00) = ((obj_t) BgL_def1210z00_144), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6693;

					{
						obj_t BgL_auxz00_6694;

						{	/* SawMill/bbv-types.sch 139 */
							BgL_objectz00_bglt BgL_tmpz00_6695;

							BgL_tmpz00_6695 = ((BgL_objectz00_bglt) BgL_new1175z00_5853);
							BgL_auxz00_6694 = BGL_OBJECT_WIDENING(BgL_tmpz00_6695);
						}
						BgL_auxz00_6693 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6694);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6693))->
							BgL_outz00) = ((obj_t) BgL_out1211z00_145), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6700;

					{
						obj_t BgL_auxz00_6701;

						{	/* SawMill/bbv-types.sch 139 */
							BgL_objectz00_bglt BgL_tmpz00_6702;

							BgL_tmpz00_6702 = ((BgL_objectz00_bglt) BgL_new1175z00_5853);
							BgL_auxz00_6701 = BGL_OBJECT_WIDENING(BgL_tmpz00_6702);
						}
						BgL_auxz00_6700 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6701);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6700))->BgL_inz00) =
						((obj_t) BgL_in1212z00_146), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6707;

					{
						obj_t BgL_auxz00_6708;

						{	/* SawMill/bbv-types.sch 139 */
							BgL_objectz00_bglt BgL_tmpz00_6709;

							BgL_tmpz00_6709 = ((BgL_objectz00_bglt) BgL_new1175z00_5853);
							BgL_auxz00_6708 = BGL_OBJECT_WIDENING(BgL_tmpz00_6709);
						}
						BgL_auxz00_6707 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6708);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6707))->
							BgL_z52hashz52) = ((obj_t) BgL_z52hash1213z52_147), BUNSPEC);
				}
				return BgL_new1175z00_5853;
			}
		}

	}



/* &make-rtl_ins/bbv */
	BgL_rtl_insz00_bglt
		BGl_z62makezd2rtl_inszf2bbvz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5673, obj_t BgL_loc1205z00_5674, obj_t BgL_z52spill1206z52_5675,
		obj_t BgL_dest1207z00_5676, obj_t BgL_fun1208z00_5677,
		obj_t BgL_args1209z00_5678, obj_t BgL_def1210z00_5679,
		obj_t BgL_out1211z00_5680, obj_t BgL_in1212z00_5681,
		obj_t BgL_z52hash1213z52_5682)
	{
		{	/* SawMill/bbv-types.sch 139 */
			return
				BGl_makezd2rtl_inszf2bbvz20zzsaw_bbvzd2specializa7ez75
				(BgL_loc1205z00_5674, BgL_z52spill1206z52_5675, BgL_dest1207z00_5676,
				((BgL_rtl_funz00_bglt) BgL_fun1208z00_5677), BgL_args1209z00_5678,
				BgL_def1210z00_5679, BgL_out1211z00_5680, BgL_in1212z00_5681,
				BgL_z52hash1213z52_5682);
		}

	}



/* rtl_ins/bbv? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszf2bbvzf3z01zzsaw_bbvzd2specializa7ez75(obj_t BgL_objz00_148)
	{
		{	/* SawMill/bbv-types.sch 140 */
			{	/* SawMill/bbv-types.sch 140 */
				obj_t BgL_classz00_5859;

				BgL_classz00_5859 = BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
				if (BGL_OBJECTP(BgL_objz00_148))
					{	/* SawMill/bbv-types.sch 140 */
						BgL_objectz00_bglt BgL_arg1825z00_5860;

						BgL_arg1825z00_5860 = (BgL_objectz00_bglt) (BgL_objz00_148);
						{	/* SawMill/bbv-types.sch 140 */
							bool_t BgL_arg1822z00_5861;
							bool_t BgL_arg1823z00_5862;

							{	/* SawMill/bbv-types.sch 140 */
								long BgL_idxz00_5863;

								BgL_idxz00_5863 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5860);
								BgL_arg1822z00_5861 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5863 + ((long) 2))) == BgL_classz00_5859);
							}
							{	/* SawMill/bbv-types.sch 140 */
								bool_t BgL_res2571z00_5866;

								{	/* SawMill/bbv-types.sch 140 */
									obj_t BgL_oclassz00_5867;

									{	/* SawMill/bbv-types.sch 140 */
										long BgL_arg1833z00_5868;

										{	/* SawMill/bbv-types.sch 140 */
											long BgL_arg1834z00_5869;

											BgL_arg1834z00_5869 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5860);
											BgL_arg1833z00_5868 = (BgL_arg1834z00_5869 - OBJECT_TYPE);
										}
										BgL_oclassz00_5867 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_5868);
									}
									{	/* SawMill/bbv-types.sch 140 */
										bool_t BgL__ortest_1110z00_5870;

										BgL__ortest_1110z00_5870 =
											(BgL_classz00_5859 == BgL_oclassz00_5867);
										if (BgL__ortest_1110z00_5870)
											{	/* SawMill/bbv-types.sch 140 */
												BgL_res2571z00_5866 = BgL__ortest_1110z00_5870;
											}
										else
											{	/* SawMill/bbv-types.sch 140 */
												long BgL_odepthz00_5871;

												BgL_odepthz00_5871 =
													BGL_CLASS_DEPTH(BgL_oclassz00_5867);
												if ((((long) 2) < BgL_odepthz00_5871))
													{	/* SawMill/bbv-types.sch 140 */
														obj_t BgL_arg1821z00_5872;

														BgL_arg1821z00_5872 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5867,
															((long) 2));
														BgL_res2571z00_5866 =
															(BgL_arg1821z00_5872 == BgL_classz00_5859);
													}
												else
													{	/* SawMill/bbv-types.sch 140 */
														BgL_res2571z00_5866 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_5862 = BgL_res2571z00_5866;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_5861, BgL_arg1823z00_5862);
						}
					}
				else
					{	/* SawMill/bbv-types.sch 140 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ins/bbv? */
	obj_t BGl_z62rtl_inszf2bbvzf3z63zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5683, obj_t BgL_objz00_5684)
	{
		{	/* SawMill/bbv-types.sch 140 */
			return
				BBOOL(BGl_rtl_inszf2bbvzf3z01zzsaw_bbvzd2specializa7ez75
				(BgL_objz00_5684));
		}

	}



/* rtl_ins/bbv-nil */
	BGL_EXPORTED_DEF BgL_rtl_insz00_bglt
		BGl_rtl_inszf2bbvzd2nilz20zzsaw_bbvzd2specializa7ez75()
	{
		{	/* SawMill/bbv-types.sch 141 */
			{	/* SawMill/bbv-types.sch 141 */
				obj_t BgL_classz00_3871;

				BgL_classz00_3871 = BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
				{	/* SawMill/bbv-types.sch 141 */
					obj_t BgL__ortest_1112z00_3872;

					BgL__ortest_1112z00_3872 = BGL_CLASS_NIL(BgL_classz00_3871);
					if (CBOOL(BgL__ortest_1112z00_3872))
						{	/* SawMill/bbv-types.sch 141 */
							return ((BgL_rtl_insz00_bglt) BgL__ortest_1112z00_3872);
						}
					else
						{	/* SawMill/bbv-types.sch 141 */
							return
								((BgL_rtl_insz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3871));
						}
				}
			}
		}

	}



/* &rtl_ins/bbv-nil */
	BgL_rtl_insz00_bglt
		BGl_z62rtl_inszf2bbvzd2nilz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5685)
	{
		{	/* SawMill/bbv-types.sch 141 */
			return BGl_rtl_inszf2bbvzd2nilz20zzsaw_bbvzd2specializa7ez75();
		}

	}



/* rtl_ins/bbv-%hash */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2z52hashz72zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_149)
	{
		{	/* SawMill/bbv-types.sch 142 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6743;

				{
					obj_t BgL_auxz00_6744;

					{	/* SawMill/bbv-types.sch 142 */
						BgL_objectz00_bglt BgL_tmpz00_6745;

						BgL_tmpz00_6745 = ((BgL_objectz00_bglt) BgL_oz00_149);
						BgL_auxz00_6744 = BGL_OBJECT_WIDENING(BgL_tmpz00_6745);
					}
					BgL_auxz00_6743 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6744);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6743))->
					BgL_z52hashz52);
			}
		}

	}



/* &rtl_ins/bbv-%hash */
	obj_t BGl_z62rtl_inszf2bbvzd2z52hashz10zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5686, obj_t BgL_oz00_5687)
	{
		{	/* SawMill/bbv-types.sch 142 */
			return
				BGl_rtl_inszf2bbvzd2z52hashz72zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_5687));
		}

	}



/* rtl_ins/bbv-%hash-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2z52hashzd2setz12zb2zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_150, obj_t BgL_vz00_151)
	{
		{	/* SawMill/bbv-types.sch 143 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6752;

				{
					obj_t BgL_auxz00_6753;

					{	/* SawMill/bbv-types.sch 143 */
						BgL_objectz00_bglt BgL_tmpz00_6754;

						BgL_tmpz00_6754 = ((BgL_objectz00_bglt) BgL_oz00_150);
						BgL_auxz00_6753 = BGL_OBJECT_WIDENING(BgL_tmpz00_6754);
					}
					BgL_auxz00_6752 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6753);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6752))->
						BgL_z52hashz52) = ((obj_t) BgL_vz00_151), BUNSPEC);
			}
		}

	}



/* &rtl_ins/bbv-%hash-set! */
	obj_t
		BGl_z62rtl_inszf2bbvzd2z52hashzd2setz12zd0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5688, obj_t BgL_oz00_5689, obj_t BgL_vz00_5690)
	{
		{	/* SawMill/bbv-types.sch 143 */
			return
				BGl_rtl_inszf2bbvzd2z52hashzd2setz12zb2zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_5689), BgL_vz00_5690);
		}

	}



/* rtl_ins/bbv-in */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2inz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_oz00_152)
	{
		{	/* SawMill/bbv-types.sch 144 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6761;

				{
					obj_t BgL_auxz00_6762;

					{	/* SawMill/bbv-types.sch 144 */
						BgL_objectz00_bglt BgL_tmpz00_6763;

						BgL_tmpz00_6763 = ((BgL_objectz00_bglt) BgL_oz00_152);
						BgL_auxz00_6762 = BGL_OBJECT_WIDENING(BgL_tmpz00_6763);
					}
					BgL_auxz00_6761 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6762);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6761))->BgL_inz00);
			}
		}

	}



/* &rtl_ins/bbv-in */
	obj_t BGl_z62rtl_inszf2bbvzd2inz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5691, obj_t BgL_oz00_5692)
	{
		{	/* SawMill/bbv-types.sch 144 */
			return
				BGl_rtl_inszf2bbvzd2inz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_5692));
		}

	}



/* rtl_ins/bbv-in-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2inzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_153, obj_t BgL_vz00_154)
	{
		{	/* SawMill/bbv-types.sch 145 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6770;

				{
					obj_t BgL_auxz00_6771;

					{	/* SawMill/bbv-types.sch 145 */
						BgL_objectz00_bglt BgL_tmpz00_6772;

						BgL_tmpz00_6772 = ((BgL_objectz00_bglt) BgL_oz00_153);
						BgL_auxz00_6771 = BGL_OBJECT_WIDENING(BgL_tmpz00_6772);
					}
					BgL_auxz00_6770 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6771);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6770))->BgL_inz00) =
					((obj_t) BgL_vz00_154), BUNSPEC);
			}
		}

	}



/* &rtl_ins/bbv-in-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2inzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5693, obj_t BgL_oz00_5694, obj_t BgL_vz00_5695)
	{
		{	/* SawMill/bbv-types.sch 145 */
			return
				BGl_rtl_inszf2bbvzd2inzd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_5694), BgL_vz00_5695);
		}

	}



/* rtl_ins/bbv-out */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2outz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_oz00_155)
	{
		{	/* SawMill/bbv-types.sch 146 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6779;

				{
					obj_t BgL_auxz00_6780;

					{	/* SawMill/bbv-types.sch 146 */
						BgL_objectz00_bglt BgL_tmpz00_6781;

						BgL_tmpz00_6781 = ((BgL_objectz00_bglt) BgL_oz00_155);
						BgL_auxz00_6780 = BGL_OBJECT_WIDENING(BgL_tmpz00_6781);
					}
					BgL_auxz00_6779 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6780);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6779))->BgL_outz00);
			}
		}

	}



/* &rtl_ins/bbv-out */
	obj_t BGl_z62rtl_inszf2bbvzd2outz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5696, obj_t BgL_oz00_5697)
	{
		{	/* SawMill/bbv-types.sch 146 */
			return
				BGl_rtl_inszf2bbvzd2outz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_5697));
		}

	}



/* rtl_ins/bbv-out-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2outzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_156, obj_t BgL_vz00_157)
	{
		{	/* SawMill/bbv-types.sch 147 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6788;

				{
					obj_t BgL_auxz00_6789;

					{	/* SawMill/bbv-types.sch 147 */
						BgL_objectz00_bglt BgL_tmpz00_6790;

						BgL_tmpz00_6790 = ((BgL_objectz00_bglt) BgL_oz00_156);
						BgL_auxz00_6789 = BGL_OBJECT_WIDENING(BgL_tmpz00_6790);
					}
					BgL_auxz00_6788 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6789);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6788))->
						BgL_outz00) = ((obj_t) BgL_vz00_157), BUNSPEC);
			}
		}

	}



/* &rtl_ins/bbv-out-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2outzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5698, obj_t BgL_oz00_5699, obj_t BgL_vz00_5700)
	{
		{	/* SawMill/bbv-types.sch 147 */
			return
				BGl_rtl_inszf2bbvzd2outzd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_5699), BgL_vz00_5700);
		}

	}



/* rtl_ins/bbv-def */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2defz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_oz00_158)
	{
		{	/* SawMill/bbv-types.sch 148 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6797;

				{
					obj_t BgL_auxz00_6798;

					{	/* SawMill/bbv-types.sch 148 */
						BgL_objectz00_bglt BgL_tmpz00_6799;

						BgL_tmpz00_6799 = ((BgL_objectz00_bglt) BgL_oz00_158);
						BgL_auxz00_6798 = BGL_OBJECT_WIDENING(BgL_tmpz00_6799);
					}
					BgL_auxz00_6797 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6798);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6797))->BgL_defz00);
			}
		}

	}



/* &rtl_ins/bbv-def */
	obj_t BGl_z62rtl_inszf2bbvzd2defz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5701, obj_t BgL_oz00_5702)
	{
		{	/* SawMill/bbv-types.sch 148 */
			return
				BGl_rtl_inszf2bbvzd2defz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_5702));
		}

	}



/* rtl_ins/bbv-def-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2defzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_159, obj_t BgL_vz00_160)
	{
		{	/* SawMill/bbv-types.sch 149 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6806;

				{
					obj_t BgL_auxz00_6807;

					{	/* SawMill/bbv-types.sch 149 */
						BgL_objectz00_bglt BgL_tmpz00_6808;

						BgL_tmpz00_6808 = ((BgL_objectz00_bglt) BgL_oz00_159);
						BgL_auxz00_6807 = BGL_OBJECT_WIDENING(BgL_tmpz00_6808);
					}
					BgL_auxz00_6806 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6807);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6806))->
						BgL_defz00) = ((obj_t) BgL_vz00_160), BUNSPEC);
			}
		}

	}



/* &rtl_ins/bbv-def-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2defzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5703, obj_t BgL_oz00_5704, obj_t BgL_vz00_5705)
	{
		{	/* SawMill/bbv-types.sch 149 */
			return
				BGl_rtl_inszf2bbvzd2defzd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_5704), BgL_vz00_5705);
		}

	}



/* rtl_ins/bbv-args */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2argsz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_oz00_161)
	{
		{	/* SawMill/bbv-types.sch 150 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_161)))->BgL_argsz00);
		}

	}



/* &rtl_ins/bbv-args */
	obj_t BGl_z62rtl_inszf2bbvzd2argsz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5706, obj_t BgL_oz00_5707)
	{
		{	/* SawMill/bbv-types.sch 150 */
			return
				BGl_rtl_inszf2bbvzd2argsz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_5707));
		}

	}



/* rtl_ins/bbv-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2argszd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_162, obj_t BgL_vz00_163)
	{
		{	/* SawMill/bbv-types.sch 151 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_162)))->BgL_argsz00) =
				((obj_t) BgL_vz00_163), BUNSPEC);
		}

	}



/* &rtl_ins/bbv-args-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2argszd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5708, obj_t BgL_oz00_5709, obj_t BgL_vz00_5710)
	{
		{	/* SawMill/bbv-types.sch 151 */
			return
				BGl_rtl_inszf2bbvzd2argszd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_5709), BgL_vz00_5710);
		}

	}



/* rtl_ins/bbv-fun */
	BGL_EXPORTED_DEF BgL_rtl_funz00_bglt
		BGl_rtl_inszf2bbvzd2funz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_oz00_164)
	{
		{	/* SawMill/bbv-types.sch 152 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_164)))->BgL_funz00);
		}

	}



/* &rtl_ins/bbv-fun */
	BgL_rtl_funz00_bglt
		BGl_z62rtl_inszf2bbvzd2funz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5711, obj_t BgL_oz00_5712)
	{
		{	/* SawMill/bbv-types.sch 152 */
			return
				BGl_rtl_inszf2bbvzd2funz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_5712));
		}

	}



/* rtl_ins/bbv-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2funzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_165, BgL_rtl_funz00_bglt BgL_vz00_166)
	{
		{	/* SawMill/bbv-types.sch 153 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_165)))->BgL_funz00) =
				((BgL_rtl_funz00_bglt) BgL_vz00_166), BUNSPEC);
		}

	}



/* &rtl_ins/bbv-fun-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2funzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5713, obj_t BgL_oz00_5714, obj_t BgL_vz00_5715)
	{
		{	/* SawMill/bbv-types.sch 153 */
			return
				BGl_rtl_inszf2bbvzd2funzd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_5714),
				((BgL_rtl_funz00_bglt) BgL_vz00_5715));
		}

	}



/* rtl_ins/bbv-dest */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2destz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_oz00_167)
	{
		{	/* SawMill/bbv-types.sch 154 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_167)))->BgL_destz00);
		}

	}



/* &rtl_ins/bbv-dest */
	obj_t BGl_z62rtl_inszf2bbvzd2destz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5716, obj_t BgL_oz00_5717)
	{
		{	/* SawMill/bbv-types.sch 154 */
			return
				BGl_rtl_inszf2bbvzd2destz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_5717));
		}

	}



/* rtl_ins/bbv-dest-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2destzd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_168, obj_t BgL_vz00_169)
	{
		{	/* SawMill/bbv-types.sch 155 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_168)))->BgL_destz00) =
				((obj_t) BgL_vz00_169), BUNSPEC);
		}

	}



/* &rtl_ins/bbv-dest-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2destzd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5718, obj_t BgL_oz00_5719, obj_t BgL_vz00_5720)
	{
		{	/* SawMill/bbv-types.sch 155 */
			return
				BGl_rtl_inszf2bbvzd2destzd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_5719), BgL_vz00_5720);
		}

	}



/* rtl_ins/bbv-%spill */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2z52spillz72zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_170)
	{
		{	/* SawMill/bbv-types.sch 156 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_170)))->BgL_z52spillz52);
		}

	}



/* &rtl_ins/bbv-%spill */
	obj_t BGl_z62rtl_inszf2bbvzd2z52spillz10zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5721, obj_t BgL_oz00_5722)
	{
		{	/* SawMill/bbv-types.sch 156 */
			return
				BGl_rtl_inszf2bbvzd2z52spillz72zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_5722));
		}

	}



/* rtl_ins/bbv-%spill-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2z52spillzd2setz12zb2zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_171, obj_t BgL_vz00_172)
	{
		{	/* SawMill/bbv-types.sch 157 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_171)))->BgL_z52spillz52) =
				((obj_t) BgL_vz00_172), BUNSPEC);
		}

	}



/* &rtl_ins/bbv-%spill-set! */
	obj_t
		BGl_z62rtl_inszf2bbvzd2z52spillzd2setz12zd0zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5723, obj_t BgL_oz00_5724, obj_t BgL_vz00_5725)
	{
		{	/* SawMill/bbv-types.sch 157 */
			return
				BGl_rtl_inszf2bbvzd2z52spillzd2setz12zb2zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_5724), BgL_vz00_5725);
		}

	}



/* rtl_ins/bbv-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2locz20zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_oz00_173)
	{
		{	/* SawMill/bbv-types.sch 158 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_173)))->BgL_locz00);
		}

	}



/* &rtl_ins/bbv-loc */
	obj_t BGl_z62rtl_inszf2bbvzd2locz42zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5726, obj_t BgL_oz00_5727)
	{
		{	/* SawMill/bbv-types.sch 158 */
			return
				BGl_rtl_inszf2bbvzd2locz20zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_5727));
		}

	}



/* rtl_ins/bbv-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszf2bbvzd2loczd2setz12ze0zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_oz00_174, obj_t BgL_vz00_175)
	{
		{	/* SawMill/bbv-types.sch 159 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_174)))->BgL_locz00) =
				((obj_t) BgL_vz00_175), BUNSPEC);
		}

	}



/* &rtl_ins/bbv-loc-set! */
	obj_t BGl_z62rtl_inszf2bbvzd2loczd2setz12z82zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5728, obj_t BgL_oz00_5729, obj_t BgL_vz00_5730)
	{
		{	/* SawMill/bbv-types.sch 159 */
			return
				BGl_rtl_inszf2bbvzd2loczd2setz12ze0zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_oz00_5729), BgL_vz00_5730);
		}

	}



/* make-bbv-ctxentry */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxentryzd2_bglt
		BGl_makezd2bbvzd2ctxentryz00zzsaw_bbvzd2specializa7ez75(BgL_rtl_regz00_bglt
		BgL_reg1199z00_176, BgL_typez00_bglt BgL_typ1200z00_177,
		bool_t BgL_flag1201z00_178, obj_t BgL_value1202z00_179,
		obj_t BgL_aliases1203z00_180)
	{
		{	/* SawMill/bbv-types.sch 162 */
			{	/* SawMill/bbv-types.sch 162 */
				BgL_bbvzd2ctxentryzd2_bglt BgL_new1177z00_5873;

				{	/* SawMill/bbv-types.sch 162 */
					BgL_bbvzd2ctxentryzd2_bglt BgL_new1176z00_5874;

					BgL_new1176z00_5874 =
						((BgL_bbvzd2ctxentryzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2ctxentryzd2_bgl))));
					{	/* SawMill/bbv-types.sch 162 */
						long BgL_arg1909z00_5875;

						BgL_arg1909z00_5875 =
							BGL_CLASS_NUM(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1176z00_5874), BgL_arg1909z00_5875);
					}
					BgL_new1177z00_5873 = BgL_new1176z00_5874;
				}
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1177z00_5873))->
						BgL_regz00) = ((BgL_rtl_regz00_bglt) BgL_reg1199z00_176), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1177z00_5873))->
						BgL_typz00) = ((BgL_typez00_bglt) BgL_typ1200z00_177), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1177z00_5873))->
						BgL_flagz00) = ((bool_t) BgL_flag1201z00_178), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1177z00_5873))->
						BgL_valuez00) = ((obj_t) BgL_value1202z00_179), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1177z00_5873))->
						BgL_aliasesz00) = ((obj_t) BgL_aliases1203z00_180), BUNSPEC);
				return BgL_new1177z00_5873;
			}
		}

	}



/* &make-bbv-ctxentry */
	BgL_bbvzd2ctxentryzd2_bglt
		BGl_z62makezd2bbvzd2ctxentryz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5731, obj_t BgL_reg1199z00_5732, obj_t BgL_typ1200z00_5733,
		obj_t BgL_flag1201z00_5734, obj_t BgL_value1202z00_5735,
		obj_t BgL_aliases1203z00_5736)
	{
		{	/* SawMill/bbv-types.sch 162 */
			return
				BGl_makezd2bbvzd2ctxentryz00zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_regz00_bglt) BgL_reg1199z00_5732),
				((BgL_typez00_bglt) BgL_typ1200z00_5733),
				CBOOL(BgL_flag1201z00_5734), BgL_value1202z00_5735,
				BgL_aliases1203z00_5736);
		}

	}



/* bbv-ctxentry? */
	BGL_EXPORTED_DEF bool_t
		BGl_bbvzd2ctxentryzf3z21zzsaw_bbvzd2specializa7ez75(obj_t BgL_objz00_181)
	{
		{	/* SawMill/bbv-types.sch 163 */
			{	/* SawMill/bbv-types.sch 163 */
				obj_t BgL_classz00_5876;

				BgL_classz00_5876 = BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2;
				if (BGL_OBJECTP(BgL_objz00_181))
					{	/* SawMill/bbv-types.sch 163 */
						BgL_objectz00_bglt BgL_arg1825z00_5877;

						BgL_arg1825z00_5877 = (BgL_objectz00_bglt) (BgL_objz00_181);
						{	/* SawMill/bbv-types.sch 163 */
							bool_t BgL_arg1822z00_5878;
							bool_t BgL_arg1823z00_5879;

							{	/* SawMill/bbv-types.sch 163 */
								long BgL_idxz00_5880;

								BgL_idxz00_5880 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5877);
								BgL_arg1822z00_5878 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5880 + ((long) 1))) == BgL_classz00_5876);
							}
							{	/* SawMill/bbv-types.sch 163 */
								bool_t BgL_res2572z00_5883;

								{	/* SawMill/bbv-types.sch 163 */
									obj_t BgL_oclassz00_5884;

									{	/* SawMill/bbv-types.sch 163 */
										long BgL_arg1833z00_5885;

										{	/* SawMill/bbv-types.sch 163 */
											long BgL_arg1834z00_5886;

											BgL_arg1834z00_5886 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5877);
											BgL_arg1833z00_5885 = (BgL_arg1834z00_5886 - OBJECT_TYPE);
										}
										BgL_oclassz00_5884 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_5885);
									}
									{	/* SawMill/bbv-types.sch 163 */
										bool_t BgL__ortest_1110z00_5887;

										BgL__ortest_1110z00_5887 =
											(BgL_classz00_5876 == BgL_oclassz00_5884);
										if (BgL__ortest_1110z00_5887)
											{	/* SawMill/bbv-types.sch 163 */
												BgL_res2572z00_5883 = BgL__ortest_1110z00_5887;
											}
										else
											{	/* SawMill/bbv-types.sch 163 */
												long BgL_odepthz00_5888;

												BgL_odepthz00_5888 =
													BGL_CLASS_DEPTH(BgL_oclassz00_5884);
												if ((((long) 1) < BgL_odepthz00_5888))
													{	/* SawMill/bbv-types.sch 163 */
														obj_t BgL_arg1821z00_5889;

														BgL_arg1821z00_5889 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5884,
															((long) 1));
														BgL_res2572z00_5883 =
															(BgL_arg1821z00_5889 == BgL_classz00_5876);
													}
												else
													{	/* SawMill/bbv-types.sch 163 */
														BgL_res2572z00_5883 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_5879 = BgL_res2572z00_5883;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_5878, BgL_arg1823z00_5879);
						}
					}
				else
					{	/* SawMill/bbv-types.sch 163 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &bbv-ctxentry? */
	obj_t BGl_z62bbvzd2ctxentryzf3z43zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5737, obj_t BgL_objz00_5738)
	{
		{	/* SawMill/bbv-types.sch 163 */
			return
				BBOOL(BGl_bbvzd2ctxentryzf3z21zzsaw_bbvzd2specializa7ez75
				(BgL_objz00_5738));
		}

	}



/* bbv-ctxentry-nil */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxentryzd2_bglt
		BGl_bbvzd2ctxentryzd2nilz00zzsaw_bbvzd2specializa7ez75()
	{
		{	/* SawMill/bbv-types.sch 164 */
			{	/* SawMill/bbv-types.sch 164 */
				obj_t BgL_classz00_3919;

				BgL_classz00_3919 = BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2;
				{	/* SawMill/bbv-types.sch 164 */
					obj_t BgL__ortest_1112z00_3920;

					BgL__ortest_1112z00_3920 = BGL_CLASS_NIL(BgL_classz00_3919);
					if (CBOOL(BgL__ortest_1112z00_3920))
						{	/* SawMill/bbv-types.sch 164 */
							return ((BgL_bbvzd2ctxentryzd2_bglt) BgL__ortest_1112z00_3920);
						}
					else
						{	/* SawMill/bbv-types.sch 164 */
							return
								((BgL_bbvzd2ctxentryzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3919));
						}
				}
			}
		}

	}



/* &bbv-ctxentry-nil */
	BgL_bbvzd2ctxentryzd2_bglt
		BGl_z62bbvzd2ctxentryzd2nilz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5739)
	{
		{	/* SawMill/bbv-types.sch 164 */
			return BGl_bbvzd2ctxentryzd2nilz00zzsaw_bbvzd2specializa7ez75();
		}

	}



/* bbv-ctxentry-aliases */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxentryzd2aliasesz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_182)
	{
		{	/* SawMill/bbv-types.sch 165 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_182))->BgL_aliasesz00);
		}

	}



/* &bbv-ctxentry-aliases */
	obj_t BGl_z62bbvzd2ctxentryzd2aliasesz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5740, obj_t BgL_oz00_5741)
	{
		{	/* SawMill/bbv-types.sch 165 */
			return
				BGl_bbvzd2ctxentryzd2aliasesz00zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_5741));
		}

	}



/* bbv-ctxentry-aliases-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxentryzd2aliaseszd2setz12zc0zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_183, obj_t BgL_vz00_184)
	{
		{	/* SawMill/bbv-types.sch 166 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_183))->
					BgL_aliasesz00) = ((obj_t) BgL_vz00_184), BUNSPEC);
		}

	}



/* &bbv-ctxentry-aliases-set! */
	obj_t
		BGl_z62bbvzd2ctxentryzd2aliaseszd2setz12za2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5742, obj_t BgL_oz00_5743, obj_t BgL_vz00_5744)
	{
		{	/* SawMill/bbv-types.sch 166 */
			return
				BGl_bbvzd2ctxentryzd2aliaseszd2setz12zc0zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_5743), BgL_vz00_5744);
		}

	}



/* bbv-ctxentry-value */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxentryzd2valuez00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_185)
	{
		{	/* SawMill/bbv-types.sch 167 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_185))->BgL_valuez00);
		}

	}



/* &bbv-ctxentry-value */
	obj_t BGl_z62bbvzd2ctxentryzd2valuez62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5745, obj_t BgL_oz00_5746)
	{
		{	/* SawMill/bbv-types.sch 167 */
			return
				BGl_bbvzd2ctxentryzd2valuez00zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_5746));
		}

	}



/* bbv-ctxentry-flag */
	BGL_EXPORTED_DEF bool_t
		BGl_bbvzd2ctxentryzd2flagz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_188)
	{
		{	/* SawMill/bbv-types.sch 169 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_188))->BgL_flagz00);
		}

	}



/* &bbv-ctxentry-flag */
	obj_t BGl_z62bbvzd2ctxentryzd2flagz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5747, obj_t BgL_oz00_5748)
	{
		{	/* SawMill/bbv-types.sch 169 */
			return
				BBOOL(BGl_bbvzd2ctxentryzd2flagz00zzsaw_bbvzd2specializa7ez75(
					((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_5748)));
		}

	}



/* bbv-ctxentry-typ */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_bbvzd2ctxentryzd2typz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_191)
	{
		{	/* SawMill/bbv-types.sch 171 */
			return (((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_191))->BgL_typz00);
		}

	}



/* &bbv-ctxentry-typ */
	BgL_typez00_bglt
		BGl_z62bbvzd2ctxentryzd2typz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5749, obj_t BgL_oz00_5750)
	{
		{	/* SawMill/bbv-types.sch 171 */
			return
				BGl_bbvzd2ctxentryzd2typz00zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_5750));
		}

	}



/* bbv-ctxentry-reg */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_bbvzd2ctxentryzd2regz00zzsaw_bbvzd2specializa7ez75
		(BgL_bbvzd2ctxentryzd2_bglt BgL_oz00_194)
	{
		{	/* SawMill/bbv-types.sch 173 */
			return (((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_oz00_194))->BgL_regz00);
		}

	}



/* &bbv-ctxentry-reg */
	BgL_rtl_regz00_bglt
		BGl_z62bbvzd2ctxentryzd2regz62zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5751, obj_t BgL_oz00_5752)
	{
		{	/* SawMill/bbv-types.sch 173 */
			return
				BGl_bbvzd2ctxentryzd2regz00zzsaw_bbvzd2specializa7ez75(
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_5752));
		}

	}



/* rtl_ins-specialize */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2specializa7ez75zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_iz00_207, obj_t BgL_ctxz00_208)
	{
		{	/* SawMill/bbv-specialize.scm 60 */
			if (BGl_rtl_inszd2typecheckzf3z21zzsaw_bbvzd2specializa7ez75
				(BgL_iz00_207))
				{	/* SawMill/bbv-specialize.scm 66 */
					return
						((obj_t)
						BGl_rtl_inszd2specializa7ezd2typecheckza7zzsaw_bbvzd2specializa7ez75
						(BgL_iz00_207, BgL_ctxz00_208));
				}
			else
				{	/* SawMill/bbv-specialize.scm 66 */
					if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_iz00_207))
						{	/* SawMill/bbv-specialize.scm 75 */
							BgL_rtl_insz00_bglt BgL_sz00_2151;

							{	/* SawMill/bbv-specialize.scm 75 */
								BgL_rtl_insz00_bglt BgL_new1180z00_2155;

								{	/* SawMill/bbv-specialize.scm 75 */
									BgL_rtl_insz00_bglt BgL_tmp1188z00_2165;
									BgL_rtl_inszf2bbvzf2_bglt BgL_wide1189z00_2166;

									{
										BgL_rtl_insz00_bglt BgL_auxz00_6921;

										{	/* SawMill/bbv-specialize.scm 75 */
											BgL_rtl_insz00_bglt BgL_new1187z00_2168;

											BgL_new1187z00_2168 =
												((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_insz00_bgl))));
											{	/* SawMill/bbv-specialize.scm 75 */
												long BgL_arg1924z00_2169;

												BgL_arg1924z00_2169 =
													BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1187z00_2168),
													BgL_arg1924z00_2169);
											}
											{	/* SawMill/bbv-specialize.scm 75 */
												BgL_objectz00_bglt BgL_tmpz00_6926;

												BgL_tmpz00_6926 =
													((BgL_objectz00_bglt) BgL_new1187z00_2168);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6926, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1187z00_2168);
											BgL_auxz00_6921 = BgL_new1187z00_2168;
										}
										BgL_tmp1188z00_2165 =
											((BgL_rtl_insz00_bglt) BgL_auxz00_6921);
									}
									BgL_wide1189z00_2166 =
										((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_inszf2bbvzf2_bgl))));
									{	/* SawMill/bbv-specialize.scm 75 */
										obj_t BgL_auxz00_6934;
										BgL_objectz00_bglt BgL_tmpz00_6932;

										BgL_auxz00_6934 = ((obj_t) BgL_wide1189z00_2166);
										BgL_tmpz00_6932 =
											((BgL_objectz00_bglt) BgL_tmp1188z00_2165);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6932, BgL_auxz00_6934);
									}
									((BgL_objectz00_bglt) BgL_tmp1188z00_2165);
									{	/* SawMill/bbv-specialize.scm 75 */
										long BgL_arg1923z00_2167;

										BgL_arg1923z00_2167 =
											BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_tmp1188z00_2165),
											BgL_arg1923z00_2167);
									}
									BgL_new1180z00_2155 =
										((BgL_rtl_insz00_bglt) BgL_tmp1188z00_2165);
								}
								((((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_new1180z00_2155)))->
										BgL_locz00) =
									((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_207))->
											BgL_locz00)), BUNSPEC);
								((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
													BgL_new1180z00_2155)))->BgL_z52spillz52) =
									((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_207))->
											BgL_z52spillz52)), BUNSPEC);
								((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
													BgL_new1180z00_2155)))->BgL_destz00) =
									((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_207))->
											BgL_destz00)), BUNSPEC);
								{
									BgL_rtl_funz00_bglt BgL_auxz00_6951;

									{	/* SawMill/bbv-specialize.scm 76 */
										BgL_rtl_funz00_bglt BgL_duplicated1192z00_2156;
										BgL_rtl_goz00_bglt BgL_new1190z00_2157;

										BgL_duplicated1192z00_2156 =
											(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_207))->
											BgL_funz00);
										{	/* SawMill/bbv-specialize.scm 76 */
											BgL_rtl_goz00_bglt BgL_new1194z00_2159;

											BgL_new1194z00_2159 =
												((BgL_rtl_goz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_goz00_bgl))));
											{	/* SawMill/bbv-specialize.scm 76 */
												long BgL_arg1922z00_2160;

												{	/* SawMill/bbv-specialize.scm 76 */
													obj_t BgL_classz00_3940;

													BgL_classz00_3940 = BGl_rtl_goz00zzsaw_defsz00;
													BgL_arg1922z00_2160 =
														BGL_CLASS_NUM(BgL_classz00_3940);
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1194z00_2159),
													BgL_arg1922z00_2160);
											}
											BgL_new1190z00_2157 = BgL_new1194z00_2159;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1190z00_2157)))->
												BgL_locz00) =
											((obj_t) (((BgL_rtl_funz00_bglt)
														COBJECT(BgL_duplicated1192z00_2156))->BgL_locz00)),
											BUNSPEC);
										((((BgL_rtl_goz00_bglt) COBJECT(BgL_new1190z00_2157))->
												BgL_toz00) =
											((BgL_blockz00_bglt) (((BgL_rtl_goz00_bglt)
														COBJECT(((BgL_rtl_goz00_bglt)
																BgL_duplicated1192z00_2156)))->BgL_toz00)),
											BUNSPEC);
										BgL_auxz00_6951 =
											((BgL_rtl_funz00_bglt) BgL_new1190z00_2157);
									}
									((((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_new1180z00_2155)))->
											BgL_funz00) =
										((BgL_rtl_funz00_bglt) BgL_auxz00_6951), BUNSPEC);
								}
								((((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_new1180z00_2155)))->
										BgL_argsz00) =
									((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_207))->
											BgL_argsz00)), BUNSPEC);
								{
									obj_t BgL_auxz00_6975;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6969;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6976;

										{
											obj_t BgL_auxz00_6977;

											{	/* SawMill/bbv-specialize.scm 76 */
												BgL_objectz00_bglt BgL_tmpz00_6978;

												BgL_tmpz00_6978 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_207));
												BgL_auxz00_6977 = BGL_OBJECT_WIDENING(BgL_tmpz00_6978);
											}
											BgL_auxz00_6976 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6977);
										}
										BgL_auxz00_6975 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6976))->
											BgL_defz00);
									}
									{
										obj_t BgL_auxz00_6970;

										{	/* SawMill/bbv-specialize.scm 76 */
											BgL_objectz00_bglt BgL_tmpz00_6971;

											BgL_tmpz00_6971 =
												((BgL_objectz00_bglt) BgL_new1180z00_2155);
											BgL_auxz00_6970 = BGL_OBJECT_WIDENING(BgL_tmpz00_6971);
										}
										BgL_auxz00_6969 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6970);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6969))->
											BgL_defz00) = ((obj_t) BgL_auxz00_6975), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_6991;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6985;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6992;

										{
											obj_t BgL_auxz00_6993;

											{	/* SawMill/bbv-specialize.scm 76 */
												BgL_objectz00_bglt BgL_tmpz00_6994;

												BgL_tmpz00_6994 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_207));
												BgL_auxz00_6993 = BGL_OBJECT_WIDENING(BgL_tmpz00_6994);
											}
											BgL_auxz00_6992 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6993);
										}
										BgL_auxz00_6991 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6992))->
											BgL_outz00);
									}
									{
										obj_t BgL_auxz00_6986;

										{	/* SawMill/bbv-specialize.scm 76 */
											BgL_objectz00_bglt BgL_tmpz00_6987;

											BgL_tmpz00_6987 =
												((BgL_objectz00_bglt) BgL_new1180z00_2155);
											BgL_auxz00_6986 = BGL_OBJECT_WIDENING(BgL_tmpz00_6987);
										}
										BgL_auxz00_6985 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6986);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6985))->
											BgL_outz00) = ((obj_t) BgL_auxz00_6991), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_7007;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7001;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7008;

										{
											obj_t BgL_auxz00_7009;

											{	/* SawMill/bbv-specialize.scm 76 */
												BgL_objectz00_bglt BgL_tmpz00_7010;

												BgL_tmpz00_7010 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_207));
												BgL_auxz00_7009 = BGL_OBJECT_WIDENING(BgL_tmpz00_7010);
											}
											BgL_auxz00_7008 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7009);
										}
										BgL_auxz00_7007 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7008))->
											BgL_inz00);
									}
									{
										obj_t BgL_auxz00_7002;

										{	/* SawMill/bbv-specialize.scm 76 */
											BgL_objectz00_bglt BgL_tmpz00_7003;

											BgL_tmpz00_7003 =
												((BgL_objectz00_bglt) BgL_new1180z00_2155);
											BgL_auxz00_7002 = BGL_OBJECT_WIDENING(BgL_tmpz00_7003);
										}
										BgL_auxz00_7001 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7002);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7001))->
											BgL_inz00) = ((obj_t) BgL_auxz00_7007), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_7023;
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7017;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7024;

										{
											obj_t BgL_auxz00_7025;

											{	/* SawMill/bbv-specialize.scm 76 */
												BgL_objectz00_bglt BgL_tmpz00_7026;

												BgL_tmpz00_7026 =
													((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_iz00_207));
												BgL_auxz00_7025 = BGL_OBJECT_WIDENING(BgL_tmpz00_7026);
											}
											BgL_auxz00_7024 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7025);
										}
										BgL_auxz00_7023 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7024))->
											BgL_z52hashz52);
									}
									{
										obj_t BgL_auxz00_7018;

										{	/* SawMill/bbv-specialize.scm 76 */
											BgL_objectz00_bglt BgL_tmpz00_7019;

											BgL_tmpz00_7019 =
												((BgL_objectz00_bglt) BgL_new1180z00_2155);
											BgL_auxz00_7018 = BGL_OBJECT_WIDENING(BgL_tmpz00_7019);
										}
										BgL_auxz00_7017 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7018);
									}
									((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_7017))->
											BgL_z52hashz52) = ((obj_t) BgL_auxz00_7023), BUNSPEC);
								}
								BgL_sz00_2151 = BgL_new1180z00_2155;
							}
							{	/* SawMill/bbv-specialize.scm 77 */
								int BgL_tmpz00_7033;

								BgL_tmpz00_7033 = (int) (((long) 2));
								BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7033);
							}
							{	/* SawMill/bbv-specialize.scm 77 */
								int BgL_tmpz00_7036;

								BgL_tmpz00_7036 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_7036, BgL_ctxz00_208);
							}
							return ((obj_t) BgL_sz00_2151);
						}
					else
						{	/* SawMill/bbv-specialize.scm 72 */
							if (BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(BgL_iz00_207))
								{	/* SawMill/bbv-specialize.scm 80 */
									obj_t BgL_casezd2valuezd2_2171;

									BgL_casezd2valuezd2_2171 =
										BGl_boolzd2valuezd2zzsaw_bbvzd2specializa7ez75(CAR(
											(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_207))->
												BgL_argsz00)), BgL_ctxz00_208);
									if ((BgL_casezd2valuezd2_2171 == CNST_TABLE_REF(((long) 1))))
										{	/* SawMill/bbv-specialize.scm 82 */
											BgL_rtl_insz00_bglt BgL_sz00_2173;

											{	/* SawMill/bbv-specialize.scm 82 */
												BgL_rtl_insz00_bglt BgL_new1195z00_2177;

												{	/* SawMill/bbv-specialize.scm 82 */
													BgL_rtl_insz00_bglt BgL_tmp1203z00_2185;
													BgL_rtl_inszf2bbvzf2_bglt BgL_wide1204z00_2186;

													{
														BgL_rtl_insz00_bglt BgL_auxz00_7048;

														{	/* SawMill/bbv-specialize.scm 82 */
															BgL_rtl_insz00_bglt BgL_new1202z00_2188;

															BgL_new1202z00_2188 =
																((BgL_rtl_insz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_rtl_insz00_bgl))));
															{	/* SawMill/bbv-specialize.scm 82 */
																long BgL_arg1930z00_2189;

																BgL_arg1930z00_2189 =
																	BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1202z00_2188),
																	BgL_arg1930z00_2189);
															}
															{	/* SawMill/bbv-specialize.scm 82 */
																BgL_objectz00_bglt BgL_tmpz00_7053;

																BgL_tmpz00_7053 =
																	((BgL_objectz00_bglt) BgL_new1202z00_2188);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7053,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1202z00_2188);
															BgL_auxz00_7048 = BgL_new1202z00_2188;
														}
														BgL_tmp1203z00_2185 =
															((BgL_rtl_insz00_bglt) BgL_auxz00_7048);
													}
													BgL_wide1204z00_2186 =
														((BgL_rtl_inszf2bbvzf2_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_rtl_inszf2bbvzf2_bgl))));
													{	/* SawMill/bbv-specialize.scm 82 */
														obj_t BgL_auxz00_7061;
														BgL_objectz00_bglt BgL_tmpz00_7059;

														BgL_auxz00_7061 = ((obj_t) BgL_wide1204z00_2186);
														BgL_tmpz00_7059 =
															((BgL_objectz00_bglt) BgL_tmp1203z00_2185);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7059,
															BgL_auxz00_7061);
													}
													((BgL_objectz00_bglt) BgL_tmp1203z00_2185);
													{	/* SawMill/bbv-specialize.scm 82 */
														long BgL_arg1929z00_2187;

														BgL_arg1929z00_2187 =
															BGL_CLASS_NUM
															(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
														BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																BgL_tmp1203z00_2185), BgL_arg1929z00_2187);
													}
													BgL_new1195z00_2177 =
														((BgL_rtl_insz00_bglt) BgL_tmp1203z00_2185);
												}
												((((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_new1195z00_2177)))->
														BgL_locz00) =
													((obj_t) (((BgL_rtl_insz00_bglt)
																COBJECT(BgL_iz00_207))->BgL_locz00)), BUNSPEC);
												((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																	BgL_new1195z00_2177)))->BgL_z52spillz52) =
													((obj_t) (((BgL_rtl_insz00_bglt)
																COBJECT(BgL_iz00_207))->BgL_z52spillz52)),
													BUNSPEC);
												((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																	BgL_new1195z00_2177)))->BgL_destz00) =
													((obj_t) (((BgL_rtl_insz00_bglt)
																COBJECT(BgL_iz00_207))->BgL_destz00)), BUNSPEC);
												{
													BgL_rtl_funz00_bglt BgL_auxz00_7078;

													{	/* SawMill/bbv-specialize.scm 83 */
														BgL_rtl_nopz00_bglt BgL_new1206z00_2178;

														{	/* SawMill/bbv-specialize.scm 83 */
															BgL_rtl_nopz00_bglt BgL_new1205z00_2179;

															BgL_new1205z00_2179 =
																((BgL_rtl_nopz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_rtl_nopz00_bgl))));
															{	/* SawMill/bbv-specialize.scm 83 */
																long BgL_arg1927z00_2180;

																{	/* SawMill/bbv-specialize.scm 83 */
																	obj_t BgL_classz00_3962;

																	BgL_classz00_3962 =
																		BGl_rtl_nopz00zzsaw_defsz00;
																	BgL_arg1927z00_2180 =
																		BGL_CLASS_NUM(BgL_classz00_3962);
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1205z00_2179),
																	BgL_arg1927z00_2180);
															}
															BgL_new1206z00_2178 = BgL_new1205z00_2179;
														}
														((((BgL_rtl_funz00_bglt) COBJECT(
																		((BgL_rtl_funz00_bglt)
																			BgL_new1206z00_2178)))->BgL_locz00) =
															((obj_t) BFALSE), BUNSPEC);
														BgL_auxz00_7078 =
															((BgL_rtl_funz00_bglt) BgL_new1206z00_2178);
													}
													((((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt)
																		BgL_new1195z00_2177)))->BgL_funz00) =
														((BgL_rtl_funz00_bglt) BgL_auxz00_7078), BUNSPEC);
												}
												((((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_new1195z00_2177)))->
														BgL_argsz00) =
													((obj_t) (((BgL_rtl_insz00_bglt)
																COBJECT(BgL_iz00_207))->BgL_argsz00)), BUNSPEC);
												{
													obj_t BgL_auxz00_7097;
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7091;

													{
														BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7098;

														{
															obj_t BgL_auxz00_7099;

															{	/* SawMill/bbv-specialize.scm 83 */
																BgL_objectz00_bglt BgL_tmpz00_7100;

																BgL_tmpz00_7100 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_iz00_207));
																BgL_auxz00_7099 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7100);
															}
															BgL_auxz00_7098 =
																((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7099);
														}
														BgL_auxz00_7097 =
															(((BgL_rtl_inszf2bbvzf2_bglt)
																COBJECT(BgL_auxz00_7098))->BgL_defz00);
													}
													{
														obj_t BgL_auxz00_7092;

														{	/* SawMill/bbv-specialize.scm 83 */
															BgL_objectz00_bglt BgL_tmpz00_7093;

															BgL_tmpz00_7093 =
																((BgL_objectz00_bglt) BgL_new1195z00_2177);
															BgL_auxz00_7092 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_7093);
														}
														BgL_auxz00_7091 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7092);
													}
													((((BgL_rtl_inszf2bbvzf2_bglt)
																COBJECT(BgL_auxz00_7091))->BgL_defz00) =
														((obj_t) BgL_auxz00_7097), BUNSPEC);
												}
												{
													obj_t BgL_auxz00_7113;
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7107;

													{
														BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7114;

														{
															obj_t BgL_auxz00_7115;

															{	/* SawMill/bbv-specialize.scm 83 */
																BgL_objectz00_bglt BgL_tmpz00_7116;

																BgL_tmpz00_7116 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_iz00_207));
																BgL_auxz00_7115 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7116);
															}
															BgL_auxz00_7114 =
																((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7115);
														}
														BgL_auxz00_7113 =
															(((BgL_rtl_inszf2bbvzf2_bglt)
																COBJECT(BgL_auxz00_7114))->BgL_outz00);
													}
													{
														obj_t BgL_auxz00_7108;

														{	/* SawMill/bbv-specialize.scm 83 */
															BgL_objectz00_bglt BgL_tmpz00_7109;

															BgL_tmpz00_7109 =
																((BgL_objectz00_bglt) BgL_new1195z00_2177);
															BgL_auxz00_7108 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_7109);
														}
														BgL_auxz00_7107 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7108);
													}
													((((BgL_rtl_inszf2bbvzf2_bglt)
																COBJECT(BgL_auxz00_7107))->BgL_outz00) =
														((obj_t) BgL_auxz00_7113), BUNSPEC);
												}
												{
													obj_t BgL_auxz00_7129;
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7123;

													{
														BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7130;

														{
															obj_t BgL_auxz00_7131;

															{	/* SawMill/bbv-specialize.scm 83 */
																BgL_objectz00_bglt BgL_tmpz00_7132;

																BgL_tmpz00_7132 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_iz00_207));
																BgL_auxz00_7131 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7132);
															}
															BgL_auxz00_7130 =
																((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7131);
														}
														BgL_auxz00_7129 =
															(((BgL_rtl_inszf2bbvzf2_bglt)
																COBJECT(BgL_auxz00_7130))->BgL_inz00);
													}
													{
														obj_t BgL_auxz00_7124;

														{	/* SawMill/bbv-specialize.scm 83 */
															BgL_objectz00_bglt BgL_tmpz00_7125;

															BgL_tmpz00_7125 =
																((BgL_objectz00_bglt) BgL_new1195z00_2177);
															BgL_auxz00_7124 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_7125);
														}
														BgL_auxz00_7123 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7124);
													}
													((((BgL_rtl_inszf2bbvzf2_bglt)
																COBJECT(BgL_auxz00_7123))->BgL_inz00) =
														((obj_t) BgL_auxz00_7129), BUNSPEC);
												}
												{
													obj_t BgL_auxz00_7145;
													BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7139;

													{
														BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7146;

														{
															obj_t BgL_auxz00_7147;

															{	/* SawMill/bbv-specialize.scm 83 */
																BgL_objectz00_bglt BgL_tmpz00_7148;

																BgL_tmpz00_7148 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_iz00_207));
																BgL_auxz00_7147 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7148);
															}
															BgL_auxz00_7146 =
																((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7147);
														}
														BgL_auxz00_7145 =
															(((BgL_rtl_inszf2bbvzf2_bglt)
																COBJECT(BgL_auxz00_7146))->BgL_z52hashz52);
													}
													{
														obj_t BgL_auxz00_7140;

														{	/* SawMill/bbv-specialize.scm 83 */
															BgL_objectz00_bglt BgL_tmpz00_7141;

															BgL_tmpz00_7141 =
																((BgL_objectz00_bglt) BgL_new1195z00_2177);
															BgL_auxz00_7140 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_7141);
														}
														BgL_auxz00_7139 =
															((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7140);
													}
													((((BgL_rtl_inszf2bbvzf2_bglt)
																COBJECT(BgL_auxz00_7139))->BgL_z52hashz52) =
														((obj_t) BgL_auxz00_7145), BUNSPEC);
												}
												BgL_sz00_2173 = BgL_new1195z00_2177;
											}
											{	/* SawMill/bbv-specialize.scm 84 */
												int BgL_tmpz00_7155;

												BgL_tmpz00_7155 = (int) (((long) 2));
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7155);
											}
											{	/* SawMill/bbv-specialize.scm 84 */
												int BgL_tmpz00_7158;

												BgL_tmpz00_7158 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_7158, BgL_ctxz00_208);
											}
											return ((obj_t) BgL_sz00_2173);
										}
									else
										{	/* SawMill/bbv-specialize.scm 80 */
											if (
												(BgL_casezd2valuezd2_2171 ==
													CNST_TABLE_REF(((long) 2))))
												{	/* SawMill/bbv-specialize.scm 87 */
													BgL_rtl_ifeqz00_bglt BgL_i1208z00_2192;

													BgL_i1208z00_2192 =
														((BgL_rtl_ifeqz00_bglt)
														(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_207))->
															BgL_funz00));
													{	/* SawMill/bbv-specialize.scm 88 */
														BgL_rtl_insz00_bglt BgL_sz00_2193;

														{	/* SawMill/bbv-specialize.scm 88 */
															BgL_rtl_insz00_bglt BgL_new1209z00_2197;

															{	/* SawMill/bbv-specialize.scm 88 */
																BgL_rtl_insz00_bglt BgL_tmp1217z00_2205;
																BgL_rtl_inszf2bbvzf2_bglt BgL_wide1218z00_2206;

																{
																	BgL_rtl_insz00_bglt BgL_auxz00_7167;

																	{	/* SawMill/bbv-specialize.scm 88 */
																		BgL_rtl_insz00_bglt BgL_new1216z00_2208;

																		BgL_new1216z00_2208 =
																			((BgL_rtl_insz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_rtl_insz00_bgl))));
																		{	/* SawMill/bbv-specialize.scm 88 */
																			long BgL_arg1935z00_2209;

																			BgL_arg1935z00_2209 =
																				BGL_CLASS_NUM
																				(BGl_rtl_insz00zzsaw_defsz00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1216z00_2208),
																				BgL_arg1935z00_2209);
																		}
																		{	/* SawMill/bbv-specialize.scm 88 */
																			BgL_objectz00_bglt BgL_tmpz00_7172;

																			BgL_tmpz00_7172 =
																				((BgL_objectz00_bglt)
																				BgL_new1216z00_2208);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7172,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1216z00_2208);
																		BgL_auxz00_7167 = BgL_new1216z00_2208;
																	}
																	BgL_tmp1217z00_2205 =
																		((BgL_rtl_insz00_bglt) BgL_auxz00_7167);
																}
																BgL_wide1218z00_2206 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_rtl_inszf2bbvzf2_bgl))));
																{	/* SawMill/bbv-specialize.scm 88 */
																	obj_t BgL_auxz00_7180;
																	BgL_objectz00_bglt BgL_tmpz00_7178;

																	BgL_auxz00_7180 =
																		((obj_t) BgL_wide1218z00_2206);
																	BgL_tmpz00_7178 =
																		((BgL_objectz00_bglt) BgL_tmp1217z00_2205);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7178,
																		BgL_auxz00_7180);
																}
																((BgL_objectz00_bglt) BgL_tmp1217z00_2205);
																{	/* SawMill/bbv-specialize.scm 88 */
																	long BgL_arg1933z00_2207;

																	BgL_arg1933z00_2207 =
																		BGL_CLASS_NUM
																		(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			BgL_tmp1217z00_2205),
																		BgL_arg1933z00_2207);
																}
																BgL_new1209z00_2197 =
																	((BgL_rtl_insz00_bglt) BgL_tmp1217z00_2205);
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_new1209z00_2197)))->BgL_locz00) =
																((obj_t) (((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_iz00_207))->BgL_locz00)),
																BUNSPEC);
															((((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_new1209z00_2197)))->
																	BgL_z52spillz52) =
																((obj_t) (((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_iz00_207))->BgL_z52spillz52)),
																BUNSPEC);
															((((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_new1209z00_2197)))->BgL_destz00) =
																((obj_t) (((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_iz00_207))->BgL_destz00)),
																BUNSPEC);
															{
																BgL_rtl_funz00_bglt BgL_auxz00_7197;

																{	/* SawMill/bbv-specialize.scm 89 */
																	BgL_rtl_goz00_bglt BgL_new1220z00_2198;

																	{	/* SawMill/bbv-specialize.scm 89 */
																		BgL_rtl_goz00_bglt BgL_new1219z00_2199;

																		BgL_new1219z00_2199 =
																			((BgL_rtl_goz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_rtl_goz00_bgl))));
																		{	/* SawMill/bbv-specialize.scm 89 */
																			long BgL_arg1932z00_2200;

																			{	/* SawMill/bbv-specialize.scm 89 */
																				obj_t BgL_classz00_3982;

																				BgL_classz00_3982 =
																					BGl_rtl_goz00zzsaw_defsz00;
																				BgL_arg1932z00_2200 =
																					BGL_CLASS_NUM(BgL_classz00_3982);
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1219z00_2199),
																				BgL_arg1932z00_2200);
																		}
																		BgL_new1220z00_2198 = BgL_new1219z00_2199;
																	}
																	((((BgL_rtl_funz00_bglt) COBJECT(
																					((BgL_rtl_funz00_bglt)
																						BgL_new1220z00_2198)))->
																			BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
																	((((BgL_rtl_goz00_bglt)
																				COBJECT(BgL_new1220z00_2198))->
																			BgL_toz00) =
																		((BgL_blockz00_bglt) ((
																					(BgL_rtl_ifeqz00_bglt)
																					COBJECT(BgL_i1208z00_2192))->
																				BgL_thenz00)), BUNSPEC);
																	BgL_auxz00_7197 =
																		((BgL_rtl_funz00_bglt) BgL_new1220z00_2198);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1209z00_2197)))->BgL_funz00) =
																	((BgL_rtl_funz00_bglt) BgL_auxz00_7197),
																	BUNSPEC);
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_new1209z00_2197)))->BgL_argsz00) =
																((obj_t) (((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_iz00_207))->BgL_argsz00)),
																BUNSPEC);
															{
																obj_t BgL_auxz00_7218;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7212;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7219;

																	{
																		obj_t BgL_auxz00_7220;

																		{	/* SawMill/bbv-specialize.scm 89 */
																			BgL_objectz00_bglt BgL_tmpz00_7221;

																			BgL_tmpz00_7221 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt) BgL_iz00_207));
																			BgL_auxz00_7220 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7221);
																		}
																		BgL_auxz00_7219 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_7220);
																	}
																	BgL_auxz00_7218 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_7219))->BgL_defz00);
																}
																{
																	obj_t BgL_auxz00_7213;

																	{	/* SawMill/bbv-specialize.scm 89 */
																		BgL_objectz00_bglt BgL_tmpz00_7214;

																		BgL_tmpz00_7214 =
																			((BgL_objectz00_bglt)
																			BgL_new1209z00_2197);
																		BgL_auxz00_7213 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_7214);
																	}
																	BgL_auxz00_7212 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_7213);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_7212))->BgL_defz00) =
																	((obj_t) BgL_auxz00_7218), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_7234;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7228;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7235;

																	{
																		obj_t BgL_auxz00_7236;

																		{	/* SawMill/bbv-specialize.scm 89 */
																			BgL_objectz00_bglt BgL_tmpz00_7237;

																			BgL_tmpz00_7237 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt) BgL_iz00_207));
																			BgL_auxz00_7236 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7237);
																		}
																		BgL_auxz00_7235 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_7236);
																	}
																	BgL_auxz00_7234 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_7235))->BgL_outz00);
																}
																{
																	obj_t BgL_auxz00_7229;

																	{	/* SawMill/bbv-specialize.scm 89 */
																		BgL_objectz00_bglt BgL_tmpz00_7230;

																		BgL_tmpz00_7230 =
																			((BgL_objectz00_bglt)
																			BgL_new1209z00_2197);
																		BgL_auxz00_7229 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_7230);
																	}
																	BgL_auxz00_7228 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_7229);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_7228))->BgL_outz00) =
																	((obj_t) BgL_auxz00_7234), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_7250;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7244;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7251;

																	{
																		obj_t BgL_auxz00_7252;

																		{	/* SawMill/bbv-specialize.scm 89 */
																			BgL_objectz00_bglt BgL_tmpz00_7253;

																			BgL_tmpz00_7253 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt) BgL_iz00_207));
																			BgL_auxz00_7252 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7253);
																		}
																		BgL_auxz00_7251 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_7252);
																	}
																	BgL_auxz00_7250 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_7251))->BgL_inz00);
																}
																{
																	obj_t BgL_auxz00_7245;

																	{	/* SawMill/bbv-specialize.scm 89 */
																		BgL_objectz00_bglt BgL_tmpz00_7246;

																		BgL_tmpz00_7246 =
																			((BgL_objectz00_bglt)
																			BgL_new1209z00_2197);
																		BgL_auxz00_7245 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_7246);
																	}
																	BgL_auxz00_7244 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_7245);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_7244))->BgL_inz00) =
																	((obj_t) BgL_auxz00_7250), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_7266;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7260;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7267;

																	{
																		obj_t BgL_auxz00_7268;

																		{	/* SawMill/bbv-specialize.scm 89 */
																			BgL_objectz00_bglt BgL_tmpz00_7269;

																			BgL_tmpz00_7269 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt) BgL_iz00_207));
																			BgL_auxz00_7268 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7269);
																		}
																		BgL_auxz00_7267 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_7268);
																	}
																	BgL_auxz00_7266 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_7267))->
																		BgL_z52hashz52);
																}
																{
																	obj_t BgL_auxz00_7261;

																	{	/* SawMill/bbv-specialize.scm 89 */
																		BgL_objectz00_bglt BgL_tmpz00_7262;

																		BgL_tmpz00_7262 =
																			((BgL_objectz00_bglt)
																			BgL_new1209z00_2197);
																		BgL_auxz00_7261 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_7262);
																	}
																	BgL_auxz00_7260 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_7261);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_7260))->
																		BgL_z52hashz52) =
																	((obj_t) BgL_auxz00_7266), BUNSPEC);
															}
															BgL_sz00_2193 = BgL_new1209z00_2197;
														}
														{	/* SawMill/bbv-specialize.scm 91 */
															int BgL_tmpz00_7276;

															BgL_tmpz00_7276 = (int) (((long) 2));
															BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7276);
														}
														{	/* SawMill/bbv-specialize.scm 91 */
															int BgL_tmpz00_7279;

															BgL_tmpz00_7279 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_7279,
																BgL_ctxz00_208);
														}
														return ((obj_t) BgL_sz00_2193);
													}
												}
											else
												{	/* SawMill/bbv-specialize.scm 94 */
													BgL_rtl_insz00_bglt BgL_sz00_2211;

													{	/* SawMill/bbv-specialize.scm 94 */
														BgL_rtl_insz00_bglt BgL_new1222z00_2215;

														{	/* SawMill/bbv-specialize.scm 94 */
															BgL_rtl_insz00_bglt BgL_tmp1230z00_2225;
															BgL_rtl_inszf2bbvzf2_bglt BgL_wide1231z00_2226;

															{
																BgL_rtl_insz00_bglt BgL_auxz00_7283;

																{	/* SawMill/bbv-specialize.scm 94 */
																	BgL_rtl_insz00_bglt BgL_new1229z00_2228;

																	BgL_new1229z00_2228 =
																		((BgL_rtl_insz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_insz00_bgl))));
																	{	/* SawMill/bbv-specialize.scm 94 */
																		long BgL_arg1938z00_2229;

																		BgL_arg1938z00_2229 =
																			BGL_CLASS_NUM
																			(BGl_rtl_insz00zzsaw_defsz00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1229z00_2228),
																			BgL_arg1938z00_2229);
																	}
																	{	/* SawMill/bbv-specialize.scm 94 */
																		BgL_objectz00_bglt BgL_tmpz00_7288;

																		BgL_tmpz00_7288 =
																			((BgL_objectz00_bglt)
																			BgL_new1229z00_2228);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7288,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1229z00_2228);
																	BgL_auxz00_7283 = BgL_new1229z00_2228;
																}
																BgL_tmp1230z00_2225 =
																	((BgL_rtl_insz00_bglt) BgL_auxz00_7283);
															}
															BgL_wide1231z00_2226 =
																((BgL_rtl_inszf2bbvzf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_rtl_inszf2bbvzf2_bgl))));
															{	/* SawMill/bbv-specialize.scm 94 */
																obj_t BgL_auxz00_7296;
																BgL_objectz00_bglt BgL_tmpz00_7294;

																BgL_auxz00_7296 =
																	((obj_t) BgL_wide1231z00_2226);
																BgL_tmpz00_7294 =
																	((BgL_objectz00_bglt) BgL_tmp1230z00_2225);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7294,
																	BgL_auxz00_7296);
															}
															((BgL_objectz00_bglt) BgL_tmp1230z00_2225);
															{	/* SawMill/bbv-specialize.scm 94 */
																long BgL_arg1937z00_2227;

																BgL_arg1937z00_2227 =
																	BGL_CLASS_NUM
																	(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																		BgL_tmp1230z00_2225), BgL_arg1937z00_2227);
															}
															BgL_new1222z00_2215 =
																((BgL_rtl_insz00_bglt) BgL_tmp1230z00_2225);
														}
														((((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			BgL_new1222z00_2215)))->BgL_locz00) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_iz00_207))->BgL_locz00)),
															BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_new1222z00_2215)))->BgL_z52spillz52) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_iz00_207))->BgL_z52spillz52)),
															BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_new1222z00_2215)))->BgL_destz00) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_iz00_207))->BgL_destz00)),
															BUNSPEC);
														{
															BgL_rtl_funz00_bglt BgL_auxz00_7313;

															{	/* SawMill/bbv-specialize.scm 95 */
																BgL_rtl_funz00_bglt BgL_duplicated1234z00_2216;
																BgL_rtl_ifeqz00_bglt BgL_new1232z00_2217;

																BgL_duplicated1234z00_2216 =
																	(((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_iz00_207))->BgL_funz00);
																{	/* SawMill/bbv-specialize.scm 95 */
																	BgL_rtl_ifeqz00_bglt BgL_new1236z00_2219;

																	BgL_new1236z00_2219 =
																		((BgL_rtl_ifeqz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_ifeqz00_bgl))));
																	{	/* SawMill/bbv-specialize.scm 95 */
																		long BgL_arg1936z00_2220;

																		{	/* SawMill/bbv-specialize.scm 95 */
																			obj_t BgL_classz00_4001;

																			BgL_classz00_4001 =
																				BGl_rtl_ifeqz00zzsaw_defsz00;
																			BgL_arg1936z00_2220 =
																				BGL_CLASS_NUM(BgL_classz00_4001);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1236z00_2219),
																			BgL_arg1936z00_2220);
																	}
																	BgL_new1232z00_2217 = BgL_new1236z00_2219;
																}
																((((BgL_rtl_funz00_bglt) COBJECT(
																				((BgL_rtl_funz00_bglt)
																					BgL_new1232z00_2217)))->BgL_locz00) =
																	((obj_t) (((BgL_rtl_funz00_bglt)
																				COBJECT(BgL_duplicated1234z00_2216))->
																			BgL_locz00)), BUNSPEC);
																((((BgL_rtl_ifeqz00_bglt)
																			COBJECT(BgL_new1232z00_2217))->
																		BgL_thenz00) =
																	((BgL_blockz00_bglt) (((BgL_rtl_ifeqz00_bglt)
																				COBJECT(((BgL_rtl_ifeqz00_bglt)
																						BgL_duplicated1234z00_2216)))->
																			BgL_thenz00)), BUNSPEC);
																BgL_auxz00_7313 =
																	((BgL_rtl_funz00_bglt) BgL_new1232z00_2217);
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_new1222z00_2215)))->BgL_funz00) =
																((BgL_rtl_funz00_bglt) BgL_auxz00_7313),
																BUNSPEC);
														}
														((((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			BgL_new1222z00_2215)))->BgL_argsz00) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_iz00_207))->BgL_argsz00)),
															BUNSPEC);
														{
															obj_t BgL_auxz00_7337;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7331;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7338;

																{
																	obj_t BgL_auxz00_7339;

																	{	/* SawMill/bbv-specialize.scm 95 */
																		BgL_objectz00_bglt BgL_tmpz00_7340;

																		BgL_tmpz00_7340 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_207));
																		BgL_auxz00_7339 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_7340);
																	}
																	BgL_auxz00_7338 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_7339);
																}
																BgL_auxz00_7337 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_7338))->BgL_defz00);
															}
															{
																obj_t BgL_auxz00_7332;

																{	/* SawMill/bbv-specialize.scm 95 */
																	BgL_objectz00_bglt BgL_tmpz00_7333;

																	BgL_tmpz00_7333 =
																		((BgL_objectz00_bglt) BgL_new1222z00_2215);
																	BgL_auxz00_7332 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_7333);
																}
																BgL_auxz00_7331 =
																	((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7332);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_7331))->BgL_defz00) =
																((obj_t) BgL_auxz00_7337), BUNSPEC);
														}
														{
															obj_t BgL_auxz00_7353;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7347;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7354;

																{
																	obj_t BgL_auxz00_7355;

																	{	/* SawMill/bbv-specialize.scm 95 */
																		BgL_objectz00_bglt BgL_tmpz00_7356;

																		BgL_tmpz00_7356 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_207));
																		BgL_auxz00_7355 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_7356);
																	}
																	BgL_auxz00_7354 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_7355);
																}
																BgL_auxz00_7353 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_7354))->BgL_outz00);
															}
															{
																obj_t BgL_auxz00_7348;

																{	/* SawMill/bbv-specialize.scm 95 */
																	BgL_objectz00_bglt BgL_tmpz00_7349;

																	BgL_tmpz00_7349 =
																		((BgL_objectz00_bglt) BgL_new1222z00_2215);
																	BgL_auxz00_7348 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_7349);
																}
																BgL_auxz00_7347 =
																	((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7348);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_7347))->BgL_outz00) =
																((obj_t) BgL_auxz00_7353), BUNSPEC);
														}
														{
															obj_t BgL_auxz00_7369;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7363;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7370;

																{
																	obj_t BgL_auxz00_7371;

																	{	/* SawMill/bbv-specialize.scm 95 */
																		BgL_objectz00_bglt BgL_tmpz00_7372;

																		BgL_tmpz00_7372 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_207));
																		BgL_auxz00_7371 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_7372);
																	}
																	BgL_auxz00_7370 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_7371);
																}
																BgL_auxz00_7369 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_7370))->BgL_inz00);
															}
															{
																obj_t BgL_auxz00_7364;

																{	/* SawMill/bbv-specialize.scm 95 */
																	BgL_objectz00_bglt BgL_tmpz00_7365;

																	BgL_tmpz00_7365 =
																		((BgL_objectz00_bglt) BgL_new1222z00_2215);
																	BgL_auxz00_7364 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_7365);
																}
																BgL_auxz00_7363 =
																	((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7364);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_7363))->BgL_inz00) =
																((obj_t) BgL_auxz00_7369), BUNSPEC);
														}
														{
															obj_t BgL_auxz00_7385;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7379;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7386;

																{
																	obj_t BgL_auxz00_7387;

																	{	/* SawMill/bbv-specialize.scm 95 */
																		BgL_objectz00_bglt BgL_tmpz00_7388;

																		BgL_tmpz00_7388 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_207));
																		BgL_auxz00_7387 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_7388);
																	}
																	BgL_auxz00_7386 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_7387);
																}
																BgL_auxz00_7385 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_7386))->BgL_z52hashz52);
															}
															{
																obj_t BgL_auxz00_7380;

																{	/* SawMill/bbv-specialize.scm 95 */
																	BgL_objectz00_bglt BgL_tmpz00_7381;

																	BgL_tmpz00_7381 =
																		((BgL_objectz00_bglt) BgL_new1222z00_2215);
																	BgL_auxz00_7380 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_7381);
																}
																BgL_auxz00_7379 =
																	((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_7380);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_7379))->BgL_z52hashz52) =
																((obj_t) BgL_auxz00_7385), BUNSPEC);
														}
														BgL_sz00_2211 = BgL_new1222z00_2215;
													}
													{	/* SawMill/bbv-specialize.scm 96 */
														int BgL_tmpz00_7395;

														BgL_tmpz00_7395 = (int) (((long) 2));
														BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7395);
													}
													{	/* SawMill/bbv-specialize.scm 96 */
														int BgL_tmpz00_7398;

														BgL_tmpz00_7398 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_tmpz00_7398,
															BgL_ctxz00_208);
													}
													return ((obj_t) BgL_sz00_2211);
												}
										}
								}
							else
								{	/* SawMill/bbv-specialize.scm 78 */
									if (BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2
										(BgL_iz00_207))
										{	/* SawMill/bbv-specialize.scm 99 */
											obj_t BgL_casezd2valuezd2_2233;

											BgL_casezd2valuezd2_2233 =
												BGl_boolzd2valuezd2zzsaw_bbvzd2specializa7ez75(CAR(
													(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_207))->
														BgL_argsz00)), BgL_ctxz00_208);
											if ((BgL_casezd2valuezd2_2233 ==
													CNST_TABLE_REF(((long) 1))))
												{	/* SawMill/bbv-specialize.scm 102 */
													BgL_rtl_ifeqz00_bglt BgL_i1238z00_2236;

													BgL_i1238z00_2236 =
														((BgL_rtl_ifeqz00_bglt)
														(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_207))->
															BgL_funz00));
													{	/* SawMill/bbv-specialize.scm 103 */
														BgL_rtl_insz00_bglt BgL_sz00_2237;

														{	/* SawMill/bbv-specialize.scm 103 */
															BgL_rtl_insz00_bglt BgL_new1239z00_2241;

															{	/* SawMill/bbv-specialize.scm 103 */
																BgL_rtl_insz00_bglt BgL_tmp1247z00_2249;
																BgL_rtl_inszf2bbvzf2_bglt BgL_wide1248z00_2250;

																{
																	BgL_rtl_insz00_bglt BgL_auxz00_7412;

																	{	/* SawMill/bbv-specialize.scm 103 */
																		BgL_rtl_insz00_bglt BgL_new1246z00_2252;

																		BgL_new1246z00_2252 =
																			((BgL_rtl_insz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_rtl_insz00_bgl))));
																		{	/* SawMill/bbv-specialize.scm 103 */
																			long BgL_arg1945z00_2253;

																			BgL_arg1945z00_2253 =
																				BGL_CLASS_NUM
																				(BGl_rtl_insz00zzsaw_defsz00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1246z00_2252),
																				BgL_arg1945z00_2253);
																		}
																		{	/* SawMill/bbv-specialize.scm 103 */
																			BgL_objectz00_bglt BgL_tmpz00_7417;

																			BgL_tmpz00_7417 =
																				((BgL_objectz00_bglt)
																				BgL_new1246z00_2252);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7417,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1246z00_2252);
																		BgL_auxz00_7412 = BgL_new1246z00_2252;
																	}
																	BgL_tmp1247z00_2249 =
																		((BgL_rtl_insz00_bglt) BgL_auxz00_7412);
																}
																BgL_wide1248z00_2250 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_rtl_inszf2bbvzf2_bgl))));
																{	/* SawMill/bbv-specialize.scm 103 */
																	obj_t BgL_auxz00_7425;
																	BgL_objectz00_bglt BgL_tmpz00_7423;

																	BgL_auxz00_7425 =
																		((obj_t) BgL_wide1248z00_2250);
																	BgL_tmpz00_7423 =
																		((BgL_objectz00_bglt) BgL_tmp1247z00_2249);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7423,
																		BgL_auxz00_7425);
																}
																((BgL_objectz00_bglt) BgL_tmp1247z00_2249);
																{	/* SawMill/bbv-specialize.scm 103 */
																	long BgL_arg1944z00_2251;

																	BgL_arg1944z00_2251 =
																		BGL_CLASS_NUM
																		(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			BgL_tmp1247z00_2249),
																		BgL_arg1944z00_2251);
																}
																BgL_new1239z00_2241 =
																	((BgL_rtl_insz00_bglt) BgL_tmp1247z00_2249);
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_new1239z00_2241)))->BgL_locz00) =
																((obj_t) (((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_iz00_207))->BgL_locz00)),
																BUNSPEC);
															((((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_new1239z00_2241)))->
																	BgL_z52spillz52) =
																((obj_t) (((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_iz00_207))->BgL_z52spillz52)),
																BUNSPEC);
															((((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_new1239z00_2241)))->BgL_destz00) =
																((obj_t) (((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_iz00_207))->BgL_destz00)),
																BUNSPEC);
															{
																BgL_rtl_funz00_bglt BgL_auxz00_7442;

																{	/* SawMill/bbv-specialize.scm 104 */
																	BgL_rtl_goz00_bglt BgL_new1250z00_2242;

																	{	/* SawMill/bbv-specialize.scm 104 */
																		BgL_rtl_goz00_bglt BgL_new1249z00_2243;

																		BgL_new1249z00_2243 =
																			((BgL_rtl_goz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_rtl_goz00_bgl))));
																		{	/* SawMill/bbv-specialize.scm 104 */
																			long BgL_arg1943z00_2244;

																			{	/* SawMill/bbv-specialize.scm 104 */
																				obj_t BgL_classz00_4023;

																				BgL_classz00_4023 =
																					BGl_rtl_goz00zzsaw_defsz00;
																				BgL_arg1943z00_2244 =
																					BGL_CLASS_NUM(BgL_classz00_4023);
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1249z00_2243),
																				BgL_arg1943z00_2244);
																		}
																		BgL_new1250z00_2242 = BgL_new1249z00_2243;
																	}
																	((((BgL_rtl_funz00_bglt) COBJECT(
																					((BgL_rtl_funz00_bglt)
																						BgL_new1250z00_2242)))->
																			BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
																	((((BgL_rtl_goz00_bglt)
																				COBJECT(BgL_new1250z00_2242))->
																			BgL_toz00) =
																		((BgL_blockz00_bglt) ((
																					(BgL_rtl_ifeqz00_bglt)
																					COBJECT(BgL_i1238z00_2236))->
																				BgL_thenz00)), BUNSPEC);
																	BgL_auxz00_7442 =
																		((BgL_rtl_funz00_bglt) BgL_new1250z00_2242);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1239z00_2241)))->BgL_funz00) =
																	((BgL_rtl_funz00_bglt) BgL_auxz00_7442),
																	BUNSPEC);
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_new1239z00_2241)))->BgL_argsz00) =
																((obj_t) (((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_iz00_207))->BgL_argsz00)),
																BUNSPEC);
															{
																obj_t BgL_auxz00_7463;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7457;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7464;

																	{
																		obj_t BgL_auxz00_7465;

																		{	/* SawMill/bbv-specialize.scm 104 */
																			BgL_objectz00_bglt BgL_tmpz00_7466;

																			BgL_tmpz00_7466 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt) BgL_iz00_207));
																			BgL_auxz00_7465 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7466);
																		}
																		BgL_auxz00_7464 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_7465);
																	}
																	BgL_auxz00_7463 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_7464))->BgL_defz00);
																}
																{
																	obj_t BgL_auxz00_7458;

																	{	/* SawMill/bbv-specialize.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_7459;

																		BgL_tmpz00_7459 =
																			((BgL_objectz00_bglt)
																			BgL_new1239z00_2241);
																		BgL_auxz00_7458 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_7459);
																	}
																	BgL_auxz00_7457 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_7458);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_7457))->BgL_defz00) =
																	((obj_t) BgL_auxz00_7463), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_7479;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7473;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7480;

																	{
																		obj_t BgL_auxz00_7481;

																		{	/* SawMill/bbv-specialize.scm 104 */
																			BgL_objectz00_bglt BgL_tmpz00_7482;

																			BgL_tmpz00_7482 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt) BgL_iz00_207));
																			BgL_auxz00_7481 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7482);
																		}
																		BgL_auxz00_7480 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_7481);
																	}
																	BgL_auxz00_7479 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_7480))->BgL_outz00);
																}
																{
																	obj_t BgL_auxz00_7474;

																	{	/* SawMill/bbv-specialize.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_7475;

																		BgL_tmpz00_7475 =
																			((BgL_objectz00_bglt)
																			BgL_new1239z00_2241);
																		BgL_auxz00_7474 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_7475);
																	}
																	BgL_auxz00_7473 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_7474);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_7473))->BgL_outz00) =
																	((obj_t) BgL_auxz00_7479), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_7495;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7489;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7496;

																	{
																		obj_t BgL_auxz00_7497;

																		{	/* SawMill/bbv-specialize.scm 104 */
																			BgL_objectz00_bglt BgL_tmpz00_7498;

																			BgL_tmpz00_7498 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt) BgL_iz00_207));
																			BgL_auxz00_7497 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7498);
																		}
																		BgL_auxz00_7496 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_7497);
																	}
																	BgL_auxz00_7495 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_7496))->BgL_inz00);
																}
																{
																	obj_t BgL_auxz00_7490;

																	{	/* SawMill/bbv-specialize.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_7491;

																		BgL_tmpz00_7491 =
																			((BgL_objectz00_bglt)
																			BgL_new1239z00_2241);
																		BgL_auxz00_7490 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_7491);
																	}
																	BgL_auxz00_7489 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_7490);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_7489))->BgL_inz00) =
																	((obj_t) BgL_auxz00_7495), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_7511;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7505;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7512;

																	{
																		obj_t BgL_auxz00_7513;

																		{	/* SawMill/bbv-specialize.scm 104 */
																			BgL_objectz00_bglt BgL_tmpz00_7514;

																			BgL_tmpz00_7514 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt) BgL_iz00_207));
																			BgL_auxz00_7513 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7514);
																		}
																		BgL_auxz00_7512 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_7513);
																	}
																	BgL_auxz00_7511 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_7512))->
																		BgL_z52hashz52);
																}
																{
																	obj_t BgL_auxz00_7506;

																	{	/* SawMill/bbv-specialize.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_7507;

																		BgL_tmpz00_7507 =
																			((BgL_objectz00_bglt)
																			BgL_new1239z00_2241);
																		BgL_auxz00_7506 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_7507);
																	}
																	BgL_auxz00_7505 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_7506);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_7505))->
																		BgL_z52hashz52) =
																	((obj_t) BgL_auxz00_7511), BUNSPEC);
															}
															BgL_sz00_2237 = BgL_new1239z00_2241;
														}
														{	/* SawMill/bbv-specialize.scm 106 */
															int BgL_tmpz00_7521;

															BgL_tmpz00_7521 = (int) (((long) 2));
															BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7521);
														}
														{	/* SawMill/bbv-specialize.scm 106 */
															int BgL_tmpz00_7524;

															BgL_tmpz00_7524 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_7524,
																BgL_ctxz00_208);
														}
														return ((obj_t) BgL_sz00_2237);
													}
												}
											else
												{	/* SawMill/bbv-specialize.scm 99 */
													if (
														(BgL_casezd2valuezd2_2233 ==
															CNST_TABLE_REF(((long) 2))))
														{	/* SawMill/bbv-specialize.scm 108 */
															BgL_rtl_insz00_bglt BgL_sz00_2255;

															{	/* SawMill/bbv-specialize.scm 108 */
																BgL_rtl_insz00_bglt BgL_new1251z00_2259;

																{	/* SawMill/bbv-specialize.scm 108 */
																	BgL_rtl_insz00_bglt BgL_tmp1259z00_2267;
																	BgL_rtl_inszf2bbvzf2_bglt
																		BgL_wide1260z00_2268;
																	{
																		BgL_rtl_insz00_bglt BgL_auxz00_7531;

																		{	/* SawMill/bbv-specialize.scm 108 */
																			BgL_rtl_insz00_bglt BgL_new1258z00_2270;

																			BgL_new1258z00_2270 =
																				((BgL_rtl_insz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_insz00_bgl))));
																			{	/* SawMill/bbv-specialize.scm 108 */
																				long BgL_arg1949z00_2271;

																				BgL_arg1949z00_2271 =
																					BGL_CLASS_NUM
																					(BGl_rtl_insz00zzsaw_defsz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1258z00_2270),
																					BgL_arg1949z00_2271);
																			}
																			{	/* SawMill/bbv-specialize.scm 108 */
																				BgL_objectz00_bglt BgL_tmpz00_7536;

																				BgL_tmpz00_7536 =
																					((BgL_objectz00_bglt)
																					BgL_new1258z00_2270);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7536,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1258z00_2270);
																			BgL_auxz00_7531 = BgL_new1258z00_2270;
																		}
																		BgL_tmp1259z00_2267 =
																			((BgL_rtl_insz00_bglt) BgL_auxz00_7531);
																	}
																	BgL_wide1260z00_2268 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_inszf2bbvzf2_bgl))));
																	{	/* SawMill/bbv-specialize.scm 108 */
																		obj_t BgL_auxz00_7544;
																		BgL_objectz00_bglt BgL_tmpz00_7542;

																		BgL_auxz00_7544 =
																			((obj_t) BgL_wide1260z00_2268);
																		BgL_tmpz00_7542 =
																			((BgL_objectz00_bglt)
																			BgL_tmp1259z00_2267);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7542,
																			BgL_auxz00_7544);
																	}
																	((BgL_objectz00_bglt) BgL_tmp1259z00_2267);
																	{	/* SawMill/bbv-specialize.scm 108 */
																		long BgL_arg1948z00_2269;

																		BgL_arg1948z00_2269 =
																			BGL_CLASS_NUM
																			(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_tmp1259z00_2267),
																			BgL_arg1948z00_2269);
																	}
																	BgL_new1251z00_2259 =
																		((BgL_rtl_insz00_bglt) BgL_tmp1259z00_2267);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1251z00_2259)))->BgL_locz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_207))->BgL_locz00)),
																	BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1251z00_2259)))->
																		BgL_z52spillz52) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_207))->
																			BgL_z52spillz52)), BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1251z00_2259)))->BgL_destz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_207))->BgL_destz00)),
																	BUNSPEC);
																{
																	BgL_rtl_funz00_bglt BgL_auxz00_7561;

																	{	/* SawMill/bbv-specialize.scm 109 */
																		BgL_rtl_nopz00_bglt BgL_new1262z00_2260;

																		{	/* SawMill/bbv-specialize.scm 109 */
																			BgL_rtl_nopz00_bglt BgL_new1261z00_2261;

																			BgL_new1261z00_2261 =
																				((BgL_rtl_nopz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_nopz00_bgl))));
																			{	/* SawMill/bbv-specialize.scm 109 */
																				long BgL_arg1947z00_2262;

																				{	/* SawMill/bbv-specialize.scm 109 */
																					obj_t BgL_classz00_4043;

																					BgL_classz00_4043 =
																						BGl_rtl_nopz00zzsaw_defsz00;
																					BgL_arg1947z00_2262 =
																						BGL_CLASS_NUM(BgL_classz00_4043);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1261z00_2261),
																					BgL_arg1947z00_2262);
																			}
																			BgL_new1262z00_2260 = BgL_new1261z00_2261;
																		}
																		((((BgL_rtl_funz00_bglt) COBJECT(
																						((BgL_rtl_funz00_bglt)
																							BgL_new1262z00_2260)))->
																				BgL_locz00) =
																			((obj_t) BFALSE), BUNSPEC);
																		BgL_auxz00_7561 =
																			((BgL_rtl_funz00_bglt)
																			BgL_new1262z00_2260);
																	}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new1251z00_2259)))->
																			BgL_funz00) =
																		((BgL_rtl_funz00_bglt) BgL_auxz00_7561),
																		BUNSPEC);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1251z00_2259)))->BgL_argsz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_207))->BgL_argsz00)),
																	BUNSPEC);
																{
																	obj_t BgL_auxz00_7580;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7574;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7581;

																		{
																			obj_t BgL_auxz00_7582;

																			{	/* SawMill/bbv-specialize.scm 109 */
																				BgL_objectz00_bglt BgL_tmpz00_7583;

																				BgL_tmpz00_7583 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt) BgL_iz00_207));
																				BgL_auxz00_7582 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_7583);
																			}
																			BgL_auxz00_7581 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_7582);
																		}
																		BgL_auxz00_7580 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_7581))->BgL_defz00);
																	}
																	{
																		obj_t BgL_auxz00_7575;

																		{	/* SawMill/bbv-specialize.scm 109 */
																			BgL_objectz00_bglt BgL_tmpz00_7576;

																			BgL_tmpz00_7576 =
																				((BgL_objectz00_bglt)
																				BgL_new1251z00_2259);
																			BgL_auxz00_7575 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7576);
																		}
																		BgL_auxz00_7574 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_7575);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_7574))->BgL_defz00) =
																		((obj_t) BgL_auxz00_7580), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_7596;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7590;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7597;

																		{
																			obj_t BgL_auxz00_7598;

																			{	/* SawMill/bbv-specialize.scm 109 */
																				BgL_objectz00_bglt BgL_tmpz00_7599;

																				BgL_tmpz00_7599 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt) BgL_iz00_207));
																				BgL_auxz00_7598 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_7599);
																			}
																			BgL_auxz00_7597 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_7598);
																		}
																		BgL_auxz00_7596 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_7597))->BgL_outz00);
																	}
																	{
																		obj_t BgL_auxz00_7591;

																		{	/* SawMill/bbv-specialize.scm 109 */
																			BgL_objectz00_bglt BgL_tmpz00_7592;

																			BgL_tmpz00_7592 =
																				((BgL_objectz00_bglt)
																				BgL_new1251z00_2259);
																			BgL_auxz00_7591 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7592);
																		}
																		BgL_auxz00_7590 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_7591);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_7590))->BgL_outz00) =
																		((obj_t) BgL_auxz00_7596), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_7612;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7606;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7613;

																		{
																			obj_t BgL_auxz00_7614;

																			{	/* SawMill/bbv-specialize.scm 109 */
																				BgL_objectz00_bglt BgL_tmpz00_7615;

																				BgL_tmpz00_7615 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt) BgL_iz00_207));
																				BgL_auxz00_7614 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_7615);
																			}
																			BgL_auxz00_7613 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_7614);
																		}
																		BgL_auxz00_7612 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_7613))->BgL_inz00);
																	}
																	{
																		obj_t BgL_auxz00_7607;

																		{	/* SawMill/bbv-specialize.scm 109 */
																			BgL_objectz00_bglt BgL_tmpz00_7608;

																			BgL_tmpz00_7608 =
																				((BgL_objectz00_bglt)
																				BgL_new1251z00_2259);
																			BgL_auxz00_7607 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7608);
																		}
																		BgL_auxz00_7606 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_7607);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_7606))->BgL_inz00) =
																		((obj_t) BgL_auxz00_7612), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_7628;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7622;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7629;

																		{
																			obj_t BgL_auxz00_7630;

																			{	/* SawMill/bbv-specialize.scm 109 */
																				BgL_objectz00_bglt BgL_tmpz00_7631;

																				BgL_tmpz00_7631 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt) BgL_iz00_207));
																				BgL_auxz00_7630 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_7631);
																			}
																			BgL_auxz00_7629 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_7630);
																		}
																		BgL_auxz00_7628 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_7629))->
																			BgL_z52hashz52);
																	}
																	{
																		obj_t BgL_auxz00_7623;

																		{	/* SawMill/bbv-specialize.scm 109 */
																			BgL_objectz00_bglt BgL_tmpz00_7624;

																			BgL_tmpz00_7624 =
																				((BgL_objectz00_bglt)
																				BgL_new1251z00_2259);
																			BgL_auxz00_7623 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7624);
																		}
																		BgL_auxz00_7622 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_7623);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_7622))->
																			BgL_z52hashz52) =
																		((obj_t) BgL_auxz00_7628), BUNSPEC);
																}
																BgL_sz00_2255 = BgL_new1251z00_2259;
															}
															{	/* SawMill/bbv-specialize.scm 110 */
																int BgL_tmpz00_7638;

																BgL_tmpz00_7638 = (int) (((long) 2));
																BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7638);
															}
															{	/* SawMill/bbv-specialize.scm 110 */
																int BgL_tmpz00_7641;

																BgL_tmpz00_7641 = (int) (((long) 1));
																BGL_MVALUES_VAL_SET(BgL_tmpz00_7641,
																	BgL_ctxz00_208);
															}
															return ((obj_t) BgL_sz00_2255);
														}
													else
														{	/* SawMill/bbv-specialize.scm 113 */
															BgL_rtl_insz00_bglt BgL_sz00_2273;

															{	/* SawMill/bbv-specialize.scm 113 */
																BgL_rtl_insz00_bglt BgL_new1264z00_2277;

																{	/* SawMill/bbv-specialize.scm 113 */
																	BgL_rtl_insz00_bglt BgL_tmp1272z00_2287;
																	BgL_rtl_inszf2bbvzf2_bglt
																		BgL_wide1273z00_2288;
																	{
																		BgL_rtl_insz00_bglt BgL_auxz00_7645;

																		{	/* SawMill/bbv-specialize.scm 113 */
																			BgL_rtl_insz00_bglt BgL_new1271z00_2290;

																			BgL_new1271z00_2290 =
																				((BgL_rtl_insz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_insz00_bgl))));
																			{	/* SawMill/bbv-specialize.scm 113 */
																				long BgL_arg1952z00_2291;

																				BgL_arg1952z00_2291 =
																					BGL_CLASS_NUM
																					(BGl_rtl_insz00zzsaw_defsz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1271z00_2290),
																					BgL_arg1952z00_2291);
																			}
																			{	/* SawMill/bbv-specialize.scm 113 */
																				BgL_objectz00_bglt BgL_tmpz00_7650;

																				BgL_tmpz00_7650 =
																					((BgL_objectz00_bglt)
																					BgL_new1271z00_2290);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7650,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1271z00_2290);
																			BgL_auxz00_7645 = BgL_new1271z00_2290;
																		}
																		BgL_tmp1272z00_2287 =
																			((BgL_rtl_insz00_bglt) BgL_auxz00_7645);
																	}
																	BgL_wide1273z00_2288 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_inszf2bbvzf2_bgl))));
																	{	/* SawMill/bbv-specialize.scm 113 */
																		obj_t BgL_auxz00_7658;
																		BgL_objectz00_bglt BgL_tmpz00_7656;

																		BgL_auxz00_7658 =
																			((obj_t) BgL_wide1273z00_2288);
																		BgL_tmpz00_7656 =
																			((BgL_objectz00_bglt)
																			BgL_tmp1272z00_2287);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7656,
																			BgL_auxz00_7658);
																	}
																	((BgL_objectz00_bglt) BgL_tmp1272z00_2287);
																	{	/* SawMill/bbv-specialize.scm 113 */
																		long BgL_arg1951z00_2289;

																		BgL_arg1951z00_2289 =
																			BGL_CLASS_NUM
																			(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_tmp1272z00_2287),
																			BgL_arg1951z00_2289);
																	}
																	BgL_new1264z00_2277 =
																		((BgL_rtl_insz00_bglt) BgL_tmp1272z00_2287);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1264z00_2277)))->BgL_locz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_207))->BgL_locz00)),
																	BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1264z00_2277)))->
																		BgL_z52spillz52) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_207))->
																			BgL_z52spillz52)), BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1264z00_2277)))->BgL_destz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_207))->BgL_destz00)),
																	BUNSPEC);
																{
																	BgL_rtl_funz00_bglt BgL_auxz00_7675;

																	{	/* SawMill/bbv-specialize.scm 114 */
																		BgL_rtl_funz00_bglt
																			BgL_duplicated1276z00_2278;
																		BgL_rtl_ifnez00_bglt BgL_new1274z00_2279;

																		BgL_duplicated1276z00_2278 =
																			(((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_207))->BgL_funz00);
																		{	/* SawMill/bbv-specialize.scm 114 */
																			BgL_rtl_ifnez00_bglt BgL_new1278z00_2281;

																			BgL_new1278z00_2281 =
																				((BgL_rtl_ifnez00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_ifnez00_bgl))));
																			{	/* SawMill/bbv-specialize.scm 114 */
																				long BgL_arg1950z00_2282;

																				{	/* SawMill/bbv-specialize.scm 114 */
																					obj_t BgL_classz00_4062;

																					BgL_classz00_4062 =
																						BGl_rtl_ifnez00zzsaw_defsz00;
																					BgL_arg1950z00_2282 =
																						BGL_CLASS_NUM(BgL_classz00_4062);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1278z00_2281),
																					BgL_arg1950z00_2282);
																			}
																			BgL_new1274z00_2279 = BgL_new1278z00_2281;
																		}
																		((((BgL_rtl_funz00_bglt) COBJECT(
																						((BgL_rtl_funz00_bglt)
																							BgL_new1274z00_2279)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_rtl_funz00_bglt)
																						COBJECT
																						(BgL_duplicated1276z00_2278))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_rtl_ifnez00_bglt)
																					COBJECT(BgL_new1274z00_2279))->
																				BgL_thenz00) =
																			((BgL_blockz00_bglt) ((
																						(BgL_rtl_ifnez00_bglt)
																						COBJECT(((BgL_rtl_ifnez00_bglt)
																								BgL_duplicated1276z00_2278)))->
																					BgL_thenz00)), BUNSPEC);
																		BgL_auxz00_7675 =
																			((BgL_rtl_funz00_bglt)
																			BgL_new1274z00_2279);
																	}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new1264z00_2277)))->
																			BgL_funz00) =
																		((BgL_rtl_funz00_bglt) BgL_auxz00_7675),
																		BUNSPEC);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1264z00_2277)))->BgL_argsz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_207))->BgL_argsz00)),
																	BUNSPEC);
																{
																	obj_t BgL_auxz00_7699;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7693;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7700;

																		{
																			obj_t BgL_auxz00_7701;

																			{	/* SawMill/bbv-specialize.scm 114 */
																				BgL_objectz00_bglt BgL_tmpz00_7702;

																				BgL_tmpz00_7702 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt) BgL_iz00_207));
																				BgL_auxz00_7701 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_7702);
																			}
																			BgL_auxz00_7700 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_7701);
																		}
																		BgL_auxz00_7699 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_7700))->BgL_defz00);
																	}
																	{
																		obj_t BgL_auxz00_7694;

																		{	/* SawMill/bbv-specialize.scm 114 */
																			BgL_objectz00_bglt BgL_tmpz00_7695;

																			BgL_tmpz00_7695 =
																				((BgL_objectz00_bglt)
																				BgL_new1264z00_2277);
																			BgL_auxz00_7694 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7695);
																		}
																		BgL_auxz00_7693 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_7694);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_7693))->BgL_defz00) =
																		((obj_t) BgL_auxz00_7699), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_7715;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7709;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7716;

																		{
																			obj_t BgL_auxz00_7717;

																			{	/* SawMill/bbv-specialize.scm 114 */
																				BgL_objectz00_bglt BgL_tmpz00_7718;

																				BgL_tmpz00_7718 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt) BgL_iz00_207));
																				BgL_auxz00_7717 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_7718);
																			}
																			BgL_auxz00_7716 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_7717);
																		}
																		BgL_auxz00_7715 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_7716))->BgL_outz00);
																	}
																	{
																		obj_t BgL_auxz00_7710;

																		{	/* SawMill/bbv-specialize.scm 114 */
																			BgL_objectz00_bglt BgL_tmpz00_7711;

																			BgL_tmpz00_7711 =
																				((BgL_objectz00_bglt)
																				BgL_new1264z00_2277);
																			BgL_auxz00_7710 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7711);
																		}
																		BgL_auxz00_7709 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_7710);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_7709))->BgL_outz00) =
																		((obj_t) BgL_auxz00_7715), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_7731;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7725;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7732;

																		{
																			obj_t BgL_auxz00_7733;

																			{	/* SawMill/bbv-specialize.scm 114 */
																				BgL_objectz00_bglt BgL_tmpz00_7734;

																				BgL_tmpz00_7734 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt) BgL_iz00_207));
																				BgL_auxz00_7733 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_7734);
																			}
																			BgL_auxz00_7732 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_7733);
																		}
																		BgL_auxz00_7731 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_7732))->BgL_inz00);
																	}
																	{
																		obj_t BgL_auxz00_7726;

																		{	/* SawMill/bbv-specialize.scm 114 */
																			BgL_objectz00_bglt BgL_tmpz00_7727;

																			BgL_tmpz00_7727 =
																				((BgL_objectz00_bglt)
																				BgL_new1264z00_2277);
																			BgL_auxz00_7726 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7727);
																		}
																		BgL_auxz00_7725 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_7726);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_7725))->BgL_inz00) =
																		((obj_t) BgL_auxz00_7731), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_7747;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7741;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_7748;

																		{
																			obj_t BgL_auxz00_7749;

																			{	/* SawMill/bbv-specialize.scm 114 */
																				BgL_objectz00_bglt BgL_tmpz00_7750;

																				BgL_tmpz00_7750 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt) BgL_iz00_207));
																				BgL_auxz00_7749 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_7750);
																			}
																			BgL_auxz00_7748 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_7749);
																		}
																		BgL_auxz00_7747 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_7748))->
																			BgL_z52hashz52);
																	}
																	{
																		obj_t BgL_auxz00_7742;

																		{	/* SawMill/bbv-specialize.scm 114 */
																			BgL_objectz00_bglt BgL_tmpz00_7743;

																			BgL_tmpz00_7743 =
																				((BgL_objectz00_bglt)
																				BgL_new1264z00_2277);
																			BgL_auxz00_7742 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7743);
																		}
																		BgL_auxz00_7741 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_7742);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_7741))->
																			BgL_z52hashz52) =
																		((obj_t) BgL_auxz00_7747), BUNSPEC);
																}
																BgL_sz00_2273 = BgL_new1264z00_2277;
															}
															{	/* SawMill/bbv-specialize.scm 115 */
																int BgL_tmpz00_7757;

																BgL_tmpz00_7757 = (int) (((long) 2));
																BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7757);
															}
															{	/* SawMill/bbv-specialize.scm 115 */
																int BgL_tmpz00_7760;

																BgL_tmpz00_7760 = (int) (((long) 1));
																BGL_MVALUES_VAL_SET(BgL_tmpz00_7760,
																	BgL_ctxz00_208);
															}
															return ((obj_t) BgL_sz00_2273);
														}
												}
										}
									else
										{	/* SawMill/bbv-specialize.scm 116 */
											bool_t BgL_test2758z00_7764;

											{	/* SawMill/bbv-specialize.scm 116 */
												obj_t BgL_arg2010z00_2387;

												BgL_arg2010z00_2387 =
													(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_207))->
													BgL_destz00);
												{	/* SawMill/bbv-specialize.scm 116 */
													obj_t BgL_classz00_4074;

													BgL_classz00_4074 = BGl_rtl_regz00zzsaw_defsz00;
													if (BGL_OBJECTP(BgL_arg2010z00_2387))
														{	/* SawMill/bbv-specialize.scm 116 */
															BgL_objectz00_bglt BgL_arg1825z00_4076;

															BgL_arg1825z00_4076 =
																(BgL_objectz00_bglt) (BgL_arg2010z00_2387);
															{	/* SawMill/bbv-specialize.scm 116 */
																bool_t BgL_arg1822z00_4079;
																bool_t BgL_arg1823z00_4080;

																{	/* SawMill/bbv-specialize.scm 116 */
																	long BgL_idxz00_4083;

																	BgL_idxz00_4083 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_4076);
																	BgL_arg1822z00_4079 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4083 + ((long) 1))) ==
																		BgL_classz00_4074);
																}
																{	/* SawMill/bbv-specialize.scm 116 */
																	bool_t BgL_res2574z00_4105;

																	{	/* SawMill/bbv-specialize.scm 116 */
																		obj_t BgL_oclassz00_4091;

																		{	/* SawMill/bbv-specialize.scm 116 */
																			long BgL_arg1833z00_4097;

																			{	/* SawMill/bbv-specialize.scm 116 */
																				long BgL_arg1834z00_4098;

																				BgL_arg1834z00_4098 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_4076);
																				BgL_arg1833z00_4097 =
																					(BgL_arg1834z00_4098 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4091 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_4097);
																		}
																		{	/* SawMill/bbv-specialize.scm 116 */
																			bool_t BgL__ortest_1110z00_4092;

																			BgL__ortest_1110z00_4092 =
																				(BgL_classz00_4074 ==
																				BgL_oclassz00_4091);
																			if (BgL__ortest_1110z00_4092)
																				{	/* SawMill/bbv-specialize.scm 116 */
																					BgL_res2574z00_4105 =
																						BgL__ortest_1110z00_4092;
																				}
																			else
																				{	/* SawMill/bbv-specialize.scm 116 */
																					long BgL_odepthz00_4093;

																					BgL_odepthz00_4093 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4091);
																					if ((((long) 1) < BgL_odepthz00_4093))
																						{	/* SawMill/bbv-specialize.scm 116 */
																							obj_t BgL_arg1821z00_4095;

																							BgL_arg1821z00_4095 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4091,
																								((long) 1));
																							BgL_res2574z00_4105 =
																								(BgL_arg1821z00_4095 ==
																								BgL_classz00_4074);
																						}
																					else
																						{	/* SawMill/bbv-specialize.scm 116 */
																							BgL_res2574z00_4105 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_4080 = BgL_res2574z00_4105;
																}
																BgL_test2758z00_7764 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_4079,
																	BgL_arg1823z00_4080);
															}
														}
													else
														{	/* SawMill/bbv-specialize.scm 116 */
															BgL_test2758z00_7764 = ((bool_t) 0);
														}
												}
											}
											if (BgL_test2758z00_7764)
												{	/* SawMill/bbv-specialize.scm 116 */
													if (BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2
														(BgL_iz00_207))
														{	/* SawMill/bbv-specialize.scm 121 */
															bool_t BgL_test2763z00_7786;

															if (NULLP(
																	(((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_iz00_207))->BgL_argsz00)))
																{	/* SawMill/bbv-specialize.scm 121 */
																	BgL_test2763z00_7786 = ((bool_t) 0);
																}
															else
																{	/* SawMill/bbv-specialize.scm 121 */
																	if (NULLP(CDR(
																				(((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_207))->
																					BgL_argsz00))))
																		{	/* SawMill/bbv-specialize.scm 121 */
																			obj_t BgL_arg1995z00_2347;

																			BgL_arg1995z00_2347 =
																				CAR(
																				(((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_207))->
																					BgL_argsz00));
																			{	/* SawMill/bbv-specialize.scm 121 */
																				obj_t BgL_classz00_4108;

																				BgL_classz00_4108 =
																					BGl_rtl_regzf2razf2zzsaw_regsetz00;
																				if (BGL_OBJECTP(BgL_arg1995z00_2347))
																					{	/* SawMill/bbv-specialize.scm 121 */
																						BgL_objectz00_bglt
																							BgL_arg1825z00_4110;
																						BgL_arg1825z00_4110 =
																							(BgL_objectz00_bglt)
																							(BgL_arg1995z00_2347);
																						{	/* SawMill/bbv-specialize.scm 121 */
																							bool_t BgL_arg1822z00_4113;
																							bool_t BgL_arg1823z00_4114;

																							{	/* SawMill/bbv-specialize.scm 121 */
																								long BgL_idxz00_4117;

																								BgL_idxz00_4117 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1825z00_4110);
																								BgL_arg1822z00_4113 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_4117 +
																											((long) 2))) ==
																									BgL_classz00_4108);
																							}
																							{	/* SawMill/bbv-specialize.scm 121 */
																								bool_t BgL_res2575z00_4139;

																								{	/* SawMill/bbv-specialize.scm 121 */
																									obj_t BgL_oclassz00_4125;

																									{	/* SawMill/bbv-specialize.scm 121 */
																										long BgL_arg1833z00_4131;

																										{	/* SawMill/bbv-specialize.scm 121 */
																											long BgL_arg1834z00_4132;

																											BgL_arg1834z00_4132 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1825z00_4110);
																											BgL_arg1833z00_4131 =
																												(BgL_arg1834z00_4132 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_4125 =
																											VECTOR_REF
																											(BGl_za2classesza2z00zz__objectz00,
																											BgL_arg1833z00_4131);
																									}
																									{	/* SawMill/bbv-specialize.scm 121 */
																										bool_t
																											BgL__ortest_1110z00_4126;
																										BgL__ortest_1110z00_4126 =
																											(BgL_classz00_4108 ==
																											BgL_oclassz00_4125);
																										if (BgL__ortest_1110z00_4126)
																											{	/* SawMill/bbv-specialize.scm 121 */
																												BgL_res2575z00_4139 =
																													BgL__ortest_1110z00_4126;
																											}
																										else
																											{	/* SawMill/bbv-specialize.scm 121 */
																												long BgL_odepthz00_4127;

																												BgL_odepthz00_4127 =
																													BGL_CLASS_DEPTH
																													(BgL_oclassz00_4125);
																												if ((((long) 2) <
																														BgL_odepthz00_4127))
																													{	/* SawMill/bbv-specialize.scm 121 */
																														obj_t
																															BgL_arg1821z00_4129;
																														BgL_arg1821z00_4129
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_oclassz00_4125,
																															((long) 2));
																														BgL_res2575z00_4139
																															=
																															(BgL_arg1821z00_4129
																															==
																															BgL_classz00_4108);
																													}
																												else
																													{	/* SawMill/bbv-specialize.scm 121 */
																														BgL_res2575z00_4139
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_arg1823z00_4114 =
																									BgL_res2575z00_4139;
																							}
																							BgL_test2763z00_7786 =
																								BGL_ISA_C_BACKEND
																								(BgL_arg1822z00_4113,
																								BgL_arg1823z00_4114);
																						}
																					}
																				else
																					{	/* SawMill/bbv-specialize.scm 121 */
																						BgL_test2763z00_7786 = ((bool_t) 0);
																					}
																			}
																		}
																	else
																		{	/* SawMill/bbv-specialize.scm 121 */
																			BgL_test2763z00_7786 = ((bool_t) 0);
																		}
																}
															if (BgL_test2763z00_7786)
																{	/* SawMill/bbv-specialize.scm 122 */
																	obj_t BgL_val1_1818z00_2310;

																	{	/* SawMill/bbv-specialize.scm 122 */
																		obj_t BgL_arg1970z00_2311;
																		obj_t BgL_arg1971z00_2312;

																		BgL_arg1970z00_2311 =
																			(((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_207))->BgL_destz00);
																		BgL_arg1971z00_2312 =
																			CAR((((BgL_rtl_insz00_bglt)
																					COBJECT(BgL_iz00_207))->BgL_argsz00));
																		BgL_val1_1818z00_2310 =
																			BGl_aliaszd2ctxzd2zzsaw_bbvzd2typeszd2
																			(BgL_ctxz00_208,
																			((BgL_rtl_regz00_bglt)
																				BgL_arg1970z00_2311),
																			((BgL_rtl_regz00_bglt)
																				BgL_arg1971z00_2312));
																	}
																	{	/* SawMill/bbv-specialize.scm 122 */
																		int BgL_tmpz00_7820;

																		BgL_tmpz00_7820 = (int) (((long) 2));
																		BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7820);
																	}
																	{	/* SawMill/bbv-specialize.scm 122 */
																		int BgL_tmpz00_7823;

																		BgL_tmpz00_7823 = (int) (((long) 1));
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_7823,
																			BgL_val1_1818z00_2310);
																	}
																	return ((obj_t) BgL_iz00_207);
																}
															else
																{	/* SawMill/bbv-specialize.scm 123 */
																	bool_t BgL_test2769z00_7827;

																	if (NULLP(
																			(((BgL_rtl_insz00_bglt)
																					COBJECT(BgL_iz00_207))->BgL_argsz00)))
																		{	/* SawMill/bbv-specialize.scm 123 */
																			BgL_test2769z00_7827 = ((bool_t) 0);
																		}
																	else
																		{	/* SawMill/bbv-specialize.scm 123 */
																			obj_t BgL_arg1991z00_2342;

																			BgL_arg1991z00_2342 =
																				CAR(
																				(((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_207))->
																					BgL_argsz00));
																			BgL_test2769z00_7827 =
																				BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2
																				(((BgL_rtl_insz00_bglt)
																					BgL_arg1991z00_2342));
																		}
																	if (BgL_test2769z00_7827)
																		{	/* SawMill/bbv-specialize.scm 124 */
																			BgL_rtl_insz00_bglt BgL_i1280z00_2320;

																			{	/* SawMill/bbv-specialize.scm 124 */
																				obj_t BgL_pairz00_4142;

																				BgL_pairz00_4142 =
																					(((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_207))->
																					BgL_argsz00);
																				BgL_i1280z00_2320 =
																					((BgL_rtl_insz00_bglt)
																					CAR(BgL_pairz00_4142));
																			}
																			{	/* SawMill/bbv-specialize.scm 125 */
																				BgL_rtl_callz00_bglt BgL_i1281z00_2321;

																				BgL_i1281z00_2321 =
																					((BgL_rtl_callz00_bglt)
																					(((BgL_rtl_insz00_bglt)
																							COBJECT(BgL_i1280z00_2320))->
																						BgL_funz00));
																				{	/* SawMill/bbv-specialize.scm 126 */
																					BgL_globalz00_bglt BgL_i1282z00_2322;

																					BgL_i1282z00_2322 =
																						(((BgL_rtl_callz00_bglt)
																							COBJECT(BgL_i1281z00_2321))->
																						BgL_varz00);
																					{	/* SawMill/bbv-specialize.scm 127 */
																						obj_t BgL_val1_1820z00_2324;

																						{	/* SawMill/bbv-specialize.scm 127 */
																							obj_t BgL_arg1979z00_2325;
																							BgL_typez00_bglt
																								BgL_arg1980z00_2326;
																							BgL_arg1979z00_2325 =
																								(((BgL_rtl_insz00_bglt)
																									COBJECT(BgL_iz00_207))->
																								BgL_destz00);
																							BgL_arg1980z00_2326 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt)
																											BgL_i1282z00_2322)))->
																								BgL_typez00);
																							{	/* SawMill/bbv-types.scm 71 */
																								obj_t BgL_valuez00_2331;

																								BgL_valuez00_2331 =
																									CNST_TABLE_REF(((long) 3));
																								{	/* SawMill/bbv-types.scm 71 */

																									BgL_val1_1820z00_2324 =
																										BGl_extendzd2normaliza7ezd2ctxza7zzsaw_bbvzd2typeszd2
																										(BgL_ctxz00_208,
																										BgL_arg1979z00_2325,
																										((obj_t)
																											BgL_arg1980z00_2326),
																										BTRUE, BgL_valuez00_2331);
																						}}}
																						{	/* SawMill/bbv-specialize.scm 127 */
																							int BgL_tmpz00_7847;

																							BgL_tmpz00_7847 =
																								(int) (((long) 2));
																							BGL_MVALUES_NUMBER_SET
																								(BgL_tmpz00_7847);
																						}
																						{	/* SawMill/bbv-specialize.scm 127 */
																							int BgL_tmpz00_7850;

																							BgL_tmpz00_7850 =
																								(int) (((long) 1));
																							BGL_MVALUES_VAL_SET
																								(BgL_tmpz00_7850,
																								BgL_val1_1820z00_2324);
																						}
																						return ((obj_t) BgL_iz00_207);
																					}
																				}
																			}
																		}
																	else
																		{	/* SawMill/bbv-specialize.scm 129 */
																			obj_t BgL_val1_1822z00_2334;

																			{	/* SawMill/bbv-specialize.scm 129 */
																				obj_t BgL_arg1986z00_2335;

																				BgL_arg1986z00_2335 =
																					(((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_207))->
																					BgL_destz00);
																				{	/* SawMill/bbv-specialize.scm 129 */
																					obj_t BgL_g1989z00_2338;

																					BgL_g1989z00_2338 =
																						BGl_za2objza2z00zztype_cachez00;
																					{	/* SawMill/bbv-types.scm 69 */
																						obj_t BgL_valuez00_2340;

																						BgL_valuez00_2340 =
																							CNST_TABLE_REF(((long) 3));
																						{	/* SawMill/bbv-types.scm 69 */

																							BgL_val1_1822z00_2334 =
																								BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																								(BgL_ctxz00_208,
																								BgL_arg1986z00_2335,
																								BgL_g1989z00_2338, BTRUE,
																								BgL_valuez00_2340);
																			}}}}
																			{	/* SawMill/bbv-specialize.scm 129 */
																				int BgL_tmpz00_7857;

																				BgL_tmpz00_7857 = (int) (((long) 2));
																				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7857);
																			}
																			{	/* SawMill/bbv-specialize.scm 129 */
																				int BgL_tmpz00_7860;

																				BgL_tmpz00_7860 = (int) (((long) 1));
																				BGL_MVALUES_VAL_SET(BgL_tmpz00_7860,
																					BgL_val1_1822z00_2334);
																			}
																			return ((obj_t) BgL_iz00_207);
																		}
																}
														}
													else
														{	/* SawMill/bbv-specialize.scm 118 */
															if (BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2
																(BgL_iz00_207))
																{	/* SawMill/bbv-specialize.scm 132 */
																	BgL_rtl_callz00_bglt BgL_i1284z00_2354;

																	BgL_i1284z00_2354 =
																		((BgL_rtl_callz00_bglt)
																		(((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_207))->BgL_funz00));
																	{	/* SawMill/bbv-specialize.scm 133 */
																		BgL_globalz00_bglt BgL_i1285z00_2355;

																		BgL_i1285z00_2355 =
																			(((BgL_rtl_callz00_bglt)
																				COBJECT(BgL_i1284z00_2354))->
																			BgL_varz00);
																		{	/* SawMill/bbv-specialize.scm 134 */
																			bool_t BgL_test2772z00_7869;

																			{	/* SawMill/bbv-specialize.scm 134 */
																				BgL_valuez00_bglt BgL_arg2007z00_2375;

																				BgL_arg2007z00_2375 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								BgL_i1285z00_2355)))->
																					BgL_valuez00);
																				{	/* SawMill/bbv-specialize.scm 134 */
																					obj_t BgL_classz00_4143;

																					BgL_classz00_4143 =
																						BGl_funz00zzast_varz00;
																					{	/* SawMill/bbv-specialize.scm 134 */
																						BgL_objectz00_bglt
																							BgL_arg1825z00_4145;
																						{	/* SawMill/bbv-specialize.scm 134 */
																							obj_t BgL_tmpz00_7872;

																							BgL_tmpz00_7872 =
																								((obj_t)
																								((BgL_objectz00_bglt)
																									BgL_arg2007z00_2375));
																							BgL_arg1825z00_4145 =
																								(BgL_objectz00_bglt)
																								(BgL_tmpz00_7872);
																						}
																						{	/* SawMill/bbv-specialize.scm 134 */
																							bool_t BgL_arg1822z00_4148;
																							bool_t BgL_arg1823z00_4149;

																							{	/* SawMill/bbv-specialize.scm 134 */
																								long BgL_idxz00_4152;

																								BgL_idxz00_4152 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1825z00_4145);
																								BgL_arg1822z00_4148 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_4152 +
																											((long) 2))) ==
																									BgL_classz00_4143);
																							}
																							{	/* SawMill/bbv-specialize.scm 134 */
																								bool_t BgL_res2576z00_4174;

																								{	/* SawMill/bbv-specialize.scm 134 */
																									obj_t BgL_oclassz00_4160;

																									{	/* SawMill/bbv-specialize.scm 134 */
																										long BgL_arg1833z00_4166;

																										{	/* SawMill/bbv-specialize.scm 134 */
																											long BgL_arg1834z00_4167;

																											BgL_arg1834z00_4167 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1825z00_4145);
																											BgL_arg1833z00_4166 =
																												(BgL_arg1834z00_4167 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_4160 =
																											VECTOR_REF
																											(BGl_za2classesza2z00zz__objectz00,
																											BgL_arg1833z00_4166);
																									}
																									{	/* SawMill/bbv-specialize.scm 134 */
																										bool_t
																											BgL__ortest_1110z00_4161;
																										BgL__ortest_1110z00_4161 =
																											(BgL_classz00_4143 ==
																											BgL_oclassz00_4160);
																										if (BgL__ortest_1110z00_4161)
																											{	/* SawMill/bbv-specialize.scm 134 */
																												BgL_res2576z00_4174 =
																													BgL__ortest_1110z00_4161;
																											}
																										else
																											{	/* SawMill/bbv-specialize.scm 134 */
																												long BgL_odepthz00_4162;

																												BgL_odepthz00_4162 =
																													BGL_CLASS_DEPTH
																													(BgL_oclassz00_4160);
																												if ((((long) 2) <
																														BgL_odepthz00_4162))
																													{	/* SawMill/bbv-specialize.scm 134 */
																														obj_t
																															BgL_arg1821z00_4164;
																														BgL_arg1821z00_4164
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_oclassz00_4160,
																															((long) 2));
																														BgL_res2576z00_4174
																															=
																															(BgL_arg1821z00_4164
																															==
																															BgL_classz00_4143);
																													}
																												else
																													{	/* SawMill/bbv-specialize.scm 134 */
																														BgL_res2576z00_4174
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_arg1823z00_4149 =
																									BgL_res2576z00_4174;
																							}
																							BgL_test2772z00_7869 =
																								BGL_ISA_C_BACKEND
																								(BgL_arg1822z00_4148,
																								BgL_arg1823z00_4149);
																						}
																					}
																				}
																			}
																			if (BgL_test2772z00_7869)
																				{	/* SawMill/bbv-specialize.scm 135 */
																					obj_t BgL_val1_1824z00_2359;

																					{	/* SawMill/bbv-specialize.scm 135 */
																						obj_t BgL_arg2004z00_2360;
																						BgL_typez00_bglt
																							BgL_arg2005z00_2361;
																						BgL_arg2004z00_2360 =
																							(((BgL_rtl_insz00_bglt)
																								COBJECT(BgL_iz00_207))->
																							BgL_destz00);
																						BgL_arg2005z00_2361 =
																							(((BgL_variablez00_bglt)
																								COBJECT(((BgL_variablez00_bglt)
																										BgL_i1285z00_2355)))->
																							BgL_typez00);
																						{	/* SawMill/bbv-types.scm 71 */
																							obj_t BgL_valuez00_2366;

																							BgL_valuez00_2366 =
																								CNST_TABLE_REF(((long) 3));
																							{	/* SawMill/bbv-types.scm 71 */

																								BgL_val1_1824z00_2359 =
																									BGl_extendzd2normaliza7ezd2ctxza7zzsaw_bbvzd2typeszd2
																									(BgL_ctxz00_208,
																									BgL_arg2004z00_2360,
																									((obj_t) BgL_arg2005z00_2361),
																									BTRUE, BgL_valuez00_2366);
																					}}}
																					{	/* SawMill/bbv-specialize.scm 135 */
																						int BgL_tmpz00_7897;

																						BgL_tmpz00_7897 =
																							(int) (((long) 2));
																						BGL_MVALUES_NUMBER_SET
																							(BgL_tmpz00_7897);
																					}
																					{	/* SawMill/bbv-specialize.scm 135 */
																						int BgL_tmpz00_7900;

																						BgL_tmpz00_7900 =
																							(int) (((long) 1));
																						BGL_MVALUES_VAL_SET(BgL_tmpz00_7900,
																							BgL_val1_1824z00_2359);
																					}
																					return ((obj_t) BgL_iz00_207);
																				}
																			else
																				{	/* SawMill/bbv-specialize.scm 136 */
																					obj_t BgL_val1_1826z00_2368;

																					{	/* SawMill/bbv-specialize.scm 136 */
																						obj_t BgL_arg2006z00_2369;

																						BgL_arg2006z00_2369 =
																							(((BgL_rtl_insz00_bglt)
																								COBJECT(BgL_iz00_207))->
																							BgL_destz00);
																						{	/* SawMill/bbv-specialize.scm 136 */
																							obj_t BgL_g1989z00_2372;

																							BgL_g1989z00_2372 =
																								BGl_za2objza2z00zztype_cachez00;
																							{	/* SawMill/bbv-types.scm 69 */
																								obj_t BgL_valuez00_2374;

																								BgL_valuez00_2374 =
																									CNST_TABLE_REF(((long) 3));
																								{	/* SawMill/bbv-types.scm 69 */

																									BgL_val1_1826z00_2368 =
																										BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																										(BgL_ctxz00_208,
																										BgL_arg2006z00_2369,
																										BgL_g1989z00_2372, BTRUE,
																										BgL_valuez00_2374);
																					}}}}
																					{	/* SawMill/bbv-specialize.scm 136 */
																						int BgL_tmpz00_7907;

																						BgL_tmpz00_7907 =
																							(int) (((long) 2));
																						BGL_MVALUES_NUMBER_SET
																							(BgL_tmpz00_7907);
																					}
																					{	/* SawMill/bbv-specialize.scm 136 */
																						int BgL_tmpz00_7910;

																						BgL_tmpz00_7910 =
																							(int) (((long) 1));
																						BGL_MVALUES_VAL_SET(BgL_tmpz00_7910,
																							BgL_val1_1826z00_2368);
																					}
																					return ((obj_t) BgL_iz00_207);
																				}
																		}
																	}
																}
															else
																{	/* SawMill/bbv-specialize.scm 130 */
																	if (BGl_rtl_inszd2vlenzf3z21zzsaw_bbvzd2typeszd2(BgL_iz00_207))
																		{	/* SawMill/bbv-specialize.scm 137 */
																			return
																				((obj_t)
																				BGl_rtl_inszd2specializa7ezd2vlengthza7zzsaw_bbvzd2specializa7ez75
																				(BgL_iz00_207, BgL_ctxz00_208));
																		}
																	else
																		{	/* SawMill/bbv-specialize.scm 140 */
																			obj_t BgL_val1_1828z00_2378;

																			{	/* SawMill/bbv-specialize.scm 140 */
																				obj_t BgL_arg2009z00_2379;

																				BgL_arg2009z00_2379 =
																					(((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_207))->
																					BgL_destz00);
																				{	/* SawMill/bbv-specialize.scm 140 */
																					obj_t BgL_g1989z00_2382;

																					BgL_g1989z00_2382 =
																						BGl_za2objza2z00zztype_cachez00;
																					{	/* SawMill/bbv-types.scm 69 */
																						obj_t BgL_valuez00_2384;

																						BgL_valuez00_2384 =
																							CNST_TABLE_REF(((long) 3));
																						{	/* SawMill/bbv-types.scm 69 */

																							BgL_val1_1828z00_2378 =
																								BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																								(BgL_ctxz00_208,
																								BgL_arg2009z00_2379,
																								BgL_g1989z00_2382, BTRUE,
																								BgL_valuez00_2384);
																			}}}}
																			{	/* SawMill/bbv-specialize.scm 140 */
																				int BgL_tmpz00_7921;

																				BgL_tmpz00_7921 = (int) (((long) 2));
																				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7921);
																			}
																			{	/* SawMill/bbv-specialize.scm 140 */
																				int BgL_tmpz00_7924;

																				BgL_tmpz00_7924 = (int) (((long) 1));
																				BGL_MVALUES_VAL_SET(BgL_tmpz00_7924,
																					BgL_val1_1828z00_2378);
																			}
																			return ((obj_t) BgL_iz00_207);
																		}
																}
														}
												}
											else
												{	/* SawMill/bbv-specialize.scm 116 */
													{	/* SawMill/bbv-specialize.scm 117 */
														int BgL_tmpz00_7928;

														BgL_tmpz00_7928 = (int) (((long) 2));
														BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7928);
													}
													{	/* SawMill/bbv-specialize.scm 117 */
														int BgL_tmpz00_7931;

														BgL_tmpz00_7931 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_tmpz00_7931,
															BgL_ctxz00_208);
													}
													return ((obj_t) BgL_iz00_207);
												}
										}
								}
						}
				}
		}

	}



/* &rtl_ins-specialize */
	obj_t BGl_z62rtl_inszd2specializa7ez17zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5753, obj_t BgL_iz00_5754, obj_t BgL_ctxz00_5755)
	{
		{	/* SawMill/bbv-specialize.scm 60 */
			return
				BGl_rtl_inszd2specializa7ez75zzsaw_bbvzd2specializa7ez75(
				((BgL_rtl_insz00_bglt) BgL_iz00_5754), BgL_ctxz00_5755);
		}

	}



/* rtl_ins-typecheck? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2typecheckzf3z21zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_iz00_209)
	{
		{	/* SawMill/bbv-specialize.scm 147 */
			{	/* SawMill/bbv-specialize.scm 148 */
				bool_t BgL_test2776z00_7937;

				if (BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(BgL_iz00_209))
					{	/* SawMill/bbv-specialize.scm 148 */
						BgL_test2776z00_7937 = ((bool_t) 1);
					}
				else
					{	/* SawMill/bbv-specialize.scm 148 */
						BgL_test2776z00_7937 =
							BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_iz00_209);
					}
				if (BgL_test2776z00_7937)
					{	/* SawMill/bbv-specialize.scm 150 */
						bool_t BgL_test2778z00_7941;

						{	/* SawMill/bbv-specialize.scm 150 */
							bool_t BgL_test2779z00_7942;

							{	/* SawMill/bbv-specialize.scm 150 */
								obj_t BgL_arg2030z00_2410;

								BgL_arg2030z00_2410 =
									CAR(
									(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_209))->BgL_argsz00));
								{	/* SawMill/bbv-specialize.scm 150 */
									obj_t BgL_classz00_4177;

									BgL_classz00_4177 = BGl_rtl_insz00zzsaw_defsz00;
									if (BGL_OBJECTP(BgL_arg2030z00_2410))
										{	/* SawMill/bbv-specialize.scm 150 */
											BgL_objectz00_bglt BgL_arg1825z00_4179;

											BgL_arg1825z00_4179 =
												(BgL_objectz00_bglt) (BgL_arg2030z00_2410);
											{	/* SawMill/bbv-specialize.scm 150 */
												bool_t BgL_arg1822z00_4182;
												bool_t BgL_arg1823z00_4183;

												{	/* SawMill/bbv-specialize.scm 150 */
													long BgL_idxz00_4186;

													BgL_idxz00_4186 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4179);
													BgL_arg1822z00_4182 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4186 + ((long) 1))) ==
														BgL_classz00_4177);
												}
												{	/* SawMill/bbv-specialize.scm 150 */
													bool_t BgL_res2577z00_4208;

													{	/* SawMill/bbv-specialize.scm 150 */
														obj_t BgL_oclassz00_4194;

														{	/* SawMill/bbv-specialize.scm 150 */
															long BgL_arg1833z00_4200;

															{	/* SawMill/bbv-specialize.scm 150 */
																long BgL_arg1834z00_4201;

																BgL_arg1834z00_4201 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4179);
																BgL_arg1833z00_4200 =
																	(BgL_arg1834z00_4201 - OBJECT_TYPE);
															}
															BgL_oclassz00_4194 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_4200);
														}
														{	/* SawMill/bbv-specialize.scm 150 */
															bool_t BgL__ortest_1110z00_4195;

															BgL__ortest_1110z00_4195 =
																(BgL_classz00_4177 == BgL_oclassz00_4194);
															if (BgL__ortest_1110z00_4195)
																{	/* SawMill/bbv-specialize.scm 150 */
																	BgL_res2577z00_4208 =
																		BgL__ortest_1110z00_4195;
																}
															else
																{	/* SawMill/bbv-specialize.scm 150 */
																	long BgL_odepthz00_4196;

																	BgL_odepthz00_4196 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4194);
																	if ((((long) 1) < BgL_odepthz00_4196))
																		{	/* SawMill/bbv-specialize.scm 150 */
																			obj_t BgL_arg1821z00_4198;

																			BgL_arg1821z00_4198 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4194, ((long) 1));
																			BgL_res2577z00_4208 =
																				(BgL_arg1821z00_4198 ==
																				BgL_classz00_4177);
																		}
																	else
																		{	/* SawMill/bbv-specialize.scm 150 */
																			BgL_res2577z00_4208 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_4183 = BgL_res2577z00_4208;
												}
												BgL_test2779z00_7942 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_4182,
													BgL_arg1823z00_4183);
											}
										}
									else
										{	/* SawMill/bbv-specialize.scm 150 */
											BgL_test2779z00_7942 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test2779z00_7942)
								{	/* SawMill/bbv-specialize.scm 150 */
									obj_t BgL_arg2026z00_2408;

									BgL_arg2026z00_2408 =
										CAR(
										(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_209))->
											BgL_argsz00));
									BgL_test2778z00_7941 =
										BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2((
											(BgL_rtl_insz00_bglt) BgL_arg2026z00_2408));
								}
							else
								{	/* SawMill/bbv-specialize.scm 150 */
									BgL_test2778z00_7941 = ((bool_t) 0);
								}
						}
						if (BgL_test2778z00_7941)
							{	/* SawMill/bbv-specialize.scm 151 */
								obj_t BgL_typz00_2399;

								{	/* SawMill/bbv-specialize.scm 151 */
									obj_t BgL_arg2024z00_2405;

									BgL_arg2024z00_2405 =
										CAR(
										(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_209))->
											BgL_argsz00));
									BgL_typz00_2399 =
										BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2((
											(BgL_rtl_insz00_bglt) BgL_arg2024z00_2405));
								}
								if (CBOOL(BgL_typz00_2399))
									{	/* SawMill/bbv-specialize.scm 153 */
										obj_t BgL_argsz00_2400;

										BgL_argsz00_2400 =
											BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_iz00_209);
										if (NULLP(BgL_argsz00_2400))
											{	/* SawMill/bbv-specialize.scm 154 */
												return ((bool_t) 0);
											}
										else
											{	/* SawMill/bbv-specialize.scm 154 */
												if (NULLP(CDR(BgL_argsz00_2400)))
													{	/* SawMill/bbv-specialize.scm 154 */
														obj_t BgL_arg2022z00_2403;

														BgL_arg2022z00_2403 = CAR(BgL_argsz00_2400);
														{	/* SawMill/bbv-specialize.scm 154 */
															obj_t BgL_classz00_4213;

															BgL_classz00_4213 = BGl_rtl_regz00zzsaw_defsz00;
															if (BGL_OBJECTP(BgL_arg2022z00_2403))
																{	/* SawMill/bbv-specialize.scm 154 */
																	BgL_objectz00_bglt BgL_arg1825z00_4215;

																	BgL_arg1825z00_4215 =
																		(BgL_objectz00_bglt) (BgL_arg2022z00_2403);
																	{	/* SawMill/bbv-specialize.scm 154 */
																		bool_t BgL_arg1822z00_4218;
																		bool_t BgL_arg1823z00_4219;

																		{	/* SawMill/bbv-specialize.scm 154 */
																			long BgL_idxz00_4222;

																			BgL_idxz00_4222 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_4215);
																			BgL_arg1822z00_4218 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_4222 + ((long) 1))) ==
																				BgL_classz00_4213);
																		}
																		{	/* SawMill/bbv-specialize.scm 154 */
																			bool_t BgL_res2578z00_4244;

																			{	/* SawMill/bbv-specialize.scm 154 */
																				obj_t BgL_oclassz00_4230;

																				{	/* SawMill/bbv-specialize.scm 154 */
																					long BgL_arg1833z00_4236;

																					{	/* SawMill/bbv-specialize.scm 154 */
																						long BgL_arg1834z00_4237;

																						BgL_arg1834z00_4237 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_4215);
																						BgL_arg1833z00_4236 =
																							(BgL_arg1834z00_4237 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_4230 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_4236);
																				}
																				{	/* SawMill/bbv-specialize.scm 154 */
																					bool_t BgL__ortest_1110z00_4231;

																					BgL__ortest_1110z00_4231 =
																						(BgL_classz00_4213 ==
																						BgL_oclassz00_4230);
																					if (BgL__ortest_1110z00_4231)
																						{	/* SawMill/bbv-specialize.scm 154 */
																							BgL_res2578z00_4244 =
																								BgL__ortest_1110z00_4231;
																						}
																					else
																						{	/* SawMill/bbv-specialize.scm 154 */
																							long BgL_odepthz00_4232;

																							BgL_odepthz00_4232 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_4230);
																							if ((((long) 1) <
																									BgL_odepthz00_4232))
																								{	/* SawMill/bbv-specialize.scm 154 */
																									obj_t BgL_arg1821z00_4234;

																									BgL_arg1821z00_4234 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_4230,
																										((long) 1));
																									BgL_res2578z00_4244 =
																										(BgL_arg1821z00_4234 ==
																										BgL_classz00_4213);
																								}
																							else
																								{	/* SawMill/bbv-specialize.scm 154 */
																									BgL_res2578z00_4244 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_4219 = BgL_res2578z00_4244;
																		}
																		return
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_4218,
																			BgL_arg1823z00_4219);
																	}
																}
															else
																{	/* SawMill/bbv-specialize.scm 154 */
																	return ((bool_t) 0);
																}
														}
													}
												else
													{	/* SawMill/bbv-specialize.scm 154 */
														return ((bool_t) 0);
													}
											}
									}
								else
									{	/* SawMill/bbv-specialize.scm 152 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* SawMill/bbv-specialize.scm 150 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* SawMill/bbv-specialize.scm 148 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ins-typecheck? */
	obj_t BGl_z62rtl_inszd2typecheckzf3z43zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5756, obj_t BgL_iz00_5757)
	{
		{	/* SawMill/bbv-specialize.scm 147 */
			return
				BBOOL(BGl_rtl_inszd2typecheckzf3z21zzsaw_bbvzd2specializa7ez75(
					((BgL_rtl_insz00_bglt) BgL_iz00_5757)));
		}

	}



/* rtl_ins-specialize-typecheck */
	BgL_rtl_insz00_bglt
		BGl_rtl_inszd2specializa7ezd2typecheckza7zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_iz00_210, obj_t BgL_ctxz00_211)
	{
		{	/* SawMill/bbv-specialize.scm 159 */
			{	/* SawMill/bbv-specialize.scm 160 */
				obj_t BgL_regz00_2413;

				BgL_regz00_2413 =
					BGl_rtl_inszd2typecheckzd2zzsaw_bbvzd2typeszd2(BgL_iz00_210);
				{	/* SawMill/bbv-specialize.scm 161 */
					obj_t BgL_typez00_2414;
					obj_t BgL_flagz00_2415;

					{	/* SawMill/bbv-specialize.scm 163 */
						obj_t BgL_tmpz00_4245;

						{	/* SawMill/bbv-specialize.scm 163 */
							int BgL_tmpz00_8002;

							BgL_tmpz00_8002 = (int) (((long) 1));
							BgL_tmpz00_4245 = BGL_MVALUES_VAL(BgL_tmpz00_8002);
						}
						{	/* SawMill/bbv-specialize.scm 163 */
							int BgL_tmpz00_8005;

							BgL_tmpz00_8005 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_8005, BUNSPEC);
						}
						BgL_typez00_2414 = BgL_tmpz00_4245;
					}
					{	/* SawMill/bbv-specialize.scm 163 */
						obj_t BgL_tmpz00_4246;

						{	/* SawMill/bbv-specialize.scm 163 */
							int BgL_tmpz00_8008;

							BgL_tmpz00_8008 = (int) (((long) 2));
							BgL_tmpz00_4246 = BGL_MVALUES_VAL(BgL_tmpz00_8008);
						}
						{	/* SawMill/bbv-specialize.scm 163 */
							int BgL_tmpz00_8011;

							BgL_tmpz00_8011 = (int) (((long) 2));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_8011, BUNSPEC);
						}
						BgL_flagz00_2415 = BgL_tmpz00_4246;
					}
					{	/* SawMill/bbv-specialize.scm 163 */
						obj_t BgL_ez00_2416;

						BgL_ez00_2416 =
							BGl_ctxzd2getzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_211,
							((BgL_rtl_regz00_bglt) BgL_regz00_2413));
						{	/* SawMill/bbv-specialize.scm 165 */
							bool_t BgL_test2789z00_8016;

							if (CBOOL(BgL_ez00_2416))
								{	/* SawMill/bbv-specialize.scm 165 */
									BgL_typez00_bglt BgL_arg2097z00_2603;

									BgL_arg2097z00_2603 =
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
												((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_2416)))->
										BgL_typz00);
									BgL_test2789z00_8016 =
										(((obj_t) BgL_arg2097z00_2603) ==
										BGl_za2objza2z00zztype_cachez00);
								}
							else
								{	/* SawMill/bbv-specialize.scm 165 */
									BgL_test2789z00_8016 = ((bool_t) 1);
								}
							if (BgL_test2789z00_8016)
								{	/* SawMill/bbv-specialize.scm 167 */
									BgL_rtl_insz00_bglt BgL_sz00_2420;

									{	/* SawMill/bbv-specialize.scm 167 */
										BgL_rtl_insz00_bglt BgL_new1290z00_2424;

										{	/* SawMill/bbv-specialize.scm 167 */
											BgL_rtl_insz00_bglt BgL_tmp1298z00_2442;
											BgL_rtl_inszf2bbvzf2_bglt BgL_wide1299z00_2443;

											{
												BgL_rtl_insz00_bglt BgL_auxz00_8023;

												{	/* SawMill/bbv-specialize.scm 167 */
													BgL_rtl_insz00_bglt BgL_new1297z00_2445;

													BgL_new1297z00_2445 =
														((BgL_rtl_insz00_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_rtl_insz00_bgl))));
													{	/* SawMill/bbv-specialize.scm 167 */
														long BgL_arg2041z00_2446;

														BgL_arg2041z00_2446 =
															BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1297z00_2445),
															BgL_arg2041z00_2446);
													}
													{	/* SawMill/bbv-specialize.scm 167 */
														BgL_objectz00_bglt BgL_tmpz00_8028;

														BgL_tmpz00_8028 =
															((BgL_objectz00_bglt) BgL_new1297z00_2445);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8028, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1297z00_2445);
													BgL_auxz00_8023 = BgL_new1297z00_2445;
												}
												BgL_tmp1298z00_2442 =
													((BgL_rtl_insz00_bglt) BgL_auxz00_8023);
											}
											BgL_wide1299z00_2443 =
												((BgL_rtl_inszf2bbvzf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_inszf2bbvzf2_bgl))));
											{	/* SawMill/bbv-specialize.scm 167 */
												obj_t BgL_auxz00_8036;
												BgL_objectz00_bglt BgL_tmpz00_8034;

												BgL_auxz00_8036 = ((obj_t) BgL_wide1299z00_2443);
												BgL_tmpz00_8034 =
													((BgL_objectz00_bglt) BgL_tmp1298z00_2442);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8034,
													BgL_auxz00_8036);
											}
											((BgL_objectz00_bglt) BgL_tmp1298z00_2442);
											{	/* SawMill/bbv-specialize.scm 167 */
												long BgL_arg2040z00_2444;

												BgL_arg2040z00_2444 =
													BGL_CLASS_NUM
													(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
														BgL_tmp1298z00_2442), BgL_arg2040z00_2444);
											}
											BgL_new1290z00_2424 =
												((BgL_rtl_insz00_bglt) BgL_tmp1298z00_2442);
										}
										((((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_new1290z00_2424)))->
												BgL_locz00) =
											((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_210))->
													BgL_locz00)), BUNSPEC);
										((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
															BgL_new1290z00_2424)))->BgL_z52spillz52) =
											((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_210))->
													BgL_z52spillz52)), BUNSPEC);
										((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
															BgL_new1290z00_2424)))->BgL_destz00) =
											((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_210))->
													BgL_destz00)), BUNSPEC);
										{
											BgL_rtl_funz00_bglt BgL_auxz00_8053;

											{	/* SawMill/bbv-specialize.scm 168 */
												bool_t BgL_test2791z00_8055;

												{	/* SawMill/bbv-specialize.scm 168 */
													BgL_rtl_funz00_bglt BgL_arg2039z00_2437;

													BgL_arg2039z00_2437 =
														(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_210))->
														BgL_funz00);
													{	/* SawMill/bbv-specialize.scm 168 */
														obj_t BgL_classz00_4256;

														BgL_classz00_4256 = BGl_rtl_ifeqz00zzsaw_defsz00;
														{	/* SawMill/bbv-specialize.scm 168 */
															BgL_objectz00_bglt BgL_arg1825z00_4258;

															{	/* SawMill/bbv-specialize.scm 168 */
																obj_t BgL_tmpz00_8057;

																BgL_tmpz00_8057 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg2039z00_2437));
																BgL_arg1825z00_4258 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_8057);
															}
															{	/* SawMill/bbv-specialize.scm 168 */
																bool_t BgL_arg1822z00_4261;
																bool_t BgL_arg1823z00_4262;

																{	/* SawMill/bbv-specialize.scm 168 */
																	long BgL_idxz00_4265;

																	BgL_idxz00_4265 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_4258);
																	{	/* SawMill/bbv-specialize.scm 168 */
																		obj_t BgL_arg1819z00_4266;

																		{	/* SawMill/bbv-specialize.scm 168 */
																			long BgL_arg1820z00_4267;

																			BgL_arg1820z00_4267 =
																				(BgL_idxz00_4265 + ((long) 3));
																			{	/* SawMill/bbv-specialize.scm 168 */
																				obj_t BgL_vectorz00_4269;

																				BgL_vectorz00_4269 =
																					BGl_za2inheritancesza2z00zz__objectz00;
																				BgL_arg1819z00_4266 =
																					VECTOR_REF(BgL_vectorz00_4269,
																					BgL_arg1820z00_4267);
																		}}
																		BgL_arg1822z00_4261 =
																			(BgL_arg1819z00_4266 ==
																			BgL_classz00_4256);
																}}
																{	/* SawMill/bbv-specialize.scm 168 */
																	bool_t BgL_res2579z00_4287;

																	{	/* SawMill/bbv-specialize.scm 168 */
																		obj_t BgL_oclassz00_4273;

																		{	/* SawMill/bbv-specialize.scm 168 */
																			long BgL_arg1833z00_4279;

																			{	/* SawMill/bbv-specialize.scm 168 */
																				long BgL_arg1834z00_4280;

																				BgL_arg1834z00_4280 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_4258);
																				BgL_arg1833z00_4279 =
																					(BgL_arg1834z00_4280 - OBJECT_TYPE);
																			}
																			{	/* SawMill/bbv-specialize.scm 168 */
																				obj_t BgL_vectorz00_4284;

																				BgL_vectorz00_4284 =
																					BGl_za2classesza2z00zz__objectz00;
																				BgL_oclassz00_4273 =
																					VECTOR_REF(BgL_vectorz00_4284,
																					BgL_arg1833z00_4279);
																		}}
																		{	/* SawMill/bbv-specialize.scm 168 */
																			bool_t BgL__ortest_1110z00_4274;

																			BgL__ortest_1110z00_4274 =
																				(BgL_classz00_4256 ==
																				BgL_oclassz00_4273);
																			if (BgL__ortest_1110z00_4274)
																				{	/* SawMill/bbv-specialize.scm 168 */
																					BgL_res2579z00_4287 =
																						BgL__ortest_1110z00_4274;
																				}
																			else
																				{	/* SawMill/bbv-specialize.scm 168 */
																					long BgL_odepthz00_4275;

																					BgL_odepthz00_4275 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4273);
																					if ((((long) 3) < BgL_odepthz00_4275))
																						{	/* SawMill/bbv-specialize.scm 168 */
																							obj_t BgL_arg1821z00_4277;

																							BgL_arg1821z00_4277 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4273,
																								((long) 3));
																							BgL_res2579z00_4287 =
																								(BgL_arg1821z00_4277 ==
																								BgL_classz00_4256);
																						}
																					else
																						{	/* SawMill/bbv-specialize.scm 168 */
																							BgL_res2579z00_4287 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_4262 = BgL_res2579z00_4287;
																}
																BgL_test2791z00_8055 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_4261,
																	BgL_arg1823z00_4262);
															}
														}
													}
												}
												if (BgL_test2791z00_8055)
													{	/* SawMill/bbv-specialize.scm 169 */
														BgL_rtl_funz00_bglt BgL_duplicated1302z00_2427;
														BgL_rtl_ifeqz00_bglt BgL_new1300z00_2428;

														BgL_duplicated1302z00_2427 =
															(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_210))->
															BgL_funz00);
														{	/* SawMill/bbv-specialize.scm 169 */
															BgL_rtl_ifeqz00_bglt BgL_new1304z00_2430;

															BgL_new1304z00_2430 =
																((BgL_rtl_ifeqz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_rtl_ifeqz00_bgl))));
															{	/* SawMill/bbv-specialize.scm 169 */
																long BgL_arg2036z00_2431;

																{	/* SawMill/bbv-specialize.scm 169 */
																	obj_t BgL_classz00_4288;

																	BgL_classz00_4288 =
																		BGl_rtl_ifeqz00zzsaw_defsz00;
																	BgL_arg2036z00_2431 =
																		BGL_CLASS_NUM(BgL_classz00_4288);
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1304z00_2430),
																	BgL_arg2036z00_2431);
															}
															BgL_new1300z00_2428 = BgL_new1304z00_2430;
														}
														((((BgL_rtl_funz00_bglt) COBJECT(
																		((BgL_rtl_funz00_bglt)
																			BgL_new1300z00_2428)))->BgL_locz00) =
															((obj_t) (((BgL_rtl_funz00_bglt)
																		COBJECT(BgL_duplicated1302z00_2427))->
																	BgL_locz00)), BUNSPEC);
														((((BgL_rtl_ifeqz00_bglt)
																	COBJECT(BgL_new1300z00_2428))->BgL_thenz00) =
															((BgL_blockz00_bglt) (((BgL_rtl_ifeqz00_bglt)
																		COBJECT(((BgL_rtl_ifeqz00_bglt)
																				BgL_duplicated1302z00_2427)))->
																	BgL_thenz00)), BUNSPEC);
														BgL_auxz00_8053 =
															((BgL_rtl_funz00_bglt) BgL_new1300z00_2428);
													}
												else
													{	/* SawMill/bbv-specialize.scm 170 */
														BgL_rtl_funz00_bglt BgL_duplicated1307z00_2432;
														BgL_rtl_ifnez00_bglt BgL_new1305z00_2433;

														BgL_duplicated1307z00_2432 =
															(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_210))->
															BgL_funz00);
														{	/* SawMill/bbv-specialize.scm 170 */
															BgL_rtl_ifnez00_bglt BgL_new1309z00_2435;

															BgL_new1309z00_2435 =
																((BgL_rtl_ifnez00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_rtl_ifnez00_bgl))));
															{	/* SawMill/bbv-specialize.scm 170 */
																long BgL_arg2037z00_2436;

																{	/* SawMill/bbv-specialize.scm 170 */
																	obj_t BgL_classz00_4291;

																	BgL_classz00_4291 =
																		BGl_rtl_ifnez00zzsaw_defsz00;
																	BgL_arg2037z00_2436 =
																		BGL_CLASS_NUM(BgL_classz00_4291);
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1309z00_2435),
																	BgL_arg2037z00_2436);
															}
															BgL_new1305z00_2433 = BgL_new1309z00_2435;
														}
														((((BgL_rtl_funz00_bglt) COBJECT(
																		((BgL_rtl_funz00_bglt)
																			BgL_new1305z00_2433)))->BgL_locz00) =
															((obj_t) (((BgL_rtl_funz00_bglt)
																		COBJECT(BgL_duplicated1307z00_2432))->
																	BgL_locz00)), BUNSPEC);
														((((BgL_rtl_ifnez00_bglt)
																	COBJECT(BgL_new1305z00_2433))->BgL_thenz00) =
															((BgL_blockz00_bglt) (((BgL_rtl_ifnez00_bglt)
																		COBJECT(((BgL_rtl_ifnez00_bglt)
																				BgL_duplicated1307z00_2432)))->
																	BgL_thenz00)), BUNSPEC);
														BgL_auxz00_8053 =
															((BgL_rtl_funz00_bglt) BgL_new1305z00_2433);
											}}
											((((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_new1290z00_2424)))->
													BgL_funz00) =
												((BgL_rtl_funz00_bglt) BgL_auxz00_8053), BUNSPEC);
										}
										((((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_new1290z00_2424)))->
												BgL_argsz00) =
											((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_210))->
													BgL_argsz00)), BUNSPEC);
										{
											obj_t BgL_auxz00_8110;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8104;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8111;

												{
													obj_t BgL_auxz00_8112;

													{	/* SawMill/bbv-specialize.scm 168 */
														BgL_objectz00_bglt BgL_tmpz00_8113;

														BgL_tmpz00_8113 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt) BgL_iz00_210));
														BgL_auxz00_8112 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_8113);
													}
													BgL_auxz00_8111 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_8112);
												}
												BgL_auxz00_8110 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_8111))->BgL_defz00);
											}
											{
												obj_t BgL_auxz00_8105;

												{	/* SawMill/bbv-specialize.scm 168 */
													BgL_objectz00_bglt BgL_tmpz00_8106;

													BgL_tmpz00_8106 =
														((BgL_objectz00_bglt) BgL_new1290z00_2424);
													BgL_auxz00_8105 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8106);
												}
												BgL_auxz00_8104 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_8105);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_8104))->
													BgL_defz00) = ((obj_t) BgL_auxz00_8110), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_8126;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8120;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8127;

												{
													obj_t BgL_auxz00_8128;

													{	/* SawMill/bbv-specialize.scm 168 */
														BgL_objectz00_bglt BgL_tmpz00_8129;

														BgL_tmpz00_8129 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt) BgL_iz00_210));
														BgL_auxz00_8128 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_8129);
													}
													BgL_auxz00_8127 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_8128);
												}
												BgL_auxz00_8126 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_8127))->BgL_outz00);
											}
											{
												obj_t BgL_auxz00_8121;

												{	/* SawMill/bbv-specialize.scm 168 */
													BgL_objectz00_bglt BgL_tmpz00_8122;

													BgL_tmpz00_8122 =
														((BgL_objectz00_bglt) BgL_new1290z00_2424);
													BgL_auxz00_8121 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8122);
												}
												BgL_auxz00_8120 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_8121);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_8120))->
													BgL_outz00) = ((obj_t) BgL_auxz00_8126), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_8142;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8136;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8143;

												{
													obj_t BgL_auxz00_8144;

													{	/* SawMill/bbv-specialize.scm 168 */
														BgL_objectz00_bglt BgL_tmpz00_8145;

														BgL_tmpz00_8145 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt) BgL_iz00_210));
														BgL_auxz00_8144 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_8145);
													}
													BgL_auxz00_8143 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_8144);
												}
												BgL_auxz00_8142 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_8143))->BgL_inz00);
											}
											{
												obj_t BgL_auxz00_8137;

												{	/* SawMill/bbv-specialize.scm 168 */
													BgL_objectz00_bglt BgL_tmpz00_8138;

													BgL_tmpz00_8138 =
														((BgL_objectz00_bglt) BgL_new1290z00_2424);
													BgL_auxz00_8137 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8138);
												}
												BgL_auxz00_8136 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_8137);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_8136))->
													BgL_inz00) = ((obj_t) BgL_auxz00_8142), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_8158;
											BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8152;

											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8159;

												{
													obj_t BgL_auxz00_8160;

													{	/* SawMill/bbv-specialize.scm 168 */
														BgL_objectz00_bglt BgL_tmpz00_8161;

														BgL_tmpz00_8161 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt) BgL_iz00_210));
														BgL_auxz00_8160 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_8161);
													}
													BgL_auxz00_8159 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_8160);
												}
												BgL_auxz00_8158 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_8159))->BgL_z52hashz52);
											}
											{
												obj_t BgL_auxz00_8153;

												{	/* SawMill/bbv-specialize.scm 168 */
													BgL_objectz00_bglt BgL_tmpz00_8154;

													BgL_tmpz00_8154 =
														((BgL_objectz00_bglt) BgL_new1290z00_2424);
													BgL_auxz00_8153 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8154);
												}
												BgL_auxz00_8152 =
													((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_8153);
											}
											((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_8152))->
													BgL_z52hashz52) = ((obj_t) BgL_auxz00_8158), BUNSPEC);
										}
										BgL_sz00_2420 = BgL_new1290z00_2424;
									}
									{	/* SawMill/bbv-specialize.scm 171 */
										int BgL_tmpz00_8168;

										BgL_tmpz00_8168 = (int) (((long) 2));
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8168);
									}
									{	/* SawMill/bbv-specialize.scm 171 */
										int BgL_tmpz00_8171;

										BgL_tmpz00_8171 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_8171, BgL_ctxz00_211);
									}
									return BgL_sz00_2420;
								}
							else
								{	/* SawMill/bbv-specialize.scm 172 */
									bool_t BgL_test2794z00_8174;

									if (
										(((obj_t)
												(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
															((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_2416)))->
													BgL_typz00)) == BgL_typez00_2414))
										{	/* SawMill/bbv-specialize.scm 172 */
											BgL_test2794z00_8174 =
												(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
														((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_2416)))->
												BgL_flagz00);
										}
									else
										{	/* SawMill/bbv-specialize.scm 172 */
											BgL_test2794z00_8174 = ((bool_t) 0);
										}
									if (BgL_test2794z00_8174)
										{	/* SawMill/bbv-specialize.scm 174 */
											BgL_rtl_insz00_bglt BgL_sz00_2452;

											{	/* SawMill/bbv-specialize.scm 174 */
												bool_t BgL_test2796z00_8182;

												{	/* SawMill/bbv-specialize.scm 174 */
													BgL_rtl_funz00_bglt BgL_arg2055z00_2486;

													BgL_arg2055z00_2486 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_iz00_210))))->
														BgL_funz00);
													{	/* SawMill/bbv-specialize.scm 174 */
														obj_t BgL_classz00_4304;

														BgL_classz00_4304 = BGl_rtl_ifeqz00zzsaw_defsz00;
														{	/* SawMill/bbv-specialize.scm 174 */
															BgL_objectz00_bglt BgL_arg1825z00_4306;

															{	/* SawMill/bbv-specialize.scm 174 */
																obj_t BgL_tmpz00_8186;

																BgL_tmpz00_8186 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg2055z00_2486));
																BgL_arg1825z00_4306 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_8186);
															}
															{	/* SawMill/bbv-specialize.scm 174 */
																bool_t BgL_arg1822z00_4309;
																bool_t BgL_arg1823z00_4310;

																{	/* SawMill/bbv-specialize.scm 174 */
																	long BgL_idxz00_4313;

																	BgL_idxz00_4313 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_4306);
																	BgL_arg1822z00_4309 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4313 + ((long) 3))) ==
																		BgL_classz00_4304);
																}
																{	/* SawMill/bbv-specialize.scm 174 */
																	bool_t BgL_res2580z00_4335;

																	{	/* SawMill/bbv-specialize.scm 174 */
																		obj_t BgL_oclassz00_4321;

																		{	/* SawMill/bbv-specialize.scm 174 */
																			long BgL_arg1833z00_4327;

																			{	/* SawMill/bbv-specialize.scm 174 */
																				long BgL_arg1834z00_4328;

																				BgL_arg1834z00_4328 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_4306);
																				BgL_arg1833z00_4327 =
																					(BgL_arg1834z00_4328 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4321 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_4327);
																		}
																		{	/* SawMill/bbv-specialize.scm 174 */
																			bool_t BgL__ortest_1110z00_4322;

																			BgL__ortest_1110z00_4322 =
																				(BgL_classz00_4304 ==
																				BgL_oclassz00_4321);
																			if (BgL__ortest_1110z00_4322)
																				{	/* SawMill/bbv-specialize.scm 174 */
																					BgL_res2580z00_4335 =
																						BgL__ortest_1110z00_4322;
																				}
																			else
																				{	/* SawMill/bbv-specialize.scm 174 */
																					long BgL_odepthz00_4323;

																					BgL_odepthz00_4323 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4321);
																					if ((((long) 3) < BgL_odepthz00_4323))
																						{	/* SawMill/bbv-specialize.scm 174 */
																							obj_t BgL_arg1821z00_4325;

																							BgL_arg1821z00_4325 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4321,
																								((long) 3));
																							BgL_res2580z00_4335 =
																								(BgL_arg1821z00_4325 ==
																								BgL_classz00_4304);
																						}
																					else
																						{	/* SawMill/bbv-specialize.scm 174 */
																							BgL_res2580z00_4335 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_4310 = BgL_res2580z00_4335;
																}
																BgL_test2796z00_8182 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_4309,
																	BgL_arg1823z00_4310);
															}
														}
													}
												}
												if (BgL_test2796z00_8182)
													{	/* SawMill/bbv-specialize.scm 175 */
														BgL_rtl_insz00_bglt BgL_new1312z00_2458;

														{	/* SawMill/bbv-specialize.scm 175 */
															BgL_rtl_insz00_bglt BgL_tmp1320z00_2466;
															BgL_rtl_inszf2bbvzf2_bglt BgL_wide1321z00_2467;

															{
																BgL_rtl_insz00_bglt BgL_auxz00_8205;

																{	/* SawMill/bbv-specialize.scm 175 */
																	BgL_rtl_insz00_bglt BgL_new1319z00_2469;

																	BgL_new1319z00_2469 =
																		((BgL_rtl_insz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_insz00_bgl))));
																	{	/* SawMill/bbv-specialize.scm 175 */
																		long BgL_arg2051z00_2470;

																		BgL_arg2051z00_2470 =
																			BGL_CLASS_NUM
																			(BGl_rtl_insz00zzsaw_defsz00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1319z00_2469),
																			BgL_arg2051z00_2470);
																	}
																	{	/* SawMill/bbv-specialize.scm 175 */
																		BgL_objectz00_bglt BgL_tmpz00_8210;

																		BgL_tmpz00_8210 =
																			((BgL_objectz00_bglt)
																			BgL_new1319z00_2469);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8210,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1319z00_2469);
																	BgL_auxz00_8205 = BgL_new1319z00_2469;
																}
																BgL_tmp1320z00_2466 =
																	((BgL_rtl_insz00_bglt) BgL_auxz00_8205);
															}
															BgL_wide1321z00_2467 =
																((BgL_rtl_inszf2bbvzf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_rtl_inszf2bbvzf2_bgl))));
															{	/* SawMill/bbv-specialize.scm 175 */
																obj_t BgL_auxz00_8218;
																BgL_objectz00_bglt BgL_tmpz00_8216;

																BgL_auxz00_8218 =
																	((obj_t) BgL_wide1321z00_2467);
																BgL_tmpz00_8216 =
																	((BgL_objectz00_bglt) BgL_tmp1320z00_2466);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8216,
																	BgL_auxz00_8218);
															}
															((BgL_objectz00_bglt) BgL_tmp1320z00_2466);
															{	/* SawMill/bbv-specialize.scm 175 */
																long BgL_arg2050z00_2468;

																BgL_arg2050z00_2468 =
																	BGL_CLASS_NUM
																	(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																		BgL_tmp1320z00_2466), BgL_arg2050z00_2468);
															}
															BgL_new1312z00_2458 =
																((BgL_rtl_insz00_bglt) BgL_tmp1320z00_2466);
														}
														((((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			BgL_new1312z00_2458)))->BgL_locz00) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_iz00_210))->BgL_locz00)),
															BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_new1312z00_2458)))->BgL_z52spillz52) =
															((obj_t) (((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_iz00_210))->BgL_z52spillz52)),
															BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_new1312z00_2458)))->BgL_destz00) =
															((obj_t) BFALSE), BUNSPEC);
														{
															BgL_rtl_funz00_bglt BgL_auxz00_8234;

															{	/* SawMill/bbv-specialize.scm 176 */
																BgL_rtl_nopz00_bglt BgL_new1323z00_2459;

																{	/* SawMill/bbv-specialize.scm 176 */
																	BgL_rtl_nopz00_bglt BgL_new1322z00_2460;

																	BgL_new1322z00_2460 =
																		((BgL_rtl_nopz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_nopz00_bgl))));
																	{	/* SawMill/bbv-specialize.scm 176 */
																		long BgL_arg2049z00_2461;

																		{	/* SawMill/bbv-specialize.scm 176 */
																			obj_t BgL_classz00_4344;

																			BgL_classz00_4344 =
																				BGl_rtl_nopz00zzsaw_defsz00;
																			BgL_arg2049z00_2461 =
																				BGL_CLASS_NUM(BgL_classz00_4344);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1322z00_2460),
																			BgL_arg2049z00_2461);
																	}
																	BgL_new1323z00_2459 = BgL_new1322z00_2460;
																}
																((((BgL_rtl_funz00_bglt) COBJECT(
																				((BgL_rtl_funz00_bglt)
																					BgL_new1323z00_2459)))->BgL_locz00) =
																	((obj_t) BFALSE), BUNSPEC);
																BgL_auxz00_8234 =
																	((BgL_rtl_funz00_bglt) BgL_new1323z00_2459);
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_new1312z00_2458)))->BgL_funz00) =
																((BgL_rtl_funz00_bglt) BgL_auxz00_8234),
																BUNSPEC);
														}
														((((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			BgL_new1312z00_2458)))->BgL_argsz00) =
															((obj_t) BNIL), BUNSPEC);
														{
															obj_t BgL_auxz00_8252;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8246;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8253;

																{
																	obj_t BgL_auxz00_8254;

																	{	/* SawMill/bbv-specialize.scm 178 */
																		BgL_objectz00_bglt BgL_tmpz00_8255;

																		BgL_tmpz00_8255 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_210));
																		BgL_auxz00_8254 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_8255);
																	}
																	BgL_auxz00_8253 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_8254);
																}
																BgL_auxz00_8252 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_8253))->BgL_defz00);
															}
															{
																obj_t BgL_auxz00_8247;

																{	/* SawMill/bbv-specialize.scm 178 */
																	BgL_objectz00_bglt BgL_tmpz00_8248;

																	BgL_tmpz00_8248 =
																		((BgL_objectz00_bglt) BgL_new1312z00_2458);
																	BgL_auxz00_8247 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_8248);
																}
																BgL_auxz00_8246 =
																	((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_8247);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_8246))->BgL_defz00) =
																((obj_t) BgL_auxz00_8252), BUNSPEC);
														}
														{
															obj_t BgL_auxz00_8268;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8262;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8269;

																{
																	obj_t BgL_auxz00_8270;

																	{	/* SawMill/bbv-specialize.scm 178 */
																		BgL_objectz00_bglt BgL_tmpz00_8271;

																		BgL_tmpz00_8271 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_210));
																		BgL_auxz00_8270 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_8271);
																	}
																	BgL_auxz00_8269 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_8270);
																}
																BgL_auxz00_8268 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_8269))->BgL_outz00);
															}
															{
																obj_t BgL_auxz00_8263;

																{	/* SawMill/bbv-specialize.scm 178 */
																	BgL_objectz00_bglt BgL_tmpz00_8264;

																	BgL_tmpz00_8264 =
																		((BgL_objectz00_bglt) BgL_new1312z00_2458);
																	BgL_auxz00_8263 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_8264);
																}
																BgL_auxz00_8262 =
																	((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_8263);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_8262))->BgL_outz00) =
																((obj_t) BgL_auxz00_8268), BUNSPEC);
														}
														{
															obj_t BgL_auxz00_8284;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8278;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8285;

																{
																	obj_t BgL_auxz00_8286;

																	{	/* SawMill/bbv-specialize.scm 178 */
																		BgL_objectz00_bglt BgL_tmpz00_8287;

																		BgL_tmpz00_8287 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_210));
																		BgL_auxz00_8286 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_8287);
																	}
																	BgL_auxz00_8285 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_8286);
																}
																BgL_auxz00_8284 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_8285))->BgL_inz00);
															}
															{
																obj_t BgL_auxz00_8279;

																{	/* SawMill/bbv-specialize.scm 178 */
																	BgL_objectz00_bglt BgL_tmpz00_8280;

																	BgL_tmpz00_8280 =
																		((BgL_objectz00_bglt) BgL_new1312z00_2458);
																	BgL_auxz00_8279 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_8280);
																}
																BgL_auxz00_8278 =
																	((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_8279);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_8278))->BgL_inz00) =
																((obj_t) BgL_auxz00_8284), BUNSPEC);
														}
														{
															obj_t BgL_auxz00_8300;
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8294;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8301;

																{
																	obj_t BgL_auxz00_8302;

																	{	/* SawMill/bbv-specialize.scm 178 */
																		BgL_objectz00_bglt BgL_tmpz00_8303;

																		BgL_tmpz00_8303 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_210));
																		BgL_auxz00_8302 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_8303);
																	}
																	BgL_auxz00_8301 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_8302);
																}
																BgL_auxz00_8300 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_8301))->BgL_z52hashz52);
															}
															{
																obj_t BgL_auxz00_8295;

																{	/* SawMill/bbv-specialize.scm 178 */
																	BgL_objectz00_bglt BgL_tmpz00_8296;

																	BgL_tmpz00_8296 =
																		((BgL_objectz00_bglt) BgL_new1312z00_2458);
																	BgL_auxz00_8295 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_8296);
																}
																BgL_auxz00_8294 =
																	((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_8295);
															}
															((((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_8294))->BgL_z52hashz52) =
																((obj_t) BgL_auxz00_8300), BUNSPEC);
														}
														BgL_sz00_2452 = BgL_new1312z00_2458;
													}
												else
													{	/* SawMill/bbv-specialize.scm 179 */
														BgL_rtl_ifnez00_bglt BgL_i1324z00_2471;

														BgL_i1324z00_2471 =
															((BgL_rtl_ifnez00_bglt)
															(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_210))))->
																BgL_funz00));
														{	/* SawMill/bbv-specialize.scm 180 */
															BgL_rtl_insz00_bglt BgL_new1325z00_2473;

															{	/* SawMill/bbv-specialize.scm 180 */
																BgL_rtl_insz00_bglt BgL_tmp1333z00_2481;
																BgL_rtl_inszf2bbvzf2_bglt BgL_wide1334z00_2482;

																{
																	BgL_rtl_insz00_bglt BgL_auxz00_8314;

																	{	/* SawMill/bbv-specialize.scm 180 */
																		BgL_rtl_insz00_bglt BgL_new1332z00_2484;

																		BgL_new1332z00_2484 =
																			((BgL_rtl_insz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_rtl_insz00_bgl))));
																		{	/* SawMill/bbv-specialize.scm 180 */
																			long BgL_arg2054z00_2485;

																			BgL_arg2054z00_2485 =
																				BGL_CLASS_NUM
																				(BGl_rtl_insz00zzsaw_defsz00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1332z00_2484),
																				BgL_arg2054z00_2485);
																		}
																		{	/* SawMill/bbv-specialize.scm 180 */
																			BgL_objectz00_bglt BgL_tmpz00_8319;

																			BgL_tmpz00_8319 =
																				((BgL_objectz00_bglt)
																				BgL_new1332z00_2484);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8319,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1332z00_2484);
																		BgL_auxz00_8314 = BgL_new1332z00_2484;
																	}
																	BgL_tmp1333z00_2481 =
																		((BgL_rtl_insz00_bglt) BgL_auxz00_8314);
																}
																BgL_wide1334z00_2482 =
																	((BgL_rtl_inszf2bbvzf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_rtl_inszf2bbvzf2_bgl))));
																{	/* SawMill/bbv-specialize.scm 180 */
																	obj_t BgL_auxz00_8327;
																	BgL_objectz00_bglt BgL_tmpz00_8325;

																	BgL_auxz00_8327 =
																		((obj_t) BgL_wide1334z00_2482);
																	BgL_tmpz00_8325 =
																		((BgL_objectz00_bglt) BgL_tmp1333z00_2481);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8325,
																		BgL_auxz00_8327);
																}
																((BgL_objectz00_bglt) BgL_tmp1333z00_2481);
																{	/* SawMill/bbv-specialize.scm 180 */
																	long BgL_arg2053z00_2483;

																	BgL_arg2053z00_2483 =
																		BGL_CLASS_NUM
																		(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			BgL_tmp1333z00_2481),
																		BgL_arg2053z00_2483);
																}
																BgL_new1325z00_2473 =
																	((BgL_rtl_insz00_bglt) BgL_tmp1333z00_2481);
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_new1325z00_2473)))->BgL_locz00) =
																((obj_t) (((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_iz00_210))->BgL_locz00)),
																BUNSPEC);
															((((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_new1325z00_2473)))->
																	BgL_z52spillz52) =
																((obj_t) (((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_iz00_210))->BgL_z52spillz52)),
																BUNSPEC);
															((((BgL_rtl_insz00_bglt)
																		COBJECT(((BgL_rtl_insz00_bglt)
																				BgL_new1325z00_2473)))->BgL_destz00) =
																((obj_t) BFALSE), BUNSPEC);
															{
																BgL_rtl_funz00_bglt BgL_auxz00_8343;

																{	/* SawMill/bbv-specialize.scm 181 */
																	BgL_rtl_goz00_bglt BgL_new1336z00_2474;

																	{	/* SawMill/bbv-specialize.scm 181 */
																		BgL_rtl_goz00_bglt BgL_new1335z00_2475;

																		BgL_new1335z00_2475 =
																			((BgL_rtl_goz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_rtl_goz00_bgl))));
																		{	/* SawMill/bbv-specialize.scm 181 */
																			long BgL_arg2052z00_2476;

																			{	/* SawMill/bbv-specialize.scm 181 */
																				obj_t BgL_classz00_4363;

																				BgL_classz00_4363 =
																					BGl_rtl_goz00zzsaw_defsz00;
																				BgL_arg2052z00_2476 =
																					BGL_CLASS_NUM(BgL_classz00_4363);
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1335z00_2475),
																				BgL_arg2052z00_2476);
																		}
																		BgL_new1336z00_2474 = BgL_new1335z00_2475;
																	}
																	((((BgL_rtl_funz00_bglt) COBJECT(
																					((BgL_rtl_funz00_bglt)
																						BgL_new1336z00_2474)))->
																			BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
																	((((BgL_rtl_goz00_bglt)
																				COBJECT(BgL_new1336z00_2474))->
																			BgL_toz00) =
																		((BgL_blockz00_bglt) ((
																					(BgL_rtl_ifnez00_bglt)
																					COBJECT(BgL_i1324z00_2471))->
																				BgL_thenz00)), BUNSPEC);
																	BgL_auxz00_8343 =
																		((BgL_rtl_funz00_bglt) BgL_new1336z00_2474);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1325z00_2473)))->BgL_funz00) =
																	((BgL_rtl_funz00_bglt) BgL_auxz00_8343),
																	BUNSPEC);
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_new1325z00_2473)))->BgL_argsz00) =
																((obj_t) BNIL), BUNSPEC);
															{
																obj_t BgL_auxz00_8363;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8357;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8364;

																	{
																		obj_t BgL_auxz00_8365;

																		{	/* SawMill/bbv-specialize.scm 183 */
																			BgL_objectz00_bglt BgL_tmpz00_8366;

																			BgL_tmpz00_8366 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt) BgL_iz00_210));
																			BgL_auxz00_8365 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_8366);
																		}
																		BgL_auxz00_8364 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_8365);
																	}
																	BgL_auxz00_8363 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_8364))->BgL_defz00);
																}
																{
																	obj_t BgL_auxz00_8358;

																	{	/* SawMill/bbv-specialize.scm 183 */
																		BgL_objectz00_bglt BgL_tmpz00_8359;

																		BgL_tmpz00_8359 =
																			((BgL_objectz00_bglt)
																			BgL_new1325z00_2473);
																		BgL_auxz00_8358 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_8359);
																	}
																	BgL_auxz00_8357 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_8358);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_8357))->BgL_defz00) =
																	((obj_t) BgL_auxz00_8363), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_8379;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8373;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8380;

																	{
																		obj_t BgL_auxz00_8381;

																		{	/* SawMill/bbv-specialize.scm 183 */
																			BgL_objectz00_bglt BgL_tmpz00_8382;

																			BgL_tmpz00_8382 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt) BgL_iz00_210));
																			BgL_auxz00_8381 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_8382);
																		}
																		BgL_auxz00_8380 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_8381);
																	}
																	BgL_auxz00_8379 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_8380))->BgL_outz00);
																}
																{
																	obj_t BgL_auxz00_8374;

																	{	/* SawMill/bbv-specialize.scm 183 */
																		BgL_objectz00_bglt BgL_tmpz00_8375;

																		BgL_tmpz00_8375 =
																			((BgL_objectz00_bglt)
																			BgL_new1325z00_2473);
																		BgL_auxz00_8374 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_8375);
																	}
																	BgL_auxz00_8373 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_8374);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_8373))->BgL_outz00) =
																	((obj_t) BgL_auxz00_8379), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_8395;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8389;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8396;

																	{
																		obj_t BgL_auxz00_8397;

																		{	/* SawMill/bbv-specialize.scm 183 */
																			BgL_objectz00_bglt BgL_tmpz00_8398;

																			BgL_tmpz00_8398 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt) BgL_iz00_210));
																			BgL_auxz00_8397 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_8398);
																		}
																		BgL_auxz00_8396 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_8397);
																	}
																	BgL_auxz00_8395 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_8396))->BgL_inz00);
																}
																{
																	obj_t BgL_auxz00_8390;

																	{	/* SawMill/bbv-specialize.scm 183 */
																		BgL_objectz00_bglt BgL_tmpz00_8391;

																		BgL_tmpz00_8391 =
																			((BgL_objectz00_bglt)
																			BgL_new1325z00_2473);
																		BgL_auxz00_8390 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_8391);
																	}
																	BgL_auxz00_8389 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_8390);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_8389))->BgL_inz00) =
																	((obj_t) BgL_auxz00_8395), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_8411;
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8405;

																{
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8412;

																	{
																		obj_t BgL_auxz00_8413;

																		{	/* SawMill/bbv-specialize.scm 183 */
																			BgL_objectz00_bglt BgL_tmpz00_8414;

																			BgL_tmpz00_8414 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_insz00_bglt) BgL_iz00_210));
																			BgL_auxz00_8413 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_8414);
																		}
																		BgL_auxz00_8412 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_8413);
																	}
																	BgL_auxz00_8411 =
																		(((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_8412))->
																		BgL_z52hashz52);
																}
																{
																	obj_t BgL_auxz00_8406;

																	{	/* SawMill/bbv-specialize.scm 183 */
																		BgL_objectz00_bglt BgL_tmpz00_8407;

																		BgL_tmpz00_8407 =
																			((BgL_objectz00_bglt)
																			BgL_new1325z00_2473);
																		BgL_auxz00_8406 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_8407);
																	}
																	BgL_auxz00_8405 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_8406);
																}
																((((BgL_rtl_inszf2bbvzf2_bglt)
																			COBJECT(BgL_auxz00_8405))->
																		BgL_z52hashz52) =
																	((obj_t) BgL_auxz00_8411), BUNSPEC);
															}
															BgL_sz00_2452 = BgL_new1325z00_2473;
											}}}
											{	/* SawMill/bbv-specialize.scm 184 */
												int BgL_tmpz00_8421;

												BgL_tmpz00_8421 = (int) (((long) 2));
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8421);
											}
											{	/* SawMill/bbv-specialize.scm 184 */
												int BgL_tmpz00_8424;

												BgL_tmpz00_8424 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_8424, BgL_ctxz00_211);
											}
											return BgL_sz00_2452;
										}
									else
										{	/* SawMill/bbv-specialize.scm 185 */
											bool_t BgL_test2799z00_8427;

											if (
												(((obj_t)
														(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																	((BgL_bbvzd2ctxentryzd2_bglt)
																		BgL_ez00_2416)))->BgL_typz00)) ==
													BgL_typez00_2414))
												{	/* SawMill/bbv-specialize.scm 185 */
													if (
														(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																	((BgL_bbvzd2ctxentryzd2_bglt)
																		BgL_ez00_2416)))->BgL_flagz00))
														{	/* SawMill/bbv-specialize.scm 185 */
															BgL_test2799z00_8427 = ((bool_t) 0);
														}
													else
														{	/* SawMill/bbv-specialize.scm 185 */
															BgL_test2799z00_8427 = ((bool_t) 1);
														}
												}
											else
												{	/* SawMill/bbv-specialize.scm 185 */
													BgL_test2799z00_8427 = ((bool_t) 0);
												}
											if (BgL_test2799z00_8427)
												{	/* SawMill/bbv-specialize.scm 187 */
													BgL_rtl_insz00_bglt BgL_sz00_2493;

													{	/* SawMill/bbv-specialize.scm 187 */
														bool_t BgL_test2802z00_8436;

														{	/* SawMill/bbv-specialize.scm 187 */
															BgL_rtl_funz00_bglt BgL_arg2071z00_2527;

															BgL_arg2071z00_2527 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_210))))->
																BgL_funz00);
															{	/* SawMill/bbv-specialize.scm 187 */
																obj_t BgL_classz00_4376;

																BgL_classz00_4376 =
																	BGl_rtl_ifeqz00zzsaw_defsz00;
																{	/* SawMill/bbv-specialize.scm 187 */
																	BgL_objectz00_bglt BgL_arg1825z00_4378;

																	{	/* SawMill/bbv-specialize.scm 187 */
																		obj_t BgL_tmpz00_8440;

																		BgL_tmpz00_8440 =
																			((obj_t)
																			((BgL_objectz00_bglt)
																				BgL_arg2071z00_2527));
																		BgL_arg1825z00_4378 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_8440);
																	}
																	{	/* SawMill/bbv-specialize.scm 187 */
																		bool_t BgL_arg1822z00_4381;
																		bool_t BgL_arg1823z00_4382;

																		{	/* SawMill/bbv-specialize.scm 187 */
																			long BgL_idxz00_4385;

																			BgL_idxz00_4385 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_4378);
																			BgL_arg1822z00_4381 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_4385 + ((long) 3))) ==
																				BgL_classz00_4376);
																		}
																		{	/* SawMill/bbv-specialize.scm 187 */
																			bool_t BgL_res2581z00_4407;

																			{	/* SawMill/bbv-specialize.scm 187 */
																				obj_t BgL_oclassz00_4393;

																				{	/* SawMill/bbv-specialize.scm 187 */
																					long BgL_arg1833z00_4399;

																					{	/* SawMill/bbv-specialize.scm 187 */
																						long BgL_arg1834z00_4400;

																						BgL_arg1834z00_4400 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_4378);
																						BgL_arg1833z00_4399 =
																							(BgL_arg1834z00_4400 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_4393 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_4399);
																				}
																				{	/* SawMill/bbv-specialize.scm 187 */
																					bool_t BgL__ortest_1110z00_4394;

																					BgL__ortest_1110z00_4394 =
																						(BgL_classz00_4376 ==
																						BgL_oclassz00_4393);
																					if (BgL__ortest_1110z00_4394)
																						{	/* SawMill/bbv-specialize.scm 187 */
																							BgL_res2581z00_4407 =
																								BgL__ortest_1110z00_4394;
																						}
																					else
																						{	/* SawMill/bbv-specialize.scm 187 */
																							long BgL_odepthz00_4395;

																							BgL_odepthz00_4395 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_4393);
																							if ((((long) 3) <
																									BgL_odepthz00_4395))
																								{	/* SawMill/bbv-specialize.scm 187 */
																									obj_t BgL_arg1821z00_4397;

																									BgL_arg1821z00_4397 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_4393,
																										((long) 3));
																									BgL_res2581z00_4407 =
																										(BgL_arg1821z00_4397 ==
																										BgL_classz00_4376);
																								}
																							else
																								{	/* SawMill/bbv-specialize.scm 187 */
																									BgL_res2581z00_4407 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_4382 = BgL_res2581z00_4407;
																		}
																		BgL_test2802z00_8436 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_4381,
																			BgL_arg1823z00_4382);
																	}
																}
															}
														}
														if (BgL_test2802z00_8436)
															{	/* SawMill/bbv-specialize.scm 188 */
																BgL_rtl_ifeqz00_bglt BgL_i1338z00_2498;

																BgL_i1338z00_2498 =
																	((BgL_rtl_ifeqz00_bglt)
																	(((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_210))))->BgL_funz00));
																{	/* SawMill/bbv-specialize.scm 189 */
																	BgL_rtl_insz00_bglt BgL_new1339z00_2500;

																	{	/* SawMill/bbv-specialize.scm 189 */
																		BgL_rtl_insz00_bglt BgL_tmp1347z00_2508;
																		BgL_rtl_inszf2bbvzf2_bglt
																			BgL_wide1348z00_2509;
																		{
																			BgL_rtl_insz00_bglt BgL_auxz00_8463;

																			{	/* SawMill/bbv-specialize.scm 189 */
																				BgL_rtl_insz00_bglt BgL_new1346z00_2511;

																				BgL_new1346z00_2511 =
																					((BgL_rtl_insz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_rtl_insz00_bgl))));
																				{	/* SawMill/bbv-specialize.scm 189 */
																					long BgL_arg2065z00_2512;

																					BgL_arg2065z00_2512 =
																						BGL_CLASS_NUM
																						(BGl_rtl_insz00zzsaw_defsz00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1346z00_2511),
																						BgL_arg2065z00_2512);
																				}
																				{	/* SawMill/bbv-specialize.scm 189 */
																					BgL_objectz00_bglt BgL_tmpz00_8468;

																					BgL_tmpz00_8468 =
																						((BgL_objectz00_bglt)
																						BgL_new1346z00_2511);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_8468, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1346z00_2511);
																				BgL_auxz00_8463 = BgL_new1346z00_2511;
																			}
																			BgL_tmp1347z00_2508 =
																				((BgL_rtl_insz00_bglt) BgL_auxz00_8463);
																		}
																		BgL_wide1348z00_2509 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_rtl_inszf2bbvzf2_bgl))));
																		{	/* SawMill/bbv-specialize.scm 189 */
																			obj_t BgL_auxz00_8476;
																			BgL_objectz00_bglt BgL_tmpz00_8474;

																			BgL_auxz00_8476 =
																				((obj_t) BgL_wide1348z00_2509);
																			BgL_tmpz00_8474 =
																				((BgL_objectz00_bglt)
																				BgL_tmp1347z00_2508);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8474,
																				BgL_auxz00_8476);
																		}
																		((BgL_objectz00_bglt) BgL_tmp1347z00_2508);
																		{	/* SawMill/bbv-specialize.scm 189 */
																			long BgL_arg2064z00_2510;

																			BgL_arg2064z00_2510 =
																				BGL_CLASS_NUM
																				(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_tmp1347z00_2508),
																				BgL_arg2064z00_2510);
																		}
																		BgL_new1339z00_2500 =
																			((BgL_rtl_insz00_bglt)
																			BgL_tmp1347z00_2508);
																	}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new1339z00_2500)))->
																			BgL_locz00) =
																		((obj_t) (((BgL_rtl_insz00_bglt)
																					COBJECT(BgL_iz00_210))->BgL_locz00)),
																		BUNSPEC);
																	((((BgL_rtl_insz00_bglt)
																				COBJECT(((BgL_rtl_insz00_bglt)
																						BgL_new1339z00_2500)))->
																			BgL_z52spillz52) =
																		((obj_t) (((BgL_rtl_insz00_bglt)
																					COBJECT(BgL_iz00_210))->
																				BgL_z52spillz52)), BUNSPEC);
																	((((BgL_rtl_insz00_bglt)
																				COBJECT(((BgL_rtl_insz00_bglt)
																						BgL_new1339z00_2500)))->
																			BgL_destz00) = ((obj_t) BFALSE), BUNSPEC);
																	{
																		BgL_rtl_funz00_bglt BgL_auxz00_8492;

																		{	/* SawMill/bbv-specialize.scm 190 */
																			BgL_rtl_goz00_bglt BgL_new1350z00_2501;

																			{	/* SawMill/bbv-specialize.scm 190 */
																				BgL_rtl_goz00_bglt BgL_new1349z00_2502;

																				BgL_new1349z00_2502 =
																					((BgL_rtl_goz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_rtl_goz00_bgl))));
																				{	/* SawMill/bbv-specialize.scm 190 */
																					long BgL_arg2063z00_2503;

																					{	/* SawMill/bbv-specialize.scm 190 */
																						obj_t BgL_classz00_4416;

																						BgL_classz00_4416 =
																							BGl_rtl_goz00zzsaw_defsz00;
																						BgL_arg2063z00_2503 =
																							BGL_CLASS_NUM(BgL_classz00_4416);
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1349z00_2502),
																						BgL_arg2063z00_2503);
																				}
																				BgL_new1350z00_2501 =
																					BgL_new1349z00_2502;
																			}
																			((((BgL_rtl_funz00_bglt) COBJECT(
																							((BgL_rtl_funz00_bglt)
																								BgL_new1350z00_2501)))->
																					BgL_locz00) =
																				((obj_t) BFALSE), BUNSPEC);
																			((((BgL_rtl_goz00_bglt)
																						COBJECT(BgL_new1350z00_2501))->
																					BgL_toz00) =
																				((BgL_blockz00_bglt) ((
																							(BgL_rtl_ifeqz00_bglt)
																							COBJECT(BgL_i1338z00_2498))->
																						BgL_thenz00)), BUNSPEC);
																			BgL_auxz00_8492 =
																				((BgL_rtl_funz00_bglt)
																				BgL_new1350z00_2501);
																		}
																		((((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_new1339z00_2500)))->
																				BgL_funz00) =
																			((BgL_rtl_funz00_bglt) BgL_auxz00_8492),
																			BUNSPEC);
																	}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new1339z00_2500)))->
																			BgL_argsz00) = ((obj_t) BNIL), BUNSPEC);
																	{
																		obj_t BgL_auxz00_8512;
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8506;

																		{
																			BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8513;

																			{
																				obj_t BgL_auxz00_8514;

																				{	/* SawMill/bbv-specialize.scm 192 */
																					BgL_objectz00_bglt BgL_tmpz00_8515;

																					BgL_tmpz00_8515 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_210));
																					BgL_auxz00_8514 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8515);
																				}
																				BgL_auxz00_8513 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_8514);
																			}
																			BgL_auxz00_8512 =
																				(((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_8513))->
																				BgL_defz00);
																		}
																		{
																			obj_t BgL_auxz00_8507;

																			{	/* SawMill/bbv-specialize.scm 192 */
																				BgL_objectz00_bglt BgL_tmpz00_8508;

																				BgL_tmpz00_8508 =
																					((BgL_objectz00_bglt)
																					BgL_new1339z00_2500);
																				BgL_auxz00_8507 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_8508);
																			}
																			BgL_auxz00_8506 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_8507);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_8506))->
																				BgL_defz00) =
																			((obj_t) BgL_auxz00_8512), BUNSPEC);
																	}
																	{
																		obj_t BgL_auxz00_8528;
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8522;

																		{
																			BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8529;

																			{
																				obj_t BgL_auxz00_8530;

																				{	/* SawMill/bbv-specialize.scm 192 */
																					BgL_objectz00_bglt BgL_tmpz00_8531;

																					BgL_tmpz00_8531 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_210));
																					BgL_auxz00_8530 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8531);
																				}
																				BgL_auxz00_8529 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_8530);
																			}
																			BgL_auxz00_8528 =
																				(((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_8529))->
																				BgL_outz00);
																		}
																		{
																			obj_t BgL_auxz00_8523;

																			{	/* SawMill/bbv-specialize.scm 192 */
																				BgL_objectz00_bglt BgL_tmpz00_8524;

																				BgL_tmpz00_8524 =
																					((BgL_objectz00_bglt)
																					BgL_new1339z00_2500);
																				BgL_auxz00_8523 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_8524);
																			}
																			BgL_auxz00_8522 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_8523);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_8522))->
																				BgL_outz00) =
																			((obj_t) BgL_auxz00_8528), BUNSPEC);
																	}
																	{
																		obj_t BgL_auxz00_8544;
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8538;

																		{
																			BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8545;

																			{
																				obj_t BgL_auxz00_8546;

																				{	/* SawMill/bbv-specialize.scm 192 */
																					BgL_objectz00_bglt BgL_tmpz00_8547;

																					BgL_tmpz00_8547 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_210));
																					BgL_auxz00_8546 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8547);
																				}
																				BgL_auxz00_8545 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_8546);
																			}
																			BgL_auxz00_8544 =
																				(((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_8545))->BgL_inz00);
																		}
																		{
																			obj_t BgL_auxz00_8539;

																			{	/* SawMill/bbv-specialize.scm 192 */
																				BgL_objectz00_bglt BgL_tmpz00_8540;

																				BgL_tmpz00_8540 =
																					((BgL_objectz00_bglt)
																					BgL_new1339z00_2500);
																				BgL_auxz00_8539 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_8540);
																			}
																			BgL_auxz00_8538 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_8539);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_8538))->
																				BgL_inz00) =
																			((obj_t) BgL_auxz00_8544), BUNSPEC);
																	}
																	{
																		obj_t BgL_auxz00_8560;
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8554;

																		{
																			BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8561;

																			{
																				obj_t BgL_auxz00_8562;

																				{	/* SawMill/bbv-specialize.scm 192 */
																					BgL_objectz00_bglt BgL_tmpz00_8563;

																					BgL_tmpz00_8563 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_210));
																					BgL_auxz00_8562 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8563);
																				}
																				BgL_auxz00_8561 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_8562);
																			}
																			BgL_auxz00_8560 =
																				(((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_8561))->
																				BgL_z52hashz52);
																		}
																		{
																			obj_t BgL_auxz00_8555;

																			{	/* SawMill/bbv-specialize.scm 192 */
																				BgL_objectz00_bglt BgL_tmpz00_8556;

																				BgL_tmpz00_8556 =
																					((BgL_objectz00_bglt)
																					BgL_new1339z00_2500);
																				BgL_auxz00_8555 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_8556);
																			}
																			BgL_auxz00_8554 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_8555);
																		}
																		((((BgL_rtl_inszf2bbvzf2_bglt)
																					COBJECT(BgL_auxz00_8554))->
																				BgL_z52hashz52) =
																			((obj_t) BgL_auxz00_8560), BUNSPEC);
																	}
																	BgL_sz00_2493 = BgL_new1339z00_2500;
															}}
														else
															{	/* SawMill/bbv-specialize.scm 193 */
																BgL_rtl_insz00_bglt BgL_new1351z00_2514;

																{	/* SawMill/bbv-specialize.scm 193 */
																	BgL_rtl_insz00_bglt BgL_tmp1359z00_2522;
																	BgL_rtl_inszf2bbvzf2_bglt
																		BgL_wide1360z00_2523;
																	{
																		BgL_rtl_insz00_bglt BgL_auxz00_8570;

																		{	/* SawMill/bbv-specialize.scm 193 */
																			BgL_rtl_insz00_bglt BgL_new1358z00_2525;

																			BgL_new1358z00_2525 =
																				((BgL_rtl_insz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_insz00_bgl))));
																			{	/* SawMill/bbv-specialize.scm 193 */
																				long BgL_arg2069z00_2526;

																				BgL_arg2069z00_2526 =
																					BGL_CLASS_NUM
																					(BGl_rtl_insz00zzsaw_defsz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1358z00_2525),
																					BgL_arg2069z00_2526);
																			}
																			{	/* SawMill/bbv-specialize.scm 193 */
																				BgL_objectz00_bglt BgL_tmpz00_8575;

																				BgL_tmpz00_8575 =
																					((BgL_objectz00_bglt)
																					BgL_new1358z00_2525);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8575,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1358z00_2525);
																			BgL_auxz00_8570 = BgL_new1358z00_2525;
																		}
																		BgL_tmp1359z00_2522 =
																			((BgL_rtl_insz00_bglt) BgL_auxz00_8570);
																	}
																	BgL_wide1360z00_2523 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_inszf2bbvzf2_bgl))));
																	{	/* SawMill/bbv-specialize.scm 193 */
																		obj_t BgL_auxz00_8583;
																		BgL_objectz00_bglt BgL_tmpz00_8581;

																		BgL_auxz00_8583 =
																			((obj_t) BgL_wide1360z00_2523);
																		BgL_tmpz00_8581 =
																			((BgL_objectz00_bglt)
																			BgL_tmp1359z00_2522);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8581,
																			BgL_auxz00_8583);
																	}
																	((BgL_objectz00_bglt) BgL_tmp1359z00_2522);
																	{	/* SawMill/bbv-specialize.scm 193 */
																		long BgL_arg2068z00_2524;

																		BgL_arg2068z00_2524 =
																			BGL_CLASS_NUM
																			(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_tmp1359z00_2522),
																			BgL_arg2068z00_2524);
																	}
																	BgL_new1351z00_2514 =
																		((BgL_rtl_insz00_bglt) BgL_tmp1359z00_2522);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1351z00_2514)))->BgL_locz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_210))->BgL_locz00)),
																	BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1351z00_2514)))->
																		BgL_z52spillz52) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_210))->
																			BgL_z52spillz52)), BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1351z00_2514)))->BgL_destz00) =
																	((obj_t) BFALSE), BUNSPEC);
																{
																	BgL_rtl_funz00_bglt BgL_auxz00_8599;

																	{	/* SawMill/bbv-specialize.scm 194 */
																		BgL_rtl_nopz00_bglt BgL_new1362z00_2515;

																		{	/* SawMill/bbv-specialize.scm 194 */
																			BgL_rtl_nopz00_bglt BgL_new1361z00_2516;

																			BgL_new1361z00_2516 =
																				((BgL_rtl_nopz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_nopz00_bgl))));
																			{	/* SawMill/bbv-specialize.scm 194 */
																				long BgL_arg2066z00_2517;

																				{	/* SawMill/bbv-specialize.scm 194 */
																					obj_t BgL_classz00_4435;

																					BgL_classz00_4435 =
																						BGl_rtl_nopz00zzsaw_defsz00;
																					BgL_arg2066z00_2517 =
																						BGL_CLASS_NUM(BgL_classz00_4435);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1361z00_2516),
																					BgL_arg2066z00_2517);
																			}
																			BgL_new1362z00_2515 = BgL_new1361z00_2516;
																		}
																		((((BgL_rtl_funz00_bglt) COBJECT(
																						((BgL_rtl_funz00_bglt)
																							BgL_new1362z00_2515)))->
																				BgL_locz00) =
																			((obj_t) BFALSE), BUNSPEC);
																		BgL_auxz00_8599 =
																			((BgL_rtl_funz00_bglt)
																			BgL_new1362z00_2515);
																	}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new1351z00_2514)))->
																			BgL_funz00) =
																		((BgL_rtl_funz00_bglt) BgL_auxz00_8599),
																		BUNSPEC);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1351z00_2514)))->BgL_argsz00) =
																	((obj_t) BNIL), BUNSPEC);
																{
																	obj_t BgL_auxz00_8617;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8611;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8618;

																		{
																			obj_t BgL_auxz00_8619;

																			{	/* SawMill/bbv-specialize.scm 196 */
																				BgL_objectz00_bglt BgL_tmpz00_8620;

																				BgL_tmpz00_8620 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt) BgL_iz00_210));
																				BgL_auxz00_8619 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_8620);
																			}
																			BgL_auxz00_8618 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_8619);
																		}
																		BgL_auxz00_8617 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_8618))->BgL_defz00);
																	}
																	{
																		obj_t BgL_auxz00_8612;

																		{	/* SawMill/bbv-specialize.scm 196 */
																			BgL_objectz00_bglt BgL_tmpz00_8613;

																			BgL_tmpz00_8613 =
																				((BgL_objectz00_bglt)
																				BgL_new1351z00_2514);
																			BgL_auxz00_8612 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_8613);
																		}
																		BgL_auxz00_8611 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_8612);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_8611))->BgL_defz00) =
																		((obj_t) BgL_auxz00_8617), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_8633;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8627;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8634;

																		{
																			obj_t BgL_auxz00_8635;

																			{	/* SawMill/bbv-specialize.scm 196 */
																				BgL_objectz00_bglt BgL_tmpz00_8636;

																				BgL_tmpz00_8636 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt) BgL_iz00_210));
																				BgL_auxz00_8635 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_8636);
																			}
																			BgL_auxz00_8634 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_8635);
																		}
																		BgL_auxz00_8633 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_8634))->BgL_outz00);
																	}
																	{
																		obj_t BgL_auxz00_8628;

																		{	/* SawMill/bbv-specialize.scm 196 */
																			BgL_objectz00_bglt BgL_tmpz00_8629;

																			BgL_tmpz00_8629 =
																				((BgL_objectz00_bglt)
																				BgL_new1351z00_2514);
																			BgL_auxz00_8628 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_8629);
																		}
																		BgL_auxz00_8627 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_8628);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_8627))->BgL_outz00) =
																		((obj_t) BgL_auxz00_8633), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_8649;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8643;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8650;

																		{
																			obj_t BgL_auxz00_8651;

																			{	/* SawMill/bbv-specialize.scm 196 */
																				BgL_objectz00_bglt BgL_tmpz00_8652;

																				BgL_tmpz00_8652 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt) BgL_iz00_210));
																				BgL_auxz00_8651 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_8652);
																			}
																			BgL_auxz00_8650 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_8651);
																		}
																		BgL_auxz00_8649 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_8650))->BgL_inz00);
																	}
																	{
																		obj_t BgL_auxz00_8644;

																		{	/* SawMill/bbv-specialize.scm 196 */
																			BgL_objectz00_bglt BgL_tmpz00_8645;

																			BgL_tmpz00_8645 =
																				((BgL_objectz00_bglt)
																				BgL_new1351z00_2514);
																			BgL_auxz00_8644 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_8645);
																		}
																		BgL_auxz00_8643 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_8644);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_8643))->BgL_inz00) =
																		((obj_t) BgL_auxz00_8649), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_8665;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8659;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8666;

																		{
																			obj_t BgL_auxz00_8667;

																			{	/* SawMill/bbv-specialize.scm 196 */
																				BgL_objectz00_bglt BgL_tmpz00_8668;

																				BgL_tmpz00_8668 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt) BgL_iz00_210));
																				BgL_auxz00_8667 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_8668);
																			}
																			BgL_auxz00_8666 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_8667);
																		}
																		BgL_auxz00_8665 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_8666))->
																			BgL_z52hashz52);
																	}
																	{
																		obj_t BgL_auxz00_8660;

																		{	/* SawMill/bbv-specialize.scm 196 */
																			BgL_objectz00_bglt BgL_tmpz00_8661;

																			BgL_tmpz00_8661 =
																				((BgL_objectz00_bglt)
																				BgL_new1351z00_2514);
																			BgL_auxz00_8660 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_8661);
																		}
																		BgL_auxz00_8659 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_8660);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_8659))->
																			BgL_z52hashz52) =
																		((obj_t) BgL_auxz00_8665), BUNSPEC);
																}
																BgL_sz00_2493 = BgL_new1351z00_2514;
													}}
													{	/* SawMill/bbv-specialize.scm 197 */
														int BgL_tmpz00_8675;

														BgL_tmpz00_8675 = (int) (((long) 2));
														BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8675);
													}
													{	/* SawMill/bbv-specialize.scm 197 */
														int BgL_tmpz00_8678;

														BgL_tmpz00_8678 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_tmpz00_8678,
															BgL_ctxz00_211);
													}
													return BgL_sz00_2493;
												}
											else
												{	/* SawMill/bbv-specialize.scm 198 */
													bool_t BgL_test2805z00_8681;

													if (
														(((obj_t)
																(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																			((BgL_bbvzd2ctxentryzd2_bglt)
																				BgL_ez00_2416)))->BgL_typz00)) ==
															BgL_typez00_2414))
														{	/* SawMill/bbv-specialize.scm 198 */
															BgL_test2805z00_8681 = ((bool_t) 0);
														}
													else
														{	/* SawMill/bbv-specialize.scm 198 */
															BgL_test2805z00_8681 =
																(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																		((BgL_bbvzd2ctxentryzd2_bglt)
																			BgL_ez00_2416)))->BgL_flagz00);
														}
													if (BgL_test2805z00_8681)
														{	/* SawMill/bbv-specialize.scm 200 */
															BgL_rtl_insz00_bglt BgL_sz00_2533;

															{	/* SawMill/bbv-specialize.scm 200 */
																bool_t BgL_test2807z00_8689;

																{	/* SawMill/bbv-specialize.scm 200 */
																	BgL_rtl_funz00_bglt BgL_arg2086z00_2567;

																	BgL_arg2086z00_2567 =
																		(((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_210))))->BgL_funz00);
																	{	/* SawMill/bbv-specialize.scm 200 */
																		obj_t BgL_classz00_4448;

																		BgL_classz00_4448 =
																			BGl_rtl_ifnez00zzsaw_defsz00;
																		{	/* SawMill/bbv-specialize.scm 200 */
																			BgL_objectz00_bglt BgL_arg1825z00_4450;

																			{	/* SawMill/bbv-specialize.scm 200 */
																				obj_t BgL_tmpz00_8693;

																				BgL_tmpz00_8693 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_arg2086z00_2567));
																				BgL_arg1825z00_4450 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_8693);
																			}
																			{	/* SawMill/bbv-specialize.scm 200 */
																				bool_t BgL_arg1822z00_4453;
																				bool_t BgL_arg1823z00_4454;

																				{	/* SawMill/bbv-specialize.scm 200 */
																					long BgL_idxz00_4457;

																					BgL_idxz00_4457 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_4450);
																					BgL_arg1822z00_4453 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_4457 + ((long) 3))) ==
																						BgL_classz00_4448);
																				}
																				{	/* SawMill/bbv-specialize.scm 200 */
																					bool_t BgL_res2582z00_4479;

																					{	/* SawMill/bbv-specialize.scm 200 */
																						obj_t BgL_oclassz00_4465;

																						{	/* SawMill/bbv-specialize.scm 200 */
																							long BgL_arg1833z00_4471;

																							{	/* SawMill/bbv-specialize.scm 200 */
																								long BgL_arg1834z00_4472;

																								BgL_arg1834z00_4472 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_4450);
																								BgL_arg1833z00_4471 =
																									(BgL_arg1834z00_4472 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_4465 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_4471);
																						}
																						{	/* SawMill/bbv-specialize.scm 200 */
																							bool_t BgL__ortest_1110z00_4466;

																							BgL__ortest_1110z00_4466 =
																								(BgL_classz00_4448 ==
																								BgL_oclassz00_4465);
																							if (BgL__ortest_1110z00_4466)
																								{	/* SawMill/bbv-specialize.scm 200 */
																									BgL_res2582z00_4479 =
																										BgL__ortest_1110z00_4466;
																								}
																							else
																								{	/* SawMill/bbv-specialize.scm 200 */
																									long BgL_odepthz00_4467;

																									BgL_odepthz00_4467 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_4465);
																									if ((((long) 3) <
																											BgL_odepthz00_4467))
																										{	/* SawMill/bbv-specialize.scm 200 */
																											obj_t BgL_arg1821z00_4469;

																											BgL_arg1821z00_4469 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_4465,
																												((long) 3));
																											BgL_res2582z00_4479 =
																												(BgL_arg1821z00_4469 ==
																												BgL_classz00_4448);
																										}
																									else
																										{	/* SawMill/bbv-specialize.scm 200 */
																											BgL_res2582z00_4479 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_4454 =
																						BgL_res2582z00_4479;
																				}
																				BgL_test2807z00_8689 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_4453,
																					BgL_arg1823z00_4454);
																			}
																		}
																	}
																}
																if (BgL_test2807z00_8689)
																	{	/* SawMill/bbv-specialize.scm 201 */
																		BgL_rtl_insz00_bglt BgL_new1364z00_2539;

																		{	/* SawMill/bbv-specialize.scm 201 */
																			BgL_rtl_insz00_bglt BgL_tmp1372z00_2547;
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_wide1373z00_2548;
																			{
																				BgL_rtl_insz00_bglt BgL_auxz00_8712;

																				{	/* SawMill/bbv-specialize.scm 201 */
																					BgL_rtl_insz00_bglt
																						BgL_new1371z00_2550;
																					BgL_new1371z00_2550 =
																						((BgL_rtl_insz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_insz00_bgl))));
																					{	/* SawMill/bbv-specialize.scm 201 */
																						long BgL_arg2082z00_2551;

																						BgL_arg2082z00_2551 =
																							BGL_CLASS_NUM
																							(BGl_rtl_insz00zzsaw_defsz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1371z00_2550),
																							BgL_arg2082z00_2551);
																					}
																					{	/* SawMill/bbv-specialize.scm 201 */
																						BgL_objectz00_bglt BgL_tmpz00_8717;

																						BgL_tmpz00_8717 =
																							((BgL_objectz00_bglt)
																							BgL_new1371z00_2550);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_8717, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1371z00_2550);
																					BgL_auxz00_8712 = BgL_new1371z00_2550;
																				}
																				BgL_tmp1372z00_2547 =
																					((BgL_rtl_insz00_bglt)
																					BgL_auxz00_8712);
																			}
																			BgL_wide1373z00_2548 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_inszf2bbvzf2_bgl))));
																			{	/* SawMill/bbv-specialize.scm 201 */
																				obj_t BgL_auxz00_8725;
																				BgL_objectz00_bglt BgL_tmpz00_8723;

																				BgL_auxz00_8725 =
																					((obj_t) BgL_wide1373z00_2548);
																				BgL_tmpz00_8723 =
																					((BgL_objectz00_bglt)
																					BgL_tmp1372z00_2547);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8723,
																					BgL_auxz00_8725);
																			}
																			((BgL_objectz00_bglt)
																				BgL_tmp1372z00_2547);
																			{	/* SawMill/bbv-specialize.scm 201 */
																				long BgL_arg2081z00_2549;

																				BgL_arg2081z00_2549 =
																					BGL_CLASS_NUM
																					(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_tmp1372z00_2547),
																					BgL_arg2081z00_2549);
																			}
																			BgL_new1364z00_2539 =
																				((BgL_rtl_insz00_bglt)
																				BgL_tmp1372z00_2547);
																		}
																		((((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_new1364z00_2539)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_210))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_new1364z00_2539)))->
																				BgL_z52spillz52) =
																			((obj_t) (((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_210))->
																					BgL_z52spillz52)), BUNSPEC);
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_new1364z00_2539)))->
																				BgL_destz00) =
																			((obj_t) BFALSE), BUNSPEC);
																		{
																			BgL_rtl_funz00_bglt BgL_auxz00_8741;

																			{	/* SawMill/bbv-specialize.scm 202 */
																				BgL_rtl_nopz00_bglt BgL_new1375z00_2540;

																				{	/* SawMill/bbv-specialize.scm 202 */
																					BgL_rtl_nopz00_bglt
																						BgL_new1374z00_2541;
																					BgL_new1374z00_2541 =
																						((BgL_rtl_nopz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_nopz00_bgl))));
																					{	/* SawMill/bbv-specialize.scm 202 */
																						long BgL_arg2078z00_2542;

																						{	/* SawMill/bbv-specialize.scm 202 */
																							obj_t BgL_classz00_4488;

																							BgL_classz00_4488 =
																								BGl_rtl_nopz00zzsaw_defsz00;
																							BgL_arg2078z00_2542 =
																								BGL_CLASS_NUM
																								(BgL_classz00_4488);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1374z00_2541),
																							BgL_arg2078z00_2542);
																					}
																					BgL_new1375z00_2540 =
																						BgL_new1374z00_2541;
																				}
																				((((BgL_rtl_funz00_bglt) COBJECT(
																								((BgL_rtl_funz00_bglt)
																									BgL_new1375z00_2540)))->
																						BgL_locz00) =
																					((obj_t) BFALSE), BUNSPEC);
																				BgL_auxz00_8741 =
																					((BgL_rtl_funz00_bglt)
																					BgL_new1375z00_2540);
																			}
																			((((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_new1364z00_2539)))->
																					BgL_funz00) =
																				((BgL_rtl_funz00_bglt) BgL_auxz00_8741),
																				BUNSPEC);
																		}
																		((((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_new1364z00_2539)))->
																				BgL_argsz00) = ((obj_t) BNIL), BUNSPEC);
																		{
																			obj_t BgL_auxz00_8759;
																			BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8753;

																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_8760;
																				{
																					obj_t BgL_auxz00_8761;

																					{	/* SawMill/bbv-specialize.scm 204 */
																						BgL_objectz00_bglt BgL_tmpz00_8762;

																						BgL_tmpz00_8762 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_210));
																						BgL_auxz00_8761 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8762);
																					}
																					BgL_auxz00_8760 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_8761);
																				}
																				BgL_auxz00_8759 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_8760))->
																					BgL_defz00);
																			}
																			{
																				obj_t BgL_auxz00_8754;

																				{	/* SawMill/bbv-specialize.scm 204 */
																					BgL_objectz00_bglt BgL_tmpz00_8755;

																					BgL_tmpz00_8755 =
																						((BgL_objectz00_bglt)
																						BgL_new1364z00_2539);
																					BgL_auxz00_8754 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8755);
																				}
																				BgL_auxz00_8753 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_8754);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_8753))->
																					BgL_defz00) =
																				((obj_t) BgL_auxz00_8759), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_8775;
																			BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8769;

																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_8776;
																				{
																					obj_t BgL_auxz00_8777;

																					{	/* SawMill/bbv-specialize.scm 204 */
																						BgL_objectz00_bglt BgL_tmpz00_8778;

																						BgL_tmpz00_8778 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_210));
																						BgL_auxz00_8777 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8778);
																					}
																					BgL_auxz00_8776 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_8777);
																				}
																				BgL_auxz00_8775 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_8776))->
																					BgL_outz00);
																			}
																			{
																				obj_t BgL_auxz00_8770;

																				{	/* SawMill/bbv-specialize.scm 204 */
																					BgL_objectz00_bglt BgL_tmpz00_8771;

																					BgL_tmpz00_8771 =
																						((BgL_objectz00_bglt)
																						BgL_new1364z00_2539);
																					BgL_auxz00_8770 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8771);
																				}
																				BgL_auxz00_8769 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_8770);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_8769))->
																					BgL_outz00) =
																				((obj_t) BgL_auxz00_8775), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_8791;
																			BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8785;

																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_8792;
																				{
																					obj_t BgL_auxz00_8793;

																					{	/* SawMill/bbv-specialize.scm 204 */
																						BgL_objectz00_bglt BgL_tmpz00_8794;

																						BgL_tmpz00_8794 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_210));
																						BgL_auxz00_8793 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8794);
																					}
																					BgL_auxz00_8792 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_8793);
																				}
																				BgL_auxz00_8791 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_8792))->
																					BgL_inz00);
																			}
																			{
																				obj_t BgL_auxz00_8786;

																				{	/* SawMill/bbv-specialize.scm 204 */
																					BgL_objectz00_bglt BgL_tmpz00_8787;

																					BgL_tmpz00_8787 =
																						((BgL_objectz00_bglt)
																						BgL_new1364z00_2539);
																					BgL_auxz00_8786 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8787);
																				}
																				BgL_auxz00_8785 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_8786);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_8785))->
																					BgL_inz00) =
																				((obj_t) BgL_auxz00_8791), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_8807;
																			BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_8801;

																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_8808;
																				{
																					obj_t BgL_auxz00_8809;

																					{	/* SawMill/bbv-specialize.scm 204 */
																						BgL_objectz00_bglt BgL_tmpz00_8810;

																						BgL_tmpz00_8810 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_210));
																						BgL_auxz00_8809 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8810);
																					}
																					BgL_auxz00_8808 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_8809);
																				}
																				BgL_auxz00_8807 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_8808))->
																					BgL_z52hashz52);
																			}
																			{
																				obj_t BgL_auxz00_8802;

																				{	/* SawMill/bbv-specialize.scm 204 */
																					BgL_objectz00_bglt BgL_tmpz00_8803;

																					BgL_tmpz00_8803 =
																						((BgL_objectz00_bglt)
																						BgL_new1364z00_2539);
																					BgL_auxz00_8802 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8803);
																				}
																				BgL_auxz00_8801 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_8802);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_8801))->
																					BgL_z52hashz52) =
																				((obj_t) BgL_auxz00_8807), BUNSPEC);
																		}
																		BgL_sz00_2533 = BgL_new1364z00_2539;
																	}
																else
																	{	/* SawMill/bbv-specialize.scm 205 */
																		BgL_rtl_ifeqz00_bglt BgL_i1376z00_2552;

																		BgL_i1376z00_2552 =
																			((BgL_rtl_ifeqz00_bglt)
																			(((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_210))))->BgL_funz00));
																		{	/* SawMill/bbv-specialize.scm 206 */
																			BgL_rtl_insz00_bglt BgL_new1377z00_2554;

																			{	/* SawMill/bbv-specialize.scm 206 */
																				BgL_rtl_insz00_bglt BgL_tmp1385z00_2562;
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_wide1386z00_2563;
																				{
																					BgL_rtl_insz00_bglt BgL_auxz00_8821;

																					{	/* SawMill/bbv-specialize.scm 206 */
																						BgL_rtl_insz00_bglt
																							BgL_new1384z00_2565;
																						BgL_new1384z00_2565 =
																							((BgL_rtl_insz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_rtl_insz00_bgl))));
																						{	/* SawMill/bbv-specialize.scm 206 */
																							long BgL_arg2085z00_2566;

																							BgL_arg2085z00_2566 =
																								BGL_CLASS_NUM
																								(BGl_rtl_insz00zzsaw_defsz00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new1384z00_2565),
																								BgL_arg2085z00_2566);
																						}
																						{	/* SawMill/bbv-specialize.scm 206 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_8826;
																							BgL_tmpz00_8826 =
																								((BgL_objectz00_bglt)
																								BgL_new1384z00_2565);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_8826, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1384z00_2565);
																						BgL_auxz00_8821 =
																							BgL_new1384z00_2565;
																					}
																					BgL_tmp1385z00_2562 =
																						((BgL_rtl_insz00_bglt)
																						BgL_auxz00_8821);
																				}
																				BgL_wide1386z00_2563 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_rtl_inszf2bbvzf2_bgl))));
																				{	/* SawMill/bbv-specialize.scm 206 */
																					obj_t BgL_auxz00_8834;
																					BgL_objectz00_bglt BgL_tmpz00_8832;

																					BgL_auxz00_8834 =
																						((obj_t) BgL_wide1386z00_2563);
																					BgL_tmpz00_8832 =
																						((BgL_objectz00_bglt)
																						BgL_tmp1385z00_2562);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_8832, BgL_auxz00_8834);
																				}
																				((BgL_objectz00_bglt)
																					BgL_tmp1385z00_2562);
																				{	/* SawMill/bbv-specialize.scm 206 */
																					long BgL_arg2084z00_2564;

																					BgL_arg2084z00_2564 =
																						BGL_CLASS_NUM
																						(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_tmp1385z00_2562),
																						BgL_arg2084z00_2564);
																				}
																				BgL_new1377z00_2554 =
																					((BgL_rtl_insz00_bglt)
																					BgL_tmp1385z00_2562);
																			}
																			((((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_new1377z00_2554)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_rtl_insz00_bglt)
																							COBJECT(BgL_iz00_210))->
																						BgL_locz00)), BUNSPEC);
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_new1377z00_2554)))->
																					BgL_z52spillz52) =
																				((obj_t) (((BgL_rtl_insz00_bglt)
																							COBJECT(BgL_iz00_210))->
																						BgL_z52spillz52)), BUNSPEC);
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_new1377z00_2554)))->
																					BgL_destz00) =
																				((obj_t) BFALSE), BUNSPEC);
																			{
																				BgL_rtl_funz00_bglt BgL_auxz00_8850;

																				{	/* SawMill/bbv-specialize.scm 207 */
																					BgL_rtl_goz00_bglt
																						BgL_new1388z00_2555;
																					{	/* SawMill/bbv-specialize.scm 207 */
																						BgL_rtl_goz00_bglt
																							BgL_new1387z00_2556;
																						BgL_new1387z00_2556 =
																							((BgL_rtl_goz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_rtl_goz00_bgl))));
																						{	/* SawMill/bbv-specialize.scm 207 */
																							long BgL_arg2083z00_2557;

																							{	/* SawMill/bbv-specialize.scm 207 */
																								obj_t BgL_classz00_4507;

																								BgL_classz00_4507 =
																									BGl_rtl_goz00zzsaw_defsz00;
																								BgL_arg2083z00_2557 =
																									BGL_CLASS_NUM
																									(BgL_classz00_4507);
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1387z00_2556),
																								BgL_arg2083z00_2557);
																						}
																						BgL_new1388z00_2555 =
																							BgL_new1387z00_2556;
																					}
																					((((BgL_rtl_funz00_bglt) COBJECT(
																									((BgL_rtl_funz00_bglt)
																										BgL_new1388z00_2555)))->
																							BgL_locz00) =
																						((obj_t) BFALSE), BUNSPEC);
																					((((BgL_rtl_goz00_bglt)
																								COBJECT(BgL_new1388z00_2555))->
																							BgL_toz00) =
																						((BgL_blockz00_bglt) ((
																									(BgL_rtl_ifeqz00_bglt)
																									COBJECT(BgL_i1376z00_2552))->
																								BgL_thenz00)), BUNSPEC);
																					BgL_auxz00_8850 =
																						((BgL_rtl_funz00_bglt)
																						BgL_new1388z00_2555);
																				}
																				((((BgL_rtl_insz00_bglt) COBJECT(
																								((BgL_rtl_insz00_bglt)
																									BgL_new1377z00_2554)))->
																						BgL_funz00) =
																					((BgL_rtl_funz00_bglt)
																						BgL_auxz00_8850), BUNSPEC);
																			}
																			((((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_new1377z00_2554)))->
																					BgL_argsz00) =
																				((obj_t) BNIL), BUNSPEC);
																			{
																				obj_t BgL_auxz00_8870;
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_8864;
																				{
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_8871;
																					{
																						obj_t BgL_auxz00_8872;

																						{	/* SawMill/bbv-specialize.scm 209 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_8873;
																							BgL_tmpz00_8873 =
																								((BgL_objectz00_bglt) (
																									(BgL_rtl_insz00_bglt)
																									BgL_iz00_210));
																							BgL_auxz00_8872 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_8873);
																						}
																						BgL_auxz00_8871 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_8872);
																					}
																					BgL_auxz00_8870 =
																						(((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_8871))->
																						BgL_defz00);
																				}
																				{
																					obj_t BgL_auxz00_8865;

																					{	/* SawMill/bbv-specialize.scm 209 */
																						BgL_objectz00_bglt BgL_tmpz00_8866;

																						BgL_tmpz00_8866 =
																							((BgL_objectz00_bglt)
																							BgL_new1377z00_2554);
																						BgL_auxz00_8865 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8866);
																					}
																					BgL_auxz00_8864 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_8865);
																				}
																				((((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_8864))->
																						BgL_defz00) =
																					((obj_t) BgL_auxz00_8870), BUNSPEC);
																			}
																			{
																				obj_t BgL_auxz00_8886;
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_8880;
																				{
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_8887;
																					{
																						obj_t BgL_auxz00_8888;

																						{	/* SawMill/bbv-specialize.scm 209 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_8889;
																							BgL_tmpz00_8889 =
																								((BgL_objectz00_bglt) (
																									(BgL_rtl_insz00_bglt)
																									BgL_iz00_210));
																							BgL_auxz00_8888 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_8889);
																						}
																						BgL_auxz00_8887 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_8888);
																					}
																					BgL_auxz00_8886 =
																						(((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_8887))->
																						BgL_outz00);
																				}
																				{
																					obj_t BgL_auxz00_8881;

																					{	/* SawMill/bbv-specialize.scm 209 */
																						BgL_objectz00_bglt BgL_tmpz00_8882;

																						BgL_tmpz00_8882 =
																							((BgL_objectz00_bglt)
																							BgL_new1377z00_2554);
																						BgL_auxz00_8881 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8882);
																					}
																					BgL_auxz00_8880 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_8881);
																				}
																				((((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_8880))->
																						BgL_outz00) =
																					((obj_t) BgL_auxz00_8886), BUNSPEC);
																			}
																			{
																				obj_t BgL_auxz00_8902;
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_8896;
																				{
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_8903;
																					{
																						obj_t BgL_auxz00_8904;

																						{	/* SawMill/bbv-specialize.scm 209 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_8905;
																							BgL_tmpz00_8905 =
																								((BgL_objectz00_bglt) (
																									(BgL_rtl_insz00_bglt)
																									BgL_iz00_210));
																							BgL_auxz00_8904 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_8905);
																						}
																						BgL_auxz00_8903 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_8904);
																					}
																					BgL_auxz00_8902 =
																						(((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_8903))->
																						BgL_inz00);
																				}
																				{
																					obj_t BgL_auxz00_8897;

																					{	/* SawMill/bbv-specialize.scm 209 */
																						BgL_objectz00_bglt BgL_tmpz00_8898;

																						BgL_tmpz00_8898 =
																							((BgL_objectz00_bglt)
																							BgL_new1377z00_2554);
																						BgL_auxz00_8897 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8898);
																					}
																					BgL_auxz00_8896 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_8897);
																				}
																				((((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_8896))->
																						BgL_inz00) =
																					((obj_t) BgL_auxz00_8902), BUNSPEC);
																			}
																			{
																				obj_t BgL_auxz00_8918;
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_8912;
																				{
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_8919;
																					{
																						obj_t BgL_auxz00_8920;

																						{	/* SawMill/bbv-specialize.scm 209 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_8921;
																							BgL_tmpz00_8921 =
																								((BgL_objectz00_bglt) (
																									(BgL_rtl_insz00_bglt)
																									BgL_iz00_210));
																							BgL_auxz00_8920 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_8921);
																						}
																						BgL_auxz00_8919 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_8920);
																					}
																					BgL_auxz00_8918 =
																						(((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_8919))->
																						BgL_z52hashz52);
																				}
																				{
																					obj_t BgL_auxz00_8913;

																					{	/* SawMill/bbv-specialize.scm 209 */
																						BgL_objectz00_bglt BgL_tmpz00_8914;

																						BgL_tmpz00_8914 =
																							((BgL_objectz00_bglt)
																							BgL_new1377z00_2554);
																						BgL_auxz00_8913 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8914);
																					}
																					BgL_auxz00_8912 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_8913);
																				}
																				((((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_8912))->
																						BgL_z52hashz52) =
																					((obj_t) BgL_auxz00_8918), BUNSPEC);
																			}
																			BgL_sz00_2533 = BgL_new1377z00_2554;
															}}}
															{	/* SawMill/bbv-specialize.scm 210 */
																int BgL_tmpz00_8928;

																BgL_tmpz00_8928 = (int) (((long) 2));
																BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8928);
															}
															{	/* SawMill/bbv-specialize.scm 210 */
																int BgL_tmpz00_8931;

																BgL_tmpz00_8931 = (int) (((long) 1));
																BGL_MVALUES_VAL_SET(BgL_tmpz00_8931,
																	BgL_ctxz00_211);
															}
															return BgL_sz00_2533;
														}
													else
														{	/* SawMill/bbv-specialize.scm 215 */
															BgL_rtl_insz00_bglt BgL_sz00_2569;

															{	/* SawMill/bbv-specialize.scm 215 */
																BgL_rtl_insz00_bglt BgL_new1390z00_2573;

																{	/* SawMill/bbv-specialize.scm 215 */
																	BgL_rtl_insz00_bglt BgL_tmp1398z00_2591;
																	BgL_rtl_inszf2bbvzf2_bglt
																		BgL_wide1399z00_2592;
																	{
																		BgL_rtl_insz00_bglt BgL_auxz00_8934;

																		{	/* SawMill/bbv-specialize.scm 215 */
																			BgL_rtl_insz00_bglt BgL_new1397z00_2594;

																			BgL_new1397z00_2594 =
																				((BgL_rtl_insz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_insz00_bgl))));
																			{	/* SawMill/bbv-specialize.scm 215 */
																				long BgL_arg2093z00_2595;

																				BgL_arg2093z00_2595 =
																					BGL_CLASS_NUM
																					(BGl_rtl_insz00zzsaw_defsz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1397z00_2594),
																					BgL_arg2093z00_2595);
																			}
																			{	/* SawMill/bbv-specialize.scm 215 */
																				BgL_objectz00_bglt BgL_tmpz00_8939;

																				BgL_tmpz00_8939 =
																					((BgL_objectz00_bglt)
																					BgL_new1397z00_2594);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8939,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1397z00_2594);
																			BgL_auxz00_8934 = BgL_new1397z00_2594;
																		}
																		BgL_tmp1398z00_2591 =
																			((BgL_rtl_insz00_bglt) BgL_auxz00_8934);
																	}
																	BgL_wide1399z00_2592 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_inszf2bbvzf2_bgl))));
																	{	/* SawMill/bbv-specialize.scm 215 */
																		obj_t BgL_auxz00_8947;
																		BgL_objectz00_bglt BgL_tmpz00_8945;

																		BgL_auxz00_8947 =
																			((obj_t) BgL_wide1399z00_2592);
																		BgL_tmpz00_8945 =
																			((BgL_objectz00_bglt)
																			BgL_tmp1398z00_2591);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8945,
																			BgL_auxz00_8947);
																	}
																	((BgL_objectz00_bglt) BgL_tmp1398z00_2591);
																	{	/* SawMill/bbv-specialize.scm 215 */
																		long BgL_arg2092z00_2593;

																		BgL_arg2092z00_2593 =
																			BGL_CLASS_NUM
																			(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_tmp1398z00_2591),
																			BgL_arg2092z00_2593);
																	}
																	BgL_new1390z00_2573 =
																		((BgL_rtl_insz00_bglt) BgL_tmp1398z00_2591);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1390z00_2573)))->BgL_locz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_210))->BgL_locz00)),
																	BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1390z00_2573)))->
																		BgL_z52spillz52) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_210))->
																			BgL_z52spillz52)), BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1390z00_2573)))->BgL_destz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_210))->BgL_destz00)),
																	BUNSPEC);
																{
																	BgL_rtl_funz00_bglt BgL_auxz00_8964;

																	{	/* SawMill/bbv-specialize.scm 216 */
																		bool_t BgL_test2810z00_8966;

																		{	/* SawMill/bbv-specialize.scm 216 */
																			BgL_rtl_funz00_bglt BgL_arg2091z00_2586;

																			BgL_arg2091z00_2586 =
																				(((BgL_rtl_insz00_bglt)
																					COBJECT(BgL_iz00_210))->BgL_funz00);
																			{	/* SawMill/bbv-specialize.scm 216 */
																				obj_t BgL_classz00_4526;

																				BgL_classz00_4526 =
																					BGl_rtl_ifeqz00zzsaw_defsz00;
																				{	/* SawMill/bbv-specialize.scm 216 */
																					BgL_objectz00_bglt
																						BgL_arg1825z00_4528;
																					{	/* SawMill/bbv-specialize.scm 216 */
																						obj_t BgL_tmpz00_8968;

																						BgL_tmpz00_8968 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_arg2091z00_2586));
																						BgL_arg1825z00_4528 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_8968);
																					}
																					{	/* SawMill/bbv-specialize.scm 216 */
																						bool_t BgL_arg1822z00_4531;
																						bool_t BgL_arg1823z00_4532;

																						{	/* SawMill/bbv-specialize.scm 216 */
																							long BgL_idxz00_4535;

																							BgL_idxz00_4535 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1825z00_4528);
																							{	/* SawMill/bbv-specialize.scm 216 */
																								obj_t BgL_arg1819z00_4536;

																								{	/* SawMill/bbv-specialize.scm 216 */
																									long BgL_arg1820z00_4537;

																									BgL_arg1820z00_4537 =
																										(BgL_idxz00_4535 +
																										((long) 3));
																									{	/* SawMill/bbv-specialize.scm 216 */
																										obj_t BgL_vectorz00_4539;

																										BgL_vectorz00_4539 =
																											BGl_za2inheritancesza2z00zz__objectz00;
																										BgL_arg1819z00_4536 =
																											VECTOR_REF
																											(BgL_vectorz00_4539,
																											BgL_arg1820z00_4537);
																								}}
																								BgL_arg1822z00_4531 =
																									(BgL_arg1819z00_4536 ==
																									BgL_classz00_4526);
																						}}
																						{	/* SawMill/bbv-specialize.scm 216 */
																							bool_t BgL_res2583z00_4557;

																							{	/* SawMill/bbv-specialize.scm 216 */
																								obj_t BgL_oclassz00_4543;

																								{	/* SawMill/bbv-specialize.scm 216 */
																									long BgL_arg1833z00_4549;

																									{	/* SawMill/bbv-specialize.scm 216 */
																										long BgL_arg1834z00_4550;

																										BgL_arg1834z00_4550 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1825z00_4528);
																										BgL_arg1833z00_4549 =
																											(BgL_arg1834z00_4550 -
																											OBJECT_TYPE);
																									}
																									{	/* SawMill/bbv-specialize.scm 216 */
																										obj_t BgL_vectorz00_4554;

																										BgL_vectorz00_4554 =
																											BGl_za2classesza2z00zz__objectz00;
																										BgL_oclassz00_4543 =
																											VECTOR_REF
																											(BgL_vectorz00_4554,
																											BgL_arg1833z00_4549);
																								}}
																								{	/* SawMill/bbv-specialize.scm 216 */
																									bool_t
																										BgL__ortest_1110z00_4544;
																									BgL__ortest_1110z00_4544 =
																										(BgL_classz00_4526 ==
																										BgL_oclassz00_4543);
																									if (BgL__ortest_1110z00_4544)
																										{	/* SawMill/bbv-specialize.scm 216 */
																											BgL_res2583z00_4557 =
																												BgL__ortest_1110z00_4544;
																										}
																									else
																										{	/* SawMill/bbv-specialize.scm 216 */
																											long BgL_odepthz00_4545;

																											BgL_odepthz00_4545 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_4543);
																											if ((((long) 3) <
																													BgL_odepthz00_4545))
																												{	/* SawMill/bbv-specialize.scm 216 */
																													obj_t
																														BgL_arg1821z00_4547;
																													BgL_arg1821z00_4547 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_4543,
																														((long) 3));
																													BgL_res2583z00_4557 =
																														(BgL_arg1821z00_4547
																														==
																														BgL_classz00_4526);
																												}
																											else
																												{	/* SawMill/bbv-specialize.scm 216 */
																													BgL_res2583z00_4557 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_arg1823z00_4532 =
																								BgL_res2583z00_4557;
																						}
																						BgL_test2810z00_8966 =
																							BGL_ISA_C_BACKEND
																							(BgL_arg1822z00_4531,
																							BgL_arg1823z00_4532);
																					}
																				}
																			}
																		}
																		if (BgL_test2810z00_8966)
																			{	/* SawMill/bbv-specialize.scm 217 */
																				BgL_rtl_funz00_bglt
																					BgL_duplicated1402z00_2576;
																				BgL_rtl_ifeqz00_bglt
																					BgL_new1400z00_2577;
																				BgL_duplicated1402z00_2576 =
																					(((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_210))->BgL_funz00);
																				{	/* SawMill/bbv-specialize.scm 217 */
																					BgL_rtl_ifeqz00_bglt
																						BgL_new1404z00_2579;
																					BgL_new1404z00_2579 =
																						((BgL_rtl_ifeqz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_ifeqz00_bgl))));
																					{	/* SawMill/bbv-specialize.scm 217 */
																						long BgL_arg2089z00_2580;

																						{	/* SawMill/bbv-specialize.scm 217 */
																							obj_t BgL_classz00_4558;

																							BgL_classz00_4558 =
																								BGl_rtl_ifeqz00zzsaw_defsz00;
																							BgL_arg2089z00_2580 =
																								BGL_CLASS_NUM
																								(BgL_classz00_4558);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1404z00_2579),
																							BgL_arg2089z00_2580);
																					}
																					BgL_new1400z00_2577 =
																						BgL_new1404z00_2579;
																				}
																				((((BgL_rtl_funz00_bglt) COBJECT(
																								((BgL_rtl_funz00_bglt)
																									BgL_new1400z00_2577)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_rtl_funz00_bglt)
																								COBJECT
																								(BgL_duplicated1402z00_2576))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_rtl_ifeqz00_bglt)
																							COBJECT(BgL_new1400z00_2577))->
																						BgL_thenz00) =
																					((BgL_blockz00_bglt) ((
																								(BgL_rtl_ifeqz00_bglt)
																								COBJECT(((BgL_rtl_ifeqz00_bglt)
																										BgL_duplicated1402z00_2576)))->
																							BgL_thenz00)), BUNSPEC);
																				BgL_auxz00_8964 =
																					((BgL_rtl_funz00_bglt)
																					BgL_new1400z00_2577);
																			}
																		else
																			{	/* SawMill/bbv-specialize.scm 218 */
																				BgL_rtl_funz00_bglt
																					BgL_duplicated1407z00_2581;
																				BgL_rtl_ifnez00_bglt
																					BgL_new1405z00_2582;
																				BgL_duplicated1407z00_2581 =
																					(((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_210))->BgL_funz00);
																				{	/* SawMill/bbv-specialize.scm 218 */
																					BgL_rtl_ifnez00_bglt
																						BgL_new1409z00_2584;
																					BgL_new1409z00_2584 =
																						((BgL_rtl_ifnez00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_ifnez00_bgl))));
																					{	/* SawMill/bbv-specialize.scm 218 */
																						long BgL_arg2090z00_2585;

																						{	/* SawMill/bbv-specialize.scm 218 */
																							obj_t BgL_classz00_4561;

																							BgL_classz00_4561 =
																								BGl_rtl_ifnez00zzsaw_defsz00;
																							BgL_arg2090z00_2585 =
																								BGL_CLASS_NUM
																								(BgL_classz00_4561);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1409z00_2584),
																							BgL_arg2090z00_2585);
																					}
																					BgL_new1405z00_2582 =
																						BgL_new1409z00_2584;
																				}
																				((((BgL_rtl_funz00_bglt) COBJECT(
																								((BgL_rtl_funz00_bglt)
																									BgL_new1405z00_2582)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_rtl_funz00_bglt)
																								COBJECT
																								(BgL_duplicated1407z00_2581))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_rtl_ifnez00_bglt)
																							COBJECT(BgL_new1405z00_2582))->
																						BgL_thenz00) =
																					((BgL_blockz00_bglt) ((
																								(BgL_rtl_ifnez00_bglt)
																								COBJECT(((BgL_rtl_ifnez00_bglt)
																										BgL_duplicated1407z00_2581)))->
																							BgL_thenz00)), BUNSPEC);
																				BgL_auxz00_8964 =
																					((BgL_rtl_funz00_bglt)
																					BgL_new1405z00_2582);
																	}}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new1390z00_2573)))->
																			BgL_funz00) =
																		((BgL_rtl_funz00_bglt) BgL_auxz00_8964),
																		BUNSPEC);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1390z00_2573)))->BgL_argsz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_iz00_210))->BgL_argsz00)),
																	BUNSPEC);
																{
																	obj_t BgL_auxz00_9021;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9015;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9022;

																		{
																			obj_t BgL_auxz00_9023;

																			{	/* SawMill/bbv-specialize.scm 216 */
																				BgL_objectz00_bglt BgL_tmpz00_9024;

																				BgL_tmpz00_9024 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt) BgL_iz00_210));
																				BgL_auxz00_9023 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_9024);
																			}
																			BgL_auxz00_9022 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_9023);
																		}
																		BgL_auxz00_9021 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_9022))->BgL_defz00);
																	}
																	{
																		obj_t BgL_auxz00_9016;

																		{	/* SawMill/bbv-specialize.scm 216 */
																			BgL_objectz00_bglt BgL_tmpz00_9017;

																			BgL_tmpz00_9017 =
																				((BgL_objectz00_bglt)
																				BgL_new1390z00_2573);
																			BgL_auxz00_9016 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_9017);
																		}
																		BgL_auxz00_9015 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_9016);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_9015))->BgL_defz00) =
																		((obj_t) BgL_auxz00_9021), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_9037;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9031;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9038;

																		{
																			obj_t BgL_auxz00_9039;

																			{	/* SawMill/bbv-specialize.scm 216 */
																				BgL_objectz00_bglt BgL_tmpz00_9040;

																				BgL_tmpz00_9040 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt) BgL_iz00_210));
																				BgL_auxz00_9039 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_9040);
																			}
																			BgL_auxz00_9038 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_9039);
																		}
																		BgL_auxz00_9037 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_9038))->BgL_outz00);
																	}
																	{
																		obj_t BgL_auxz00_9032;

																		{	/* SawMill/bbv-specialize.scm 216 */
																			BgL_objectz00_bglt BgL_tmpz00_9033;

																			BgL_tmpz00_9033 =
																				((BgL_objectz00_bglt)
																				BgL_new1390z00_2573);
																			BgL_auxz00_9032 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_9033);
																		}
																		BgL_auxz00_9031 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_9032);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_9031))->BgL_outz00) =
																		((obj_t) BgL_auxz00_9037), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_9053;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9047;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9054;

																		{
																			obj_t BgL_auxz00_9055;

																			{	/* SawMill/bbv-specialize.scm 216 */
																				BgL_objectz00_bglt BgL_tmpz00_9056;

																				BgL_tmpz00_9056 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt) BgL_iz00_210));
																				BgL_auxz00_9055 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_9056);
																			}
																			BgL_auxz00_9054 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_9055);
																		}
																		BgL_auxz00_9053 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_9054))->BgL_inz00);
																	}
																	{
																		obj_t BgL_auxz00_9048;

																		{	/* SawMill/bbv-specialize.scm 216 */
																			BgL_objectz00_bglt BgL_tmpz00_9049;

																			BgL_tmpz00_9049 =
																				((BgL_objectz00_bglt)
																				BgL_new1390z00_2573);
																			BgL_auxz00_9048 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_9049);
																		}
																		BgL_auxz00_9047 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_9048);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_9047))->BgL_inz00) =
																		((obj_t) BgL_auxz00_9053), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_9069;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9063;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9070;

																		{
																			obj_t BgL_auxz00_9071;

																			{	/* SawMill/bbv-specialize.scm 216 */
																				BgL_objectz00_bglt BgL_tmpz00_9072;

																				BgL_tmpz00_9072 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt) BgL_iz00_210));
																				BgL_auxz00_9071 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_9072);
																			}
																			BgL_auxz00_9070 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_9071);
																		}
																		BgL_auxz00_9069 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_9070))->
																			BgL_z52hashz52);
																	}
																	{
																		obj_t BgL_auxz00_9064;

																		{	/* SawMill/bbv-specialize.scm 216 */
																			BgL_objectz00_bglt BgL_tmpz00_9065;

																			BgL_tmpz00_9065 =
																				((BgL_objectz00_bglt)
																				BgL_new1390z00_2573);
																			BgL_auxz00_9064 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_9065);
																		}
																		BgL_auxz00_9063 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_9064);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_9063))->
																			BgL_z52hashz52) =
																		((obj_t) BgL_auxz00_9069), BUNSPEC);
																}
																BgL_sz00_2569 = BgL_new1390z00_2573;
															}
															{	/* SawMill/bbv-specialize.scm 219 */
																int BgL_tmpz00_9079;

																BgL_tmpz00_9079 = (int) (((long) 2));
																BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9079);
															}
															{	/* SawMill/bbv-specialize.scm 219 */
																int BgL_tmpz00_9082;

																BgL_tmpz00_9082 = (int) (((long) 1));
																BGL_MVALUES_VAL_SET(BgL_tmpz00_9082,
																	BgL_ctxz00_211);
															}
															return BgL_sz00_2569;
														}
												}
										}
								}
						}
					}
				}
			}
		}

	}



/* interval-value */
	obj_t BGl_intervalzd2valuezd2zzsaw_bbvzd2specializa7ez75(obj_t BgL_iz00_214,
		obj_t BgL_ctxz00_215)
	{
		{	/* SawMill/bbv-specialize.scm 260 */
		BGl_intervalzd2valuezd2zzsaw_bbvzd2specializa7ez75:
			{	/* SawMill/bbv-specialize.scm 262 */
				bool_t BgL_test2813z00_9085;

				{	/* SawMill/bbv-specialize.scm 262 */
					obj_t BgL_classz00_4572;

					BgL_classz00_4572 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_iz00_214))
						{	/* SawMill/bbv-specialize.scm 262 */
							BgL_objectz00_bglt BgL_arg1825z00_4574;

							BgL_arg1825z00_4574 = (BgL_objectz00_bglt) (BgL_iz00_214);
							{	/* SawMill/bbv-specialize.scm 262 */
								bool_t BgL_arg1822z00_4577;
								bool_t BgL_arg1823z00_4578;

								{	/* SawMill/bbv-specialize.scm 262 */
									long BgL_idxz00_4581;

									BgL_idxz00_4581 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4574);
									BgL_arg1822z00_4577 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4581 + ((long) 1))) == BgL_classz00_4572);
								}
								{	/* SawMill/bbv-specialize.scm 262 */
									bool_t BgL_res2584z00_4603;

									{	/* SawMill/bbv-specialize.scm 262 */
										obj_t BgL_oclassz00_4589;

										{	/* SawMill/bbv-specialize.scm 262 */
											long BgL_arg1833z00_4595;

											{	/* SawMill/bbv-specialize.scm 262 */
												long BgL_arg1834z00_4596;

												BgL_arg1834z00_4596 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4574);
												BgL_arg1833z00_4595 =
													(BgL_arg1834z00_4596 - OBJECT_TYPE);
											}
											BgL_oclassz00_4589 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4595);
										}
										{	/* SawMill/bbv-specialize.scm 262 */
											bool_t BgL__ortest_1110z00_4590;

											BgL__ortest_1110z00_4590 =
												(BgL_classz00_4572 == BgL_oclassz00_4589);
											if (BgL__ortest_1110z00_4590)
												{	/* SawMill/bbv-specialize.scm 262 */
													BgL_res2584z00_4603 = BgL__ortest_1110z00_4590;
												}
											else
												{	/* SawMill/bbv-specialize.scm 262 */
													long BgL_odepthz00_4591;

													BgL_odepthz00_4591 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4589);
													if ((((long) 1) < BgL_odepthz00_4591))
														{	/* SawMill/bbv-specialize.scm 262 */
															obj_t BgL_arg1821z00_4593;

															BgL_arg1821z00_4593 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4589,
																((long) 1));
															BgL_res2584z00_4603 =
																(BgL_arg1821z00_4593 == BgL_classz00_4572);
														}
													else
														{	/* SawMill/bbv-specialize.scm 262 */
															BgL_res2584z00_4603 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4578 = BgL_res2584z00_4603;
								}
								BgL_test2813z00_9085 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4577, BgL_arg1823z00_4578);
							}
						}
					else
						{	/* SawMill/bbv-specialize.scm 262 */
							BgL_test2813z00_9085 = ((bool_t) 0);
						}
				}
				if (BgL_test2813z00_9085)
					{	/* SawMill/bbv-specialize.scm 263 */
						obj_t BgL_ez00_2701;

						BgL_ez00_2701 =
							BGl_ctxzd2getzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_215,
							((BgL_rtl_regz00_bglt) BgL_iz00_214));
						{	/* SawMill/bbv-specialize.scm 264 */
							bool_t BgL_test2817z00_9106;

							if (CBOOL(BgL_ez00_2701))
								{	/* SawMill/bbv-specialize.scm 264 */
									BgL_typez00_bglt BgL_arg2138z00_2707;

									BgL_arg2138z00_2707 =
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
												((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_2701)))->
										BgL_typz00);
									BgL_test2817z00_9106 =
										(((obj_t) BgL_arg2138z00_2707) ==
										BGl_za2intza2z00zztype_cachez00);
								}
							else
								{	/* SawMill/bbv-specialize.scm 264 */
									BgL_test2817z00_9106 = ((bool_t) 0);
								}
							if (BgL_test2817z00_9106)
								{	/* SawMill/bbv-specialize.scm 265 */
									obj_t BgL_vz00_2704;

									BgL_vz00_2704 =
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
												((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_2701)))->
										BgL_valuez00);
									{	/* SawMill/bbv-specialize.scm 267 */
										bool_t BgL_test2819z00_9115;

										if (STRUCTP(BgL_vz00_2704))
											{	/* SawMill/bbv-specialize.scm 267 */
												BgL_test2819z00_9115 =
													(STRUCT_KEY(BgL_vz00_2704) ==
													CNST_TABLE_REF(((long) 0)));
											}
										else
											{	/* SawMill/bbv-specialize.scm 267 */
												BgL_test2819z00_9115 = ((bool_t) 0);
											}
										if (BgL_test2819z00_9115)
											{	/* SawMill/bbv-specialize.scm 267 */
												return BgL_vz00_2704;
											}
										else
											{	/* SawMill/bbv-specialize.scm 267 */
												if (VECTORP(BgL_vz00_2704))
													{	/* SawMill/bbv-specialize.scm 268 */
														return
															BGl_za2lengthzd2intvza2zd2zzsaw_bbvzd2specializa7ez75;
													}
												else
													{	/* SawMill/bbv-specialize.scm 268 */
														return BFALSE;
													}
											}
									}
								}
							else
								{	/* SawMill/bbv-specialize.scm 264 */
									return BFALSE;
								}
						}
					}
				else
					{	/* SawMill/bbv-specialize.scm 262 */
						if (BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(
								((BgL_rtl_insz00_bglt) BgL_iz00_214)))
							{	/* SawMill/bbv-specialize.scm 270 */
								obj_t BgL_arg2140z00_2709;

								{	/* SawMill/bbv-specialize.scm 270 */
									obj_t BgL_pairz00_4611;

									BgL_pairz00_4611 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_iz00_214)))->BgL_argsz00);
									BgL_arg2140z00_2709 = CAR(BgL_pairz00_4611);
								}
								{
									obj_t BgL_iz00_9129;

									BgL_iz00_9129 = BgL_arg2140z00_2709;
									BgL_iz00_214 = BgL_iz00_9129;
									goto BGl_intervalzd2valuezd2zzsaw_bbvzd2specializa7ez75;
								}
							}
						else
							{	/* SawMill/bbv-specialize.scm 269 */
								if (BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(
										((BgL_rtl_insz00_bglt) BgL_iz00_214)))
									{	/* SawMill/bbv-specialize.scm 273 */
										BgL_rtl_callz00_bglt BgL_i1442z00_2713;

										BgL_i1442z00_2713 =
											((BgL_rtl_callz00_bglt)
											(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_iz00_214)))->
												BgL_funz00));
										{	/* SawMill/bbv-specialize.scm 275 */
											bool_t BgL_test2824z00_9136;

											{	/* SawMill/bbv-specialize.scm 275 */
												BgL_globalz00_bglt BgL_arg2148z00_2718;

												BgL_arg2148z00_2718 =
													(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1442z00_2713))->
													BgL_varz00);
												BgL_test2824z00_9136 =
													(((obj_t) BgL_arg2148z00_2718) ==
													BGl_za2intzd2ze3longza2z31zzsaw_bbvzd2cachezd2);
											}
											if (BgL_test2824z00_9136)
												{	/* SawMill/bbv-specialize.scm 276 */
													obj_t BgL_arg2145z00_2716;

													{	/* SawMill/bbv-specialize.scm 276 */
														obj_t BgL_pairz00_4613;

														BgL_pairz00_4613 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_iz00_214)))->
															BgL_argsz00);
														BgL_arg2145z00_2716 = CAR(BgL_pairz00_4613);
													}
													{
														obj_t BgL_iz00_9143;

														BgL_iz00_9143 = BgL_arg2145z00_2716;
														BgL_iz00_214 = BgL_iz00_9143;
														goto
															BGl_intervalzd2valuezd2zzsaw_bbvzd2specializa7ez75;
													}
												}
											else
												{	/* SawMill/bbv-specialize.scm 275 */
													return BFALSE;
												}
										}
									}
								else
									{	/* SawMill/bbv-specialize.scm 271 */
										return BFALSE;
									}
							}
					}
			}
		}

	}



/* bool-value */
	obj_t BGl_boolzd2valuezd2zzsaw_bbvzd2specializa7ez75(obj_t BgL_iz00_216,
		obj_t BgL_ctxz00_217)
	{
		{	/* SawMill/bbv-specialize.scm 285 */
		BGl_boolzd2valuezd2zzsaw_bbvzd2specializa7ez75:
			{	/* SawMill/bbv-specialize.scm 287 */
				bool_t BgL_test2825z00_9144;

				{	/* SawMill/bbv-specialize.scm 287 */
					obj_t BgL_classz00_4614;

					BgL_classz00_4614 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_iz00_216))
						{	/* SawMill/bbv-specialize.scm 287 */
							BgL_objectz00_bglt BgL_arg1825z00_4616;

							BgL_arg1825z00_4616 = (BgL_objectz00_bglt) (BgL_iz00_216);
							{	/* SawMill/bbv-specialize.scm 287 */
								bool_t BgL_arg1822z00_4619;
								bool_t BgL_arg1823z00_4620;

								{	/* SawMill/bbv-specialize.scm 287 */
									long BgL_idxz00_4623;

									BgL_idxz00_4623 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4616);
									BgL_arg1822z00_4619 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4623 + ((long) 1))) == BgL_classz00_4614);
								}
								{	/* SawMill/bbv-specialize.scm 287 */
									bool_t BgL_res2586z00_4645;

									{	/* SawMill/bbv-specialize.scm 287 */
										obj_t BgL_oclassz00_4631;

										{	/* SawMill/bbv-specialize.scm 287 */
											long BgL_arg1833z00_4637;

											{	/* SawMill/bbv-specialize.scm 287 */
												long BgL_arg1834z00_4638;

												BgL_arg1834z00_4638 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4616);
												BgL_arg1833z00_4637 =
													(BgL_arg1834z00_4638 - OBJECT_TYPE);
											}
											BgL_oclassz00_4631 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4637);
										}
										{	/* SawMill/bbv-specialize.scm 287 */
											bool_t BgL__ortest_1110z00_4632;

											BgL__ortest_1110z00_4632 =
												(BgL_classz00_4614 == BgL_oclassz00_4631);
											if (BgL__ortest_1110z00_4632)
												{	/* SawMill/bbv-specialize.scm 287 */
													BgL_res2586z00_4645 = BgL__ortest_1110z00_4632;
												}
											else
												{	/* SawMill/bbv-specialize.scm 287 */
													long BgL_odepthz00_4633;

													BgL_odepthz00_4633 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4631);
													if ((((long) 1) < BgL_odepthz00_4633))
														{	/* SawMill/bbv-specialize.scm 287 */
															obj_t BgL_arg1821z00_4635;

															BgL_arg1821z00_4635 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4631,
																((long) 1));
															BgL_res2586z00_4645 =
																(BgL_arg1821z00_4635 == BgL_classz00_4614);
														}
													else
														{	/* SawMill/bbv-specialize.scm 287 */
															BgL_res2586z00_4645 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4620 = BgL_res2586z00_4645;
								}
								BgL_test2825z00_9144 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4619, BgL_arg1823z00_4620);
							}
						}
					else
						{	/* SawMill/bbv-specialize.scm 287 */
							BgL_test2825z00_9144 = ((bool_t) 0);
						}
				}
				if (BgL_test2825z00_9144)
					{	/* SawMill/bbv-specialize.scm 288 */
						obj_t BgL_ez00_2720;

						BgL_ez00_2720 =
							BGl_ctxzd2getzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_217,
							((BgL_rtl_regz00_bglt) BgL_iz00_216));
						{	/* SawMill/bbv-specialize.scm 290 */
							bool_t BgL_test2829z00_9165;

							if (CBOOL(BgL_ez00_2720))
								{	/* SawMill/bbv-specialize.scm 290 */
									bool_t BgL_test2831z00_9168;

									{	/* SawMill/bbv-specialize.scm 290 */
										BgL_typez00_bglt BgL_arg2160z00_2732;

										BgL_arg2160z00_2732 =
											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
													((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_2720)))->
											BgL_typz00);
										BgL_test2831z00_9168 =
											(((obj_t) BgL_arg2160z00_2732) ==
											BGl_za2boolza2z00zztype_cachez00);
									}
									if (BgL_test2831z00_9168)
										{	/* SawMill/bbv-specialize.scm 290 */
											BgL_test2829z00_9165 = ((bool_t) 0);
										}
									else
										{	/* SawMill/bbv-specialize.scm 290 */
											BgL_test2829z00_9165 = ((bool_t) 1);
										}
								}
							else
								{	/* SawMill/bbv-specialize.scm 290 */
									BgL_test2829z00_9165 = ((bool_t) 1);
								}
							if (BgL_test2829z00_9165)
								{	/* SawMill/bbv-specialize.scm 290 */
									return CNST_TABLE_REF(((long) 3));
								}
							else
								{	/* SawMill/bbv-specialize.scm 290 */
									if (
										((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
														((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_2720)))->
												BgL_valuez00) == BTRUE))
										{	/* SawMill/bbv-specialize.scm 291 */
											return CNST_TABLE_REF(((long) 1));
										}
									else
										{	/* SawMill/bbv-specialize.scm 291 */
											if (
												((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_2720)))->
														BgL_valuez00) == BFALSE))
												{	/* SawMill/bbv-specialize.scm 292 */
													return CNST_TABLE_REF(((long) 2));
												}
											else
												{	/* SawMill/bbv-specialize.scm 292 */
													return CNST_TABLE_REF(((long) 3));
					}}}}}
				else
					{	/* SawMill/bbv-specialize.scm 287 */
						if (BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(
								((BgL_rtl_insz00_bglt) BgL_iz00_216)))
							{	/* SawMill/bbv-specialize.scm 295 */
								obj_t BgL_arg2162z00_2734;

								{	/* SawMill/bbv-specialize.scm 295 */
									obj_t BgL_pairz00_4650;

									BgL_pairz00_4650 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_iz00_216)))->BgL_argsz00);
									BgL_arg2162z00_2734 = CAR(BgL_pairz00_4650);
								}
								{
									obj_t BgL_iz00_9191;

									BgL_iz00_9191 = BgL_arg2162z00_2734;
									BgL_iz00_216 = BgL_iz00_9191;
									goto BGl_boolzd2valuezd2zzsaw_bbvzd2specializa7ez75;
								}
							}
						else
							{	/* SawMill/bbv-specialize.scm 294 */
								if (BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2(
										((BgL_rtl_insz00_bglt) BgL_iz00_216)))
									{	/* SawMill/bbv-specialize.scm 298 */
										BgL_rtl_loadiz00_bglt BgL_i1444z00_2738;

										BgL_i1444z00_2738 =
											((BgL_rtl_loadiz00_bglt)
											(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_iz00_216)))->
												BgL_funz00));
										{	/* SawMill/bbv-specialize.scm 300 */
											bool_t BgL_test2836z00_9198;

											{	/* SawMill/bbv-specialize.scm 300 */
												BgL_atomz00_bglt BgL_arg2178z00_2751;

												BgL_arg2178z00_2751 =
													(((BgL_rtl_loadiz00_bglt)
														COBJECT(BgL_i1444z00_2738))->BgL_constantz00);
												{	/* SawMill/bbv-specialize.scm 300 */
													obj_t BgL_classz00_4651;

													BgL_classz00_4651 = BGl_literalz00zzast_nodez00;
													{	/* SawMill/bbv-specialize.scm 300 */
														BgL_objectz00_bglt BgL_arg1825z00_4653;

														{	/* SawMill/bbv-specialize.scm 300 */
															obj_t BgL_tmpz00_9200;

															BgL_tmpz00_9200 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg2178z00_2751));
															BgL_arg1825z00_4653 =
																(BgL_objectz00_bglt) (BgL_tmpz00_9200);
														}
														{	/* SawMill/bbv-specialize.scm 300 */
															bool_t BgL_arg1822z00_4656;
															bool_t BgL_arg1823z00_4657;

															{	/* SawMill/bbv-specialize.scm 300 */
																long BgL_idxz00_4660;

																BgL_idxz00_4660 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_4653);
																BgL_arg1822z00_4656 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4660 + ((long) 3))) ==
																	BgL_classz00_4651);
															}
															{	/* SawMill/bbv-specialize.scm 300 */
																bool_t BgL_res2587z00_4682;

																{	/* SawMill/bbv-specialize.scm 300 */
																	obj_t BgL_oclassz00_4668;

																	{	/* SawMill/bbv-specialize.scm 300 */
																		long BgL_arg1833z00_4674;

																		{	/* SawMill/bbv-specialize.scm 300 */
																			long BgL_arg1834z00_4675;

																			BgL_arg1834z00_4675 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_4653);
																			BgL_arg1833z00_4674 =
																				(BgL_arg1834z00_4675 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4668 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_4674);
																	}
																	{	/* SawMill/bbv-specialize.scm 300 */
																		bool_t BgL__ortest_1110z00_4669;

																		BgL__ortest_1110z00_4669 =
																			(BgL_classz00_4651 == BgL_oclassz00_4668);
																		if (BgL__ortest_1110z00_4669)
																			{	/* SawMill/bbv-specialize.scm 300 */
																				BgL_res2587z00_4682 =
																					BgL__ortest_1110z00_4669;
																			}
																		else
																			{	/* SawMill/bbv-specialize.scm 300 */
																				long BgL_odepthz00_4670;

																				BgL_odepthz00_4670 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_4668);
																				if ((((long) 3) < BgL_odepthz00_4670))
																					{	/* SawMill/bbv-specialize.scm 300 */
																						obj_t BgL_arg1821z00_4672;

																						BgL_arg1821z00_4672 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_4668, ((long) 3));
																						BgL_res2587z00_4682 =
																							(BgL_arg1821z00_4672 ==
																							BgL_classz00_4651);
																					}
																				else
																					{	/* SawMill/bbv-specialize.scm 300 */
																						BgL_res2587z00_4682 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_4657 = BgL_res2587z00_4682;
															}
															BgL_test2836z00_9198 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_4656,
																BgL_arg1823z00_4657);
														}
													}
												}
											}
											if (BgL_test2836z00_9198)
												{	/* SawMill/bbv-specialize.scm 300 */
													if (
														((((BgL_atomz00_bglt) COBJECT(
																		((BgL_atomz00_bglt)
																			((BgL_literalz00_bglt)
																				(((BgL_rtl_loadiz00_bglt)
																						COBJECT(BgL_i1444z00_2738))->
																					BgL_constantz00)))))->BgL_valuez00) ==
															BTRUE))
														{	/* SawMill/bbv-specialize.scm 301 */
															return CNST_TABLE_REF(((long) 1));
														}
													else
														{	/* SawMill/bbv-specialize.scm 301 */
															if (
																((((BgL_atomz00_bglt) COBJECT(
																				((BgL_atomz00_bglt)
																					((BgL_literalz00_bglt)
																						(((BgL_rtl_loadiz00_bglt)
																								COBJECT(BgL_i1444z00_2738))->
																							BgL_constantz00)))))->
																		BgL_valuez00) == BFALSE))
																{	/* SawMill/bbv-specialize.scm 302 */
																	return CNST_TABLE_REF(((long) 2));
																}
															else
																{	/* SawMill/bbv-specialize.scm 302 */
																	return CNST_TABLE_REF(((long) 3));
												}}}
											else
												{	/* SawMill/bbv-specialize.scm 300 */
													return CNST_TABLE_REF(((long) 3));
									}}}
								else
									{	/* SawMill/bbv-specialize.scm 296 */
										return CNST_TABLE_REF(((long) 3));
		}}}}}

	}



/* rtl_ins-specialize-vlength */
	BgL_rtl_insz00_bglt
		BGl_rtl_inszd2specializa7ezd2vlengthza7zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt BgL_iz00_218, obj_t BgL_ctxz00_219)
	{
		{	/* SawMill/bbv-specialize.scm 310 */
			{	/* SawMill/bbv-specialize.scm 313 */
				bool_t BgL_test2841z00_9236;

				{	/* SawMill/bbv-specialize.scm 313 */
					obj_t BgL_arg2207z00_2806;

					BgL_arg2207z00_2806 =
						CAR((((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_218))->BgL_argsz00));
					{	/* SawMill/bbv-specialize.scm 313 */
						obj_t BgL_classz00_4686;

						BgL_classz00_4686 = BGl_rtl_regz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_arg2207z00_2806))
							{	/* SawMill/bbv-specialize.scm 313 */
								BgL_objectz00_bglt BgL_arg1825z00_4688;

								BgL_arg1825z00_4688 =
									(BgL_objectz00_bglt) (BgL_arg2207z00_2806);
								{	/* SawMill/bbv-specialize.scm 313 */
									bool_t BgL_arg1822z00_4691;
									bool_t BgL_arg1823z00_4692;

									{	/* SawMill/bbv-specialize.scm 313 */
										long BgL_idxz00_4695;

										BgL_idxz00_4695 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4688);
										BgL_arg1822z00_4691 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4695 + ((long) 1))) == BgL_classz00_4686);
									}
									{	/* SawMill/bbv-specialize.scm 313 */
										bool_t BgL_res2588z00_4717;

										{	/* SawMill/bbv-specialize.scm 313 */
											obj_t BgL_oclassz00_4703;

											{	/* SawMill/bbv-specialize.scm 313 */
												long BgL_arg1833z00_4709;

												{	/* SawMill/bbv-specialize.scm 313 */
													long BgL_arg1834z00_4710;

													BgL_arg1834z00_4710 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4688);
													BgL_arg1833z00_4709 =
														(BgL_arg1834z00_4710 - OBJECT_TYPE);
												}
												BgL_oclassz00_4703 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_4709);
											}
											{	/* SawMill/bbv-specialize.scm 313 */
												bool_t BgL__ortest_1110z00_4704;

												BgL__ortest_1110z00_4704 =
													(BgL_classz00_4686 == BgL_oclassz00_4703);
												if (BgL__ortest_1110z00_4704)
													{	/* SawMill/bbv-specialize.scm 313 */
														BgL_res2588z00_4717 = BgL__ortest_1110z00_4704;
													}
												else
													{	/* SawMill/bbv-specialize.scm 313 */
														long BgL_odepthz00_4705;

														BgL_odepthz00_4705 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4703);
														if ((((long) 1) < BgL_odepthz00_4705))
															{	/* SawMill/bbv-specialize.scm 313 */
																obj_t BgL_arg1821z00_4707;

																BgL_arg1821z00_4707 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4703,
																	((long) 1));
																BgL_res2588z00_4717 =
																	(BgL_arg1821z00_4707 == BgL_classz00_4686);
															}
														else
															{	/* SawMill/bbv-specialize.scm 313 */
																BgL_res2588z00_4717 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_4692 = BgL_res2588z00_4717;
									}
									BgL_test2841z00_9236 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_4691, BgL_arg1823z00_4692);
								}
							}
						else
							{	/* SawMill/bbv-specialize.scm 313 */
								BgL_test2841z00_9236 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test2841z00_9236)
					{	/* SawMill/bbv-specialize.scm 315 */
						obj_t BgL_g1449z00_2756;

						{
							obj_t BgL_list1852z00_2779;

							BgL_list1852z00_2779 = BgL_ctxz00_219;
						BgL_zc3z04anonymousza32192ze3z87_2780:
							if (PAIRP(BgL_list1852z00_2779))
								{	/* SawMill/bbv-specialize.scm 315 */
									bool_t BgL_test2846z00_9259;

									{	/* SawMill/bbv-specialize.scm 316 */
										obj_t BgL_ez00_2793;

										BgL_ez00_2793 = CAR(BgL_list1852z00_2779);
										if (
											(BGl_typez00zztype_typez00 ==
												BGl_za2intza2z00zztype_cachez00))
											{	/* SawMill/bbv-specialize.scm 318 */
												bool_t BgL_test2848z00_9263;

												{	/* SawMill/bbv-specialize.scm 318 */
													obj_t BgL_tmpz00_9264;

													BgL_tmpz00_9264 =
														(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_2793)))->
														BgL_valuez00);
													BgL_test2848z00_9263 = VECTORP(BgL_tmpz00_9264);
												}
												if (BgL_test2848z00_9263)
													{	/* SawMill/bbv-specialize.scm 319 */
														obj_t BgL_arg2201z00_2797;
														obj_t BgL_arg2202z00_2798;

														{	/* SawMill/bbv-specialize.scm 319 */
															obj_t BgL_arg2203z00_2799;

															BgL_arg2203z00_2799 =
																(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																		((BgL_bbvzd2ctxentryzd2_bglt)
																			BgL_ez00_2793)))->BgL_valuez00);
															BgL_arg2201z00_2797 =
																VECTOR_REF(((obj_t) BgL_arg2203z00_2799),
																((long) 0));
														}
														BgL_arg2202z00_2798 =
															CAR(
															(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_218))->
																BgL_argsz00));
														BgL_test2846z00_9259 =
															(BgL_arg2201z00_2797 == BgL_arg2202z00_2798);
													}
												else
													{	/* SawMill/bbv-specialize.scm 318 */
														BgL_test2846z00_9259 = ((bool_t) 0);
													}
											}
										else
											{	/* SawMill/bbv-specialize.scm 317 */
												BgL_test2846z00_9259 = ((bool_t) 0);
											}
									}
									if (BgL_test2846z00_9259)
										{	/* SawMill/bbv-specialize.scm 315 */
											BgL_g1449z00_2756 = CAR(BgL_list1852z00_2779);
										}
									else
										{
											obj_t BgL_list1852z00_9276;

											BgL_list1852z00_9276 = CDR(BgL_list1852z00_2779);
											BgL_list1852z00_2779 = BgL_list1852z00_9276;
											goto BgL_zc3z04anonymousza32192ze3z87_2780;
										}
								}
							else
								{	/* SawMill/bbv-specialize.scm 315 */
									BgL_g1449z00_2756 = BFALSE;
								}
						}
						if (CBOOL(BgL_g1449z00_2756))
							{	/* SawMill/bbv-specialize.scm 323 */
								BgL_rtl_insz00_bglt BgL_val0_1853z00_2759;
								obj_t BgL_val1_1854z00_2760;

								{	/* SawMill/bbv-specialize.scm 323 */
									BgL_rtl_insz00_bglt BgL_new1451z00_2762;

									{	/* SawMill/bbv-specialize.scm 324 */
										BgL_rtl_insz00_bglt BgL_new1454z00_2766;

										BgL_new1454z00_2766 =
											((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_rtl_insz00_bgl))));
										{	/* SawMill/bbv-specialize.scm 324 */
											long BgL_arg2183z00_2767;

											BgL_arg2183z00_2767 =
												BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1454z00_2766),
												BgL_arg2183z00_2767);
										}
										{	/* SawMill/bbv-specialize.scm 324 */
											BgL_objectz00_bglt BgL_tmpz00_9284;

											BgL_tmpz00_9284 =
												((BgL_objectz00_bglt) BgL_new1454z00_2766);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9284, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1454z00_2766);
										BgL_new1451z00_2762 = BgL_new1454z00_2766;
									}
									((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1451z00_2762))->
											BgL_locz00) =
										((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_218))->
												BgL_locz00)), BUNSPEC);
									((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1451z00_2762))->
											BgL_z52spillz52) =
										((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_218))->
												BgL_z52spillz52)), BUNSPEC);
									((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1451z00_2762))->
											BgL_destz00) =
										((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_218))->
												BgL_destz00)), BUNSPEC);
									{
										BgL_rtl_funz00_bglt BgL_auxz00_9294;

										{	/* SawMill/bbv-specialize.scm 324 */
											BgL_rtl_movz00_bglt BgL_new1456z00_2763;

											{	/* SawMill/bbv-specialize.scm 324 */
												BgL_rtl_movz00_bglt BgL_new1455z00_2764;

												BgL_new1455z00_2764 =
													((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_rtl_movz00_bgl))));
												{	/* SawMill/bbv-specialize.scm 324 */
													long BgL_arg2182z00_2765;

													{	/* SawMill/bbv-specialize.scm 324 */
														obj_t BgL_classz00_4727;

														BgL_classz00_4727 = BGl_rtl_movz00zzsaw_defsz00;
														BgL_arg2182z00_2765 =
															BGL_CLASS_NUM(BgL_classz00_4727);
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1455z00_2764),
														BgL_arg2182z00_2765);
												}
												BgL_new1456z00_2763 = BgL_new1455z00_2764;
											}
											((((BgL_rtl_funz00_bglt) COBJECT(
															((BgL_rtl_funz00_bglt) BgL_new1456z00_2763)))->
													BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
											BgL_auxz00_9294 =
												((BgL_rtl_funz00_bglt) BgL_new1456z00_2763);
										}
										((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1451z00_2762))->
												BgL_funz00) =
											((BgL_rtl_funz00_bglt) BgL_auxz00_9294), BUNSPEC);
									}
									((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1451z00_2762))->
											BgL_argsz00) =
										((obj_t) (((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_218))->
												BgL_argsz00)), BUNSPEC);
									BgL_val0_1853z00_2759 = BgL_new1451z00_2762;
								}
								{	/* SawMill/bbv-specialize.scm 325 */
									obj_t BgL_arg2185z00_2768;
									obj_t BgL_arg2186z00_2769;

									BgL_arg2185z00_2768 =
										(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_218))->
										BgL_destz00);
									BgL_arg2186z00_2769 =
										CAR((((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_218))->
											BgL_argsz00));
									BgL_val1_1854z00_2760 =
										BGl_aliaszd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_219,
										((BgL_rtl_regz00_bglt) BgL_arg2185z00_2768),
										((BgL_rtl_regz00_bglt) BgL_arg2186z00_2769));
								}
								{	/* SawMill/bbv-specialize.scm 323 */
									int BgL_tmpz00_9311;

									BgL_tmpz00_9311 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9311);
								}
								{	/* SawMill/bbv-specialize.scm 323 */
									int BgL_tmpz00_9314;

									BgL_tmpz00_9314 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_9314, BgL_val1_1854z00_2760);
								}
								return BgL_val0_1853z00_2759;
							}
						else
							{	/* SawMill/bbv-specialize.scm 327 */
								obj_t BgL_val1_1857z00_2772;

								{	/* SawMill/bbv-specialize.scm 327 */
									obj_t BgL_arg2188z00_2773;
									obj_t BgL_arg2189z00_2774;

									BgL_arg2188z00_2773 =
										(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_218))->
										BgL_destz00);
									{	/* SawMill/bbv-specialize.scm 327 */
										obj_t BgL_v1855z00_2775;

										BgL_v1855z00_2775 = create_vector(((long) 1));
										VECTOR_SET(BgL_v1855z00_2775, ((long) 0),
											CAR(
												(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_218))->
													BgL_argsz00)));
										BgL_arg2189z00_2774 = BgL_v1855z00_2775;
									}
									BgL_val1_1857z00_2772 =
										BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_219,
										BgL_arg2188z00_2773, BGl_za2intza2z00zztype_cachez00, BTRUE,
										BgL_arg2189z00_2774);
								}
								{	/* SawMill/bbv-specialize.scm 327 */
									int BgL_tmpz00_9323;

									BgL_tmpz00_9323 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9323);
								}
								{	/* SawMill/bbv-specialize.scm 327 */
									int BgL_tmpz00_9326;

									BgL_tmpz00_9326 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_9326, BgL_val1_1857z00_2772);
								}
								return BgL_iz00_218;
							}
					}
				else
					{	/* SawMill/bbv-specialize.scm 314 */
						obj_t BgL_val1_1850z00_2804;

						{	/* SawMill/bbv-specialize.scm 314 */
							obj_t BgL_arg2206z00_2805;

							BgL_arg2206z00_2805 =
								(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_218))->BgL_destz00);
							BgL_val1_1850z00_2804 =
								BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_219,
								BgL_arg2206z00_2805, BGl_za2intza2z00zztype_cachez00, BTRUE,
								BGl_za2lengthzd2intvza2zd2zzsaw_bbvzd2specializa7ez75);
						}
						{	/* SawMill/bbv-specialize.scm 314 */
							int BgL_tmpz00_9331;

							BgL_tmpz00_9331 = (int) (((long) 2));
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9331);
						}
						{	/* SawMill/bbv-specialize.scm 314 */
							int BgL_tmpz00_9334;

							BgL_tmpz00_9334 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_9334, BgL_val1_1850z00_2804);
						}
						return BgL_iz00_218;
					}
			}
		}

	}



/* rtl_ins-intcmp? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2intcmpzf3z21zzsaw_bbvzd2specializa7ez75(BgL_rtl_insz00_bglt
		BgL_iz00_220)
	{
		{	/* SawMill/bbv-specialize.scm 332 */
			{	/* SawMill/bbv-specialize.scm 342 */
				bool_t BgL_test2850z00_9337;

				{	/* SawMill/bbv-specialize.scm 342 */
					BgL_rtl_funz00_bglt BgL_arg2226z00_2837;

					BgL_arg2226z00_2837 =
						(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_220))->BgL_funz00);
					{	/* SawMill/bbv-specialize.scm 342 */
						obj_t BgL_classz00_4861;

						BgL_classz00_4861 = BGl_rtl_callz00zzsaw_defsz00;
						{	/* SawMill/bbv-specialize.scm 342 */
							BgL_objectz00_bglt BgL_arg1825z00_4863;

							{	/* SawMill/bbv-specialize.scm 342 */
								obj_t BgL_tmpz00_9339;

								BgL_tmpz00_9339 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg2226z00_2837));
								BgL_arg1825z00_4863 = (BgL_objectz00_bglt) (BgL_tmpz00_9339);
							}
							{	/* SawMill/bbv-specialize.scm 342 */
								bool_t BgL_arg1822z00_4866;
								bool_t BgL_arg1823z00_4867;

								{	/* SawMill/bbv-specialize.scm 342 */
									long BgL_idxz00_4870;

									BgL_idxz00_4870 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4863);
									BgL_arg1822z00_4866 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4870 + ((long) 2))) == BgL_classz00_4861);
								}
								{	/* SawMill/bbv-specialize.scm 342 */
									bool_t BgL_res2593z00_4892;

									{	/* SawMill/bbv-specialize.scm 342 */
										obj_t BgL_oclassz00_4878;

										{	/* SawMill/bbv-specialize.scm 342 */
											long BgL_arg1833z00_4884;

											{	/* SawMill/bbv-specialize.scm 342 */
												long BgL_arg1834z00_4885;

												BgL_arg1834z00_4885 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4863);
												BgL_arg1833z00_4884 =
													(BgL_arg1834z00_4885 - OBJECT_TYPE);
											}
											BgL_oclassz00_4878 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4884);
										}
										{	/* SawMill/bbv-specialize.scm 342 */
											bool_t BgL__ortest_1110z00_4879;

											BgL__ortest_1110z00_4879 =
												(BgL_classz00_4861 == BgL_oclassz00_4878);
											if (BgL__ortest_1110z00_4879)
												{	/* SawMill/bbv-specialize.scm 342 */
													BgL_res2593z00_4892 = BgL__ortest_1110z00_4879;
												}
											else
												{	/* SawMill/bbv-specialize.scm 342 */
													long BgL_odepthz00_4880;

													BgL_odepthz00_4880 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4878);
													if ((((long) 2) < BgL_odepthz00_4880))
														{	/* SawMill/bbv-specialize.scm 342 */
															obj_t BgL_arg1821z00_4882;

															BgL_arg1821z00_4882 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4878,
																((long) 2));
															BgL_res2593z00_4892 =
																(BgL_arg1821z00_4882 == BgL_classz00_4861);
														}
													else
														{	/* SawMill/bbv-specialize.scm 342 */
															BgL_res2593z00_4892 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4867 = BgL_res2593z00_4892;
								}
								BgL_test2850z00_9337 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4866, BgL_arg1823z00_4867);
							}
						}
					}
				}
				if (BgL_test2850z00_9337)
					{	/* SawMill/bbv-specialize.scm 343 */
						BgL_rtl_callz00_bglt BgL_i1461z00_2812;

						BgL_i1461z00_2812 =
							((BgL_rtl_callz00_bglt)
							(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_220))->BgL_funz00));
						if (
							(bgl_list_length(
									(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_220))->
										BgL_argsz00)) == ((long) 2)))
							{	/* SawMill/bbv-specialize.scm 345 */
								bool_t BgL_test2854z00_9364;

								{	/* SawMill/bbv-specialize.scm 345 */
									bool_t BgL__ortest_1465z00_2826;

									{	/* SawMill/bbv-specialize.scm 345 */
										BgL_globalz00_bglt BgL_arg2223z00_2834;

										BgL_arg2223z00_2834 =
											(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1461z00_2812))->
											BgL_varz00);
										BgL__ortest_1465z00_2826 =
											(((obj_t) BgL_arg2223z00_2834) ==
											BGl_za2zc3fxza2zc3zzsaw_bbvzd2cachezd2);
									}
									if (BgL__ortest_1465z00_2826)
										{	/* SawMill/bbv-specialize.scm 345 */
											BgL_test2854z00_9364 = BgL__ortest_1465z00_2826;
										}
									else
										{	/* SawMill/bbv-specialize.scm 345 */
											bool_t BgL__ortest_1466z00_2827;

											{	/* SawMill/bbv-specialize.scm 345 */
												BgL_globalz00_bglt BgL_arg2222z00_2833;

												BgL_arg2222z00_2833 =
													(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1461z00_2812))->
													BgL_varz00);
												BgL__ortest_1466z00_2827 =
													(((obj_t) BgL_arg2222z00_2833) ==
													BGl_za2zc3zd3fxza2z10zzsaw_bbvzd2cachezd2);
											}
											if (BgL__ortest_1466z00_2827)
												{	/* SawMill/bbv-specialize.scm 345 */
													BgL_test2854z00_9364 = BgL__ortest_1466z00_2827;
												}
											else
												{	/* SawMill/bbv-specialize.scm 346 */
													bool_t BgL__ortest_1467z00_2828;

													{	/* SawMill/bbv-specialize.scm 346 */
														BgL_globalz00_bglt BgL_arg2221z00_2832;

														BgL_arg2221z00_2832 =
															(((BgL_rtl_callz00_bglt)
																COBJECT(BgL_i1461z00_2812))->BgL_varz00);
														BgL__ortest_1467z00_2828 =
															(((obj_t) BgL_arg2221z00_2832) ==
															BGl_za2ze3fxza2ze3zzsaw_bbvzd2cachezd2);
													}
													if (BgL__ortest_1467z00_2828)
														{	/* SawMill/bbv-specialize.scm 346 */
															BgL_test2854z00_9364 = BgL__ortest_1467z00_2828;
														}
													else
														{	/* SawMill/bbv-specialize.scm 346 */
															bool_t BgL__ortest_1468z00_2829;

															{	/* SawMill/bbv-specialize.scm 346 */
																BgL_globalz00_bglt BgL_arg2220z00_2831;

																BgL_arg2220z00_2831 =
																	(((BgL_rtl_callz00_bglt)
																		COBJECT(BgL_i1461z00_2812))->BgL_varz00);
																BgL__ortest_1468z00_2829 =
																	(((obj_t) BgL_arg2220z00_2831) ==
																	BGl_za2ze3zd3fxza2z30zzsaw_bbvzd2cachezd2);
															}
															if (BgL__ortest_1468z00_2829)
																{	/* SawMill/bbv-specialize.scm 346 */
																	BgL_test2854z00_9364 =
																		BgL__ortest_1468z00_2829;
																}
															else
																{	/* SawMill/bbv-specialize.scm 347 */
																	BgL_globalz00_bglt BgL_arg2219z00_2830;

																	BgL_arg2219z00_2830 =
																		(((BgL_rtl_callz00_bglt)
																			COBJECT(BgL_i1461z00_2812))->BgL_varz00);
																	BgL_test2854z00_9364 =
																		(((obj_t) BgL_arg2219z00_2830) ==
																		BGl_za2zd3fxza2zd3zzsaw_bbvzd2cachezd2);
																}
														}
												}
										}
								}
								if (BgL_test2854z00_9364)
									{	/* SawMill/bbv-specialize.scm 348 */
										bool_t BgL_test2859z00_9384;

										{	/* SawMill/bbv-specialize.scm 348 */
											bool_t BgL__ortest_1469z00_2821;

											BgL__ortest_1469z00_2821 =
												BGl_regzf3ze71z14zzsaw_bbvzd2specializa7ez75(CAR(
													(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_220))->
														BgL_argsz00)));
											if (BgL__ortest_1469z00_2821)
												{	/* SawMill/bbv-specialize.scm 348 */
													BgL_test2859z00_9384 = BgL__ortest_1469z00_2821;
												}
											else
												{	/* SawMill/bbv-specialize.scm 348 */
													obj_t BgL_arg2215z00_2822;

													BgL_arg2215z00_2822 =
														CAR(
														(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_220))->
															BgL_argsz00));
													BgL_test2859z00_9384 =
														BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2((
															(BgL_rtl_insz00_bglt) BgL_arg2215z00_2822));
												}
										}
										if (BgL_test2859z00_9384)
											{	/* SawMill/bbv-specialize.scm 349 */
												bool_t BgL__ortest_1470z00_2816;

												{	/* SawMill/bbv-specialize.scm 349 */
													obj_t BgL_arg2213z00_2819;

													{	/* SawMill/bbv-specialize.scm 349 */
														obj_t BgL_pairz00_4896;

														BgL_pairz00_4896 =
															(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_220))->
															BgL_argsz00);
														BgL_arg2213z00_2819 = CAR(CDR(BgL_pairz00_4896));
													}
													BgL__ortest_1470z00_2816 =
														BGl_regzf3ze71z14zzsaw_bbvzd2specializa7ez75
														(BgL_arg2213z00_2819);
												}
												if (BgL__ortest_1470z00_2816)
													{	/* SawMill/bbv-specialize.scm 349 */
														return BgL__ortest_1470z00_2816;
													}
												else
													{	/* SawMill/bbv-specialize.scm 349 */
														obj_t BgL_arg2211z00_2817;

														{	/* SawMill/bbv-specialize.scm 349 */
															obj_t BgL_pairz00_4900;

															BgL_pairz00_4900 =
																(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_220))->
																BgL_argsz00);
															BgL_arg2211z00_2817 = CAR(CDR(BgL_pairz00_4900));
														}
														return
															BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2(
															((BgL_rtl_insz00_bglt) BgL_arg2211z00_2817));
													}
											}
										else
											{	/* SawMill/bbv-specialize.scm 348 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* SawMill/bbv-specialize.scm 345 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* SawMill/bbv-specialize.scm 344 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* SawMill/bbv-specialize.scm 342 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* reg?~1 */
	bool_t BGl_regzf3ze71z14zzsaw_bbvzd2specializa7ez75(obj_t BgL_az00_2838)
	{
		{	/* SawMill/bbv-specialize.scm 339 */
			{	/* SawMill/bbv-specialize.scm 335 */
				bool_t BgL__ortest_1457z00_2840;

				{	/* SawMill/bbv-specialize.scm 335 */
					obj_t BgL_classz00_4733;

					BgL_classz00_4733 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_az00_2838))
						{	/* SawMill/bbv-specialize.scm 335 */
							BgL_objectz00_bglt BgL_arg1825z00_4735;

							BgL_arg1825z00_4735 = (BgL_objectz00_bglt) (BgL_az00_2838);
							{	/* SawMill/bbv-specialize.scm 335 */
								bool_t BgL_arg1822z00_4738;
								bool_t BgL_arg1823z00_4739;

								{	/* SawMill/bbv-specialize.scm 335 */
									long BgL_idxz00_4742;

									BgL_idxz00_4742 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4735);
									BgL_arg1822z00_4738 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4742 + ((long) 1))) == BgL_classz00_4733);
								}
								{	/* SawMill/bbv-specialize.scm 335 */
									bool_t BgL_res2589z00_4764;

									{	/* SawMill/bbv-specialize.scm 335 */
										obj_t BgL_oclassz00_4750;

										{	/* SawMill/bbv-specialize.scm 335 */
											long BgL_arg1833z00_4756;

											{	/* SawMill/bbv-specialize.scm 335 */
												long BgL_arg1834z00_4757;

												BgL_arg1834z00_4757 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4735);
												BgL_arg1833z00_4756 =
													(BgL_arg1834z00_4757 - OBJECT_TYPE);
											}
											BgL_oclassz00_4750 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4756);
										}
										{	/* SawMill/bbv-specialize.scm 335 */
											bool_t BgL__ortest_1110z00_4751;

											BgL__ortest_1110z00_4751 =
												(BgL_classz00_4733 == BgL_oclassz00_4750);
											if (BgL__ortest_1110z00_4751)
												{	/* SawMill/bbv-specialize.scm 335 */
													BgL_res2589z00_4764 = BgL__ortest_1110z00_4751;
												}
											else
												{	/* SawMill/bbv-specialize.scm 335 */
													long BgL_odepthz00_4752;

													BgL_odepthz00_4752 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4750);
													if ((((long) 1) < BgL_odepthz00_4752))
														{	/* SawMill/bbv-specialize.scm 335 */
															obj_t BgL_arg1821z00_4754;

															BgL_arg1821z00_4754 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4750,
																((long) 1));
															BgL_res2589z00_4764 =
																(BgL_arg1821z00_4754 == BgL_classz00_4733);
														}
													else
														{	/* SawMill/bbv-specialize.scm 335 */
															BgL_res2589z00_4764 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4739 = BgL_res2589z00_4764;
								}
								BgL__ortest_1457z00_2840 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4738, BgL_arg1823z00_4739);
							}
						}
					else
						{	/* SawMill/bbv-specialize.scm 335 */
							BgL__ortest_1457z00_2840 = ((bool_t) 0);
						}
				}
				if (BgL__ortest_1457z00_2840)
					{	/* SawMill/bbv-specialize.scm 335 */
						return BgL__ortest_1457z00_2840;
					}
				else
					{	/* SawMill/bbv-specialize.scm 336 */
						bool_t BgL_test2866z00_9422;

						{	/* SawMill/bbv-specialize.scm 336 */
							obj_t BgL_classz00_4765;

							BgL_classz00_4765 = BGl_rtl_insz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_az00_2838))
								{	/* SawMill/bbv-specialize.scm 336 */
									BgL_objectz00_bglt BgL_arg1825z00_4767;

									BgL_arg1825z00_4767 = (BgL_objectz00_bglt) (BgL_az00_2838);
									{	/* SawMill/bbv-specialize.scm 336 */
										bool_t BgL_arg1822z00_4770;
										bool_t BgL_arg1823z00_4771;

										{	/* SawMill/bbv-specialize.scm 336 */
											long BgL_idxz00_4774;

											BgL_idxz00_4774 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4767);
											BgL_arg1822z00_4770 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4774 + ((long) 1))) == BgL_classz00_4765);
										}
										{	/* SawMill/bbv-specialize.scm 336 */
											bool_t BgL_res2590z00_4796;

											{	/* SawMill/bbv-specialize.scm 336 */
												obj_t BgL_oclassz00_4782;

												{	/* SawMill/bbv-specialize.scm 336 */
													long BgL_arg1833z00_4788;

													{	/* SawMill/bbv-specialize.scm 336 */
														long BgL_arg1834z00_4789;

														BgL_arg1834z00_4789 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4767);
														BgL_arg1833z00_4788 =
															(BgL_arg1834z00_4789 - OBJECT_TYPE);
													}
													BgL_oclassz00_4782 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_4788);
												}
												{	/* SawMill/bbv-specialize.scm 336 */
													bool_t BgL__ortest_1110z00_4783;

													BgL__ortest_1110z00_4783 =
														(BgL_classz00_4765 == BgL_oclassz00_4782);
													if (BgL__ortest_1110z00_4783)
														{	/* SawMill/bbv-specialize.scm 336 */
															BgL_res2590z00_4796 = BgL__ortest_1110z00_4783;
														}
													else
														{	/* SawMill/bbv-specialize.scm 336 */
															long BgL_odepthz00_4784;

															BgL_odepthz00_4784 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4782);
															if ((((long) 1) < BgL_odepthz00_4784))
																{	/* SawMill/bbv-specialize.scm 336 */
																	obj_t BgL_arg1821z00_4786;

																	BgL_arg1821z00_4786 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4782,
																		((long) 1));
																	BgL_res2590z00_4796 =
																		(BgL_arg1821z00_4786 == BgL_classz00_4765);
																}
															else
																{	/* SawMill/bbv-specialize.scm 336 */
																	BgL_res2590z00_4796 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_4771 = BgL_res2590z00_4796;
										}
										BgL_test2866z00_9422 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_4770,
											BgL_arg1823z00_4771);
									}
								}
							else
								{	/* SawMill/bbv-specialize.scm 336 */
									BgL_test2866z00_9422 = ((bool_t) 0);
								}
						}
						if (BgL_test2866z00_9422)
							{	/* SawMill/bbv-specialize.scm 338 */
								bool_t BgL_test2870z00_9441;

								{	/* SawMill/bbv-specialize.scm 338 */
									BgL_rtl_funz00_bglt BgL_arg2231z00_2846;

									BgL_arg2231z00_2846 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_az00_2838)))->BgL_funz00);
									{	/* SawMill/bbv-specialize.scm 338 */
										obj_t BgL_classz00_4797;

										BgL_classz00_4797 = BGl_rtl_callz00zzsaw_defsz00;
										{	/* SawMill/bbv-specialize.scm 338 */
											BgL_objectz00_bglt BgL_arg1825z00_4799;

											{	/* SawMill/bbv-specialize.scm 338 */
												obj_t BgL_tmpz00_9444;

												BgL_tmpz00_9444 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg2231z00_2846));
												BgL_arg1825z00_4799 =
													(BgL_objectz00_bglt) (BgL_tmpz00_9444);
											}
											{	/* SawMill/bbv-specialize.scm 338 */
												bool_t BgL_arg1822z00_4802;
												bool_t BgL_arg1823z00_4803;

												{	/* SawMill/bbv-specialize.scm 338 */
													long BgL_idxz00_4806;

													BgL_idxz00_4806 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4799);
													BgL_arg1822z00_4802 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4806 + ((long) 2))) ==
														BgL_classz00_4797);
												}
												{	/* SawMill/bbv-specialize.scm 338 */
													bool_t BgL_res2591z00_4828;

													{	/* SawMill/bbv-specialize.scm 338 */
														obj_t BgL_oclassz00_4814;

														{	/* SawMill/bbv-specialize.scm 338 */
															long BgL_arg1833z00_4820;

															{	/* SawMill/bbv-specialize.scm 338 */
																long BgL_arg1834z00_4821;

																BgL_arg1834z00_4821 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4799);
																BgL_arg1833z00_4820 =
																	(BgL_arg1834z00_4821 - OBJECT_TYPE);
															}
															BgL_oclassz00_4814 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_4820);
														}
														{	/* SawMill/bbv-specialize.scm 338 */
															bool_t BgL__ortest_1110z00_4815;

															BgL__ortest_1110z00_4815 =
																(BgL_classz00_4797 == BgL_oclassz00_4814);
															if (BgL__ortest_1110z00_4815)
																{	/* SawMill/bbv-specialize.scm 338 */
																	BgL_res2591z00_4828 =
																		BgL__ortest_1110z00_4815;
																}
															else
																{	/* SawMill/bbv-specialize.scm 338 */
																	long BgL_odepthz00_4816;

																	BgL_odepthz00_4816 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4814);
																	if ((((long) 2) < BgL_odepthz00_4816))
																		{	/* SawMill/bbv-specialize.scm 338 */
																			obj_t BgL_arg1821z00_4818;

																			BgL_arg1821z00_4818 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4814, ((long) 2));
																			BgL_res2591z00_4828 =
																				(BgL_arg1821z00_4818 ==
																				BgL_classz00_4797);
																		}
																	else
																		{	/* SawMill/bbv-specialize.scm 338 */
																			BgL_res2591z00_4828 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_4803 = BgL_res2591z00_4828;
												}
												BgL_test2870z00_9441 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_4802,
													BgL_arg1823z00_4803);
											}
										}
									}
								}
								if (BgL_test2870z00_9441)
									{	/* SawMill/bbv-specialize.scm 339 */
										obj_t BgL_arg2230z00_2845;

										BgL_arg2230z00_2845 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_az00_2838)))->BgL_destz00);
										{	/* SawMill/bbv-specialize.scm 339 */
											obj_t BgL_classz00_4829;

											BgL_classz00_4829 = BGl_rtl_regz00zzsaw_defsz00;
											if (BGL_OBJECTP(BgL_arg2230z00_2845))
												{	/* SawMill/bbv-specialize.scm 339 */
													BgL_objectz00_bglt BgL_arg1825z00_4831;

													BgL_arg1825z00_4831 =
														(BgL_objectz00_bglt) (BgL_arg2230z00_2845);
													{	/* SawMill/bbv-specialize.scm 339 */
														bool_t BgL_arg1822z00_4834;
														bool_t BgL_arg1823z00_4835;

														{	/* SawMill/bbv-specialize.scm 339 */
															long BgL_idxz00_4838;

															BgL_idxz00_4838 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4831);
															BgL_arg1822z00_4834 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4838 + ((long) 1))) ==
																BgL_classz00_4829);
														}
														{	/* SawMill/bbv-specialize.scm 339 */
															bool_t BgL_res2592z00_4860;

															{	/* SawMill/bbv-specialize.scm 339 */
																obj_t BgL_oclassz00_4846;

																{	/* SawMill/bbv-specialize.scm 339 */
																	long BgL_arg1833z00_4852;

																	{	/* SawMill/bbv-specialize.scm 339 */
																		long BgL_arg1834z00_4853;

																		BgL_arg1834z00_4853 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4831);
																		BgL_arg1833z00_4852 =
																			(BgL_arg1834z00_4853 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4846 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_4852);
																}
																{	/* SawMill/bbv-specialize.scm 339 */
																	bool_t BgL__ortest_1110z00_4847;

																	BgL__ortest_1110z00_4847 =
																		(BgL_classz00_4829 == BgL_oclassz00_4846);
																	if (BgL__ortest_1110z00_4847)
																		{	/* SawMill/bbv-specialize.scm 339 */
																			BgL_res2592z00_4860 =
																				BgL__ortest_1110z00_4847;
																		}
																	else
																		{	/* SawMill/bbv-specialize.scm 339 */
																			long BgL_odepthz00_4848;

																			BgL_odepthz00_4848 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_4846);
																			if ((((long) 1) < BgL_odepthz00_4848))
																				{	/* SawMill/bbv-specialize.scm 339 */
																					obj_t BgL_arg1821z00_4850;

																					BgL_arg1821z00_4850 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_4846, ((long) 1));
																					BgL_res2592z00_4860 =
																						(BgL_arg1821z00_4850 ==
																						BgL_classz00_4829);
																				}
																			else
																				{	/* SawMill/bbv-specialize.scm 339 */
																					BgL_res2592z00_4860 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_4835 = BgL_res2592z00_4860;
														}
														return
															BGL_ISA_C_BACKEND(BgL_arg1822z00_4834,
															BgL_arg1823z00_4835);
													}
												}
											else
												{	/* SawMill/bbv-specialize.scm 339 */
													return ((bool_t) 0);
												}
										}
									}
								else
									{	/* SawMill/bbv-specialize.scm 338 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* SawMill/bbv-specialize.scm 336 */
								return ((bool_t) 0);
							}
					}
			}
		}

	}



/* &rtl_ins-intcmp? */
	obj_t BGl_z62rtl_inszd2intcmpzf3z43zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5758, obj_t BgL_iz00_5759)
	{
		{	/* SawMill/bbv-specialize.scm 332 */
			return
				BBOOL(BGl_rtl_inszd2intcmpzf3z21zzsaw_bbvzd2specializa7ez75(
					((BgL_rtl_insz00_bglt) BgL_iz00_5759)));
		}

	}



/* rtl_ins-specialize-intcmp */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2specializa7ezd2intcmpza7zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_iz00_221, obj_t BgL_ctxz00_222)
	{
		{	/* SawMill/bbv-specialize.scm 354 */
			{
				obj_t BgL_iz00_2943;
				obj_t BgL_iz00_2969;
				obj_t BgL_opz00_2970;
				obj_t BgL_intlz00_2971;
				obj_t BgL_intrz00_2972;

				{	/* SawMill/bbv-specialize.scm 482 */
					obj_t BgL_lhsz00_2860;

					{	/* SawMill/bbv-specialize.scm 482 */
						obj_t BgL_pairz00_5313;

						BgL_pairz00_5313 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_iz00_221)))->BgL_argsz00);
						BgL_lhsz00_2860 = CAR(BgL_pairz00_5313);
					}
					{	/* SawMill/bbv-specialize.scm 482 */
						obj_t BgL_rhsz00_2861;

						{	/* SawMill/bbv-specialize.scm 483 */
							obj_t BgL_pairz00_5314;

							BgL_pairz00_5314 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_iz00_221)))->BgL_argsz00);
							BgL_rhsz00_2861 = CAR(CDR(BgL_pairz00_5314));
						}
						{	/* SawMill/bbv-specialize.scm 483 */
							obj_t BgL_intlz00_2862;

							BgL_intlz00_2862 =
								BGl_intervalzd2valuezd2zzsaw_bbvzd2specializa7ez75
								(BgL_lhsz00_2860, BgL_ctxz00_222);
							{	/* SawMill/bbv-specialize.scm 484 */
								obj_t BgL_intrz00_2863;

								BgL_intrz00_2863 =
									BGl_intervalzd2valuezd2zzsaw_bbvzd2specializa7ez75
									(BgL_rhsz00_2861, BgL_ctxz00_222);
								{	/* SawMill/bbv-specialize.scm 485 */
									obj_t BgL_sctxz00_2864;

									{	/* SawMill/bbv-specialize.scm 486 */
										obj_t BgL_arg2236z00_2892;

										BgL_arg2236z00_2892 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_iz00_221)))->BgL_destz00);
										{	/* SawMill/bbv-specialize.scm 486 */
											obj_t BgL_g1989z00_2895;

											BgL_g1989z00_2895 = BGl_za2boolza2z00zztype_cachez00;
											{	/* SawMill/bbv-types.scm 69 */
												obj_t BgL_valuez00_2897;

												BgL_valuez00_2897 = CNST_TABLE_REF(((long) 3));
												{	/* SawMill/bbv-types.scm 69 */

													BgL_sctxz00_2864 =
														BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
														(BgL_ctxz00_222, BgL_arg2236z00_2892,
														BgL_g1989z00_2895, BTRUE, BgL_valuez00_2897);
									}}}}
									{	/* SawMill/bbv-specialize.scm 486 */
										obj_t BgL_opz00_2865;

										BgL_iz00_2943 = BgL_iz00_221;
										{	/* SawMill/bbv-specialize.scm 389 */
											BgL_rtl_callz00_bglt BgL_i1486z00_2946;

											BgL_i1486z00_2946 =
												((BgL_rtl_callz00_bglt)
												(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_iz00_2943)))->
													BgL_funz00));
											{	/* SawMill/bbv-specialize.scm 391 */
												bool_t BgL_test2876z00_9502;

												{	/* SawMill/bbv-specialize.scm 391 */
													BgL_globalz00_bglt BgL_arg2281z00_2961;

													BgL_arg2281z00_2961 =
														(((BgL_rtl_callz00_bglt)
															COBJECT(BgL_i1486z00_2946))->BgL_varz00);
													BgL_test2876z00_9502 =
														(((obj_t) BgL_arg2281z00_2961) ==
														BGl_za2zc3fxza2zc3zzsaw_bbvzd2cachezd2);
												}
												if (BgL_test2876z00_9502)
													{	/* SawMill/bbv-specialize.scm 391 */
														BgL_opz00_2865 = CNST_TABLE_REF(((long) 4));
													}
												else
													{	/* SawMill/bbv-specialize.scm 392 */
														bool_t BgL_test2877z00_9507;

														{	/* SawMill/bbv-specialize.scm 392 */
															BgL_globalz00_bglt BgL_arg2280z00_2960;

															BgL_arg2280z00_2960 =
																(((BgL_rtl_callz00_bglt)
																	COBJECT(BgL_i1486z00_2946))->BgL_varz00);
															BgL_test2877z00_9507 =
																(((obj_t) BgL_arg2280z00_2960) ==
																BGl_za2zc3zd3fxza2z10zzsaw_bbvzd2cachezd2);
														}
														if (BgL_test2877z00_9507)
															{	/* SawMill/bbv-specialize.scm 392 */
																BgL_opz00_2865 = CNST_TABLE_REF(((long) 5));
															}
														else
															{	/* SawMill/bbv-specialize.scm 393 */
																bool_t BgL_test2878z00_9512;

																{	/* SawMill/bbv-specialize.scm 393 */
																	BgL_globalz00_bglt BgL_arg2278z00_2959;

																	BgL_arg2278z00_2959 =
																		(((BgL_rtl_callz00_bglt)
																			COBJECT(BgL_i1486z00_2946))->BgL_varz00);
																	BgL_test2878z00_9512 =
																		(((obj_t) BgL_arg2278z00_2959) ==
																		BGl_za2ze3fxza2ze3zzsaw_bbvzd2cachezd2);
																}
																if (BgL_test2878z00_9512)
																	{	/* SawMill/bbv-specialize.scm 393 */
																		BgL_opz00_2865 = CNST_TABLE_REF(((long) 7));
																	}
																else
																	{	/* SawMill/bbv-specialize.scm 394 */
																		bool_t BgL_test2879z00_9517;

																		{	/* SawMill/bbv-specialize.scm 394 */
																			BgL_globalz00_bglt BgL_arg2277z00_2958;

																			BgL_arg2277z00_2958 =
																				(((BgL_rtl_callz00_bglt)
																					COBJECT(BgL_i1486z00_2946))->
																				BgL_varz00);
																			BgL_test2879z00_9517 =
																				(((obj_t) BgL_arg2277z00_2958) ==
																				BGl_za2ze3zd3fxza2z30zzsaw_bbvzd2cachezd2);
																		}
																		if (BgL_test2879z00_9517)
																			{	/* SawMill/bbv-specialize.scm 394 */
																				BgL_opz00_2865 =
																					CNST_TABLE_REF(((long) 6));
																			}
																		else
																			{	/* SawMill/bbv-specialize.scm 395 */
																				bool_t BgL_test2880z00_9522;

																				{	/* SawMill/bbv-specialize.scm 395 */
																					BgL_globalz00_bglt
																						BgL_arg2276z00_2957;
																					BgL_arg2276z00_2957 =
																						(((BgL_rtl_callz00_bglt)
																							COBJECT(BgL_i1486z00_2946))->
																						BgL_varz00);
																					BgL_test2880z00_9522 =
																						(((obj_t) BgL_arg2276z00_2957) ==
																						BGl_za2zd3fxza2zd3zzsaw_bbvzd2cachezd2);
																				}
																				if (BgL_test2880z00_9522)
																					{	/* SawMill/bbv-specialize.scm 395 */
																						BgL_opz00_2865 =
																							CNST_TABLE_REF(((long) 8));
																					}
																				else
																					{	/* SawMill/bbv-specialize.scm 395 */
																						BgL_opz00_2865 = BFALSE;
																					}
																			}
																	}
															}
													}
											}
										}
										{	/* SawMill/bbv-specialize.scm 487 */

											{	/* SawMill/bbv-specialize.scm 489 */
												bool_t BgL_test2881z00_9527;

												{	/* SawMill/bbv-specialize.scm 489 */
													bool_t BgL_test2882z00_9528;

													if (STRUCTP(BgL_intlz00_2862))
														{	/* SawMill/bbv-specialize.scm 489 */
															BgL_test2882z00_9528 =
																(STRUCT_KEY(BgL_intlz00_2862) ==
																CNST_TABLE_REF(((long) 0)));
														}
													else
														{	/* SawMill/bbv-specialize.scm 489 */
															BgL_test2882z00_9528 = ((bool_t) 0);
														}
													if (BgL_test2882z00_9528)
														{	/* SawMill/bbv-specialize.scm 489 */
															if (STRUCTP(BgL_intrz00_2863))
																{	/* SawMill/bbv-specialize.scm 489 */
																	BgL_test2881z00_9527 =
																		(STRUCT_KEY(BgL_intrz00_2863) ==
																		CNST_TABLE_REF(((long) 0)));
																}
															else
																{	/* SawMill/bbv-specialize.scm 489 */
																	BgL_test2881z00_9527 = ((bool_t) 0);
																}
														}
													else
														{	/* SawMill/bbv-specialize.scm 489 */
															BgL_test2881z00_9527 = ((bool_t) 0);
														}
												}
												if (BgL_test2881z00_9527)
													{	/* SawMill/bbv-specialize.scm 494 */
														obj_t BgL_g1543z00_2868;

														BgL_iz00_2969 = BgL_iz00_221;
														BgL_opz00_2970 = BgL_opz00_2865;
														BgL_intlz00_2971 = BgL_intlz00_2862;
														BgL_intrz00_2972 = BgL_intrz00_2863;
														if ((BgL_opz00_2970 == CNST_TABLE_REF(((long) 4))))
															{	/* SawMill/bbv-specialize.scm 408 */
																BgL_rtl_insz00_bglt BgL_new1487z00_2977;

																{	/* SawMill/bbv-specialize.scm 408 */
																	BgL_rtl_insz00_bglt BgL_tmp1495z00_2983;
																	BgL_rtl_inszf2bbvzf2_bglt
																		BgL_wide1496z00_2984;
																	{
																		BgL_rtl_insz00_bglt BgL_auxz00_9542;

																		{	/* SawMill/bbv-specialize.scm 408 */
																			BgL_rtl_insz00_bglt BgL_new1494z00_2986;

																			BgL_new1494z00_2986 =
																				((BgL_rtl_insz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_insz00_bgl))));
																			{	/* SawMill/bbv-specialize.scm 408 */
																				long BgL_arg2291z00_2987;

																				BgL_arg2291z00_2987 =
																					BGL_CLASS_NUM
																					(BGl_rtl_insz00zzsaw_defsz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1494z00_2986),
																					BgL_arg2291z00_2987);
																			}
																			{	/* SawMill/bbv-specialize.scm 408 */
																				BgL_objectz00_bglt BgL_tmpz00_9547;

																				BgL_tmpz00_9547 =
																					((BgL_objectz00_bglt)
																					BgL_new1494z00_2986);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9547,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1494z00_2986);
																			BgL_auxz00_9542 = BgL_new1494z00_2986;
																		}
																		BgL_tmp1495z00_2983 =
																			((BgL_rtl_insz00_bglt) BgL_auxz00_9542);
																	}
																	BgL_wide1496z00_2984 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_inszf2bbvzf2_bgl))));
																	{	/* SawMill/bbv-specialize.scm 408 */
																		obj_t BgL_auxz00_9555;
																		BgL_objectz00_bglt BgL_tmpz00_9553;

																		BgL_auxz00_9555 =
																			((obj_t) BgL_wide1496z00_2984);
																		BgL_tmpz00_9553 =
																			((BgL_objectz00_bglt)
																			BgL_tmp1495z00_2983);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9553,
																			BgL_auxz00_9555);
																	}
																	((BgL_objectz00_bglt) BgL_tmp1495z00_2983);
																	{	/* SawMill/bbv-specialize.scm 408 */
																		long BgL_arg2290z00_2985;

																		BgL_arg2290z00_2985 =
																			BGL_CLASS_NUM
																			(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_tmp1495z00_2983),
																			BgL_arg2290z00_2985);
																	}
																	BgL_new1487z00_2977 =
																		((BgL_rtl_insz00_bglt) BgL_tmp1495z00_2983);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1487z00_2977)))->BgL_locz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(((BgL_rtl_insz00_bglt)
																						BgL_iz00_2969)))->BgL_locz00)),
																	BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1487z00_2977)))->
																		BgL_z52spillz52) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(((BgL_rtl_insz00_bglt)
																						BgL_iz00_2969)))->BgL_z52spillz52)),
																	BUNSPEC);
																((((BgL_rtl_insz00_bglt)
																			COBJECT(((BgL_rtl_insz00_bglt)
																					BgL_new1487z00_2977)))->BgL_destz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(((BgL_rtl_insz00_bglt)
																						BgL_iz00_2969)))->BgL_destz00)),
																	BUNSPEC);
																{
																	BgL_rtl_funz00_bglt BgL_auxz00_9575;

																	if (
																		((long) CINT(STRUCT_REF(BgL_intlz00_2971,
																					(int) (((long) 1)))) <
																			(long) CINT(STRUCT_REF(BgL_intrz00_2972,
																					(int) (((long) 0))))))
																		{	/* SawMill/bbv-specialize.scm 409 */
																			BgL_auxz00_9575 =
																				((BgL_rtl_funz00_bglt)
																				BGl_trueze70ze7zzsaw_bbvzd2specializa7ez75
																				());
																		}
																	else
																		{	/* SawMill/bbv-specialize.scm 409 */
																			BgL_auxz00_9575 =
																				((BgL_rtl_funz00_bglt)
																				BGl_falseze70ze7zzsaw_bbvzd2specializa7ez75
																				());
																		}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_new1487z00_2977)))->
																			BgL_funz00) =
																		((BgL_rtl_funz00_bglt) BgL_auxz00_9575),
																		BUNSPEC);
																}
																((((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_new1487z00_2977)))->BgL_argsz00) =
																	((obj_t) (((BgL_rtl_insz00_bglt)
																				COBJECT(((BgL_rtl_insz00_bglt)
																						BgL_iz00_2969)))->BgL_argsz00)),
																	BUNSPEC);
																{
																	obj_t BgL_auxz00_9600;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9594;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9601;

																		{
																			obj_t BgL_auxz00_9602;

																			{	/* SawMill/bbv-specialize.scm 409 */
																				BgL_objectz00_bglt BgL_tmpz00_9603;

																				BgL_tmpz00_9603 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_2969)));
																				BgL_auxz00_9602 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_9603);
																			}
																			BgL_auxz00_9601 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_9602);
																		}
																		BgL_auxz00_9600 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_9601))->BgL_defz00);
																	}
																	{
																		obj_t BgL_auxz00_9595;

																		{	/* SawMill/bbv-specialize.scm 409 */
																			BgL_objectz00_bglt BgL_tmpz00_9596;

																			BgL_tmpz00_9596 =
																				((BgL_objectz00_bglt)
																				BgL_new1487z00_2977);
																			BgL_auxz00_9595 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_9596);
																		}
																		BgL_auxz00_9594 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_9595);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_9594))->BgL_defz00) =
																		((obj_t) BgL_auxz00_9600), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_9617;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9611;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9618;

																		{
																			obj_t BgL_auxz00_9619;

																			{	/* SawMill/bbv-specialize.scm 409 */
																				BgL_objectz00_bglt BgL_tmpz00_9620;

																				BgL_tmpz00_9620 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_2969)));
																				BgL_auxz00_9619 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_9620);
																			}
																			BgL_auxz00_9618 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_9619);
																		}
																		BgL_auxz00_9617 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_9618))->BgL_outz00);
																	}
																	{
																		obj_t BgL_auxz00_9612;

																		{	/* SawMill/bbv-specialize.scm 409 */
																			BgL_objectz00_bglt BgL_tmpz00_9613;

																			BgL_tmpz00_9613 =
																				((BgL_objectz00_bglt)
																				BgL_new1487z00_2977);
																			BgL_auxz00_9612 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_9613);
																		}
																		BgL_auxz00_9611 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_9612);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_9611))->BgL_outz00) =
																		((obj_t) BgL_auxz00_9617), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_9634;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9628;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9635;

																		{
																			obj_t BgL_auxz00_9636;

																			{	/* SawMill/bbv-specialize.scm 409 */
																				BgL_objectz00_bglt BgL_tmpz00_9637;

																				BgL_tmpz00_9637 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_2969)));
																				BgL_auxz00_9636 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_9637);
																			}
																			BgL_auxz00_9635 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_9636);
																		}
																		BgL_auxz00_9634 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_9635))->BgL_inz00);
																	}
																	{
																		obj_t BgL_auxz00_9629;

																		{	/* SawMill/bbv-specialize.scm 409 */
																			BgL_objectz00_bglt BgL_tmpz00_9630;

																			BgL_tmpz00_9630 =
																				((BgL_objectz00_bglt)
																				BgL_new1487z00_2977);
																			BgL_auxz00_9629 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_9630);
																		}
																		BgL_auxz00_9628 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_9629);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_9628))->BgL_inz00) =
																		((obj_t) BgL_auxz00_9634), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_9651;
																	BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9645;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9652;

																		{
																			obj_t BgL_auxz00_9653;

																			{	/* SawMill/bbv-specialize.scm 409 */
																				BgL_objectz00_bglt BgL_tmpz00_9654;

																				BgL_tmpz00_9654 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_2969)));
																				BgL_auxz00_9653 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_9654);
																			}
																			BgL_auxz00_9652 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_9653);
																		}
																		BgL_auxz00_9651 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_9652))->
																			BgL_z52hashz52);
																	}
																	{
																		obj_t BgL_auxz00_9646;

																		{	/* SawMill/bbv-specialize.scm 409 */
																			BgL_objectz00_bglt BgL_tmpz00_9647;

																			BgL_tmpz00_9647 =
																				((BgL_objectz00_bglt)
																				BgL_new1487z00_2977);
																			BgL_auxz00_9646 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_9647);
																		}
																		BgL_auxz00_9645 =
																			((BgL_rtl_inszf2bbvzf2_bglt)
																			BgL_auxz00_9646);
																	}
																	((((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_9645))->
																			BgL_z52hashz52) =
																		((obj_t) BgL_auxz00_9651), BUNSPEC);
																}
																BgL_g1543z00_2868 =
																	((obj_t) BgL_new1487z00_2977);
															}
														else
															{	/* SawMill/bbv-specialize.scm 406 */
																if (
																	(BgL_opz00_2970 ==
																		CNST_TABLE_REF(((long) 5))))
																	{	/* SawMill/bbv-specialize.scm 411 */
																		BgL_rtl_insz00_bglt BgL_new1497z00_2990;

																		{	/* SawMill/bbv-specialize.scm 411 */
																			BgL_rtl_insz00_bglt BgL_tmp1505z00_2996;
																			BgL_rtl_inszf2bbvzf2_bglt
																				BgL_wide1506z00_2997;
																			{
																				BgL_rtl_insz00_bglt BgL_auxz00_9666;

																				{	/* SawMill/bbv-specialize.scm 411 */
																					BgL_rtl_insz00_bglt
																						BgL_new1504z00_2999;
																					BgL_new1504z00_2999 =
																						((BgL_rtl_insz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_insz00_bgl))));
																					{	/* SawMill/bbv-specialize.scm 411 */
																						long BgL_arg2295z00_3000;

																						BgL_arg2295z00_3000 =
																							BGL_CLASS_NUM
																							(BGl_rtl_insz00zzsaw_defsz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1504z00_2999),
																							BgL_arg2295z00_3000);
																					}
																					{	/* SawMill/bbv-specialize.scm 411 */
																						BgL_objectz00_bglt BgL_tmpz00_9671;

																						BgL_tmpz00_9671 =
																							((BgL_objectz00_bglt)
																							BgL_new1504z00_2999);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_9671, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1504z00_2999);
																					BgL_auxz00_9666 = BgL_new1504z00_2999;
																				}
																				BgL_tmp1505z00_2996 =
																					((BgL_rtl_insz00_bglt)
																					BgL_auxz00_9666);
																			}
																			BgL_wide1506z00_2997 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_inszf2bbvzf2_bgl))));
																			{	/* SawMill/bbv-specialize.scm 411 */
																				obj_t BgL_auxz00_9679;
																				BgL_objectz00_bglt BgL_tmpz00_9677;

																				BgL_auxz00_9679 =
																					((obj_t) BgL_wide1506z00_2997);
																				BgL_tmpz00_9677 =
																					((BgL_objectz00_bglt)
																					BgL_tmp1505z00_2996);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9677,
																					BgL_auxz00_9679);
																			}
																			((BgL_objectz00_bglt)
																				BgL_tmp1505z00_2996);
																			{	/* SawMill/bbv-specialize.scm 411 */
																				long BgL_arg2294z00_2998;

																				BgL_arg2294z00_2998 =
																					BGL_CLASS_NUM
																					(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_tmp1505z00_2996),
																					BgL_arg2294z00_2998);
																			}
																			BgL_new1497z00_2990 =
																				((BgL_rtl_insz00_bglt)
																				BgL_tmp1505z00_2996);
																		}
																		((((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_new1497z00_2990)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_iz00_2969)))->BgL_locz00)),
																			BUNSPEC);
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_new1497z00_2990)))->
																				BgL_z52spillz52) =
																			((obj_t) (((BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_iz00_2969)))->
																					BgL_z52spillz52)), BUNSPEC);
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(((BgL_rtl_insz00_bglt)
																							BgL_new1497z00_2990)))->
																				BgL_destz00) =
																			((obj_t) (((BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_iz00_2969)))->BgL_destz00)),
																			BUNSPEC);
																		{
																			BgL_rtl_funz00_bglt BgL_auxz00_9699;

																			if (
																				((long)
																					CINT(STRUCT_REF(BgL_intlz00_2971,
																							(int) (((long) 1)))) <=
																					(long)
																					CINT(STRUCT_REF(BgL_intrz00_2972,
																							(int) (((long) 0))))))
																				{	/* SawMill/bbv-specialize.scm 412 */
																					BgL_auxz00_9699 =
																						((BgL_rtl_funz00_bglt)
																						BGl_trueze70ze7zzsaw_bbvzd2specializa7ez75
																						());
																				}
																			else
																				{	/* SawMill/bbv-specialize.scm 412 */
																					BgL_auxz00_9699 =
																						((BgL_rtl_funz00_bglt)
																						BGl_falseze70ze7zzsaw_bbvzd2specializa7ez75
																						());
																				}
																			((((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_new1497z00_2990)))->
																					BgL_funz00) =
																				((BgL_rtl_funz00_bglt) BgL_auxz00_9699),
																				BUNSPEC);
																		}
																		((((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_new1497z00_2990)))->
																				BgL_argsz00) =
																			((obj_t) (((BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_iz00_2969)))->BgL_argsz00)),
																			BUNSPEC);
																		{
																			obj_t BgL_auxz00_9724;
																			BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9718;

																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_9725;
																				{
																					obj_t BgL_auxz00_9726;

																					{	/* SawMill/bbv-specialize.scm 412 */
																						BgL_objectz00_bglt BgL_tmpz00_9727;

																						BgL_tmpz00_9727 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								((BgL_rtl_insz00_bglt)
																									BgL_iz00_2969)));
																						BgL_auxz00_9726 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_9727);
																					}
																					BgL_auxz00_9725 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_9726);
																				}
																				BgL_auxz00_9724 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_9725))->
																					BgL_defz00);
																			}
																			{
																				obj_t BgL_auxz00_9719;

																				{	/* SawMill/bbv-specialize.scm 412 */
																					BgL_objectz00_bglt BgL_tmpz00_9720;

																					BgL_tmpz00_9720 =
																						((BgL_objectz00_bglt)
																						BgL_new1497z00_2990);
																					BgL_auxz00_9719 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_9720);
																				}
																				BgL_auxz00_9718 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_9719);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_9718))->
																					BgL_defz00) =
																				((obj_t) BgL_auxz00_9724), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_9741;
																			BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9735;

																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_9742;
																				{
																					obj_t BgL_auxz00_9743;

																					{	/* SawMill/bbv-specialize.scm 412 */
																						BgL_objectz00_bglt BgL_tmpz00_9744;

																						BgL_tmpz00_9744 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								((BgL_rtl_insz00_bglt)
																									BgL_iz00_2969)));
																						BgL_auxz00_9743 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_9744);
																					}
																					BgL_auxz00_9742 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_9743);
																				}
																				BgL_auxz00_9741 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_9742))->
																					BgL_outz00);
																			}
																			{
																				obj_t BgL_auxz00_9736;

																				{	/* SawMill/bbv-specialize.scm 412 */
																					BgL_objectz00_bglt BgL_tmpz00_9737;

																					BgL_tmpz00_9737 =
																						((BgL_objectz00_bglt)
																						BgL_new1497z00_2990);
																					BgL_auxz00_9736 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_9737);
																				}
																				BgL_auxz00_9735 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_9736);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_9735))->
																					BgL_outz00) =
																				((obj_t) BgL_auxz00_9741), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_9758;
																			BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9752;

																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_9759;
																				{
																					obj_t BgL_auxz00_9760;

																					{	/* SawMill/bbv-specialize.scm 412 */
																						BgL_objectz00_bglt BgL_tmpz00_9761;

																						BgL_tmpz00_9761 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								((BgL_rtl_insz00_bglt)
																									BgL_iz00_2969)));
																						BgL_auxz00_9760 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_9761);
																					}
																					BgL_auxz00_9759 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_9760);
																				}
																				BgL_auxz00_9758 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_9759))->
																					BgL_inz00);
																			}
																			{
																				obj_t BgL_auxz00_9753;

																				{	/* SawMill/bbv-specialize.scm 412 */
																					BgL_objectz00_bglt BgL_tmpz00_9754;

																					BgL_tmpz00_9754 =
																						((BgL_objectz00_bglt)
																						BgL_new1497z00_2990);
																					BgL_auxz00_9753 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_9754);
																				}
																				BgL_auxz00_9752 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_9753);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_9752))->
																					BgL_inz00) =
																				((obj_t) BgL_auxz00_9758), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_9775;
																			BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9769;

																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_9776;
																				{
																					obj_t BgL_auxz00_9777;

																					{	/* SawMill/bbv-specialize.scm 412 */
																						BgL_objectz00_bglt BgL_tmpz00_9778;

																						BgL_tmpz00_9778 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								((BgL_rtl_insz00_bglt)
																									BgL_iz00_2969)));
																						BgL_auxz00_9777 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_9778);
																					}
																					BgL_auxz00_9776 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_9777);
																				}
																				BgL_auxz00_9775 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_9776))->
																					BgL_z52hashz52);
																			}
																			{
																				obj_t BgL_auxz00_9770;

																				{	/* SawMill/bbv-specialize.scm 412 */
																					BgL_objectz00_bglt BgL_tmpz00_9771;

																					BgL_tmpz00_9771 =
																						((BgL_objectz00_bglt)
																						BgL_new1497z00_2990);
																					BgL_auxz00_9770 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_9771);
																				}
																				BgL_auxz00_9769 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BgL_auxz00_9770);
																			}
																			((((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_9769))->
																					BgL_z52hashz52) =
																				((obj_t) BgL_auxz00_9775), BUNSPEC);
																		}
																		BgL_g1543z00_2868 =
																			((obj_t) BgL_new1497z00_2990);
																	}
																else
																	{	/* SawMill/bbv-specialize.scm 406 */
																		if (
																			(BgL_opz00_2970 ==
																				CNST_TABLE_REF(((long) 6))))
																			{	/* SawMill/bbv-specialize.scm 414 */
																				BgL_rtl_insz00_bglt BgL_new1507z00_3003;

																				{	/* SawMill/bbv-specialize.scm 414 */
																					BgL_rtl_insz00_bglt
																						BgL_tmp1515z00_3009;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_wide1516z00_3010;
																					{
																						BgL_rtl_insz00_bglt BgL_auxz00_9790;

																						{	/* SawMill/bbv-specialize.scm 414 */
																							BgL_rtl_insz00_bglt
																								BgL_new1514z00_3012;
																							BgL_new1514z00_3012 =
																								((BgL_rtl_insz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_rtl_insz00_bgl))));
																							{	/* SawMill/bbv-specialize.scm 414 */
																								long BgL_arg2299z00_3013;

																								BgL_arg2299z00_3013 =
																									BGL_CLASS_NUM
																									(BGl_rtl_insz00zzsaw_defsz00);
																								BGL_OBJECT_CLASS_NUM_SET((
																										(BgL_objectz00_bglt)
																										BgL_new1514z00_3012),
																									BgL_arg2299z00_3013);
																							}
																							{	/* SawMill/bbv-specialize.scm 414 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_9795;
																								BgL_tmpz00_9795 =
																									((BgL_objectz00_bglt)
																									BgL_new1514z00_3012);
																								BGL_OBJECT_WIDENING_SET
																									(BgL_tmpz00_9795, BFALSE);
																							}
																							((BgL_objectz00_bglt)
																								BgL_new1514z00_3012);
																							BgL_auxz00_9790 =
																								BgL_new1514z00_3012;
																						}
																						BgL_tmp1515z00_3009 =
																							((BgL_rtl_insz00_bglt)
																							BgL_auxz00_9790);
																					}
																					BgL_wide1516z00_3010 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_inszf2bbvzf2_bgl))));
																					{	/* SawMill/bbv-specialize.scm 414 */
																						obj_t BgL_auxz00_9803;
																						BgL_objectz00_bglt BgL_tmpz00_9801;

																						BgL_auxz00_9803 =
																							((obj_t) BgL_wide1516z00_3010);
																						BgL_tmpz00_9801 =
																							((BgL_objectz00_bglt)
																							BgL_tmp1515z00_3009);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_9801,
																							BgL_auxz00_9803);
																					}
																					((BgL_objectz00_bglt)
																						BgL_tmp1515z00_3009);
																					{	/* SawMill/bbv-specialize.scm 414 */
																						long BgL_arg2298z00_3011;

																						BgL_arg2298z00_3011 =
																							BGL_CLASS_NUM
																							(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_tmp1515z00_3009),
																							BgL_arg2298z00_3011);
																					}
																					BgL_new1507z00_3003 =
																						((BgL_rtl_insz00_bglt)
																						BgL_tmp1515z00_3009);
																				}
																				((((BgL_rtl_insz00_bglt) COBJECT(
																								((BgL_rtl_insz00_bglt)
																									BgL_new1507z00_3003)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_iz00_2969)))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_new1507z00_3003)))->
																						BgL_z52spillz52) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_iz00_2969)))->
																							BgL_z52spillz52)), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(((BgL_rtl_insz00_bglt)
																									BgL_new1507z00_3003)))->
																						BgL_destz00) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_iz00_2969)))->
																							BgL_destz00)), BUNSPEC);
																				{
																					BgL_rtl_funz00_bglt BgL_auxz00_9823;

																					if (
																						((long)
																							CINT(STRUCT_REF(BgL_intlz00_2971,
																									(int) (((long) 0)))) >=
																							(long)
																							CINT(STRUCT_REF(BgL_intrz00_2972,
																									(int) (((long) 1))))))
																						{	/* SawMill/bbv-specialize.scm 415 */
																							BgL_auxz00_9823 =
																								((BgL_rtl_funz00_bglt)
																								BGl_trueze70ze7zzsaw_bbvzd2specializa7ez75
																								());
																						}
																					else
																						{	/* SawMill/bbv-specialize.scm 415 */
																							BgL_auxz00_9823 =
																								((BgL_rtl_funz00_bglt)
																								BGl_falseze70ze7zzsaw_bbvzd2specializa7ez75
																								());
																						}
																					((((BgL_rtl_insz00_bglt) COBJECT(
																									((BgL_rtl_insz00_bglt)
																										BgL_new1507z00_3003)))->
																							BgL_funz00) =
																						((BgL_rtl_funz00_bglt)
																							BgL_auxz00_9823), BUNSPEC);
																				}
																				((((BgL_rtl_insz00_bglt) COBJECT(
																								((BgL_rtl_insz00_bglt)
																									BgL_new1507z00_3003)))->
																						BgL_argsz00) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_iz00_2969)))->
																							BgL_argsz00)), BUNSPEC);
																				{
																					obj_t BgL_auxz00_9848;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_9842;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_9849;
																						{
																							obj_t BgL_auxz00_9850;

																							{	/* SawMill/bbv-specialize.scm 415 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_9851;
																								BgL_tmpz00_9851 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_2969)));
																								BgL_auxz00_9850 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_9851);
																							}
																							BgL_auxz00_9849 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_9850);
																						}
																						BgL_auxz00_9848 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_9849))->
																							BgL_defz00);
																					}
																					{
																						obj_t BgL_auxz00_9843;

																						{	/* SawMill/bbv-specialize.scm 415 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_9844;
																							BgL_tmpz00_9844 =
																								((BgL_objectz00_bglt)
																								BgL_new1507z00_3003);
																							BgL_auxz00_9843 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_9844);
																						}
																						BgL_auxz00_9842 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_9843);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_9842))->
																							BgL_defz00) =
																						((obj_t) BgL_auxz00_9848), BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_9865;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_9859;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_9866;
																						{
																							obj_t BgL_auxz00_9867;

																							{	/* SawMill/bbv-specialize.scm 415 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_9868;
																								BgL_tmpz00_9868 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_2969)));
																								BgL_auxz00_9867 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_9868);
																							}
																							BgL_auxz00_9866 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_9867);
																						}
																						BgL_auxz00_9865 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_9866))->
																							BgL_outz00);
																					}
																					{
																						obj_t BgL_auxz00_9860;

																						{	/* SawMill/bbv-specialize.scm 415 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_9861;
																							BgL_tmpz00_9861 =
																								((BgL_objectz00_bglt)
																								BgL_new1507z00_3003);
																							BgL_auxz00_9860 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_9861);
																						}
																						BgL_auxz00_9859 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_9860);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_9859))->
																							BgL_outz00) =
																						((obj_t) BgL_auxz00_9865), BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_9882;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_9876;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_9883;
																						{
																							obj_t BgL_auxz00_9884;

																							{	/* SawMill/bbv-specialize.scm 415 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_9885;
																								BgL_tmpz00_9885 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_2969)));
																								BgL_auxz00_9884 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_9885);
																							}
																							BgL_auxz00_9883 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_9884);
																						}
																						BgL_auxz00_9882 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_9883))->
																							BgL_inz00);
																					}
																					{
																						obj_t BgL_auxz00_9877;

																						{	/* SawMill/bbv-specialize.scm 415 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_9878;
																							BgL_tmpz00_9878 =
																								((BgL_objectz00_bglt)
																								BgL_new1507z00_3003);
																							BgL_auxz00_9877 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_9878);
																						}
																						BgL_auxz00_9876 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_9877);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_9876))->
																							BgL_inz00) =
																						((obj_t) BgL_auxz00_9882), BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_9899;
																					BgL_rtl_inszf2bbvzf2_bglt
																						BgL_auxz00_9893;
																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_9900;
																						{
																							obj_t BgL_auxz00_9901;

																							{	/* SawMill/bbv-specialize.scm 415 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_9902;
																								BgL_tmpz00_9902 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_insz00_bglt) (
																											(BgL_rtl_insz00_bglt)
																											BgL_iz00_2969)));
																								BgL_auxz00_9901 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_9902);
																							}
																							BgL_auxz00_9900 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_9901);
																						}
																						BgL_auxz00_9899 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_9900))->
																							BgL_z52hashz52);
																					}
																					{
																						obj_t BgL_auxz00_9894;

																						{	/* SawMill/bbv-specialize.scm 415 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_9895;
																							BgL_tmpz00_9895 =
																								((BgL_objectz00_bglt)
																								BgL_new1507z00_3003);
																							BgL_auxz00_9894 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_9895);
																						}
																						BgL_auxz00_9893 =
																							((BgL_rtl_inszf2bbvzf2_bglt)
																							BgL_auxz00_9894);
																					}
																					((((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_9893))->
																							BgL_z52hashz52) =
																						((obj_t) BgL_auxz00_9899), BUNSPEC);
																				}
																				BgL_g1543z00_2868 =
																					((obj_t) BgL_new1507z00_3003);
																			}
																		else
																			{	/* SawMill/bbv-specialize.scm 406 */
																				if (
																					(BgL_opz00_2970 ==
																						CNST_TABLE_REF(((long) 7))))
																					{	/* SawMill/bbv-specialize.scm 417 */
																						BgL_rtl_insz00_bglt
																							BgL_new1517z00_3016;
																						{	/* SawMill/bbv-specialize.scm 417 */
																							BgL_rtl_insz00_bglt
																								BgL_tmp1525z00_3022;
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_wide1526z00_3023;
																							{
																								BgL_rtl_insz00_bglt
																									BgL_auxz00_9914;
																								{	/* SawMill/bbv-specialize.scm 417 */
																									BgL_rtl_insz00_bglt
																										BgL_new1524z00_3025;
																									BgL_new1524z00_3025 =
																										((BgL_rtl_insz00_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_rtl_insz00_bgl))));
																									{	/* SawMill/bbv-specialize.scm 417 */
																										long BgL_arg2304z00_3026;

																										BgL_arg2304z00_3026 =
																											BGL_CLASS_NUM
																											(BGl_rtl_insz00zzsaw_defsz00);
																										BGL_OBJECT_CLASS_NUM_SET((
																												(BgL_objectz00_bglt)
																												BgL_new1524z00_3025),
																											BgL_arg2304z00_3026);
																									}
																									{	/* SawMill/bbv-specialize.scm 417 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_9919;
																										BgL_tmpz00_9919 =
																											((BgL_objectz00_bglt)
																											BgL_new1524z00_3025);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_9919, BFALSE);
																									}
																									((BgL_objectz00_bglt)
																										BgL_new1524z00_3025);
																									BgL_auxz00_9914 =
																										BgL_new1524z00_3025;
																								}
																								BgL_tmp1525z00_3022 =
																									((BgL_rtl_insz00_bglt)
																									BgL_auxz00_9914);
																							}
																							BgL_wide1526z00_3023 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_rtl_inszf2bbvzf2_bgl))));
																							{	/* SawMill/bbv-specialize.scm 417 */
																								obj_t BgL_auxz00_9927;
																								BgL_objectz00_bglt
																									BgL_tmpz00_9925;
																								BgL_auxz00_9927 =
																									((obj_t)
																									BgL_wide1526z00_3023);
																								BgL_tmpz00_9925 =
																									((BgL_objectz00_bglt)
																									BgL_tmp1525z00_3022);
																								BGL_OBJECT_WIDENING_SET
																									(BgL_tmpz00_9925,
																									BgL_auxz00_9927);
																							}
																							((BgL_objectz00_bglt)
																								BgL_tmp1525z00_3022);
																							{	/* SawMill/bbv-specialize.scm 417 */
																								long BgL_arg2302z00_3024;

																								BgL_arg2302z00_3024 =
																									BGL_CLASS_NUM
																									(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																								BGL_OBJECT_CLASS_NUM_SET((
																										(BgL_objectz00_bglt)
																										BgL_tmp1525z00_3022),
																									BgL_arg2302z00_3024);
																							}
																							BgL_new1517z00_3016 =
																								((BgL_rtl_insz00_bglt)
																								BgL_tmp1525z00_3022);
																						}
																						((((BgL_rtl_insz00_bglt) COBJECT(
																										((BgL_rtl_insz00_bglt)
																											BgL_new1517z00_3016)))->
																								BgL_locz00) =
																							((obj_t) (((BgL_rtl_insz00_bglt)
																										COBJECT((
																												(BgL_rtl_insz00_bglt)
																												BgL_iz00_2969)))->
																									BgL_locz00)), BUNSPEC);
																						((((BgL_rtl_insz00_bglt)
																									COBJECT(((BgL_rtl_insz00_bglt)
																											BgL_new1517z00_3016)))->
																								BgL_z52spillz52) =
																							((obj_t) (((BgL_rtl_insz00_bglt)
																										COBJECT((
																												(BgL_rtl_insz00_bglt)
																												BgL_iz00_2969)))->
																									BgL_z52spillz52)), BUNSPEC);
																						((((BgL_rtl_insz00_bglt)
																									COBJECT(((BgL_rtl_insz00_bglt)
																											BgL_new1517z00_3016)))->
																								BgL_destz00) =
																							((obj_t) (((BgL_rtl_insz00_bglt)
																										COBJECT((
																												(BgL_rtl_insz00_bglt)
																												BgL_iz00_2969)))->
																									BgL_destz00)), BUNSPEC);
																						{
																							BgL_rtl_funz00_bglt
																								BgL_auxz00_9947;
																							if (((long)
																									CINT(STRUCT_REF
																										(BgL_intlz00_2971,
																											(int) (((long) 0)))) >
																									(long)
																									CINT(STRUCT_REF
																										(BgL_intrz00_2972,
																											(int) (((long) 1))))))
																								{	/* SawMill/bbv-specialize.scm 418 */
																									BgL_auxz00_9947 =
																										((BgL_rtl_funz00_bglt)
																										BGl_trueze70ze7zzsaw_bbvzd2specializa7ez75
																										());
																								}
																							else
																								{	/* SawMill/bbv-specialize.scm 418 */
																									BgL_auxz00_9947 =
																										((BgL_rtl_funz00_bglt)
																										BGl_falseze70ze7zzsaw_bbvzd2specializa7ez75
																										());
																								}
																							((((BgL_rtl_insz00_bglt) COBJECT(
																											((BgL_rtl_insz00_bglt)
																												BgL_new1517z00_3016)))->
																									BgL_funz00) =
																								((BgL_rtl_funz00_bglt)
																									BgL_auxz00_9947), BUNSPEC);
																						}
																						((((BgL_rtl_insz00_bglt) COBJECT(
																										((BgL_rtl_insz00_bglt)
																											BgL_new1517z00_3016)))->
																								BgL_argsz00) =
																							((obj_t) (((BgL_rtl_insz00_bglt)
																										COBJECT((
																												(BgL_rtl_insz00_bglt)
																												BgL_iz00_2969)))->
																									BgL_argsz00)), BUNSPEC);
																						{
																							obj_t BgL_auxz00_9972;
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_auxz00_9966;
																							{
																								BgL_rtl_inszf2bbvzf2_bglt
																									BgL_auxz00_9973;
																								{
																									obj_t BgL_auxz00_9974;

																									{	/* SawMill/bbv-specialize.scm 418 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_9975;
																										BgL_tmpz00_9975 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_insz00_bglt) (
																													(BgL_rtl_insz00_bglt)
																													BgL_iz00_2969)));
																										BgL_auxz00_9974 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_9975);
																									}
																									BgL_auxz00_9973 =
																										((BgL_rtl_inszf2bbvzf2_bglt)
																										BgL_auxz00_9974);
																								}
																								BgL_auxz00_9972 =
																									(((BgL_rtl_inszf2bbvzf2_bglt)
																										COBJECT(BgL_auxz00_9973))->
																									BgL_defz00);
																							}
																							{
																								obj_t BgL_auxz00_9967;

																								{	/* SawMill/bbv-specialize.scm 418 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_9968;
																									BgL_tmpz00_9968 =
																										((BgL_objectz00_bglt)
																										BgL_new1517z00_3016);
																									BgL_auxz00_9967 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_9968);
																								}
																								BgL_auxz00_9966 =
																									((BgL_rtl_inszf2bbvzf2_bglt)
																									BgL_auxz00_9967);
																							}
																							((((BgL_rtl_inszf2bbvzf2_bglt)
																										COBJECT(BgL_auxz00_9966))->
																									BgL_defz00) =
																								((obj_t) BgL_auxz00_9972),
																								BUNSPEC);
																						}
																						{
																							obj_t BgL_auxz00_9989;
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_auxz00_9983;
																							{
																								BgL_rtl_inszf2bbvzf2_bglt
																									BgL_auxz00_9990;
																								{
																									obj_t BgL_auxz00_9991;

																									{	/* SawMill/bbv-specialize.scm 418 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_9992;
																										BgL_tmpz00_9992 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_insz00_bglt) (
																													(BgL_rtl_insz00_bglt)
																													BgL_iz00_2969)));
																										BgL_auxz00_9991 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_9992);
																									}
																									BgL_auxz00_9990 =
																										((BgL_rtl_inszf2bbvzf2_bglt)
																										BgL_auxz00_9991);
																								}
																								BgL_auxz00_9989 =
																									(((BgL_rtl_inszf2bbvzf2_bglt)
																										COBJECT(BgL_auxz00_9990))->
																									BgL_outz00);
																							}
																							{
																								obj_t BgL_auxz00_9984;

																								{	/* SawMill/bbv-specialize.scm 418 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_9985;
																									BgL_tmpz00_9985 =
																										((BgL_objectz00_bglt)
																										BgL_new1517z00_3016);
																									BgL_auxz00_9984 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_9985);
																								}
																								BgL_auxz00_9983 =
																									((BgL_rtl_inszf2bbvzf2_bglt)
																									BgL_auxz00_9984);
																							}
																							((((BgL_rtl_inszf2bbvzf2_bglt)
																										COBJECT(BgL_auxz00_9983))->
																									BgL_outz00) =
																								((obj_t) BgL_auxz00_9989),
																								BUNSPEC);
																						}
																						{
																							obj_t BgL_auxz00_10006;
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_auxz00_10000;
																							{
																								BgL_rtl_inszf2bbvzf2_bglt
																									BgL_auxz00_10007;
																								{
																									obj_t BgL_auxz00_10008;

																									{	/* SawMill/bbv-specialize.scm 418 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_10009;
																										BgL_tmpz00_10009 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_insz00_bglt) (
																													(BgL_rtl_insz00_bglt)
																													BgL_iz00_2969)));
																										BgL_auxz00_10008 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_10009);
																									}
																									BgL_auxz00_10007 =
																										((BgL_rtl_inszf2bbvzf2_bglt)
																										BgL_auxz00_10008);
																								}
																								BgL_auxz00_10006 =
																									(((BgL_rtl_inszf2bbvzf2_bglt)
																										COBJECT(BgL_auxz00_10007))->
																									BgL_inz00);
																							}
																							{
																								obj_t BgL_auxz00_10001;

																								{	/* SawMill/bbv-specialize.scm 418 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_10002;
																									BgL_tmpz00_10002 =
																										((BgL_objectz00_bglt)
																										BgL_new1517z00_3016);
																									BgL_auxz00_10001 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_10002);
																								}
																								BgL_auxz00_10000 =
																									((BgL_rtl_inszf2bbvzf2_bglt)
																									BgL_auxz00_10001);
																							}
																							((((BgL_rtl_inszf2bbvzf2_bglt)
																										COBJECT(BgL_auxz00_10000))->
																									BgL_inz00) =
																								((obj_t) BgL_auxz00_10006),
																								BUNSPEC);
																						}
																						{
																							obj_t BgL_auxz00_10023;
																							BgL_rtl_inszf2bbvzf2_bglt
																								BgL_auxz00_10017;
																							{
																								BgL_rtl_inszf2bbvzf2_bglt
																									BgL_auxz00_10024;
																								{
																									obj_t BgL_auxz00_10025;

																									{	/* SawMill/bbv-specialize.scm 418 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_10026;
																										BgL_tmpz00_10026 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_insz00_bglt) (
																													(BgL_rtl_insz00_bglt)
																													BgL_iz00_2969)));
																										BgL_auxz00_10025 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_10026);
																									}
																									BgL_auxz00_10024 =
																										((BgL_rtl_inszf2bbvzf2_bglt)
																										BgL_auxz00_10025);
																								}
																								BgL_auxz00_10023 =
																									(((BgL_rtl_inszf2bbvzf2_bglt)
																										COBJECT(BgL_auxz00_10024))->
																									BgL_z52hashz52);
																							}
																							{
																								obj_t BgL_auxz00_10018;

																								{	/* SawMill/bbv-specialize.scm 418 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_10019;
																									BgL_tmpz00_10019 =
																										((BgL_objectz00_bglt)
																										BgL_new1517z00_3016);
																									BgL_auxz00_10018 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_10019);
																								}
																								BgL_auxz00_10017 =
																									((BgL_rtl_inszf2bbvzf2_bglt)
																									BgL_auxz00_10018);
																							}
																							((((BgL_rtl_inszf2bbvzf2_bglt)
																										COBJECT(BgL_auxz00_10017))->
																									BgL_z52hashz52) =
																								((obj_t) BgL_auxz00_10023),
																								BUNSPEC);
																						}
																						BgL_g1543z00_2868 =
																							((obj_t) BgL_new1517z00_3016);
																					}
																				else
																					{	/* SawMill/bbv-specialize.scm 406 */
																						if (
																							(BgL_opz00_2970 ==
																								CNST_TABLE_REF(((long) 8))))
																							{	/* SawMill/bbv-specialize.scm 420 */
																								BgL_rtl_insz00_bglt
																									BgL_new1527z00_3029;
																								{	/* SawMill/bbv-specialize.scm 420 */
																									BgL_rtl_insz00_bglt
																										BgL_tmp1535z00_3035;
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_wide1536z00_3036;
																									{
																										BgL_rtl_insz00_bglt
																											BgL_auxz00_10038;
																										{	/* SawMill/bbv-specialize.scm 420 */
																											BgL_rtl_insz00_bglt
																												BgL_new1534z00_3038;
																											BgL_new1534z00_3038 =
																												((BgL_rtl_insz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_rtl_insz00_bgl))));
																											{	/* SawMill/bbv-specialize.scm 420 */
																												long
																													BgL_arg2308z00_3039;
																												BgL_arg2308z00_3039 =
																													BGL_CLASS_NUM
																													(BGl_rtl_insz00zzsaw_defsz00);
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1534z00_3038),
																													BgL_arg2308z00_3039);
																											}
																											{	/* SawMill/bbv-specialize.scm 420 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_10043;
																												BgL_tmpz00_10043 =
																													((BgL_objectz00_bglt)
																													BgL_new1534z00_3038);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_tmpz00_10043,
																													BFALSE);
																											}
																											((BgL_objectz00_bglt)
																												BgL_new1534z00_3038);
																											BgL_auxz00_10038 =
																												BgL_new1534z00_3038;
																										}
																										BgL_tmp1535z00_3035 =
																											((BgL_rtl_insz00_bglt)
																											BgL_auxz00_10038);
																									}
																									BgL_wide1536z00_3036 =
																										((BgL_rtl_inszf2bbvzf2_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_rtl_inszf2bbvzf2_bgl))));
																									{	/* SawMill/bbv-specialize.scm 420 */
																										obj_t BgL_auxz00_10051;
																										BgL_objectz00_bglt
																											BgL_tmpz00_10049;
																										BgL_auxz00_10051 =
																											((obj_t)
																											BgL_wide1536z00_3036);
																										BgL_tmpz00_10049 =
																											((BgL_objectz00_bglt)
																											BgL_tmp1535z00_3035);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_10049,
																											BgL_auxz00_10051);
																									}
																									((BgL_objectz00_bglt)
																										BgL_tmp1535z00_3035);
																									{	/* SawMill/bbv-specialize.scm 420 */
																										long BgL_arg2307z00_3037;

																										BgL_arg2307z00_3037 =
																											BGL_CLASS_NUM
																											(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																										BGL_OBJECT_CLASS_NUM_SET((
																												(BgL_objectz00_bglt)
																												BgL_tmp1535z00_3035),
																											BgL_arg2307z00_3037);
																									}
																									BgL_new1527z00_3029 =
																										((BgL_rtl_insz00_bglt)
																										BgL_tmp1535z00_3035);
																								}
																								((((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_new1527z00_3029)))->
																										BgL_locz00) =
																									((obj_t) ((
																												(BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_iz00_2969)))->
																											BgL_locz00)), BUNSPEC);
																								((((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_new1527z00_3029)))->
																										BgL_z52spillz52) =
																									((obj_t) ((
																												(BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_iz00_2969)))->
																											BgL_z52spillz52)),
																									BUNSPEC);
																								((((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_new1527z00_3029)))->
																										BgL_destz00) =
																									((obj_t) ((
																												(BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_iz00_2969)))->
																											BgL_destz00)), BUNSPEC);
																								{
																									BgL_rtl_funz00_bglt
																										BgL_auxz00_10071;
																									if (BGl_intervalzd3zf3z20zzsaw_bbvzd2specializa7ez75(BgL_intlz00_2971, BgL_intrz00_2972))
																										{	/* SawMill/bbv-specialize.scm 421 */
																											BgL_auxz00_10071 =
																												((BgL_rtl_funz00_bglt)
																												BGl_trueze70ze7zzsaw_bbvzd2specializa7ez75
																												());
																										}
																									else
																										{	/* SawMill/bbv-specialize.scm 421 */
																											BgL_auxz00_10071 =
																												((BgL_rtl_funz00_bglt)
																												BGl_falseze70ze7zzsaw_bbvzd2specializa7ez75
																												());
																										}
																									((((BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_new1527z00_3029)))->
																											BgL_funz00) =
																										((BgL_rtl_funz00_bglt)
																											BgL_auxz00_10071),
																										BUNSPEC);
																								}
																								((((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_new1527z00_3029)))->
																										BgL_argsz00) =
																									((obj_t) ((
																												(BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_iz00_2969)))->
																											BgL_argsz00)), BUNSPEC);
																								{
																									obj_t BgL_auxz00_10090;
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_10084;
																									{
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_auxz00_10091;
																										{
																											obj_t BgL_auxz00_10092;

																											{	/* SawMill/bbv-specialize.scm 421 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_10093;
																												BgL_tmpz00_10093 =
																													((BgL_objectz00_bglt)
																													((BgL_rtl_insz00_bglt)
																														((BgL_rtl_insz00_bglt) BgL_iz00_2969)));
																												BgL_auxz00_10092 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_10093);
																											}
																											BgL_auxz00_10091 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BgL_auxz00_10092);
																										}
																										BgL_auxz00_10090 =
																											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_10091))->BgL_defz00);
																									}
																									{
																										obj_t BgL_auxz00_10085;

																										{	/* SawMill/bbv-specialize.scm 421 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_10086;
																											BgL_tmpz00_10086 =
																												((BgL_objectz00_bglt)
																												BgL_new1527z00_3029);
																											BgL_auxz00_10085 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_10086);
																										}
																										BgL_auxz00_10084 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_10085);
																									}
																									((((BgL_rtl_inszf2bbvzf2_bglt)
																												COBJECT
																												(BgL_auxz00_10084))->
																											BgL_defz00) =
																										((obj_t) BgL_auxz00_10090),
																										BUNSPEC);
																								}
																								{
																									obj_t BgL_auxz00_10107;
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_10101;
																									{
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_auxz00_10108;
																										{
																											obj_t BgL_auxz00_10109;

																											{	/* SawMill/bbv-specialize.scm 421 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_10110;
																												BgL_tmpz00_10110 =
																													((BgL_objectz00_bglt)
																													((BgL_rtl_insz00_bglt)
																														((BgL_rtl_insz00_bglt) BgL_iz00_2969)));
																												BgL_auxz00_10109 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_10110);
																											}
																											BgL_auxz00_10108 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BgL_auxz00_10109);
																										}
																										BgL_auxz00_10107 =
																											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_10108))->BgL_outz00);
																									}
																									{
																										obj_t BgL_auxz00_10102;

																										{	/* SawMill/bbv-specialize.scm 421 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_10103;
																											BgL_tmpz00_10103 =
																												((BgL_objectz00_bglt)
																												BgL_new1527z00_3029);
																											BgL_auxz00_10102 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_10103);
																										}
																										BgL_auxz00_10101 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_10102);
																									}
																									((((BgL_rtl_inszf2bbvzf2_bglt)
																												COBJECT
																												(BgL_auxz00_10101))->
																											BgL_outz00) =
																										((obj_t) BgL_auxz00_10107),
																										BUNSPEC);
																								}
																								{
																									obj_t BgL_auxz00_10124;
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_10118;
																									{
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_auxz00_10125;
																										{
																											obj_t BgL_auxz00_10126;

																											{	/* SawMill/bbv-specialize.scm 421 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_10127;
																												BgL_tmpz00_10127 =
																													((BgL_objectz00_bglt)
																													((BgL_rtl_insz00_bglt)
																														((BgL_rtl_insz00_bglt) BgL_iz00_2969)));
																												BgL_auxz00_10126 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_10127);
																											}
																											BgL_auxz00_10125 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BgL_auxz00_10126);
																										}
																										BgL_auxz00_10124 =
																											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_10125))->BgL_inz00);
																									}
																									{
																										obj_t BgL_auxz00_10119;

																										{	/* SawMill/bbv-specialize.scm 421 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_10120;
																											BgL_tmpz00_10120 =
																												((BgL_objectz00_bglt)
																												BgL_new1527z00_3029);
																											BgL_auxz00_10119 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_10120);
																										}
																										BgL_auxz00_10118 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_10119);
																									}
																									((((BgL_rtl_inszf2bbvzf2_bglt)
																												COBJECT
																												(BgL_auxz00_10118))->
																											BgL_inz00) =
																										((obj_t) BgL_auxz00_10124),
																										BUNSPEC);
																								}
																								{
																									obj_t BgL_auxz00_10141;
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_10135;
																									{
																										BgL_rtl_inszf2bbvzf2_bglt
																											BgL_auxz00_10142;
																										{
																											obj_t BgL_auxz00_10143;

																											{	/* SawMill/bbv-specialize.scm 421 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_10144;
																												BgL_tmpz00_10144 =
																													((BgL_objectz00_bglt)
																													((BgL_rtl_insz00_bglt)
																														((BgL_rtl_insz00_bglt) BgL_iz00_2969)));
																												BgL_auxz00_10143 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_10144);
																											}
																											BgL_auxz00_10142 =
																												(
																												(BgL_rtl_inszf2bbvzf2_bglt)
																												BgL_auxz00_10143);
																										}
																										BgL_auxz00_10141 =
																											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_10142))->BgL_z52hashz52);
																									}
																									{
																										obj_t BgL_auxz00_10136;

																										{	/* SawMill/bbv-specialize.scm 421 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_10137;
																											BgL_tmpz00_10137 =
																												((BgL_objectz00_bglt)
																												BgL_new1527z00_3029);
																											BgL_auxz00_10136 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_10137);
																										}
																										BgL_auxz00_10135 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_10136);
																									}
																									((((BgL_rtl_inszf2bbvzf2_bglt)
																												COBJECT
																												(BgL_auxz00_10135))->
																											BgL_z52hashz52) =
																										((obj_t) BgL_auxz00_10141),
																										BUNSPEC);
																								}
																								BgL_g1543z00_2868 =
																									((obj_t) BgL_new1527z00_3029);
																							}
																						else
																							{	/* SawMill/bbv-specialize.scm 406 */
																								BgL_g1543z00_2868 = BFALSE;
																							}
																					}
																			}
																	}
															}
														if (CBOOL(BgL_g1543z00_2868))
															{	/* SawMill/bbv-specialize.scm 494 */
																{	/* SawMill/bbv-specialize.scm 496 */
																	int BgL_tmpz00_10155;

																	BgL_tmpz00_10155 = (int) (((long) 4));
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10155);
																}
																{	/* SawMill/bbv-specialize.scm 496 */
																	int BgL_tmpz00_10158;

																	BgL_tmpz00_10158 = (int) (((long) 1));
																	BGL_MVALUES_VAL_SET(BgL_tmpz00_10158,
																		BgL_sctxz00_2864);
																}
																{	/* SawMill/bbv-specialize.scm 496 */
																	int BgL_tmpz00_10161;

																	BgL_tmpz00_10161 = (int) (((long) 2));
																	BGL_MVALUES_VAL_SET(BgL_tmpz00_10161, BFALSE);
																}
																{	/* SawMill/bbv-specialize.scm 496 */
																	int BgL_tmpz00_10164;

																	BgL_tmpz00_10164 = (int) (((long) 3));
																	BGL_MVALUES_VAL_SET(BgL_tmpz00_10164, BFALSE);
																}
																return BgL_g1543z00_2868;
															}
														else
															{	/* SawMill/bbv-specialize.scm 498 */
																obj_t BgL_ctxtz00_2875;

																BgL_ctxtz00_2875 =
																	BGl_specializa7ezf2opze70zb2zzsaw_bbvzd2specializa7ez75
																	(BgL_opz00_2865, BgL_lhsz00_2860,
																	BgL_intlz00_2862, BgL_rhsz00_2861,
																	BgL_intrz00_2863, BgL_sctxz00_2864);
																{	/* SawMill/bbv-specialize.scm 499 */
																	obj_t BgL_ctxoz00_2876;

																	{	/* SawMill/bbv-specialize.scm 500 */
																		obj_t BgL_tmpz00_5326;

																		{	/* SawMill/bbv-specialize.scm 500 */
																			int BgL_tmpz00_10168;

																			BgL_tmpz00_10168 = (int) (((long) 1));
																			BgL_tmpz00_5326 =
																				BGL_MVALUES_VAL(BgL_tmpz00_10168);
																		}
																		{	/* SawMill/bbv-specialize.scm 500 */
																			int BgL_tmpz00_10171;

																			BgL_tmpz00_10171 = (int) (((long) 1));
																			BGL_MVALUES_VAL_SET(BgL_tmpz00_10171,
																				BUNSPEC);
																		}
																		BgL_ctxoz00_2876 = BgL_tmpz00_5326;
																	}
																	{	/* SawMill/bbv-specialize.scm 500 */
																		int BgL_tmpz00_10174;

																		BgL_tmpz00_10174 = (int) (((long) 4));
																		BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10174);
																	}
																	{	/* SawMill/bbv-specialize.scm 500 */
																		int BgL_tmpz00_10177;

																		BgL_tmpz00_10177 = (int) (((long) 1));
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_10177,
																			BgL_sctxz00_2864);
																	}
																	{	/* SawMill/bbv-specialize.scm 500 */
																		int BgL_tmpz00_10180;

																		BgL_tmpz00_10180 = (int) (((long) 2));
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_10180,
																			BgL_ctxtz00_2875);
																	}
																	{	/* SawMill/bbv-specialize.scm 500 */
																		int BgL_tmpz00_10183;

																		BgL_tmpz00_10183 = (int) (((long) 3));
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_10183,
																			BgL_ctxoz00_2876);
																	}
																	return BgL_iz00_221;
																}
															}
													}
												else
													{	/* SawMill/bbv-specialize.scm 490 */
														obj_t BgL_ctxtz00_2881;

														{	/* SawMill/bbv-specialize.scm 491 */
															obj_t BgL_arg2234z00_2887;
															obj_t BgL_arg2235z00_2888;

															if (CBOOL(BgL_intlz00_2862))
																{	/* SawMill/bbv-specialize.scm 491 */
																	BgL_arg2234z00_2887 = BgL_intlz00_2862;
																}
															else
																{	/* SawMill/bbv-specialize.scm 491 */
																	BgL_arg2234z00_2887 =
																		BGl_za2fixnumzd2intvza2zd2zzsaw_bbvzd2specializa7ez75;
																}
															if (CBOOL(BgL_intrz00_2863))
																{	/* SawMill/bbv-specialize.scm 492 */
																	BgL_arg2235z00_2888 = BgL_intrz00_2863;
																}
															else
																{	/* SawMill/bbv-specialize.scm 492 */
																	BgL_arg2235z00_2888 =
																		BGl_za2fixnumzd2intvza2zd2zzsaw_bbvzd2specializa7ez75;
																}
															BgL_ctxtz00_2881 =
																BGl_specializa7ezf2opze70zb2zzsaw_bbvzd2specializa7ez75
																(BgL_opz00_2865, BgL_lhsz00_2860,
																BgL_arg2234z00_2887, BgL_rhsz00_2861,
																BgL_arg2235z00_2888, BgL_sctxz00_2864);
														}
														{	/* SawMill/bbv-specialize.scm 491 */
															obj_t BgL_ctxoz00_2882;

															{	/* SawMill/bbv-specialize.scm 493 */
																obj_t BgL_tmpz00_5327;

																{	/* SawMill/bbv-specialize.scm 493 */
																	int BgL_tmpz00_10191;

																	BgL_tmpz00_10191 = (int) (((long) 1));
																	BgL_tmpz00_5327 =
																		BGL_MVALUES_VAL(BgL_tmpz00_10191);
																}
																{	/* SawMill/bbv-specialize.scm 493 */
																	int BgL_tmpz00_10194;

																	BgL_tmpz00_10194 = (int) (((long) 1));
																	BGL_MVALUES_VAL_SET(BgL_tmpz00_10194,
																		BUNSPEC);
																}
																BgL_ctxoz00_2882 = BgL_tmpz00_5327;
															}
															{	/* SawMill/bbv-specialize.scm 493 */
																int BgL_tmpz00_10197;

																BgL_tmpz00_10197 = (int) (((long) 4));
																BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10197);
															}
															{	/* SawMill/bbv-specialize.scm 493 */
																int BgL_tmpz00_10200;

																BgL_tmpz00_10200 = (int) (((long) 1));
																BGL_MVALUES_VAL_SET(BgL_tmpz00_10200,
																	BgL_sctxz00_2864);
															}
															{	/* SawMill/bbv-specialize.scm 493 */
																int BgL_tmpz00_10203;

																BgL_tmpz00_10203 = (int) (((long) 2));
																BGL_MVALUES_VAL_SET(BgL_tmpz00_10203,
																	BgL_ctxtz00_2881);
															}
															{	/* SawMill/bbv-specialize.scm 493 */
																int BgL_tmpz00_10206;

																BgL_tmpz00_10206 = (int) (((long) 3));
																BGL_MVALUES_VAL_SET(BgL_tmpz00_10206,
																	BgL_ctxoz00_2882);
															}
															return BgL_iz00_221;
														}
													}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* false~0 */
	BgL_rtl_loadiz00_bglt BGl_falseze70ze7zzsaw_bbvzd2specializa7ez75()
	{
		{	/* SawMill/bbv-specialize.scm 362 */
			{	/* SawMill/bbv-specialize.scm 361 */
				BgL_rtl_loadiz00_bglt BgL_new1476z00_2908;

				{	/* SawMill/bbv-specialize.scm 361 */
					BgL_rtl_loadiz00_bglt BgL_new1475z00_2912;

					BgL_new1475z00_2912 =
						((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadiz00_bgl))));
					{	/* SawMill/bbv-specialize.scm 361 */
						long BgL_arg2244z00_2913;

						BgL_arg2244z00_2913 = BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1475z00_2912), BgL_arg2244z00_2913);
					}
					BgL_new1476z00_2908 = BgL_new1475z00_2912;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1476z00_2908)))->BgL_locz00) =
					((obj_t) BFALSE), BUNSPEC);
				{
					BgL_atomz00_bglt BgL_auxz00_10215;

					{	/* SawMill/bbv-specialize.scm 362 */
						BgL_literalz00_bglt BgL_new1478z00_2909;

						{	/* SawMill/bbv-specialize.scm 362 */
							BgL_literalz00_bglt BgL_new1477z00_2910;

							BgL_new1477z00_2910 =
								((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_literalz00_bgl))));
							{	/* SawMill/bbv-specialize.scm 362 */
								long BgL_arg2243z00_2911;

								{	/* SawMill/bbv-specialize.scm 362 */
									obj_t BgL_classz00_4914;

									BgL_classz00_4914 = BGl_literalz00zzast_nodez00;
									BgL_arg2243z00_2911 = BGL_CLASS_NUM(BgL_classz00_4914);
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1477z00_2910),
									BgL_arg2243z00_2911);
							}
							{	/* SawMill/bbv-specialize.scm 362 */
								BgL_objectz00_bglt BgL_tmpz00_10220;

								BgL_tmpz00_10220 = ((BgL_objectz00_bglt) BgL_new1477z00_2910);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10220, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1477z00_2910);
							BgL_new1478z00_2909 = BgL_new1477z00_2910;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1478z00_2909)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1478z00_2909)))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_za2boolza2z00zztype_cachez00)), BUNSPEC);
						((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
											BgL_new1478z00_2909)))->BgL_valuez00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_auxz00_10215 = ((BgL_atomz00_bglt) BgL_new1478z00_2909);
					}
					((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_new1476z00_2908))->
							BgL_constantz00) =
						((BgL_atomz00_bglt) BgL_auxz00_10215), BUNSPEC);
				}
				return BgL_new1476z00_2908;
			}
		}

	}



/* true~0 */
	BgL_rtl_loadiz00_bglt BGl_trueze70ze7zzsaw_bbvzd2specializa7ez75()
	{
		{	/* SawMill/bbv-specialize.scm 358 */
			{	/* SawMill/bbv-specialize.scm 357 */
				BgL_rtl_loadiz00_bglt BgL_new1472z00_2901;

				{	/* SawMill/bbv-specialize.scm 357 */
					BgL_rtl_loadiz00_bglt BgL_new1471z00_2905;

					BgL_new1471z00_2905 =
						((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadiz00_bgl))));
					{	/* SawMill/bbv-specialize.scm 357 */
						long BgL_arg2241z00_2906;

						BgL_arg2241z00_2906 = BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1471z00_2905), BgL_arg2241z00_2906);
					}
					BgL_new1472z00_2901 = BgL_new1471z00_2905;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1472z00_2901)))->BgL_locz00) =
					((obj_t) BFALSE), BUNSPEC);
				{
					BgL_atomz00_bglt BgL_auxz00_10239;

					{	/* SawMill/bbv-specialize.scm 358 */
						BgL_literalz00_bglt BgL_new1474z00_2902;

						{	/* SawMill/bbv-specialize.scm 358 */
							BgL_literalz00_bglt BgL_new1473z00_2903;

							BgL_new1473z00_2903 =
								((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_literalz00_bgl))));
							{	/* SawMill/bbv-specialize.scm 358 */
								long BgL_arg2240z00_2904;

								{	/* SawMill/bbv-specialize.scm 358 */
									obj_t BgL_classz00_4907;

									BgL_classz00_4907 = BGl_literalz00zzast_nodez00;
									BgL_arg2240z00_2904 = BGL_CLASS_NUM(BgL_classz00_4907);
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1473z00_2903),
									BgL_arg2240z00_2904);
							}
							{	/* SawMill/bbv-specialize.scm 358 */
								BgL_objectz00_bglt BgL_tmpz00_10244;

								BgL_tmpz00_10244 = ((BgL_objectz00_bglt) BgL_new1473z00_2903);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10244, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1473z00_2903);
							BgL_new1474z00_2902 = BgL_new1473z00_2903;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1474z00_2902)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1474z00_2902)))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_za2boolza2z00zztype_cachez00)), BUNSPEC);
						((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
											BgL_new1474z00_2902)))->BgL_valuez00) =
							((obj_t) BTRUE), BUNSPEC);
						BgL_auxz00_10239 = ((BgL_atomz00_bglt) BgL_new1474z00_2902);
					}
					((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_new1472z00_2901))->
							BgL_constantz00) =
						((BgL_atomz00_bglt) BgL_auxz00_10239), BUNSPEC);
				}
				return BgL_new1472z00_2901;
			}
		}

	}



/* reg?~0 */
	bool_t BGl_regzf3ze70z14zzsaw_bbvzd2specializa7ez75(obj_t BgL_az00_2923)
	{
		{	/* SawMill/bbv-specialize.scm 379 */
			{	/* SawMill/bbv-specialize.scm 372 */
				bool_t BgL__ortest_1481z00_2925;

				{	/* SawMill/bbv-specialize.scm 372 */
					obj_t BgL_classz00_4982;

					BgL_classz00_4982 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_az00_2923))
						{	/* SawMill/bbv-specialize.scm 372 */
							BgL_objectz00_bglt BgL_arg1825z00_4984;

							BgL_arg1825z00_4984 = (BgL_objectz00_bglt) (BgL_az00_2923);
							{	/* SawMill/bbv-specialize.scm 372 */
								bool_t BgL_arg1822z00_4987;
								bool_t BgL_arg1823z00_4988;

								{	/* SawMill/bbv-specialize.scm 372 */
									long BgL_idxz00_4991;

									BgL_idxz00_4991 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4984);
									BgL_arg1822z00_4987 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4991 + ((long) 1))) == BgL_classz00_4982);
								}
								{	/* SawMill/bbv-specialize.scm 372 */
									bool_t BgL_res2596z00_5013;

									{	/* SawMill/bbv-specialize.scm 372 */
										obj_t BgL_oclassz00_4999;

										{	/* SawMill/bbv-specialize.scm 372 */
											long BgL_arg1833z00_5005;

											{	/* SawMill/bbv-specialize.scm 372 */
												long BgL_arg1834z00_5006;

												BgL_arg1834z00_5006 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4984);
												BgL_arg1833z00_5005 =
													(BgL_arg1834z00_5006 - OBJECT_TYPE);
											}
											BgL_oclassz00_4999 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_5005);
										}
										{	/* SawMill/bbv-specialize.scm 372 */
											bool_t BgL__ortest_1110z00_5000;

											BgL__ortest_1110z00_5000 =
												(BgL_classz00_4982 == BgL_oclassz00_4999);
											if (BgL__ortest_1110z00_5000)
												{	/* SawMill/bbv-specialize.scm 372 */
													BgL_res2596z00_5013 = BgL__ortest_1110z00_5000;
												}
											else
												{	/* SawMill/bbv-specialize.scm 372 */
													long BgL_odepthz00_5001;

													BgL_odepthz00_5001 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4999);
													if ((((long) 1) < BgL_odepthz00_5001))
														{	/* SawMill/bbv-specialize.scm 372 */
															obj_t BgL_arg1821z00_5003;

															BgL_arg1821z00_5003 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4999,
																((long) 1));
															BgL_res2596z00_5013 =
																(BgL_arg1821z00_5003 == BgL_classz00_4982);
														}
													else
														{	/* SawMill/bbv-specialize.scm 372 */
															BgL_res2596z00_5013 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4988 = BgL_res2596z00_5013;
								}
								BgL__ortest_1481z00_2925 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4987, BgL_arg1823z00_4988);
							}
						}
					else
						{	/* SawMill/bbv-specialize.scm 372 */
							BgL__ortest_1481z00_2925 = ((bool_t) 0);
						}
				}
				if (BgL__ortest_1481z00_2925)
					{	/* SawMill/bbv-specialize.scm 372 */
						return BgL__ortest_1481z00_2925;
					}
				else
					{	/* SawMill/bbv-specialize.scm 373 */
						bool_t BgL_test2902z00_10276;

						{	/* SawMill/bbv-specialize.scm 373 */
							obj_t BgL_classz00_5014;

							BgL_classz00_5014 = BGl_rtl_insz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_az00_2923))
								{	/* SawMill/bbv-specialize.scm 373 */
									BgL_objectz00_bglt BgL_arg1825z00_5016;

									BgL_arg1825z00_5016 = (BgL_objectz00_bglt) (BgL_az00_2923);
									{	/* SawMill/bbv-specialize.scm 373 */
										bool_t BgL_arg1822z00_5019;
										bool_t BgL_arg1823z00_5020;

										{	/* SawMill/bbv-specialize.scm 373 */
											long BgL_idxz00_5023;

											BgL_idxz00_5023 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5016);
											BgL_arg1822z00_5019 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5023 + ((long) 1))) == BgL_classz00_5014);
										}
										{	/* SawMill/bbv-specialize.scm 373 */
											bool_t BgL_res2597z00_5045;

											{	/* SawMill/bbv-specialize.scm 373 */
												obj_t BgL_oclassz00_5031;

												{	/* SawMill/bbv-specialize.scm 373 */
													long BgL_arg1833z00_5037;

													{	/* SawMill/bbv-specialize.scm 373 */
														long BgL_arg1834z00_5038;

														BgL_arg1834z00_5038 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5016);
														BgL_arg1833z00_5037 =
															(BgL_arg1834z00_5038 - OBJECT_TYPE);
													}
													BgL_oclassz00_5031 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_5037);
												}
												{	/* SawMill/bbv-specialize.scm 373 */
													bool_t BgL__ortest_1110z00_5032;

													BgL__ortest_1110z00_5032 =
														(BgL_classz00_5014 == BgL_oclassz00_5031);
													if (BgL__ortest_1110z00_5032)
														{	/* SawMill/bbv-specialize.scm 373 */
															BgL_res2597z00_5045 = BgL__ortest_1110z00_5032;
														}
													else
														{	/* SawMill/bbv-specialize.scm 373 */
															long BgL_odepthz00_5033;

															BgL_odepthz00_5033 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5031);
															if ((((long) 1) < BgL_odepthz00_5033))
																{	/* SawMill/bbv-specialize.scm 373 */
																	obj_t BgL_arg1821z00_5035;

																	BgL_arg1821z00_5035 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5031,
																		((long) 1));
																	BgL_res2597z00_5045 =
																		(BgL_arg1821z00_5035 == BgL_classz00_5014);
																}
															else
																{	/* SawMill/bbv-specialize.scm 373 */
																	BgL_res2597z00_5045 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_5020 = BgL_res2597z00_5045;
										}
										BgL_test2902z00_10276 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_5019,
											BgL_arg1823z00_5020);
									}
								}
							else
								{	/* SawMill/bbv-specialize.scm 373 */
									BgL_test2902z00_10276 = ((bool_t) 0);
								}
						}
						if (BgL_test2902z00_10276)
							{	/* SawMill/bbv-specialize.scm 375 */
								bool_t BgL_test2906z00_10295;

								{	/* SawMill/bbv-specialize.scm 375 */
									BgL_rtl_funz00_bglt BgL_arg2260z00_2937;

									BgL_arg2260z00_2937 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_az00_2923)))->BgL_funz00);
									{	/* SawMill/bbv-specialize.scm 375 */
										obj_t BgL_classz00_5046;

										BgL_classz00_5046 = BGl_rtl_callz00zzsaw_defsz00;
										{	/* SawMill/bbv-specialize.scm 375 */
											BgL_objectz00_bglt BgL_arg1825z00_5048;

											{	/* SawMill/bbv-specialize.scm 375 */
												obj_t BgL_tmpz00_10298;

												BgL_tmpz00_10298 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg2260z00_2937));
												BgL_arg1825z00_5048 =
													(BgL_objectz00_bglt) (BgL_tmpz00_10298);
											}
											{	/* SawMill/bbv-specialize.scm 375 */
												bool_t BgL_arg1822z00_5051;
												bool_t BgL_arg1823z00_5052;

												{	/* SawMill/bbv-specialize.scm 375 */
													long BgL_idxz00_5055;

													BgL_idxz00_5055 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5048);
													BgL_arg1822z00_5051 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_5055 + ((long) 2))) ==
														BgL_classz00_5046);
												}
												{	/* SawMill/bbv-specialize.scm 375 */
													bool_t BgL_res2598z00_5077;

													{	/* SawMill/bbv-specialize.scm 375 */
														obj_t BgL_oclassz00_5063;

														{	/* SawMill/bbv-specialize.scm 375 */
															long BgL_arg1833z00_5069;

															{	/* SawMill/bbv-specialize.scm 375 */
																long BgL_arg1834z00_5070;

																BgL_arg1834z00_5070 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5048);
																BgL_arg1833z00_5069 =
																	(BgL_arg1834z00_5070 - OBJECT_TYPE);
															}
															BgL_oclassz00_5063 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_5069);
														}
														{	/* SawMill/bbv-specialize.scm 375 */
															bool_t BgL__ortest_1110z00_5064;

															BgL__ortest_1110z00_5064 =
																(BgL_classz00_5046 == BgL_oclassz00_5063);
															if (BgL__ortest_1110z00_5064)
																{	/* SawMill/bbv-specialize.scm 375 */
																	BgL_res2598z00_5077 =
																		BgL__ortest_1110z00_5064;
																}
															else
																{	/* SawMill/bbv-specialize.scm 375 */
																	long BgL_odepthz00_5065;

																	BgL_odepthz00_5065 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_5063);
																	if ((((long) 2) < BgL_odepthz00_5065))
																		{	/* SawMill/bbv-specialize.scm 375 */
																			obj_t BgL_arg1821z00_5067;

																			BgL_arg1821z00_5067 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_5063, ((long) 2));
																			BgL_res2598z00_5077 =
																				(BgL_arg1821z00_5067 ==
																				BgL_classz00_5046);
																		}
																	else
																		{	/* SawMill/bbv-specialize.scm 375 */
																			BgL_res2598z00_5077 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_5052 = BgL_res2598z00_5077;
												}
												BgL_test2906z00_10295 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_5051,
													BgL_arg1823z00_5052);
											}
										}
									}
								}
								if (BgL_test2906z00_10295)
									{	/* SawMill/bbv-specialize.scm 376 */
										BgL_rtl_callz00_bglt BgL_i1484z00_2930;

										BgL_i1484z00_2930 =
											((BgL_rtl_callz00_bglt)
											(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_az00_2923)))->
												BgL_funz00));
										{	/* SawMill/bbv-specialize.scm 377 */
											bool_t BgL_test2909z00_10320;

											{	/* SawMill/bbv-specialize.scm 377 */
												BgL_globalz00_bglt BgL_arg2259z00_2936;

												BgL_arg2259z00_2936 =
													(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1484z00_2930))->
													BgL_varz00);
												BgL_test2909z00_10320 =
													(((obj_t) BgL_arg2259z00_2936) ==
													BGl_za2bintzd2ze3longza2z31zzsaw_bbvzd2cachezd2);
											}
											if (BgL_test2909z00_10320)
												{	/* SawMill/bbv-specialize.scm 378 */
													obj_t BgL_arg2256z00_2933;

													{	/* SawMill/bbv-specialize.scm 378 */
														obj_t BgL_pairz00_5078;

														BgL_pairz00_5078 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_az00_2923)))->
															BgL_argsz00);
														BgL_arg2256z00_2933 = CAR(BgL_pairz00_5078);
													}
													{	/* SawMill/bbv-specialize.scm 378 */
														obj_t BgL_classz00_5079;

														BgL_classz00_5079 = BGl_rtl_regz00zzsaw_defsz00;
														if (BGL_OBJECTP(BgL_arg2256z00_2933))
															{	/* SawMill/bbv-specialize.scm 378 */
																BgL_objectz00_bglt BgL_arg1825z00_5081;

																BgL_arg1825z00_5081 =
																	(BgL_objectz00_bglt) (BgL_arg2256z00_2933);
																{	/* SawMill/bbv-specialize.scm 378 */
																	bool_t BgL_arg1822z00_5084;
																	bool_t BgL_arg1823z00_5085;

																	{	/* SawMill/bbv-specialize.scm 378 */
																		long BgL_idxz00_5088;

																		BgL_idxz00_5088 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_5081);
																		BgL_arg1822z00_5084 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_5088 + ((long) 1))) ==
																			BgL_classz00_5079);
																	}
																	{	/* SawMill/bbv-specialize.scm 378 */
																		bool_t BgL_res2599z00_5110;

																		{	/* SawMill/bbv-specialize.scm 378 */
																			obj_t BgL_oclassz00_5096;

																			{	/* SawMill/bbv-specialize.scm 378 */
																				long BgL_arg1833z00_5102;

																				{	/* SawMill/bbv-specialize.scm 378 */
																					long BgL_arg1834z00_5103;

																					BgL_arg1834z00_5103 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_5081);
																					BgL_arg1833z00_5102 =
																						(BgL_arg1834z00_5103 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_5096 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_5102);
																			}
																			{	/* SawMill/bbv-specialize.scm 378 */
																				bool_t BgL__ortest_1110z00_5097;

																				BgL__ortest_1110z00_5097 =
																					(BgL_classz00_5079 ==
																					BgL_oclassz00_5096);
																				if (BgL__ortest_1110z00_5097)
																					{	/* SawMill/bbv-specialize.scm 378 */
																						BgL_res2599z00_5110 =
																							BgL__ortest_1110z00_5097;
																					}
																				else
																					{	/* SawMill/bbv-specialize.scm 378 */
																						long BgL_odepthz00_5098;

																						BgL_odepthz00_5098 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_5096);
																						if ((((long) 1) <
																								BgL_odepthz00_5098))
																							{	/* SawMill/bbv-specialize.scm 378 */
																								obj_t BgL_arg1821z00_5100;

																								BgL_arg1821z00_5100 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_5096,
																									((long) 1));
																								BgL_res2599z00_5110 =
																									(BgL_arg1821z00_5100 ==
																									BgL_classz00_5079);
																							}
																						else
																							{	/* SawMill/bbv-specialize.scm 378 */
																								BgL_res2599z00_5110 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_5085 = BgL_res2599z00_5110;
																	}
																	return
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_5084,
																		BgL_arg1823z00_5085);
																}
															}
														else
															{	/* SawMill/bbv-specialize.scm 378 */
																return ((bool_t) 0);
															}
													}
												}
											else
												{	/* SawMill/bbv-specialize.scm 379 */
													obj_t BgL_arg2258z00_2935;

													BgL_arg2258z00_2935 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_az00_2923)))->
														BgL_destz00);
													{	/* SawMill/bbv-specialize.scm 379 */
														obj_t BgL_classz00_5111;

														BgL_classz00_5111 = BGl_rtl_regz00zzsaw_defsz00;
														if (BGL_OBJECTP(BgL_arg2258z00_2935))
															{	/* SawMill/bbv-specialize.scm 379 */
																BgL_objectz00_bglt BgL_arg1825z00_5113;

																BgL_arg1825z00_5113 =
																	(BgL_objectz00_bglt) (BgL_arg2258z00_2935);
																{	/* SawMill/bbv-specialize.scm 379 */
																	bool_t BgL_arg1822z00_5116;
																	bool_t BgL_arg1823z00_5117;

																	{	/* SawMill/bbv-specialize.scm 379 */
																		long BgL_idxz00_5120;

																		BgL_idxz00_5120 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_5113);
																		BgL_arg1822z00_5116 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_5120 + ((long) 1))) ==
																			BgL_classz00_5111);
																	}
																	{	/* SawMill/bbv-specialize.scm 379 */
																		bool_t BgL_res2600z00_5142;

																		{	/* SawMill/bbv-specialize.scm 379 */
																			obj_t BgL_oclassz00_5128;

																			{	/* SawMill/bbv-specialize.scm 379 */
																				long BgL_arg1833z00_5134;

																				{	/* SawMill/bbv-specialize.scm 379 */
																					long BgL_arg1834z00_5135;

																					BgL_arg1834z00_5135 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_5113);
																					BgL_arg1833z00_5134 =
																						(BgL_arg1834z00_5135 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_5128 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_5134);
																			}
																			{	/* SawMill/bbv-specialize.scm 379 */
																				bool_t BgL__ortest_1110z00_5129;

																				BgL__ortest_1110z00_5129 =
																					(BgL_classz00_5111 ==
																					BgL_oclassz00_5128);
																				if (BgL__ortest_1110z00_5129)
																					{	/* SawMill/bbv-specialize.scm 379 */
																						BgL_res2600z00_5142 =
																							BgL__ortest_1110z00_5129;
																					}
																				else
																					{	/* SawMill/bbv-specialize.scm 379 */
																						long BgL_odepthz00_5130;

																						BgL_odepthz00_5130 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_5128);
																						if ((((long) 1) <
																								BgL_odepthz00_5130))
																							{	/* SawMill/bbv-specialize.scm 379 */
																								obj_t BgL_arg1821z00_5132;

																								BgL_arg1821z00_5132 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_5128,
																									((long) 1));
																								BgL_res2600z00_5142 =
																									(BgL_arg1821z00_5132 ==
																									BgL_classz00_5111);
																							}
																						else
																							{	/* SawMill/bbv-specialize.scm 379 */
																								BgL_res2600z00_5142 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_5117 = BgL_res2600z00_5142;
																	}
																	return
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_5116,
																		BgL_arg1823z00_5117);
																}
															}
														else
															{	/* SawMill/bbv-specialize.scm 379 */
																return ((bool_t) 0);
															}
													}
												}
										}
									}
								else
									{	/* SawMill/bbv-specialize.scm 375 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* SawMill/bbv-specialize.scm 373 */
								return ((bool_t) 0);
							}
					}
			}
		}

	}



/* reg~0 */
	obj_t BGl_regze70ze7zzsaw_bbvzd2specializa7ez75(obj_t BgL_az00_2938)
	{
		{	/* SawMill/bbv-specialize.scm 385 */
			{
				obj_t BgL_az00_2914;

				{	/* SawMill/bbv-specialize.scm 383 */
					bool_t BgL_test2916z00_10365;

					{	/* SawMill/bbv-specialize.scm 383 */
						obj_t BgL_classz00_5143;

						BgL_classz00_5143 = BGl_rtl_regz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_az00_2938))
							{	/* SawMill/bbv-specialize.scm 383 */
								BgL_objectz00_bglt BgL_arg1825z00_5145;

								BgL_arg1825z00_5145 = (BgL_objectz00_bglt) (BgL_az00_2938);
								{	/* SawMill/bbv-specialize.scm 383 */
									bool_t BgL_arg1822z00_5148;
									bool_t BgL_arg1823z00_5149;

									{	/* SawMill/bbv-specialize.scm 383 */
										long BgL_idxz00_5152;

										BgL_idxz00_5152 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5145);
										BgL_arg1822z00_5148 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5152 + ((long) 1))) == BgL_classz00_5143);
									}
									{	/* SawMill/bbv-specialize.scm 383 */
										bool_t BgL_res2601z00_5174;

										{	/* SawMill/bbv-specialize.scm 383 */
											obj_t BgL_oclassz00_5160;

											{	/* SawMill/bbv-specialize.scm 383 */
												long BgL_arg1833z00_5166;

												{	/* SawMill/bbv-specialize.scm 383 */
													long BgL_arg1834z00_5167;

													BgL_arg1834z00_5167 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5145);
													BgL_arg1833z00_5166 =
														(BgL_arg1834z00_5167 - OBJECT_TYPE);
												}
												BgL_oclassz00_5160 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_5166);
											}
											{	/* SawMill/bbv-specialize.scm 383 */
												bool_t BgL__ortest_1110z00_5161;

												BgL__ortest_1110z00_5161 =
													(BgL_classz00_5143 == BgL_oclassz00_5160);
												if (BgL__ortest_1110z00_5161)
													{	/* SawMill/bbv-specialize.scm 383 */
														BgL_res2601z00_5174 = BgL__ortest_1110z00_5161;
													}
												else
													{	/* SawMill/bbv-specialize.scm 383 */
														long BgL_odepthz00_5162;

														BgL_odepthz00_5162 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5160);
														if ((((long) 1) < BgL_odepthz00_5162))
															{	/* SawMill/bbv-specialize.scm 383 */
																obj_t BgL_arg1821z00_5164;

																BgL_arg1821z00_5164 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5160,
																	((long) 1));
																BgL_res2601z00_5174 =
																	(BgL_arg1821z00_5164 == BgL_classz00_5143);
															}
														else
															{	/* SawMill/bbv-specialize.scm 383 */
																BgL_res2601z00_5174 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_5149 = BgL_res2601z00_5174;
									}
									BgL_test2916z00_10365 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_5148, BgL_arg1823z00_5149);
								}
							}
						else
							{	/* SawMill/bbv-specialize.scm 383 */
								BgL_test2916z00_10365 = ((bool_t) 0);
							}
					}
					if (BgL_test2916z00_10365)
						{	/* SawMill/bbv-specialize.scm 383 */
							return BgL_az00_2938;
						}
					else
						{	/* SawMill/bbv-specialize.scm 384 */
							bool_t BgL_test2920z00_10384;

							BgL_az00_2914 = BgL_az00_2938;
							{	/* SawMill/bbv-specialize.scm 365 */
								bool_t BgL_test2921z00_10385;

								{	/* SawMill/bbv-specialize.scm 365 */
									obj_t BgL_classz00_4918;

									BgL_classz00_4918 = BGl_rtl_insz00zzsaw_defsz00;
									if (BGL_OBJECTP(BgL_az00_2914))
										{	/* SawMill/bbv-specialize.scm 365 */
											BgL_objectz00_bglt BgL_arg1825z00_4920;

											BgL_arg1825z00_4920 =
												(BgL_objectz00_bglt) (BgL_az00_2914);
											{	/* SawMill/bbv-specialize.scm 365 */
												bool_t BgL_arg1822z00_4923;
												bool_t BgL_arg1823z00_4924;

												{	/* SawMill/bbv-specialize.scm 365 */
													long BgL_idxz00_4927;

													BgL_idxz00_4927 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4920);
													BgL_arg1822z00_4923 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4927 + ((long) 1))) ==
														BgL_classz00_4918);
												}
												{	/* SawMill/bbv-specialize.scm 365 */
													bool_t BgL_res2594z00_4949;

													{	/* SawMill/bbv-specialize.scm 365 */
														obj_t BgL_oclassz00_4935;

														{	/* SawMill/bbv-specialize.scm 365 */
															long BgL_arg1833z00_4941;

															{	/* SawMill/bbv-specialize.scm 365 */
																long BgL_arg1834z00_4942;

																BgL_arg1834z00_4942 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4920);
																BgL_arg1833z00_4941 =
																	(BgL_arg1834z00_4942 - OBJECT_TYPE);
															}
															BgL_oclassz00_4935 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_4941);
														}
														{	/* SawMill/bbv-specialize.scm 365 */
															bool_t BgL__ortest_1110z00_4936;

															BgL__ortest_1110z00_4936 =
																(BgL_classz00_4918 == BgL_oclassz00_4935);
															if (BgL__ortest_1110z00_4936)
																{	/* SawMill/bbv-specialize.scm 365 */
																	BgL_res2594z00_4949 =
																		BgL__ortest_1110z00_4936;
																}
															else
																{	/* SawMill/bbv-specialize.scm 365 */
																	long BgL_odepthz00_4937;

																	BgL_odepthz00_4937 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4935);
																	if ((((long) 1) < BgL_odepthz00_4937))
																		{	/* SawMill/bbv-specialize.scm 365 */
																			obj_t BgL_arg1821z00_4939;

																			BgL_arg1821z00_4939 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4935, ((long) 1));
																			BgL_res2594z00_4949 =
																				(BgL_arg1821z00_4939 ==
																				BgL_classz00_4918);
																		}
																	else
																		{	/* SawMill/bbv-specialize.scm 365 */
																			BgL_res2594z00_4949 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_4924 = BgL_res2594z00_4949;
												}
												BgL_test2921z00_10385 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_4923,
													BgL_arg1823z00_4924);
											}
										}
									else
										{	/* SawMill/bbv-specialize.scm 365 */
											BgL_test2921z00_10385 = ((bool_t) 0);
										}
								}
								if (BgL_test2921z00_10385)
									{	/* SawMill/bbv-specialize.scm 367 */
										bool_t BgL_test2925z00_10404;

										{	/* SawMill/bbv-specialize.scm 367 */
											BgL_rtl_funz00_bglt BgL_arg2250z00_2922;

											BgL_arg2250z00_2922 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_az00_2914)))->
												BgL_funz00);
											{	/* SawMill/bbv-specialize.scm 367 */
												obj_t BgL_classz00_4950;

												BgL_classz00_4950 = BGl_rtl_callz00zzsaw_defsz00;
												{	/* SawMill/bbv-specialize.scm 367 */
													BgL_objectz00_bglt BgL_arg1825z00_4952;

													{	/* SawMill/bbv-specialize.scm 367 */
														obj_t BgL_tmpz00_10407;

														BgL_tmpz00_10407 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg2250z00_2922));
														BgL_arg1825z00_4952 =
															(BgL_objectz00_bglt) (BgL_tmpz00_10407);
													}
													{	/* SawMill/bbv-specialize.scm 367 */
														bool_t BgL_arg1822z00_4955;
														bool_t BgL_arg1823z00_4956;

														{	/* SawMill/bbv-specialize.scm 367 */
															long BgL_idxz00_4959;

															BgL_idxz00_4959 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4952);
															BgL_arg1822z00_4955 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4959 + ((long) 2))) ==
																BgL_classz00_4950);
														}
														{	/* SawMill/bbv-specialize.scm 367 */
															bool_t BgL_res2595z00_4981;

															{	/* SawMill/bbv-specialize.scm 367 */
																obj_t BgL_oclassz00_4967;

																{	/* SawMill/bbv-specialize.scm 367 */
																	long BgL_arg1833z00_4973;

																	{	/* SawMill/bbv-specialize.scm 367 */
																		long BgL_arg1834z00_4974;

																		BgL_arg1834z00_4974 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4952);
																		BgL_arg1833z00_4973 =
																			(BgL_arg1834z00_4974 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4967 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_4973);
																}
																{	/* SawMill/bbv-specialize.scm 367 */
																	bool_t BgL__ortest_1110z00_4968;

																	BgL__ortest_1110z00_4968 =
																		(BgL_classz00_4950 == BgL_oclassz00_4967);
																	if (BgL__ortest_1110z00_4968)
																		{	/* SawMill/bbv-specialize.scm 367 */
																			BgL_res2595z00_4981 =
																				BgL__ortest_1110z00_4968;
																		}
																	else
																		{	/* SawMill/bbv-specialize.scm 367 */
																			long BgL_odepthz00_4969;

																			BgL_odepthz00_4969 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_4967);
																			if ((((long) 2) < BgL_odepthz00_4969))
																				{	/* SawMill/bbv-specialize.scm 367 */
																					obj_t BgL_arg1821z00_4971;

																					BgL_arg1821z00_4971 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_4967, ((long) 2));
																					BgL_res2595z00_4981 =
																						(BgL_arg1821z00_4971 ==
																						BgL_classz00_4950);
																				}
																			else
																				{	/* SawMill/bbv-specialize.scm 367 */
																					BgL_res2595z00_4981 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_4956 = BgL_res2595z00_4981;
														}
														BgL_test2925z00_10404 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_4955,
															BgL_arg1823z00_4956);
													}
												}
											}
										}
										if (BgL_test2925z00_10404)
											{	/* SawMill/bbv-specialize.scm 368 */
												BgL_rtl_callz00_bglt BgL_i1480z00_2920;

												BgL_i1480z00_2920 =
													((BgL_rtl_callz00_bglt)
													(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_az00_2914)))->
														BgL_funz00));
												{	/* SawMill/bbv-specialize.scm 369 */
													BgL_globalz00_bglt BgL_arg2249z00_2921;

													BgL_arg2249z00_2921 =
														(((BgL_rtl_callz00_bglt)
															COBJECT(BgL_i1480z00_2920))->BgL_varz00);
													BgL_test2920z00_10384 =
														(((obj_t) BgL_arg2249z00_2921) ==
														BGl_za2bintzd2ze3longza2z31zzsaw_bbvzd2cachezd2);
												}
											}
										else
											{	/* SawMill/bbv-specialize.scm 367 */
												BgL_test2920z00_10384 = ((bool_t) 0);
											}
									}
								else
									{	/* SawMill/bbv-specialize.scm 365 */
										BgL_test2920z00_10384 = ((bool_t) 0);
									}
							}
							if (BgL_test2920z00_10384)
								{	/* SawMill/bbv-specialize.scm 384 */
									obj_t BgL_pairz00_5176;

									BgL_pairz00_5176 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_az00_2938)))->BgL_argsz00);
									return CAR(BgL_pairz00_5176);
								}
							else
								{	/* SawMill/bbv-specialize.scm 384 */
									return
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_az00_2938)))->BgL_destz00);
								}
						}
				}
			}
		}

	}



/* inv-op~0 */
	obj_t BGl_invzd2opze70z35zzsaw_bbvzd2specializa7ez75(obj_t BgL_opz00_2962)
	{
		{	/* SawMill/bbv-specialize.scm 403 */
			if ((BgL_opz00_2962 == CNST_TABLE_REF(((long) 4))))
				{	/* SawMill/bbv-specialize.scm 398 */
					return CNST_TABLE_REF(((long) 7));
				}
			else
				{	/* SawMill/bbv-specialize.scm 398 */
					if ((BgL_opz00_2962 == CNST_TABLE_REF(((long) 5))))
						{	/* SawMill/bbv-specialize.scm 398 */
							return CNST_TABLE_REF(((long) 6));
						}
					else
						{	/* SawMill/bbv-specialize.scm 398 */
							if ((BgL_opz00_2962 == CNST_TABLE_REF(((long) 7))))
								{	/* SawMill/bbv-specialize.scm 398 */
									return CNST_TABLE_REF(((long) 4));
								}
							else
								{	/* SawMill/bbv-specialize.scm 398 */
									if ((BgL_opz00_2962 == CNST_TABLE_REF(((long) 6))))
										{	/* SawMill/bbv-specialize.scm 398 */
											return CNST_TABLE_REF(((long) 5));
										}
									else
										{	/* SawMill/bbv-specialize.scm 398 */
											return BgL_opz00_2962;
										}
								}
						}
				}
		}

	}



/* test-ctxs-ref~0 */
	obj_t BGl_testzd2ctxszd2refze70ze7zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_regz00_3040, obj_t BgL_intlz00_3041, obj_t BgL_intrz00_3042,
		obj_t BgL_opz00_3043, obj_t BgL_ctxz00_3044)
	{
		{	/* SawMill/bbv-specialize.scm 463 */
			{	/* SawMill/bbv-specialize.scm 426 */
				bool_t BgL_test2932z00_10453;

				{	/* SawMill/bbv-specialize.scm 426 */
					bool_t BgL_test2933z00_10454;

					if (STRUCTP(BgL_intlz00_3041))
						{	/* SawMill/bbv-specialize.scm 426 */
							BgL_test2933z00_10454 =
								(STRUCT_KEY(BgL_intlz00_3041) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* SawMill/bbv-specialize.scm 426 */
							BgL_test2933z00_10454 = ((bool_t) 0);
						}
					if (BgL_test2933z00_10454)
						{	/* SawMill/bbv-specialize.scm 426 */
							bool_t BgL_test2935z00_10460;

							if (STRUCTP(BgL_intrz00_3042))
								{	/* SawMill/bbv-specialize.scm 426 */
									BgL_test2935z00_10460 =
										(STRUCT_KEY(BgL_intrz00_3042) ==
										CNST_TABLE_REF(((long) 0)));
								}
							else
								{	/* SawMill/bbv-specialize.scm 426 */
									BgL_test2935z00_10460 = ((bool_t) 0);
								}
							if (BgL_test2935z00_10460)
								{	/* SawMill/bbv-specialize.scm 426 */
									BgL_test2932z00_10453 = ((bool_t) 0);
								}
							else
								{	/* SawMill/bbv-specialize.scm 426 */
									BgL_test2932z00_10453 = ((bool_t) 1);
								}
						}
					else
						{	/* SawMill/bbv-specialize.scm 426 */
							BgL_test2932z00_10453 = ((bool_t) 1);
						}
				}
				if (BgL_test2932z00_10453)
					{	/* SawMill/bbv-specialize.scm 426 */
						{	/* SawMill/bbv-specialize.scm 427 */
							int BgL_tmpz00_10466;

							BgL_tmpz00_10466 = (int) (((long) 2));
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10466);
						}
						{	/* SawMill/bbv-specialize.scm 427 */
							int BgL_tmpz00_10469;

							BgL_tmpz00_10469 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10469, BgL_ctxz00_3044);
						}
						return BgL_ctxz00_3044;
					}
				else
					{	/* SawMill/bbv-specialize.scm 426 */
						if ((BgL_opz00_3043 == CNST_TABLE_REF(((long) 4))))
							{	/* SawMill/bbv-specialize.scm 430 */
								obj_t BgL_intrtz00_3053;
								obj_t BgL_introz00_3054;

								BgL_intrtz00_3053 =
									BGl_intervalzd2ltszd2zzsaw_bbvzd2specializa7ez75
									(BgL_intlz00_3041, BgL_intrz00_3042, (int) (((long) 1)));
								BgL_introz00_3054 =
									BGl_intervalzd2gtszd2zzsaw_bbvzd2specializa7ez75
									(BgL_intlz00_3041, BgL_intrz00_3042, (int) (((long) 0)));
								{	/* SawMill/bbv-specialize.scm 432 */
									obj_t BgL_val0_1860z00_3055;
									obj_t BgL_val1_1861z00_3056;

									BgL_val0_1860z00_3055 =
										BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_3044,
										BgL_regz00_3040, BGl_za2intza2z00zztype_cachez00, BTRUE,
										BgL_intrtz00_3053);
									BgL_val1_1861z00_3056 =
										BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_3044,
										BgL_regz00_3040, BGl_za2intza2z00zztype_cachez00, BTRUE,
										BgL_introz00_3054);
									{	/* SawMill/bbv-specialize.scm 432 */
										int BgL_tmpz00_10481;

										BgL_tmpz00_10481 = (int) (((long) 2));
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10481);
									}
									{	/* SawMill/bbv-specialize.scm 432 */
										int BgL_tmpz00_10484;

										BgL_tmpz00_10484 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_10484,
											BgL_val1_1861z00_3056);
									}
									return BgL_val0_1860z00_3055;
								}
							}
						else
							{	/* SawMill/bbv-specialize.scm 428 */
								if ((BgL_opz00_3043 == CNST_TABLE_REF(((long) 5))))
									{	/* SawMill/bbv-specialize.scm 435 */
										obj_t BgL_intrtz00_3058;
										obj_t BgL_introz00_3059;

										BgL_intrtz00_3058 =
											BGl_intervalzd2ltszd2zzsaw_bbvzd2specializa7ez75
											(BgL_intlz00_3041, BgL_intrz00_3042, (int) (((long) 0)));
										BgL_introz00_3059 =
											BGl_intervalzd2gtszd2zzsaw_bbvzd2specializa7ez75
											(BgL_intlz00_3041, BgL_intrz00_3042, (int) (((long) 1)));
										{	/* SawMill/bbv-specialize.scm 437 */
											obj_t BgL_val0_1862z00_3060;
											obj_t BgL_val1_1863z00_3061;

											BgL_val0_1862z00_3060 =
												BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_3044,
												BgL_regz00_3040, BGl_za2intza2z00zztype_cachez00, BTRUE,
												BgL_intrtz00_3058);
											BgL_val1_1863z00_3061 =
												BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_3044,
												BgL_regz00_3040, BGl_za2intza2z00zztype_cachez00, BTRUE,
												BgL_introz00_3059);
											{	/* SawMill/bbv-specialize.scm 437 */
												int BgL_tmpz00_10496;

												BgL_tmpz00_10496 = (int) (((long) 2));
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10496);
											}
											{	/* SawMill/bbv-specialize.scm 437 */
												int BgL_tmpz00_10499;

												BgL_tmpz00_10499 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_10499,
													BgL_val1_1863z00_3061);
											}
											return BgL_val0_1862z00_3060;
										}
									}
								else
									{	/* SawMill/bbv-specialize.scm 428 */
										if ((BgL_opz00_3043 == CNST_TABLE_REF(((long) 7))))
											{	/* SawMill/bbv-specialize.scm 440 */
												obj_t BgL_intrtz00_3063;
												obj_t BgL_introz00_3064;

												BgL_intrtz00_3063 =
													BGl_intervalzd2gtszd2zzsaw_bbvzd2specializa7ez75
													(BgL_intlz00_3041, BgL_intrz00_3042,
													(int) (((long) 1)));
												BgL_introz00_3064 =
													BGl_intervalzd2ltszd2zzsaw_bbvzd2specializa7ez75
													(BgL_intlz00_3041, BgL_intrz00_3042,
													(int) (((long) 0)));
												{	/* SawMill/bbv-specialize.scm 442 */
													obj_t BgL_val0_1864z00_3065;
													obj_t BgL_val1_1865z00_3066;

													BgL_val0_1864z00_3065 =
														BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
														(BgL_ctxz00_3044, BgL_regz00_3040,
														BGl_za2intza2z00zztype_cachez00, BTRUE,
														BgL_intrtz00_3063);
													BgL_val1_1865z00_3066 =
														BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
														(BgL_ctxz00_3044, BgL_regz00_3040,
														BGl_za2intza2z00zztype_cachez00, BTRUE,
														BgL_introz00_3064);
													{	/* SawMill/bbv-specialize.scm 442 */
														int BgL_tmpz00_10511;

														BgL_tmpz00_10511 = (int) (((long) 2));
														BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10511);
													}
													{	/* SawMill/bbv-specialize.scm 442 */
														int BgL_tmpz00_10514;

														BgL_tmpz00_10514 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_tmpz00_10514,
															BgL_val1_1865z00_3066);
													}
													return BgL_val0_1864z00_3065;
												}
											}
										else
											{	/* SawMill/bbv-specialize.scm 428 */
												if ((BgL_opz00_3043 == CNST_TABLE_REF(((long) 6))))
													{	/* SawMill/bbv-specialize.scm 445 */
														obj_t BgL_intrtz00_3068;
														obj_t BgL_introz00_3069;

														BgL_intrtz00_3068 =
															BGl_intervalzd2gtszd2zzsaw_bbvzd2specializa7ez75
															(BgL_intlz00_3041, BgL_intrz00_3042,
															(int) (((long) 0)));
														BgL_introz00_3069 =
															BGl_intervalzd2ltszd2zzsaw_bbvzd2specializa7ez75
															(BgL_intlz00_3041, BgL_intrz00_3042,
															(int) (((long) 1)));
														{	/* SawMill/bbv-specialize.scm 447 */
															obj_t BgL_val0_1866z00_3070;
															obj_t BgL_val1_1867z00_3071;

															BgL_val0_1866z00_3070 =
																BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																(BgL_ctxz00_3044, BgL_regz00_3040,
																BGl_za2intza2z00zztype_cachez00, BTRUE,
																BgL_intrtz00_3068);
															BgL_val1_1867z00_3071 =
																BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																(BgL_ctxz00_3044, BgL_regz00_3040,
																BGl_za2intza2z00zztype_cachez00, BTRUE,
																BgL_introz00_3069);
															{	/* SawMill/bbv-specialize.scm 447 */
																int BgL_tmpz00_10526;

																BgL_tmpz00_10526 = (int) (((long) 2));
																BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10526);
															}
															{	/* SawMill/bbv-specialize.scm 447 */
																int BgL_tmpz00_10529;

																BgL_tmpz00_10529 = (int) (((long) 1));
																BGL_MVALUES_VAL_SET(BgL_tmpz00_10529,
																	BgL_val1_1867z00_3071);
															}
															return BgL_val0_1866z00_3070;
														}
													}
												else
													{	/* SawMill/bbv-specialize.scm 428 */
														bool_t BgL_test2941z00_10532;

														{	/* SawMill/bbv-specialize.scm 428 */
															bool_t BgL__ortest_1537z00_3087;

															BgL__ortest_1537z00_3087 =
																(BgL_opz00_3043 == CNST_TABLE_REF(((long) 9)));
															if (BgL__ortest_1537z00_3087)
																{	/* SawMill/bbv-specialize.scm 428 */
																	BgL_test2941z00_10532 =
																		BgL__ortest_1537z00_3087;
																}
															else
																{	/* SawMill/bbv-specialize.scm 428 */
																	BgL_test2941z00_10532 =
																		(BgL_opz00_3043 ==
																		CNST_TABLE_REF(((long) 10)));
														}}
														if (BgL_test2941z00_10532)
															{	/* SawMill/bbv-specialize.scm 450 */
																obj_t BgL_ieqz00_3074;

																BgL_ieqz00_3074 =
																	BGl_intervalzd2eqzd2zzsaw_bbvzd2specializa7ez75
																	(BgL_intlz00_3041, BgL_intrz00_3042);
																{	/* SawMill/bbv-specialize.scm 451 */
																	obj_t BgL_val0_1868z00_3075;

																	{	/* SawMill/bbv-specialize.scm 451 */
																		bool_t BgL_test2943z00_10539;

																		if (STRUCTP(BgL_ieqz00_3074))
																			{	/* SawMill/bbv-specialize.scm 451 */
																				BgL_test2943z00_10539 =
																					(STRUCT_KEY(BgL_ieqz00_3074) ==
																					CNST_TABLE_REF(((long) 0)));
																			}
																		else
																			{	/* SawMill/bbv-specialize.scm 451 */
																				BgL_test2943z00_10539 = ((bool_t) 0);
																			}
																		if (BgL_test2943z00_10539)
																			{	/* SawMill/bbv-specialize.scm 451 */
																				BgL_val0_1868z00_3075 =
																					BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																					(BgL_ctxz00_3044, BgL_regz00_3040,
																					BGl_za2intza2z00zztype_cachez00,
																					BTRUE, BgL_ieqz00_3074);
																			}
																		else
																			{	/* SawMill/bbv-specialize.scm 451 */
																				BgL_val0_1868z00_3075 = BgL_ctxz00_3044;
																			}
																	}
																	{	/* SawMill/bbv-specialize.scm 451 */
																		int BgL_tmpz00_10546;

																		BgL_tmpz00_10546 = (int) (((long) 2));
																		BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10546);
																	}
																	{	/* SawMill/bbv-specialize.scm 451 */
																		int BgL_tmpz00_10549;

																		BgL_tmpz00_10549 = (int) (((long) 1));
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_10549,
																			BgL_ctxz00_3044);
																	}
																	return BgL_val0_1868z00_3075;
																}
															}
														else
															{	/* SawMill/bbv-specialize.scm 428 */
																bool_t BgL_test2945z00_10552;

																{	/* SawMill/bbv-specialize.scm 428 */
																	bool_t BgL__ortest_1538z00_3086;

																	BgL__ortest_1538z00_3086 =
																		(BgL_opz00_3043 ==
																		CNST_TABLE_REF(((long) 11)));
																	if (BgL__ortest_1538z00_3086)
																		{	/* SawMill/bbv-specialize.scm 428 */
																			BgL_test2945z00_10552 =
																				BgL__ortest_1538z00_3086;
																		}
																	else
																		{	/* SawMill/bbv-specialize.scm 428 */
																			BgL_test2945z00_10552 =
																				(BgL_opz00_3043 ==
																				CNST_TABLE_REF(((long) 12)));
																}}
																if (BgL_test2945z00_10552)
																	{	/* SawMill/bbv-specialize.scm 456 */
																		obj_t BgL_ieqz00_3080;

																		BgL_ieqz00_3080 =
																			BGl_intervalzd2eqzd2zzsaw_bbvzd2specializa7ez75
																			(BgL_intlz00_3041, BgL_intrz00_3042);
																		{	/* SawMill/bbv-specialize.scm 457 */
																			obj_t BgL_val1_1871z00_3082;

																			{	/* SawMill/bbv-specialize.scm 459 */
																				bool_t BgL_test2947z00_10559;

																				if (STRUCTP(BgL_ieqz00_3080))
																					{	/* SawMill/bbv-specialize.scm 459 */
																						BgL_test2947z00_10559 =
																							(STRUCT_KEY(BgL_ieqz00_3080) ==
																							CNST_TABLE_REF(((long) 0)));
																					}
																				else
																					{	/* SawMill/bbv-specialize.scm 459 */
																						BgL_test2947z00_10559 =
																							((bool_t) 0);
																					}
																				if (BgL_test2947z00_10559)
																					{	/* SawMill/bbv-specialize.scm 459 */
																						BgL_val1_1871z00_3082 =
																							BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2
																							(BgL_ctxz00_3044, BgL_regz00_3040,
																							BGl_za2intza2z00zztype_cachez00,
																							BTRUE, BgL_ieqz00_3080);
																					}
																				else
																					{	/* SawMill/bbv-specialize.scm 459 */
																						BgL_val1_1871z00_3082 =
																							BgL_ctxz00_3044;
																					}
																			}
																			{	/* SawMill/bbv-specialize.scm 457 */
																				int BgL_tmpz00_10566;

																				BgL_tmpz00_10566 = (int) (((long) 2));
																				BGL_MVALUES_NUMBER_SET
																					(BgL_tmpz00_10566);
																			}
																			{	/* SawMill/bbv-specialize.scm 457 */
																				int BgL_tmpz00_10569;

																				BgL_tmpz00_10569 = (int) (((long) 1));
																				BGL_MVALUES_VAL_SET(BgL_tmpz00_10569,
																					BgL_val1_1871z00_3082);
																			}
																			return BgL_ctxz00_3044;
																		}
																	}
																else
																	{	/* SawMill/bbv-specialize.scm 428 */
																		{	/* SawMill/bbv-specialize.scm 463 */
																			int BgL_tmpz00_10572;

																			BgL_tmpz00_10572 = (int) (((long) 2));
																			BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10572);
																		}
																		{	/* SawMill/bbv-specialize.scm 463 */
																			int BgL_tmpz00_10575;

																			BgL_tmpz00_10575 = (int) (((long) 1));
																			BGL_MVALUES_VAL_SET(BgL_tmpz00_10575,
																				BgL_ctxz00_3044);
																		}
																		return BgL_ctxz00_3044;
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* specialize/op~0 */
	obj_t BGl_specializa7ezf2opze70zb2zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_opz00_3090, obj_t BgL_lhsz00_3091, obj_t BgL_intlz00_3092,
		obj_t BgL_rhsz00_3093, obj_t BgL_intrz00_3094, obj_t BgL_sctxz00_3095)
	{
		{	/* SawMill/bbv-specialize.scm 478 */
			{	/* SawMill/bbv-specialize.scm 467 */
				bool_t BgL_test2949z00_10578;

				if (BGl_regzf3ze70z14zzsaw_bbvzd2specializa7ez75(BgL_lhsz00_3091))
					{	/* SawMill/bbv-specialize.scm 467 */
						BgL_test2949z00_10578 =
							BGl_regzf3ze70z14zzsaw_bbvzd2specializa7ez75(BgL_rhsz00_3093);
					}
				else
					{	/* SawMill/bbv-specialize.scm 467 */
						BgL_test2949z00_10578 = ((bool_t) 0);
					}
				if (BgL_test2949z00_10578)
					{	/* SawMill/bbv-specialize.scm 468 */
						obj_t BgL_lctxtz00_3099;

						BgL_lctxtz00_3099 =
							BGl_testzd2ctxszd2refze70ze7zzsaw_bbvzd2specializa7ez75
							(BGl_regze70ze7zzsaw_bbvzd2specializa7ez75(BgL_lhsz00_3091),
							BgL_intlz00_3092, BgL_intrz00_3094, BgL_opz00_3090,
							BgL_sctxz00_3095);
						{	/* SawMill/bbv-specialize.scm 469 */
							obj_t BgL_lctxoz00_3100;

							{	/* SawMill/bbv-specialize.scm 470 */
								obj_t BgL_tmpz00_5311;

								{	/* SawMill/bbv-specialize.scm 470 */
									int BgL_tmpz00_10584;

									BgL_tmpz00_10584 = (int) (((long) 1));
									BgL_tmpz00_5311 = BGL_MVALUES_VAL(BgL_tmpz00_10584);
								}
								{	/* SawMill/bbv-specialize.scm 470 */
									int BgL_tmpz00_10587;

									BgL_tmpz00_10587 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_10587, BUNSPEC);
								}
								BgL_lctxoz00_3100 = BgL_tmpz00_5311;
							}
							{	/* SawMill/bbv-specialize.scm 470 */
								obj_t BgL_rctxtz00_3101;

								BgL_rctxtz00_3101 =
									BGl_testzd2ctxszd2refze70ze7zzsaw_bbvzd2specializa7ez75
									(BGl_regze70ze7zzsaw_bbvzd2specializa7ez75(BgL_rhsz00_3093),
									BgL_intrz00_3094, BgL_intlz00_3092,
									BGl_invzd2opze70z35zzsaw_bbvzd2specializa7ez75
									(BgL_opz00_3090), BNIL);
								{	/* SawMill/bbv-specialize.scm 471 */
									obj_t BgL_rctxoz00_3102;

									{	/* SawMill/bbv-specialize.scm 472 */
										obj_t BgL_tmpz00_5312;

										{	/* SawMill/bbv-specialize.scm 472 */
											int BgL_tmpz00_10593;

											BgL_tmpz00_10593 = (int) (((long) 1));
											BgL_tmpz00_5312 = BGL_MVALUES_VAL(BgL_tmpz00_10593);
										}
										{	/* SawMill/bbv-specialize.scm 472 */
											int BgL_tmpz00_10596;

											BgL_tmpz00_10596 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_10596, BUNSPEC);
										}
										BgL_rctxoz00_3102 = BgL_tmpz00_5312;
									}
									{	/* SawMill/bbv-specialize.scm 472 */
										obj_t BgL_val0_1874z00_3103;
										obj_t BgL_val1_1875z00_3104;

										BgL_val0_1874z00_3103 =
											BGl_appendzd221011zd2zzsaw_bbvzd2specializa7ez75
											(BgL_rctxtz00_3101, BgL_lctxtz00_3099);
										BgL_val1_1875z00_3104 =
											BGl_appendzd221011zd2zzsaw_bbvzd2specializa7ez75
											(BgL_rctxoz00_3102, BgL_lctxoz00_3100);
										{	/* SawMill/bbv-specialize.scm 472 */
											int BgL_tmpz00_10601;

											BgL_tmpz00_10601 = (int) (((long) 2));
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10601);
										}
										{	/* SawMill/bbv-specialize.scm 472 */
											int BgL_tmpz00_10604;

											BgL_tmpz00_10604 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_10604,
												BgL_val1_1875z00_3104);
										}
										return BgL_val0_1874z00_3103;
									}
								}
							}
						}
					}
				else
					{	/* SawMill/bbv-specialize.scm 467 */
						if (BGl_regzf3ze70z14zzsaw_bbvzd2specializa7ez75(BgL_lhsz00_3091))
							{	/* SawMill/bbv-specialize.scm 473 */
								return
									BGl_testzd2ctxszd2refze70ze7zzsaw_bbvzd2specializa7ez75
									(BGl_regze70ze7zzsaw_bbvzd2specializa7ez75(BgL_lhsz00_3091),
									BgL_intlz00_3092, BgL_intrz00_3094, BgL_opz00_3090,
									BgL_sctxz00_3095);
							}
						else
							{	/* SawMill/bbv-specialize.scm 473 */
								if (BGl_regzf3ze70z14zzsaw_bbvzd2specializa7ez75
									(BgL_rhsz00_3093))
									{	/* SawMill/bbv-specialize.scm 475 */
										return
											BGl_testzd2ctxszd2refze70ze7zzsaw_bbvzd2specializa7ez75
											(BGl_regze70ze7zzsaw_bbvzd2specializa7ez75
											(BgL_rhsz00_3093), BgL_intrz00_3094, BgL_intlz00_3092,
											BGl_invzd2opze70z35zzsaw_bbvzd2specializa7ez75
											(BgL_opz00_3090), BgL_sctxz00_3095);
									}
								else
									{	/* SawMill/bbv-specialize.scm 475 */
										{	/* SawMill/bbv-specialize.scm 478 */
											int BgL_tmpz00_10616;

											BgL_tmpz00_10616 = (int) (((long) 2));
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10616);
										}
										{	/* SawMill/bbv-specialize.scm 478 */
											int BgL_tmpz00_10619;

											BgL_tmpz00_10619 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_10619, BFALSE);
										}
										return BFALSE;
									}
							}
					}
			}
		}

	}



/* &rtl_ins-specialize-intcmp */
	obj_t
		BGl_z62rtl_inszd2specializa7ezd2intcmpzc5zzsaw_bbvzd2specializa7ez75(obj_t
		BgL_envz00_5760, obj_t BgL_iz00_5761, obj_t BgL_ctxz00_5762)
	{
		{	/* SawMill/bbv-specialize.scm 354 */
			return
				BGl_rtl_inszd2specializa7ezd2intcmpza7zzsaw_bbvzd2specializa7ez75
				(BgL_iz00_5761, BgL_ctxz00_5762);
		}

	}



/* interval=? */
	bool_t BGl_intervalzd3zf3z20zzsaw_bbvzd2specializa7ez75(obj_t BgL_leftz00_231,
		obj_t BgL_rightz00_232)
	{
		{	/* SawMill/bbv-specialize.scm 529 */
			if (
				((long) CINT(STRUCT_REF(BgL_leftz00_231,
							(int) (((long) 0)))) ==
					(long) CINT(STRUCT_REF(BgL_rightz00_232, (int) (((long) 0))))))
				{	/* SawMill/bbv-specialize.scm 530 */
					return
						(
						(long) CINT(STRUCT_REF(BgL_leftz00_231,
								(int) (((long) 1)))) ==
						(long) CINT(STRUCT_REF(BgL_rightz00_232, (int) (((long) 1)))));
				}
			else
				{	/* SawMill/bbv-specialize.scm 530 */
					return ((bool_t) 0);
				}
		}

	}



/* interval-lts */
	obj_t BGl_intervalzd2ltszd2zzsaw_bbvzd2specializa7ez75(obj_t BgL_leftz00_233,
		obj_t BgL_rightz00_234, int BgL_shiftz00_235)
	{
		{	/* SawMill/bbv-specialize.scm 536 */
			{	/* SawMill/bbv-specialize.scm 537 */
				obj_t BgL_raz00_3139;

				BgL_raz00_3139 =
					BGl_2zd2zd2zz__r4_numbers_6_5z00(STRUCT_REF(BgL_rightz00_234,
						(int) (((long) 1))), BINT(BgL_shiftz00_235));
				if (BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_raz00_3139,
						STRUCT_REF(BgL_leftz00_233, (int) (((long) 1)))))
					{	/* SawMill/bbv-specialize.scm 538 */
						if (BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_raz00_3139,
								STRUCT_REF(BgL_leftz00_233, (int) (((long) 0)))))
							{	/* SawMill/bbv-specialize.scm 540 */
								obj_t BgL_arg2354z00_3144;

								BgL_arg2354z00_3144 =
									BGl_2minz00zz__r4_numbers_6_5z00(STRUCT_REF(BgL_leftz00_233,
										(int) (((long) 0))), BgL_raz00_3139);
								{	/* SawMill/bbv-specialize.scm 540 */
									obj_t BgL_newz00_5364;

									BgL_newz00_5364 =
										create_struct(CNST_TABLE_REF(((long) 0)),
										(int) (((long) 2)));
									{	/* SawMill/bbv-specialize.scm 540 */
										int BgL_tmpz00_10656;

										BgL_tmpz00_10656 = (int) (((long) 1));
										STRUCT_SET(BgL_newz00_5364, BgL_tmpz00_10656,
											BgL_raz00_3139);
									}
									{	/* SawMill/bbv-specialize.scm 540 */
										int BgL_tmpz00_10659;

										BgL_tmpz00_10659 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_5364, BgL_tmpz00_10659,
											BgL_arg2354z00_3144);
									}
									return BgL_newz00_5364;
								}
							}
						else
							{	/* SawMill/bbv-specialize.scm 541 */
								obj_t BgL_newz00_5367;

								BgL_newz00_5367 =
									create_struct(CNST_TABLE_REF(((long) 0)), (int) (((long) 2)));
								{	/* SawMill/bbv-specialize.scm 541 */
									int BgL_tmpz00_10665;

									BgL_tmpz00_10665 = (int) (((long) 1));
									STRUCT_SET(BgL_newz00_5367, BgL_tmpz00_10665, BgL_raz00_3139);
								}
								{	/* SawMill/bbv-specialize.scm 541 */
									int BgL_tmpz00_10668;

									BgL_tmpz00_10668 = (int) (((long) 0));
									STRUCT_SET(BgL_newz00_5367, BgL_tmpz00_10668, BgL_raz00_3139);
								}
								return BgL_newz00_5367;
							}
					}
				else
					{	/* SawMill/bbv-specialize.scm 538 */
						return BgL_leftz00_233;
					}
			}
		}

	}



/* interval-gts */
	obj_t BGl_intervalzd2gtszd2zzsaw_bbvzd2specializa7ez75(obj_t BgL_leftz00_240,
		obj_t BgL_rightz00_241, int BgL_shiftz00_242)
	{
		{	/* SawMill/bbv-specialize.scm 553 */
			{	/* SawMill/bbv-specialize.scm 554 */
				obj_t BgL_riz00_3150;

				BgL_riz00_3150 =
					BGl_2zb2zb2zz__r4_numbers_6_5z00(STRUCT_REF(BgL_rightz00_241,
						(int) (((long) 0))), BINT(BgL_shiftz00_242));
				if (BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_riz00_3150,
						STRUCT_REF(BgL_leftz00_240, (int) (((long) 0)))))
					{	/* SawMill/bbv-specialize.scm 555 */
						if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_riz00_3150,
								STRUCT_REF(BgL_leftz00_240, (int) (((long) 1)))))
							{	/* SawMill/bbv-specialize.scm 557 */
								obj_t BgL_arg2363z00_3155;

								BgL_arg2363z00_3155 =
									BGl_2maxz00zz__r4_numbers_6_5z00(STRUCT_REF(BgL_leftz00_240,
										(int) (((long) 1))), BgL_riz00_3150);
								{	/* SawMill/bbv-specialize.scm 557 */
									obj_t BgL_newz00_5374;

									BgL_newz00_5374 =
										create_struct(CNST_TABLE_REF(((long) 0)),
										(int) (((long) 2)));
									{	/* SawMill/bbv-specialize.scm 557 */
										int BgL_tmpz00_10689;

										BgL_tmpz00_10689 = (int) (((long) 1));
										STRUCT_SET(BgL_newz00_5374, BgL_tmpz00_10689,
											BgL_arg2363z00_3155);
									}
									{	/* SawMill/bbv-specialize.scm 557 */
										int BgL_tmpz00_10692;

										BgL_tmpz00_10692 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_5374, BgL_tmpz00_10692,
											BgL_riz00_3150);
									}
									return BgL_newz00_5374;
								}
							}
						else
							{	/* SawMill/bbv-specialize.scm 558 */
								obj_t BgL_newz00_5377;

								BgL_newz00_5377 =
									create_struct(CNST_TABLE_REF(((long) 0)), (int) (((long) 2)));
								{	/* SawMill/bbv-specialize.scm 558 */
									int BgL_tmpz00_10698;

									BgL_tmpz00_10698 = (int) (((long) 1));
									STRUCT_SET(BgL_newz00_5377, BgL_tmpz00_10698, BgL_riz00_3150);
								}
								{	/* SawMill/bbv-specialize.scm 558 */
									int BgL_tmpz00_10701;

									BgL_tmpz00_10701 = (int) (((long) 0));
									STRUCT_SET(BgL_newz00_5377, BgL_tmpz00_10701, BgL_riz00_3150);
								}
								return BgL_newz00_5377;
							}
					}
				else
					{	/* SawMill/bbv-specialize.scm 555 */
						return BgL_leftz00_240;
					}
			}
		}

	}



/* interval-eq */
	obj_t BGl_intervalzd2eqzd2zzsaw_bbvzd2specializa7ez75(obj_t BgL_leftz00_247,
		obj_t BgL_rightz00_248)
	{
		{	/* SawMill/bbv-specialize.scm 570 */
			{	/* SawMill/bbv-specialize.scm 571 */
				obj_t BgL_riz00_3161;

				BgL_riz00_3161 = STRUCT_REF(BgL_rightz00_248, (int) (((long) 0)));
				{	/* SawMill/bbv-specialize.scm 571 */
					obj_t BgL_raz00_3162;

					BgL_raz00_3162 = STRUCT_REF(BgL_rightz00_248, (int) (((long) 1)));
					{	/* SawMill/bbv-specialize.scm 572 */
						obj_t BgL_liz00_3163;

						BgL_liz00_3163 = STRUCT_REF(BgL_leftz00_247, (int) (((long) 0)));
						{	/* SawMill/bbv-specialize.scm 573 */
							obj_t BgL_laz00_3164;

							BgL_laz00_3164 = STRUCT_REF(BgL_leftz00_247, (int) (((long) 1)));
							{	/* SawMill/bbv-specialize.scm 574 */
								obj_t BgL_oiz00_3165;

								BgL_oiz00_3165 =
									BGl_2maxz00zz__r4_numbers_6_5z00(BgL_riz00_3161,
									BgL_liz00_3163);
								{	/* SawMill/bbv-specialize.scm 575 */
									obj_t BgL_oaz00_3166;

									BgL_oaz00_3166 =
										BGl_2minz00zz__r4_numbers_6_5z00(BgL_raz00_3162,
										BgL_laz00_3164);
									{	/* SawMill/bbv-specialize.scm 576 */

										if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_oiz00_3165,
												BgL_oaz00_3166))
											{	/* SawMill/bbv-specialize.scm 578 */
												obj_t BgL_newz00_5384;

												BgL_newz00_5384 =
													create_struct(CNST_TABLE_REF(((long) 0)),
													(int) (((long) 2)));
												{	/* SawMill/bbv-specialize.scm 578 */
													int BgL_tmpz00_10719;

													BgL_tmpz00_10719 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_5384, BgL_tmpz00_10719,
														BgL_oaz00_3166);
												}
												{	/* SawMill/bbv-specialize.scm 578 */
													int BgL_tmpz00_10722;

													BgL_tmpz00_10722 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_5384, BgL_tmpz00_10722,
														BgL_oiz00_3165);
												}
												return BgL_newz00_5384;
											}
										else
											{	/* SawMill/bbv-specialize.scm 577 */
												return BFALSE;
											}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_bbvzd2specializa7ez75()
	{
		{	/* SawMill/bbv-specialize.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_bbvzd2specializa7ez75()
	{
		{	/* SawMill/bbv-specialize.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_bbvzd2specializa7ez75()
	{
		{	/* SawMill/bbv-specialize.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2specializa7ez75()
	{
		{	/* SawMill/bbv-specialize.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2612z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2612z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2612z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2612z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2612z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2612z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2612z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2612z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2612z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 57049157),
				BSTRING_TO_STRING(BGl_string2612z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 79517123),
				BSTRING_TO_STRING(BGl_string2612z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(((long) 454038607),
				BSTRING_TO_STRING(BGl_string2612z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(((long) 237915200),
				BSTRING_TO_STRING(BGl_string2612z00zzsaw_bbvzd2specializa7ez75));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(((long) 241613712),
				BSTRING_TO_STRING(BGl_string2612z00zzsaw_bbvzd2specializa7ez75));
			return
				BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(((long) 486661385),
				BSTRING_TO_STRING(BGl_string2612z00zzsaw_bbvzd2specializa7ez75));
		}

	}

#ifdef __cplusplus
}
#endif
