/*===========================================================================*/
/*   (SawMill/bbv-types.scm)                                                 */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/bbv-types.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                        *BgL_rtl_instanceofz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_totypez00;
		struct BgL_typez00_bgl *BgL_fromtypez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;

	typedef struct BgL_blockvz00_bgl
	{
		obj_t BgL_versionsz00;
		long BgL_z52markz52;
	}                *BgL_blockvz00_bglt;

	typedef struct BgL_blocksz00_bgl
	{
		obj_t BgL_ictxz00;
		obj_t BgL_octxsz00;
		long BgL_z52markz52;
		obj_t BgL_z52parentz52;
		obj_t BgL_z52hashz52;
		obj_t BgL_z52blacklistz52;
	}                *BgL_blocksz00_bglt;

	typedef struct BgL_rtl_inszf2bbvzf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_outz00;
		obj_t BgL_inz00;
		obj_t BgL_z52hashz52;
	}                       *BgL_rtl_inszf2bbvzf2_bglt;

	typedef struct BgL_bbvzd2ctxentryzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_rtl_regz00_bgl *BgL_regz00;
		struct BgL_typez00_bgl *BgL_typz00;
		bool_t BgL_flagz00;
		obj_t BgL_valuez00;
		obj_t BgL_aliasesz00;
	}                        *BgL_bbvzd2ctxentryzd2_bglt;


	static obj_t
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_loadg1731z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2 = BUNSPEC;
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_z62ctxzd2getzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_rtl_pragmaz00zzsaw_defsz00;
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_bbvzd2typeszd2 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31863ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62bbvzd2hashzd2rtl_vset1751z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62bbvzd2hashzd2rtl_vref1741z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2equalzf3zd2rtl_reg1773z91zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_cast_1815z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62bbvzd2hashzd2type1714z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_inszf2b1771z63zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2typeszd2(int, int, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2typeszd2(BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, int, obj_t, obj_t, int, obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza32200ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	BGL_IMPORT obj_t BGl_everyz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2typeszd2();
	extern obj_t BGl_rtl_ifeqz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_inszd2boolzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_za2minzd2fixnumza2zd2zzsaw_bbvzd2typeszd2 =
		BUNSPEC;
	static obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl__extendzd2normaliza7ezd2ctxza7zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_vref1793z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_store1799z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_vlengthz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_instanc1745z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_setfiel1749z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2equalzf3zd2rtl_new1805z91zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2vlenzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62dumpzd2rtl_inszf2bbv1708z42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_bbvzd2typeszd2();
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl__extendzd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_setfi1801z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2typeszd2(obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_vsetz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_objectzd2initzd2zzsaw_bbvzd2typeszd2();
	static obj_t BGl_z62bbvzd2equalzf3zd2rtl_fun1775z91zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2truezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32122ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_loadi1729z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_ctxzd2ze3stringz31zzsaw_bbvzd2typeszd2(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62rtl_inszd2loadizf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2nopzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2maxzd2indexza2zd2zzsaw_bbvzd2typeszd2 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt,
		obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32212ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	extern obj_t BGl_regsetz00zzsaw_regsetz00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vallocz00zzsaw_defsz00;
	extern obj_t BGl_rtl_cast_nullz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadfunz00zzsaw_defsz00;
	extern obj_t BGl_dumpza2za2zzsaw_defsz00(obj_t, obj_t, int);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static BgL_bbvzd2ctxentryzd2_bglt
		BGl_newzd2ctxentryze70z35zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t, obj_t);
	static BgL_bbvzd2ctxentryzd2_bglt
		BGl_newzd2ctxentryze71z35zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_fprintfz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32230ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32141ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32133ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_ppzd2intzd2valueze70ze7zzsaw_bbvzd2typeszd2(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_globa1787z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_inszd2movzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_bbvzd2typeszd2();
	static obj_t BGl_z62zc3z04anonymousza32223ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	BGL_IMPORT obj_t bgl_typeof(obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2zb2infze20za2z50zzsaw_bbvzd2typeszd2 = BUNSPEC;
	static BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	extern obj_t BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62bbvzd2hashzd2rtl_getfiel1737z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2typeszd2();
	static BgL_typez00_bglt
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_getfi1789z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_dumpz00zzsaw_defsz00(obj_t, obj_t, int);
	static obj_t BGl_z62rtl_inszd2falsezf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2maxzd2fixnumza2zd2zzsaw_bbvzd2typeszd2 =
		BUNSPEC;
	extern obj_t BGl_rtl_switchz00zzsaw_defsz00;
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_pragm1811z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_goz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2typecheckzd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_call1807z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_rtl_ifnez00zzsaw_defsz00;
	static obj_t BGl_refinezd2oneze70z35zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	extern obj_t BGl_rtl_instanceofz00zzsaw_defsz00;
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_rtl_setfieldz00zzsaw_defsz00;
	static obj_t BGl_z62bbvzd2equalzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t
		BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza32154ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	extern obj_t BGl_rtl_selectz00zzsaw_defsz00;
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_vallo1791z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_storeg1747z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2equalzf31764z43zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62ctxzd2ze3stringz53zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_IMPORT long bgl_symbol_hash_number(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32244ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2boolzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_ctxzd2getzd2zzsaw_bbvzd2typeszd2(obj_t,
		BgL_rtl_regz00_bglt);
	static obj_t BGl_z62bbvzd2hashzd2rtl_pragma1759z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_blockSz00zzsaw_bbvzd2typeszd2 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_blockVz00zzsaw_bbvzd2typeszd2 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_extendzd2normaliza7ezd2ctxza7zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_storegz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62aliaszd2ctxzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32172ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32237ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2117z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_vlength1743z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2equalzf3zd2atom1767z91zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_cast1813z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_loadf1785z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_globalr1735z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	extern obj_t BGl_rtl_lastz00zzsaw_defsz00;
	extern obj_t BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t,
		obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_light1809z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2120z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_cast_nu1763z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2123z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32254ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32165ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	extern obj_t BGl_rtl_returnz00zzsaw_defsz00;
	static BgL_rtl_insz00_bglt BGl_z62lambda2207z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2falsezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_reg1722z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_call1755z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszd2lastzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2210z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2131z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2132z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2213z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2branchzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62lambda2139z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2branchzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_extendzd2ctxzf2entryz20zzsaw_bbvzd2typeszd2(obj_t,
		BgL_bbvzd2ctxentryzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t
		BGl_z62bbvzd2hashzd2rtl_inszf2bbv1720z90zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2140z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2221z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2222z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62dumpzd2blockS1710zb0zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2typeszd2(obj_t);
	extern obj_t BGl_za2typezd2normsza2zd2zzsaw_bbvzd2cachezd2;
	static obj_t BGl_z62lambda2228z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2229z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2149z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	static obj_t
		BGl_rtl_inszd2loadizd2valuez00zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62bbvzd2equalzf3zd2blockS1769z91zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_aliaszd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t,
		BgL_rtl_regz00_bglt, BgL_rtl_regz00_bglt);
	static BgL_blockz00_bglt BGl_z62lambda2152z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	extern obj_t BGl_regsetzd2ze3listz31zzsaw_regsetz00(BgL_regsetz00_bglt);
	static obj_t BGl_z62lambda2235z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2155z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2236z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_lightfu1757z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2typeszd2();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2typeszd2();
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_loadg1783z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_paramszd2ze3ctxz31zzsaw_bbvzd2typeszd2(obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_z62rtl_inszd2gozf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_switc1779z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_unaliaszd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t,
		BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2typeszd2();
	static obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2typeszd2();
	static obj_t BGl_z62lambda2242z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32193ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62lambda2243z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2ifeqzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2163z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32266ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62lambda2164z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_remq(obj_t, obj_t);
	extern obj_t BGl_rtl_castz00zzsaw_defsz00;
	static obj_t BGl_z62bbvzd2hashzd2rtl_fun1724z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_cast1761z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static BgL_bbvzd2ctxentryzd2_bglt
		BGl_z62lambda2250z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2170z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2171z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static BgL_bbvzd2ctxentryzd2_bglt
		BGl_z62lambda2252z62zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32186ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt, int);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62lambda2177z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda2258z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2178z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2259z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hash1711zb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2zd2infze20za2z30zzsaw_bbvzd2typeszd2 = BUNSPEC;
	extern obj_t BGl_rtl_globalrefz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_loadfun1733z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszd2callzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2maxzd2lengthza2zd2zzsaw_bbvzd2typeszd2 =
		BUNSPEC;
	static obj_t BGl_z62bbvzd2hashzd2blockS1718z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2264z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32179ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62lambda2184z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2265z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2185z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_regsetzf3zf3zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62rtl_inszd2typecheckzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2270z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2271z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2191z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62lambda2192z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static obj_t BGl_z62lambda2276z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2277z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2198z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2199z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszd2vlenzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_valloc1739z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32294ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32286ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32278ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62lambda2284z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2285z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2atom1716z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2truezf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_bitzd2xorza2z70zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2typeszd2();
	static obj_t BGl_loopze70ze7zzsaw_bbvzd2typeszd2(int, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_loopze71ze7zzsaw_bbvzd2typeszd2(int, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_loopze72ze7zzsaw_bbvzd2typeszd2(int, BgL_rtl_regz00_bglt,
		BgL_bbvzd2ctxentryzd2_bglt, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2ifnezf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_vset1803z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_callzd2predicatezb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_vleng1795z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl__refinezd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_insta1797z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_loadi1781z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_selec1777z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62paramszd2ze3ctxz53zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2 = BUNSPEC;
	static obj_t BGl_z62bbvzd2hashzd2rtl_new1753z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	extern obj_t BGl_blockz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza31933ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt,
		int);
	static obj_t BGl_z62zc3z04anonymousza31925ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_refinezd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT long BGl_getzd2hashnumberzd2zz__hashz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2lastzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62bbvzd2hashzd2rtl_return1727z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	extern obj_t BGl_dumpzd2marginzd2zzsaw_defsz00(obj_t, int);
	static obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t __cnst[33];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3003z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3130za7,
		BGl_z62zc3z04anonymousza32179ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3004z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2178za7623131z00,
		BGl_z62lambda2178z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3005z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2177za7623132z00,
		BGl_z62lambda2177z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3006z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3133za7,
		BGl_z62zc3z04anonymousza32186ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3007z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2185za7623134z00,
		BGl_z62lambda2185z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3008z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2184za7623135z00,
		BGl_z62lambda2184z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3009z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3136za7,
		BGl_z62zc3z04anonymousza32193ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2gozf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2goza73137za7,
		BGl_z62rtl_inszd2gozf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2namezd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73138za7,
		BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3010z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2192za7623139z00,
		BGl_z62lambda2192z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3011z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2191za7623140z00,
		BGl_z62lambda2191z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3012z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3141za7,
		BGl_z62zc3z04anonymousza32200ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3013z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2199za7623142z00,
		BGl_z62lambda2199z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3014z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2198za7623143z00,
		BGl_z62lambda2198z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3015z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2155za7623144z00,
		BGl_z62lambda2155z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3016z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3145za7,
		BGl_z62zc3z04anonymousza32154ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3017z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2152za7623146z00,
		BGl_z62lambda2152z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3018z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2149za7623147z00,
		BGl_z62lambda2149z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3019z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3148za7,
		BGl_z62zc3z04anonymousza32223ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3100z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3149za7,
		BGl_z62bbvzd2equalzf3zd2rtl_insta1797z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3101z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3150za7,
		BGl_z62bbvzd2equalzf3zd2rtl_store1799z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3020z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2222za7623151z00,
		BGl_z62lambda2222z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3102z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3152za7,
		BGl_z62bbvzd2equalzf3zd2rtl_setfi1801z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3021z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2221za7623153z00,
		BGl_z62lambda2221z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3103z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3154za7,
		BGl_z62bbvzd2equalzf3zd2rtl_vset1803z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3022z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3155za7,
		BGl_z62zc3z04anonymousza32230ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3110z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3110za700za7za7s3156za7, "not implemented", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3104z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3157za7,
		BGl_z62bbvzd2equalzf3zd2rtl_new1805z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3023z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2229za7623158z00,
		BGl_z62lambda2229z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3111z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3111za700za7za7s3159za7, "(block ", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3105z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3160za7,
		BGl_z62bbvzd2equalzf3zd2rtl_call1807z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3024z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2228za7623161z00,
		BGl_z62lambda2228z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2truezf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2tru3162z00,
		BGl_z62rtl_inszd2truezf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3112z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3112za700za7za7s3163za7, " ;; parent=", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3106z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3164za7,
		BGl_z62bbvzd2equalzf3zd2rtl_light1809z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3025z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3165za7,
		BGl_z62zc3z04anonymousza32237ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3113z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3113za700za7za7s3166za7, " ;; ictx=", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3107z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3167za7,
		BGl_z62bbvzd2equalzf3zd2rtl_pragm1811z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3026z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2236za7623168z00,
		BGl_z62lambda2236z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3114z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3114za700za7za7s3169za7, " ;; octx=", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3108z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3170za7,
		BGl_z62bbvzd2equalzf3zd2rtl_cast1813z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3027z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2235za7623171z00,
		BGl_z62lambda2235z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3115z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3115za700za7za7s3172za7, ":preds ", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3109z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3173za7,
		BGl_z62bbvzd2equalzf3zd2rtl_cast_1815z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3028z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3174za7,
		BGl_z62zc3z04anonymousza32244ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3116z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3116za700za7za7s3175za7, ":succs ", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3029z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2243za7623176z00,
		BGl_z62lambda2243z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3117z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3117za700za7za7s3177za7, ")\n", 2);
	      DEFINE_STRING(BGl_string3118z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3118za700za7za7s3178za7, "[", 1);
	      DEFINE_STRING(BGl_string3119z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3119za700za7za7s3179za7, " <- ", 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2nilzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2nilza73180za7,
		BGl_z62regsetzd2nilzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_GENERIC(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3181za7,
		BGl_z62bbvzd2equalzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3030z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2242za7623182z00,
		BGl_z62lambda2242z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3031z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2213za7623183z00,
		BGl_z62lambda2213z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3032z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3184za7,
		BGl_z62zc3z04anonymousza32212ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3120z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3120za700za7za7s3185za7, "]", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3033z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2210za7623186z00,
		BGl_z62lambda2210z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3121z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3121za700za7za7s3187za7, " #|fun=", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3034z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2207za7623188z00,
		BGl_z62lambda2207z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 9);
	      DEFINE_STRING(BGl_string3122z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3122za700za7za7s3189za7, " def=", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3035z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2259za7623190z00,
		BGl_z62lambda2259z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3123z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3123za700za7za7s3191za7, " in=", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3036z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2258za7623192z00,
		BGl_z62lambda2258z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3124z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3124za700za7za7s3193za7, " out=", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3037z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3194za7,
		BGl_z62zc3z04anonymousza32266ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3125z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3125za700za7za7s3195za7, "|#", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3038z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2265za7623196z00,
		BGl_z62lambda2265z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3126z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3126za700za7za7s3197za7, "saw_bbv-types", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3039z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2264za7623198z00,
		BGl_z62lambda2264z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3127z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3127za700za7za7s3199za7,
		"bbv-ctxentry aliases value bool flag typ reg rtl_ins/bbv in out def blockS %blacklist %hash obj %parent octxs ictx saw_bbv-types blockV long %mark pair-nil versions _ vlen -INF +INF MINFX MAXFX-1 MAXFX interval int-size ",
		220);
	extern obj_t BGl_dumpzd2envzd2zzsaw_defsz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73200za7,
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3040z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2271za7623201z00,
		BGl_z62lambda2271z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3041z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2270za7623202z00,
		BGl_z62lambda2270z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3042z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3203za7,
		BGl_z62zc3z04anonymousza32278ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3043z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2277za7623204z00,
		BGl_z62lambda2277z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3044z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2276za7623205z00,
		BGl_z62lambda2276z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3045z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3206za7,
		BGl_z62zc3z04anonymousza32286ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3052z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3052za700za7za7s3207za7, "bbv-hash1711", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3046z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2285za7623208z00,
		BGl_z62lambda2285z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3047z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2284za7623209z00,
		BGl_z62lambda2284z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3054z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3054za700za7za7s3210za7, "bbv-equal?1764", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3048z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3211za7,
		BGl_z62zc3z04anonymousza32254ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3049z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2252za7623212z00,
		BGl_z62lambda2252z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3056z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3056za700za7za7s3213za7, "dump", 4);
	      DEFINE_STRING(BGl_string3059z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3059za700za7za7s3214za7, "bbv-hash", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73215za7,
		BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3050z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2250za7623216z00,
		BGl_z62lambda2250z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3051z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hash1713217z00,
		BGl_z62bbvzd2hash1711zb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3053z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3218za7,
		BGl_z62bbvzd2equalzf31764z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3055z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762dumpza7d2rtl_in3219z00,
		BGl_z62dumpzd2rtl_inszf2bbv1708z42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3057z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762dumpza7d2blocks3220z00,
		BGl_z62dumpzd2blockS1710zb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3058z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23221za7,
		BGl_z62bbvzd2hashzd2type1714z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3060z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23222za7,
		BGl_z62bbvzd2hashzd2atom1716z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3061z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23223za7,
		BGl_z62bbvzd2hashzd2blockS1718z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3062z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23224za7,
		BGl_z62bbvzd2hashzd2rtl_inszf2bbv1720z90zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3063z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23225za7,
		BGl_z62bbvzd2hashzd2rtl_reg1722z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3064z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23226za7,
		BGl_z62bbvzd2hashzd2rtl_fun1724z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3065z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23227za7,
		BGl_z62bbvzd2hashzd2rtl_return1727z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3066z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23228za7,
		BGl_z62bbvzd2hashzd2rtl_loadi1729z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3067z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23229za7,
		BGl_z62bbvzd2hashzd2rtl_loadg1731z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3068z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23230za7,
		BGl_z62bbvzd2hashzd2rtl_loadfun1733z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3069z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23231za7,
		BGl_z62bbvzd2hashzd2rtl_globalr1735z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2setz12zd2envzc1zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73232za7,
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2typeszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73233za7,
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2typeszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2branchzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2bra3234z00,
		BGl_z62rtl_inszd2branchzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73235za7,
		BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3070z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23236za7,
		BGl_z62bbvzd2hashzd2rtl_getfiel1737z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3071z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23237za7,
		BGl_z62bbvzd2hashzd2rtl_valloc1739z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3072z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23238za7,
		BGl_z62bbvzd2hashzd2rtl_vref1741z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3073z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23239za7,
		BGl_z62bbvzd2hashzd2rtl_vlength1743z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3074z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23240za7,
		BGl_z62bbvzd2hashzd2rtl_instanc1745z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3075z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23241za7,
		BGl_z62bbvzd2hashzd2rtl_storeg1747z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3076z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23242za7,
		BGl_z62bbvzd2hashzd2rtl_setfiel1749z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3077z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23243za7,
		BGl_z62bbvzd2hashzd2rtl_vset1751z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3078z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23244za7,
		BGl_z62bbvzd2hashzd2rtl_new1753z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3085z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3085za700za7za7s3245za7, "bbv-equal?", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3079z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23246za7,
		BGl_z62bbvzd2hashzd2rtl_call1755z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73247za7,
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2typeszd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3080z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23248za7,
		BGl_z62bbvzd2hashzd2rtl_lightfu1757z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3081z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23249za7,
		BGl_z62bbvzd2hashzd2rtl_pragma1759z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3082z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23250za7,
		BGl_z62bbvzd2hashzd2rtl_cast1761z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2regvzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2regv3251z00,
		BGl_z62regsetzd2regvzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3083z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23252za7,
		BGl_z62bbvzd2hashzd2rtl_cast_nu1763z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3084z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3253za7,
		BGl_z62bbvzd2equalzf3zd2atom1767z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3086z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3254za7,
		BGl_z62bbvzd2equalzf3zd2blockS1769z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3087z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3255za7,
		BGl_z62bbvzd2equalzf3zd2rtl_inszf2b1771z63zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3088z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3256za7,
		BGl_z62bbvzd2equalzf3zd2rtl_reg1773z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3089z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3257za7,
		BGl_z62bbvzd2equalzf3zd2rtl_fun1775z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2nopzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2nop3258z00,
		BGl_z62rtl_inszd2nopzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3090z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3259za7,
		BGl_z62bbvzd2equalzf3zd2rtl_selec1777z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3091z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3260za7,
		BGl_z62bbvzd2equalzf3zd2rtl_switc1779z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3092z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3261za7,
		BGl_z62bbvzd2equalzf3zd2rtl_loadi1781z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3093z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3262za7,
		BGl_z62bbvzd2equalzf3zd2rtl_loadg1783z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3094z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3263za7,
		BGl_z62bbvzd2equalzf3zd2rtl_loadf1785z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3095z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3264za7,
		BGl_z62bbvzd2equalzf3zd2rtl_globa1787z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3096z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3265za7,
		BGl_z62bbvzd2equalzf3zd2rtl_getfi1789z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3097z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3266za7,
		BGl_z62bbvzd2equalzf3zd2rtl_vallo1791z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3098z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3267za7,
		BGl_z62bbvzd2equalzf3zd2rtl_vref1793z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3099z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3268za7,
		BGl_z62bbvzd2equalzf3zd2rtl_vleng1795z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2setz12zd2envzc0zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2leng3269z00,
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2lastzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2las3270z00,
		BGl_z62rtl_inszd2lastzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2msiza7ezd2envza7zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2msiza73271za7,
		BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ctxzd2ze3stringzd2envze3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762ctxza7d2za7e3stri3272za7,
		BGl_z62ctxzd2ze3stringz53zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73273za7,
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73274za7,
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2ifnezf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2ifn3275z00,
		BGl_z62rtl_inszd2ifnezf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73276za7,
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_aliaszd2ctxzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762aliasza7d2ctxza7b3277za7,
		BGl_z62aliaszd2ctxzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2typecheckzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2typ3278z00,
		BGl_z62rtl_inszd2typecheckzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2loadizf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2loa3279z00,
		BGl_z62rtl_inszd2loadizf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_paramszd2ze3ctxzd2envze3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762paramsza7d2za7e3c3280za7,
		BGl_z62paramszd2ze3ctxz53zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2nilzd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73281za7,
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2callzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2cal3282z00,
		BGl_z62rtl_inszd2callzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73283za7,
		BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2numzd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73284za7,
		BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2setz12zd2envzc0zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2stri3285z00,
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73286za7,
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2envz01zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73287za7,
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2ifeqzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2ife3288z00,
		BGl_z62rtl_inszd2ifeqzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2stri3289z00,
		BGl_z62regsetzd2stringzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_refinezd2ctxzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl__refineza7d2ctxza7d23290z00, opt_generic_entry,
		BGl__refinezd2ctxzd2zzsaw_bbvzd2typeszd2, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73291za7,
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2typeszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_regzf2razd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762makeza7d2rtl_re3292z00,
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razf3zd2envzd3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73293za7,
		BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2leng3294z00,
		BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2vlenzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2vle3295z00,
		BGl_z62rtl_inszd2vlenzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73296za7,
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_callzd2predicatezd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_callza7d2pr3297z00,
		BGl_z62rtl_callzd2predicatezb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73298za7,
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2hardwarezd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73299za7,
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2regsetzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762makeza7d2regset3300z00,
		BGl_z62makezd2regsetzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string2982z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string2982za700za7za7s3301za7, "no-", 3);
	      DEFINE_STRING(BGl_string2983z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string2983za700za7za7s3302za7, "~s", 2);
	      DEFINE_STRING(BGl_string2984z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string2984za700za7za7s3303za7, "[~a..~a]", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_extendzd2ctxzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl__extendza7d2ctxza7d23304z00, opt_generic_entry,
		BGl__extendzd2ctxzd2zzsaw_bbvzd2typeszd2, BFALSE, -1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2985z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3305za7,
		BGl_z62zc3z04anonymousza31933ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2986z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3306za7,
		BGl_z62zc3z04anonymousza31925ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2987z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3307za7,
		BGl_z62zc3z04anonymousza32133ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2988z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2132za7623308z00,
		BGl_z62lambda2132z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2989z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2131za7623309z00,
		BGl_z62lambda2131z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_extendzd2normaliza7ezd2ctxzd2envz75zzsaw_bbvzd2typeszd2,
		BgL_bgl__extendza7d2normal3310za7, opt_generic_entry,
		BGl__extendzd2normaliza7ezd2ctxza7zzsaw_bbvzd2typeszd2, BFALSE, -1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2990z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3311za7,
		BGl_z62zc3z04anonymousza32141ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2991z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2140za7623312z00,
		BGl_z62lambda2140z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2992z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2139za7623313z00,
		BGl_z62lambda2139z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2993z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2123za7623314z00,
		BGl_z62lambda2123z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2994z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3315za7,
		BGl_z62zc3z04anonymousza32122ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2995z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2120za7623316z00,
		BGl_z62lambda2120z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2996z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2117za7623317z00,
		BGl_z62lambda2117z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2997z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3318za7,
		BGl_z62zc3z04anonymousza32165ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2998z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2164za7623319z00,
		BGl_z62lambda2164z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2999z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2163za7623320z00,
		BGl_z62lambda2163z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2falsezf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2fal3321z00,
		BGl_z62rtl_inszd2falsezf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2boolzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2boo3322z00,
		BGl_z62rtl_inszd2boolzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzf3zd2envz21zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7f3za791za73323z00,
		BGl_z62regsetzf3z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7b03324za7,
		BGl_z62bbvzd2hashzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2keyzd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73325za7,
		BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73326za7,
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2movzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2mov3327z00,
		BGl_z62rtl_inszd2movzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ctxzd2getzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762ctxza7d2getza7b0za73328z00,
		BGl_z62ctxzd2getzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3000z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3329za7,
		BGl_z62zc3z04anonymousza32172ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2reglzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2regl3330z00,
		BGl_z62regsetzd2reglzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3001z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2171za7623331z00,
		BGl_z62lambda2171z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3002z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2170za7623332z00,
		BGl_z62lambda2170z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_za2minzd2fixnumza2zd2zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_za2maxzd2indexza2zd2zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_za2zb2infze20za2z50zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_za2maxzd2fixnumza2zd2zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_blockSz00zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_blockVz00zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_za2zd2infze20za2z30zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_za2maxzd2lengthza2zd2zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(long
		BgL_checksumz00_7612, char *BgL_fromz00_7613)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_bbvzd2typeszd2))
				{
					BGl_requirezd2initializa7ationz75zzsaw_bbvzd2typeszd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_bbvzd2typeszd2();
					BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2typeszd2();
					BGl_cnstzd2initzd2zzsaw_bbvzd2typeszd2();
					BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2typeszd2();
					BGl_objectzd2initzd2zzsaw_bbvzd2typeszd2();
					BGl_genericzd2initzd2zzsaw_bbvzd2typeszd2();
					BGl_methodzd2initzd2zzsaw_bbvzd2typeszd2();
					return BGl_toplevelzd2initzd2zzsaw_bbvzd2typeszd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2typeszd2()
	{
		{	/* SawMill/bbv-types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__configurez00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"saw_bbv-types");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2typeszd2()
	{
		{	/* SawMill/bbv-types.scm 15 */
			{	/* SawMill/bbv-types.scm 15 */
				obj_t BgL_cportz00_6691;

				{	/* SawMill/bbv-types.scm 15 */
					obj_t BgL_stringz00_6699;

					BgL_stringz00_6699 = BGl_string3127z00zzsaw_bbvzd2typeszd2;
					{	/* SawMill/bbv-types.scm 15 */
						obj_t BgL_startz00_6700;

						BgL_startz00_6700 = BINT(((long) 0));
						{	/* SawMill/bbv-types.scm 15 */
							obj_t BgL_endz00_6701;

							BgL_endz00_6701 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_6699)));
							{	/* SawMill/bbv-types.scm 15 */

								BgL_cportz00_6691 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_6699, BgL_startz00_6700, BgL_endz00_6701);
				}}}}
				{
					long BgL_iz00_6692;

					BgL_iz00_6692 = ((long) 32);
				BgL_loopz00_6693:
					if ((BgL_iz00_6692 == ((long) -1)))
						{	/* SawMill/bbv-types.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/bbv-types.scm 15 */
							{	/* SawMill/bbv-types.scm 15 */
								obj_t BgL_arg3129z00_6695;

								{	/* SawMill/bbv-types.scm 15 */

									{	/* SawMill/bbv-types.scm 15 */
										obj_t BgL_locationz00_6697;

										BgL_locationz00_6697 = BBOOL(((bool_t) 0));
										{	/* SawMill/bbv-types.scm 15 */

											BgL_arg3129z00_6695 =
												BGl_readz00zz__readerz00(BgL_cportz00_6691,
												BgL_locationz00_6697);
										}
									}
								}
								{	/* SawMill/bbv-types.scm 15 */
									int BgL_tmpz00_7651;

									BgL_tmpz00_7651 = (int) (BgL_iz00_6692);
									CNST_TABLE_SET(BgL_tmpz00_7651, BgL_arg3129z00_6695);
							}}
							{	/* SawMill/bbv-types.scm 15 */
								int BgL_auxz00_6698;

								BgL_auxz00_6698 = (int) ((BgL_iz00_6692 - ((long) 1)));
								{
									long BgL_iz00_7656;

									BgL_iz00_7656 = (long) (BgL_auxz00_6698);
									BgL_iz00_6692 = BgL_iz00_7656;
									goto BgL_loopz00_6693;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2typeszd2()
	{
		{	/* SawMill/bbv-types.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2typeszd2()
	{
		{	/* SawMill/bbv-types.scm 15 */
			{	/* SawMill/bbv-types.scm 99 */
				long BgL_arg1817z00_2064;

				{	/* SawMill/bbv-types.scm 99 */
					obj_t BgL_arg1818z00_2065;

					BgL_arg1818z00_2065 =
						BGl_bigloozd2configzd2zz__configurez00(CNST_TABLE_REF(((long) 0)));
					BgL_arg1817z00_2064 = ((long) CINT(BgL_arg1818z00_2065) - ((long) 2));
				}
				BGl_za2maxzd2fixnumza2zd2zzsaw_bbvzd2typeszd2 =
					make_bllong((((BGL_LONGLONG_T) 1) << (int) (BgL_arg1817z00_2064)));
			}
			BGl_za2minzd2fixnumza2zd2zzsaw_bbvzd2typeszd2 =
				make_bllong(
				(NEG(BLLONG_TO_LLONG(BGl_za2maxzd2fixnumza2zd2zzsaw_bbvzd2typeszd2)) -
					((BGL_LONGLONG_T) 1)));
			BGl_za2maxzd2lengthza2zd2zzsaw_bbvzd2typeszd2 =
				BGl_za2maxzd2fixnumza2zd2zzsaw_bbvzd2typeszd2;
			{	/* SawMill/bbv-types.scm 103 */
				BGL_LONGLONG_T BgL_za71za7_3964;

				BgL_za71za7_3964 =
					BLLONG_TO_LLONG(BGl_za2maxzd2lengthza2zd2zzsaw_bbvzd2typeszd2);
				BGl_za2maxzd2indexza2zd2zzsaw_bbvzd2typeszd2 =
					make_bllong((BgL_za71za7_3964 - ((BGL_LONGLONG_T) 1)));
			}
			{	/* SawMill/bbv-types.scm 105 */
				BGL_LONGLONG_T BgL_za71za7_3966;

				BgL_za71za7_3966 =
					BLLONG_TO_LLONG(BGl_za2maxzd2fixnumza2zd2zzsaw_bbvzd2typeszd2);
				BGl_za2zb2infze20za2z50zzsaw_bbvzd2typeszd2 =
					make_bllong((BgL_za71za7_3966 + ((BGL_LONGLONG_T) 1)));
			}
			{	/* SawMill/bbv-types.scm 106 */
				BGL_LONGLONG_T BgL_za71za7_3968;

				BgL_za71za7_3968 =
					BLLONG_TO_LLONG(BGl_za2minzd2fixnumza2zd2zzsaw_bbvzd2typeszd2);
				BGl_za2zd2infze20za2z30zzsaw_bbvzd2typeszd2 =
					make_bllong((BgL_za71za7_3968 - ((BGL_LONGLONG_T) 1)));
			}
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_bbvzd2typeszd2(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_2067;

				BgL_headz00_2067 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2068;
					obj_t BgL_tailz00_2069;

					BgL_prevz00_2068 = BgL_headz00_2067;
					BgL_tailz00_2069 = BgL_l1z00_1;
				BgL_loopz00_2070:
					if (PAIRP(BgL_tailz00_2069))
						{
							obj_t BgL_newzd2prevzd2_2072;

							BgL_newzd2prevzd2_2072 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2069), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2068, BgL_newzd2prevzd2_2072);
							{
								obj_t BgL_tailz00_7686;
								obj_t BgL_prevz00_7685;

								BgL_prevz00_7685 = BgL_newzd2prevzd2_2072;
								BgL_tailz00_7686 = CDR(BgL_tailz00_2069);
								BgL_tailz00_2069 = BgL_tailz00_7686;
								BgL_prevz00_2068 = BgL_prevz00_7685;
								goto BgL_loopz00_2070;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_2067);
				}
			}
		}

	}



/* make-rtl_reg/ra */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2typeszd2(BgL_typez00_bglt
		BgL_type1179z00_3, obj_t BgL_var1180z00_4, obj_t BgL_onexprzf31181zf3_5,
		obj_t BgL_name1182z00_6, obj_t BgL_key1183z00_7,
		obj_t BgL_hardware1184z00_8, int BgL_num1185z00_9,
		obj_t BgL_color1186z00_10, obj_t BgL_coalesce1187z00_11,
		int BgL_occurrences1188z00_12, obj_t BgL_interfere1189z00_13,
		obj_t BgL_interfere21190z00_14)
	{
		{	/* SawMill/regset.sch 55 */
			{	/* SawMill/regset.sch 55 */
				BgL_rtl_regz00_bglt BgL_new1210z00_6703;

				{	/* SawMill/regset.sch 55 */
					BgL_rtl_regz00_bglt BgL_tmp1208z00_6704;
					BgL_rtl_regzf2razf2_bglt BgL_wide1209z00_6705;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_7689;

						{	/* SawMill/regset.sch 55 */
							BgL_rtl_regz00_bglt BgL_new1207z00_6706;

							BgL_new1207z00_6706 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/regset.sch 55 */
								long BgL_arg1842z00_6707;

								BgL_arg1842z00_6707 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1207z00_6706),
									BgL_arg1842z00_6707);
							}
							{	/* SawMill/regset.sch 55 */
								BgL_objectz00_bglt BgL_tmpz00_7694;

								BgL_tmpz00_7694 = ((BgL_objectz00_bglt) BgL_new1207z00_6706);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7694, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1207z00_6706);
							BgL_auxz00_7689 = BgL_new1207z00_6706;
						}
						BgL_tmp1208z00_6704 = ((BgL_rtl_regz00_bglt) BgL_auxz00_7689);
					}
					BgL_wide1209z00_6705 =
						((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regzf2razf2_bgl))));
					{	/* SawMill/regset.sch 55 */
						obj_t BgL_auxz00_7702;
						BgL_objectz00_bglt BgL_tmpz00_7700;

						BgL_auxz00_7702 = ((obj_t) BgL_wide1209z00_6705);
						BgL_tmpz00_7700 = ((BgL_objectz00_bglt) BgL_tmp1208z00_6704);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7700, BgL_auxz00_7702);
					}
					((BgL_objectz00_bglt) BgL_tmp1208z00_6704);
					{	/* SawMill/regset.sch 55 */
						long BgL_arg1839z00_6708;

						BgL_arg1839z00_6708 =
							BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1208z00_6704), BgL_arg1839z00_6708);
					}
					BgL_new1210z00_6703 = ((BgL_rtl_regz00_bglt) BgL_tmp1208z00_6704);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1210z00_6703)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1179z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1210z00_6703)))->BgL_varz00) =
					((obj_t) BgL_var1180z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1210z00_6703)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31181zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1210z00_6703)))->BgL_namez00) =
					((obj_t) BgL_name1182z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1210z00_6703)))->BgL_keyz00) =
					((obj_t) BgL_key1183z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1210z00_6703)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1184z00_8), BUNSPEC);
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_7722;

					{
						obj_t BgL_auxz00_7723;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_7724;

							BgL_tmpz00_7724 = ((BgL_objectz00_bglt) BgL_new1210z00_6703);
							BgL_auxz00_7723 = BGL_OBJECT_WIDENING(BgL_tmpz00_7724);
						}
						BgL_auxz00_7722 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7723);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7722))->BgL_numz00) =
						((int) BgL_num1185z00_9), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_7729;

					{
						obj_t BgL_auxz00_7730;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_7731;

							BgL_tmpz00_7731 = ((BgL_objectz00_bglt) BgL_new1210z00_6703);
							BgL_auxz00_7730 = BGL_OBJECT_WIDENING(BgL_tmpz00_7731);
						}
						BgL_auxz00_7729 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7730);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7729))->
							BgL_colorz00) = ((obj_t) BgL_color1186z00_10), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_7736;

					{
						obj_t BgL_auxz00_7737;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_7738;

							BgL_tmpz00_7738 = ((BgL_objectz00_bglt) BgL_new1210z00_6703);
							BgL_auxz00_7737 = BGL_OBJECT_WIDENING(BgL_tmpz00_7738);
						}
						BgL_auxz00_7736 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7737);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7736))->
							BgL_coalescez00) = ((obj_t) BgL_coalesce1187z00_11), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_7743;

					{
						obj_t BgL_auxz00_7744;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_7745;

							BgL_tmpz00_7745 = ((BgL_objectz00_bglt) BgL_new1210z00_6703);
							BgL_auxz00_7744 = BGL_OBJECT_WIDENING(BgL_tmpz00_7745);
						}
						BgL_auxz00_7743 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7744);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7743))->
							BgL_occurrencesz00) = ((int) BgL_occurrences1188z00_12), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_7750;

					{
						obj_t BgL_auxz00_7751;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_7752;

							BgL_tmpz00_7752 = ((BgL_objectz00_bglt) BgL_new1210z00_6703);
							BgL_auxz00_7751 = BGL_OBJECT_WIDENING(BgL_tmpz00_7752);
						}
						BgL_auxz00_7750 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7751);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7750))->
							BgL_interferez00) = ((obj_t) BgL_interfere1189z00_13), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_7757;

					{
						obj_t BgL_auxz00_7758;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_7759;

							BgL_tmpz00_7759 = ((BgL_objectz00_bglt) BgL_new1210z00_6703);
							BgL_auxz00_7758 = BGL_OBJECT_WIDENING(BgL_tmpz00_7759);
						}
						BgL_auxz00_7757 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7758);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7757))->
							BgL_interfere2z00) = ((obj_t) BgL_interfere21190z00_14), BUNSPEC);
				}
				return BgL_new1210z00_6703;
			}
		}

	}



/* &make-rtl_reg/ra */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6107, obj_t BgL_type1179z00_6108, obj_t BgL_var1180z00_6109,
		obj_t BgL_onexprzf31181zf3_6110, obj_t BgL_name1182z00_6111,
		obj_t BgL_key1183z00_6112, obj_t BgL_hardware1184z00_6113,
		obj_t BgL_num1185z00_6114, obj_t BgL_color1186z00_6115,
		obj_t BgL_coalesce1187z00_6116, obj_t BgL_occurrences1188z00_6117,
		obj_t BgL_interfere1189z00_6118, obj_t BgL_interfere21190z00_6119)
	{
		{	/* SawMill/regset.sch 55 */
			return
				BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2typeszd2(
				((BgL_typez00_bglt) BgL_type1179z00_6108), BgL_var1180z00_6109,
				BgL_onexprzf31181zf3_6110, BgL_name1182z00_6111, BgL_key1183z00_6112,
				BgL_hardware1184z00_6113, CINT(BgL_num1185z00_6114),
				BgL_color1186z00_6115, BgL_coalesce1187z00_6116,
				CINT(BgL_occurrences1188z00_6117), BgL_interfere1189z00_6118,
				BgL_interfere21190z00_6119);
		}

	}



/* rtl_reg/ra? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2typeszd2(obj_t
		BgL_objz00_15)
	{
		{	/* SawMill/regset.sch 56 */
			{	/* SawMill/regset.sch 56 */
				obj_t BgL_classz00_6709;

				BgL_classz00_6709 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* SawMill/regset.sch 56 */
						BgL_objectz00_bglt BgL_arg1825z00_6710;

						BgL_arg1825z00_6710 = (BgL_objectz00_bglt) (BgL_objz00_15);
						{	/* SawMill/regset.sch 56 */
							bool_t BgL_arg1822z00_6711;
							bool_t BgL_arg1823z00_6712;

							{	/* SawMill/regset.sch 56 */
								long BgL_idxz00_6713;

								BgL_idxz00_6713 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6710);
								BgL_arg1822z00_6711 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_6713 + ((long) 2))) == BgL_classz00_6709);
							}
							{	/* SawMill/regset.sch 56 */
								bool_t BgL_res2918z00_6716;

								{	/* SawMill/regset.sch 56 */
									obj_t BgL_oclassz00_6717;

									{	/* SawMill/regset.sch 56 */
										long BgL_arg1833z00_6718;

										{	/* SawMill/regset.sch 56 */
											long BgL_arg1834z00_6719;

											BgL_arg1834z00_6719 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6710);
											BgL_arg1833z00_6718 = (BgL_arg1834z00_6719 - OBJECT_TYPE);
										}
										BgL_oclassz00_6717 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_6718);
									}
									{	/* SawMill/regset.sch 56 */
										bool_t BgL__ortest_1110z00_6720;

										BgL__ortest_1110z00_6720 =
											(BgL_classz00_6709 == BgL_oclassz00_6717);
										if (BgL__ortest_1110z00_6720)
											{	/* SawMill/regset.sch 56 */
												BgL_res2918z00_6716 = BgL__ortest_1110z00_6720;
											}
										else
											{	/* SawMill/regset.sch 56 */
												long BgL_odepthz00_6721;

												BgL_odepthz00_6721 =
													BGL_CLASS_DEPTH(BgL_oclassz00_6717);
												if ((((long) 2) < BgL_odepthz00_6721))
													{	/* SawMill/regset.sch 56 */
														obj_t BgL_arg1821z00_6722;

														BgL_arg1821z00_6722 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6717,
															((long) 2));
														BgL_res2918z00_6716 =
															(BgL_arg1821z00_6722 == BgL_classz00_6709);
													}
												else
													{	/* SawMill/regset.sch 56 */
														BgL_res2918z00_6716 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_6712 = BgL_res2918z00_6716;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_6711, BgL_arg1823z00_6712);
						}
					}
				else
					{	/* SawMill/regset.sch 56 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg/ra? */
	obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6120,
		obj_t BgL_objz00_6121)
	{
		{	/* SawMill/regset.sch 56 */
			return BBOOL(BGl_rtl_regzf2razf3z01zzsaw_bbvzd2typeszd2(BgL_objz00_6121));
		}

	}



/* rtl_reg/ra-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2typeszd2()
	{
		{	/* SawMill/regset.sch 57 */
			{	/* SawMill/regset.sch 57 */
				obj_t BgL_classz00_4026;

				BgL_classz00_4026 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				{	/* SawMill/regset.sch 57 */
					obj_t BgL__ortest_1112z00_4027;

					BgL__ortest_1112z00_4027 = BGL_CLASS_NIL(BgL_classz00_4026);
					if (CBOOL(BgL__ortest_1112z00_4027))
						{	/* SawMill/regset.sch 57 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1112z00_4027);
						}
					else
						{	/* SawMill/regset.sch 57 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4026));
						}
				}
			}
		}

	}



/* &rtl_reg/ra-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6122)
	{
		{	/* SawMill/regset.sch 57 */
			return BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2typeszd2();
		}

	}



/* rtl_reg/ra-interfere2 */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_16)
	{
		{	/* SawMill/regset.sch 58 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_7795;

				{
					obj_t BgL_auxz00_7796;

					{	/* SawMill/regset.sch 58 */
						BgL_objectz00_bglt BgL_tmpz00_7797;

						BgL_tmpz00_7797 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_7796 = BGL_OBJECT_WIDENING(BgL_tmpz00_7797);
					}
					BgL_auxz00_7795 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7796);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7795))->
					BgL_interfere2z00);
			}
		}

	}



/* &rtl_reg/ra-interfere2 */
	obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6123, obj_t BgL_oz00_6124)
	{
		{	/* SawMill/regset.sch 58 */
			return
				BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6124));
		}

	}



/* rtl_reg/ra-interfere2-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* SawMill/regset.sch 59 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_7804;

				{
					obj_t BgL_auxz00_7805;

					{	/* SawMill/regset.sch 59 */
						BgL_objectz00_bglt BgL_tmpz00_7806;

						BgL_tmpz00_7806 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_7805 = BGL_OBJECT_WIDENING(BgL_tmpz00_7806);
					}
					BgL_auxz00_7804 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7805);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7804))->
						BgL_interfere2z00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere2-set! */
	obj_t BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6125, obj_t BgL_oz00_6126, obj_t BgL_vz00_6127)
	{
		{	/* SawMill/regset.sch 59 */
			return
				BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6126), BgL_vz00_6127);
		}

	}



/* rtl_reg/ra-interfere */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_19)
	{
		{	/* SawMill/regset.sch 60 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_7813;

				{
					obj_t BgL_auxz00_7814;

					{	/* SawMill/regset.sch 60 */
						BgL_objectz00_bglt BgL_tmpz00_7815;

						BgL_tmpz00_7815 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_7814 = BGL_OBJECT_WIDENING(BgL_tmpz00_7815);
					}
					BgL_auxz00_7813 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7814);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7813))->
					BgL_interferez00);
			}
		}

	}



/* &rtl_reg/ra-interfere */
	obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6128, obj_t BgL_oz00_6129)
	{
		{	/* SawMill/regset.sch 60 */
			return
				BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6129));
		}

	}



/* rtl_reg/ra-interfere-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/regset.sch 61 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_7822;

				{
					obj_t BgL_auxz00_7823;

					{	/* SawMill/regset.sch 61 */
						BgL_objectz00_bglt BgL_tmpz00_7824;

						BgL_tmpz00_7824 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_7823 = BGL_OBJECT_WIDENING(BgL_tmpz00_7824);
					}
					BgL_auxz00_7822 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7823);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7822))->
						BgL_interferez00) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere-set! */
	obj_t BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6130, obj_t BgL_oz00_6131, obj_t BgL_vz00_6132)
	{
		{	/* SawMill/regset.sch 61 */
			return
				BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6131), BgL_vz00_6132);
		}

	}



/* rtl_reg/ra-occurrences */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_22)
	{
		{	/* SawMill/regset.sch 62 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_7831;

				{
					obj_t BgL_auxz00_7832;

					{	/* SawMill/regset.sch 62 */
						BgL_objectz00_bglt BgL_tmpz00_7833;

						BgL_tmpz00_7833 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_7832 = BGL_OBJECT_WIDENING(BgL_tmpz00_7833);
					}
					BgL_auxz00_7831 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7832);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7831))->
					BgL_occurrencesz00);
			}
		}

	}



/* &rtl_reg/ra-occurrences */
	obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6133, obj_t BgL_oz00_6134)
	{
		{	/* SawMill/regset.sch 62 */
			return
				BINT(BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2typeszd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_6134)));
		}

	}



/* rtl_reg/ra-occurrences-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt BgL_oz00_23, int BgL_vz00_24)
	{
		{	/* SawMill/regset.sch 63 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_7841;

				{
					obj_t BgL_auxz00_7842;

					{	/* SawMill/regset.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_7843;

						BgL_tmpz00_7843 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_7842 = BGL_OBJECT_WIDENING(BgL_tmpz00_7843);
					}
					BgL_auxz00_7841 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7842);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7841))->
						BgL_occurrencesz00) = ((int) BgL_vz00_24), BUNSPEC);
		}}

	}



/* &rtl_reg/ra-occurrences-set! */
	obj_t BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6135, obj_t BgL_oz00_6136, obj_t BgL_vz00_6137)
	{
		{	/* SawMill/regset.sch 63 */
			return
				BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6136), CINT(BgL_vz00_6137));
		}

	}



/* rtl_reg/ra-coalesce */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_25)
	{
		{	/* SawMill/regset.sch 64 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_7851;

				{
					obj_t BgL_auxz00_7852;

					{	/* SawMill/regset.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_7853;

						BgL_tmpz00_7853 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_7852 = BGL_OBJECT_WIDENING(BgL_tmpz00_7853);
					}
					BgL_auxz00_7851 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7852);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7851))->
					BgL_coalescez00);
			}
		}

	}



/* &rtl_reg/ra-coalesce */
	obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6138, obj_t BgL_oz00_6139)
	{
		{	/* SawMill/regset.sch 64 */
			return
				BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6139));
		}

	}



/* rtl_reg/ra-coalesce-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* SawMill/regset.sch 65 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_7860;

				{
					obj_t BgL_auxz00_7861;

					{	/* SawMill/regset.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_7862;

						BgL_tmpz00_7862 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_7861 = BGL_OBJECT_WIDENING(BgL_tmpz00_7862);
					}
					BgL_auxz00_7860 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7861);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7860))->
						BgL_coalescez00) = ((obj_t) BgL_vz00_27), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-coalesce-set! */
	obj_t BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6140, obj_t BgL_oz00_6141, obj_t BgL_vz00_6142)
	{
		{	/* SawMill/regset.sch 65 */
			return
				BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6141), BgL_vz00_6142);
		}

	}



/* rtl_reg/ra-color */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_28)
	{
		{	/* SawMill/regset.sch 66 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_7869;

				{
					obj_t BgL_auxz00_7870;

					{	/* SawMill/regset.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_7871;

						BgL_tmpz00_7871 = ((BgL_objectz00_bglt) BgL_oz00_28);
						BgL_auxz00_7870 = BGL_OBJECT_WIDENING(BgL_tmpz00_7871);
					}
					BgL_auxz00_7869 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7870);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7869))->BgL_colorz00);
			}
		}

	}



/* &rtl_reg/ra-color */
	obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6143, obj_t BgL_oz00_6144)
	{
		{	/* SawMill/regset.sch 66 */
			return
				BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6144));
		}

	}



/* rtl_reg/ra-color-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawMill/regset.sch 67 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_7878;

				{
					obj_t BgL_auxz00_7879;

					{	/* SawMill/regset.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_7880;

						BgL_tmpz00_7880 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_7879 = BGL_OBJECT_WIDENING(BgL_tmpz00_7880);
					}
					BgL_auxz00_7878 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7879);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7878))->
						BgL_colorz00) = ((obj_t) BgL_vz00_30), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-color-set! */
	obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6145, obj_t BgL_oz00_6146, obj_t BgL_vz00_6147)
	{
		{	/* SawMill/regset.sch 67 */
			return
				BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6146), BgL_vz00_6147);
		}

	}



/* rtl_reg/ra-num */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_31)
	{
		{	/* SawMill/regset.sch 68 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_7887;

				{
					obj_t BgL_auxz00_7888;

					{	/* SawMill/regset.sch 68 */
						BgL_objectz00_bglt BgL_tmpz00_7889;

						BgL_tmpz00_7889 = ((BgL_objectz00_bglt) BgL_oz00_31);
						BgL_auxz00_7888 = BGL_OBJECT_WIDENING(BgL_tmpz00_7889);
					}
					BgL_auxz00_7887 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7888);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7887))->BgL_numz00);
			}
		}

	}



/* &rtl_reg/ra-num */
	obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6148,
		obj_t BgL_oz00_6149)
	{
		{	/* SawMill/regset.sch 68 */
			return
				BINT(BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2typeszd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_6149)));
		}

	}



/* rtl_reg/ra-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_34)
	{
		{	/* SawMill/regset.sch 70 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_34)))->BgL_hardwarez00);
		}

	}



/* &rtl_reg/ra-hardware */
	obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6150, obj_t BgL_oz00_6151)
	{
		{	/* SawMill/regset.sch 70 */
			return
				BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6151));
		}

	}



/* rtl_reg/ra-key */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_37)
	{
		{	/* SawMill/regset.sch 72 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_37)))->BgL_keyz00);
		}

	}



/* &rtl_reg/ra-key */
	obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6152,
		obj_t BgL_oz00_6153)
	{
		{	/* SawMill/regset.sch 72 */
			return
				BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6153));
		}

	}



/* rtl_reg/ra-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_40)
	{
		{	/* SawMill/regset.sch 74 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_40)))->BgL_namez00);
		}

	}



/* &rtl_reg/ra-name */
	obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6154,
		obj_t BgL_oz00_6155)
	{
		{	/* SawMill/regset.sch 74 */
			return
				BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6155));
		}

	}



/* rtl_reg/ra-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_43)
	{
		{	/* SawMill/regset.sch 76 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_43)))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg/ra-onexpr? */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6156, obj_t BgL_oz00_6157)
	{
		{	/* SawMill/regset.sch 76 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6157));
		}

	}



/* rtl_reg/ra-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawMill/regset.sch 77 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_44)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &rtl_reg/ra-onexpr?-set! */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6158, obj_t BgL_oz00_6159, obj_t BgL_vz00_6160)
	{
		{	/* SawMill/regset.sch 77 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6159), BgL_vz00_6160);
		}

	}



/* rtl_reg/ra-var */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_46)
	{
		{	/* SawMill/regset.sch 78 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_46)))->BgL_varz00);
		}

	}



/* &rtl_reg/ra-var */
	obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6161,
		obj_t BgL_oz00_6162)
	{
		{	/* SawMill/regset.sch 78 */
			return
				BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6162));
		}

	}



/* rtl_reg/ra-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* SawMill/regset.sch 79 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_47)))->BgL_varz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &rtl_reg/ra-var-set! */
	obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6163, obj_t BgL_oz00_6164, obj_t BgL_vz00_6165)
	{
		{	/* SawMill/regset.sch 79 */
			return
				BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6164), BgL_vz00_6165);
		}

	}



/* rtl_reg/ra-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_49)
	{
		{	/* SawMill/regset.sch 80 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_49)))->BgL_typez00);
		}

	}



/* &rtl_reg/ra-type */
	BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6166, obj_t BgL_oz00_6167)
	{
		{	/* SawMill/regset.sch 80 */
			return
				BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6167));
		}

	}



/* rtl_reg/ra-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		{	/* SawMill/regset.sch 81 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_reg/ra-type-set! */
	obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6168, obj_t BgL_oz00_6169, obj_t BgL_vz00_6170)
	{
		{	/* SawMill/regset.sch 81 */
			return
				BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_6169),
				((BgL_typez00_bglt) BgL_vz00_6170));
		}

	}



/* make-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2typeszd2(int BgL_length1172z00_52,
		int BgL_msiza7e1173za7_53, obj_t BgL_regv1174z00_54,
		obj_t BgL_regl1175z00_55, obj_t BgL_string1176z00_56)
	{
		{	/* SawMill/regset.sch 84 */
			{	/* SawMill/regset.sch 84 */
				BgL_regsetz00_bglt BgL_new1212z00_6723;

				{	/* SawMill/regset.sch 84 */
					BgL_regsetz00_bglt BgL_new1211z00_6724;

					BgL_new1211z00_6724 =
						((BgL_regsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_regsetz00_bgl))));
					{	/* SawMill/regset.sch 84 */
						long BgL_arg1848z00_6725;

						BgL_arg1848z00_6725 = BGL_CLASS_NUM(BGl_regsetz00zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1211z00_6724), BgL_arg1848z00_6725);
					}
					BgL_new1212z00_6723 = BgL_new1211z00_6724;
				}
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1212z00_6723))->BgL_lengthz00) =
					((int) BgL_length1172z00_52), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1212z00_6723))->BgL_msiza7eza7) =
					((int) BgL_msiza7e1173za7_53), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1212z00_6723))->BgL_regvz00) =
					((obj_t) BgL_regv1174z00_54), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1212z00_6723))->BgL_reglz00) =
					((obj_t) BgL_regl1175z00_55), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1212z00_6723))->BgL_stringz00) =
					((obj_t) BgL_string1176z00_56), BUNSPEC);
				return BgL_new1212z00_6723;
			}
		}

	}



/* &make-regset */
	BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6171, obj_t BgL_length1172z00_6172,
		obj_t BgL_msiza7e1173za7_6173, obj_t BgL_regv1174z00_6174,
		obj_t BgL_regl1175z00_6175, obj_t BgL_string1176z00_6176)
	{
		{	/* SawMill/regset.sch 84 */
			return
				BGl_makezd2regsetzd2zzsaw_bbvzd2typeszd2(CINT(BgL_length1172z00_6172),
				CINT(BgL_msiza7e1173za7_6173), BgL_regv1174z00_6174,
				BgL_regl1175z00_6175, BgL_string1176z00_6176);
		}

	}



/* regset? */
	BGL_EXPORTED_DEF bool_t BGl_regsetzf3zf3zzsaw_bbvzd2typeszd2(obj_t
		BgL_objz00_57)
	{
		{	/* SawMill/regset.sch 85 */
			{	/* SawMill/regset.sch 85 */
				obj_t BgL_classz00_6726;

				BgL_classz00_6726 = BGl_regsetz00zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/regset.sch 85 */
						BgL_objectz00_bglt BgL_arg1825z00_6727;

						BgL_arg1825z00_6727 = (BgL_objectz00_bglt) (BgL_objz00_57);
						{	/* SawMill/regset.sch 85 */
							bool_t BgL_arg1822z00_6728;
							bool_t BgL_arg1823z00_6729;

							{	/* SawMill/regset.sch 85 */
								long BgL_idxz00_6730;

								BgL_idxz00_6730 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6727);
								BgL_arg1822z00_6728 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_6730 + ((long) 1))) == BgL_classz00_6726);
							}
							{	/* SawMill/regset.sch 85 */
								bool_t BgL_res2919z00_6733;

								{	/* SawMill/regset.sch 85 */
									obj_t BgL_oclassz00_6734;

									{	/* SawMill/regset.sch 85 */
										long BgL_arg1833z00_6735;

										{	/* SawMill/regset.sch 85 */
											long BgL_arg1834z00_6736;

											BgL_arg1834z00_6736 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6727);
											BgL_arg1833z00_6735 = (BgL_arg1834z00_6736 - OBJECT_TYPE);
										}
										BgL_oclassz00_6734 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_6735);
									}
									{	/* SawMill/regset.sch 85 */
										bool_t BgL__ortest_1110z00_6737;

										BgL__ortest_1110z00_6737 =
											(BgL_classz00_6726 == BgL_oclassz00_6734);
										if (BgL__ortest_1110z00_6737)
											{	/* SawMill/regset.sch 85 */
												BgL_res2919z00_6733 = BgL__ortest_1110z00_6737;
											}
										else
											{	/* SawMill/regset.sch 85 */
												long BgL_odepthz00_6738;

												BgL_odepthz00_6738 =
													BGL_CLASS_DEPTH(BgL_oclassz00_6734);
												if ((((long) 1) < BgL_odepthz00_6738))
													{	/* SawMill/regset.sch 85 */
														obj_t BgL_arg1821z00_6739;

														BgL_arg1821z00_6739 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6734,
															((long) 1));
														BgL_res2919z00_6733 =
															(BgL_arg1821z00_6739 == BgL_classz00_6726);
													}
												else
													{	/* SawMill/regset.sch 85 */
														BgL_res2919z00_6733 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_6729 = BgL_res2919z00_6733;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_6728, BgL_arg1823z00_6729);
						}
					}
				else
					{	/* SawMill/regset.sch 85 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &regset? */
	obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6177,
		obj_t BgL_objz00_6178)
	{
		{	/* SawMill/regset.sch 85 */
			return BBOOL(BGl_regsetzf3zf3zzsaw_bbvzd2typeszd2(BgL_objz00_6178));
		}

	}



/* regset-nil */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt BGl_regsetzd2nilzd2zzsaw_bbvzd2typeszd2()
	{
		{	/* SawMill/regset.sch 86 */
			{	/* SawMill/regset.sch 86 */
				obj_t BgL_classz00_4077;

				BgL_classz00_4077 = BGl_regsetz00zzsaw_regsetz00;
				{	/* SawMill/regset.sch 86 */
					obj_t BgL__ortest_1112z00_4078;

					BgL__ortest_1112z00_4078 = BGL_CLASS_NIL(BgL_classz00_4077);
					if (CBOOL(BgL__ortest_1112z00_4078))
						{	/* SawMill/regset.sch 86 */
							return ((BgL_regsetz00_bglt) BgL__ortest_1112z00_4078);
						}
					else
						{	/* SawMill/regset.sch 86 */
							return
								((BgL_regsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4077));
						}
				}
			}
		}

	}



/* &regset-nil */
	BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6179)
	{
		{	/* SawMill/regset.sch 86 */
			return BGl_regsetzd2nilzd2zzsaw_bbvzd2typeszd2();
		}

	}



/* regset-string */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt BgL_oz00_58)
	{
		{	/* SawMill/regset.sch 87 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_58))->BgL_stringz00);
		}

	}



/* &regset-string */
	obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6180,
		obj_t BgL_oz00_6181)
	{
		{	/* SawMill/regset.sch 87 */
			return
				BGl_regsetzd2stringzd2zzsaw_bbvzd2typeszd2(
				((BgL_regsetz00_bglt) BgL_oz00_6181));
		}

	}



/* regset-string-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* SawMill/regset.sch 88 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_59))->BgL_stringz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &regset-string-set! */
	obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6182, obj_t BgL_oz00_6183, obj_t BgL_vz00_6184)
	{
		{	/* SawMill/regset.sch 88 */
			return
				BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2typeszd2(
				((BgL_regsetz00_bglt) BgL_oz00_6183), BgL_vz00_6184);
		}

	}



/* regset-regl */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt BgL_oz00_61)
	{
		{	/* SawMill/regset.sch 89 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_61))->BgL_reglz00);
		}

	}



/* &regset-regl */
	obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6185,
		obj_t BgL_oz00_6186)
	{
		{	/* SawMill/regset.sch 89 */
			return
				BGl_regsetzd2reglzd2zzsaw_bbvzd2typeszd2(
				((BgL_regsetz00_bglt) BgL_oz00_6186));
		}

	}



/* regset-regv */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt BgL_oz00_64)
	{
		{	/* SawMill/regset.sch 91 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_64))->BgL_regvz00);
		}

	}



/* &regset-regv */
	obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6187,
		obj_t BgL_oz00_6188)
	{
		{	/* SawMill/regset.sch 91 */
			return
				BGl_regsetzd2regvzd2zzsaw_bbvzd2typeszd2(
				((BgL_regsetz00_bglt) BgL_oz00_6188));
		}

	}



/* regset-msize */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt BgL_oz00_67)
	{
		{	/* SawMill/regset.sch 93 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_67))->BgL_msiza7eza7);
		}

	}



/* &regset-msize */
	obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6189,
		obj_t BgL_oz00_6190)
	{
		{	/* SawMill/regset.sch 93 */
			return
				BINT(BGl_regsetzd2msiza7ez75zzsaw_bbvzd2typeszd2(
					((BgL_regsetz00_bglt) BgL_oz00_6190)));
		}

	}



/* regset-length */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt BgL_oz00_70)
	{
		{	/* SawMill/regset.sch 95 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_70))->BgL_lengthz00);
		}

	}



/* &regset-length */
	obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6191,
		obj_t BgL_oz00_6192)
	{
		{	/* SawMill/regset.sch 95 */
			return
				BINT(BGl_regsetzd2lengthzd2zzsaw_bbvzd2typeszd2(
					((BgL_regsetz00_bglt) BgL_oz00_6192)));
		}

	}



/* regset-length-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt
		BgL_oz00_71, int BgL_vz00_72)
	{
		{	/* SawMill/regset.sch 96 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_71))->BgL_lengthz00) =
				((int) BgL_vz00_72), BUNSPEC);
		}

	}



/* &regset-length-set! */
	obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6193, obj_t BgL_oz00_6194, obj_t BgL_vz00_6195)
	{
		{	/* SawMill/regset.sch 96 */
			return
				BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2typeszd2(
				((BgL_regsetz00_bglt) BgL_oz00_6194), CINT(BgL_vz00_6195));
		}

	}



/* ctx->string */
	BGL_EXPORTED_DEF obj_t BGl_ctxzd2ze3stringz31zzsaw_bbvzd2typeszd2(obj_t
		BgL_ctxz00_84)
	{
		{	/* SawMill/bbv-types.scm 117 */
			{	/* SawMill/bbv-types.scm 142 */
				obj_t BgL_zc3z04anonymousza31863ze3z87_6196;

				BgL_zc3z04anonymousza31863ze3z87_6196 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza31863ze3ze5zzsaw_bbvzd2typeszd2,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3z04anonymousza31863ze3z87_6196, (int) (((long) 0)),
					BgL_ctxz00_84);
				return
					BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_zc3z04anonymousza31863ze3z87_6196);
			}
		}

	}



/* &ctx->string */
	obj_t BGl_z62ctxzd2ze3stringz53zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6197,
		obj_t BgL_ctxz00_6198)
	{
		{	/* SawMill/bbv-types.scm 117 */
			return BGl_ctxzd2ze3stringz31zzsaw_bbvzd2typeszd2(BgL_ctxz00_6198);
		}

	}



/* &<@anonymous:1863> */
	obj_t BGl_z62zc3z04anonymousza31863ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6199, obj_t BgL_opz00_6201)
	{
		{	/* SawMill/bbv-types.scm 140 */
			{	/* SawMill/bbv-types.scm 142 */
				obj_t BgL_ctxz00_6200;

				BgL_ctxz00_6200 =
					((obj_t) PROCEDURE_REF(BgL_envz00_6199, (int) (((long) 0))));
				{	/* SawMill/bbv-types.scm 142 */
					obj_t BgL_arg1865z00_6740;

					if (NULLP(BgL_ctxz00_6200))
						{	/* SawMill/bbv-types.scm 142 */
							BgL_arg1865z00_6740 = BNIL;
						}
					else
						{	/* SawMill/bbv-types.scm 142 */
							obj_t BgL_head1595z00_6741;

							BgL_head1595z00_6741 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1593z00_6743;
								obj_t BgL_tail1596z00_6744;

								BgL_l1593z00_6743 = BgL_ctxz00_6200;
								BgL_tail1596z00_6744 = BgL_head1595z00_6741;
							BgL_zc3z04anonymousza31868ze3z87_6742:
								if (NULLP(BgL_l1593z00_6743))
									{	/* SawMill/bbv-types.scm 142 */
										BgL_arg1865z00_6740 = CDR(BgL_head1595z00_6741);
									}
								else
									{	/* SawMill/bbv-types.scm 142 */
										obj_t BgL_newtail1597z00_6745;

										{	/* SawMill/bbv-types.scm 142 */
											obj_t BgL_arg1871z00_6746;

											{	/* SawMill/bbv-types.scm 142 */
												obj_t BgL_ez00_6747;

												BgL_ez00_6747 = CAR(((obj_t) BgL_l1593z00_6743));
												{	/* SawMill/bbv-types.scm 144 */
													obj_t BgL_v1592z00_6748;

													BgL_v1592z00_6748 = create_vector(((long) 4));
													{	/* SawMill/bbv-types.scm 144 */
														obj_t BgL_arg1872z00_6749;

														{	/* SawMill/bbv-types.scm 144 */
															BgL_rtl_regz00_bglt BgL_arg1875z00_6750;

															BgL_arg1875z00_6750 =
																(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																		((BgL_bbvzd2ctxentryzd2_bglt)
																			BgL_ez00_6747)))->BgL_regz00);
															BgL_arg1872z00_6749 =
																BGl_shapez00zztools_shapez00(((obj_t)
																	BgL_arg1875z00_6750));
														}
														VECTOR_SET(BgL_v1592z00_6748, ((long) 0),
															BgL_arg1872z00_6749);
													}
													{	/* SawMill/bbv-types.scm 145 */
														obj_t BgL_arg1877z00_6751;

														if (
															(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																		((BgL_bbvzd2ctxentryzd2_bglt)
																			BgL_ez00_6747)))->BgL_flagz00))
															{	/* SawMill/bbv-types.scm 146 */
																BgL_typez00_bglt BgL_arg1880z00_6752;

																BgL_arg1880z00_6752 =
																	(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																			((BgL_bbvzd2ctxentryzd2_bglt)
																				BgL_ez00_6747)))->BgL_typz00);
																BgL_arg1877z00_6751 =
																	BGl_shapez00zztools_shapez00(((obj_t)
																		BgL_arg1880z00_6752));
															}
														else
															{	/* SawMill/bbv-types.scm 147 */
																obj_t BgL_arg1882z00_6753;

																{	/* SawMill/bbv-types.scm 147 */
																	BgL_typez00_bglt BgL_arg1883z00_6754;

																	BgL_arg1883z00_6754 =
																		(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																				((BgL_bbvzd2ctxentryzd2_bglt)
																					BgL_ez00_6747)))->BgL_typz00);
																	BgL_arg1882z00_6753 =
																		BGl_shapez00zztools_shapez00(((obj_t)
																			BgL_arg1883z00_6754));
																}
																BgL_arg1877z00_6751 =
																	string_append
																	(BGl_string2982z00zzsaw_bbvzd2typeszd2,
																	BgL_arg1882z00_6753);
															}
														VECTOR_SET(BgL_v1592z00_6748, ((long) 1),
															BgL_arg1877z00_6751);
													}
													{	/* SawMill/bbv-types.scm 148 */
														obj_t BgL_arg1884z00_6755;

														{	/* SawMill/bbv-types.scm 148 */
															bool_t BgL_test3347z00_8034;

															{	/* SawMill/bbv-types.scm 148 */
																BgL_typez00_bglt BgL_arg1888z00_6756;

																BgL_arg1888z00_6756 =
																	(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																			((BgL_bbvzd2ctxentryzd2_bglt)
																				BgL_ez00_6747)))->BgL_typz00);
																BgL_test3347z00_8034 =
																	(((obj_t) BgL_arg1888z00_6756) ==
																	BGl_za2intza2z00zztype_cachez00);
															}
															if (BgL_test3347z00_8034)
																{	/* SawMill/bbv-types.scm 149 */
																	obj_t BgL_arg1887z00_6757;

																	BgL_arg1887z00_6757 =
																		(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																				((BgL_bbvzd2ctxentryzd2_bglt)
																					BgL_ez00_6747)))->BgL_valuez00);
																	BgL_arg1884z00_6755 =
																		BGl_ppzd2intzd2valueze70ze7zzsaw_bbvzd2typeszd2
																		(BgL_arg1887z00_6757);
																}
															else
																{	/* SawMill/bbv-types.scm 148 */
																	BgL_arg1884z00_6755 =
																		(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																				((BgL_bbvzd2ctxentryzd2_bglt)
																					BgL_ez00_6747)))->BgL_valuez00);
																}
														}
														VECTOR_SET(BgL_v1592z00_6748, ((long) 2),
															BgL_arg1884z00_6755);
													}
													{	/* SawMill/bbv-types.scm 151 */
														obj_t BgL_arg1890z00_6758;

														{	/* SawMill/bbv-types.scm 151 */
															obj_t BgL_l1586z00_6759;

															BgL_l1586z00_6759 =
																(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																		((BgL_bbvzd2ctxentryzd2_bglt)
																			BgL_ez00_6747)))->BgL_aliasesz00);
															if (NULLP(BgL_l1586z00_6759))
																{	/* SawMill/bbv-types.scm 151 */
																	BgL_arg1890z00_6758 = BNIL;
																}
															else
																{	/* SawMill/bbv-types.scm 151 */
																	obj_t BgL_head1588z00_6760;

																	BgL_head1588z00_6760 =
																		MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00
																		(CAR(BgL_l1586z00_6759)), BNIL);
																	{	/* SawMill/bbv-types.scm 151 */
																		obj_t BgL_g1591z00_6761;

																		BgL_g1591z00_6761 = CDR(BgL_l1586z00_6759);
																		{
																			obj_t BgL_l1586z00_6763;
																			obj_t BgL_tail1589z00_6764;

																			BgL_l1586z00_6763 = BgL_g1591z00_6761;
																			BgL_tail1589z00_6764 =
																				BgL_head1588z00_6760;
																		BgL_zc3z04anonymousza31892ze3z87_6762:
																			if (NULLP(BgL_l1586z00_6763))
																				{	/* SawMill/bbv-types.scm 151 */
																					BgL_arg1890z00_6758 =
																						BgL_head1588z00_6760;
																				}
																			else
																				{	/* SawMill/bbv-types.scm 151 */
																					obj_t BgL_newtail1590z00_6765;

																					{	/* SawMill/bbv-types.scm 151 */
																						obj_t BgL_arg1895z00_6766;

																						{	/* SawMill/bbv-types.scm 151 */
																							obj_t BgL_arg1896z00_6767;

																							BgL_arg1896z00_6767 =
																								CAR(
																								((obj_t) BgL_l1586z00_6763));
																							BgL_arg1895z00_6766 =
																								BGl_shapez00zztools_shapez00
																								(BgL_arg1896z00_6767);
																						}
																						BgL_newtail1590z00_6765 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1895z00_6766, BNIL);
																					}
																					SET_CDR(BgL_tail1589z00_6764,
																						BgL_newtail1590z00_6765);
																					{	/* SawMill/bbv-types.scm 151 */
																						obj_t BgL_arg1894z00_6768;

																						BgL_arg1894z00_6768 =
																							CDR(((obj_t) BgL_l1586z00_6763));
																						{
																							obj_t BgL_tail1589z00_8063;
																							obj_t BgL_l1586z00_8062;

																							BgL_l1586z00_8062 =
																								BgL_arg1894z00_6768;
																							BgL_tail1589z00_8063 =
																								BgL_newtail1590z00_6765;
																							BgL_tail1589z00_6764 =
																								BgL_tail1589z00_8063;
																							BgL_l1586z00_6763 =
																								BgL_l1586z00_8062;
																							goto
																								BgL_zc3z04anonymousza31892ze3z87_6762;
																						}
																					}
																				}
																		}
																	}
																}
														}
														VECTOR_SET(BgL_v1592z00_6748, ((long) 3),
															BgL_arg1890z00_6758);
													}
													BgL_arg1871z00_6746 = BgL_v1592z00_6748;
											}}
											BgL_newtail1597z00_6745 =
												MAKE_YOUNG_PAIR(BgL_arg1871z00_6746, BNIL);
										}
										SET_CDR(BgL_tail1596z00_6744, BgL_newtail1597z00_6745);
										{	/* SawMill/bbv-types.scm 142 */
											obj_t BgL_arg1870z00_6769;

											BgL_arg1870z00_6769 = CDR(((obj_t) BgL_l1593z00_6743));
											{
												obj_t BgL_tail1596z00_8070;
												obj_t BgL_l1593z00_8069;

												BgL_l1593z00_8069 = BgL_arg1870z00_6769;
												BgL_tail1596z00_8070 = BgL_newtail1597z00_6745;
												BgL_tail1596z00_6744 = BgL_tail1596z00_8070;
												BgL_l1593z00_6743 = BgL_l1593z00_8069;
												goto BgL_zc3z04anonymousza31868ze3z87_6742;
											}
										}
									}
							}
						}
					{	/* SawMill/bbv-types.scm 141 */
						obj_t BgL_list1866z00_6770;

						BgL_list1866z00_6770 = MAKE_YOUNG_PAIR(BgL_arg1865z00_6740, BNIL);
						return
							BGl_fprintfz00zz__r4_output_6_10_3z00(BgL_opz00_6201,
							BGl_string2983z00zzsaw_bbvzd2typeszd2, BgL_list1866z00_6770);
					}
				}
			}
		}

	}



/* pp-int-value~0 */
	obj_t BGl_ppzd2intzd2valueze70ze7zzsaw_bbvzd2typeszd2(obj_t BgL_vz00_2148)
	{
		{	/* SawMill/bbv-types.scm 134 */
			{
				obj_t BgL_iz00_2165;
				obj_t BgL_az00_2166;

				{	/* SawMill/bbv-types.scm 121 */
					bool_t BgL_test3350z00_8073;

					if (STRUCTP(BgL_vz00_2148))
						{	/* SawMill/bbv-types.scm 121 */
							BgL_test3350z00_8073 =
								(STRUCT_KEY(BgL_vz00_2148) == CNST_TABLE_REF(((long) 1)));
						}
					else
						{	/* SawMill/bbv-types.scm 121 */
							BgL_test3350z00_8073 = ((bool_t) 0);
						}
					if (BgL_test3350z00_8073)
						{	/* SawMill/bbv-types.scm 121 */
							BgL_iz00_2165 = STRUCT_REF(BgL_vz00_2148, (int) (((long) 0)));
							BgL_az00_2166 = STRUCT_REF(BgL_vz00_2148, (int) (((long) 1)));
							{	/* SawMill/bbv-types.scm 137 */
								obj_t BgL_arg1919z00_2168;
								obj_t BgL_arg1920z00_2169;

								BgL_arg1919z00_2168 =
									BGl_ppzd2intzd2valueze70ze7zzsaw_bbvzd2typeszd2
									(BgL_iz00_2165);
								BgL_arg1920z00_2169 =
									BGl_ppzd2intzd2valueze70ze7zzsaw_bbvzd2typeszd2
									(BgL_az00_2166);
								{	/* SawMill/bbv-types.scm 137 */
									obj_t BgL_list1921z00_2170;

									{	/* SawMill/bbv-types.scm 137 */
										obj_t BgL_arg1922z00_2171;

										BgL_arg1922z00_2171 =
											MAKE_YOUNG_PAIR(BgL_arg1920z00_2169, BNIL);
										BgL_list1921z00_2170 =
											MAKE_YOUNG_PAIR(BgL_arg1919z00_2168, BgL_arg1922z00_2171);
									}
									return
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string2984z00zzsaw_bbvzd2typeszd2,
										BgL_list1921z00_2170);
								}
							}
						}
					else
						{	/* SawMill/bbv-types.scm 121 */
							if (LLONGP(BgL_vz00_2148))
								{	/* SawMill/bbv-types.scm 123 */
									if (
										(BLLONG_TO_LLONG(BgL_vz00_2148) ==
											BLLONG_TO_LLONG
											(BGl_za2maxzd2fixnumza2zd2zzsaw_bbvzd2typeszd2)))
										{	/* SawMill/bbv-types.scm 125 */
											return CNST_TABLE_REF(((long) 2));
										}
									else
										{	/* SawMill/bbv-types.scm 126 */
											bool_t BgL_test3354z00_8095;

											{	/* SawMill/bbv-types.scm 126 */
												BGL_LONGLONG_T BgL_n1z00_4096;

												BgL_n1z00_4096 = BLLONG_TO_LLONG(BgL_vz00_2148);
												{	/* SawMill/bbv-types.scm 126 */
													BGL_LONGLONG_T BgL_tmpz00_8097;

													{	/* SawMill/bbv-types.scm 126 */
														BGL_LONGLONG_T BgL_za71za7_4094;

														BgL_za71za7_4094 =
															BLLONG_TO_LLONG
															(BGl_za2maxzd2fixnumza2zd2zzsaw_bbvzd2typeszd2);
														BgL_tmpz00_8097 =
															(BgL_za71za7_4094 - LONG_TO_LLONG(((long) 1)));
													}
													BgL_test3354z00_8095 =
														(BgL_n1z00_4096 == BgL_tmpz00_8097);
											}}
											if (BgL_test3354z00_8095)
												{	/* SawMill/bbv-types.scm 126 */
													return CNST_TABLE_REF(((long) 3));
												}
											else
												{	/* SawMill/bbv-types.scm 126 */
													if (
														(BLLONG_TO_LLONG(BgL_vz00_2148) ==
															BLLONG_TO_LLONG
															(BGl_za2minzd2fixnumza2zd2zzsaw_bbvzd2typeszd2)))
														{	/* SawMill/bbv-types.scm 127 */
															return CNST_TABLE_REF(((long) 4));
														}
													else
														{	/* SawMill/bbv-types.scm 127 */
															if (
																(BLLONG_TO_LLONG(BgL_vz00_2148) ==
																	BLLONG_TO_LLONG
																	(BGl_za2zb2infze20za2z50zzsaw_bbvzd2typeszd2)))
																{	/* SawMill/bbv-types.scm 128 */
																	return CNST_TABLE_REF(((long) 5));
																}
															else
																{	/* SawMill/bbv-types.scm 128 */
																	if (
																		(BLLONG_TO_LLONG(BgL_vz00_2148) ==
																			BLLONG_TO_LLONG
																			(BGl_za2zd2infze20za2z30zzsaw_bbvzd2typeszd2)))
																		{	/* SawMill/bbv-types.scm 129 */
																			return CNST_TABLE_REF(((long) 6));
																		}
																	else
																		{	/* SawMill/bbv-types.scm 129 */
																			return BgL_vz00_2148;
																		}
																}
														}
												}
										}
								}
							else
								{	/* SawMill/bbv-types.scm 123 */
									if (VECTORP(BgL_vz00_2148))
										{	/* SawMill/bbv-types.scm 132 */
											obj_t BgL_arg1914z00_2162;

											BgL_arg1914z00_2162 =
												MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(VECTOR_REF
													(BgL_vz00_2148, ((long) 0))), BNIL);
											return MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
												BgL_arg1914z00_2162);
										}
									else
										{	/* SawMill/bbv-types.scm 131 */
											return CNST_TABLE_REF(((long) 8));
		}}}}}}

	}



/* params->ctx */
	BGL_EXPORTED_DEF obj_t BGl_paramszd2ze3ctxz31zzsaw_bbvzd2typeszd2(obj_t
		BgL_paramsz00_85)
	{
		{	/* SawMill/bbv-types.scm 157 */
			{	/* SawMill/bbv-types.scm 160 */
				obj_t BgL_arg1924z00_2175;

				{	/* SawMill/bbv-types.scm 163 */
					obj_t BgL_list1932z00_2184;

					BgL_list1932z00_2184 = MAKE_YOUNG_PAIR(BgL_paramsz00_85, BNIL);
					BgL_arg1924z00_2175 =
						BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
						(BGl_proc2985z00zzsaw_bbvzd2typeszd2, BgL_list1932z00_2184);
				}
				return
					BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc2986z00zzsaw_bbvzd2typeszd2,
					BgL_arg1924z00_2175);
			}
		}

	}



/* &params->ctx */
	obj_t BGl_z62paramszd2ze3ctxz53zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6204,
		obj_t BgL_paramsz00_6205)
	{
		{	/* SawMill/bbv-types.scm 157 */
			return BGl_paramszd2ze3ctxz31zzsaw_bbvzd2typeszd2(BgL_paramsz00_6205);
		}

	}



/* &<@anonymous:1925> */
	obj_t BGl_z62zc3z04anonymousza31925ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6206, obj_t BgL_xz00_6207, obj_t BgL_yz00_6208)
	{
		{	/* SawMill/bbv-types.scm 160 */
			{	/* SawMill/bbv-types.scm 161 */
				bool_t BgL_tmpz00_8130;

				{	/* SawMill/bbv-types.scm 161 */
					int BgL_arg1926z00_6771;
					int BgL_arg1927z00_6772;

					{	/* SawMill/bbv-types.scm 161 */
						BgL_rtl_regz00_bglt BgL_oz00_6773;

						BgL_oz00_6773 =
							((BgL_rtl_regz00_bglt)
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
										((BgL_bbvzd2ctxentryzd2_bglt) BgL_xz00_6207)))->
								BgL_regz00));
						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_8134;

							{
								obj_t BgL_auxz00_8135;

								{	/* SawMill/bbv-types.scm 161 */
									BgL_objectz00_bglt BgL_tmpz00_8136;

									BgL_tmpz00_8136 = ((BgL_objectz00_bglt) BgL_oz00_6773);
									BgL_auxz00_8135 = BGL_OBJECT_WIDENING(BgL_tmpz00_8136);
								}
								BgL_auxz00_8134 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8135);
							}
							BgL_arg1926z00_6771 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8134))->
								BgL_numz00);
					}}
					{	/* SawMill/bbv-types.scm 162 */
						BgL_rtl_regz00_bglt BgL_oz00_6774;

						BgL_oz00_6774 =
							((BgL_rtl_regz00_bglt)
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
										((BgL_bbvzd2ctxentryzd2_bglt) BgL_yz00_6208)))->
								BgL_regz00));
						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_8144;

							{
								obj_t BgL_auxz00_8145;

								{	/* SawMill/bbv-types.scm 162 */
									BgL_objectz00_bglt BgL_tmpz00_8146;

									BgL_tmpz00_8146 = ((BgL_objectz00_bglt) BgL_oz00_6774);
									BgL_auxz00_8145 = BGL_OBJECT_WIDENING(BgL_tmpz00_8146);
								}
								BgL_auxz00_8144 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8145);
							}
							BgL_arg1927z00_6772 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8144))->
								BgL_numz00);
					}}
					BgL_tmpz00_8130 =
						((long) (BgL_arg1926z00_6771) <= (long) (BgL_arg1927z00_6772));
				}
				return BBOOL(BgL_tmpz00_8130);
			}
		}

	}



/* &<@anonymous:1933> */
	obj_t BGl_z62zc3z04anonymousza31933ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6209, obj_t BgL_pz00_6210)
	{
		{	/* SawMill/bbv-types.scm 163 */
			{	/* SawMill/bbv-types.scm 164 */
				bool_t BgL_test3359z00_8155;

				{	/* SawMill/bbv-types.scm 164 */
					obj_t BgL_classz00_6775;

					BgL_classz00_6775 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
					if (BGL_OBJECTP(BgL_pz00_6210))
						{	/* SawMill/bbv-types.scm 164 */
							BgL_objectz00_bglt BgL_arg1825z00_6776;

							BgL_arg1825z00_6776 = (BgL_objectz00_bglt) (BgL_pz00_6210);
							{	/* SawMill/bbv-types.scm 164 */
								bool_t BgL_arg1822z00_6777;
								bool_t BgL_arg1823z00_6778;

								{	/* SawMill/bbv-types.scm 164 */
									long BgL_idxz00_6779;

									BgL_idxz00_6779 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6776);
									BgL_arg1822z00_6777 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6779 + ((long) 2))) == BgL_classz00_6775);
								}
								{	/* SawMill/bbv-types.scm 164 */
									bool_t BgL_res2922z00_6782;

									{	/* SawMill/bbv-types.scm 164 */
										obj_t BgL_oclassz00_6783;

										{	/* SawMill/bbv-types.scm 164 */
											long BgL_arg1833z00_6784;

											{	/* SawMill/bbv-types.scm 164 */
												long BgL_arg1834z00_6785;

												BgL_arg1834z00_6785 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6776);
												BgL_arg1833z00_6784 =
													(BgL_arg1834z00_6785 - OBJECT_TYPE);
											}
											BgL_oclassz00_6783 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_6784);
										}
										{	/* SawMill/bbv-types.scm 164 */
											bool_t BgL__ortest_1110z00_6786;

											BgL__ortest_1110z00_6786 =
												(BgL_classz00_6775 == BgL_oclassz00_6783);
											if (BgL__ortest_1110z00_6786)
												{	/* SawMill/bbv-types.scm 164 */
													BgL_res2922z00_6782 = BgL__ortest_1110z00_6786;
												}
											else
												{	/* SawMill/bbv-types.scm 164 */
													long BgL_odepthz00_6787;

													BgL_odepthz00_6787 =
														BGL_CLASS_DEPTH(BgL_oclassz00_6783);
													if ((((long) 2) < BgL_odepthz00_6787))
														{	/* SawMill/bbv-types.scm 164 */
															obj_t BgL_arg1821z00_6788;

															BgL_arg1821z00_6788 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6783,
																((long) 2));
															BgL_res2922z00_6782 =
																(BgL_arg1821z00_6788 == BgL_classz00_6775);
														}
													else
														{	/* SawMill/bbv-types.scm 164 */
															BgL_res2922z00_6782 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_6778 = BgL_res2922z00_6782;
								}
								BgL_test3359z00_8155 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_6777, BgL_arg1823z00_6778);
							}
						}
					else
						{	/* SawMill/bbv-types.scm 164 */
							BgL_test3359z00_8155 = ((bool_t) 0);
						}
				}
				if (BgL_test3359z00_8155)
					{	/* SawMill/bbv-types.scm 166 */
						bool_t BgL_test3363z00_8174;

						{	/* SawMill/bbv-types.scm 166 */
							BgL_typez00_bglt BgL_arg1938z00_6789;

							BgL_arg1938z00_6789 =
								(((BgL_rtl_regz00_bglt) COBJECT(
										((BgL_rtl_regz00_bglt) BgL_pz00_6210)))->BgL_typez00);
							BgL_test3363z00_8174 =
								(
								((obj_t) BgL_arg1938z00_6789) ==
								BGl_za2objza2z00zztype_cachez00);
						}
						if (BgL_test3363z00_8174)
							{	/* SawMill/bbv-types.scm 166 */
								return BFALSE;
							}
						else
							{	/* SawMill/bbv-types.scm 167 */
								BgL_bbvzd2ctxentryzd2_bglt BgL_new1217z00_6790;

								{	/* SawMill/bbv-types.scm 168 */
									BgL_bbvzd2ctxentryzd2_bglt BgL_new1216z00_6791;

									BgL_new1216z00_6791 =
										((BgL_bbvzd2ctxentryzd2_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_bbvzd2ctxentryzd2_bgl))));
									{	/* SawMill/bbv-types.scm 168 */
										long BgL_arg1937z00_6792;

										BgL_arg1937z00_6792 =
											BGL_CLASS_NUM(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1216z00_6791),
											BgL_arg1937z00_6792);
									}
									BgL_new1217z00_6790 = BgL_new1216z00_6791;
								}
								((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1217z00_6790))->
										BgL_regz00) =
									((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_pz00_6210)),
									BUNSPEC);
								((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1217z00_6790))->
										BgL_typz00) =
									((BgL_typez00_bglt) (((BgL_rtl_regz00_bglt)
												COBJECT(((BgL_rtl_regz00_bglt) BgL_pz00_6210)))->
											BgL_typez00)), BUNSPEC);
								((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1217z00_6790))->
										BgL_flagz00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
								((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1217z00_6790))->
										BgL_valuez00) =
									((obj_t) CNST_TABLE_REF(((long) 8))), BUNSPEC);
								((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1217z00_6790))->
										BgL_aliasesz00) = ((obj_t) BNIL), BUNSPEC);
								return ((obj_t) BgL_new1217z00_6790);
							}
					}
				else
					{	/* SawMill/bbv-types.scm 164 */
						return BFALSE;
					}
			}
		}

	}



/* ctx-get */
	BGL_EXPORTED_DEF obj_t BGl_ctxzd2getzd2zzsaw_bbvzd2typeszd2(obj_t
		BgL_ctxz00_86, BgL_rtl_regz00_bglt BgL_regz00_87)
	{
		{	/* SawMill/bbv-types.scm 176 */
			{
				obj_t BgL_ctxz00_2198;

				BgL_ctxz00_2198 = BgL_ctxz00_86;
			BgL_zc3z04anonymousza31939ze3z87_2199:
				if (PAIRP(BgL_ctxz00_2198))
					{	/* SawMill/bbv-types.scm 178 */
						if (
							(((obj_t)
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
												((BgL_bbvzd2ctxentryzd2_bglt)
													CAR(BgL_ctxz00_2198))))->BgL_regz00)) ==
								((obj_t) BgL_regz00_87)))
							{	/* SawMill/bbv-types.scm 179 */
								return CAR(BgL_ctxz00_2198);
							}
						else
							{
								obj_t BgL_ctxz00_8203;

								BgL_ctxz00_8203 = CDR(BgL_ctxz00_2198);
								BgL_ctxz00_2198 = BgL_ctxz00_8203;
								goto BgL_zc3z04anonymousza31939ze3z87_2199;
							}
					}
				else
					{	/* SawMill/bbv-types.scm 178 */
						return BFALSE;
					}
			}
		}

	}



/* &ctx-get */
	obj_t BGl_z62ctxzd2getzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6211,
		obj_t BgL_ctxz00_6212, obj_t BgL_regz00_6213)
	{
		{	/* SawMill/bbv-types.scm 176 */
			return
				BGl_ctxzd2getzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_6212,
				((BgL_rtl_regz00_bglt) BgL_regz00_6213));
		}

	}



/* extend-ctx/entry */
	obj_t BGl_extendzd2ctxzf2entryz20zzsaw_bbvzd2typeszd2(obj_t BgL_ctxz00_88,
		BgL_bbvzd2ctxentryzd2_bglt BgL_entryz00_89)
	{
		{	/* SawMill/bbv-types.scm 189 */
			{	/* SawMill/bbv-types.scm 190 */
				BgL_rtl_regz00_bglt BgL_regz00_2208;

				BgL_regz00_2208 =
					(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_entryz00_89))->BgL_regz00);
				{	/* SawMill/bbv-types.scm 190 */
					int BgL_rnumz00_2209;

					{
						BgL_rtl_regzf2razf2_bglt BgL_auxz00_8208;

						{
							obj_t BgL_auxz00_8209;

							{	/* SawMill/bbv-types.scm 191 */
								BgL_objectz00_bglt BgL_tmpz00_8210;

								BgL_tmpz00_8210 =
									((BgL_objectz00_bglt)
									((BgL_rtl_regz00_bglt) BgL_regz00_2208));
								BgL_auxz00_8209 = BGL_OBJECT_WIDENING(BgL_tmpz00_8210);
							}
							BgL_auxz00_8208 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8209);
						}
						BgL_rnumz00_2209 =
							(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8208))->
							BgL_numz00);
					}
					{	/* SawMill/bbv-types.scm 191 */

						return
							BGl_loopze72ze7zzsaw_bbvzd2typeszd2(BgL_rnumz00_2209,
							BgL_regz00_2208, BgL_entryz00_89, BgL_ctxz00_88);
					}
				}
			}
		}

	}



/* loop~2 */
	obj_t BGl_loopze72ze7zzsaw_bbvzd2typeszd2(int BgL_rnumz00_6689,
		BgL_rtl_regz00_bglt BgL_regz00_6688,
		BgL_bbvzd2ctxentryzd2_bglt BgL_entryz00_6687, obj_t BgL_ctxz00_2211)
	{
		{	/* SawMill/bbv-types.scm 192 */
			if (NULLP(BgL_ctxz00_2211))
				{	/* SawMill/bbv-types.scm 195 */
					obj_t BgL_list1949z00_2214;

					BgL_list1949z00_2214 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_entryz00_6687), BNIL);
					return BgL_list1949z00_2214;
				}
			else
				{	/* SawMill/bbv-types.scm 196 */
					bool_t BgL_test3367z00_8221;

					{	/* SawMill/bbv-types.scm 196 */
						int BgL_arg1964z00_2228;

						{	/* SawMill/bbv-types.scm 196 */
							BgL_rtl_regz00_bglt BgL_oz00_4175;

							BgL_oz00_4175 =
								((BgL_rtl_regz00_bglt)
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
											((BgL_bbvzd2ctxentryzd2_bglt)
												CAR(((obj_t) BgL_ctxz00_2211)))))->BgL_regz00));
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_8227;

								{
									obj_t BgL_auxz00_8228;

									{	/* SawMill/bbv-types.scm 196 */
										BgL_objectz00_bglt BgL_tmpz00_8229;

										BgL_tmpz00_8229 = ((BgL_objectz00_bglt) BgL_oz00_4175);
										BgL_auxz00_8228 = BGL_OBJECT_WIDENING(BgL_tmpz00_8229);
									}
									BgL_auxz00_8227 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8228);
								}
								BgL_arg1964z00_2228 =
									(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8227))->
									BgL_numz00);
						}}
						BgL_test3367z00_8221 =
							((long) (BgL_arg1964z00_2228) > (long) (BgL_rnumz00_6689));
					}
					if (BgL_test3367z00_8221)
						{	/* SawMill/bbv-types.scm 196 */
							return
								MAKE_YOUNG_PAIR(((obj_t) BgL_entryz00_6687), BgL_ctxz00_2211);
						}
					else
						{	/* SawMill/bbv-types.scm 196 */
							if (
								(((obj_t)
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
													((BgL_bbvzd2ctxentryzd2_bglt)
														CAR(
															((obj_t) BgL_ctxz00_2211)))))->BgL_regz00)) ==
									((obj_t) BgL_regz00_6688)))
								{	/* SawMill/bbv-types.scm 199 */
									obj_t BgL_arg1957z00_2222;

									BgL_arg1957z00_2222 = CDR(((obj_t) BgL_ctxz00_2211));
									return
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_entryz00_6687), BgL_arg1957z00_2222);
								}
							else
								{	/* SawMill/bbv-types.scm 201 */
									obj_t BgL_arg1958z00_2223;
									obj_t BgL_arg1959z00_2224;

									BgL_arg1958z00_2223 = CAR(((obj_t) BgL_ctxz00_2211));
									{	/* SawMill/bbv-types.scm 201 */
										obj_t BgL_arg1960z00_2225;

										BgL_arg1960z00_2225 = CDR(((obj_t) BgL_ctxz00_2211));
										BgL_arg1959z00_2224 =
											BGl_loopze72ze7zzsaw_bbvzd2typeszd2(BgL_rnumz00_6689,
											BgL_regz00_6688, BgL_entryz00_6687, BgL_arg1960z00_2225);
									}
									return
										MAKE_YOUNG_PAIR(BgL_arg1958z00_2223, BgL_arg1959z00_2224);
								}
						}
				}
		}

	}



/* _extend-ctx */
	obj_t BGl__extendzd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t BgL_env1684z00_96,
		obj_t BgL_opt1683z00_95)
	{
		{	/* SawMill/bbv-types.scm 209 */
			{	/* SawMill/bbv-types.scm 209 */
				obj_t BgL_g1685z00_2232;
				obj_t BgL_g1686z00_2233;
				obj_t BgL_g1687z00_2234;
				obj_t BgL_g1688z00_2235;

				BgL_g1685z00_2232 = VECTOR_REF(BgL_opt1683z00_95, ((long) 0));
				BgL_g1686z00_2233 = VECTOR_REF(BgL_opt1683z00_95, ((long) 1));
				BgL_g1687z00_2234 = VECTOR_REF(BgL_opt1683z00_95, ((long) 2));
				BgL_g1688z00_2235 = VECTOR_REF(BgL_opt1683z00_95, ((long) 3));
				switch (VECTOR_LENGTH(BgL_opt1683z00_95))
					{
					case ((long) 4):

						{	/* SawMill/bbv-types.scm 209 */
							obj_t BgL_valuez00_2239;

							BgL_valuez00_2239 = CNST_TABLE_REF(((long) 8));
							{	/* SawMill/bbv-types.scm 209 */

								return
									BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_g1685z00_2232,
									BgL_g1686z00_2233, BgL_g1687z00_2234, BgL_g1688z00_2235,
									BgL_valuez00_2239);
							}
						}
						break;
					case ((long) 5):

						{	/* SawMill/bbv-types.scm 209 */
							obj_t BgL_valuez00_2240;

							BgL_valuez00_2240 = VECTOR_REF(BgL_opt1683z00_95, ((long) 4));
							{	/* SawMill/bbv-types.scm 209 */

								return
									BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_g1685z00_2232,
									BgL_g1686z00_2233, BgL_g1687z00_2234, BgL_g1688z00_2235,
									BgL_valuez00_2240);
							}
						}
						break;
					default:
						return BUNSPEC;
					}
			}
		}

	}



/* extend-ctx */
	BGL_EXPORTED_DEF obj_t BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t
		BgL_ctxz00_90, obj_t BgL_regz00_91, obj_t BgL_typez00_92,
		obj_t BgL_flagz00_93, obj_t BgL_valuez00_94)
	{
		{	/* SawMill/bbv-types.scm 209 */
			{	/* SawMill/bbv-types.scm 218 */
				bool_t BgL_test3369z00_8267;

				{	/* SawMill/bbv-types.scm 218 */
					obj_t BgL_classz00_4187;

					BgL_classz00_4187 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
					if (BGL_OBJECTP(BgL_regz00_91))
						{	/* SawMill/bbv-types.scm 218 */
							BgL_objectz00_bglt BgL_arg1825z00_4189;

							BgL_arg1825z00_4189 = (BgL_objectz00_bglt) (BgL_regz00_91);
							{	/* SawMill/bbv-types.scm 218 */
								bool_t BgL_arg1822z00_4192;
								bool_t BgL_arg1823z00_4193;

								{	/* SawMill/bbv-types.scm 218 */
									long BgL_idxz00_4196;

									BgL_idxz00_4196 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4189);
									BgL_arg1822z00_4192 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4196 + ((long) 2))) == BgL_classz00_4187);
								}
								{	/* SawMill/bbv-types.scm 218 */
									bool_t BgL_res2924z00_4218;

									{	/* SawMill/bbv-types.scm 218 */
										obj_t BgL_oclassz00_4204;

										{	/* SawMill/bbv-types.scm 218 */
											long BgL_arg1833z00_4210;

											{	/* SawMill/bbv-types.scm 218 */
												long BgL_arg1834z00_4211;

												BgL_arg1834z00_4211 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4189);
												BgL_arg1833z00_4210 =
													(BgL_arg1834z00_4211 - OBJECT_TYPE);
											}
											BgL_oclassz00_4204 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4210);
										}
										{	/* SawMill/bbv-types.scm 218 */
											bool_t BgL__ortest_1110z00_4205;

											BgL__ortest_1110z00_4205 =
												(BgL_classz00_4187 == BgL_oclassz00_4204);
											if (BgL__ortest_1110z00_4205)
												{	/* SawMill/bbv-types.scm 218 */
													BgL_res2924z00_4218 = BgL__ortest_1110z00_4205;
												}
											else
												{	/* SawMill/bbv-types.scm 218 */
													long BgL_odepthz00_4206;

													BgL_odepthz00_4206 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4204);
													if ((((long) 2) < BgL_odepthz00_4206))
														{	/* SawMill/bbv-types.scm 218 */
															obj_t BgL_arg1821z00_4208;

															BgL_arg1821z00_4208 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4204,
																((long) 2));
															BgL_res2924z00_4218 =
																(BgL_arg1821z00_4208 == BgL_classz00_4187);
														}
													else
														{	/* SawMill/bbv-types.scm 218 */
															BgL_res2924z00_4218 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4193 = BgL_res2924z00_4218;
								}
								BgL_test3369z00_8267 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4192, BgL_arg1823z00_4193);
							}
						}
					else
						{	/* SawMill/bbv-types.scm 218 */
							BgL_test3369z00_8267 = ((bool_t) 0);
						}
				}
				if (BgL_test3369z00_8267)
					{	/* SawMill/bbv-types.scm 220 */
						int BgL_rnumz00_2243;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_8286;

							{
								obj_t BgL_auxz00_8287;

								{	/* SawMill/bbv-types.scm 220 */
									BgL_objectz00_bglt BgL_tmpz00_8288;

									BgL_tmpz00_8288 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_regz00_91));
									BgL_auxz00_8287 = BGL_OBJECT_WIDENING(BgL_tmpz00_8288);
								}
								BgL_auxz00_8286 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8287);
							}
							BgL_rnumz00_2243 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8286))->
								BgL_numz00);
						}
						{	/* SawMill/bbv-types.scm 221 */
							obj_t BgL_g1222z00_2244;

							BgL_g1222z00_2244 =
								BGl_unaliaszd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_90,
								((BgL_rtl_regz00_bglt) BgL_regz00_91));
							return
								BGl_loopze71ze7zzsaw_bbvzd2typeszd2(BgL_rnumz00_2243,
								BgL_regz00_91, BgL_valuez00_94, BgL_flagz00_93, BgL_typez00_92,
								BgL_g1222z00_2244);
						}
					}
				else
					{	/* SawMill/bbv-types.scm 218 */
						return BgL_ctxz00_90;
					}
			}
		}

	}



/* loop~1 */
	obj_t BGl_loopze71ze7zzsaw_bbvzd2typeszd2(int BgL_rnumz00_6686,
		obj_t BgL_regz00_6685, obj_t BgL_valuez00_6684, obj_t BgL_flagz00_6683,
		obj_t BgL_typez00_6682, obj_t BgL_ctxz00_2246)
	{
		{	/* SawMill/bbv-types.scm 221 */
			if (NULLP(BgL_ctxz00_2246))
				{	/* SawMill/bbv-types.scm 224 */
					BgL_bbvzd2ctxentryzd2_bglt BgL_nz00_2249;

					BgL_nz00_2249 =
						BGl_newzd2ctxentryze71z35zzsaw_bbvzd2typeszd2(BgL_regz00_6685,
						BgL_typez00_6682, BgL_flagz00_6683, BgL_valuez00_6684);
					{	/* SawMill/bbv-types.scm 225 */
						obj_t BgL_list1971z00_2250;

						BgL_list1971z00_2250 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_nz00_2249), BNIL);
						return BgL_list1971z00_2250;
					}
				}
			else
				{	/* SawMill/bbv-types.scm 226 */
					bool_t BgL_test3374z00_8302;

					{	/* SawMill/bbv-types.scm 226 */
						int BgL_arg1986z00_2271;

						{	/* SawMill/bbv-types.scm 226 */
							BgL_rtl_regz00_bglt BgL_oz00_4224;

							BgL_oz00_4224 =
								((BgL_rtl_regz00_bglt)
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
											((BgL_bbvzd2ctxentryzd2_bglt)
												CAR(((obj_t) BgL_ctxz00_2246)))))->BgL_regz00));
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_8308;

								{
									obj_t BgL_auxz00_8309;

									{	/* SawMill/bbv-types.scm 226 */
										BgL_objectz00_bglt BgL_tmpz00_8310;

										BgL_tmpz00_8310 = ((BgL_objectz00_bglt) BgL_oz00_4224);
										BgL_auxz00_8309 = BGL_OBJECT_WIDENING(BgL_tmpz00_8310);
									}
									BgL_auxz00_8308 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8309);
								}
								BgL_arg1986z00_2271 =
									(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8308))->
									BgL_numz00);
						}}
						BgL_test3374z00_8302 =
							((long) (BgL_arg1986z00_2271) > (long) (BgL_rnumz00_6686));
					}
					if (BgL_test3374z00_8302)
						{	/* SawMill/bbv-types.scm 227 */
							BgL_bbvzd2ctxentryzd2_bglt BgL_nz00_2255;

							BgL_nz00_2255 =
								BGl_newzd2ctxentryze71z35zzsaw_bbvzd2typeszd2(BgL_regz00_6685,
								BgL_typez00_6682, BgL_flagz00_6683, BgL_valuez00_6684);
							return MAKE_YOUNG_PAIR(((obj_t) BgL_nz00_2255), BgL_ctxz00_2246);
						}
					else
						{	/* SawMill/bbv-types.scm 226 */
							if (
								(((obj_t)
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
													((BgL_bbvzd2ctxentryzd2_bglt)
														CAR(
															((obj_t) BgL_ctxz00_2246)))))->BgL_regz00)) ==
									BgL_regz00_6685))
								{	/* SawMill/bbv-types.scm 230 */
									BgL_bbvzd2ctxentryzd2_bglt BgL_nz00_2259;

									{	/* SawMill/bbv-types.scm 230 */
										BgL_bbvzd2ctxentryzd2_bglt BgL_duplicated1225z00_2262;
										BgL_bbvzd2ctxentryzd2_bglt BgL_new1223z00_2263;

										BgL_duplicated1225z00_2262 =
											((BgL_bbvzd2ctxentryzd2_bglt)
											CAR(((obj_t) BgL_ctxz00_2246)));
										{	/* SawMill/bbv-types.scm 230 */
											BgL_bbvzd2ctxentryzd2_bglt BgL_new1226z00_2264;

											BgL_new1226z00_2264 =
												((BgL_bbvzd2ctxentryzd2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_bbvzd2ctxentryzd2_bgl))));
											{	/* SawMill/bbv-types.scm 230 */
												long BgL_arg1980z00_2265;

												BgL_arg1980z00_2265 =
													BGL_CLASS_NUM
													(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
														BgL_new1226z00_2264), BgL_arg1980z00_2265);
											}
											BgL_new1223z00_2263 = BgL_new1226z00_2264;
										}
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1223z00_2263))->BgL_regz00) =
											((BgL_rtl_regz00_bglt) (((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_duplicated1225z00_2262))->BgL_regz00)),
											BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1223z00_2263))->BgL_typz00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BgL_typez00_6682)), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1223z00_2263))->BgL_flagz00) =
											((bool_t) CBOOL(BgL_flagz00_6683)), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1223z00_2263))->BgL_valuez00) =
											((obj_t) BgL_valuez00_6684), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1223z00_2263))->BgL_aliasesz00) =
											((obj_t) BNIL), BUNSPEC);
										BgL_nz00_2259 = BgL_new1223z00_2263;
									}
									{	/* SawMill/bbv-types.scm 236 */
										obj_t BgL_arg1979z00_2261;

										BgL_arg1979z00_2261 = CDR(((obj_t) BgL_ctxz00_2246));
										return
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_nz00_2259), BgL_arg1979z00_2261);
									}
								}
							else
								{	/* SawMill/bbv-types.scm 238 */
									obj_t BgL_arg1981z00_2266;
									obj_t BgL_arg1982z00_2267;

									BgL_arg1981z00_2266 = CAR(((obj_t) BgL_ctxz00_2246));
									{	/* SawMill/bbv-types.scm 238 */
										obj_t BgL_arg1983z00_2268;

										BgL_arg1983z00_2268 = CDR(((obj_t) BgL_ctxz00_2246));
										BgL_arg1982z00_2267 =
											BGl_loopze71ze7zzsaw_bbvzd2typeszd2(BgL_rnumz00_6686,
											BgL_regz00_6685, BgL_valuez00_6684, BgL_flagz00_6683,
											BgL_typez00_6682, BgL_arg1983z00_2268);
									}
									return
										MAKE_YOUNG_PAIR(BgL_arg1981z00_2266, BgL_arg1982z00_2267);
								}
						}
				}
		}

	}



/* new-ctxentry~1 */
	BgL_bbvzd2ctxentryzd2_bglt BGl_newzd2ctxentryze71z35zzsaw_bbvzd2typeszd2(obj_t
		BgL_regz00_2275, obj_t BgL_typez00_2276, obj_t BgL_flagz00_2277,
		obj_t BgL_valuez00_2278)
	{
		{	/* SawMill/bbv-types.scm 216 */
			{	/* SawMill/bbv-types.scm 212 */
				BgL_bbvzd2ctxentryzd2_bglt BgL_new1220z00_2280;

				{	/* SawMill/bbv-types.scm 213 */
					BgL_bbvzd2ctxentryzd2_bglt BgL_new1219z00_2281;

					BgL_new1219z00_2281 =
						((BgL_bbvzd2ctxentryzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2ctxentryzd2_bgl))));
					{	/* SawMill/bbv-types.scm 213 */
						long BgL_arg1990z00_2282;

						BgL_arg1990z00_2282 =
							BGL_CLASS_NUM(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1219z00_2281), BgL_arg1990z00_2282);
					}
					BgL_new1220z00_2280 = BgL_new1219z00_2281;
				}
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1220z00_2280))->
						BgL_regz00) =
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_regz00_2275)),
					BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1220z00_2280))->
						BgL_typz00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_typez00_2276)), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1220z00_2280))->
						BgL_flagz00) = ((bool_t) CBOOL(BgL_flagz00_2277)), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1220z00_2280))->
						BgL_valuez00) = ((obj_t) BgL_valuez00_2278), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1220z00_2280))->
						BgL_aliasesz00) = ((obj_t) BNIL), BUNSPEC);
				return BgL_new1220z00_2280;
			}
		}

	}



/* _extend-normalize-ctx */
	obj_t BGl__extendzd2normaliza7ezd2ctxza7zzsaw_bbvzd2typeszd2(obj_t
		BgL_env1692z00_103, obj_t BgL_opt1691z00_102)
	{
		{	/* SawMill/bbv-types.scm 243 */
			{	/* SawMill/bbv-types.scm 243 */
				obj_t BgL_g1693z00_2284;
				obj_t BgL_g1694z00_2285;
				obj_t BgL_g1695z00_2286;
				obj_t BgL_g1696z00_2287;

				BgL_g1693z00_2284 = VECTOR_REF(BgL_opt1691z00_102, ((long) 0));
				BgL_g1694z00_2285 = VECTOR_REF(BgL_opt1691z00_102, ((long) 1));
				BgL_g1695z00_2286 = VECTOR_REF(BgL_opt1691z00_102, ((long) 2));
				BgL_g1696z00_2287 = VECTOR_REF(BgL_opt1691z00_102, ((long) 3));
				switch (VECTOR_LENGTH(BgL_opt1691z00_102))
					{
					case ((long) 4):

						{	/* SawMill/bbv-types.scm 243 */
							obj_t BgL_valuez00_2291;

							BgL_valuez00_2291 = CNST_TABLE_REF(((long) 8));
							{	/* SawMill/bbv-types.scm 243 */

								{	/* SawMill/bbv-types.scm 244 */
									obj_t BgL_tynormz00_4239;

									BgL_tynormz00_4239 =
										BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_g1695z00_2286,
										BGl_za2typezd2normsza2zd2zzsaw_bbvzd2cachezd2);
									if (PAIRP(BgL_tynormz00_4239))
										{	/* SawMill/bbv-types.scm 246 */
											obj_t BgL_arg1994z00_4241;

											BgL_arg1994z00_4241 = CDR(BgL_tynormz00_4239);
											return
												BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(
												((obj_t) BgL_g1693z00_2284), BgL_g1694z00_2285,
												BgL_arg1994z00_4241, BgL_g1696z00_2287,
												BgL_valuez00_2291);
										}
									else
										{	/* SawMill/bbv-types.scm 245 */
											return
												BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(
												((obj_t) BgL_g1693z00_2284), BgL_g1694z00_2285,
												BgL_g1695z00_2286, BgL_g1696z00_2287,
												BgL_valuez00_2291);
										}
								}
							}
						}
						break;
					case ((long) 5):

						{	/* SawMill/bbv-types.scm 243 */
							obj_t BgL_valuez00_2292;

							BgL_valuez00_2292 = VECTOR_REF(BgL_opt1691z00_102, ((long) 4));
							{	/* SawMill/bbv-types.scm 243 */

								{	/* SawMill/bbv-types.scm 244 */
									obj_t BgL_tynormz00_4244;

									BgL_tynormz00_4244 =
										BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_g1695z00_2286,
										BGl_za2typezd2normsza2zd2zzsaw_bbvzd2cachezd2);
									if (PAIRP(BgL_tynormz00_4244))
										{	/* SawMill/bbv-types.scm 246 */
											obj_t BgL_arg1994z00_4246;

											BgL_arg1994z00_4246 = CDR(BgL_tynormz00_4244);
											return
												BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(
												((obj_t) BgL_g1693z00_2284), BgL_g1694z00_2285,
												BgL_arg1994z00_4246, BgL_g1696z00_2287,
												BgL_valuez00_2292);
										}
									else
										{	/* SawMill/bbv-types.scm 245 */
											return
												BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(
												((obj_t) BgL_g1693z00_2284), BgL_g1694z00_2285,
												BgL_g1695z00_2286, BgL_g1696z00_2287,
												BgL_valuez00_2292);
										}
								}
							}
						}
						break;
					default:
						return BUNSPEC;
					}
			}
		}

	}



/* extend-normalize-ctx */
	BGL_EXPORTED_DEF obj_t
		BGl_extendzd2normaliza7ezd2ctxza7zzsaw_bbvzd2typeszd2(obj_t BgL_ctxz00_97,
		obj_t BgL_regz00_98, obj_t BgL_typez00_99, obj_t BgL_flagz00_100,
		obj_t BgL_valuez00_101)
	{
		{	/* SawMill/bbv-types.scm 243 */
			{	/* SawMill/bbv-types.scm 244 */
				obj_t BgL_tynormz00_4248;

				BgL_tynormz00_4248 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_99,
					BGl_za2typezd2normsza2zd2zzsaw_bbvzd2cachezd2);
				if (PAIRP(BgL_tynormz00_4248))
					{	/* SawMill/bbv-types.scm 245 */
						return
							BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_97,
							BgL_regz00_98, CDR(BgL_tynormz00_4248), BgL_flagz00_100,
							BgL_valuez00_101);
					}
				else
					{	/* SawMill/bbv-types.scm 245 */
						return
							BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_97,
							BgL_regz00_98, BgL_typez00_99, BgL_flagz00_100, BgL_valuez00_101);
					}
			}
		}

	}



/* _refine-ctx */
	obj_t BGl__refinezd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t BgL_env1700z00_110,
		obj_t BgL_opt1699z00_109)
	{
		{	/* SawMill/bbv-types.scm 255 */
			{	/* SawMill/bbv-types.scm 255 */
				obj_t BgL_g1701z00_2296;
				obj_t BgL_g1702z00_2297;
				obj_t BgL_g1703z00_2298;
				obj_t BgL_g1704z00_2299;

				BgL_g1701z00_2296 = VECTOR_REF(BgL_opt1699z00_109, ((long) 0));
				BgL_g1702z00_2297 = VECTOR_REF(BgL_opt1699z00_109, ((long) 1));
				BgL_g1703z00_2298 = VECTOR_REF(BgL_opt1699z00_109, ((long) 2));
				BgL_g1704z00_2299 = VECTOR_REF(BgL_opt1699z00_109, ((long) 3));
				switch (VECTOR_LENGTH(BgL_opt1699z00_109))
					{
					case ((long) 4):

						{	/* SawMill/bbv-types.scm 255 */
							obj_t BgL_valuez00_2303;

							BgL_valuez00_2303 = CNST_TABLE_REF(((long) 8));
							{	/* SawMill/bbv-types.scm 255 */

								return
									BGl_refinezd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_g1701z00_2296,
									BgL_g1702z00_2297, BgL_g1703z00_2298, BgL_g1704z00_2299,
									BgL_valuez00_2303);
							}
						}
						break;
					case ((long) 5):

						{	/* SawMill/bbv-types.scm 255 */
							obj_t BgL_valuez00_2304;

							BgL_valuez00_2304 = VECTOR_REF(BgL_opt1699z00_109, ((long) 4));
							{	/* SawMill/bbv-types.scm 255 */

								return
									BGl_refinezd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_g1701z00_2296,
									BgL_g1702z00_2297, BgL_g1703z00_2298, BgL_g1704z00_2299,
									BgL_valuez00_2304);
							}
						}
						break;
					default:
						return BUNSPEC;
					}
			}
		}

	}



/* refine-ctx */
	BGL_EXPORTED_DEF obj_t BGl_refinezd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t
		BgL_ctxz00_104, obj_t BgL_regz00_105, obj_t BgL_typez00_106,
		obj_t BgL_flagz00_107, obj_t BgL_valuez00_108)
	{
		{	/* SawMill/bbv-types.scm 255 */
			{	/* SawMill/bbv-types.scm 289 */
				obj_t BgL_g1237z00_2307;

				{	/* SawMill/bbv-types.scm 289 */
					obj_t BgL_list2008z00_2327;

					BgL_list2008z00_2327 = MAKE_YOUNG_PAIR(BgL_regz00_105, BNIL);
					BgL_g1237z00_2307 = BgL_list2008z00_2327;
				}
				{
					obj_t BgL_worklistz00_2310;
					obj_t BgL_stackz00_2311;
					obj_t BgL_ctxz00_2312;

					BgL_worklistz00_2310 = BgL_g1237z00_2307;
					BgL_stackz00_2311 = BNIL;
					BgL_ctxz00_2312 = BgL_ctxz00_104;
				BgL_zc3z04anonymousza31996ze3z87_2313:
					if (NULLP(BgL_worklistz00_2310))
						{	/* SawMill/bbv-types.scm 293 */
							return BgL_ctxz00_2312;
						}
					else
						{	/* SawMill/bbv-types.scm 293 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
											((obj_t) BgL_worklistz00_2310)), BgL_stackz00_2311)))
								{	/* SawMill/bbv-types.scm 296 */
									obj_t BgL_arg2001z00_2317;

									BgL_arg2001z00_2317 = CDR(((obj_t) BgL_worklistz00_2310));
									{
										obj_t BgL_worklistz00_8415;

										BgL_worklistz00_8415 = BgL_arg2001z00_2317;
										BgL_worklistz00_2310 = BgL_worklistz00_8415;
										goto BgL_zc3z04anonymousza31996ze3z87_2313;
									}
								}
							else
								{	/* SawMill/bbv-types.scm 298 */
									obj_t BgL_nctxz00_2318;

									{	/* SawMill/bbv-types.scm 299 */
										obj_t BgL_arg2006z00_2324;

										BgL_arg2006z00_2324 = CAR(((obj_t) BgL_worklistz00_2310));
										BgL_nctxz00_2318 =
											BGl_refinezd2oneze70z35zzsaw_bbvzd2typeszd2
											(BgL_valuez00_108, BgL_flagz00_107, BgL_typez00_106,
											BgL_arg2006z00_2324, BgL_ctxz00_2312);
									}
									{	/* SawMill/bbv-types.scm 299 */
										obj_t BgL_aliasesz00_2319;

										{	/* SawMill/bbv-types.scm 300 */
											obj_t BgL_tmpz00_4311;

											{	/* SawMill/bbv-types.scm 300 */
												int BgL_tmpz00_8419;

												BgL_tmpz00_8419 = (int) (((long) 1));
												BgL_tmpz00_4311 = BGL_MVALUES_VAL(BgL_tmpz00_8419);
											}
											{	/* SawMill/bbv-types.scm 300 */
												int BgL_tmpz00_8422;

												BgL_tmpz00_8422 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_8422, BUNSPEC);
											}
											BgL_aliasesz00_2319 = BgL_tmpz00_4311;
										}
										{	/* SawMill/bbv-types.scm 300 */
											obj_t BgL_arg2002z00_2320;
											obj_t BgL_arg2003z00_2321;

											{	/* SawMill/bbv-types.scm 300 */
												obj_t BgL_arg2004z00_2322;

												BgL_arg2004z00_2322 =
													CDR(((obj_t) BgL_worklistz00_2310));
												BgL_arg2002z00_2320 =
													BGl_appendzd221011zd2zzsaw_bbvzd2typeszd2
													(BgL_aliasesz00_2319, BgL_arg2004z00_2322);
											}
											{	/* SawMill/bbv-types.scm 301 */
												obj_t BgL_arg2005z00_2323;

												BgL_arg2005z00_2323 =
													CAR(((obj_t) BgL_worklistz00_2310));
												BgL_arg2003z00_2321 =
													MAKE_YOUNG_PAIR(BgL_arg2005z00_2323,
													BgL_stackz00_2311);
											}
											{
												obj_t BgL_ctxz00_8433;
												obj_t BgL_stackz00_8432;
												obj_t BgL_worklistz00_8431;

												BgL_worklistz00_8431 = BgL_arg2002z00_2320;
												BgL_stackz00_8432 = BgL_arg2003z00_2321;
												BgL_ctxz00_8433 = BgL_nctxz00_2318;
												BgL_ctxz00_2312 = BgL_ctxz00_8433;
												BgL_stackz00_2311 = BgL_stackz00_8432;
												BgL_worklistz00_2310 = BgL_worklistz00_8431;
												goto BgL_zc3z04anonymousza31996ze3z87_2313;
											}
										}
									}
								}
						}
				}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzsaw_bbvzd2typeszd2(int BgL_rnumz00_6678,
		obj_t BgL_regz00_6677, obj_t BgL_valuez00_6676, obj_t BgL_flagz00_6675,
		obj_t BgL_typez00_6674, obj_t BgL_ctxz00_2342)
	{
		{	/* SawMill/bbv-types.scm 268 */
			if (NULLP(BgL_ctxz00_2342))
				{	/* SawMill/bbv-types.scm 271 */
					BgL_bbvzd2ctxentryzd2_bglt BgL_nz00_2345;

					BgL_nz00_2345 =
						BGl_newzd2ctxentryze70z35zzsaw_bbvzd2typeszd2(BgL_regz00_6677,
						BgL_typez00_6674, BgL_flagz00_6675, BgL_valuez00_6676);
					{	/* SawMill/bbv-types.scm 272 */
						obj_t BgL_val0_1601z00_2346;

						{	/* SawMill/bbv-types.scm 272 */
							obj_t BgL_list2015z00_2348;

							BgL_list2015z00_2348 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_nz00_2345), BNIL);
							BgL_val0_1601z00_2346 = BgL_list2015z00_2348;
						}
						{	/* SawMill/bbv-types.scm 272 */
							int BgL_tmpz00_8439;

							BgL_tmpz00_8439 = (int) (((long) 2));
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8439);
						}
						{	/* SawMill/bbv-types.scm 272 */
							int BgL_tmpz00_8442;

							BgL_tmpz00_8442 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_8442, BNIL);
						}
						return BgL_val0_1601z00_2346;
					}
				}
			else
				{	/* SawMill/bbv-types.scm 273 */
					bool_t BgL_test3382z00_8445;

					{	/* SawMill/bbv-types.scm 273 */
						int BgL_arg2032z00_2376;

						{	/* SawMill/bbv-types.scm 273 */
							BgL_rtl_regz00_bglt BgL_oz00_4292;

							BgL_oz00_4292 =
								((BgL_rtl_regz00_bglt)
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
											((BgL_bbvzd2ctxentryzd2_bglt)
												CAR(((obj_t) BgL_ctxz00_2342)))))->BgL_regz00));
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_8451;

								{
									obj_t BgL_auxz00_8452;

									{	/* SawMill/bbv-types.scm 273 */
										BgL_objectz00_bglt BgL_tmpz00_8453;

										BgL_tmpz00_8453 = ((BgL_objectz00_bglt) BgL_oz00_4292);
										BgL_auxz00_8452 = BGL_OBJECT_WIDENING(BgL_tmpz00_8453);
									}
									BgL_auxz00_8451 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8452);
								}
								BgL_arg2032z00_2376 =
									(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8451))->
									BgL_numz00);
						}}
						BgL_test3382z00_8445 =
							((long) (BgL_arg2032z00_2376) > (long) (BgL_rnumz00_6678));
					}
					if (BgL_test3382z00_8445)
						{	/* SawMill/bbv-types.scm 274 */
							BgL_bbvzd2ctxentryzd2_bglt BgL_nz00_2353;

							BgL_nz00_2353 =
								BGl_newzd2ctxentryze70z35zzsaw_bbvzd2typeszd2(BgL_regz00_6677,
								BgL_typez00_6674, BgL_flagz00_6675, BgL_valuez00_6676);
							{	/* SawMill/bbv-types.scm 275 */
								obj_t BgL_val0_1603z00_2354;

								BgL_val0_1603z00_2354 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_nz00_2353), BgL_ctxz00_2342);
								{	/* SawMill/bbv-types.scm 275 */
									int BgL_tmpz00_8464;

									BgL_tmpz00_8464 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8464);
								}
								{	/* SawMill/bbv-types.scm 275 */
									int BgL_tmpz00_8467;

									BgL_tmpz00_8467 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_8467, BNIL);
								}
								return BgL_val0_1603z00_2354;
							}
						}
					else
						{	/* SawMill/bbv-types.scm 273 */
							if (
								(((obj_t)
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
													((BgL_bbvzd2ctxentryzd2_bglt)
														CAR(
															((obj_t) BgL_ctxz00_2342)))))->BgL_regz00)) ==
									BgL_regz00_6677))
								{	/* SawMill/bbv-types.scm 277 */
									BgL_bbvzd2ctxentryzd2_bglt BgL_nz00_2359;

									{	/* SawMill/bbv-types.scm 277 */
										BgL_bbvzd2ctxentryzd2_bglt BgL_duplicated1234z00_2364;
										BgL_bbvzd2ctxentryzd2_bglt BgL_new1232z00_2365;

										BgL_duplicated1234z00_2364 =
											((BgL_bbvzd2ctxentryzd2_bglt)
											CAR(((obj_t) BgL_ctxz00_2342)));
										{	/* SawMill/bbv-types.scm 277 */
											BgL_bbvzd2ctxentryzd2_bglt BgL_new1235z00_2366;

											BgL_new1235z00_2366 =
												((BgL_bbvzd2ctxentryzd2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_bbvzd2ctxentryzd2_bgl))));
											{	/* SawMill/bbv-types.scm 277 */
												long BgL_arg2025z00_2367;

												BgL_arg2025z00_2367 =
													BGL_CLASS_NUM
													(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
														BgL_new1235z00_2366), BgL_arg2025z00_2367);
											}
											BgL_new1232z00_2365 = BgL_new1235z00_2366;
										}
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1232z00_2365))->BgL_regz00) =
											((BgL_rtl_regz00_bglt) (((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_duplicated1234z00_2364))->BgL_regz00)),
											BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1232z00_2365))->BgL_typz00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BgL_typez00_6674)), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1232z00_2365))->BgL_flagz00) =
											((bool_t) CBOOL(BgL_flagz00_6675)), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1232z00_2365))->BgL_valuez00) =
											((obj_t) BgL_valuez00_6676), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1232z00_2365))->BgL_aliasesz00) =
											((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_duplicated1234z00_2364))->
													BgL_aliasesz00)), BUNSPEC);
										BgL_nz00_2359 = BgL_new1232z00_2365;
									}
									{	/* SawMill/bbv-types.scm 281 */
										obj_t BgL_val0_1605z00_2360;
										obj_t BgL_val1_1606z00_2361;

										{	/* SawMill/bbv-types.scm 281 */
											obj_t BgL_arg2024z00_2362;

											BgL_arg2024z00_2362 = CDR(((obj_t) BgL_ctxz00_2342));
											BgL_val0_1605z00_2360 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_nz00_2359), BgL_arg2024z00_2362);
										}
										BgL_val1_1606z00_2361 =
											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
													((BgL_bbvzd2ctxentryzd2_bglt)
														CAR(((obj_t) BgL_ctxz00_2342)))))->BgL_aliasesz00);
										{	/* SawMill/bbv-types.scm 281 */
											int BgL_tmpz00_8501;

											BgL_tmpz00_8501 = (int) (((long) 2));
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8501);
										}
										{	/* SawMill/bbv-types.scm 281 */
											int BgL_tmpz00_8504;

											BgL_tmpz00_8504 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_8504,
												BgL_val1_1606z00_2361);
										}
										return BgL_val0_1605z00_2360;
									}
								}
							else
								{	/* SawMill/bbv-types.scm 285 */
									obj_t BgL_rctxz00_2368;

									{	/* SawMill/bbv-types.scm 286 */
										obj_t BgL_arg2029z00_2373;

										BgL_arg2029z00_2373 = CDR(((obj_t) BgL_ctxz00_2342));
										BgL_rctxz00_2368 =
											BGl_loopze70ze7zzsaw_bbvzd2typeszd2(BgL_rnumz00_6678,
											BgL_regz00_6677, BgL_valuez00_6676, BgL_flagz00_6675,
											BgL_typez00_6674, BgL_arg2029z00_2373);
									}
									{	/* SawMill/bbv-types.scm 286 */
										obj_t BgL_aliasesz00_2369;

										{	/* SawMill/bbv-types.scm 287 */
											obj_t BgL_tmpz00_4305;

											{	/* SawMill/bbv-types.scm 287 */
												int BgL_tmpz00_8510;

												BgL_tmpz00_8510 = (int) (((long) 1));
												BgL_tmpz00_4305 = BGL_MVALUES_VAL(BgL_tmpz00_8510);
											}
											{	/* SawMill/bbv-types.scm 287 */
												int BgL_tmpz00_8513;

												BgL_tmpz00_8513 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_8513, BUNSPEC);
											}
											BgL_aliasesz00_2369 = BgL_tmpz00_4305;
										}
										{	/* SawMill/bbv-types.scm 287 */
											obj_t BgL_val0_1607z00_2370;

											{	/* SawMill/bbv-types.scm 287 */
												obj_t BgL_arg2026z00_2372;

												BgL_arg2026z00_2372 = CAR(((obj_t) BgL_ctxz00_2342));
												BgL_val0_1607z00_2370 =
													MAKE_YOUNG_PAIR(BgL_arg2026z00_2372,
													BgL_rctxz00_2368);
											}
											{	/* SawMill/bbv-types.scm 287 */
												int BgL_tmpz00_8519;

												BgL_tmpz00_8519 = (int) (((long) 2));
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8519);
											}
											{	/* SawMill/bbv-types.scm 287 */
												int BgL_tmpz00_8522;

												BgL_tmpz00_8522 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_8522,
													BgL_aliasesz00_2369);
											}
											return BgL_val0_1607z00_2370;
										}
									}
								}
						}
				}
		}

	}



/* new-ctxentry~0 */
	BgL_bbvzd2ctxentryzd2_bglt BGl_newzd2ctxentryze70z35zzsaw_bbvzd2typeszd2(obj_t
		BgL_regz00_2328, obj_t BgL_typez00_2329, obj_t BgL_flagz00_2330,
		obj_t BgL_valuez00_2331)
	{
		{	/* SawMill/bbv-types.scm 262 */
			{	/* SawMill/bbv-types.scm 258 */
				BgL_bbvzd2ctxentryzd2_bglt BgL_new1231z00_2333;

				{	/* SawMill/bbv-types.scm 259 */
					BgL_bbvzd2ctxentryzd2_bglt BgL_new1230z00_2334;

					BgL_new1230z00_2334 =
						((BgL_bbvzd2ctxentryzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2ctxentryzd2_bgl))));
					{	/* SawMill/bbv-types.scm 259 */
						long BgL_arg2010z00_2335;

						BgL_arg2010z00_2335 =
							BGL_CLASS_NUM(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1230z00_2334), BgL_arg2010z00_2335);
					}
					BgL_new1231z00_2333 = BgL_new1230z00_2334;
				}
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1231z00_2333))->
						BgL_regz00) =
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_regz00_2328)),
					BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1231z00_2333))->
						BgL_typz00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_typez00_2329)), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1231z00_2333))->
						BgL_flagz00) = ((bool_t) CBOOL(BgL_flagz00_2330)), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1231z00_2333))->
						BgL_valuez00) = ((obj_t) BgL_valuez00_2331), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1231z00_2333))->
						BgL_aliasesz00) = ((obj_t) BNIL), BUNSPEC);
				return BgL_new1231z00_2333;
			}
		}

	}



/* refine-one~0 */
	obj_t BGl_refinezd2oneze70z35zzsaw_bbvzd2typeszd2(obj_t BgL_valuez00_6681,
		obj_t BgL_flagz00_6680, obj_t BgL_typez00_6679, obj_t BgL_regz00_2336,
		obj_t BgL_ctxz00_2337)
	{
		{	/* SawMill/bbv-types.scm 287 */
			{	/* SawMill/bbv-types.scm 265 */
				bool_t BgL_test3384z00_8537;

				{	/* SawMill/bbv-types.scm 265 */
					obj_t BgL_classz00_4255;

					BgL_classz00_4255 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
					if (BGL_OBJECTP(BgL_regz00_2336))
						{	/* SawMill/bbv-types.scm 265 */
							BgL_objectz00_bglt BgL_arg1825z00_4257;

							BgL_arg1825z00_4257 = (BgL_objectz00_bglt) (BgL_regz00_2336);
							{	/* SawMill/bbv-types.scm 265 */
								bool_t BgL_arg1822z00_4260;
								bool_t BgL_arg1823z00_4261;

								{	/* SawMill/bbv-types.scm 265 */
									long BgL_idxz00_4264;

									BgL_idxz00_4264 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4257);
									BgL_arg1822z00_4260 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4264 + ((long) 2))) == BgL_classz00_4255);
								}
								{	/* SawMill/bbv-types.scm 265 */
									bool_t BgL_res2926z00_4286;

									{	/* SawMill/bbv-types.scm 265 */
										obj_t BgL_oclassz00_4272;

										{	/* SawMill/bbv-types.scm 265 */
											long BgL_arg1833z00_4278;

											{	/* SawMill/bbv-types.scm 265 */
												long BgL_arg1834z00_4279;

												BgL_arg1834z00_4279 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4257);
												BgL_arg1833z00_4278 =
													(BgL_arg1834z00_4279 - OBJECT_TYPE);
											}
											BgL_oclassz00_4272 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4278);
										}
										{	/* SawMill/bbv-types.scm 265 */
											bool_t BgL__ortest_1110z00_4273;

											BgL__ortest_1110z00_4273 =
												(BgL_classz00_4255 == BgL_oclassz00_4272);
											if (BgL__ortest_1110z00_4273)
												{	/* SawMill/bbv-types.scm 265 */
													BgL_res2926z00_4286 = BgL__ortest_1110z00_4273;
												}
											else
												{	/* SawMill/bbv-types.scm 265 */
													long BgL_odepthz00_4274;

													BgL_odepthz00_4274 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4272);
													if ((((long) 2) < BgL_odepthz00_4274))
														{	/* SawMill/bbv-types.scm 265 */
															obj_t BgL_arg1821z00_4276;

															BgL_arg1821z00_4276 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4272,
																((long) 2));
															BgL_res2926z00_4286 =
																(BgL_arg1821z00_4276 == BgL_classz00_4255);
														}
													else
														{	/* SawMill/bbv-types.scm 265 */
															BgL_res2926z00_4286 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4261 = BgL_res2926z00_4286;
								}
								BgL_test3384z00_8537 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4260, BgL_arg1823z00_4261);
							}
						}
					else
						{	/* SawMill/bbv-types.scm 265 */
							BgL_test3384z00_8537 = ((bool_t) 0);
						}
				}
				if (BgL_test3384z00_8537)
					{	/* SawMill/bbv-types.scm 267 */
						int BgL_rnumz00_2340;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_8556;

							{
								obj_t BgL_auxz00_8557;

								{	/* SawMill/bbv-types.scm 267 */
									BgL_objectz00_bglt BgL_tmpz00_8558;

									BgL_tmpz00_8558 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_regz00_2336));
									BgL_auxz00_8557 = BGL_OBJECT_WIDENING(BgL_tmpz00_8558);
								}
								BgL_auxz00_8556 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8557);
							}
							BgL_rnumz00_2340 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8556))->
								BgL_numz00);
						}
						return
							BGl_loopze70ze7zzsaw_bbvzd2typeszd2(BgL_rnumz00_2340,
							BgL_regz00_2336, BgL_valuez00_6681, BgL_flagz00_6680,
							BgL_typez00_6679, BgL_ctxz00_2337);
					}
				else
					{	/* SawMill/bbv-types.scm 265 */
						return MAKE_YOUNG_PAIR(BgL_ctxz00_2337, BNIL);
					}
			}
		}

	}



/* unalias-ctx */
	obj_t BGl_unaliaszd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t BgL_ctxz00_111,
		BgL_rtl_regz00_bglt BgL_regz00_112)
	{
		{	/* SawMill/bbv-types.scm 306 */
			{
				obj_t BgL_ctxz00_2395;
				BgL_rtl_regz00_bglt BgL_regz00_2396;
				BgL_rtl_regz00_bglt BgL_aliasz00_2397;

				{	/* SawMill/bbv-types.scm 317 */
					obj_t BgL_rez00_2383;

					BgL_rez00_2383 =
						BGl_ctxzd2getzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_111,
						BgL_regz00_112);
					if (CBOOL(BgL_rez00_2383))
						{
							obj_t BgL_aliasesz00_2387;
							obj_t BgL_ctxz00_2388;

							{	/* SawMill/bbv-types.scm 320 */
								obj_t BgL_arg2036z00_2386;

								BgL_arg2036z00_2386 =
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
											((BgL_bbvzd2ctxentryzd2_bglt) BgL_rez00_2383)))->
									BgL_aliasesz00);
								BgL_aliasesz00_2387 = BgL_arg2036z00_2386;
								BgL_ctxz00_2388 = BgL_ctxz00_111;
							BgL_zc3z04anonymousza32037ze3z87_2389:
								if (NULLP(BgL_aliasesz00_2387))
									{	/* SawMill/bbv-types.scm 322 */
										return BgL_ctxz00_2388;
									}
								else
									{	/* SawMill/bbv-types.scm 324 */
										obj_t BgL_arg2039z00_2391;
										obj_t BgL_arg2040z00_2392;

										BgL_arg2039z00_2391 = CDR(((obj_t) BgL_aliasesz00_2387));
										{	/* SawMill/bbv-types.scm 325 */
											obj_t BgL_arg2041z00_2393;

											BgL_arg2041z00_2393 = CAR(((obj_t) BgL_aliasesz00_2387));
											BgL_ctxz00_2395 = BgL_ctxz00_2388;
											BgL_regz00_2396 = BgL_regz00_112;
											BgL_aliasz00_2397 =
												((BgL_rtl_regz00_bglt) BgL_arg2041z00_2393);
											{	/* SawMill/bbv-types.scm 309 */
												obj_t BgL_aez00_2399;

												BgL_aez00_2399 =
													BGl_ctxzd2getzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_2395,
													BgL_aliasz00_2397);
												if (CBOOL(BgL_aez00_2399))
													{	/* SawMill/bbv-types.scm 313 */
														BgL_bbvzd2ctxentryzd2_bglt BgL_arg2043z00_2401;

														{	/* SawMill/bbv-types.scm 313 */
															BgL_bbvzd2ctxentryzd2_bglt BgL_new1240z00_2403;

															{	/* SawMill/bbv-types.scm 313 */
																BgL_bbvzd2ctxentryzd2_bglt BgL_new1243z00_2405;

																BgL_new1243z00_2405 =
																	((BgL_bbvzd2ctxentryzd2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_bbvzd2ctxentryzd2_bgl))));
																{	/* SawMill/bbv-types.scm 313 */
																	long BgL_arg2045z00_2406;

																	BgL_arg2045z00_2406 =
																		BGL_CLASS_NUM
																		(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			BgL_new1243z00_2405),
																		BgL_arg2045z00_2406);
																}
																BgL_new1240z00_2403 = BgL_new1243z00_2405;
															}
															((((BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(BgL_new1240z00_2403))->BgL_regz00) =
																((BgL_rtl_regz00_bglt) ((
																			(BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																					BgL_aez00_2399)))->BgL_regz00)),
																BUNSPEC);
															((((BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(BgL_new1240z00_2403))->BgL_typz00) =
																((BgL_typez00_bglt) ((
																			(BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																					BgL_aez00_2399)))->BgL_typz00)),
																BUNSPEC);
															((((BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(BgL_new1240z00_2403))->
																	BgL_flagz00) =
																((bool_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																					BgL_aez00_2399)))->BgL_flagz00)),
																BUNSPEC);
															((((BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(BgL_new1240z00_2403))->
																	BgL_valuez00) =
																((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																					BgL_aez00_2399)))->BgL_valuez00)),
																BUNSPEC);
															((((BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(BgL_new1240z00_2403))->
																	BgL_aliasesz00) =
																((obj_t) bgl_remq(((obj_t) BgL_regz00_2396),
																		(((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_aez00_2399)))->
																			BgL_aliasesz00))), BUNSPEC);
															BgL_arg2043z00_2401 = BgL_new1240z00_2403;
														}
														BgL_arg2040z00_2392 =
															BGl_extendzd2ctxzf2entryz20zzsaw_bbvzd2typeszd2
															(BgL_ctxz00_2395, BgL_arg2043z00_2401);
													}
												else
													{	/* SawMill/bbv-types.scm 310 */
														BgL_arg2040z00_2392 = BgL_ctxz00_2395;
													}
											}
										}
										{
											obj_t BgL_ctxz00_8604;
											obj_t BgL_aliasesz00_8603;

											BgL_aliasesz00_8603 = BgL_arg2039z00_2391;
											BgL_ctxz00_8604 = BgL_arg2040z00_2392;
											BgL_ctxz00_2388 = BgL_ctxz00_8604;
											BgL_aliasesz00_2387 = BgL_aliasesz00_8603;
											goto BgL_zc3z04anonymousza32037ze3z87_2389;
										}
									}
							}
						}
					else
						{	/* SawMill/bbv-types.scm 318 */
							return BgL_ctxz00_111;
						}
				}
			}
		}

	}



/* alias-ctx */
	BGL_EXPORTED_DEF obj_t BGl_aliaszd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t
		BgL_ctxz00_113, BgL_rtl_regz00_bglt BgL_regz00_114,
		BgL_rtl_regz00_bglt BgL_aliasz00_115)
	{
		{	/* SawMill/bbv-types.scm 334 */
			{	/* SawMill/bbv-types.scm 335 */
				obj_t BgL_aez00_2409;

				BgL_aez00_2409 =
					BGl_ctxzd2getzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_113,
					BgL_aliasz00_115);
				{	/* SawMill/bbv-types.scm 336 */
					obj_t BgL_ctxz00_2410;

					BgL_ctxz00_2410 =
						BGl_unaliaszd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_113,
						BgL_regz00_114);
					{	/* SawMill/bbv-types.scm 337 */

						if (CBOOL(BgL_aez00_2409))
							{	/* SawMill/bbv-types.scm 345 */
								BgL_bbvzd2ctxentryzd2_bglt BgL_nrez00_2412;

								{	/* SawMill/bbv-types.scm 345 */
									BgL_bbvzd2ctxentryzd2_bglt BgL_new1248z00_2440;

									{	/* SawMill/bbv-types.scm 346 */
										BgL_bbvzd2ctxentryzd2_bglt BgL_new1251z00_2442;

										BgL_new1251z00_2442 =
											((BgL_bbvzd2ctxentryzd2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_bbvzd2ctxentryzd2_bgl))));
										{	/* SawMill/bbv-types.scm 346 */
											long BgL_arg2061z00_2443;

											BgL_arg2061z00_2443 =
												BGL_CLASS_NUM
												(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
											BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
													BgL_new1251z00_2442), BgL_arg2061z00_2443);
										}
										BgL_new1248z00_2440 = BgL_new1251z00_2442;
									}
									((((BgL_bbvzd2ctxentryzd2_bglt)
												COBJECT(BgL_new1248z00_2440))->BgL_regz00) =
										((BgL_rtl_regz00_bglt) BgL_regz00_114), BUNSPEC);
									((((BgL_bbvzd2ctxentryzd2_bglt)
												COBJECT(BgL_new1248z00_2440))->BgL_typz00) =
										((BgL_typez00_bglt) (((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
															BgL_aez00_2409)))->BgL_typz00)), BUNSPEC);
									((((BgL_bbvzd2ctxentryzd2_bglt)
												COBJECT(BgL_new1248z00_2440))->BgL_flagz00) =
										((bool_t) (((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
															BgL_aez00_2409)))->BgL_flagz00)), BUNSPEC);
									((((BgL_bbvzd2ctxentryzd2_bglt)
												COBJECT(BgL_new1248z00_2440))->BgL_valuez00) =
										((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
															BgL_aez00_2409)))->BgL_valuez00)), BUNSPEC);
									{
										obj_t BgL_auxz00_8623;

										{	/* SawMill/bbv-types.scm 347 */
											obj_t BgL_arg2060z00_2441;

											BgL_arg2060z00_2441 =
												(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
														((BgL_bbvzd2ctxentryzd2_bglt) BgL_aez00_2409)))->
												BgL_aliasesz00);
											BgL_auxz00_8623 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_aliasz00_115),
												BgL_arg2060z00_2441);
										}
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1248z00_2440))->BgL_aliasesz00) =
											((obj_t) BgL_auxz00_8623), BUNSPEC);
									}
									BgL_nrez00_2412 = BgL_new1248z00_2440;
								}
								{	/* SawMill/bbv-types.scm 348 */
									obj_t BgL_g1252z00_2413;
									obj_t BgL_g1253z00_2414;

									{	/* SawMill/bbv-types.scm 348 */
										obj_t BgL_arg2059z00_2438;

										BgL_arg2059z00_2438 =
											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
													((BgL_bbvzd2ctxentryzd2_bglt) BgL_aez00_2409)))->
											BgL_aliasesz00);
										BgL_g1252z00_2413 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_aliasz00_115),
											BgL_arg2059z00_2438);
									}
									BgL_g1253z00_2414 =
										BGl_extendzd2ctxzf2entryz20zzsaw_bbvzd2typeszd2
										(BgL_ctxz00_2410, BgL_nrez00_2412);
									{
										obj_t BgL_asz00_2416;
										obj_t BgL_ctxz00_2417;

										BgL_asz00_2416 = BgL_g1252z00_2413;
										BgL_ctxz00_2417 = BgL_g1253z00_2414;
									BgL_zc3z04anonymousza32046ze3z87_2418:
										if (NULLP(BgL_asz00_2416))
											{	/* SawMill/bbv-types.scm 351 */
												return BgL_ctxz00_2417;
											}
										else
											{	/* SawMill/bbv-types.scm 353 */
												obj_t BgL_g1254z00_2420;

												BgL_g1254z00_2420 =
													BGl_ctxzd2getzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_2417,
													((BgL_rtl_regz00_bglt)
														CAR(((obj_t) BgL_asz00_2416))));
												if (CBOOL(BgL_g1254z00_2420))
													{	/* SawMill/bbv-types.scm 353 */
														if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																	((obj_t) BgL_regz00_114),
																	(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																				((BgL_bbvzd2ctxentryzd2_bglt)
																					BgL_g1254z00_2420)))->
																		BgL_aliasesz00))))
															{	/* SawMill/bbv-types.scm 358 */
																obj_t BgL_arg2051z00_2426;

																BgL_arg2051z00_2426 =
																	CDR(((obj_t) BgL_asz00_2416));
																{
																	obj_t BgL_asz00_8650;

																	BgL_asz00_8650 = BgL_arg2051z00_2426;
																	BgL_asz00_2416 = BgL_asz00_8650;
																	goto BgL_zc3z04anonymousza32046ze3z87_2418;
																}
															}
														else
															{	/* SawMill/bbv-types.scm 359 */
																BgL_bbvzd2ctxentryzd2_bglt BgL_nz00_2427;

																{	/* SawMill/bbv-types.scm 359 */
																	BgL_bbvzd2ctxentryzd2_bglt
																		BgL_new1257z00_2430;
																	{	/* SawMill/bbv-types.scm 359 */
																		BgL_bbvzd2ctxentryzd2_bglt
																			BgL_new1260z00_2432;
																		BgL_new1260z00_2432 =
																			((BgL_bbvzd2ctxentryzd2_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_bbvzd2ctxentryzd2_bgl))));
																		{	/* SawMill/bbv-types.scm 359 */
																			long BgL_arg2054z00_2433;

																			BgL_arg2054z00_2433 =
																				BGL_CLASS_NUM
																				(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1260z00_2432),
																				BgL_arg2054z00_2433);
																		}
																		BgL_new1257z00_2430 = BgL_new1260z00_2432;
																	}
																	((((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(BgL_new1257z00_2430))->
																			BgL_regz00) =
																		((BgL_rtl_regz00_bglt) ((
																					(BgL_bbvzd2ctxentryzd2_bglt)
																					COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																							BgL_g1254z00_2420)))->
																				BgL_regz00)), BUNSPEC);
																	((((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(BgL_new1257z00_2430))->
																			BgL_typz00) =
																		((BgL_typez00_bglt) ((
																					(BgL_bbvzd2ctxentryzd2_bglt)
																					COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																							BgL_g1254z00_2420)))->
																				BgL_typz00)), BUNSPEC);
																	((((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(BgL_new1257z00_2430))->
																			BgL_flagz00) =
																		((bool_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																					COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																							BgL_g1254z00_2420)))->
																				BgL_flagz00)), BUNSPEC);
																	((((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(BgL_new1257z00_2430))->
																			BgL_valuez00) =
																		((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																					COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																							BgL_g1254z00_2420)))->
																				BgL_valuez00)), BUNSPEC);
																	{
																		obj_t BgL_auxz00_8667;

																		{	/* SawMill/bbv-types.scm 360 */
																			obj_t BgL_arg2053z00_2431;

																			BgL_arg2053z00_2431 =
																				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																						((BgL_bbvzd2ctxentryzd2_bglt)
																							BgL_g1254z00_2420)))->
																				BgL_aliasesz00);
																			BgL_auxz00_8667 =
																				MAKE_YOUNG_PAIR(((obj_t)
																					BgL_regz00_114), BgL_arg2053z00_2431);
																		}
																		((((BgL_bbvzd2ctxentryzd2_bglt)
																					COBJECT(BgL_new1257z00_2430))->
																				BgL_aliasesz00) =
																			((obj_t) BgL_auxz00_8667), BUNSPEC);
																	}
																	BgL_nz00_2427 = BgL_new1257z00_2430;
																}
																BGl_extendzd2ctxzf2entryz20zzsaw_bbvzd2typeszd2
																	(BgL_ctxz00_2417, BgL_nz00_2427);
																{	/* SawMill/bbv-types.scm 362 */
																	obj_t BgL_arg2052z00_2428;

																	BgL_arg2052z00_2428 =
																		CDR(((obj_t) BgL_asz00_2416));
																	{
																		obj_t BgL_asz00_8676;

																		BgL_asz00_8676 = BgL_arg2052z00_2428;
																		BgL_asz00_2416 = BgL_asz00_8676;
																		goto BgL_zc3z04anonymousza32046ze3z87_2418;
																	}
																}
															}
													}
												else
													{	/* SawMill/bbv-types.scm 364 */
														obj_t BgL_arg2056z00_2435;

														BgL_arg2056z00_2435 = CDR(((obj_t) BgL_asz00_2416));
														{
															obj_t BgL_asz00_8679;

															BgL_asz00_8679 = BgL_arg2056z00_2435;
															BgL_asz00_2416 = BgL_asz00_8679;
															goto BgL_zc3z04anonymousza32046ze3z87_2418;
														}
													}
											}
									}
								}
							}
						else
							{	/* SawMill/bbv-types.scm 339 */
								BgL_bbvzd2ctxentryzd2_bglt BgL_nrez00_2444;

								{	/* SawMill/bbv-types.scm 339 */
									BgL_bbvzd2ctxentryzd2_bglt BgL_new1246z00_2445;

									{	/* SawMill/bbv-types.scm 340 */
										BgL_bbvzd2ctxentryzd2_bglt BgL_new1245z00_2449;

										BgL_new1245z00_2449 =
											((BgL_bbvzd2ctxentryzd2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_bbvzd2ctxentryzd2_bgl))));
										{	/* SawMill/bbv-types.scm 340 */
											long BgL_arg2065z00_2450;

											BgL_arg2065z00_2450 =
												BGL_CLASS_NUM
												(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
											BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
													BgL_new1245z00_2449), BgL_arg2065z00_2450);
										}
										BgL_new1246z00_2445 = BgL_new1245z00_2449;
									}
									((((BgL_bbvzd2ctxentryzd2_bglt)
												COBJECT(BgL_new1246z00_2445))->BgL_regz00) =
										((BgL_rtl_regz00_bglt) BgL_regz00_114), BUNSPEC);
									{
										BgL_typez00_bglt BgL_auxz00_8685;

										{	/* SawMill/bbv-types.scm 340 */
											obj_t BgL_arg2062z00_2446;

											{	/* SawMill/bbv-types.scm 340 */
												obj_t BgL_arg2063z00_2447;

												{	/* SawMill/bbv-types.scm 340 */
													obj_t BgL_classz00_4332;

													BgL_classz00_4332 =
														BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2;
													BgL_arg2063z00_2447 =
														BGL_CLASS_ALL_FIELDS(BgL_classz00_4332);
												}
												BgL_arg2062z00_2446 =
													VECTOR_REF(BgL_arg2063z00_2447, ((long) 1));
											}
											BgL_auxz00_8685 =
												((BgL_typez00_bglt)
												BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
												(BgL_arg2062z00_2446));
										}
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1246z00_2445))->BgL_typz00) =
											((BgL_typez00_bglt) BgL_auxz00_8685), BUNSPEC);
									}
									((((BgL_bbvzd2ctxentryzd2_bglt)
												COBJECT(BgL_new1246z00_2445))->BgL_flagz00) =
										((bool_t) ((bool_t) 1)), BUNSPEC);
									((((BgL_bbvzd2ctxentryzd2_bglt)
												COBJECT(BgL_new1246z00_2445))->BgL_valuez00) =
										((obj_t) CNST_TABLE_REF(((long) 8))), BUNSPEC);
									{
										obj_t BgL_auxz00_8694;

										{	/* SawMill/bbv-types.scm 342 */
											obj_t BgL_list2064z00_2448;

											BgL_list2064z00_2448 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_aliasz00_115), BNIL);
											BgL_auxz00_8694 = BgL_list2064z00_2448;
										}
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1246z00_2445))->BgL_aliasesz00) =
											((obj_t) BgL_auxz00_8694), BUNSPEC);
									}
									BgL_nrez00_2444 = BgL_new1246z00_2445;
								}
								return
									BGl_extendzd2ctxzf2entryz20zzsaw_bbvzd2typeszd2
									(BgL_ctxz00_2410, BgL_nrez00_2444);
							}
					}
				}
			}
		}

	}



/* &alias-ctx */
	obj_t BGl_z62aliaszd2ctxzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6214,
		obj_t BgL_ctxz00_6215, obj_t BgL_regz00_6216, obj_t BgL_aliasz00_6217)
	{
		{	/* SawMill/bbv-types.scm 334 */
			return
				BGl_aliaszd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_6215,
				((BgL_rtl_regz00_bglt) BgL_regz00_6216),
				((BgL_rtl_regz00_bglt) BgL_aliasz00_6217));
		}

	}



/* rtl_ins-last? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2lastzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_122)
	{
		{	/* SawMill/bbv-types.scm 410 */
			{	/* SawMill/bbv-types.scm 412 */
				BgL_rtl_funz00_bglt BgL_arg2066z00_4336;

				BgL_arg2066z00_4336 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_122))->BgL_funz00);
				{	/* SawMill/bbv-types.scm 412 */
					obj_t BgL_classz00_4337;

					BgL_classz00_4337 = BGl_rtl_lastz00zzsaw_defsz00;
					{	/* SawMill/bbv-types.scm 412 */
						BgL_objectz00_bglt BgL_arg1825z00_4339;

						{	/* SawMill/bbv-types.scm 412 */
							obj_t BgL_tmpz00_8703;

							BgL_tmpz00_8703 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2066z00_4336));
							BgL_arg1825z00_4339 = (BgL_objectz00_bglt) (BgL_tmpz00_8703);
						}
						{	/* SawMill/bbv-types.scm 412 */
							bool_t BgL_arg1822z00_4342;
							bool_t BgL_arg1823z00_4343;

							{	/* SawMill/bbv-types.scm 412 */
								long BgL_idxz00_4346;

								BgL_idxz00_4346 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4339);
								BgL_arg1822z00_4342 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4346 + ((long) 2))) == BgL_classz00_4337);
							}
							{	/* SawMill/bbv-types.scm 412 */
								bool_t BgL_res2930z00_4368;

								{	/* SawMill/bbv-types.scm 412 */
									obj_t BgL_oclassz00_4354;

									{	/* SawMill/bbv-types.scm 412 */
										long BgL_arg1833z00_4360;

										{	/* SawMill/bbv-types.scm 412 */
											long BgL_arg1834z00_4361;

											BgL_arg1834z00_4361 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4339);
											BgL_arg1833z00_4360 = (BgL_arg1834z00_4361 - OBJECT_TYPE);
										}
										BgL_oclassz00_4354 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4360);
									}
									{	/* SawMill/bbv-types.scm 412 */
										bool_t BgL__ortest_1110z00_4355;

										BgL__ortest_1110z00_4355 =
											(BgL_classz00_4337 == BgL_oclassz00_4354);
										if (BgL__ortest_1110z00_4355)
											{	/* SawMill/bbv-types.scm 412 */
												BgL_res2930z00_4368 = BgL__ortest_1110z00_4355;
											}
										else
											{	/* SawMill/bbv-types.scm 412 */
												long BgL_odepthz00_4356;

												BgL_odepthz00_4356 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4354);
												if ((((long) 2) < BgL_odepthz00_4356))
													{	/* SawMill/bbv-types.scm 412 */
														obj_t BgL_arg1821z00_4358;

														BgL_arg1821z00_4358 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4354,
															((long) 2));
														BgL_res2930z00_4368 =
															(BgL_arg1821z00_4358 == BgL_classz00_4337);
													}
												else
													{	/* SawMill/bbv-types.scm 412 */
														BgL_res2930z00_4368 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4343 = BgL_res2930z00_4368;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4342, BgL_arg1823z00_4343);
						}
					}
				}
			}
		}

	}



/* &rtl_ins-last? */
	obj_t BGl_z62rtl_inszd2lastzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6218,
		obj_t BgL_iz00_6219)
	{
		{	/* SawMill/bbv-types.scm 410 */
			return
				BBOOL(BGl_rtl_inszd2lastzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_6219)));
		}

	}



/* rtl_ins-nop? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_123)
	{
		{	/* SawMill/bbv-types.scm 417 */
			{	/* SawMill/bbv-types.scm 419 */
				BgL_rtl_funz00_bglt BgL_arg2068z00_4370;

				BgL_arg2068z00_4370 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_123))->BgL_funz00);
				{	/* SawMill/bbv-types.scm 419 */
					obj_t BgL_classz00_4371;

					BgL_classz00_4371 = BGl_rtl_nopz00zzsaw_defsz00;
					{	/* SawMill/bbv-types.scm 419 */
						BgL_objectz00_bglt BgL_arg1825z00_4373;

						{	/* SawMill/bbv-types.scm 419 */
							obj_t BgL_tmpz00_8726;

							BgL_tmpz00_8726 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2068z00_4370));
							BgL_arg1825z00_4373 = (BgL_objectz00_bglt) (BgL_tmpz00_8726);
						}
						{	/* SawMill/bbv-types.scm 419 */
							bool_t BgL_arg1822z00_4376;
							bool_t BgL_arg1823z00_4377;

							{	/* SawMill/bbv-types.scm 419 */
								long BgL_idxz00_4380;

								BgL_idxz00_4380 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4373);
								BgL_arg1822z00_4376 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4380 + ((long) 3))) == BgL_classz00_4371);
							}
							{	/* SawMill/bbv-types.scm 419 */
								bool_t BgL_res2931z00_4402;

								{	/* SawMill/bbv-types.scm 419 */
									obj_t BgL_oclassz00_4388;

									{	/* SawMill/bbv-types.scm 419 */
										long BgL_arg1833z00_4394;

										{	/* SawMill/bbv-types.scm 419 */
											long BgL_arg1834z00_4395;

											BgL_arg1834z00_4395 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4373);
											BgL_arg1833z00_4394 = (BgL_arg1834z00_4395 - OBJECT_TYPE);
										}
										BgL_oclassz00_4388 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4394);
									}
									{	/* SawMill/bbv-types.scm 419 */
										bool_t BgL__ortest_1110z00_4389;

										BgL__ortest_1110z00_4389 =
											(BgL_classz00_4371 == BgL_oclassz00_4388);
										if (BgL__ortest_1110z00_4389)
											{	/* SawMill/bbv-types.scm 419 */
												BgL_res2931z00_4402 = BgL__ortest_1110z00_4389;
											}
										else
											{	/* SawMill/bbv-types.scm 419 */
												long BgL_odepthz00_4390;

												BgL_odepthz00_4390 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4388);
												if ((((long) 3) < BgL_odepthz00_4390))
													{	/* SawMill/bbv-types.scm 419 */
														obj_t BgL_arg1821z00_4392;

														BgL_arg1821z00_4392 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4388,
															((long) 3));
														BgL_res2931z00_4402 =
															(BgL_arg1821z00_4392 == BgL_classz00_4371);
													}
												else
													{	/* SawMill/bbv-types.scm 419 */
														BgL_res2931z00_4402 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4377 = BgL_res2931z00_4402;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4376, BgL_arg1823z00_4377);
						}
					}
				}
			}
		}

	}



/* &rtl_ins-nop? */
	obj_t BGl_z62rtl_inszd2nopzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6220,
		obj_t BgL_iz00_6221)
	{
		{	/* SawMill/bbv-types.scm 417 */
			return
				BBOOL(BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_6221)));
		}

	}



/* rtl_ins-mov? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_124)
	{
		{	/* SawMill/bbv-types.scm 424 */
			{	/* SawMill/bbv-types.scm 426 */
				BgL_rtl_funz00_bglt BgL_arg2069z00_4404;

				BgL_arg2069z00_4404 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_124))->BgL_funz00);
				{	/* SawMill/bbv-types.scm 426 */
					obj_t BgL_classz00_4405;

					BgL_classz00_4405 = BGl_rtl_movz00zzsaw_defsz00;
					{	/* SawMill/bbv-types.scm 426 */
						BgL_objectz00_bglt BgL_arg1825z00_4407;

						{	/* SawMill/bbv-types.scm 426 */
							obj_t BgL_tmpz00_8749;

							BgL_tmpz00_8749 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2069z00_4404));
							BgL_arg1825z00_4407 = (BgL_objectz00_bglt) (BgL_tmpz00_8749);
						}
						{	/* SawMill/bbv-types.scm 426 */
							bool_t BgL_arg1822z00_4410;
							bool_t BgL_arg1823z00_4411;

							{	/* SawMill/bbv-types.scm 426 */
								long BgL_idxz00_4414;

								BgL_idxz00_4414 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4407);
								BgL_arg1822z00_4410 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4414 + ((long) 3))) == BgL_classz00_4405);
							}
							{	/* SawMill/bbv-types.scm 426 */
								bool_t BgL_res2932z00_4436;

								{	/* SawMill/bbv-types.scm 426 */
									obj_t BgL_oclassz00_4422;

									{	/* SawMill/bbv-types.scm 426 */
										long BgL_arg1833z00_4428;

										{	/* SawMill/bbv-types.scm 426 */
											long BgL_arg1834z00_4429;

											BgL_arg1834z00_4429 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4407);
											BgL_arg1833z00_4428 = (BgL_arg1834z00_4429 - OBJECT_TYPE);
										}
										BgL_oclassz00_4422 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4428);
									}
									{	/* SawMill/bbv-types.scm 426 */
										bool_t BgL__ortest_1110z00_4423;

										BgL__ortest_1110z00_4423 =
											(BgL_classz00_4405 == BgL_oclassz00_4422);
										if (BgL__ortest_1110z00_4423)
											{	/* SawMill/bbv-types.scm 426 */
												BgL_res2932z00_4436 = BgL__ortest_1110z00_4423;
											}
										else
											{	/* SawMill/bbv-types.scm 426 */
												long BgL_odepthz00_4424;

												BgL_odepthz00_4424 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4422);
												if ((((long) 3) < BgL_odepthz00_4424))
													{	/* SawMill/bbv-types.scm 426 */
														obj_t BgL_arg1821z00_4426;

														BgL_arg1821z00_4426 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4422,
															((long) 3));
														BgL_res2932z00_4436 =
															(BgL_arg1821z00_4426 == BgL_classz00_4405);
													}
												else
													{	/* SawMill/bbv-types.scm 426 */
														BgL_res2932z00_4436 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4411 = BgL_res2932z00_4436;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4410, BgL_arg1823z00_4411);
						}
					}
				}
			}
		}

	}



/* &rtl_ins-mov? */
	obj_t BGl_z62rtl_inszd2movzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6222,
		obj_t BgL_iz00_6223)
	{
		{	/* SawMill/bbv-types.scm 424 */
			return
				BBOOL(BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_6223)));
		}

	}



/* rtl_ins-go? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt BgL_iz00_125)
	{
		{	/* SawMill/bbv-types.scm 431 */
			{	/* SawMill/bbv-types.scm 433 */
				BgL_rtl_funz00_bglt BgL_arg2071z00_4438;

				BgL_arg2071z00_4438 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_125))->BgL_funz00);
				{	/* SawMill/bbv-types.scm 433 */
					obj_t BgL_classz00_4439;

					BgL_classz00_4439 = BGl_rtl_goz00zzsaw_defsz00;
					{	/* SawMill/bbv-types.scm 433 */
						BgL_objectz00_bglt BgL_arg1825z00_4441;

						{	/* SawMill/bbv-types.scm 433 */
							obj_t BgL_tmpz00_8772;

							BgL_tmpz00_8772 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2071z00_4438));
							BgL_arg1825z00_4441 = (BgL_objectz00_bglt) (BgL_tmpz00_8772);
						}
						{	/* SawMill/bbv-types.scm 433 */
							bool_t BgL_arg1822z00_4444;
							bool_t BgL_arg1823z00_4445;

							{	/* SawMill/bbv-types.scm 433 */
								long BgL_idxz00_4448;

								BgL_idxz00_4448 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4441);
								BgL_arg1822z00_4444 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4448 + ((long) 3))) == BgL_classz00_4439);
							}
							{	/* SawMill/bbv-types.scm 433 */
								bool_t BgL_res2933z00_4470;

								{	/* SawMill/bbv-types.scm 433 */
									obj_t BgL_oclassz00_4456;

									{	/* SawMill/bbv-types.scm 433 */
										long BgL_arg1833z00_4462;

										{	/* SawMill/bbv-types.scm 433 */
											long BgL_arg1834z00_4463;

											BgL_arg1834z00_4463 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4441);
											BgL_arg1833z00_4462 = (BgL_arg1834z00_4463 - OBJECT_TYPE);
										}
										BgL_oclassz00_4456 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4462);
									}
									{	/* SawMill/bbv-types.scm 433 */
										bool_t BgL__ortest_1110z00_4457;

										BgL__ortest_1110z00_4457 =
											(BgL_classz00_4439 == BgL_oclassz00_4456);
										if (BgL__ortest_1110z00_4457)
											{	/* SawMill/bbv-types.scm 433 */
												BgL_res2933z00_4470 = BgL__ortest_1110z00_4457;
											}
										else
											{	/* SawMill/bbv-types.scm 433 */
												long BgL_odepthz00_4458;

												BgL_odepthz00_4458 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4456);
												if ((((long) 3) < BgL_odepthz00_4458))
													{	/* SawMill/bbv-types.scm 433 */
														obj_t BgL_arg1821z00_4460;

														BgL_arg1821z00_4460 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4456,
															((long) 3));
														BgL_res2933z00_4470 =
															(BgL_arg1821z00_4460 == BgL_classz00_4439);
													}
												else
													{	/* SawMill/bbv-types.scm 433 */
														BgL_res2933z00_4470 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4445 = BgL_res2933z00_4470;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4444, BgL_arg1823z00_4445);
						}
					}
				}
			}
		}

	}



/* &rtl_ins-go? */
	obj_t BGl_z62rtl_inszd2gozf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6224,
		obj_t BgL_iz00_6225)
	{
		{	/* SawMill/bbv-types.scm 431 */
			return
				BBOOL(BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_6225)));
		}

	}



/* rtl_ins-ifeq? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_126)
	{
		{	/* SawMill/bbv-types.scm 438 */
			{	/* SawMill/bbv-types.scm 440 */
				BgL_rtl_funz00_bglt BgL_arg2072z00_4472;

				BgL_arg2072z00_4472 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_126))->BgL_funz00);
				{	/* SawMill/bbv-types.scm 440 */
					obj_t BgL_classz00_4473;

					BgL_classz00_4473 = BGl_rtl_ifeqz00zzsaw_defsz00;
					{	/* SawMill/bbv-types.scm 440 */
						BgL_objectz00_bglt BgL_arg1825z00_4475;

						{	/* SawMill/bbv-types.scm 440 */
							obj_t BgL_tmpz00_8795;

							BgL_tmpz00_8795 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2072z00_4472));
							BgL_arg1825z00_4475 = (BgL_objectz00_bglt) (BgL_tmpz00_8795);
						}
						{	/* SawMill/bbv-types.scm 440 */
							bool_t BgL_arg1822z00_4478;
							bool_t BgL_arg1823z00_4479;

							{	/* SawMill/bbv-types.scm 440 */
								long BgL_idxz00_4482;

								BgL_idxz00_4482 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4475);
								BgL_arg1822z00_4478 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4482 + ((long) 3))) == BgL_classz00_4473);
							}
							{	/* SawMill/bbv-types.scm 440 */
								bool_t BgL_res2934z00_4504;

								{	/* SawMill/bbv-types.scm 440 */
									obj_t BgL_oclassz00_4490;

									{	/* SawMill/bbv-types.scm 440 */
										long BgL_arg1833z00_4496;

										{	/* SawMill/bbv-types.scm 440 */
											long BgL_arg1834z00_4497;

											BgL_arg1834z00_4497 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4475);
											BgL_arg1833z00_4496 = (BgL_arg1834z00_4497 - OBJECT_TYPE);
										}
										BgL_oclassz00_4490 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4496);
									}
									{	/* SawMill/bbv-types.scm 440 */
										bool_t BgL__ortest_1110z00_4491;

										BgL__ortest_1110z00_4491 =
											(BgL_classz00_4473 == BgL_oclassz00_4490);
										if (BgL__ortest_1110z00_4491)
											{	/* SawMill/bbv-types.scm 440 */
												BgL_res2934z00_4504 = BgL__ortest_1110z00_4491;
											}
										else
											{	/* SawMill/bbv-types.scm 440 */
												long BgL_odepthz00_4492;

												BgL_odepthz00_4492 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4490);
												if ((((long) 3) < BgL_odepthz00_4492))
													{	/* SawMill/bbv-types.scm 440 */
														obj_t BgL_arg1821z00_4494;

														BgL_arg1821z00_4494 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4490,
															((long) 3));
														BgL_res2934z00_4504 =
															(BgL_arg1821z00_4494 == BgL_classz00_4473);
													}
												else
													{	/* SawMill/bbv-types.scm 440 */
														BgL_res2934z00_4504 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4479 = BgL_res2934z00_4504;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4478, BgL_arg1823z00_4479);
						}
					}
				}
			}
		}

	}



/* &rtl_ins-ifeq? */
	obj_t BGl_z62rtl_inszd2ifeqzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6226,
		obj_t BgL_iz00_6227)
	{
		{	/* SawMill/bbv-types.scm 438 */
			return
				BBOOL(BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_6227)));
		}

	}



/* rtl_ins-ifne? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_127)
	{
		{	/* SawMill/bbv-types.scm 445 */
			{	/* SawMill/bbv-types.scm 447 */
				BgL_rtl_funz00_bglt BgL_arg2073z00_4506;

				BgL_arg2073z00_4506 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_127))->BgL_funz00);
				{	/* SawMill/bbv-types.scm 447 */
					obj_t BgL_classz00_4507;

					BgL_classz00_4507 = BGl_rtl_ifnez00zzsaw_defsz00;
					{	/* SawMill/bbv-types.scm 447 */
						BgL_objectz00_bglt BgL_arg1825z00_4509;

						{	/* SawMill/bbv-types.scm 447 */
							obj_t BgL_tmpz00_8818;

							BgL_tmpz00_8818 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2073z00_4506));
							BgL_arg1825z00_4509 = (BgL_objectz00_bglt) (BgL_tmpz00_8818);
						}
						{	/* SawMill/bbv-types.scm 447 */
							bool_t BgL_arg1822z00_4512;
							bool_t BgL_arg1823z00_4513;

							{	/* SawMill/bbv-types.scm 447 */
								long BgL_idxz00_4516;

								BgL_idxz00_4516 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4509);
								BgL_arg1822z00_4512 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4516 + ((long) 3))) == BgL_classz00_4507);
							}
							{	/* SawMill/bbv-types.scm 447 */
								bool_t BgL_res2935z00_4538;

								{	/* SawMill/bbv-types.scm 447 */
									obj_t BgL_oclassz00_4524;

									{	/* SawMill/bbv-types.scm 447 */
										long BgL_arg1833z00_4530;

										{	/* SawMill/bbv-types.scm 447 */
											long BgL_arg1834z00_4531;

											BgL_arg1834z00_4531 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4509);
											BgL_arg1833z00_4530 = (BgL_arg1834z00_4531 - OBJECT_TYPE);
										}
										BgL_oclassz00_4524 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4530);
									}
									{	/* SawMill/bbv-types.scm 447 */
										bool_t BgL__ortest_1110z00_4525;

										BgL__ortest_1110z00_4525 =
											(BgL_classz00_4507 == BgL_oclassz00_4524);
										if (BgL__ortest_1110z00_4525)
											{	/* SawMill/bbv-types.scm 447 */
												BgL_res2935z00_4538 = BgL__ortest_1110z00_4525;
											}
										else
											{	/* SawMill/bbv-types.scm 447 */
												long BgL_odepthz00_4526;

												BgL_odepthz00_4526 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4524);
												if ((((long) 3) < BgL_odepthz00_4526))
													{	/* SawMill/bbv-types.scm 447 */
														obj_t BgL_arg1821z00_4528;

														BgL_arg1821z00_4528 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4524,
															((long) 3));
														BgL_res2935z00_4538 =
															(BgL_arg1821z00_4528 == BgL_classz00_4507);
													}
												else
													{	/* SawMill/bbv-types.scm 447 */
														BgL_res2935z00_4538 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4513 = BgL_res2935z00_4538;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4512, BgL_arg1823z00_4513);
						}
					}
				}
			}
		}

	}



/* &rtl_ins-ifne? */
	obj_t BGl_z62rtl_inszd2ifnezf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6228,
		obj_t BgL_iz00_6229)
	{
		{	/* SawMill/bbv-types.scm 445 */
			return
				BBOOL(BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_6229)));
		}

	}



/* rtl_ins-call? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_128)
	{
		{	/* SawMill/bbv-types.scm 452 */
			{	/* SawMill/bbv-types.scm 454 */
				BgL_rtl_funz00_bglt BgL_arg2074z00_4540;

				BgL_arg2074z00_4540 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_128))->BgL_funz00);
				{	/* SawMill/bbv-types.scm 454 */
					obj_t BgL_classz00_4541;

					BgL_classz00_4541 = BGl_rtl_callz00zzsaw_defsz00;
					{	/* SawMill/bbv-types.scm 454 */
						BgL_objectz00_bglt BgL_arg1825z00_4543;

						{	/* SawMill/bbv-types.scm 454 */
							obj_t BgL_tmpz00_8841;

							BgL_tmpz00_8841 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2074z00_4540));
							BgL_arg1825z00_4543 = (BgL_objectz00_bglt) (BgL_tmpz00_8841);
						}
						{	/* SawMill/bbv-types.scm 454 */
							bool_t BgL_arg1822z00_4546;
							bool_t BgL_arg1823z00_4547;

							{	/* SawMill/bbv-types.scm 454 */
								long BgL_idxz00_4550;

								BgL_idxz00_4550 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4543);
								BgL_arg1822z00_4546 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4550 + ((long) 2))) == BgL_classz00_4541);
							}
							{	/* SawMill/bbv-types.scm 454 */
								bool_t BgL_res2936z00_4572;

								{	/* SawMill/bbv-types.scm 454 */
									obj_t BgL_oclassz00_4558;

									{	/* SawMill/bbv-types.scm 454 */
										long BgL_arg1833z00_4564;

										{	/* SawMill/bbv-types.scm 454 */
											long BgL_arg1834z00_4565;

											BgL_arg1834z00_4565 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4543);
											BgL_arg1833z00_4564 = (BgL_arg1834z00_4565 - OBJECT_TYPE);
										}
										BgL_oclassz00_4558 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4564);
									}
									{	/* SawMill/bbv-types.scm 454 */
										bool_t BgL__ortest_1110z00_4559;

										BgL__ortest_1110z00_4559 =
											(BgL_classz00_4541 == BgL_oclassz00_4558);
										if (BgL__ortest_1110z00_4559)
											{	/* SawMill/bbv-types.scm 454 */
												BgL_res2936z00_4572 = BgL__ortest_1110z00_4559;
											}
										else
											{	/* SawMill/bbv-types.scm 454 */
												long BgL_odepthz00_4560;

												BgL_odepthz00_4560 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4558);
												if ((((long) 2) < BgL_odepthz00_4560))
													{	/* SawMill/bbv-types.scm 454 */
														obj_t BgL_arg1821z00_4562;

														BgL_arg1821z00_4562 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4558,
															((long) 2));
														BgL_res2936z00_4572 =
															(BgL_arg1821z00_4562 == BgL_classz00_4541);
													}
												else
													{	/* SawMill/bbv-types.scm 454 */
														BgL_res2936z00_4572 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4547 = BgL_res2936z00_4572;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4546, BgL_arg1823z00_4547);
						}
					}
				}
			}
		}

	}



/* &rtl_ins-call? */
	obj_t BGl_z62rtl_inszd2callzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6230,
		obj_t BgL_iz00_6231)
	{
		{	/* SawMill/bbv-types.scm 452 */
			return
				BBOOL(BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_6231)));
		}

	}



/* rtl_ins-vlen? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2vlenzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_129)
	{
		{	/* SawMill/bbv-types.scm 459 */
			{	/* SawMill/bbv-types.scm 461 */
				BgL_rtl_funz00_bglt BgL_arg2075z00_4574;

				BgL_arg2075z00_4574 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_129))->BgL_funz00);
				{	/* SawMill/bbv-types.scm 461 */
					obj_t BgL_classz00_4575;

					BgL_classz00_4575 = BGl_rtl_vlengthz00zzsaw_defsz00;
					{	/* SawMill/bbv-types.scm 461 */
						BgL_objectz00_bglt BgL_arg1825z00_4577;

						{	/* SawMill/bbv-types.scm 461 */
							obj_t BgL_tmpz00_8864;

							BgL_tmpz00_8864 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2075z00_4574));
							BgL_arg1825z00_4577 = (BgL_objectz00_bglt) (BgL_tmpz00_8864);
						}
						{	/* SawMill/bbv-types.scm 461 */
							bool_t BgL_arg1822z00_4580;
							bool_t BgL_arg1823z00_4581;

							{	/* SawMill/bbv-types.scm 461 */
								long BgL_idxz00_4584;

								BgL_idxz00_4584 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4577);
								BgL_arg1822z00_4580 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4584 + ((long) 3))) == BgL_classz00_4575);
							}
							{	/* SawMill/bbv-types.scm 461 */
								bool_t BgL_res2937z00_4606;

								{	/* SawMill/bbv-types.scm 461 */
									obj_t BgL_oclassz00_4592;

									{	/* SawMill/bbv-types.scm 461 */
										long BgL_arg1833z00_4598;

										{	/* SawMill/bbv-types.scm 461 */
											long BgL_arg1834z00_4599;

											BgL_arg1834z00_4599 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4577);
											BgL_arg1833z00_4598 = (BgL_arg1834z00_4599 - OBJECT_TYPE);
										}
										BgL_oclassz00_4592 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4598);
									}
									{	/* SawMill/bbv-types.scm 461 */
										bool_t BgL__ortest_1110z00_4593;

										BgL__ortest_1110z00_4593 =
											(BgL_classz00_4575 == BgL_oclassz00_4592);
										if (BgL__ortest_1110z00_4593)
											{	/* SawMill/bbv-types.scm 461 */
												BgL_res2937z00_4606 = BgL__ortest_1110z00_4593;
											}
										else
											{	/* SawMill/bbv-types.scm 461 */
												long BgL_odepthz00_4594;

												BgL_odepthz00_4594 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4592);
												if ((((long) 3) < BgL_odepthz00_4594))
													{	/* SawMill/bbv-types.scm 461 */
														obj_t BgL_arg1821z00_4596;

														BgL_arg1821z00_4596 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4592,
															((long) 3));
														BgL_res2937z00_4606 =
															(BgL_arg1821z00_4596 == BgL_classz00_4575);
													}
												else
													{	/* SawMill/bbv-types.scm 461 */
														BgL_res2937z00_4606 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4581 = BgL_res2937z00_4606;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4580, BgL_arg1823z00_4581);
						}
					}
				}
			}
		}

	}



/* &rtl_ins-vlen? */
	obj_t BGl_z62rtl_inszd2vlenzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6232,
		obj_t BgL_iz00_6233)
	{
		{	/* SawMill/bbv-types.scm 459 */
			return
				BBOOL(BGl_rtl_inszd2vlenzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_6233)));
		}

	}



/* rtl_ins-loadi? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_130)
	{
		{	/* SawMill/bbv-types.scm 466 */
			{	/* SawMill/bbv-types.scm 468 */
				BgL_rtl_funz00_bglt BgL_arg2076z00_4608;

				BgL_arg2076z00_4608 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_130))->BgL_funz00);
				{	/* SawMill/bbv-types.scm 468 */
					obj_t BgL_classz00_4609;

					BgL_classz00_4609 = BGl_rtl_loadiz00zzsaw_defsz00;
					{	/* SawMill/bbv-types.scm 468 */
						BgL_objectz00_bglt BgL_arg1825z00_4611;

						{	/* SawMill/bbv-types.scm 468 */
							obj_t BgL_tmpz00_8887;

							BgL_tmpz00_8887 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2076z00_4608));
							BgL_arg1825z00_4611 = (BgL_objectz00_bglt) (BgL_tmpz00_8887);
						}
						{	/* SawMill/bbv-types.scm 468 */
							bool_t BgL_arg1822z00_4614;
							bool_t BgL_arg1823z00_4615;

							{	/* SawMill/bbv-types.scm 468 */
								long BgL_idxz00_4618;

								BgL_idxz00_4618 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4611);
								BgL_arg1822z00_4614 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4618 + ((long) 3))) == BgL_classz00_4609);
							}
							{	/* SawMill/bbv-types.scm 468 */
								bool_t BgL_res2938z00_4640;

								{	/* SawMill/bbv-types.scm 468 */
									obj_t BgL_oclassz00_4626;

									{	/* SawMill/bbv-types.scm 468 */
										long BgL_arg1833z00_4632;

										{	/* SawMill/bbv-types.scm 468 */
											long BgL_arg1834z00_4633;

											BgL_arg1834z00_4633 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4611);
											BgL_arg1833z00_4632 = (BgL_arg1834z00_4633 - OBJECT_TYPE);
										}
										BgL_oclassz00_4626 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4632);
									}
									{	/* SawMill/bbv-types.scm 468 */
										bool_t BgL__ortest_1110z00_4627;

										BgL__ortest_1110z00_4627 =
											(BgL_classz00_4609 == BgL_oclassz00_4626);
										if (BgL__ortest_1110z00_4627)
											{	/* SawMill/bbv-types.scm 468 */
												BgL_res2938z00_4640 = BgL__ortest_1110z00_4627;
											}
										else
											{	/* SawMill/bbv-types.scm 468 */
												long BgL_odepthz00_4628;

												BgL_odepthz00_4628 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4626);
												if ((((long) 3) < BgL_odepthz00_4628))
													{	/* SawMill/bbv-types.scm 468 */
														obj_t BgL_arg1821z00_4630;

														BgL_arg1821z00_4630 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4626,
															((long) 3));
														BgL_res2938z00_4640 =
															(BgL_arg1821z00_4630 == BgL_classz00_4609);
													}
												else
													{	/* SawMill/bbv-types.scm 468 */
														BgL_res2938z00_4640 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4615 = BgL_res2938z00_4640;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4614, BgL_arg1823z00_4615);
						}
					}
				}
			}
		}

	}



/* &rtl_ins-loadi? */
	obj_t BGl_z62rtl_inszd2loadizf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6234,
		obj_t BgL_iz00_6235)
	{
		{	/* SawMill/bbv-types.scm 466 */
			return
				BBOOL(BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_6235)));
		}

	}



/* rtl_ins-loadi-value */
	obj_t BGl_rtl_inszd2loadizd2valuez00zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_131)
	{
		{	/* SawMill/bbv-types.scm 473 */
			{	/* SawMill/bbv-types.scm 474 */
				bool_t BgL_test3413z00_8909;

				{	/* SawMill/bbv-types.scm 468 */
					BgL_rtl_funz00_bglt BgL_arg2076z00_4643;

					BgL_arg2076z00_4643 =
						(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_131))->BgL_funz00);
					{	/* SawMill/bbv-types.scm 468 */
						obj_t BgL_classz00_4644;

						BgL_classz00_4644 = BGl_rtl_loadiz00zzsaw_defsz00;
						{	/* SawMill/bbv-types.scm 468 */
							BgL_objectz00_bglt BgL_arg1825z00_4646;

							{	/* SawMill/bbv-types.scm 468 */
								obj_t BgL_tmpz00_8911;

								BgL_tmpz00_8911 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg2076z00_4643));
								BgL_arg1825z00_4646 = (BgL_objectz00_bglt) (BgL_tmpz00_8911);
							}
							{	/* SawMill/bbv-types.scm 468 */
								bool_t BgL_arg1822z00_4649;
								bool_t BgL_arg1823z00_4650;

								{	/* SawMill/bbv-types.scm 468 */
									long BgL_idxz00_4653;

									BgL_idxz00_4653 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4646);
									BgL_arg1822z00_4649 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4653 + ((long) 3))) == BgL_classz00_4644);
								}
								{	/* SawMill/bbv-types.scm 468 */
									bool_t BgL_res2939z00_4675;

									{	/* SawMill/bbv-types.scm 468 */
										obj_t BgL_oclassz00_4661;

										{	/* SawMill/bbv-types.scm 468 */
											long BgL_arg1833z00_4667;

											{	/* SawMill/bbv-types.scm 468 */
												long BgL_arg1834z00_4668;

												BgL_arg1834z00_4668 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4646);
												BgL_arg1833z00_4667 =
													(BgL_arg1834z00_4668 - OBJECT_TYPE);
											}
											BgL_oclassz00_4661 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4667);
										}
										{	/* SawMill/bbv-types.scm 468 */
											bool_t BgL__ortest_1110z00_4662;

											BgL__ortest_1110z00_4662 =
												(BgL_classz00_4644 == BgL_oclassz00_4661);
											if (BgL__ortest_1110z00_4662)
												{	/* SawMill/bbv-types.scm 468 */
													BgL_res2939z00_4675 = BgL__ortest_1110z00_4662;
												}
											else
												{	/* SawMill/bbv-types.scm 468 */
													long BgL_odepthz00_4663;

													BgL_odepthz00_4663 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4661);
													if ((((long) 3) < BgL_odepthz00_4663))
														{	/* SawMill/bbv-types.scm 468 */
															obj_t BgL_arg1821z00_4665;

															BgL_arg1821z00_4665 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4661,
																((long) 3));
															BgL_res2939z00_4675 =
																(BgL_arg1821z00_4665 == BgL_classz00_4644);
														}
													else
														{	/* SawMill/bbv-types.scm 468 */
															BgL_res2939z00_4675 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4650 = BgL_res2939z00_4675;
								}
								BgL_test3413z00_8909 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4649, BgL_arg1823z00_4650);
							}
						}
					}
				}
				if (BgL_test3413z00_8909)
					{	/* SawMill/bbv-types.scm 476 */
						bool_t BgL_test3416z00_8930;

						{	/* SawMill/bbv-types.scm 476 */
							obj_t BgL_arg2084z00_2476;

							BgL_arg2084z00_2476 =
								CAR(
								(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_131))->BgL_argsz00));
							{	/* SawMill/bbv-types.scm 476 */
								obj_t BgL_classz00_4677;

								BgL_classz00_4677 = BGl_literalz00zzast_nodez00;
								if (BGL_OBJECTP(BgL_arg2084z00_2476))
									{	/* SawMill/bbv-types.scm 476 */
										BgL_objectz00_bglt BgL_arg1825z00_4679;

										BgL_arg1825z00_4679 =
											(BgL_objectz00_bglt) (BgL_arg2084z00_2476);
										{	/* SawMill/bbv-types.scm 476 */
											bool_t BgL_arg1822z00_4682;
											bool_t BgL_arg1823z00_4683;

											{	/* SawMill/bbv-types.scm 476 */
												long BgL_idxz00_4686;

												BgL_idxz00_4686 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4679);
												BgL_arg1822z00_4682 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4686 + ((long) 3))) ==
													BgL_classz00_4677);
											}
											{	/* SawMill/bbv-types.scm 476 */
												bool_t BgL_res2940z00_4708;

												{	/* SawMill/bbv-types.scm 476 */
													obj_t BgL_oclassz00_4694;

													{	/* SawMill/bbv-types.scm 476 */
														long BgL_arg1833z00_4700;

														{	/* SawMill/bbv-types.scm 476 */
															long BgL_arg1834z00_4701;

															BgL_arg1834z00_4701 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4679);
															BgL_arg1833z00_4700 =
																(BgL_arg1834z00_4701 - OBJECT_TYPE);
														}
														BgL_oclassz00_4694 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_4700);
													}
													{	/* SawMill/bbv-types.scm 476 */
														bool_t BgL__ortest_1110z00_4695;

														BgL__ortest_1110z00_4695 =
															(BgL_classz00_4677 == BgL_oclassz00_4694);
														if (BgL__ortest_1110z00_4695)
															{	/* SawMill/bbv-types.scm 476 */
																BgL_res2940z00_4708 = BgL__ortest_1110z00_4695;
															}
														else
															{	/* SawMill/bbv-types.scm 476 */
																long BgL_odepthz00_4696;

																BgL_odepthz00_4696 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4694);
																if ((((long) 3) < BgL_odepthz00_4696))
																	{	/* SawMill/bbv-types.scm 476 */
																		obj_t BgL_arg1821z00_4698;

																		BgL_arg1821z00_4698 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4694, ((long) 3));
																		BgL_res2940z00_4708 =
																			(BgL_arg1821z00_4698 ==
																			BgL_classz00_4677);
																	}
																else
																	{	/* SawMill/bbv-types.scm 476 */
																		BgL_res2940z00_4708 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_4683 = BgL_res2940z00_4708;
											}
											BgL_test3416z00_8930 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_4682,
												BgL_arg1823z00_4683);
										}
									}
								else
									{	/* SawMill/bbv-types.scm 476 */
										BgL_test3416z00_8930 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test3416z00_8930)
							{
								BgL_atomz00_bglt BgL_auxz00_8951;

								{
									BgL_literalz00_bglt BgL_auxz00_8952;

									{	/* SawMill/bbv-types.scm 477 */
										obj_t BgL_pairz00_4709;

										BgL_pairz00_4709 =
											(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_131))->
											BgL_argsz00);
										BgL_auxz00_8952 =
											((BgL_literalz00_bglt) CAR(BgL_pairz00_4709));
									}
									BgL_auxz00_8951 = ((BgL_atomz00_bglt) BgL_auxz00_8952);
								}
								return
									(((BgL_atomz00_bglt) COBJECT(BgL_auxz00_8951))->BgL_valuez00);
							}
						else
							{	/* SawMill/bbv-types.scm 476 */
								return BFALSE;
							}
					}
				else
					{	/* SawMill/bbv-types.scm 474 */
						return BFALSE;
					}
			}
		}

	}



/* rtl_ins-true? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2truezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_132)
	{
		{	/* SawMill/bbv-types.scm 480 */
			return
				(BGl_rtl_inszd2loadizd2valuez00zzsaw_bbvzd2typeszd2(BgL_iz00_132) ==
				BTRUE);
		}

	}



/* &rtl_ins-true? */
	obj_t BGl_z62rtl_inszd2truezf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6236,
		obj_t BgL_iz00_6237)
	{
		{	/* SawMill/bbv-types.scm 480 */
			return
				BBOOL(BGl_rtl_inszd2truezf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_6237)));
		}

	}



/* rtl_ins-false? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2falsezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_133)
	{
		{	/* SawMill/bbv-types.scm 483 */
			{	/* SawMill/bbv-types.scm 484 */
				bool_t BgL_test3420z00_8963;

				{	/* SawMill/bbv-types.scm 468 */
					BgL_rtl_funz00_bglt BgL_arg2076z00_4713;

					BgL_arg2076z00_4713 =
						(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_133))->BgL_funz00);
					{	/* SawMill/bbv-types.scm 468 */
						obj_t BgL_classz00_4714;

						BgL_classz00_4714 = BGl_rtl_loadiz00zzsaw_defsz00;
						{	/* SawMill/bbv-types.scm 468 */
							BgL_objectz00_bglt BgL_arg1825z00_4716;

							{	/* SawMill/bbv-types.scm 468 */
								obj_t BgL_tmpz00_8965;

								BgL_tmpz00_8965 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg2076z00_4713));
								BgL_arg1825z00_4716 = (BgL_objectz00_bglt) (BgL_tmpz00_8965);
							}
							{	/* SawMill/bbv-types.scm 468 */
								bool_t BgL_arg1822z00_4719;
								bool_t BgL_arg1823z00_4720;

								{	/* SawMill/bbv-types.scm 468 */
									long BgL_idxz00_4723;

									BgL_idxz00_4723 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4716);
									BgL_arg1822z00_4719 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4723 + ((long) 3))) == BgL_classz00_4714);
								}
								{	/* SawMill/bbv-types.scm 468 */
									bool_t BgL_res2941z00_4745;

									{	/* SawMill/bbv-types.scm 468 */
										obj_t BgL_oclassz00_4731;

										{	/* SawMill/bbv-types.scm 468 */
											long BgL_arg1833z00_4737;

											{	/* SawMill/bbv-types.scm 468 */
												long BgL_arg1834z00_4738;

												BgL_arg1834z00_4738 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4716);
												BgL_arg1833z00_4737 =
													(BgL_arg1834z00_4738 - OBJECT_TYPE);
											}
											BgL_oclassz00_4731 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4737);
										}
										{	/* SawMill/bbv-types.scm 468 */
											bool_t BgL__ortest_1110z00_4732;

											BgL__ortest_1110z00_4732 =
												(BgL_classz00_4714 == BgL_oclassz00_4731);
											if (BgL__ortest_1110z00_4732)
												{	/* SawMill/bbv-types.scm 468 */
													BgL_res2941z00_4745 = BgL__ortest_1110z00_4732;
												}
											else
												{	/* SawMill/bbv-types.scm 468 */
													long BgL_odepthz00_4733;

													BgL_odepthz00_4733 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4731);
													if ((((long) 3) < BgL_odepthz00_4733))
														{	/* SawMill/bbv-types.scm 468 */
															obj_t BgL_arg1821z00_4735;

															BgL_arg1821z00_4735 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4731,
																((long) 3));
															BgL_res2941z00_4745 =
																(BgL_arg1821z00_4735 == BgL_classz00_4714);
														}
													else
														{	/* SawMill/bbv-types.scm 468 */
															BgL_res2941z00_4745 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4720 = BgL_res2941z00_4745;
								}
								BgL_test3420z00_8963 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4719, BgL_arg1823z00_4720);
							}
						}
					}
				}
				if (BgL_test3420z00_8963)
					{	/* SawMill/bbv-types.scm 484 */
						return
							(BGl_rtl_inszd2loadizd2valuez00zzsaw_bbvzd2typeszd2(BgL_iz00_133)
							== BFALSE);
					}
				else
					{	/* SawMill/bbv-types.scm 484 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ins-false? */
	obj_t BGl_z62rtl_inszd2falsezf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6238,
		obj_t BgL_iz00_6239)
	{
		{	/* SawMill/bbv-types.scm 483 */
			return
				BBOOL(BGl_rtl_inszd2falsezf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_6239)));
		}

	}



/* rtl_ins-branch? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2branchzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_134)
	{
		{	/* SawMill/bbv-types.scm 490 */
			{	/* SawMill/bbv-types.scm 492 */
				bool_t BgL__ortest_1277z00_2482;

				{	/* SawMill/bbv-types.scm 492 */
					BgL_rtl_funz00_bglt BgL_arg2090z00_2484;

					BgL_arg2090z00_2484 =
						(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_134))->BgL_funz00);
					{	/* SawMill/bbv-types.scm 492 */
						obj_t BgL_classz00_4746;

						BgL_classz00_4746 = BGl_rtl_ifnez00zzsaw_defsz00;
						{	/* SawMill/bbv-types.scm 492 */
							BgL_objectz00_bglt BgL_arg1825z00_4748;

							{	/* SawMill/bbv-types.scm 492 */
								obj_t BgL_tmpz00_8990;

								BgL_tmpz00_8990 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg2090z00_2484));
								BgL_arg1825z00_4748 = (BgL_objectz00_bglt) (BgL_tmpz00_8990);
							}
							{	/* SawMill/bbv-types.scm 492 */
								bool_t BgL_arg1822z00_4751;
								bool_t BgL_arg1823z00_4752;

								{	/* SawMill/bbv-types.scm 492 */
									long BgL_idxz00_4755;

									BgL_idxz00_4755 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4748);
									BgL_arg1822z00_4751 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4755 + ((long) 3))) == BgL_classz00_4746);
								}
								{	/* SawMill/bbv-types.scm 492 */
									bool_t BgL_res2942z00_4777;

									{	/* SawMill/bbv-types.scm 492 */
										obj_t BgL_oclassz00_4763;

										{	/* SawMill/bbv-types.scm 492 */
											long BgL_arg1833z00_4769;

											{	/* SawMill/bbv-types.scm 492 */
												long BgL_arg1834z00_4770;

												BgL_arg1834z00_4770 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4748);
												BgL_arg1833z00_4769 =
													(BgL_arg1834z00_4770 - OBJECT_TYPE);
											}
											BgL_oclassz00_4763 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4769);
										}
										{	/* SawMill/bbv-types.scm 492 */
											bool_t BgL__ortest_1110z00_4764;

											BgL__ortest_1110z00_4764 =
												(BgL_classz00_4746 == BgL_oclassz00_4763);
											if (BgL__ortest_1110z00_4764)
												{	/* SawMill/bbv-types.scm 492 */
													BgL_res2942z00_4777 = BgL__ortest_1110z00_4764;
												}
											else
												{	/* SawMill/bbv-types.scm 492 */
													long BgL_odepthz00_4765;

													BgL_odepthz00_4765 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4763);
													if ((((long) 3) < BgL_odepthz00_4765))
														{	/* SawMill/bbv-types.scm 492 */
															obj_t BgL_arg1821z00_4767;

															BgL_arg1821z00_4767 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4763,
																((long) 3));
															BgL_res2942z00_4777 =
																(BgL_arg1821z00_4767 == BgL_classz00_4746);
														}
													else
														{	/* SawMill/bbv-types.scm 492 */
															BgL_res2942z00_4777 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4752 = BgL_res2942z00_4777;
								}
								BgL__ortest_1277z00_2482 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4751, BgL_arg1823z00_4752);
							}
						}
					}
				}
				if (BgL__ortest_1277z00_2482)
					{	/* SawMill/bbv-types.scm 492 */
						return BBOOL(BgL__ortest_1277z00_2482);
					}
				else
					{	/* SawMill/bbv-types.scm 492 */
						BgL_rtl_funz00_bglt BgL_arg2089z00_2483;

						BgL_arg2089z00_2483 =
							(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_134))->BgL_funz00);
						{	/* SawMill/bbv-types.scm 492 */
							obj_t BgL_classz00_4778;

							BgL_classz00_4778 = BGl_rtl_ifeqz00zzsaw_defsz00;
							{	/* SawMill/bbv-types.scm 492 */
								BgL_objectz00_bglt BgL_arg1825z00_4780;

								{	/* SawMill/bbv-types.scm 492 */
									obj_t BgL_tmpz00_9012;

									BgL_tmpz00_9012 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2089z00_2483));
									BgL_arg1825z00_4780 = (BgL_objectz00_bglt) (BgL_tmpz00_9012);
								}
								{	/* SawMill/bbv-types.scm 492 */
									bool_t BgL_arg1822z00_4783;
									bool_t BgL_arg1823z00_4784;

									{	/* SawMill/bbv-types.scm 492 */
										long BgL_idxz00_4787;

										BgL_idxz00_4787 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4780);
										BgL_arg1822z00_4783 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4787 + ((long) 3))) == BgL_classz00_4778);
									}
									{	/* SawMill/bbv-types.scm 492 */
										bool_t BgL_res2943z00_4809;

										{	/* SawMill/bbv-types.scm 492 */
											obj_t BgL_oclassz00_4795;

											{	/* SawMill/bbv-types.scm 492 */
												long BgL_arg1833z00_4801;

												{	/* SawMill/bbv-types.scm 492 */
													long BgL_arg1834z00_4802;

													BgL_arg1834z00_4802 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4780);
													BgL_arg1833z00_4801 =
														(BgL_arg1834z00_4802 - OBJECT_TYPE);
												}
												BgL_oclassz00_4795 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_4801);
											}
											{	/* SawMill/bbv-types.scm 492 */
												bool_t BgL__ortest_1110z00_4796;

												BgL__ortest_1110z00_4796 =
													(BgL_classz00_4778 == BgL_oclassz00_4795);
												if (BgL__ortest_1110z00_4796)
													{	/* SawMill/bbv-types.scm 492 */
														BgL_res2943z00_4809 = BgL__ortest_1110z00_4796;
													}
												else
													{	/* SawMill/bbv-types.scm 492 */
														long BgL_odepthz00_4797;

														BgL_odepthz00_4797 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4795);
														if ((((long) 3) < BgL_odepthz00_4797))
															{	/* SawMill/bbv-types.scm 492 */
																obj_t BgL_arg1821z00_4799;

																BgL_arg1821z00_4799 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4795,
																	((long) 3));
																BgL_res2943z00_4809 =
																	(BgL_arg1821z00_4799 == BgL_classz00_4778);
															}
														else
															{	/* SawMill/bbv-types.scm 492 */
																BgL_res2943z00_4809 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_4784 = BgL_res2943z00_4809;
									}
									return
										BBOOL(BGL_ISA_C_BACKEND(BgL_arg1822z00_4783,
											BgL_arg1823z00_4784));
								}
							}
						}
					}
			}
		}

	}



/* &rtl_ins-branch? */
	obj_t BGl_z62rtl_inszd2branchzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6240,
		obj_t BgL_iz00_6241)
	{
		{	/* SawMill/bbv-types.scm 490 */
			return
				BGl_rtl_inszd2branchzf3z21zzsaw_bbvzd2typeszd2(
				((BgL_rtl_insz00_bglt) BgL_iz00_6241));
		}

	}



/* rtl_ins-bool? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2boolzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_135)
	{
		{	/* SawMill/bbv-types.scm 497 */
			{	/* SawMill/bbv-types.scm 499 */
				bool_t BgL_test3428z00_9034;

				{	/* SawMill/bbv-types.scm 499 */
					bool_t BgL_test3429z00_9035;

					{	/* SawMill/bbv-types.scm 499 */
						obj_t BgL_arg2100z00_2496;

						BgL_arg2100z00_2496 =
							(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_135))->BgL_destz00);
						{	/* SawMill/bbv-types.scm 499 */
							obj_t BgL_classz00_4810;

							BgL_classz00_4810 = BGl_rtl_regz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_arg2100z00_2496))
								{	/* SawMill/bbv-types.scm 499 */
									BgL_objectz00_bglt BgL_arg1825z00_4812;

									BgL_arg1825z00_4812 =
										(BgL_objectz00_bglt) (BgL_arg2100z00_2496);
									{	/* SawMill/bbv-types.scm 499 */
										bool_t BgL_arg1822z00_4815;
										bool_t BgL_arg1823z00_4816;

										{	/* SawMill/bbv-types.scm 499 */
											long BgL_idxz00_4819;

											BgL_idxz00_4819 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4812);
											BgL_arg1822z00_4815 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4819 + ((long) 1))) == BgL_classz00_4810);
										}
										{	/* SawMill/bbv-types.scm 499 */
											bool_t BgL_res2944z00_4841;

											{	/* SawMill/bbv-types.scm 499 */
												obj_t BgL_oclassz00_4827;

												{	/* SawMill/bbv-types.scm 499 */
													long BgL_arg1833z00_4833;

													{	/* SawMill/bbv-types.scm 499 */
														long BgL_arg1834z00_4834;

														BgL_arg1834z00_4834 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4812);
														BgL_arg1833z00_4833 =
															(BgL_arg1834z00_4834 - OBJECT_TYPE);
													}
													BgL_oclassz00_4827 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_4833);
												}
												{	/* SawMill/bbv-types.scm 499 */
													bool_t BgL__ortest_1110z00_4828;

													BgL__ortest_1110z00_4828 =
														(BgL_classz00_4810 == BgL_oclassz00_4827);
													if (BgL__ortest_1110z00_4828)
														{	/* SawMill/bbv-types.scm 499 */
															BgL_res2944z00_4841 = BgL__ortest_1110z00_4828;
														}
													else
														{	/* SawMill/bbv-types.scm 499 */
															long BgL_odepthz00_4829;

															BgL_odepthz00_4829 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4827);
															if ((((long) 1) < BgL_odepthz00_4829))
																{	/* SawMill/bbv-types.scm 499 */
																	obj_t BgL_arg1821z00_4831;

																	BgL_arg1821z00_4831 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4827,
																		((long) 1));
																	BgL_res2944z00_4841 =
																		(BgL_arg1821z00_4831 == BgL_classz00_4810);
																}
															else
																{	/* SawMill/bbv-types.scm 499 */
																	BgL_res2944z00_4841 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_4816 = BgL_res2944z00_4841;
										}
										BgL_test3429z00_9035 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_4815,
											BgL_arg1823z00_4816);
									}
								}
							else
								{	/* SawMill/bbv-types.scm 499 */
									BgL_test3429z00_9035 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test3429z00_9035)
						{	/* SawMill/bbv-types.scm 499 */
							BgL_rtl_funz00_bglt BgL_arg2097z00_2495;

							BgL_arg2097z00_2495 =
								(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_135))->BgL_funz00);
							{	/* SawMill/bbv-types.scm 499 */
								obj_t BgL_classz00_4842;

								BgL_classz00_4842 = BGl_rtl_callz00zzsaw_defsz00;
								{	/* SawMill/bbv-types.scm 499 */
									BgL_objectz00_bglt BgL_arg1825z00_4844;

									{	/* SawMill/bbv-types.scm 499 */
										obj_t BgL_tmpz00_9056;

										BgL_tmpz00_9056 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2097z00_2495));
										BgL_arg1825z00_4844 =
											(BgL_objectz00_bglt) (BgL_tmpz00_9056);
									}
									{	/* SawMill/bbv-types.scm 499 */
										bool_t BgL_arg1822z00_4847;
										bool_t BgL_arg1823z00_4848;

										{	/* SawMill/bbv-types.scm 499 */
											long BgL_idxz00_4851;

											BgL_idxz00_4851 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4844);
											BgL_arg1822z00_4847 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4851 + ((long) 2))) == BgL_classz00_4842);
										}
										{	/* SawMill/bbv-types.scm 499 */
											bool_t BgL_res2945z00_4873;

											{	/* SawMill/bbv-types.scm 499 */
												obj_t BgL_oclassz00_4859;

												{	/* SawMill/bbv-types.scm 499 */
													long BgL_arg1833z00_4865;

													{	/* SawMill/bbv-types.scm 499 */
														long BgL_arg1834z00_4866;

														BgL_arg1834z00_4866 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4844);
														BgL_arg1833z00_4865 =
															(BgL_arg1834z00_4866 - OBJECT_TYPE);
													}
													BgL_oclassz00_4859 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_4865);
												}
												{	/* SawMill/bbv-types.scm 499 */
													bool_t BgL__ortest_1110z00_4860;

													BgL__ortest_1110z00_4860 =
														(BgL_classz00_4842 == BgL_oclassz00_4859);
													if (BgL__ortest_1110z00_4860)
														{	/* SawMill/bbv-types.scm 499 */
															BgL_res2945z00_4873 = BgL__ortest_1110z00_4860;
														}
													else
														{	/* SawMill/bbv-types.scm 499 */
															long BgL_odepthz00_4861;

															BgL_odepthz00_4861 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4859);
															if ((((long) 2) < BgL_odepthz00_4861))
																{	/* SawMill/bbv-types.scm 499 */
																	obj_t BgL_arg1821z00_4863;

																	BgL_arg1821z00_4863 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4859,
																		((long) 2));
																	BgL_res2945z00_4873 =
																		(BgL_arg1821z00_4863 == BgL_classz00_4842);
																}
															else
																{	/* SawMill/bbv-types.scm 499 */
																	BgL_res2945z00_4873 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_4848 = BgL_res2945z00_4873;
										}
										BgL_test3428z00_9034 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_4847,
											BgL_arg1823z00_4848);
									}
								}
							}
						}
					else
						{	/* SawMill/bbv-types.scm 499 */
							BgL_test3428z00_9034 = ((bool_t) 0);
						}
				}
				if (BgL_test3428z00_9034)
					{	/* SawMill/bbv-types.scm 500 */
						BgL_rtl_callz00_bglt BgL_i1279z00_2491;

						BgL_i1279z00_2491 =
							((BgL_rtl_callz00_bglt)
							(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_135))->BgL_funz00));
						{	/* SawMill/bbv-types.scm 501 */
							BgL_globalz00_bglt BgL_i1280z00_2492;

							BgL_i1280z00_2492 =
								(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1279z00_2491))->
								BgL_varz00);
							{	/* SawMill/bbv-types.scm 502 */
								BgL_typez00_bglt BgL_arg2096z00_2493;

								BgL_arg2096z00_2493 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_i1280z00_2492)))->
									BgL_typez00);
								return (((obj_t) BgL_arg2096z00_2493) ==
									BGl_za2boolza2z00zztype_cachez00);
							}
						}
					}
				else
					{	/* SawMill/bbv-types.scm 499 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ins-bool? */
	obj_t BGl_z62rtl_inszd2boolzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6242,
		obj_t BgL_iz00_6243)
	{
		{	/* SawMill/bbv-types.scm 497 */
			return
				BBOOL(BGl_rtl_inszd2boolzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_6243)));
		}

	}



/* rtl_ins-typecheck */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2typecheckzd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_136)
	{
		{	/* SawMill/bbv-types.scm 507 */
			{	/* SawMill/bbv-types.scm 509 */
				obj_t BgL_typz00_2498;

				{	/* SawMill/bbv-types.scm 509 */
					obj_t BgL_arg2101z00_2503;

					BgL_arg2101z00_2503 =
						CAR((((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_136))->BgL_argsz00));
					BgL_typz00_2498 =
						BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(
						((BgL_rtl_insz00_bglt) BgL_arg2101z00_2503));
				}
				{	/* SawMill/bbv-types.scm 510 */
					obj_t BgL_argsz00_2499;

					BgL_argsz00_2499 =
						BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_iz00_136);
					{	/* SawMill/bbv-types.scm 511 */
						obj_t BgL_val0_1648z00_2500;
						bool_t BgL_val2_1650z00_2502;

						BgL_val0_1648z00_2500 = CAR(((obj_t) BgL_argsz00_2499));
						{	/* SawMill/bbv-types.scm 440 */
							BgL_rtl_funz00_bglt BgL_arg2072z00_4878;

							BgL_arg2072z00_4878 =
								(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_136))->BgL_funz00);
							{	/* SawMill/bbv-types.scm 440 */
								obj_t BgL_classz00_4879;

								BgL_classz00_4879 = BGl_rtl_ifeqz00zzsaw_defsz00;
								{	/* SawMill/bbv-types.scm 440 */
									BgL_objectz00_bglt BgL_arg1825z00_4881;

									{	/* SawMill/bbv-types.scm 440 */
										obj_t BgL_tmpz00_9093;

										BgL_tmpz00_9093 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2072z00_4878));
										BgL_arg1825z00_4881 =
											(BgL_objectz00_bglt) (BgL_tmpz00_9093);
									}
									{	/* SawMill/bbv-types.scm 440 */
										bool_t BgL_arg1822z00_4884;
										bool_t BgL_arg1823z00_4885;

										{	/* SawMill/bbv-types.scm 440 */
											long BgL_idxz00_4888;

											BgL_idxz00_4888 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4881);
											BgL_arg1822z00_4884 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4888 + ((long) 3))) == BgL_classz00_4879);
										}
										{	/* SawMill/bbv-types.scm 440 */
											bool_t BgL_res2946z00_4910;

											{	/* SawMill/bbv-types.scm 440 */
												obj_t BgL_oclassz00_4896;

												{	/* SawMill/bbv-types.scm 440 */
													long BgL_arg1833z00_4902;

													{	/* SawMill/bbv-types.scm 440 */
														long BgL_arg1834z00_4903;

														BgL_arg1834z00_4903 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4881);
														BgL_arg1833z00_4902 =
															(BgL_arg1834z00_4903 - OBJECT_TYPE);
													}
													BgL_oclassz00_4896 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_4902);
												}
												{	/* SawMill/bbv-types.scm 440 */
													bool_t BgL__ortest_1110z00_4897;

													BgL__ortest_1110z00_4897 =
														(BgL_classz00_4879 == BgL_oclassz00_4896);
													if (BgL__ortest_1110z00_4897)
														{	/* SawMill/bbv-types.scm 440 */
															BgL_res2946z00_4910 = BgL__ortest_1110z00_4897;
														}
													else
														{	/* SawMill/bbv-types.scm 440 */
															long BgL_odepthz00_4898;

															BgL_odepthz00_4898 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4896);
															if ((((long) 3) < BgL_odepthz00_4898))
																{	/* SawMill/bbv-types.scm 440 */
																	obj_t BgL_arg1821z00_4900;

																	BgL_arg1821z00_4900 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4896,
																		((long) 3));
																	BgL_res2946z00_4910 =
																		(BgL_arg1821z00_4900 == BgL_classz00_4879);
																}
															else
																{	/* SawMill/bbv-types.scm 440 */
																	BgL_res2946z00_4910 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_4885 = BgL_res2946z00_4910;
										}
										BgL_val2_1650z00_2502 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_4884,
											BgL_arg1823z00_4885);
									}
								}
							}
						}
						{	/* SawMill/bbv-types.scm 511 */
							int BgL_tmpz00_9112;

							BgL_tmpz00_9112 = (int) (((long) 3));
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9112);
						}
						{	/* SawMill/bbv-types.scm 511 */
							int BgL_tmpz00_9115;

							BgL_tmpz00_9115 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_9115, BgL_typz00_2498);
						}
						{	/* SawMill/bbv-types.scm 511 */
							obj_t BgL_auxz00_9120;
							int BgL_tmpz00_9118;

							BgL_auxz00_9120 = BBOOL(BgL_val2_1650z00_2502);
							BgL_tmpz00_9118 = (int) (((long) 2));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_9118, BgL_auxz00_9120);
						}
						return BgL_val0_1648z00_2500;
					}
				}
			}
		}

	}



/* &rtl_ins-typecheck */
	obj_t BGl_z62rtl_inszd2typecheckzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6244,
		obj_t BgL_iz00_6245)
	{
		{	/* SawMill/bbv-types.scm 507 */
			return
				BGl_rtl_inszd2typecheckzd2zzsaw_bbvzd2typeszd2(
				((BgL_rtl_insz00_bglt) BgL_iz00_6245));
		}

	}



/* rtl_call-predicate */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_137)
	{
		{	/* SawMill/bbv-types.scm 516 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											(((BgL_rtl_callz00_bglt) COBJECT(
														((BgL_rtl_callz00_bglt)
															(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_137))->
																BgL_funz00))))->BgL_varz00))))->
								BgL_valuez00))))->BgL_predicatezd2ofzd2);
		}

	}



/* &rtl_call-predicate */
	obj_t BGl_z62rtl_callzd2predicatezb0zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6246, obj_t BgL_iz00_6247)
	{
		{	/* SawMill/bbv-types.scm 516 */
			return
				BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(
				((BgL_rtl_insz00_bglt) BgL_iz00_6247));
		}

	}



/* bit-xor* */
	obj_t BGl_bitzd2xorza2z70zzsaw_bbvzd2typeszd2(obj_t BgL_lstz00_138)
	{
		{	/* SawMill/bbv-types.scm 525 */
			if (NULLP(BgL_lstz00_138))
				{	/* SawMill/bbv-types.scm 526 */
					return BINT(((long) 0));
				}
			else
				{
					obj_t BgL_lstz00_2513;
					obj_t BgL_hashz00_2514;

					BgL_lstz00_2513 = CDR(BgL_lstz00_138);
					BgL_hashz00_2514 = CAR(BgL_lstz00_138);
				BgL_zc3z04anonymousza32105ze3z87_2515:
					if (NULLP(BgL_lstz00_2513))
						{	/* SawMill/bbv-types.scm 530 */
							return BgL_hashz00_2514;
						}
					else
						{
							obj_t BgL_hashz00_9142;
							obj_t BgL_lstz00_9139;

							BgL_lstz00_9139 = CDR(((obj_t) BgL_lstz00_2513));
							BgL_hashz00_9142 =
								BINT(
								((long) CINT(CAR(
											((obj_t) BgL_lstz00_2513))) ^
									(long) CINT(BgL_hashz00_2514)));
							BgL_hashz00_2514 = BgL_hashz00_9142;
							BgL_lstz00_2513 = BgL_lstz00_9139;
							goto BgL_zc3z04anonymousza32105ze3z87_2515;
						}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_bbvzd2typeszd2()
	{
		{	/* SawMill/bbv-types.scm 15 */
			{	/* SawMill/bbv-types.scm 35 */
				obj_t BgL_arg2115z00_2525;
				obj_t BgL_arg2116z00_2526;

				{	/* SawMill/bbv-types.scm 35 */
					obj_t BgL_v1675z00_2553;

					BgL_v1675z00_2553 = create_vector(((long) 2));
					{	/* SawMill/bbv-types.scm 35 */
						obj_t BgL_arg2127z00_2554;

						BgL_arg2127z00_2554 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									9)), BGl_proc2989z00zzsaw_bbvzd2typeszd2,
							BGl_proc2988z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2987z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 10)));
						VECTOR_SET(BgL_v1675z00_2553, ((long) 0), BgL_arg2127z00_2554);
					}
					{	/* SawMill/bbv-types.scm 35 */
						obj_t BgL_arg2134z00_2567;

						BgL_arg2134z00_2567 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc2992z00zzsaw_bbvzd2typeszd2,
							BGl_proc2991z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2990z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 12)));
						VECTOR_SET(BgL_v1675z00_2553, ((long) 1), BgL_arg2134z00_2567);
					}
					BgL_arg2115z00_2525 = BgL_v1675z00_2553;
				}
				{	/* SawMill/bbv-types.scm 35 */
					obj_t BgL_v1676z00_2580;

					BgL_v1676z00_2580 = create_vector(((long) 0));
					BgL_arg2116z00_2526 = BgL_v1676z00_2580;
				}
				BGl_blockVz00zzsaw_bbvzd2typeszd2 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 13)),
					CNST_TABLE_REF(((long) 14)), BGl_blockz00zzsaw_defsz00,
					((long) 53571), BGl_proc2996z00zzsaw_bbvzd2typeszd2,
					BGl_proc2995z00zzsaw_bbvzd2typeszd2, BFALSE,
					BGl_proc2994z00zzsaw_bbvzd2typeszd2,
					BGl_proc2993z00zzsaw_bbvzd2typeszd2, BgL_arg2115z00_2525,
					BgL_arg2116z00_2526);
			}
			{	/* SawMill/bbv-types.scm 38 */
				obj_t BgL_arg2146z00_2589;
				obj_t BgL_arg2148z00_2590;

				{	/* SawMill/bbv-types.scm 38 */
					obj_t BgL_v1677z00_2621;

					BgL_v1677z00_2621 = create_vector(((long) 6));
					{	/* SawMill/bbv-types.scm 38 */
						obj_t BgL_arg2159z00_2622;

						BgL_arg2159z00_2622 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									15)), BGl_proc2999z00zzsaw_bbvzd2typeszd2,
							BGl_proc2998z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2997z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 10)));
						VECTOR_SET(BgL_v1677z00_2621, ((long) 0), BgL_arg2159z00_2622);
					}
					{	/* SawMill/bbv-types.scm 38 */
						obj_t BgL_arg2166z00_2635;

						BgL_arg2166z00_2635 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									16)), BGl_proc3002z00zzsaw_bbvzd2typeszd2,
							BGl_proc3001z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3000z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 10)));
						VECTOR_SET(BgL_v1677z00_2621, ((long) 1), BgL_arg2166z00_2635);
					}
					{	/* SawMill/bbv-types.scm 38 */
						obj_t BgL_arg2173z00_2648;

						BgL_arg2173z00_2648 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc3005z00zzsaw_bbvzd2typeszd2,
							BGl_proc3004z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3003z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 12)));
						VECTOR_SET(BgL_v1677z00_2621, ((long) 2), BgL_arg2173z00_2648);
					}
					{	/* SawMill/bbv-types.scm 38 */
						obj_t BgL_arg2180z00_2661;

						BgL_arg2180z00_2661 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc3008z00zzsaw_bbvzd2typeszd2,
							BGl_proc3007z00zzsaw_bbvzd2typeszd2, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc3006z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 18)));
						VECTOR_SET(BgL_v1677z00_2621, ((long) 3), BgL_arg2180z00_2661);
					}
					{	/* SawMill/bbv-types.scm 38 */
						obj_t BgL_arg2187z00_2674;

						BgL_arg2187z00_2674 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									19)), BGl_proc3011z00zzsaw_bbvzd2typeszd2,
							BGl_proc3010z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3009z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 18)));
						VECTOR_SET(BgL_v1677z00_2621, ((long) 4), BgL_arg2187z00_2674);
					}
					{	/* SawMill/bbv-types.scm 38 */
						obj_t BgL_arg2194z00_2687;

						BgL_arg2194z00_2687 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									20)), BGl_proc3014z00zzsaw_bbvzd2typeszd2,
							BGl_proc3013z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3012z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 18)));
						VECTOR_SET(BgL_v1677z00_2621, ((long) 5), BgL_arg2194z00_2687);
					}
					BgL_arg2146z00_2589 = BgL_v1677z00_2621;
				}
				{	/* SawMill/bbv-types.scm 38 */
					obj_t BgL_v1678z00_2700;

					BgL_v1678z00_2700 = create_vector(((long) 0));
					BgL_arg2148z00_2590 = BgL_v1678z00_2700;
				}
				BGl_blockSz00zzsaw_bbvzd2typeszd2 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 21)),
					CNST_TABLE_REF(((long) 14)), BGl_blockz00zzsaw_defsz00, ((long) 1652),
					BGl_proc3018z00zzsaw_bbvzd2typeszd2,
					BGl_proc3017z00zzsaw_bbvzd2typeszd2, BFALSE,
					BGl_proc3016z00zzsaw_bbvzd2typeszd2,
					BGl_proc3015z00zzsaw_bbvzd2typeszd2, BgL_arg2146z00_2589,
					BgL_arg2148z00_2590);
			}
			{	/* SawMill/bbv-types.scm 45 */
				obj_t BgL_arg2205z00_2709;
				obj_t BgL_arg2206z00_2710;

				{	/* SawMill/bbv-types.scm 45 */
					obj_t BgL_v1679z00_2740;

					BgL_v1679z00_2740 = create_vector(((long) 4));
					{	/* SawMill/bbv-types.scm 45 */
						obj_t BgL_arg2217z00_2741;

						BgL_arg2217z00_2741 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc3021z00zzsaw_bbvzd2typeszd2,
							BGl_proc3020z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3019z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 18)));
						VECTOR_SET(BgL_v1679z00_2740, ((long) 0), BgL_arg2217z00_2741);
					}
					{	/* SawMill/bbv-types.scm 45 */
						obj_t BgL_arg2224z00_2754;

						BgL_arg2224z00_2754 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									23)), BGl_proc3024z00zzsaw_bbvzd2typeszd2,
							BGl_proc3023z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3022z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 18)));
						VECTOR_SET(BgL_v1679z00_2740, ((long) 1), BgL_arg2224z00_2754);
					}
					{	/* SawMill/bbv-types.scm 45 */
						obj_t BgL_arg2231z00_2767;

						BgL_arg2231z00_2767 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									24)), BGl_proc3027z00zzsaw_bbvzd2typeszd2,
							BGl_proc3026z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3025z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 18)));
						VECTOR_SET(BgL_v1679z00_2740, ((long) 2), BgL_arg2231z00_2767);
					}
					{	/* SawMill/bbv-types.scm 45 */
						obj_t BgL_arg2238z00_2780;

						BgL_arg2238z00_2780 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									19)), BGl_proc3030z00zzsaw_bbvzd2typeszd2,
							BGl_proc3029z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3028z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 18)));
						VECTOR_SET(BgL_v1679z00_2740, ((long) 3), BgL_arg2238z00_2780);
					}
					BgL_arg2205z00_2709 = BgL_v1679z00_2740;
				}
				{	/* SawMill/bbv-types.scm 45 */
					obj_t BgL_v1680z00_2793;

					BgL_v1680z00_2793 = create_vector(((long) 0));
					BgL_arg2206z00_2710 = BgL_v1680z00_2793;
				}
				BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 25)),
					CNST_TABLE_REF(((long) 14)), BGl_rtl_insz00zzsaw_defsz00,
					((long) 14568), BGl_proc3034z00zzsaw_bbvzd2typeszd2,
					BGl_proc3033z00zzsaw_bbvzd2typeszd2, BFALSE,
					BGl_proc3032z00zzsaw_bbvzd2typeszd2,
					BGl_proc3031z00zzsaw_bbvzd2typeszd2, BgL_arg2205z00_2709,
					BgL_arg2206z00_2710);
			}
			{	/* SawMill/bbv-types.scm 51 */
				obj_t BgL_arg2248z00_2801;
				obj_t BgL_arg2249z00_2802;

				{	/* SawMill/bbv-types.scm 51 */
					obj_t BgL_v1681z00_2817;

					BgL_v1681z00_2817 = create_vector(((long) 5));
					{	/* SawMill/bbv-types.scm 51 */
						obj_t BgL_arg2255z00_2818;

						BgL_arg2255z00_2818 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									26)), BGl_proc3036z00zzsaw_bbvzd2typeszd2,
							BGl_proc3035z00zzsaw_bbvzd2typeszd2, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_rtl_regz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1681z00_2817, ((long) 0), BgL_arg2255z00_2818);
					}
					{	/* SawMill/bbv-types.scm 51 */
						obj_t BgL_arg2260z00_2828;

						BgL_arg2260z00_2828 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									27)), BGl_proc3039z00zzsaw_bbvzd2typeszd2,
							BGl_proc3038z00zzsaw_bbvzd2typeszd2, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc3037z00zzsaw_bbvzd2typeszd2,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1681z00_2817, ((long) 1), BgL_arg2260z00_2828);
					}
					{	/* SawMill/bbv-types.scm 51 */
						obj_t BgL_arg2267z00_2841;

						BgL_arg2267z00_2841 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									28)), BGl_proc3041z00zzsaw_bbvzd2typeszd2,
							BGl_proc3040z00zzsaw_bbvzd2typeszd2, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 29)));
						VECTOR_SET(BgL_v1681z00_2817, ((long) 2), BgL_arg2267z00_2841);
					}
					{	/* SawMill/bbv-types.scm 51 */
						obj_t BgL_arg2272z00_2851;

						BgL_arg2272z00_2851 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									30)), BGl_proc3044z00zzsaw_bbvzd2typeszd2,
							BGl_proc3043z00zzsaw_bbvzd2typeszd2, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc3042z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 18)));
						VECTOR_SET(BgL_v1681z00_2817, ((long) 3), BgL_arg2272z00_2851);
					}
					{	/* SawMill/bbv-types.scm 51 */
						obj_t BgL_arg2280z00_2864;

						BgL_arg2280z00_2864 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									31)), BGl_proc3047z00zzsaw_bbvzd2typeszd2,
							BGl_proc3046z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3045z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 10)));
						VECTOR_SET(BgL_v1681z00_2817, ((long) 4), BgL_arg2280z00_2864);
					}
					BgL_arg2248z00_2801 = BgL_v1681z00_2817;
				}
				{	/* SawMill/bbv-types.scm 51 */
					obj_t BgL_v1682z00_2877;

					BgL_v1682z00_2877 = create_vector(((long) 0));
					BgL_arg2249z00_2802 = BgL_v1682z00_2877;
				}
				return (BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 32)),
						CNST_TABLE_REF(((long) 14)), BGl_objectz00zz__objectz00,
						((long) 34347), BGl_proc3050z00zzsaw_bbvzd2typeszd2,
						BGl_proc3049z00zzsaw_bbvzd2typeszd2, BFALSE,
						BGl_proc3048z00zzsaw_bbvzd2typeszd2, BFALSE, BgL_arg2248z00_2801,
						BgL_arg2249z00_2802), BUNSPEC);
		}}

	}



/* &<@anonymous:2254> */
	obj_t BGl_z62zc3z04anonymousza32254ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6312, obj_t BgL_new1198z00_6313)
	{
		{	/* SawMill/bbv-types.scm 51 */
			{
				BgL_bbvzd2ctxentryzd2_bglt BgL_auxz00_9237;

				{
					BgL_rtl_regz00_bglt BgL_auxz00_9238;

					{	/* SawMill/bbv-types.scm 51 */
						obj_t BgL_classz00_6794;

						BgL_classz00_6794 = BGl_rtl_regz00zzsaw_defsz00;
						{	/* SawMill/bbv-types.scm 51 */
							obj_t BgL__ortest_1112z00_6795;

							BgL__ortest_1112z00_6795 = BGL_CLASS_NIL(BgL_classz00_6794);
							if (CBOOL(BgL__ortest_1112z00_6795))
								{	/* SawMill/bbv-types.scm 51 */
									BgL_auxz00_9238 =
										((BgL_rtl_regz00_bglt) BgL__ortest_1112z00_6795);
								}
							else
								{	/* SawMill/bbv-types.scm 51 */
									BgL_auxz00_9238 =
										((BgL_rtl_regz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_6794));
								}
						}
					}
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
									((BgL_bbvzd2ctxentryzd2_bglt) BgL_new1198z00_6313)))->
							BgL_regz00) = ((BgL_rtl_regz00_bglt) BgL_auxz00_9238), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_9247;

					{	/* SawMill/bbv-types.scm 51 */
						obj_t BgL_classz00_6796;

						BgL_classz00_6796 = BGl_typez00zztype_typez00;
						{	/* SawMill/bbv-types.scm 51 */
							obj_t BgL__ortest_1112z00_6797;

							BgL__ortest_1112z00_6797 = BGL_CLASS_NIL(BgL_classz00_6796);
							if (CBOOL(BgL__ortest_1112z00_6797))
								{	/* SawMill/bbv-types.scm 51 */
									BgL_auxz00_9247 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_6797);
								}
							else
								{	/* SawMill/bbv-types.scm 51 */
									BgL_auxz00_9247 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_6796));
								}
						}
					}
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
									((BgL_bbvzd2ctxentryzd2_bglt) BgL_new1198z00_6313)))->
							BgL_typz00) = ((BgL_typez00_bglt) BgL_auxz00_9247), BUNSPEC);
				}
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
								((BgL_bbvzd2ctxentryzd2_bglt) BgL_new1198z00_6313)))->
						BgL_flagz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
									BgL_new1198z00_6313)))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
									BgL_new1198z00_6313)))->BgL_aliasesz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_9237 = ((BgL_bbvzd2ctxentryzd2_bglt) BgL_new1198z00_6313);
				return ((obj_t) BgL_auxz00_9237);
			}
		}

	}



/* &lambda2252 */
	BgL_bbvzd2ctxentryzd2_bglt BGl_z62lambda2252z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6314)
	{
		{	/* SawMill/bbv-types.scm 51 */
			{	/* SawMill/bbv-types.scm 51 */
				BgL_bbvzd2ctxentryzd2_bglt BgL_new1197z00_6798;

				BgL_new1197z00_6798 =
					((BgL_bbvzd2ctxentryzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_bbvzd2ctxentryzd2_bgl))));
				{	/* SawMill/bbv-types.scm 51 */
					long BgL_arg2253z00_6799;

					BgL_arg2253z00_6799 =
						BGL_CLASS_NUM(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1197z00_6798), BgL_arg2253z00_6799);
				}
				return BgL_new1197z00_6798;
			}
		}

	}



/* &lambda2250 */
	BgL_bbvzd2ctxentryzd2_bglt BGl_z62lambda2250z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6315, obj_t BgL_reg1192z00_6316, obj_t BgL_typ1193z00_6317,
		obj_t BgL_flag1194z00_6318, obj_t BgL_value1195z00_6319,
		obj_t BgL_aliases1196z00_6320)
	{
		{	/* SawMill/bbv-types.scm 51 */
			{	/* SawMill/bbv-types.scm 51 */
				bool_t BgL_flag1194z00_6802;

				BgL_flag1194z00_6802 = CBOOL(BgL_flag1194z00_6318);
				{	/* SawMill/bbv-types.scm 51 */
					BgL_bbvzd2ctxentryzd2_bglt BgL_new1333z00_6804;

					{	/* SawMill/bbv-types.scm 51 */
						BgL_bbvzd2ctxentryzd2_bglt BgL_new1332z00_6805;

						BgL_new1332z00_6805 =
							((BgL_bbvzd2ctxentryzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_bbvzd2ctxentryzd2_bgl))));
						{	/* SawMill/bbv-types.scm 51 */
							long BgL_arg2251z00_6806;

							BgL_arg2251z00_6806 =
								BGL_CLASS_NUM(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1332z00_6805),
								BgL_arg2251z00_6806);
						}
						BgL_new1333z00_6804 = BgL_new1332z00_6805;
					}
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1333z00_6804))->
							BgL_regz00) =
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_reg1192z00_6316)),
						BUNSPEC);
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1333z00_6804))->
							BgL_typz00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_typ1193z00_6317)),
						BUNSPEC);
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1333z00_6804))->
							BgL_flagz00) = ((bool_t) BgL_flag1194z00_6802), BUNSPEC);
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1333z00_6804))->
							BgL_valuez00) = ((obj_t) BgL_value1195z00_6319), BUNSPEC);
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1333z00_6804))->
							BgL_aliasesz00) =
						((obj_t) ((obj_t) BgL_aliases1196z00_6320)), BUNSPEC);
					return BgL_new1333z00_6804;
				}
			}
		}

	}



/* &<@anonymous:2286> */
	obj_t BGl_z62zc3z04anonymousza32286ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6321)
	{
		{	/* SawMill/bbv-types.scm 51 */
			return BNIL;
		}

	}



/* &lambda2285 */
	obj_t BGl_z62lambda2285z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6322,
		obj_t BgL_oz00_6323, obj_t BgL_vz00_6324)
	{
		{	/* SawMill/bbv-types.scm 51 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6323)))->BgL_aliasesz00) =
				((obj_t) ((obj_t) BgL_vz00_6324)), BUNSPEC);
		}

	}



/* &lambda2284 */
	obj_t BGl_z62lambda2284z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6325,
		obj_t BgL_oz00_6326)
	{
		{	/* SawMill/bbv-types.scm 51 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
						((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6326)))->BgL_aliasesz00);
		}

	}



/* &<@anonymous:2278> */
	obj_t BGl_z62zc3z04anonymousza32278ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6327)
	{
		{	/* SawMill/bbv-types.scm 51 */
			return CNST_TABLE_REF(((long) 8));
		}

	}



/* &lambda2277 */
	obj_t BGl_z62lambda2277z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6328,
		obj_t BgL_oz00_6329, obj_t BgL_vz00_6330)
	{
		{	/* SawMill/bbv-types.scm 51 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6329)))->BgL_valuez00) =
				((obj_t) BgL_vz00_6330), BUNSPEC);
		}

	}



/* &lambda2276 */
	obj_t BGl_z62lambda2276z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6331,
		obj_t BgL_oz00_6332)
	{
		{	/* SawMill/bbv-types.scm 51 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
						((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6332)))->BgL_valuez00);
		}

	}



/* &lambda2271 */
	obj_t BGl_z62lambda2271z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6333,
		obj_t BgL_oz00_6334, obj_t BgL_vz00_6335)
	{
		{	/* SawMill/bbv-types.scm 51 */
			{	/* SawMill/bbv-types.scm 51 */
				bool_t BgL_vz00_6813;

				BgL_vz00_6813 = CBOOL(BgL_vz00_6335);
				return
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
								((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6334)))->BgL_flagz00) =
					((bool_t) BgL_vz00_6813), BUNSPEC);
			}
		}

	}



/* &lambda2270 */
	obj_t BGl_z62lambda2270z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6336,
		obj_t BgL_oz00_6337)
	{
		{	/* SawMill/bbv-types.scm 51 */
			return
				BBOOL(
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6337)))->BgL_flagz00));
		}

	}



/* &<@anonymous:2266> */
	obj_t BGl_z62zc3z04anonymousza32266ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6338)
	{
		{	/* SawMill/bbv-types.scm 51 */
			return BGl_za2objza2z00zztype_cachez00;
		}

	}



/* &lambda2265 */
	obj_t BGl_z62lambda2265z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6339,
		obj_t BgL_oz00_6340, obj_t BgL_vz00_6341)
	{
		{	/* SawMill/bbv-types.scm 51 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6340)))->BgL_typz00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6341)), BUNSPEC);
		}

	}



/* &lambda2264 */
	BgL_typez00_bglt BGl_z62lambda2264z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6342, obj_t BgL_oz00_6343)
	{
		{	/* SawMill/bbv-types.scm 51 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
						((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6343)))->BgL_typz00);
		}

	}



/* &lambda2259 */
	obj_t BGl_z62lambda2259z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6344,
		obj_t BgL_oz00_6345, obj_t BgL_vz00_6346)
	{
		{	/* SawMill/bbv-types.scm 51 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6345)))->BgL_regz00) =
				((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_vz00_6346)), BUNSPEC);
		}

	}



/* &lambda2258 */
	BgL_rtl_regz00_bglt BGl_z62lambda2258z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6347, obj_t BgL_oz00_6348)
	{
		{	/* SawMill/bbv-types.scm 51 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
						((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_6348)))->BgL_regz00);
		}

	}



/* &lambda2213 */
	BgL_rtl_insz00_bglt BGl_z62lambda2213z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6349, obj_t BgL_o1190z00_6350)
	{
		{	/* SawMill/bbv-types.scm 45 */
			{	/* SawMill/bbv-types.scm 45 */
				long BgL_arg2214z00_6822;

				{	/* SawMill/bbv-types.scm 45 */
					obj_t BgL_arg2215z00_6823;

					{	/* SawMill/bbv-types.scm 45 */
						obj_t BgL_arg2216z00_6824;

						{	/* SawMill/bbv-types.scm 45 */
							long BgL_arg1833z00_6825;

							{	/* SawMill/bbv-types.scm 45 */
								long BgL_arg1834z00_6826;

								BgL_arg1834z00_6826 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_o1190z00_6350)));
								BgL_arg1833z00_6825 = (BgL_arg1834z00_6826 - OBJECT_TYPE);
							}
							BgL_arg2216z00_6824 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_6825);
						}
						BgL_arg2215z00_6823 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2216z00_6824);
					}
					{	/* SawMill/bbv-types.scm 45 */
						obj_t BgL_tmpz00_9313;

						BgL_tmpz00_9313 = ((obj_t) BgL_arg2215z00_6823);
						BgL_arg2214z00_6822 = BGL_CLASS_NUM(BgL_tmpz00_9313);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_insz00_bglt) BgL_o1190z00_6350)), BgL_arg2214z00_6822);
			}
			{	/* SawMill/bbv-types.scm 45 */
				BgL_objectz00_bglt BgL_tmpz00_9319;

				BgL_tmpz00_9319 =
					((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1190z00_6350));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9319, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1190z00_6350));
			return ((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1190z00_6350));
		}

	}



/* &<@anonymous:2212> */
	obj_t BGl_z62zc3z04anonymousza32212ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6351, obj_t BgL_new1189z00_6352)
	{
		{	/* SawMill/bbv-types.scm 45 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_9327;

				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt)
									((BgL_rtl_insz00_bglt) BgL_new1189z00_6352))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_insz00_bglt)
							COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
										BgL_new1189z00_6352))))->BgL_z52spillz52) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_rtl_insz00_bglt)
							COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
										BgL_new1189z00_6352))))->BgL_destz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_rtl_funz00_bglt BgL_auxz00_9337;

					{	/* SawMill/bbv-types.scm 45 */
						obj_t BgL_classz00_6828;

						BgL_classz00_6828 = BGl_rtl_funz00zzsaw_defsz00;
						{	/* SawMill/bbv-types.scm 45 */
							obj_t BgL__ortest_1112z00_6829;

							BgL__ortest_1112z00_6829 = BGL_CLASS_NIL(BgL_classz00_6828);
							if (CBOOL(BgL__ortest_1112z00_6829))
								{	/* SawMill/bbv-types.scm 45 */
									BgL_auxz00_9337 =
										((BgL_rtl_funz00_bglt) BgL__ortest_1112z00_6829);
								}
							else
								{	/* SawMill/bbv-types.scm 45 */
									BgL_auxz00_9337 =
										((BgL_rtl_funz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_6828));
								}
						}
					}
					((((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_new1189z00_6352))))->
							BgL_funz00) = ((BgL_rtl_funz00_bglt) BgL_auxz00_9337), BUNSPEC);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt)
									((BgL_rtl_insz00_bglt) BgL_new1189z00_6352))))->BgL_argsz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9350;

					{
						obj_t BgL_auxz00_9351;

						{	/* SawMill/bbv-types.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_9352;

							BgL_tmpz00_9352 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1189z00_6352));
							BgL_auxz00_9351 = BGL_OBJECT_WIDENING(BgL_tmpz00_9352);
						}
						BgL_auxz00_9350 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_9351);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_9350))->
							BgL_defz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9358;

					{
						obj_t BgL_auxz00_9359;

						{	/* SawMill/bbv-types.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_9360;

							BgL_tmpz00_9360 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1189z00_6352));
							BgL_auxz00_9359 = BGL_OBJECT_WIDENING(BgL_tmpz00_9360);
						}
						BgL_auxz00_9358 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_9359);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_9358))->
							BgL_outz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9366;

					{
						obj_t BgL_auxz00_9367;

						{	/* SawMill/bbv-types.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_9368;

							BgL_tmpz00_9368 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1189z00_6352));
							BgL_auxz00_9367 = BGL_OBJECT_WIDENING(BgL_tmpz00_9368);
						}
						BgL_auxz00_9366 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_9367);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_9366))->BgL_inz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9374;

					{
						obj_t BgL_auxz00_9375;

						{	/* SawMill/bbv-types.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_9376;

							BgL_tmpz00_9376 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1189z00_6352));
							BgL_auxz00_9375 = BGL_OBJECT_WIDENING(BgL_tmpz00_9376);
						}
						BgL_auxz00_9374 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_9375);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_9374))->
							BgL_z52hashz52) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_9327 = ((BgL_rtl_insz00_bglt) BgL_new1189z00_6352);
				return ((obj_t) BgL_auxz00_9327);
			}
		}

	}



/* &lambda2210 */
	BgL_rtl_insz00_bglt BGl_z62lambda2210z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6353, obj_t BgL_o1186z00_6354)
	{
		{	/* SawMill/bbv-types.scm 45 */
			{	/* SawMill/bbv-types.scm 45 */
				BgL_rtl_inszf2bbvzf2_bglt BgL_wide1188z00_6831;

				BgL_wide1188z00_6831 =
					((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_inszf2bbvzf2_bgl))));
				{	/* SawMill/bbv-types.scm 45 */
					obj_t BgL_auxz00_9389;
					BgL_objectz00_bglt BgL_tmpz00_9385;

					BgL_auxz00_9389 = ((obj_t) BgL_wide1188z00_6831);
					BgL_tmpz00_9385 =
						((BgL_objectz00_bglt)
						((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1186z00_6354)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9385, BgL_auxz00_9389);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1186z00_6354)));
				{	/* SawMill/bbv-types.scm 45 */
					long BgL_arg2211z00_6832;

					BgL_arg2211z00_6832 =
						BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_insz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_o1186z00_6354))),
						BgL_arg2211z00_6832);
				}
				return
					((BgL_rtl_insz00_bglt)
					((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1186z00_6354)));
			}
		}

	}



/* &lambda2207 */
	BgL_rtl_insz00_bglt BGl_z62lambda2207z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6355, obj_t BgL_loc1177z00_6356, obj_t BgL_z52spill1178z52_6357,
		obj_t BgL_dest1179z00_6358, obj_t BgL_fun1180z00_6359,
		obj_t BgL_args1181z00_6360, obj_t BgL_def1182z00_6361,
		obj_t BgL_out1183z00_6362, obj_t BgL_in1184z00_6363,
		obj_t BgL_z52hash1185z52_6364)
	{
		{	/* SawMill/bbv-types.scm 45 */
			{	/* SawMill/bbv-types.scm 45 */
				BgL_rtl_insz00_bglt BgL_new1330z00_6836;

				{	/* SawMill/bbv-types.scm 45 */
					BgL_rtl_insz00_bglt BgL_tmp1328z00_6837;
					BgL_rtl_inszf2bbvzf2_bglt BgL_wide1329z00_6838;

					{
						BgL_rtl_insz00_bglt BgL_auxz00_9403;

						{	/* SawMill/bbv-types.scm 45 */
							BgL_rtl_insz00_bglt BgL_new1327z00_6839;

							BgL_new1327z00_6839 =
								((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_insz00_bgl))));
							{	/* SawMill/bbv-types.scm 45 */
								long BgL_arg2209z00_6840;

								BgL_arg2209z00_6840 =
									BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1327z00_6839),
									BgL_arg2209z00_6840);
							}
							{	/* SawMill/bbv-types.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_9408;

								BgL_tmpz00_9408 = ((BgL_objectz00_bglt) BgL_new1327z00_6839);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9408, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1327z00_6839);
							BgL_auxz00_9403 = BgL_new1327z00_6839;
						}
						BgL_tmp1328z00_6837 = ((BgL_rtl_insz00_bglt) BgL_auxz00_9403);
					}
					BgL_wide1329z00_6838 =
						((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_inszf2bbvzf2_bgl))));
					{	/* SawMill/bbv-types.scm 45 */
						obj_t BgL_auxz00_9416;
						BgL_objectz00_bglt BgL_tmpz00_9414;

						BgL_auxz00_9416 = ((obj_t) BgL_wide1329z00_6838);
						BgL_tmpz00_9414 = ((BgL_objectz00_bglt) BgL_tmp1328z00_6837);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9414, BgL_auxz00_9416);
					}
					((BgL_objectz00_bglt) BgL_tmp1328z00_6837);
					{	/* SawMill/bbv-types.scm 45 */
						long BgL_arg2208z00_6841;

						BgL_arg2208z00_6841 =
							BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1328z00_6837), BgL_arg2208z00_6841);
					}
					BgL_new1330z00_6836 = ((BgL_rtl_insz00_bglt) BgL_tmp1328z00_6837);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1330z00_6836)))->BgL_locz00) =
					((obj_t) BgL_loc1177z00_6356), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1330z00_6836)))->BgL_z52spillz52) =
					((obj_t) ((obj_t) BgL_z52spill1178z52_6357)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1330z00_6836)))->BgL_destz00) =
					((obj_t) BgL_dest1179z00_6358), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1330z00_6836)))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt) BgL_fun1180z00_6359)),
					BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1330z00_6836)))->BgL_argsz00) =
					((obj_t) ((obj_t) BgL_args1181z00_6360)), BUNSPEC);
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9437;

					{
						obj_t BgL_auxz00_9438;

						{	/* SawMill/bbv-types.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_9439;

							BgL_tmpz00_9439 = ((BgL_objectz00_bglt) BgL_new1330z00_6836);
							BgL_auxz00_9438 = BGL_OBJECT_WIDENING(BgL_tmpz00_9439);
						}
						BgL_auxz00_9437 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_9438);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_9437))->
							BgL_defz00) = ((obj_t) BgL_def1182z00_6361), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9444;

					{
						obj_t BgL_auxz00_9445;

						{	/* SawMill/bbv-types.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_9446;

							BgL_tmpz00_9446 = ((BgL_objectz00_bglt) BgL_new1330z00_6836);
							BgL_auxz00_9445 = BGL_OBJECT_WIDENING(BgL_tmpz00_9446);
						}
						BgL_auxz00_9444 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_9445);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_9444))->
							BgL_outz00) = ((obj_t) BgL_out1183z00_6362), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9451;

					{
						obj_t BgL_auxz00_9452;

						{	/* SawMill/bbv-types.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_9453;

							BgL_tmpz00_9453 = ((BgL_objectz00_bglt) BgL_new1330z00_6836);
							BgL_auxz00_9452 = BGL_OBJECT_WIDENING(BgL_tmpz00_9453);
						}
						BgL_auxz00_9451 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_9452);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_9451))->BgL_inz00) =
						((obj_t) BgL_in1184z00_6363), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9458;

					{
						obj_t BgL_auxz00_9459;

						{	/* SawMill/bbv-types.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_9460;

							BgL_tmpz00_9460 = ((BgL_objectz00_bglt) BgL_new1330z00_6836);
							BgL_auxz00_9459 = BGL_OBJECT_WIDENING(BgL_tmpz00_9460);
						}
						BgL_auxz00_9458 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_9459);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_9458))->
							BgL_z52hashz52) = ((obj_t) BgL_z52hash1185z52_6364), BUNSPEC);
				}
				return BgL_new1330z00_6836;
			}
		}

	}



/* &<@anonymous:2244> */
	obj_t BGl_z62zc3z04anonymousza32244ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6365)
	{
		{	/* SawMill/bbv-types.scm 45 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2243 */
	obj_t BGl_z62lambda2243z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6366,
		obj_t BgL_oz00_6367, obj_t BgL_vz00_6368)
	{
		{	/* SawMill/bbv-types.scm 45 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9466;

				{
					obj_t BgL_auxz00_9467;

					{	/* SawMill/bbv-types.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_9468;

						BgL_tmpz00_9468 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_6367));
						BgL_auxz00_9467 = BGL_OBJECT_WIDENING(BgL_tmpz00_9468);
					}
					BgL_auxz00_9466 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_9467);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_9466))->
						BgL_z52hashz52) = ((obj_t) BgL_vz00_6368), BUNSPEC);
			}
		}

	}



/* &lambda2242 */
	obj_t BGl_z62lambda2242z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6369,
		obj_t BgL_oz00_6370)
	{
		{	/* SawMill/bbv-types.scm 45 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9474;

				{
					obj_t BgL_auxz00_9475;

					{	/* SawMill/bbv-types.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_9476;

						BgL_tmpz00_9476 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_6370));
						BgL_auxz00_9475 = BGL_OBJECT_WIDENING(BgL_tmpz00_9476);
					}
					BgL_auxz00_9474 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_9475);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_9474))->
					BgL_z52hashz52);
			}
		}

	}



/* &<@anonymous:2237> */
	obj_t BGl_z62zc3z04anonymousza32237ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6371)
	{
		{	/* SawMill/bbv-types.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda2236 */
	obj_t BGl_z62lambda2236z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6372,
		obj_t BgL_oz00_6373, obj_t BgL_vz00_6374)
	{
		{	/* SawMill/bbv-types.scm 45 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9482;

				{
					obj_t BgL_auxz00_9483;

					{	/* SawMill/bbv-types.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_9484;

						BgL_tmpz00_9484 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_6373));
						BgL_auxz00_9483 = BGL_OBJECT_WIDENING(BgL_tmpz00_9484);
					}
					BgL_auxz00_9482 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_9483);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_9482))->BgL_inz00) =
					((obj_t) BgL_vz00_6374), BUNSPEC);
			}
		}

	}



/* &lambda2235 */
	obj_t BGl_z62lambda2235z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6375,
		obj_t BgL_oz00_6376)
	{
		{	/* SawMill/bbv-types.scm 45 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9490;

				{
					obj_t BgL_auxz00_9491;

					{	/* SawMill/bbv-types.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_9492;

						BgL_tmpz00_9492 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_6376));
						BgL_auxz00_9491 = BGL_OBJECT_WIDENING(BgL_tmpz00_9492);
					}
					BgL_auxz00_9490 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_9491);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_9490))->BgL_inz00);
			}
		}

	}



/* &<@anonymous:2230> */
	obj_t BGl_z62zc3z04anonymousza32230ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6377)
	{
		{	/* SawMill/bbv-types.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda2229 */
	obj_t BGl_z62lambda2229z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6378,
		obj_t BgL_oz00_6379, obj_t BgL_vz00_6380)
	{
		{	/* SawMill/bbv-types.scm 45 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9498;

				{
					obj_t BgL_auxz00_9499;

					{	/* SawMill/bbv-types.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_9500;

						BgL_tmpz00_9500 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_6379));
						BgL_auxz00_9499 = BGL_OBJECT_WIDENING(BgL_tmpz00_9500);
					}
					BgL_auxz00_9498 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_9499);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_9498))->
						BgL_outz00) = ((obj_t) BgL_vz00_6380), BUNSPEC);
			}
		}

	}



/* &lambda2228 */
	obj_t BGl_z62lambda2228z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6381,
		obj_t BgL_oz00_6382)
	{
		{	/* SawMill/bbv-types.scm 45 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9506;

				{
					obj_t BgL_auxz00_9507;

					{	/* SawMill/bbv-types.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_9508;

						BgL_tmpz00_9508 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_6382));
						BgL_auxz00_9507 = BGL_OBJECT_WIDENING(BgL_tmpz00_9508);
					}
					BgL_auxz00_9506 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_9507);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_9506))->BgL_outz00);
			}
		}

	}



/* &<@anonymous:2223> */
	obj_t BGl_z62zc3z04anonymousza32223ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6383)
	{
		{	/* SawMill/bbv-types.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda2222 */
	obj_t BGl_z62lambda2222z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6384,
		obj_t BgL_oz00_6385, obj_t BgL_vz00_6386)
	{
		{	/* SawMill/bbv-types.scm 45 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9514;

				{
					obj_t BgL_auxz00_9515;

					{	/* SawMill/bbv-types.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_9516;

						BgL_tmpz00_9516 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_6385));
						BgL_auxz00_9515 = BGL_OBJECT_WIDENING(BgL_tmpz00_9516);
					}
					BgL_auxz00_9514 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_9515);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_9514))->
						BgL_defz00) = ((obj_t) BgL_vz00_6386), BUNSPEC);
			}
		}

	}



/* &lambda2221 */
	obj_t BGl_z62lambda2221z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6387,
		obj_t BgL_oz00_6388)
	{
		{	/* SawMill/bbv-types.scm 45 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_9522;

				{
					obj_t BgL_auxz00_9523;

					{	/* SawMill/bbv-types.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_9524;

						BgL_tmpz00_9524 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_6388));
						BgL_auxz00_9523 = BGL_OBJECT_WIDENING(BgL_tmpz00_9524);
					}
					BgL_auxz00_9522 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_9523);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_9522))->BgL_defz00);
			}
		}

	}



/* &lambda2155 */
	BgL_blockz00_bglt BGl_z62lambda2155z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6389, obj_t BgL_o1175z00_6390)
	{
		{	/* SawMill/bbv-types.scm 38 */
			{	/* SawMill/bbv-types.scm 38 */
				long BgL_arg2156z00_6851;

				{	/* SawMill/bbv-types.scm 38 */
					obj_t BgL_arg2157z00_6852;

					{	/* SawMill/bbv-types.scm 38 */
						obj_t BgL_arg2158z00_6853;

						{	/* SawMill/bbv-types.scm 38 */
							long BgL_arg1833z00_6854;

							{	/* SawMill/bbv-types.scm 38 */
								long BgL_arg1834z00_6855;

								BgL_arg1834z00_6855 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_o1175z00_6390)));
								BgL_arg1833z00_6854 = (BgL_arg1834z00_6855 - OBJECT_TYPE);
							}
							BgL_arg2158z00_6853 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_6854);
						}
						BgL_arg2157z00_6852 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2158z00_6853);
					}
					{	/* SawMill/bbv-types.scm 38 */
						obj_t BgL_tmpz00_9536;

						BgL_tmpz00_9536 = ((obj_t) BgL_arg2157z00_6852);
						BgL_arg2156z00_6851 = BGL_CLASS_NUM(BgL_tmpz00_9536);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1175z00_6390)), BgL_arg2156z00_6851);
			}
			{	/* SawMill/bbv-types.scm 38 */
				BgL_objectz00_bglt BgL_tmpz00_9542;

				BgL_tmpz00_9542 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1175z00_6390));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9542, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1175z00_6390));
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1175z00_6390));
		}

	}



/* &<@anonymous:2154> */
	obj_t BGl_z62zc3z04anonymousza32154ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6391, obj_t BgL_new1174z00_6392)
	{
		{	/* SawMill/bbv-types.scm 38 */
			{
				BgL_blockz00_bglt BgL_auxz00_9550;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_new1174z00_6392))))->BgL_labelz00) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1174z00_6392))))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1174z00_6392))))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1174z00_6392))))->BgL_firstz00) =
					((obj_t) MAKE_YOUNG_PAIR(BFALSE, BFALSE)), BUNSPEC);
				{
					BgL_blocksz00_bglt BgL_auxz00_9565;

					{
						obj_t BgL_auxz00_9566;

						{	/* SawMill/bbv-types.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_9567;

							BgL_tmpz00_9567 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1174z00_6392));
							BgL_auxz00_9566 = BGL_OBJECT_WIDENING(BgL_tmpz00_9567);
						}
						BgL_auxz00_9565 = ((BgL_blocksz00_bglt) BgL_auxz00_9566);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9565))->BgL_ictxz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_9573;

					{
						obj_t BgL_auxz00_9574;

						{	/* SawMill/bbv-types.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_9575;

							BgL_tmpz00_9575 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1174z00_6392));
							BgL_auxz00_9574 = BGL_OBJECT_WIDENING(BgL_tmpz00_9575);
						}
						BgL_auxz00_9573 = ((BgL_blocksz00_bglt) BgL_auxz00_9574);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9573))->BgL_octxsz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_9581;

					{
						obj_t BgL_auxz00_9582;

						{	/* SawMill/bbv-types.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_9583;

							BgL_tmpz00_9583 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1174z00_6392));
							BgL_auxz00_9582 = BGL_OBJECT_WIDENING(BgL_tmpz00_9583);
						}
						BgL_auxz00_9581 = ((BgL_blocksz00_bglt) BgL_auxz00_9582);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9581))->BgL_z52markz52) =
						((long) ((long) 0)), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_9589;

					{
						obj_t BgL_auxz00_9590;

						{	/* SawMill/bbv-types.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_9591;

							BgL_tmpz00_9591 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1174z00_6392));
							BgL_auxz00_9590 = BGL_OBJECT_WIDENING(BgL_tmpz00_9591);
						}
						BgL_auxz00_9589 = ((BgL_blocksz00_bglt) BgL_auxz00_9590);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9589))->BgL_z52parentz52) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_9597;

					{
						obj_t BgL_auxz00_9598;

						{	/* SawMill/bbv-types.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_9599;

							BgL_tmpz00_9599 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1174z00_6392));
							BgL_auxz00_9598 = BGL_OBJECT_WIDENING(BgL_tmpz00_9599);
						}
						BgL_auxz00_9597 = ((BgL_blocksz00_bglt) BgL_auxz00_9598);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9597))->BgL_z52hashz52) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_9605;

					{
						obj_t BgL_auxz00_9606;

						{	/* SawMill/bbv-types.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_9607;

							BgL_tmpz00_9607 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1174z00_6392));
							BgL_auxz00_9606 = BGL_OBJECT_WIDENING(BgL_tmpz00_9607);
						}
						BgL_auxz00_9605 = ((BgL_blocksz00_bglt) BgL_auxz00_9606);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9605))->
							BgL_z52blacklistz52) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_9550 = ((BgL_blockz00_bglt) BgL_new1174z00_6392);
				return ((obj_t) BgL_auxz00_9550);
			}
		}

	}



/* &lambda2152 */
	BgL_blockz00_bglt BGl_z62lambda2152z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6393, obj_t BgL_o1171z00_6394)
	{
		{	/* SawMill/bbv-types.scm 38 */
			{	/* SawMill/bbv-types.scm 38 */
				BgL_blocksz00_bglt BgL_wide1173z00_6858;

				BgL_wide1173z00_6858 =
					((BgL_blocksz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_blocksz00_bgl))));
				{	/* SawMill/bbv-types.scm 38 */
					obj_t BgL_auxz00_9620;
					BgL_objectz00_bglt BgL_tmpz00_9616;

					BgL_auxz00_9620 = ((obj_t) BgL_wide1173z00_6858);
					BgL_tmpz00_9616 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1171z00_6394)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9616, BgL_auxz00_9620);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1171z00_6394)));
				{	/* SawMill/bbv-types.scm 38 */
					long BgL_arg2153z00_6859;

					BgL_arg2153z00_6859 =
						BGL_CLASS_NUM(BGl_blockSz00zzsaw_bbvzd2typeszd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1171z00_6394))), BgL_arg2153z00_6859);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1171z00_6394)));
			}
		}

	}



/* &lambda2149 */
	BgL_blockz00_bglt BGl_z62lambda2149z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6395, obj_t BgL_label1161z00_6396, obj_t BgL_preds1162z00_6397,
		obj_t BgL_succs1163z00_6398, obj_t BgL_first1164z00_6399,
		obj_t BgL_ictx1165z00_6400, obj_t BgL_octxs1166z00_6401,
		obj_t BgL_z52mark1167z52_6402, obj_t BgL_z52parent1168z52_6403,
		obj_t BgL_z52hash1169z52_6404, obj_t BgL_z52blacklist1170z52_6405)
	{
		{	/* SawMill/bbv-types.scm 38 */
			{	/* SawMill/bbv-types.scm 38 */
				int BgL_label1161z00_6860;
				long BgL_z52mark1167z52_6866;

				BgL_label1161z00_6860 = CINT(BgL_label1161z00_6396);
				BgL_z52mark1167z52_6866 = (long) CINT(BgL_z52mark1167z52_6402);
				{	/* SawMill/bbv-types.scm 38 */
					BgL_blockz00_bglt BgL_new1325z00_6867;

					{	/* SawMill/bbv-types.scm 38 */
						BgL_blockz00_bglt BgL_tmp1323z00_6868;
						BgL_blocksz00_bglt BgL_wide1324z00_6869;

						{
							BgL_blockz00_bglt BgL_auxz00_9636;

							{	/* SawMill/bbv-types.scm 38 */
								BgL_blockz00_bglt BgL_new1322z00_6870;

								BgL_new1322z00_6870 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawMill/bbv-types.scm 38 */
									long BgL_arg2151z00_6871;

									BgL_arg2151z00_6871 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1322z00_6870),
										BgL_arg2151z00_6871);
								}
								{	/* SawMill/bbv-types.scm 38 */
									BgL_objectz00_bglt BgL_tmpz00_9641;

									BgL_tmpz00_9641 = ((BgL_objectz00_bglt) BgL_new1322z00_6870);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9641, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1322z00_6870);
								BgL_auxz00_9636 = BgL_new1322z00_6870;
							}
							BgL_tmp1323z00_6868 = ((BgL_blockz00_bglt) BgL_auxz00_9636);
						}
						BgL_wide1324z00_6869 =
							((BgL_blocksz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_blocksz00_bgl))));
						{	/* SawMill/bbv-types.scm 38 */
							obj_t BgL_auxz00_9649;
							BgL_objectz00_bglt BgL_tmpz00_9647;

							BgL_auxz00_9649 = ((obj_t) BgL_wide1324z00_6869);
							BgL_tmpz00_9647 = ((BgL_objectz00_bglt) BgL_tmp1323z00_6868);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9647, BgL_auxz00_9649);
						}
						((BgL_objectz00_bglt) BgL_tmp1323z00_6868);
						{	/* SawMill/bbv-types.scm 38 */
							long BgL_arg2150z00_6872;

							BgL_arg2150z00_6872 =
								BGL_CLASS_NUM(BGl_blockSz00zzsaw_bbvzd2typeszd2);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1323z00_6868),
								BgL_arg2150z00_6872);
						}
						BgL_new1325z00_6867 = ((BgL_blockz00_bglt) BgL_tmp1323z00_6868);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1325z00_6867)))->BgL_labelz00) =
						((int) BgL_label1161z00_6860), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1325z00_6867)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1162z00_6397)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1325z00_6867)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1163z00_6398)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1325z00_6867)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1164z00_6399)), BUNSPEC);
					{
						BgL_blocksz00_bglt BgL_auxz00_9668;

						{
							obj_t BgL_auxz00_9669;

							{	/* SawMill/bbv-types.scm 38 */
								BgL_objectz00_bglt BgL_tmpz00_9670;

								BgL_tmpz00_9670 = ((BgL_objectz00_bglt) BgL_new1325z00_6867);
								BgL_auxz00_9669 = BGL_OBJECT_WIDENING(BgL_tmpz00_9670);
							}
							BgL_auxz00_9668 = ((BgL_blocksz00_bglt) BgL_auxz00_9669);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9668))->BgL_ictxz00) =
							((obj_t) ((obj_t) BgL_ictx1165z00_6400)), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_9676;

						{
							obj_t BgL_auxz00_9677;

							{	/* SawMill/bbv-types.scm 38 */
								BgL_objectz00_bglt BgL_tmpz00_9678;

								BgL_tmpz00_9678 = ((BgL_objectz00_bglt) BgL_new1325z00_6867);
								BgL_auxz00_9677 = BGL_OBJECT_WIDENING(BgL_tmpz00_9678);
							}
							BgL_auxz00_9676 = ((BgL_blocksz00_bglt) BgL_auxz00_9677);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9676))->BgL_octxsz00) =
							((obj_t) ((obj_t) BgL_octxs1166z00_6401)), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_9684;

						{
							obj_t BgL_auxz00_9685;

							{	/* SawMill/bbv-types.scm 38 */
								BgL_objectz00_bglt BgL_tmpz00_9686;

								BgL_tmpz00_9686 = ((BgL_objectz00_bglt) BgL_new1325z00_6867);
								BgL_auxz00_9685 = BGL_OBJECT_WIDENING(BgL_tmpz00_9686);
							}
							BgL_auxz00_9684 = ((BgL_blocksz00_bglt) BgL_auxz00_9685);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9684))->BgL_z52markz52) =
							((long) BgL_z52mark1167z52_6866), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_9691;

						{
							obj_t BgL_auxz00_9692;

							{	/* SawMill/bbv-types.scm 38 */
								BgL_objectz00_bglt BgL_tmpz00_9693;

								BgL_tmpz00_9693 = ((BgL_objectz00_bglt) BgL_new1325z00_6867);
								BgL_auxz00_9692 = BGL_OBJECT_WIDENING(BgL_tmpz00_9693);
							}
							BgL_auxz00_9691 = ((BgL_blocksz00_bglt) BgL_auxz00_9692);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9691))->
								BgL_z52parentz52) =
							((obj_t) BgL_z52parent1168z52_6403), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_9698;

						{
							obj_t BgL_auxz00_9699;

							{	/* SawMill/bbv-types.scm 38 */
								BgL_objectz00_bglt BgL_tmpz00_9700;

								BgL_tmpz00_9700 = ((BgL_objectz00_bglt) BgL_new1325z00_6867);
								BgL_auxz00_9699 = BGL_OBJECT_WIDENING(BgL_tmpz00_9700);
							}
							BgL_auxz00_9698 = ((BgL_blocksz00_bglt) BgL_auxz00_9699);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9698))->BgL_z52hashz52) =
							((obj_t) BgL_z52hash1169z52_6404), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_9705;

						{
							obj_t BgL_auxz00_9706;

							{	/* SawMill/bbv-types.scm 38 */
								BgL_objectz00_bglt BgL_tmpz00_9707;

								BgL_tmpz00_9707 = ((BgL_objectz00_bglt) BgL_new1325z00_6867);
								BgL_auxz00_9706 = BGL_OBJECT_WIDENING(BgL_tmpz00_9707);
							}
							BgL_auxz00_9705 = ((BgL_blocksz00_bglt) BgL_auxz00_9706);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9705))->
								BgL_z52blacklistz52) =
							((obj_t) BgL_z52blacklist1170z52_6405), BUNSPEC);
					}
					return BgL_new1325z00_6867;
				}
			}
		}

	}



/* &<@anonymous:2200> */
	obj_t BGl_z62zc3z04anonymousza32200ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6406)
	{
		{	/* SawMill/bbv-types.scm 38 */
			return BNIL;
		}

	}



/* &lambda2199 */
	obj_t BGl_z62lambda2199z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6407,
		obj_t BgL_oz00_6408, obj_t BgL_vz00_6409)
	{
		{	/* SawMill/bbv-types.scm 38 */
			{
				BgL_blocksz00_bglt BgL_auxz00_9712;

				{
					obj_t BgL_auxz00_9713;

					{	/* SawMill/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_9714;

						BgL_tmpz00_9714 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6408));
						BgL_auxz00_9713 = BGL_OBJECT_WIDENING(BgL_tmpz00_9714);
					}
					BgL_auxz00_9712 = ((BgL_blocksz00_bglt) BgL_auxz00_9713);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9712))->
						BgL_z52blacklistz52) = ((obj_t) BgL_vz00_6409), BUNSPEC);
			}
		}

	}



/* &lambda2198 */
	obj_t BGl_z62lambda2198z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6410,
		obj_t BgL_oz00_6411)
	{
		{	/* SawMill/bbv-types.scm 38 */
			{
				BgL_blocksz00_bglt BgL_auxz00_9720;

				{
					obj_t BgL_auxz00_9721;

					{	/* SawMill/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_9722;

						BgL_tmpz00_9722 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6411));
						BgL_auxz00_9721 = BGL_OBJECT_WIDENING(BgL_tmpz00_9722);
					}
					BgL_auxz00_9720 = ((BgL_blocksz00_bglt) BgL_auxz00_9721);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9720))->
					BgL_z52blacklistz52);
			}
		}

	}



/* &<@anonymous:2193> */
	obj_t BGl_z62zc3z04anonymousza32193ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6412)
	{
		{	/* SawMill/bbv-types.scm 38 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2192 */
	obj_t BGl_z62lambda2192z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6413,
		obj_t BgL_oz00_6414, obj_t BgL_vz00_6415)
	{
		{	/* SawMill/bbv-types.scm 38 */
			{
				BgL_blocksz00_bglt BgL_auxz00_9729;

				{
					obj_t BgL_auxz00_9730;

					{	/* SawMill/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_9731;

						BgL_tmpz00_9731 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6414));
						BgL_auxz00_9730 = BGL_OBJECT_WIDENING(BgL_tmpz00_9731);
					}
					BgL_auxz00_9729 = ((BgL_blocksz00_bglt) BgL_auxz00_9730);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9729))->BgL_z52hashz52) =
					((obj_t) BgL_vz00_6415), BUNSPEC);
			}
		}

	}



/* &lambda2191 */
	obj_t BGl_z62lambda2191z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6416,
		obj_t BgL_oz00_6417)
	{
		{	/* SawMill/bbv-types.scm 38 */
			{
				BgL_blocksz00_bglt BgL_auxz00_9737;

				{
					obj_t BgL_auxz00_9738;

					{	/* SawMill/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_9739;

						BgL_tmpz00_9739 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6417));
						BgL_auxz00_9738 = BGL_OBJECT_WIDENING(BgL_tmpz00_9739);
					}
					BgL_auxz00_9737 = ((BgL_blocksz00_bglt) BgL_auxz00_9738);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9737))->BgL_z52hashz52);
			}
		}

	}



/* &<@anonymous:2186> */
	obj_t BGl_z62zc3z04anonymousza32186ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6418)
	{
		{	/* SawMill/bbv-types.scm 38 */
			return BUNSPEC;
		}

	}



/* &lambda2185 */
	obj_t BGl_z62lambda2185z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6419,
		obj_t BgL_oz00_6420, obj_t BgL_vz00_6421)
	{
		{	/* SawMill/bbv-types.scm 38 */
			{
				BgL_blocksz00_bglt BgL_auxz00_9745;

				{
					obj_t BgL_auxz00_9746;

					{	/* SawMill/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_9747;

						BgL_tmpz00_9747 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6420));
						BgL_auxz00_9746 = BGL_OBJECT_WIDENING(BgL_tmpz00_9747);
					}
					BgL_auxz00_9745 = ((BgL_blocksz00_bglt) BgL_auxz00_9746);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9745))->BgL_z52parentz52) =
					((obj_t) BgL_vz00_6421), BUNSPEC);
			}
		}

	}



/* &lambda2184 */
	obj_t BGl_z62lambda2184z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6422,
		obj_t BgL_oz00_6423)
	{
		{	/* SawMill/bbv-types.scm 38 */
			{
				BgL_blocksz00_bglt BgL_auxz00_9753;

				{
					obj_t BgL_auxz00_9754;

					{	/* SawMill/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_9755;

						BgL_tmpz00_9755 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6423));
						BgL_auxz00_9754 = BGL_OBJECT_WIDENING(BgL_tmpz00_9755);
					}
					BgL_auxz00_9753 = ((BgL_blocksz00_bglt) BgL_auxz00_9754);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9753))->BgL_z52parentz52);
			}
		}

	}



/* &<@anonymous:2179> */
	obj_t BGl_z62zc3z04anonymousza32179ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6424)
	{
		{	/* SawMill/bbv-types.scm 38 */
			return BINT(((long) -1));
		}

	}



/* &lambda2178 */
	obj_t BGl_z62lambda2178z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6425,
		obj_t BgL_oz00_6426, obj_t BgL_vz00_6427)
	{
		{	/* SawMill/bbv-types.scm 38 */
			{	/* SawMill/bbv-types.scm 38 */
				long BgL_vz00_6880;

				BgL_vz00_6880 = (long) CINT(BgL_vz00_6427);
				{
					BgL_blocksz00_bglt BgL_auxz00_9763;

					{
						obj_t BgL_auxz00_9764;

						{	/* SawMill/bbv-types.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_9765;

							BgL_tmpz00_9765 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6426));
							BgL_auxz00_9764 = BGL_OBJECT_WIDENING(BgL_tmpz00_9765);
						}
						BgL_auxz00_9763 = ((BgL_blocksz00_bglt) BgL_auxz00_9764);
					}
					return
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9763))->BgL_z52markz52) =
						((long) BgL_vz00_6880), BUNSPEC);
		}}}

	}



/* &lambda2177 */
	obj_t BGl_z62lambda2177z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6428,
		obj_t BgL_oz00_6429)
	{
		{	/* SawMill/bbv-types.scm 38 */
			{	/* SawMill/bbv-types.scm 38 */
				long BgL_tmpz00_9771;

				{
					BgL_blocksz00_bglt BgL_auxz00_9772;

					{
						obj_t BgL_auxz00_9773;

						{	/* SawMill/bbv-types.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_9774;

							BgL_tmpz00_9774 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6429));
							BgL_auxz00_9773 = BGL_OBJECT_WIDENING(BgL_tmpz00_9774);
						}
						BgL_auxz00_9772 = ((BgL_blocksz00_bglt) BgL_auxz00_9773);
					}
					BgL_tmpz00_9771 =
						(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9772))->BgL_z52markz52);
				}
				return BINT(BgL_tmpz00_9771);
			}
		}

	}



/* &<@anonymous:2172> */
	obj_t BGl_z62zc3z04anonymousza32172ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6430)
	{
		{	/* SawMill/bbv-types.scm 38 */
			return BNIL;
		}

	}



/* &lambda2171 */
	obj_t BGl_z62lambda2171z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6431,
		obj_t BgL_oz00_6432, obj_t BgL_vz00_6433)
	{
		{	/* SawMill/bbv-types.scm 38 */
			{
				BgL_blocksz00_bglt BgL_auxz00_9781;

				{
					obj_t BgL_auxz00_9782;

					{	/* SawMill/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_9783;

						BgL_tmpz00_9783 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6432));
						BgL_auxz00_9782 = BGL_OBJECT_WIDENING(BgL_tmpz00_9783);
					}
					BgL_auxz00_9781 = ((BgL_blocksz00_bglt) BgL_auxz00_9782);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9781))->BgL_octxsz00) =
					((obj_t) ((obj_t) BgL_vz00_6433)), BUNSPEC);
			}
		}

	}



/* &lambda2170 */
	obj_t BGl_z62lambda2170z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6434,
		obj_t BgL_oz00_6435)
	{
		{	/* SawMill/bbv-types.scm 38 */
			{
				BgL_blocksz00_bglt BgL_auxz00_9790;

				{
					obj_t BgL_auxz00_9791;

					{	/* SawMill/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_9792;

						BgL_tmpz00_9792 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6435));
						BgL_auxz00_9791 = BGL_OBJECT_WIDENING(BgL_tmpz00_9792);
					}
					BgL_auxz00_9790 = ((BgL_blocksz00_bglt) BgL_auxz00_9791);
				}
				return (((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9790))->BgL_octxsz00);
			}
		}

	}



/* &<@anonymous:2165> */
	obj_t BGl_z62zc3z04anonymousza32165ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6436)
	{
		{	/* SawMill/bbv-types.scm 38 */
			return BNIL;
		}

	}



/* &lambda2164 */
	obj_t BGl_z62lambda2164z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6437,
		obj_t BgL_oz00_6438, obj_t BgL_vz00_6439)
	{
		{	/* SawMill/bbv-types.scm 38 */
			{
				BgL_blocksz00_bglt BgL_auxz00_9798;

				{
					obj_t BgL_auxz00_9799;

					{	/* SawMill/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_9800;

						BgL_tmpz00_9800 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6438));
						BgL_auxz00_9799 = BGL_OBJECT_WIDENING(BgL_tmpz00_9800);
					}
					BgL_auxz00_9798 = ((BgL_blocksz00_bglt) BgL_auxz00_9799);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9798))->BgL_ictxz00) =
					((obj_t) ((obj_t) BgL_vz00_6439)), BUNSPEC);
			}
		}

	}



/* &lambda2163 */
	obj_t BGl_z62lambda2163z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6440,
		obj_t BgL_oz00_6441)
	{
		{	/* SawMill/bbv-types.scm 38 */
			{
				BgL_blocksz00_bglt BgL_auxz00_9807;

				{
					obj_t BgL_auxz00_9808;

					{	/* SawMill/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_9809;

						BgL_tmpz00_9809 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6441));
						BgL_auxz00_9808 = BGL_OBJECT_WIDENING(BgL_tmpz00_9809);
					}
					BgL_auxz00_9807 = ((BgL_blocksz00_bglt) BgL_auxz00_9808);
				}
				return (((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9807))->BgL_ictxz00);
			}
		}

	}



/* &lambda2123 */
	BgL_blockz00_bglt BGl_z62lambda2123z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6442, obj_t BgL_o1159z00_6443)
	{
		{	/* SawMill/bbv-types.scm 35 */
			{	/* SawMill/bbv-types.scm 35 */
				long BgL_arg2124z00_6889;

				{	/* SawMill/bbv-types.scm 35 */
					obj_t BgL_arg2125z00_6890;

					{	/* SawMill/bbv-types.scm 35 */
						obj_t BgL_arg2126z00_6891;

						{	/* SawMill/bbv-types.scm 35 */
							long BgL_arg1833z00_6892;

							{	/* SawMill/bbv-types.scm 35 */
								long BgL_arg1834z00_6893;

								BgL_arg1834z00_6893 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_o1159z00_6443)));
								BgL_arg1833z00_6892 = (BgL_arg1834z00_6893 - OBJECT_TYPE);
							}
							BgL_arg2126z00_6891 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_6892);
						}
						BgL_arg2125z00_6890 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2126z00_6891);
					}
					{	/* SawMill/bbv-types.scm 35 */
						obj_t BgL_tmpz00_9821;

						BgL_tmpz00_9821 = ((obj_t) BgL_arg2125z00_6890);
						BgL_arg2124z00_6889 = BGL_CLASS_NUM(BgL_tmpz00_9821);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1159z00_6443)), BgL_arg2124z00_6889);
			}
			{	/* SawMill/bbv-types.scm 35 */
				BgL_objectz00_bglt BgL_tmpz00_9827;

				BgL_tmpz00_9827 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1159z00_6443));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9827, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1159z00_6443));
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1159z00_6443));
		}

	}



/* &<@anonymous:2122> */
	obj_t BGl_z62zc3z04anonymousza32122ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6444, obj_t BgL_new1158z00_6445)
	{
		{	/* SawMill/bbv-types.scm 35 */
			{
				BgL_blockz00_bglt BgL_auxz00_9835;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_new1158z00_6445))))->BgL_labelz00) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1158z00_6445))))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1158z00_6445))))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1158z00_6445))))->BgL_firstz00) =
					((obj_t) MAKE_YOUNG_PAIR(BFALSE, BFALSE)), BUNSPEC);
				{
					BgL_blockvz00_bglt BgL_auxz00_9850;

					{
						obj_t BgL_auxz00_9851;

						{	/* SawMill/bbv-types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_9852;

							BgL_tmpz00_9852 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1158z00_6445));
							BgL_auxz00_9851 = BGL_OBJECT_WIDENING(BgL_tmpz00_9852);
						}
						BgL_auxz00_9850 = ((BgL_blockvz00_bglt) BgL_auxz00_9851);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_9850))->BgL_versionsz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_blockvz00_bglt BgL_auxz00_9858;

					{
						obj_t BgL_auxz00_9859;

						{	/* SawMill/bbv-types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_9860;

							BgL_tmpz00_9860 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1158z00_6445));
							BgL_auxz00_9859 = BGL_OBJECT_WIDENING(BgL_tmpz00_9860);
						}
						BgL_auxz00_9858 = ((BgL_blockvz00_bglt) BgL_auxz00_9859);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_9858))->BgL_z52markz52) =
						((long) ((long) 0)), BUNSPEC);
				}
				BgL_auxz00_9835 = ((BgL_blockz00_bglt) BgL_new1158z00_6445);
				return ((obj_t) BgL_auxz00_9835);
			}
		}

	}



/* &lambda2120 */
	BgL_blockz00_bglt BGl_z62lambda2120z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6446, obj_t BgL_o1155z00_6447)
	{
		{	/* SawMill/bbv-types.scm 35 */
			{	/* SawMill/bbv-types.scm 35 */
				BgL_blockvz00_bglt BgL_wide1157z00_6896;

				BgL_wide1157z00_6896 =
					((BgL_blockvz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_blockvz00_bgl))));
				{	/* SawMill/bbv-types.scm 35 */
					obj_t BgL_auxz00_9873;
					BgL_objectz00_bglt BgL_tmpz00_9869;

					BgL_auxz00_9873 = ((obj_t) BgL_wide1157z00_6896);
					BgL_tmpz00_9869 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1155z00_6447)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9869, BgL_auxz00_9873);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1155z00_6447)));
				{	/* SawMill/bbv-types.scm 35 */
					long BgL_arg2121z00_6897;

					BgL_arg2121z00_6897 =
						BGL_CLASS_NUM(BGl_blockVz00zzsaw_bbvzd2typeszd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1155z00_6447))), BgL_arg2121z00_6897);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1155z00_6447)));
			}
		}

	}



/* &lambda2117 */
	BgL_blockz00_bglt BGl_z62lambda2117z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6448, obj_t BgL_label1149z00_6449, obj_t BgL_preds1150z00_6450,
		obj_t BgL_succs1151z00_6451, obj_t BgL_first1152z00_6452,
		obj_t BgL_versions1153z00_6453, obj_t BgL_z52mark1154z52_6454)
	{
		{	/* SawMill/bbv-types.scm 35 */
			{	/* SawMill/bbv-types.scm 35 */
				int BgL_label1149z00_6898;
				long BgL_z52mark1154z52_6903;

				BgL_label1149z00_6898 = CINT(BgL_label1149z00_6449);
				BgL_z52mark1154z52_6903 = (long) CINT(BgL_z52mark1154z52_6454);
				{	/* SawMill/bbv-types.scm 35 */
					BgL_blockz00_bglt BgL_new1320z00_6904;

					{	/* SawMill/bbv-types.scm 35 */
						BgL_blockz00_bglt BgL_tmp1318z00_6905;
						BgL_blockvz00_bglt BgL_wide1319z00_6906;

						{
							BgL_blockz00_bglt BgL_auxz00_9889;

							{	/* SawMill/bbv-types.scm 35 */
								BgL_blockz00_bglt BgL_new1317z00_6907;

								BgL_new1317z00_6907 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawMill/bbv-types.scm 35 */
									long BgL_arg2119z00_6908;

									BgL_arg2119z00_6908 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1317z00_6907),
										BgL_arg2119z00_6908);
								}
								{	/* SawMill/bbv-types.scm 35 */
									BgL_objectz00_bglt BgL_tmpz00_9894;

									BgL_tmpz00_9894 = ((BgL_objectz00_bglt) BgL_new1317z00_6907);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9894, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1317z00_6907);
								BgL_auxz00_9889 = BgL_new1317z00_6907;
							}
							BgL_tmp1318z00_6905 = ((BgL_blockz00_bglt) BgL_auxz00_9889);
						}
						BgL_wide1319z00_6906 =
							((BgL_blockvz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_blockvz00_bgl))));
						{	/* SawMill/bbv-types.scm 35 */
							obj_t BgL_auxz00_9902;
							BgL_objectz00_bglt BgL_tmpz00_9900;

							BgL_auxz00_9902 = ((obj_t) BgL_wide1319z00_6906);
							BgL_tmpz00_9900 = ((BgL_objectz00_bglt) BgL_tmp1318z00_6905);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9900, BgL_auxz00_9902);
						}
						((BgL_objectz00_bglt) BgL_tmp1318z00_6905);
						{	/* SawMill/bbv-types.scm 35 */
							long BgL_arg2118z00_6909;

							BgL_arg2118z00_6909 =
								BGL_CLASS_NUM(BGl_blockVz00zzsaw_bbvzd2typeszd2);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1318z00_6905),
								BgL_arg2118z00_6909);
						}
						BgL_new1320z00_6904 = ((BgL_blockz00_bglt) BgL_tmp1318z00_6905);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1320z00_6904)))->BgL_labelz00) =
						((int) BgL_label1149z00_6898), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1320z00_6904)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1150z00_6450)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1320z00_6904)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1151z00_6451)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1320z00_6904)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1152z00_6452)), BUNSPEC);
					{
						BgL_blockvz00_bglt BgL_auxz00_9921;

						{
							obj_t BgL_auxz00_9922;

							{	/* SawMill/bbv-types.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_9923;

								BgL_tmpz00_9923 = ((BgL_objectz00_bglt) BgL_new1320z00_6904);
								BgL_auxz00_9922 = BGL_OBJECT_WIDENING(BgL_tmpz00_9923);
							}
							BgL_auxz00_9921 = ((BgL_blockvz00_bglt) BgL_auxz00_9922);
						}
						((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_9921))->
								BgL_versionsz00) =
							((obj_t) ((obj_t) BgL_versions1153z00_6453)), BUNSPEC);
					}
					{
						BgL_blockvz00_bglt BgL_auxz00_9929;

						{
							obj_t BgL_auxz00_9930;

							{	/* SawMill/bbv-types.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_9931;

								BgL_tmpz00_9931 = ((BgL_objectz00_bglt) BgL_new1320z00_6904);
								BgL_auxz00_9930 = BGL_OBJECT_WIDENING(BgL_tmpz00_9931);
							}
							BgL_auxz00_9929 = ((BgL_blockvz00_bglt) BgL_auxz00_9930);
						}
						((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_9929))->BgL_z52markz52) =
							((long) BgL_z52mark1154z52_6903), BUNSPEC);
					}
					return BgL_new1320z00_6904;
				}
			}
		}

	}



/* &<@anonymous:2141> */
	obj_t BGl_z62zc3z04anonymousza32141ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6455)
	{
		{	/* SawMill/bbv-types.scm 35 */
			return BINT(((long) -1));
		}

	}



/* &lambda2140 */
	obj_t BGl_z62lambda2140z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6456,
		obj_t BgL_oz00_6457, obj_t BgL_vz00_6458)
	{
		{	/* SawMill/bbv-types.scm 35 */
			{	/* SawMill/bbv-types.scm 35 */
				long BgL_vz00_6911;

				BgL_vz00_6911 = (long) CINT(BgL_vz00_6458);
				{
					BgL_blockvz00_bglt BgL_auxz00_9938;

					{
						obj_t BgL_auxz00_9939;

						{	/* SawMill/bbv-types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_9940;

							BgL_tmpz00_9940 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6457));
							BgL_auxz00_9939 = BGL_OBJECT_WIDENING(BgL_tmpz00_9940);
						}
						BgL_auxz00_9938 = ((BgL_blockvz00_bglt) BgL_auxz00_9939);
					}
					return
						((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_9938))->BgL_z52markz52) =
						((long) BgL_vz00_6911), BUNSPEC);
		}}}

	}



/* &lambda2139 */
	obj_t BGl_z62lambda2139z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6459,
		obj_t BgL_oz00_6460)
	{
		{	/* SawMill/bbv-types.scm 35 */
			{	/* SawMill/bbv-types.scm 35 */
				long BgL_tmpz00_9946;

				{
					BgL_blockvz00_bglt BgL_auxz00_9947;

					{
						obj_t BgL_auxz00_9948;

						{	/* SawMill/bbv-types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_9949;

							BgL_tmpz00_9949 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6460));
							BgL_auxz00_9948 = BGL_OBJECT_WIDENING(BgL_tmpz00_9949);
						}
						BgL_auxz00_9947 = ((BgL_blockvz00_bglt) BgL_auxz00_9948);
					}
					BgL_tmpz00_9946 =
						(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_9947))->BgL_z52markz52);
				}
				return BINT(BgL_tmpz00_9946);
			}
		}

	}



/* &<@anonymous:2133> */
	obj_t BGl_z62zc3z04anonymousza32133ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6461)
	{
		{	/* SawMill/bbv-types.scm 35 */
			return BNIL;
		}

	}



/* &lambda2132 */
	obj_t BGl_z62lambda2132z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6462,
		obj_t BgL_oz00_6463, obj_t BgL_vz00_6464)
	{
		{	/* SawMill/bbv-types.scm 35 */
			{
				BgL_blockvz00_bglt BgL_auxz00_9956;

				{
					obj_t BgL_auxz00_9957;

					{	/* SawMill/bbv-types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_9958;

						BgL_tmpz00_9958 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6463));
						BgL_auxz00_9957 = BGL_OBJECT_WIDENING(BgL_tmpz00_9958);
					}
					BgL_auxz00_9956 = ((BgL_blockvz00_bglt) BgL_auxz00_9957);
				}
				return
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_9956))->BgL_versionsz00) =
					((obj_t) ((obj_t) BgL_vz00_6464)), BUNSPEC);
			}
		}

	}



/* &lambda2131 */
	obj_t BGl_z62lambda2131z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6465,
		obj_t BgL_oz00_6466)
	{
		{	/* SawMill/bbv-types.scm 35 */
			{
				BgL_blockvz00_bglt BgL_auxz00_9965;

				{
					obj_t BgL_auxz00_9966;

					{	/* SawMill/bbv-types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_9967;

						BgL_tmpz00_9967 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6466));
						BgL_auxz00_9966 = BGL_OBJECT_WIDENING(BgL_tmpz00_9967);
					}
					BgL_auxz00_9965 = ((BgL_blockvz00_bglt) BgL_auxz00_9966);
				}
				return
					(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_9965))->BgL_versionsz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_bbvzd2typeszd2()
	{
		{	/* SawMill/bbv-types.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_proc3051z00zzsaw_bbvzd2typeszd2, BFALSE,
				BGl_string3052z00zzsaw_bbvzd2typeszd2);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_proc3053z00zzsaw_bbvzd2typeszd2, BFALSE,
				BGl_string3054z00zzsaw_bbvzd2typeszd2);
		}

	}



/* &bbv-equal?1764 */
	obj_t BGl_z62bbvzd2equalzf31764z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6469,
		obj_t BgL_xz00_6470, obj_t BgL_yz00_6471)
	{
		{	/* SawMill/bbv-types.scm 740 */
			return BBOOL((BgL_xz00_6470 == BgL_yz00_6471));
		}

	}



/* &bbv-hash1711 */
	obj_t BGl_z62bbvzd2hash1711zb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6472,
		obj_t BgL_oz00_6473)
	{
		{	/* SawMill/bbv-types.scm 537 */
			return BINT(((long) 2345));
		}

	}



/* bbv-hash */
	BGL_EXPORTED_DEF obj_t BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(obj_t
		BgL_oz00_139)
	{
		{	/* SawMill/bbv-types.scm 537 */
			if (BGL_OBJECTP(BgL_oz00_139))
				{	/* SawMill/bbv-types.scm 537 */
					obj_t BgL_method1712z00_2891;

					{	/* SawMill/bbv-types.scm 537 */
						obj_t BgL_res2951z00_5098;

						{	/* SawMill/bbv-types.scm 537 */
							long BgL_objzd2classzd2numz00_5069;

							BgL_objzd2classzd2numz00_5069 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_139));
							{	/* SawMill/bbv-types.scm 537 */
								obj_t BgL_arg1829z00_5070;

								BgL_arg1829z00_5070 =
									PROCEDURE_REF(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
									(int) (((long) 1)));
								{	/* SawMill/bbv-types.scm 537 */
									int BgL_offsetz00_5073;

									BgL_offsetz00_5073 = (int) (BgL_objzd2classzd2numz00_5069);
									{	/* SawMill/bbv-types.scm 537 */
										long BgL_offsetz00_5074;

										BgL_offsetz00_5074 =
											((long) (BgL_offsetz00_5073) - OBJECT_TYPE);
										{	/* SawMill/bbv-types.scm 537 */
											long BgL_modz00_5075;

											BgL_modz00_5075 =
												(BgL_offsetz00_5074 >>
												(int) ((long) ((int) (((long) 4)))));
											{	/* SawMill/bbv-types.scm 537 */
												long BgL_restz00_5077;

												BgL_restz00_5077 =
													(BgL_offsetz00_5074 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(((long) 1) <<
																			(int) (
																				(long) (
																					(int) (((long) 4))))))) -
																((long) 1)))));
												{	/* SawMill/bbv-types.scm 537 */

													{	/* SawMill/bbv-types.scm 537 */
														obj_t BgL_bucketz00_5079;

														BgL_bucketz00_5079 =
															VECTOR_REF(
															((obj_t) BgL_arg1829z00_5070), BgL_modz00_5075);
														BgL_res2951z00_5098 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_5079), BgL_restz00_5077);
						}}}}}}}}
						BgL_method1712z00_2891 = BgL_res2951z00_5098;
					}
					return
						PROCEDURE_ENTRY(BgL_method1712z00_2891) (BgL_method1712z00_2891,
						BgL_oz00_139, BEOA);
				}
			else
				{	/* SawMill/bbv-types.scm 537 */
					obj_t BgL_fun2290z00_2892;

					BgL_fun2290z00_2892 =
						PROCEDURE_REF(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
						(int) (((long) 0)));
					return
						PROCEDURE_ENTRY(BgL_fun2290z00_2892) (BgL_fun2290z00_2892,
						BgL_oz00_139, BEOA);
				}
		}

	}



/* &bbv-hash */
	obj_t BGl_z62bbvzd2hashzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6474,
		obj_t BgL_oz00_6475)
	{
		{	/* SawMill/bbv-types.scm 537 */
			return BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(BgL_oz00_6475);
		}

	}



/* bbv-equal? */
	BGL_EXPORTED_DEF bool_t BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(obj_t
		BgL_xz00_165, obj_t BgL_yz00_166)
	{
		{	/* SawMill/bbv-types.scm 740 */
			if (BGL_OBJECTP(BgL_xz00_165))
				{	/* SawMill/bbv-types.scm 740 */
					obj_t BgL_method1765z00_2894;

					{	/* SawMill/bbv-types.scm 740 */
						obj_t BgL_res2957z00_5130;

						{	/* SawMill/bbv-types.scm 740 */
							long BgL_objzd2classzd2numz00_5101;

							BgL_objzd2classzd2numz00_5101 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_xz00_165));
							{	/* SawMill/bbv-types.scm 740 */
								obj_t BgL_arg1829z00_5102;

								BgL_arg1829z00_5102 =
									PROCEDURE_REF(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
									(int) (((long) 1)));
								{	/* SawMill/bbv-types.scm 740 */
									int BgL_offsetz00_5105;

									BgL_offsetz00_5105 = (int) (BgL_objzd2classzd2numz00_5101);
									{	/* SawMill/bbv-types.scm 740 */
										long BgL_offsetz00_5106;

										BgL_offsetz00_5106 =
											((long) (BgL_offsetz00_5105) - OBJECT_TYPE);
										{	/* SawMill/bbv-types.scm 740 */
											long BgL_modz00_5107;

											BgL_modz00_5107 =
												(BgL_offsetz00_5106 >>
												(int) ((long) ((int) (((long) 4)))));
											{	/* SawMill/bbv-types.scm 740 */
												long BgL_restz00_5109;

												BgL_restz00_5109 =
													(BgL_offsetz00_5106 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(((long) 1) <<
																			(int) (
																				(long) (
																					(int) (((long) 4))))))) -
																((long) 1)))));
												{	/* SawMill/bbv-types.scm 740 */

													{	/* SawMill/bbv-types.scm 740 */
														obj_t BgL_bucketz00_5111;

														BgL_bucketz00_5111 =
															VECTOR_REF(
															((obj_t) BgL_arg1829z00_5102), BgL_modz00_5107);
														BgL_res2957z00_5130 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_5111), BgL_restz00_5109);
						}}}}}}}}
						BgL_method1765z00_2894 = BgL_res2957z00_5130;
					}
					return
						CBOOL(PROCEDURE_ENTRY(BgL_method1765z00_2894)
						(BgL_method1765z00_2894, BgL_xz00_165, BgL_yz00_166, BEOA));
				}
			else
				{	/* SawMill/bbv-types.scm 740 */
					obj_t BgL_fun2292z00_2895;

					BgL_fun2292z00_2895 =
						PROCEDURE_REF(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
						(int) (((long) 0)));
					return
						CBOOL(PROCEDURE_ENTRY(BgL_fun2292z00_2895) (BgL_fun2292z00_2895,
							BgL_xz00_165, BgL_yz00_166, BEOA));
				}
		}

	}



/* &bbv-equal? */
	obj_t BGl_z62bbvzd2equalzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6476,
		obj_t BgL_xz00_6477, obj_t BgL_yz00_6478)
	{
		{	/* SawMill/bbv-types.scm 740 */
			return
				BBOOL(BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(BgL_xz00_6477,
					BgL_yz00_6478));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_bbvzd2typeszd2()
	{
		{	/* SawMill/bbv-types.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00,
				BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2,
				BGl_proc3055z00zzsaw_bbvzd2typeszd2,
				BGl_string3056z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00, BGl_blockSz00zzsaw_bbvzd2typeszd2,
				BGl_proc3057z00zzsaw_bbvzd2typeszd2,
				BGl_string3056z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2, BGl_typez00zztype_typez00,
				BGl_proc3058z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2, BGl_atomz00zzast_nodez00,
				BGl_proc3060z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_blockSz00zzsaw_bbvzd2typeszd2, BGl_proc3061z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2,
				BGl_proc3062z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_regz00zzsaw_defsz00, BGl_proc3063z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_funz00zzsaw_defsz00, BGl_proc3064z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_returnz00zzsaw_defsz00, BGl_proc3065z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_loadiz00zzsaw_defsz00, BGl_proc3066z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_loadgz00zzsaw_defsz00, BGl_proc3067z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_loadfunz00zzsaw_defsz00, BGl_proc3068z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_globalrefz00zzsaw_defsz00, BGl_proc3069z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc3070z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_vallocz00zzsaw_defsz00, BGl_proc3071z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_vrefz00zzsaw_defsz00, BGl_proc3072z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_vlengthz00zzsaw_defsz00, BGl_proc3073z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_instanceofz00zzsaw_defsz00, BGl_proc3074z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_storegz00zzsaw_defsz00, BGl_proc3075z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_setfieldz00zzsaw_defsz00, BGl_proc3076z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_vsetz00zzsaw_defsz00, BGl_proc3077z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_newz00zzsaw_defsz00, BGl_proc3078z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc3079z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_lightfuncallz00zzsaw_defsz00,
				BGl_proc3080z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_pragmaz00zzsaw_defsz00, BGl_proc3081z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_castz00zzsaw_defsz00, BGl_proc3082z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_cast_nullz00zzsaw_defsz00, BGl_proc3083z00zzsaw_bbvzd2typeszd2,
				BGl_string3059z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_atomz00zzast_nodez00, BGl_proc3084z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_blockSz00zzsaw_bbvzd2typeszd2, BGl_proc3086z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2,
				BGl_proc3087z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_regz00zzsaw_defsz00, BGl_proc3088z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_funz00zzsaw_defsz00, BGl_proc3089z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_selectz00zzsaw_defsz00, BGl_proc3090z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_switchz00zzsaw_defsz00, BGl_proc3091z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_loadiz00zzsaw_defsz00, BGl_proc3092z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_loadgz00zzsaw_defsz00, BGl_proc3093z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_loadfunz00zzsaw_defsz00, BGl_proc3094z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_globalrefz00zzsaw_defsz00, BGl_proc3095z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc3096z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_vallocz00zzsaw_defsz00, BGl_proc3097z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_vrefz00zzsaw_defsz00, BGl_proc3098z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_vlengthz00zzsaw_defsz00, BGl_proc3099z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_instanceofz00zzsaw_defsz00, BGl_proc3100z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_storegz00zzsaw_defsz00, BGl_proc3101z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_setfieldz00zzsaw_defsz00, BGl_proc3102z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_vsetz00zzsaw_defsz00, BGl_proc3103z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_newz00zzsaw_defsz00, BGl_proc3104z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc3105z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_lightfuncallz00zzsaw_defsz00,
				BGl_proc3106z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_pragmaz00zzsaw_defsz00, BGl_proc3107z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_castz00zzsaw_defsz00, BGl_proc3108z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_cast_nullz00zzsaw_defsz00, BGl_proc3109z00zzsaw_bbvzd2typeszd2,
				BGl_string3085z00zzsaw_bbvzd2typeszd2);
		}

	}



/* &bbv-equal?-rtl_cast_1815 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_cast_1815z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6532, obj_t BgL_xz00_6533, obj_t BgL_yz00_6534)
	{
		{	/* SawMill/bbv-types.scm 927 */
			{	/* SawMill/bbv-types.scm 928 */
				bool_t BgL_tmpz00_10111;

				{	/* SawMill/bbv-types.scm 928 */
					bool_t BgL_test3444z00_10112;

					{	/* SawMill/bbv-types.scm 928 */
						obj_t BgL_classz00_6917;

						BgL_classz00_6917 = BGl_rtl_cast_nullz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_6534))
							{	/* SawMill/bbv-types.scm 928 */
								BgL_objectz00_bglt BgL_arg1825z00_6918;

								BgL_arg1825z00_6918 = (BgL_objectz00_bglt) (BgL_yz00_6534);
								{	/* SawMill/bbv-types.scm 928 */
									bool_t BgL_arg1822z00_6919;
									bool_t BgL_arg1823z00_6920;

									{	/* SawMill/bbv-types.scm 928 */
										long BgL_idxz00_6921;

										BgL_idxz00_6921 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6918);
										BgL_arg1822z00_6919 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6921 + ((long) 2))) == BgL_classz00_6917);
									}
									{	/* SawMill/bbv-types.scm 928 */
										bool_t BgL_res2978z00_6924;

										{	/* SawMill/bbv-types.scm 928 */
											obj_t BgL_oclassz00_6925;

											{	/* SawMill/bbv-types.scm 928 */
												long BgL_arg1833z00_6926;

												{	/* SawMill/bbv-types.scm 928 */
													long BgL_arg1834z00_6927;

													BgL_arg1834z00_6927 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6918);
													BgL_arg1833z00_6926 =
														(BgL_arg1834z00_6927 - OBJECT_TYPE);
												}
												BgL_oclassz00_6925 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_6926);
											}
											{	/* SawMill/bbv-types.scm 928 */
												bool_t BgL__ortest_1110z00_6928;

												BgL__ortest_1110z00_6928 =
													(BgL_classz00_6917 == BgL_oclassz00_6925);
												if (BgL__ortest_1110z00_6928)
													{	/* SawMill/bbv-types.scm 928 */
														BgL_res2978z00_6924 = BgL__ortest_1110z00_6928;
													}
												else
													{	/* SawMill/bbv-types.scm 928 */
														long BgL_odepthz00_6929;

														BgL_odepthz00_6929 =
															BGL_CLASS_DEPTH(BgL_oclassz00_6925);
														if ((((long) 2) < BgL_odepthz00_6929))
															{	/* SawMill/bbv-types.scm 928 */
																obj_t BgL_arg1821z00_6930;

																BgL_arg1821z00_6930 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6925,
																	((long) 2));
																BgL_res2978z00_6924 =
																	(BgL_arg1821z00_6930 == BgL_classz00_6917);
															}
														else
															{	/* SawMill/bbv-types.scm 928 */
																BgL_res2978z00_6924 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_6920 = BgL_res2978z00_6924;
									}
									BgL_test3444z00_10112 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_6919, BgL_arg1823z00_6920);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 928 */
								BgL_test3444z00_10112 = ((bool_t) 0);
							}
					}
					if (BgL_test3444z00_10112)
						{	/* SawMill/bbv-types.scm 929 */
							BgL_typez00_bglt BgL_arg2738z00_6931;
							BgL_typez00_bglt BgL_arg2740z00_6932;

							BgL_arg2738z00_6931 =
								(((BgL_rtl_cast_nullz00_bglt) COBJECT(
										((BgL_rtl_cast_nullz00_bglt) BgL_xz00_6533)))->BgL_typez00);
							BgL_arg2740z00_6932 =
								(((BgL_rtl_cast_nullz00_bglt) COBJECT(
										((BgL_rtl_cast_nullz00_bglt) BgL_yz00_6534)))->BgL_typez00);
							BgL_tmpz00_10111 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2738z00_6931), ((obj_t) BgL_arg2740z00_6932));
						}
					else
						{	/* SawMill/bbv-types.scm 928 */
							BgL_tmpz00_10111 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10111);
			}
		}

	}



/* &bbv-equal?-rtl_cast1813 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_cast1813z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6535, obj_t BgL_xz00_6536, obj_t BgL_yz00_6537)
	{
		{	/* SawMill/bbv-types.scm 919 */
			{	/* SawMill/bbv-types.scm 920 */
				bool_t BgL_tmpz00_10139;

				{	/* SawMill/bbv-types.scm 920 */
					bool_t BgL_test3448z00_10140;

					{	/* SawMill/bbv-types.scm 920 */
						obj_t BgL_classz00_6934;

						BgL_classz00_6934 = BGl_rtl_castz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_6537))
							{	/* SawMill/bbv-types.scm 920 */
								BgL_objectz00_bglt BgL_arg1825z00_6935;

								BgL_arg1825z00_6935 = (BgL_objectz00_bglt) (BgL_yz00_6537);
								{	/* SawMill/bbv-types.scm 920 */
									bool_t BgL_arg1822z00_6936;
									bool_t BgL_arg1823z00_6937;

									{	/* SawMill/bbv-types.scm 920 */
										long BgL_idxz00_6938;

										BgL_idxz00_6938 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6935);
										BgL_arg1822z00_6936 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6938 + ((long) 2))) == BgL_classz00_6934);
									}
									{	/* SawMill/bbv-types.scm 920 */
										bool_t BgL_res2977z00_6941;

										{	/* SawMill/bbv-types.scm 920 */
											obj_t BgL_oclassz00_6942;

											{	/* SawMill/bbv-types.scm 920 */
												long BgL_arg1833z00_6943;

												{	/* SawMill/bbv-types.scm 920 */
													long BgL_arg1834z00_6944;

													BgL_arg1834z00_6944 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6935);
													BgL_arg1833z00_6943 =
														(BgL_arg1834z00_6944 - OBJECT_TYPE);
												}
												BgL_oclassz00_6942 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_6943);
											}
											{	/* SawMill/bbv-types.scm 920 */
												bool_t BgL__ortest_1110z00_6945;

												BgL__ortest_1110z00_6945 =
													(BgL_classz00_6934 == BgL_oclassz00_6942);
												if (BgL__ortest_1110z00_6945)
													{	/* SawMill/bbv-types.scm 920 */
														BgL_res2977z00_6941 = BgL__ortest_1110z00_6945;
													}
												else
													{	/* SawMill/bbv-types.scm 920 */
														long BgL_odepthz00_6946;

														BgL_odepthz00_6946 =
															BGL_CLASS_DEPTH(BgL_oclassz00_6942);
														if ((((long) 2) < BgL_odepthz00_6946))
															{	/* SawMill/bbv-types.scm 920 */
																obj_t BgL_arg1821z00_6947;

																BgL_arg1821z00_6947 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6942,
																	((long) 2));
																BgL_res2977z00_6941 =
																	(BgL_arg1821z00_6947 == BgL_classz00_6934);
															}
														else
															{	/* SawMill/bbv-types.scm 920 */
																BgL_res2977z00_6941 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_6937 = BgL_res2977z00_6941;
									}
									BgL_test3448z00_10140 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_6936, BgL_arg1823z00_6937);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 920 */
								BgL_test3448z00_10140 = ((bool_t) 0);
							}
					}
					if (BgL_test3448z00_10140)
						{	/* SawMill/bbv-types.scm 921 */
							bool_t BgL_test3452z00_10159;

							{	/* SawMill/bbv-types.scm 921 */
								BgL_typez00_bglt BgL_arg2735z00_6948;
								BgL_typez00_bglt BgL_arg2736z00_6949;

								BgL_arg2735z00_6948 =
									(((BgL_rtl_castz00_bglt) COBJECT(
											((BgL_rtl_castz00_bglt) BgL_xz00_6536)))->BgL_totypez00);
								BgL_arg2736z00_6949 =
									(((BgL_rtl_castz00_bglt) COBJECT(
											((BgL_rtl_castz00_bglt) BgL_yz00_6537)))->BgL_totypez00);
								BgL_test3452z00_10159 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg2735z00_6948), ((obj_t) BgL_arg2736z00_6949));
							}
							if (BgL_test3452z00_10159)
								{	/* SawMill/bbv-types.scm 922 */
									BgL_typez00_bglt BgL_arg2728z00_6950;
									BgL_typez00_bglt BgL_arg2730z00_6951;

									BgL_arg2728z00_6950 =
										(((BgL_rtl_castz00_bglt) COBJECT(
												((BgL_rtl_castz00_bglt) BgL_xz00_6536)))->
										BgL_fromtypez00);
									BgL_arg2730z00_6951 =
										(((BgL_rtl_castz00_bglt) COBJECT(((BgL_rtl_castz00_bglt)
													BgL_yz00_6537)))->BgL_fromtypez00);
									BgL_tmpz00_10139 =
										BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
											BgL_arg2728z00_6950), ((obj_t) BgL_arg2730z00_6951));
								}
							else
								{	/* SawMill/bbv-types.scm 921 */
									BgL_tmpz00_10139 = ((bool_t) 0);
								}
						}
					else
						{	/* SawMill/bbv-types.scm 920 */
							BgL_tmpz00_10139 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10139);
			}
		}

	}



/* &bbv-equal?-rtl_pragm1811 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_pragm1811z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6538, obj_t BgL_xz00_6539, obj_t BgL_yz00_6540)
	{
		{	/* SawMill/bbv-types.scm 912 */
			{	/* SawMill/bbv-types.scm 913 */
				bool_t BgL_tmpz00_10175;

				{	/* SawMill/bbv-types.scm 913 */
					bool_t BgL_test3453z00_10176;

					{	/* SawMill/bbv-types.scm 913 */
						obj_t BgL_classz00_6953;

						BgL_classz00_6953 = BGl_rtl_pragmaz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_6540))
							{	/* SawMill/bbv-types.scm 913 */
								BgL_objectz00_bglt BgL_arg1825z00_6954;

								BgL_arg1825z00_6954 = (BgL_objectz00_bglt) (BgL_yz00_6540);
								{	/* SawMill/bbv-types.scm 913 */
									bool_t BgL_arg1822z00_6955;
									bool_t BgL_arg1823z00_6956;

									{	/* SawMill/bbv-types.scm 913 */
										long BgL_idxz00_6957;

										BgL_idxz00_6957 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6954);
										BgL_arg1822z00_6955 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6957 + ((long) 2))) == BgL_classz00_6953);
									}
									{	/* SawMill/bbv-types.scm 913 */
										bool_t BgL_res2976z00_6960;

										{	/* SawMill/bbv-types.scm 913 */
											obj_t BgL_oclassz00_6961;

											{	/* SawMill/bbv-types.scm 913 */
												long BgL_arg1833z00_6962;

												{	/* SawMill/bbv-types.scm 913 */
													long BgL_arg1834z00_6963;

													BgL_arg1834z00_6963 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6954);
													BgL_arg1833z00_6962 =
														(BgL_arg1834z00_6963 - OBJECT_TYPE);
												}
												BgL_oclassz00_6961 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_6962);
											}
											{	/* SawMill/bbv-types.scm 913 */
												bool_t BgL__ortest_1110z00_6964;

												BgL__ortest_1110z00_6964 =
													(BgL_classz00_6953 == BgL_oclassz00_6961);
												if (BgL__ortest_1110z00_6964)
													{	/* SawMill/bbv-types.scm 913 */
														BgL_res2976z00_6960 = BgL__ortest_1110z00_6964;
													}
												else
													{	/* SawMill/bbv-types.scm 913 */
														long BgL_odepthz00_6965;

														BgL_odepthz00_6965 =
															BGL_CLASS_DEPTH(BgL_oclassz00_6961);
														if ((((long) 2) < BgL_odepthz00_6965))
															{	/* SawMill/bbv-types.scm 913 */
																obj_t BgL_arg1821z00_6966;

																BgL_arg1821z00_6966 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6961,
																	((long) 2));
																BgL_res2976z00_6960 =
																	(BgL_arg1821z00_6966 == BgL_classz00_6953);
															}
														else
															{	/* SawMill/bbv-types.scm 913 */
																BgL_res2976z00_6960 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_6956 = BgL_res2976z00_6960;
									}
									BgL_test3453z00_10176 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_6955, BgL_arg1823z00_6956);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 913 */
								BgL_test3453z00_10176 = ((bool_t) 0);
							}
					}
					if (BgL_test3453z00_10176)
						{	/* SawMill/bbv-types.scm 914 */
							obj_t BgL_arg2725z00_6967;
							obj_t BgL_arg2726z00_6968;

							BgL_arg2725z00_6967 =
								(((BgL_rtl_pragmaz00_bglt) COBJECT(
										((BgL_rtl_pragmaz00_bglt) BgL_xz00_6539)))->BgL_formatz00);
							BgL_arg2726z00_6968 =
								(((BgL_rtl_pragmaz00_bglt) COBJECT(
										((BgL_rtl_pragmaz00_bglt) BgL_yz00_6540)))->BgL_formatz00);
							{	/* SawMill/bbv-types.scm 914 */
								long BgL_l1z00_6969;

								BgL_l1z00_6969 = STRING_LENGTH(BgL_arg2725z00_6967);
								if ((BgL_l1z00_6969 == STRING_LENGTH(BgL_arg2726z00_6968)))
									{	/* SawMill/bbv-types.scm 914 */
										int BgL_arg1289z00_6970;

										{	/* SawMill/bbv-types.scm 914 */
											char *BgL_auxz00_10205;
											char *BgL_tmpz00_10203;

											BgL_auxz00_10205 = BSTRING_TO_STRING(BgL_arg2726z00_6968);
											BgL_tmpz00_10203 = BSTRING_TO_STRING(BgL_arg2725z00_6967);
											BgL_arg1289z00_6970 =
												memcmp(BgL_tmpz00_10203, BgL_auxz00_10205,
												BgL_l1z00_6969);
										}
										BgL_tmpz00_10175 =
											((long) (BgL_arg1289z00_6970) == ((long) 0));
									}
								else
									{	/* SawMill/bbv-types.scm 914 */
										BgL_tmpz00_10175 = ((bool_t) 0);
									}
							}
						}
					else
						{	/* SawMill/bbv-types.scm 913 */
							BgL_tmpz00_10175 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10175);
			}
		}

	}



/* &bbv-equal?-rtl_light1809 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_light1809z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6541, obj_t BgL_xz00_6542, obj_t BgL_yz00_6543)
	{
		{	/* SawMill/bbv-types.scm 906 */
			return
				BGl_errorz00zz__errorz00(BGl_string3085z00zzsaw_bbvzd2typeszd2,
				BGl_string3110z00zzsaw_bbvzd2typeszd2,
				((obj_t) ((BgL_rtl_lightfuncallz00_bglt) BgL_xz00_6542)));
		}

	}



/* &bbv-equal?-rtl_call1807 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_call1807z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6544, obj_t BgL_xz00_6545, obj_t BgL_yz00_6546)
	{
		{	/* SawMill/bbv-types.scm 899 */
			{	/* SawMill/bbv-types.scm 900 */
				bool_t BgL_tmpz00_10214;

				{	/* SawMill/bbv-types.scm 900 */
					bool_t BgL_test3458z00_10215;

					{	/* SawMill/bbv-types.scm 900 */
						obj_t BgL_classz00_6973;

						BgL_classz00_6973 = BGl_rtl_callz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_6546))
							{	/* SawMill/bbv-types.scm 900 */
								BgL_objectz00_bglt BgL_arg1825z00_6974;

								BgL_arg1825z00_6974 = (BgL_objectz00_bglt) (BgL_yz00_6546);
								{	/* SawMill/bbv-types.scm 900 */
									bool_t BgL_arg1822z00_6975;
									bool_t BgL_arg1823z00_6976;

									{	/* SawMill/bbv-types.scm 900 */
										long BgL_idxz00_6977;

										BgL_idxz00_6977 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6974);
										BgL_arg1822z00_6975 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6977 + ((long) 2))) == BgL_classz00_6973);
									}
									{	/* SawMill/bbv-types.scm 900 */
										bool_t BgL_res2975z00_6980;

										{	/* SawMill/bbv-types.scm 900 */
											obj_t BgL_oclassz00_6981;

											{	/* SawMill/bbv-types.scm 900 */
												long BgL_arg1833z00_6982;

												{	/* SawMill/bbv-types.scm 900 */
													long BgL_arg1834z00_6983;

													BgL_arg1834z00_6983 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6974);
													BgL_arg1833z00_6982 =
														(BgL_arg1834z00_6983 - OBJECT_TYPE);
												}
												BgL_oclassz00_6981 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_6982);
											}
											{	/* SawMill/bbv-types.scm 900 */
												bool_t BgL__ortest_1110z00_6984;

												BgL__ortest_1110z00_6984 =
													(BgL_classz00_6973 == BgL_oclassz00_6981);
												if (BgL__ortest_1110z00_6984)
													{	/* SawMill/bbv-types.scm 900 */
														BgL_res2975z00_6980 = BgL__ortest_1110z00_6984;
													}
												else
													{	/* SawMill/bbv-types.scm 900 */
														long BgL_odepthz00_6985;

														BgL_odepthz00_6985 =
															BGL_CLASS_DEPTH(BgL_oclassz00_6981);
														if ((((long) 2) < BgL_odepthz00_6985))
															{	/* SawMill/bbv-types.scm 900 */
																obj_t BgL_arg1821z00_6986;

																BgL_arg1821z00_6986 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6981,
																	((long) 2));
																BgL_res2975z00_6980 =
																	(BgL_arg1821z00_6986 == BgL_classz00_6973);
															}
														else
															{	/* SawMill/bbv-types.scm 900 */
																BgL_res2975z00_6980 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_6976 = BgL_res2975z00_6980;
									}
									BgL_test3458z00_10215 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_6975, BgL_arg1823z00_6976);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 900 */
								BgL_test3458z00_10215 = ((bool_t) 0);
							}
					}
					if (BgL_test3458z00_10215)
						{	/* SawMill/bbv-types.scm 901 */
							BgL_globalz00_bglt BgL_arg2721z00_6987;
							BgL_globalz00_bglt BgL_arg2723z00_6988;

							BgL_arg2721z00_6987 =
								(((BgL_rtl_callz00_bglt) COBJECT(
										((BgL_rtl_callz00_bglt) BgL_xz00_6545)))->BgL_varz00);
							BgL_arg2723z00_6988 =
								(((BgL_rtl_callz00_bglt) COBJECT(
										((BgL_rtl_callz00_bglt) BgL_yz00_6546)))->BgL_varz00);
							BgL_tmpz00_10214 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2721z00_6987), ((obj_t) BgL_arg2723z00_6988));
						}
					else
						{	/* SawMill/bbv-types.scm 900 */
							BgL_tmpz00_10214 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10214);
			}
		}

	}



/* &bbv-equal?-rtl_new1805 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_new1805z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6547, obj_t BgL_xz00_6548, obj_t BgL_yz00_6549)
	{
		{	/* SawMill/bbv-types.scm 893 */
			return
				BGl_errorz00zz__errorz00(BGl_string3085z00zzsaw_bbvzd2typeszd2,
				BGl_string3110z00zzsaw_bbvzd2typeszd2,
				((obj_t) ((BgL_rtl_newz00_bglt) BgL_xz00_6548)));
		}

	}



/* &bbv-equal?-rtl_vset1803 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_vset1803z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6550, obj_t BgL_xz00_6551, obj_t BgL_yz00_6552)
	{
		{	/* SawMill/bbv-types.scm 885 */
			{	/* SawMill/bbv-types.scm 886 */
				bool_t BgL_tmpz00_10245;

				{	/* SawMill/bbv-types.scm 886 */
					bool_t BgL_test3462z00_10246;

					{	/* SawMill/bbv-types.scm 886 */
						obj_t BgL_classz00_6991;

						BgL_classz00_6991 = BGl_rtl_vsetz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_6552))
							{	/* SawMill/bbv-types.scm 886 */
								BgL_objectz00_bglt BgL_arg1825z00_6992;

								BgL_arg1825z00_6992 = (BgL_objectz00_bglt) (BgL_yz00_6552);
								{	/* SawMill/bbv-types.scm 886 */
									bool_t BgL_arg1822z00_6993;
									bool_t BgL_arg1823z00_6994;

									{	/* SawMill/bbv-types.scm 886 */
										long BgL_idxz00_6995;

										BgL_idxz00_6995 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_6992);
										BgL_arg1822z00_6993 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6995 + ((long) 3))) == BgL_classz00_6991);
									}
									{	/* SawMill/bbv-types.scm 886 */
										bool_t BgL_res2974z00_6998;

										{	/* SawMill/bbv-types.scm 886 */
											obj_t BgL_oclassz00_6999;

											{	/* SawMill/bbv-types.scm 886 */
												long BgL_arg1833z00_7000;

												{	/* SawMill/bbv-types.scm 886 */
													long BgL_arg1834z00_7001;

													BgL_arg1834z00_7001 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_6992);
													BgL_arg1833z00_7000 =
														(BgL_arg1834z00_7001 - OBJECT_TYPE);
												}
												BgL_oclassz00_6999 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_7000);
											}
											{	/* SawMill/bbv-types.scm 886 */
												bool_t BgL__ortest_1110z00_7002;

												BgL__ortest_1110z00_7002 =
													(BgL_classz00_6991 == BgL_oclassz00_6999);
												if (BgL__ortest_1110z00_7002)
													{	/* SawMill/bbv-types.scm 886 */
														BgL_res2974z00_6998 = BgL__ortest_1110z00_7002;
													}
												else
													{	/* SawMill/bbv-types.scm 886 */
														long BgL_odepthz00_7003;

														BgL_odepthz00_7003 =
															BGL_CLASS_DEPTH(BgL_oclassz00_6999);
														if ((((long) 3) < BgL_odepthz00_7003))
															{	/* SawMill/bbv-types.scm 886 */
																obj_t BgL_arg1821z00_7004;

																BgL_arg1821z00_7004 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6999,
																	((long) 3));
																BgL_res2974z00_6998 =
																	(BgL_arg1821z00_7004 == BgL_classz00_6991);
															}
														else
															{	/* SawMill/bbv-types.scm 886 */
																BgL_res2974z00_6998 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_6994 = BgL_res2974z00_6998;
									}
									BgL_test3462z00_10246 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_6993, BgL_arg1823z00_6994);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 886 */
								BgL_test3462z00_10246 = ((bool_t) 0);
							}
					}
					if (BgL_test3462z00_10246)
						{	/* SawMill/bbv-types.scm 887 */
							bool_t BgL_test3466z00_10265;

							{	/* SawMill/bbv-types.scm 887 */
								BgL_typez00_bglt BgL_arg2718z00_7005;
								BgL_typez00_bglt BgL_arg2719z00_7006;

								BgL_arg2718z00_7005 =
									(((BgL_rtl_vsetz00_bglt) COBJECT(
											((BgL_rtl_vsetz00_bglt) BgL_xz00_6551)))->BgL_typez00);
								BgL_arg2719z00_7006 =
									(((BgL_rtl_vsetz00_bglt) COBJECT(
											((BgL_rtl_vsetz00_bglt) BgL_yz00_6552)))->BgL_typez00);
								BgL_test3466z00_10265 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg2718z00_7005), ((obj_t) BgL_arg2719z00_7006));
							}
							if (BgL_test3466z00_10265)
								{	/* SawMill/bbv-types.scm 888 */
									BgL_typez00_bglt BgL_arg2716z00_7007;
									BgL_typez00_bglt BgL_arg2717z00_7008;

									BgL_arg2716z00_7007 =
										(((BgL_rtl_vsetz00_bglt) COBJECT(
												((BgL_rtl_vsetz00_bglt) BgL_xz00_6551)))->BgL_vtypez00);
									BgL_arg2717z00_7008 =
										(((BgL_rtl_vsetz00_bglt) COBJECT(
												((BgL_rtl_vsetz00_bglt) BgL_yz00_6552)))->BgL_vtypez00);
									BgL_tmpz00_10245 =
										BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
										((obj_t) BgL_arg2716z00_7007),
										((obj_t) BgL_arg2717z00_7008));
								}
							else
								{	/* SawMill/bbv-types.scm 887 */
									BgL_tmpz00_10245 = ((bool_t) 0);
								}
						}
					else
						{	/* SawMill/bbv-types.scm 886 */
							BgL_tmpz00_10245 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10245);
			}
		}

	}



/* &bbv-equal?-rtl_setfi1801 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_setfi1801z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6553, obj_t BgL_xz00_6554, obj_t BgL_yz00_6555)
	{
		{	/* SawMill/bbv-types.scm 876 */
			{	/* SawMill/bbv-types.scm 877 */
				bool_t BgL_tmpz00_10281;

				{	/* SawMill/bbv-types.scm 877 */
					bool_t BgL_test3467z00_10282;

					{	/* SawMill/bbv-types.scm 877 */
						obj_t BgL_classz00_7010;

						BgL_classz00_7010 = BGl_rtl_setfieldz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_6555))
							{	/* SawMill/bbv-types.scm 877 */
								BgL_objectz00_bglt BgL_arg1825z00_7011;

								BgL_arg1825z00_7011 = (BgL_objectz00_bglt) (BgL_yz00_6555);
								{	/* SawMill/bbv-types.scm 877 */
									bool_t BgL_arg1822z00_7012;
									bool_t BgL_arg1823z00_7013;

									{	/* SawMill/bbv-types.scm 877 */
										long BgL_idxz00_7014;

										BgL_idxz00_7014 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_7011);
										BgL_arg1822z00_7012 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_7014 + ((long) 3))) == BgL_classz00_7010);
									}
									{	/* SawMill/bbv-types.scm 877 */
										bool_t BgL_res2973z00_7017;

										{	/* SawMill/bbv-types.scm 877 */
											obj_t BgL_oclassz00_7018;

											{	/* SawMill/bbv-types.scm 877 */
												long BgL_arg1833z00_7019;

												{	/* SawMill/bbv-types.scm 877 */
													long BgL_arg1834z00_7020;

													BgL_arg1834z00_7020 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_7011);
													BgL_arg1833z00_7019 =
														(BgL_arg1834z00_7020 - OBJECT_TYPE);
												}
												BgL_oclassz00_7018 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_7019);
											}
											{	/* SawMill/bbv-types.scm 877 */
												bool_t BgL__ortest_1110z00_7021;

												BgL__ortest_1110z00_7021 =
													(BgL_classz00_7010 == BgL_oclassz00_7018);
												if (BgL__ortest_1110z00_7021)
													{	/* SawMill/bbv-types.scm 877 */
														BgL_res2973z00_7017 = BgL__ortest_1110z00_7021;
													}
												else
													{	/* SawMill/bbv-types.scm 877 */
														long BgL_odepthz00_7022;

														BgL_odepthz00_7022 =
															BGL_CLASS_DEPTH(BgL_oclassz00_7018);
														if ((((long) 3) < BgL_odepthz00_7022))
															{	/* SawMill/bbv-types.scm 877 */
																obj_t BgL_arg1821z00_7023;

																BgL_arg1821z00_7023 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7018,
																	((long) 3));
																BgL_res2973z00_7017 =
																	(BgL_arg1821z00_7023 == BgL_classz00_7010);
															}
														else
															{	/* SawMill/bbv-types.scm 877 */
																BgL_res2973z00_7017 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_7013 = BgL_res2973z00_7017;
									}
									BgL_test3467z00_10282 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_7012, BgL_arg1823z00_7013);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 877 */
								BgL_test3467z00_10282 = ((bool_t) 0);
							}
					}
					if (BgL_test3467z00_10282)
						{	/* SawMill/bbv-types.scm 878 */
							bool_t BgL_test3471z00_10301;

							{	/* SawMill/bbv-types.scm 878 */
								obj_t BgL_arg2712z00_7024;
								obj_t BgL_arg2714z00_7025;

								BgL_arg2712z00_7024 =
									(((BgL_rtl_setfieldz00_bglt) COBJECT(
											((BgL_rtl_setfieldz00_bglt) BgL_xz00_6554)))->
									BgL_namez00);
								BgL_arg2714z00_7025 =
									(((BgL_rtl_setfieldz00_bglt)
										COBJECT(((BgL_rtl_setfieldz00_bglt) BgL_yz00_6555)))->
									BgL_namez00);
								{	/* SawMill/bbv-types.scm 878 */
									long BgL_l1z00_7026;

									BgL_l1z00_7026 = STRING_LENGTH(BgL_arg2712z00_7024);
									if ((BgL_l1z00_7026 == STRING_LENGTH(BgL_arg2714z00_7025)))
										{	/* SawMill/bbv-types.scm 878 */
											int BgL_arg1289z00_7027;

											{	/* SawMill/bbv-types.scm 878 */
												char *BgL_auxz00_10312;
												char *BgL_tmpz00_10310;

												BgL_auxz00_10312 =
													BSTRING_TO_STRING(BgL_arg2714z00_7025);
												BgL_tmpz00_10310 =
													BSTRING_TO_STRING(BgL_arg2712z00_7024);
												BgL_arg1289z00_7027 =
													memcmp(BgL_tmpz00_10310, BgL_auxz00_10312,
													BgL_l1z00_7026);
											}
											BgL_test3471z00_10301 =
												((long) (BgL_arg1289z00_7027) == ((long) 0));
										}
									else
										{	/* SawMill/bbv-types.scm 878 */
											BgL_test3471z00_10301 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test3471z00_10301)
								{	/* SawMill/bbv-types.scm 879 */
									bool_t BgL_test3473z00_10317;

									{	/* SawMill/bbv-types.scm 879 */
										BgL_typez00_bglt BgL_arg2709z00_7028;
										BgL_typez00_bglt BgL_arg2710z00_7029;

										BgL_arg2709z00_7028 =
											(((BgL_rtl_setfieldz00_bglt) COBJECT(
													((BgL_rtl_setfieldz00_bglt) BgL_xz00_6554)))->
											BgL_objtypez00);
										BgL_arg2710z00_7029 =
											(((BgL_rtl_setfieldz00_bglt)
												COBJECT(((BgL_rtl_setfieldz00_bglt) BgL_yz00_6555)))->
											BgL_objtypez00);
										BgL_test3473z00_10317 =
											BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
												BgL_arg2709z00_7028), ((obj_t) BgL_arg2710z00_7029));
									}
									if (BgL_test3473z00_10317)
										{	/* SawMill/bbv-types.scm 880 */
											BgL_typez00_bglt BgL_arg2706z00_7030;
											BgL_typez00_bglt BgL_arg2708z00_7031;

											BgL_arg2706z00_7030 =
												(((BgL_rtl_setfieldz00_bglt) COBJECT(
														((BgL_rtl_setfieldz00_bglt) BgL_xz00_6554)))->
												BgL_typez00);
											BgL_arg2708z00_7031 =
												(((BgL_rtl_setfieldz00_bglt)
													COBJECT(((BgL_rtl_setfieldz00_bglt) BgL_yz00_6555)))->
												BgL_typez00);
											BgL_tmpz00_10281 =
												BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
													BgL_arg2706z00_7030), ((obj_t) BgL_arg2708z00_7031));
										}
									else
										{	/* SawMill/bbv-types.scm 879 */
											BgL_tmpz00_10281 = ((bool_t) 0);
										}
								}
							else
								{	/* SawMill/bbv-types.scm 878 */
									BgL_tmpz00_10281 = ((bool_t) 0);
								}
						}
					else
						{	/* SawMill/bbv-types.scm 877 */
							BgL_tmpz00_10281 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10281);
			}
		}

	}



/* &bbv-equal?-rtl_store1799 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_store1799z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6556, obj_t BgL_xz00_6557, obj_t BgL_yz00_6558)
	{
		{	/* SawMill/bbv-types.scm 869 */
			{	/* SawMill/bbv-types.scm 870 */
				bool_t BgL_tmpz00_10333;

				{	/* SawMill/bbv-types.scm 870 */
					bool_t BgL_test3474z00_10334;

					{	/* SawMill/bbv-types.scm 870 */
						obj_t BgL_classz00_7033;

						BgL_classz00_7033 = BGl_rtl_storegz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_6558))
							{	/* SawMill/bbv-types.scm 870 */
								BgL_objectz00_bglt BgL_arg1825z00_7034;

								BgL_arg1825z00_7034 = (BgL_objectz00_bglt) (BgL_yz00_6558);
								{	/* SawMill/bbv-types.scm 870 */
									bool_t BgL_arg1822z00_7035;
									bool_t BgL_arg1823z00_7036;

									{	/* SawMill/bbv-types.scm 870 */
										long BgL_idxz00_7037;

										BgL_idxz00_7037 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_7034);
										BgL_arg1822z00_7035 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_7037 + ((long) 3))) == BgL_classz00_7033);
									}
									{	/* SawMill/bbv-types.scm 870 */
										bool_t BgL_res2972z00_7040;

										{	/* SawMill/bbv-types.scm 870 */
											obj_t BgL_oclassz00_7041;

											{	/* SawMill/bbv-types.scm 870 */
												long BgL_arg1833z00_7042;

												{	/* SawMill/bbv-types.scm 870 */
													long BgL_arg1834z00_7043;

													BgL_arg1834z00_7043 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_7034);
													BgL_arg1833z00_7042 =
														(BgL_arg1834z00_7043 - OBJECT_TYPE);
												}
												BgL_oclassz00_7041 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_7042);
											}
											{	/* SawMill/bbv-types.scm 870 */
												bool_t BgL__ortest_1110z00_7044;

												BgL__ortest_1110z00_7044 =
													(BgL_classz00_7033 == BgL_oclassz00_7041);
												if (BgL__ortest_1110z00_7044)
													{	/* SawMill/bbv-types.scm 870 */
														BgL_res2972z00_7040 = BgL__ortest_1110z00_7044;
													}
												else
													{	/* SawMill/bbv-types.scm 870 */
														long BgL_odepthz00_7045;

														BgL_odepthz00_7045 =
															BGL_CLASS_DEPTH(BgL_oclassz00_7041);
														if ((((long) 3) < BgL_odepthz00_7045))
															{	/* SawMill/bbv-types.scm 870 */
																obj_t BgL_arg1821z00_7046;

																BgL_arg1821z00_7046 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7041,
																	((long) 3));
																BgL_res2972z00_7040 =
																	(BgL_arg1821z00_7046 == BgL_classz00_7033);
															}
														else
															{	/* SawMill/bbv-types.scm 870 */
																BgL_res2972z00_7040 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_7036 = BgL_res2972z00_7040;
									}
									BgL_test3474z00_10334 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_7035, BgL_arg1823z00_7036);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 870 */
								BgL_test3474z00_10334 = ((bool_t) 0);
							}
					}
					if (BgL_test3474z00_10334)
						{	/* SawMill/bbv-types.scm 871 */
							BgL_globalz00_bglt BgL_arg2703z00_7047;
							BgL_globalz00_bglt BgL_arg2704z00_7048;

							BgL_arg2703z00_7047 =
								(((BgL_rtl_storegz00_bglt) COBJECT(
										((BgL_rtl_storegz00_bglt) BgL_xz00_6557)))->BgL_varz00);
							BgL_arg2704z00_7048 =
								(((BgL_rtl_storegz00_bglt) COBJECT(
										((BgL_rtl_storegz00_bglt) BgL_yz00_6558)))->BgL_varz00);
							BgL_tmpz00_10333 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2703z00_7047), ((obj_t) BgL_arg2704z00_7048));
						}
					else
						{	/* SawMill/bbv-types.scm 870 */
							BgL_tmpz00_10333 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10333);
			}
		}

	}



/* &bbv-equal?-rtl_insta1797 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_insta1797z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6559, obj_t BgL_xz00_6560, obj_t BgL_yz00_6561)
	{
		{	/* SawMill/bbv-types.scm 862 */
			{	/* SawMill/bbv-types.scm 863 */
				bool_t BgL_tmpz00_10361;

				{	/* SawMill/bbv-types.scm 863 */
					bool_t BgL_test3478z00_10362;

					{	/* SawMill/bbv-types.scm 863 */
						obj_t BgL_classz00_7050;

						BgL_classz00_7050 = BGl_rtl_instanceofz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_6561))
							{	/* SawMill/bbv-types.scm 863 */
								BgL_objectz00_bglt BgL_arg1825z00_7051;

								BgL_arg1825z00_7051 = (BgL_objectz00_bglt) (BgL_yz00_6561);
								{	/* SawMill/bbv-types.scm 863 */
									bool_t BgL_arg1822z00_7052;
									bool_t BgL_arg1823z00_7053;

									{	/* SawMill/bbv-types.scm 863 */
										long BgL_idxz00_7054;

										BgL_idxz00_7054 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_7051);
										BgL_arg1822z00_7052 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_7054 + ((long) 3))) == BgL_classz00_7050);
									}
									{	/* SawMill/bbv-types.scm 863 */
										bool_t BgL_res2971z00_7057;

										{	/* SawMill/bbv-types.scm 863 */
											obj_t BgL_oclassz00_7058;

											{	/* SawMill/bbv-types.scm 863 */
												long BgL_arg1833z00_7059;

												{	/* SawMill/bbv-types.scm 863 */
													long BgL_arg1834z00_7060;

													BgL_arg1834z00_7060 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_7051);
													BgL_arg1833z00_7059 =
														(BgL_arg1834z00_7060 - OBJECT_TYPE);
												}
												BgL_oclassz00_7058 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_7059);
											}
											{	/* SawMill/bbv-types.scm 863 */
												bool_t BgL__ortest_1110z00_7061;

												BgL__ortest_1110z00_7061 =
													(BgL_classz00_7050 == BgL_oclassz00_7058);
												if (BgL__ortest_1110z00_7061)
													{	/* SawMill/bbv-types.scm 863 */
														BgL_res2971z00_7057 = BgL__ortest_1110z00_7061;
													}
												else
													{	/* SawMill/bbv-types.scm 863 */
														long BgL_odepthz00_7062;

														BgL_odepthz00_7062 =
															BGL_CLASS_DEPTH(BgL_oclassz00_7058);
														if ((((long) 3) < BgL_odepthz00_7062))
															{	/* SawMill/bbv-types.scm 863 */
																obj_t BgL_arg1821z00_7063;

																BgL_arg1821z00_7063 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7058,
																	((long) 3));
																BgL_res2971z00_7057 =
																	(BgL_arg1821z00_7063 == BgL_classz00_7050);
															}
														else
															{	/* SawMill/bbv-types.scm 863 */
																BgL_res2971z00_7057 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_7053 = BgL_res2971z00_7057;
									}
									BgL_test3478z00_10362 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_7052, BgL_arg1823z00_7053);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 863 */
								BgL_test3478z00_10362 = ((bool_t) 0);
							}
					}
					if (BgL_test3478z00_10362)
						{	/* SawMill/bbv-types.scm 864 */
							BgL_typez00_bglt BgL_arg2699z00_7064;
							BgL_typez00_bglt BgL_arg2700z00_7065;

							BgL_arg2699z00_7064 =
								(((BgL_rtl_instanceofz00_bglt) COBJECT(
										((BgL_rtl_instanceofz00_bglt) BgL_xz00_6560)))->
								BgL_typez00);
							BgL_arg2700z00_7065 =
								(((BgL_rtl_instanceofz00_bglt)
									COBJECT(((BgL_rtl_instanceofz00_bglt) BgL_yz00_6561)))->
								BgL_typez00);
							BgL_tmpz00_10361 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
									BgL_arg2699z00_7064), ((obj_t) BgL_arg2700z00_7065));
						}
					else
						{	/* SawMill/bbv-types.scm 863 */
							BgL_tmpz00_10361 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10361);
			}
		}

	}



/* &bbv-equal?-rtl_vleng1795 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_vleng1795z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6562, obj_t BgL_xz00_6563, obj_t BgL_yz00_6564)
	{
		{	/* SawMill/bbv-types.scm 854 */
			{	/* SawMill/bbv-types.scm 855 */
				bool_t BgL_tmpz00_10389;

				{	/* SawMill/bbv-types.scm 855 */
					bool_t BgL_test3482z00_10390;

					{	/* SawMill/bbv-types.scm 855 */
						obj_t BgL_classz00_7067;

						BgL_classz00_7067 = BGl_rtl_vlengthz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_6564))
							{	/* SawMill/bbv-types.scm 855 */
								BgL_objectz00_bglt BgL_arg1825z00_7068;

								BgL_arg1825z00_7068 = (BgL_objectz00_bglt) (BgL_yz00_6564);
								{	/* SawMill/bbv-types.scm 855 */
									bool_t BgL_arg1822z00_7069;
									bool_t BgL_arg1823z00_7070;

									{	/* SawMill/bbv-types.scm 855 */
										long BgL_idxz00_7071;

										BgL_idxz00_7071 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_7068);
										BgL_arg1822z00_7069 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_7071 + ((long) 3))) == BgL_classz00_7067);
									}
									{	/* SawMill/bbv-types.scm 855 */
										bool_t BgL_res2970z00_7074;

										{	/* SawMill/bbv-types.scm 855 */
											obj_t BgL_oclassz00_7075;

											{	/* SawMill/bbv-types.scm 855 */
												long BgL_arg1833z00_7076;

												{	/* SawMill/bbv-types.scm 855 */
													long BgL_arg1834z00_7077;

													BgL_arg1834z00_7077 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_7068);
													BgL_arg1833z00_7076 =
														(BgL_arg1834z00_7077 - OBJECT_TYPE);
												}
												BgL_oclassz00_7075 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_7076);
											}
											{	/* SawMill/bbv-types.scm 855 */
												bool_t BgL__ortest_1110z00_7078;

												BgL__ortest_1110z00_7078 =
													(BgL_classz00_7067 == BgL_oclassz00_7075);
												if (BgL__ortest_1110z00_7078)
													{	/* SawMill/bbv-types.scm 855 */
														BgL_res2970z00_7074 = BgL__ortest_1110z00_7078;
													}
												else
													{	/* SawMill/bbv-types.scm 855 */
														long BgL_odepthz00_7079;

														BgL_odepthz00_7079 =
															BGL_CLASS_DEPTH(BgL_oclassz00_7075);
														if ((((long) 3) < BgL_odepthz00_7079))
															{	/* SawMill/bbv-types.scm 855 */
																obj_t BgL_arg1821z00_7080;

																BgL_arg1821z00_7080 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7075,
																	((long) 3));
																BgL_res2970z00_7074 =
																	(BgL_arg1821z00_7080 == BgL_classz00_7067);
															}
														else
															{	/* SawMill/bbv-types.scm 855 */
																BgL_res2970z00_7074 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_7070 = BgL_res2970z00_7074;
									}
									BgL_test3482z00_10390 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_7069, BgL_arg1823z00_7070);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 855 */
								BgL_test3482z00_10390 = ((bool_t) 0);
							}
					}
					if (BgL_test3482z00_10390)
						{	/* SawMill/bbv-types.scm 855 */
							{	/* SawMill/bbv-types.scm 856 */
								BgL_typez00_bglt BgL_arg2693z00_7081;
								BgL_typez00_bglt BgL_arg2694z00_7082;

								BgL_arg2693z00_7081 =
									(((BgL_rtl_vlengthz00_bglt) COBJECT(
											((BgL_rtl_vlengthz00_bglt) BgL_xz00_6563)))->BgL_typez00);
								BgL_arg2694z00_7082 =
									(((BgL_rtl_vlengthz00_bglt) COBJECT(
											((BgL_rtl_vlengthz00_bglt) BgL_yz00_6564)))->BgL_typez00);
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg2693z00_7081), ((obj_t) BgL_arg2694z00_7082));
							}
							{	/* SawMill/bbv-types.scm 857 */
								BgL_typez00_bglt BgL_arg2695z00_7083;
								BgL_typez00_bglt BgL_arg2696z00_7084;

								BgL_arg2695z00_7083 =
									(((BgL_rtl_vlengthz00_bglt) COBJECT(
											((BgL_rtl_vlengthz00_bglt) BgL_xz00_6563)))->
									BgL_vtypez00);
								BgL_arg2696z00_7084 =
									(((BgL_rtl_vlengthz00_bglt) COBJECT(((BgL_rtl_vlengthz00_bglt)
												BgL_yz00_6564)))->BgL_vtypez00);
								BgL_tmpz00_10389 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
										BgL_arg2695z00_7083), ((obj_t) BgL_arg2696z00_7084));
							}
						}
					else
						{	/* SawMill/bbv-types.scm 855 */
							BgL_tmpz00_10389 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10389);
			}
		}

	}



/* &bbv-equal?-rtl_vref1793 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_vref1793z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6565, obj_t BgL_xz00_6566, obj_t BgL_yz00_6567)
	{
		{	/* SawMill/bbv-types.scm 846 */
			{	/* SawMill/bbv-types.scm 847 */
				bool_t BgL_tmpz00_10424;

				{	/* SawMill/bbv-types.scm 847 */
					bool_t BgL_test3486z00_10425;

					{	/* SawMill/bbv-types.scm 847 */
						obj_t BgL_classz00_7086;

						BgL_classz00_7086 = BGl_rtl_vrefz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_6567))
							{	/* SawMill/bbv-types.scm 847 */
								BgL_objectz00_bglt BgL_arg1825z00_7087;

								BgL_arg1825z00_7087 = (BgL_objectz00_bglt) (BgL_yz00_6567);
								{	/* SawMill/bbv-types.scm 847 */
									bool_t BgL_arg1822z00_7088;
									bool_t BgL_arg1823z00_7089;

									{	/* SawMill/bbv-types.scm 847 */
										long BgL_idxz00_7090;

										BgL_idxz00_7090 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_7087);
										BgL_arg1822z00_7088 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_7090 + ((long) 3))) == BgL_classz00_7086);
									}
									{	/* SawMill/bbv-types.scm 847 */
										bool_t BgL_res2969z00_7093;

										{	/* SawMill/bbv-types.scm 847 */
											obj_t BgL_oclassz00_7094;

											{	/* SawMill/bbv-types.scm 847 */
												long BgL_arg1833z00_7095;

												{	/* SawMill/bbv-types.scm 847 */
													long BgL_arg1834z00_7096;

													BgL_arg1834z00_7096 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_7087);
													BgL_arg1833z00_7095 =
														(BgL_arg1834z00_7096 - OBJECT_TYPE);
												}
												BgL_oclassz00_7094 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_7095);
											}
											{	/* SawMill/bbv-types.scm 847 */
												bool_t BgL__ortest_1110z00_7097;

												BgL__ortest_1110z00_7097 =
													(BgL_classz00_7086 == BgL_oclassz00_7094);
												if (BgL__ortest_1110z00_7097)
													{	/* SawMill/bbv-types.scm 847 */
														BgL_res2969z00_7093 = BgL__ortest_1110z00_7097;
													}
												else
													{	/* SawMill/bbv-types.scm 847 */
														long BgL_odepthz00_7098;

														BgL_odepthz00_7098 =
															BGL_CLASS_DEPTH(BgL_oclassz00_7094);
														if ((((long) 3) < BgL_odepthz00_7098))
															{	/* SawMill/bbv-types.scm 847 */
																obj_t BgL_arg1821z00_7099;

																BgL_arg1821z00_7099 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7094,
																	((long) 3));
																BgL_res2969z00_7093 =
																	(BgL_arg1821z00_7099 == BgL_classz00_7086);
															}
														else
															{	/* SawMill/bbv-types.scm 847 */
																BgL_res2969z00_7093 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_7089 = BgL_res2969z00_7093;
									}
									BgL_test3486z00_10425 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_7088, BgL_arg1823z00_7089);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 847 */
								BgL_test3486z00_10425 = ((bool_t) 0);
							}
					}
					if (BgL_test3486z00_10425)
						{	/* SawMill/bbv-types.scm 847 */
							{	/* SawMill/bbv-types.scm 848 */
								BgL_typez00_bglt BgL_arg2688z00_7100;
								BgL_typez00_bglt BgL_arg2689z00_7101;

								BgL_arg2688z00_7100 =
									(((BgL_rtl_vrefz00_bglt) COBJECT(
											((BgL_rtl_vrefz00_bglt) BgL_xz00_6566)))->BgL_typez00);
								BgL_arg2689z00_7101 =
									(((BgL_rtl_vrefz00_bglt) COBJECT(
											((BgL_rtl_vrefz00_bglt) BgL_yz00_6567)))->BgL_typez00);
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg2688z00_7100), ((obj_t) BgL_arg2689z00_7101));
							}
							{	/* SawMill/bbv-types.scm 849 */
								BgL_typez00_bglt BgL_arg2690z00_7102;
								BgL_typez00_bglt BgL_arg2691z00_7103;

								BgL_arg2690z00_7102 =
									(((BgL_rtl_vrefz00_bglt) COBJECT(
											((BgL_rtl_vrefz00_bglt) BgL_xz00_6566)))->BgL_vtypez00);
								BgL_arg2691z00_7103 =
									(((BgL_rtl_vrefz00_bglt) COBJECT(
											((BgL_rtl_vrefz00_bglt) BgL_yz00_6567)))->BgL_vtypez00);
								BgL_tmpz00_10424 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg2690z00_7102), ((obj_t) BgL_arg2691z00_7103));
							}
						}
					else
						{	/* SawMill/bbv-types.scm 847 */
							BgL_tmpz00_10424 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10424);
			}
		}

	}



/* &bbv-equal?-rtl_vallo1791 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_vallo1791z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6568, obj_t BgL_xz00_6569, obj_t BgL_yz00_6570)
	{
		{	/* SawMill/bbv-types.scm 838 */
			{	/* SawMill/bbv-types.scm 839 */
				bool_t BgL_tmpz00_10459;

				{	/* SawMill/bbv-types.scm 839 */
					bool_t BgL_test3490z00_10460;

					{	/* SawMill/bbv-types.scm 839 */
						obj_t BgL_classz00_7105;

						BgL_classz00_7105 = BGl_rtl_vallocz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_6570))
							{	/* SawMill/bbv-types.scm 839 */
								BgL_objectz00_bglt BgL_arg1825z00_7106;

								BgL_arg1825z00_7106 = (BgL_objectz00_bglt) (BgL_yz00_6570);
								{	/* SawMill/bbv-types.scm 839 */
									bool_t BgL_arg1822z00_7107;
									bool_t BgL_arg1823z00_7108;

									{	/* SawMill/bbv-types.scm 839 */
										long BgL_idxz00_7109;

										BgL_idxz00_7109 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_7106);
										BgL_arg1822z00_7107 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_7109 + ((long) 3))) == BgL_classz00_7105);
									}
									{	/* SawMill/bbv-types.scm 839 */
										bool_t BgL_res2968z00_7112;

										{	/* SawMill/bbv-types.scm 839 */
											obj_t BgL_oclassz00_7113;

											{	/* SawMill/bbv-types.scm 839 */
												long BgL_arg1833z00_7114;

												{	/* SawMill/bbv-types.scm 839 */
													long BgL_arg1834z00_7115;

													BgL_arg1834z00_7115 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_7106);
													BgL_arg1833z00_7114 =
														(BgL_arg1834z00_7115 - OBJECT_TYPE);
												}
												BgL_oclassz00_7113 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_7114);
											}
											{	/* SawMill/bbv-types.scm 839 */
												bool_t BgL__ortest_1110z00_7116;

												BgL__ortest_1110z00_7116 =
													(BgL_classz00_7105 == BgL_oclassz00_7113);
												if (BgL__ortest_1110z00_7116)
													{	/* SawMill/bbv-types.scm 839 */
														BgL_res2968z00_7112 = BgL__ortest_1110z00_7116;
													}
												else
													{	/* SawMill/bbv-types.scm 839 */
														long BgL_odepthz00_7117;

														BgL_odepthz00_7117 =
															BGL_CLASS_DEPTH(BgL_oclassz00_7113);
														if ((((long) 3) < BgL_odepthz00_7117))
															{	/* SawMill/bbv-types.scm 839 */
																obj_t BgL_arg1821z00_7118;

																BgL_arg1821z00_7118 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7113,
																	((long) 3));
																BgL_res2968z00_7112 =
																	(BgL_arg1821z00_7118 == BgL_classz00_7105);
															}
														else
															{	/* SawMill/bbv-types.scm 839 */
																BgL_res2968z00_7112 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_7108 = BgL_res2968z00_7112;
									}
									BgL_test3490z00_10460 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_7107, BgL_arg1823z00_7108);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 839 */
								BgL_test3490z00_10460 = ((bool_t) 0);
							}
					}
					if (BgL_test3490z00_10460)
						{	/* SawMill/bbv-types.scm 839 */
							{	/* SawMill/bbv-types.scm 840 */
								BgL_typez00_bglt BgL_arg2683z00_7119;
								BgL_typez00_bglt BgL_arg2684z00_7120;

								BgL_arg2683z00_7119 =
									(((BgL_rtl_vallocz00_bglt) COBJECT(
											((BgL_rtl_vallocz00_bglt) BgL_xz00_6569)))->BgL_typez00);
								BgL_arg2684z00_7120 =
									(((BgL_rtl_vallocz00_bglt) COBJECT(
											((BgL_rtl_vallocz00_bglt) BgL_yz00_6570)))->BgL_typez00);
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg2683z00_7119), ((obj_t) BgL_arg2684z00_7120));
							}
							{	/* SawMill/bbv-types.scm 841 */
								BgL_typez00_bglt BgL_arg2685z00_7121;
								BgL_typez00_bglt BgL_arg2686z00_7122;

								BgL_arg2685z00_7121 =
									(((BgL_rtl_vallocz00_bglt) COBJECT(
											((BgL_rtl_vallocz00_bglt) BgL_xz00_6569)))->BgL_vtypez00);
								BgL_arg2686z00_7122 =
									(((BgL_rtl_vallocz00_bglt) COBJECT(
											((BgL_rtl_vallocz00_bglt) BgL_yz00_6570)))->BgL_vtypez00);
								BgL_tmpz00_10459 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg2685z00_7121), ((obj_t) BgL_arg2686z00_7122));
							}
						}
					else
						{	/* SawMill/bbv-types.scm 839 */
							BgL_tmpz00_10459 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10459);
			}
		}

	}



/* &bbv-equal?-rtl_getfi1789 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_getfi1789z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6571, obj_t BgL_xz00_6572, obj_t BgL_yz00_6573)
	{
		{	/* SawMill/bbv-types.scm 829 */
			{	/* SawMill/bbv-types.scm 830 */
				bool_t BgL_tmpz00_10494;

				{	/* SawMill/bbv-types.scm 830 */
					bool_t BgL_test3494z00_10495;

					{	/* SawMill/bbv-types.scm 830 */
						obj_t BgL_classz00_7124;

						BgL_classz00_7124 = BGl_rtl_getfieldz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_6573))
							{	/* SawMill/bbv-types.scm 830 */
								BgL_objectz00_bglt BgL_arg1825z00_7125;

								BgL_arg1825z00_7125 = (BgL_objectz00_bglt) (BgL_yz00_6573);
								{	/* SawMill/bbv-types.scm 830 */
									bool_t BgL_arg1822z00_7126;
									bool_t BgL_arg1823z00_7127;

									{	/* SawMill/bbv-types.scm 830 */
										long BgL_idxz00_7128;

										BgL_idxz00_7128 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_7125);
										BgL_arg1822z00_7126 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_7128 + ((long) 3))) == BgL_classz00_7124);
									}
									{	/* SawMill/bbv-types.scm 830 */
										bool_t BgL_res2967z00_7131;

										{	/* SawMill/bbv-types.scm 830 */
											obj_t BgL_oclassz00_7132;

											{	/* SawMill/bbv-types.scm 830 */
												long BgL_arg1833z00_7133;

												{	/* SawMill/bbv-types.scm 830 */
													long BgL_arg1834z00_7134;

													BgL_arg1834z00_7134 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_7125);
													BgL_arg1833z00_7133 =
														(BgL_arg1834z00_7134 - OBJECT_TYPE);
												}
												BgL_oclassz00_7132 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_7133);
											}
											{	/* SawMill/bbv-types.scm 830 */
												bool_t BgL__ortest_1110z00_7135;

												BgL__ortest_1110z00_7135 =
													(BgL_classz00_7124 == BgL_oclassz00_7132);
												if (BgL__ortest_1110z00_7135)
													{	/* SawMill/bbv-types.scm 830 */
														BgL_res2967z00_7131 = BgL__ortest_1110z00_7135;
													}
												else
													{	/* SawMill/bbv-types.scm 830 */
														long BgL_odepthz00_7136;

														BgL_odepthz00_7136 =
															BGL_CLASS_DEPTH(BgL_oclassz00_7132);
														if ((((long) 3) < BgL_odepthz00_7136))
															{	/* SawMill/bbv-types.scm 830 */
																obj_t BgL_arg1821z00_7137;

																BgL_arg1821z00_7137 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7132,
																	((long) 3));
																BgL_res2967z00_7131 =
																	(BgL_arg1821z00_7137 == BgL_classz00_7124);
															}
														else
															{	/* SawMill/bbv-types.scm 830 */
																BgL_res2967z00_7131 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_7127 = BgL_res2967z00_7131;
									}
									BgL_test3494z00_10495 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_7126, BgL_arg1823z00_7127);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 830 */
								BgL_test3494z00_10495 = ((bool_t) 0);
							}
					}
					if (BgL_test3494z00_10495)
						{	/* SawMill/bbv-types.scm 831 */
							bool_t BgL_test3498z00_10514;

							{	/* SawMill/bbv-types.scm 831 */
								obj_t BgL_arg2680z00_7138;
								obj_t BgL_arg2681z00_7139;

								BgL_arg2680z00_7138 =
									(((BgL_rtl_getfieldz00_bglt) COBJECT(
											((BgL_rtl_getfieldz00_bglt) BgL_xz00_6572)))->
									BgL_namez00);
								BgL_arg2681z00_7139 =
									(((BgL_rtl_getfieldz00_bglt)
										COBJECT(((BgL_rtl_getfieldz00_bglt) BgL_yz00_6573)))->
									BgL_namez00);
								{	/* SawMill/bbv-types.scm 831 */
									long BgL_l1z00_7140;

									BgL_l1z00_7140 = STRING_LENGTH(BgL_arg2680z00_7138);
									if ((BgL_l1z00_7140 == STRING_LENGTH(BgL_arg2681z00_7139)))
										{	/* SawMill/bbv-types.scm 831 */
											int BgL_arg1289z00_7141;

											{	/* SawMill/bbv-types.scm 831 */
												char *BgL_auxz00_10525;
												char *BgL_tmpz00_10523;

												BgL_auxz00_10525 =
													BSTRING_TO_STRING(BgL_arg2681z00_7139);
												BgL_tmpz00_10523 =
													BSTRING_TO_STRING(BgL_arg2680z00_7138);
												BgL_arg1289z00_7141 =
													memcmp(BgL_tmpz00_10523, BgL_auxz00_10525,
													BgL_l1z00_7140);
											}
											BgL_test3498z00_10514 =
												((long) (BgL_arg1289z00_7141) == ((long) 0));
										}
									else
										{	/* SawMill/bbv-types.scm 831 */
											BgL_test3498z00_10514 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test3498z00_10514)
								{	/* SawMill/bbv-types.scm 832 */
									bool_t BgL_test3500z00_10530;

									{	/* SawMill/bbv-types.scm 832 */
										BgL_typez00_bglt BgL_arg2678z00_7142;
										BgL_typez00_bglt BgL_arg2679z00_7143;

										BgL_arg2678z00_7142 =
											(((BgL_rtl_getfieldz00_bglt) COBJECT(
													((BgL_rtl_getfieldz00_bglt) BgL_xz00_6572)))->
											BgL_objtypez00);
										BgL_arg2679z00_7143 =
											(((BgL_rtl_getfieldz00_bglt)
												COBJECT(((BgL_rtl_getfieldz00_bglt) BgL_yz00_6573)))->
											BgL_objtypez00);
										BgL_test3500z00_10530 =
											BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
												BgL_arg2678z00_7142), ((obj_t) BgL_arg2679z00_7143));
									}
									if (BgL_test3500z00_10530)
										{	/* SawMill/bbv-types.scm 833 */
											BgL_typez00_bglt BgL_arg2675z00_7144;
											BgL_typez00_bglt BgL_arg2677z00_7145;

											BgL_arg2675z00_7144 =
												(((BgL_rtl_getfieldz00_bglt) COBJECT(
														((BgL_rtl_getfieldz00_bglt) BgL_xz00_6572)))->
												BgL_typez00);
											BgL_arg2677z00_7145 =
												(((BgL_rtl_getfieldz00_bglt)
													COBJECT(((BgL_rtl_getfieldz00_bglt) BgL_yz00_6573)))->
												BgL_typez00);
											BgL_tmpz00_10494 =
												BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
													BgL_arg2675z00_7144), ((obj_t) BgL_arg2677z00_7145));
										}
									else
										{	/* SawMill/bbv-types.scm 832 */
											BgL_tmpz00_10494 = ((bool_t) 0);
										}
								}
							else
								{	/* SawMill/bbv-types.scm 831 */
									BgL_tmpz00_10494 = ((bool_t) 0);
								}
						}
					else
						{	/* SawMill/bbv-types.scm 830 */
							BgL_tmpz00_10494 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10494);
			}
		}

	}



/* &bbv-equal?-rtl_globa1787 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_globa1787z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6574, obj_t BgL_xz00_6575, obj_t BgL_yz00_6576)
	{
		{	/* SawMill/bbv-types.scm 822 */
			{	/* SawMill/bbv-types.scm 823 */
				bool_t BgL_tmpz00_10546;

				{	/* SawMill/bbv-types.scm 823 */
					bool_t BgL_test3501z00_10547;

					{	/* SawMill/bbv-types.scm 823 */
						obj_t BgL_classz00_7147;

						BgL_classz00_7147 = BGl_rtl_globalrefz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_6576))
							{	/* SawMill/bbv-types.scm 823 */
								BgL_objectz00_bglt BgL_arg1825z00_7148;

								BgL_arg1825z00_7148 = (BgL_objectz00_bglt) (BgL_yz00_6576);
								{	/* SawMill/bbv-types.scm 823 */
									bool_t BgL_arg1822z00_7149;
									bool_t BgL_arg1823z00_7150;

									{	/* SawMill/bbv-types.scm 823 */
										long BgL_idxz00_7151;

										BgL_idxz00_7151 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_7148);
										BgL_arg1822z00_7149 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_7151 + ((long) 3))) == BgL_classz00_7147);
									}
									{	/* SawMill/bbv-types.scm 823 */
										bool_t BgL_res2966z00_7154;

										{	/* SawMill/bbv-types.scm 823 */
											obj_t BgL_oclassz00_7155;

											{	/* SawMill/bbv-types.scm 823 */
												long BgL_arg1833z00_7156;

												{	/* SawMill/bbv-types.scm 823 */
													long BgL_arg1834z00_7157;

													BgL_arg1834z00_7157 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_7148);
													BgL_arg1833z00_7156 =
														(BgL_arg1834z00_7157 - OBJECT_TYPE);
												}
												BgL_oclassz00_7155 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_7156);
											}
											{	/* SawMill/bbv-types.scm 823 */
												bool_t BgL__ortest_1110z00_7158;

												BgL__ortest_1110z00_7158 =
													(BgL_classz00_7147 == BgL_oclassz00_7155);
												if (BgL__ortest_1110z00_7158)
													{	/* SawMill/bbv-types.scm 823 */
														BgL_res2966z00_7154 = BgL__ortest_1110z00_7158;
													}
												else
													{	/* SawMill/bbv-types.scm 823 */
														long BgL_odepthz00_7159;

														BgL_odepthz00_7159 =
															BGL_CLASS_DEPTH(BgL_oclassz00_7155);
														if ((((long) 3) < BgL_odepthz00_7159))
															{	/* SawMill/bbv-types.scm 823 */
																obj_t BgL_arg1821z00_7160;

																BgL_arg1821z00_7160 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7155,
																	((long) 3));
																BgL_res2966z00_7154 =
																	(BgL_arg1821z00_7160 == BgL_classz00_7147);
															}
														else
															{	/* SawMill/bbv-types.scm 823 */
																BgL_res2966z00_7154 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_7150 = BgL_res2966z00_7154;
									}
									BgL_test3501z00_10547 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_7149, BgL_arg1823z00_7150);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 823 */
								BgL_test3501z00_10547 = ((bool_t) 0);
							}
					}
					if (BgL_test3501z00_10547)
						{	/* SawMill/bbv-types.scm 824 */
							BgL_globalz00_bglt BgL_arg2671z00_7161;
							BgL_globalz00_bglt BgL_arg2673z00_7162;

							BgL_arg2671z00_7161 =
								(((BgL_rtl_globalrefz00_bglt) COBJECT(
										((BgL_rtl_globalrefz00_bglt) BgL_xz00_6575)))->BgL_varz00);
							BgL_arg2673z00_7162 =
								(((BgL_rtl_globalrefz00_bglt) COBJECT(
										((BgL_rtl_globalrefz00_bglt) BgL_yz00_6576)))->BgL_varz00);
							BgL_tmpz00_10546 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2671z00_7161), ((obj_t) BgL_arg2673z00_7162));
						}
					else
						{	/* SawMill/bbv-types.scm 823 */
							BgL_tmpz00_10546 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10546);
			}
		}

	}



/* &bbv-equal?-rtl_loadf1785 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_loadf1785z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6577, obj_t BgL_xz00_6578, obj_t BgL_yz00_6579)
	{
		{	/* SawMill/bbv-types.scm 815 */
			{	/* SawMill/bbv-types.scm 816 */
				bool_t BgL_tmpz00_10574;

				{	/* SawMill/bbv-types.scm 816 */
					bool_t BgL_test3505z00_10575;

					{	/* SawMill/bbv-types.scm 816 */
						obj_t BgL_classz00_7164;

						BgL_classz00_7164 = BGl_rtl_loadfunz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_6579))
							{	/* SawMill/bbv-types.scm 816 */
								BgL_objectz00_bglt BgL_arg1825z00_7165;

								BgL_arg1825z00_7165 = (BgL_objectz00_bglt) (BgL_yz00_6579);
								{	/* SawMill/bbv-types.scm 816 */
									bool_t BgL_arg1822z00_7166;
									bool_t BgL_arg1823z00_7167;

									{	/* SawMill/bbv-types.scm 816 */
										long BgL_idxz00_7168;

										BgL_idxz00_7168 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_7165);
										BgL_arg1822z00_7166 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_7168 + ((long) 3))) == BgL_classz00_7164);
									}
									{	/* SawMill/bbv-types.scm 816 */
										bool_t BgL_res2965z00_7171;

										{	/* SawMill/bbv-types.scm 816 */
											obj_t BgL_oclassz00_7172;

											{	/* SawMill/bbv-types.scm 816 */
												long BgL_arg1833z00_7173;

												{	/* SawMill/bbv-types.scm 816 */
													long BgL_arg1834z00_7174;

													BgL_arg1834z00_7174 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_7165);
													BgL_arg1833z00_7173 =
														(BgL_arg1834z00_7174 - OBJECT_TYPE);
												}
												BgL_oclassz00_7172 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_7173);
											}
											{	/* SawMill/bbv-types.scm 816 */
												bool_t BgL__ortest_1110z00_7175;

												BgL__ortest_1110z00_7175 =
													(BgL_classz00_7164 == BgL_oclassz00_7172);
												if (BgL__ortest_1110z00_7175)
													{	/* SawMill/bbv-types.scm 816 */
														BgL_res2965z00_7171 = BgL__ortest_1110z00_7175;
													}
												else
													{	/* SawMill/bbv-types.scm 816 */
														long BgL_odepthz00_7176;

														BgL_odepthz00_7176 =
															BGL_CLASS_DEPTH(BgL_oclassz00_7172);
														if ((((long) 3) < BgL_odepthz00_7176))
															{	/* SawMill/bbv-types.scm 816 */
																obj_t BgL_arg1821z00_7177;

																BgL_arg1821z00_7177 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7172,
																	((long) 3));
																BgL_res2965z00_7171 =
																	(BgL_arg1821z00_7177 == BgL_classz00_7164);
															}
														else
															{	/* SawMill/bbv-types.scm 816 */
																BgL_res2965z00_7171 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_7167 = BgL_res2965z00_7171;
									}
									BgL_test3505z00_10575 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_7166, BgL_arg1823z00_7167);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 816 */
								BgL_test3505z00_10575 = ((bool_t) 0);
							}
					}
					if (BgL_test3505z00_10575)
						{	/* SawMill/bbv-types.scm 817 */
							BgL_globalz00_bglt BgL_arg2668z00_7178;
							BgL_globalz00_bglt BgL_arg2669z00_7179;

							BgL_arg2668z00_7178 =
								(((BgL_rtl_loadfunz00_bglt) COBJECT(
										((BgL_rtl_loadfunz00_bglt) BgL_xz00_6578)))->BgL_varz00);
							BgL_arg2669z00_7179 =
								(((BgL_rtl_loadfunz00_bglt) COBJECT(
										((BgL_rtl_loadfunz00_bglt) BgL_yz00_6579)))->BgL_varz00);
							BgL_tmpz00_10574 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2668z00_7178), ((obj_t) BgL_arg2669z00_7179));
						}
					else
						{	/* SawMill/bbv-types.scm 816 */
							BgL_tmpz00_10574 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10574);
			}
		}

	}



/* &bbv-equal?-rtl_loadg1783 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_loadg1783z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6580, obj_t BgL_xz00_6581, obj_t BgL_yz00_6582)
	{
		{	/* SawMill/bbv-types.scm 808 */
			{	/* SawMill/bbv-types.scm 809 */
				bool_t BgL_tmpz00_10602;

				{	/* SawMill/bbv-types.scm 809 */
					bool_t BgL_test3509z00_10603;

					{	/* SawMill/bbv-types.scm 809 */
						obj_t BgL_classz00_7181;

						BgL_classz00_7181 = BGl_rtl_loadgz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_6582))
							{	/* SawMill/bbv-types.scm 809 */
								BgL_objectz00_bglt BgL_arg1825z00_7182;

								BgL_arg1825z00_7182 = (BgL_objectz00_bglt) (BgL_yz00_6582);
								{	/* SawMill/bbv-types.scm 809 */
									bool_t BgL_arg1822z00_7183;
									bool_t BgL_arg1823z00_7184;

									{	/* SawMill/bbv-types.scm 809 */
										long BgL_idxz00_7185;

										BgL_idxz00_7185 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_7182);
										BgL_arg1822z00_7183 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_7185 + ((long) 3))) == BgL_classz00_7181);
									}
									{	/* SawMill/bbv-types.scm 809 */
										bool_t BgL_res2964z00_7188;

										{	/* SawMill/bbv-types.scm 809 */
											obj_t BgL_oclassz00_7189;

											{	/* SawMill/bbv-types.scm 809 */
												long BgL_arg1833z00_7190;

												{	/* SawMill/bbv-types.scm 809 */
													long BgL_arg1834z00_7191;

													BgL_arg1834z00_7191 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_7182);
													BgL_arg1833z00_7190 =
														(BgL_arg1834z00_7191 - OBJECT_TYPE);
												}
												BgL_oclassz00_7189 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_7190);
											}
											{	/* SawMill/bbv-types.scm 809 */
												bool_t BgL__ortest_1110z00_7192;

												BgL__ortest_1110z00_7192 =
													(BgL_classz00_7181 == BgL_oclassz00_7189);
												if (BgL__ortest_1110z00_7192)
													{	/* SawMill/bbv-types.scm 809 */
														BgL_res2964z00_7188 = BgL__ortest_1110z00_7192;
													}
												else
													{	/* SawMill/bbv-types.scm 809 */
														long BgL_odepthz00_7193;

														BgL_odepthz00_7193 =
															BGL_CLASS_DEPTH(BgL_oclassz00_7189);
														if ((((long) 3) < BgL_odepthz00_7193))
															{	/* SawMill/bbv-types.scm 809 */
																obj_t BgL_arg1821z00_7194;

																BgL_arg1821z00_7194 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7189,
																	((long) 3));
																BgL_res2964z00_7188 =
																	(BgL_arg1821z00_7194 == BgL_classz00_7181);
															}
														else
															{	/* SawMill/bbv-types.scm 809 */
																BgL_res2964z00_7188 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_7184 = BgL_res2964z00_7188;
									}
									BgL_test3509z00_10603 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_7183, BgL_arg1823z00_7184);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 809 */
								BgL_test3509z00_10603 = ((bool_t) 0);
							}
					}
					if (BgL_test3509z00_10603)
						{	/* SawMill/bbv-types.scm 810 */
							BgL_globalz00_bglt BgL_arg2664z00_7195;
							BgL_globalz00_bglt BgL_arg2666z00_7196;

							BgL_arg2664z00_7195 =
								(((BgL_rtl_loadgz00_bglt) COBJECT(
										((BgL_rtl_loadgz00_bglt) BgL_xz00_6581)))->BgL_varz00);
							BgL_arg2666z00_7196 =
								(((BgL_rtl_loadgz00_bglt) COBJECT(
										((BgL_rtl_loadgz00_bglt) BgL_yz00_6582)))->BgL_varz00);
							BgL_tmpz00_10602 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2664z00_7195), ((obj_t) BgL_arg2666z00_7196));
						}
					else
						{	/* SawMill/bbv-types.scm 809 */
							BgL_tmpz00_10602 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10602);
			}
		}

	}



/* &bbv-equal?-rtl_loadi1781 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_loadi1781z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6583, obj_t BgL_xz00_6584, obj_t BgL_yz00_6585)
	{
		{	/* SawMill/bbv-types.scm 801 */
			{	/* SawMill/bbv-types.scm 802 */
				bool_t BgL_tmpz00_10630;

				{	/* SawMill/bbv-types.scm 802 */
					bool_t BgL_test3513z00_10631;

					{	/* SawMill/bbv-types.scm 802 */
						obj_t BgL_classz00_7198;

						BgL_classz00_7198 = BGl_rtl_loadiz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_6585))
							{	/* SawMill/bbv-types.scm 802 */
								BgL_objectz00_bglt BgL_arg1825z00_7199;

								BgL_arg1825z00_7199 = (BgL_objectz00_bglt) (BgL_yz00_6585);
								{	/* SawMill/bbv-types.scm 802 */
									bool_t BgL_arg1822z00_7200;
									bool_t BgL_arg1823z00_7201;

									{	/* SawMill/bbv-types.scm 802 */
										long BgL_idxz00_7202;

										BgL_idxz00_7202 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_7199);
										BgL_arg1822z00_7200 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_7202 + ((long) 3))) == BgL_classz00_7198);
									}
									{	/* SawMill/bbv-types.scm 802 */
										bool_t BgL_res2963z00_7205;

										{	/* SawMill/bbv-types.scm 802 */
											obj_t BgL_oclassz00_7206;

											{	/* SawMill/bbv-types.scm 802 */
												long BgL_arg1833z00_7207;

												{	/* SawMill/bbv-types.scm 802 */
													long BgL_arg1834z00_7208;

													BgL_arg1834z00_7208 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_7199);
													BgL_arg1833z00_7207 =
														(BgL_arg1834z00_7208 - OBJECT_TYPE);
												}
												BgL_oclassz00_7206 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_7207);
											}
											{	/* SawMill/bbv-types.scm 802 */
												bool_t BgL__ortest_1110z00_7209;

												BgL__ortest_1110z00_7209 =
													(BgL_classz00_7198 == BgL_oclassz00_7206);
												if (BgL__ortest_1110z00_7209)
													{	/* SawMill/bbv-types.scm 802 */
														BgL_res2963z00_7205 = BgL__ortest_1110z00_7209;
													}
												else
													{	/* SawMill/bbv-types.scm 802 */
														long BgL_odepthz00_7210;

														BgL_odepthz00_7210 =
															BGL_CLASS_DEPTH(BgL_oclassz00_7206);
														if ((((long) 3) < BgL_odepthz00_7210))
															{	/* SawMill/bbv-types.scm 802 */
																obj_t BgL_arg1821z00_7211;

																BgL_arg1821z00_7211 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7206,
																	((long) 3));
																BgL_res2963z00_7205 =
																	(BgL_arg1821z00_7211 == BgL_classz00_7198);
															}
														else
															{	/* SawMill/bbv-types.scm 802 */
																BgL_res2963z00_7205 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_7201 = BgL_res2963z00_7205;
									}
									BgL_test3513z00_10631 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_7200, BgL_arg1823z00_7201);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 802 */
								BgL_test3513z00_10631 = ((bool_t) 0);
							}
					}
					if (BgL_test3513z00_10631)
						{	/* SawMill/bbv-types.scm 803 */
							BgL_atomz00_bglt BgL_arg2661z00_7212;
							BgL_atomz00_bglt BgL_arg2662z00_7213;

							BgL_arg2661z00_7212 =
								(((BgL_rtl_loadiz00_bglt) COBJECT(
										((BgL_rtl_loadiz00_bglt) BgL_xz00_6584)))->BgL_constantz00);
							BgL_arg2662z00_7213 =
								(((BgL_rtl_loadiz00_bglt) COBJECT(
										((BgL_rtl_loadiz00_bglt) BgL_yz00_6585)))->BgL_constantz00);
							BgL_tmpz00_10630 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2661z00_7212), ((obj_t) BgL_arg2662z00_7213));
						}
					else
						{	/* SawMill/bbv-types.scm 802 */
							BgL_tmpz00_10630 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10630);
			}
		}

	}



/* &bbv-equal?-rtl_switc1779 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_switc1779z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6586, obj_t BgL_xz00_6587, obj_t BgL_yz00_6588)
	{
		{	/* SawMill/bbv-types.scm 793 */
			{	/* SawMill/bbv-types.scm 794 */
				bool_t BgL_test3517z00_10658;

				{	/* SawMill/bbv-types.scm 794 */
					obj_t BgL_classz00_7215;

					BgL_classz00_7215 = BGl_rtl_switchz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_yz00_6588))
						{	/* SawMill/bbv-types.scm 794 */
							BgL_objectz00_bglt BgL_arg1825z00_7216;

							BgL_arg1825z00_7216 = (BgL_objectz00_bglt) (BgL_yz00_6588);
							{	/* SawMill/bbv-types.scm 794 */
								bool_t BgL_arg1822z00_7217;
								bool_t BgL_arg1823z00_7218;

								{	/* SawMill/bbv-types.scm 794 */
									long BgL_idxz00_7219;

									BgL_idxz00_7219 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_7216);
									BgL_arg1822z00_7217 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_7219 + ((long) 4))) == BgL_classz00_7215);
								}
								{	/* SawMill/bbv-types.scm 794 */
									bool_t BgL_res2962z00_7222;

									{	/* SawMill/bbv-types.scm 794 */
										obj_t BgL_oclassz00_7223;

										{	/* SawMill/bbv-types.scm 794 */
											long BgL_arg1833z00_7224;

											{	/* SawMill/bbv-types.scm 794 */
												long BgL_arg1834z00_7225;

												BgL_arg1834z00_7225 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_7216);
												BgL_arg1833z00_7224 =
													(BgL_arg1834z00_7225 - OBJECT_TYPE);
											}
											BgL_oclassz00_7223 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_7224);
										}
										{	/* SawMill/bbv-types.scm 794 */
											bool_t BgL__ortest_1110z00_7226;

											BgL__ortest_1110z00_7226 =
												(BgL_classz00_7215 == BgL_oclassz00_7223);
											if (BgL__ortest_1110z00_7226)
												{	/* SawMill/bbv-types.scm 794 */
													BgL_res2962z00_7222 = BgL__ortest_1110z00_7226;
												}
											else
												{	/* SawMill/bbv-types.scm 794 */
													long BgL_odepthz00_7227;

													BgL_odepthz00_7227 =
														BGL_CLASS_DEPTH(BgL_oclassz00_7223);
													if ((((long) 4) < BgL_odepthz00_7227))
														{	/* SawMill/bbv-types.scm 794 */
															obj_t BgL_arg1821z00_7228;

															BgL_arg1821z00_7228 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7223,
																((long) 4));
															BgL_res2962z00_7222 =
																(BgL_arg1821z00_7228 == BgL_classz00_7215);
														}
													else
														{	/* SawMill/bbv-types.scm 794 */
															BgL_res2962z00_7222 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_7218 = BgL_res2962z00_7222;
								}
								BgL_test3517z00_10658 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_7217, BgL_arg1823z00_7218);
							}
						}
					else
						{	/* SawMill/bbv-types.scm 794 */
							BgL_test3517z00_10658 = ((bool_t) 0);
						}
				}
				if (BgL_test3517z00_10658)
					{	/* SawMill/bbv-types.scm 794 */
						if (
							(bgl_list_length(
									(((BgL_rtl_switchz00_bglt) COBJECT(
												((BgL_rtl_switchz00_bglt) BgL_xz00_6587)))->
										BgL_labelsz00)) ==
								bgl_list_length((((BgL_rtl_switchz00_bglt)
											COBJECT(((BgL_rtl_switchz00_bglt) BgL_yz00_6588)))->
										BgL_labelsz00))))
							{	/* SawMill/bbv-types.scm 796 */
								obj_t BgL_arg2650z00_7229;
								obj_t BgL_arg2652z00_7230;

								BgL_arg2650z00_7229 =
									(((BgL_rtl_switchz00_bglt) COBJECT(
											((BgL_rtl_switchz00_bglt) BgL_xz00_6587)))->
									BgL_labelsz00);
								BgL_arg2652z00_7230 =
									(((BgL_rtl_switchz00_bglt) COBJECT(((BgL_rtl_switchz00_bglt)
												BgL_yz00_6588)))->BgL_labelsz00);
								{	/* SawMill/bbv-types.scm 796 */
									obj_t BgL_list2653z00_7231;

									{	/* SawMill/bbv-types.scm 796 */
										obj_t BgL_arg2654z00_7232;

										BgL_arg2654z00_7232 =
											MAKE_YOUNG_PAIR(BgL_arg2652z00_7230, BNIL);
										BgL_list2653z00_7231 =
											MAKE_YOUNG_PAIR(BgL_arg2650z00_7229, BgL_arg2654z00_7232);
									}
									return
										BGl_everyz00zz__r4_pairs_and_lists_6_3z00
										(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
										BgL_list2653z00_7231);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 795 */
								return BFALSE;
							}
					}
				else
					{	/* SawMill/bbv-types.scm 794 */
						return BFALSE;
					}
			}
		}

	}



/* &bbv-equal?-rtl_selec1777 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_selec1777z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6589, obj_t BgL_xz00_6590, obj_t BgL_yz00_6591)
	{
		{	/* SawMill/bbv-types.scm 784 */
			{	/* SawMill/bbv-types.scm 785 */
				bool_t BgL_test3522z00_10692;

				{	/* SawMill/bbv-types.scm 785 */
					obj_t BgL_classz00_7234;

					BgL_classz00_7234 = BGl_rtl_selectz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_yz00_6591))
						{	/* SawMill/bbv-types.scm 785 */
							BgL_objectz00_bglt BgL_arg1825z00_7235;

							BgL_arg1825z00_7235 = (BgL_objectz00_bglt) (BgL_yz00_6591);
							{	/* SawMill/bbv-types.scm 785 */
								bool_t BgL_arg1822z00_7236;
								bool_t BgL_arg1823z00_7237;

								{	/* SawMill/bbv-types.scm 785 */
									long BgL_idxz00_7238;

									BgL_idxz00_7238 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_7235);
									BgL_arg1822z00_7236 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_7238 + ((long) 3))) == BgL_classz00_7234);
								}
								{	/* SawMill/bbv-types.scm 785 */
									bool_t BgL_res2961z00_7241;

									{	/* SawMill/bbv-types.scm 785 */
										obj_t BgL_oclassz00_7242;

										{	/* SawMill/bbv-types.scm 785 */
											long BgL_arg1833z00_7243;

											{	/* SawMill/bbv-types.scm 785 */
												long BgL_arg1834z00_7244;

												BgL_arg1834z00_7244 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_7235);
												BgL_arg1833z00_7243 =
													(BgL_arg1834z00_7244 - OBJECT_TYPE);
											}
											BgL_oclassz00_7242 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_7243);
										}
										{	/* SawMill/bbv-types.scm 785 */
											bool_t BgL__ortest_1110z00_7245;

											BgL__ortest_1110z00_7245 =
												(BgL_classz00_7234 == BgL_oclassz00_7242);
											if (BgL__ortest_1110z00_7245)
												{	/* SawMill/bbv-types.scm 785 */
													BgL_res2961z00_7241 = BgL__ortest_1110z00_7245;
												}
											else
												{	/* SawMill/bbv-types.scm 785 */
													long BgL_odepthz00_7246;

													BgL_odepthz00_7246 =
														BGL_CLASS_DEPTH(BgL_oclassz00_7242);
													if ((((long) 3) < BgL_odepthz00_7246))
														{	/* SawMill/bbv-types.scm 785 */
															obj_t BgL_arg1821z00_7247;

															BgL_arg1821z00_7247 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7242,
																((long) 3));
															BgL_res2961z00_7241 =
																(BgL_arg1821z00_7247 == BgL_classz00_7234);
														}
													else
														{	/* SawMill/bbv-types.scm 785 */
															BgL_res2961z00_7241 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_7237 = BgL_res2961z00_7241;
								}
								BgL_test3522z00_10692 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_7236, BgL_arg1823z00_7237);
							}
						}
					else
						{	/* SawMill/bbv-types.scm 785 */
							BgL_test3522z00_10692 = ((bool_t) 0);
						}
				}
				if (BgL_test3522z00_10692)
					{	/* SawMill/bbv-types.scm 785 */
						if (
							(((obj_t)
									(((BgL_rtl_selectz00_bglt) COBJECT(
												((BgL_rtl_selectz00_bglt) BgL_xz00_6590)))->
										BgL_typez00)) ==
								((obj_t) (((BgL_rtl_selectz00_bglt)
											COBJECT(((BgL_rtl_selectz00_bglt) BgL_xz00_6590)))->
										BgL_typez00))))
							{	/* SawMill/bbv-types.scm 786 */
								if (
									(bgl_list_length(
											(((BgL_rtl_selectz00_bglt) COBJECT(
														((BgL_rtl_selectz00_bglt) BgL_xz00_6590)))->
												BgL_patternsz00)) ==
										bgl_list_length((((BgL_rtl_selectz00_bglt)
													COBJECT(((BgL_rtl_selectz00_bglt) BgL_yz00_6591)))->
												BgL_patternsz00))))
									{	/* SawMill/bbv-types.scm 788 */
										obj_t BgL_arg2636z00_7248;
										obj_t BgL_arg2638z00_7249;

										BgL_arg2636z00_7248 =
											(((BgL_rtl_selectz00_bglt) COBJECT(
													((BgL_rtl_selectz00_bglt) BgL_xz00_6590)))->
											BgL_patternsz00);
										BgL_arg2638z00_7249 =
											(((BgL_rtl_selectz00_bglt)
												COBJECT(((BgL_rtl_selectz00_bglt) BgL_yz00_6591)))->
											BgL_patternsz00);
										{	/* SawMill/bbv-types.scm 788 */
											obj_t BgL_list2639z00_7250;

											{	/* SawMill/bbv-types.scm 788 */
												obj_t BgL_arg2640z00_7251;

												BgL_arg2640z00_7251 =
													MAKE_YOUNG_PAIR(BgL_arg2638z00_7249, BNIL);
												BgL_list2639z00_7250 =
													MAKE_YOUNG_PAIR(BgL_arg2636z00_7248,
													BgL_arg2640z00_7251);
											}
											return
												BGl_everyz00zz__r4_pairs_and_lists_6_3z00
												(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
												BgL_list2639z00_7250);
										}
									}
								else
									{	/* SawMill/bbv-types.scm 787 */
										return BFALSE;
									}
							}
						else
							{	/* SawMill/bbv-types.scm 786 */
								return BFALSE;
							}
					}
				else
					{	/* SawMill/bbv-types.scm 785 */
						return BFALSE;
					}
			}
		}

	}



/* &bbv-equal?-rtl_fun1775 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_fun1775z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6592, obj_t BgL_xz00_6593, obj_t BgL_yz00_6594)
	{
		{	/* SawMill/bbv-types.scm 778 */
			{	/* SawMill/bbv-types.scm 779 */
				bool_t BgL_tmpz00_10734;

				{	/* SawMill/bbv-types.scm 779 */
					obj_t BgL_arg2633z00_7253;
					obj_t BgL_arg2634z00_7254;

					{	/* SawMill/bbv-types.scm 779 */
						long BgL_arg1833z00_7255;

						{	/* SawMill/bbv-types.scm 779 */
							long BgL_arg1834z00_7256;

							BgL_arg1834z00_7256 =
								BGL_OBJECT_CLASS_NUM(
								((BgL_objectz00_bglt) ((BgL_rtl_funz00_bglt) BgL_xz00_6593)));
							BgL_arg1833z00_7255 = (BgL_arg1834z00_7256 - OBJECT_TYPE);
						}
						BgL_arg2633z00_7253 =
							VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
							BgL_arg1833z00_7255);
					}
					{	/* SawMill/bbv-types.scm 779 */
						long BgL_arg1833z00_7257;

						{	/* SawMill/bbv-types.scm 779 */
							long BgL_arg1834z00_7258;

							BgL_arg1834z00_7258 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_yz00_6594));
							BgL_arg1833z00_7257 = (BgL_arg1834z00_7258 - OBJECT_TYPE);
						}
						BgL_arg2634z00_7254 =
							VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
							BgL_arg1833z00_7257);
					}
					BgL_tmpz00_10734 = (BgL_arg2633z00_7253 == BgL_arg2634z00_7254);
				}
				return BBOOL(BgL_tmpz00_10734);
			}
		}

	}



/* &bbv-equal?-rtl_reg1773 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_reg1773z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6595, obj_t BgL_xz00_6596, obj_t BgL_yz00_6597)
	{
		{	/* SawMill/bbv-types.scm 770 */
			{	/* SawMill/bbv-types.scm 771 */
				bool_t BgL_tmpz00_10746;

				{	/* SawMill/bbv-types.scm 771 */
					bool_t BgL_test3528z00_10747;

					{	/* SawMill/bbv-types.scm 771 */
						BgL_typez00_bglt BgL_arg2631z00_7260;
						BgL_typez00_bglt BgL_arg2632z00_7261;

						BgL_arg2631z00_7260 =
							(((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_xz00_6596)))->BgL_typez00);
						BgL_arg2632z00_7261 =
							(((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_yz00_6597)))->BgL_typez00);
						BgL_test3528z00_10747 =
							BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg2631z00_7260), ((obj_t) BgL_arg2632z00_7261));
					}
					if (BgL_test3528z00_10747)
						{	/* SawMill/bbv-types.scm 772 */
							bool_t BgL_test3529z00_10755;

							{	/* SawMill/bbv-types.scm 772 */
								obj_t BgL_arg2628z00_7262;
								obj_t BgL_arg2630z00_7263;

								BgL_arg2628z00_7262 =
									(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt) BgL_xz00_6596)))->BgL_varz00);
								BgL_arg2630z00_7263 =
									(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt) BgL_yz00_6597)))->BgL_varz00);
								BgL_test3529z00_10755 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(BgL_arg2628z00_7262,
									BgL_arg2630z00_7263);
							}
							if (BgL_test3529z00_10755)
								{	/* SawMill/bbv-types.scm 773 */
									obj_t BgL_arg2625z00_7264;
									obj_t BgL_arg2626z00_7265;

									BgL_arg2625z00_7264 =
										(((BgL_rtl_regz00_bglt) COBJECT(
												((BgL_rtl_regz00_bglt) BgL_xz00_6596)))->BgL_namez00);
									BgL_arg2626z00_7265 =
										(((BgL_rtl_regz00_bglt) COBJECT(
												((BgL_rtl_regz00_bglt) BgL_yz00_6597)))->BgL_namez00);
									BgL_tmpz00_10746 =
										BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2
										(BgL_arg2625z00_7264, BgL_arg2626z00_7265);
								}
							else
								{	/* SawMill/bbv-types.scm 772 */
									BgL_tmpz00_10746 = ((bool_t) 0);
								}
						}
					else
						{	/* SawMill/bbv-types.scm 771 */
							BgL_tmpz00_10746 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10746);
			}
		}

	}



/* &bbv-equal?-rtl_ins/b1771 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_inszf2b1771z63zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6598, obj_t BgL_xz00_6599, obj_t BgL_yz00_6600)
	{
		{	/* SawMill/bbv-types.scm 761 */
			{	/* SawMill/bbv-types.scm 762 */
				bool_t BgL_tmpz00_10767;

				{	/* SawMill/bbv-types.scm 762 */
					bool_t BgL_test3530z00_10768;

					{	/* SawMill/bbv-types.scm 762 */
						obj_t BgL_arg2623z00_7267;
						obj_t BgL_arg2624z00_7268;

						BgL_arg2623z00_7267 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_xz00_6599))))->BgL_destz00);
						BgL_arg2624z00_7268 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_yz00_6600)))->BgL_destz00);
						BgL_test3530z00_10768 =
							BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(BgL_arg2623z00_7267,
							BgL_arg2624z00_7268);
					}
					if (BgL_test3530z00_10768)
						{	/* SawMill/bbv-types.scm 762 */
							if (
								(bgl_list_length(
										(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_xz00_6599))))->
											BgL_argsz00)) ==
									bgl_list_length((((BgL_rtl_insz00_bglt)
												COBJECT(((BgL_rtl_insz00_bglt) BgL_yz00_6600)))->
											BgL_argsz00))))
								{	/* SawMill/bbv-types.scm 764 */
									obj_t BgL__andtest_1305z00_7269;

									{	/* SawMill/bbv-types.scm 764 */
										obj_t BgL_arg2613z00_7270;
										obj_t BgL_arg2615z00_7271;

										BgL_arg2613z00_7270 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_xz00_6599))))->
											BgL_argsz00);
										BgL_arg2615z00_7271 =
											(((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
														BgL_yz00_6600)))->BgL_argsz00);
										{	/* SawMill/bbv-types.scm 764 */
											obj_t BgL_list2616z00_7272;

											{	/* SawMill/bbv-types.scm 764 */
												obj_t BgL_arg2617z00_7273;

												BgL_arg2617z00_7273 =
													MAKE_YOUNG_PAIR(BgL_arg2615z00_7271, BNIL);
												BgL_list2616z00_7272 =
													MAKE_YOUNG_PAIR(BgL_arg2613z00_7270,
													BgL_arg2617z00_7273);
											}
											BgL__andtest_1305z00_7269 =
												BGl_everyz00zz__r4_pairs_and_lists_6_3z00
												(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
												BgL_list2616z00_7272);
										}
									}
									if (CBOOL(BgL__andtest_1305z00_7269))
										{	/* SawMill/bbv-types.scm 765 */
											BgL_rtl_funz00_bglt BgL_arg2611z00_7274;
											BgL_rtl_funz00_bglt BgL_arg2612z00_7275;

											BgL_arg2611z00_7274 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt)
															((BgL_rtl_insz00_bglt) BgL_xz00_6599))))->
												BgL_funz00);
											BgL_arg2612z00_7275 =
												(((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
															BgL_yz00_6600)))->BgL_funz00);
											BgL_tmpz00_10767 =
												BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
													BgL_arg2611z00_7274), ((obj_t) BgL_arg2612z00_7275));
										}
									else
										{	/* SawMill/bbv-types.scm 764 */
											BgL_tmpz00_10767 = ((bool_t) 0);
										}
								}
							else
								{	/* SawMill/bbv-types.scm 763 */
									BgL_tmpz00_10767 = ((bool_t) 0);
								}
						}
					else
						{	/* SawMill/bbv-types.scm 762 */
							BgL_tmpz00_10767 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10767);
			}
		}

	}



/* &bbv-equal?-blockS1769 */
	obj_t BGl_z62bbvzd2equalzf3zd2blockS1769z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6601, obj_t BgL_xz00_6602, obj_t BgL_yz00_6603)
	{
		{	/* SawMill/bbv-types.scm 753 */
			{	/* SawMill/bbv-types.scm 754 */
				bool_t BgL_test3533z00_10803;

				{	/* SawMill/bbv-types.scm 754 */
					obj_t BgL_classz00_7277;

					BgL_classz00_7277 = BGl_blockSz00zzsaw_bbvzd2typeszd2;
					if (BGL_OBJECTP(BgL_yz00_6603))
						{	/* SawMill/bbv-types.scm 754 */
							BgL_objectz00_bglt BgL_arg1825z00_7278;

							BgL_arg1825z00_7278 = (BgL_objectz00_bglt) (BgL_yz00_6603);
							{	/* SawMill/bbv-types.scm 754 */
								bool_t BgL_arg1822z00_7279;
								bool_t BgL_arg1823z00_7280;

								{	/* SawMill/bbv-types.scm 754 */
									long BgL_idxz00_7281;

									BgL_idxz00_7281 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_7278);
									BgL_arg1822z00_7279 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_7281 + ((long) 2))) == BgL_classz00_7277);
								}
								{	/* SawMill/bbv-types.scm 754 */
									bool_t BgL_res2960z00_7284;

									{	/* SawMill/bbv-types.scm 754 */
										obj_t BgL_oclassz00_7285;

										{	/* SawMill/bbv-types.scm 754 */
											long BgL_arg1833z00_7286;

											{	/* SawMill/bbv-types.scm 754 */
												long BgL_arg1834z00_7287;

												BgL_arg1834z00_7287 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_7278);
												BgL_arg1833z00_7286 =
													(BgL_arg1834z00_7287 - OBJECT_TYPE);
											}
											BgL_oclassz00_7285 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_7286);
										}
										{	/* SawMill/bbv-types.scm 754 */
											bool_t BgL__ortest_1110z00_7288;

											BgL__ortest_1110z00_7288 =
												(BgL_classz00_7277 == BgL_oclassz00_7285);
											if (BgL__ortest_1110z00_7288)
												{	/* SawMill/bbv-types.scm 754 */
													BgL_res2960z00_7284 = BgL__ortest_1110z00_7288;
												}
											else
												{	/* SawMill/bbv-types.scm 754 */
													long BgL_odepthz00_7289;

													BgL_odepthz00_7289 =
														BGL_CLASS_DEPTH(BgL_oclassz00_7285);
													if ((((long) 2) < BgL_odepthz00_7289))
														{	/* SawMill/bbv-types.scm 754 */
															obj_t BgL_arg1821z00_7290;

															BgL_arg1821z00_7290 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7285,
																((long) 2));
															BgL_res2960z00_7284 =
																(BgL_arg1821z00_7290 == BgL_classz00_7277);
														}
													else
														{	/* SawMill/bbv-types.scm 754 */
															BgL_res2960z00_7284 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_7280 = BgL_res2960z00_7284;
								}
								BgL_test3533z00_10803 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_7279, BgL_arg1823z00_7280);
							}
						}
					else
						{	/* SawMill/bbv-types.scm 754 */
							BgL_test3533z00_10803 = ((bool_t) 0);
						}
				}
				if (BgL_test3533z00_10803)
					{	/* SawMill/bbv-types.scm 754 */
						if (
							(bgl_list_length(
									(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt)
													((BgL_blockz00_bglt) BgL_xz00_6602))))->
										BgL_firstz00)) ==
								bgl_list_length((((BgL_blockz00_bglt)
											COBJECT(((BgL_blockz00_bglt) BgL_yz00_6603)))->
										BgL_firstz00))))
							{	/* SawMill/bbv-types.scm 756 */
								obj_t BgL_arg2602z00_7291;
								obj_t BgL_arg2603z00_7292;

								BgL_arg2602z00_7291 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												((BgL_blockz00_bglt) BgL_xz00_6602))))->BgL_firstz00);
								BgL_arg2603z00_7292 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_yz00_6603)))->BgL_firstz00);
								{	/* SawMill/bbv-types.scm 756 */
									obj_t BgL_list2604z00_7293;

									{	/* SawMill/bbv-types.scm 756 */
										obj_t BgL_arg2605z00_7294;

										BgL_arg2605z00_7294 =
											MAKE_YOUNG_PAIR(BgL_arg2603z00_7292, BNIL);
										BgL_list2604z00_7293 =
											MAKE_YOUNG_PAIR(BgL_arg2602z00_7291, BgL_arg2605z00_7294);
									}
									return
										BGl_everyz00zz__r4_pairs_and_lists_6_3z00
										(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
										BgL_list2604z00_7293);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 755 */
								return BFALSE;
							}
					}
				else
					{	/* SawMill/bbv-types.scm 754 */
						return BFALSE;
					}
			}
		}

	}



/* &bbv-equal?-atom1767 */
	obj_t BGl_z62bbvzd2equalzf3zd2atom1767z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6604, obj_t BgL_xz00_6605, obj_t BgL_yz00_6606)
	{
		{	/* SawMill/bbv-types.scm 746 */
			{	/* SawMill/bbv-types.scm 747 */
				bool_t BgL_tmpz00_10839;

				{	/* SawMill/bbv-types.scm 747 */
					bool_t BgL_test3538z00_10840;

					{	/* SawMill/bbv-types.scm 747 */
						obj_t BgL_classz00_7296;

						BgL_classz00_7296 = BGl_atomz00zzast_nodez00;
						if (BGL_OBJECTP(BgL_yz00_6606))
							{	/* SawMill/bbv-types.scm 747 */
								BgL_objectz00_bglt BgL_arg1825z00_7297;

								BgL_arg1825z00_7297 = (BgL_objectz00_bglt) (BgL_yz00_6606);
								{	/* SawMill/bbv-types.scm 747 */
									bool_t BgL_arg1822z00_7298;
									bool_t BgL_arg1823z00_7299;

									{	/* SawMill/bbv-types.scm 747 */
										long BgL_idxz00_7300;

										BgL_idxz00_7300 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_7297);
										BgL_arg1822z00_7298 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_7300 + ((long) 2))) == BgL_classz00_7296);
									}
									{	/* SawMill/bbv-types.scm 747 */
										bool_t BgL_res2959z00_7303;

										{	/* SawMill/bbv-types.scm 747 */
											obj_t BgL_oclassz00_7304;

											{	/* SawMill/bbv-types.scm 747 */
												long BgL_arg1833z00_7305;

												{	/* SawMill/bbv-types.scm 747 */
													long BgL_arg1834z00_7306;

													BgL_arg1834z00_7306 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_7297);
													BgL_arg1833z00_7305 =
														(BgL_arg1834z00_7306 - OBJECT_TYPE);
												}
												BgL_oclassz00_7304 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_7305);
											}
											{	/* SawMill/bbv-types.scm 747 */
												bool_t BgL__ortest_1110z00_7307;

												BgL__ortest_1110z00_7307 =
													(BgL_classz00_7296 == BgL_oclassz00_7304);
												if (BgL__ortest_1110z00_7307)
													{	/* SawMill/bbv-types.scm 747 */
														BgL_res2959z00_7303 = BgL__ortest_1110z00_7307;
													}
												else
													{	/* SawMill/bbv-types.scm 747 */
														long BgL_odepthz00_7308;

														BgL_odepthz00_7308 =
															BGL_CLASS_DEPTH(BgL_oclassz00_7304);
														if ((((long) 2) < BgL_odepthz00_7308))
															{	/* SawMill/bbv-types.scm 747 */
																obj_t BgL_arg1821z00_7309;

																BgL_arg1821z00_7309 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7304,
																	((long) 2));
																BgL_res2959z00_7303 =
																	(BgL_arg1821z00_7309 == BgL_classz00_7296);
															}
														else
															{	/* SawMill/bbv-types.scm 747 */
																BgL_res2959z00_7303 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_7299 = BgL_res2959z00_7303;
									}
									BgL_test3538z00_10840 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_7298, BgL_arg1823z00_7299);
								}
							}
						else
							{	/* SawMill/bbv-types.scm 747 */
								BgL_test3538z00_10840 = ((bool_t) 0);
							}
					}
					if (BgL_test3538z00_10840)
						{	/* SawMill/bbv-types.scm 747 */
							BgL_tmpz00_10839 =
								BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
								(((BgL_atomz00_bglt) COBJECT(
											((BgL_atomz00_bglt) BgL_xz00_6605)))->BgL_valuez00),
								(((BgL_atomz00_bglt) COBJECT(
											((BgL_atomz00_bglt) BgL_yz00_6606)))->BgL_valuez00));
						}
					else
						{	/* SawMill/bbv-types.scm 747 */
							BgL_tmpz00_10839 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_10839);
			}
		}

	}



/* &bbv-hash-rtl_cast_nu1763 */
	obj_t BGl_z62bbvzd2hashzd2rtl_cast_nu1763z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6607, obj_t BgL_oz00_6608)
	{
		{	/* SawMill/bbv-types.scm 734 */
			{

				{	/* SawMill/bbv-types.scm 735 */
					obj_t BgL_arg2588z00_7313;
					obj_t BgL_arg2590z00_7314;

					{	/* SawMill/bbv-types.scm 734 */
						obj_t BgL_nextzd2method1762zd2_7312;

						BgL_nextzd2method1762zd2_7312 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_cast_nullz00_bglt) BgL_oz00_6608)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_cast_nullz00zzsaw_defsz00);
						BgL_arg2588z00_7313 =
							PROCEDURE_ENTRY(BgL_nextzd2method1762zd2_7312)
							(BgL_nextzd2method1762zd2_7312,
							((obj_t) ((BgL_rtl_cast_nullz00_bglt) BgL_oz00_6608)), BEOA);
					}
					{	/* SawMill/bbv-types.scm 735 */
						BgL_typez00_bglt BgL_arg2591z00_7315;

						BgL_arg2591z00_7315 =
							(((BgL_rtl_cast_nullz00_bglt) COBJECT(
									((BgL_rtl_cast_nullz00_bglt) BgL_oz00_6608)))->BgL_typez00);
						BgL_arg2590z00_7314 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg2591z00_7315));
					}
					return
						BINT(
						((long) CINT(BgL_arg2588z00_7313) ^
							(long) CINT(BgL_arg2590z00_7314)));
		}}}

	}



/* &bbv-hash-rtl_cast1761 */
	obj_t BGl_z62bbvzd2hashzd2rtl_cast1761z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6609, obj_t BgL_oz00_6610)
	{
		{	/* SawMill/bbv-types.scm 727 */
			{

				{	/* SawMill/bbv-types.scm 728 */
					obj_t BgL_arg2581z00_7319;
					long BgL_arg2582z00_7320;

					{	/* SawMill/bbv-types.scm 727 */
						obj_t BgL_nextzd2method1760zd2_7318;

						BgL_nextzd2method1760zd2_7318 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_castz00_bglt) BgL_oz00_6610)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_castz00zzsaw_defsz00);
						BgL_arg2581z00_7319 =
							PROCEDURE_ENTRY(BgL_nextzd2method1760zd2_7318)
							(BgL_nextzd2method1760zd2_7318,
							((obj_t) ((BgL_rtl_castz00_bglt) BgL_oz00_6610)), BEOA);
					}
					{	/* SawMill/bbv-types.scm 729 */
						obj_t BgL_arg2583z00_7321;
						obj_t BgL_arg2584z00_7322;

						{	/* SawMill/bbv-types.scm 729 */
							BgL_typez00_bglt BgL_arg2585z00_7323;

							BgL_arg2585z00_7323 =
								(((BgL_rtl_castz00_bglt) COBJECT(
										((BgL_rtl_castz00_bglt) BgL_oz00_6610)))->BgL_fromtypez00);
							BgL_arg2583z00_7321 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2585z00_7323));
						}
						{	/* SawMill/bbv-types.scm 729 */
							BgL_typez00_bglt BgL_arg2587z00_7324;

							BgL_arg2587z00_7324 =
								(((BgL_rtl_castz00_bglt) COBJECT(
										((BgL_rtl_castz00_bglt) BgL_oz00_6610)))->BgL_totypez00);
							BgL_arg2584z00_7322 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2587z00_7324));
						}
						BgL_arg2582z00_7320 =
							(
							(long) CINT(BgL_arg2583z00_7321) ^
							(long) CINT(BgL_arg2584z00_7322));
					}
					return BINT(((long) CINT(BgL_arg2581z00_7319) ^ BgL_arg2582z00_7320));
		}}}

	}



/* &bbv-hash-rtl_pragma1759 */
	obj_t BGl_z62bbvzd2hashzd2rtl_pragma1759z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6611, obj_t BgL_oz00_6612)
	{
		{	/* SawMill/bbv-types.scm 720 */
			{

				{	/* SawMill/bbv-types.scm 721 */
					obj_t BgL_arg2578z00_7328;
					obj_t BgL_arg2579z00_7329;

					{	/* SawMill/bbv-types.scm 720 */
						obj_t BgL_nextzd2method1758zd2_7327;

						BgL_nextzd2method1758zd2_7327 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_pragmaz00_bglt) BgL_oz00_6612)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_pragmaz00zzsaw_defsz00);
						BgL_arg2578z00_7328 =
							PROCEDURE_ENTRY(BgL_nextzd2method1758zd2_7327)
							(BgL_nextzd2method1758zd2_7327,
							((obj_t) ((BgL_rtl_pragmaz00_bglt) BgL_oz00_6612)), BEOA);
					}
					BgL_arg2579z00_7329 =
						BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
						(((BgL_rtl_pragmaz00_bglt) COBJECT(
									((BgL_rtl_pragmaz00_bglt) BgL_oz00_6612)))->BgL_formatz00));
					return
						BINT(
						((long) CINT(BgL_arg2578z00_7328) ^
							(long) CINT(BgL_arg2579z00_7329)));
		}}}

	}



/* &bbv-hash-rtl_lightfu1757 */
	obj_t BGl_z62bbvzd2hashzd2rtl_lightfu1757z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6613, obj_t BgL_oz00_6614)
	{
		{	/* SawMill/bbv-types.scm 710 */
			{

				{	/* SawMill/bbv-types.scm 711 */
					obj_t BgL_arg2551z00_7333;
					long BgL_arg2552z00_7334;

					{	/* SawMill/bbv-types.scm 710 */
						obj_t BgL_nextzd2method1756zd2_7332;

						BgL_nextzd2method1756zd2_7332 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_6614)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_lightfuncallz00zzsaw_defsz00);
						BgL_arg2551z00_7333 =
							PROCEDURE_ENTRY(BgL_nextzd2method1756zd2_7332)
							(BgL_nextzd2method1756zd2_7332,
							((obj_t) ((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_6614)), BEOA);
					}
					{	/* SawMill/bbv-types.scm 713 */
						obj_t BgL_arg2557z00_7335;
						long BgL_arg2559z00_7336;

						BgL_arg2557z00_7335 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
										((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_6614)))->
								BgL_namez00));
						{	/* SawMill/bbv-types.scm 714 */
							obj_t BgL_arg2562z00_7337;
							obj_t BgL_arg2563z00_7338;

							BgL_arg2562z00_7337 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
											((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_6614)))->
									BgL_rettypez00));
							{	/* SawMill/bbv-types.scm 715 */
								obj_t BgL_arg2565z00_7339;

								{	/* SawMill/bbv-types.scm 715 */
									obj_t BgL_l1669z00_7340;

									BgL_l1669z00_7340 =
										(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
												((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_6614)))->
										BgL_funsz00);
									if (NULLP(BgL_l1669z00_7340))
										{	/* SawMill/bbv-types.scm 715 */
											BgL_arg2565z00_7339 = BNIL;
										}
									else
										{	/* SawMill/bbv-types.scm 715 */
											obj_t BgL_head1671z00_7341;

											BgL_head1671z00_7341 =
												MAKE_YOUNG_PAIR(BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
												(CAR(BgL_l1669z00_7340)), BNIL);
											{	/* SawMill/bbv-types.scm 715 */
												obj_t BgL_g1674z00_7342;

												BgL_g1674z00_7342 = CDR(BgL_l1669z00_7340);
												{
													obj_t BgL_l1669z00_7344;
													obj_t BgL_tail1672z00_7345;

													BgL_l1669z00_7344 = BgL_g1674z00_7342;
													BgL_tail1672z00_7345 = BgL_head1671z00_7341;
												BgL_zc3z04anonymousza32567ze3z87_7343:
													if (NULLP(BgL_l1669z00_7344))
														{	/* SawMill/bbv-types.scm 715 */
															BgL_arg2565z00_7339 = BgL_head1671z00_7341;
														}
													else
														{	/* SawMill/bbv-types.scm 715 */
															obj_t BgL_newtail1673z00_7346;

															{	/* SawMill/bbv-types.scm 715 */
																obj_t BgL_arg2571z00_7347;

																{	/* SawMill/bbv-types.scm 715 */
																	obj_t BgL_arg2573z00_7348;

																	BgL_arg2573z00_7348 =
																		CAR(((obj_t) BgL_l1669z00_7344));
																	BgL_arg2571z00_7347 =
																		BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
																		(BgL_arg2573z00_7348);
																}
																BgL_newtail1673z00_7346 =
																	MAKE_YOUNG_PAIR(BgL_arg2571z00_7347, BNIL);
															}
															SET_CDR(BgL_tail1672z00_7345,
																BgL_newtail1673z00_7346);
															{	/* SawMill/bbv-types.scm 715 */
																obj_t BgL_arg2570z00_7349;

																BgL_arg2570z00_7349 =
																	CDR(((obj_t) BgL_l1669z00_7344));
																{
																	obj_t BgL_tail1672z00_10954;
																	obj_t BgL_l1669z00_10953;

																	BgL_l1669z00_10953 = BgL_arg2570z00_7349;
																	BgL_tail1672z00_10954 =
																		BgL_newtail1673z00_7346;
																	BgL_tail1672z00_7345 = BgL_tail1672z00_10954;
																	BgL_l1669z00_7344 = BgL_l1669z00_10953;
																	goto BgL_zc3z04anonymousza32567ze3z87_7343;
																}
															}
														}
												}
											}
										}
								}
								BgL_arg2563z00_7338 =
									BGl_bitzd2xorza2z70zzsaw_bbvzd2typeszd2(BgL_arg2565z00_7339);
							}
							BgL_arg2559z00_7336 =
								(
								(long) CINT(BgL_arg2562z00_7337) ^
								(long) CINT(BgL_arg2563z00_7338));
						}
						BgL_arg2552z00_7334 =
							((long) CINT(BgL_arg2557z00_7335) ^ BgL_arg2559z00_7336);
					}
					return BINT(((long) CINT(BgL_arg2551z00_7333) ^ BgL_arg2552z00_7334));
		}}}

	}



/* &bbv-hash-rtl_call1755 */
	obj_t BGl_z62bbvzd2hashzd2rtl_call1755z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6615, obj_t BgL_oz00_6616)
	{
		{	/* SawMill/bbv-types.scm 703 */
			{

				{	/* SawMill/bbv-types.scm 705 */
					obj_t BgL_arg2546z00_7353;
					obj_t BgL_arg2547z00_7354;

					{	/* SawMill/bbv-types.scm 703 */
						obj_t BgL_nextzd2method1754zd2_7352;

						BgL_nextzd2method1754zd2_7352 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_callz00_bglt) BgL_oz00_6616)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_callz00zzsaw_defsz00);
						BgL_arg2546z00_7353 =
							PROCEDURE_ENTRY(BgL_nextzd2method1754zd2_7352)
							(BgL_nextzd2method1754zd2_7352,
							((obj_t) ((BgL_rtl_callz00_bglt) BgL_oz00_6616)), BEOA);
					}
					{	/* SawMill/bbv-types.scm 705 */
						BgL_globalz00_bglt BgL_arg2548z00_7355;

						BgL_arg2548z00_7355 =
							(((BgL_rtl_callz00_bglt) COBJECT(
									((BgL_rtl_callz00_bglt) BgL_oz00_6616)))->BgL_varz00);
						BgL_arg2547z00_7354 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg2548z00_7355));
					}
					return
						BINT(
						((long) CINT(BgL_arg2546z00_7353) ^
							(long) CINT(BgL_arg2547z00_7354)));
		}}}

	}



/* &bbv-hash-rtl_new1753 */
	obj_t BGl_z62bbvzd2hashzd2rtl_new1753z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6617, obj_t BgL_oz00_6618)
	{
		{	/* SawMill/bbv-types.scm 694 */
			{

				{	/* SawMill/bbv-types.scm 695 */
					obj_t BgL_arg2522z00_7359;
					long BgL_arg2523z00_7360;

					{	/* SawMill/bbv-types.scm 694 */
						obj_t BgL_nextzd2method1752zd2_7358;

						BgL_nextzd2method1752zd2_7358 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_newz00_bglt) BgL_oz00_6618)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_newz00zzsaw_defsz00);
						BgL_arg2522z00_7359 =
							PROCEDURE_ENTRY(BgL_nextzd2method1752zd2_7358)
							(BgL_nextzd2method1752zd2_7358,
							((obj_t) ((BgL_rtl_newz00_bglt) BgL_oz00_6618)), BEOA);
					}
					{	/* SawMill/bbv-types.scm 697 */
						obj_t BgL_arg2525z00_7361;
						obj_t BgL_arg2526z00_7362;

						{	/* SawMill/bbv-types.scm 697 */
							BgL_typez00_bglt BgL_arg2527z00_7363;

							BgL_arg2527z00_7363 =
								(((BgL_rtl_newz00_bglt) COBJECT(
										((BgL_rtl_newz00_bglt) BgL_oz00_6618)))->BgL_typez00);
							BgL_arg2525z00_7361 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2527z00_7363));
						}
						{	/* SawMill/bbv-types.scm 698 */
							obj_t BgL_arg2530z00_7364;

							{	/* SawMill/bbv-types.scm 698 */
								obj_t BgL_l1663z00_7365;

								BgL_l1663z00_7365 =
									(((BgL_rtl_newz00_bglt) COBJECT(
											((BgL_rtl_newz00_bglt) BgL_oz00_6618)))->BgL_constrz00);
								if (NULLP(BgL_l1663z00_7365))
									{	/* SawMill/bbv-types.scm 698 */
										BgL_arg2530z00_7364 = BNIL;
									}
								else
									{	/* SawMill/bbv-types.scm 698 */
										obj_t BgL_head1665z00_7366;

										BgL_head1665z00_7366 =
											MAKE_YOUNG_PAIR(BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(CAR
												(BgL_l1663z00_7365)), BNIL);
										{	/* SawMill/bbv-types.scm 698 */
											obj_t BgL_g1668z00_7367;

											BgL_g1668z00_7367 = CDR(BgL_l1663z00_7365);
											{
												obj_t BgL_l1663z00_7369;
												obj_t BgL_tail1666z00_7370;

												BgL_l1663z00_7369 = BgL_g1668z00_7367;
												BgL_tail1666z00_7370 = BgL_head1665z00_7366;
											BgL_zc3z04anonymousza32532ze3z87_7368:
												if (NULLP(BgL_l1663z00_7369))
													{	/* SawMill/bbv-types.scm 698 */
														BgL_arg2530z00_7364 = BgL_head1665z00_7366;
													}
												else
													{	/* SawMill/bbv-types.scm 698 */
														obj_t BgL_newtail1667z00_7371;

														{	/* SawMill/bbv-types.scm 698 */
															obj_t BgL_arg2537z00_7372;

															{	/* SawMill/bbv-types.scm 698 */
																obj_t BgL_arg2538z00_7373;

																BgL_arg2538z00_7373 =
																	CAR(((obj_t) BgL_l1663z00_7369));
																BgL_arg2537z00_7372 =
																	BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
																	(BgL_arg2538z00_7373);
															}
															BgL_newtail1667z00_7371 =
																MAKE_YOUNG_PAIR(BgL_arg2537z00_7372, BNIL);
														}
														SET_CDR(BgL_tail1666z00_7370,
															BgL_newtail1667z00_7371);
														{	/* SawMill/bbv-types.scm 698 */
															obj_t BgL_arg2535z00_7374;

															BgL_arg2535z00_7374 =
																CDR(((obj_t) BgL_l1663z00_7369));
															{
																obj_t BgL_tail1666z00_11012;
																obj_t BgL_l1663z00_11011;

																BgL_l1663z00_11011 = BgL_arg2535z00_7374;
																BgL_tail1666z00_11012 = BgL_newtail1667z00_7371;
																BgL_tail1666z00_7370 = BgL_tail1666z00_11012;
																BgL_l1663z00_7369 = BgL_l1663z00_11011;
																goto BgL_zc3z04anonymousza32532ze3z87_7368;
															}
														}
													}
											}
										}
									}
							}
							BgL_arg2526z00_7362 =
								BGl_bitzd2xorza2z70zzsaw_bbvzd2typeszd2(BgL_arg2530z00_7364);
						}
						BgL_arg2523z00_7360 =
							(
							(long) CINT(BgL_arg2525z00_7361) ^
							(long) CINT(BgL_arg2526z00_7362));
					}
					return BINT(((long) CINT(BgL_arg2522z00_7359) ^ BgL_arg2523z00_7360));
		}}}

	}



/* &bbv-hash-rtl_vset1751 */
	obj_t BGl_z62bbvzd2hashzd2rtl_vset1751z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6619, obj_t BgL_oz00_6620)
	{
		{	/* SawMill/bbv-types.scm 687 */
			{

				{	/* SawMill/bbv-types.scm 688 */
					obj_t BgL_arg2509z00_7378;
					long BgL_arg2513z00_7379;

					{	/* SawMill/bbv-types.scm 687 */
						obj_t BgL_nextzd2method1750zd2_7377;

						BgL_nextzd2method1750zd2_7377 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_vsetz00_bglt) BgL_oz00_6620)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_vsetz00zzsaw_defsz00);
						BgL_arg2509z00_7378 =
							PROCEDURE_ENTRY(BgL_nextzd2method1750zd2_7377)
							(BgL_nextzd2method1750zd2_7377,
							((obj_t) ((BgL_rtl_vsetz00_bglt) BgL_oz00_6620)), BEOA);
					}
					{	/* SawMill/bbv-types.scm 689 */
						obj_t BgL_arg2514z00_7380;
						obj_t BgL_arg2519z00_7381;

						{	/* SawMill/bbv-types.scm 689 */
							BgL_typez00_bglt BgL_arg2520z00_7382;

							BgL_arg2520z00_7382 =
								(((BgL_rtl_vsetz00_bglt) COBJECT(
										((BgL_rtl_vsetz00_bglt) BgL_oz00_6620)))->BgL_typez00);
							BgL_arg2514z00_7380 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2520z00_7382));
						}
						{	/* SawMill/bbv-types.scm 689 */
							BgL_typez00_bglt BgL_arg2521z00_7383;

							BgL_arg2521z00_7383 =
								(((BgL_rtl_vsetz00_bglt) COBJECT(
										((BgL_rtl_vsetz00_bglt) BgL_oz00_6620)))->BgL_vtypez00);
							BgL_arg2519z00_7381 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2521z00_7383));
						}
						BgL_arg2513z00_7379 =
							(
							(long) CINT(BgL_arg2514z00_7380) ^
							(long) CINT(BgL_arg2519z00_7381));
					}
					return BINT(((long) CINT(BgL_arg2509z00_7378) ^ BgL_arg2513z00_7379));
		}}}

	}



/* &bbv-hash-rtl_setfiel1749 */
	obj_t BGl_z62bbvzd2hashzd2rtl_setfiel1749z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6621, obj_t BgL_oz00_6622)
	{
		{	/* SawMill/bbv-types.scm 678 */
			{

				{	/* SawMill/bbv-types.scm 679 */
					obj_t BgL_arg2495z00_7387;
					long BgL_arg2499z00_7388;

					{	/* SawMill/bbv-types.scm 678 */
						obj_t BgL_nextzd2method1748zd2_7386;

						BgL_nextzd2method1748zd2_7386 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_setfieldz00_bglt) BgL_oz00_6622)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_setfieldz00zzsaw_defsz00);
						BgL_arg2495z00_7387 =
							PROCEDURE_ENTRY(BgL_nextzd2method1748zd2_7386)
							(BgL_nextzd2method1748zd2_7386,
							((obj_t) ((BgL_rtl_setfieldz00_bglt) BgL_oz00_6622)), BEOA);
					}
					{	/* SawMill/bbv-types.scm 681 */
						obj_t BgL_arg2500z00_7389;
						long BgL_arg2501z00_7390;

						BgL_arg2500z00_7389 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							(((BgL_rtl_setfieldz00_bglt) COBJECT(
										((BgL_rtl_setfieldz00_bglt) BgL_oz00_6622)))->BgL_namez00));
						{	/* SawMill/bbv-types.scm 682 */
							obj_t BgL_arg2503z00_7391;
							obj_t BgL_arg2504z00_7392;

							{	/* SawMill/bbv-types.scm 682 */
								BgL_typez00_bglt BgL_arg2506z00_7393;

								BgL_arg2506z00_7393 =
									(((BgL_rtl_setfieldz00_bglt) COBJECT(
											((BgL_rtl_setfieldz00_bglt) BgL_oz00_6622)))->
									BgL_objtypez00);
								BgL_arg2503z00_7391 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(((obj_t)
										BgL_arg2506z00_7393));
							}
							{	/* SawMill/bbv-types.scm 682 */
								BgL_typez00_bglt BgL_arg2507z00_7394;

								BgL_arg2507z00_7394 =
									(((BgL_rtl_setfieldz00_bglt) COBJECT(
											((BgL_rtl_setfieldz00_bglt) BgL_oz00_6622)))->
									BgL_typez00);
								BgL_arg2504z00_7392 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(((obj_t)
										BgL_arg2507z00_7394));
							}
							BgL_arg2501z00_7390 =
								(
								(long) CINT(BgL_arg2503z00_7391) ^
								(long) CINT(BgL_arg2504z00_7392));
						}
						BgL_arg2499z00_7388 =
							((long) CINT(BgL_arg2500z00_7389) ^ BgL_arg2501z00_7390);
					}
					return BINT(((long) CINT(BgL_arg2495z00_7387) ^ BgL_arg2499z00_7388));
		}}}

	}



/* &bbv-hash-rtl_storeg1747 */
	obj_t BGl_z62bbvzd2hashzd2rtl_storeg1747z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6623, obj_t BgL_oz00_6624)
	{
		{	/* SawMill/bbv-types.scm 669 */
			{

				{	/* SawMill/bbv-types.scm 670 */
					obj_t BgL_arg2486z00_7398;
					long BgL_arg2487z00_7399;

					{	/* SawMill/bbv-types.scm 669 */
						obj_t BgL_nextzd2method1746zd2_7397;

						BgL_nextzd2method1746zd2_7397 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_storegz00_bglt) BgL_oz00_6624)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_storegz00zzsaw_defsz00);
						BgL_arg2486z00_7398 =
							PROCEDURE_ENTRY(BgL_nextzd2method1746zd2_7397)
							(BgL_nextzd2method1746zd2_7397,
							((obj_t) ((BgL_rtl_storegz00_bglt) BgL_oz00_6624)), BEOA);
					}
					{	/* SawMill/bbv-types.scm 672 */
						BgL_globalz00_bglt BgL_i1298z00_7400;

						BgL_i1298z00_7400 =
							(((BgL_rtl_storegz00_bglt) COBJECT(
									((BgL_rtl_storegz00_bglt) BgL_oz00_6624)))->BgL_varz00);
						{	/* SawMill/bbv-types.scm 673 */
							obj_t BgL_arg2489z00_7401;
							obj_t BgL_arg2491z00_7402;

							BgL_arg2489z00_7401 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								(((BgL_globalz00_bglt) COBJECT(BgL_i1298z00_7400))->
									BgL_modulez00));
							{	/* SawMill/bbv-types.scm 673 */
								obj_t BgL_arg2494z00_7403;

								BgL_arg2494z00_7403 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_i1298z00_7400)))->BgL_idz00);
								BgL_arg2491z00_7402 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(BgL_arg2494z00_7403);
							}
							BgL_arg2487z00_7399 =
								(
								(long) CINT(BgL_arg2489z00_7401) ^
								(long) CINT(BgL_arg2491z00_7402));
					}}
					return BINT(((long) CINT(BgL_arg2486z00_7398) ^ BgL_arg2487z00_7399));
		}}}

	}



/* &bbv-hash-rtl_instanc1745 */
	obj_t BGl_z62bbvzd2hashzd2rtl_instanc1745z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6625, obj_t BgL_oz00_6626)
	{
		{	/* SawMill/bbv-types.scm 662 */
			{

				{	/* SawMill/bbv-types.scm 663 */
					obj_t BgL_arg2481z00_7407;
					obj_t BgL_arg2483z00_7408;

					{	/* SawMill/bbv-types.scm 662 */
						obj_t BgL_nextzd2method1744zd2_7406;

						BgL_nextzd2method1744zd2_7406 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_instanceofz00_bglt) BgL_oz00_6626)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_instanceofz00zzsaw_defsz00);
						BgL_arg2481z00_7407 =
							PROCEDURE_ENTRY(BgL_nextzd2method1744zd2_7406)
							(BgL_nextzd2method1744zd2_7406,
							((obj_t) ((BgL_rtl_instanceofz00_bglt) BgL_oz00_6626)), BEOA);
					}
					{	/* SawMill/bbv-types.scm 664 */
						BgL_typez00_bglt BgL_arg2484z00_7409;

						BgL_arg2484z00_7409 =
							(((BgL_rtl_instanceofz00_bglt) COBJECT(
									((BgL_rtl_instanceofz00_bglt) BgL_oz00_6626)))->BgL_typez00);
						BgL_arg2483z00_7408 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg2484z00_7409));
					}
					return
						BINT(
						((long) CINT(BgL_arg2481z00_7407) ^
							(long) CINT(BgL_arg2483z00_7408)));
		}}}

	}



/* &bbv-hash-rtl_vlength1743 */
	obj_t BGl_z62bbvzd2hashzd2rtl_vlength1743z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6627, obj_t BgL_oz00_6628)
	{
		{	/* SawMill/bbv-types.scm 655 */
			{

				{	/* SawMill/bbv-types.scm 656 */
					obj_t BgL_arg2473z00_7413;
					long BgL_arg2475z00_7414;

					{	/* SawMill/bbv-types.scm 655 */
						obj_t BgL_nextzd2method1742zd2_7412;

						BgL_nextzd2method1742zd2_7412 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_vlengthz00_bglt) BgL_oz00_6628)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_vlengthz00zzsaw_defsz00);
						BgL_arg2473z00_7413 =
							PROCEDURE_ENTRY(BgL_nextzd2method1742zd2_7412)
							(BgL_nextzd2method1742zd2_7412,
							((obj_t) ((BgL_rtl_vlengthz00_bglt) BgL_oz00_6628)), BEOA);
					}
					{	/* SawMill/bbv-types.scm 657 */
						obj_t BgL_arg2476z00_7415;
						obj_t BgL_arg2477z00_7416;

						{	/* SawMill/bbv-types.scm 657 */
							BgL_typez00_bglt BgL_arg2478z00_7417;

							BgL_arg2478z00_7417 =
								(((BgL_rtl_vlengthz00_bglt) COBJECT(
										((BgL_rtl_vlengthz00_bglt) BgL_oz00_6628)))->BgL_typez00);
							BgL_arg2476z00_7415 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2478z00_7417));
						}
						{	/* SawMill/bbv-types.scm 657 */
							BgL_typez00_bglt BgL_arg2479z00_7418;

							BgL_arg2479z00_7418 =
								(((BgL_rtl_vlengthz00_bglt) COBJECT(
										((BgL_rtl_vlengthz00_bglt) BgL_oz00_6628)))->BgL_vtypez00);
							BgL_arg2477z00_7416 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2479z00_7418));
						}
						BgL_arg2475z00_7414 =
							(
							(long) CINT(BgL_arg2476z00_7415) ^
							(long) CINT(BgL_arg2477z00_7416));
					}
					return BINT(((long) CINT(BgL_arg2473z00_7413) ^ BgL_arg2475z00_7414));
		}}}

	}



/* &bbv-hash-rtl_vref1741 */
	obj_t BGl_z62bbvzd2hashzd2rtl_vref1741z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6629, obj_t BgL_oz00_6630)
	{
		{	/* SawMill/bbv-types.scm 648 */
			{

				{	/* SawMill/bbv-types.scm 649 */
					obj_t BgL_arg2467z00_7422;
					long BgL_arg2468z00_7423;

					{	/* SawMill/bbv-types.scm 648 */
						obj_t BgL_nextzd2method1740zd2_7421;

						BgL_nextzd2method1740zd2_7421 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_vrefz00_bglt) BgL_oz00_6630)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_vrefz00zzsaw_defsz00);
						BgL_arg2467z00_7422 =
							PROCEDURE_ENTRY(BgL_nextzd2method1740zd2_7421)
							(BgL_nextzd2method1740zd2_7421,
							((obj_t) ((BgL_rtl_vrefz00_bglt) BgL_oz00_6630)), BEOA);
					}
					{	/* SawMill/bbv-types.scm 650 */
						obj_t BgL_arg2469z00_7424;
						obj_t BgL_arg2470z00_7425;

						{	/* SawMill/bbv-types.scm 650 */
							BgL_typez00_bglt BgL_arg2471z00_7426;

							BgL_arg2471z00_7426 =
								(((BgL_rtl_vrefz00_bglt) COBJECT(
										((BgL_rtl_vrefz00_bglt) BgL_oz00_6630)))->BgL_typez00);
							BgL_arg2469z00_7424 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2471z00_7426));
						}
						{	/* SawMill/bbv-types.scm 650 */
							BgL_typez00_bglt BgL_arg2472z00_7427;

							BgL_arg2472z00_7427 =
								(((BgL_rtl_vrefz00_bglt) COBJECT(
										((BgL_rtl_vrefz00_bglt) BgL_oz00_6630)))->BgL_vtypez00);
							BgL_arg2470z00_7425 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2472z00_7427));
						}
						BgL_arg2468z00_7423 =
							(
							(long) CINT(BgL_arg2469z00_7424) ^
							(long) CINT(BgL_arg2470z00_7425));
					}
					return BINT(((long) CINT(BgL_arg2467z00_7422) ^ BgL_arg2468z00_7423));
		}}}

	}



/* &bbv-hash-rtl_valloc1739 */
	obj_t BGl_z62bbvzd2hashzd2rtl_valloc1739z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6631, obj_t BgL_oz00_6632)
	{
		{	/* SawMill/bbv-types.scm 641 */
			{

				{	/* SawMill/bbv-types.scm 642 */
					obj_t BgL_arg2458z00_7431;
					long BgL_arg2459z00_7432;

					{	/* SawMill/bbv-types.scm 641 */
						obj_t BgL_nextzd2method1738zd2_7430;

						BgL_nextzd2method1738zd2_7430 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_vallocz00_bglt) BgL_oz00_6632)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_vallocz00zzsaw_defsz00);
						BgL_arg2458z00_7431 =
							PROCEDURE_ENTRY(BgL_nextzd2method1738zd2_7430)
							(BgL_nextzd2method1738zd2_7430,
							((obj_t) ((BgL_rtl_vallocz00_bglt) BgL_oz00_6632)), BEOA);
					}
					{	/* SawMill/bbv-types.scm 643 */
						obj_t BgL_arg2460z00_7433;
						obj_t BgL_arg2462z00_7434;

						{	/* SawMill/bbv-types.scm 643 */
							BgL_typez00_bglt BgL_arg2463z00_7435;

							BgL_arg2463z00_7435 =
								(((BgL_rtl_vallocz00_bglt) COBJECT(
										((BgL_rtl_vallocz00_bglt) BgL_oz00_6632)))->BgL_typez00);
							BgL_arg2460z00_7433 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2463z00_7435));
						}
						{	/* SawMill/bbv-types.scm 643 */
							BgL_typez00_bglt BgL_arg2464z00_7436;

							BgL_arg2464z00_7436 =
								(((BgL_rtl_vallocz00_bglt) COBJECT(
										((BgL_rtl_vallocz00_bglt) BgL_oz00_6632)))->BgL_vtypez00);
							BgL_arg2462z00_7434 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2464z00_7436));
						}
						BgL_arg2459z00_7432 =
							(
							(long) CINT(BgL_arg2460z00_7433) ^
							(long) CINT(BgL_arg2462z00_7434));
					}
					return BINT(((long) CINT(BgL_arg2458z00_7431) ^ BgL_arg2459z00_7432));
		}}}

	}



/* &bbv-hash-rtl_getfiel1737 */
	obj_t BGl_z62bbvzd2hashzd2rtl_getfiel1737z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6633, obj_t BgL_oz00_6634)
	{
		{	/* SawMill/bbv-types.scm 632 */
			{

				{	/* SawMill/bbv-types.scm 633 */
					obj_t BgL_arg2448z00_7440;
					long BgL_arg2449z00_7441;

					{	/* SawMill/bbv-types.scm 632 */
						obj_t BgL_nextzd2method1736zd2_7439;

						BgL_nextzd2method1736zd2_7439 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_getfieldz00_bglt) BgL_oz00_6634)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_getfieldz00zzsaw_defsz00);
						BgL_arg2448z00_7440 =
							PROCEDURE_ENTRY(BgL_nextzd2method1736zd2_7439)
							(BgL_nextzd2method1736zd2_7439,
							((obj_t) ((BgL_rtl_getfieldz00_bglt) BgL_oz00_6634)), BEOA);
					}
					{	/* SawMill/bbv-types.scm 635 */
						obj_t BgL_arg2450z00_7442;
						long BgL_arg2451z00_7443;

						BgL_arg2450z00_7442 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							(((BgL_rtl_getfieldz00_bglt) COBJECT(
										((BgL_rtl_getfieldz00_bglt) BgL_oz00_6634)))->BgL_namez00));
						{	/* SawMill/bbv-types.scm 636 */
							obj_t BgL_arg2453z00_7444;
							obj_t BgL_arg2454z00_7445;

							{	/* SawMill/bbv-types.scm 636 */
								BgL_typez00_bglt BgL_arg2455z00_7446;

								BgL_arg2455z00_7446 =
									(((BgL_rtl_getfieldz00_bglt) COBJECT(
											((BgL_rtl_getfieldz00_bglt) BgL_oz00_6634)))->
									BgL_objtypez00);
								BgL_arg2453z00_7444 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(((obj_t)
										BgL_arg2455z00_7446));
							}
							{	/* SawMill/bbv-types.scm 636 */
								BgL_typez00_bglt BgL_arg2457z00_7447;

								BgL_arg2457z00_7447 =
									(((BgL_rtl_getfieldz00_bglt) COBJECT(
											((BgL_rtl_getfieldz00_bglt) BgL_oz00_6634)))->
									BgL_typez00);
								BgL_arg2454z00_7445 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(((obj_t)
										BgL_arg2457z00_7447));
							}
							BgL_arg2451z00_7443 =
								(
								(long) CINT(BgL_arg2453z00_7444) ^
								(long) CINT(BgL_arg2454z00_7445));
						}
						BgL_arg2449z00_7441 =
							((long) CINT(BgL_arg2450z00_7442) ^ BgL_arg2451z00_7443);
					}
					return BINT(((long) CINT(BgL_arg2448z00_7440) ^ BgL_arg2449z00_7441));
		}}}

	}



/* &bbv-hash-rtl_globalr1735 */
	obj_t BGl_z62bbvzd2hashzd2rtl_globalr1735z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6635, obj_t BgL_oz00_6636)
	{
		{	/* SawMill/bbv-types.scm 625 */
			{

				{	/* SawMill/bbv-types.scm 627 */
					obj_t BgL_arg2444z00_7451;
					obj_t BgL_arg2445z00_7452;

					{	/* SawMill/bbv-types.scm 625 */
						obj_t BgL_nextzd2method1734zd2_7450;

						BgL_nextzd2method1734zd2_7450 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_globalrefz00_bglt) BgL_oz00_6636)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_globalrefz00zzsaw_defsz00);
						BgL_arg2444z00_7451 =
							PROCEDURE_ENTRY(BgL_nextzd2method1734zd2_7450)
							(BgL_nextzd2method1734zd2_7450,
							((obj_t) ((BgL_rtl_globalrefz00_bglt) BgL_oz00_6636)), BEOA);
					}
					{	/* SawMill/bbv-types.scm 627 */
						BgL_globalz00_bglt BgL_arg2446z00_7453;

						BgL_arg2446z00_7453 =
							(((BgL_rtl_globalrefz00_bglt) COBJECT(
									((BgL_rtl_globalrefz00_bglt) BgL_oz00_6636)))->BgL_varz00);
						BgL_arg2445z00_7452 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg2446z00_7453));
					}
					return
						BINT(
						((long) CINT(BgL_arg2444z00_7451) ^
							(long) CINT(BgL_arg2445z00_7452)));
		}}}

	}



/* &bbv-hash-rtl_loadfun1733 */
	obj_t BGl_z62bbvzd2hashzd2rtl_loadfun1733z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6637, obj_t BgL_oz00_6638)
	{
		{	/* SawMill/bbv-types.scm 618 */
			{

				{	/* SawMill/bbv-types.scm 620 */
					obj_t BgL_arg2439z00_7457;
					obj_t BgL_arg2440z00_7458;

					{	/* SawMill/bbv-types.scm 618 */
						obj_t BgL_nextzd2method1732zd2_7456;

						BgL_nextzd2method1732zd2_7456 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_loadfunz00_bglt) BgL_oz00_6638)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_loadfunz00zzsaw_defsz00);
						BgL_arg2439z00_7457 =
							PROCEDURE_ENTRY(BgL_nextzd2method1732zd2_7456)
							(BgL_nextzd2method1732zd2_7456,
							((obj_t) ((BgL_rtl_loadfunz00_bglt) BgL_oz00_6638)), BEOA);
					}
					{	/* SawMill/bbv-types.scm 620 */
						BgL_globalz00_bglt BgL_arg2442z00_7459;

						BgL_arg2442z00_7459 =
							(((BgL_rtl_loadfunz00_bglt) COBJECT(
									((BgL_rtl_loadfunz00_bglt) BgL_oz00_6638)))->BgL_varz00);
						BgL_arg2440z00_7458 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg2442z00_7459));
					}
					return
						BINT(
						((long) CINT(BgL_arg2439z00_7457) ^
							(long) CINT(BgL_arg2440z00_7458)));
		}}}

	}



/* &bbv-hash-rtl_loadg1731 */
	obj_t BGl_z62bbvzd2hashzd2rtl_loadg1731z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6639, obj_t BgL_oz00_6640)
	{
		{	/* SawMill/bbv-types.scm 611 */
			{

				{	/* SawMill/bbv-types.scm 613 */
					obj_t BgL_arg2434z00_7463;
					obj_t BgL_arg2436z00_7464;

					{	/* SawMill/bbv-types.scm 611 */
						obj_t BgL_nextzd2method1730zd2_7462;

						BgL_nextzd2method1730zd2_7462 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_loadgz00_bglt) BgL_oz00_6640)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_loadgz00zzsaw_defsz00);
						BgL_arg2434z00_7463 =
							PROCEDURE_ENTRY(BgL_nextzd2method1730zd2_7462)
							(BgL_nextzd2method1730zd2_7462,
							((obj_t) ((BgL_rtl_loadgz00_bglt) BgL_oz00_6640)), BEOA);
					}
					{	/* SawMill/bbv-types.scm 613 */
						BgL_globalz00_bglt BgL_arg2437z00_7465;

						BgL_arg2437z00_7465 =
							(((BgL_rtl_loadgz00_bglt) COBJECT(
									((BgL_rtl_loadgz00_bglt) BgL_oz00_6640)))->BgL_varz00);
						BgL_arg2436z00_7464 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg2437z00_7465));
					}
					return
						BINT(
						((long) CINT(BgL_arg2434z00_7463) ^
							(long) CINT(BgL_arg2436z00_7464)));
		}}}

	}



/* &bbv-hash-rtl_loadi1729 */
	obj_t BGl_z62bbvzd2hashzd2rtl_loadi1729z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6641, obj_t BgL_oz00_6642)
	{
		{	/* SawMill/bbv-types.scm 604 */
			{

				{	/* SawMill/bbv-types.scm 606 */
					obj_t BgL_arg2430z00_7469;
					obj_t BgL_arg2432z00_7470;

					{	/* SawMill/bbv-types.scm 604 */
						obj_t BgL_nextzd2method1728zd2_7468;

						BgL_nextzd2method1728zd2_7468 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_loadiz00_bglt) BgL_oz00_6642)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_loadiz00zzsaw_defsz00);
						BgL_arg2430z00_7469 =
							PROCEDURE_ENTRY(BgL_nextzd2method1728zd2_7468)
							(BgL_nextzd2method1728zd2_7468,
							((obj_t) ((BgL_rtl_loadiz00_bglt) BgL_oz00_6642)), BEOA);
					}
					{	/* SawMill/bbv-types.scm 606 */
						BgL_atomz00_bglt BgL_arg2433z00_7471;

						BgL_arg2433z00_7471 =
							(((BgL_rtl_loadiz00_bglt) COBJECT(
									((BgL_rtl_loadiz00_bglt) BgL_oz00_6642)))->BgL_constantz00);
						BgL_arg2432z00_7470 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg2433z00_7471));
					}
					return
						BINT(
						((long) CINT(BgL_arg2430z00_7469) ^
							(long) CINT(BgL_arg2432z00_7470)));
		}}}

	}



/* &bbv-hash-rtl_return1727 */
	obj_t BGl_z62bbvzd2hashzd2rtl_return1727z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6643, obj_t BgL_oz00_6644)
	{
		{	/* SawMill/bbv-types.scm 597 */
			{

				{	/* SawMill/bbv-types.scm 599 */
					obj_t BgL_arg2426z00_7475;
					obj_t BgL_arg2427z00_7476;

					{	/* SawMill/bbv-types.scm 597 */
						obj_t BgL_nextzd2method1726zd2_7474;

						BgL_nextzd2method1726zd2_7474 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_returnz00_bglt) BgL_oz00_6644)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_returnz00zzsaw_defsz00);
						BgL_arg2426z00_7475 =
							PROCEDURE_ENTRY(BgL_nextzd2method1726zd2_7474)
							(BgL_nextzd2method1726zd2_7474,
							((obj_t) ((BgL_rtl_returnz00_bglt) BgL_oz00_6644)), BEOA);
					}
					{	/* SawMill/bbv-types.scm 599 */
						BgL_typez00_bglt BgL_arg2428z00_7477;

						BgL_arg2428z00_7477 =
							(((BgL_rtl_returnz00_bglt) COBJECT(
									((BgL_rtl_returnz00_bglt) BgL_oz00_6644)))->BgL_typez00);
						BgL_arg2427z00_7476 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg2428z00_7477));
					}
					return
						BINT(
						((long) CINT(BgL_arg2426z00_7475) ^
							(long) CINT(BgL_arg2427z00_7476)));
		}}}

	}



/* &bbv-hash-rtl_fun1724 */
	obj_t BGl_z62bbvzd2hashzd2rtl_fun1724z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6645, obj_t BgL_oz00_6646)
	{
		{	/* SawMill/bbv-types.scm 591 */
			{	/* SawMill/bbv-types.scm 592 */
				obj_t BgL_arg2424z00_7479;

				{	/* SawMill/bbv-types.scm 592 */
					obj_t BgL_arg2425z00_7480;

					{	/* SawMill/bbv-types.scm 592 */
						long BgL_arg1833z00_7481;

						{	/* SawMill/bbv-types.scm 592 */
							long BgL_arg1834z00_7482;

							BgL_arg1834z00_7482 =
								BGL_OBJECT_CLASS_NUM(
								((BgL_objectz00_bglt) ((BgL_rtl_funz00_bglt) BgL_oz00_6646)));
							BgL_arg1833z00_7481 = (BgL_arg1834z00_7482 - OBJECT_TYPE);
						}
						BgL_arg2425z00_7480 =
							VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
							BgL_arg1833z00_7481);
					}
					BgL_arg2424z00_7479 =
						BGl_classzd2namezd2zz__objectz00(BgL_arg2425z00_7480);
				}
				return BINT(bgl_symbol_hash_number(BgL_arg2424z00_7479));
			}
		}

	}



/* &bbv-hash-rtl_reg1722 */
	obj_t BGl_z62bbvzd2hashzd2rtl_reg1722z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6647, obj_t BgL_oz00_6648)
	{
		{	/* SawMill/bbv-types.scm 583 */
			{	/* SawMill/bbv-types.scm 585 */
				obj_t BgL_arg2415z00_7484;
				long BgL_arg2416z00_7485;

				{	/* SawMill/bbv-types.scm 585 */
					BgL_typez00_bglt BgL_arg2418z00_7486;

					BgL_arg2418z00_7486 =
						(((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_oz00_6648)))->BgL_typez00);
					BgL_arg2415z00_7484 =
						BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
						((obj_t) BgL_arg2418z00_7486));
				}
				BgL_arg2416z00_7485 =
					(bgl_symbol_hash_number(
						(((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_oz00_6648)))->BgL_namez00)) ^
					bgl_symbol_hash_number(
						(((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_oz00_6648)))->BgL_keyz00)));
				return BINT(((long) CINT(BgL_arg2415z00_7484) ^ BgL_arg2416z00_7485));
		}}

	}



/* &bbv-hash-rtl_ins/bbv1720 */
	obj_t BGl_z62bbvzd2hashzd2rtl_inszf2bbv1720z90zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6649, obj_t BgL_oz00_6650)
	{
		{	/* SawMill/bbv-types.scm 569 */
			{	/* SawMill/bbv-types.scm 571 */
				bool_t BgL_test3546z00_11314;

				{	/* SawMill/bbv-types.scm 571 */
					obj_t BgL_tmpz00_11315;

					{
						BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11316;

						{
							obj_t BgL_auxz00_11317;

							{	/* SawMill/bbv-types.scm 571 */
								BgL_objectz00_bglt BgL_tmpz00_11318;

								BgL_tmpz00_11318 =
									((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_6650));
								BgL_auxz00_11317 = BGL_OBJECT_WIDENING(BgL_tmpz00_11318);
							}
							BgL_auxz00_11316 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11317);
						}
						BgL_tmpz00_11315 =
							(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11316))->
							BgL_z52hashz52);
					}
					BgL_test3546z00_11314 = CBOOL(BgL_tmpz00_11315);
				}
				if (BgL_test3546z00_11314)
					{	/* SawMill/bbv-types.scm 571 */
						BFALSE;
					}
				else
					{
						obj_t BgL_auxz00_11332;
						BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11325;

						{	/* SawMill/bbv-types.scm 574 */
							obj_t BgL_arg2397z00_7488;
							long BgL_arg2398z00_7489;

							{	/* SawMill/bbv-types.scm 574 */
								obj_t BgL_arg2399z00_7490;

								BgL_arg2399z00_7490 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt)
												((BgL_rtl_insz00_bglt) BgL_oz00_6650))))->BgL_destz00);
								BgL_arg2397z00_7488 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(BgL_arg2399z00_7490);
							}
							{	/* SawMill/bbv-types.scm 576 */
								obj_t BgL_arg2400z00_7491;
								obj_t BgL_arg2402z00_7492;

								{	/* SawMill/bbv-types.scm 576 */
									obj_t BgL_arg2403z00_7493;

									{	/* SawMill/bbv-types.scm 576 */
										obj_t BgL_l1657z00_7494;

										BgL_l1657z00_7494 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_oz00_6650))))->
											BgL_argsz00);
										if (NULLP(BgL_l1657z00_7494))
											{	/* SawMill/bbv-types.scm 576 */
												BgL_arg2403z00_7493 = BNIL;
											}
										else
											{	/* SawMill/bbv-types.scm 576 */
												obj_t BgL_head1659z00_7495;

												{	/* SawMill/bbv-types.scm 576 */
													obj_t BgL_arg2411z00_7496;

													{	/* SawMill/bbv-types.scm 576 */
														obj_t BgL_arg2413z00_7497;

														BgL_arg2413z00_7497 = CAR(BgL_l1657z00_7494);
														BgL_arg2411z00_7496 =
															BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
															(BgL_arg2413z00_7497);
													}
													BgL_head1659z00_7495 =
														MAKE_YOUNG_PAIR(BgL_arg2411z00_7496, BNIL);
												}
												{	/* SawMill/bbv-types.scm 576 */
													obj_t BgL_g1662z00_7498;

													BgL_g1662z00_7498 = CDR(BgL_l1657z00_7494);
													{
														obj_t BgL_l1657z00_7500;
														obj_t BgL_tail1660z00_7501;

														BgL_l1657z00_7500 = BgL_g1662z00_7498;
														BgL_tail1660z00_7501 = BgL_head1659z00_7495;
													BgL_zc3z04anonymousza32405ze3z87_7499:
														if (NULLP(BgL_l1657z00_7500))
															{	/* SawMill/bbv-types.scm 576 */
																BgL_arg2403z00_7493 = BgL_head1659z00_7495;
															}
														else
															{	/* SawMill/bbv-types.scm 576 */
																obj_t BgL_newtail1661z00_7502;

																{	/* SawMill/bbv-types.scm 576 */
																	obj_t BgL_arg2409z00_7503;

																	{	/* SawMill/bbv-types.scm 576 */
																		obj_t BgL_arg2410z00_7504;

																		BgL_arg2410z00_7504 =
																			CAR(((obj_t) BgL_l1657z00_7500));
																		BgL_arg2409z00_7503 =
																			BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
																			(BgL_arg2410z00_7504);
																	}
																	BgL_newtail1661z00_7502 =
																		MAKE_YOUNG_PAIR(BgL_arg2409z00_7503, BNIL);
																}
																SET_CDR(BgL_tail1660z00_7501,
																	BgL_newtail1661z00_7502);
																{	/* SawMill/bbv-types.scm 576 */
																	obj_t BgL_arg2407z00_7505;

																	BgL_arg2407z00_7505 =
																		CDR(((obj_t) BgL_l1657z00_7500));
																	{
																		obj_t BgL_tail1660z00_11356;
																		obj_t BgL_l1657z00_11355;

																		BgL_l1657z00_11355 = BgL_arg2407z00_7505;
																		BgL_tail1660z00_11356 =
																			BgL_newtail1661z00_7502;
																		BgL_tail1660z00_7501 =
																			BgL_tail1660z00_11356;
																		BgL_l1657z00_7500 = BgL_l1657z00_11355;
																		goto BgL_zc3z04anonymousza32405ze3z87_7499;
																	}
																}
															}
													}
												}
											}
									}
									BgL_arg2400z00_7491 =
										BGl_bitzd2xorza2z70zzsaw_bbvzd2typeszd2
										(BgL_arg2403z00_7493);
								}
								{	/* SawMill/bbv-types.scm 577 */
									BgL_rtl_funz00_bglt BgL_arg2414z00_7506;

									BgL_arg2414z00_7506 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_oz00_6650))))->BgL_funz00);
									BgL_arg2402z00_7492 =
										BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
										((obj_t) BgL_arg2414z00_7506));
								}
								BgL_arg2398z00_7489 =
									(
									(long) CINT(BgL_arg2400z00_7491) ^
									(long) CINT(BgL_arg2402z00_7492));
							}
							BgL_auxz00_11332 =
								BINT(((long) CINT(BgL_arg2397z00_7488) ^ BgL_arg2398z00_7489));
						}
						{
							obj_t BgL_auxz00_11326;

							{	/* SawMill/bbv-types.scm 572 */
								BgL_objectz00_bglt BgL_tmpz00_11327;

								BgL_tmpz00_11327 =
									((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_6650));
								BgL_auxz00_11326 = BGL_OBJECT_WIDENING(BgL_tmpz00_11327);
							}
							BgL_auxz00_11325 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11326);
						}
						((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11325))->
								BgL_z52hashz52) = ((obj_t) BgL_auxz00_11332), BUNSPEC);
			}}
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11370;

				{
					obj_t BgL_auxz00_11371;

					{	/* SawMill/bbv-types.scm 578 */
						BgL_objectz00_bglt BgL_tmpz00_11372;

						BgL_tmpz00_11372 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_6650));
						BgL_auxz00_11371 = BGL_OBJECT_WIDENING(BgL_tmpz00_11372);
					}
					BgL_auxz00_11370 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11371);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11370))->
					BgL_z52hashz52);
			}
		}

	}



/* &bbv-hash-blockS1718 */
	obj_t BGl_z62bbvzd2hashzd2blockS1718z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6651, obj_t BgL_oz00_6652)
	{
		{	/* SawMill/bbv-types.scm 557 */
			{
				obj_t BgL_insz00_7509;

				{	/* SawMill/bbv-types.scm 563 */
					bool_t BgL_test3549z00_11378;

					{	/* SawMill/bbv-types.scm 563 */
						obj_t BgL_tmpz00_11379;

						{
							BgL_blocksz00_bglt BgL_auxz00_11380;

							{
								obj_t BgL_auxz00_11381;

								{	/* SawMill/bbv-types.scm 563 */
									BgL_objectz00_bglt BgL_tmpz00_11382;

									BgL_tmpz00_11382 =
										((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6652));
									BgL_auxz00_11381 = BGL_OBJECT_WIDENING(BgL_tmpz00_11382);
								}
								BgL_auxz00_11380 = ((BgL_blocksz00_bglt) BgL_auxz00_11381);
							}
							BgL_tmpz00_11379 =
								(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11380))->
								BgL_z52hashz52);
						}
						BgL_test3549z00_11378 = CBOOL(BgL_tmpz00_11379);
					}
					if (BgL_test3549z00_11378)
						{	/* SawMill/bbv-types.scm 563 */
							BFALSE;
						}
					else
						{
							obj_t BgL_auxz00_11396;
							BgL_blocksz00_bglt BgL_auxz00_11389;

							{	/* SawMill/bbv-types.scm 563 */
								obj_t BgL_arg2383z00_7520;

								BgL_arg2383z00_7520 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												((BgL_blockz00_bglt) BgL_oz00_6652))))->BgL_firstz00);
								BgL_insz00_7509 = BgL_arg2383z00_7520;
								{	/* SawMill/bbv-types.scm 560 */
									obj_t BgL_arg2386z00_7510;

									{	/* SawMill/bbv-types.scm 560 */
										obj_t BgL_head1653z00_7511;

										BgL_head1653z00_7511 =
											MAKE_YOUNG_PAIR(BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(CAR
												(BgL_insz00_7509)), BNIL);
										{	/* SawMill/bbv-types.scm 560 */
											obj_t BgL_g1656z00_7512;

											BgL_g1656z00_7512 = CDR(BgL_insz00_7509);
											{
												obj_t BgL_l1651z00_7514;
												obj_t BgL_tail1654z00_7515;

												BgL_l1651z00_7514 = BgL_g1656z00_7512;
												BgL_tail1654z00_7515 = BgL_head1653z00_7511;
											BgL_zc3z04anonymousza32388ze3z87_7513:
												if (NULLP(BgL_l1651z00_7514))
													{	/* SawMill/bbv-types.scm 560 */
														BgL_arg2386z00_7510 = BgL_head1653z00_7511;
													}
												else
													{	/* SawMill/bbv-types.scm 560 */
														obj_t BgL_newtail1655z00_7516;

														{	/* SawMill/bbv-types.scm 560 */
															obj_t BgL_arg2391z00_7517;

															{	/* SawMill/bbv-types.scm 560 */
																obj_t BgL_arg2392z00_7518;

																BgL_arg2392z00_7518 =
																	CAR(((obj_t) BgL_l1651z00_7514));
																BgL_arg2391z00_7517 =
																	BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
																	(BgL_arg2392z00_7518);
															}
															BgL_newtail1655z00_7516 =
																MAKE_YOUNG_PAIR(BgL_arg2391z00_7517, BNIL);
														}
														SET_CDR(BgL_tail1654z00_7515,
															BgL_newtail1655z00_7516);
														{	/* SawMill/bbv-types.scm 560 */
															obj_t BgL_arg2390z00_7519;

															BgL_arg2390z00_7519 =
																CDR(((obj_t) BgL_l1651z00_7514));
															{
																obj_t BgL_tail1654z00_11414;
																obj_t BgL_l1651z00_11413;

																BgL_l1651z00_11413 = BgL_arg2390z00_7519;
																BgL_tail1654z00_11414 = BgL_newtail1655z00_7516;
																BgL_tail1654z00_7515 = BgL_tail1654z00_11414;
																BgL_l1651z00_7514 = BgL_l1651z00_11413;
																goto BgL_zc3z04anonymousza32388ze3z87_7513;
															}
														}
													}
											}
										}
									}
									BgL_auxz00_11396 =
										BGl_bitzd2xorza2z70zzsaw_bbvzd2typeszd2
										(BgL_arg2386z00_7510);
								}
							}
							{
								obj_t BgL_auxz00_11390;

								{	/* SawMill/bbv-types.scm 563 */
									BgL_objectz00_bglt BgL_tmpz00_11391;

									BgL_tmpz00_11391 =
										((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6652));
									BgL_auxz00_11390 = BGL_OBJECT_WIDENING(BgL_tmpz00_11391);
								}
								BgL_auxz00_11389 = ((BgL_blocksz00_bglt) BgL_auxz00_11390);
							}
							((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11389))->
									BgL_z52hashz52) = ((obj_t) BgL_auxz00_11396), BUNSPEC);
						}
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_11417;

					{
						obj_t BgL_auxz00_11418;

						{	/* SawMill/bbv-types.scm 564 */
							BgL_objectz00_bglt BgL_tmpz00_11419;

							BgL_tmpz00_11419 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6652));
							BgL_auxz00_11418 = BGL_OBJECT_WIDENING(BgL_tmpz00_11419);
						}
						BgL_auxz00_11417 = ((BgL_blocksz00_bglt) BgL_auxz00_11418);
					}
					return
						(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11417))->BgL_z52hashz52);
				}
			}
		}

	}



/* &bbv-hash-atom1716 */
	obj_t BGl_z62bbvzd2hashzd2atom1716z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6653, obj_t BgL_oz00_6654)
	{
		{	/* SawMill/bbv-types.scm 550 */
			{	/* SawMill/bbv-types.scm 552 */
				obj_t BgL_arg2381z00_7522;

				BgL_arg2381z00_7522 =
					(((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_6654)))->BgL_valuez00);
				return BINT(BGl_getzd2hashnumberzd2zz__hashz00(BgL_arg2381z00_7522));
			}
		}

	}



/* &bbv-hash-type1714 */
	obj_t BGl_z62bbvzd2hashzd2type1714z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6655, obj_t BgL_oz00_6656)
	{
		{	/* SawMill/bbv-types.scm 543 */
			{	/* SawMill/bbv-types.scm 545 */
				obj_t BgL_arg2380z00_7524;

				BgL_arg2380z00_7524 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_6656)))->BgL_idz00);
				return BINT(bgl_symbol_hash_number(BgL_arg2380z00_7524));
			}
		}

	}



/* &dump-blockS1710 */
	obj_t BGl_z62dumpzd2blockS1710zb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_6657,
		obj_t BgL_oz00_6658, obj_t BgL_pz00_6659, obj_t BgL_mz00_6660)
	{
		{	/* SawMill/bbv-types.scm 388 */
			{	/* SawMill/bbv-types.scm 390 */
				obj_t BgL_tmpz00_11433;

				BgL_tmpz00_11433 = ((obj_t) BgL_pz00_6659);
				bgl_display_string(BGl_string3111z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_11433);
			}
			{	/* SawMill/bbv-types.scm 390 */
				int BgL_arg2343z00_7526;

				BgL_arg2343z00_7526 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_oz00_6658))))->BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg2343z00_7526), BgL_pz00_6659);
			}
			{	/* SawMill/bbv-types.scm 390 */
				obj_t BgL_tmpz00_11441;

				BgL_tmpz00_11441 = ((obj_t) BgL_pz00_6659);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_11441);
			}
			{	/* SawMill/bbv-types.scm 392 */
				obj_t BgL_tmpz00_11444;

				BgL_tmpz00_11444 = ((obj_t) BgL_pz00_6659);
				bgl_display_string(BGl_string3112z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_11444);
			}
			{	/* SawMill/bbv-types.scm 392 */
				int BgL_arg2346z00_7527;

				{	/* SawMill/bbv-types.scm 392 */
					obj_t BgL_arg2347z00_7528;

					{
						BgL_blocksz00_bglt BgL_auxz00_11447;

						{
							obj_t BgL_auxz00_11448;

							{	/* SawMill/bbv-types.scm 392 */
								BgL_objectz00_bglt BgL_tmpz00_11449;

								BgL_tmpz00_11449 =
									((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6658));
								BgL_auxz00_11448 = BGL_OBJECT_WIDENING(BgL_tmpz00_11449);
							}
							BgL_auxz00_11447 = ((BgL_blocksz00_bglt) BgL_auxz00_11448);
						}
						BgL_arg2347z00_7528 =
							(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11447))->
							BgL_z52parentz52);
					}
					BgL_arg2346z00_7527 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_arg2347z00_7528)))->BgL_labelz00);
				}
				bgl_display_obj(BINT(BgL_arg2346z00_7527), BgL_pz00_6659);
			}
			{	/* SawMill/bbv-types.scm 392 */
				obj_t BgL_tmpz00_11459;

				BgL_tmpz00_11459 = ((obj_t) BgL_pz00_6659);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_11459);
			}
			{	/* SawMill/bbv-types.scm 393 */
				obj_t BgL_tmpz00_11462;

				BgL_tmpz00_11462 = ((obj_t) BgL_pz00_6659);
				bgl_display_string(BGl_string3113z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_11462);
			}
			{	/* SawMill/bbv-types.scm 393 */
				obj_t BgL_arg2348z00_7529;

				{	/* SawMill/bbv-types.scm 393 */
					obj_t BgL_arg2350z00_7530;

					{
						BgL_blocksz00_bglt BgL_auxz00_11465;

						{
							obj_t BgL_auxz00_11466;

							{	/* SawMill/bbv-types.scm 393 */
								BgL_objectz00_bglt BgL_tmpz00_11467;

								BgL_tmpz00_11467 =
									((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6658));
								BgL_auxz00_11466 = BGL_OBJECT_WIDENING(BgL_tmpz00_11467);
							}
							BgL_auxz00_11465 = ((BgL_blocksz00_bglt) BgL_auxz00_11466);
						}
						BgL_arg2350z00_7530 =
							(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11465))->BgL_ictxz00);
					}
					BgL_arg2348z00_7529 =
						BGl_ctxzd2ze3stringz31zzsaw_bbvzd2typeszd2(BgL_arg2350z00_7530);
				}
				bgl_display_obj(BgL_arg2348z00_7529, BgL_pz00_6659);
			}
			{	/* SawMill/bbv-types.scm 393 */
				obj_t BgL_tmpz00_11475;

				BgL_tmpz00_11475 = ((obj_t) BgL_pz00_6659);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_11475);
			}
			{	/* SawMill/bbv-types.scm 394 */
				obj_t BgL_g1633z00_7531;

				{
					BgL_blocksz00_bglt BgL_auxz00_11478;

					{
						obj_t BgL_auxz00_11479;

						{	/* SawMill/bbv-types.scm 394 */
							BgL_objectz00_bglt BgL_tmpz00_11480;

							BgL_tmpz00_11480 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6658));
							BgL_auxz00_11479 = BGL_OBJECT_WIDENING(BgL_tmpz00_11480);
						}
						BgL_auxz00_11478 = ((BgL_blocksz00_bglt) BgL_auxz00_11479);
					}
					BgL_g1633z00_7531 =
						(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11478))->BgL_octxsz00);
				}
				{
					obj_t BgL_l1631z00_7533;

					BgL_l1631z00_7533 = BgL_g1633z00_7531;
				BgL_zc3z04anonymousza32351ze3z87_7532:
					if (PAIRP(BgL_l1631z00_7533))
						{	/* SawMill/bbv-types.scm 394 */
							{	/* SawMill/bbv-types.scm 395 */
								obj_t BgL_ctxz00_7534;

								BgL_ctxz00_7534 = CAR(BgL_l1631z00_7533);
								{	/* SawMill/bbv-types.scm 395 */
									obj_t BgL_tmpz00_11489;

									BgL_tmpz00_11489 = ((obj_t) BgL_pz00_6659);
									bgl_display_string(BGl_string3114z00zzsaw_bbvzd2typeszd2,
										BgL_tmpz00_11489);
								}
								bgl_display_obj(BGl_ctxzd2ze3stringz31zzsaw_bbvzd2typeszd2
									(BgL_ctxz00_7534), BgL_pz00_6659);
								{	/* SawMill/bbv-types.scm 395 */
									obj_t BgL_tmpz00_11494;

									BgL_tmpz00_11494 = ((obj_t) BgL_pz00_6659);
									bgl_display_char(((unsigned char) 10), BgL_tmpz00_11494);
							}}
							{
								obj_t BgL_l1631z00_11497;

								BgL_l1631z00_11497 = CDR(BgL_l1631z00_7533);
								BgL_l1631z00_7533 = BgL_l1631z00_11497;
								goto BgL_zc3z04anonymousza32351ze3z87_7532;
							}
						}
					else
						{	/* SawMill/bbv-types.scm 394 */
							((bool_t) 1);
						}
				}
			}
			{	/* SawMill/bbv-types.scm 399 */
				long BgL_arg2355z00_7535;

				BgL_arg2355z00_7535 = ((long) CINT(BgL_mz00_6660) + ((long) 1));
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_6659,
					(int) (BgL_arg2355z00_7535));
			}
			{	/* SawMill/bbv-types.scm 400 */
				obj_t BgL_tmpz00_11503;

				BgL_tmpz00_11503 = ((obj_t) BgL_pz00_6659);
				bgl_display_string(BGl_string3115z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_11503);
			}
			{	/* SawMill/bbv-types.scm 400 */
				obj_t BgL_arg2356z00_7536;

				{	/* SawMill/bbv-types.scm 400 */
					obj_t BgL_l1634z00_7537;

					BgL_l1634z00_7537 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_oz00_6658))))->BgL_predsz00);
					if (NULLP(BgL_l1634z00_7537))
						{	/* SawMill/bbv-types.scm 400 */
							BgL_arg2356z00_7536 = BNIL;
						}
					else
						{	/* SawMill/bbv-types.scm 400 */
							obj_t BgL_head1636z00_7538;

							{	/* SawMill/bbv-types.scm 400 */
								int BgL_arg2364z00_7539;

								BgL_arg2364z00_7539 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												CAR(BgL_l1634z00_7537))))->BgL_labelz00);
								BgL_head1636z00_7538 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg2364z00_7539), BNIL);
							}
							{	/* SawMill/bbv-types.scm 400 */
								obj_t BgL_g1639z00_7540;

								BgL_g1639z00_7540 = CDR(BgL_l1634z00_7537);
								{
									obj_t BgL_l1634z00_7542;
									obj_t BgL_tail1637z00_7543;

									BgL_l1634z00_7542 = BgL_g1639z00_7540;
									BgL_tail1637z00_7543 = BgL_head1636z00_7538;
								BgL_zc3z04anonymousza32358ze3z87_7541:
									if (NULLP(BgL_l1634z00_7542))
										{	/* SawMill/bbv-types.scm 400 */
											BgL_arg2356z00_7536 = BgL_head1636z00_7538;
										}
									else
										{	/* SawMill/bbv-types.scm 400 */
											obj_t BgL_newtail1638z00_7544;

											{	/* SawMill/bbv-types.scm 400 */
												int BgL_arg2361z00_7545;

												BgL_arg2361z00_7545 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																CAR(
																	((obj_t) BgL_l1634z00_7542)))))->
													BgL_labelz00);
												BgL_newtail1638z00_7544 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg2361z00_7545), BNIL);
											}
											SET_CDR(BgL_tail1637z00_7543, BgL_newtail1638z00_7544);
											{	/* SawMill/bbv-types.scm 400 */
												obj_t BgL_arg2360z00_7546;

												BgL_arg2360z00_7546 = CDR(((obj_t) BgL_l1634z00_7542));
												{
													obj_t BgL_tail1637z00_11529;
													obj_t BgL_l1634z00_11528;

													BgL_l1634z00_11528 = BgL_arg2360z00_7546;
													BgL_tail1637z00_11529 = BgL_newtail1638z00_7544;
													BgL_tail1637z00_7543 = BgL_tail1637z00_11529;
													BgL_l1634z00_7542 = BgL_l1634z00_11528;
													goto BgL_zc3z04anonymousza32358ze3z87_7541;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg2356z00_7536, BgL_pz00_6659);
			}
			{	/* SawMill/bbv-types.scm 400 */
				obj_t BgL_tmpz00_11531;

				BgL_tmpz00_11531 = ((obj_t) BgL_pz00_6659);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_11531);
			}
			{	/* SawMill/bbv-types.scm 401 */
				long BgL_arg2366z00_7547;

				BgL_arg2366z00_7547 = ((long) CINT(BgL_mz00_6660) + ((long) 1));
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_6659,
					(int) (BgL_arg2366z00_7547));
			}
			{	/* SawMill/bbv-types.scm 402 */
				obj_t BgL_tmpz00_11538;

				BgL_tmpz00_11538 = ((obj_t) BgL_pz00_6659);
				bgl_display_string(BGl_string3116z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_11538);
			}
			{	/* SawMill/bbv-types.scm 402 */
				obj_t BgL_arg2367z00_7548;

				{	/* SawMill/bbv-types.scm 402 */
					obj_t BgL_l1641z00_7549;

					BgL_l1641z00_7549 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_oz00_6658))))->BgL_succsz00);
					if (NULLP(BgL_l1641z00_7549))
						{	/* SawMill/bbv-types.scm 402 */
							BgL_arg2367z00_7548 = BNIL;
						}
					else
						{	/* SawMill/bbv-types.scm 402 */
							obj_t BgL_head1643z00_7550;

							{	/* SawMill/bbv-types.scm 402 */
								int BgL_arg2375z00_7551;

								BgL_arg2375z00_7551 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												CAR(BgL_l1641z00_7549))))->BgL_labelz00);
								BgL_head1643z00_7550 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg2375z00_7551), BNIL);
							}
							{	/* SawMill/bbv-types.scm 402 */
								obj_t BgL_g1646z00_7552;

								BgL_g1646z00_7552 = CDR(BgL_l1641z00_7549);
								{
									obj_t BgL_l1641z00_7554;
									obj_t BgL_tail1644z00_7555;

									BgL_l1641z00_7554 = BgL_g1646z00_7552;
									BgL_tail1644z00_7555 = BgL_head1643z00_7550;
								BgL_zc3z04anonymousza32369ze3z87_7553:
									if (NULLP(BgL_l1641z00_7554))
										{	/* SawMill/bbv-types.scm 402 */
											BgL_arg2367z00_7548 = BgL_head1643z00_7550;
										}
									else
										{	/* SawMill/bbv-types.scm 402 */
											obj_t BgL_newtail1645z00_7556;

											{	/* SawMill/bbv-types.scm 402 */
												int BgL_arg2372z00_7557;

												BgL_arg2372z00_7557 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																CAR(
																	((obj_t) BgL_l1641z00_7554)))))->
													BgL_labelz00);
												BgL_newtail1645z00_7556 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg2372z00_7557), BNIL);
											}
											SET_CDR(BgL_tail1644z00_7555, BgL_newtail1645z00_7556);
											{	/* SawMill/bbv-types.scm 402 */
												obj_t BgL_arg2371z00_7558;

												BgL_arg2371z00_7558 = CDR(((obj_t) BgL_l1641z00_7554));
												{
													obj_t BgL_tail1644z00_11564;
													obj_t BgL_l1641z00_11563;

													BgL_l1641z00_11563 = BgL_arg2371z00_7558;
													BgL_tail1644z00_11564 = BgL_newtail1645z00_7556;
													BgL_tail1644z00_7555 = BgL_tail1644z00_11564;
													BgL_l1641z00_7554 = BgL_l1641z00_11563;
													goto BgL_zc3z04anonymousza32369ze3z87_7553;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg2367z00_7548, BgL_pz00_6659);
			}
			{	/* SawMill/bbv-types.scm 402 */
				obj_t BgL_tmpz00_11566;

				BgL_tmpz00_11566 = ((obj_t) BgL_pz00_6659);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_11566);
			}
			{	/* SawMill/bbv-types.scm 403 */
				long BgL_arg2377z00_7559;

				BgL_arg2377z00_7559 = ((long) CINT(BgL_mz00_6660) + ((long) 1));
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_6659,
					(int) (BgL_arg2377z00_7559));
			}
			{	/* SawMill/bbv-types.scm 404 */
				obj_t BgL_arg2378z00_7560;
				long BgL_arg2379z00_7561;

				BgL_arg2378z00_7560 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_oz00_6658))))->BgL_firstz00);
				BgL_arg2379z00_7561 = ((long) CINT(BgL_mz00_6660) + ((long) 1));
				BGl_dumpza2za2zzsaw_defsz00(BgL_arg2378z00_7560, BgL_pz00_6659,
					(int) (BgL_arg2379z00_7561));
			}
			{	/* SawMill/bbv-types.scm 405 */
				obj_t BgL_tmpz00_11580;

				BgL_tmpz00_11580 = ((obj_t) BgL_pz00_6659);
				return
					bgl_display_string(BGl_string3117z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_11580);
			}
		}

	}



/* &dump-rtl_ins/bbv1708 */
	obj_t BGl_z62dumpzd2rtl_inszf2bbv1708z42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6661, obj_t BgL_oz00_6662, obj_t BgL_pz00_6663,
		obj_t BgL_mz00_6664)
	{
		{	/* SawMill/bbv-types.scm 369 */
			{	/* SawMill/bbv-types.scm 373 */
				obj_t BgL_zc3z04anonymousza32294ze3z87_7563;

				BgL_zc3z04anonymousza32294ze3z87_7563 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza32294ze3ze5zzsaw_bbvzd2typeszd2,
					(int) (((long) 0)), (int) (((long) 4)));
				PROCEDURE_SET(BgL_zc3z04anonymousza32294ze3z87_7563, (int) (((long) 0)),
					BgL_pz00_6663);
				PROCEDURE_SET(BgL_zc3z04anonymousza32294ze3z87_7563, (int) (((long) 1)),
					((obj_t) ((BgL_rtl_insz00_bglt) BgL_oz00_6662)));
				PROCEDURE_SET(BgL_zc3z04anonymousza32294ze3z87_7563, (int) (((long) 2)),
					BgL_mz00_6664);
				PROCEDURE_SET(BgL_zc3z04anonymousza32294ze3z87_7563, (int) (((long) 3)),
					((obj_t) ((BgL_rtl_insz00_bglt) BgL_oz00_6662)));
				return
					BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_pz00_6663,
					BgL_zc3z04anonymousza32294ze3z87_7563);
			}
		}

	}



/* &<@anonymous:2294> */
	obj_t BGl_z62zc3z04anonymousza32294ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_6665)
	{
		{	/* SawMill/bbv-types.scm 372 */
			{	/* SawMill/bbv-types.scm 373 */
				obj_t BgL_pz00_6666;
				BgL_rtl_insz00_bglt BgL_i1261z00_6667;
				obj_t BgL_mz00_6668;
				BgL_rtl_insz00_bglt BgL_oz00_6669;

				BgL_pz00_6666 = PROCEDURE_REF(BgL_envz00_6665, (int) (((long) 0)));
				BgL_i1261z00_6667 =
					((BgL_rtl_insz00_bglt)
					PROCEDURE_REF(BgL_envz00_6665, (int) (((long) 1))));
				BgL_mz00_6668 = PROCEDURE_REF(BgL_envz00_6665, (int) (((long) 2)));
				BgL_oz00_6669 =
					((BgL_rtl_insz00_bglt)
					PROCEDURE_REF(BgL_envz00_6665, (int) (((long) 3))));
				if (CBOOL(
						(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_i1261z00_6667)))->BgL_destz00)))
					{	/* SawMill/bbv-types.scm 373 */
						{	/* SawMill/bbv-types.scm 374 */
							obj_t BgL_tmpz00_11613;

							BgL_tmpz00_11613 = ((obj_t) BgL_pz00_6666);
							bgl_display_string(BGl_string3118z00zzsaw_bbvzd2typeszd2,
								BgL_tmpz00_11613);
						}
						{	/* SawMill/bbv-types.scm 375 */
							obj_t BgL_arg2296z00_7564;

							BgL_arg2296z00_7564 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_i1261z00_6667)))->BgL_destz00);
							BGl_dumpz00zzsaw_defsz00(BgL_arg2296z00_7564, BgL_pz00_6666,
								CINT(BgL_mz00_6668));
						}
						{	/* SawMill/bbv-types.scm 376 */
							obj_t BgL_tmpz00_11620;

							BgL_tmpz00_11620 = ((obj_t) BgL_pz00_6666);
							bgl_display_string(BGl_string3119z00zzsaw_bbvzd2typeszd2,
								BgL_tmpz00_11620);
						}
					}
				else
					{	/* SawMill/bbv-types.scm 373 */
						BFALSE;
					}
				BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(
					((BgL_rtl_insz00_bglt) BgL_oz00_6669), BgL_pz00_6666, BgL_mz00_6668);
				if (CBOOL(
						(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_i1261z00_6667)))->BgL_destz00)))
					{	/* SawMill/bbv-types.scm 378 */
						obj_t BgL_tmpz00_11629;

						BgL_tmpz00_11629 = ((obj_t) BgL_pz00_6666);
						bgl_display_string(BGl_string3120z00zzsaw_bbvzd2typeszd2,
							BgL_tmpz00_11629);
					}
				else
					{	/* SawMill/bbv-types.scm 378 */
						BFALSE;
					}
				{	/* SawMill/bbv-types.scm 379 */
					obj_t BgL_arg2298z00_7565;

					{	/* SawMill/bbv-types.scm 379 */
						BgL_rtl_funz00_bglt BgL_arg2302z00_7566;

						BgL_arg2302z00_7566 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_i1261z00_6667)))->BgL_funz00);
						BgL_arg2298z00_7565 = bgl_typeof(((obj_t) BgL_arg2302z00_7566));
					}
					{	/* SawMill/bbv-types.scm 379 */
						obj_t BgL_list2299z00_7567;

						{	/* SawMill/bbv-types.scm 379 */
							obj_t BgL_arg2301z00_7568;

							BgL_arg2301z00_7568 = MAKE_YOUNG_PAIR(BgL_arg2298z00_7565, BNIL);
							BgL_list2299z00_7567 =
								MAKE_YOUNG_PAIR(BGl_string3121z00zzsaw_bbvzd2typeszd2,
								BgL_arg2301z00_7568);
						}
						BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2299z00_7567);
					}
				}
				{	/* SawMill/bbv-types.scm 380 */
					obj_t BgL_arg2304z00_7569;

					{	/* SawMill/bbv-types.scm 380 */
						obj_t BgL_l1609z00_7570;

						{	/* SawMill/bbv-types.scm 380 */
							obj_t BgL_arg2316z00_7571;

							{
								BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11639;

								{
									obj_t BgL_auxz00_11640;

									{	/* SawMill/bbv-types.scm 380 */
										BgL_objectz00_bglt BgL_tmpz00_11641;

										BgL_tmpz00_11641 = ((BgL_objectz00_bglt) BgL_i1261z00_6667);
										BgL_auxz00_11640 = BGL_OBJECT_WIDENING(BgL_tmpz00_11641);
									}
									BgL_auxz00_11639 =
										((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11640);
								}
								BgL_arg2316z00_7571 =
									(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11639))->
									BgL_defz00);
							}
							BgL_l1609z00_7570 =
								BGl_regsetzd2ze3listz31zzsaw_regsetz00(
								((BgL_regsetz00_bglt) BgL_arg2316z00_7571));
						}
						if (NULLP(BgL_l1609z00_7570))
							{	/* SawMill/bbv-types.scm 380 */
								BgL_arg2304z00_7569 = BNIL;
							}
						else
							{	/* SawMill/bbv-types.scm 380 */
								obj_t BgL_head1611z00_7572;

								BgL_head1611z00_7572 =
									MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
										(BgL_l1609z00_7570)), BNIL);
								{	/* SawMill/bbv-types.scm 380 */
									obj_t BgL_g1614z00_7573;

									BgL_g1614z00_7573 = CDR(BgL_l1609z00_7570);
									{
										obj_t BgL_l1609z00_7575;
										obj_t BgL_tail1612z00_7576;

										BgL_l1609z00_7575 = BgL_g1614z00_7573;
										BgL_tail1612z00_7576 = BgL_head1611z00_7572;
									BgL_zc3z04anonymousza32308ze3z87_7574:
										if (NULLP(BgL_l1609z00_7575))
											{	/* SawMill/bbv-types.scm 380 */
												BgL_arg2304z00_7569 = BgL_head1611z00_7572;
											}
										else
											{	/* SawMill/bbv-types.scm 380 */
												obj_t BgL_newtail1613z00_7577;

												{	/* SawMill/bbv-types.scm 380 */
													obj_t BgL_arg2311z00_7578;

													{	/* SawMill/bbv-types.scm 380 */
														obj_t BgL_arg2312z00_7579;

														BgL_arg2312z00_7579 =
															CAR(((obj_t) BgL_l1609z00_7575));
														BgL_arg2311z00_7578 =
															BGl_shapez00zztools_shapez00(BgL_arg2312z00_7579);
													}
													BgL_newtail1613z00_7577 =
														MAKE_YOUNG_PAIR(BgL_arg2311z00_7578, BNIL);
												}
												SET_CDR(BgL_tail1612z00_7576, BgL_newtail1613z00_7577);
												{	/* SawMill/bbv-types.scm 380 */
													obj_t BgL_arg2310z00_7580;

													BgL_arg2310z00_7580 =
														CDR(((obj_t) BgL_l1609z00_7575));
													{
														obj_t BgL_tail1612z00_11664;
														obj_t BgL_l1609z00_11663;

														BgL_l1609z00_11663 = BgL_arg2310z00_7580;
														BgL_tail1612z00_11664 = BgL_newtail1613z00_7577;
														BgL_tail1612z00_7576 = BgL_tail1612z00_11664;
														BgL_l1609z00_7575 = BgL_l1609z00_11663;
														goto BgL_zc3z04anonymousza32308ze3z87_7574;
													}
												}
											}
									}
								}
							}
					}
					{	/* SawMill/bbv-types.scm 380 */
						obj_t BgL_list2305z00_7581;

						{	/* SawMill/bbv-types.scm 380 */
							obj_t BgL_arg2306z00_7582;

							BgL_arg2306z00_7582 = MAKE_YOUNG_PAIR(BgL_arg2304z00_7569, BNIL);
							BgL_list2305z00_7581 =
								MAKE_YOUNG_PAIR(BGl_string3122z00zzsaw_bbvzd2typeszd2,
								BgL_arg2306z00_7582);
						}
						BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2305z00_7581);
					}
				}
				{	/* SawMill/bbv-types.scm 381 */
					obj_t BgL_arg2317z00_7583;

					{	/* SawMill/bbv-types.scm 381 */
						obj_t BgL_l1615z00_7584;

						{	/* SawMill/bbv-types.scm 381 */
							obj_t BgL_arg2328z00_7585;

							{
								BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11668;

								{
									obj_t BgL_auxz00_11669;

									{	/* SawMill/bbv-types.scm 381 */
										BgL_objectz00_bglt BgL_tmpz00_11670;

										BgL_tmpz00_11670 = ((BgL_objectz00_bglt) BgL_i1261z00_6667);
										BgL_auxz00_11669 = BGL_OBJECT_WIDENING(BgL_tmpz00_11670);
									}
									BgL_auxz00_11668 =
										((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11669);
								}
								BgL_arg2328z00_7585 =
									(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11668))->
									BgL_inz00);
							}
							BgL_l1615z00_7584 =
								BGl_regsetzd2ze3listz31zzsaw_regsetz00(
								((BgL_regsetz00_bglt) BgL_arg2328z00_7585));
						}
						if (NULLP(BgL_l1615z00_7584))
							{	/* SawMill/bbv-types.scm 381 */
								BgL_arg2317z00_7583 = BNIL;
							}
						else
							{	/* SawMill/bbv-types.scm 381 */
								obj_t BgL_head1617z00_7586;

								BgL_head1617z00_7586 =
									MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
										(BgL_l1615z00_7584)), BNIL);
								{	/* SawMill/bbv-types.scm 381 */
									obj_t BgL_g1620z00_7587;

									BgL_g1620z00_7587 = CDR(BgL_l1615z00_7584);
									{
										obj_t BgL_l1615z00_7589;
										obj_t BgL_tail1618z00_7590;

										BgL_l1615z00_7589 = BgL_g1620z00_7587;
										BgL_tail1618z00_7590 = BgL_head1617z00_7586;
									BgL_zc3z04anonymousza32321ze3z87_7588:
										if (NULLP(BgL_l1615z00_7589))
											{	/* SawMill/bbv-types.scm 381 */
												BgL_arg2317z00_7583 = BgL_head1617z00_7586;
											}
										else
											{	/* SawMill/bbv-types.scm 381 */
												obj_t BgL_newtail1619z00_7591;

												{	/* SawMill/bbv-types.scm 381 */
													obj_t BgL_arg2324z00_7592;

													{	/* SawMill/bbv-types.scm 381 */
														obj_t BgL_arg2325z00_7593;

														BgL_arg2325z00_7593 =
															CAR(((obj_t) BgL_l1615z00_7589));
														BgL_arg2324z00_7592 =
															BGl_shapez00zztools_shapez00(BgL_arg2325z00_7593);
													}
													BgL_newtail1619z00_7591 =
														MAKE_YOUNG_PAIR(BgL_arg2324z00_7592, BNIL);
												}
												SET_CDR(BgL_tail1618z00_7590, BgL_newtail1619z00_7591);
												{	/* SawMill/bbv-types.scm 381 */
													obj_t BgL_arg2323z00_7594;

													BgL_arg2323z00_7594 =
														CDR(((obj_t) BgL_l1615z00_7589));
													{
														obj_t BgL_tail1618z00_11693;
														obj_t BgL_l1615z00_11692;

														BgL_l1615z00_11692 = BgL_arg2323z00_7594;
														BgL_tail1618z00_11693 = BgL_newtail1619z00_7591;
														BgL_tail1618z00_7590 = BgL_tail1618z00_11693;
														BgL_l1615z00_7589 = BgL_l1615z00_11692;
														goto BgL_zc3z04anonymousza32321ze3z87_7588;
													}
												}
											}
									}
								}
							}
					}
					{	/* SawMill/bbv-types.scm 381 */
						obj_t BgL_list2318z00_7595;

						{	/* SawMill/bbv-types.scm 381 */
							obj_t BgL_arg2319z00_7596;

							BgL_arg2319z00_7596 = MAKE_YOUNG_PAIR(BgL_arg2317z00_7583, BNIL);
							BgL_list2318z00_7595 =
								MAKE_YOUNG_PAIR(BGl_string3123z00zzsaw_bbvzd2typeszd2,
								BgL_arg2319z00_7596);
						}
						BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2318z00_7595);
					}
				}
				{	/* SawMill/bbv-types.scm 382 */
					obj_t BgL_arg2329z00_7597;

					{	/* SawMill/bbv-types.scm 382 */
						obj_t BgL_l1621z00_7598;

						{	/* SawMill/bbv-types.scm 382 */
							obj_t BgL_arg2341z00_7599;

							{
								BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11697;

								{
									obj_t BgL_auxz00_11698;

									{	/* SawMill/bbv-types.scm 382 */
										BgL_objectz00_bglt BgL_tmpz00_11699;

										BgL_tmpz00_11699 = ((BgL_objectz00_bglt) BgL_i1261z00_6667);
										BgL_auxz00_11698 = BGL_OBJECT_WIDENING(BgL_tmpz00_11699);
									}
									BgL_auxz00_11697 =
										((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11698);
								}
								BgL_arg2341z00_7599 =
									(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11697))->
									BgL_outz00);
							}
							BgL_l1621z00_7598 =
								BGl_regsetzd2ze3listz31zzsaw_regsetz00(
								((BgL_regsetz00_bglt) BgL_arg2341z00_7599));
						}
						if (NULLP(BgL_l1621z00_7598))
							{	/* SawMill/bbv-types.scm 382 */
								BgL_arg2329z00_7597 = BNIL;
							}
						else
							{	/* SawMill/bbv-types.scm 382 */
								obj_t BgL_head1623z00_7600;

								BgL_head1623z00_7600 =
									MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
										(BgL_l1621z00_7598)), BNIL);
								{	/* SawMill/bbv-types.scm 382 */
									obj_t BgL_g1626z00_7601;

									BgL_g1626z00_7601 = CDR(BgL_l1621z00_7598);
									{
										obj_t BgL_l1621z00_7603;
										obj_t BgL_tail1624z00_7604;

										BgL_l1621z00_7603 = BgL_g1626z00_7601;
										BgL_tail1624z00_7604 = BgL_head1623z00_7600;
									BgL_zc3z04anonymousza32333ze3z87_7602:
										if (NULLP(BgL_l1621z00_7603))
											{	/* SawMill/bbv-types.scm 382 */
												BgL_arg2329z00_7597 = BgL_head1623z00_7600;
											}
										else
											{	/* SawMill/bbv-types.scm 382 */
												obj_t BgL_newtail1625z00_7605;

												{	/* SawMill/bbv-types.scm 382 */
													obj_t BgL_arg2336z00_7606;

													{	/* SawMill/bbv-types.scm 382 */
														obj_t BgL_arg2337z00_7607;

														BgL_arg2337z00_7607 =
															CAR(((obj_t) BgL_l1621z00_7603));
														BgL_arg2336z00_7606 =
															BGl_shapez00zztools_shapez00(BgL_arg2337z00_7607);
													}
													BgL_newtail1625z00_7605 =
														MAKE_YOUNG_PAIR(BgL_arg2336z00_7606, BNIL);
												}
												SET_CDR(BgL_tail1624z00_7604, BgL_newtail1625z00_7605);
												{	/* SawMill/bbv-types.scm 382 */
													obj_t BgL_arg2335z00_7608;

													BgL_arg2335z00_7608 =
														CDR(((obj_t) BgL_l1621z00_7603));
													{
														obj_t BgL_tail1624z00_11722;
														obj_t BgL_l1621z00_11721;

														BgL_l1621z00_11721 = BgL_arg2335z00_7608;
														BgL_tail1624z00_11722 = BgL_newtail1625z00_7605;
														BgL_tail1624z00_7604 = BgL_tail1624z00_11722;
														BgL_l1621z00_7603 = BgL_l1621z00_11721;
														goto BgL_zc3z04anonymousza32333ze3z87_7602;
													}
												}
											}
									}
								}
							}
					}
					{	/* SawMill/bbv-types.scm 382 */
						obj_t BgL_list2330z00_7609;

						{	/* SawMill/bbv-types.scm 382 */
							obj_t BgL_arg2331z00_7610;

							BgL_arg2331z00_7610 = MAKE_YOUNG_PAIR(BgL_arg2329z00_7597, BNIL);
							BgL_list2330z00_7609 =
								MAKE_YOUNG_PAIR(BGl_string3124z00zzsaw_bbvzd2typeszd2,
								BgL_arg2331z00_7610);
						}
						BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2330z00_7609);
					}
				}
				{	/* SawMill/bbv-types.scm 383 */
					obj_t BgL_arg2342z00_7611;

					{	/* SawMill/bbv-types.scm 383 */
						obj_t BgL_tmpz00_11726;

						BgL_tmpz00_11726 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_arg2342z00_7611 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_11726);
					}
					return
						bgl_display_string(BGl_string3125z00zzsaw_bbvzd2typeszd2,
						BgL_arg2342z00_7611);
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2typeszd2()
	{
		{	/* SawMill/bbv-types.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string3126z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string3126z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3126z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string3126z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3126z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string3126z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3126z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3126z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string3126z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 57049157),
				BSTRING_TO_STRING(BGl_string3126z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 79517123),
				BSTRING_TO_STRING(BGl_string3126z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(((long) 454038607),
				BSTRING_TO_STRING(BGl_string3126z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(((long) 237915200),
				BSTRING_TO_STRING(BGl_string3126z00zzsaw_bbvzd2typeszd2));
			return
				BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(((long) 486661385),
				BSTRING_TO_STRING(BGl_string3126z00zzsaw_bbvzd2typeszd2));
		}

	}

#ifdef __cplusplus
}
#endif
