/*===========================================================================*/
/*   (SawMill/bbv-utils.scm)                                                 */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/bbv-utils.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;

	typedef struct BgL_blocksz00_bgl
	{
		obj_t BgL_ictxz00;
		obj_t BgL_octxsz00;
		long BgL_z52markz52;
		obj_t BgL_z52parentz52;
		obj_t BgL_z52hashz52;
		obj_t BgL_z52blacklistz52;
	}                *BgL_blocksz00_bglt;

	typedef struct BgL_rtl_inszf2bbvzf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_outz00;
		obj_t BgL_inz00;
		obj_t BgL_z52hashz52;
	}                       *BgL_rtl_inszf2bbvzf2_bglt;


	static obj_t
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_removezd2inszd2tempsz12ze70zf5zzsaw_bbvzd2utilszd2(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_bbvzd2utilszd2 = BUNSPEC;
	static obj_t BGl_bbsetzd2consza2z70zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	extern bool_t
		BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_normaliza7ezd2gotoz12z67zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt);
	static obj_t BGl_z62normaliza7ezd2gotoz12z05zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62removezd2nopz12za2zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2utilszd2(int, int, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	static bool_t BGl_collapsezd2branchze70z35zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2utilszd2(BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, int, obj_t, obj_t, int, obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2utilszd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2utilszd2();
	extern obj_t BGl_rtl_ifeqz00zzsaw_defsz00;
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_bbvzd2utilszd2();
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2utilszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_simplifyzd2branchz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_objectzd2initzd2zzsaw_bbvzd2utilszd2();
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt,
		obj_t);
	extern bool_t
		BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_regsetz00zzsaw_regsetz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	static obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62blockzd2ze3blockzd2listz81zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static bool_t BGl_gotozd2blockzf3ze70zc6zzsaw_bbvzd2utilszd2(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_methodzd2initzd2zzsaw_bbvzd2utilszd2();
	static obj_t BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2utilszd2();
	static BgL_typez00_bglt
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62simplifyzd2branchz12za2zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	extern obj_t BGl_rtl_goz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	extern bool_t BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t BGl_z62removezd2tempsz12za2zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62setzd2maxzd2labelz12z70zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	extern obj_t BGl_blockSz00zzsaw_bbvzd2typeszd2;
	static obj_t BGl_z62genlabelz62zzsaw_bbvzd2utilszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt,
		obj_t);
	BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
	static BgL_blockz00_bglt
		BGl_makezd2gozd2blockze70ze7zzsaw_bbvzd2utilszd2(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2bbzd2markz00zzsaw_bbvzd2utilszd2();
	static obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_z62zc3z04anonymousza32190ze3ze5zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	extern obj_t
		BGl_rtl_inszd2branchzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2utilszd2(obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static long BGl_za2labelza2z00zzsaw_bbvzd2utilszd2;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2utilszd2();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2utilszd2();
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2utilszd2();
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2maxzd2labelz12z12zzsaw_bbvzd2utilszd2(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2utilszd2();
	BGL_IMPORT obj_t bgl_remq(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, int);
	static obj_t BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2utilszd2();
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_regsetzf3zf3zzsaw_bbvzd2utilszd2(obj_t);
	extern bool_t
		BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2utilszd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62getzd2bbzd2markz62zzsaw_bbvzd2utilszd2(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_genlabelz00zzsaw_bbvzd2utilszd2();
	static obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_removezd2nopz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt, BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_z62redirectzd2blockz12za2zzsaw_bbvzd2utilszd2(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2utilszd2();
	BGL_EXPORTED_DECL obj_t
		BGl_removezd2tempsz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt);
	extern bool_t
		BGl_rtl_inszd2typecheckzf3z21zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt);
	static obj_t BGl_loopze70ze7zzsaw_bbvzd2utilszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	extern BgL_regsetz00_bglt BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00(obj_t);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	static obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	extern bool_t
		BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2(obj_t,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static long BGl_za2bbzd2markza2zd2zzsaw_bbvzd2utilszd2;
	static obj_t
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2utilszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	extern obj_t BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
	extern obj_t BGl_blockz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt,
		int);
	static obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2namezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72351za7,
		BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_normaliza7ezd2gotoz12zd2envzb5zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762normaliza7a7eza7d2352za7,
		BGl_z62normaliza7ezd2gotoz12z05zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genlabelzd2envzd2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762genlabelza762za7za72353z00,
		BGl_z62genlabelz62zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2nilzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2nilza72354za7,
		BGl_z62regsetzd2nilzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72355za7,
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2ze3blockzd2listzd2envz31zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762blockza7d2za7e3bl2356za7,
		BGl_z62blockzd2ze3blockzd2listz81zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72357za7,
		BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_redirectzd2blockz12zd2envz12zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762redirectza7d2bl2358z00,
		BGl_z62redirectzd2blockz12za2zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2346z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2346za700za7za7s2359za7, "saw_bbv-utils", 13);
	      DEFINE_STRING(BGl_string2347z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2347za700za7za7s2360za7, "bbset ", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2setz12zd2envzc1zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72361za7,
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72362za7,
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72363za7,
		BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2345z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762za7c3za704anonymo2364za7,
		BGl_z62zc3z04anonymousza32190ze3ze5zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72365za7,
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2regvzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2regv2366z00,
		BGl_z62regsetzd2regvzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_simplifyzd2branchz12zd2envz12zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762simplifyza7d2br2367z00,
		BGl_z62simplifyzd2branchz12za2zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2maxzd2labelz12zd2envzc0zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762setza7d2maxza7d2l2368za7,
		BGl_z62setzd2maxzd2labelz12z70zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2setz12zd2envzc0zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2leng2369z00,
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2msiza7ezd2envza7zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2msiza72370za7,
		BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72371za7,
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72372za7,
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72373za7,
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2nilzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72374za7,
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_removezd2tempsz12zd2envz12zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762removeza7d2temp2375z00,
		BGl_z62removezd2tempsz12za2zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72376za7,
		BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2numzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72377za7,
		BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2setz12zd2envzc0zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2stri2378z00,
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72379za7,
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2utilszd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2envz01zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72380za7,
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2stri2381z00,
		BGl_z62regsetzd2stringzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72382za7,
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_regzf2razd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762makeza7d2rtl_re2383z00,
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razf3zd2envzd3zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72384za7,
		BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2leng2385z00,
		BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72386za7,
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2bbzd2markzd2envzd2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762getza7d2bbza7d2ma2387za7,
		BGl_z62getzd2bbzd2markz62zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72388za7,
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2hardwarezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72389za7,
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2regsetzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762makeza7d2regset2390z00,
		BGl_z62makezd2regsetzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzf3zd2envz21zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7f3za791za72391z00,
		BGl_z62regsetzf3z91zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2keyzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72392za7,
		BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_removezd2nopz12zd2envz12zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762removeza7d2nopza72393za7,
		BGl_z62removezd2nopz12za2zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72394za7,
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2utilszd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2reglzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2regl2395z00,
		BGl_z62regsetzd2reglzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_bbvzd2utilszd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(long
		BgL_checksumz00_3846, char *BgL_fromz00_3847)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_bbvzd2utilszd2))
				{
					BGl_requirezd2initializa7ationz75zzsaw_bbvzd2utilszd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_bbvzd2utilszd2();
					BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2utilszd2();
					BGl_cnstzd2initzd2zzsaw_bbvzd2utilszd2();
					BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2utilszd2();
					return BGl_toplevelzd2initzd2zzsaw_bbvzd2utilszd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2utilszd2()
	{
		{	/* SawMill/bbv-utils.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"saw_bbv-utils");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2utilszd2()
	{
		{	/* SawMill/bbv-utils.scm 15 */
			{	/* SawMill/bbv-utils.scm 15 */
				obj_t BgL_cportz00_3784;

				{	/* SawMill/bbv-utils.scm 15 */
					obj_t BgL_stringz00_3792;

					BgL_stringz00_3792 = BGl_string2347z00zzsaw_bbvzd2utilszd2;
					{	/* SawMill/bbv-utils.scm 15 */
						obj_t BgL_startz00_3793;

						BgL_startz00_3793 = BINT(((long) 0));
						{	/* SawMill/bbv-utils.scm 15 */
							obj_t BgL_endz00_3794;

							BgL_endz00_3794 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3792)));
							{	/* SawMill/bbv-utils.scm 15 */

								BgL_cportz00_3784 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3792, BgL_startz00_3793, BgL_endz00_3794);
				}}}}
				{
					long BgL_iz00_3785;

					BgL_iz00_3785 = ((long) 0);
				BgL_loopz00_3786:
					if ((BgL_iz00_3785 == ((long) -1)))
						{	/* SawMill/bbv-utils.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/bbv-utils.scm 15 */
							{	/* SawMill/bbv-utils.scm 15 */
								obj_t BgL_arg2350z00_3788;

								{	/* SawMill/bbv-utils.scm 15 */

									{	/* SawMill/bbv-utils.scm 15 */
										obj_t BgL_locationz00_3790;

										BgL_locationz00_3790 = BBOOL(((bool_t) 0));
										{	/* SawMill/bbv-utils.scm 15 */

											BgL_arg2350z00_3788 =
												BGl_readz00zz__readerz00(BgL_cportz00_3784,
												BgL_locationz00_3790);
										}
									}
								}
								{	/* SawMill/bbv-utils.scm 15 */
									int BgL_tmpz00_3876;

									BgL_tmpz00_3876 = (int) (BgL_iz00_3785);
									CNST_TABLE_SET(BgL_tmpz00_3876, BgL_arg2350z00_3788);
							}}
							{	/* SawMill/bbv-utils.scm 15 */
								int BgL_auxz00_3791;

								BgL_auxz00_3791 = (int) ((BgL_iz00_3785 - ((long) 1)));
								{
									long BgL_iz00_3881;

									BgL_iz00_3881 = (long) (BgL_auxz00_3791);
									BgL_iz00_3785 = BgL_iz00_3881;
									goto BgL_loopz00_3786;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2utilszd2()
	{
		{	/* SawMill/bbv-utils.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2utilszd2()
	{
		{	/* SawMill/bbv-utils.scm 15 */
			BGl_za2labelza2z00zzsaw_bbvzd2utilszd2 = ((long) 0);
			BGl_za2bbzd2markza2zd2zzsaw_bbvzd2utilszd2 = ((long) -1);
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_2065;

				BgL_headz00_2065 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2066;
					obj_t BgL_tailz00_2067;

					BgL_prevz00_2066 = BgL_headz00_2065;
					BgL_tailz00_2067 = BgL_l1z00_1;
				BgL_loopz00_2068:
					if (PAIRP(BgL_tailz00_2067))
						{
							obj_t BgL_newzd2prevzd2_2070;

							BgL_newzd2prevzd2_2070 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2067), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2066, BgL_newzd2prevzd2_2070);
							{
								obj_t BgL_tailz00_3891;
								obj_t BgL_prevz00_3890;

								BgL_prevz00_3890 = BgL_newzd2prevzd2_2070;
								BgL_tailz00_3891 = CDR(BgL_tailz00_2067);
								BgL_tailz00_2067 = BgL_tailz00_3891;
								BgL_prevz00_2066 = BgL_prevz00_3890;
								goto BgL_loopz00_2068;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_2065);
				}
			}
		}

	}



/* make-rtl_reg/ra */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2utilszd2(BgL_typez00_bglt
		BgL_type1179z00_3, obj_t BgL_var1180z00_4, obj_t BgL_onexprzf31181zf3_5,
		obj_t BgL_name1182z00_6, obj_t BgL_key1183z00_7,
		obj_t BgL_hardware1184z00_8, int BgL_num1185z00_9,
		obj_t BgL_color1186z00_10, obj_t BgL_coalesce1187z00_11,
		int BgL_occurrences1188z00_12, obj_t BgL_interfere1189z00_13,
		obj_t BgL_interfere21190z00_14)
	{
		{	/* SawMill/regset.sch 55 */
			{	/* SawMill/regset.sch 55 */
				BgL_rtl_regz00_bglt BgL_new1161z00_3796;

				{	/* SawMill/regset.sch 55 */
					BgL_rtl_regz00_bglt BgL_tmp1159z00_3797;
					BgL_rtl_regzf2razf2_bglt BgL_wide1160z00_3798;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_3894;

						{	/* SawMill/regset.sch 55 */
							BgL_rtl_regz00_bglt BgL_new1158z00_3799;

							BgL_new1158z00_3799 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/regset.sch 55 */
								long BgL_arg1548z00_3800;

								BgL_arg1548z00_3800 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1158z00_3799),
									BgL_arg1548z00_3800);
							}
							{	/* SawMill/regset.sch 55 */
								BgL_objectz00_bglt BgL_tmpz00_3899;

								BgL_tmpz00_3899 = ((BgL_objectz00_bglt) BgL_new1158z00_3799);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3899, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1158z00_3799);
							BgL_auxz00_3894 = BgL_new1158z00_3799;
						}
						BgL_tmp1159z00_3797 = ((BgL_rtl_regz00_bglt) BgL_auxz00_3894);
					}
					BgL_wide1160z00_3798 =
						((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regzf2razf2_bgl))));
					{	/* SawMill/regset.sch 55 */
						obj_t BgL_auxz00_3907;
						BgL_objectz00_bglt BgL_tmpz00_3905;

						BgL_auxz00_3907 = ((obj_t) BgL_wide1160z00_3798);
						BgL_tmpz00_3905 = ((BgL_objectz00_bglt) BgL_tmp1159z00_3797);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3905, BgL_auxz00_3907);
					}
					((BgL_objectz00_bglt) BgL_tmp1159z00_3797);
					{	/* SawMill/regset.sch 55 */
						long BgL_arg1543z00_3801;

						BgL_arg1543z00_3801 =
							BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1159z00_3797), BgL_arg1543z00_3801);
					}
					BgL_new1161z00_3796 = ((BgL_rtl_regz00_bglt) BgL_tmp1159z00_3797);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1161z00_3796)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1179z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_3796)))->BgL_varz00) =
					((obj_t) BgL_var1180z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_3796)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31181zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_3796)))->BgL_namez00) =
					((obj_t) BgL_name1182z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_3796)))->BgL_keyz00) =
					((obj_t) BgL_key1183z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_3796)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1184z00_8), BUNSPEC);
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3927;

					{
						obj_t BgL_auxz00_3928;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3929;

							BgL_tmpz00_3929 = ((BgL_objectz00_bglt) BgL_new1161z00_3796);
							BgL_auxz00_3928 = BGL_OBJECT_WIDENING(BgL_tmpz00_3929);
						}
						BgL_auxz00_3927 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3928);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3927))->BgL_numz00) =
						((int) BgL_num1185z00_9), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3934;

					{
						obj_t BgL_auxz00_3935;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3936;

							BgL_tmpz00_3936 = ((BgL_objectz00_bglt) BgL_new1161z00_3796);
							BgL_auxz00_3935 = BGL_OBJECT_WIDENING(BgL_tmpz00_3936);
						}
						BgL_auxz00_3934 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3935);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3934))->
							BgL_colorz00) = ((obj_t) BgL_color1186z00_10), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3941;

					{
						obj_t BgL_auxz00_3942;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3943;

							BgL_tmpz00_3943 = ((BgL_objectz00_bglt) BgL_new1161z00_3796);
							BgL_auxz00_3942 = BGL_OBJECT_WIDENING(BgL_tmpz00_3943);
						}
						BgL_auxz00_3941 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3942);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3941))->
							BgL_coalescez00) = ((obj_t) BgL_coalesce1187z00_11), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3948;

					{
						obj_t BgL_auxz00_3949;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3950;

							BgL_tmpz00_3950 = ((BgL_objectz00_bglt) BgL_new1161z00_3796);
							BgL_auxz00_3949 = BGL_OBJECT_WIDENING(BgL_tmpz00_3950);
						}
						BgL_auxz00_3948 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3949);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3948))->
							BgL_occurrencesz00) = ((int) BgL_occurrences1188z00_12), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3955;

					{
						obj_t BgL_auxz00_3956;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3957;

							BgL_tmpz00_3957 = ((BgL_objectz00_bglt) BgL_new1161z00_3796);
							BgL_auxz00_3956 = BGL_OBJECT_WIDENING(BgL_tmpz00_3957);
						}
						BgL_auxz00_3955 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3956);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3955))->
							BgL_interferez00) = ((obj_t) BgL_interfere1189z00_13), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3962;

					{
						obj_t BgL_auxz00_3963;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3964;

							BgL_tmpz00_3964 = ((BgL_objectz00_bglt) BgL_new1161z00_3796);
							BgL_auxz00_3963 = BGL_OBJECT_WIDENING(BgL_tmpz00_3964);
						}
						BgL_auxz00_3962 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3963);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3962))->
							BgL_interfere2z00) = ((obj_t) BgL_interfere21190z00_14), BUNSPEC);
				}
				return BgL_new1161z00_3796;
			}
		}

	}



/* &make-rtl_reg/ra */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3669, obj_t BgL_type1179z00_3670, obj_t BgL_var1180z00_3671,
		obj_t BgL_onexprzf31181zf3_3672, obj_t BgL_name1182z00_3673,
		obj_t BgL_key1183z00_3674, obj_t BgL_hardware1184z00_3675,
		obj_t BgL_num1185z00_3676, obj_t BgL_color1186z00_3677,
		obj_t BgL_coalesce1187z00_3678, obj_t BgL_occurrences1188z00_3679,
		obj_t BgL_interfere1189z00_3680, obj_t BgL_interfere21190z00_3681)
	{
		{	/* SawMill/regset.sch 55 */
			return
				BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2utilszd2(
				((BgL_typez00_bglt) BgL_type1179z00_3670), BgL_var1180z00_3671,
				BgL_onexprzf31181zf3_3672, BgL_name1182z00_3673, BgL_key1183z00_3674,
				BgL_hardware1184z00_3675, CINT(BgL_num1185z00_3676),
				BgL_color1186z00_3677, BgL_coalesce1187z00_3678,
				CINT(BgL_occurrences1188z00_3679), BgL_interfere1189z00_3680,
				BgL_interfere21190z00_3681);
		}

	}



/* rtl_reg/ra? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2utilszd2(obj_t
		BgL_objz00_15)
	{
		{	/* SawMill/regset.sch 56 */
			{	/* SawMill/regset.sch 56 */
				obj_t BgL_classz00_3802;

				BgL_classz00_3802 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* SawMill/regset.sch 56 */
						BgL_objectz00_bglt BgL_arg1825z00_3803;

						BgL_arg1825z00_3803 = (BgL_objectz00_bglt) (BgL_objz00_15);
						{	/* SawMill/regset.sch 56 */
							bool_t BgL_arg1822z00_3804;
							bool_t BgL_arg1823z00_3805;

							{	/* SawMill/regset.sch 56 */
								long BgL_idxz00_3806;

								BgL_idxz00_3806 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3803);
								BgL_arg1822z00_3804 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3806 + ((long) 2))) == BgL_classz00_3802);
							}
							{	/* SawMill/regset.sch 56 */
								bool_t BgL_res2327z00_3809;

								{	/* SawMill/regset.sch 56 */
									obj_t BgL_oclassz00_3810;

									{	/* SawMill/regset.sch 56 */
										long BgL_arg1833z00_3811;

										{	/* SawMill/regset.sch 56 */
											long BgL_arg1834z00_3812;

											BgL_arg1834z00_3812 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3803);
											BgL_arg1833z00_3811 = (BgL_arg1834z00_3812 - OBJECT_TYPE);
										}
										BgL_oclassz00_3810 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3811);
									}
									{	/* SawMill/regset.sch 56 */
										bool_t BgL__ortest_1110z00_3813;

										BgL__ortest_1110z00_3813 =
											(BgL_classz00_3802 == BgL_oclassz00_3810);
										if (BgL__ortest_1110z00_3813)
											{	/* SawMill/regset.sch 56 */
												BgL_res2327z00_3809 = BgL__ortest_1110z00_3813;
											}
										else
											{	/* SawMill/regset.sch 56 */
												long BgL_odepthz00_3814;

												BgL_odepthz00_3814 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3810);
												if ((((long) 2) < BgL_odepthz00_3814))
													{	/* SawMill/regset.sch 56 */
														obj_t BgL_arg1821z00_3815;

														BgL_arg1821z00_3815 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3810,
															((long) 2));
														BgL_res2327z00_3809 =
															(BgL_arg1821z00_3815 == BgL_classz00_3802);
													}
												else
													{	/* SawMill/regset.sch 56 */
														BgL_res2327z00_3809 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3805 = BgL_res2327z00_3809;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3804, BgL_arg1823z00_3805);
						}
					}
				else
					{	/* SawMill/regset.sch 56 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg/ra? */
	obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3682,
		obj_t BgL_objz00_3683)
	{
		{	/* SawMill/regset.sch 56 */
			return BBOOL(BGl_rtl_regzf2razf3z01zzsaw_bbvzd2utilszd2(BgL_objz00_3683));
		}

	}



/* rtl_reg/ra-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2utilszd2()
	{
		{	/* SawMill/regset.sch 57 */
			{	/* SawMill/regset.sch 57 */
				obj_t BgL_classz00_3180;

				BgL_classz00_3180 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				{	/* SawMill/regset.sch 57 */
					obj_t BgL__ortest_1112z00_3181;

					BgL__ortest_1112z00_3181 = BGL_CLASS_NIL(BgL_classz00_3180);
					if (CBOOL(BgL__ortest_1112z00_3181))
						{	/* SawMill/regset.sch 57 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1112z00_3181);
						}
					else
						{	/* SawMill/regset.sch 57 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3180));
						}
				}
			}
		}

	}



/* &rtl_reg/ra-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3684)
	{
		{	/* SawMill/regset.sch 57 */
			return BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2utilszd2();
		}

	}



/* rtl_reg/ra-interfere2 */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_16)
	{
		{	/* SawMill/regset.sch 58 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4000;

				{
					obj_t BgL_auxz00_4001;

					{	/* SawMill/regset.sch 58 */
						BgL_objectz00_bglt BgL_tmpz00_4002;

						BgL_tmpz00_4002 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_4001 = BGL_OBJECT_WIDENING(BgL_tmpz00_4002);
					}
					BgL_auxz00_4000 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4001);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4000))->
					BgL_interfere2z00);
			}
		}

	}



/* &rtl_reg/ra-interfere2 */
	obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3685, obj_t BgL_oz00_3686)
	{
		{	/* SawMill/regset.sch 58 */
			return
				BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3686));
		}

	}



/* rtl_reg/ra-interfere2-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* SawMill/regset.sch 59 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4009;

				{
					obj_t BgL_auxz00_4010;

					{	/* SawMill/regset.sch 59 */
						BgL_objectz00_bglt BgL_tmpz00_4011;

						BgL_tmpz00_4011 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_4010 = BGL_OBJECT_WIDENING(BgL_tmpz00_4011);
					}
					BgL_auxz00_4009 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4010);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4009))->
						BgL_interfere2z00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere2-set! */
	obj_t BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3687, obj_t BgL_oz00_3688, obj_t BgL_vz00_3689)
	{
		{	/* SawMill/regset.sch 59 */
			return
				BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3688), BgL_vz00_3689);
		}

	}



/* rtl_reg/ra-interfere */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_19)
	{
		{	/* SawMill/regset.sch 60 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4018;

				{
					obj_t BgL_auxz00_4019;

					{	/* SawMill/regset.sch 60 */
						BgL_objectz00_bglt BgL_tmpz00_4020;

						BgL_tmpz00_4020 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_4019 = BGL_OBJECT_WIDENING(BgL_tmpz00_4020);
					}
					BgL_auxz00_4018 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4019);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4018))->
					BgL_interferez00);
			}
		}

	}



/* &rtl_reg/ra-interfere */
	obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3690, obj_t BgL_oz00_3691)
	{
		{	/* SawMill/regset.sch 60 */
			return
				BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3691));
		}

	}



/* rtl_reg/ra-interfere-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/regset.sch 61 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4027;

				{
					obj_t BgL_auxz00_4028;

					{	/* SawMill/regset.sch 61 */
						BgL_objectz00_bglt BgL_tmpz00_4029;

						BgL_tmpz00_4029 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_4028 = BGL_OBJECT_WIDENING(BgL_tmpz00_4029);
					}
					BgL_auxz00_4027 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4028);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4027))->
						BgL_interferez00) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere-set! */
	obj_t BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3692, obj_t BgL_oz00_3693, obj_t BgL_vz00_3694)
	{
		{	/* SawMill/regset.sch 61 */
			return
				BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3693), BgL_vz00_3694);
		}

	}



/* rtl_reg/ra-occurrences */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_22)
	{
		{	/* SawMill/regset.sch 62 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4036;

				{
					obj_t BgL_auxz00_4037;

					{	/* SawMill/regset.sch 62 */
						BgL_objectz00_bglt BgL_tmpz00_4038;

						BgL_tmpz00_4038 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_4037 = BGL_OBJECT_WIDENING(BgL_tmpz00_4038);
					}
					BgL_auxz00_4036 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4037);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4036))->
					BgL_occurrencesz00);
			}
		}

	}



/* &rtl_reg/ra-occurrences */
	obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3695, obj_t BgL_oz00_3696)
	{
		{	/* SawMill/regset.sch 62 */
			return
				BINT(BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2utilszd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_3696)));
		}

	}



/* rtl_reg/ra-occurrences-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_23, int BgL_vz00_24)
	{
		{	/* SawMill/regset.sch 63 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4046;

				{
					obj_t BgL_auxz00_4047;

					{	/* SawMill/regset.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_4048;

						BgL_tmpz00_4048 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_4047 = BGL_OBJECT_WIDENING(BgL_tmpz00_4048);
					}
					BgL_auxz00_4046 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4047);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4046))->
						BgL_occurrencesz00) = ((int) BgL_vz00_24), BUNSPEC);
		}}

	}



/* &rtl_reg/ra-occurrences-set! */
	obj_t BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3697, obj_t BgL_oz00_3698, obj_t BgL_vz00_3699)
	{
		{	/* SawMill/regset.sch 63 */
			return
				BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3698), CINT(BgL_vz00_3699));
		}

	}



/* rtl_reg/ra-coalesce */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_25)
	{
		{	/* SawMill/regset.sch 64 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4056;

				{
					obj_t BgL_auxz00_4057;

					{	/* SawMill/regset.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_4058;

						BgL_tmpz00_4058 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_4057 = BGL_OBJECT_WIDENING(BgL_tmpz00_4058);
					}
					BgL_auxz00_4056 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4057);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4056))->
					BgL_coalescez00);
			}
		}

	}



/* &rtl_reg/ra-coalesce */
	obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3700, obj_t BgL_oz00_3701)
	{
		{	/* SawMill/regset.sch 64 */
			return
				BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3701));
		}

	}



/* rtl_reg/ra-coalesce-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* SawMill/regset.sch 65 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4065;

				{
					obj_t BgL_auxz00_4066;

					{	/* SawMill/regset.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_4067;

						BgL_tmpz00_4067 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_4066 = BGL_OBJECT_WIDENING(BgL_tmpz00_4067);
					}
					BgL_auxz00_4065 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4066);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4065))->
						BgL_coalescez00) = ((obj_t) BgL_vz00_27), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-coalesce-set! */
	obj_t BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3702, obj_t BgL_oz00_3703, obj_t BgL_vz00_3704)
	{
		{	/* SawMill/regset.sch 65 */
			return
				BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3703), BgL_vz00_3704);
		}

	}



/* rtl_reg/ra-color */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_28)
	{
		{	/* SawMill/regset.sch 66 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4074;

				{
					obj_t BgL_auxz00_4075;

					{	/* SawMill/regset.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_4076;

						BgL_tmpz00_4076 = ((BgL_objectz00_bglt) BgL_oz00_28);
						BgL_auxz00_4075 = BGL_OBJECT_WIDENING(BgL_tmpz00_4076);
					}
					BgL_auxz00_4074 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4075);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4074))->BgL_colorz00);
			}
		}

	}



/* &rtl_reg/ra-color */
	obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3705, obj_t BgL_oz00_3706)
	{
		{	/* SawMill/regset.sch 66 */
			return
				BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3706));
		}

	}



/* rtl_reg/ra-color-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawMill/regset.sch 67 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4083;

				{
					obj_t BgL_auxz00_4084;

					{	/* SawMill/regset.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_4085;

						BgL_tmpz00_4085 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_4084 = BGL_OBJECT_WIDENING(BgL_tmpz00_4085);
					}
					BgL_auxz00_4083 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4084);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4083))->
						BgL_colorz00) = ((obj_t) BgL_vz00_30), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-color-set! */
	obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3707, obj_t BgL_oz00_3708, obj_t BgL_vz00_3709)
	{
		{	/* SawMill/regset.sch 67 */
			return
				BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3708), BgL_vz00_3709);
		}

	}



/* rtl_reg/ra-num */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_31)
	{
		{	/* SawMill/regset.sch 68 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4092;

				{
					obj_t BgL_auxz00_4093;

					{	/* SawMill/regset.sch 68 */
						BgL_objectz00_bglt BgL_tmpz00_4094;

						BgL_tmpz00_4094 = ((BgL_objectz00_bglt) BgL_oz00_31);
						BgL_auxz00_4093 = BGL_OBJECT_WIDENING(BgL_tmpz00_4094);
					}
					BgL_auxz00_4092 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4093);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4092))->BgL_numz00);
			}
		}

	}



/* &rtl_reg/ra-num */
	obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3710,
		obj_t BgL_oz00_3711)
	{
		{	/* SawMill/regset.sch 68 */
			return
				BINT(BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2utilszd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_3711)));
		}

	}



/* rtl_reg/ra-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_34)
	{
		{	/* SawMill/regset.sch 70 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_34)))->BgL_hardwarez00);
		}

	}



/* &rtl_reg/ra-hardware */
	obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3712, obj_t BgL_oz00_3713)
	{
		{	/* SawMill/regset.sch 70 */
			return
				BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3713));
		}

	}



/* rtl_reg/ra-key */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_37)
	{
		{	/* SawMill/regset.sch 72 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_37)))->BgL_keyz00);
		}

	}



/* &rtl_reg/ra-key */
	obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3714,
		obj_t BgL_oz00_3715)
	{
		{	/* SawMill/regset.sch 72 */
			return
				BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3715));
		}

	}



/* rtl_reg/ra-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_40)
	{
		{	/* SawMill/regset.sch 74 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_40)))->BgL_namez00);
		}

	}



/* &rtl_reg/ra-name */
	obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3716,
		obj_t BgL_oz00_3717)
	{
		{	/* SawMill/regset.sch 74 */
			return
				BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3717));
		}

	}



/* rtl_reg/ra-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_43)
	{
		{	/* SawMill/regset.sch 76 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_43)))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg/ra-onexpr? */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3718, obj_t BgL_oz00_3719)
	{
		{	/* SawMill/regset.sch 76 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3719));
		}

	}



/* rtl_reg/ra-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawMill/regset.sch 77 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_44)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &rtl_reg/ra-onexpr?-set! */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3720, obj_t BgL_oz00_3721, obj_t BgL_vz00_3722)
	{
		{	/* SawMill/regset.sch 77 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3721), BgL_vz00_3722);
		}

	}



/* rtl_reg/ra-var */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_46)
	{
		{	/* SawMill/regset.sch 78 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_46)))->BgL_varz00);
		}

	}



/* &rtl_reg/ra-var */
	obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3723,
		obj_t BgL_oz00_3724)
	{
		{	/* SawMill/regset.sch 78 */
			return
				BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3724));
		}

	}



/* rtl_reg/ra-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* SawMill/regset.sch 79 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_47)))->BgL_varz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &rtl_reg/ra-var-set! */
	obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3725, obj_t BgL_oz00_3726, obj_t BgL_vz00_3727)
	{
		{	/* SawMill/regset.sch 79 */
			return
				BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3726), BgL_vz00_3727);
		}

	}



/* rtl_reg/ra-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_49)
	{
		{	/* SawMill/regset.sch 80 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_49)))->BgL_typez00);
		}

	}



/* &rtl_reg/ra-type */
	BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3728, obj_t BgL_oz00_3729)
	{
		{	/* SawMill/regset.sch 80 */
			return
				BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3729));
		}

	}



/* rtl_reg/ra-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		{	/* SawMill/regset.sch 81 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_reg/ra-type-set! */
	obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3730, obj_t BgL_oz00_3731, obj_t BgL_vz00_3732)
	{
		{	/* SawMill/regset.sch 81 */
			return
				BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3731),
				((BgL_typez00_bglt) BgL_vz00_3732));
		}

	}



/* make-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2utilszd2(int BgL_length1172z00_52,
		int BgL_msiza7e1173za7_53, obj_t BgL_regv1174z00_54,
		obj_t BgL_regl1175z00_55, obj_t BgL_string1176z00_56)
	{
		{	/* SawMill/regset.sch 84 */
			{	/* SawMill/regset.sch 84 */
				BgL_regsetz00_bglt BgL_new1163z00_3816;

				{	/* SawMill/regset.sch 84 */
					BgL_regsetz00_bglt BgL_new1162z00_3817;

					BgL_new1162z00_3817 =
						((BgL_regsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_regsetz00_bgl))));
					{	/* SawMill/regset.sch 84 */
						long BgL_arg1551z00_3818;

						BgL_arg1551z00_3818 = BGL_CLASS_NUM(BGl_regsetz00zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1162z00_3817), BgL_arg1551z00_3818);
					}
					BgL_new1163z00_3816 = BgL_new1162z00_3817;
				}
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_3816))->BgL_lengthz00) =
					((int) BgL_length1172z00_52), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_3816))->BgL_msiza7eza7) =
					((int) BgL_msiza7e1173za7_53), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_3816))->BgL_regvz00) =
					((obj_t) BgL_regv1174z00_54), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_3816))->BgL_reglz00) =
					((obj_t) BgL_regl1175z00_55), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_3816))->BgL_stringz00) =
					((obj_t) BgL_string1176z00_56), BUNSPEC);
				return BgL_new1163z00_3816;
			}
		}

	}



/* &make-regset */
	BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3733, obj_t BgL_length1172z00_3734,
		obj_t BgL_msiza7e1173za7_3735, obj_t BgL_regv1174z00_3736,
		obj_t BgL_regl1175z00_3737, obj_t BgL_string1176z00_3738)
	{
		{	/* SawMill/regset.sch 84 */
			return
				BGl_makezd2regsetzd2zzsaw_bbvzd2utilszd2(CINT(BgL_length1172z00_3734),
				CINT(BgL_msiza7e1173za7_3735), BgL_regv1174z00_3736,
				BgL_regl1175z00_3737, BgL_string1176z00_3738);
		}

	}



/* regset? */
	BGL_EXPORTED_DEF bool_t BGl_regsetzf3zf3zzsaw_bbvzd2utilszd2(obj_t
		BgL_objz00_57)
	{
		{	/* SawMill/regset.sch 85 */
			{	/* SawMill/regset.sch 85 */
				obj_t BgL_classz00_3819;

				BgL_classz00_3819 = BGl_regsetz00zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/regset.sch 85 */
						BgL_objectz00_bglt BgL_arg1825z00_3820;

						BgL_arg1825z00_3820 = (BgL_objectz00_bglt) (BgL_objz00_57);
						{	/* SawMill/regset.sch 85 */
							bool_t BgL_arg1822z00_3821;
							bool_t BgL_arg1823z00_3822;

							{	/* SawMill/regset.sch 85 */
								long BgL_idxz00_3823;

								BgL_idxz00_3823 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3820);
								BgL_arg1822z00_3821 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3823 + ((long) 1))) == BgL_classz00_3819);
							}
							{	/* SawMill/regset.sch 85 */
								bool_t BgL_res2328z00_3826;

								{	/* SawMill/regset.sch 85 */
									obj_t BgL_oclassz00_3827;

									{	/* SawMill/regset.sch 85 */
										long BgL_arg1833z00_3828;

										{	/* SawMill/regset.sch 85 */
											long BgL_arg1834z00_3829;

											BgL_arg1834z00_3829 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3820);
											BgL_arg1833z00_3828 = (BgL_arg1834z00_3829 - OBJECT_TYPE);
										}
										BgL_oclassz00_3827 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3828);
									}
									{	/* SawMill/regset.sch 85 */
										bool_t BgL__ortest_1110z00_3830;

										BgL__ortest_1110z00_3830 =
											(BgL_classz00_3819 == BgL_oclassz00_3827);
										if (BgL__ortest_1110z00_3830)
											{	/* SawMill/regset.sch 85 */
												BgL_res2328z00_3826 = BgL__ortest_1110z00_3830;
											}
										else
											{	/* SawMill/regset.sch 85 */
												long BgL_odepthz00_3831;

												BgL_odepthz00_3831 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3827);
												if ((((long) 1) < BgL_odepthz00_3831))
													{	/* SawMill/regset.sch 85 */
														obj_t BgL_arg1821z00_3832;

														BgL_arg1821z00_3832 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3827,
															((long) 1));
														BgL_res2328z00_3826 =
															(BgL_arg1821z00_3832 == BgL_classz00_3819);
													}
												else
													{	/* SawMill/regset.sch 85 */
														BgL_res2328z00_3826 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3822 = BgL_res2328z00_3826;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3821, BgL_arg1823z00_3822);
						}
					}
				else
					{	/* SawMill/regset.sch 85 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &regset? */
	obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3739,
		obj_t BgL_objz00_3740)
	{
		{	/* SawMill/regset.sch 85 */
			return BBOOL(BGl_regsetzf3zf3zzsaw_bbvzd2utilszd2(BgL_objz00_3740));
		}

	}



/* regset-nil */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt BGl_regsetzd2nilzd2zzsaw_bbvzd2utilszd2()
	{
		{	/* SawMill/regset.sch 86 */
			{	/* SawMill/regset.sch 86 */
				obj_t BgL_classz00_3231;

				BgL_classz00_3231 = BGl_regsetz00zzsaw_regsetz00;
				{	/* SawMill/regset.sch 86 */
					obj_t BgL__ortest_1112z00_3232;

					BgL__ortest_1112z00_3232 = BGL_CLASS_NIL(BgL_classz00_3231);
					if (CBOOL(BgL__ortest_1112z00_3232))
						{	/* SawMill/regset.sch 86 */
							return ((BgL_regsetz00_bglt) BgL__ortest_1112z00_3232);
						}
					else
						{	/* SawMill/regset.sch 86 */
							return
								((BgL_regsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3231));
						}
				}
			}
		}

	}



/* &regset-nil */
	BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3741)
	{
		{	/* SawMill/regset.sch 86 */
			return BGl_regsetzd2nilzd2zzsaw_bbvzd2utilszd2();
		}

	}



/* regset-string */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_58)
	{
		{	/* SawMill/regset.sch 87 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_58))->BgL_stringz00);
		}

	}



/* &regset-string */
	obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3742,
		obj_t BgL_oz00_3743)
	{
		{	/* SawMill/regset.sch 87 */
			return
				BGl_regsetzd2stringzd2zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3743));
		}

	}



/* regset-string-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* SawMill/regset.sch 88 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_59))->BgL_stringz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &regset-string-set! */
	obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3744, obj_t BgL_oz00_3745, obj_t BgL_vz00_3746)
	{
		{	/* SawMill/regset.sch 88 */
			return
				BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3745), BgL_vz00_3746);
		}

	}



/* regset-regl */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_61)
	{
		{	/* SawMill/regset.sch 89 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_61))->BgL_reglz00);
		}

	}



/* &regset-regl */
	obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3747,
		obj_t BgL_oz00_3748)
	{
		{	/* SawMill/regset.sch 89 */
			return
				BGl_regsetzd2reglzd2zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3748));
		}

	}



/* regset-regv */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_64)
	{
		{	/* SawMill/regset.sch 91 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_64))->BgL_regvz00);
		}

	}



/* &regset-regv */
	obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3749,
		obj_t BgL_oz00_3750)
	{
		{	/* SawMill/regset.sch 91 */
			return
				BGl_regsetzd2regvzd2zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3750));
		}

	}



/* regset-msize */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_67)
	{
		{	/* SawMill/regset.sch 93 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_67))->BgL_msiza7eza7);
		}

	}



/* &regset-msize */
	obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3751,
		obj_t BgL_oz00_3752)
	{
		{	/* SawMill/regset.sch 93 */
			return
				BINT(BGl_regsetzd2msiza7ez75zzsaw_bbvzd2utilszd2(
					((BgL_regsetz00_bglt) BgL_oz00_3752)));
		}

	}



/* regset-length */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_70)
	{
		{	/* SawMill/regset.sch 95 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_70))->BgL_lengthz00);
		}

	}



/* &regset-length */
	obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3753,
		obj_t BgL_oz00_3754)
	{
		{	/* SawMill/regset.sch 95 */
			return
				BINT(BGl_regsetzd2lengthzd2zzsaw_bbvzd2utilszd2(
					((BgL_regsetz00_bglt) BgL_oz00_3754)));
		}

	}



/* regset-length-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt
		BgL_oz00_71, int BgL_vz00_72)
	{
		{	/* SawMill/regset.sch 96 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_71))->BgL_lengthz00) =
				((int) BgL_vz00_72), BUNSPEC);
		}

	}



/* &regset-length-set! */
	obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3755, obj_t BgL_oz00_3756, obj_t BgL_vz00_3757)
	{
		{	/* SawMill/regset.sch 96 */
			return
				BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3756), CINT(BgL_vz00_3757));
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzsaw_bbvzd2utilszd2(obj_t BgL_oldz00_3782,
		obj_t BgL_newz00_3781, obj_t BgL_lz00_2083)
	{
		{	/* SawMill/bbv-utils.scm 50 */
			if (NULLP(BgL_lz00_2083))
				{	/* SawMill/bbv-utils.scm 52 */
					return BgL_lz00_2083;
				}
			else
				{	/* SawMill/bbv-utils.scm 52 */
					if ((CAR(((obj_t) BgL_lz00_2083)) == BgL_oldz00_3782))
						{	/* SawMill/bbv-utils.scm 53 */
							obj_t BgL_arg1563z00_2088;

							BgL_arg1563z00_2088 = CDR(((obj_t) BgL_lz00_2083));
							return MAKE_YOUNG_PAIR(BgL_newz00_3781, BgL_arg1563z00_2088);
						}
					else
						{	/* SawMill/bbv-utils.scm 54 */
							obj_t BgL_arg1564z00_2089;
							obj_t BgL_arg1567z00_2090;

							BgL_arg1564z00_2089 = CAR(((obj_t) BgL_lz00_2083));
							{	/* SawMill/bbv-utils.scm 54 */
								obj_t BgL_arg1570z00_2091;

								BgL_arg1570z00_2091 = CDR(((obj_t) BgL_lz00_2083));
								BgL_arg1567z00_2090 =
									BGl_loopze70ze7zzsaw_bbvzd2utilszd2(BgL_oldz00_3782,
									BgL_newz00_3781, BgL_arg1570z00_2091);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1564z00_2089, BgL_arg1567z00_2090);
						}
				}
		}

	}



/* genlabel */
	BGL_EXPORTED_DEF obj_t BGl_genlabelz00zzsaw_bbvzd2utilszd2()
	{
		{	/* SawMill/bbv-utils.scm 60 */
			BGl_za2labelza2z00zzsaw_bbvzd2utilszd2 =
				(((long) 1) + BGl_za2labelza2z00zzsaw_bbvzd2utilszd2);
			return BINT(BGl_za2labelza2z00zzsaw_bbvzd2utilszd2);
		}

	}



/* &genlabel */
	obj_t BGl_z62genlabelz62zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3758)
	{
		{	/* SawMill/bbv-utils.scm 60 */
			return BGl_genlabelz00zzsaw_bbvzd2utilszd2();
		}

	}



/* set-max-label! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2maxzd2labelz12z12zzsaw_bbvzd2utilszd2(obj_t
		BgL_blocksz00_76)
	{
		{	/* SawMill/bbv-utils.scm 67 */
			BGl_za2labelza2z00zzsaw_bbvzd2utilszd2 = ((long) 0);
			{
				obj_t BgL_l1519z00_2095;

				{	/* SawMill/bbv-utils.scm 69 */
					bool_t BgL_tmpz00_4220;

					BgL_l1519z00_2095 = BgL_blocksz00_76;
				BgL_zc3z04anonymousza31572ze3z87_2096:
					if (PAIRP(BgL_l1519z00_2095))
						{	/* SawMill/bbv-utils.scm 69 */
							{	/* SawMill/bbv-utils.scm 70 */
								obj_t BgL_bz00_2098;

								BgL_bz00_2098 = CAR(BgL_l1519z00_2095);
								{	/* SawMill/bbv-utils.scm 71 */
									bool_t BgL_test2410z00_4224;

									{	/* SawMill/bbv-utils.scm 71 */
										long BgL_n2z00_3240;

										BgL_n2z00_3240 = BGl_za2labelza2z00zzsaw_bbvzd2utilszd2;
										BgL_test2410z00_4224 =
											(
											(long) (
												(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_bz00_2098)))->
													BgL_labelz00)) > BgL_n2z00_3240);
									}
									if (BgL_test2410z00_4224)
										{	/* SawMill/bbv-utils.scm 71 */
											BGl_za2labelza2z00zzsaw_bbvzd2utilszd2 =
												(long) (
												(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_bz00_2098)))->
													BgL_labelz00));
										}
									else
										{	/* SawMill/bbv-utils.scm 71 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1519z00_4232;

								BgL_l1519z00_4232 = CDR(BgL_l1519z00_2095);
								BgL_l1519z00_2095 = BgL_l1519z00_4232;
								goto BgL_zc3z04anonymousza31572ze3z87_2096;
							}
						}
					else
						{	/* SawMill/bbv-utils.scm 69 */
							BgL_tmpz00_4220 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_4220);
				}
			}
		}

	}



/* &set-max-label! */
	obj_t BGl_z62setzd2maxzd2labelz12z70zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3759, obj_t BgL_blocksz00_3760)
	{
		{	/* SawMill/bbv-utils.scm 67 */
			return
				BGl_setzd2maxzd2labelz12z12zzsaw_bbvzd2utilszd2(BgL_blocksz00_3760);
		}

	}



/* get-bb-mark */
	BGL_EXPORTED_DEF obj_t BGl_getzd2bbzd2markz00zzsaw_bbvzd2utilszd2()
	{
		{	/* SawMill/bbv-utils.scm 83 */
			BGl_za2bbzd2markza2zd2zzsaw_bbvzd2utilszd2 =
				(((long) 1) + BGl_za2bbzd2markza2zd2zzsaw_bbvzd2utilszd2);
			return BINT(BGl_za2bbzd2markza2zd2zzsaw_bbvzd2utilszd2);
		}

	}



/* &get-bb-mark */
	obj_t BGl_z62getzd2bbzd2markz62zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3761)
	{
		{	/* SawMill/bbv-utils.scm 83 */
			return BGl_getzd2bbzd2markz00zzsaw_bbvzd2utilszd2();
		}

	}



/* make-empty-bbset */
	obj_t BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2utilszd2()
	{
		{	/* SawMill/bbv-utils.scm 95 */
			{	/* SawMill/bbv-utils.scm 96 */
				obj_t BgL_arg1601z00_2116;

				BgL_arg1601z00_2116 = BGl_getzd2bbzd2markz00zzsaw_bbvzd2utilszd2();
				{	/* SawMill/bbv-utils.scm 90 */
					obj_t BgL_newz00_3250;

					BgL_newz00_3250 =
						create_struct(CNST_TABLE_REF(((long) 0)), (int) (((long) 2)));
					{	/* SawMill/bbv-utils.scm 90 */
						int BgL_tmpz00_4243;

						BgL_tmpz00_4243 = (int) (((long) 1));
						STRUCT_SET(BgL_newz00_3250, BgL_tmpz00_4243, BNIL);
					}
					{	/* SawMill/bbv-utils.scm 90 */
						int BgL_tmpz00_4246;

						BgL_tmpz00_4246 = (int) (((long) 0));
						STRUCT_SET(BgL_newz00_3250, BgL_tmpz00_4246, BgL_arg1601z00_2116);
					}
					return BgL_newz00_3250;
				}
			}
		}

	}



/* bbset-cons */
	obj_t BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt BgL_bz00_89,
		obj_t BgL_setz00_90)
	{
		{	/* SawMill/bbv-utils.scm 108 */
			{	/* SawMill/bbv-utils.scm 109 */
				obj_t BgL_mz00_2120;

				BgL_mz00_2120 = STRUCT_REF(BgL_setz00_90, (int) (((long) 0)));
				{
					BgL_blocksz00_bglt BgL_auxz00_4251;

					{
						obj_t BgL_auxz00_4252;

						{	/* SawMill/bbv-utils.scm 111 */
							BgL_objectz00_bglt BgL_tmpz00_4253;

							BgL_tmpz00_4253 = ((BgL_objectz00_bglt) BgL_bz00_89);
							BgL_auxz00_4252 = BGL_OBJECT_WIDENING(BgL_tmpz00_4253);
						}
						BgL_auxz00_4251 = ((BgL_blocksz00_bglt) BgL_auxz00_4252);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4251))->BgL_z52markz52) =
						((long) (long) CINT(BgL_mz00_2120)), BUNSPEC);
				}
				{	/* SawMill/bbv-utils.scm 112 */
					obj_t BgL_arg1604z00_2122;

					{	/* SawMill/bbv-utils.scm 112 */
						obj_t BgL_arg1606z00_2123;

						BgL_arg1606z00_2123 = STRUCT_REF(BgL_setz00_90, (int) (((long) 1)));
						BgL_arg1604z00_2122 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_89), BgL_arg1606z00_2123);
					}
					{	/* SawMill/bbv-utils.scm 90 */
						int BgL_tmpz00_4263;

						BgL_tmpz00_4263 = (int) (((long) 1));
						STRUCT_SET(BgL_setz00_90, BgL_tmpz00_4263, BgL_arg1604z00_2122);
				}}
				return BgL_setz00_90;
			}
		}

	}



/* bbset-cons* */
	obj_t BGl_bbsetzd2consza2z70zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt
		BgL_bz00_91, obj_t BgL_restz00_92)
	{
		{	/* SawMill/bbv-utils.scm 118 */
			if (NULLP(CDR(((obj_t) BgL_restz00_92))))
				{	/* SawMill/bbv-utils.scm 121 */
					obj_t BgL_arg1619z00_2126;

					BgL_arg1619z00_2126 = CAR(((obj_t) BgL_restz00_92));
					return
						BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(BgL_bz00_91,
						BgL_arg1619z00_2126);
				}
			else
				{	/* SawMill/bbv-utils.scm 122 */
					bool_t BgL_test2412z00_4273;

					{	/* SawMill/bbv-utils.scm 122 */
						obj_t BgL_tmpz00_4274;

						{	/* SawMill/bbv-utils.scm 122 */
							obj_t BgL_pairz00_3267;

							BgL_pairz00_3267 = CDR(((obj_t) BgL_restz00_92));
							BgL_tmpz00_4274 = CDR(BgL_pairz00_3267);
						}
						BgL_test2412z00_4273 = NULLP(BgL_tmpz00_4274);
					}
					if (BgL_test2412z00_4273)
						{	/* SawMill/bbv-utils.scm 123 */
							obj_t BgL_arg1632z00_2129;

							{	/* SawMill/bbv-utils.scm 123 */
								obj_t BgL_arg1633z00_2130;
								obj_t BgL_arg1636z00_2131;

								BgL_arg1633z00_2130 = CAR(((obj_t) BgL_restz00_92));
								{	/* SawMill/bbv-utils.scm 123 */
									obj_t BgL_pairz00_3272;

									BgL_pairz00_3272 = CDR(((obj_t) BgL_restz00_92));
									BgL_arg1636z00_2131 = CAR(BgL_pairz00_3272);
								}
								BgL_arg1632z00_2129 =
									BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(
									((BgL_blockz00_bglt) BgL_arg1633z00_2130),
									BgL_arg1636z00_2131);
							}
							return
								BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(BgL_bz00_91,
								BgL_arg1632z00_2129);
						}
					else
						{	/* SawMill/bbv-utils.scm 125 */
							obj_t BgL_arg1647z00_2132;

							{	/* SawMill/bbv-utils.scm 125 */
								obj_t BgL_runner1649z00_2134;

								BgL_runner1649z00_2134 = BgL_restz00_92;
								{	/* SawMill/bbv-utils.scm 125 */
									BgL_blockz00_bglt BgL_aux1648z00_2133;

									{	/* SawMill/bbv-utils.scm 125 */
										obj_t BgL_pairz00_3273;

										BgL_pairz00_3273 = BgL_runner1649z00_2134;
										BgL_aux1648z00_2133 =
											((BgL_blockz00_bglt) CAR(BgL_pairz00_3273));
									}
									BgL_runner1649z00_2134 = CDR(BgL_runner1649z00_2134);
									BgL_arg1647z00_2132 =
										BGl_bbsetzd2consza2z70zzsaw_bbvzd2utilszd2
										(BgL_aux1648z00_2133, BgL_runner1649z00_2134);
								}
							}
							return
								BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(BgL_bz00_91,
								BgL_arg1647z00_2132);
						}
				}
		}

	}



/* block->block-list */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2(obj_t BgL_regsz00_95,
		BgL_blockz00_bglt BgL_bz00_96)
	{
		{	/* SawMill/bbv-utils.scm 142 */
			{	/* SawMill/bbv-utils.scm 182 */
				obj_t BgL_g1190z00_2153;
				obj_t BgL_g1191z00_2154;

				{	/* SawMill/bbv-utils.scm 182 */
					obj_t BgL_list1908z00_2310;

					BgL_list1908z00_2310 = MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_96), BNIL);
					BgL_g1190z00_2153 = BgL_list1908z00_2310;
				}
				BgL_g1191z00_2154 = BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2utilszd2();
				{
					obj_t BgL_bsz00_2156;
					obj_t BgL_accz00_2157;

					BgL_bsz00_2156 = BgL_g1190z00_2153;
					BgL_accz00_2157 = BgL_g1191z00_2154;
				BgL_zc3z04anonymousza31668ze3z87_2158:
					if (NULLP(BgL_bsz00_2156))
						{	/* SawMill/bbv-utils.scm 185 */
							return
								bgl_reverse_bang(STRUCT_REF(BgL_accz00_2157,
									(int) (((long) 1))));
						}
					else
						{	/* SawMill/bbv-utils.scm 187 */
							bool_t BgL_test2414z00_4300;

							{	/* SawMill/bbv-utils.scm 187 */
								BgL_blockz00_bglt BgL_blockz00_3318;

								BgL_blockz00_3318 =
									((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2156)));
								{	/* SawMill/bbv-utils.scm 103 */
									long BgL_arg1602z00_3321;
									obj_t BgL_arg1603z00_3322;

									{
										BgL_blocksz00_bglt BgL_auxz00_4304;

										{
											obj_t BgL_auxz00_4305;

											{	/* SawMill/bbv-utils.scm 103 */
												BgL_objectz00_bglt BgL_tmpz00_4306;

												BgL_tmpz00_4306 =
													((BgL_objectz00_bglt) BgL_blockz00_3318);
												BgL_auxz00_4305 = BGL_OBJECT_WIDENING(BgL_tmpz00_4306);
											}
											BgL_auxz00_4304 = ((BgL_blocksz00_bglt) BgL_auxz00_4305);
										}
										BgL_arg1602z00_3321 =
											(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4304))->
											BgL_z52markz52);
									}
									BgL_arg1603z00_3322 =
										STRUCT_REF(BgL_accz00_2157, (int) (((long) 0)));
									BgL_test2414z00_4300 =
										(BINT(BgL_arg1602z00_3321) == BgL_arg1603z00_3322);
							}}
							if (BgL_test2414z00_4300)
								{	/* SawMill/bbv-utils.scm 188 */
									obj_t BgL_arg1678z00_2163;

									BgL_arg1678z00_2163 = CDR(((obj_t) BgL_bsz00_2156));
									{
										obj_t BgL_bsz00_4317;

										BgL_bsz00_4317 = BgL_arg1678z00_2163;
										BgL_bsz00_2156 = BgL_bsz00_4317;
										goto BgL_zc3z04anonymousza31668ze3z87_2158;
									}
								}
							else
								{	/* SawMill/bbv-utils.scm 190 */
									BgL_blockz00_bglt BgL_i1192z00_2164;

									BgL_i1192z00_2164 =
										((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2156)));
									if (NULLP(
											(((BgL_blockz00_bglt) COBJECT(BgL_i1192z00_2164))->
												BgL_succsz00)))
										{	/* SawMill/bbv-utils.scm 193 */
											obj_t BgL_arg1681z00_2167;
											obj_t BgL_arg1682z00_2168;

											BgL_arg1681z00_2167 = CDR(((obj_t) BgL_bsz00_2156));
											{	/* SawMill/bbv-utils.scm 193 */
												obj_t BgL_arg1694z00_2169;

												BgL_arg1694z00_2169 = CAR(((obj_t) BgL_bsz00_2156));
												BgL_arg1682z00_2168 =
													BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(
													((BgL_blockz00_bglt) BgL_arg1694z00_2169),
													BgL_accz00_2157);
											}
											{
												obj_t BgL_accz00_4331;
												obj_t BgL_bsz00_4330;

												BgL_bsz00_4330 = BgL_arg1681z00_2167;
												BgL_accz00_4331 = BgL_arg1682z00_2168;
												BgL_accz00_2157 = BgL_accz00_4331;
												BgL_bsz00_2156 = BgL_bsz00_4330;
												goto BgL_zc3z04anonymousza31668ze3z87_2158;
											}
										}
									else
										{	/* SawMill/bbv-utils.scm 194 */
											bool_t BgL_test2416z00_4332;

											if (BGl_gotozd2blockzf3ze70zc6zzsaw_bbvzd2utilszd2(CAR(
														((obj_t) BgL_bsz00_2156))))
												{	/* SawMill/bbv-utils.scm 158 */
													BgL_test2416z00_4332 = ((bool_t) 0);
												}
											else
												{	/* SawMill/bbv-utils.scm 158 */
													BgL_test2416z00_4332 = ((bool_t) 1);
												}
											if (BgL_test2416z00_4332)
												{	/* SawMill/bbv-utils.scm 195 */
													obj_t BgL_lpz00_2172;

													BgL_lpz00_2172 =
														BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
														(((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt)
																		CAR(
																			((obj_t) BgL_bsz00_2156)))))->
															BgL_firstz00));
													{	/* SawMill/bbv-utils.scm 195 */
														obj_t BgL_lastz00_2173;

														BgL_lastz00_2173 = CAR(BgL_lpz00_2172);
														{	/* SawMill/bbv-utils.scm 196 */
															obj_t BgL_succsz00_2174;

															BgL_succsz00_2174 =
																(((BgL_blockz00_bglt) COBJECT(
																		((BgL_blockz00_bglt)
																			CAR(
																				((obj_t) BgL_bsz00_2156)))))->
																BgL_succsz00);
															{	/* SawMill/bbv-utils.scm 197 */

																if (BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2
																	(((BgL_rtl_insz00_bglt) BgL_lastz00_2173)))
																	{	/* SawMill/bbv-utils.scm 201 */
																		bool_t BgL_test2419z00_4350;

																		if (BGl_rtl_inszd2typecheckzf3z21zzsaw_bbvzd2specializa7ez75(((BgL_rtl_insz00_bglt) BgL_lastz00_2173)))
																			{	/* SawMill/bbv-utils.scm 202 */
																				bool_t BgL_test2421z00_4354;

																				{	/* SawMill/bbv-utils.scm 202 */
																					BgL_blockz00_bglt BgL_blockz00_3337;

																					BgL_blockz00_3337 =
																						((BgL_blockz00_bglt)
																						CAR(((obj_t) BgL_succsz00_2174)));
																					{	/* SawMill/bbv-utils.scm 103 */
																						long BgL_arg1602z00_3340;
																						obj_t BgL_arg1603z00_3341;

																						{
																							BgL_blocksz00_bglt
																								BgL_auxz00_4358;
																							{
																								obj_t BgL_auxz00_4359;

																								{	/* SawMill/bbv-utils.scm 103 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_4360;
																									BgL_tmpz00_4360 =
																										((BgL_objectz00_bglt)
																										BgL_blockz00_3337);
																									BgL_auxz00_4359 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_4360);
																								}
																								BgL_auxz00_4358 =
																									((BgL_blocksz00_bglt)
																									BgL_auxz00_4359);
																							}
																							BgL_arg1602z00_3340 =
																								(((BgL_blocksz00_bglt)
																									COBJECT(BgL_auxz00_4358))->
																								BgL_z52markz52);
																						}
																						BgL_arg1603z00_3341 =
																							STRUCT_REF(BgL_accz00_2157,
																							(int) (((long) 0)));
																						BgL_test2421z00_4354 =
																							(BINT(BgL_arg1602z00_3340) ==
																							BgL_arg1603z00_3341);
																				}}
																				if (BgL_test2421z00_4354)
																					{	/* SawMill/bbv-utils.scm 202 */
																						BgL_test2419z00_4350 = ((bool_t) 0);
																					}
																				else
																					{	/* SawMill/bbv-utils.scm 202 */
																						BgL_test2419z00_4350 = ((bool_t) 1);
																					}
																			}
																		else
																			{	/* SawMill/bbv-utils.scm 201 */
																				BgL_test2419z00_4350 = ((bool_t) 0);
																			}
																		if (BgL_test2419z00_4350)
																			{	/* SawMill/bbv-utils.scm 201 */
																				{
																					BgL_rtl_funz00_bglt BgL_auxz00_4369;

																					{	/* SawMill/bbv-utils.scm 206 */
																						BgL_rtl_ifeqz00_bglt
																							BgL_new1195z00_2182;
																						{	/* SawMill/bbv-utils.scm 207 */
																							BgL_rtl_ifeqz00_bglt
																								BgL_new1194z00_2183;
																							BgL_new1194z00_2183 =
																								((BgL_rtl_ifeqz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_rtl_ifeqz00_bgl))));
																							{	/* SawMill/bbv-utils.scm 207 */
																								long BgL_arg1706z00_2184;

																								{	/* SawMill/bbv-utils.scm 207 */
																									obj_t BgL_classz00_3344;

																									BgL_classz00_3344 =
																										BGl_rtl_ifeqz00zzsaw_defsz00;
																									BgL_arg1706z00_2184 =
																										BGL_CLASS_NUM
																										(BgL_classz00_3344);
																								}
																								BGL_OBJECT_CLASS_NUM_SET(
																									((BgL_objectz00_bglt)
																										BgL_new1194z00_2183),
																									BgL_arg1706z00_2184);
																							}
																							BgL_new1195z00_2182 =
																								BgL_new1194z00_2183;
																						}
																						((((BgL_rtl_funz00_bglt) COBJECT(
																										((BgL_rtl_funz00_bglt)
																											BgL_new1195z00_2182)))->
																								BgL_locz00) =
																							((obj_t) BFALSE), BUNSPEC);
																						{
																							BgL_blockz00_bglt BgL_auxz00_4377;

																							{	/* SawMill/bbv-utils.scm 207 */
																								obj_t BgL_pairz00_3350;

																								BgL_pairz00_3350 =
																									CDR(
																									((obj_t) BgL_succsz00_2174));
																								BgL_auxz00_4377 =
																									((BgL_blockz00_bglt)
																									CAR(BgL_pairz00_3350));
																							}
																							((((BgL_rtl_ifeqz00_bglt)
																										COBJECT
																										(BgL_new1195z00_2182))->
																									BgL_thenz00) =
																								((BgL_blockz00_bglt)
																									BgL_auxz00_4377), BUNSPEC);
																						}
																						BgL_auxz00_4369 =
																							((BgL_rtl_funz00_bglt)
																							BgL_new1195z00_2182);
																					}
																					((((BgL_rtl_insz00_bglt) COBJECT(
																									((BgL_rtl_insz00_bglt)
																										BgL_lastz00_2173)))->
																							BgL_funz00) =
																						((BgL_rtl_funz00_bglt)
																							BgL_auxz00_4369), BUNSPEC);
																				}
																				{

																					goto
																						BgL_zc3z04anonymousza31668ze3z87_2158;
																				}
																			}
																		else
																			{	/* SawMill/bbv-utils.scm 209 */
																				bool_t BgL_test2422z00_4385;

																				{	/* SawMill/bbv-utils.scm 209 */
																					BgL_blockz00_bglt BgL_blockz00_3355;

																					{	/* SawMill/bbv-utils.scm 209 */
																						obj_t BgL_pairz00_3354;

																						BgL_pairz00_3354 =
																							CDR(((obj_t) BgL_succsz00_2174));
																						BgL_blockz00_3355 =
																							((BgL_blockz00_bglt)
																							CAR(BgL_pairz00_3354));
																					}
																					{	/* SawMill/bbv-utils.scm 103 */
																						long BgL_arg1602z00_3358;
																						obj_t BgL_arg1603z00_3359;

																						{
																							BgL_blocksz00_bglt
																								BgL_auxz00_4390;
																							{
																								obj_t BgL_auxz00_4391;

																								{	/* SawMill/bbv-utils.scm 103 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_4392;
																									BgL_tmpz00_4392 =
																										((BgL_objectz00_bglt)
																										BgL_blockz00_3355);
																									BgL_auxz00_4391 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_4392);
																								}
																								BgL_auxz00_4390 =
																									((BgL_blocksz00_bglt)
																									BgL_auxz00_4391);
																							}
																							BgL_arg1602z00_3358 =
																								(((BgL_blocksz00_bglt)
																									COBJECT(BgL_auxz00_4390))->
																								BgL_z52markz52);
																						}
																						BgL_arg1603z00_3359 =
																							STRUCT_REF(BgL_accz00_2157,
																							(int) (((long) 0)));
																						BgL_test2422z00_4385 =
																							(BINT(BgL_arg1602z00_3358) ==
																							BgL_arg1603z00_3359);
																				}}
																				if (BgL_test2422z00_4385)
																					{	/* SawMill/bbv-utils.scm 210 */
																						BgL_blockz00_bglt BgL_hopz00_2187;

																						{	/* SawMill/bbv-utils.scm 210 */
																							obj_t BgL_arg1729z00_2199;
																							obj_t BgL_arg1731z00_2200;

																							BgL_arg1729z00_2199 =
																								CAR(((obj_t) BgL_bsz00_2156));
																							{	/* SawMill/bbv-utils.scm 210 */
																								obj_t BgL_pairz00_3366;

																								BgL_pairz00_3366 =
																									CDR(
																									((obj_t) BgL_succsz00_2174));
																								BgL_arg1731z00_2200 =
																									CAR(BgL_pairz00_3366);
																							}
																							BgL_hopz00_2187 =
																								BGl_makezd2gozd2blockze70ze7zzsaw_bbvzd2utilszd2
																								(BgL_regsz00_95,
																								BgL_arg1729z00_2199,
																								BgL_arg1731z00_2200);
																						}
																						{	/* SawMill/bbv-utils.scm 211 */
																							BgL_blockz00_bglt
																								BgL_i1196z00_2188;
																							BgL_i1196z00_2188 =
																								((BgL_blockz00_bglt)
																								CAR(((obj_t)
																										BgL_succsz00_2174)));
																							{
																								obj_t BgL_auxz00_4410;

																								{	/* SawMill/bbv-utils.scm 213 */
																									obj_t BgL_arg1713z00_2189;
																									obj_t BgL_arg1714z00_2190;

																									BgL_arg1713z00_2189 =
																										(((BgL_blockz00_bglt)
																											COBJECT
																											(BgL_i1196z00_2188))->
																										BgL_predsz00);
																									BgL_arg1714z00_2190 =
																										CAR(((obj_t)
																											BgL_bsz00_2156));
																									BgL_auxz00_4410 =
																										BGl_loopze70ze7zzsaw_bbvzd2utilszd2
																										(BgL_arg1714z00_2190,
																										((obj_t) BgL_hopz00_2187),
																										BgL_arg1713z00_2189);
																								}
																								((((BgL_blockz00_bglt)
																											COBJECT
																											(BgL_i1196z00_2188))->
																										BgL_predsz00) =
																									((obj_t) BgL_auxz00_4410),
																									BUNSPEC);
																							}
																							{	/* SawMill/bbv-utils.scm 214 */
																								obj_t BgL_arg1715z00_2191;

																								BgL_arg1715z00_2191 =
																									CDR(
																									((obj_t) BgL_succsz00_2174));
																								{	/* SawMill/bbv-utils.scm 214 */
																									obj_t BgL_auxz00_4421;
																									obj_t BgL_tmpz00_4419;

																									BgL_auxz00_4421 =
																										((obj_t) BgL_hopz00_2187);
																									BgL_tmpz00_4419 =
																										((obj_t)
																										BgL_arg1715z00_2191);
																									SET_CAR(BgL_tmpz00_4419,
																										BgL_auxz00_4421);
																								}
																							}
																						}
																						{	/* SawMill/bbv-utils.scm 215 */
																							obj_t BgL_arg1716z00_2192;
																							obj_t BgL_arg1721z00_2193;

																							{	/* SawMill/bbv-utils.scm 215 */
																								obj_t BgL_arg1723z00_2194;
																								obj_t BgL_arg1725z00_2195;

																								BgL_arg1723z00_2194 =
																									CAR(
																									((obj_t) BgL_succsz00_2174));
																								BgL_arg1725z00_2195 =
																									CDR(((obj_t) BgL_bsz00_2156));
																								BgL_arg1716z00_2192 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1723z00_2194,
																									BgL_arg1725z00_2195);
																							}
																							{	/* SawMill/bbv-utils.scm 216 */
																								obj_t BgL_arg1726z00_2196;

																								BgL_arg1726z00_2196 =
																									CAR(((obj_t) BgL_bsz00_2156));
																								{	/* SawMill/bbv-utils.scm 216 */
																									obj_t BgL_list1727z00_2197;

																									{	/* SawMill/bbv-utils.scm 216 */
																										obj_t BgL_arg1728z00_2198;

																										BgL_arg1728z00_2198 =
																											MAKE_YOUNG_PAIR
																											(BgL_accz00_2157, BNIL);
																										BgL_list1727z00_2197 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1726z00_2196,
																											BgL_arg1728z00_2198);
																									}
																									BgL_arg1721z00_2193 =
																										BGl_bbsetzd2consza2z70zzsaw_bbvzd2utilszd2
																										(BgL_hopz00_2187,
																										BgL_list1727z00_2197);
																								}
																							}
																							{
																								obj_t BgL_accz00_4435;
																								obj_t BgL_bsz00_4434;

																								BgL_bsz00_4434 =
																									BgL_arg1716z00_2192;
																								BgL_accz00_4435 =
																									BgL_arg1721z00_2193;
																								BgL_accz00_2157 =
																									BgL_accz00_4435;
																								BgL_bsz00_2156 = BgL_bsz00_4434;
																								goto
																									BgL_zc3z04anonymousza31668ze3z87_2158;
																							}
																						}
																					}
																				else
																					{	/* SawMill/bbv-utils.scm 218 */
																						obj_t BgL_arg1738z00_2201;
																						obj_t BgL_arg1739z00_2202;

																						{	/* SawMill/bbv-utils.scm 218 */
																							obj_t BgL_arg1742z00_2203;
																							obj_t BgL_arg1743z00_2204;

																							BgL_arg1742z00_2203 =
																								bgl_reverse(BgL_succsz00_2174);
																							BgL_arg1743z00_2204 =
																								CDR(((obj_t) BgL_bsz00_2156));
																							BgL_arg1738z00_2201 =
																								BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2
																								(BgL_arg1742z00_2203,
																								BgL_arg1743z00_2204);
																						}
																						{	/* SawMill/bbv-utils.scm 219 */
																							obj_t BgL_arg1745z00_2205;

																							BgL_arg1745z00_2205 =
																								CAR(((obj_t) BgL_bsz00_2156));
																							BgL_arg1739z00_2202 =
																								BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2
																								(((BgL_blockz00_bglt)
																									BgL_arg1745z00_2205),
																								BgL_accz00_2157);
																						}
																						{
																							obj_t BgL_accz00_4445;
																							obj_t BgL_bsz00_4444;

																							BgL_bsz00_4444 =
																								BgL_arg1738z00_2201;
																							BgL_accz00_4445 =
																								BgL_arg1739z00_2202;
																							BgL_accz00_2157 = BgL_accz00_4445;
																							BgL_bsz00_2156 = BgL_bsz00_4444;
																							goto
																								BgL_zc3z04anonymousza31668ze3z87_2158;
																						}
																					}
																			}
																	}
																else
																	{	/* SawMill/bbv-utils.scm 199 */
																		if (BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(((BgL_rtl_insz00_bglt) BgL_lastz00_2173)))
																			{	/* SawMill/bbv-utils.scm 221 */
																				bool_t BgL_test2424z00_4449;

																				{	/* SawMill/bbv-utils.scm 221 */
																					BgL_blockz00_bglt BgL_blockz00_3377;

																					BgL_blockz00_3377 =
																						((BgL_blockz00_bglt)
																						CAR(((obj_t) BgL_succsz00_2174)));
																					{	/* SawMill/bbv-utils.scm 103 */
																						long BgL_arg1602z00_3380;
																						obj_t BgL_arg1603z00_3381;

																						{
																							BgL_blocksz00_bglt
																								BgL_auxz00_4453;
																							{
																								obj_t BgL_auxz00_4454;

																								{	/* SawMill/bbv-utils.scm 103 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_4455;
																									BgL_tmpz00_4455 =
																										((BgL_objectz00_bglt)
																										BgL_blockz00_3377);
																									BgL_auxz00_4454 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_4455);
																								}
																								BgL_auxz00_4453 =
																									((BgL_blocksz00_bglt)
																									BgL_auxz00_4454);
																							}
																							BgL_arg1602z00_3380 =
																								(((BgL_blocksz00_bglt)
																									COBJECT(BgL_auxz00_4453))->
																								BgL_z52markz52);
																						}
																						BgL_arg1603z00_3381 =
																							STRUCT_REF(BgL_accz00_2157,
																							(int) (((long) 0)));
																						BgL_test2424z00_4449 =
																							(BINT(BgL_arg1602z00_3380) ==
																							BgL_arg1603z00_3381);
																				}}
																				if (BgL_test2424z00_4449)
																					{	/* SawMill/bbv-utils.scm 222 */
																						BgL_blockz00_bglt BgL_hopz00_2213;

																						{	/* SawMill/bbv-utils.scm 222 */
																							obj_t BgL_arg1770z00_2224;
																							obj_t BgL_arg1772z00_2225;

																							BgL_arg1770z00_2224 =
																								CAR(((obj_t) BgL_bsz00_2156));
																							BgL_arg1772z00_2225 =
																								CAR(
																								((obj_t) BgL_succsz00_2174));
																							BgL_hopz00_2213 =
																								BGl_makezd2gozd2blockze70ze7zzsaw_bbvzd2utilszd2
																								(BgL_regsz00_95,
																								BgL_arg1770z00_2224,
																								BgL_arg1772z00_2225);
																						}
																						{	/* SawMill/bbv-utils.scm 223 */
																							BgL_blockz00_bglt
																								BgL_i1197z00_2214;
																							BgL_i1197z00_2214 =
																								((BgL_blockz00_bglt)
																								CAR(((obj_t)
																										BgL_succsz00_2174)));
																							{
																								obj_t BgL_auxz00_4472;

																								{	/* SawMill/bbv-utils.scm 225 */
																									obj_t BgL_arg1751z00_2215;
																									obj_t BgL_arg1752z00_2216;

																									BgL_arg1751z00_2215 =
																										(((BgL_blockz00_bglt)
																											COBJECT
																											(BgL_i1197z00_2214))->
																										BgL_predsz00);
																									BgL_arg1752z00_2216 =
																										CAR(((obj_t)
																											BgL_bsz00_2156));
																									BgL_auxz00_4472 =
																										BGl_loopze70ze7zzsaw_bbvzd2utilszd2
																										(BgL_arg1752z00_2216,
																										((obj_t) BgL_hopz00_2213),
																										BgL_arg1751z00_2215);
																								}
																								((((BgL_blockz00_bglt)
																											COBJECT
																											(BgL_i1197z00_2214))->
																										BgL_predsz00) =
																									((obj_t) BgL_auxz00_4472),
																									BUNSPEC);
																							}
																							{	/* SawMill/bbv-utils.scm 226 */
																								obj_t BgL_auxz00_4481;
																								obj_t BgL_tmpz00_4479;

																								BgL_auxz00_4481 =
																									((obj_t) BgL_hopz00_2213);
																								BgL_tmpz00_4479 =
																									((obj_t) BgL_succsz00_2174);
																								SET_CAR(BgL_tmpz00_4479,
																									BgL_auxz00_4481);
																							}
																						}
																						{	/* SawMill/bbv-utils.scm 227 */
																							obj_t BgL_arg1753z00_2217;
																							obj_t BgL_arg1759z00_2218;

																							{	/* SawMill/bbv-utils.scm 227 */
																								obj_t BgL_arg1761z00_2219;
																								obj_t BgL_arg1762z00_2220;

																								{	/* SawMill/bbv-utils.scm 227 */
																									obj_t BgL_pairz00_3392;

																									BgL_pairz00_3392 =
																										CDR(
																										((obj_t)
																											BgL_succsz00_2174));
																									BgL_arg1761z00_2219 =
																										CAR(BgL_pairz00_3392);
																								}
																								BgL_arg1762z00_2220 =
																									CDR(((obj_t) BgL_bsz00_2156));
																								BgL_arg1753z00_2217 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1761z00_2219,
																									BgL_arg1762z00_2220);
																							}
																							{	/* SawMill/bbv-utils.scm 228 */
																								obj_t BgL_arg1763z00_2221;

																								BgL_arg1763z00_2221 =
																									CAR(((obj_t) BgL_bsz00_2156));
																								{	/* SawMill/bbv-utils.scm 228 */
																									obj_t BgL_list1764z00_2222;

																									{	/* SawMill/bbv-utils.scm 228 */
																										obj_t BgL_arg1766z00_2223;

																										BgL_arg1766z00_2223 =
																											MAKE_YOUNG_PAIR
																											(BgL_accz00_2157, BNIL);
																										BgL_list1764z00_2222 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1763z00_2221,
																											BgL_arg1766z00_2223);
																									}
																									BgL_arg1759z00_2218 =
																										BGl_bbsetzd2consza2z70zzsaw_bbvzd2utilszd2
																										(BgL_hopz00_2213,
																										BgL_list1764z00_2222);
																								}
																							}
																							{
																								obj_t BgL_accz00_4496;
																								obj_t BgL_bsz00_4495;

																								BgL_bsz00_4495 =
																									BgL_arg1753z00_2217;
																								BgL_accz00_4496 =
																									BgL_arg1759z00_2218;
																								BgL_accz00_2157 =
																									BgL_accz00_4496;
																								BgL_bsz00_2156 = BgL_bsz00_4495;
																								goto
																									BgL_zc3z04anonymousza31668ze3z87_2158;
																							}
																						}
																					}
																				else
																					{	/* SawMill/bbv-utils.scm 229 */
																						obj_t BgL_arg1777z00_2226;
																						obj_t BgL_arg1781z00_2227;

																						{	/* SawMill/bbv-utils.scm 229 */
																							obj_t BgL_arg1785z00_2228;

																							BgL_arg1785z00_2228 =
																								CDR(((obj_t) BgL_bsz00_2156));
																							BgL_arg1777z00_2226 =
																								BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2
																								(BgL_succsz00_2174,
																								BgL_arg1785z00_2228);
																						}
																						{	/* SawMill/bbv-utils.scm 230 */
																							obj_t BgL_arg1788z00_2229;

																							BgL_arg1788z00_2229 =
																								CAR(((obj_t) BgL_bsz00_2156));
																							BgL_arg1781z00_2227 =
																								BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2
																								(((BgL_blockz00_bglt)
																									BgL_arg1788z00_2229),
																								BgL_accz00_2157);
																						}
																						{
																							obj_t BgL_accz00_4505;
																							obj_t BgL_bsz00_4504;

																							BgL_bsz00_4504 =
																								BgL_arg1777z00_2226;
																							BgL_accz00_4505 =
																								BgL_arg1781z00_2227;
																							BgL_accz00_2157 = BgL_accz00_4505;
																							BgL_bsz00_2156 = BgL_bsz00_4504;
																							goto
																								BgL_zc3z04anonymousza31668ze3z87_2158;
																						}
																					}
																			}
																		else
																			{	/* SawMill/bbv-utils.scm 231 */
																				bool_t BgL_test2425z00_4506;

																				{	/* SawMill/bbv-utils.scm 231 */
																					BgL_blockz00_bglt BgL_blockz00_3398;

																					BgL_blockz00_3398 =
																						((BgL_blockz00_bglt)
																						CAR(((obj_t) BgL_succsz00_2174)));
																					{	/* SawMill/bbv-utils.scm 103 */
																						long BgL_arg1602z00_3401;
																						obj_t BgL_arg1603z00_3402;

																						{
																							BgL_blocksz00_bglt
																								BgL_auxz00_4510;
																							{
																								obj_t BgL_auxz00_4511;

																								{	/* SawMill/bbv-utils.scm 103 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_4512;
																									BgL_tmpz00_4512 =
																										((BgL_objectz00_bglt)
																										BgL_blockz00_3398);
																									BgL_auxz00_4511 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_4512);
																								}
																								BgL_auxz00_4510 =
																									((BgL_blocksz00_bglt)
																									BgL_auxz00_4511);
																							}
																							BgL_arg1602z00_3401 =
																								(((BgL_blocksz00_bglt)
																									COBJECT(BgL_auxz00_4510))->
																								BgL_z52markz52);
																						}
																						BgL_arg1603z00_3402 =
																							STRUCT_REF(BgL_accz00_2157,
																							(int) (((long) 0)));
																						BgL_test2425z00_4506 =
																							(BINT(BgL_arg1602z00_3401) ==
																							BgL_arg1603z00_3402);
																				}}
																				if (BgL_test2425z00_4506)
																					{	/* SawMill/bbv-utils.scm 232 */
																						BgL_blockz00_bglt BgL_i1198z00_2233;

																						BgL_i1198z00_2233 =
																							((BgL_blockz00_bglt)
																							CAR(((obj_t) BgL_bsz00_2156)));
																						{	/* SawMill/bbv-utils.scm 233 */
																							obj_t BgL_lpz00_2234;
																							BgL_rtl_insz00_bglt
																								BgL_goz00_2235;
																							BgL_lpz00_2234 =
																								BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																								((((BgL_blockz00_bglt)
																										COBJECT
																										(BgL_i1198z00_2233))->
																									BgL_firstz00));
																							{	/* SawMill/bbv-utils.scm 234 */
																								BgL_rtl_insz00_bglt
																									BgL_new1202z00_2242;
																								{	/* SawMill/bbv-utils.scm 234 */
																									BgL_rtl_insz00_bglt
																										BgL_tmp1200z00_2246;
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_wide1201z00_2247;
																									{
																										BgL_rtl_insz00_bglt
																											BgL_auxz00_4526;
																										{	/* SawMill/bbv-utils.scm 234 */
																											BgL_rtl_insz00_bglt
																												BgL_new1199z00_2249;
																											BgL_new1199z00_2249 =
																												((BgL_rtl_insz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_rtl_insz00_bgl))));
																											{	/* SawMill/bbv-utils.scm 234 */
																												long
																													BgL_arg1817z00_2250;
																												BgL_arg1817z00_2250 =
																													BGL_CLASS_NUM
																													(BGl_rtl_insz00zzsaw_defsz00);
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1199z00_2249),
																													BgL_arg1817z00_2250);
																											}
																											{	/* SawMill/bbv-utils.scm 234 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_4531;
																												BgL_tmpz00_4531 =
																													((BgL_objectz00_bglt)
																													BgL_new1199z00_2249);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_tmpz00_4531,
																													BFALSE);
																											}
																											((BgL_objectz00_bglt)
																												BgL_new1199z00_2249);
																											BgL_auxz00_4526 =
																												BgL_new1199z00_2249;
																										}
																										BgL_tmp1200z00_2246 =
																											((BgL_rtl_insz00_bglt)
																											BgL_auxz00_4526);
																									}
																									BgL_wide1201z00_2247 =
																										((BgL_rtl_inszf2bbvzf2_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_rtl_inszf2bbvzf2_bgl))));
																									{	/* SawMill/bbv-utils.scm 234 */
																										obj_t BgL_auxz00_4539;
																										BgL_objectz00_bglt
																											BgL_tmpz00_4537;
																										BgL_auxz00_4539 =
																											((obj_t)
																											BgL_wide1201z00_2247);
																										BgL_tmpz00_4537 =
																											((BgL_objectz00_bglt)
																											BgL_tmp1200z00_2246);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_4537,
																											BgL_auxz00_4539);
																									}
																									((BgL_objectz00_bglt)
																										BgL_tmp1200z00_2246);
																									{	/* SawMill/bbv-utils.scm 234 */
																										long BgL_arg1811z00_2248;

																										BgL_arg1811z00_2248 =
																											BGL_CLASS_NUM
																											(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
																										BGL_OBJECT_CLASS_NUM_SET((
																												(BgL_objectz00_bglt)
																												BgL_tmp1200z00_2246),
																											BgL_arg1811z00_2248);
																									}
																									BgL_new1202z00_2242 =
																										((BgL_rtl_insz00_bglt)
																										BgL_tmp1200z00_2246);
																								}
																								((((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_new1202z00_2242)))->
																										BgL_locz00) =
																									((obj_t) BFALSE), BUNSPEC);
																								((((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_new1202z00_2242)))->
																										BgL_z52spillz52) =
																									((obj_t) BNIL), BUNSPEC);
																								((((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_new1202z00_2242)))->
																										BgL_destz00) =
																									((obj_t) BFALSE), BUNSPEC);
																								{
																									BgL_rtl_funz00_bglt
																										BgL_auxz00_4553;
																									{	/* SawMill/bbv-utils.scm 235 */
																										BgL_rtl_goz00_bglt
																											BgL_new1204z00_2243;
																										{	/* SawMill/bbv-utils.scm 235 */
																											BgL_rtl_goz00_bglt
																												BgL_new1203z00_2244;
																											BgL_new1203z00_2244 =
																												((BgL_rtl_goz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_rtl_goz00_bgl))));
																											{	/* SawMill/bbv-utils.scm 235 */
																												long
																													BgL_arg1810z00_2245;
																												{	/* SawMill/bbv-utils.scm 235 */
																													obj_t
																														BgL_classz00_3414;
																													BgL_classz00_3414 =
																														BGl_rtl_goz00zzsaw_defsz00;
																													BgL_arg1810z00_2245 =
																														BGL_CLASS_NUM
																														(BgL_classz00_3414);
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1203z00_2244),
																													BgL_arg1810z00_2245);
																											}
																											BgL_new1204z00_2243 =
																												BgL_new1203z00_2244;
																										}
																										((((BgL_rtl_funz00_bglt)
																													COBJECT((
																															(BgL_rtl_funz00_bglt)
																															BgL_new1204z00_2243)))->
																												BgL_locz00) =
																											((obj_t) BFALSE),
																											BUNSPEC);
																										((((BgL_rtl_goz00_bglt)
																													COBJECT
																													(BgL_new1204z00_2243))->
																												BgL_toz00) =
																											((BgL_blockz00_bglt) (
																													(BgL_blockz00_bglt)
																													CAR(((obj_t)
																															BgL_succsz00_2174)))),
																											BUNSPEC);
																										BgL_auxz00_4553 =
																											((BgL_rtl_funz00_bglt)
																											BgL_new1204z00_2243);
																									}
																									((((BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_new1202z00_2242)))->
																											BgL_funz00) =
																										((BgL_rtl_funz00_bglt)
																											BgL_auxz00_4553),
																										BUNSPEC);
																								}
																								((((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_new1202z00_2242)))->
																										BgL_argsz00) =
																									((obj_t) BNIL), BUNSPEC);
																								{
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_4569;
																									{
																										obj_t BgL_auxz00_4570;

																										{	/* SawMill/bbv-utils.scm 239 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_4571;
																											BgL_tmpz00_4571 =
																												((BgL_objectz00_bglt)
																												BgL_new1202z00_2242);
																											BgL_auxz00_4570 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_4571);
																										}
																										BgL_auxz00_4569 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_4570);
																									}
																									((((BgL_rtl_inszf2bbvzf2_bglt)
																												COBJECT
																												(BgL_auxz00_4569))->
																											BgL_defz00) =
																										((obj_t) ((obj_t)
																												BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																												(BgL_regsz00_95))),
																										BUNSPEC);
																								}
																								{
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_4578;
																									{
																										obj_t BgL_auxz00_4579;

																										{	/* SawMill/bbv-utils.scm 241 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_4580;
																											BgL_tmpz00_4580 =
																												((BgL_objectz00_bglt)
																												BgL_new1202z00_2242);
																											BgL_auxz00_4579 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_4580);
																										}
																										BgL_auxz00_4578 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_4579);
																									}
																									((((BgL_rtl_inszf2bbvzf2_bglt)
																												COBJECT
																												(BgL_auxz00_4578))->
																											BgL_outz00) =
																										((obj_t) ((obj_t)
																												BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																												(BgL_regsz00_95))),
																										BUNSPEC);
																								}
																								{
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_4587;
																									{
																										obj_t BgL_auxz00_4588;

																										{	/* SawMill/bbv-utils.scm 240 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_4589;
																											BgL_tmpz00_4589 =
																												((BgL_objectz00_bglt)
																												BgL_new1202z00_2242);
																											BgL_auxz00_4588 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_4589);
																										}
																										BgL_auxz00_4587 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_4588);
																									}
																									((((BgL_rtl_inszf2bbvzf2_bglt)
																												COBJECT
																												(BgL_auxz00_4587))->
																											BgL_inz00) =
																										((obj_t) ((obj_t)
																												BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																												(BgL_regsz00_95))),
																										BUNSPEC);
																								}
																								{
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_4596;
																									{
																										obj_t BgL_auxz00_4597;

																										{	/* SawMill/bbv-utils.scm 240 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_4598;
																											BgL_tmpz00_4598 =
																												((BgL_objectz00_bglt)
																												BgL_new1202z00_2242);
																											BgL_auxz00_4597 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_4598);
																										}
																										BgL_auxz00_4596 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_4597);
																									}
																									((((BgL_rtl_inszf2bbvzf2_bglt)
																												COBJECT
																												(BgL_auxz00_4596))->
																											BgL_z52hashz52) =
																										((obj_t) BFALSE), BUNSPEC);
																								}
																								BgL_goz00_2235 =
																									BgL_new1202z00_2242;
																							}
																							{	/* SawMill/bbv-utils.scm 242 */
																								bool_t BgL_test2426z00_4603;

																								{	/* SawMill/bbv-utils.scm 242 */
																									obj_t BgL_arg1807z00_2240;

																									BgL_arg1807z00_2240 =
																										CAR(BgL_lpz00_2234);
																									BgL_test2426z00_4603 =
																										BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2
																										(((BgL_rtl_insz00_bglt)
																											BgL_arg1807z00_2240));
																								}
																								if (BgL_test2426z00_4603)
																									{	/* SawMill/bbv-utils.scm 243 */
																										obj_t BgL_tmpz00_4607;

																										BgL_tmpz00_4607 =
																											((obj_t) BgL_goz00_2235);
																										SET_CAR(BgL_lpz00_2234,
																											BgL_tmpz00_4607);
																									}
																								else
																									{	/* SawMill/bbv-utils.scm 244 */
																										obj_t BgL_arg1805z00_2238;

																										{	/* SawMill/bbv-utils.scm 244 */
																											obj_t
																												BgL_list1806z00_2239;
																											BgL_list1806z00_2239 =
																												MAKE_YOUNG_PAIR(((obj_t)
																													BgL_goz00_2235),
																												BNIL);
																											BgL_arg1805z00_2238 =
																												BgL_list1806z00_2239;
																										}
																										SET_CDR(BgL_lpz00_2234,
																											BgL_arg1805z00_2238);
																									}
																							}
																						}
																						{	/* SawMill/bbv-utils.scm 245 */
																							obj_t BgL_arg1818z00_2251;
																							obj_t BgL_arg1824z00_2252;

																							BgL_arg1818z00_2251 =
																								CDR(((obj_t) BgL_bsz00_2156));
																							{	/* SawMill/bbv-utils.scm 245 */
																								obj_t BgL_arg1837z00_2253;

																								BgL_arg1837z00_2253 =
																									CAR(((obj_t) BgL_bsz00_2156));
																								BgL_arg1824z00_2252 =
																									BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2
																									(((BgL_blockz00_bglt)
																										BgL_arg1837z00_2253),
																									BgL_accz00_2157);
																							}
																							{
																								obj_t BgL_accz00_4620;
																								obj_t BgL_bsz00_4619;

																								BgL_bsz00_4619 =
																									BgL_arg1818z00_2251;
																								BgL_accz00_4620 =
																									BgL_arg1824z00_2252;
																								BgL_accz00_2157 =
																									BgL_accz00_4620;
																								BgL_bsz00_2156 = BgL_bsz00_4619;
																								goto
																									BgL_zc3z04anonymousza31668ze3z87_2158;
																							}
																						}
																					}
																				else
																					{	/* SawMill/bbv-utils.scm 247 */
																						obj_t BgL_arg1838z00_2254;
																						obj_t BgL_arg1839z00_2255;

																						{	/* SawMill/bbv-utils.scm 247 */
																							obj_t BgL_arg1842z00_2256;

																							BgL_arg1842z00_2256 =
																								CDR(((obj_t) BgL_bsz00_2156));
																							BgL_arg1838z00_2254 =
																								BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2
																								(BgL_succsz00_2174,
																								BgL_arg1842z00_2256);
																						}
																						{	/* SawMill/bbv-utils.scm 248 */
																							obj_t BgL_arg1848z00_2257;

																							BgL_arg1848z00_2257 =
																								CAR(((obj_t) BgL_bsz00_2156));
																							BgL_arg1839z00_2255 =
																								BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2
																								(((BgL_blockz00_bglt)
																									BgL_arg1848z00_2257),
																								BgL_accz00_2157);
																						}
																						{
																							obj_t BgL_accz00_4629;
																							obj_t BgL_bsz00_4628;

																							BgL_bsz00_4628 =
																								BgL_arg1838z00_2254;
																							BgL_accz00_4629 =
																								BgL_arg1839z00_2255;
																							BgL_accz00_2157 = BgL_accz00_4629;
																							BgL_bsz00_2156 = BgL_bsz00_4628;
																							goto
																								BgL_zc3z04anonymousza31668ze3z87_2158;
																						}
																					}
																			}
																	}
															}
														}
													}
												}
											else
												{	/* SawMill/bbv-utils.scm 249 */
													bool_t BgL_test2427z00_4630;

													{	/* SawMill/bbv-utils.scm 249 */
														bool_t BgL_test2428z00_4631;

														{	/* SawMill/bbv-utils.scm 249 */
															obj_t BgL_arg1904z00_2305;

															BgL_arg1904z00_2305 =
																CAR(((obj_t) BgL_bsz00_2156));
															BgL_test2428z00_4631 =
																BGl_gotozd2blockzf3ze70zc6zzsaw_bbvzd2utilszd2
																(BgL_arg1904z00_2305);
														}
														if (BgL_test2428z00_4631)
															{	/* SawMill/bbv-utils.scm 249 */
																bool_t BgL_test2429z00_4635;

																{	/* SawMill/bbv-utils.scm 249 */
																	BgL_blockz00_bglt BgL_blockz00_3432;

																	{	/* SawMill/bbv-utils.scm 249 */
																		obj_t BgL_pairz00_3431;

																		BgL_pairz00_3431 =
																			(((BgL_blockz00_bglt)
																				COBJECT(BgL_i1192z00_2164))->
																			BgL_succsz00);
																		BgL_blockz00_3432 =
																			((BgL_blockz00_bglt)
																			CAR(BgL_pairz00_3431));
																	}
																	{	/* SawMill/bbv-utils.scm 103 */
																		long BgL_arg1602z00_3435;
																		obj_t BgL_arg1603z00_3436;

																		{
																			BgL_blocksz00_bglt BgL_auxz00_4639;

																			{
																				obj_t BgL_auxz00_4640;

																				{	/* SawMill/bbv-utils.scm 103 */
																					BgL_objectz00_bglt BgL_tmpz00_4641;

																					BgL_tmpz00_4641 =
																						((BgL_objectz00_bglt)
																						BgL_blockz00_3432);
																					BgL_auxz00_4640 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_4641);
																				}
																				BgL_auxz00_4639 =
																					((BgL_blocksz00_bglt)
																					BgL_auxz00_4640);
																			}
																			BgL_arg1602z00_3435 =
																				(((BgL_blocksz00_bglt)
																					COBJECT(BgL_auxz00_4639))->
																				BgL_z52markz52);
																		}
																		BgL_arg1603z00_3436 =
																			STRUCT_REF(BgL_accz00_2157,
																			(int) (((long) 0)));
																		BgL_test2429z00_4635 =
																			(BINT(BgL_arg1602z00_3435) ==
																			BgL_arg1603z00_3436);
																}}
																if (BgL_test2429z00_4635)
																	{	/* SawMill/bbv-utils.scm 249 */
																		BgL_test2427z00_4630 = ((bool_t) 0);
																	}
																else
																	{	/* SawMill/bbv-utils.scm 249 */
																		BgL_test2427z00_4630 = ((bool_t) 1);
																	}
															}
														else
															{	/* SawMill/bbv-utils.scm 249 */
																BgL_test2427z00_4630 = ((bool_t) 0);
															}
													}
													if (BgL_test2427z00_4630)
														{	/* SawMill/bbv-utils.scm 250 */
															BgL_blockz00_bglt BgL_i1205z00_2271;

															BgL_i1205z00_2271 =
																((BgL_blockz00_bglt)
																CAR(((obj_t) BgL_bsz00_2156)));
															{
																obj_t BgL_auxz00_4653;

																if (NULLP(CDR(
																			(((BgL_blockz00_bglt)
																					COBJECT(BgL_i1205z00_2271))->
																				BgL_firstz00))))
																	{	/* SawMill/bbv-utils.scm 253 */
																		BgL_rtl_insz00_bglt BgL_arg1871z00_2275;

																		{	/* SawMill/bbv-utils.scm 253 */
																			BgL_rtl_insz00_bglt BgL_new1209z00_2277;

																			{	/* SawMill/bbv-utils.scm 258 */
																				BgL_rtl_insz00_bglt BgL_tmp1207z00_2281;
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_wide1208z00_2282;
																				{
																					BgL_rtl_insz00_bglt BgL_auxz00_4658;

																					{	/* SawMill/bbv-utils.scm 258 */
																						BgL_rtl_insz00_bglt
																							BgL_new1206z00_2284;
																						BgL_new1206z00_2284 =
																							((BgL_rtl_insz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_rtl_insz00_bgl))));
																						{	/* SawMill/bbv-utils.scm 258 */
																							long BgL_arg1878z00_2285;

																							{	/* SawMill/bbv-utils.scm 258 */
																								obj_t BgL_classz00_3441;

																								BgL_classz00_3441 =
																									BGl_rtl_insz00zzsaw_defsz00;
																								BgL_arg1878z00_2285 =
																									BGL_CLASS_NUM
																									(BgL_classz00_3441);
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1206z00_2284),
																								BgL_arg1878z00_2285);
																						}
																						{	/* SawMill/bbv-utils.scm 258 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_4663;
																							BgL_tmpz00_4663 =
																								((BgL_objectz00_bglt)
																								BgL_new1206z00_2284);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_4663, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1206z00_2284);
																						BgL_auxz00_4658 =
																							BgL_new1206z00_2284;
																					}
																					BgL_tmp1207z00_2281 =
																						((BgL_rtl_insz00_bglt)
																						BgL_auxz00_4658);
																				}
																				BgL_wide1208z00_2282 =
																					((BgL_rtl_inszf2bbvzf2_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_rtl_inszf2bbvzf2_bgl))));
																				{	/* SawMill/bbv-utils.scm 258 */
																					obj_t BgL_auxz00_4671;
																					BgL_objectz00_bglt BgL_tmpz00_4669;

																					BgL_auxz00_4671 =
																						((obj_t) BgL_wide1208z00_2282);
																					BgL_tmpz00_4669 =
																						((BgL_objectz00_bglt)
																						BgL_tmp1207z00_2281);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_4669, BgL_auxz00_4671);
																				}
																				((BgL_objectz00_bglt)
																					BgL_tmp1207z00_2281);
																				{	/* SawMill/bbv-utils.scm 258 */
																					long BgL_arg1877z00_2283;

																					{	/* SawMill/bbv-utils.scm 258 */
																						obj_t BgL_classz00_3446;

																						BgL_classz00_3446 =
																							BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
																						BgL_arg1877z00_2283 =
																							BGL_CLASS_NUM(BgL_classz00_3446);
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_tmp1207z00_2281),
																						BgL_arg1877z00_2283);
																				}
																				BgL_new1209z00_2277 =
																					((BgL_rtl_insz00_bglt)
																					BgL_tmp1207z00_2281);
																			}
																			((((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_new1209z00_2277)))->
																					BgL_locz00) =
																				((obj_t) BFALSE), BUNSPEC);
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_new1209z00_2277)))->
																					BgL_z52spillz52) =
																				((obj_t) BNIL), BUNSPEC);
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(((BgL_rtl_insz00_bglt)
																								BgL_new1209z00_2277)))->
																					BgL_destz00) =
																				((obj_t) BFALSE), BUNSPEC);
																			{
																				BgL_rtl_funz00_bglt BgL_auxz00_4685;

																				{	/* SawMill/bbv-utils.scm 254 */
																					BgL_rtl_nopz00_bglt
																						BgL_new1211z00_2278;
																					{	/* SawMill/bbv-utils.scm 254 */
																						BgL_rtl_nopz00_bglt
																							BgL_new1210z00_2279;
																						BgL_new1210z00_2279 =
																							((BgL_rtl_nopz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_rtl_nopz00_bgl))));
																						{	/* SawMill/bbv-utils.scm 254 */
																							long BgL_arg1875z00_2280;

																							{	/* SawMill/bbv-utils.scm 254 */
																								obj_t BgL_classz00_3449;

																								BgL_classz00_3449 =
																									BGl_rtl_nopz00zzsaw_defsz00;
																								BgL_arg1875z00_2280 =
																									BGL_CLASS_NUM
																									(BgL_classz00_3449);
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1210z00_2279),
																								BgL_arg1875z00_2280);
																						}
																						BgL_new1211z00_2278 =
																							BgL_new1210z00_2279;
																					}
																					((((BgL_rtl_funz00_bglt) COBJECT(
																									((BgL_rtl_funz00_bglt)
																										BgL_new1211z00_2278)))->
																							BgL_locz00) =
																						((obj_t) BFALSE), BUNSPEC);
																					BgL_auxz00_4685 =
																						((BgL_rtl_funz00_bglt)
																						BgL_new1211z00_2278);
																				}
																				((((BgL_rtl_insz00_bglt) COBJECT(
																								((BgL_rtl_insz00_bglt)
																									BgL_new1209z00_2277)))->
																						BgL_funz00) =
																					((BgL_rtl_funz00_bglt)
																						BgL_auxz00_4685), BUNSPEC);
																			}
																			((((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_new1209z00_2277)))->
																					BgL_argsz00) =
																				((obj_t) BNIL), BUNSPEC);
																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_4697;
																				{
																					obj_t BgL_auxz00_4698;

																					{	/* SawMill/bbv-utils.scm 257 */
																						BgL_objectz00_bglt BgL_tmpz00_4699;

																						BgL_tmpz00_4699 =
																							((BgL_objectz00_bglt)
																							BgL_new1209z00_2277);
																						BgL_auxz00_4698 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_4699);
																					}
																					BgL_auxz00_4697 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_4698);
																				}
																				((((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_4697))->
																						BgL_defz00) =
																					((obj_t) ((obj_t)
																							BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																							(BgL_regsz00_95))), BUNSPEC);
																			}
																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_4706;
																				{
																					obj_t BgL_auxz00_4707;

																					{	/* SawMill/bbv-utils.scm 259 */
																						BgL_objectz00_bglt BgL_tmpz00_4708;

																						BgL_tmpz00_4708 =
																							((BgL_objectz00_bglt)
																							BgL_new1209z00_2277);
																						BgL_auxz00_4707 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_4708);
																					}
																					BgL_auxz00_4706 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_4707);
																				}
																				((((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_4706))->
																						BgL_outz00) =
																					((obj_t) ((obj_t)
																							BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																							(BgL_regsz00_95))), BUNSPEC);
																			}
																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_4715;
																				{
																					obj_t BgL_auxz00_4716;

																					{	/* SawMill/bbv-utils.scm 258 */
																						BgL_objectz00_bglt BgL_tmpz00_4717;

																						BgL_tmpz00_4717 =
																							((BgL_objectz00_bglt)
																							BgL_new1209z00_2277);
																						BgL_auxz00_4716 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_4717);
																					}
																					BgL_auxz00_4715 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_4716);
																				}
																				((((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_4715))->
																						BgL_inz00) =
																					((obj_t) ((obj_t)
																							BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																							(BgL_regsz00_95))), BUNSPEC);
																			}
																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_4724;
																				{
																					obj_t BgL_auxz00_4725;

																					{	/* SawMill/bbv-utils.scm 258 */
																						BgL_objectz00_bglt BgL_tmpz00_4726;

																						BgL_tmpz00_4726 =
																							((BgL_objectz00_bglt)
																							BgL_new1209z00_2277);
																						BgL_auxz00_4725 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_4726);
																					}
																					BgL_auxz00_4724 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_4725);
																				}
																				((((BgL_rtl_inszf2bbvzf2_bglt)
																							COBJECT(BgL_auxz00_4724))->
																						BgL_z52hashz52) =
																					((obj_t) BFALSE), BUNSPEC);
																			}
																			BgL_arg1871z00_2275 = BgL_new1209z00_2277;
																		}
																		{	/* SawMill/bbv-utils.scm 253 */
																			obj_t BgL_list1872z00_2276;

																			BgL_list1872z00_2276 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_arg1871z00_2275), BNIL);
																			BgL_auxz00_4653 = BgL_list1872z00_2276;
																	}}
																else
																	{	/* SawMill/bbv-utils.scm 260 */
																		obj_t BgL_auxz00_4733;

																		{	/* SawMill/bbv-utils.scm 260 */
																			obj_t BgL_pairz00_3457;

																			BgL_pairz00_3457 =
																				bgl_reverse(
																				(((BgL_blockz00_bglt)
																						COBJECT(BgL_i1205z00_2271))->
																					BgL_firstz00));
																			BgL_auxz00_4733 = CDR(BgL_pairz00_3457);
																		}
																		BgL_auxz00_4653 =
																			bgl_reverse(BgL_auxz00_4733);
																	}
																((((BgL_blockz00_bglt)
																			COBJECT(BgL_i1205z00_2271))->
																		BgL_firstz00) =
																	((obj_t) BgL_auxz00_4653), BUNSPEC);
															}
															{	/* SawMill/bbv-utils.scm 261 */
																obj_t BgL_arg1886z00_2291;
																obj_t BgL_arg1887z00_2292;

																{	/* SawMill/bbv-utils.scm 261 */
																	obj_t BgL_arg1888z00_2293;
																	obj_t BgL_arg1890z00_2294;

																	BgL_arg1888z00_2293 =
																		(((BgL_blockz00_bglt)
																			COBJECT(BgL_i1192z00_2164))->
																		BgL_succsz00);
																	BgL_arg1890z00_2294 =
																		CDR(((obj_t) BgL_bsz00_2156));
																	BgL_arg1886z00_2291 =
																		BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2
																		(BgL_arg1888z00_2293, BgL_arg1890z00_2294);
																}
																{	/* SawMill/bbv-utils.scm 262 */
																	obj_t BgL_arg1891z00_2295;

																	BgL_arg1891z00_2295 =
																		CAR(((obj_t) BgL_bsz00_2156));
																	BgL_arg1887z00_2292 =
																		BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(
																		((BgL_blockz00_bglt) BgL_arg1891z00_2295),
																		BgL_accz00_2157);
																}
																{
																	obj_t BgL_accz00_4748;
																	obj_t BgL_bsz00_4747;

																	BgL_bsz00_4747 = BgL_arg1886z00_2291;
																	BgL_accz00_4748 = BgL_arg1887z00_2292;
																	BgL_accz00_2157 = BgL_accz00_4748;
																	BgL_bsz00_2156 = BgL_bsz00_4747;
																	goto BgL_zc3z04anonymousza31668ze3z87_2158;
																}
															}
														}
													else
														{	/* SawMill/bbv-utils.scm 264 */
															obj_t BgL_arg1892z00_2296;
															obj_t BgL_arg1894z00_2297;

															{	/* SawMill/bbv-utils.scm 264 */
																obj_t BgL_arg1895z00_2298;
																obj_t BgL_arg1896z00_2299;

																BgL_arg1895z00_2298 =
																	(((BgL_blockz00_bglt)
																		COBJECT(BgL_i1192z00_2164))->BgL_succsz00);
																BgL_arg1896z00_2299 =
																	CDR(((obj_t) BgL_bsz00_2156));
																BgL_arg1892z00_2296 =
																	BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2
																	(BgL_arg1895z00_2298, BgL_arg1896z00_2299);
															}
															{	/* SawMill/bbv-utils.scm 265 */
																obj_t BgL_arg1897z00_2300;

																BgL_arg1897z00_2300 =
																	CAR(((obj_t) BgL_bsz00_2156));
																BgL_arg1894z00_2297 =
																	BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(
																	((BgL_blockz00_bglt) BgL_arg1897z00_2300),
																	BgL_accz00_2157);
															}
															{
																obj_t BgL_accz00_4758;
																obj_t BgL_bsz00_4757;

																BgL_bsz00_4757 = BgL_arg1892z00_2296;
																BgL_accz00_4758 = BgL_arg1894z00_2297;
																BgL_accz00_2157 = BgL_accz00_4758;
																BgL_bsz00_2156 = BgL_bsz00_4757;
																goto BgL_zc3z04anonymousza31668ze3z87_2158;
															}
														}
												}
										}
								}
						}
				}
			}
		}

	}



/* goto-block?~0 */
	bool_t BGl_gotozd2blockzf3ze70zc6zzsaw_bbvzd2utilszd2(obj_t BgL_bz00_2320)
	{
		{	/* SawMill/bbv-utils.scm 154 */
			{	/* SawMill/bbv-utils.scm 153 */
				obj_t BgL_iz00_2325;

				BgL_iz00_2325 =
					CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
						(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_bz00_2320)))->BgL_firstz00)));
				return
					BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_2325));
			}
		}

	}



/* make-go-block~0 */
	BgL_blockz00_bglt BGl_makezd2gozd2blockze70ze7zzsaw_bbvzd2utilszd2(obj_t
		BgL_regsz00_3780, obj_t BgL_bsz00_2342, obj_t BgL_toz00_2343)
	{
		{	/* SawMill/bbv-utils.scm 180 */
			{	/* SawMill/bbv-utils.scm 168 */
				BgL_blockz00_bglt BgL_new1172z00_2346;

				{	/* SawMill/bbv-utils.scm 169 */
					BgL_blockz00_bglt BgL_tmp1182z00_2366;
					BgL_blocksz00_bglt BgL_wide1183z00_2367;

					{
						BgL_blockz00_bglt BgL_auxz00_4765;

						{	/* SawMill/bbv-utils.scm 169 */
							BgL_blockz00_bglt BgL_new1181z00_2369;

							BgL_new1181z00_2369 =
								((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_blockz00_bgl))));
							{	/* SawMill/bbv-utils.scm 169 */
								long BgL_arg1941z00_2370;

								BgL_arg1941z00_2370 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1181z00_2369),
									BgL_arg1941z00_2370);
							}
							{	/* SawMill/bbv-utils.scm 169 */
								BgL_objectz00_bglt BgL_tmpz00_4770;

								BgL_tmpz00_4770 = ((BgL_objectz00_bglt) BgL_new1181z00_2369);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4770, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1181z00_2369);
							BgL_auxz00_4765 = BgL_new1181z00_2369;
						}
						BgL_tmp1182z00_2366 = ((BgL_blockz00_bglt) BgL_auxz00_4765);
					}
					BgL_wide1183z00_2367 =
						((BgL_blocksz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_blocksz00_bgl))));
					{	/* SawMill/bbv-utils.scm 169 */
						obj_t BgL_auxz00_4778;
						BgL_objectz00_bglt BgL_tmpz00_4776;

						BgL_auxz00_4778 = ((obj_t) BgL_wide1183z00_2367);
						BgL_tmpz00_4776 = ((BgL_objectz00_bglt) BgL_tmp1182z00_2366);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4776, BgL_auxz00_4778);
					}
					((BgL_objectz00_bglt) BgL_tmp1182z00_2366);
					{	/* SawMill/bbv-utils.scm 169 */
						long BgL_arg1940z00_2368;

						BgL_arg1940z00_2368 =
							BGL_CLASS_NUM(BGl_blockSz00zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1182z00_2366), BgL_arg1940z00_2368);
					}
					BgL_new1172z00_2346 = ((BgL_blockz00_bglt) BgL_tmp1182z00_2366);
				}
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_new1172z00_2346)))->BgL_labelz00) =
					((int) CINT(BGl_genlabelz00zzsaw_bbvzd2utilszd2())), BUNSPEC);
				{
					obj_t BgL_auxz00_4790;

					{	/* SawMill/bbv-utils.scm 180 */
						obj_t BgL_list1933z00_2347;

						BgL_list1933z00_2347 = MAKE_YOUNG_PAIR(BgL_bsz00_2342, BNIL);
						BgL_auxz00_4790 = BgL_list1933z00_2347;
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1172z00_2346)))->BgL_predsz00) =
						((obj_t) BgL_auxz00_4790), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_4794;

					{	/* SawMill/bbv-utils.scm 179 */
						obj_t BgL_list1934z00_2348;

						BgL_list1934z00_2348 = MAKE_YOUNG_PAIR(BgL_toz00_2343, BNIL);
						BgL_auxz00_4794 = BgL_list1934z00_2348;
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1172z00_2346)))->BgL_succsz00) =
						((obj_t) BgL_auxz00_4794), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_4798;

					{	/* SawMill/bbv-utils.scm 171 */
						BgL_rtl_insz00_bglt BgL_arg1935z00_2349;

						{	/* SawMill/bbv-utils.scm 171 */
							BgL_rtl_insz00_bglt BgL_new1187z00_2351;

							{	/* SawMill/bbv-utils.scm 171 */
								BgL_rtl_insz00_bglt BgL_tmp1185z00_2355;
								BgL_rtl_inszf2bbvzf2_bglt BgL_wide1186z00_2356;

								{
									BgL_rtl_insz00_bglt BgL_auxz00_4800;

									{	/* SawMill/bbv-utils.scm 171 */
										BgL_rtl_insz00_bglt BgL_new1184z00_2358;

										BgL_new1184z00_2358 =
											((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_rtl_insz00_bgl))));
										{	/* SawMill/bbv-utils.scm 171 */
											long BgL_arg1939z00_2359;

											{	/* SawMill/bbv-utils.scm 171 */
												obj_t BgL_classz00_3287;

												BgL_classz00_3287 = BGl_rtl_insz00zzsaw_defsz00;
												BgL_arg1939z00_2359 = BGL_CLASS_NUM(BgL_classz00_3287);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1184z00_2358),
												BgL_arg1939z00_2359);
										}
										{	/* SawMill/bbv-utils.scm 171 */
											BgL_objectz00_bglt BgL_tmpz00_4805;

											BgL_tmpz00_4805 =
												((BgL_objectz00_bglt) BgL_new1184z00_2358);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4805, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1184z00_2358);
										BgL_auxz00_4800 = BgL_new1184z00_2358;
									}
									BgL_tmp1185z00_2355 = ((BgL_rtl_insz00_bglt) BgL_auxz00_4800);
								}
								BgL_wide1186z00_2356 =
									((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_inszf2bbvzf2_bgl))));
								{	/* SawMill/bbv-utils.scm 171 */
									obj_t BgL_auxz00_4813;
									BgL_objectz00_bglt BgL_tmpz00_4811;

									BgL_auxz00_4813 = ((obj_t) BgL_wide1186z00_2356);
									BgL_tmpz00_4811 = ((BgL_objectz00_bglt) BgL_tmp1185z00_2355);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4811, BgL_auxz00_4813);
								}
								((BgL_objectz00_bglt) BgL_tmp1185z00_2355);
								{	/* SawMill/bbv-utils.scm 171 */
									long BgL_arg1938z00_2357;

									{	/* SawMill/bbv-utils.scm 171 */
										obj_t BgL_classz00_3292;

										BgL_classz00_3292 =
											BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
										BgL_arg1938z00_2357 = BGL_CLASS_NUM(BgL_classz00_3292);
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_tmp1185z00_2355),
										BgL_arg1938z00_2357);
								}
								BgL_new1187z00_2351 =
									((BgL_rtl_insz00_bglt) BgL_tmp1185z00_2355);
							}
							((((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_new1187z00_2351)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
												BgL_new1187z00_2351)))->BgL_z52spillz52) =
								((obj_t) BNIL), BUNSPEC);
							((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
												BgL_new1187z00_2351)))->BgL_destz00) =
								((obj_t) BFALSE), BUNSPEC);
							{
								BgL_rtl_funz00_bglt BgL_auxz00_4827;

								{	/* SawMill/bbv-utils.scm 172 */
									BgL_rtl_goz00_bglt BgL_new1189z00_2352;

									{	/* SawMill/bbv-utils.scm 172 */
										BgL_rtl_goz00_bglt BgL_new1188z00_2353;

										BgL_new1188z00_2353 =
											((BgL_rtl_goz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_rtl_goz00_bgl))));
										{	/* SawMill/bbv-utils.scm 172 */
											long BgL_arg1937z00_2354;

											{	/* SawMill/bbv-utils.scm 172 */
												obj_t BgL_classz00_3295;

												BgL_classz00_3295 = BGl_rtl_goz00zzsaw_defsz00;
												BgL_arg1937z00_2354 = BGL_CLASS_NUM(BgL_classz00_3295);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1188z00_2353),
												BgL_arg1937z00_2354);
										}
										BgL_new1189z00_2352 = BgL_new1188z00_2353;
									}
									((((BgL_rtl_funz00_bglt) COBJECT(
													((BgL_rtl_funz00_bglt) BgL_new1189z00_2352)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									((((BgL_rtl_goz00_bglt) COBJECT(BgL_new1189z00_2352))->
											BgL_toz00) =
										((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_toz00_2343)),
										BUNSPEC);
									BgL_auxz00_4827 = ((BgL_rtl_funz00_bglt) BgL_new1189z00_2352);
								}
								((((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_new1187z00_2351)))->
										BgL_funz00) =
									((BgL_rtl_funz00_bglt) BgL_auxz00_4827), BUNSPEC);
							}
							((((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_new1187z00_2351)))->
									BgL_argsz00) = ((obj_t) BNIL), BUNSPEC);
							{
								BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_4841;

								{
									obj_t BgL_auxz00_4842;

									{	/* SawMill/bbv-utils.scm 176 */
										BgL_objectz00_bglt BgL_tmpz00_4843;

										BgL_tmpz00_4843 =
											((BgL_objectz00_bglt) BgL_new1187z00_2351);
										BgL_auxz00_4842 = BGL_OBJECT_WIDENING(BgL_tmpz00_4843);
									}
									BgL_auxz00_4841 =
										((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_4842);
								}
								((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_4841))->
										BgL_defz00) =
									((obj_t) ((obj_t)
											BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
											(BgL_regsz00_3780))), BUNSPEC);
							}
							{
								BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_4850;

								{
									obj_t BgL_auxz00_4851;

									{	/* SawMill/bbv-utils.scm 178 */
										BgL_objectz00_bglt BgL_tmpz00_4852;

										BgL_tmpz00_4852 =
											((BgL_objectz00_bglt) BgL_new1187z00_2351);
										BgL_auxz00_4851 = BGL_OBJECT_WIDENING(BgL_tmpz00_4852);
									}
									BgL_auxz00_4850 =
										((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_4851);
								}
								((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_4850))->
										BgL_outz00) =
									((obj_t) ((obj_t)
											BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
											(BgL_regsz00_3780))), BUNSPEC);
							}
							{
								BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_4859;

								{
									obj_t BgL_auxz00_4860;

									{	/* SawMill/bbv-utils.scm 177 */
										BgL_objectz00_bglt BgL_tmpz00_4861;

										BgL_tmpz00_4861 =
											((BgL_objectz00_bglt) BgL_new1187z00_2351);
										BgL_auxz00_4860 = BGL_OBJECT_WIDENING(BgL_tmpz00_4861);
									}
									BgL_auxz00_4859 =
										((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_4860);
								}
								((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_4859))->
										BgL_inz00) =
									((obj_t) ((obj_t)
											BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
											(BgL_regsz00_3780))), BUNSPEC);
							}
							{
								BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_4868;

								{
									obj_t BgL_auxz00_4869;

									{	/* SawMill/bbv-utils.scm 177 */
										BgL_objectz00_bglt BgL_tmpz00_4870;

										BgL_tmpz00_4870 =
											((BgL_objectz00_bglt) BgL_new1187z00_2351);
										BgL_auxz00_4869 = BGL_OBJECT_WIDENING(BgL_tmpz00_4870);
									}
									BgL_auxz00_4868 =
										((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_4869);
								}
								((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_4868))->
										BgL_z52hashz52) = ((obj_t) BFALSE), BUNSPEC);
							}
							BgL_arg1935z00_2349 = BgL_new1187z00_2351;
						}
						{	/* SawMill/bbv-utils.scm 170 */
							obj_t BgL_list1936z00_2350;

							BgL_list1936z00_2350 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1935z00_2349), BNIL);
							BgL_auxz00_4798 = BgL_list1936z00_2350;
					}}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1172z00_2346)))->BgL_firstz00) =
						((obj_t) BgL_auxz00_4798), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_4884;
					BgL_blocksz00_bglt BgL_auxz00_4878;

					{
						BgL_blocksz00_bglt BgL_auxz00_4885;

						{
							obj_t BgL_auxz00_4886;

							{	/* SawMill/bbv-utils.scm 170 */
								BgL_objectz00_bglt BgL_tmpz00_4887;

								BgL_tmpz00_4887 =
									((BgL_objectz00_bglt)
									((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bsz00_2342)));
								BgL_auxz00_4886 = BGL_OBJECT_WIDENING(BgL_tmpz00_4887);
							}
							BgL_auxz00_4885 = ((BgL_blocksz00_bglt) BgL_auxz00_4886);
						}
						BgL_auxz00_4884 =
							(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4885))->BgL_ictxz00);
					}
					{
						obj_t BgL_auxz00_4879;

						{	/* SawMill/bbv-utils.scm 170 */
							BgL_objectz00_bglt BgL_tmpz00_4880;

							BgL_tmpz00_4880 = ((BgL_objectz00_bglt) BgL_new1172z00_2346);
							BgL_auxz00_4879 = BGL_OBJECT_WIDENING(BgL_tmpz00_4880);
						}
						BgL_auxz00_4878 = ((BgL_blocksz00_bglt) BgL_auxz00_4879);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4878))->BgL_ictxz00) =
						((obj_t) BgL_auxz00_4884), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_4901;
					BgL_blocksz00_bglt BgL_auxz00_4895;

					{
						BgL_blocksz00_bglt BgL_auxz00_4902;

						{
							obj_t BgL_auxz00_4903;

							{	/* SawMill/bbv-utils.scm 170 */
								BgL_objectz00_bglt BgL_tmpz00_4904;

								BgL_tmpz00_4904 =
									((BgL_objectz00_bglt)
									((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bsz00_2342)));
								BgL_auxz00_4903 = BGL_OBJECT_WIDENING(BgL_tmpz00_4904);
							}
							BgL_auxz00_4902 = ((BgL_blocksz00_bglt) BgL_auxz00_4903);
						}
						BgL_auxz00_4901 =
							(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4902))->BgL_octxsz00);
					}
					{
						obj_t BgL_auxz00_4896;

						{	/* SawMill/bbv-utils.scm 170 */
							BgL_objectz00_bglt BgL_tmpz00_4897;

							BgL_tmpz00_4897 = ((BgL_objectz00_bglt) BgL_new1172z00_2346);
							BgL_auxz00_4896 = BGL_OBJECT_WIDENING(BgL_tmpz00_4897);
						}
						BgL_auxz00_4895 = ((BgL_blocksz00_bglt) BgL_auxz00_4896);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4895))->BgL_octxsz00) =
						((obj_t) BgL_auxz00_4901), BUNSPEC);
				}
				{
					long BgL_auxz00_4918;
					BgL_blocksz00_bglt BgL_auxz00_4912;

					{
						BgL_blocksz00_bglt BgL_auxz00_4919;

						{
							obj_t BgL_auxz00_4920;

							{	/* SawMill/bbv-utils.scm 170 */
								BgL_objectz00_bglt BgL_tmpz00_4921;

								BgL_tmpz00_4921 =
									((BgL_objectz00_bglt)
									((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bsz00_2342)));
								BgL_auxz00_4920 = BGL_OBJECT_WIDENING(BgL_tmpz00_4921);
							}
							BgL_auxz00_4919 = ((BgL_blocksz00_bglt) BgL_auxz00_4920);
						}
						BgL_auxz00_4918 =
							(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4919))->BgL_z52markz52);
					}
					{
						obj_t BgL_auxz00_4913;

						{	/* SawMill/bbv-utils.scm 170 */
							BgL_objectz00_bglt BgL_tmpz00_4914;

							BgL_tmpz00_4914 = ((BgL_objectz00_bglt) BgL_new1172z00_2346);
							BgL_auxz00_4913 = BGL_OBJECT_WIDENING(BgL_tmpz00_4914);
						}
						BgL_auxz00_4912 = ((BgL_blocksz00_bglt) BgL_auxz00_4913);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4912))->BgL_z52markz52) =
						((long) BgL_auxz00_4918), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_4935;
					BgL_blocksz00_bglt BgL_auxz00_4929;

					{
						BgL_blocksz00_bglt BgL_auxz00_4936;

						{
							obj_t BgL_auxz00_4937;

							{	/* SawMill/bbv-utils.scm 170 */
								BgL_objectz00_bglt BgL_tmpz00_4938;

								BgL_tmpz00_4938 =
									((BgL_objectz00_bglt)
									((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bsz00_2342)));
								BgL_auxz00_4937 = BGL_OBJECT_WIDENING(BgL_tmpz00_4938);
							}
							BgL_auxz00_4936 = ((BgL_blocksz00_bglt) BgL_auxz00_4937);
						}
						BgL_auxz00_4935 =
							(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4936))->
							BgL_z52parentz52);
					}
					{
						obj_t BgL_auxz00_4930;

						{	/* SawMill/bbv-utils.scm 170 */
							BgL_objectz00_bglt BgL_tmpz00_4931;

							BgL_tmpz00_4931 = ((BgL_objectz00_bglt) BgL_new1172z00_2346);
							BgL_auxz00_4930 = BGL_OBJECT_WIDENING(BgL_tmpz00_4931);
						}
						BgL_auxz00_4929 = ((BgL_blocksz00_bglt) BgL_auxz00_4930);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4929))->BgL_z52parentz52) =
						((obj_t) BgL_auxz00_4935), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_4952;
					BgL_blocksz00_bglt BgL_auxz00_4946;

					{
						BgL_blocksz00_bglt BgL_auxz00_4953;

						{
							obj_t BgL_auxz00_4954;

							{	/* SawMill/bbv-utils.scm 170 */
								BgL_objectz00_bglt BgL_tmpz00_4955;

								BgL_tmpz00_4955 =
									((BgL_objectz00_bglt)
									((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bsz00_2342)));
								BgL_auxz00_4954 = BGL_OBJECT_WIDENING(BgL_tmpz00_4955);
							}
							BgL_auxz00_4953 = ((BgL_blocksz00_bglt) BgL_auxz00_4954);
						}
						BgL_auxz00_4952 =
							(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4953))->BgL_z52hashz52);
					}
					{
						obj_t BgL_auxz00_4947;

						{	/* SawMill/bbv-utils.scm 170 */
							BgL_objectz00_bglt BgL_tmpz00_4948;

							BgL_tmpz00_4948 = ((BgL_objectz00_bglt) BgL_new1172z00_2346);
							BgL_auxz00_4947 = BGL_OBJECT_WIDENING(BgL_tmpz00_4948);
						}
						BgL_auxz00_4946 = ((BgL_blocksz00_bglt) BgL_auxz00_4947);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4946))->BgL_z52hashz52) =
						((obj_t) BgL_auxz00_4952), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_4969;
					BgL_blocksz00_bglt BgL_auxz00_4963;

					{
						BgL_blocksz00_bglt BgL_auxz00_4970;

						{
							obj_t BgL_auxz00_4971;

							{	/* SawMill/bbv-utils.scm 170 */
								BgL_objectz00_bglt BgL_tmpz00_4972;

								BgL_tmpz00_4972 =
									((BgL_objectz00_bglt)
									((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bsz00_2342)));
								BgL_auxz00_4971 = BGL_OBJECT_WIDENING(BgL_tmpz00_4972);
							}
							BgL_auxz00_4970 = ((BgL_blocksz00_bglt) BgL_auxz00_4971);
						}
						BgL_auxz00_4969 =
							(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4970))->
							BgL_z52blacklistz52);
					}
					{
						obj_t BgL_auxz00_4964;

						{	/* SawMill/bbv-utils.scm 170 */
							BgL_objectz00_bglt BgL_tmpz00_4965;

							BgL_tmpz00_4965 = ((BgL_objectz00_bglt) BgL_new1172z00_2346);
							BgL_auxz00_4964 = BGL_OBJECT_WIDENING(BgL_tmpz00_4965);
						}
						BgL_auxz00_4963 = ((BgL_blocksz00_bglt) BgL_auxz00_4964);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4963))->
							BgL_z52blacklistz52) = ((obj_t) BgL_auxz00_4969), BUNSPEC);
				}
				return BgL_new1172z00_2346;
			}
		}

	}



/* &block->block-list */
	obj_t BGl_z62blockzd2ze3blockzd2listz81zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3762, obj_t BgL_regsz00_3763, obj_t BgL_bz00_3764)
	{
		{	/* SawMill/bbv-utils.scm 142 */
			return
				BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2(BgL_regsz00_3763,
				((BgL_blockz00_bglt) BgL_bz00_3764));
		}

	}



/* normalize-goto! */
	BGL_EXPORTED_DEF obj_t
		BGl_normaliza7ezd2gotoz12z67zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt
		BgL_bz00_97)
	{
		{	/* SawMill/bbv-utils.scm 270 */
			{	/* SawMill/bbv-utils.scm 287 */
				obj_t BgL_g1212z00_2377;

				{	/* SawMill/bbv-utils.scm 287 */
					obj_t BgL_list2020z00_2477;

					BgL_list2020z00_2477 = MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_97), BNIL);
					BgL_g1212z00_2377 = BgL_list2020z00_2477;
				}
				{
					obj_t BgL_bsz00_2380;
					obj_t BgL_accz00_2381;

					BgL_bsz00_2380 = BgL_g1212z00_2377;
					BgL_accz00_2381 = BNIL;
				BgL_zc3z04anonymousza31942ze3z87_2382:
					if (NULLP(BgL_bsz00_2380))
						{	/* SawMill/bbv-utils.scm 290 */
							return bgl_reverse(BgL_accz00_2381);
						}
					else
						{	/* SawMill/bbv-utils.scm 290 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
											((obj_t) BgL_bsz00_2380)), BgL_accz00_2381)))
								{	/* SawMill/bbv-utils.scm 293 */
									obj_t BgL_arg1946z00_2386;

									BgL_arg1946z00_2386 = CDR(((obj_t) BgL_bsz00_2380));
									{
										obj_t BgL_bsz00_4994;

										BgL_bsz00_4994 = BgL_arg1946z00_2386;
										BgL_bsz00_2380 = BgL_bsz00_4994;
										goto BgL_zc3z04anonymousza31942ze3z87_2382;
									}
								}
							else
								{	/* SawMill/bbv-utils.scm 295 */
									BgL_blockz00_bglt BgL_i1214z00_2387;

									BgL_i1214z00_2387 =
										((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2380)));
									{
										obj_t BgL_firstz00_2390;

										BgL_firstz00_2390 =
											(((BgL_blockz00_bglt) COBJECT(BgL_i1214z00_2387))->
											BgL_firstz00);
									BgL_zc3z04anonymousza31948ze3z87_2391:
										if (NULLP(BgL_firstz00_2390))
											{	/* SawMill/bbv-utils.scm 299 */
												obj_t BgL_arg1950z00_2393;
												obj_t BgL_arg1951z00_2394;

												{	/* SawMill/bbv-utils.scm 299 */
													obj_t BgL_arg1952z00_2395;
													obj_t BgL_arg1953z00_2396;

													BgL_arg1952z00_2395 =
														(((BgL_blockz00_bglt) COBJECT(BgL_i1214z00_2387))->
														BgL_succsz00);
													BgL_arg1953z00_2396 = CDR(((obj_t) BgL_bsz00_2380));
													BgL_arg1950z00_2393 =
														BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2
														(BgL_arg1952z00_2395, BgL_arg1953z00_2396);
												}
												{	/* SawMill/bbv-utils.scm 299 */
													obj_t BgL_arg1954z00_2397;

													BgL_arg1954z00_2397 = CAR(((obj_t) BgL_bsz00_2380));
													BgL_arg1951z00_2394 =
														MAKE_YOUNG_PAIR(BgL_arg1954z00_2397,
														BgL_accz00_2381);
												}
												{
													obj_t BgL_accz00_5008;
													obj_t BgL_bsz00_5007;

													BgL_bsz00_5007 = BgL_arg1950z00_2393;
													BgL_accz00_5008 = BgL_arg1951z00_2394;
													BgL_accz00_2381 = BgL_accz00_5008;
													BgL_bsz00_2380 = BgL_bsz00_5007;
													goto BgL_zc3z04anonymousza31942ze3z87_2382;
												}
											}
										else
											{	/* SawMill/bbv-utils.scm 300 */
												bool_t BgL_test2434z00_5009;

												{	/* SawMill/bbv-utils.scm 300 */
													obj_t BgL_arg2018z00_2473;

													BgL_arg2018z00_2473 =
														CAR(((obj_t) BgL_firstz00_2390));
													BgL_test2434z00_5009 =
														BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(
														((BgL_rtl_insz00_bglt) BgL_arg2018z00_2473));
												}
												if (BgL_test2434z00_5009)
													{	/* SawMill/bbv-utils.scm 300 */
														{	/* SawMill/bbv-utils.scm 301 */
															obj_t BgL_arg1957z00_2400;

															BgL_arg1957z00_2400 =
																CAR(((obj_t) BgL_bsz00_2380));
															BGl_collapsezd2branchze70z35zzsaw_bbvzd2utilszd2
																(BgL_arg1957z00_2400, BgL_firstz00_2390);
														}
														{	/* SawMill/bbv-utils.scm 302 */
															obj_t BgL_arg1958z00_2401;
															obj_t BgL_arg1959z00_2402;

															{	/* SawMill/bbv-utils.scm 302 */
																obj_t BgL_arg1960z00_2403;
																obj_t BgL_arg1961z00_2404;

																BgL_arg1960z00_2403 =
																	(((BgL_blockz00_bglt)
																		COBJECT(BgL_i1214z00_2387))->BgL_succsz00);
																BgL_arg1961z00_2404 =
																	CDR(((obj_t) BgL_bsz00_2380));
																BgL_arg1958z00_2401 =
																	BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2
																	(BgL_arg1960z00_2403, BgL_arg1961z00_2404);
															}
															{	/* SawMill/bbv-utils.scm 302 */
																obj_t BgL_arg1962z00_2405;

																BgL_arg1962z00_2405 =
																	CAR(((obj_t) BgL_bsz00_2380));
																BgL_arg1959z00_2402 =
																	MAKE_YOUNG_PAIR(BgL_arg1962z00_2405,
																	BgL_accz00_2381);
															}
															{
																obj_t BgL_accz00_5025;
																obj_t BgL_bsz00_5024;

																BgL_bsz00_5024 = BgL_arg1958z00_2401;
																BgL_accz00_5025 = BgL_arg1959z00_2402;
																BgL_accz00_2381 = BgL_accz00_5025;
																BgL_bsz00_2380 = BgL_bsz00_5024;
																goto BgL_zc3z04anonymousza31942ze3z87_2382;
															}
														}
													}
												else
													{	/* SawMill/bbv-utils.scm 300 */
														if (NULLP(CDR(((obj_t) BgL_firstz00_2390))))
															{	/* SawMill/bbv-utils.scm 303 */
																{	/* SawMill/bbv-utils.scm 304 */
																	bool_t BgL_test2436z00_5030;

																	{	/* SawMill/bbv-utils.scm 304 */
																		bool_t BgL_test2437z00_5031;

																		{	/* SawMill/bbv-utils.scm 304 */
																			obj_t BgL_arg1975z00_2418;

																			BgL_arg1975z00_2418 =
																				CAR(((obj_t) BgL_firstz00_2390));
																			BgL_test2437z00_5031 =
																				CBOOL
																				(BGl_rtl_inszd2branchzf3z21zzsaw_bbvzd2typeszd2
																				(((BgL_rtl_insz00_bglt)
																						BgL_arg1975z00_2418)));
																		}
																		if (BgL_test2437z00_5031)
																			{	/* SawMill/bbv-utils.scm 304 */
																				BgL_test2436z00_5030 = ((bool_t) 0);
																			}
																		else
																			{	/* SawMill/bbv-utils.scm 305 */
																				obj_t BgL_tmpz00_5037;

																				BgL_tmpz00_5037 =
																					(((BgL_blockz00_bglt) COBJECT(
																							((BgL_blockz00_bglt)
																								CAR(
																									((obj_t) BgL_bsz00_2380)))))->
																					BgL_succsz00);
																				BgL_test2436z00_5030 =
																					PAIRP(BgL_tmpz00_5037);
																			}
																	}
																	if (BgL_test2436z00_5030)
																		{	/* SawMill/bbv-utils.scm 306 */
																			obj_t BgL_arg1972z00_2414;

																			BgL_arg1972z00_2414 =
																				CAR(((obj_t) BgL_bsz00_2380));
																			BGl_collapsezd2branchze70z35zzsaw_bbvzd2utilszd2
																				(BgL_arg1972z00_2414,
																				BgL_firstz00_2390);
																		}
																	else
																		{	/* SawMill/bbv-utils.scm 304 */
																			((bool_t) 0);
																		}
																}
																{	/* SawMill/bbv-utils.scm 307 */
																	obj_t BgL_arg1976z00_2419;
																	obj_t BgL_arg1977z00_2420;

																	{	/* SawMill/bbv-utils.scm 307 */
																		obj_t BgL_arg1978z00_2421;
																		obj_t BgL_arg1979z00_2422;

																		BgL_arg1978z00_2421 =
																			(((BgL_blockz00_bglt)
																				COBJECT(BgL_i1214z00_2387))->
																			BgL_succsz00);
																		BgL_arg1979z00_2422 =
																			CDR(((obj_t) BgL_bsz00_2380));
																		BgL_arg1976z00_2419 =
																			BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2
																			(BgL_arg1978z00_2421,
																			BgL_arg1979z00_2422);
																	}
																	{	/* SawMill/bbv-utils.scm 307 */
																		obj_t BgL_arg1980z00_2423;

																		BgL_arg1980z00_2423 =
																			CAR(((obj_t) BgL_bsz00_2380));
																		BgL_arg1977z00_2420 =
																			MAKE_YOUNG_PAIR(BgL_arg1980z00_2423,
																			BgL_accz00_2381);
																	}
																	{
																		obj_t BgL_accz00_5054;
																		obj_t BgL_bsz00_5053;

																		BgL_bsz00_5053 = BgL_arg1976z00_2419;
																		BgL_accz00_5054 = BgL_arg1977z00_2420;
																		BgL_accz00_2381 = BgL_accz00_5054;
																		BgL_bsz00_2380 = BgL_bsz00_5053;
																		goto BgL_zc3z04anonymousza31942ze3z87_2382;
																	}
																}
															}
														else
															{	/* SawMill/bbv-utils.scm 308 */
																bool_t BgL_test2438z00_5055;

																{	/* SawMill/bbv-utils.scm 308 */
																	obj_t BgL_arg2016z00_2471;

																	BgL_arg2016z00_2471 =
																		CAR(((obj_t) BgL_firstz00_2390));
																	BgL_test2438z00_5055 =
																		BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2
																		(((BgL_rtl_insz00_bglt)
																			BgL_arg2016z00_2471));
																}
																if (BgL_test2438z00_5055)
																	{	/* SawMill/bbv-utils.scm 310 */
																		BgL_rtl_insz00_bglt BgL_i1215z00_2426;

																		BgL_i1215z00_2426 =
																			((BgL_rtl_insz00_bglt)
																			CAR(((obj_t) BgL_firstz00_2390)));
																		{	/* SawMill/bbv-utils.scm 311 */
																			BgL_rtl_ifeqz00_bglt BgL_i1216z00_2427;

																			BgL_i1216z00_2427 =
																				((BgL_rtl_ifeqz00_bglt)
																				(((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_i1215z00_2426))->
																					BgL_funz00));
																			{	/* SawMill/bbv-utils.scm 312 */
																				BgL_blockz00_bglt BgL_nbz00_2428;

																				{	/* SawMill/bbv-utils.scm 312 */
																					BgL_blockz00_bglt BgL_new1218z00_2439;

																					{	/* SawMill/bbv-utils.scm 313 */
																						BgL_blockz00_bglt
																							BgL_new1217z00_2444;
																						BgL_new1217z00_2444 =
																							((BgL_blockz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_blockz00_bgl))));
																						{	/* SawMill/bbv-utils.scm 313 */
																							long BgL_arg1996z00_2445;

																							BgL_arg1996z00_2445 =
																								BGL_CLASS_NUM
																								(BGl_blockz00zzsaw_defsz00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new1217z00_2444),
																								BgL_arg1996z00_2445);
																						}
																						{	/* SawMill/bbv-utils.scm 313 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_5069;
																							BgL_tmpz00_5069 =
																								((BgL_objectz00_bglt)
																								BgL_new1217z00_2444);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_5069, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1217z00_2444);
																						BgL_new1218z00_2439 =
																							BgL_new1217z00_2444;
																					}
																					((((BgL_blockz00_bglt)
																								COBJECT(BgL_new1218z00_2439))->
																							BgL_labelz00) =
																						((int)
																							CINT
																							(BGl_genlabelz00zzsaw_bbvzd2utilszd2
																								())), BUNSPEC);
																					{
																						obj_t BgL_auxz00_5076;

																						{	/* SawMill/bbv-utils.scm 315 */
																							obj_t BgL_arg1992z00_2440;

																							BgL_arg1992z00_2440 =
																								CAR(((obj_t) BgL_bsz00_2380));
																							{	/* SawMill/bbv-utils.scm 315 */
																								obj_t BgL_list1993z00_2441;

																								BgL_list1993z00_2441 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1992z00_2440, BNIL);
																								BgL_auxz00_5076 =
																									BgL_list1993z00_2441;
																						}}
																						((((BgL_blockz00_bglt)
																									COBJECT
																									(BgL_new1218z00_2439))->
																								BgL_predsz00) =
																							((obj_t) BgL_auxz00_5076),
																							BUNSPEC);
																					}
																					{
																						obj_t BgL_auxz00_5081;

																						{	/* SawMill/bbv-utils.scm 316 */
																							BgL_blockz00_bglt
																								BgL_arg1994z00_2442;
																							BgL_arg1994z00_2442 =
																								(((BgL_rtl_ifeqz00_bglt)
																									COBJECT(BgL_i1216z00_2427))->
																								BgL_thenz00);
																							{	/* SawMill/bbv-utils.scm 316 */
																								obj_t BgL_list1995z00_2443;

																								BgL_list1995z00_2443 =
																									MAKE_YOUNG_PAIR(
																									((obj_t) BgL_arg1994z00_2442),
																									BNIL);
																								BgL_auxz00_5081 =
																									BgL_list1995z00_2443;
																						}}
																						((((BgL_blockz00_bglt)
																									COBJECT
																									(BgL_new1218z00_2439))->
																								BgL_succsz00) =
																							((obj_t) BgL_auxz00_5081),
																							BUNSPEC);
																					}
																					((((BgL_blockz00_bglt)
																								COBJECT(BgL_new1218z00_2439))->
																							BgL_firstz00) =
																						((obj_t) CDR(((obj_t)
																									BgL_firstz00_2390))),
																						BUNSPEC);
																					BgL_nbz00_2428 = BgL_new1218z00_2439;
																				}
																				{	/* SawMill/bbv-utils.scm 317 */
																					obj_t BgL_arg1983z00_2429;

																					BgL_arg1983z00_2429 =
																						(((BgL_blockz00_bglt)
																							COBJECT(BgL_i1214z00_2387))->
																						BgL_succsz00);
																					{	/* SawMill/bbv-utils.scm 317 */
																						obj_t BgL_auxz00_5092;
																						obj_t BgL_tmpz00_5090;

																						BgL_auxz00_5092 =
																							((obj_t) BgL_nbz00_2428);
																						BgL_tmpz00_5090 =
																							((obj_t) BgL_arg1983z00_2429);
																						SET_CAR(BgL_tmpz00_5090,
																							BgL_auxz00_5092);
																				}}
																				{	/* SawMill/bbv-utils.scm 318 */
																					obj_t BgL_tmpz00_5095;

																					BgL_tmpz00_5095 =
																						((obj_t) BgL_firstz00_2390);
																					SET_CDR(BgL_tmpz00_5095, BNIL);
																				}
																				{	/* SawMill/bbv-utils.scm 319 */
																					BgL_blockz00_bglt BgL_i1219z00_2430;

																					BgL_i1219z00_2430 =
																						(((BgL_rtl_ifeqz00_bglt)
																							COBJECT(BgL_i1216z00_2427))->
																						BgL_thenz00);
																					{
																						obj_t BgL_auxz00_5099;

																						{	/* SawMill/bbv-utils.scm 320 */
																							obj_t BgL_arg1984z00_2431;
																							obj_t BgL_arg1985z00_2432;

																							BgL_arg1984z00_2431 =
																								(((BgL_blockz00_bglt)
																									COBJECT(BgL_i1219z00_2430))->
																								BgL_predsz00);
																							BgL_arg1985z00_2432 =
																								CAR(((obj_t) BgL_bsz00_2380));
																							BgL_auxz00_5099 =
																								BGl_loopze70ze7zzsaw_bbvzd2utilszd2
																								(BgL_arg1985z00_2432,
																								((obj_t) BgL_nbz00_2428),
																								BgL_arg1984z00_2431);
																						}
																						((((BgL_blockz00_bglt)
																									COBJECT(BgL_i1219z00_2430))->
																								BgL_predsz00) =
																							((obj_t) BgL_auxz00_5099),
																							BUNSPEC);
																				}}
																				{	/* SawMill/bbv-utils.scm 321 */
																					obj_t BgL_arg1986z00_2433;
																					obj_t BgL_arg1987z00_2434;

																					{	/* SawMill/bbv-utils.scm 321 */
																						obj_t BgL_arg1988z00_2435;
																						obj_t BgL_arg1989z00_2436;

																						BgL_arg1988z00_2435 =
																							bgl_reverse(
																							(((BgL_blockz00_bglt)
																									COBJECT(BgL_i1214z00_2387))->
																								BgL_succsz00));
																						BgL_arg1989z00_2436 =
																							CDR(((obj_t) BgL_bsz00_2380));
																						BgL_arg1986z00_2433 =
																							BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2
																							(BgL_arg1988z00_2435,
																							BgL_arg1989z00_2436);
																					}
																					{	/* SawMill/bbv-utils.scm 322 */
																						obj_t BgL_arg1991z00_2438;

																						BgL_arg1991z00_2438 =
																							CAR(((obj_t) BgL_bsz00_2380));
																						BgL_arg1987z00_2434 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1991z00_2438,
																							BgL_accz00_2381);
																					}
																					{
																						obj_t BgL_accz00_5115;
																						obj_t BgL_bsz00_5114;

																						BgL_bsz00_5114 =
																							BgL_arg1986z00_2433;
																						BgL_accz00_5115 =
																							BgL_arg1987z00_2434;
																						BgL_accz00_2381 = BgL_accz00_5115;
																						BgL_bsz00_2380 = BgL_bsz00_5114;
																						goto
																							BgL_zc3z04anonymousza31942ze3z87_2382;
																					}
																				}
																			}
																		}
																	}
																else
																	{	/* SawMill/bbv-utils.scm 323 */
																		bool_t BgL_test2439z00_5116;

																		{	/* SawMill/bbv-utils.scm 323 */
																			obj_t BgL_arg2015z00_2470;

																			BgL_arg2015z00_2470 =
																				CAR(((obj_t) BgL_firstz00_2390));
																			BgL_test2439z00_5116 =
																				BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2
																				(((BgL_rtl_insz00_bglt)
																					BgL_arg2015z00_2470));
																		}
																		if (BgL_test2439z00_5116)
																			{	/* SawMill/bbv-utils.scm 325 */
																				BgL_rtl_insz00_bglt BgL_i1220z00_2448;

																				BgL_i1220z00_2448 =
																					((BgL_rtl_insz00_bglt)
																					CAR(((obj_t) BgL_firstz00_2390)));
																				{	/* SawMill/bbv-utils.scm 326 */
																					BgL_rtl_ifnez00_bglt
																						BgL_i1221z00_2449;
																					BgL_i1221z00_2449 =
																						((BgL_rtl_ifnez00_bglt) ((
																								(BgL_rtl_insz00_bglt)
																								COBJECT(BgL_i1220z00_2448))->
																							BgL_funz00));
																					{	/* SawMill/bbv-utils.scm 327 */
																						BgL_blockz00_bglt BgL_nbz00_2450;

																						{	/* SawMill/bbv-utils.scm 327 */
																							BgL_blockz00_bglt
																								BgL_new1223z00_2462;
																							{	/* SawMill/bbv-utils.scm 328 */
																								BgL_blockz00_bglt
																									BgL_new1222z00_2467;
																								BgL_new1222z00_2467 =
																									((BgL_blockz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_blockz00_bgl))));
																								{	/* SawMill/bbv-utils.scm 328 */
																									long BgL_arg2013z00_2468;

																									BgL_arg2013z00_2468 =
																										BGL_CLASS_NUM
																										(BGl_blockz00zzsaw_defsz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1222z00_2467),
																										BgL_arg2013z00_2468);
																								}
																								{	/* SawMill/bbv-utils.scm 328 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_5130;
																									BgL_tmpz00_5130 =
																										((BgL_objectz00_bglt)
																										BgL_new1222z00_2467);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_5130, BFALSE);
																								}
																								((BgL_objectz00_bglt)
																									BgL_new1222z00_2467);
																								BgL_new1223z00_2462 =
																									BgL_new1222z00_2467;
																							}
																							((((BgL_blockz00_bglt)
																										COBJECT
																										(BgL_new1223z00_2462))->
																									BgL_labelz00) =
																								((int)
																									CINT
																									(BGl_genlabelz00zzsaw_bbvzd2utilszd2
																										())), BUNSPEC);
																							{
																								obj_t BgL_auxz00_5137;

																								{	/* SawMill/bbv-utils.scm 330 */
																									obj_t BgL_arg2009z00_2463;

																									BgL_arg2009z00_2463 =
																										CAR(
																										((obj_t) BgL_bsz00_2380));
																									{	/* SawMill/bbv-utils.scm 330 */
																										obj_t BgL_list2010z00_2464;

																										BgL_list2010z00_2464 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg2009z00_2463,
																											BNIL);
																										BgL_auxz00_5137 =
																											BgL_list2010z00_2464;
																								}}
																								((((BgL_blockz00_bglt)
																											COBJECT
																											(BgL_new1223z00_2462))->
																										BgL_predsz00) =
																									((obj_t) BgL_auxz00_5137),
																									BUNSPEC);
																							}
																							{
																								obj_t BgL_auxz00_5142;

																								{	/* SawMill/bbv-utils.scm 331 */
																									BgL_blockz00_bglt
																										BgL_arg2011z00_2465;
																									BgL_arg2011z00_2465 =
																										(((BgL_rtl_ifnez00_bglt)
																											COBJECT
																											(BgL_i1221z00_2449))->
																										BgL_thenz00);
																									{	/* SawMill/bbv-utils.scm 331 */
																										obj_t BgL_list2012z00_2466;

																										BgL_list2012z00_2466 =
																											MAKE_YOUNG_PAIR(
																											((obj_t)
																												BgL_arg2011z00_2465),
																											BNIL);
																										BgL_auxz00_5142 =
																											BgL_list2012z00_2466;
																								}}
																								((((BgL_blockz00_bglt)
																											COBJECT
																											(BgL_new1223z00_2462))->
																										BgL_succsz00) =
																									((obj_t) BgL_auxz00_5142),
																									BUNSPEC);
																							}
																							((((BgL_blockz00_bglt)
																										COBJECT
																										(BgL_new1223z00_2462))->
																									BgL_firstz00) =
																								((obj_t) CDR(((obj_t)
																											BgL_firstz00_2390))),
																								BUNSPEC);
																							BgL_nbz00_2450 =
																								BgL_new1223z00_2462;
																						}
																						{	/* SawMill/bbv-utils.scm 332 */
																							obj_t BgL_arg1999z00_2451;

																							BgL_arg1999z00_2451 =
																								CDR(
																								(((BgL_blockz00_bglt)
																										COBJECT
																										(BgL_i1214z00_2387))->
																									BgL_succsz00));
																							{	/* SawMill/bbv-utils.scm 332 */
																								obj_t BgL_auxz00_5154;
																								obj_t BgL_tmpz00_5152;

																								BgL_auxz00_5154 =
																									((obj_t) BgL_nbz00_2450);
																								BgL_tmpz00_5152 =
																									((obj_t) BgL_arg1999z00_2451);
																								SET_CAR(BgL_tmpz00_5152,
																									BgL_auxz00_5154);
																						}}
																						{	/* SawMill/bbv-utils.scm 333 */
																							obj_t BgL_tmpz00_5157;

																							BgL_tmpz00_5157 =
																								((obj_t) BgL_firstz00_2390);
																							SET_CDR(BgL_tmpz00_5157, BNIL);
																						}
																						{	/* SawMill/bbv-utils.scm 334 */
																							BgL_blockz00_bglt
																								BgL_i1224z00_2453;
																							BgL_i1224z00_2453 =
																								(((BgL_rtl_ifnez00_bglt)
																									COBJECT(BgL_i1221z00_2449))->
																								BgL_thenz00);
																							{
																								obj_t BgL_auxz00_5161;

																								{	/* SawMill/bbv-utils.scm 335 */
																									obj_t BgL_arg2001z00_2454;
																									obj_t BgL_arg2002z00_2455;

																									BgL_arg2001z00_2454 =
																										(((BgL_blockz00_bglt)
																											COBJECT
																											(BgL_i1224z00_2453))->
																										BgL_predsz00);
																									BgL_arg2002z00_2455 =
																										CAR(((obj_t)
																											BgL_bsz00_2380));
																									BgL_auxz00_5161 =
																										BGl_loopze70ze7zzsaw_bbvzd2utilszd2
																										(BgL_arg2002z00_2455,
																										((obj_t) BgL_nbz00_2450),
																										BgL_arg2001z00_2454);
																								}
																								((((BgL_blockz00_bglt)
																											COBJECT
																											(BgL_i1224z00_2453))->
																										BgL_predsz00) =
																									((obj_t) BgL_auxz00_5161),
																									BUNSPEC);
																						}}
																						{	/* SawMill/bbv-utils.scm 336 */
																							obj_t BgL_arg2003z00_2456;
																							obj_t BgL_arg2004z00_2457;

																							{	/* SawMill/bbv-utils.scm 336 */
																								obj_t BgL_arg2005z00_2458;
																								obj_t BgL_arg2006z00_2459;

																								BgL_arg2005z00_2458 =
																									bgl_reverse(
																									(((BgL_blockz00_bglt)
																											COBJECT
																											(BgL_i1214z00_2387))->
																										BgL_succsz00));
																								BgL_arg2006z00_2459 =
																									CDR(((obj_t) BgL_bsz00_2380));
																								BgL_arg2003z00_2456 =
																									BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2
																									(BgL_arg2005z00_2458,
																									BgL_arg2006z00_2459);
																							}
																							{	/* SawMill/bbv-utils.scm 337 */
																								obj_t BgL_arg2008z00_2461;

																								BgL_arg2008z00_2461 =
																									CAR(((obj_t) BgL_bsz00_2380));
																								BgL_arg2004z00_2457 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2008z00_2461,
																									BgL_accz00_2381);
																							}
																							{
																								obj_t BgL_accz00_5177;
																								obj_t BgL_bsz00_5176;

																								BgL_bsz00_5176 =
																									BgL_arg2003z00_2456;
																								BgL_accz00_5177 =
																									BgL_arg2004z00_2457;
																								BgL_accz00_2381 =
																									BgL_accz00_5177;
																								BgL_bsz00_2380 = BgL_bsz00_5176;
																								goto
																									BgL_zc3z04anonymousza31942ze3z87_2382;
																							}
																						}
																					}
																				}
																			}
																		else
																			{	/* SawMill/bbv-utils.scm 339 */
																				obj_t BgL_arg2014z00_2469;

																				BgL_arg2014z00_2469 =
																					CDR(((obj_t) BgL_firstz00_2390));
																				{
																					obj_t BgL_firstz00_5180;

																					BgL_firstz00_5180 =
																						BgL_arg2014z00_2469;
																					BgL_firstz00_2390 = BgL_firstz00_5180;
																					goto
																						BgL_zc3z04anonymousza31948ze3z87_2391;
																				}
																			}
																	}
															}
													}
											}
									}
								}
						}
				}
			}
		}

	}



/* collapse-branch~0 */
	bool_t BGl_collapsezd2branchze70z35zzsaw_bbvzd2utilszd2(obj_t BgL_bz00_2478,
		obj_t BgL_firstz00_2479)
	{
		{	/* SawMill/bbv-utils.scm 285 */
			{	/* SawMill/bbv-utils.scm 273 */
				obj_t BgL_nextz00_2481;

				{	/* SawMill/bbv-utils.scm 273 */
					obj_t BgL_pairz00_3463;

					BgL_pairz00_3463 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_2478)))->BgL_succsz00);
					BgL_nextz00_2481 = CAR(BgL_pairz00_3463);
				}
				{	/* SawMill/bbv-utils.scm 274 */
					bool_t BgL_test2440z00_5185;

					{	/* SawMill/bbv-utils.scm 274 */
						bool_t BgL_test2441z00_5186;

						{	/* SawMill/bbv-utils.scm 274 */
							obj_t BgL_arg2049z00_2511;

							BgL_arg2049z00_2511 =
								CAR(
								(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_nextz00_2481)))->BgL_firstz00));
							BgL_test2441z00_5186 =
								CBOOL(BGl_rtl_inszd2branchzf3z21zzsaw_bbvzd2typeszd2(
									((BgL_rtl_insz00_bglt) BgL_arg2049z00_2511)));
						}
						if (BgL_test2441z00_5186)
							{	/* SawMill/bbv-utils.scm 274 */
								BgL_test2440z00_5185 =
									NULLP(CDR(
										(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_nextz00_2481)))->
											BgL_firstz00)));
							}
						else
							{	/* SawMill/bbv-utils.scm 274 */
								BgL_test2440z00_5185 = ((bool_t) 0);
							}
					}
					if (BgL_test2440z00_5185)
						{	/* SawMill/bbv-utils.scm 276 */
							obj_t BgL_nsuccsz00_2490;

							BgL_nsuccsz00_2490 =
								(((BgL_blockz00_bglt) COBJECT(
										((BgL_blockz00_bglt) BgL_nextz00_2481)))->BgL_succsz00);
							{	/* SawMill/bbv-utils.scm 277 */
								bool_t BgL_test2442z00_5199;

								{	/* SawMill/bbv-utils.scm 277 */
									obj_t BgL_arg2037z00_2496;

									BgL_arg2037z00_2496 = CAR(((obj_t) BgL_firstz00_2479));
									BgL_test2442z00_5199 =
										BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(
										((BgL_rtl_insz00_bglt) BgL_arg2037z00_2496));
								}
								if (BgL_test2442z00_5199)
									{	/* SawMill/bbv-utils.scm 278 */
										obj_t BgL_arg2034z00_2493;

										BgL_arg2034z00_2493 =
											CAR(
											(((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt) BgL_nextz00_2481)))->
												BgL_firstz00));
										{	/* SawMill/bbv-utils.scm 278 */
											obj_t BgL_tmpz00_5207;

											BgL_tmpz00_5207 = ((obj_t) BgL_firstz00_2479);
											SET_CAR(BgL_tmpz00_5207, BgL_arg2034z00_2493);
										}
									}
								else
									{	/* SawMill/bbv-utils.scm 279 */
										obj_t BgL_arg2036z00_2495;

										BgL_arg2036z00_2495 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_nextz00_2481)))->
											BgL_firstz00);
										{	/* SawMill/bbv-utils.scm 279 */
											obj_t BgL_tmpz00_5212;

											BgL_tmpz00_5212 = ((obj_t) BgL_firstz00_2479);
											SET_CDR(BgL_tmpz00_5212, BgL_arg2036z00_2495);
										}
									}
							}
							{	/* SawMill/bbv-utils.scm 280 */
								obj_t BgL_arg2039z00_2497;

								{	/* SawMill/bbv-utils.scm 280 */
									obj_t BgL_arg2040z00_2498;

									BgL_arg2040z00_2498 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_nextz00_2481)))->BgL_predsz00);
									BgL_arg2039z00_2497 =
										bgl_remq_bang(BgL_bz00_2478, BgL_arg2040z00_2498);
								}
								((((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_nextz00_2481)))->
										BgL_predsz00) = ((obj_t) BgL_arg2039z00_2497), BUNSPEC);
							}
							((((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_bz00_2478)))->BgL_succsz00) =
								((obj_t) BgL_nsuccsz00_2490), BUNSPEC);
							{
								obj_t BgL_l1523z00_2500;

								BgL_l1523z00_2500 = BgL_nsuccsz00_2490;
							BgL_zc3z04anonymousza32041ze3z87_2501:
								if (PAIRP(BgL_l1523z00_2500))
									{	/* SawMill/bbv-utils.scm 282 */
										{	/* SawMill/bbv-utils.scm 283 */
											obj_t BgL_nsz00_2503;

											BgL_nsz00_2503 = CAR(BgL_l1523z00_2500);
											{	/* SawMill/bbv-utils.scm 284 */
												obj_t BgL_arg2043z00_2504;

												{	/* SawMill/bbv-utils.scm 284 */
													obj_t BgL_arg2044z00_2505;

													BgL_arg2044z00_2505 =
														(((BgL_blockz00_bglt) COBJECT(
																((BgL_blockz00_bglt) BgL_nsz00_2503)))->
														BgL_predsz00);
													BgL_arg2043z00_2504 =
														BGl_loopze70ze7zzsaw_bbvzd2utilszd2
														(BgL_nextz00_2481, BgL_bz00_2478,
														BgL_arg2044z00_2505);
												}
												((((BgL_blockz00_bglt) COBJECT(
																((BgL_blockz00_bglt) BgL_nsz00_2503)))->
														BgL_predsz00) =
													((obj_t) BgL_arg2043z00_2504), BUNSPEC);
											}
										}
										{
											obj_t BgL_l1523z00_5230;

											BgL_l1523z00_5230 = CDR(BgL_l1523z00_2500);
											BgL_l1523z00_2500 = BgL_l1523z00_5230;
											goto BgL_zc3z04anonymousza32041ze3z87_2501;
										}
									}
								else
									{	/* SawMill/bbv-utils.scm 282 */
										return ((bool_t) 1);
									}
							}
						}
					else
						{	/* SawMill/bbv-utils.scm 274 */
							return ((bool_t) 0);
						}
				}
			}
		}

	}



/* &normalize-goto! */
	obj_t BGl_z62normaliza7ezd2gotoz12z05zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3765, obj_t BgL_bz00_3766)
	{
		{	/* SawMill/bbv-utils.scm 270 */
			return
				BGl_normaliza7ezd2gotoz12z67zzsaw_bbvzd2utilszd2(
				((BgL_blockz00_bglt) BgL_bz00_3766));
		}

	}



/* remove-temps! */
	BGL_EXPORTED_DEF obj_t
		BGl_removezd2tempsz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt BgL_bz00_98)
	{
		{	/* SawMill/bbv-utils.scm 344 */
			{
				BgL_blockz00_bglt BgL_bz00_2558;

				{	/* SawMill/bbv-utils.scm 367 */
					obj_t BgL_g1230z00_2517;

					{	/* SawMill/bbv-utils.scm 367 */
						obj_t BgL_list2065z00_2536;

						BgL_list2065z00_2536 = MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_98), BNIL);
						BgL_g1230z00_2517 = BgL_list2065z00_2536;
					}
					{
						obj_t BgL_bsz00_2520;
						obj_t BgL_accz00_2521;

						{
							BgL_blockz00_bglt BgL_auxz00_5236;

							BgL_bsz00_2520 = BgL_g1230z00_2517;
							BgL_accz00_2521 = BNIL;
						BgL_zc3z04anonymousza32052ze3z87_2522:
							if (NULLP(BgL_bsz00_2520))
								{	/* SawMill/bbv-utils.scm 370 */
									BgL_auxz00_5236 = BgL_bz00_98;
								}
							else
								{	/* SawMill/bbv-utils.scm 370 */
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
													((obj_t) BgL_bsz00_2520)), BgL_accz00_2521)))
										{	/* SawMill/bbv-utils.scm 373 */
											obj_t BgL_arg2056z00_2526;

											BgL_arg2056z00_2526 = CDR(((obj_t) BgL_bsz00_2520));
											{
												obj_t BgL_bsz00_5246;

												BgL_bsz00_5246 = BgL_arg2056z00_2526;
												BgL_bsz00_2520 = BgL_bsz00_5246;
												goto BgL_zc3z04anonymousza32052ze3z87_2522;
											}
										}
									else
										{	/* SawMill/bbv-utils.scm 375 */
											BgL_blockz00_bglt BgL_i1232z00_2527;

											BgL_i1232z00_2527 =
												((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2520)));
											{	/* SawMill/bbv-utils.scm 376 */
												obj_t BgL_arg2058z00_2528;

												BgL_arg2058z00_2528 = CAR(((obj_t) BgL_bsz00_2520));
												BgL_bz00_2558 =
													((BgL_blockz00_bglt) BgL_arg2058z00_2528);
												{
													obj_t BgL_auxz00_5252;

													{	/* SawMill/bbv-utils.scm 365 */
														obj_t BgL_l01527z00_2561;

														BgL_l01527z00_2561 =
															(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2558))->
															BgL_firstz00);
														{
															obj_t BgL_l1526z00_2563;

															BgL_l1526z00_2563 = BgL_l01527z00_2561;
														BgL_zc3z04anonymousza32079ze3z87_2564:
															if (NULLP(BgL_l1526z00_2563))
																{	/* SawMill/bbv-utils.scm 365 */
																	BgL_auxz00_5252 = BgL_l01527z00_2561;
																}
															else
																{	/* SawMill/bbv-utils.scm 365 */
																	{	/* SawMill/bbv-utils.scm 365 */
																		obj_t BgL_arg2081z00_2566;

																		{	/* SawMill/bbv-utils.scm 365 */
																			obj_t BgL_arg2082z00_2567;

																			BgL_arg2082z00_2567 =
																				CAR(((obj_t) BgL_l1526z00_2563));
																			BgL_arg2081z00_2566 =
																				BGl_removezd2inszd2tempsz12ze70zf5zzsaw_bbvzd2utilszd2
																				(BgL_arg2082z00_2567);
																		}
																		{	/* SawMill/bbv-utils.scm 365 */
																			obj_t BgL_tmpz00_5259;

																			BgL_tmpz00_5259 =
																				((obj_t) BgL_l1526z00_2563);
																			SET_CAR(BgL_tmpz00_5259,
																				BgL_arg2081z00_2566);
																		}
																	}
																	{	/* SawMill/bbv-utils.scm 365 */
																		obj_t BgL_arg2083z00_2568;

																		BgL_arg2083z00_2568 =
																			CDR(((obj_t) BgL_l1526z00_2563));
																		{
																			obj_t BgL_l1526z00_5264;

																			BgL_l1526z00_5264 = BgL_arg2083z00_2568;
																			BgL_l1526z00_2563 = BgL_l1526z00_5264;
																			goto
																				BgL_zc3z04anonymousza32079ze3z87_2564;
																		}
																	}
																}
														}
													}
													((((BgL_blockz00_bglt) COBJECT(BgL_bz00_2558))->
															BgL_firstz00) =
														((obj_t) BgL_auxz00_5252), BUNSPEC);
												}
											}
											{	/* SawMill/bbv-utils.scm 377 */
												obj_t BgL_arg2059z00_2529;
												obj_t BgL_arg2060z00_2530;

												{	/* SawMill/bbv-utils.scm 377 */
													obj_t BgL_arg2061z00_2531;
													obj_t BgL_arg2062z00_2532;

													BgL_arg2061z00_2531 =
														(((BgL_blockz00_bglt) COBJECT(BgL_i1232z00_2527))->
														BgL_succsz00);
													BgL_arg2062z00_2532 = CDR(((obj_t) BgL_bsz00_2520));
													BgL_arg2059z00_2529 =
														BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2
														(BgL_arg2061z00_2531, BgL_arg2062z00_2532);
												}
												{	/* SawMill/bbv-utils.scm 377 */
													obj_t BgL_arg2063z00_2533;

													BgL_arg2063z00_2533 = CAR(((obj_t) BgL_bsz00_2520));
													BgL_arg2060z00_2530 =
														MAKE_YOUNG_PAIR(BgL_arg2063z00_2533,
														BgL_accz00_2521);
												}
												{
													obj_t BgL_accz00_5275;
													obj_t BgL_bsz00_5274;

													BgL_bsz00_5274 = BgL_arg2059z00_2529;
													BgL_accz00_5275 = BgL_arg2060z00_2530;
													BgL_accz00_2521 = BgL_accz00_5275;
													BgL_bsz00_2520 = BgL_bsz00_5274;
													goto BgL_zc3z04anonymousza32052ze3z87_2522;
												}
											}
										}
								}
							return ((obj_t) BgL_auxz00_5236);
						}
					}
				}
			}
		}

	}



/* remove-ins-temps!~0 */
	obj_t BGl_removezd2inszd2tempsz12ze70zf5zzsaw_bbvzd2utilszd2(obj_t
		BgL_iz00_2537)
	{
		{	/* SawMill/bbv-utils.scm 361 */
			{
				obj_t BgL_argsz00_2542;

				{	/* SawMill/bbv-utils.scm 348 */
					obj_t BgL_arg2068z00_2541;

					BgL_arg2068z00_2541 =
						(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_iz00_2537)))->BgL_argsz00);
					BgL_argsz00_2542 = BgL_arg2068z00_2541;
				BgL_zc3z04anonymousza32069ze3z87_2543:
					if (NULLP(BgL_argsz00_2542))
						{	/* SawMill/bbv-utils.scm 349 */
							return BgL_iz00_2537;
						}
					else
						{	/* SawMill/bbv-utils.scm 351 */
							obj_t BgL_g1227z00_2545;

							BgL_g1227z00_2545 = CAR(((obj_t) BgL_argsz00_2542));
							{
								obj_t BgL_argz00_2547;

								BgL_argz00_2547 = BgL_g1227z00_2545;
							BgL_zc3z04anonymousza32071ze3z87_2548:
								{	/* SawMill/bbv-utils.scm 352 */
									bool_t BgL_test2448z00_5283;

									{	/* SawMill/bbv-utils.scm 352 */
										obj_t BgL_classz00_3535;

										BgL_classz00_3535 = BGl_rtl_insz00zzsaw_defsz00;
										if (BGL_OBJECTP(BgL_argz00_2547))
											{	/* SawMill/bbv-utils.scm 352 */
												BgL_objectz00_bglt BgL_arg1825z00_3537;

												BgL_arg1825z00_3537 =
													(BgL_objectz00_bglt) (BgL_argz00_2547);
												{	/* SawMill/bbv-utils.scm 352 */
													bool_t BgL_arg1822z00_3540;
													bool_t BgL_arg1823z00_3541;

													{	/* SawMill/bbv-utils.scm 352 */
														long BgL_idxz00_3544;

														BgL_idxz00_3544 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3537);
														BgL_arg1822z00_3540 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3544 + ((long) 1))) ==
															BgL_classz00_3535);
													}
													{	/* SawMill/bbv-utils.scm 352 */
														bool_t BgL_res2340z00_3566;

														{	/* SawMill/bbv-utils.scm 352 */
															obj_t BgL_oclassz00_3552;

															{	/* SawMill/bbv-utils.scm 352 */
																long BgL_arg1833z00_3558;

																{	/* SawMill/bbv-utils.scm 352 */
																	long BgL_arg1834z00_3559;

																	BgL_arg1834z00_3559 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3537);
																	BgL_arg1833z00_3558 =
																		(BgL_arg1834z00_3559 - OBJECT_TYPE);
																}
																BgL_oclassz00_3552 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3558);
															}
															{	/* SawMill/bbv-utils.scm 352 */
																bool_t BgL__ortest_1110z00_3553;

																BgL__ortest_1110z00_3553 =
																	(BgL_classz00_3535 == BgL_oclassz00_3552);
																if (BgL__ortest_1110z00_3553)
																	{	/* SawMill/bbv-utils.scm 352 */
																		BgL_res2340z00_3566 =
																			BgL__ortest_1110z00_3553;
																	}
																else
																	{	/* SawMill/bbv-utils.scm 352 */
																		long BgL_odepthz00_3554;

																		BgL_odepthz00_3554 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3552);
																		if ((((long) 1) < BgL_odepthz00_3554))
																			{	/* SawMill/bbv-utils.scm 352 */
																				obj_t BgL_arg1821z00_3556;

																				BgL_arg1821z00_3556 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3552, ((long) 1));
																				BgL_res2340z00_3566 =
																					(BgL_arg1821z00_3556 ==
																					BgL_classz00_3535);
																			}
																		else
																			{	/* SawMill/bbv-utils.scm 352 */
																				BgL_res2340z00_3566 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3541 = BgL_res2340z00_3566;
													}
													BgL_test2448z00_5283 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3540,
														BgL_arg1823z00_3541);
												}
											}
										else
											{	/* SawMill/bbv-utils.scm 352 */
												BgL_test2448z00_5283 = ((bool_t) 0);
											}
									}
									if (BgL_test2448z00_5283)
										{	/* SawMill/bbv-utils.scm 352 */
											if (BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(
													((BgL_rtl_insz00_bglt) BgL_argz00_2547)))
												{	/* SawMill/bbv-utils.scm 355 */
													obj_t BgL_arg2074z00_2552;

													{	/* SawMill/bbv-utils.scm 355 */
														obj_t BgL_pairz00_3567;

														BgL_pairz00_3567 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_argz00_2547)))->
															BgL_argsz00);
														BgL_arg2074z00_2552 = CAR(BgL_pairz00_3567);
													}
													{
														obj_t BgL_argz00_5308;

														BgL_argz00_5308 = BgL_arg2074z00_2552;
														BgL_argz00_2547 = BgL_argz00_5308;
														goto BgL_zc3z04anonymousza32071ze3z87_2548;
													}
												}
											else
												{	/* SawMill/bbv-utils.scm 353 */
													BGl_removezd2inszd2tempsz12ze70zf5zzsaw_bbvzd2utilszd2
														(BgL_argz00_2547);
													{	/* SawMill/bbv-utils.scm 358 */
														obj_t BgL_arg2076z00_2554;

														BgL_arg2076z00_2554 =
															CDR(((obj_t) BgL_argsz00_2542));
														{
															obj_t BgL_argsz00_5312;

															BgL_argsz00_5312 = BgL_arg2076z00_2554;
															BgL_argsz00_2542 = BgL_argsz00_5312;
															goto BgL_zc3z04anonymousza32069ze3z87_2543;
														}
													}
												}
										}
									else
										{	/* SawMill/bbv-utils.scm 352 */
											{	/* SawMill/bbv-utils.scm 360 */
												obj_t BgL_tmpz00_5313;

												BgL_tmpz00_5313 = ((obj_t) BgL_argsz00_2542);
												SET_CAR(BgL_tmpz00_5313, BgL_argz00_2547);
											}
											{	/* SawMill/bbv-utils.scm 361 */
												obj_t BgL_arg2077z00_2555;

												BgL_arg2077z00_2555 = CDR(((obj_t) BgL_argsz00_2542));
												{
													obj_t BgL_argsz00_5318;

													BgL_argsz00_5318 = BgL_arg2077z00_2555;
													BgL_argsz00_2542 = BgL_argsz00_5318;
													goto BgL_zc3z04anonymousza32069ze3z87_2543;
												}
											}
										}
								}
							}
						}
				}
			}
		}

	}



/* &remove-temps! */
	obj_t BGl_z62removezd2tempsz12za2zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3767,
		obj_t BgL_bz00_3768)
	{
		{	/* SawMill/bbv-utils.scm 344 */
			return
				BGl_removezd2tempsz12zc0zzsaw_bbvzd2utilszd2(
				((BgL_blockz00_bglt) BgL_bz00_3768));
		}

	}



/* simplify-branch! */
	BGL_EXPORTED_DEF obj_t
		BGl_simplifyzd2branchz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt
		BgL_bz00_99)
	{
		{	/* SawMill/bbv-utils.scm 382 */
			{
				obj_t BgL_bz00_2674;

				{	/* SawMill/bbv-utils.scm 389 */
					obj_t BgL_g1235z00_2573;
					obj_t BgL_g1236z00_2574;

					{	/* SawMill/bbv-utils.scm 389 */
						obj_t BgL_list2167z00_2673;

						BgL_list2167z00_2673 = MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_99), BNIL);
						BgL_g1235z00_2573 = BgL_list2167z00_2673;
					}
					BgL_g1236z00_2574 = BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2utilszd2();
					{
						obj_t BgL_bsz00_2576;
						obj_t BgL_accz00_2577;

						{
							BgL_blockz00_bglt BgL_auxz00_5324;

							BgL_bsz00_2576 = BgL_g1235z00_2573;
							BgL_accz00_2577 = BgL_g1236z00_2574;
						BgL_zc3z04anonymousza32084ze3z87_2578:
							if (NULLP(BgL_bsz00_2576))
								{	/* SawMill/bbv-utils.scm 392 */
									BgL_auxz00_5324 = BgL_bz00_99;
								}
							else
								{	/* SawMill/bbv-utils.scm 394 */
									bool_t BgL_test2454z00_5327;

									{	/* SawMill/bbv-utils.scm 394 */
										BgL_blockz00_bglt BgL_blockz00_3585;

										BgL_blockz00_3585 =
											((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2576)));
										{	/* SawMill/bbv-utils.scm 103 */
											long BgL_arg1602z00_3588;
											obj_t BgL_arg1603z00_3589;

											{
												BgL_blocksz00_bglt BgL_auxz00_5331;

												{
													obj_t BgL_auxz00_5332;

													{	/* SawMill/bbv-utils.scm 103 */
														BgL_objectz00_bglt BgL_tmpz00_5333;

														BgL_tmpz00_5333 =
															((BgL_objectz00_bglt) BgL_blockz00_3585);
														BgL_auxz00_5332 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5333);
													}
													BgL_auxz00_5331 =
														((BgL_blocksz00_bglt) BgL_auxz00_5332);
												}
												BgL_arg1602z00_3588 =
													(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_5331))->
													BgL_z52markz52);
											}
											BgL_arg1603z00_3589 =
												STRUCT_REF(BgL_accz00_2577, (int) (((long) 0)));
											BgL_test2454z00_5327 =
												(BINT(BgL_arg1602z00_3588) == BgL_arg1603z00_3589);
									}}
									if (BgL_test2454z00_5327)
										{	/* SawMill/bbv-utils.scm 395 */
											obj_t BgL_arg2088z00_2582;

											BgL_arg2088z00_2582 = CDR(((obj_t) BgL_bsz00_2576));
											{
												obj_t BgL_bsz00_5344;

												BgL_bsz00_5344 = BgL_arg2088z00_2582;
												BgL_bsz00_2576 = BgL_bsz00_5344;
												goto BgL_zc3z04anonymousza32084ze3z87_2578;
											}
										}
									else
										{	/* SawMill/bbv-utils.scm 397 */
											BgL_blockz00_bglt BgL_i1237z00_2583;

											BgL_i1237z00_2583 =
												((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2576)));
											if (
												(bgl_list_length(
														(((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt) BgL_i1237z00_2583)))->
															BgL_succsz00)) == ((long) 1)))
												{	/* SawMill/bbv-utils.scm 400 */
													bool_t BgL_test2456z00_5353;

													{	/* SawMill/bbv-utils.scm 400 */
														long BgL_tmpz00_5354;

														{	/* SawMill/bbv-utils.scm 400 */
															obj_t BgL_auxz00_5355;

															{
																BgL_blockz00_bglt BgL_auxz00_5356;

																{	/* SawMill/bbv-utils.scm 400 */
																	obj_t BgL_pairz00_3595;

																	BgL_pairz00_3595 =
																		(((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt)
																					BgL_i1237z00_2583)))->BgL_succsz00);
																	BgL_auxz00_5356 =
																		((BgL_blockz00_bglt) CAR(BgL_pairz00_3595));
																}
																BgL_auxz00_5355 =
																	(((BgL_blockz00_bglt)
																		COBJECT(BgL_auxz00_5356))->BgL_predsz00);
															}
															BgL_tmpz00_5354 =
																bgl_list_length(BgL_auxz00_5355);
														}
														BgL_test2456z00_5353 =
															(BgL_tmpz00_5354 == ((long) 1));
													}
													if (BgL_test2456z00_5353)
														{	/* SawMill/bbv-utils.scm 402 */
															obj_t BgL_sz00_2592;

															{	/* SawMill/bbv-utils.scm 402 */
																obj_t BgL_pairz00_3598;

																BgL_pairz00_3598 =
																	(((BgL_blockz00_bglt) COBJECT(
																			((BgL_blockz00_bglt)
																				BgL_i1237z00_2583)))->BgL_succsz00);
																BgL_sz00_2592 = CAR(BgL_pairz00_3598);
															}
															{	/* SawMill/bbv-utils.scm 403 */
																obj_t BgL_g1534z00_2593;

																BgL_g1534z00_2593 =
																	(((BgL_blockz00_bglt) COBJECT(
																			((BgL_blockz00_bglt) BgL_sz00_2592)))->
																	BgL_succsz00);
																{
																	obj_t BgL_l1532z00_2595;

																	BgL_l1532z00_2595 = BgL_g1534z00_2593;
																BgL_zc3z04anonymousza32097ze3z87_2596:
																	if (PAIRP(BgL_l1532z00_2595))
																		{	/* SawMill/bbv-utils.scm 406 */
																			{	/* SawMill/bbv-utils.scm 404 */
																				obj_t BgL_nsz00_2598;

																				BgL_nsz00_2598 = CAR(BgL_l1532z00_2595);
																				{	/* SawMill/bbv-utils.scm 405 */
																					obj_t BgL_arg2100z00_2599;

																					{	/* SawMill/bbv-utils.scm 405 */
																						obj_t BgL_arg2101z00_2600;
																						obj_t BgL_arg2102z00_2601;

																						BgL_arg2101z00_2600 =
																							(((BgL_blockz00_bglt) COBJECT(
																									((BgL_blockz00_bglt)
																										BgL_nsz00_2598)))->
																							BgL_predsz00);
																						BgL_arg2102z00_2601 =
																							CAR(((obj_t) BgL_bsz00_2576));
																						BgL_arg2100z00_2599 =
																							BGl_loopze70ze7zzsaw_bbvzd2utilszd2
																							(BgL_sz00_2592,
																							BgL_arg2102z00_2601,
																							BgL_arg2101z00_2600);
																					}
																					((((BgL_blockz00_bglt) COBJECT(
																									((BgL_blockz00_bglt)
																										BgL_nsz00_2598)))->
																							BgL_predsz00) =
																						((obj_t) BgL_arg2100z00_2599),
																						BUNSPEC);
																				}
																			}
																			{
																				obj_t BgL_l1532z00_5379;

																				BgL_l1532z00_5379 =
																					CDR(BgL_l1532z00_2595);
																				BgL_l1532z00_2595 = BgL_l1532z00_5379;
																				goto
																					BgL_zc3z04anonymousza32097ze3z87_2596;
																			}
																		}
																	else
																		{	/* SawMill/bbv-utils.scm 406 */
																			((bool_t) 1);
																		}
																}
															}
															((((BgL_blockz00_bglt) COBJECT(
																			((BgL_blockz00_bglt)
																				BgL_i1237z00_2583)))->BgL_succsz00) =
																((obj_t) (((BgL_blockz00_bglt)
																			COBJECT(((BgL_blockz00_bglt)
																					BgL_sz00_2592)))->BgL_succsz00)),
																BUNSPEC);
															{	/* SawMill/bbv-utils.scm 408 */
																obj_t BgL_lpz00_2604;

																BgL_lpz00_2604 =
																	BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																	((((BgL_blockz00_bglt)
																			COBJECT(((BgL_blockz00_bglt)
																					BgL_i1237z00_2583)))->BgL_firstz00));
																{	/* SawMill/bbv-utils.scm 409 */
																	bool_t BgL_test2458z00_5388;

																	{	/* SawMill/bbv-utils.scm 409 */
																		obj_t BgL_arg2113z00_2613;

																		BgL_arg2113z00_2613 = CAR(BgL_lpz00_2604);
																		BgL_test2458z00_5388 =
																			BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2
																			(((BgL_rtl_insz00_bglt)
																				BgL_arg2113z00_2613));
																	}
																	if (BgL_test2458z00_5388)
																		{	/* SawMill/bbv-utils.scm 409 */
																			{	/* SawMill/bbv-utils.scm 411 */
																				obj_t BgL_arg2106z00_2607;

																				BgL_arg2106z00_2607 =
																					CAR(
																					(((BgL_blockz00_bglt) COBJECT(
																								((BgL_blockz00_bglt)
																									BgL_sz00_2592)))->
																						BgL_firstz00));
																				SET_CAR(BgL_lpz00_2604,
																					BgL_arg2106z00_2607);
																			}
																			{	/* SawMill/bbv-utils.scm 412 */
																				obj_t BgL_arg2108z00_2609;

																				BgL_arg2108z00_2609 =
																					CDR(
																					(((BgL_blockz00_bglt) COBJECT(
																								((BgL_blockz00_bglt)
																									BgL_sz00_2592)))->
																						BgL_firstz00));
																				SET_CDR(BgL_lpz00_2604,
																					BgL_arg2108z00_2609);
																			}
																		}
																	else
																		{
																			obj_t BgL_auxz00_5400;

																			{	/* SawMill/bbv-utils.scm 413 */
																				obj_t BgL_arg2111z00_2611;
																				obj_t BgL_arg2112z00_2612;

																				BgL_arg2111z00_2611 =
																					(((BgL_blockz00_bglt) COBJECT(
																							((BgL_blockz00_bglt)
																								BgL_i1237z00_2583)))->
																					BgL_firstz00);
																				BgL_arg2112z00_2612 =
																					(((BgL_blockz00_bglt)
																						COBJECT(((BgL_blockz00_bglt)
																								BgL_sz00_2592)))->BgL_firstz00);
																				BgL_auxz00_5400 =
																					BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg2111z00_2611,
																					BgL_arg2112z00_2612);
																			}
																			((((BgL_blockz00_bglt) COBJECT(
																							((BgL_blockz00_bglt)
																								BgL_i1237z00_2583)))->
																					BgL_firstz00) =
																				((obj_t) BgL_auxz00_5400), BUNSPEC);
																		}
																}
															}
															{
																obj_t BgL_auxz00_5414;
																BgL_blocksz00_bglt BgL_auxz00_5408;

																{
																	BgL_blocksz00_bglt BgL_auxz00_5415;

																	{
																		obj_t BgL_auxz00_5416;

																		{	/* SawMill/bbv-utils.scm 414 */
																			BgL_objectz00_bglt BgL_tmpz00_5417;

																			BgL_tmpz00_5417 =
																				((BgL_objectz00_bglt)
																				((BgL_blockz00_bglt) BgL_sz00_2592));
																			BgL_auxz00_5416 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_5417);
																		}
																		BgL_auxz00_5415 =
																			((BgL_blocksz00_bglt) BgL_auxz00_5416);
																	}
																	BgL_auxz00_5414 =
																		(((BgL_blocksz00_bglt)
																			COBJECT(BgL_auxz00_5415))->BgL_octxsz00);
																}
																{
																	obj_t BgL_auxz00_5409;

																	{	/* SawMill/bbv-utils.scm 414 */
																		BgL_objectz00_bglt BgL_tmpz00_5410;

																		BgL_tmpz00_5410 =
																			((BgL_objectz00_bglt) BgL_i1237z00_2583);
																		BgL_auxz00_5409 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5410);
																	}
																	BgL_auxz00_5408 =
																		((BgL_blocksz00_bglt) BgL_auxz00_5409);
																}
																((((BgL_blocksz00_bglt)
																			COBJECT(BgL_auxz00_5408))->BgL_octxsz00) =
																	((obj_t) BgL_auxz00_5414), BUNSPEC);
															}
															{

																goto BgL_zc3z04anonymousza32084ze3z87_2578;
															}
														}
													else
														{	/* SawMill/bbv-utils.scm 416 */
															obj_t BgL_arg2116z00_2616;
															obj_t BgL_arg2117z00_2617;

															{	/* SawMill/bbv-utils.scm 416 */
																obj_t BgL_arg2118z00_2618;
																obj_t BgL_arg2119z00_2619;

																{	/* SawMill/bbv-utils.scm 416 */
																	obj_t BgL_pairz00_3618;

																	BgL_pairz00_3618 =
																		(((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt)
																					BgL_i1237z00_2583)))->BgL_succsz00);
																	BgL_arg2118z00_2618 = CAR(BgL_pairz00_3618);
																}
																BgL_arg2119z00_2619 =
																	CDR(((obj_t) BgL_bsz00_2576));
																BgL_arg2116z00_2616 =
																	MAKE_YOUNG_PAIR(BgL_arg2118z00_2618,
																	BgL_arg2119z00_2619);
															}
															{	/* SawMill/bbv-utils.scm 417 */
																obj_t BgL_arg2121z00_2621;

																BgL_arg2121z00_2621 =
																	CAR(((obj_t) BgL_bsz00_2576));
																BgL_arg2117z00_2617 =
																	BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(
																	((BgL_blockz00_bglt) BgL_arg2121z00_2621),
																	BgL_accz00_2577);
															}
															{
																obj_t BgL_accz00_5435;
																obj_t BgL_bsz00_5434;

																BgL_bsz00_5434 = BgL_arg2116z00_2616;
																BgL_accz00_5435 = BgL_arg2117z00_2617;
																BgL_accz00_2577 = BgL_accz00_5435;
																BgL_bsz00_2576 = BgL_bsz00_5434;
																goto BgL_zc3z04anonymousza32084ze3z87_2578;
															}
														}
												}
											else
												{
													obj_t BgL_ssz00_2629;
													obj_t BgL_nsuccsz00_2630;

													{	/* SawMill/bbv-utils.scm 418 */
														obj_t BgL_arg2126z00_2628;

														BgL_arg2126z00_2628 =
															(((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt) BgL_i1237z00_2583)))->
															BgL_succsz00);
														BgL_ssz00_2629 = BgL_arg2126z00_2628;
														BgL_nsuccsz00_2630 = BNIL;
													BgL_zc3z04anonymousza32127ze3z87_2631:
														if (NULLP(BgL_ssz00_2629))
															{	/* SawMill/bbv-utils.scm 421 */
																obj_t BgL_arg2129z00_2633;
																obj_t BgL_arg2130z00_2634;

																{	/* SawMill/bbv-utils.scm 421 */
																	obj_t BgL_arg2131z00_2635;
																	obj_t BgL_arg2132z00_2636;

																	BgL_arg2131z00_2635 =
																		bgl_reverse(
																		(((BgL_blockz00_bglt) COBJECT(
																					((BgL_blockz00_bglt)
																						BgL_i1237z00_2583)))->
																			BgL_succsz00));
																	BgL_arg2132z00_2636 =
																		CDR(((obj_t) BgL_bsz00_2576));
																	BgL_arg2129z00_2633 =
																		BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2
																		(BgL_arg2131z00_2635, BgL_arg2132z00_2636);
																}
																{	/* SawMill/bbv-utils.scm 422 */
																	obj_t BgL_arg2134z00_2638;

																	BgL_arg2134z00_2638 =
																		CAR(((obj_t) BgL_bsz00_2576));
																	BgL_arg2130z00_2634 =
																		BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(
																		((BgL_blockz00_bglt) BgL_arg2134z00_2638),
																		BgL_accz00_2577);
																}
																{
																	obj_t BgL_accz00_5451;
																	obj_t BgL_bsz00_5450;

																	BgL_bsz00_5450 = BgL_arg2129z00_2633;
																	BgL_accz00_5451 = BgL_arg2130z00_2634;
																	BgL_accz00_2577 = BgL_accz00_5451;
																	BgL_bsz00_2576 = BgL_bsz00_5450;
																	goto BgL_zc3z04anonymousza32084ze3z87_2578;
																}
															}
														else
															{	/* SawMill/bbv-utils.scm 423 */
																obj_t BgL_sz00_2639;

																BgL_sz00_2639 = CAR(((obj_t) BgL_ssz00_2629));
																{	/* SawMill/bbv-utils.scm 424 */
																	bool_t BgL_test2460z00_5454;

																	BgL_bz00_2674 = BgL_sz00_2639;
																	{	/* SawMill/bbv-utils.scm 387 */
																		obj_t BgL_g1530z00_2677;

																		BgL_g1530z00_2677 =
																			(((BgL_blockz00_bglt) COBJECT(
																					((BgL_blockz00_bglt)
																						BgL_bz00_2674)))->BgL_firstz00);
																		{
																			obj_t BgL_l1528z00_2679;

																			BgL_l1528z00_2679 = BgL_g1530z00_2677;
																		BgL_zc3z04anonymousza32169ze3z87_2680:
																			if (NULLP(BgL_l1528z00_2679))
																				{	/* SawMill/bbv-utils.scm 387 */
																					BgL_test2460z00_5454 = ((bool_t) 1);
																				}
																			else
																				{	/* SawMill/bbv-utils.scm 387 */
																					bool_t BgL_test2462z00_5459;

																					{	/* SawMill/bbv-utils.scm 387 */
																						obj_t BgL_iz00_2685;

																						BgL_iz00_2685 =
																							CAR(((obj_t) BgL_l1528z00_2679));
																						{	/* SawMill/bbv-utils.scm 387 */
																							bool_t BgL__ortest_1234z00_2686;

																							BgL__ortest_1234z00_2686 =
																								BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2
																								(((BgL_rtl_insz00_bglt)
																									BgL_iz00_2685));
																							if (BgL__ortest_1234z00_2686)
																								{	/* SawMill/bbv-utils.scm 387 */
																									BgL_test2462z00_5459 =
																										BgL__ortest_1234z00_2686;
																								}
																							else
																								{	/* SawMill/bbv-utils.scm 387 */
																									BgL_test2462z00_5459 =
																										BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2
																										(((BgL_rtl_insz00_bglt)
																											BgL_iz00_2685));
																								}
																						}
																					}
																					if (BgL_test2462z00_5459)
																						{	/* SawMill/bbv-utils.scm 387 */
																							obj_t BgL_arg2171z00_2684;

																							BgL_arg2171z00_2684 =
																								CDR(
																								((obj_t) BgL_l1528z00_2679));
																							{
																								obj_t BgL_l1528z00_5469;

																								BgL_l1528z00_5469 =
																									BgL_arg2171z00_2684;
																								BgL_l1528z00_2679 =
																									BgL_l1528z00_5469;
																								goto
																									BgL_zc3z04anonymousza32169ze3z87_2680;
																							}
																						}
																					else
																						{	/* SawMill/bbv-utils.scm 387 */
																							BgL_test2460z00_5454 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	if (BgL_test2460z00_5454)
																		{	/* SawMill/bbv-utils.scm 425 */
																			obj_t BgL_tz00_2641;

																			{	/* SawMill/bbv-utils.scm 425 */
																				obj_t BgL_pairz00_3625;

																				BgL_pairz00_3625 =
																					(((BgL_blockz00_bglt) COBJECT(
																							((BgL_blockz00_bglt)
																								BgL_sz00_2639)))->BgL_succsz00);
																				BgL_tz00_2641 = CAR(BgL_pairz00_3625);
																			}
																			if (
																				(bgl_list_length(
																						(((BgL_blockz00_bglt) COBJECT(
																									((BgL_blockz00_bglt)
																										BgL_sz00_2639)))->
																							BgL_predsz00)) == ((long) 1)))
																				{	/* SawMill/bbv-utils.scm 426 */
																					{	/* SawMill/bbv-utils.scm 429 */
																						obj_t BgL_arg2139z00_2645;

																						BgL_arg2139z00_2645 =
																							bgl_remq(BgL_sz00_2639,
																							(((BgL_blockz00_bglt) COBJECT(
																										((BgL_blockz00_bglt)
																											BgL_tz00_2641)))->
																								BgL_predsz00));
																						((((BgL_blockz00_bglt)
																									COBJECT(((BgL_blockz00_bglt)
																											BgL_tz00_2641)))->
																								BgL_predsz00) =
																							((obj_t) BgL_arg2139z00_2645),
																							BUNSPEC);
																					}
																					{	/* SawMill/bbv-utils.scm 430 */
																						obj_t BgL_arg2141z00_2647;

																						BgL_arg2141z00_2647 =
																							CAR(((obj_t) BgL_bsz00_2576));
																						BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2
																							(((BgL_blockz00_bglt)
																								BgL_arg2141z00_2647),
																							((BgL_blockz00_bglt)
																								BgL_sz00_2639),
																							((BgL_blockz00_bglt)
																								BgL_tz00_2641));
																					}
																					{	/* SawMill/bbv-utils.scm 431 */
																						obj_t BgL_vz00_3633;

																						BgL_vz00_3633 = BNIL;
																						((((BgL_blockz00_bglt) COBJECT(
																										((BgL_blockz00_bglt)
																											BgL_sz00_2639)))->
																								BgL_predsz00) =
																							((obj_t) BgL_vz00_3633), BUNSPEC);
																					}
																					{	/* SawMill/bbv-utils.scm 432 */
																						obj_t BgL_arg2142z00_2648;
																						obj_t BgL_arg2143z00_2649;

																						BgL_arg2142z00_2648 =
																							CDR(((obj_t) BgL_ssz00_2629));
																						BgL_arg2143z00_2649 =
																							MAKE_YOUNG_PAIR(BgL_tz00_2641,
																							BgL_nsuccsz00_2630);
																						{
																							obj_t BgL_nsuccsz00_5495;
																							obj_t BgL_ssz00_5494;

																							BgL_ssz00_5494 =
																								BgL_arg2142z00_2648;
																							BgL_nsuccsz00_5495 =
																								BgL_arg2143z00_2649;
																							BgL_nsuccsz00_2630 =
																								BgL_nsuccsz00_5495;
																							BgL_ssz00_2629 = BgL_ssz00_5494;
																							goto
																								BgL_zc3z04anonymousza32127ze3z87_2631;
																						}
																					}
																				}
																			else
																				{	/* SawMill/bbv-utils.scm 426 */
																					{	/* SawMill/bbv-utils.scm 434 */
																						obj_t BgL_arg2144z00_2650;
																						obj_t BgL_arg2145z00_2651;

																						BgL_arg2144z00_2650 =
																							CAR(((obj_t) BgL_bsz00_2576));
																						{	/* SawMill/bbv-utils.scm 436 */
																							obj_t BgL_arg2146z00_2652;

																							BgL_arg2146z00_2652 =
																								bgl_remq(BgL_sz00_2639,
																								(((BgL_blockz00_bglt) COBJECT(
																											((BgL_blockz00_bglt)
																												CAR(
																													((obj_t)
																														BgL_bsz00_2576)))))->
																									BgL_succsz00));
																							BgL_arg2145z00_2651 =
																								MAKE_YOUNG_PAIR(BgL_tz00_2641,
																								BgL_arg2146z00_2652);
																						}
																						{	/* SawMill/bbv-utils.scm 434 */
																							obj_t BgL_vz00_3639;

																							BgL_vz00_3639 =
																								BgL_arg2145z00_2651;
																							((((BgL_blockz00_bglt)
																										COBJECT(((BgL_blockz00_bglt)
																												BgL_arg2144z00_2650)))->
																									BgL_succsz00) =
																								((obj_t) BgL_vz00_3639),
																								BUNSPEC);
																						}
																					}
																					{	/* SawMill/bbv-utils.scm 438 */
																						obj_t BgL_arg2150z00_2655;

																						BgL_arg2150z00_2655 =
																							bgl_remq(CAR(
																								((obj_t) BgL_bsz00_2576)),
																							(((BgL_blockz00_bglt) COBJECT(
																										((BgL_blockz00_bglt)
																											BgL_sz00_2639)))->
																								BgL_predsz00));
																						((((BgL_blockz00_bglt)
																									COBJECT(((BgL_blockz00_bglt)
																											BgL_sz00_2639)))->
																								BgL_predsz00) =
																							((obj_t) BgL_arg2150z00_2655),
																							BUNSPEC);
																					}
																					{	/* SawMill/bbv-utils.scm 440 */
																						obj_t BgL_arg2153z00_2658;

																						{	/* SawMill/bbv-utils.scm 440 */
																							obj_t BgL_arg2154z00_2659;
																							obj_t BgL_arg2155z00_2660;

																							BgL_arg2154z00_2659 =
																								CAR(((obj_t) BgL_bsz00_2576));
																							BgL_arg2155z00_2660 =
																								(((BgL_blockz00_bglt) COBJECT(
																										((BgL_blockz00_bglt)
																											BgL_tz00_2641)))->
																								BgL_predsz00);
																							BgL_arg2153z00_2658 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2154z00_2659,
																								BgL_arg2155z00_2660);
																						}
																						{	/* SawMill/bbv-utils.scm 439 */
																							obj_t BgL_vz00_3647;

																							BgL_vz00_3647 =
																								BgL_arg2153z00_2658;
																							((((BgL_blockz00_bglt)
																										COBJECT(((BgL_blockz00_bglt)
																												BgL_tz00_2641)))->
																									BgL_predsz00) =
																								((obj_t) BgL_vz00_3647),
																								BUNSPEC);
																						}
																					}
																					{	/* SawMill/bbv-utils.scm 442 */
																						obj_t BgL_arg2156z00_2661;
																						obj_t BgL_arg2157z00_2662;

																						BgL_arg2156z00_2661 =
																							CDR(((obj_t) BgL_ssz00_2629));
																						BgL_arg2157z00_2662 =
																							MAKE_YOUNG_PAIR(BgL_sz00_2639,
																							BgL_nsuccsz00_2630);
																						{
																							obj_t BgL_nsuccsz00_5524;
																							obj_t BgL_ssz00_5523;

																							BgL_ssz00_5523 =
																								BgL_arg2156z00_2661;
																							BgL_nsuccsz00_5524 =
																								BgL_arg2157z00_2662;
																							BgL_nsuccsz00_2630 =
																								BgL_nsuccsz00_5524;
																							BgL_ssz00_2629 = BgL_ssz00_5523;
																							goto
																								BgL_zc3z04anonymousza32127ze3z87_2631;
																						}
																					}
																				}
																		}
																	else
																		{	/* SawMill/bbv-utils.scm 443 */
																			obj_t BgL_arg2161z00_2666;
																			obj_t BgL_arg2162z00_2667;

																			BgL_arg2161z00_2666 =
																				CDR(((obj_t) BgL_ssz00_2629));
																			BgL_arg2162z00_2667 =
																				MAKE_YOUNG_PAIR(BgL_sz00_2639,
																				BgL_nsuccsz00_2630);
																			{
																				obj_t BgL_nsuccsz00_5529;
																				obj_t BgL_ssz00_5528;

																				BgL_ssz00_5528 = BgL_arg2161z00_2666;
																				BgL_nsuccsz00_5529 =
																					BgL_arg2162z00_2667;
																				BgL_nsuccsz00_2630 = BgL_nsuccsz00_5529;
																				BgL_ssz00_2629 = BgL_ssz00_5528;
																				goto
																					BgL_zc3z04anonymousza32127ze3z87_2631;
																			}
																		}
																}
															}
													}
												}
										}
								}
							return ((obj_t) BgL_auxz00_5324);
						}
					}
				}
			}
		}

	}



/* &simplify-branch! */
	obj_t BGl_z62simplifyzd2branchz12za2zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3769, obj_t BgL_bz00_3770)
	{
		{	/* SawMill/bbv-utils.scm 382 */
			return
				BGl_simplifyzd2branchz12zc0zzsaw_bbvzd2utilszd2(
				((BgL_blockz00_bglt) BgL_bz00_3770));
		}

	}



/* remove-nop! */
	BGL_EXPORTED_DEF obj_t
		BGl_removezd2nopz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt BgL_bz00_100)
	{
		{	/* SawMill/bbv-utils.scm 448 */
			{	/* SawMill/bbv-utils.scm 449 */
				obj_t BgL_g1239z00_2689;
				obj_t BgL_g1240z00_2690;

				{	/* SawMill/bbv-utils.scm 449 */
					obj_t BgL_list2201z00_2728;

					BgL_list2201z00_2728 = MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_100), BNIL);
					BgL_g1239z00_2689 = BgL_list2201z00_2728;
				}
				BgL_g1240z00_2690 = BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2utilszd2();
				{
					obj_t BgL_bsz00_2692;
					obj_t BgL_accz00_2693;

					{
						BgL_blockz00_bglt BgL_auxz00_5536;

						BgL_bsz00_2692 = BgL_g1239z00_2689;
						BgL_accz00_2693 = BgL_g1240z00_2690;
					BgL_zc3z04anonymousza32172ze3z87_2694:
						if (NULLP(BgL_bsz00_2692))
							{	/* SawMill/bbv-utils.scm 452 */
								BgL_auxz00_5536 = BgL_bz00_100;
							}
						else
							{	/* SawMill/bbv-utils.scm 454 */
								bool_t BgL_test2466z00_5539;

								{	/* SawMill/bbv-utils.scm 454 */
									BgL_blockz00_bglt BgL_blockz00_3652;

									BgL_blockz00_3652 =
										((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2692)));
									{	/* SawMill/bbv-utils.scm 103 */
										long BgL_arg1602z00_3655;
										obj_t BgL_arg1603z00_3656;

										{
											BgL_blocksz00_bglt BgL_auxz00_5543;

											{
												obj_t BgL_auxz00_5544;

												{	/* SawMill/bbv-utils.scm 103 */
													BgL_objectz00_bglt BgL_tmpz00_5545;

													BgL_tmpz00_5545 =
														((BgL_objectz00_bglt) BgL_blockz00_3652);
													BgL_auxz00_5544 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5545);
												}
												BgL_auxz00_5543 =
													((BgL_blocksz00_bglt) BgL_auxz00_5544);
											}
											BgL_arg1602z00_3655 =
												(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_5543))->
												BgL_z52markz52);
										}
										BgL_arg1603z00_3656 =
											STRUCT_REF(BgL_accz00_2693, (int) (((long) 0)));
										BgL_test2466z00_5539 =
											(BINT(BgL_arg1602z00_3655) == BgL_arg1603z00_3656);
								}}
								if (BgL_test2466z00_5539)
									{	/* SawMill/bbv-utils.scm 455 */
										obj_t BgL_arg2176z00_2698;

										BgL_arg2176z00_2698 = CDR(((obj_t) BgL_bsz00_2692));
										{
											obj_t BgL_bsz00_5556;

											BgL_bsz00_5556 = BgL_arg2176z00_2698;
											BgL_bsz00_2692 = BgL_bsz00_5556;
											goto BgL_zc3z04anonymousza32172ze3z87_2694;
										}
									}
								else
									{	/* SawMill/bbv-utils.scm 457 */
										BgL_blockz00_bglt BgL_i1241z00_2699;

										BgL_i1241z00_2699 =
											((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2692)));
										{	/* SawMill/bbv-utils.scm 458 */
											bool_t BgL_test2467z00_5560;

											{	/* SawMill/bbv-utils.scm 458 */
												obj_t BgL_tmpz00_5561;

												BgL_tmpz00_5561 =
													CDR(
													(((BgL_blockz00_bglt) COBJECT(BgL_i1241z00_2699))->
														BgL_firstz00));
												BgL_test2467z00_5560 = PAIRP(BgL_tmpz00_5561);
											}
											if (BgL_test2467z00_5560)
												{	/* SawMill/bbv-utils.scm 459 */
													obj_t BgL_fz00_2706;

													BgL_fz00_2706 =
														BGl_filterz12z12zz__r4_control_features_6_9z00
														(BGl_proc2345z00zzsaw_bbvzd2utilszd2,
														(((BgL_blockz00_bglt) COBJECT(BgL_i1241z00_2699))->
															BgL_firstz00));
													{
														obj_t BgL_auxz00_5567;

														if (NULLP(BgL_fz00_2706))
															{	/* SawMill/bbv-utils.scm 462 */
																obj_t BgL_arg2185z00_2708;

																BgL_arg2185z00_2708 =
																	CAR(
																	(((BgL_blockz00_bglt)
																			COBJECT(BgL_i1241z00_2699))->
																		BgL_firstz00));
																{	/* SawMill/bbv-utils.scm 462 */
																	obj_t BgL_list2186z00_2709;

																	BgL_list2186z00_2709 =
																		MAKE_YOUNG_PAIR(BgL_arg2185z00_2708, BNIL);
																	BgL_auxz00_5567 = BgL_list2186z00_2709;
																}
															}
														else
															{	/* SawMill/bbv-utils.scm 461 */
																BgL_auxz00_5567 = BgL_fz00_2706;
															}
														((((BgL_blockz00_bglt) COBJECT(BgL_i1241z00_2699))->
																BgL_firstz00) =
															((obj_t) BgL_auxz00_5567), BUNSPEC);
													}
												}
											else
												{	/* SawMill/bbv-utils.scm 458 */
													BFALSE;
												}
										}
										{	/* SawMill/bbv-utils.scm 464 */
											obj_t BgL_arg2195z00_2721;
											obj_t BgL_arg2196z00_2722;

											{	/* SawMill/bbv-utils.scm 464 */
												obj_t BgL_arg2197z00_2723;
												obj_t BgL_arg2198z00_2724;

												BgL_arg2197z00_2723 =
													(((BgL_blockz00_bglt) COBJECT(BgL_i1241z00_2699))->
													BgL_succsz00);
												BgL_arg2198z00_2724 = CDR(((obj_t) BgL_bsz00_2692));
												BgL_arg2195z00_2721 =
													BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2
													(BgL_arg2197z00_2723, BgL_arg2198z00_2724);
											}
											{	/* SawMill/bbv-utils.scm 464 */
												obj_t BgL_arg2199z00_2725;

												BgL_arg2199z00_2725 = CAR(((obj_t) BgL_bsz00_2692));
												BgL_arg2196z00_2722 =
													BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(
													((BgL_blockz00_bglt) BgL_arg2199z00_2725),
													BgL_accz00_2693);
											}
											{
												obj_t BgL_accz00_5583;
												obj_t BgL_bsz00_5582;

												BgL_bsz00_5582 = BgL_arg2195z00_2721;
												BgL_accz00_5583 = BgL_arg2196z00_2722;
												BgL_accz00_2693 = BgL_accz00_5583;
												BgL_bsz00_2692 = BgL_bsz00_5582;
												goto BgL_zc3z04anonymousza32172ze3z87_2694;
											}
										}
									}
							}
						return ((obj_t) BgL_auxz00_5536);
					}
				}
			}
		}

	}



/* &remove-nop! */
	obj_t BGl_z62removezd2nopz12za2zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3772,
		obj_t BgL_bz00_3773)
	{
		{	/* SawMill/bbv-utils.scm 448 */
			return
				BGl_removezd2nopz12zc0zzsaw_bbvzd2utilszd2(
				((BgL_blockz00_bglt) BgL_bz00_3773));
		}

	}



/* &<@anonymous:2190> */
	obj_t BGl_z62zc3z04anonymousza32190ze3ze5zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3774, obj_t BgL_iz00_3775)
	{
		{	/* SawMill/bbv-utils.scm 459 */
			{	/* SawMill/bbv-utils.scm 459 */
				bool_t BgL_tmpz00_5587;

				if (BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(
						((BgL_rtl_insz00_bglt) BgL_iz00_3775)))
					{	/* SawMill/bbv-utils.scm 459 */
						BgL_tmpz00_5587 = ((bool_t) 0);
					}
				else
					{	/* SawMill/bbv-utils.scm 459 */
						BgL_tmpz00_5587 = ((bool_t) 1);
					}
				return BBOOL(BgL_tmpz00_5587);
			}
		}

	}



/* redirect-block! */
	BGL_EXPORTED_DEF obj_t
		BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt
		BgL_bz00_101, BgL_blockz00_bglt BgL_oldz00_102,
		BgL_blockz00_bglt BgL_newz00_103)
	{
		{	/* SawMill/bbv-utils.scm 469 */
			{
				obj_t BgL_auxz00_5592;

				{	/* SawMill/bbv-utils.scm 477 */
					obj_t BgL_arg2202z00_2730;

					BgL_arg2202z00_2730 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_101)))->BgL_succsz00);
					BgL_auxz00_5592 =
						BGl_loopze70ze7zzsaw_bbvzd2utilszd2(
						((obj_t) BgL_oldz00_102),
						((obj_t) BgL_newz00_103), BgL_arg2202z00_2730);
				}
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_101)))->BgL_succsz00) =
					((obj_t) BgL_auxz00_5592), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_5600;

				{	/* SawMill/bbv-utils.scm 479 */
					obj_t BgL_arg2203z00_2732;

					BgL_arg2203z00_2732 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oldz00_102)))->BgL_predsz00);
					BgL_auxz00_5600 =
						bgl_remq_bang(((obj_t) BgL_bz00_101), BgL_arg2203z00_2732);
				}
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oldz00_102)))->BgL_predsz00) =
					((obj_t) BgL_auxz00_5600), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_5607;

				{	/* SawMill/bbv-utils.scm 481 */
					obj_t BgL_arg2204z00_2734;

					BgL_arg2204z00_2734 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_newz00_103)))->BgL_predsz00);
					BgL_auxz00_5607 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_101), BgL_arg2204z00_2734);
				}
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_newz00_103)))->BgL_predsz00) =
					((obj_t) BgL_auxz00_5607), BUNSPEC);
			}
			{	/* SawMill/bbv-utils.scm 482 */
				obj_t BgL_lastz00_2735;

				BgL_lastz00_2735 =
					CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
						(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_bz00_101)))->BgL_firstz00)));
				if (BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(
						((BgL_rtl_insz00_bglt) BgL_lastz00_2735)))
					{	/* SawMill/bbv-utils.scm 486 */
						BgL_rtl_ifeqz00_bglt BgL_i1246z00_2738;

						BgL_i1246z00_2738 =
							((BgL_rtl_ifeqz00_bglt)
							(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_lastz00_2735)))->BgL_funz00));
						if (
							(((obj_t)
									(((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_i1246z00_2738))->
										BgL_thenz00)) == ((obj_t) BgL_oldz00_102)))
							{	/* SawMill/bbv-utils.scm 487 */
								((((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_i1246z00_2738))->
										BgL_thenz00) =
									((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_newz00_103)),
									BUNSPEC);
							}
						else
							{	/* SawMill/bbv-utils.scm 487 */
								BFALSE;
							}
					}
				else
					{	/* SawMill/bbv-utils.scm 484 */
						if (BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(
								((BgL_rtl_insz00_bglt) BgL_lastz00_2735)))
							{	/* SawMill/bbv-utils.scm 491 */
								BgL_rtl_ifnez00_bglt BgL_i1248z00_2744;

								BgL_i1248z00_2744 =
									((BgL_rtl_ifnez00_bglt)
									(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_lastz00_2735)))->
										BgL_funz00));
								if ((((obj_t) (((BgL_rtl_ifnez00_bglt)
													COBJECT(BgL_i1248z00_2744))->BgL_thenz00)) ==
										((obj_t) BgL_oldz00_102)))
									{	/* SawMill/bbv-utils.scm 492 */
										((((BgL_rtl_ifnez00_bglt) COBJECT(BgL_i1248z00_2744))->
												BgL_thenz00) =
											((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
													BgL_newz00_103)), BUNSPEC);
									}
								else
									{	/* SawMill/bbv-utils.scm 492 */
										BFALSE;
									}
							}
						else
							{	/* SawMill/bbv-utils.scm 489 */
								if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(
										((BgL_rtl_insz00_bglt) BgL_lastz00_2735)))
									{	/* SawMill/bbv-utils.scm 496 */
										BgL_rtl_goz00_bglt BgL_i1250z00_2750;

										BgL_i1250z00_2750 =
											((BgL_rtl_goz00_bglt)
											(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_lastz00_2735)))->
												BgL_funz00));
										((((BgL_rtl_goz00_bglt) COBJECT(BgL_i1250z00_2750))->
												BgL_toz00) =
											((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
													BgL_newz00_103)), BUNSPEC);
									}
								else
									{	/* SawMill/bbv-utils.scm 494 */
										BFALSE;
									}
							}
					}
			}
			return ((obj_t) BgL_bz00_101);
		}

	}



/* &redirect-block! */
	obj_t BGl_z62redirectzd2blockz12za2zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3776,
		obj_t BgL_bz00_3777, obj_t BgL_oldz00_3778, obj_t BgL_newz00_3779)
	{
		{	/* SawMill/bbv-utils.scm 469 */
			return
				BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2(
				((BgL_blockz00_bglt) BgL_bz00_3777),
				((BgL_blockz00_bglt) BgL_oldz00_3778),
				((BgL_blockz00_bglt) BgL_newz00_3779));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_bbvzd2utilszd2()
	{
		{	/* SawMill/bbv-utils.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_bbvzd2utilszd2()
	{
		{	/* SawMill/bbv-utils.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_bbvzd2utilszd2()
	{
		{	/* SawMill/bbv-utils.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2utilszd2()
	{
		{	/* SawMill/bbv-utils.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2346z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2346z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2346z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2346z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2346z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2346z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2346z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2346z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2346z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 57049157),
				BSTRING_TO_STRING(BGl_string2346z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 79517123),
				BSTRING_TO_STRING(BGl_string2346z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(((long) 454038607),
				BSTRING_TO_STRING(BGl_string2346z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(((long) 237915200),
				BSTRING_TO_STRING(BGl_string2346z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(((long) 241613712),
				BSTRING_TO_STRING(BGl_string2346z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(((long)
					174034818), BSTRING_TO_STRING(BGl_string2346z00zzsaw_bbvzd2utilszd2));
			return BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(((long)
					486661385), BSTRING_TO_STRING(BGl_string2346z00zzsaw_bbvzd2utilszd2));
		}

	}

#ifdef __cplusplus
}
#endif
